#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 19568
#define LARGE_STATE_COUNT 2547
#define SYMBOL_COUNT 339
#define ALIAS_COUNT 5
#define TOKEN_COUNT 109
#define EXTERNAL_TOKEN_COUNT 15
#define FIELD_COUNT 32
#define MAX_ALIAS_SEQUENCE_LENGTH 8
#define PRODUCTION_ID_COUNT 206

enum ts_symbol_identifiers {
  sym__alpha_identifier = 1,
  anon_sym_enum = 2,
  anon_sym_COLON = 3,
  anon_sym_LBRACE = 4,
  anon_sym_RBRACE = 5,
  anon_sym_case = 6,
  anon_sym_COMMA = 7,
  anon_sym_package = 8,
  anon_sym_DOT = 9,
  anon_sym_object = 10,
  anon_sym_import = 11,
  anon_sym_export = 12,
  anon_sym_STAR = 13,
  anon_sym__ = 14,
  anon_sym_given = 15,
  anon_sym_EQ_GT = 16,
  anon_sym_as = 17,
  anon_sym_class = 18,
  anon_sym_trait = 19,
  anon_sym_LBRACK = 20,
  anon_sym_RBRACK = 21,
  anon_sym_PLUS = 22,
  anon_sym_DASH = 23,
  anon_sym_LT_COLON = 24,
  anon_sym_GT_COLON = 25,
  anon_sym_LT_PERCENT = 26,
  anon_sym_end = 27,
  anon_sym_if = 28,
  anon_sym_while = 29,
  anon_sym_for = 30,
  anon_sym_match = 31,
  anon_sym_try = 32,
  anon_sym_new = 33,
  anon_sym_this = 34,
  anon_sym_extension = 35,
  anon_sym_val = 36,
  anon_sym_AT = 37,
  anon_sym_EQ = 38,
  anon_sym_var = 39,
  anon_sym_type = 40,
  anon_sym_def = 41,
  anon_sym_opaque = 42,
  anon_sym_with = 43,
  anon_sym_abstract = 44,
  anon_sym_final = 45,
  anon_sym_sealed = 46,
  anon_sym_implicit = 47,
  anon_sym_lazy = 48,
  anon_sym_override = 49,
  anon_sym_private = 50,
  anon_sym_protected = 51,
  anon_sym_inline = 52,
  anon_sym_infix = 53,
  anon_sym_open = 54,
  anon_sym_transparent = 55,
  anon_sym_extends = 56,
  anon_sym_derives = 57,
  anon_sym_LPAREN = 58,
  anon_sym_using = 59,
  anon_sym_RPAREN = 60,
  anon_sym_SEMI = 61,
  anon_sym_POUND = 62,
  anon_sym_QMARK_EQ_GT = 63,
  anon_sym_EQ_GT_GT = 64,
  anon_sym_PIPE = 65,
  anon_sym_else = 66,
  anon_sym_then = 67,
  anon_sym_catch = 68,
  anon_sym_finally = 69,
  anon_sym_macro = 70,
  anon_sym_BANG = 71,
  anon_sym_TILDE = 72,
  anon_sym_DOLLAR = 73,
  anon_sym_SQUOTE = 74,
  sym__interpolation_identifier = 75,
  sym__backquoted_id = 76,
  sym_operator_identifier = 77,
  sym_integer_literal = 78,
  sym_floating_point_literal = 79,
  anon_sym_true = 80,
  anon_sym_false = 81,
  sym_character_literal = 82,
  anon_sym_DQUOTE = 83,
  anon_sym_DQUOTE_DQUOTE_DQUOTE = 84,
  sym_null_literal = 85,
  anon_sym_return = 86,
  anon_sym_throw = 87,
  anon_sym_do = 88,
  anon_sym_yield = 89,
  anon_sym_LT_DASH = 90,
  aux_sym__shebang_token1 = 91,
  anon_sym_SLASH_SLASH = 92,
  sym__comment_text = 93,
  anon_sym_GT = 94,
  sym_using_directive_key = 95,
  sym_using_directive_value = 96,
  anon_sym_SLASH_STAR = 97,
  aux_sym_block_comment_token1 = 98,
  anon_sym_STAR_SLASH = 99,
  sym__automatic_semicolon = 100,
  sym__indent = 101,
  sym__interpolated_string_middle = 102,
  sym__interpolated_string_end = 103,
  sym__interpolated_multiline_string_middle = 104,
  sym__interpolated_multiline_string_end = 105,
  sym__outdent = 106,
  sym__simple_multiline_string = 107,
  sym__simple_string = 108,
  sym_compilation_unit = 109,
  sym__top_level_definition = 110,
  sym_enum_definition = 111,
  sym__enum_block = 112,
  sym_enum_body = 113,
  sym_enum_case_definitions = 114,
  sym_simple_enum_case = 115,
  sym_full_enum_case = 116,
  sym__full_enum_def = 117,
  sym_package_clause = 118,
  sym_package_identifier = 119,
  sym_package_object = 120,
  sym_import_declaration = 121,
  sym_export_declaration = 122,
  sym__namespace_expression = 123,
  sym_namespace_wildcard = 124,
  sym__namespace_given_by_type = 125,
  sym_namespace_selectors = 126,
  sym_arrow_renamed_identifier = 127,
  sym_as_renamed_identifier = 128,
  sym_object_definition = 129,
  sym__object_definition = 130,
  sym_class_definition = 131,
  sym__class_definition = 132,
  sym__definition_body = 133,
  sym__class_constructor = 134,
  sym_trait_definition = 135,
  sym_type_parameters = 136,
  sym__variant_type_parameter = 137,
  sym_covariant_type_parameter = 138,
  sym_contravariant_type_parameter = 139,
  sym__type_parameter = 140,
  sym_upper_bound = 141,
  sym_lower_bound = 142,
  sym_view_bound = 143,
  sym__context_bounds = 144,
  sym_context_bound = 145,
  sym_template_body = 146,
  sym__indented_template_body = 147,
  sym__braced_template_body = 148,
  sym__braced_template_body1 = 149,
  sym__braced_template_body2 = 150,
  sym_with_template_body = 151,
  sym__extension_template_body = 152,
  sym__end_marker = 153,
  sym_self_type = 154,
  sym__self_type_ascription = 155,
  sym_annotation = 156,
  sym_val_definition = 157,
  sym_val_declaration = 158,
  sym__start_val = 159,
  sym_var_declaration = 160,
  sym_var_definition = 161,
  sym__start_var = 162,
  sym_type_definition = 163,
  sym__type_constructor = 164,
  sym_function_definition = 165,
  sym_function_declaration = 166,
  sym__function_declaration = 167,
  sym__function_constructor = 168,
  sym_opaque_modifier = 169,
  sym_extension_definition = 170,
  sym_given_definition = 171,
  sym__given_sig = 172,
  sym__given_conditional = 173,
  sym__given_constructor = 174,
  sym__structural_instance = 175,
  sym__constructor_application = 176,
  sym__constructor_applications = 177,
  sym_modifiers = 178,
  sym_access_modifier = 179,
  sym_access_qualifier = 180,
  sym_inline_modifier = 181,
  sym_infix_modifier = 182,
  sym_open_modifier = 183,
  sym_transparent_modifier = 184,
  sym_extends_clause = 185,
  sym_derives_clause = 186,
  sym_class_parameters = 187,
  sym_parameters = 188,
  sym__using_parameters_clause = 189,
  sym_class_parameter = 190,
  sym_parameter = 191,
  sym_name_and_type = 192,
  sym__block = 193,
  sym__indentable_expression = 194,
  sym_block = 195,
  sym_indented_block = 196,
  sym_indented_cases = 197,
  sym__indented_type_cases = 198,
  sym__type = 199,
  sym__annotated_type = 200,
  sym_annotated_type = 201,
  sym__simple_type = 202,
  sym_compound_type = 203,
  sym__structural_type = 204,
  sym__refinement = 205,
  sym__infix_type_choice = 206,
  sym_infix_type = 207,
  sym_tuple_type = 208,
  sym_named_tuple_type = 209,
  sym_singleton_type = 210,
  sym_stable_type_identifier = 211,
  sym_stable_identifier = 212,
  sym_generic_type = 213,
  sym_projected_type = 214,
  sym_match_type = 215,
  sym_type_case_clause = 216,
  sym_function_type = 217,
  sym__arrow_then_type = 218,
  sym_parameter_types = 219,
  sym_lazy_parameter_type = 220,
  sym_repeated_parameter_type = 221,
  sym__type_identifier = 222,
  sym_type_lambda = 223,
  sym_case_class_pattern = 224,
  sym_infix_pattern = 225,
  sym_capture_pattern = 226,
  sym_repeat_pattern = 227,
  sym_typed_pattern = 228,
  sym_given_pattern = 229,
  sym_alternative_pattern = 230,
  sym_tuple_pattern = 231,
  sym_named_pattern = 232,
  sym_named_tuple_pattern = 233,
  sym_expression = 234,
  sym__simple_expression = 235,
  sym_lambda_expression = 236,
  sym_if_expression = 237,
  sym__if_condition = 238,
  sym_match_expression = 239,
  sym_try_expression = 240,
  sym_catch_clause = 241,
  sym__expr_case_clause = 242,
  sym_finally_clause = 243,
  sym_binding = 244,
  sym_bindings = 245,
  sym_case_block = 246,
  sym_case_clause = 247,
  sym__case_pattern = 248,
  sym_guard = 249,
  sym_assignment_expression = 250,
  sym_generic_function = 251,
  sym_call_expression = 252,
  sym_colon_argument = 253,
  sym_field_expression = 254,
  sym_instance_expression = 255,
  sym_ascription_expression = 256,
  sym_infix_expression = 257,
  sym_postfix_expression = 258,
  sym__postfix_expression_choice = 259,
  sym_macro_body = 260,
  sym_prefix_expression = 261,
  sym_tuple_expression = 262,
  sym_parenthesized_expression = 263,
  sym_type_arguments = 264,
  sym_arguments = 265,
  sym__exprs_in_parens = 266,
  sym_splice_expression = 267,
  sym_quote_expression = 268,
  sym_identifier = 269,
  sym__soft_identifier = 270,
  sym_identifiers = 271,
  sym_wildcard = 272,
  sym__non_null_literal = 273,
  sym_literal_type = 274,
  sym_boolean_literal = 275,
  sym_interpolated_string_expression = 276,
  sym__interpolated_string_start = 277,
  sym__interpolated_multiline_string_start = 278,
  sym__dollar_escape = 279,
  sym__aliased_interpolation_identifier = 280,
  sym_interpolation = 281,
  sym_interpolated_string = 282,
  sym_string = 283,
  sym_unit = 284,
  sym_return_expression = 285,
  sym_throw_expression = 286,
  sym_while_expression = 287,
  sym_do_while_expression = 288,
  sym_for_expression = 289,
  sym_enumerators = 290,
  sym_enumerator = 291,
  sym__shebang = 292,
  sym_comment = 293,
  sym_using_directive = 294,
  sym_block_comment = 295,
  aux_sym_compilation_unit_repeat1 = 296,
  aux_sym_enum_definition_repeat1 = 297,
  aux_sym__enum_block_repeat1 = 298,
  aux_sym_enum_case_definitions_repeat1 = 299,
  aux_sym__full_enum_def_repeat1 = 300,
  aux_sym_package_identifier_repeat1 = 301,
  aux_sym_import_declaration_repeat1 = 302,
  aux_sym_namespace_selectors_repeat1 = 303,
  aux_sym__class_constructor_repeat1 = 304,
  aux_sym_type_parameters_repeat1 = 305,
  aux_sym__type_parameter_repeat1 = 306,
  aux_sym__context_bounds_repeat1 = 307,
  aux_sym__context_bounds_repeat2 = 308,
  aux_sym_annotation_repeat1 = 309,
  aux_sym_val_declaration_repeat1 = 310,
  aux_sym__function_constructor_repeat1 = 311,
  aux_sym_extension_definition_repeat1 = 312,
  aux_sym_given_definition_repeat1 = 313,
  aux_sym__given_constructor_repeat1 = 314,
  aux_sym__constructor_applications_repeat1 = 315,
  aux_sym__constructor_applications_repeat2 = 316,
  aux_sym_modifiers_repeat1 = 317,
  aux_sym_derives_clause_repeat1 = 318,
  aux_sym_class_parameters_repeat1 = 319,
  aux_sym_parameters_repeat1 = 320,
  aux_sym__using_parameters_clause_repeat1 = 321,
  aux_sym__block_repeat1 = 322,
  aux_sym_indented_cases_repeat1 = 323,
  aux_sym__indented_type_cases_repeat1 = 324,
  aux_sym_compound_type_repeat1 = 325,
  aux_sym_tuple_type_repeat1 = 326,
  aux_sym_named_tuple_type_repeat1 = 327,
  aux_sym_type_lambda_repeat1 = 328,
  aux_sym_case_class_pattern_repeat1 = 329,
  aux_sym_case_class_pattern_repeat2 = 330,
  aux_sym_bindings_repeat1 = 331,
  aux_sym_tuple_expression_repeat1 = 332,
  aux_sym_identifiers_repeat1 = 333,
  aux_sym_interpolated_string_repeat1 = 334,
  aux_sym_interpolated_string_repeat2 = 335,
  aux_sym_enumerators_repeat1 = 336,
  aux_sym_enumerator_repeat1 = 337,
  aux_sym_block_comment_repeat1 = 338,
  anon_alias_sym__end_ident = 339,
  alias_sym_given_conditional = 340,
  alias_sym_refinement = 341,
  alias_sym_structural_type = 342,
  alias_sym_type_identifier = 343,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__alpha_identifier] = "_alpha_identifier",
  [anon_sym_enum] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_case] = "case",
  [anon_sym_COMMA] = ",",
  [anon_sym_package] = "package",
  [anon_sym_DOT] = ".",
  [anon_sym_object] = "object",
  [anon_sym_import] = "import",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym__] = "_",
  [anon_sym_given] = "given",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_as] = "as",
  [anon_sym_class] = "class",
  [anon_sym_trait] = "trait",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_LT_COLON] = "<:",
  [anon_sym_GT_COLON] = ">:",
  [anon_sym_LT_PERCENT] = "<%",
  [anon_sym_end] = "end",
  [anon_sym_if] = "if",
  [anon_sym_while] = "while",
  [anon_sym_for] = "for",
  [anon_sym_match] = "match",
  [anon_sym_try] = "try",
  [anon_sym_new] = "new",
  [anon_sym_this] = "this",
  [anon_sym_extension] = "extension",
  [anon_sym_val] = "val",
  [anon_sym_AT] = "@",
  [anon_sym_EQ] = "=",
  [anon_sym_var] = "var",
  [anon_sym_type] = "type",
  [anon_sym_def] = "def",
  [anon_sym_opaque] = "opaque",
  [anon_sym_with] = "with",
  [anon_sym_abstract] = "abstract",
  [anon_sym_final] = "final",
  [anon_sym_sealed] = "sealed",
  [anon_sym_implicit] = "implicit",
  [anon_sym_lazy] = "lazy",
  [anon_sym_override] = "override",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_inline] = "inline",
  [anon_sym_infix] = "infix",
  [anon_sym_open] = "open",
  [anon_sym_transparent] = "transparent",
  [anon_sym_extends] = "extends",
  [anon_sym_derives] = "derives",
  [anon_sym_LPAREN] = "(",
  [anon_sym_using] = "using",
  [anon_sym_RPAREN] = ")",
  [anon_sym_SEMI] = ";",
  [anon_sym_POUND] = "#",
  [anon_sym_QMARK_EQ_GT] = "\?=>",
  [anon_sym_EQ_GT_GT] = "=>>",
  [anon_sym_PIPE] = "|",
  [anon_sym_else] = "else",
  [anon_sym_then] = "then",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_macro] = "macro",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_SQUOTE] = "'",
  [sym__interpolation_identifier] = "identifier",
  [sym__backquoted_id] = "_backquoted_id",
  [sym_operator_identifier] = "operator_identifier",
  [sym_integer_literal] = "integer_literal",
  [sym_floating_point_literal] = "floating_point_literal",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [sym_character_literal] = "character_literal",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = "\"\"\"",
  [sym_null_literal] = "null_literal",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_do] = "do",
  [anon_sym_yield] = "yield",
  [anon_sym_LT_DASH] = "<-",
  [aux_sym__shebang_token1] = "comment",
  [anon_sym_SLASH_SLASH] = "//",
  [sym__comment_text] = "_comment_text",
  [anon_sym_GT] = ">",
  [sym_using_directive_key] = "using_directive_key",
  [sym_using_directive_value] = "using_directive_value",
  [anon_sym_SLASH_STAR] = "/*",
  [aux_sym_block_comment_token1] = "block_comment_token1",
  [anon_sym_STAR_SLASH] = "*/",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__indent] = "_indent",
  [sym__interpolated_string_middle] = "_interpolated_string_middle",
  [sym__interpolated_string_end] = "_interpolated_string_end",
  [sym__interpolated_multiline_string_middle] = "_interpolated_multiline_string_middle",
  [sym__interpolated_multiline_string_end] = "_interpolated_multiline_string_end",
  [sym__outdent] = "_outdent",
  [sym__simple_multiline_string] = "_simple_multiline_string",
  [sym__simple_string] = "_simple_string",
  [sym_compilation_unit] = "compilation_unit",
  [sym__top_level_definition] = "_top_level_definition",
  [sym_enum_definition] = "enum_definition",
  [sym__enum_block] = "_enum_block",
  [sym_enum_body] = "enum_body",
  [sym_enum_case_definitions] = "enum_case_definitions",
  [sym_simple_enum_case] = "simple_enum_case",
  [sym_full_enum_case] = "full_enum_case",
  [sym__full_enum_def] = "_full_enum_def",
  [sym_package_clause] = "package_clause",
  [sym_package_identifier] = "package_identifier",
  [sym_package_object] = "package_object",
  [sym_import_declaration] = "import_declaration",
  [sym_export_declaration] = "export_declaration",
  [sym__namespace_expression] = "_namespace_expression",
  [sym_namespace_wildcard] = "namespace_wildcard",
  [sym__namespace_given_by_type] = "_namespace_given_by_type",
  [sym_namespace_selectors] = "namespace_selectors",
  [sym_arrow_renamed_identifier] = "arrow_renamed_identifier",
  [sym_as_renamed_identifier] = "as_renamed_identifier",
  [sym_object_definition] = "object_definition",
  [sym__object_definition] = "_object_definition",
  [sym_class_definition] = "class_definition",
  [sym__class_definition] = "_class_definition",
  [sym__definition_body] = "_definition_body",
  [sym__class_constructor] = "_class_constructor",
  [sym_trait_definition] = "trait_definition",
  [sym_type_parameters] = "type_parameters",
  [sym__variant_type_parameter] = "_variant_type_parameter",
  [sym_covariant_type_parameter] = "covariant_type_parameter",
  [sym_contravariant_type_parameter] = "contravariant_type_parameter",
  [sym__type_parameter] = "_type_parameter",
  [sym_upper_bound] = "upper_bound",
  [sym_lower_bound] = "lower_bound",
  [sym_view_bound] = "view_bound",
  [sym__context_bounds] = "_context_bounds",
  [sym_context_bound] = "context_bound",
  [sym_template_body] = "template_body",
  [sym__indented_template_body] = "_indented_template_body",
  [sym__braced_template_body] = "_braced_template_body",
  [sym__braced_template_body1] = "_braced_template_body1",
  [sym__braced_template_body2] = "_braced_template_body2",
  [sym_with_template_body] = "with_template_body",
  [sym__extension_template_body] = "_extension_template_body",
  [sym__end_marker] = "_end_marker",
  [sym_self_type] = "self_type",
  [sym__self_type_ascription] = "_self_type_ascription",
  [sym_annotation] = "annotation",
  [sym_val_definition] = "val_definition",
  [sym_val_declaration] = "val_declaration",
  [sym__start_val] = "_start_val",
  [sym_var_declaration] = "var_declaration",
  [sym_var_definition] = "var_definition",
  [sym__start_var] = "_start_var",
  [sym_type_definition] = "type_definition",
  [sym__type_constructor] = "_type_constructor",
  [sym_function_definition] = "function_definition",
  [sym_function_declaration] = "function_declaration",
  [sym__function_declaration] = "_function_declaration",
  [sym__function_constructor] = "_function_constructor",
  [sym_opaque_modifier] = "opaque_modifier",
  [sym_extension_definition] = "extension_definition",
  [sym_given_definition] = "given_definition",
  [sym__given_sig] = "_given_sig",
  [sym__given_conditional] = "_given_conditional",
  [sym__given_constructor] = "_given_constructor",
  [sym__structural_instance] = "_structural_instance",
  [sym__constructor_application] = "_constructor_application",
  [sym__constructor_applications] = "_constructor_applications",
  [sym_modifiers] = "modifiers",
  [sym_access_modifier] = "access_modifier",
  [sym_access_qualifier] = "access_qualifier",
  [sym_inline_modifier] = "inline_modifier",
  [sym_infix_modifier] = "infix_modifier",
  [sym_open_modifier] = "open_modifier",
  [sym_transparent_modifier] = "transparent_modifier",
  [sym_extends_clause] = "extends_clause",
  [sym_derives_clause] = "derives_clause",
  [sym_class_parameters] = "class_parameters",
  [sym_parameters] = "parameters",
  [sym__using_parameters_clause] = "_using_parameters_clause",
  [sym_class_parameter] = "class_parameter",
  [sym_parameter] = "parameter",
  [sym_name_and_type] = "name_and_type",
  [sym__block] = "_block",
  [sym__indentable_expression] = "_indentable_expression",
  [sym_block] = "block",
  [sym_indented_block] = "indented_block",
  [sym_indented_cases] = "indented_cases",
  [sym__indented_type_cases] = "_indented_type_cases",
  [sym__type] = "_type",
  [sym__annotated_type] = "_annotated_type",
  [sym_annotated_type] = "annotated_type",
  [sym__simple_type] = "_simple_type",
  [sym_compound_type] = "compound_type",
  [sym__structural_type] = "_structural_type",
  [sym__refinement] = "_refinement",
  [sym__infix_type_choice] = "_infix_type_choice",
  [sym_infix_type] = "infix_type",
  [sym_tuple_type] = "tuple_type",
  [sym_named_tuple_type] = "named_tuple_type",
  [sym_singleton_type] = "singleton_type",
  [sym_stable_type_identifier] = "stable_type_identifier",
  [sym_stable_identifier] = "stable_identifier",
  [sym_generic_type] = "generic_type",
  [sym_projected_type] = "projected_type",
  [sym_match_type] = "match_type",
  [sym_type_case_clause] = "type_case_clause",
  [sym_function_type] = "function_type",
  [sym__arrow_then_type] = "_arrow_then_type",
  [sym_parameter_types] = "parameter_types",
  [sym_lazy_parameter_type] = "lazy_parameter_type",
  [sym_repeated_parameter_type] = "repeated_parameter_type",
  [sym__type_identifier] = "_type_identifier",
  [sym_type_lambda] = "type_lambda",
  [sym_case_class_pattern] = "case_class_pattern",
  [sym_infix_pattern] = "infix_pattern",
  [sym_capture_pattern] = "capture_pattern",
  [sym_repeat_pattern] = "repeat_pattern",
  [sym_typed_pattern] = "typed_pattern",
  [sym_given_pattern] = "given_pattern",
  [sym_alternative_pattern] = "alternative_pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_named_pattern] = "named_pattern",
  [sym_named_tuple_pattern] = "named_tuple_pattern",
  [sym_expression] = "expression",
  [sym__simple_expression] = "_simple_expression",
  [sym_lambda_expression] = "lambda_expression",
  [sym_if_expression] = "if_expression",
  [sym__if_condition] = "_if_condition",
  [sym_match_expression] = "match_expression",
  [sym_try_expression] = "try_expression",
  [sym_catch_clause] = "catch_clause",
  [sym__expr_case_clause] = "_expr_case_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_binding] = "binding",
  [sym_bindings] = "bindings",
  [sym_case_block] = "case_block",
  [sym_case_clause] = "case_clause",
  [sym__case_pattern] = "_case_pattern",
  [sym_guard] = "guard",
  [sym_assignment_expression] = "assignment_expression",
  [sym_generic_function] = "generic_function",
  [sym_call_expression] = "call_expression",
  [sym_colon_argument] = "colon_argument",
  [sym_field_expression] = "field_expression",
  [sym_instance_expression] = "instance_expression",
  [sym_ascription_expression] = "ascription_expression",
  [sym_infix_expression] = "infix_expression",
  [sym_postfix_expression] = "postfix_expression",
  [sym__postfix_expression_choice] = "_postfix_expression_choice",
  [sym_macro_body] = "macro_body",
  [sym_prefix_expression] = "prefix_expression",
  [sym_tuple_expression] = "tuple_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_type_arguments] = "type_arguments",
  [sym_arguments] = "arguments",
  [sym__exprs_in_parens] = "_exprs_in_parens",
  [sym_splice_expression] = "splice_expression",
  [sym_quote_expression] = "quote_expression",
  [sym_identifier] = "identifier",
  [sym__soft_identifier] = "_soft_identifier",
  [sym_identifiers] = "identifiers",
  [sym_wildcard] = "wildcard",
  [sym__non_null_literal] = "_non_null_literal",
  [sym_literal_type] = "literal_type",
  [sym_boolean_literal] = "boolean_literal",
  [sym_interpolated_string_expression] = "interpolated_string_expression",
  [sym__interpolated_string_start] = "_interpolated_string_start",
  [sym__interpolated_multiline_string_start] = "_interpolated_multiline_string_start",
  [sym__dollar_escape] = "_dollar_escape",
  [sym__aliased_interpolation_identifier] = "_aliased_interpolation_identifier",
  [sym_interpolation] = "interpolation",
  [sym_interpolated_string] = "interpolated_string",
  [sym_string] = "string",
  [sym_unit] = "unit",
  [sym_return_expression] = "return_expression",
  [sym_throw_expression] = "throw_expression",
  [sym_while_expression] = "while_expression",
  [sym_do_while_expression] = "do_while_expression",
  [sym_for_expression] = "for_expression",
  [sym_enumerators] = "enumerators",
  [sym_enumerator] = "enumerator",
  [sym__shebang] = "_shebang",
  [sym_comment] = "comment",
  [sym_using_directive] = "using_directive",
  [sym_block_comment] = "block_comment",
  [aux_sym_compilation_unit_repeat1] = "compilation_unit_repeat1",
  [aux_sym_enum_definition_repeat1] = "enum_definition_repeat1",
  [aux_sym__enum_block_repeat1] = "_enum_block_repeat1",
  [aux_sym_enum_case_definitions_repeat1] = "enum_case_definitions_repeat1",
  [aux_sym__full_enum_def_repeat1] = "_full_enum_def_repeat1",
  [aux_sym_package_identifier_repeat1] = "package_identifier_repeat1",
  [aux_sym_import_declaration_repeat1] = "import_declaration_repeat1",
  [aux_sym_namespace_selectors_repeat1] = "namespace_selectors_repeat1",
  [aux_sym__class_constructor_repeat1] = "_class_constructor_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym__type_parameter_repeat1] = "_type_parameter_repeat1",
  [aux_sym__context_bounds_repeat1] = "_context_bounds_repeat1",
  [aux_sym__context_bounds_repeat2] = "_context_bounds_repeat2",
  [aux_sym_annotation_repeat1] = "annotation_repeat1",
  [aux_sym_val_declaration_repeat1] = "val_declaration_repeat1",
  [aux_sym__function_constructor_repeat1] = "_function_constructor_repeat1",
  [aux_sym_extension_definition_repeat1] = "extension_definition_repeat1",
  [aux_sym_given_definition_repeat1] = "given_definition_repeat1",
  [aux_sym__given_constructor_repeat1] = "_given_constructor_repeat1",
  [aux_sym__constructor_applications_repeat1] = "_constructor_applications_repeat1",
  [aux_sym__constructor_applications_repeat2] = "_constructor_applications_repeat2",
  [aux_sym_modifiers_repeat1] = "modifiers_repeat1",
  [aux_sym_derives_clause_repeat1] = "derives_clause_repeat1",
  [aux_sym_class_parameters_repeat1] = "class_parameters_repeat1",
  [aux_sym_parameters_repeat1] = "parameters_repeat1",
  [aux_sym__using_parameters_clause_repeat1] = "_using_parameters_clause_repeat1",
  [aux_sym__block_repeat1] = "_block_repeat1",
  [aux_sym_indented_cases_repeat1] = "indented_cases_repeat1",
  [aux_sym__indented_type_cases_repeat1] = "_indented_type_cases_repeat1",
  [aux_sym_compound_type_repeat1] = "compound_type_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [aux_sym_named_tuple_type_repeat1] = "named_tuple_type_repeat1",
  [aux_sym_type_lambda_repeat1] = "type_lambda_repeat1",
  [aux_sym_case_class_pattern_repeat1] = "case_class_pattern_repeat1",
  [aux_sym_case_class_pattern_repeat2] = "case_class_pattern_repeat2",
  [aux_sym_bindings_repeat1] = "bindings_repeat1",
  [aux_sym_tuple_expression_repeat1] = "tuple_expression_repeat1",
  [aux_sym_identifiers_repeat1] = "identifiers_repeat1",
  [aux_sym_interpolated_string_repeat1] = "interpolated_string_repeat1",
  [aux_sym_interpolated_string_repeat2] = "interpolated_string_repeat2",
  [aux_sym_enumerators_repeat1] = "enumerators_repeat1",
  [aux_sym_enumerator_repeat1] = "enumerator_repeat1",
  [aux_sym_block_comment_repeat1] = "block_comment_repeat1",
  [anon_alias_sym__end_ident] = "_end_ident",
  [alias_sym_given_conditional] = "given_conditional",
  [alias_sym_refinement] = "refinement",
  [alias_sym_structural_type] = "structural_type",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__alpha_identifier] = sym__alpha_identifier,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_package] = anon_sym_package,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym__] = anon_sym__,
  [anon_sym_given] = anon_sym_given,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_trait] = anon_sym_trait,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_LT_COLON] = anon_sym_LT_COLON,
  [anon_sym_GT_COLON] = anon_sym_GT_COLON,
  [anon_sym_LT_PERCENT] = anon_sym_LT_PERCENT,
  [anon_sym_end] = anon_sym_end,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_this] = anon_sym_this,
  [anon_sym_extension] = anon_sym_extension,
  [anon_sym_val] = anon_sym_val,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_def] = anon_sym_def,
  [anon_sym_opaque] = anon_sym_opaque,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_final] = anon_sym_final,
  [anon_sym_sealed] = anon_sym_sealed,
  [anon_sym_implicit] = anon_sym_implicit,
  [anon_sym_lazy] = anon_sym_lazy,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym_infix] = anon_sym_infix,
  [anon_sym_open] = anon_sym_open,
  [anon_sym_transparent] = anon_sym_transparent,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_derives] = anon_sym_derives,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_QMARK_EQ_GT] = anon_sym_QMARK_EQ_GT,
  [anon_sym_EQ_GT_GT] = anon_sym_EQ_GT_GT,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_then] = anon_sym_then,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_macro] = anon_sym_macro,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym__interpolation_identifier] = sym_identifier,
  [sym__backquoted_id] = sym__backquoted_id,
  [sym_operator_identifier] = sym_operator_identifier,
  [sym_integer_literal] = sym_integer_literal,
  [sym_floating_point_literal] = sym_floating_point_literal,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [sym_character_literal] = sym_character_literal,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE_DQUOTE,
  [sym_null_literal] = sym_null_literal,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [aux_sym__shebang_token1] = sym_comment,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [sym__comment_text] = sym__comment_text,
  [anon_sym_GT] = anon_sym_GT,
  [sym_using_directive_key] = sym_using_directive_key,
  [sym_using_directive_value] = sym_using_directive_value,
  [anon_sym_SLASH_STAR] = anon_sym_SLASH_STAR,
  [aux_sym_block_comment_token1] = aux_sym_block_comment_token1,
  [anon_sym_STAR_SLASH] = anon_sym_STAR_SLASH,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__indent] = sym__indent,
  [sym__interpolated_string_middle] = sym__interpolated_string_middle,
  [sym__interpolated_string_end] = sym__interpolated_string_end,
  [sym__interpolated_multiline_string_middle] = sym__interpolated_multiline_string_middle,
  [sym__interpolated_multiline_string_end] = sym__interpolated_multiline_string_end,
  [sym__outdent] = sym__outdent,
  [sym__simple_multiline_string] = sym__simple_multiline_string,
  [sym__simple_string] = sym__simple_string,
  [sym_compilation_unit] = sym_compilation_unit,
  [sym__top_level_definition] = sym__top_level_definition,
  [sym_enum_definition] = sym_enum_definition,
  [sym__enum_block] = sym__enum_block,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_case_definitions] = sym_enum_case_definitions,
  [sym_simple_enum_case] = sym_simple_enum_case,
  [sym_full_enum_case] = sym_full_enum_case,
  [sym__full_enum_def] = sym__full_enum_def,
  [sym_package_clause] = sym_package_clause,
  [sym_package_identifier] = sym_package_identifier,
  [sym_package_object] = sym_package_object,
  [sym_import_declaration] = sym_import_declaration,
  [sym_export_declaration] = sym_export_declaration,
  [sym__namespace_expression] = sym__namespace_expression,
  [sym_namespace_wildcard] = sym_namespace_wildcard,
  [sym__namespace_given_by_type] = sym__namespace_given_by_type,
  [sym_namespace_selectors] = sym_namespace_selectors,
  [sym_arrow_renamed_identifier] = sym_arrow_renamed_identifier,
  [sym_as_renamed_identifier] = sym_as_renamed_identifier,
  [sym_object_definition] = sym_object_definition,
  [sym__object_definition] = sym__object_definition,
  [sym_class_definition] = sym_class_definition,
  [sym__class_definition] = sym__class_definition,
  [sym__definition_body] = sym__definition_body,
  [sym__class_constructor] = sym__class_constructor,
  [sym_trait_definition] = sym_trait_definition,
  [sym_type_parameters] = sym_type_parameters,
  [sym__variant_type_parameter] = sym__variant_type_parameter,
  [sym_covariant_type_parameter] = sym_covariant_type_parameter,
  [sym_contravariant_type_parameter] = sym_contravariant_type_parameter,
  [sym__type_parameter] = sym__type_parameter,
  [sym_upper_bound] = sym_upper_bound,
  [sym_lower_bound] = sym_lower_bound,
  [sym_view_bound] = sym_view_bound,
  [sym__context_bounds] = sym__context_bounds,
  [sym_context_bound] = sym_context_bound,
  [sym_template_body] = sym_template_body,
  [sym__indented_template_body] = sym__indented_template_body,
  [sym__braced_template_body] = sym__braced_template_body,
  [sym__braced_template_body1] = sym__braced_template_body1,
  [sym__braced_template_body2] = sym__braced_template_body2,
  [sym_with_template_body] = sym_with_template_body,
  [sym__extension_template_body] = sym__extension_template_body,
  [sym__end_marker] = sym__end_marker,
  [sym_self_type] = sym_self_type,
  [sym__self_type_ascription] = sym__self_type_ascription,
  [sym_annotation] = sym_annotation,
  [sym_val_definition] = sym_val_definition,
  [sym_val_declaration] = sym_val_declaration,
  [sym__start_val] = sym__start_val,
  [sym_var_declaration] = sym_var_declaration,
  [sym_var_definition] = sym_var_definition,
  [sym__start_var] = sym__start_var,
  [sym_type_definition] = sym_type_definition,
  [sym__type_constructor] = sym__type_constructor,
  [sym_function_definition] = sym_function_definition,
  [sym_function_declaration] = sym_function_declaration,
  [sym__function_declaration] = sym__function_declaration,
  [sym__function_constructor] = sym__function_constructor,
  [sym_opaque_modifier] = sym_opaque_modifier,
  [sym_extension_definition] = sym_extension_definition,
  [sym_given_definition] = sym_given_definition,
  [sym__given_sig] = sym__given_sig,
  [sym__given_conditional] = sym__given_conditional,
  [sym__given_constructor] = sym__given_constructor,
  [sym__structural_instance] = sym__structural_instance,
  [sym__constructor_application] = sym__constructor_application,
  [sym__constructor_applications] = sym__constructor_applications,
  [sym_modifiers] = sym_modifiers,
  [sym_access_modifier] = sym_access_modifier,
  [sym_access_qualifier] = sym_access_qualifier,
  [sym_inline_modifier] = sym_inline_modifier,
  [sym_infix_modifier] = sym_infix_modifier,
  [sym_open_modifier] = sym_open_modifier,
  [sym_transparent_modifier] = sym_transparent_modifier,
  [sym_extends_clause] = sym_extends_clause,
  [sym_derives_clause] = sym_derives_clause,
  [sym_class_parameters] = sym_class_parameters,
  [sym_parameters] = sym_parameters,
  [sym__using_parameters_clause] = sym__using_parameters_clause,
  [sym_class_parameter] = sym_class_parameter,
  [sym_parameter] = sym_parameter,
  [sym_name_and_type] = sym_name_and_type,
  [sym__block] = sym__block,
  [sym__indentable_expression] = sym__indentable_expression,
  [sym_block] = sym_block,
  [sym_indented_block] = sym_indented_block,
  [sym_indented_cases] = sym_indented_cases,
  [sym__indented_type_cases] = sym__indented_type_cases,
  [sym__type] = sym__type,
  [sym__annotated_type] = sym__annotated_type,
  [sym_annotated_type] = sym_annotated_type,
  [sym__simple_type] = sym__simple_type,
  [sym_compound_type] = sym_compound_type,
  [sym__structural_type] = sym__structural_type,
  [sym__refinement] = sym__refinement,
  [sym__infix_type_choice] = sym__infix_type_choice,
  [sym_infix_type] = sym_infix_type,
  [sym_tuple_type] = sym_tuple_type,
  [sym_named_tuple_type] = sym_named_tuple_type,
  [sym_singleton_type] = sym_singleton_type,
  [sym_stable_type_identifier] = sym_stable_type_identifier,
  [sym_stable_identifier] = sym_stable_identifier,
  [sym_generic_type] = sym_generic_type,
  [sym_projected_type] = sym_projected_type,
  [sym_match_type] = sym_match_type,
  [sym_type_case_clause] = sym_type_case_clause,
  [sym_function_type] = sym_function_type,
  [sym__arrow_then_type] = sym__arrow_then_type,
  [sym_parameter_types] = sym_parameter_types,
  [sym_lazy_parameter_type] = sym_lazy_parameter_type,
  [sym_repeated_parameter_type] = sym_repeated_parameter_type,
  [sym__type_identifier] = sym__type_identifier,
  [sym_type_lambda] = sym_type_lambda,
  [sym_case_class_pattern] = sym_case_class_pattern,
  [sym_infix_pattern] = sym_infix_pattern,
  [sym_capture_pattern] = sym_capture_pattern,
  [sym_repeat_pattern] = sym_repeat_pattern,
  [sym_typed_pattern] = sym_typed_pattern,
  [sym_given_pattern] = sym_given_pattern,
  [sym_alternative_pattern] = sym_alternative_pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_named_pattern] = sym_named_pattern,
  [sym_named_tuple_pattern] = sym_named_tuple_pattern,
  [sym_expression] = sym_expression,
  [sym__simple_expression] = sym__simple_expression,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_if_expression] = sym_if_expression,
  [sym__if_condition] = sym__if_condition,
  [sym_match_expression] = sym_match_expression,
  [sym_try_expression] = sym_try_expression,
  [sym_catch_clause] = sym_catch_clause,
  [sym__expr_case_clause] = sym__expr_case_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_binding] = sym_binding,
  [sym_bindings] = sym_bindings,
  [sym_case_block] = sym_case_block,
  [sym_case_clause] = sym_case_clause,
  [sym__case_pattern] = sym__case_pattern,
  [sym_guard] = sym_guard,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_generic_function] = sym_generic_function,
  [sym_call_expression] = sym_call_expression,
  [sym_colon_argument] = sym_colon_argument,
  [sym_field_expression] = sym_field_expression,
  [sym_instance_expression] = sym_instance_expression,
  [sym_ascription_expression] = sym_ascription_expression,
  [sym_infix_expression] = sym_infix_expression,
  [sym_postfix_expression] = sym_postfix_expression,
  [sym__postfix_expression_choice] = sym__postfix_expression_choice,
  [sym_macro_body] = sym_macro_body,
  [sym_prefix_expression] = sym_prefix_expression,
  [sym_tuple_expression] = sym_tuple_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_type_arguments] = sym_type_arguments,
  [sym_arguments] = sym_arguments,
  [sym__exprs_in_parens] = sym__exprs_in_parens,
  [sym_splice_expression] = sym_splice_expression,
  [sym_quote_expression] = sym_quote_expression,
  [sym_identifier] = sym_identifier,
  [sym__soft_identifier] = sym__soft_identifier,
  [sym_identifiers] = sym_identifiers,
  [sym_wildcard] = sym_wildcard,
  [sym__non_null_literal] = sym__non_null_literal,
  [sym_literal_type] = sym_literal_type,
  [sym_boolean_literal] = sym_boolean_literal,
  [sym_interpolated_string_expression] = sym_interpolated_string_expression,
  [sym__interpolated_string_start] = sym__interpolated_string_start,
  [sym__interpolated_multiline_string_start] = sym__interpolated_multiline_string_start,
  [sym__dollar_escape] = sym__dollar_escape,
  [sym__aliased_interpolation_identifier] = sym__aliased_interpolation_identifier,
  [sym_interpolation] = sym_interpolation,
  [sym_interpolated_string] = sym_interpolated_string,
  [sym_string] = sym_string,
  [sym_unit] = sym_unit,
  [sym_return_expression] = sym_return_expression,
  [sym_throw_expression] = sym_throw_expression,
  [sym_while_expression] = sym_while_expression,
  [sym_do_while_expression] = sym_do_while_expression,
  [sym_for_expression] = sym_for_expression,
  [sym_enumerators] = sym_enumerators,
  [sym_enumerator] = sym_enumerator,
  [sym__shebang] = sym__shebang,
  [sym_comment] = sym_comment,
  [sym_using_directive] = sym_using_directive,
  [sym_block_comment] = sym_block_comment,
  [aux_sym_compilation_unit_repeat1] = aux_sym_compilation_unit_repeat1,
  [aux_sym_enum_definition_repeat1] = aux_sym_enum_definition_repeat1,
  [aux_sym__enum_block_repeat1] = aux_sym__enum_block_repeat1,
  [aux_sym_enum_case_definitions_repeat1] = aux_sym_enum_case_definitions_repeat1,
  [aux_sym__full_enum_def_repeat1] = aux_sym__full_enum_def_repeat1,
  [aux_sym_package_identifier_repeat1] = aux_sym_package_identifier_repeat1,
  [aux_sym_import_declaration_repeat1] = aux_sym_import_declaration_repeat1,
  [aux_sym_namespace_selectors_repeat1] = aux_sym_namespace_selectors_repeat1,
  [aux_sym__class_constructor_repeat1] = aux_sym__class_constructor_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym__type_parameter_repeat1] = aux_sym__type_parameter_repeat1,
  [aux_sym__context_bounds_repeat1] = aux_sym__context_bounds_repeat1,
  [aux_sym__context_bounds_repeat2] = aux_sym__context_bounds_repeat2,
  [aux_sym_annotation_repeat1] = aux_sym_annotation_repeat1,
  [aux_sym_val_declaration_repeat1] = aux_sym_val_declaration_repeat1,
  [aux_sym__function_constructor_repeat1] = aux_sym__function_constructor_repeat1,
  [aux_sym_extension_definition_repeat1] = aux_sym_extension_definition_repeat1,
  [aux_sym_given_definition_repeat1] = aux_sym_given_definition_repeat1,
  [aux_sym__given_constructor_repeat1] = aux_sym__given_constructor_repeat1,
  [aux_sym__constructor_applications_repeat1] = aux_sym__constructor_applications_repeat1,
  [aux_sym__constructor_applications_repeat2] = aux_sym__constructor_applications_repeat2,
  [aux_sym_modifiers_repeat1] = aux_sym_modifiers_repeat1,
  [aux_sym_derives_clause_repeat1] = aux_sym_derives_clause_repeat1,
  [aux_sym_class_parameters_repeat1] = aux_sym_class_parameters_repeat1,
  [aux_sym_parameters_repeat1] = aux_sym_parameters_repeat1,
  [aux_sym__using_parameters_clause_repeat1] = aux_sym__using_parameters_clause_repeat1,
  [aux_sym__block_repeat1] = aux_sym__block_repeat1,
  [aux_sym_indented_cases_repeat1] = aux_sym_indented_cases_repeat1,
  [aux_sym__indented_type_cases_repeat1] = aux_sym__indented_type_cases_repeat1,
  [aux_sym_compound_type_repeat1] = aux_sym_compound_type_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [aux_sym_named_tuple_type_repeat1] = aux_sym_named_tuple_type_repeat1,
  [aux_sym_type_lambda_repeat1] = aux_sym_type_lambda_repeat1,
  [aux_sym_case_class_pattern_repeat1] = aux_sym_case_class_pattern_repeat1,
  [aux_sym_case_class_pattern_repeat2] = aux_sym_case_class_pattern_repeat2,
  [aux_sym_bindings_repeat1] = aux_sym_bindings_repeat1,
  [aux_sym_tuple_expression_repeat1] = aux_sym_tuple_expression_repeat1,
  [aux_sym_identifiers_repeat1] = aux_sym_identifiers_repeat1,
  [aux_sym_interpolated_string_repeat1] = aux_sym_interpolated_string_repeat1,
  [aux_sym_interpolated_string_repeat2] = aux_sym_interpolated_string_repeat2,
  [aux_sym_enumerators_repeat1] = aux_sym_enumerators_repeat1,
  [aux_sym_enumerator_repeat1] = aux_sym_enumerator_repeat1,
  [aux_sym_block_comment_repeat1] = aux_sym_block_comment_repeat1,
  [anon_alias_sym__end_ident] = anon_alias_sym__end_ident,
  [alias_sym_given_conditional] = alias_sym_given_conditional,
  [alias_sym_refinement] = alias_sym_refinement,
  [alias_sym_structural_type] = alias_sym_structural_type,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__alpha_identifier] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_given] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_trait] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_end] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_this] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extension] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_val] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_opaque] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sealed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implicit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lazy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_infix] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_open] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_transparent] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_derives] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_macro] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym__interpolation_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__backquoted_id] = {
    .visible = false,
    .named = true,
  },
  [sym_operator_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_floating_point_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [sym_character_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_null_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__shebang_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym__comment_text] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_using_directive_key] = {
    .visible = true,
    .named = true,
  },
  [sym_using_directive_value] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SLASH_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_block_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_STAR_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolated_string_middle] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolated_string_end] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolated_multiline_string_middle] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolated_multiline_string_end] = {
    .visible = false,
    .named = true,
  },
  [sym__outdent] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_multiline_string] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string] = {
    .visible = false,
    .named = true,
  },
  [sym_compilation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_definition] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_block] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_case_definitions] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym_full_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym__full_enum_def] = {
    .visible = false,
    .named = true,
  },
  [sym_package_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_package_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_package_object] = {
    .visible = true,
    .named = true,
  },
  [sym_import_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_export_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_wildcard] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_given_by_type] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_selectors] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_renamed_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_as_renamed_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_object_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__object_definition] = {
    .visible = false,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__class_definition] = {
    .visible = false,
    .named = true,
  },
  [sym__definition_body] = {
    .visible = false,
    .named = true,
  },
  [sym__class_constructor] = {
    .visible = false,
    .named = true,
  },
  [sym_trait_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym__variant_type_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_covariant_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_contravariant_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__type_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_upper_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_lower_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_view_bound] = {
    .visible = true,
    .named = true,
  },
  [sym__context_bounds] = {
    .visible = false,
    .named = true,
  },
  [sym_context_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_template_body] = {
    .visible = true,
    .named = true,
  },
  [sym__indented_template_body] = {
    .visible = false,
    .named = true,
  },
  [sym__braced_template_body] = {
    .visible = false,
    .named = true,
  },
  [sym__braced_template_body1] = {
    .visible = false,
    .named = true,
  },
  [sym__braced_template_body2] = {
    .visible = false,
    .named = true,
  },
  [sym_with_template_body] = {
    .visible = true,
    .named = true,
  },
  [sym__extension_template_body] = {
    .visible = false,
    .named = true,
  },
  [sym__end_marker] = {
    .visible = false,
    .named = true,
  },
  [sym_self_type] = {
    .visible = true,
    .named = true,
  },
  [sym__self_type_ascription] = {
    .visible = false,
    .named = true,
  },
  [sym_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_val_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_val_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__start_val] = {
    .visible = false,
    .named = true,
  },
  [sym_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_var_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__start_var] = {
    .visible = false,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_constructor] = {
    .visible = false,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__function_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__function_constructor] = {
    .visible = false,
    .named = true,
  },
  [sym_opaque_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_extension_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_given_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__given_sig] = {
    .visible = false,
    .named = true,
  },
  [sym__given_conditional] = {
    .visible = false,
    .named = true,
  },
  [sym__given_constructor] = {
    .visible = false,
    .named = true,
  },
  [sym__structural_instance] = {
    .visible = false,
    .named = true,
  },
  [sym__constructor_application] = {
    .visible = false,
    .named = true,
  },
  [sym__constructor_applications] = {
    .visible = false,
    .named = true,
  },
  [sym_modifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_access_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_access_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_inline_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_open_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_transparent_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_derives_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_class_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym__using_parameters_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_class_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_name_and_type] = {
    .visible = true,
    .named = true,
  },
  [sym__block] = {
    .visible = false,
    .named = true,
  },
  [sym__indentable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_indented_block] = {
    .visible = true,
    .named = true,
  },
  [sym_indented_cases] = {
    .visible = true,
    .named = true,
  },
  [sym__indented_type_cases] = {
    .visible = false,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
  },
  [sym__annotated_type] = {
    .visible = false,
    .named = true,
  },
  [sym_annotated_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_type] = {
    .visible = false,
    .named = true,
  },
  [sym_compound_type] = {
    .visible = true,
    .named = true,
  },
  [sym__structural_type] = {
    .visible = false,
    .named = true,
  },
  [sym__refinement] = {
    .visible = false,
    .named = true,
  },
  [sym__infix_type_choice] = {
    .visible = false,
    .named = true,
  },
  [sym_infix_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_named_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_singleton_type] = {
    .visible = true,
    .named = true,
  },
  [sym_stable_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_stable_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_projected_type] = {
    .visible = true,
    .named = true,
  },
  [sym_match_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym__arrow_then_type] = {
    .visible = false,
    .named = true,
  },
  [sym_parameter_types] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_parameter_type] = {
    .visible = true,
    .named = true,
  },
  [sym_repeated_parameter_type] = {
    .visible = true,
    .named = true,
  },
  [sym__type_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_type_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_case_class_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_capture_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_repeat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_given_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_alternative_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_named_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_named_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__simple_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_if_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__if_condition] = {
    .visible = false,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_try_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__expr_case_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_bindings] = {
    .visible = true,
    .named = true,
  },
  [sym_case_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__case_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_guard] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_function] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_colon_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ascription_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__postfix_expression_choice] = {
    .visible = false,
    .named = true,
  },
  [sym_macro_body] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym__exprs_in_parens] = {
    .visible = false,
    .named = true,
  },
  [sym_splice_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_quote_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__soft_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_identifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard] = {
    .visible = true,
    .named = true,
  },
  [sym__non_null_literal] = {
    .visible = false,
    .named = true,
  },
  [sym_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolated_string_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__interpolated_string_start] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolated_multiline_string_start] = {
    .visible = false,
    .named = true,
  },
  [sym__dollar_escape] = {
    .visible = false,
    .named = true,
  },
  [sym__aliased_interpolation_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_return_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_do_while_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_for_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerators] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym__shebang] = {
    .visible = false,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_using_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_block_comment] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_compilation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__enum_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_case_definitions_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__full_enum_def_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_package_identifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_selectors_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__class_constructor_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_parameter_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__context_bounds_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__context_bounds_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_annotation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_val_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__function_constructor_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extension_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_given_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__given_constructor_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__constructor_applications_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__constructor_applications_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_modifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_derives_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__using_parameters_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_indented_cases_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__indented_type_cases_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_compound_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_lambda_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_class_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_class_pattern_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_bindings_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_identifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interpolated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interpolated_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_comment_repeat1] = {
    .visible = false,
    .named = false,
  },
  [anon_alias_sym__end_ident] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_given_conditional] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_refinement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_structural_type] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_arguments = 3,
  field_base = 4,
  field_body = 5,
  field_bound = 6,
  field_class_parameters = 7,
  field_condition = 8,
  field_consequence = 9,
  field_default_value = 10,
  field_derive = 11,
  field_enumerators = 12,
  field_extend = 13,
  field_extra = 14,
  field_field = 15,
  field_function = 16,
  field_interpolator = 17,
  field_lambda_start = 18,
  field_left = 19,
  field_name = 20,
  field_operator = 21,
  field_parameter_types = 22,
  field_parameters = 23,
  field_path = 24,
  field_pattern = 25,
  field_return_type = 26,
  field_right = 27,
  field_selector = 28,
  field_type = 29,
  field_type_arguments = 30,
  field_type_parameters = 31,
  field_value = 32,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_arguments] = "arguments",
  [field_base] = "base",
  [field_body] = "body",
  [field_bound] = "bound",
  [field_class_parameters] = "class_parameters",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_default_value] = "default_value",
  [field_derive] = "derive",
  [field_enumerators] = "enumerators",
  [field_extend] = "extend",
  [field_extra] = "extra",
  [field_field] = "field",
  [field_function] = "function",
  [field_interpolator] = "interpolator",
  [field_lambda_start] = "lambda_start",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_parameter_types] = "parameter_types",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_pattern] = "pattern",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_selector] = "selector",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 3},
  [2] = {.index = 3, .length = 1},
  [3] = {.index = 4, .length = 1},
  [4] = {.index = 5, .length = 4},
  [5] = {.index = 9, .length = 1},
  [6] = {.index = 10, .length = 1},
  [9] = {.index = 11, .length = 3},
  [11] = {.index = 14, .length = 1},
  [12] = {.index = 15, .length = 6},
  [13] = {.index = 21, .length = 3},
  [14] = {.index = 24, .length = 3},
  [16] = {.index = 27, .length = 1},
  [17] = {.index = 28, .length = 1},
  [18] = {.index = 29, .length = 3},
  [19] = {.index = 32, .length = 2},
  [20] = {.index = 34, .length = 4},
  [21] = {.index = 38, .length = 2},
  [22] = {.index = 40, .length = 2},
  [23] = {.index = 42, .length = 1},
  [24] = {.index = 43, .length = 2},
  [25] = {.index = 45, .length = 2},
  [26] = {.index = 47, .length = 4},
  [27] = {.index = 51, .length = 1},
  [28] = {.index = 52, .length = 4},
  [29] = {.index = 56, .length = 6},
  [30] = {.index = 62, .length = 2},
  [31] = {.index = 64, .length = 3},
  [32] = {.index = 67, .length = 1},
  [33] = {.index = 68, .length = 2},
  [34] = {.index = 70, .length = 2},
  [35] = {.index = 72, .length = 2},
  [36] = {.index = 74, .length = 2},
  [37] = {.index = 76, .length = 1},
  [38] = {.index = 77, .length = 6},
  [39] = {.index = 83, .length = 4},
  [41] = {.index = 87, .length = 1},
  [42] = {.index = 88, .length = 1},
  [43] = {.index = 89, .length = 2},
  [44] = {.index = 91, .length = 2},
  [45] = {.index = 93, .length = 3},
  [46] = {.index = 96, .length = 1},
  [47] = {.index = 97, .length = 1},
  [48] = {.index = 98, .length = 5},
  [49] = {.index = 103, .length = 4},
  [50] = {.index = 107, .length = 4},
  [51] = {.index = 111, .length = 2},
  [52] = {.index = 113, .length = 2},
  [53] = {.index = 115, .length = 2},
  [54] = {.index = 117, .length = 1},
  [55] = {.index = 118, .length = 1},
  [56] = {.index = 119, .length = 1},
  [57] = {.index = 120, .length = 2},
  [58] = {.index = 122, .length = 2},
  [59] = {.index = 124, .length = 2},
  [60] = {.index = 126, .length = 2},
  [61] = {.index = 128, .length = 4},
  [62] = {.index = 132, .length = 3},
  [63] = {.index = 135, .length = 2},
  [64] = {.index = 137, .length = 2},
  [65] = {.index = 139, .length = 2},
  [66] = {.index = 141, .length = 2},
  [67] = {.index = 143, .length = 3},
  [68] = {.index = 146, .length = 2},
  [69] = {.index = 148, .length = 3},
  [70] = {.index = 151, .length = 2},
  [71] = {.index = 153, .length = 1},
  [72] = {.index = 154, .length = 2},
  [73] = {.index = 156, .length = 5},
  [74] = {.index = 161, .length = 5},
  [75] = {.index = 166, .length = 2},
  [76] = {.index = 168, .length = 4},
  [77] = {.index = 172, .length = 3},
  [78] = {.index = 175, .length = 4},
  [79] = {.index = 179, .length = 2},
  [80] = {.index = 181, .length = 2},
  [81] = {.index = 183, .length = 2},
  [82] = {.index = 185, .length = 2},
  [83] = {.index = 187, .length = 6},
  [84] = {.index = 193, .length = 4},
  [85] = {.index = 197, .length = 2},
  [86] = {.index = 199, .length = 2},
  [87] = {.index = 201, .length = 1},
  [88] = {.index = 202, .length = 2},
  [89] = {.index = 204, .length = 2},
  [90] = {.index = 206, .length = 6},
  [91] = {.index = 212, .length = 5},
  [92] = {.index = 217, .length = 6},
  [93] = {.index = 223, .length = 1},
  [94] = {.index = 224, .length = 3},
  [95] = {.index = 227, .length = 3},
  [96] = {.index = 230, .length = 6},
  [97] = {.index = 236, .length = 6},
  [98] = {.index = 242, .length = 3},
  [99] = {.index = 245, .length = 2},
  [100] = {.index = 247, .length = 2},
  [101] = {.index = 249, .length = 2},
  [102] = {.index = 251, .length = 2},
  [103] = {.index = 253, .length = 3},
  [104] = {.index = 256, .length = 4},
  [105] = {.index = 260, .length = 3},
  [106] = {.index = 263, .length = 2},
  [107] = {.index = 265, .length = 2},
  [108] = {.index = 267, .length = 1},
  [109] = {.index = 268, .length = 2},
  [110] = {.index = 270, .length = 2},
  [111] = {.index = 272, .length = 2},
  [112] = {.index = 274, .length = 2},
  [113] = {.index = 276, .length = 4},
  [114] = {.index = 280, .length = 6},
  [115] = {.index = 286, .length = 6},
  [116] = {.index = 292, .length = 4},
  [117] = {.index = 296, .length = 3},
  [118] = {.index = 299, .length = 1},
  [119] = {.index = 300, .length = 3},
  [120] = {.index = 303, .length = 2},
  [121] = {.index = 305, .length = 2},
  [122] = {.index = 307, .length = 4},
  [123] = {.index = 311, .length = 4},
  [124] = {.index = 315, .length = 2},
  [125] = {.index = 317, .length = 3},
  [126] = {.index = 320, .length = 2},
  [127] = {.index = 322, .length = 2},
  [128] = {.index = 324, .length = 2},
  [129] = {.index = 326, .length = 6},
  [130] = {.index = 332, .length = 5},
  [131] = {.index = 337, .length = 3},
  [132] = {.index = 340, .length = 5},
  [133] = {.index = 345, .length = 2},
  [134] = {.index = 347, .length = 7},
  [135] = {.index = 354, .length = 4},
  [136] = {.index = 358, .length = 4},
  [137] = {.index = 362, .length = 3},
  [138] = {.index = 365, .length = 4},
  [139] = {.index = 369, .length = 2},
  [140] = {.index = 371, .length = 2},
  [141] = {.index = 373, .length = 3},
  [142] = {.index = 376, .length = 4},
  [143] = {.index = 380, .length = 6},
  [144] = {.index = 386, .length = 4},
  [145] = {.index = 390, .length = 3},
  [146] = {.index = 393, .length = 2},
  [147] = {.index = 395, .length = 5},
  [148] = {.index = 400, .length = 5},
  [149] = {.index = 405, .length = 4},
  [150] = {.index = 409, .length = 6},
  [151] = {.index = 415, .length = 6},
  [152] = {.index = 421, .length = 4},
  [153] = {.index = 425, .length = 3},
  [154] = {.index = 428, .length = 1},
  [155] = {.index = 429, .length = 3},
  [156] = {.index = 432, .length = 2},
  [157] = {.index = 434, .length = 1},
  [158] = {.index = 435, .length = 3},
  [159] = {.index = 438, .length = 4},
  [160] = {.index = 442, .length = 1},
  [161] = {.index = 443, .length = 2},
  [162] = {.index = 445, .length = 2},
  [163] = {.index = 447, .length = 5},
  [164] = {.index = 452, .length = 4},
  [165] = {.index = 456, .length = 2},
  [166] = {.index = 458, .length = 5},
  [167] = {.index = 463, .length = 5},
  [168] = {.index = 468, .length = 3},
  [169] = {.index = 471, .length = 4},
  [170] = {.index = 475, .length = 3},
  [171] = {.index = 478, .length = 3},
  [172] = {.index = 481, .length = 3},
  [173] = {.index = 484, .length = 5},
  [174] = {.index = 489, .length = 2},
  [175] = {.index = 491, .length = 4},
  [176] = {.index = 495, .length = 3},
  [177] = {.index = 498, .length = 6},
  [178] = {.index = 504, .length = 6},
  [179] = {.index = 510, .length = 4},
  [180] = {.index = 514, .length = 3},
  [181] = {.index = 517, .length = 2},
  [182] = {.index = 519, .length = 1},
  [183] = {.index = 520, .length = 2},
  [184] = {.index = 522, .length = 2},
  [185] = {.index = 524, .length = 3},
  [186] = {.index = 527, .length = 2},
  [187] = {.index = 529, .length = 4},
  [188] = {.index = 533, .length = 7},
  [189] = {.index = 540, .length = 6},
  [190] = {.index = 546, .length = 4},
  [191] = {.index = 550, .length = 5},
  [192] = {.index = 555, .length = 3},
  [193] = {.index = 558, .length = 5},
  [194] = {.index = 563, .length = 2},
  [195] = {.index = 565, .length = 4},
  [196] = {.index = 569, .length = 2},
  [197] = {.index = 571, .length = 3},
  [198] = {.index = 574, .length = 3},
  [199] = {.index = 577, .length = 2},
  [200] = {.index = 579, .length = 7},
  [201] = {.index = 586, .length = 5},
  [202] = {.index = 591, .length = 2},
  [203] = {.index = 593, .length = 2},
  [204] = {.index = 595, .length = 3},
  [205] = {.index = 598, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [3] =
    {field_name, 0},
  [4] =
    {field_name, 1},
  [5] =
    {field_body, 1, .inherited = true},
    {field_derive, 1, .inherited = true},
    {field_extend, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [9] =
    {field_path, 0},
  [10] =
    {field_path, 1, .inherited = true},
  [11] =
    {field_arguments, 1, .inherited = true},
    {field_body, 1, .inherited = true},
    {field_return_type, 1},
  [14] =
    {field_return_type, 1},
  [15] =
    {field_body, 1, .inherited = true},
    {field_class_parameters, 1, .inherited = true},
    {field_derive, 1, .inherited = true},
    {field_extend, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [21] =
    {field_class_parameters, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [24] =
    {field_bound, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [27] =
    {field_body, 1},
  [28] =
    {field_arguments, 1, .inherited = true},
  [29] =
    {field_bound, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [32] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
  [34] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [38] =
    {field_function, 0},
    {field_type_arguments, 1},
  [40] =
    {field_arguments, 1},
    {field_function, 0},
  [42] =
    {field_interpolator, 0},
  [43] =
    {field_name, 0},
    {field_type_parameters, 1},
  [45] =
    {field_class_parameters, 1},
    {field_name, 0},
  [47] =
    {field_body, 2},
    {field_class_parameters, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [51] =
    {field_pattern, 1, .inherited = true},
  [52] =
    {field_body, 2, .inherited = true},
    {field_derive, 2, .inherited = true},
    {field_extend, 2, .inherited = true},
    {field_name, 2, .inherited = true},
  [56] =
    {field_body, 2, .inherited = true},
    {field_class_parameters, 2, .inherited = true},
    {field_derive, 2, .inherited = true},
    {field_extend, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [62] =
    {field_body, 2},
    {field_name, 1},
  [64] =
    {field_body, 1},
    {field_body, 1, .inherited = true},
    {field_name, 0},
  [67] =
    {field_body, 0},
  [68] =
    {field_extend, 1},
    {field_name, 0},
  [70] =
    {field_derive, 1},
    {field_name, 0},
  [72] =
    {field_path, 0},
    {field_path, 1},
  [74] =
    {field_path, 1, .inherited = true},
    {field_path, 2, .inherited = true},
  [76] =
    {field_type_parameters, 0},
  [77] =
    {field_arguments, 2, .inherited = true},
    {field_body, 2, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 2},
    {field_type_parameters, 1, .inherited = true},
  [83] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 2},
    {field_type_parameters, 1, .inherited = true},
  [87] =
    {field_base, 0},
  [88] =
    {field_arguments, 1},
  [89] =
    {field_base, 0},
    {field_extra, 1, .inherited = true},
  [91] =
    {field_type, 0},
    {field_type_arguments, 1},
  [93] =
    {field_arguments, 2, .inherited = true},
    {field_body, 2, .inherited = true},
    {field_return_type, 2},
  [96] =
    {field_return_type, 2},
  [97] =
    {field_parameters, 0},
  [98] =
    {field_body, 1},
    {field_body, 1, .inherited = true},
    {field_class_parameters, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [103] =
    {field_class_parameters, 0, .inherited = true},
    {field_extend, 1},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [107] =
    {field_class_parameters, 0, .inherited = true},
    {field_derive, 1},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [111] =
    {field_bound, 1},
    {field_name, 0},
  [113] =
    {field_condition, 1},
    {field_consequence, 2},
  [115] =
    {field_body, 2},
    {field_condition, 1},
  [117] =
    {field_type, 1},
  [118] =
    {field_condition, 1},
  [119] =
    {field_pattern, 0},
  [120] =
    {field_body, 2},
    {field_type_parameters, 1},
  [122] =
    {field_body, 2},
    {field_parameters, 1},
  [124] =
    {field_arguments, 2},
    {field_name, 1},
  [126] =
    {field_name, 0},
    {field_parameters, 1},
  [128] =
    {field_body, 2},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [132] =
    {field_bound, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [135] =
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
  [137] =
    {field_body, 2},
    {field_value, 0},
  [139] =
    {field_field, 2},
    {field_value, 0},
  [141] =
    {field_left, 0},
    {field_right, 2},
  [143] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [146] =
    {field_arguments, 2},
    {field_function, 0},
  [148] =
    {field_class_parameters, 2},
    {field_name, 0},
    {field_type_parameters, 1},
  [151] =
    {field_class_parameters, 2},
    {field_name, 0},
  [153] =
    {field_arguments, 0, .inherited = true},
  [154] =
    {field_arguments, 1, .inherited = true},
    {field_type, 1},
  [156] =
    {field_body, 3},
    {field_class_parameters, 1, .inherited = true},
    {field_extend, 2},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [161] =
    {field_body, 3},
    {field_class_parameters, 1, .inherited = true},
    {field_derive, 2},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [166] =
    {field_body, 2},
    {field_pattern, 1, .inherited = true},
  [168] =
    {field_body, 2},
    {field_body, 2, .inherited = true},
    {field_extend, 1},
    {field_name, 0},
  [172] =
    {field_derive, 2},
    {field_extend, 1},
    {field_name, 0},
  [175] =
    {field_body, 2},
    {field_body, 2, .inherited = true},
    {field_derive, 1},
    {field_name, 0},
  [179] =
    {field_path, 0, .inherited = true},
    {field_path, 1, .inherited = true},
  [181] =
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 0},
  [183] =
    {field_parameter_types, 0},
    {field_return_type, 1, .inherited = true},
  [185] =
    {field_parameters, 1},
    {field_type_parameters, 0},
  [187] =
    {field_arguments, 3, .inherited = true},
    {field_body, 3, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 3},
    {field_type_parameters, 1, .inherited = true},
  [193] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 3},
    {field_type_parameters, 1, .inherited = true},
  [197] =
    {field_arguments, 0, .inherited = true},
    {field_body, 2},
  [199] =
    {field_body, 3},
    {field_return_type, 1},
  [201] =
    {field_extra, 1},
  [202] =
    {field_extra, 0, .inherited = true},
    {field_extra, 1, .inherited = true},
  [204] =
    {field_selector, 2},
    {field_type, 0},
  [206] =
    {field_body, 2},
    {field_body, 2, .inherited = true},
    {field_class_parameters, 0, .inherited = true},
    {field_extend, 1},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [212] =
    {field_class_parameters, 0, .inherited = true},
    {field_derive, 2},
    {field_extend, 1},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [217] =
    {field_body, 2},
    {field_body, 2, .inherited = true},
    {field_class_parameters, 0, .inherited = true},
    {field_derive, 1},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [223] =
    {field_type, 0},
  [224] =
    {field_bound, 2},
    {field_name, 0},
    {field_type_parameters, 1},
  [227] =
    {field_bound, 1},
    {field_bound, 2},
    {field_name, 0},
  [230] =
    {field_bound, 1, .inherited = true},
    {field_bound, 2, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [236] =
    {field_bound, 0, .inherited = true},
    {field_bound, 1, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [242] =
    {field_body, 3},
    {field_condition, 1},
    {field_condition, 2},
  [245] =
    {field_pattern, 0},
    {field_type, 2},
  [247] =
    {field_name, 0},
    {field_pattern, 2},
  [249] =
    {field_body, 3},
    {field_enumerators, 1},
  [251] =
    {field_body, 1, .inherited = true},
    {field_pattern, 1, .inherited = true},
  [253] =
    {field_body, 3},
    {field_parameters, 2},
    {field_type_parameters, 1},
  [256] =
    {field_bound, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type, 3},
    {field_type_parameters, 1, .inherited = true},
  [260] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 3},
  [263] =
    {field_parameters, 0},
    {field_parameters, 1},
  [265] =
    {field_name, 0},
    {field_type, 2},
  [267] =
    {field_type, 2},
  [268] =
    {field_body, 1},
    {field_condition, 3},
  [270] =
    {field_name, 1},
    {field_type, 3},
  [272] =
    {field_pattern, 1},
    {field_value, 3},
  [274] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [276] =
    {field_body, 3, .inherited = true},
    {field_derive, 3, .inherited = true},
    {field_extend, 3, .inherited = true},
    {field_name, 3, .inherited = true},
  [280] =
    {field_body, 3, .inherited = true},
    {field_class_parameters, 3, .inherited = true},
    {field_derive, 3, .inherited = true},
    {field_extend, 3, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [286] =
    {field_arguments, 3, .inherited = true},
    {field_body, 3, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 3},
    {field_type_parameters, 2, .inherited = true},
  [292] =
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 3},
    {field_type_parameters, 2, .inherited = true},
  [296] =
    {field_arguments, 3, .inherited = true},
    {field_body, 3, .inherited = true},
    {field_return_type, 3},
  [299] =
    {field_return_type, 3},
  [300] =
    {field_bound, 3, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [303] =
    {field_condition, 2},
    {field_consequence, 3},
  [305] =
    {field_body, 3},
    {field_value, 1},
  [307] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
    {field_right, 3},
  [311] =
    {field_body, 3},
    {field_class_parameters, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [315] =
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
  [317] =
    {field_class_parameters, 3},
    {field_name, 0},
    {field_type_parameters, 1},
  [320] =
    {field_class_parameters, 3},
    {field_name, 0},
  [322] =
    {field_arguments, 0, .inherited = true},
    {field_arguments, 1, .inherited = true},
  [324] =
    {field_type, 1},
    {field_type, 2, .inherited = true},
  [326] =
    {field_body, 4},
    {field_class_parameters, 1, .inherited = true},
    {field_derive, 3},
    {field_extend, 2},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [332] =
    {field_body, 3},
    {field_body, 3, .inherited = true},
    {field_derive, 2},
    {field_extend, 1},
    {field_name, 0},
  [337] =
    {field_name, 0},
    {field_parameters, 2},
    {field_type_parameters, 1},
  [340] =
    {field_body, 4},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 2},
    {field_type_parameters, 1, .inherited = true},
  [345] =
    {field_body, 4},
    {field_return_type, 2},
  [347] =
    {field_body, 3},
    {field_body, 3, .inherited = true},
    {field_class_parameters, 0, .inherited = true},
    {field_derive, 2},
    {field_extend, 1},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [354] =
    {field_bound, 2},
    {field_bound, 3},
    {field_name, 0},
    {field_type_parameters, 1},
  [358] =
    {field_bound, 1},
    {field_bound, 2},
    {field_bound, 3},
    {field_name, 0},
  [362] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 2},
  [365] =
    {field_body, 4},
    {field_enumerators, 1},
    {field_enumerators, 2},
    {field_enumerators, 3},
  [369] =
    {field_pattern, 2},
    {field_type, 0},
  [371] =
    {field_parameters, 2},
    {field_type_parameters, 0},
  [373] =
    {field_name, 1},
    {field_name, 2, .inherited = true},
    {field_type, 4},
  [376] =
    {field_bound, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type, 4},
    {field_type_parameters, 2, .inherited = true},
  [380] =
    {field_arguments, 4, .inherited = true},
    {field_body, 4, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 4},
    {field_type_parameters, 2, .inherited = true},
  [386] =
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 4},
    {field_type_parameters, 2, .inherited = true},
  [390] =
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 4},
  [393] =
    {field_lambda_start, 0},
    {field_lambda_start, 1},
  [395] =
    {field_body, 4},
    {field_class_parameters, 2, .inherited = true},
    {field_extend, 3},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [400] =
    {field_body, 4},
    {field_class_parameters, 2, .inherited = true},
    {field_derive, 3},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [405] =
    {field_body, 4, .inherited = true},
    {field_derive, 4, .inherited = true},
    {field_extend, 4, .inherited = true},
    {field_name, 4, .inherited = true},
  [409] =
    {field_body, 4, .inherited = true},
    {field_class_parameters, 4, .inherited = true},
    {field_derive, 4, .inherited = true},
    {field_extend, 4, .inherited = true},
    {field_name, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [415] =
    {field_arguments, 4, .inherited = true},
    {field_body, 4, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 4},
    {field_type_parameters, 3, .inherited = true},
  [421] =
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 4},
    {field_type_parameters, 3, .inherited = true},
  [425] =
    {field_arguments, 4, .inherited = true},
    {field_body, 4, .inherited = true},
    {field_return_type, 4},
  [428] =
    {field_return_type, 4},
  [429] =
    {field_bound, 4, .inherited = true},
    {field_name, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [432] =
    {field_default_value, 2},
    {field_name, 0},
  [434] =
    {field_name, 2},
  [435] =
    {field_class_parameters, 4},
    {field_name, 0},
    {field_type_parameters, 1},
  [438] =
    {field_class_parameters, 1, .inherited = true},
    {field_extend, 1, .inherited = true},
    {field_name, 0},
    {field_type_parameters, 1, .inherited = true},
  [442] =
    {field_class_parameters, 0},
  [443] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [445] =
    {field_alias, 2},
    {field_name, 0},
  [447] =
    {field_body, 5},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 3},
    {field_type_parameters, 1, .inherited = true},
  [452] =
    {field_bound, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_return_type, 4},
    {field_type_parameters, 1, .inherited = true},
  [456] =
    {field_name, 2},
    {field_type, 0},
  [458] =
    {field_bound, 2},
    {field_bound, 3},
    {field_bound, 4},
    {field_name, 0},
    {field_type_parameters, 1},
  [463] =
    {field_bound, 1},
    {field_bound, 2},
    {field_bound, 3},
    {field_bound, 4},
    {field_name, 0},
  [468] =
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 2},
  [471] =
    {field_body, 5},
    {field_enumerators, 1},
    {field_enumerators, 2},
    {field_enumerators, 3},
  [475] =
    {field_pattern, 2},
    {field_pattern, 3},
    {field_type, 0},
  [478] =
    {field_parameters, 2},
    {field_parameters, 3},
    {field_type_parameters, 0},
  [481] =
    {field_pattern, 1},
    {field_type, 3},
    {field_value, 5},
  [484] =
    {field_body, 5},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 3},
    {field_type_parameters, 2, .inherited = true},
  [489] =
    {field_body, 5},
    {field_return_type, 3},
  [491] =
    {field_bound, 3, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_type, 5},
    {field_type_parameters, 3, .inherited = true},
  [495] =
    {field_alternative, 5},
    {field_condition, 2},
    {field_consequence, 3},
  [498] =
    {field_body, 5},
    {field_class_parameters, 2, .inherited = true},
    {field_derive, 4},
    {field_extend, 3},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [504] =
    {field_arguments, 5, .inherited = true},
    {field_body, 5, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 5},
    {field_type_parameters, 3, .inherited = true},
  [510] =
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 5},
    {field_type_parameters, 3, .inherited = true},
  [514] =
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 5},
  [517] =
    {field_default_value, 3},
    {field_name, 1},
  [519] =
    {field_name, 3},
  [520] =
    {field_class_parameters, 1},
    {field_type_parameters, 0},
  [522] =
    {field_class_parameters, 0},
    {field_extend, 1},
  [524] =
    {field_default_value, 4},
    {field_name, 0},
    {field_type, 2},
  [527] =
    {field_name, 2},
    {field_type, 4},
  [529] =
    {field_bound, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_return_type, 5},
    {field_type_parameters, 1, .inherited = true},
  [533] =
    {field_bound, 1, .inherited = true},
    {field_bound, 2, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_return_type, 5},
    {field_type_parameters, 1, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [540] =
    {field_bound, 2},
    {field_bound, 3},
    {field_bound, 4},
    {field_bound, 5},
    {field_name, 0},
    {field_type_parameters, 1},
  [546] =
    {field_pattern, 2},
    {field_pattern, 3},
    {field_pattern, 4},
    {field_type, 0},
  [550] =
    {field_body, 6},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 4},
    {field_type_parameters, 2, .inherited = true},
  [555] =
    {field_alternative, 6},
    {field_condition, 2},
    {field_consequence, 3},
  [558] =
    {field_body, 6},
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 4},
    {field_type_parameters, 3, .inherited = true},
  [563] =
    {field_body, 6},
    {field_return_type, 4},
  [565] =
    {field_bound, 4, .inherited = true},
    {field_name, 4, .inherited = true},
    {field_type, 6},
    {field_type_parameters, 4, .inherited = true},
  [569] =
    {field_default_value, 4},
    {field_name, 2},
  [571] =
    {field_class_parameters, 1},
    {field_extend, 2},
    {field_type_parameters, 0},
  [574] =
    {field_default_value, 5},
    {field_name, 1},
    {field_type, 3},
  [577] =
    {field_body, 2},
    {field_return_type, 2, .inherited = true},
  [579] =
    {field_bound, 1, .inherited = true},
    {field_bound, 2, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_return_type, 6},
    {field_type_parameters, 1, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [586] =
    {field_body, 7},
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 5},
    {field_type_parameters, 3, .inherited = true},
  [591] =
    {field_name, 3},
    {field_type, 5},
  [593] =
    {field_default_value, 5},
    {field_name, 3},
  [595] =
    {field_default_value, 6},
    {field_name, 2},
    {field_type, 4},
  [598] =
    {field_default_value, 7},
    {field_name, 3},
    {field_type, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [7] = {
    [0] = alias_sym_type_identifier,
  },
  [8] = {
    [0] = alias_sym_structural_type,
  },
  [10] = {
    [0] = alias_sym_given_conditional,
  },
  [15] = {
    [1] = anon_alias_sym__end_ident,
  },
  [40] = {
    [0] = alias_sym_refinement,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_template_body, 3,
    sym_template_body,
    alias_sym_refinement,
    alias_sym_structural_type,
  sym_parameters, 2,
    sym_parameters,
    alias_sym_given_conditional,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 5,
  [6] = 5,
  [7] = 7,
  [8] = 7,
  [9] = 7,
  [10] = 7,
  [11] = 7,
  [12] = 7,
  [13] = 7,
  [14] = 7,
  [15] = 7,
  [16] = 7,
  [17] = 7,
  [18] = 7,
  [19] = 7,
  [20] = 7,
  [21] = 7,
  [22] = 7,
  [23] = 7,
  [24] = 7,
  [25] = 7,
  [26] = 7,
  [27] = 7,
  [28] = 7,
  [29] = 7,
  [30] = 7,
  [31] = 7,
  [32] = 7,
  [33] = 7,
  [34] = 7,
  [35] = 7,
  [36] = 7,
  [37] = 7,
  [38] = 7,
  [39] = 7,
  [40] = 7,
  [41] = 7,
  [42] = 7,
  [43] = 7,
  [44] = 7,
  [45] = 7,
  [46] = 7,
  [47] = 7,
  [48] = 7,
  [49] = 7,
  [50] = 7,
  [51] = 7,
  [52] = 7,
  [53] = 7,
  [54] = 7,
  [55] = 7,
  [56] = 7,
  [57] = 7,
  [58] = 7,
  [59] = 7,
  [60] = 7,
  [61] = 7,
  [62] = 7,
  [63] = 7,
  [64] = 7,
  [65] = 7,
  [66] = 7,
  [67] = 7,
  [68] = 7,
  [69] = 7,
  [70] = 7,
  [71] = 7,
  [72] = 7,
  [73] = 7,
  [74] = 7,
  [75] = 7,
  [76] = 7,
  [77] = 7,
  [78] = 7,
  [79] = 7,
  [80] = 7,
  [81] = 7,
  [82] = 7,
  [83] = 7,
  [84] = 7,
  [85] = 7,
  [86] = 7,
  [87] = 7,
  [88] = 7,
  [89] = 7,
  [90] = 7,
  [91] = 7,
  [92] = 7,
  [93] = 7,
  [94] = 7,
  [95] = 7,
  [96] = 7,
  [97] = 7,
  [98] = 7,
  [99] = 7,
  [100] = 7,
  [101] = 7,
  [102] = 7,
  [103] = 7,
  [104] = 7,
  [105] = 7,
  [106] = 7,
  [107] = 7,
  [108] = 7,
  [109] = 7,
  [110] = 7,
  [111] = 7,
  [112] = 7,
  [113] = 7,
  [114] = 7,
  [115] = 7,
  [116] = 7,
  [117] = 7,
  [118] = 7,
  [119] = 7,
  [120] = 7,
  [121] = 7,
  [122] = 7,
  [123] = 7,
  [124] = 7,
  [125] = 125,
  [126] = 125,
  [127] = 125,
  [128] = 125,
  [129] = 125,
  [130] = 125,
  [131] = 125,
  [132] = 132,
  [133] = 125,
  [134] = 125,
  [135] = 125,
  [136] = 125,
  [137] = 125,
  [138] = 125,
  [139] = 125,
  [140] = 140,
  [141] = 125,
  [142] = 125,
  [143] = 125,
  [144] = 125,
  [145] = 125,
  [146] = 125,
  [147] = 125,
  [148] = 148,
  [149] = 125,
  [150] = 125,
  [151] = 125,
  [152] = 152,
  [153] = 125,
  [154] = 154,
  [155] = 154,
  [156] = 156,
  [157] = 154,
  [158] = 154,
  [159] = 154,
  [160] = 154,
  [161] = 154,
  [162] = 154,
  [163] = 154,
  [164] = 154,
  [165] = 154,
  [166] = 154,
  [167] = 154,
  [168] = 154,
  [169] = 154,
  [170] = 154,
  [171] = 154,
  [172] = 154,
  [173] = 154,
  [174] = 174,
  [175] = 154,
  [176] = 154,
  [177] = 154,
  [178] = 154,
  [179] = 154,
  [180] = 154,
  [181] = 154,
  [182] = 154,
  [183] = 154,
  [184] = 154,
  [185] = 154,
  [186] = 154,
  [187] = 154,
  [188] = 154,
  [189] = 154,
  [190] = 154,
  [191] = 154,
  [192] = 154,
  [193] = 154,
  [194] = 154,
  [195] = 154,
  [196] = 154,
  [197] = 154,
  [198] = 154,
  [199] = 199,
  [200] = 199,
  [201] = 201,
  [202] = 199,
  [203] = 199,
  [204] = 199,
  [205] = 205,
  [206] = 199,
  [207] = 199,
  [208] = 199,
  [209] = 209,
  [210] = 199,
  [211] = 199,
  [212] = 199,
  [213] = 209,
  [214] = 199,
  [215] = 199,
  [216] = 199,
  [217] = 209,
  [218] = 199,
  [219] = 199,
  [220] = 199,
  [221] = 199,
  [222] = 199,
  [223] = 199,
  [224] = 199,
  [225] = 225,
  [226] = 199,
  [227] = 199,
  [228] = 199,
  [229] = 209,
  [230] = 199,
  [231] = 199,
  [232] = 199,
  [233] = 225,
  [234] = 199,
  [235] = 199,
  [236] = 199,
  [237] = 205,
  [238] = 199,
  [239] = 199,
  [240] = 199,
  [241] = 199,
  [242] = 199,
  [243] = 199,
  [244] = 199,
  [245] = 201,
  [246] = 199,
  [247] = 199,
  [248] = 199,
  [249] = 249,
  [250] = 199,
  [251] = 199,
  [252] = 199,
  [253] = 199,
  [254] = 199,
  [255] = 199,
  [256] = 199,
  [257] = 199,
  [258] = 199,
  [259] = 199,
  [260] = 199,
  [261] = 199,
  [262] = 199,
  [263] = 199,
  [264] = 199,
  [265] = 199,
  [266] = 199,
  [267] = 199,
  [268] = 199,
  [269] = 199,
  [270] = 199,
  [271] = 271,
  [272] = 199,
  [273] = 199,
  [274] = 199,
  [275] = 199,
  [276] = 199,
  [277] = 199,
  [278] = 199,
  [279] = 199,
  [280] = 199,
  [281] = 199,
  [282] = 199,
  [283] = 199,
  [284] = 199,
  [285] = 199,
  [286] = 199,
  [287] = 199,
  [288] = 199,
  [289] = 199,
  [290] = 199,
  [291] = 199,
  [292] = 199,
  [293] = 199,
  [294] = 199,
  [295] = 199,
  [296] = 199,
  [297] = 199,
  [298] = 199,
  [299] = 199,
  [300] = 199,
  [301] = 199,
  [302] = 199,
  [303] = 199,
  [304] = 199,
  [305] = 199,
  [306] = 199,
  [307] = 199,
  [308] = 199,
  [309] = 199,
  [310] = 199,
  [311] = 199,
  [312] = 199,
  [313] = 199,
  [314] = 199,
  [315] = 199,
  [316] = 199,
  [317] = 199,
  [318] = 199,
  [319] = 199,
  [320] = 199,
  [321] = 199,
  [322] = 199,
  [323] = 199,
  [324] = 199,
  [325] = 199,
  [326] = 199,
  [327] = 199,
  [328] = 199,
  [329] = 329,
  [330] = 330,
  [331] = 329,
  [332] = 332,
  [333] = 330,
  [334] = 329,
  [335] = 332,
  [336] = 330,
  [337] = 329,
  [338] = 332,
  [339] = 330,
  [340] = 332,
  [341] = 330,
  [342] = 330,
  [343] = 329,
  [344] = 332,
  [345] = 345,
  [346] = 330,
  [347] = 329,
  [348] = 332,
  [349] = 349,
  [350] = 330,
  [351] = 329,
  [352] = 332,
  [353] = 353,
  [354] = 330,
  [355] = 332,
  [356] = 330,
  [357] = 353,
  [358] = 332,
  [359] = 330,
  [360] = 332,
  [361] = 330,
  [362] = 332,
  [363] = 330,
  [364] = 364,
  [365] = 330,
  [366] = 330,
  [367] = 330,
  [368] = 330,
  [369] = 349,
  [370] = 330,
  [371] = 329,
  [372] = 332,
  [373] = 330,
  [374] = 374,
  [375] = 330,
  [376] = 330,
  [377] = 345,
  [378] = 330,
  [379] = 364,
  [380] = 374,
  [381] = 330,
  [382] = 329,
  [383] = 332,
  [384] = 330,
  [385] = 330,
  [386] = 330,
  [387] = 329,
  [388] = 330,
  [389] = 332,
  [390] = 330,
  [391] = 330,
  [392] = 330,
  [393] = 330,
  [394] = 329,
  [395] = 330,
  [396] = 332,
  [397] = 330,
  [398] = 330,
  [399] = 330,
  [400] = 345,
  [401] = 330,
  [402] = 329,
  [403] = 330,
  [404] = 332,
  [405] = 330,
  [406] = 374,
  [407] = 330,
  [408] = 330,
  [409] = 330,
  [410] = 330,
  [411] = 329,
  [412] = 330,
  [413] = 332,
  [414] = 330,
  [415] = 330,
  [416] = 330,
  [417] = 330,
  [418] = 345,
  [419] = 330,
  [420] = 329,
  [421] = 330,
  [422] = 332,
  [423] = 330,
  [424] = 374,
  [425] = 330,
  [426] = 330,
  [427] = 330,
  [428] = 330,
  [429] = 330,
  [430] = 332,
  [431] = 330,
  [432] = 330,
  [433] = 330,
  [434] = 330,
  [435] = 330,
  [436] = 329,
  [437] = 330,
  [438] = 332,
  [439] = 330,
  [440] = 330,
  [441] = 330,
  [442] = 330,
  [443] = 330,
  [444] = 329,
  [445] = 330,
  [446] = 332,
  [447] = 330,
  [448] = 330,
  [449] = 330,
  [450] = 330,
  [451] = 330,
  [452] = 329,
  [453] = 330,
  [454] = 332,
  [455] = 330,
  [456] = 330,
  [457] = 330,
  [458] = 330,
  [459] = 330,
  [460] = 329,
  [461] = 330,
  [462] = 332,
  [463] = 330,
  [464] = 330,
  [465] = 330,
  [466] = 330,
  [467] = 330,
  [468] = 329,
  [469] = 330,
  [470] = 332,
  [471] = 330,
  [472] = 330,
  [473] = 330,
  [474] = 330,
  [475] = 330,
  [476] = 329,
  [477] = 330,
  [478] = 332,
  [479] = 330,
  [480] = 330,
  [481] = 330,
  [482] = 330,
  [483] = 330,
  [484] = 329,
  [485] = 330,
  [486] = 332,
  [487] = 330,
  [488] = 330,
  [489] = 330,
  [490] = 330,
  [491] = 330,
  [492] = 329,
  [493] = 330,
  [494] = 332,
  [495] = 330,
  [496] = 330,
  [497] = 330,
  [498] = 330,
  [499] = 330,
  [500] = 329,
  [501] = 330,
  [502] = 332,
  [503] = 330,
  [504] = 330,
  [505] = 330,
  [506] = 330,
  [507] = 330,
  [508] = 329,
  [509] = 330,
  [510] = 332,
  [511] = 330,
  [512] = 330,
  [513] = 330,
  [514] = 329,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 516,
  [519] = 515,
  [520] = 520,
  [521] = 516,
  [522] = 517,
  [523] = 516,
  [524] = 520,
  [525] = 525,
  [526] = 525,
  [527] = 527,
  [528] = 527,
  [529] = 529,
  [530] = 529,
  [531] = 529,
  [532] = 532,
  [533] = 532,
  [534] = 534,
  [535] = 534,
  [536] = 532,
  [537] = 532,
  [538] = 532,
  [539] = 539,
  [540] = 540,
  [541] = 540,
  [542] = 540,
  [543] = 540,
  [544] = 540,
  [545] = 540,
  [546] = 540,
  [547] = 540,
  [548] = 540,
  [549] = 540,
  [550] = 540,
  [551] = 551,
  [552] = 551,
  [553] = 551,
  [554] = 551,
  [555] = 540,
  [556] = 551,
  [557] = 551,
  [558] = 540,
  [559] = 551,
  [560] = 540,
  [561] = 551,
  [562] = 551,
  [563] = 551,
  [564] = 540,
  [565] = 540,
  [566] = 551,
  [567] = 540,
  [568] = 540,
  [569] = 551,
  [570] = 551,
  [571] = 551,
  [572] = 572,
  [573] = 551,
  [574] = 551,
  [575] = 551,
  [576] = 551,
  [577] = 551,
  [578] = 551,
  [579] = 551,
  [580] = 572,
  [581] = 572,
  [582] = 572,
  [583] = 572,
  [584] = 572,
  [585] = 572,
  [586] = 572,
  [587] = 572,
  [588] = 572,
  [589] = 572,
  [590] = 572,
  [591] = 572,
  [592] = 572,
  [593] = 572,
  [594] = 572,
  [595] = 572,
  [596] = 551,
  [597] = 572,
  [598] = 572,
  [599] = 572,
  [600] = 572,
  [601] = 572,
  [602] = 572,
  [603] = 572,
  [604] = 572,
  [605] = 572,
  [606] = 572,
  [607] = 572,
  [608] = 572,
  [609] = 572,
  [610] = 572,
  [611] = 572,
  [612] = 572,
  [613] = 572,
  [614] = 551,
  [615] = 551,
  [616] = 540,
  [617] = 540,
  [618] = 551,
  [619] = 551,
  [620] = 572,
  [621] = 540,
  [622] = 551,
  [623] = 551,
  [624] = 540,
  [625] = 540,
  [626] = 572,
  [627] = 627,
  [628] = 628,
  [629] = 627,
  [630] = 628,
  [631] = 551,
  [632] = 627,
  [633] = 551,
  [634] = 628,
  [635] = 627,
  [636] = 628,
  [637] = 627,
  [638] = 628,
  [639] = 627,
  [640] = 628,
  [641] = 627,
  [642] = 628,
  [643] = 627,
  [644] = 628,
  [645] = 627,
  [646] = 628,
  [647] = 628,
  [648] = 627,
  [649] = 628,
  [650] = 627,
  [651] = 628,
  [652] = 551,
  [653] = 627,
  [654] = 628,
  [655] = 627,
  [656] = 628,
  [657] = 627,
  [658] = 628,
  [659] = 540,
  [660] = 627,
  [661] = 628,
  [662] = 627,
  [663] = 628,
  [664] = 627,
  [665] = 628,
  [666] = 551,
  [667] = 627,
  [668] = 628,
  [669] = 627,
  [670] = 628,
  [671] = 627,
  [672] = 628,
  [673] = 540,
  [674] = 627,
  [675] = 628,
  [676] = 627,
  [677] = 628,
  [678] = 627,
  [679] = 628,
  [680] = 627,
  [681] = 628,
  [682] = 627,
  [683] = 628,
  [684] = 627,
  [685] = 628,
  [686] = 627,
  [687] = 628,
  [688] = 627,
  [689] = 628,
  [690] = 627,
  [691] = 540,
  [692] = 627,
  [693] = 628,
  [694] = 627,
  [695] = 628,
  [696] = 627,
  [697] = 628,
  [698] = 627,
  [699] = 628,
  [700] = 627,
  [701] = 628,
  [702] = 627,
  [703] = 628,
  [704] = 627,
  [705] = 628,
  [706] = 551,
  [707] = 627,
  [708] = 628,
  [709] = 627,
  [710] = 628,
  [711] = 627,
  [712] = 628,
  [713] = 627,
  [714] = 628,
  [715] = 627,
  [716] = 628,
  [717] = 627,
  [718] = 628,
  [719] = 551,
  [720] = 627,
  [721] = 628,
  [722] = 627,
  [723] = 628,
  [724] = 627,
  [725] = 628,
  [726] = 627,
  [727] = 628,
  [728] = 627,
  [729] = 628,
  [730] = 627,
  [731] = 628,
  [732] = 627,
  [733] = 628,
  [734] = 551,
  [735] = 628,
  [736] = 627,
  [737] = 628,
  [738] = 627,
  [739] = 628,
  [740] = 627,
  [741] = 628,
  [742] = 627,
  [743] = 628,
  [744] = 627,
  [745] = 628,
  [746] = 627,
  [747] = 551,
  [748] = 551,
  [749] = 551,
  [750] = 551,
  [751] = 551,
  [752] = 627,
  [753] = 628,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 762,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 760,
  [770] = 755,
  [771] = 756,
  [772] = 757,
  [773] = 758,
  [774] = 759,
  [775] = 761,
  [776] = 761,
  [777] = 762,
  [778] = 551,
  [779] = 764,
  [780] = 765,
  [781] = 766,
  [782] = 767,
  [783] = 768,
  [784] = 760,
  [785] = 755,
  [786] = 756,
  [787] = 757,
  [788] = 758,
  [789] = 759,
  [790] = 761,
  [791] = 761,
  [792] = 762,
  [793] = 764,
  [794] = 765,
  [795] = 766,
  [796] = 767,
  [797] = 768,
  [798] = 760,
  [799] = 755,
  [800] = 756,
  [801] = 757,
  [802] = 758,
  [803] = 759,
  [804] = 762,
  [805] = 761,
  [806] = 762,
  [807] = 764,
  [808] = 765,
  [809] = 766,
  [810] = 767,
  [811] = 768,
  [812] = 760,
  [813] = 755,
  [814] = 756,
  [815] = 757,
  [816] = 758,
  [817] = 759,
  [818] = 551,
  [819] = 761,
  [820] = 762,
  [821] = 764,
  [822] = 765,
  [823] = 766,
  [824] = 767,
  [825] = 768,
  [826] = 760,
  [827] = 755,
  [828] = 756,
  [829] = 757,
  [830] = 758,
  [831] = 759,
  [832] = 762,
  [833] = 761,
  [834] = 762,
  [835] = 764,
  [836] = 765,
  [837] = 766,
  [838] = 767,
  [839] = 768,
  [840] = 760,
  [841] = 755,
  [842] = 756,
  [843] = 757,
  [844] = 758,
  [845] = 759,
  [846] = 846,
  [847] = 761,
  [848] = 762,
  [849] = 764,
  [850] = 765,
  [851] = 766,
  [852] = 767,
  [853] = 768,
  [854] = 760,
  [855] = 755,
  [856] = 756,
  [857] = 757,
  [858] = 758,
  [859] = 759,
  [860] = 761,
  [861] = 762,
  [862] = 862,
  [863] = 764,
  [864] = 765,
  [865] = 766,
  [866] = 767,
  [867] = 768,
  [868] = 760,
  [869] = 755,
  [870] = 756,
  [871] = 757,
  [872] = 758,
  [873] = 759,
  [874] = 874,
  [875] = 761,
  [876] = 762,
  [877] = 764,
  [878] = 765,
  [879] = 766,
  [880] = 767,
  [881] = 768,
  [882] = 760,
  [883] = 755,
  [884] = 756,
  [885] = 757,
  [886] = 758,
  [887] = 759,
  [888] = 764,
  [889] = 761,
  [890] = 762,
  [891] = 764,
  [892] = 765,
  [893] = 766,
  [894] = 767,
  [895] = 768,
  [896] = 760,
  [897] = 755,
  [898] = 756,
  [899] = 757,
  [900] = 758,
  [901] = 759,
  [902] = 765,
  [903] = 761,
  [904] = 762,
  [905] = 764,
  [906] = 765,
  [907] = 766,
  [908] = 767,
  [909] = 768,
  [910] = 760,
  [911] = 755,
  [912] = 756,
  [913] = 757,
  [914] = 758,
  [915] = 759,
  [916] = 766,
  [917] = 761,
  [918] = 762,
  [919] = 764,
  [920] = 765,
  [921] = 766,
  [922] = 767,
  [923] = 768,
  [924] = 760,
  [925] = 755,
  [926] = 756,
  [927] = 757,
  [928] = 758,
  [929] = 759,
  [930] = 846,
  [931] = 761,
  [932] = 762,
  [933] = 764,
  [934] = 765,
  [935] = 766,
  [936] = 767,
  [937] = 768,
  [938] = 760,
  [939] = 755,
  [940] = 756,
  [941] = 757,
  [942] = 758,
  [943] = 759,
  [944] = 944,
  [945] = 764,
  [946] = 946,
  [947] = 947,
  [948] = 765,
  [949] = 754,
  [950] = 766,
  [951] = 767,
  [952] = 952,
  [953] = 767,
  [954] = 874,
  [955] = 862,
  [956] = 768,
  [957] = 957,
  [958] = 958,
  [959] = 768,
  [960] = 846,
  [961] = 944,
  [962] = 952,
  [963] = 862,
  [964] = 957,
  [965] = 958,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 972,
  [973] = 973,
  [974] = 763,
  [975] = 760,
  [976] = 946,
  [977] = 947,
  [978] = 760,
  [979] = 754,
  [980] = 946,
  [981] = 755,
  [982] = 874,
  [983] = 966,
  [984] = 755,
  [985] = 946,
  [986] = 947,
  [987] = 756,
  [988] = 754,
  [989] = 757,
  [990] = 967,
  [991] = 874,
  [992] = 968,
  [993] = 969,
  [994] = 946,
  [995] = 947,
  [996] = 970,
  [997] = 754,
  [998] = 756,
  [999] = 874,
  [1000] = 758,
  [1001] = 946,
  [1002] = 947,
  [1003] = 957,
  [1004] = 754,
  [1005] = 757,
  [1006] = 874,
  [1007] = 971,
  [1008] = 946,
  [1009] = 947,
  [1010] = 759,
  [1011] = 754,
  [1012] = 758,
  [1013] = 874,
  [1014] = 972,
  [1015] = 946,
  [1016] = 947,
  [1017] = 973,
  [1018] = 754,
  [1019] = 759,
  [1020] = 874,
  [1021] = 947,
  [1022] = 946,
  [1023] = 947,
  [1024] = 763,
  [1025] = 754,
  [1026] = 755,
  [1027] = 874,
  [1028] = 551,
  [1029] = 946,
  [1030] = 947,
  [1031] = 761,
  [1032] = 754,
  [1033] = 761,
  [1034] = 874,
  [1035] = 762,
  [1036] = 946,
  [1037] = 947,
  [1038] = 846,
  [1039] = 754,
  [1040] = 762,
  [1041] = 874,
  [1042] = 946,
  [1043] = 947,
  [1044] = 958,
  [1045] = 754,
  [1046] = 764,
  [1047] = 874,
  [1048] = 944,
  [1049] = 946,
  [1050] = 947,
  [1051] = 764,
  [1052] = 754,
  [1053] = 765,
  [1054] = 874,
  [1055] = 765,
  [1056] = 946,
  [1057] = 947,
  [1058] = 766,
  [1059] = 754,
  [1060] = 766,
  [1061] = 874,
  [1062] = 767,
  [1063] = 946,
  [1064] = 947,
  [1065] = 952,
  [1066] = 754,
  [1067] = 767,
  [1068] = 874,
  [1069] = 862,
  [1070] = 946,
  [1071] = 947,
  [1072] = 754,
  [1073] = 768,
  [1074] = 874,
  [1075] = 768,
  [1076] = 946,
  [1077] = 947,
  [1078] = 957,
  [1079] = 754,
  [1080] = 760,
  [1081] = 874,
  [1082] = 958,
  [1083] = 946,
  [1084] = 947,
  [1085] = 768,
  [1086] = 754,
  [1087] = 755,
  [1088] = 874,
  [1089] = 760,
  [1090] = 946,
  [1091] = 947,
  [1092] = 966,
  [1093] = 754,
  [1094] = 756,
  [1095] = 874,
  [1096] = 755,
  [1097] = 946,
  [1098] = 947,
  [1099] = 756,
  [1100] = 754,
  [1101] = 757,
  [1102] = 874,
  [1103] = 757,
  [1104] = 946,
  [1105] = 947,
  [1106] = 967,
  [1107] = 754,
  [1108] = 758,
  [1109] = 874,
  [1110] = 968,
  [1111] = 946,
  [1112] = 947,
  [1113] = 969,
  [1114] = 754,
  [1115] = 759,
  [1116] = 874,
  [1117] = 970,
  [1118] = 946,
  [1119] = 947,
  [1120] = 758,
  [1121] = 754,
  [1122] = 874,
  [1123] = 971,
  [1124] = 946,
  [1125] = 947,
  [1126] = 759,
  [1127] = 754,
  [1128] = 761,
  [1129] = 874,
  [1130] = 972,
  [1131] = 946,
  [1132] = 947,
  [1133] = 973,
  [1134] = 754,
  [1135] = 762,
  [1136] = 874,
  [1137] = 946,
  [1138] = 947,
  [1139] = 763,
  [1140] = 754,
  [1141] = 874,
  [1142] = 946,
  [1143] = 947,
  [1144] = 761,
  [1145] = 754,
  [1146] = 764,
  [1147] = 874,
  [1148] = 946,
  [1149] = 947,
  [1150] = 762,
  [1151] = 754,
  [1152] = 765,
  [1153] = 874,
  [1154] = 946,
  [1155] = 947,
  [1156] = 846,
  [1157] = 754,
  [1158] = 766,
  [1159] = 874,
  [1160] = 946,
  [1161] = 947,
  [1162] = 551,
  [1163] = 754,
  [1164] = 767,
  [1165] = 874,
  [1166] = 946,
  [1167] = 947,
  [1168] = 762,
  [1169] = 754,
  [1170] = 768,
  [1171] = 874,
  [1172] = 946,
  [1173] = 947,
  [1174] = 944,
  [1175] = 754,
  [1176] = 760,
  [1177] = 874,
  [1178] = 946,
  [1179] = 947,
  [1180] = 764,
  [1181] = 754,
  [1182] = 755,
  [1183] = 874,
  [1184] = 946,
  [1185] = 947,
  [1186] = 765,
  [1187] = 754,
  [1188] = 756,
  [1189] = 874,
  [1190] = 946,
  [1191] = 947,
  [1192] = 766,
  [1193] = 754,
  [1194] = 757,
  [1195] = 874,
  [1196] = 946,
  [1197] = 947,
  [1198] = 767,
  [1199] = 754,
  [1200] = 758,
  [1201] = 874,
  [1202] = 946,
  [1203] = 947,
  [1204] = 952,
  [1205] = 759,
  [1206] = 874,
  [1207] = 946,
  [1208] = 947,
  [1209] = 862,
  [1210] = 754,
  [1211] = 874,
  [1212] = 946,
  [1213] = 947,
  [1214] = 760,
  [1215] = 754,
  [1216] = 874,
  [1217] = 946,
  [1218] = 947,
  [1219] = 957,
  [1220] = 754,
  [1221] = 874,
  [1222] = 946,
  [1223] = 947,
  [1224] = 958,
  [1225] = 754,
  [1226] = 874,
  [1227] = 946,
  [1228] = 947,
  [1229] = 768,
  [1230] = 754,
  [1231] = 874,
  [1232] = 946,
  [1233] = 947,
  [1234] = 760,
  [1235] = 754,
  [1236] = 874,
  [1237] = 946,
  [1238] = 947,
  [1239] = 966,
  [1240] = 754,
  [1241] = 874,
  [1242] = 946,
  [1243] = 947,
  [1244] = 755,
  [1245] = 754,
  [1246] = 874,
  [1247] = 946,
  [1248] = 947,
  [1249] = 756,
  [1250] = 754,
  [1251] = 874,
  [1252] = 946,
  [1253] = 947,
  [1254] = 757,
  [1255] = 754,
  [1256] = 874,
  [1257] = 946,
  [1258] = 947,
  [1259] = 967,
  [1260] = 754,
  [1261] = 874,
  [1262] = 946,
  [1263] = 947,
  [1264] = 968,
  [1265] = 754,
  [1266] = 874,
  [1267] = 946,
  [1268] = 947,
  [1269] = 969,
  [1270] = 754,
  [1271] = 874,
  [1272] = 946,
  [1273] = 947,
  [1274] = 970,
  [1275] = 754,
  [1276] = 874,
  [1277] = 946,
  [1278] = 758,
  [1279] = 754,
  [1280] = 874,
  [1281] = 946,
  [1282] = 971,
  [1283] = 754,
  [1284] = 874,
  [1285] = 946,
  [1286] = 759,
  [1287] = 754,
  [1288] = 874,
  [1289] = 946,
  [1290] = 972,
  [1291] = 754,
  [1292] = 874,
  [1293] = 946,
  [1294] = 973,
  [1295] = 763,
  [1296] = 758,
  [1297] = 761,
  [1298] = 762,
  [1299] = 764,
  [1300] = 765,
  [1301] = 766,
  [1302] = 767,
  [1303] = 768,
  [1304] = 760,
  [1305] = 755,
  [1306] = 756,
  [1307] = 757,
  [1308] = 758,
  [1309] = 759,
  [1310] = 761,
  [1311] = 762,
  [1312] = 754,
  [1313] = 764,
  [1314] = 765,
  [1315] = 766,
  [1316] = 767,
  [1317] = 768,
  [1318] = 760,
  [1319] = 755,
  [1320] = 768,
  [1321] = 757,
  [1322] = 758,
  [1323] = 759,
  [1324] = 944,
  [1325] = 761,
  [1326] = 762,
  [1327] = 764,
  [1328] = 765,
  [1329] = 766,
  [1330] = 767,
  [1331] = 768,
  [1332] = 760,
  [1333] = 755,
  [1334] = 756,
  [1335] = 757,
  [1336] = 758,
  [1337] = 759,
  [1338] = 761,
  [1339] = 761,
  [1340] = 762,
  [1341] = 764,
  [1342] = 764,
  [1343] = 765,
  [1344] = 766,
  [1345] = 767,
  [1346] = 768,
  [1347] = 760,
  [1348] = 755,
  [1349] = 756,
  [1350] = 757,
  [1351] = 758,
  [1352] = 759,
  [1353] = 551,
  [1354] = 761,
  [1355] = 762,
  [1356] = 947,
  [1357] = 762,
  [1358] = 764,
  [1359] = 765,
  [1360] = 764,
  [1361] = 766,
  [1362] = 767,
  [1363] = 768,
  [1364] = 760,
  [1365] = 755,
  [1366] = 947,
  [1367] = 754,
  [1368] = 874,
  [1369] = 765,
  [1370] = 947,
  [1371] = 756,
  [1372] = 757,
  [1373] = 758,
  [1374] = 766,
  [1375] = 759,
  [1376] = 767,
  [1377] = 947,
  [1378] = 768,
  [1379] = 761,
  [1380] = 762,
  [1381] = 760,
  [1382] = 755,
  [1383] = 764,
  [1384] = 765,
  [1385] = 947,
  [1386] = 756,
  [1387] = 766,
  [1388] = 767,
  [1389] = 768,
  [1390] = 757,
  [1391] = 760,
  [1392] = 755,
  [1393] = 758,
  [1394] = 756,
  [1395] = 757,
  [1396] = 758,
  [1397] = 759,
  [1398] = 759,
  [1399] = 756,
  [1400] = 761,
  [1401] = 762,
  [1402] = 761,
  [1403] = 764,
  [1404] = 765,
  [1405] = 762,
  [1406] = 766,
  [1407] = 767,
  [1408] = 768,
  [1409] = 760,
  [1410] = 755,
  [1411] = 764,
  [1412] = 756,
  [1413] = 757,
  [1414] = 758,
  [1415] = 765,
  [1416] = 759,
  [1417] = 766,
  [1418] = 761,
  [1419] = 762,
  [1420] = 767,
  [1421] = 768,
  [1422] = 764,
  [1423] = 765,
  [1424] = 760,
  [1425] = 766,
  [1426] = 767,
  [1427] = 768,
  [1428] = 755,
  [1429] = 760,
  [1430] = 755,
  [1431] = 756,
  [1432] = 756,
  [1433] = 757,
  [1434] = 758,
  [1435] = 757,
  [1436] = 759,
  [1437] = 758,
  [1438] = 759,
  [1439] = 761,
  [1440] = 762,
  [1441] = 966,
  [1442] = 757,
  [1443] = 764,
  [1444] = 765,
  [1445] = 761,
  [1446] = 766,
  [1447] = 767,
  [1448] = 768,
  [1449] = 762,
  [1450] = 760,
  [1451] = 755,
  [1452] = 756,
  [1453] = 757,
  [1454] = 758,
  [1455] = 764,
  [1456] = 759,
  [1457] = 765,
  [1458] = 766,
  [1459] = 761,
  [1460] = 762,
  [1461] = 767,
  [1462] = 764,
  [1463] = 765,
  [1464] = 768,
  [1465] = 766,
  [1466] = 767,
  [1467] = 768,
  [1468] = 760,
  [1469] = 760,
  [1470] = 755,
  [1471] = 755,
  [1472] = 756,
  [1473] = 757,
  [1474] = 758,
  [1475] = 756,
  [1476] = 759,
  [1477] = 757,
  [1478] = 758,
  [1479] = 761,
  [1480] = 762,
  [1481] = 765,
  [1482] = 759,
  [1483] = 764,
  [1484] = 765,
  [1485] = 758,
  [1486] = 766,
  [1487] = 767,
  [1488] = 768,
  [1489] = 761,
  [1490] = 760,
  [1491] = 755,
  [1492] = 762,
  [1493] = 756,
  [1494] = 757,
  [1495] = 758,
  [1496] = 759,
  [1497] = 764,
  [1498] = 765,
  [1499] = 761,
  [1500] = 762,
  [1501] = 766,
  [1502] = 764,
  [1503] = 765,
  [1504] = 767,
  [1505] = 766,
  [1506] = 767,
  [1507] = 768,
  [1508] = 768,
  [1509] = 760,
  [1510] = 755,
  [1511] = 760,
  [1512] = 756,
  [1513] = 757,
  [1514] = 758,
  [1515] = 755,
  [1516] = 759,
  [1517] = 766,
  [1518] = 756,
  [1519] = 761,
  [1520] = 762,
  [1521] = 755,
  [1522] = 757,
  [1523] = 764,
  [1524] = 765,
  [1525] = 758,
  [1526] = 766,
  [1527] = 767,
  [1528] = 759,
  [1529] = 768,
  [1530] = 760,
  [1531] = 761,
  [1532] = 755,
  [1533] = 756,
  [1534] = 761,
  [1535] = 757,
  [1536] = 758,
  [1537] = 762,
  [1538] = 759,
  [1539] = 761,
  [1540] = 762,
  [1541] = 764,
  [1542] = 764,
  [1543] = 765,
  [1544] = 765,
  [1545] = 766,
  [1546] = 766,
  [1547] = 767,
  [1548] = 767,
  [1549] = 768,
  [1550] = 760,
  [1551] = 768,
  [1552] = 755,
  [1553] = 760,
  [1554] = 756,
  [1555] = 757,
  [1556] = 755,
  [1557] = 758,
  [1558] = 756,
  [1559] = 759,
  [1560] = 551,
  [1561] = 757,
  [1562] = 761,
  [1563] = 758,
  [1564] = 762,
  [1565] = 756,
  [1566] = 759,
  [1567] = 764,
  [1568] = 759,
  [1569] = 765,
  [1570] = 766,
  [1571] = 761,
  [1572] = 767,
  [1573] = 762,
  [1574] = 768,
  [1575] = 760,
  [1576] = 971,
  [1577] = 755,
  [1578] = 764,
  [1579] = 756,
  [1580] = 757,
  [1581] = 765,
  [1582] = 758,
  [1583] = 766,
  [1584] = 759,
  [1585] = 767,
  [1586] = 768,
  [1587] = 761,
  [1588] = 760,
  [1589] = 762,
  [1590] = 755,
  [1591] = 764,
  [1592] = 756,
  [1593] = 765,
  [1594] = 766,
  [1595] = 757,
  [1596] = 767,
  [1597] = 758,
  [1598] = 768,
  [1599] = 760,
  [1600] = 759,
  [1601] = 755,
  [1602] = 759,
  [1603] = 756,
  [1604] = 757,
  [1605] = 761,
  [1606] = 758,
  [1607] = 762,
  [1608] = 759,
  [1609] = 761,
  [1610] = 764,
  [1611] = 762,
  [1612] = 765,
  [1613] = 766,
  [1614] = 767,
  [1615] = 764,
  [1616] = 765,
  [1617] = 768,
  [1618] = 760,
  [1619] = 766,
  [1620] = 767,
  [1621] = 755,
  [1622] = 756,
  [1623] = 768,
  [1624] = 760,
  [1625] = 757,
  [1626] = 758,
  [1627] = 755,
  [1628] = 756,
  [1629] = 759,
  [1630] = 972,
  [1631] = 757,
  [1632] = 758,
  [1633] = 761,
  [1634] = 762,
  [1635] = 759,
  [1636] = 767,
  [1637] = 761,
  [1638] = 973,
  [1639] = 764,
  [1640] = 762,
  [1641] = 765,
  [1642] = 766,
  [1643] = 764,
  [1644] = 765,
  [1645] = 767,
  [1646] = 768,
  [1647] = 766,
  [1648] = 767,
  [1649] = 760,
  [1650] = 755,
  [1651] = 768,
  [1652] = 760,
  [1653] = 756,
  [1654] = 757,
  [1655] = 755,
  [1656] = 756,
  [1657] = 758,
  [1658] = 759,
  [1659] = 757,
  [1660] = 758,
  [1661] = 551,
  [1662] = 761,
  [1663] = 759,
  [1664] = 762,
  [1665] = 761,
  [1666] = 762,
  [1667] = 764,
  [1668] = 765,
  [1669] = 766,
  [1670] = 767,
  [1671] = 768,
  [1672] = 760,
  [1673] = 755,
  [1674] = 756,
  [1675] = 757,
  [1676] = 758,
  [1677] = 759,
  [1678] = 757,
  [1679] = 761,
  [1680] = 762,
  [1681] = 967,
  [1682] = 764,
  [1683] = 765,
  [1684] = 766,
  [1685] = 767,
  [1686] = 768,
  [1687] = 760,
  [1688] = 755,
  [1689] = 756,
  [1690] = 757,
  [1691] = 758,
  [1692] = 759,
  [1693] = 952,
  [1694] = 761,
  [1695] = 762,
  [1696] = 764,
  [1697] = 765,
  [1698] = 766,
  [1699] = 767,
  [1700] = 768,
  [1701] = 760,
  [1702] = 755,
  [1703] = 756,
  [1704] = 757,
  [1705] = 758,
  [1706] = 759,
  [1707] = 764,
  [1708] = 761,
  [1709] = 762,
  [1710] = 968,
  [1711] = 764,
  [1712] = 765,
  [1713] = 766,
  [1714] = 767,
  [1715] = 768,
  [1716] = 760,
  [1717] = 755,
  [1718] = 756,
  [1719] = 757,
  [1720] = 758,
  [1721] = 759,
  [1722] = 765,
  [1723] = 761,
  [1724] = 762,
  [1725] = 969,
  [1726] = 764,
  [1727] = 765,
  [1728] = 766,
  [1729] = 767,
  [1730] = 768,
  [1731] = 760,
  [1732] = 755,
  [1733] = 756,
  [1734] = 757,
  [1735] = 758,
  [1736] = 759,
  [1737] = 766,
  [1738] = 761,
  [1739] = 762,
  [1740] = 764,
  [1741] = 765,
  [1742] = 766,
  [1743] = 767,
  [1744] = 768,
  [1745] = 760,
  [1746] = 755,
  [1747] = 756,
  [1748] = 757,
  [1749] = 758,
  [1750] = 759,
  [1751] = 761,
  [1752] = 762,
  [1753] = 767,
  [1754] = 764,
  [1755] = 765,
  [1756] = 766,
  [1757] = 767,
  [1758] = 768,
  [1759] = 760,
  [1760] = 755,
  [1761] = 756,
  [1762] = 757,
  [1763] = 758,
  [1764] = 759,
  [1765] = 551,
  [1766] = 761,
  [1767] = 762,
  [1768] = 768,
  [1769] = 764,
  [1770] = 765,
  [1771] = 766,
  [1772] = 767,
  [1773] = 768,
  [1774] = 760,
  [1775] = 755,
  [1776] = 756,
  [1777] = 757,
  [1778] = 758,
  [1779] = 759,
  [1780] = 760,
  [1781] = 761,
  [1782] = 762,
  [1783] = 970,
  [1784] = 764,
  [1785] = 765,
  [1786] = 766,
  [1787] = 767,
  [1788] = 756,
  [1789] = 1789,
  [1790] = 1789,
  [1791] = 1789,
  [1792] = 1789,
  [1793] = 1789,
  [1794] = 1789,
  [1795] = 1789,
  [1796] = 1789,
  [1797] = 1789,
  [1798] = 1789,
  [1799] = 1789,
  [1800] = 1789,
  [1801] = 1789,
  [1802] = 1789,
  [1803] = 1789,
  [1804] = 1789,
  [1805] = 1789,
  [1806] = 1789,
  [1807] = 540,
  [1808] = 1789,
  [1809] = 1789,
  [1810] = 1789,
  [1811] = 1789,
  [1812] = 1789,
  [1813] = 1789,
  [1814] = 1789,
  [1815] = 1789,
  [1816] = 1789,
  [1817] = 1789,
  [1818] = 1789,
  [1819] = 1789,
  [1820] = 1789,
  [1821] = 1789,
  [1822] = 1789,
  [1823] = 1789,
  [1824] = 1789,
  [1825] = 1789,
  [1826] = 1789,
  [1827] = 1789,
  [1828] = 1789,
  [1829] = 1789,
  [1830] = 1789,
  [1831] = 1789,
  [1832] = 1789,
  [1833] = 1789,
  [1834] = 1789,
  [1835] = 1789,
  [1836] = 1789,
  [1837] = 1789,
  [1838] = 1789,
  [1839] = 1789,
  [1840] = 1789,
  [1841] = 1789,
  [1842] = 1789,
  [1843] = 1789,
  [1844] = 1789,
  [1845] = 1789,
  [1846] = 1789,
  [1847] = 1789,
  [1848] = 1789,
  [1849] = 1789,
  [1850] = 1789,
  [1851] = 1789,
  [1852] = 1789,
  [1853] = 1789,
  [1854] = 1789,
  [1855] = 1789,
  [1856] = 1789,
  [1857] = 551,
  [1858] = 1789,
  [1859] = 1789,
  [1860] = 1789,
  [1861] = 1789,
  [1862] = 1789,
  [1863] = 1789,
  [1864] = 1789,
  [1865] = 1789,
  [1866] = 1789,
  [1867] = 1789,
  [1868] = 1789,
  [1869] = 1789,
  [1870] = 1789,
  [1871] = 1789,
  [1872] = 551,
  [1873] = 1789,
  [1874] = 1789,
  [1875] = 1789,
  [1876] = 1789,
  [1877] = 1789,
  [1878] = 1789,
  [1879] = 1789,
  [1880] = 1789,
  [1881] = 1789,
  [1882] = 1789,
  [1883] = 1789,
  [1884] = 1789,
  [1885] = 1789,
  [1886] = 1789,
  [1887] = 1789,
  [1888] = 1789,
  [1889] = 551,
  [1890] = 1789,
  [1891] = 1789,
  [1892] = 1789,
  [1893] = 1789,
  [1894] = 1789,
  [1895] = 1789,
  [1896] = 1789,
  [1897] = 1789,
  [1898] = 1789,
  [1899] = 1789,
  [1900] = 1789,
  [1901] = 1789,
  [1902] = 1789,
  [1903] = 1789,
  [1904] = 1789,
  [1905] = 1789,
  [1906] = 1789,
  [1907] = 1789,
  [1908] = 1789,
  [1909] = 1789,
  [1910] = 1789,
  [1911] = 551,
  [1912] = 1789,
  [1913] = 1789,
  [1914] = 1789,
  [1915] = 1789,
  [1916] = 1916,
  [1917] = 540,
  [1918] = 1916,
  [1919] = 540,
  [1920] = 1916,
  [1921] = 1916,
  [1922] = 1916,
  [1923] = 1916,
  [1924] = 540,
  [1925] = 1916,
  [1926] = 540,
  [1927] = 540,
  [1928] = 1916,
  [1929] = 540,
  [1930] = 540,
  [1931] = 551,
  [1932] = 540,
  [1933] = 1916,
  [1934] = 1916,
  [1935] = 540,
  [1936] = 540,
  [1937] = 1916,
  [1938] = 1916,
  [1939] = 540,
  [1940] = 1916,
  [1941] = 540,
  [1942] = 1916,
  [1943] = 540,
  [1944] = 540,
  [1945] = 1916,
  [1946] = 540,
  [1947] = 1916,
  [1948] = 1916,
  [1949] = 1916,
  [1950] = 540,
  [1951] = 1916,
  [1952] = 540,
  [1953] = 540,
  [1954] = 540,
  [1955] = 1916,
  [1956] = 1916,
  [1957] = 540,
  [1958] = 1916,
  [1959] = 540,
  [1960] = 540,
  [1961] = 1916,
  [1962] = 1916,
  [1963] = 551,
  [1964] = 1916,
  [1965] = 540,
  [1966] = 540,
  [1967] = 1916,
  [1968] = 540,
  [1969] = 1916,
  [1970] = 1970,
  [1971] = 1971,
  [1972] = 1972,
  [1973] = 1971,
  [1974] = 1972,
  [1975] = 1971,
  [1976] = 1972,
  [1977] = 1972,
  [1978] = 1971,
  [1979] = 1972,
  [1980] = 1971,
  [1981] = 1972,
  [1982] = 1972,
  [1983] = 1972,
  [1984] = 1984,
  [1985] = 551,
  [1986] = 1972,
  [1987] = 1972,
  [1988] = 1972,
  [1989] = 1972,
  [1990] = 1972,
  [1991] = 1972,
  [1992] = 1972,
  [1993] = 1993,
  [1994] = 1972,
  [1995] = 1972,
  [1996] = 1972,
  [1997] = 1972,
  [1998] = 1972,
  [1999] = 1972,
  [2000] = 1972,
  [2001] = 1972,
  [2002] = 1972,
  [2003] = 1972,
  [2004] = 1972,
  [2005] = 1972,
  [2006] = 551,
  [2007] = 1971,
  [2008] = 1972,
  [2009] = 1972,
  [2010] = 1972,
  [2011] = 1972,
  [2012] = 1972,
  [2013] = 1971,
  [2014] = 1970,
  [2015] = 1971,
  [2016] = 1970,
  [2017] = 1970,
  [2018] = 1972,
  [2019] = 1972,
  [2020] = 1970,
  [2021] = 1971,
  [2022] = 1970,
  [2023] = 1970,
  [2024] = 1970,
  [2025] = 1972,
  [2026] = 1970,
  [2027] = 1970,
  [2028] = 1971,
  [2029] = 1970,
  [2030] = 1970,
  [2031] = 1970,
  [2032] = 1972,
  [2033] = 1970,
  [2034] = 1971,
  [2035] = 1970,
  [2036] = 1970,
  [2037] = 1970,
  [2038] = 1972,
  [2039] = 1972,
  [2040] = 1970,
  [2041] = 1971,
  [2042] = 1970,
  [2043] = 1970,
  [2044] = 1972,
  [2045] = 1972,
  [2046] = 1970,
  [2047] = 1970,
  [2048] = 1971,
  [2049] = 1970,
  [2050] = 1970,
  [2051] = 1970,
  [2052] = 1971,
  [2053] = 1970,
  [2054] = 1970,
  [2055] = 1970,
  [2056] = 1972,
  [2057] = 1972,
  [2058] = 1970,
  [2059] = 1972,
  [2060] = 1970,
  [2061] = 1971,
  [2062] = 1970,
  [2063] = 1970,
  [2064] = 1970,
  [2065] = 1970,
  [2066] = 1970,
  [2067] = 1971,
  [2068] = 1970,
  [2069] = 1970,
  [2070] = 1970,
  [2071] = 1972,
  [2072] = 1970,
  [2073] = 1972,
  [2074] = 1970,
  [2075] = 1971,
  [2076] = 1970,
  [2077] = 1970,
  [2078] = 1970,
  [2079] = 1970,
  [2080] = 1972,
  [2081] = 1970,
  [2082] = 1972,
  [2083] = 1971,
  [2084] = 1970,
  [2085] = 1970,
  [2086] = 1970,
  [2087] = 1972,
  [2088] = 1972,
  [2089] = 1970,
  [2090] = 1970,
  [2091] = 1971,
  [2092] = 1970,
  [2093] = 1970,
  [2094] = 1970,
  [2095] = 1970,
  [2096] = 1970,
  [2097] = 1972,
  [2098] = 1970,
  [2099] = 1970,
  [2100] = 1970,
  [2101] = 1971,
  [2102] = 1970,
  [2103] = 1970,
  [2104] = 1970,
  [2105] = 1970,
  [2106] = 1970,
  [2107] = 1970,
  [2108] = 1970,
  [2109] = 1970,
  [2110] = 1972,
  [2111] = 1970,
  [2112] = 1970,
  [2113] = 1970,
  [2114] = 1970,
  [2115] = 1972,
  [2116] = 1970,
  [2117] = 1971,
  [2118] = 1970,
  [2119] = 1970,
  [2120] = 1970,
  [2121] = 1970,
  [2122] = 1970,
  [2123] = 1970,
  [2124] = 1970,
  [2125] = 1970,
  [2126] = 1970,
  [2127] = 1970,
  [2128] = 1971,
  [2129] = 1970,
  [2130] = 1970,
  [2131] = 1970,
  [2132] = 1971,
  [2133] = 1970,
  [2134] = 1970,
  [2135] = 1970,
  [2136] = 1970,
  [2137] = 1970,
  [2138] = 1970,
  [2139] = 1970,
  [2140] = 1972,
  [2141] = 1970,
  [2142] = 1972,
  [2143] = 1970,
  [2144] = 1970,
  [2145] = 1970,
  [2146] = 1970,
  [2147] = 1970,
  [2148] = 1971,
  [2149] = 1970,
  [2150] = 1970,
  [2151] = 1970,
  [2152] = 1970,
  [2153] = 1970,
  [2154] = 1970,
  [2155] = 1970,
  [2156] = 1970,
  [2157] = 1970,
  [2158] = 1970,
  [2159] = 1970,
  [2160] = 1970,
  [2161] = 1970,
  [2162] = 1971,
  [2163] = 1970,
  [2164] = 1970,
  [2165] = 1970,
  [2166] = 1970,
  [2167] = 1970,
  [2168] = 1970,
  [2169] = 1970,
  [2170] = 1972,
  [2171] = 1970,
  [2172] = 1970,
  [2173] = 1970,
  [2174] = 1970,
  [2175] = 1972,
  [2176] = 1970,
  [2177] = 2177,
  [2178] = 2178,
  [2179] = 2177,
  [2180] = 2177,
  [2181] = 2177,
  [2182] = 2182,
  [2183] = 2182,
  [2184] = 2182,
  [2185] = 2185,
  [2186] = 2182,
  [2187] = 2187,
  [2188] = 2177,
  [2189] = 2177,
  [2190] = 2182,
  [2191] = 2177,
  [2192] = 2182,
  [2193] = 2182,
  [2194] = 2177,
  [2195] = 2177,
  [2196] = 2182,
  [2197] = 2182,
  [2198] = 2198,
  [2199] = 2199,
  [2200] = 2177,
  [2201] = 2182,
  [2202] = 2202,
  [2203] = 2203,
  [2204] = 2187,
  [2205] = 2177,
  [2206] = 2206,
  [2207] = 2177,
  [2208] = 2182,
  [2209] = 2177,
  [2210] = 2210,
  [2211] = 2211,
  [2212] = 2182,
  [2213] = 2213,
  [2214] = 2177,
  [2215] = 2215,
  [2216] = 2182,
  [2217] = 2217,
  [2218] = 2218,
  [2219] = 2202,
  [2220] = 2185,
  [2221] = 2221,
  [2222] = 2182,
  [2223] = 2223,
  [2224] = 2185,
  [2225] = 2202,
  [2226] = 2187,
  [2227] = 2177,
  [2228] = 2177,
  [2229] = 2177,
  [2230] = 2182,
  [2231] = 2231,
  [2232] = 2185,
  [2233] = 2187,
  [2234] = 2182,
  [2235] = 2187,
  [2236] = 2206,
  [2237] = 2177,
  [2238] = 2210,
  [2239] = 2178,
  [2240] = 2182,
  [2241] = 2182,
  [2242] = 2213,
  [2243] = 2215,
  [2244] = 2202,
  [2245] = 2185,
  [2246] = 2187,
  [2247] = 2177,
  [2248] = 2182,
  [2249] = 2177,
  [2250] = 2215,
  [2251] = 2202,
  [2252] = 2185,
  [2253] = 2187,
  [2254] = 2202,
  [2255] = 2182,
  [2256] = 2185,
  [2257] = 2215,
  [2258] = 2202,
  [2259] = 2177,
  [2260] = 2185,
  [2261] = 2187,
  [2262] = 2177,
  [2263] = 2182,
  [2264] = 2177,
  [2265] = 2182,
  [2266] = 2182,
  [2267] = 2215,
  [2268] = 2202,
  [2269] = 2185,
  [2270] = 2187,
  [2271] = 2177,
  [2272] = 2202,
  [2273] = 2182,
  [2274] = 2215,
  [2275] = 2202,
  [2276] = 2177,
  [2277] = 2185,
  [2278] = 2187,
  [2279] = 2177,
  [2280] = 2177,
  [2281] = 2182,
  [2282] = 2182,
  [2283] = 2215,
  [2284] = 2202,
  [2285] = 2185,
  [2286] = 2187,
  [2287] = 2202,
  [2288] = 2187,
  [2289] = 2177,
  [2290] = 2182,
  [2291] = 2177,
  [2292] = 2215,
  [2293] = 2202,
  [2294] = 2185,
  [2295] = 2187,
  [2296] = 2206,
  [2297] = 2177,
  [2298] = 2177,
  [2299] = 2182,
  [2300] = 2182,
  [2301] = 2182,
  [2302] = 2215,
  [2303] = 2182,
  [2304] = 2202,
  [2305] = 2185,
  [2306] = 2187,
  [2307] = 2202,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2202,
  [2311] = 2185,
  [2312] = 2187,
  [2313] = 2178,
  [2314] = 2177,
  [2315] = 2182,
  [2316] = 2177,
  [2317] = 2215,
  [2318] = 2202,
  [2319] = 2202,
  [2320] = 2185,
  [2321] = 2187,
  [2322] = 2177,
  [2323] = 2182,
  [2324] = 2177,
  [2325] = 2185,
  [2326] = 2182,
  [2327] = 2185,
  [2328] = 2182,
  [2329] = 2182,
  [2330] = 2177,
  [2331] = 2182,
  [2332] = 2187,
  [2333] = 2215,
  [2334] = 2177,
  [2335] = 2202,
  [2336] = 2185,
  [2337] = 2187,
  [2338] = 2177,
  [2339] = 2182,
  [2340] = 2202,
  [2341] = 2177,
  [2342] = 2215,
  [2343] = 2177,
  [2344] = 2202,
  [2345] = 2185,
  [2346] = 2187,
  [2347] = 2177,
  [2348] = 2177,
  [2349] = 2213,
  [2350] = 2182,
  [2351] = 2215,
  [2352] = 2202,
  [2353] = 2202,
  [2354] = 2185,
  [2355] = 2187,
  [2356] = 2182,
  [2357] = 2177,
  [2358] = 2177,
  [2359] = 2182,
  [2360] = 2182,
  [2361] = 2177,
  [2362] = 2185,
  [2363] = 2182,
  [2364] = 2215,
  [2365] = 2202,
  [2366] = 2202,
  [2367] = 2182,
  [2368] = 2177,
  [2369] = 2185,
  [2370] = 2187,
  [2371] = 2187,
  [2372] = 2182,
  [2373] = 2177,
  [2374] = 2177,
  [2375] = 2202,
  [2376] = 2202,
  [2377] = 2215,
  [2378] = 2202,
  [2379] = 2185,
  [2380] = 2187,
  [2381] = 2182,
  [2382] = 2177,
  [2383] = 2202,
  [2384] = 2182,
  [2385] = 2182,
  [2386] = 2210,
  [2387] = 2215,
  [2388] = 2177,
  [2389] = 2389,
  [2390] = 2182,
  [2391] = 2177,
  [2392] = 2215,
  [2393] = 2202,
  [2394] = 2202,
  [2395] = 2185,
  [2396] = 2187,
  [2397] = 2177,
  [2398] = 2182,
  [2399] = 2177,
  [2400] = 2182,
  [2401] = 2202,
  [2402] = 2182,
  [2403] = 2202,
  [2404] = 2202,
  [2405] = 2185,
  [2406] = 2187,
  [2407] = 2177,
  [2408] = 2177,
  [2409] = 2177,
  [2410] = 2182,
  [2411] = 2182,
  [2412] = 2202,
  [2413] = 2185,
  [2414] = 2202,
  [2415] = 2182,
  [2416] = 2182,
  [2417] = 2417,
  [2418] = 2185,
  [2419] = 2187,
  [2420] = 2389,
  [2421] = 2178,
  [2422] = 2389,
  [2423] = 2178,
  [2424] = 2389,
  [2425] = 2178,
  [2426] = 2389,
  [2427] = 2178,
  [2428] = 2389,
  [2429] = 2178,
  [2430] = 2389,
  [2431] = 2178,
  [2432] = 2389,
  [2433] = 2178,
  [2434] = 2389,
  [2435] = 2178,
  [2436] = 2389,
  [2437] = 2178,
  [2438] = 2389,
  [2439] = 2178,
  [2440] = 2389,
  [2441] = 2178,
  [2442] = 2389,
  [2443] = 2178,
  [2444] = 2389,
  [2445] = 2178,
  [2446] = 2389,
  [2447] = 2178,
  [2448] = 2389,
  [2449] = 2178,
  [2450] = 2389,
  [2451] = 2178,
  [2452] = 2389,
  [2453] = 2178,
  [2454] = 2178,
  [2455] = 2178,
  [2456] = 2178,
  [2457] = 2178,
  [2458] = 2178,
  [2459] = 2178,
  [2460] = 2178,
  [2461] = 2178,
  [2462] = 2178,
  [2463] = 2178,
  [2464] = 2178,
  [2465] = 2178,
  [2466] = 2178,
  [2467] = 2178,
  [2468] = 2178,
  [2469] = 2178,
  [2470] = 2178,
  [2471] = 2178,
  [2472] = 2178,
  [2473] = 2178,
  [2474] = 2178,
  [2475] = 2178,
  [2476] = 2178,
  [2477] = 2178,
  [2478] = 2178,
  [2479] = 2178,
  [2480] = 2178,
  [2481] = 2178,
  [2482] = 2178,
  [2483] = 2178,
  [2484] = 2178,
  [2485] = 2178,
  [2486] = 2178,
  [2487] = 2178,
  [2488] = 2178,
  [2489] = 2178,
  [2490] = 2215,
  [2491] = 2491,
  [2492] = 2491,
  [2493] = 2491,
  [2494] = 2491,
  [2495] = 2495,
  [2496] = 2495,
  [2497] = 2495,
  [2498] = 2495,
  [2499] = 2495,
  [2500] = 2495,
  [2501] = 2495,
  [2502] = 2495,
  [2503] = 2495,
  [2504] = 2495,
  [2505] = 2495,
  [2506] = 2495,
  [2507] = 2495,
  [2508] = 2495,
  [2509] = 2495,
  [2510] = 2495,
  [2511] = 2495,
  [2512] = 2495,
  [2513] = 2495,
  [2514] = 2495,
  [2515] = 2495,
  [2516] = 2495,
  [2517] = 2495,
  [2518] = 2495,
  [2519] = 2495,
  [2520] = 2495,
  [2521] = 2495,
  [2522] = 2495,
  [2523] = 2495,
  [2524] = 2495,
  [2525] = 2495,
  [2526] = 2495,
  [2527] = 2495,
  [2528] = 2495,
  [2529] = 2495,
  [2530] = 2495,
  [2531] = 2495,
  [2532] = 2495,
  [2533] = 2495,
  [2534] = 2495,
  [2535] = 2495,
  [2536] = 2495,
  [2537] = 2495,
  [2538] = 2495,
  [2539] = 2495,
  [2540] = 2495,
  [2541] = 2495,
  [2542] = 2495,
  [2543] = 2543,
  [2544] = 2543,
  [2545] = 2543,
  [2546] = 2543,
  [2547] = 2547,
  [2548] = 2548,
  [2549] = 2549,
  [2550] = 2549,
  [2551] = 2547,
  [2552] = 2549,
  [2553] = 2548,
  [2554] = 2554,
  [2555] = 2555,
  [2556] = 2549,
  [2557] = 2549,
  [2558] = 2554,
  [2559] = 2547,
  [2560] = 2560,
  [2561] = 2560,
  [2562] = 2560,
  [2563] = 2560,
  [2564] = 2560,
  [2565] = 2560,
  [2566] = 2560,
  [2567] = 2560,
  [2568] = 2560,
  [2569] = 2560,
  [2570] = 2560,
  [2571] = 2560,
  [2572] = 2560,
  [2573] = 2560,
  [2574] = 2560,
  [2575] = 2560,
  [2576] = 2560,
  [2577] = 2560,
  [2578] = 2560,
  [2579] = 2560,
  [2580] = 2560,
  [2581] = 2560,
  [2582] = 2560,
  [2583] = 2560,
  [2584] = 2560,
  [2585] = 2560,
  [2586] = 2586,
  [2587] = 2586,
  [2588] = 2586,
  [2589] = 2586,
  [2590] = 2586,
  [2591] = 2586,
  [2592] = 2586,
  [2593] = 2586,
  [2594] = 2586,
  [2595] = 2586,
  [2596] = 2586,
  [2597] = 2586,
  [2598] = 2586,
  [2599] = 2586,
  [2600] = 2586,
  [2601] = 2586,
  [2602] = 2586,
  [2603] = 2586,
  [2604] = 2586,
  [2605] = 2586,
  [2606] = 2586,
  [2607] = 2586,
  [2608] = 2586,
  [2609] = 2586,
  [2610] = 2586,
  [2611] = 2586,
  [2612] = 2586,
  [2613] = 2586,
  [2614] = 2586,
  [2615] = 2586,
  [2616] = 2586,
  [2617] = 2586,
  [2618] = 2586,
  [2619] = 2586,
  [2620] = 2586,
  [2621] = 2586,
  [2622] = 2586,
  [2623] = 2586,
  [2624] = 2586,
  [2625] = 2586,
  [2626] = 2586,
  [2627] = 2586,
  [2628] = 2586,
  [2629] = 2586,
  [2630] = 2586,
  [2631] = 2586,
  [2632] = 2586,
  [2633] = 2586,
  [2634] = 2586,
  [2635] = 2586,
  [2636] = 2586,
  [2637] = 2586,
  [2638] = 2586,
  [2639] = 2586,
  [2640] = 2586,
  [2641] = 2586,
  [2642] = 2586,
  [2643] = 2586,
  [2644] = 2586,
  [2645] = 2645,
  [2646] = 2645,
  [2647] = 2645,
  [2648] = 2645,
  [2649] = 2649,
  [2650] = 2645,
  [2651] = 2645,
  [2652] = 2645,
  [2653] = 2653,
  [2654] = 2645,
  [2655] = 2649,
  [2656] = 2645,
  [2657] = 2645,
  [2658] = 2658,
  [2659] = 2645,
  [2660] = 2645,
  [2661] = 2645,
  [2662] = 2645,
  [2663] = 2645,
  [2664] = 2645,
  [2665] = 2645,
  [2666] = 2645,
  [2667] = 2649,
  [2668] = 2653,
  [2669] = 2645,
  [2670] = 2649,
  [2671] = 2645,
  [2672] = 2645,
  [2673] = 2645,
  [2674] = 2645,
  [2675] = 2645,
  [2676] = 2645,
  [2677] = 2645,
  [2678] = 2645,
  [2679] = 2649,
  [2680] = 2645,
  [2681] = 2645,
  [2682] = 2653,
  [2683] = 2645,
  [2684] = 2645,
  [2685] = 2645,
  [2686] = 2645,
  [2687] = 2645,
  [2688] = 2653,
  [2689] = 2645,
  [2690] = 2645,
  [2691] = 2645,
  [2692] = 2645,
  [2693] = 2645,
  [2694] = 2645,
  [2695] = 2645,
  [2696] = 2645,
  [2697] = 2645,
  [2698] = 2645,
  [2699] = 2645,
  [2700] = 2645,
  [2701] = 2645,
  [2702] = 2645,
  [2703] = 2645,
  [2704] = 2645,
  [2705] = 2645,
  [2706] = 2645,
  [2707] = 2645,
  [2708] = 2645,
  [2709] = 2709,
  [2710] = 2645,
  [2711] = 2653,
  [2712] = 2645,
  [2713] = 2645,
  [2714] = 2645,
  [2715] = 2645,
  [2716] = 2716,
  [2717] = 2717,
  [2718] = 2718,
  [2719] = 2719,
  [2720] = 2720,
  [2721] = 2721,
  [2722] = 2722,
  [2723] = 2723,
  [2724] = 2724,
  [2725] = 2725,
  [2726] = 2726,
  [2727] = 2727,
  [2728] = 2728,
  [2729] = 2729,
  [2730] = 2730,
  [2731] = 2729,
  [2732] = 2732,
  [2733] = 2729,
  [2734] = 2730,
  [2735] = 2491,
  [2736] = 2736,
  [2737] = 2732,
  [2738] = 2732,
  [2739] = 2739,
  [2740] = 2740,
  [2741] = 2741,
  [2742] = 2739,
  [2743] = 2741,
  [2744] = 2739,
  [2745] = 2740,
  [2746] = 2746,
  [2747] = 2739,
  [2748] = 2741,
  [2749] = 2749,
  [2750] = 2749,
  [2751] = 2740,
  [2752] = 2740,
  [2753] = 2741,
  [2754] = 2746,
  [2755] = 2741,
  [2756] = 2739,
  [2757] = 2749,
  [2758] = 2739,
  [2759] = 2740,
  [2760] = 2741,
  [2761] = 2741,
  [2762] = 2739,
  [2763] = 2746,
  [2764] = 2739,
  [2765] = 2749,
  [2766] = 2749,
  [2767] = 2749,
  [2768] = 2749,
  [2769] = 2749,
  [2770] = 2740,
  [2771] = 2740,
  [2772] = 2740,
  [2773] = 2746,
  [2774] = 2741,
  [2775] = 2741,
  [2776] = 2739,
  [2777] = 2739,
  [2778] = 2740,
  [2779] = 2741,
  [2780] = 2746,
  [2781] = 2739,
  [2782] = 2749,
  [2783] = 2749,
  [2784] = 2740,
  [2785] = 2740,
  [2786] = 2741,
  [2787] = 2746,
  [2788] = 2749,
  [2789] = 2740,
  [2790] = 2741,
  [2791] = 2739,
  [2792] = 2741,
  [2793] = 2739,
  [2794] = 2740,
  [2795] = 2746,
  [2796] = 2749,
  [2797] = 2739,
  [2798] = 2741,
  [2799] = 2740,
  [2800] = 2739,
  [2801] = 2740,
  [2802] = 2749,
  [2803] = 2739,
  [2804] = 2741,
  [2805] = 2746,
  [2806] = 2740,
  [2807] = 2739,
  [2808] = 2739,
  [2809] = 2740,
  [2810] = 2741,
  [2811] = 2739,
  [2812] = 2746,
  [2813] = 2741,
  [2814] = 2739,
  [2815] = 2749,
  [2816] = 2739,
  [2817] = 2740,
  [2818] = 2749,
  [2819] = 2741,
  [2820] = 2739,
  [2821] = 2746,
  [2822] = 2749,
  [2823] = 2823,
  [2824] = 2740,
  [2825] = 2739,
  [2826] = 2740,
  [2827] = 2749,
  [2828] = 2749,
  [2829] = 2749,
  [2830] = 2746,
  [2831] = 2740,
  [2832] = 2740,
  [2833] = 2740,
  [2834] = 2741,
  [2835] = 2739,
  [2836] = 2740,
  [2837] = 2739,
  [2838] = 2741,
  [2839] = 2739,
  [2840] = 2746,
  [2841] = 2739,
  [2842] = 2740,
  [2843] = 2739,
  [2844] = 2740,
  [2845] = 2749,
  [2846] = 2740,
  [2847] = 2746,
  [2848] = 2741,
  [2849] = 2739,
  [2850] = 2741,
  [2851] = 2740,
  [2852] = 2739,
  [2853] = 2739,
  [2854] = 2854,
  [2855] = 2746,
  [2856] = 2749,
  [2857] = 2749,
  [2858] = 2739,
  [2859] = 2740,
  [2860] = 2741,
  [2861] = 2739,
  [2862] = 2749,
  [2863] = 2740,
  [2864] = 2746,
  [2865] = 2740,
  [2866] = 2741,
  [2867] = 2740,
  [2868] = 2739,
  [2869] = 2741,
  [2870] = 2741,
  [2871] = 2739,
  [2872] = 2746,
  [2873] = 2739,
  [2874] = 2741,
  [2875] = 2749,
  [2876] = 2749,
  [2877] = 2740,
  [2878] = 2741,
  [2879] = 2739,
  [2880] = 2746,
  [2881] = 2739,
  [2882] = 2749,
  [2883] = 2740,
  [2884] = 2740,
  [2885] = 2741,
  [2886] = 2739,
  [2887] = 2749,
  [2888] = 2746,
  [2889] = 2749,
  [2890] = 2739,
  [2891] = 2740,
  [2892] = 2740,
  [2893] = 2741,
  [2894] = 2740,
  [2895] = 2739,
  [2896] = 2741,
  [2897] = 2746,
  [2898] = 2739,
  [2899] = 2739,
  [2900] = 2740,
  [2901] = 2749,
  [2902] = 2746,
  [2903] = 2739,
  [2904] = 2749,
  [2905] = 2749,
  [2906] = 2740,
  [2907] = 2740,
  [2908] = 2741,
  [2909] = 2740,
  [2910] = 2746,
  [2911] = 2741,
  [2912] = 2739,
  [2913] = 2739,
  [2914] = 2749,
  [2915] = 2739,
  [2916] = 2749,
  [2917] = 2746,
  [2918] = 2749,
  [2919] = 2740,
  [2920] = 2740,
  [2921] = 2741,
  [2922] = 2739,
  [2923] = 2740,
  [2924] = 2746,
  [2925] = 2739,
  [2926] = 2741,
  [2927] = 2740,
  [2928] = 2739,
  [2929] = 2823,
  [2930] = 2739,
  [2931] = 2746,
  [2932] = 2740,
  [2933] = 2749,
  [2934] = 2740,
  [2935] = 2746,
  [2936] = 2741,
  [2937] = 2739,
  [2938] = 2739,
  [2939] = 2749,
  [2940] = 2740,
  [2941] = 2739,
  [2942] = 2746,
  [2943] = 2749,
  [2944] = 2740,
  [2945] = 2740,
  [2946] = 2740,
  [2947] = 2741,
  [2948] = 2749,
  [2949] = 2746,
  [2950] = 2739,
  [2951] = 2740,
  [2952] = 2749,
  [2953] = 2741,
  [2954] = 2739,
  [2955] = 2746,
  [2956] = 2740,
  [2957] = 2739,
  [2958] = 2740,
  [2959] = 2740,
  [2960] = 2741,
  [2961] = 2739,
  [2962] = 2746,
  [2963] = 2739,
  [2964] = 2740,
  [2965] = 2739,
  [2966] = 2749,
  [2967] = 2746,
  [2968] = 2740,
  [2969] = 2739,
  [2970] = 2741,
  [2971] = 2739,
  [2972] = 2740,
  [2973] = 2749,
  [2974] = 2746,
  [2975] = 2749,
  [2976] = 2740,
  [2977] = 2740,
  [2978] = 2741,
  [2979] = 2739,
  [2980] = 2739,
  [2981] = 2746,
  [2982] = 2740,
  [2983] = 2749,
  [2984] = 2739,
  [2985] = 2740,
  [2986] = 2749,
  [2987] = 2741,
  [2988] = 2746,
  [2989] = 2739,
  [2990] = 2740,
  [2991] = 2740,
  [2992] = 2741,
  [2993] = 2739,
  [2994] = 2741,
  [2995] = 2746,
  [2996] = 2749,
  [2997] = 2739,
  [2998] = 2740,
  [2999] = 2749,
  [3000] = 2746,
  [3001] = 2740,
  [3002] = 2739,
  [3003] = 2740,
  [3004] = 2741,
  [3005] = 2739,
  [3006] = 2746,
  [3007] = 2823,
  [3008] = 2740,
  [3009] = 2739,
  [3010] = 2740,
  [3011] = 2746,
  [3012] = 2741,
  [3013] = 2740,
  [3014] = 2741,
  [3015] = 2749,
  [3016] = 2740,
  [3017] = 2746,
  [3018] = 2749,
  [3019] = 2746,
  [3020] = 2739,
  [3021] = 2741,
  [3022] = 2741,
  [3023] = 2746,
  [3024] = 2740,
  [3025] = 2749,
  [3026] = 2740,
  [3027] = 3027,
  [3028] = 2741,
  [3029] = 2746,
  [3030] = 2749,
  [3031] = 2739,
  [3032] = 2741,
  [3033] = 2749,
  [3034] = 2746,
  [3035] = 2740,
  [3036] = 2739,
  [3037] = 2741,
  [3038] = 2739,
  [3039] = 2746,
  [3040] = 2741,
  [3041] = 2739,
  [3042] = 2749,
  [3043] = 2749,
  [3044] = 2740,
  [3045] = 2746,
  [3046] = 2741,
  [3047] = 2741,
  [3048] = 2740,
  [3049] = 2739,
  [3050] = 2746,
  [3051] = 2739,
  [3052] = 2854,
  [3053] = 2749,
  [3054] = 2741,
  [3055] = 2746,
  [3056] = 2739,
  [3057] = 2740,
  [3058] = 2739,
  [3059] = 2749,
  [3060] = 2740,
  [3061] = 2741,
  [3062] = 2746,
  [3063] = 2749,
  [3064] = 2749,
  [3065] = 2739,
  [3066] = 2739,
  [3067] = 2746,
  [3068] = 2746,
  [3069] = 2854,
  [3070] = 2740,
  [3071] = 2746,
  [3072] = 2741,
  [3073] = 2740,
  [3074] = 2739,
  [3075] = 2749,
  [3076] = 2740,
  [3077] = 2746,
  [3078] = 2741,
  [3079] = 2823,
  [3080] = 2739,
  [3081] = 2741,
  [3082] = 2746,
  [3083] = 2741,
  [3084] = 2749,
  [3085] = 2749,
  [3086] = 2740,
  [3087] = 2749,
  [3088] = 2741,
  [3089] = 2740,
  [3090] = 2491,
  [3091] = 2746,
  [3092] = 2740,
  [3093] = 2749,
  [3094] = 2749,
  [3095] = 2746,
  [3096] = 2740,
  [3097] = 2741,
  [3098] = 2739,
  [3099] = 2746,
  [3100] = 2740,
  [3101] = 2741,
  [3102] = 2741,
  [3103] = 2746,
  [3104] = 2741,
  [3105] = 2749,
  [3106] = 2746,
  [3107] = 2740,
  [3108] = 2739,
  [3109] = 2739,
  [3110] = 2746,
  [3111] = 2741,
  [3112] = 2746,
  [3113] = 2739,
  [3114] = 2739,
  [3115] = 2746,
  [3116] = 2739,
  [3117] = 2749,
  [3118] = 2746,
  [3119] = 2740,
  [3120] = 2741,
  [3121] = 2746,
  [3122] = 2749,
  [3123] = 2740,
  [3124] = 2739,
  [3125] = 2746,
  [3126] = 2739,
  [3127] = 2746,
  [3128] = 2746,
  [3129] = 2741,
  [3130] = 2749,
  [3131] = 2746,
  [3132] = 2739,
  [3133] = 2740,
  [3134] = 2739,
  [3135] = 2746,
  [3136] = 2749,
  [3137] = 2749,
  [3138] = 2746,
  [3139] = 2740,
  [3140] = 2741,
  [3141] = 2739,
  [3142] = 2746,
  [3143] = 2740,
  [3144] = 2746,
  [3145] = 2749,
  [3146] = 2746,
  [3147] = 2741,
  [3148] = 2749,
  [3149] = 2746,
  [3150] = 2740,
  [3151] = 2741,
  [3152] = 2739,
  [3153] = 2746,
  [3154] = 2749,
  [3155] = 2746,
  [3156] = 2740,
  [3157] = 2741,
  [3158] = 2746,
  [3159] = 2740,
  [3160] = 2739,
  [3161] = 2746,
  [3162] = 2749,
  [3163] = 2741,
  [3164] = 2740,
  [3165] = 2746,
  [3166] = 2749,
  [3167] = 2741,
  [3168] = 2739,
  [3169] = 2746,
  [3170] = 2741,
  [3171] = 2739,
  [3172] = 2749,
  [3173] = 2746,
  [3174] = 2749,
  [3175] = 2740,
  [3176] = 2741,
  [3177] = 2746,
  [3178] = 2739,
  [3179] = 2740,
  [3180] = 2746,
  [3181] = 2740,
  [3182] = 2749,
  [3183] = 2746,
  [3184] = 2749,
  [3185] = 2749,
  [3186] = 2740,
  [3187] = 2746,
  [3188] = 2740,
  [3189] = 2740,
  [3190] = 2739,
  [3191] = 2746,
  [3192] = 2741,
  [3193] = 2746,
  [3194] = 2746,
  [3195] = 2741,
  [3196] = 2741,
  [3197] = 2739,
  [3198] = 2746,
  [3199] = 2739,
  [3200] = 2746,
  [3201] = 2739,
  [3202] = 2749,
  [3203] = 2746,
  [3204] = 2749,
  [3205] = 2740,
  [3206] = 2746,
  [3207] = 2741,
  [3208] = 2741,
  [3209] = 2746,
  [3210] = 2739,
  [3211] = 2740,
  [3212] = 2739,
  [3213] = 2746,
  [3214] = 2739,
  [3215] = 2746,
  [3216] = 2749,
  [3217] = 2749,
  [3218] = 2746,
  [3219] = 2740,
  [3220] = 2740,
  [3221] = 2746,
  [3222] = 2740,
  [3223] = 2749,
  [3224] = 2746,
  [3225] = 2741,
  [3226] = 2741,
  [3227] = 2740,
  [3228] = 2746,
  [3229] = 2741,
  [3230] = 2739,
  [3231] = 2741,
  [3232] = 2746,
  [3233] = 2739,
  [3234] = 2741,
  [3235] = 2746,
  [3236] = 2739,
  [3237] = 2739,
  [3238] = 2746,
  [3239] = 2739,
  [3240] = 2746,
  [3241] = 2749,
  [3242] = 2749,
  [3243] = 2746,
  [3244] = 2740,
  [3245] = 2741,
  [3246] = 2746,
  [3247] = 2739,
  [3248] = 2739,
  [3249] = 2749,
  [3250] = 2746,
  [3251] = 2740,
  [3252] = 2740,
  [3253] = 2746,
  [3254] = 2749,
  [3255] = 2741,
  [3256] = 2746,
  [3257] = 2739,
  [3258] = 2740,
  [3259] = 2746,
  [3260] = 2746,
  [3261] = 2746,
  [3262] = 2749,
  [3263] = 2741,
  [3264] = 2749,
  [3265] = 2746,
  [3266] = 2740,
  [3267] = 2739,
  [3268] = 2749,
  [3269] = 2741,
  [3270] = 2741,
  [3271] = 2749,
  [3272] = 2740,
  [3273] = 2739,
  [3274] = 2741,
  [3275] = 2739,
  [3276] = 2739,
  [3277] = 2749,
  [3278] = 2749,
  [3279] = 2740,
  [3280] = 2749,
  [3281] = 2740,
  [3282] = 2741,
  [3283] = 2741,
  [3284] = 2739,
  [3285] = 2740,
  [3286] = 2739,
  [3287] = 2741,
  [3288] = 2739,
  [3289] = 2740,
  [3290] = 2749,
  [3291] = 2740,
  [3292] = 2740,
  [3293] = 2741,
  [3294] = 2740,
  [3295] = 2739,
  [3296] = 2749,
  [3297] = 2741,
  [3298] = 2749,
  [3299] = 2740,
  [3300] = 2741,
  [3301] = 2739,
  [3302] = 2740,
  [3303] = 2749,
  [3304] = 2740,
  [3305] = 2741,
  [3306] = 2739,
  [3307] = 2739,
  [3308] = 2749,
  [3309] = 2749,
  [3310] = 2740,
  [3311] = 2741,
  [3312] = 2739,
  [3313] = 2741,
  [3314] = 2746,
  [3315] = 2749,
  [3316] = 2740,
  [3317] = 2741,
  [3318] = 2739,
  [3319] = 2739,
  [3320] = 2749,
  [3321] = 2740,
  [3322] = 2741,
  [3323] = 2739,
  [3324] = 2491,
  [3325] = 2749,
  [3326] = 2740,
  [3327] = 2741,
  [3328] = 2739,
  [3329] = 2749,
  [3330] = 2854,
  [3331] = 2749,
  [3332] = 2740,
  [3333] = 2741,
  [3334] = 2739,
  [3335] = 2749,
  [3336] = 2740,
  [3337] = 2741,
  [3338] = 2739,
  [3339] = 2740,
  [3340] = 2749,
  [3341] = 2740,
  [3342] = 2741,
  [3343] = 2739,
  [3344] = 2749,
  [3345] = 2749,
  [3346] = 2740,
  [3347] = 2741,
  [3348] = 2739,
  [3349] = 2740,
  [3350] = 2749,
  [3351] = 2740,
  [3352] = 2741,
  [3353] = 2739,
  [3354] = 2741,
  [3355] = 2749,
  [3356] = 2740,
  [3357] = 2741,
  [3358] = 2739,
  [3359] = 2746,
  [3360] = 3360,
  [3361] = 3361,
  [3362] = 3362,
  [3363] = 3363,
  [3364] = 3364,
  [3365] = 3362,
  [3366] = 3360,
  [3367] = 3367,
  [3368] = 3368,
  [3369] = 3369,
  [3370] = 3370,
  [3371] = 3371,
  [3372] = 3362,
  [3373] = 3371,
  [3374] = 3374,
  [3375] = 3370,
  [3376] = 3364,
  [3377] = 3361,
  [3378] = 3360,
  [3379] = 3367,
  [3380] = 3368,
  [3381] = 3370,
  [3382] = 3370,
  [3383] = 3383,
  [3384] = 3370,
  [3385] = 3370,
  [3386] = 3369,
  [3387] = 3362,
  [3388] = 3364,
  [3389] = 3361,
  [3390] = 3360,
  [3391] = 3391,
  [3392] = 3368,
  [3393] = 3367,
  [3394] = 3369,
  [3395] = 3362,
  [3396] = 3362,
  [3397] = 3370,
  [3398] = 3364,
  [3399] = 3360,
  [3400] = 3368,
  [3401] = 3370,
  [3402] = 3370,
  [3403] = 3370,
  [3404] = 3361,
  [3405] = 3361,
  [3406] = 3371,
  [3407] = 3361,
  [3408] = 3361,
  [3409] = 3367,
  [3410] = 3364,
  [3411] = 3369,
  [3412] = 3360,
  [3413] = 3362,
  [3414] = 3368,
  [3415] = 3415,
  [3416] = 3367,
  [3417] = 3369,
  [3418] = 3362,
  [3419] = 3371,
  [3420] = 3364,
  [3421] = 3360,
  [3422] = 3368,
  [3423] = 3423,
  [3424] = 3370,
  [3425] = 3367,
  [3426] = 3369,
  [3427] = 3391,
  [3428] = 3362,
  [3429] = 3429,
  [3430] = 3364,
  [3431] = 3361,
  [3432] = 3360,
  [3433] = 3370,
  [3434] = 3368,
  [3435] = 3361,
  [3436] = 3367,
  [3437] = 3369,
  [3438] = 3362,
  [3439] = 3367,
  [3440] = 3364,
  [3441] = 3360,
  [3442] = 3361,
  [3443] = 3368,
  [3444] = 3370,
  [3445] = 3369,
  [3446] = 3367,
  [3447] = 3367,
  [3448] = 3369,
  [3449] = 3369,
  [3450] = 3362,
  [3451] = 3364,
  [3452] = 3361,
  [3453] = 3360,
  [3454] = 3371,
  [3455] = 3368,
  [3456] = 3370,
  [3457] = 3371,
  [3458] = 3367,
  [3459] = 3369,
  [3460] = 3362,
  [3461] = 3415,
  [3462] = 3429,
  [3463] = 3364,
  [3464] = 3360,
  [3465] = 3368,
  [3466] = 3370,
  [3467] = 3362,
  [3468] = 3468,
  [3469] = 3469,
  [3470] = 3362,
  [3471] = 3370,
  [3472] = 3364,
  [3473] = 3370,
  [3474] = 3360,
  [3475] = 3368,
  [3476] = 3361,
  [3477] = 3361,
  [3478] = 3367,
  [3479] = 3369,
  [3480] = 3362,
  [3481] = 3361,
  [3482] = 3360,
  [3483] = 3368,
  [3484] = 3370,
  [3485] = 3367,
  [3486] = 3369,
  [3487] = 3362,
  [3488] = 3361,
  [3489] = 3367,
  [3490] = 3360,
  [3491] = 3371,
  [3492] = 3368,
  [3493] = 3383,
  [3494] = 3369,
  [3495] = 3362,
  [3496] = 3361,
  [3497] = 3374,
  [3498] = 3367,
  [3499] = 3369,
  [3500] = 3360,
  [3501] = 3368,
  [3502] = 3362,
  [3503] = 3503,
  [3504] = 3361,
  [3505] = 3360,
  [3506] = 3370,
  [3507] = 3368,
  [3508] = 3370,
  [3509] = 3468,
  [3510] = 3469,
  [3511] = 3511,
  [3512] = 3512,
  [3513] = 3513,
  [3514] = 3361,
  [3515] = 3368,
  [3516] = 3367,
  [3517] = 3517,
  [3518] = 3361,
  [3519] = 3369,
  [3520] = 3362,
  [3521] = 3367,
  [3522] = 3368,
  [3523] = 3369,
  [3524] = 3364,
  [3525] = 3362,
  [3526] = 3371,
  [3527] = 3368,
  [3528] = 3370,
  [3529] = 3370,
  [3530] = 3370,
  [3531] = 3367,
  [3532] = 3532,
  [3533] = 2491,
  [3534] = 3369,
  [3535] = 3361,
  [3536] = 3368,
  [3537] = 3370,
  [3538] = 3362,
  [3539] = 3367,
  [3540] = 3540,
  [3541] = 3369,
  [3542] = 3362,
  [3543] = 3361,
  [3544] = 3368,
  [3545] = 3368,
  [3546] = 3370,
  [3547] = 2491,
  [3548] = 3370,
  [3549] = 3370,
  [3550] = 3370,
  [3551] = 3367,
  [3552] = 3368,
  [3553] = 3369,
  [3554] = 3362,
  [3555] = 3361,
  [3556] = 3361,
  [3557] = 3361,
  [3558] = 3370,
  [3559] = 3367,
  [3560] = 3369,
  [3561] = 3368,
  [3562] = 3367,
  [3563] = 3362,
  [3564] = 3369,
  [3565] = 3362,
  [3566] = 3383,
  [3567] = 3367,
  [3568] = 3371,
  [3569] = 3368,
  [3570] = 3370,
  [3571] = 3369,
  [3572] = 3362,
  [3573] = 3370,
  [3574] = 3361,
  [3575] = 3368,
  [3576] = 3367,
  [3577] = 3369,
  [3578] = 3362,
  [3579] = 3512,
  [3580] = 3580,
  [3581] = 3370,
  [3582] = 3513,
  [3583] = 3368,
  [3584] = 3361,
  [3585] = 3367,
  [3586] = 3370,
  [3587] = 3361,
  [3588] = 3369,
  [3589] = 3367,
  [3590] = 3361,
  [3591] = 3368,
  [3592] = 3369,
  [3593] = 3362,
  [3594] = 3362,
  [3595] = 3367,
  [3596] = 3361,
  [3597] = 3370,
  [3598] = 3368,
  [3599] = 3361,
  [3600] = 3369,
  [3601] = 3367,
  [3602] = 3369,
  [3603] = 3362,
  [3604] = 3361,
  [3605] = 3368,
  [3606] = 3371,
  [3607] = 3370,
  [3608] = 3367,
  [3609] = 3369,
  [3610] = 3374,
  [3611] = 3367,
  [3612] = 3362,
  [3613] = 3367,
  [3614] = 3368,
  [3615] = 3367,
  [3616] = 3369,
  [3617] = 3370,
  [3618] = 3369,
  [3619] = 3370,
  [3620] = 3368,
  [3621] = 3362,
  [3622] = 3367,
  [3623] = 3369,
  [3624] = 3362,
  [3625] = 3370,
  [3626] = 3370,
  [3627] = 3368,
  [3628] = 3361,
  [3629] = 3361,
  [3630] = 3361,
  [3631] = 3367,
  [3632] = 3367,
  [3633] = 3369,
  [3634] = 3369,
  [3635] = 3368,
  [3636] = 3362,
  [3637] = 3361,
  [3638] = 3362,
  [3639] = 3512,
  [3640] = 3361,
  [3641] = 3370,
  [3642] = 3361,
  [3643] = 3368,
  [3644] = 3367,
  [3645] = 3369,
  [3646] = 3371,
  [3647] = 3367,
  [3648] = 3369,
  [3649] = 3361,
  [3650] = 3362,
  [3651] = 3368,
  [3652] = 3362,
  [3653] = 3367,
  [3654] = 3369,
  [3655] = 3371,
  [3656] = 3362,
  [3657] = 3513,
  [3658] = 3368,
  [3659] = 3517,
  [3660] = 3370,
  [3661] = 3661,
  [3662] = 3367,
  [3663] = 3369,
  [3664] = 3361,
  [3665] = 3362,
  [3666] = 3368,
  [3667] = 3661,
  [3668] = 3367,
  [3669] = 3369,
  [3670] = 3362,
  [3671] = 2491,
  [3672] = 3368,
  [3673] = 3370,
  [3674] = 3370,
  [3675] = 3370,
  [3676] = 3361,
  [3677] = 3368,
  [3678] = 3361,
  [3679] = 3367,
  [3680] = 3369,
  [3681] = 3362,
  [3682] = 3361,
  [3683] = 3361,
  [3684] = 3368,
  [3685] = 3370,
  [3686] = 3686,
  [3687] = 3367,
  [3688] = 3361,
  [3689] = 3369,
  [3690] = 3368,
  [3691] = 3362,
  [3692] = 3371,
  [3693] = 3361,
  [3694] = 3368,
  [3695] = 3362,
  [3696] = 3360,
  [3697] = 3368,
  [3698] = 3367,
  [3699] = 3364,
  [3700] = 3700,
  [3701] = 3360,
  [3702] = 3368,
  [3703] = 3703,
  [3704] = 3368,
  [3705] = 3369,
  [3706] = 3362,
  [3707] = 3368,
  [3708] = 3532,
  [3709] = 3700,
  [3710] = 3368,
  [3711] = 3370,
  [3712] = 3703,
  [3713] = 3713,
  [3714] = 3714,
  [3715] = 3540,
  [3716] = 3368,
  [3717] = 3370,
  [3718] = 2491,
  [3719] = 3367,
  [3720] = 3368,
  [3721] = 3513,
  [3722] = 3369,
  [3723] = 3368,
  [3724] = 3532,
  [3725] = 3361,
  [3726] = 3540,
  [3727] = 3368,
  [3728] = 3362,
  [3729] = 3370,
  [3730] = 3532,
  [3731] = 3540,
  [3732] = 3368,
  [3733] = 3367,
  [3734] = 3369,
  [3735] = 3361,
  [3736] = 3368,
  [3737] = 3362,
  [3738] = 3517,
  [3739] = 3368,
  [3740] = 3371,
  [3741] = 3367,
  [3742] = 3368,
  [3743] = 3369,
  [3744] = 3362,
  [3745] = 3368,
  [3746] = 3364,
  [3747] = 3360,
  [3748] = 3368,
  [3749] = 3368,
  [3750] = 3368,
  [3751] = 3370,
  [3752] = 3370,
  [3753] = 3368,
  [3754] = 3700,
  [3755] = 3703,
  [3756] = 3713,
  [3757] = 3714,
  [3758] = 3368,
  [3759] = 3370,
  [3760] = 3370,
  [3761] = 3361,
  [3762] = 3368,
  [3763] = 3361,
  [3764] = 3370,
  [3765] = 3367,
  [3766] = 3368,
  [3767] = 3512,
  [3768] = 3368,
  [3769] = 3369,
  [3770] = 3361,
  [3771] = 3368,
  [3772] = 3362,
  [3773] = 3367,
  [3774] = 3364,
  [3775] = 3369,
  [3776] = 3368,
  [3777] = 3367,
  [3778] = 3360,
  [3779] = 3369,
  [3780] = 3362,
  [3781] = 3368,
  [3782] = 3362,
  [3783] = 3368,
  [3784] = 3370,
  [3785] = 3370,
  [3786] = 3368,
  [3787] = 3371,
  [3788] = 3370,
  [3789] = 3700,
  [3790] = 3703,
  [3791] = 3368,
  [3792] = 3713,
  [3793] = 3714,
  [3794] = 3369,
  [3795] = 3367,
  [3796] = 3368,
  [3797] = 3371,
  [3798] = 3361,
  [3799] = 3361,
  [3800] = 3368,
  [3801] = 3369,
  [3802] = 3368,
  [3803] = 3367,
  [3804] = 3369,
  [3805] = 3368,
  [3806] = 3364,
  [3807] = 3540,
  [3808] = 3360,
  [3809] = 3368,
  [3810] = 3370,
  [3811] = 3368,
  [3812] = 3713,
  [3813] = 3368,
  [3814] = 3362,
  [3815] = 3361,
  [3816] = 3700,
  [3817] = 3703,
  [3818] = 3368,
  [3819] = 3713,
  [3820] = 3714,
  [3821] = 3361,
  [3822] = 3367,
  [3823] = 3368,
  [3824] = 3824,
  [3825] = 3361,
  [3826] = 3369,
  [3827] = 3368,
  [3828] = 3363,
  [3829] = 3368,
  [3830] = 3367,
  [3831] = 3362,
  [3832] = 3369,
  [3833] = 3714,
  [3834] = 3368,
  [3835] = 3362,
  [3836] = 3364,
  [3837] = 3370,
  [3838] = 3360,
  [3839] = 3368,
  [3840] = 3371,
  [3841] = 3367,
  [3842] = 3368,
  [3843] = 3369,
  [3844] = 3368,
  [3845] = 3423,
  [3846] = 3362,
  [3847] = 3368,
  [3848] = 3362,
  [3849] = 3368,
  [3850] = 3367,
  [3851] = 3391,
  [3852] = 3368,
  [3853] = 3824,
  [3854] = 3370,
  [3855] = 3371,
  [3856] = 3368,
  [3857] = 3364,
  [3858] = 2491,
  [3859] = 3360,
  [3860] = 3368,
  [3861] = 3370,
  [3862] = 3361,
  [3863] = 3368,
  [3864] = 3367,
  [3865] = 3368,
  [3866] = 3369,
  [3867] = 3361,
  [3868] = 3367,
  [3869] = 3368,
  [3870] = 3369,
  [3871] = 3367,
  [3872] = 3368,
  [3873] = 3361,
  [3874] = 3362,
  [3875] = 3368,
  [3876] = 3369,
  [3877] = 3364,
  [3878] = 3367,
  [3879] = 3362,
  [3880] = 3368,
  [3881] = 3369,
  [3882] = 3360,
  [3883] = 3362,
  [3884] = 3362,
  [3885] = 3368,
  [3886] = 3368,
  [3887] = 3371,
  [3888] = 3371,
  [3889] = 3368,
  [3890] = 3370,
  [3891] = 3361,
  [3892] = 3363,
  [3893] = 3368,
  [3894] = 3369,
  [3895] = 3368,
  [3896] = 3415,
  [3897] = 3370,
  [3898] = 3368,
  [3899] = 3361,
  [3900] = 3364,
  [3901] = 3368,
  [3902] = 3360,
  [3903] = 3367,
  [3904] = 3429,
  [3905] = 3368,
  [3906] = 3368,
  [3907] = 3468,
  [3908] = 3361,
  [3909] = 3370,
  [3910] = 3368,
  [3911] = 3369,
  [3912] = 3361,
  [3913] = 3367,
  [3914] = 3368,
  [3915] = 3367,
  [3916] = 3371,
  [3917] = 3368,
  [3918] = 3361,
  [3919] = 3368,
  [3920] = 3369,
  [3921] = 3362,
  [3922] = 3364,
  [3923] = 3368,
  [3924] = 3367,
  [3925] = 3370,
  [3926] = 3369,
  [3927] = 3368,
  [3928] = 3362,
  [3929] = 3360,
  [3930] = 3368,
  [3931] = 3371,
  [3932] = 3368,
  [3933] = 3368,
  [3934] = 3371,
  [3935] = 3824,
  [3936] = 3368,
  [3937] = 3369,
  [3938] = 3368,
  [3939] = 3362,
  [3940] = 3368,
  [3941] = 3368,
  [3942] = 3580,
  [3943] = 3368,
  [3944] = 3368,
  [3945] = 3368,
  [3946] = 3368,
  [3947] = 3368,
  [3948] = 3368,
  [3949] = 3368,
  [3950] = 3368,
  [3951] = 3368,
  [3952] = 3368,
  [3953] = 3368,
  [3954] = 3368,
  [3955] = 3368,
  [3956] = 3368,
  [3957] = 3368,
  [3958] = 3469,
  [3959] = 3661,
  [3960] = 3370,
  [3961] = 3364,
  [3962] = 3361,
  [3963] = 3360,
  [3964] = 3368,
  [3965] = 3362,
  [3966] = 3362,
  [3967] = 3370,
  [3968] = 3361,
  [3969] = 3367,
  [3970] = 3369,
  [3971] = 3362,
  [3972] = 3367,
  [3973] = 3364,
  [3974] = 3371,
  [3975] = 3360,
  [3976] = 3369,
  [3977] = 3368,
  [3978] = 3362,
  [3979] = 3367,
  [3980] = 3369,
  [3981] = 3362,
  [3982] = 3370,
  [3983] = 3364,
  [3984] = 3580,
  [3985] = 3368,
  [3986] = 3361,
  [3987] = 3423,
  [3988] = 3361,
  [3989] = 3370,
  [3990] = 3371,
  [3991] = 3361,
  [3992] = 3370,
  [3993] = 3367,
  [3994] = 3364,
  [3995] = 3362,
  [3996] = 3360,
  [3997] = 3369,
  [3998] = 3368,
  [3999] = 3367,
  [4000] = 3361,
  [4001] = 3369,
  [4002] = 3367,
  [4003] = 3369,
  [4004] = 3362,
  [4005] = 3532,
  [4006] = 2491,
  [4007] = 2491,
  [4008] = 2491,
  [4009] = 2491,
  [4010] = 2491,
  [4011] = 2491,
  [4012] = 2491,
  [4013] = 2491,
  [4014] = 2491,
  [4015] = 2491,
  [4016] = 2491,
  [4017] = 2491,
  [4018] = 4018,
  [4019] = 4019,
  [4020] = 4019,
  [4021] = 4019,
  [4022] = 4019,
  [4023] = 4018,
  [4024] = 4019,
  [4025] = 4018,
  [4026] = 4019,
  [4027] = 4018,
  [4028] = 4019,
  [4029] = 4018,
  [4030] = 4019,
  [4031] = 4018,
  [4032] = 4018,
  [4033] = 4019,
  [4034] = 4019,
  [4035] = 4018,
  [4036] = 4018,
  [4037] = 4019,
  [4038] = 4018,
  [4039] = 4018,
  [4040] = 4019,
  [4041] = 4019,
  [4042] = 4018,
  [4043] = 4019,
  [4044] = 4018,
  [4045] = 2491,
  [4046] = 4018,
  [4047] = 4019,
  [4048] = 4019,
  [4049] = 2491,
  [4050] = 4018,
  [4051] = 4019,
  [4052] = 4019,
  [4053] = 4018,
  [4054] = 4018,
  [4055] = 4018,
  [4056] = 4019,
  [4057] = 4019,
  [4058] = 4018,
  [4059] = 4019,
  [4060] = 4018,
  [4061] = 4019,
  [4062] = 4018,
  [4063] = 2491,
  [4064] = 4019,
  [4065] = 4019,
  [4066] = 4018,
  [4067] = 4018,
  [4068] = 4019,
  [4069] = 4018,
  [4070] = 4019,
  [4071] = 4018,
  [4072] = 4018,
  [4073] = 4019,
  [4074] = 4018,
  [4075] = 4018,
  [4076] = 4019,
  [4077] = 4019,
  [4078] = 4019,
  [4079] = 4018,
  [4080] = 4018,
  [4081] = 4019,
  [4082] = 4019,
  [4083] = 4018,
  [4084] = 4019,
  [4085] = 4019,
  [4086] = 4018,
  [4087] = 4018,
  [4088] = 4019,
  [4089] = 4018,
  [4090] = 4018,
  [4091] = 4018,
  [4092] = 4019,
  [4093] = 4018,
  [4094] = 4018,
  [4095] = 4019,
  [4096] = 4019,
  [4097] = 4019,
  [4098] = 4018,
  [4099] = 4019,
  [4100] = 4019,
  [4101] = 4018,
  [4102] = 4018,
  [4103] = 4018,
  [4104] = 4018,
  [4105] = 4019,
  [4106] = 4018,
  [4107] = 4019,
  [4108] = 4018,
  [4109] = 4019,
  [4110] = 4019,
  [4111] = 4018,
  [4112] = 4019,
  [4113] = 4019,
  [4114] = 4019,
  [4115] = 4018,
  [4116] = 4018,
  [4117] = 4018,
  [4118] = 4019,
  [4119] = 4019,
  [4120] = 4019,
  [4121] = 2491,
  [4122] = 4018,
  [4123] = 4018,
  [4124] = 4019,
  [4125] = 4018,
  [4126] = 4018,
  [4127] = 4019,
  [4128] = 4019,
  [4129] = 4019,
  [4130] = 4018,
  [4131] = 4019,
  [4132] = 2491,
  [4133] = 4018,
  [4134] = 4018,
  [4135] = 4135,
  [4136] = 4135,
  [4137] = 4135,
  [4138] = 4135,
  [4139] = 4135,
  [4140] = 4135,
  [4141] = 4135,
  [4142] = 4135,
  [4143] = 4135,
  [4144] = 4135,
  [4145] = 4135,
  [4146] = 4135,
  [4147] = 4135,
  [4148] = 4135,
  [4149] = 4135,
  [4150] = 4135,
  [4151] = 4135,
  [4152] = 4135,
  [4153] = 4135,
  [4154] = 4135,
  [4155] = 4135,
  [4156] = 4135,
  [4157] = 4135,
  [4158] = 4135,
  [4159] = 4159,
  [4160] = 2491,
  [4161] = 4135,
  [4162] = 4135,
  [4163] = 4135,
  [4164] = 4135,
  [4165] = 4135,
  [4166] = 4135,
  [4167] = 4135,
  [4168] = 4135,
  [4169] = 4135,
  [4170] = 4170,
  [4171] = 4171,
  [4172] = 4172,
  [4173] = 4135,
  [4174] = 4135,
  [4175] = 4135,
  [4176] = 4135,
  [4177] = 4135,
  [4178] = 4135,
  [4179] = 4135,
  [4180] = 4135,
  [4181] = 4135,
  [4182] = 4135,
  [4183] = 4135,
  [4184] = 4135,
  [4185] = 4135,
  [4186] = 4159,
  [4187] = 4135,
  [4188] = 4135,
  [4189] = 4135,
  [4190] = 4170,
  [4191] = 4135,
  [4192] = 4135,
  [4193] = 4135,
  [4194] = 4135,
  [4195] = 4135,
  [4196] = 4135,
  [4197] = 4135,
  [4198] = 4198,
  [4199] = 4199,
  [4200] = 4171,
  [4201] = 4171,
  [4202] = 4172,
  [4203] = 4172,
  [4204] = 4172,
  [4205] = 4172,
  [4206] = 4172,
  [4207] = 4171,
  [4208] = 4208,
  [4209] = 4208,
  [4210] = 4210,
  [4211] = 4171,
  [4212] = 4208,
  [4213] = 4171,
  [4214] = 4172,
  [4215] = 4171,
  [4216] = 4216,
  [4217] = 4171,
  [4218] = 4172,
  [4219] = 4172,
  [4220] = 4172,
  [4221] = 4221,
  [4222] = 4172,
  [4223] = 4171,
  [4224] = 4171,
  [4225] = 4171,
  [4226] = 4172,
  [4227] = 4227,
  [4228] = 4171,
  [4229] = 4172,
  [4230] = 4171,
  [4231] = 4231,
  [4232] = 4172,
  [4233] = 4171,
  [4234] = 4234,
  [4235] = 4235,
  [4236] = 4171,
  [4237] = 4231,
  [4238] = 4235,
  [4239] = 4234,
  [4240] = 4234,
  [4241] = 4172,
  [4242] = 4242,
  [4243] = 4172,
  [4244] = 4234,
  [4245] = 4171,
  [4246] = 4235,
  [4247] = 4171,
  [4248] = 4235,
  [4249] = 4172,
  [4250] = 4234,
  [4251] = 4171,
  [4252] = 4235,
  [4253] = 4171,
  [4254] = 4231,
  [4255] = 4231,
  [4256] = 4231,
  [4257] = 4172,
  [4258] = 4242,
  [4259] = 4172,
  [4260] = 4171,
  [4261] = 4172,
  [4262] = 4171,
  [4263] = 4171,
  [4264] = 4171,
  [4265] = 4265,
  [4266] = 4265,
  [4267] = 4172,
  [4268] = 4268,
  [4269] = 4265,
  [4270] = 4172,
  [4271] = 4172,
  [4272] = 4272,
  [4273] = 4273,
  [4274] = 4172,
  [4275] = 4273,
  [4276] = 4273,
  [4277] = 4273,
  [4278] = 4273,
  [4279] = 4273,
  [4280] = 4273,
  [4281] = 4273,
  [4282] = 4273,
  [4283] = 4273,
  [4284] = 4273,
  [4285] = 4285,
  [4286] = 4286,
  [4287] = 4273,
  [4288] = 4288,
  [4289] = 4286,
  [4290] = 4290,
  [4291] = 4273,
  [4292] = 4273,
  [4293] = 4273,
  [4294] = 4294,
  [4295] = 4290,
  [4296] = 4285,
  [4297] = 4290,
  [4298] = 4172,
  [4299] = 4273,
  [4300] = 4273,
  [4301] = 4273,
  [4302] = 4302,
  [4303] = 4273,
  [4304] = 4302,
  [4305] = 4273,
  [4306] = 4306,
  [4307] = 4302,
  [4308] = 4171,
  [4309] = 4302,
  [4310] = 4288,
  [4311] = 4273,
  [4312] = 4285,
  [4313] = 4290,
  [4314] = 4288,
  [4315] = 4286,
  [4316] = 4302,
  [4317] = 4273,
  [4318] = 4273,
  [4319] = 4319,
  [4320] = 4273,
  [4321] = 4273,
  [4322] = 4273,
  [4323] = 4290,
  [4324] = 4306,
  [4325] = 4273,
  [4326] = 4294,
  [4327] = 4273,
  [4328] = 4294,
  [4329] = 4273,
  [4330] = 4273,
  [4331] = 4273,
  [4332] = 4171,
  [4333] = 4319,
  [4334] = 4273,
  [4335] = 4273,
  [4336] = 4273,
  [4337] = 4273,
  [4338] = 4306,
  [4339] = 4273,
  [4340] = 4340,
  [4341] = 4341,
  [4342] = 4342,
  [4343] = 4343,
  [4344] = 4272,
  [4345] = 4345,
  [4346] = 4346,
  [4347] = 4341,
  [4348] = 4340,
  [4349] = 4341,
  [4350] = 4346,
  [4351] = 4345,
  [4352] = 4352,
  [4353] = 4346,
  [4354] = 4340,
  [4355] = 4345,
  [4356] = 4227,
  [4357] = 4216,
  [4358] = 4221,
  [4359] = 4221,
  [4360] = 4216,
  [4361] = 4171,
  [4362] = 4172,
  [4363] = 4216,
  [4364] = 4227,
  [4365] = 4221,
  [4366] = 4227,
  [4367] = 4367,
  [4368] = 4368,
  [4369] = 4368,
  [4370] = 4368,
  [4371] = 4368,
  [4372] = 4368,
  [4373] = 4368,
  [4374] = 4368,
  [4375] = 4368,
  [4376] = 4368,
  [4377] = 4368,
  [4378] = 4368,
  [4379] = 4379,
  [4380] = 4368,
  [4381] = 4368,
  [4382] = 4368,
  [4383] = 4368,
  [4384] = 4368,
  [4385] = 4368,
  [4386] = 4368,
  [4387] = 4368,
  [4388] = 4368,
  [4389] = 4368,
  [4390] = 4368,
  [4391] = 4368,
  [4392] = 4368,
  [4393] = 4368,
  [4394] = 4368,
  [4395] = 4368,
  [4396] = 4368,
  [4397] = 4368,
  [4398] = 4368,
  [4399] = 4368,
  [4400] = 4368,
  [4401] = 4368,
  [4402] = 4368,
  [4403] = 4368,
  [4404] = 4368,
  [4405] = 4368,
  [4406] = 4406,
  [4407] = 4368,
  [4408] = 4368,
  [4409] = 4368,
  [4410] = 4368,
  [4411] = 4411,
  [4412] = 4368,
  [4413] = 4413,
  [4414] = 4368,
  [4415] = 4367,
  [4416] = 4368,
  [4417] = 4368,
  [4418] = 4368,
  [4419] = 4368,
  [4420] = 4420,
  [4421] = 4421,
  [4422] = 4422,
  [4423] = 4411,
  [4424] = 4424,
  [4425] = 4406,
  [4426] = 4413,
  [4427] = 4427,
  [4428] = 4420,
  [4429] = 4421,
  [4430] = 4422,
  [4431] = 4411,
  [4432] = 4424,
  [4433] = 4406,
  [4434] = 4413,
  [4435] = 4367,
  [4436] = 4427,
  [4437] = 4420,
  [4438] = 4421,
  [4439] = 4368,
  [4440] = 4411,
  [4441] = 4424,
  [4442] = 4406,
  [4443] = 4413,
  [4444] = 4367,
  [4445] = 4427,
  [4446] = 4368,
  [4447] = 4424,
  [4448] = 4420,
  [4449] = 4421,
  [4450] = 4422,
  [4451] = 4368,
  [4452] = 4368,
  [4453] = 4411,
  [4454] = 4424,
  [4455] = 4368,
  [4456] = 4406,
  [4457] = 4413,
  [4458] = 4367,
  [4459] = 4427,
  [4460] = 4368,
  [4461] = 4368,
  [4462] = 4368,
  [4463] = 4427,
  [4464] = 4368,
  [4465] = 4368,
  [4466] = 4422,
  [4467] = 4420,
  [4468] = 4368,
  [4469] = 4368,
  [4470] = 4368,
  [4471] = 4368,
  [4472] = 4421,
  [4473] = 4473,
  [4474] = 4368,
  [4475] = 4368,
  [4476] = 4368,
  [4477] = 4368,
  [4478] = 4368,
  [4479] = 4422,
  [4480] = 4480,
  [4481] = 4481,
  [4482] = 4473,
  [4483] = 4483,
  [4484] = 4484,
  [4485] = 4484,
  [4486] = 4484,
  [4487] = 4484,
  [4488] = 4484,
  [4489] = 4473,
  [4490] = 4490,
  [4491] = 4491,
  [4492] = 4492,
  [4493] = 4490,
  [4494] = 4494,
  [4495] = 4491,
  [4496] = 4492,
  [4497] = 4497,
  [4498] = 4490,
  [4499] = 4499,
  [4500] = 4497,
  [4501] = 4492,
  [4502] = 4490,
  [4503] = 4490,
  [4504] = 4504,
  [4505] = 4490,
  [4506] = 4491,
  [4507] = 4507,
  [4508] = 4508,
  [4509] = 4497,
  [4510] = 4504,
  [4511] = 4511,
  [4512] = 4491,
  [4513] = 4491,
  [4514] = 4490,
  [4515] = 4515,
  [4516] = 4492,
  [4517] = 4511,
  [4518] = 4497,
  [4519] = 4473,
  [4520] = 4520,
  [4521] = 4521,
  [4522] = 4521,
  [4523] = 4521,
  [4524] = 4521,
  [4525] = 4525,
  [4526] = 4526,
  [4527] = 4527,
  [4528] = 4528,
  [4529] = 4507,
  [4530] = 4494,
  [4531] = 4531,
  [4532] = 4521,
  [4533] = 4494,
  [4534] = 4534,
  [4535] = 4535,
  [4536] = 4536,
  [4537] = 4537,
  [4538] = 4538,
  [4539] = 4521,
  [4540] = 4540,
  [4541] = 4541,
  [4542] = 4521,
  [4543] = 4543,
  [4544] = 4544,
  [4545] = 4172,
  [4546] = 4521,
  [4547] = 4521,
  [4548] = 4521,
  [4549] = 4549,
  [4550] = 4550,
  [4551] = 4521,
  [4552] = 4552,
  [4553] = 4521,
  [4554] = 4554,
  [4555] = 4531,
  [4556] = 4534,
  [4557] = 4525,
  [4558] = 4558,
  [4559] = 4559,
  [4560] = 4494,
  [4561] = 4521,
  [4562] = 4494,
  [4563] = 4563,
  [4564] = 4564,
  [4565] = 4515,
  [4566] = 4521,
  [4567] = 4531,
  [4568] = 4534,
  [4569] = 4543,
  [4570] = 4570,
  [4571] = 4525,
  [4572] = 4572,
  [4573] = 4520,
  [4574] = 4574,
  [4575] = 4575,
  [4576] = 4544,
  [4577] = 4563,
  [4578] = 4564,
  [4579] = 4572,
  [4580] = 4580,
  [4581] = 4581,
  [4582] = 4582,
  [4583] = 4583,
  [4584] = 4508,
  [4585] = 4538,
  [4586] = 4550,
  [4587] = 4558,
  [4588] = 4526,
  [4589] = 4528,
  [4590] = 4559,
  [4591] = 4570,
  [4592] = 4592,
  [4593] = 4580,
  [4594] = 4521,
  [4595] = 4581,
  [4596] = 4531,
  [4597] = 4534,
  [4598] = 4598,
  [4599] = 4525,
  [4600] = 4520,
  [4601] = 4574,
  [4602] = 4572,
  [4603] = 4580,
  [4604] = 4581,
  [4605] = 4536,
  [4606] = 4538,
  [4607] = 4558,
  [4608] = 4528,
  [4609] = 4570,
  [4610] = 4610,
  [4611] = 4611,
  [4612] = 4521,
  [4613] = 4531,
  [4614] = 4534,
  [4615] = 4525,
  [4616] = 4574,
  [4617] = 4521,
  [4618] = 4572,
  [4619] = 4580,
  [4620] = 4581,
  [4621] = 4536,
  [4622] = 4538,
  [4623] = 4558,
  [4624] = 4528,
  [4625] = 4570,
  [4626] = 4521,
  [4627] = 4580,
  [4628] = 4581,
  [4629] = 4521,
  [4630] = 4630,
  [4631] = 4631,
  [4632] = 4520,
  [4633] = 4574,
  [4634] = 4507,
  [4635] = 4521,
  [4636] = 4521,
  [4637] = 4515,
  [4638] = 4521,
  [4639] = 4508,
  [4640] = 4521,
  [4641] = 4521,
  [4642] = 4521,
  [4643] = 4536,
  [4644] = 4507,
  [4645] = 4481,
  [4646] = 4543,
  [4647] = 4647,
  [4648] = 4648,
  [4649] = 4649,
  [4650] = 4515,
  [4651] = 4651,
  [4652] = 4554,
  [4653] = 4543,
  [4654] = 4654,
  [4655] = 4655,
  [4656] = 4494,
  [4657] = 4657,
  [4658] = 4508,
  [4659] = 4507,
  [4660] = 4494,
  [4661] = 4544,
  [4662] = 4544,
  [4663] = 4543,
  [4664] = 4499,
  [4665] = 4494,
  [4666] = 4544,
  [4667] = 4494,
  [4668] = 4515,
  [4669] = 4172,
  [4670] = 4507,
  [4671] = 4549,
  [4672] = 4549,
  [4673] = 4508,
  [4674] = 4494,
  [4675] = 4675,
  [4676] = 4554,
  [4677] = 4171,
  [4678] = 4494,
  [4679] = 4679,
  [4680] = 4494,
  [4681] = 4681,
  [4682] = 4172,
  [4683] = 4494,
  [4684] = 4549,
  [4685] = 4685,
  [4686] = 4554,
  [4687] = 4687,
  [4688] = 4543,
  [4689] = 4543,
  [4690] = 4544,
  [4691] = 4515,
  [4692] = 4508,
  [4693] = 4544,
  [4694] = 4171,
  [4695] = 4507,
  [4696] = 4610,
  [4697] = 4549,
  [4698] = 4582,
  [4699] = 4631,
  [4700] = 4543,
  [4701] = 4481,
  [4702] = 4535,
  [4703] = 4540,
  [4704] = 4541,
  [4705] = 4647,
  [4706] = 4649,
  [4707] = 4549,
  [4708] = 4494,
  [4709] = 4352,
  [4710] = 4494,
  [4711] = 4494,
  [4712] = 4544,
  [4713] = 4481,
  [4714] = 4647,
  [4715] = 4649,
  [4716] = 4494,
  [4717] = 4499,
  [4718] = 4171,
  [4719] = 4544,
  [4720] = 4171,
  [4721] = 4172,
  [4722] = 4171,
  [4723] = 4171,
  [4724] = 4172,
  [4725] = 4171,
  [4726] = 4172,
  [4727] = 4648,
  [4728] = 4499,
  [4729] = 4657,
  [4730] = 4494,
  [4731] = 4731,
  [4732] = 4554,
  [4733] = 4494,
  [4734] = 4657,
  [4735] = 4648,
  [4736] = 4515,
  [4737] = 4647,
  [4738] = 4172,
  [4739] = 4630,
  [4740] = 4554,
  [4741] = 4647,
  [4742] = 4543,
  [4743] = 4649,
  [4744] = 4649,
  [4745] = 4543,
  [4746] = 4544,
  [4747] = 4494,
  [4748] = 4515,
  [4749] = 4679,
  [4750] = 4515,
  [4751] = 4172,
  [4752] = 4507,
  [4753] = 4515,
  [4754] = 4544,
  [4755] = 4494,
  [4756] = 4756,
  [4757] = 4172,
  [4758] = 4494,
  [4759] = 4515,
  [4760] = 4499,
  [4761] = 4756,
  [4762] = 4507,
  [4763] = 4508,
  [4764] = 4731,
  [4765] = 4543,
  [4766] = 4544,
  [4767] = 4543,
  [4768] = 4543,
  [4769] = 4549,
  [4770] = 4549,
  [4771] = 4171,
  [4772] = 4508,
  [4773] = 4494,
  [4774] = 4554,
  [4775] = 4352,
  [4776] = 4543,
  [4777] = 4544,
  [4778] = 4483,
  [4779] = 4549,
  [4780] = 4172,
  [4781] = 4527,
  [4782] = 4554,
  [4783] = 4679,
  [4784] = 4784,
  [4785] = 4554,
  [4786] = 4543,
  [4787] = 4552,
  [4788] = 4543,
  [4789] = 4544,
  [4790] = 4544,
  [4791] = 4481,
  [4792] = 4537,
  [4793] = 4793,
  [4794] = 4575,
  [4795] = 4583,
  [4796] = 4796,
  [4797] = 4508,
  [4798] = 4592,
  [4799] = 4611,
  [4800] = 4481,
  [4801] = 4494,
  [4802] = 4352,
  [4803] = 4515,
  [4804] = 4535,
  [4805] = 4540,
  [4806] = 4541,
  [4807] = 4352,
  [4808] = 4731,
  [4809] = 4544,
  [4810] = 4171,
  [4811] = 4811,
  [4812] = 4172,
  [4813] = 4483,
  [4814] = 4171,
  [4815] = 4172,
  [4816] = 4171,
  [4817] = 4172,
  [4818] = 4508,
  [4819] = 4494,
  [4820] = 4679,
  [4821] = 4647,
  [4822] = 4527,
  [4823] = 4515,
  [4824] = 4552,
  [4825] = 4648,
  [4826] = 4537,
  [4827] = 4171,
  [4828] = 4172,
  [4829] = 4481,
  [4830] = 4549,
  [4831] = 4494,
  [4832] = 4575,
  [4833] = 4583,
  [4834] = 4793,
  [4835] = 4592,
  [4836] = 4756,
  [4837] = 4610,
  [4838] = 4611,
  [4839] = 4554,
  [4840] = 4630,
  [4841] = 4575,
  [4842] = 4631,
  [4843] = 4648,
  [4844] = 4508,
  [4845] = 4508,
  [4846] = 4543,
  [4847] = 4544,
  [4848] = 4649,
  [4849] = 4631,
  [4850] = 4352,
  [4851] = 4655,
  [4852] = 4685,
  [4853] = 4687,
  [4854] = 4654,
  [4855] = 4499,
  [4856] = 4171,
  [4857] = 4583,
  [4858] = 4537,
  [4859] = 4544,
  [4860] = 4549,
  [4861] = 4352,
  [4862] = 4494,
  [4863] = 4554,
  [4864] = 4544,
  [4865] = 4647,
  [4866] = 4647,
  [4867] = 4649,
  [4868] = 4540,
  [4869] = 4869,
  [4870] = 4515,
  [4871] = 4649,
  [4872] = 4481,
  [4873] = 4554,
  [4874] = 4731,
  [4875] = 4481,
  [4876] = 4543,
  [4877] = 4647,
  [4878] = 4515,
  [4879] = 4507,
  [4880] = 4515,
  [4881] = 4515,
  [4882] = 4549,
  [4883] = 4499,
  [4884] = 4483,
  [4885] = 4543,
  [4886] = 4552,
  [4887] = 4172,
  [4888] = 4541,
  [4889] = 4756,
  [4890] = 4647,
  [4891] = 4657,
  [4892] = 4507,
  [4893] = 4647,
  [4894] = 4649,
  [4895] = 4171,
  [4896] = 4543,
  [4897] = 4171,
  [4898] = 4648,
  [4899] = 4499,
  [4900] = 4499,
  [4901] = 4543,
  [4902] = 4679,
  [4903] = 4499,
  [4904] = 4549,
  [4905] = 4649,
  [4906] = 4481,
  [4907] = 4647,
  [4908] = 4679,
  [4909] = 4649,
  [4910] = 4494,
  [4911] = 4507,
  [4912] = 4481,
  [4913] = 4793,
  [4914] = 4544,
  [4915] = 4527,
  [4916] = 4171,
  [4917] = 4515,
  [4918] = 4582,
  [4919] = 4515,
  [4920] = 4508,
  [4921] = 4172,
  [4922] = 4554,
  [4923] = 4535,
  [4924] = 4657,
  [4925] = 4483,
  [4926] = 4515,
  [4927] = 4549,
  [4928] = 4527,
  [4929] = 4494,
  [4930] = 4527,
  [4931] = 4481,
  [4932] = 4543,
  [4933] = 4552,
  [4934] = 4537,
  [4935] = 4549,
  [4936] = 4172,
  [4937] = 4554,
  [4938] = 4575,
  [4939] = 4543,
  [4940] = 4583,
  [4941] = 4592,
  [4942] = 4543,
  [4943] = 4610,
  [4944] = 4537,
  [4945] = 4544,
  [4946] = 4611,
  [4947] = 4630,
  [4948] = 4631,
  [4949] = 4515,
  [4950] = 4575,
  [4951] = 4657,
  [4952] = 4171,
  [4953] = 4543,
  [4954] = 4554,
  [4955] = 4756,
  [4956] = 4649,
  [4957] = 4535,
  [4958] = 4540,
  [4959] = 4583,
  [4960] = 4172,
  [4961] = 4592,
  [4962] = 4515,
  [4963] = 4541,
  [4964] = 4544,
  [4965] = 4965,
  [4966] = 4499,
  [4967] = 4731,
  [4968] = 4494,
  [4969] = 4171,
  [4970] = 4610,
  [4971] = 4515,
  [4972] = 4499,
  [4973] = 4611,
  [4974] = 4544,
  [4975] = 4630,
  [4976] = 4631,
  [4977] = 4549,
  [4978] = 4494,
  [4979] = 4630,
  [4980] = 4980,
  [4981] = 4582,
  [4982] = 4731,
  [4983] = 4172,
  [4984] = 4552,
  [4985] = 4610,
  [4986] = 4171,
  [4987] = 4494,
  [4988] = 4543,
  [4989] = 4172,
  [4990] = 4611,
  [4991] = 4507,
  [4992] = 4756,
  [4993] = 4544,
  [4994] = 4544,
  [4995] = 4756,
  [4996] = 4731,
  [4997] = 4647,
  [4998] = 4582,
  [4999] = 4483,
  [5000] = 4649,
  [5001] = 4535,
  [5002] = 4554,
  [5003] = 4540,
  [5004] = 4582,
  [5005] = 4541,
  [5006] = 4494,
  [5007] = 4592,
  [5008] = 4543,
  [5009] = 4483,
  [5010] = 4535,
  [5011] = 4540,
  [5012] = 4541,
  [5013] = 4352,
  [5014] = 4171,
  [5015] = 4527,
  [5016] = 4552,
  [5017] = 4537,
  [5018] = 4575,
  [5019] = 4583,
  [5020] = 4592,
  [5021] = 4610,
  [5022] = 4611,
  [5023] = 4630,
  [5024] = 4631,
  [5025] = 4655,
  [5026] = 4527,
  [5027] = 4494,
  [5028] = 4552,
  [5029] = 4537,
  [5030] = 4575,
  [5031] = 4583,
  [5032] = 4549,
  [5033] = 4592,
  [5034] = 4610,
  [5035] = 4611,
  [5036] = 4630,
  [5037] = 4631,
  [5038] = 4352,
  [5039] = 4172,
  [5040] = 4483,
  [5041] = 4481,
  [5042] = 4685,
  [5043] = 4499,
  [5044] = 4687,
  [5045] = 4654,
  [5046] = 4610,
  [5047] = 4171,
  [5048] = 4499,
  [5049] = 4731,
  [5050] = 4611,
  [5051] = 4543,
  [5052] = 4544,
  [5053] = 4630,
  [5054] = 4647,
  [5055] = 4631,
  [5056] = 4649,
  [5057] = 4515,
  [5058] = 4172,
  [5059] = 4171,
  [5060] = 4554,
  [5061] = 4544,
  [5062] = 4515,
  [5063] = 4352,
  [5064] = 4527,
  [5065] = 5065,
  [5066] = 4731,
  [5067] = 4515,
  [5068] = 4537,
  [5069] = 4499,
  [5070] = 4647,
  [5071] = 4575,
  [5072] = 4583,
  [5073] = 4483,
  [5074] = 4592,
  [5075] = 4610,
  [5076] = 4611,
  [5077] = 4657,
  [5078] = 4481,
  [5079] = 4630,
  [5080] = 4631,
  [5081] = 4494,
  [5082] = 4543,
  [5083] = 4499,
  [5084] = 4494,
  [5085] = 4649,
  [5086] = 4552,
  [5087] = 4582,
  [5088] = 4494,
  [5089] = 4582,
  [5090] = 4483,
  [5091] = 4543,
  [5092] = 4527,
  [5093] = 4552,
  [5094] = 4537,
  [5095] = 4575,
  [5096] = 4583,
  [5097] = 4592,
  [5098] = 4610,
  [5099] = 4611,
  [5100] = 4630,
  [5101] = 4631,
  [5102] = 4494,
  [5103] = 5103,
  [5104] = 4483,
  [5105] = 4172,
  [5106] = 4543,
  [5107] = 4756,
  [5108] = 4481,
  [5109] = 4543,
  [5110] = 4554,
  [5111] = 4543,
  [5112] = 4171,
  [5113] = 4481,
  [5114] = 4172,
  [5115] = 4527,
  [5116] = 4731,
  [5117] = 4543,
  [5118] = 4537,
  [5119] = 4172,
  [5120] = 4679,
  [5121] = 4655,
  [5122] = 5122,
  [5123] = 4481,
  [5124] = 4575,
  [5125] = 4515,
  [5126] = 4582,
  [5127] = 4583,
  [5128] = 4647,
  [5129] = 4649,
  [5130] = 4535,
  [5131] = 4540,
  [5132] = 4541,
  [5133] = 4171,
  [5134] = 4592,
  [5135] = 4535,
  [5136] = 4544,
  [5137] = 4535,
  [5138] = 4540,
  [5139] = 4541,
  [5140] = 4610,
  [5141] = 4544,
  [5142] = 4647,
  [5143] = 4481,
  [5144] = 4611,
  [5145] = 4649,
  [5146] = 4352,
  [5147] = 4980,
  [5148] = 4540,
  [5149] = 4647,
  [5150] = 4630,
  [5151] = 4631,
  [5152] = 4649,
  [5153] = 4541,
  [5154] = 4352,
  [5155] = 4552,
  [5156] = 4494,
  [5157] = 4544,
  [5158] = 4544,
  [5159] = 4544,
  [5160] = 4655,
  [5161] = 4481,
  [5162] = 4647,
  [5163] = 4685,
  [5164] = 4649,
  [5165] = 4687,
  [5166] = 4654,
  [5167] = 4494,
  [5168] = 4549,
  [5169] = 4499,
  [5170] = 4483,
  [5171] = 4980,
  [5172] = 4515,
  [5173] = 4527,
  [5174] = 4552,
  [5175] = 4537,
  [5176] = 4575,
  [5177] = 4583,
  [5178] = 4592,
  [5179] = 4610,
  [5180] = 4611,
  [5181] = 4630,
  [5182] = 4631,
  [5183] = 4535,
  [5184] = 4540,
  [5185] = 4541,
  [5186] = 4527,
  [5187] = 4499,
  [5188] = 4544,
  [5189] = 4582,
  [5190] = 4869,
  [5191] = 4811,
  [5192] = 4869,
  [5193] = 4352,
  [5194] = 4494,
  [5195] = 4685,
  [5196] = 4687,
  [5197] = 4654,
  [5198] = 4648,
  [5199] = 4535,
  [5200] = 4540,
  [5201] = 4541,
  [5202] = 4494,
  [5203] = 4494,
  [5204] = 4171,
  [5205] = 4352,
  [5206] = 4793,
  [5207] = 4172,
  [5208] = 4543,
  [5209] = 4537,
  [5210] = 4171,
  [5211] = 4172,
  [5212] = 4171,
  [5213] = 4543,
  [5214] = 4172,
  [5215] = 4171,
  [5216] = 4172,
  [5217] = 4171,
  [5218] = 4172,
  [5219] = 4657,
  [5220] = 4171,
  [5221] = 4172,
  [5222] = 4811,
  [5223] = 4679,
  [5224] = 4515,
  [5225] = 4171,
  [5226] = 4575,
  [5227] = 4494,
  [5228] = 4756,
  [5229] = 4655,
  [5230] = 4535,
  [5231] = 4507,
  [5232] = 4172,
  [5233] = 4527,
  [5234] = 4481,
  [5235] = 4540,
  [5236] = 4172,
  [5237] = 4541,
  [5238] = 4552,
  [5239] = 4544,
  [5240] = 4508,
  [5241] = 4507,
  [5242] = 4648,
  [5243] = 4756,
  [5244] = 4583,
  [5245] = 4508,
  [5246] = 4494,
  [5247] = 4554,
  [5248] = 4657,
  [5249] = 4515,
  [5250] = 4515,
  [5251] = 5251,
  [5252] = 4507,
  [5253] = 4515,
  [5254] = 4592,
  [5255] = 4980,
  [5256] = 4515,
  [5257] = 4508,
  [5258] = 4544,
  [5259] = 4793,
  [5260] = 4869,
  [5261] = 4647,
  [5262] = 5103,
  [5263] = 4649,
  [5264] = 5264,
  [5265] = 4499,
  [5266] = 4499,
  [5267] = 4610,
  [5268] = 4611,
  [5269] = 4647,
  [5270] = 4756,
  [5271] = 4499,
  [5272] = 4537,
  [5273] = 4965,
  [5274] = 4647,
  [5275] = 4685,
  [5276] = 4649,
  [5277] = 4687,
  [5278] = 4647,
  [5279] = 4515,
  [5280] = 5251,
  [5281] = 4654,
  [5282] = 4515,
  [5283] = 4352,
  [5284] = 4756,
  [5285] = 4793,
  [5286] = 4507,
  [5287] = 4965,
  [5288] = 5264,
  [5289] = 4515,
  [5290] = 4649,
  [5291] = 4756,
  [5292] = 4549,
  [5293] = 4756,
  [5294] = 4649,
  [5295] = 4648,
  [5296] = 4731,
  [5297] = 4554,
  [5298] = 4494,
  [5299] = 4731,
  [5300] = 4582,
  [5301] = 4508,
  [5302] = 4630,
  [5303] = 4582,
  [5304] = 4549,
  [5305] = 4494,
  [5306] = 4631,
  [5307] = 4582,
  [5308] = 4731,
  [5309] = 4515,
  [5310] = 4549,
  [5311] = 4515,
  [5312] = 4582,
  [5313] = 4554,
  [5314] = 4756,
  [5315] = 4756,
  [5316] = 4535,
  [5317] = 4540,
  [5318] = 4541,
  [5319] = 4549,
  [5320] = 5320,
  [5321] = 4171,
  [5322] = 4483,
  [5323] = 4731,
  [5324] = 4575,
  [5325] = 4554,
  [5326] = 4544,
  [5327] = 4583,
  [5328] = 4483,
  [5329] = 5329,
  [5330] = 4481,
  [5331] = 4515,
  [5332] = 4592,
  [5333] = 4554,
  [5334] = 4731,
  [5335] = 4494,
  [5336] = 4549,
  [5337] = 4552,
  [5338] = 4731,
  [5339] = 4494,
  [5340] = 4535,
  [5341] = 4592,
  [5342] = 4610,
  [5343] = 4611,
  [5344] = 4630,
  [5345] = 4631,
  [5346] = 4582,
  [5347] = 4494,
  [5348] = 4543,
  [5349] = 4543,
  [5350] = 4494,
  [5351] = 4544,
  [5352] = 4352,
  [5353] = 4515,
  [5354] = 4537,
  [5355] = 4731,
  [5356] = 4575,
  [5357] = 4583,
  [5358] = 4544,
  [5359] = 4685,
  [5360] = 4610,
  [5361] = 5361,
  [5362] = 4687,
  [5363] = 4654,
  [5364] = 4171,
  [5365] = 4499,
  [5366] = 4592,
  [5367] = 4527,
  [5368] = 4756,
  [5369] = 4647,
  [5370] = 4582,
  [5371] = 5103,
  [5372] = 4657,
  [5373] = 4649,
  [5374] = 4582,
  [5375] = 4481,
  [5376] = 4172,
  [5377] = 4172,
  [5378] = 4499,
  [5379] = 4575,
  [5380] = 4554,
  [5381] = 4541,
  [5382] = 4647,
  [5383] = 4649,
  [5384] = 4171,
  [5385] = 4648,
  [5386] = 4494,
  [5387] = 4756,
  [5388] = 4687,
  [5389] = 5361,
  [5390] = 5264,
  [5391] = 4494,
  [5392] = 4554,
  [5393] = 4352,
  [5394] = 4537,
  [5395] = 4610,
  [5396] = 4610,
  [5397] = 4611,
  [5398] = 4654,
  [5399] = 4980,
  [5400] = 4869,
  [5401] = 4172,
  [5402] = 4494,
  [5403] = 4483,
  [5404] = 4537,
  [5405] = 4655,
  [5406] = 4483,
  [5407] = 4731,
  [5408] = 4611,
  [5409] = 4630,
  [5410] = 4631,
  [5411] = 4592,
  [5412] = 4171,
  [5413] = 4611,
  [5414] = 4647,
  [5415] = 4549,
  [5416] = 4649,
  [5417] = 4535,
  [5418] = 4540,
  [5419] = 4541,
  [5420] = 4685,
  [5421] = 4647,
  [5422] = 4481,
  [5423] = 4649,
  [5424] = 4611,
  [5425] = 4172,
  [5426] = 4499,
  [5427] = 4575,
  [5428] = 4630,
  [5429] = 4535,
  [5430] = 5430,
  [5431] = 4540,
  [5432] = 4731,
  [5433] = 4541,
  [5434] = 4552,
  [5435] = 5435,
  [5436] = 4481,
  [5437] = 4352,
  [5438] = 4352,
  [5439] = 4171,
  [5440] = 4535,
  [5441] = 4540,
  [5442] = 4541,
  [5443] = 4172,
  [5444] = 4685,
  [5445] = 4687,
  [5446] = 4654,
  [5447] = 4869,
  [5448] = 4352,
  [5449] = 4171,
  [5450] = 5450,
  [5451] = 4583,
  [5452] = 4543,
  [5453] = 4172,
  [5454] = 4535,
  [5455] = 4540,
  [5456] = 4541,
  [5457] = 4544,
  [5458] = 4583,
  [5459] = 4352,
  [5460] = 4172,
  [5461] = 4483,
  [5462] = 4592,
  [5463] = 4583,
  [5464] = 4687,
  [5465] = 4481,
  [5466] = 4869,
  [5467] = 4610,
  [5468] = 4611,
  [5469] = 4793,
  [5470] = 4654,
  [5471] = 4527,
  [5472] = 4171,
  [5473] = 4543,
  [5474] = 4515,
  [5475] = 4172,
  [5476] = 4499,
  [5477] = 4965,
  [5478] = 4552,
  [5479] = 4679,
  [5480] = 5251,
  [5481] = 4575,
  [5482] = 4481,
  [5483] = 4537,
  [5484] = 4575,
  [5485] = 4583,
  [5486] = 4544,
  [5487] = 4483,
  [5488] = 4592,
  [5489] = 4610,
  [5490] = 4611,
  [5491] = 4583,
  [5492] = 4630,
  [5493] = 4631,
  [5494] = 4631,
  [5495] = 5495,
  [5496] = 4171,
  [5497] = 4592,
  [5498] = 4172,
  [5499] = 4582,
  [5500] = 4171,
  [5501] = 5122,
  [5502] = 4172,
  [5503] = 4171,
  [5504] = 4172,
  [5505] = 4980,
  [5506] = 4535,
  [5507] = 4552,
  [5508] = 5264,
  [5509] = 5122,
  [5510] = 4610,
  [5511] = 4543,
  [5512] = 4543,
  [5513] = 4508,
  [5514] = 4481,
  [5515] = 4611,
  [5516] = 5516,
  [5517] = 4527,
  [5518] = 4494,
  [5519] = 4552,
  [5520] = 4499,
  [5521] = 4630,
  [5522] = 4731,
  [5523] = 4515,
  [5524] = 4554,
  [5525] = 4793,
  [5526] = 4544,
  [5527] = 5527,
  [5528] = 4543,
  [5529] = 4544,
  [5530] = 4630,
  [5531] = 4631,
  [5532] = 4171,
  [5533] = 4582,
  [5534] = 4537,
  [5535] = 4647,
  [5536] = 4575,
  [5537] = 5537,
  [5538] = 4583,
  [5539] = 4685,
  [5540] = 4481,
  [5541] = 4756,
  [5542] = 4869,
  [5543] = 4687,
  [5544] = 4980,
  [5545] = 4592,
  [5546] = 4515,
  [5547] = 4811,
  [5548] = 4610,
  [5549] = 4611,
  [5550] = 5550,
  [5551] = 4630,
  [5552] = 4631,
  [5553] = 4630,
  [5554] = 4649,
  [5555] = 4171,
  [5556] = 4654,
  [5557] = 4869,
  [5558] = 4631,
  [5559] = 4655,
  [5560] = 4515,
  [5561] = 4549,
  [5562] = 4552,
  [5563] = 4494,
  [5564] = 4544,
  [5565] = 4537,
  [5566] = 4527,
  [5567] = 4756,
  [5568] = 4549,
  [5569] = 4540,
  [5570] = 5570,
  [5571] = 4679,
  [5572] = 5572,
  [5573] = 5251,
  [5574] = 4481,
  [5575] = 5251,
  [5576] = 4515,
  [5577] = 4543,
  [5578] = 4655,
  [5579] = 5103,
  [5580] = 4483,
  [5581] = 5251,
  [5582] = 4552,
  [5583] = 4515,
  [5584] = 5251,
  [5585] = 4515,
  [5586] = 4543,
  [5587] = 4515,
  [5588] = 4582,
  [5589] = 4352,
  [5590] = 4172,
  [5591] = 4575,
  [5592] = 4583,
  [5593] = 4543,
  [5594] = 4731,
  [5595] = 4541,
  [5596] = 4540,
  [5597] = 4685,
  [5598] = 4544,
  [5599] = 5430,
  [5600] = 4541,
  [5601] = 4537,
  [5602] = 4685,
  [5603] = 4965,
  [5604] = 5251,
  [5605] = 4515,
  [5606] = 4756,
  [5607] = 5329,
  [5608] = 4980,
  [5609] = 4494,
  [5610] = 4869,
  [5611] = 4630,
  [5612] = 4648,
  [5613] = 4535,
  [5614] = 5450,
  [5615] = 5615,
  [5616] = 4554,
  [5617] = 4687,
  [5618] = 4540,
  [5619] = 4811,
  [5620] = 4508,
  [5621] = 4655,
  [5622] = 4654,
  [5623] = 4541,
  [5624] = 4582,
  [5625] = 4352,
  [5626] = 4544,
  [5627] = 4657,
  [5628] = 5103,
  [5629] = 4554,
  [5630] = 4527,
  [5631] = 4543,
  [5632] = 4756,
  [5633] = 4535,
  [5634] = 4552,
  [5635] = 4537,
  [5636] = 4756,
  [5637] = 5251,
  [5638] = 4685,
  [5639] = 4575,
  [5640] = 4583,
  [5641] = 4592,
  [5642] = 4655,
  [5643] = 4554,
  [5644] = 4515,
  [5645] = 5251,
  [5646] = 4647,
  [5647] = 4687,
  [5648] = 4575,
  [5649] = 4583,
  [5650] = 4649,
  [5651] = 4610,
  [5652] = 4685,
  [5653] = 4611,
  [5654] = 4687,
  [5655] = 5251,
  [5656] = 4515,
  [5657] = 4654,
  [5658] = 4544,
  [5659] = 4965,
  [5660] = 4654,
  [5661] = 4630,
  [5662] = 4549,
  [5663] = 5663,
  [5664] = 4631,
  [5665] = 5361,
  [5666] = 4352,
  [5667] = 4647,
  [5668] = 4649,
  [5669] = 4610,
  [5670] = 4483,
  [5671] = 4655,
  [5672] = 4647,
  [5673] = 5673,
  [5674] = 4494,
  [5675] = 4731,
  [5676] = 4811,
  [5677] = 4549,
  [5678] = 4544,
  [5679] = 4515,
  [5680] = 4731,
  [5681] = 4499,
  [5682] = 4649,
  [5683] = 4494,
  [5684] = 5684,
  [5685] = 4352,
  [5686] = 4481,
  [5687] = 4631,
  [5688] = 4515,
  [5689] = 4582,
  [5690] = 4552,
  [5691] = 4507,
  [5692] = 4648,
  [5693] = 4499,
  [5694] = 4756,
  [5695] = 4549,
  [5696] = 4731,
  [5697] = 5697,
  [5698] = 5698,
  [5699] = 5264,
  [5700] = 4499,
  [5701] = 4352,
  [5702] = 4515,
  [5703] = 4499,
  [5704] = 4679,
  [5705] = 4655,
  [5706] = 4494,
  [5707] = 4592,
  [5708] = 4543,
  [5709] = 4679,
  [5710] = 4980,
  [5711] = 4544,
  [5712] = 4756,
  [5713] = 4631,
  [5714] = 4657,
  [5715] = 4685,
  [5716] = 4540,
  [5717] = 4272,
  [5718] = 4508,
  [5719] = 4687,
  [5720] = 4494,
  [5721] = 4171,
  [5722] = 4731,
  [5723] = 4582,
  [5724] = 4494,
  [5725] = 4543,
  [5726] = 4483,
  [5727] = 4654,
  [5728] = 4549,
  [5729] = 5264,
  [5730] = 4535,
  [5731] = 5103,
  [5732] = 4507,
  [5733] = 5361,
  [5734] = 4483,
  [5735] = 4540,
  [5736] = 4541,
  [5737] = 4352,
  [5738] = 4543,
  [5739] = 4515,
  [5740] = 5329,
  [5741] = 4515,
  [5742] = 4494,
  [5743] = 4543,
  [5744] = 4171,
  [5745] = 4592,
  [5746] = 4543,
  [5747] = 4549,
  [5748] = 4507,
  [5749] = 4648,
  [5750] = 4647,
  [5751] = 4483,
  [5752] = 4655,
  [5753] = 4527,
  [5754] = 4549,
  [5755] = 4756,
  [5756] = 4483,
  [5757] = 4494,
  [5758] = 4679,
  [5759] = 4507,
  [5760] = 4649,
  [5761] = 4527,
  [5762] = 5264,
  [5763] = 4535,
  [5764] = 4494,
  [5765] = 4582,
  [5766] = 4540,
  [5767] = 4980,
  [5768] = 5768,
  [5769] = 4541,
  [5770] = 4544,
  [5771] = 4527,
  [5772] = 4508,
  [5773] = 4172,
  [5774] = 4527,
  [5775] = 4731,
  [5776] = 4657,
  [5777] = 4552,
  [5778] = 5103,
  [5779] = 4552,
  [5780] = 5361,
  [5781] = 4554,
  [5782] = 4527,
  [5783] = 4554,
  [5784] = 5784,
  [5785] = 4793,
  [5786] = 4537,
  [5787] = 4575,
  [5788] = 4537,
  [5789] = 4554,
  [5790] = 4515,
  [5791] = 4352,
  [5792] = 5792,
  [5793] = 4647,
  [5794] = 4171,
  [5795] = 4657,
  [5796] = 5103,
  [5797] = 5768,
  [5798] = 4965,
  [5799] = 4537,
  [5800] = 4649,
  [5801] = 4172,
  [5802] = 4756,
  [5803] = 5663,
  [5804] = 4494,
  [5805] = 4544,
  [5806] = 4685,
  [5807] = 5516,
  [5808] = 4685,
  [5809] = 4515,
  [5810] = 4171,
  [5811] = 4481,
  [5812] = 5673,
  [5813] = 4494,
  [5814] = 4687,
  [5815] = 4654,
  [5816] = 4687,
  [5817] = 4481,
  [5818] = 4793,
  [5819] = 4679,
  [5820] = 4654,
  [5821] = 4507,
  [5822] = 5122,
  [5823] = 4499,
  [5824] = 4731,
  [5825] = 4647,
  [5826] = 4481,
  [5827] = 4649,
  [5828] = 4481,
  [5829] = 5329,
  [5830] = 4527,
  [5831] = 4499,
  [5832] = 4647,
  [5833] = 4544,
  [5834] = 4649,
  [5835] = 4535,
  [5836] = 4540,
  [5837] = 4541,
  [5838] = 5450,
  [5839] = 4543,
  [5840] = 4481,
  [5841] = 5430,
  [5842] = 4537,
  [5843] = 5103,
  [5844] = 5697,
  [5845] = 4543,
  [5846] = 5698,
  [5847] = 5550,
  [5848] = 4352,
  [5849] = 4575,
  [5850] = 4647,
  [5851] = 4583,
  [5852] = 4869,
  [5853] = 4649,
  [5854] = 4592,
  [5855] = 4811,
  [5856] = 4756,
  [5857] = 4756,
  [5858] = 4610,
  [5859] = 4611,
  [5860] = 4544,
  [5861] = 4756,
  [5862] = 4679,
  [5863] = 4630,
  [5864] = 4631,
  [5865] = 4172,
  [5866] = 4171,
  [5867] = 4647,
  [5868] = 4483,
  [5869] = 4494,
  [5870] = 4649,
  [5871] = 4552,
  [5872] = 4657,
  [5873] = 4527,
  [5874] = 4494,
  [5875] = 4731,
  [5876] = 4272,
  [5877] = 4647,
  [5878] = 5663,
  [5879] = 4980,
  [5880] = 4527,
  [5881] = 4499,
  [5882] = 4552,
  [5883] = 4731,
  [5884] = 4549,
  [5885] = 4544,
  [5886] = 4537,
  [5887] = 4575,
  [5888] = 4583,
  [5889] = 4685,
  [5890] = 5103,
  [5891] = 4592,
  [5892] = 4610,
  [5893] = 4611,
  [5894] = 4630,
  [5895] = 4631,
  [5896] = 4649,
  [5897] = 5673,
  [5898] = 4869,
  [5899] = 5570,
  [5900] = 4756,
  [5901] = 4499,
  [5902] = 4499,
  [5903] = 4554,
  [5904] = 4731,
  [5905] = 4543,
  [5906] = 4544,
  [5907] = 4537,
  [5908] = 4544,
  [5909] = 4756,
  [5910] = 4172,
  [5911] = 5768,
  [5912] = 5264,
  [5913] = 4582,
  [5914] = 4647,
  [5915] = 4685,
  [5916] = 4481,
  [5917] = 4171,
  [5918] = 4687,
  [5919] = 5435,
  [5920] = 4654,
  [5921] = 4731,
  [5922] = 4648,
  [5923] = 4352,
  [5924] = 5527,
  [5925] = 4731,
  [5926] = 4731,
  [5927] = 4543,
  [5928] = 4655,
  [5929] = 5251,
  [5930] = 4544,
  [5931] = 4544,
  [5932] = 4554,
  [5933] = 4575,
  [5934] = 4583,
  [5935] = 4980,
  [5936] = 4592,
  [5937] = 4610,
  [5938] = 4507,
  [5939] = 4611,
  [5940] = 4499,
  [5941] = 4582,
  [5942] = 4869,
  [5943] = 4657,
  [5944] = 4549,
  [5945] = 5945,
  [5946] = 4549,
  [5947] = 4655,
  [5948] = 4610,
  [5949] = 4481,
  [5950] = 5264,
  [5951] = 4611,
  [5952] = 4543,
  [5953] = 4544,
  [5954] = 5122,
  [5955] = 4499,
  [5956] = 4543,
  [5957] = 4494,
  [5958] = 4655,
  [5959] = 4679,
  [5960] = 5960,
  [5961] = 4630,
  [5962] = 4631,
  [5963] = 4535,
  [5964] = 4481,
  [5965] = 4535,
  [5966] = 4540,
  [5967] = 4541,
  [5968] = 4647,
  [5969] = 4540,
  [5970] = 4541,
  [5971] = 4647,
  [5972] = 4483,
  [5973] = 4649,
  [5974] = 4649,
  [5975] = 4554,
  [5976] = 4171,
  [5977] = 4980,
  [5978] = 4527,
  [5979] = 5435,
  [5980] = 4552,
  [5981] = 4655,
  [5982] = 4537,
  [5983] = 5251,
  [5984] = 4554,
  [5985] = 4575,
  [5986] = 4583,
  [5987] = 4592,
  [5988] = 4610,
  [5989] = 4611,
  [5990] = 4630,
  [5991] = 4631,
  [5992] = 4352,
  [5993] = 4172,
  [5994] = 4481,
  [5995] = 5537,
  [5996] = 4687,
  [5997] = 4543,
  [5998] = 4272,
  [5999] = 4869,
  [6000] = 4552,
  [6001] = 4549,
  [6002] = 4655,
  [6003] = 4544,
  [6004] = 5264,
  [6005] = 4647,
  [6006] = 4685,
  [6007] = 4352,
  [6008] = 4649,
  [6009] = 4687,
  [6010] = 4654,
  [6011] = 6011,
  [6012] = 4171,
  [6013] = 4499,
  [6014] = 5537,
  [6015] = 4685,
  [6016] = 4582,
  [6017] = 4483,
  [6018] = 4980,
  [6019] = 4687,
  [6020] = 4654,
  [6021] = 4515,
  [6022] = 4648,
  [6023] = 4756,
  [6024] = 4685,
  [6025] = 4483,
  [6026] = 4731,
  [6027] = 4687,
  [6028] = 4654,
  [6029] = 4527,
  [6030] = 4756,
  [6031] = 4494,
  [6032] = 4552,
  [6033] = 4537,
  [6034] = 4685,
  [6035] = 4575,
  [6036] = 4583,
  [6037] = 4483,
  [6038] = 4592,
  [6039] = 4687,
  [6040] = 4610,
  [6041] = 4611,
  [6042] = 4654,
  [6043] = 4630,
  [6044] = 4631,
  [6045] = 4527,
  [6046] = 4554,
  [6047] = 4537,
  [6048] = 4655,
  [6049] = 4543,
  [6050] = 4575,
  [6051] = 4527,
  [6052] = 4499,
  [6053] = 4583,
  [6054] = 4552,
  [6055] = 4537,
  [6056] = 4575,
  [6057] = 4582,
  [6058] = 4583,
  [6059] = 4592,
  [6060] = 5103,
  [6061] = 4592,
  [6062] = 4610,
  [6063] = 4611,
  [6064] = 4649,
  [6065] = 4630,
  [6066] = 4631,
  [6067] = 4535,
  [6068] = 4610,
  [6069] = 4582,
  [6070] = 4611,
  [6071] = 4535,
  [6072] = 4540,
  [6073] = 4541,
  [6074] = 4630,
  [6075] = 4631,
  [6076] = 4647,
  [6077] = 4649,
  [6078] = 4965,
  [6079] = 4552,
  [6080] = 4171,
  [6081] = 4685,
  [6082] = 4481,
  [6083] = 4687,
  [6084] = 4654,
  [6085] = 4352,
  [6086] = 4172,
  [6087] = 4540,
  [6088] = 5103,
  [6089] = 4654,
  [6090] = 4541,
  [6091] = 4172,
  [6092] = 4171,
  [6093] = 4172,
  [6094] = 4171,
  [6095] = 5516,
  [6096] = 5264,
  [6097] = 4535,
  [6098] = 4540,
  [6099] = 4541,
  [6100] = 4172,
  [6101] = 4171,
  [6102] = 4685,
  [6103] = 4172,
  [6104] = 4352,
  [6105] = 4544,
  [6106] = 4535,
  [6107] = 4540,
  [6108] = 4541,
  [6109] = 4515,
  [6110] = 4499,
  [6111] = 4535,
  [6112] = 4540,
  [6113] = 4541,
  [6114] = 5550,
  [6115] = 4352,
  [6116] = 4481,
  [6117] = 4648,
  [6118] = 4352,
  [6119] = 4171,
  [6120] = 4575,
  [6121] = 4172,
  [6122] = 4171,
  [6123] = 4171,
  [6124] = 4172,
  [6125] = 4172,
  [6126] = 4171,
  [6127] = 4172,
  [6128] = 4171,
  [6129] = 4172,
  [6130] = 4172,
  [6131] = 4171,
  [6132] = 4172,
  [6133] = 4549,
  [6134] = 4171,
  [6135] = 4172,
  [6136] = 4171,
  [6137] = 4172,
  [6138] = 5264,
  [6139] = 6139,
  [6140] = 5663,
  [6141] = 4869,
  [6142] = 5264,
  [6143] = 4171,
  [6144] = 4172,
  [6145] = 4499,
  [6146] = 4756,
  [6147] = 4554,
  [6148] = 4679,
  [6149] = 4647,
  [6150] = 4582,
  [6151] = 4481,
  [6152] = 4649,
  [6153] = 4687,
  [6154] = 4965,
  [6155] = 6155,
  [6156] = 4549,
  [6157] = 5495,
  [6158] = 4499,
  [6159] = 4483,
  [6160] = 5516,
  [6161] = 5495,
  [6162] = 6162,
  [6163] = 5527,
  [6164] = 4980,
  [6165] = 4481,
  [6166] = 4654,
  [6167] = 5537,
  [6168] = 5550,
  [6169] = 6169,
  [6170] = 4543,
  [6171] = 4508,
  [6172] = 4543,
  [6173] = 4869,
  [6174] = 4499,
  [6175] = 4582,
  [6176] = 4481,
  [6177] = 4811,
  [6178] = 5329,
  [6179] = 5945,
  [6180] = 4543,
  [6181] = 4647,
  [6182] = 4272,
  [6183] = 4793,
  [6184] = 5103,
  [6185] = 4649,
  [6186] = 4515,
  [6187] = 5251,
  [6188] = 4756,
  [6189] = 5251,
  [6190] = 5264,
  [6191] = 5251,
  [6192] = 6192,
  [6193] = 4549,
  [6194] = 5251,
  [6195] = 6195,
  [6196] = 4655,
  [6197] = 4515,
  [6198] = 6198,
  [6199] = 6199,
  [6200] = 4583,
  [6201] = 6201,
  [6202] = 4657,
  [6203] = 6203,
  [6204] = 6204,
  [6205] = 5251,
  [6206] = 4647,
  [6207] = 4515,
  [6208] = 4582,
  [6209] = 4649,
  [6210] = 5103,
  [6211] = 6211,
  [6212] = 4549,
  [6213] = 5435,
  [6214] = 4554,
  [6215] = 4980,
  [6216] = 5122,
  [6217] = 6217,
  [6218] = 4685,
  [6219] = 5430,
  [6220] = 6220,
  [6221] = 4630,
  [6222] = 4687,
  [6223] = 4515,
  [6224] = 6224,
  [6225] = 4655,
  [6226] = 4654,
  [6227] = 4731,
  [6228] = 4515,
  [6229] = 5251,
  [6230] = 5251,
  [6231] = 5450,
  [6232] = 4515,
  [6233] = 6233,
  [6234] = 6234,
  [6235] = 6235,
  [6236] = 6236,
  [6237] = 4543,
  [6238] = 5251,
  [6239] = 4483,
  [6240] = 5430,
  [6241] = 4535,
  [6242] = 4540,
  [6243] = 4352,
  [6244] = 6244,
  [6245] = 4535,
  [6246] = 4541,
  [6247] = 4552,
  [6248] = 6248,
  [6249] = 5103,
  [6250] = 5450,
  [6251] = 4631,
  [6252] = 4540,
  [6253] = 4541,
  [6254] = 4731,
  [6255] = 4811,
  [6256] = 4647,
  [6257] = 5251,
  [6258] = 5450,
  [6259] = 5430,
  [6260] = 4352,
  [6261] = 4649,
  [6262] = 5103,
  [6263] = 4869,
  [6264] = 4543,
  [6265] = 4508,
  [6266] = 4494,
  [6267] = 6267,
  [6268] = 5527,
  [6269] = 4582,
  [6270] = 4648,
  [6271] = 4483,
  [6272] = 4543,
  [6273] = 4980,
  [6274] = 4494,
  [6275] = 4793,
  [6276] = 4352,
  [6277] = 4494,
  [6278] = 5697,
  [6279] = 5698,
  [6280] = 4171,
  [6281] = 4494,
  [6282] = 4554,
  [6283] = 6283,
  [6284] = 4685,
  [6285] = 4549,
  [6286] = 4687,
  [6287] = 4592,
  [6288] = 4654,
  [6289] = 5945,
  [6290] = 6290,
  [6291] = 5264,
  [6292] = 4515,
  [6293] = 6293,
  [6294] = 4527,
  [6295] = 5450,
  [6296] = 5251,
  [6297] = 4552,
  [6298] = 4655,
  [6299] = 4537,
  [6300] = 4543,
  [6301] = 6301,
  [6302] = 4483,
  [6303] = 4685,
  [6304] = 4575,
  [6305] = 4583,
  [6306] = 4481,
  [6307] = 4352,
  [6308] = 4527,
  [6309] = 4554,
  [6310] = 4592,
  [6311] = 4543,
  [6312] = 4499,
  [6313] = 4687,
  [6314] = 4610,
  [6315] = 5697,
  [6316] = 5698,
  [6317] = 4611,
  [6318] = 4654,
  [6319] = 4630,
  [6320] = 4631,
  [6321] = 4172,
  [6322] = 4793,
  [6323] = 5430,
  [6324] = 5329,
  [6325] = 5264,
  [6326] = 6326,
  [6327] = 5495,
  [6328] = 5570,
  [6329] = 5673,
  [6330] = 4544,
  [6331] = 4655,
  [6332] = 6332,
  [6333] = 4544,
  [6334] = 4499,
  [6335] = 6162,
  [6336] = 4483,
  [6337] = 4172,
  [6338] = 4171,
  [6339] = 4494,
  [6340] = 4352,
  [6341] = 4554,
  [6342] = 4869,
  [6343] = 4647,
  [6344] = 6267,
  [6345] = 4648,
  [6346] = 4541,
  [6347] = 4527,
  [6348] = 4172,
  [6349] = 4649,
  [6350] = 4537,
  [6351] = 4592,
  [6352] = 4980,
  [6353] = 6139,
  [6354] = 4499,
  [6355] = 4544,
  [6356] = 5570,
  [6357] = 5264,
  [6358] = 4483,
  [6359] = 4554,
  [6360] = 4655,
  [6361] = 5537,
  [6362] = 4537,
  [6363] = 4481,
  [6364] = 5430,
  [6365] = 4494,
  [6366] = 4537,
  [6367] = 6367,
  [6368] = 4583,
  [6369] = 4655,
  [6370] = 4483,
  [6371] = 4172,
  [6372] = 4582,
  [6373] = 4756,
  [6374] = 5430,
  [6375] = 4535,
  [6376] = 4679,
  [6377] = 4540,
  [6378] = 5251,
  [6379] = 4541,
  [6380] = 4535,
  [6381] = 4575,
  [6382] = 4540,
  [6383] = 4583,
  [6384] = 5495,
  [6385] = 4527,
  [6386] = 4980,
  [6387] = 4552,
  [6388] = 4537,
  [6389] = 4655,
  [6390] = 4541,
  [6391] = 4575,
  [6392] = 4756,
  [6393] = 4583,
  [6394] = 4592,
  [6395] = 4592,
  [6396] = 4756,
  [6397] = 5768,
  [6398] = 4610,
  [6399] = 4611,
  [6400] = 5264,
  [6401] = 4630,
  [6402] = 4631,
  [6403] = 4171,
  [6404] = 4869,
  [6405] = 4583,
  [6406] = 4543,
  [6407] = 6233,
  [6408] = 4535,
  [6409] = 4352,
  [6410] = 4582,
  [6411] = 4731,
  [6412] = 6235,
  [6413] = 6236,
  [6414] = 4527,
  [6415] = 5450,
  [6416] = 4527,
  [6417] = 4869,
  [6418] = 6201,
  [6419] = 6326,
  [6420] = 6420,
  [6421] = 4980,
  [6422] = 4610,
  [6423] = 4611,
  [6424] = 4756,
  [6425] = 6244,
  [6426] = 4552,
  [6427] = 4654,
  [6428] = 4537,
  [6429] = 6248,
  [6430] = 4685,
  [6431] = 4687,
  [6432] = 4654,
  [6433] = 5550,
  [6434] = 6434,
  [6435] = 4575,
  [6436] = 4583,
  [6437] = 5430,
  [6438] = 4679,
  [6439] = 4592,
  [6440] = 4540,
  [6441] = 4610,
  [6442] = 4685,
  [6443] = 4535,
  [6444] = 4687,
  [6445] = 4540,
  [6446] = 4654,
  [6447] = 4541,
  [6448] = 4611,
  [6449] = 4171,
  [6450] = 4685,
  [6451] = 4687,
  [6452] = 4654,
  [6453] = 4630,
  [6454] = 4869,
  [6455] = 4630,
  [6456] = 4630,
  [6457] = 4631,
  [6458] = 4172,
  [6459] = 4631,
  [6460] = 4352,
  [6461] = 5792,
  [6462] = 4171,
  [6463] = 5251,
  [6464] = 4171,
  [6465] = 5450,
  [6466] = 4655,
  [6467] = 4541,
  [6468] = 4535,
  [6469] = 4540,
  [6470] = 4541,
  [6471] = 4172,
  [6472] = 4172,
  [6473] = 6473,
  [6474] = 4499,
  [6475] = 6332,
  [6476] = 4610,
  [6477] = 4543,
  [6478] = 6478,
  [6479] = 4552,
  [6480] = 4582,
  [6481] = 4352,
  [6482] = 4611,
  [6483] = 4552,
  [6484] = 4171,
  [6485] = 4685,
  [6486] = 4575,
  [6487] = 4655,
  [6488] = 4537,
  [6489] = 4731,
  [6490] = 4540,
  [6491] = 5103,
  [6492] = 4483,
  [6493] = 5450,
  [6494] = 4756,
  [6495] = 4481,
  [6496] = 4535,
  [6497] = 4583,
  [6498] = 4687,
  [6499] = 5264,
  [6500] = 4535,
  [6501] = 4540,
  [6502] = 4541,
  [6503] = 4540,
  [6504] = 4527,
  [6505] = 4654,
  [6506] = 4527,
  [6507] = 4541,
  [6508] = 4481,
  [6509] = 4515,
  [6510] = 4352,
  [6511] = 4352,
  [6512] = 4172,
  [6513] = 4731,
  [6514] = 4483,
  [6515] = 4655,
  [6516] = 4592,
  [6517] = 4582,
  [6518] = 4631,
  [6519] = 4481,
  [6520] = 4537,
  [6521] = 4483,
  [6522] = 4756,
  [6523] = 5103,
  [6524] = 4483,
  [6525] = 4687,
  [6526] = 6011,
  [6527] = 4171,
  [6528] = 6155,
  [6529] = 4172,
  [6530] = 4647,
  [6531] = 4171,
  [6532] = 4575,
  [6533] = 4583,
  [6534] = 4172,
  [6535] = 4483,
  [6536] = 5251,
  [6537] = 4592,
  [6538] = 4649,
  [6539] = 4499,
  [6540] = 4610,
  [6541] = 5329,
  [6542] = 4611,
  [6543] = 6301,
  [6544] = 6139,
  [6545] = 4630,
  [6546] = 4171,
  [6547] = 4172,
  [6548] = 4685,
  [6549] = 4631,
  [6550] = 4272,
  [6551] = 4171,
  [6552] = 4172,
  [6553] = 4172,
  [6554] = 4685,
  [6555] = 4171,
  [6556] = 4499,
  [6557] = 4527,
  [6558] = 4172,
  [6559] = 4592,
  [6560] = 4552,
  [6561] = 4171,
  [6562] = 5527,
  [6563] = 4172,
  [6564] = 4352,
  [6565] = 4756,
  [6566] = 4756,
  [6567] = 4552,
  [6568] = 4171,
  [6569] = 4172,
  [6570] = 5103,
  [6571] = 4549,
  [6572] = 4352,
  [6573] = 4575,
  [6574] = 4171,
  [6575] = 4537,
  [6576] = 4527,
  [6577] = 4583,
  [6578] = 4657,
  [6579] = 4685,
  [6580] = 4575,
  [6581] = 4494,
  [6582] = 4552,
  [6583] = 4583,
  [6584] = 4575,
  [6585] = 4515,
  [6586] = 4647,
  [6587] = 4544,
  [6588] = 6192,
  [6589] = 4657,
  [6590] = 4537,
  [6591] = 4583,
  [6592] = 6195,
  [6593] = 6169,
  [6594] = 5435,
  [6595] = 6201,
  [6596] = 4647,
  [6597] = 4575,
  [6598] = 5435,
  [6599] = 4582,
  [6600] = 4543,
  [6601] = 4583,
  [6602] = 5516,
  [6603] = 4592,
  [6604] = 4544,
  [6605] = 4592,
  [6606] = 6606,
  [6607] = 6224,
  [6608] = 4481,
  [6609] = 6234,
  [6610] = 4610,
  [6611] = 4611,
  [6612] = 4535,
  [6613] = 4630,
  [6614] = 4631,
  [6615] = 6244,
  [6616] = 6248,
  [6617] = 4731,
  [6618] = 6618,
  [6619] = 4687,
  [6620] = 4554,
  [6621] = 4610,
  [6622] = 4756,
  [6623] = 4685,
  [6624] = 4655,
  [6625] = 4611,
  [6626] = 4481,
  [6627] = 4687,
  [6628] = 6290,
  [6629] = 6293,
  [6630] = 4610,
  [6631] = 4654,
  [6632] = 4172,
  [6633] = 4549,
  [6634] = 4980,
  [6635] = 6478,
  [6636] = 4611,
  [6637] = 4540,
  [6638] = 4654,
  [6639] = 6204,
  [6640] = 4630,
  [6641] = 4731,
  [6642] = 4631,
  [6643] = 4649,
  [6644] = 4541,
  [6645] = 4552,
  [6646] = 4756,
  [6647] = 4647,
  [6648] = 6326,
  [6649] = 5527,
  [6650] = 4649,
  [6651] = 4171,
  [6652] = 5792,
  [6653] = 4647,
  [6654] = 4869,
  [6655] = 4172,
  [6656] = 4649,
  [6657] = 5450,
  [6658] = 4481,
  [6659] = 6217,
  [6660] = 4630,
  [6661] = 4631,
  [6662] = 4649,
  [6663] = 4352,
  [6664] = 5264,
  [6665] = 5251,
  [6666] = 4592,
  [6667] = 4535,
  [6668] = 4499,
  [6669] = 5697,
  [6670] = 5698,
  [6671] = 4731,
  [6672] = 4610,
  [6673] = 4756,
  [6674] = 4544,
  [6675] = 5537,
  [6676] = 4965,
  [6677] = 4541,
  [6678] = 5329,
  [6679] = 6011,
  [6680] = 4352,
  [6681] = 4494,
  [6682] = 4582,
  [6683] = 4552,
  [6684] = 5122,
  [6685] = 5697,
  [6686] = 4535,
  [6687] = 6220,
  [6688] = 5537,
  [6689] = 4481,
  [6690] = 4592,
  [6691] = 5103,
  [6692] = 4610,
  [6693] = 6233,
  [6694] = 5122,
  [6695] = 4352,
  [6696] = 4687,
  [6697] = 4172,
  [6698] = 4535,
  [6699] = 4965,
  [6700] = 5430,
  [6701] = 4582,
  [6702] = 5663,
  [6703] = 4540,
  [6704] = 5550,
  [6705] = 4499,
  [6706] = 4537,
  [6707] = 5673,
  [6708] = 4515,
  [6709] = 4540,
  [6710] = 4647,
  [6711] = 4731,
  [6712] = 4541,
  [6713] = 4515,
  [6714] = 4731,
  [6715] = 6211,
  [6716] = 4731,
  [6717] = 5251,
  [6718] = 5329,
  [6719] = 5251,
  [6720] = 4552,
  [6721] = 4499,
  [6722] = 4655,
  [6723] = 5251,
  [6724] = 4611,
  [6725] = 4657,
  [6726] = 6726,
  [6727] = 4647,
  [6728] = 5570,
  [6729] = 6729,
  [6730] = 4483,
  [6731] = 4483,
  [6732] = 4649,
  [6733] = 6301,
  [6734] = 4544,
  [6735] = 4549,
  [6736] = 5768,
  [6737] = 5673,
  [6738] = 4541,
  [6739] = 6224,
  [6740] = 4756,
  [6741] = 4687,
  [6742] = 6742,
  [6743] = 4540,
  [6744] = 4575,
  [6745] = 4647,
  [6746] = 4793,
  [6747] = 5550,
  [6748] = 4731,
  [6749] = 4481,
  [6750] = 5430,
  [6751] = 4582,
  [6752] = 4687,
  [6753] = 4610,
  [6754] = 5570,
  [6755] = 4352,
  [6756] = 4575,
  [6757] = 4549,
  [6758] = 5495,
  [6759] = 4649,
  [6760] = 4583,
  [6761] = 6618,
  [6762] = 5516,
  [6763] = 4527,
  [6764] = 4499,
  [6765] = 4811,
  [6766] = 5768,
  [6767] = 4648,
  [6768] = 4527,
  [6769] = 4481,
  [6770] = 4592,
  [6771] = 5264,
  [6772] = 6211,
  [6773] = 5516,
  [6774] = 5264,
  [6775] = 6478,
  [6776] = 4543,
  [6777] = 5251,
  [6778] = 6290,
  [6779] = 4630,
  [6780] = 4631,
  [6781] = 4499,
  [6782] = 4543,
  [6783] = 4508,
  [6784] = 4535,
  [6785] = 4272,
  [6786] = 6293,
  [6787] = 4731,
  [6788] = 5527,
  [6789] = 4541,
  [6790] = 6162,
  [6791] = 4540,
  [6792] = 4649,
  [6793] = 4610,
  [6794] = 4554,
  [6795] = 4685,
  [6796] = 6235,
  [6797] = 4611,
  [6798] = 5537,
  [6799] = 4483,
  [6800] = 4980,
  [6801] = 4549,
  [6802] = 4611,
  [6803] = 5251,
  [6804] = 4541,
  [6805] = 6236,
  [6806] = 4549,
  [6807] = 4543,
  [6808] = 4554,
  [6809] = 4527,
  [6810] = 5550,
  [6811] = 4869,
  [6812] = 5329,
  [6813] = 4544,
  [6814] = 5698,
  [6815] = 4515,
  [6816] = 4552,
  [6817] = 4654,
  [6818] = 4272,
  [6819] = 4515,
  [6820] = 4549,
  [6821] = 4537,
  [6822] = 5251,
  [6823] = 5329,
  [6824] = 5697,
  [6825] = 4582,
  [6826] = 5698,
  [6827] = 5495,
  [6828] = 4647,
  [6829] = 4575,
  [6830] = 4582,
  [6831] = 4171,
  [6832] = 4549,
  [6833] = 4630,
  [6834] = 4583,
  [6835] = 5663,
  [6836] = 4592,
  [6837] = 5516,
  [6838] = 4649,
  [6839] = 4527,
  [6840] = 4535,
  [6841] = 4610,
  [6842] = 4611,
  [6843] = 4647,
  [6844] = 5527,
  [6845] = 4171,
  [6846] = 6846,
  [6847] = 5450,
  [6848] = 4582,
  [6849] = 4631,
  [6850] = 4811,
  [6851] = 4630,
  [6852] = 4552,
  [6853] = 4554,
  [6854] = 4649,
  [6855] = 4631,
  [6856] = 5537,
  [6857] = 4554,
  [6858] = 4543,
  [6859] = 4544,
  [6860] = 4352,
  [6861] = 5550,
  [6862] = 4544,
  [6863] = 4527,
  [6864] = 4610,
  [6865] = 4515,
  [6866] = 5495,
  [6867] = 4611,
  [6868] = 4544,
  [6869] = 4582,
  [6870] = 5103,
  [6871] = 4481,
  [6872] = 5430,
  [6873] = 4499,
  [6874] = 5495,
  [6875] = 4483,
  [6876] = 4507,
  [6877] = 4527,
  [6878] = 5251,
  [6879] = 4647,
  [6880] = 4552,
  [6881] = 6881,
  [6882] = 4630,
  [6883] = 4654,
  [6884] = 4537,
  [6885] = 4535,
  [6886] = 4630,
  [6887] = 4685,
  [6888] = 4535,
  [6889] = 4575,
  [6890] = 4172,
  [6891] = 5251,
  [6892] = 4583,
  [6893] = 5430,
  [6894] = 4631,
  [6895] = 4483,
  [6896] = 4540,
  [6897] = 4540,
  [6898] = 4171,
  [6899] = 4592,
  [6900] = 4648,
  [6901] = 4610,
  [6902] = 4611,
  [6903] = 4630,
  [6904] = 6155,
  [6905] = 4631,
  [6906] = 4541,
  [6907] = 5122,
  [6908] = 6169,
  [6909] = 4554,
  [6910] = 4541,
  [6911] = 4171,
  [6912] = 4494,
  [6913] = 4172,
  [6914] = 4499,
  [6915] = 4811,
  [6916] = 4582,
  [6917] = 4731,
  [6918] = 4685,
  [6919] = 6204,
  [6920] = 6198,
  [6921] = 6199,
  [6922] = 4654,
  [6923] = 6217,
  [6924] = 4793,
  [6925] = 4535,
  [6926] = 4649,
  [6927] = 4687,
  [6928] = 6220,
  [6929] = 4537,
  [6930] = 4631,
  [6931] = 4552,
  [6932] = 6932,
  [6933] = 6203,
  [6934] = 4352,
  [6935] = 4540,
  [6936] = 4654,
  [6937] = 5103,
  [6938] = 4541,
  [6939] = 4535,
  [6940] = 4272,
  [6941] = 4611,
  [6942] = 4540,
  [6943] = 5450,
  [6944] = 4537,
  [6945] = 4687,
  [6946] = 4541,
  [6947] = 4793,
  [6948] = 4630,
  [6949] = 6234,
  [6950] = 4965,
  [6951] = 6233,
  [6952] = 5663,
  [6953] = 5435,
  [6954] = 4527,
  [6955] = 4481,
  [6956] = 4552,
  [6957] = 6957,
  [6958] = 4731,
  [6959] = 4537,
  [6960] = 6235,
  [6961] = 4685,
  [6962] = 4575,
  [6963] = 4654,
  [6964] = 4793,
  [6965] = 5673,
  [6966] = 4582,
  [6967] = 6301,
  [6968] = 4583,
  [6969] = 5527,
  [6970] = 4483,
  [6971] = 5516,
  [6972] = 5103,
  [6973] = 5450,
  [6974] = 4657,
  [6975] = 4592,
  [6976] = 4756,
  [6977] = 4554,
  [6978] = 4610,
  [6979] = 5264,
  [6980] = 4483,
  [6981] = 4611,
  [6982] = 4756,
  [6983] = 4499,
  [6984] = 5251,
  [6985] = 4630,
  [6986] = 5251,
  [6987] = 4631,
  [6988] = 4172,
  [6989] = 4499,
  [6990] = 6236,
  [6991] = 4352,
  [6992] = 6192,
  [6993] = 5450,
  [6994] = 6994,
  [6995] = 4499,
  [6996] = 4549,
  [6997] = 4549,
  [6998] = 5697,
  [6999] = 4685,
  [7000] = 4483,
  [7001] = 5698,
  [7002] = 4687,
  [7003] = 4654,
  [7004] = 5450,
  [7005] = 4811,
  [7006] = 4731,
  [7007] = 4592,
  [7008] = 4352,
  [7009] = 4655,
  [7010] = 4544,
  [7011] = 4544,
  [7012] = 5264,
  [7013] = 5103,
  [7014] = 4648,
  [7015] = 4481,
  [7016] = 5435,
  [7017] = 4543,
  [7018] = 6198,
  [7019] = 6618,
  [7020] = 7020,
  [7021] = 6199,
  [7022] = 4515,
  [7023] = 4481,
  [7024] = 4494,
  [7025] = 4554,
  [7026] = 4582,
  [7027] = 4631,
  [7028] = 4575,
  [7029] = 4549,
  [7030] = 4544,
  [7031] = 4731,
  [7032] = 4499,
  [7033] = 7033,
  [7034] = 4685,
  [7035] = 5430,
  [7036] = 4481,
  [7037] = 4544,
  [7038] = 4352,
  [7039] = 4647,
  [7040] = 5103,
  [7041] = 4965,
  [7042] = 5264,
  [7043] = 4481,
  [7044] = 4582,
  [7045] = 6203,
  [7046] = 4171,
  [7047] = 5663,
  [7048] = 4527,
  [7049] = 4494,
  [7050] = 4679,
  [7051] = 4535,
  [7052] = 6195,
  [7053] = 4687,
  [7054] = 4649,
  [7055] = 5264,
  [7056] = 4171,
  [7057] = 4980,
  [7058] = 4554,
  [7059] = 6267,
  [7060] = 4552,
  [7061] = 5673,
  [7062] = 4499,
  [7063] = 4540,
  [7064] = 5430,
  [7065] = 4537,
  [7066] = 4654,
  [7067] = 5103,
  [7068] = 4352,
  [7069] = 4549,
  [7070] = 4583,
  [7071] = 4575,
  [7072] = 6332,
  [7073] = 4544,
  [7074] = 4352,
  [7075] = 4654,
  [7076] = 6233,
  [7077] = 4172,
  [7078] = 5663,
  [7079] = 6235,
  [7080] = 6236,
  [7081] = 4649,
  [7082] = 5495,
  [7083] = 5570,
  [7084] = 6217,
  [7085] = 6220,
  [7086] = 5516,
  [7087] = 4582,
  [7088] = 4544,
  [7089] = 4549,
  [7090] = 4352,
  [7091] = 4171,
  [7092] = 5673,
  [7093] = 4647,
  [7094] = 5527,
  [7095] = 4481,
  [7096] = 4649,
  [7097] = 4481,
  [7098] = 4483,
  [7099] = 6233,
  [7100] = 5537,
  [7101] = 5329,
  [7102] = 6235,
  [7103] = 7103,
  [7104] = 6236,
  [7105] = 4172,
  [7106] = 5550,
  [7107] = 4685,
  [7108] = 4687,
  [7109] = 4654,
  [7110] = 4648,
  [7111] = 4171,
  [7112] = 5697,
  [7113] = 5698,
  [7114] = 4731,
  [7115] = 4679,
  [7116] = 4655,
  [7117] = 4647,
  [7118] = 6473,
  [7119] = 4172,
  [7120] = 4554,
  [7121] = 4535,
  [7122] = 4540,
  [7123] = 4541,
  [7124] = 4649,
  [7125] = 4685,
  [7126] = 4687,
  [7127] = 4654,
  [7128] = 4352,
  [7129] = 4535,
  [7130] = 4540,
  [7131] = 4541,
  [7132] = 4657,
  [7133] = 4352,
  [7134] = 4172,
  [7135] = 4352,
  [7136] = 4535,
  [7137] = 4540,
  [7138] = 4541,
  [7139] = 4352,
  [7140] = 5264,
  [7141] = 7020,
  [7142] = 4685,
  [7143] = 4687,
  [7144] = 5495,
  [7145] = 4654,
  [7146] = 4527,
  [7147] = 4499,
  [7148] = 4352,
  [7149] = 5516,
  [7150] = 7150,
  [7151] = 4537,
  [7152] = 4535,
  [7153] = 4540,
  [7154] = 4541,
  [7155] = 4756,
  [7156] = 4549,
  [7157] = 4171,
  [7158] = 4352,
  [7159] = 4172,
  [7160] = 4171,
  [7161] = 6367,
  [7162] = 5527,
  [7163] = 4575,
  [7164] = 4172,
  [7165] = 4583,
  [7166] = 4592,
  [7167] = 5537,
  [7168] = 4610,
  [7169] = 4611,
  [7170] = 4549,
  [7171] = 6301,
  [7172] = 6881,
  [7173] = 5550,
  [7174] = 4171,
  [7175] = 4630,
  [7176] = 4172,
  [7177] = 4631,
  [7178] = 5329,
  [7179] = 5264,
  [7180] = 5251,
  [7181] = 4552,
  [7182] = 4647,
  [7183] = 4171,
  [7184] = 4172,
  [7185] = 7185,
  [7186] = 4649,
  [7187] = 4554,
  [7188] = 6301,
  [7189] = 7189,
  [7190] = 7190,
  [7191] = 4756,
  [7192] = 7192,
  [7193] = 7193,
  [7194] = 5264,
  [7195] = 7192,
  [7196] = 7196,
  [7197] = 4647,
  [7198] = 4499,
  [7199] = 4554,
  [7200] = 6846,
  [7201] = 7201,
  [7202] = 4649,
  [7203] = 4980,
  [7204] = 7103,
  [7205] = 4869,
  [7206] = 7196,
  [7207] = 5663,
  [7208] = 4352,
  [7209] = 5251,
  [7210] = 7201,
  [7211] = 4679,
  [7212] = 4352,
  [7213] = 4731,
  [7214] = 4793,
  [7215] = 5251,
  [7216] = 5329,
  [7217] = 4582,
  [7218] = 4483,
  [7219] = 5251,
  [7220] = 4679,
  [7221] = 5673,
  [7222] = 4980,
  [7223] = 4549,
  [7224] = 4515,
  [7225] = 5251,
  [7226] = 5329,
  [7227] = 5329,
  [7228] = 4869,
  [7229] = 7189,
  [7230] = 7190,
  [7231] = 5495,
  [7232] = 7192,
  [7233] = 7196,
  [7234] = 7150,
  [7235] = 5516,
  [7236] = 7201,
  [7237] = 5527,
  [7238] = 4685,
  [7239] = 4483,
  [7240] = 5768,
  [7241] = 4171,
  [7242] = 5537,
  [7243] = 4980,
  [7244] = 5550,
  [7245] = 4869,
  [7246] = 5329,
  [7247] = 4687,
  [7248] = 5251,
  [7249] = 4527,
  [7250] = 5320,
  [7251] = 4494,
  [7252] = 4554,
  [7253] = 4515,
  [7254] = 5251,
  [7255] = 5329,
  [7256] = 5122,
  [7257] = 4537,
  [7258] = 7189,
  [7259] = 7190,
  [7260] = 4647,
  [7261] = 4685,
  [7262] = 7192,
  [7263] = 4575,
  [7264] = 7196,
  [7265] = 4583,
  [7266] = 4654,
  [7267] = 4592,
  [7268] = 7201,
  [7269] = 4649,
  [7270] = 4535,
  [7271] = 4687,
  [7272] = 4980,
  [7273] = 4610,
  [7274] = 4611,
  [7275] = 6011,
  [7276] = 4540,
  [7277] = 4654,
  [7278] = 4869,
  [7279] = 4630,
  [7280] = 4631,
  [7281] = 4541,
  [7282] = 6139,
  [7283] = 4527,
  [7284] = 5495,
  [7285] = 4552,
  [7286] = 7189,
  [7287] = 7190,
  [7288] = 7192,
  [7289] = 7196,
  [7290] = 5697,
  [7291] = 5698,
  [7292] = 7201,
  [7293] = 4537,
  [7294] = 6162,
  [7295] = 4575,
  [7296] = 4583,
  [7297] = 6192,
  [7298] = 4592,
  [7299] = 6195,
  [7300] = 7192,
  [7301] = 7196,
  [7302] = 4610,
  [7303] = 4611,
  [7304] = 6201,
  [7305] = 7201,
  [7306] = 6211,
  [7307] = 5435,
  [7308] = 5516,
  [7309] = 4630,
  [7310] = 4631,
  [7311] = 7192,
  [7312] = 4552,
  [7313] = 6224,
  [7314] = 6234,
  [7315] = 4543,
  [7316] = 6198,
  [7317] = 6199,
  [7318] = 6244,
  [7319] = 6248,
  [7320] = 4655,
  [7321] = 5527,
  [7322] = 7192,
  [7323] = 4582,
  [7324] = 6203,
  [7325] = 5663,
  [7326] = 4685,
  [7327] = 6290,
  [7328] = 6293,
  [7329] = 4535,
  [7330] = 7192,
  [7331] = 5537,
  [7332] = 4352,
  [7333] = 4980,
  [7334] = 5673,
  [7335] = 6326,
  [7336] = 4540,
  [7337] = 7192,
  [7338] = 5792,
  [7339] = 5550,
  [7340] = 4869,
  [7341] = 4541,
  [7342] = 4685,
  [7343] = 5768,
  [7344] = 6011,
  [7345] = 4535,
  [7346] = 4687,
  [7347] = 7192,
  [7348] = 7348,
  [7349] = 6139,
  [7350] = 4540,
  [7351] = 4654,
  [7352] = 4541,
  [7353] = 7189,
  [7354] = 6162,
  [7355] = 7192,
  [7356] = 6192,
  [7357] = 6195,
  [7358] = 4687,
  [7359] = 6201,
  [7360] = 4481,
  [7361] = 5103,
  [7362] = 7192,
  [7363] = 6211,
  [7364] = 5435,
  [7365] = 4980,
  [7366] = 6224,
  [7367] = 7192,
  [7368] = 5450,
  [7369] = 6234,
  [7370] = 5570,
  [7371] = 6244,
  [7372] = 6248,
  [7373] = 4965,
  [7374] = 6198,
  [7375] = 6199,
  [7376] = 4654,
  [7377] = 4655,
  [7378] = 4582,
  [7379] = 4481,
  [7380] = 5103,
  [7381] = 7192,
  [7382] = 6203,
  [7383] = 4869,
  [7384] = 6290,
  [7385] = 6293,
  [7386] = 4352,
  [7387] = 7192,
  [7388] = 4499,
  [7389] = 4172,
  [7390] = 6326,
  [7391] = 5792,
  [7392] = 7192,
  [7393] = 5329,
  [7394] = 7192,
  [7395] = 4811,
  [7396] = 7192,
  [7397] = 7190,
  [7398] = 4481,
  [7399] = 4679,
  [7400] = 7192,
  [7401] = 4272,
  [7402] = 4965,
  [7403] = 7192,
  [7404] = 4582,
  [7405] = 4535,
  [7406] = 4756,
  [7407] = 4535,
  [7408] = 7192,
  [7409] = 4540,
  [7410] = 4540,
  [7411] = 4541,
  [7412] = 7192,
  [7413] = 5264,
  [7414] = 4541,
  [7415] = 4352,
  [7416] = 4793,
  [7417] = 7192,
  [7418] = 5103,
  [7419] = 4554,
  [7420] = 4980,
  [7421] = 4483,
  [7422] = 4549,
  [7423] = 5768,
  [7424] = 7192,
  [7425] = 4869,
  [7426] = 4811,
  [7427] = 6155,
  [7428] = 7192,
  [7429] = 6169,
  [7430] = 4647,
  [7431] = 7192,
  [7432] = 4649,
  [7433] = 4272,
  [7434] = 7192,
  [7435] = 6204,
  [7436] = 7192,
  [7437] = 4499,
  [7438] = 6217,
  [7439] = 4554,
  [7440] = 6220,
  [7441] = 7441,
  [7442] = 7192,
  [7443] = 4582,
  [7444] = 4483,
  [7445] = 7192,
  [7446] = 4535,
  [7447] = 4540,
  [7448] = 5251,
  [7449] = 7192,
  [7450] = 4541,
  [7451] = 6267,
  [7452] = 5251,
  [7453] = 7192,
  [7454] = 6155,
  [7455] = 7192,
  [7456] = 6169,
  [7457] = 4527,
  [7458] = 4648,
  [7459] = 6332,
  [7460] = 4756,
  [7461] = 4352,
  [7462] = 7192,
  [7463] = 4527,
  [7464] = 4655,
  [7465] = 7192,
  [7466] = 4537,
  [7467] = 4965,
  [7468] = 6204,
  [7469] = 4647,
  [7470] = 4575,
  [7471] = 4583,
  [7472] = 7192,
  [7473] = 4592,
  [7474] = 4649,
  [7475] = 4535,
  [7476] = 4610,
  [7477] = 4611,
  [7478] = 7192,
  [7479] = 4679,
  [7480] = 4540,
  [7481] = 4630,
  [7482] = 4631,
  [7483] = 4541,
  [7484] = 6217,
  [7485] = 7192,
  [7486] = 5264,
  [7487] = 6220,
  [7488] = 4552,
  [7489] = 4549,
  [7490] = 7192,
  [7491] = 4756,
  [7492] = 7192,
  [7493] = 4352,
  [7494] = 4731,
  [7495] = 5329,
  [7496] = 7192,
  [7497] = 5264,
  [7498] = 5697,
  [7499] = 5698,
  [7500] = 7192,
  [7501] = 4537,
  [7502] = 4811,
  [7503] = 7192,
  [7504] = 4554,
  [7505] = 5430,
  [7506] = 7192,
  [7507] = 7192,
  [7508] = 4657,
  [7509] = 4793,
  [7510] = 7192,
  [7511] = 4582,
  [7512] = 4481,
  [7513] = 7192,
  [7514] = 5663,
  [7515] = 7192,
  [7516] = 4731,
  [7517] = 4575,
  [7518] = 4583,
  [7519] = 7192,
  [7520] = 6301,
  [7521] = 4483,
  [7522] = 5673,
  [7523] = 4592,
  [7524] = 7192,
  [7525] = 6301,
  [7526] = 5320,
  [7527] = 4272,
  [7528] = 7192,
  [7529] = 4527,
  [7530] = 4543,
  [7531] = 4537,
  [7532] = 7192,
  [7533] = 4575,
  [7534] = 4582,
  [7535] = 4583,
  [7536] = 5430,
  [7537] = 6267,
  [7538] = 4592,
  [7539] = 4610,
  [7540] = 4611,
  [7541] = 4610,
  [7542] = 7192,
  [7543] = 4611,
  [7544] = 4499,
  [7545] = 4630,
  [7546] = 4631,
  [7547] = 7192,
  [7548] = 4494,
  [7549] = 5450,
  [7550] = 4552,
  [7551] = 7192,
  [7552] = 6198,
  [7553] = 6199,
  [7554] = 6881,
  [7555] = 7192,
  [7556] = 6203,
  [7557] = 4535,
  [7558] = 6332,
  [7559] = 7192,
  [7560] = 4540,
  [7561] = 4756,
  [7562] = 4541,
  [7563] = 4630,
  [7564] = 7192,
  [7565] = 4631,
  [7566] = 7192,
  [7567] = 4544,
  [7568] = 4483,
  [7569] = 7192,
  [7570] = 4535,
  [7571] = 4980,
  [7572] = 4540,
  [7573] = 6011,
  [7574] = 4869,
  [7575] = 7192,
  [7576] = 4541,
  [7577] = 4352,
  [7578] = 4527,
  [7579] = 7192,
  [7580] = 4535,
  [7581] = 7192,
  [7582] = 4537,
  [7583] = 4575,
  [7584] = 4583,
  [7585] = 6139,
  [7586] = 7192,
  [7587] = 4592,
  [7588] = 4610,
  [7589] = 4611,
  [7590] = 6301,
  [7591] = 7192,
  [7592] = 4630,
  [7593] = 4631,
  [7594] = 4352,
  [7595] = 4171,
  [7596] = 7192,
  [7597] = 4552,
  [7598] = 7192,
  [7599] = 4540,
  [7600] = 7192,
  [7601] = 7192,
  [7602] = 5697,
  [7603] = 4481,
  [7604] = 4541,
  [7605] = 7192,
  [7606] = 6162,
  [7607] = 7192,
  [7608] = 5329,
  [7609] = 7192,
  [7610] = 7192,
  [7611] = 4171,
  [7612] = 7192,
  [7613] = 7192,
  [7614] = 4544,
  [7615] = 7192,
  [7616] = 5430,
  [7617] = 7192,
  [7618] = 7192,
  [7619] = 6233,
  [7620] = 4172,
  [7621] = 7192,
  [7622] = 6235,
  [7623] = 6236,
  [7624] = 6192,
  [7625] = 5450,
  [7626] = 7192,
  [7627] = 4499,
  [7628] = 6195,
  [7629] = 7192,
  [7630] = 5615,
  [7631] = 7192,
  [7632] = 6201,
  [7633] = 4655,
  [7634] = 4685,
  [7635] = 7192,
  [7636] = 6211,
  [7637] = 5435,
  [7638] = 7192,
  [7639] = 4687,
  [7640] = 4731,
  [7641] = 7192,
  [7642] = 4543,
  [7643] = 4654,
  [7644] = 7192,
  [7645] = 4172,
  [7646] = 7192,
  [7647] = 4499,
  [7648] = 4544,
  [7649] = 7192,
  [7650] = 4544,
  [7651] = 6224,
  [7652] = 6846,
  [7653] = 4685,
  [7654] = 6234,
  [7655] = 4582,
  [7656] = 4687,
  [7657] = 4654,
  [7658] = 6244,
  [7659] = 6248,
  [7660] = 4171,
  [7661] = 4483,
  [7662] = 4756,
  [7663] = 6290,
  [7664] = 6293,
  [7665] = 5329,
  [7666] = 4756,
  [7667] = 4655,
  [7668] = 5698,
  [7669] = 7193,
  [7670] = 6326,
  [7671] = 4172,
  [7672] = 5792,
  [7673] = 4647,
  [7674] = 4481,
  [7675] = 6198,
  [7676] = 4649,
  [7677] = 6199,
  [7678] = 4544,
  [7679] = 4655,
  [7680] = 4731,
  [7681] = 4582,
  [7682] = 6203,
  [7683] = 5435,
  [7684] = 4980,
  [7685] = 5495,
  [7686] = 4499,
  [7687] = 4731,
  [7688] = 5516,
  [7689] = 4655,
  [7690] = 5527,
  [7691] = 4527,
  [7692] = 4869,
  [7693] = 4535,
  [7694] = 5537,
  [7695] = 4540,
  [7696] = 5550,
  [7697] = 4541,
  [7698] = 5450,
  [7699] = 4552,
  [7700] = 5122,
  [7701] = 5430,
  [7702] = 5122,
  [7703] = 5450,
  [7704] = 4731,
  [7705] = 4647,
  [7706] = 4731,
  [7707] = 5430,
  [7708] = 4649,
  [7709] = 4352,
  [7710] = 5450,
  [7711] = 5450,
  [7712] = 4537,
  [7713] = 4582,
  [7714] = 4483,
  [7715] = 5430,
  [7716] = 4483,
  [7717] = 4647,
  [7718] = 4756,
  [7719] = 4575,
  [7720] = 4583,
  [7721] = 5450,
  [7722] = 4527,
  [7723] = 4552,
  [7724] = 4592,
  [7725] = 4537,
  [7726] = 4575,
  [7727] = 4583,
  [7728] = 4649,
  [7729] = 5430,
  [7730] = 4592,
  [7731] = 4610,
  [7732] = 4611,
  [7733] = 4527,
  [7734] = 4630,
  [7735] = 4631,
  [7736] = 4544,
  [7737] = 4756,
  [7738] = 6198,
  [7739] = 6199,
  [7740] = 4537,
  [7741] = 4535,
  [7742] = 4610,
  [7743] = 4611,
  [7744] = 4540,
  [7745] = 4541,
  [7746] = 4685,
  [7747] = 4731,
  [7748] = 4575,
  [7749] = 4583,
  [7750] = 4655,
  [7751] = 4483,
  [7752] = 6203,
  [7753] = 4592,
  [7754] = 4756,
  [7755] = 4655,
  [7756] = 4687,
  [7757] = 4685,
  [7758] = 4481,
  [7759] = 4980,
  [7760] = 4687,
  [7761] = 4610,
  [7762] = 4654,
  [7763] = 4611,
  [7764] = 4352,
  [7765] = 4527,
  [7766] = 4552,
  [7767] = 4731,
  [7768] = 4537,
  [7769] = 4654,
  [7770] = 4575,
  [7771] = 4583,
  [7772] = 4869,
  [7773] = 4630,
  [7774] = 4631,
  [7775] = 4592,
  [7776] = 4610,
  [7777] = 4611,
  [7778] = 6233,
  [7779] = 4630,
  [7780] = 4631,
  [7781] = 4630,
  [7782] = 4631,
  [7783] = 5329,
  [7784] = 6235,
  [7785] = 6236,
  [7786] = 4535,
  [7787] = 4540,
  [7788] = 4541,
  [7789] = 5450,
  [7790] = 4731,
  [7791] = 4655,
  [7792] = 5570,
  [7793] = 5430,
  [7794] = 4554,
  [7795] = 4543,
  [7796] = 4685,
  [7797] = 5103,
  [7798] = 4687,
  [7799] = 4654,
  [7800] = 4352,
  [7801] = 7441,
  [7802] = 5103,
  [7803] = 4582,
  [7804] = 4171,
  [7805] = 4756,
  [7806] = 4655,
  [7807] = 7192,
  [7808] = 5122,
  [7809] = 5264,
  [7810] = 4647,
  [7811] = 4685,
  [7812] = 4649,
  [7813] = 4687,
  [7814] = 4654,
  [7815] = 4172,
  [7816] = 5264,
  [7817] = 4552,
  [7818] = 4543,
  [7819] = 4544,
  [7820] = 4171,
  [7821] = 4499,
  [7822] = 4731,
  [7823] = 4483,
  [7824] = 5103,
  [7825] = 4647,
  [7826] = 4483,
  [7827] = 5103,
  [7828] = 4649,
  [7829] = 4647,
  [7830] = 6233,
  [7831] = 4172,
  [7832] = 6235,
  [7833] = 6236,
  [7834] = 4527,
  [7835] = 4980,
  [7836] = 4552,
  [7837] = 4537,
  [7838] = 4272,
  [7839] = 4575,
  [7840] = 4583,
  [7841] = 4793,
  [7842] = 4592,
  [7843] = 4610,
  [7844] = 4611,
  [7845] = 4869,
  [7846] = 4630,
  [7847] = 4631,
  [7848] = 5264,
  [7849] = 4582,
  [7850] = 4483,
  [7851] = 5264,
  [7852] = 4527,
  [7853] = 4537,
  [7854] = 4649,
  [7855] = 4171,
  [7856] = 4527,
  [7857] = 4552,
  [7858] = 4685,
  [7859] = 4537,
  [7860] = 4575,
  [7861] = 4685,
  [7862] = 4575,
  [7863] = 4583,
  [7864] = 4583,
  [7865] = 4592,
  [7866] = 4687,
  [7867] = 4610,
  [7868] = 4611,
  [7869] = 4654,
  [7870] = 4630,
  [7871] = 4631,
  [7872] = 5103,
  [7873] = 4592,
  [7874] = 4685,
  [7875] = 4483,
  [7876] = 4687,
  [7877] = 5430,
  [7878] = 4654,
  [7879] = 4172,
  [7880] = 4687,
  [7881] = 4980,
  [7882] = 4610,
  [7883] = 4611,
  [7884] = 4654,
  [7885] = 4869,
  [7886] = 4630,
  [7887] = 4631,
  [7888] = 6233,
  [7889] = 4527,
  [7890] = 4552,
  [7891] = 4537,
  [7892] = 6235,
  [7893] = 4685,
  [7894] = 4575,
  [7895] = 6236,
  [7896] = 4583,
  [7897] = 4592,
  [7898] = 4687,
  [7899] = 4610,
  [7900] = 4611,
  [7901] = 4654,
  [7902] = 4630,
  [7903] = 4631,
  [7904] = 4582,
  [7905] = 4756,
  [7906] = 4685,
  [7907] = 4687,
  [7908] = 5103,
  [7909] = 4655,
  [7910] = 4582,
  [7911] = 5450,
  [7912] = 6267,
  [7913] = 4549,
  [7914] = 4499,
  [7915] = 4811,
  [7916] = 4552,
  [7917] = 4535,
  [7918] = 4540,
  [7919] = 6155,
  [7920] = 4541,
  [7921] = 4552,
  [7922] = 7922,
  [7923] = 6169,
  [7924] = 4582,
  [7925] = 4483,
  [7926] = 6332,
  [7927] = 7927,
  [7928] = 4481,
  [7929] = 5103,
  [7930] = 4647,
  [7931] = 4527,
  [7932] = 4552,
  [7933] = 4537,
  [7934] = 4575,
  [7935] = 4583,
  [7936] = 4592,
  [7937] = 4610,
  [7938] = 4611,
  [7939] = 4630,
  [7940] = 4631,
  [7941] = 4352,
  [7942] = 4171,
  [7943] = 4655,
  [7944] = 4965,
  [7945] = 6204,
  [7946] = 4535,
  [7947] = 4540,
  [7948] = 4541,
  [7949] = 5430,
  [7950] = 4171,
  [7951] = 5264,
  [7952] = 5329,
  [7953] = 5450,
  [7954] = 5673,
  [7955] = 4527,
  [7956] = 4655,
  [7957] = 4685,
  [7958] = 4171,
  [7959] = 5570,
  [7960] = 4172,
  [7961] = 5570,
  [7962] = 4540,
  [7963] = 5103,
  [7964] = 5251,
  [7965] = 5550,
  [7966] = 4687,
  [7967] = 4541,
  [7968] = 4582,
  [7969] = 4654,
  [7970] = 5103,
  [7971] = 6233,
  [7972] = 4352,
  [7973] = 4535,
  [7974] = 4552,
  [7975] = 6235,
  [7976] = 6236,
  [7977] = 5251,
  [7978] = 4980,
  [7979] = 4171,
  [7980] = 4869,
  [7981] = 4793,
  [7982] = 4685,
  [7983] = 4610,
  [7984] = 4582,
  [7985] = 5450,
  [7986] = 4507,
  [7987] = 4535,
  [7988] = 4687,
  [7989] = 6881,
  [7990] = 4540,
  [7991] = 4811,
  [7992] = 4654,
  [7993] = 4541,
  [7994] = 4499,
  [7995] = 5329,
  [7996] = 4527,
  [7997] = 5122,
  [7998] = 5697,
  [7999] = 4655,
  [8000] = 4687,
  [8001] = 5698,
  [8002] = 4172,
  [8003] = 4582,
  [8004] = 4535,
  [8005] = 4811,
  [8006] = 5329,
  [8007] = 6301,
  [8008] = 6267,
  [8009] = 6220,
  [8010] = 6233,
  [8011] = 4731,
  [8012] = 8012,
  [8013] = 6235,
  [8014] = 6236,
  [8015] = 5103,
  [8016] = 4483,
  [8017] = 4869,
  [8018] = 8018,
  [8019] = 4655,
  [8020] = 4685,
  [8021] = 4537,
  [8022] = 7150,
  [8023] = 5264,
  [8024] = 4540,
  [8025] = 5103,
  [8026] = 4655,
  [8027] = 4980,
  [8028] = 6198,
  [8029] = 6199,
  [8030] = 4483,
  [8031] = 6203,
  [8032] = 5103,
  [8033] = 6233,
  [8034] = 4756,
  [8035] = 4537,
  [8036] = 4352,
  [8037] = 5264,
  [8038] = 6139,
  [8039] = 6235,
  [8040] = 8040,
  [8041] = 4687,
  [8042] = 4655,
  [8043] = 4980,
  [8044] = 4541,
  [8045] = 5103,
  [8046] = 4654,
  [8047] = 4869,
  [8048] = 4483,
  [8049] = 6236,
  [8050] = 5768,
  [8051] = 6233,
  [8052] = 6235,
  [8053] = 6236,
  [8054] = 4527,
  [8055] = 4552,
  [8056] = 6846,
  [8057] = 4352,
  [8058] = 4537,
  [8059] = 4685,
  [8060] = 4575,
  [8061] = 4869,
  [8062] = 4583,
  [8063] = 5550,
  [8064] = 4592,
  [8065] = 4687,
  [8066] = 4610,
  [8067] = 4611,
  [8068] = 4654,
  [8069] = 4630,
  [8070] = 4631,
  [8071] = 4575,
  [8072] = 4583,
  [8073] = 5264,
  [8074] = 4352,
  [8075] = 4582,
  [8076] = 4592,
  [8077] = 4869,
  [8078] = 5516,
  [8079] = 4685,
  [8080] = 4481,
  [8081] = 5495,
  [8082] = 8082,
  [8083] = 4687,
  [8084] = 4172,
  [8085] = 5570,
  [8086] = 6011,
  [8087] = 4654,
  [8088] = 5264,
  [8089] = 4499,
  [8090] = 6139,
  [8091] = 4980,
  [8092] = 4527,
  [8093] = 4610,
  [8094] = 4611,
  [8095] = 4965,
  [8096] = 5450,
  [8097] = 4549,
  [8098] = 6162,
  [8099] = 4575,
  [8100] = 5430,
  [8101] = 4611,
  [8102] = 6162,
  [8103] = 6192,
  [8104] = 6155,
  [8105] = 4582,
  [8106] = 5264,
  [8107] = 6195,
  [8108] = 8018,
  [8109] = 4583,
  [8110] = 6201,
  [8111] = 6169,
  [8112] = 4731,
  [8113] = 5435,
  [8114] = 4869,
  [8115] = 4980,
  [8116] = 8012,
  [8117] = 4630,
  [8118] = 4171,
  [8119] = 4685,
  [8120] = 7348,
  [8121] = 4592,
  [8122] = 4756,
  [8123] = 4537,
  [8124] = 4631,
  [8125] = 8125,
  [8126] = 6224,
  [8127] = 4481,
  [8128] = 6234,
  [8129] = 4630,
  [8130] = 6244,
  [8131] = 6248,
  [8132] = 6204,
  [8133] = 4655,
  [8134] = 4575,
  [8135] = 5103,
  [8136] = 4583,
  [8137] = 5122,
  [8138] = 4592,
  [8139] = 6290,
  [8140] = 6293,
  [8141] = 6217,
  [8142] = 5264,
  [8143] = 8018,
  [8144] = 6220,
  [8145] = 8145,
  [8146] = 4610,
  [8147] = 5516,
  [8148] = 4611,
  [8149] = 4731,
  [8150] = 8012,
  [8151] = 7441,
  [8152] = 6198,
  [8153] = 6326,
  [8154] = 4535,
  [8155] = 4171,
  [8156] = 8125,
  [8157] = 6199,
  [8158] = 5792,
  [8159] = 4610,
  [8160] = 4630,
  [8161] = 4631,
  [8162] = 4611,
  [8163] = 5103,
  [8164] = 4549,
  [8165] = 6235,
  [8166] = 8018,
  [8167] = 4980,
  [8168] = 6192,
  [8169] = 4687,
  [8170] = 4499,
  [8171] = 7348,
  [8172] = 6332,
  [8173] = 4647,
  [8174] = 8174,
  [8175] = 8018,
  [8176] = 6155,
  [8177] = 4655,
  [8178] = 4649,
  [8179] = 4869,
  [8180] = 8180,
  [8181] = 8018,
  [8182] = 6198,
  [8183] = 6199,
  [8184] = 5264,
  [8185] = 5450,
  [8186] = 5495,
  [8187] = 8187,
  [8188] = 4655,
  [8189] = 6203,
  [8190] = 4654,
  [8191] = 6198,
  [8192] = 6199,
  [8193] = 4544,
  [8194] = 4756,
  [8195] = 4731,
  [8196] = 5495,
  [8197] = 6881,
  [8198] = 4554,
  [8199] = 6326,
  [8200] = 5516,
  [8201] = 4685,
  [8202] = 5527,
  [8203] = 4540,
  [8204] = 4481,
  [8205] = 4647,
  [8206] = 4630,
  [8207] = 4631,
  [8208] = 6203,
  [8209] = 5537,
  [8210] = 5550,
  [8211] = 6236,
  [8212] = 6195,
  [8213] = 6198,
  [8214] = 6199,
  [8215] = 4756,
  [8216] = 5251,
  [8217] = 6203,
  [8218] = 6201,
  [8219] = 4649,
  [8220] = 4535,
  [8221] = 5320,
  [8222] = 4352,
  [8223] = 4481,
  [8224] = 7103,
  [8225] = 6011,
  [8226] = 4811,
  [8227] = 7103,
  [8228] = 6169,
  [8229] = 4980,
  [8230] = 4172,
  [8231] = 4869,
  [8232] = 6139,
  [8233] = 4541,
  [8234] = 4535,
  [8235] = 4535,
  [8236] = 4515,
  [8237] = 4540,
  [8238] = 4499,
  [8239] = 6162,
  [8240] = 6192,
  [8241] = 4541,
  [8242] = 4552,
  [8243] = 4731,
  [8244] = 5329,
  [8245] = 6211,
  [8246] = 6195,
  [8247] = 4540,
  [8248] = 6201,
  [8249] = 4483,
  [8250] = 4540,
  [8251] = 5435,
  [8252] = 4869,
  [8253] = 4541,
  [8254] = 4965,
  [8255] = 8255,
  [8256] = 4272,
  [8257] = 4541,
  [8258] = 4172,
  [8259] = 5329,
  [8260] = 4499,
  [8261] = 5264,
  [8262] = 6224,
  [8263] = 4685,
  [8264] = 4582,
  [8265] = 4483,
  [8266] = 4756,
  [8267] = 5103,
  [8268] = 4687,
  [8269] = 4654,
  [8270] = 4527,
  [8271] = 6234,
  [8272] = 5768,
  [8273] = 4527,
  [8274] = 4552,
  [8275] = 6211,
  [8276] = 4537,
  [8277] = 5527,
  [8278] = 6244,
  [8279] = 7150,
  [8280] = 6248,
  [8281] = 4575,
  [8282] = 4583,
  [8283] = 8125,
  [8284] = 4592,
  [8285] = 4756,
  [8286] = 4540,
  [8287] = 4610,
  [8288] = 4611,
  [8289] = 4731,
  [8290] = 4654,
  [8291] = 4630,
  [8292] = 4631,
  [8293] = 4685,
  [8294] = 5792,
  [8295] = 5435,
  [8296] = 4679,
  [8297] = 6846,
  [8298] = 5103,
  [8299] = 4537,
  [8300] = 5103,
  [8301] = 5251,
  [8302] = 4687,
  [8303] = 8303,
  [8304] = 4647,
  [8305] = 6301,
  [8306] = 4631,
  [8307] = 4575,
  [8308] = 5329,
  [8309] = 4654,
  [8310] = 4583,
  [8311] = 4582,
  [8312] = 6290,
  [8313] = 4352,
  [8314] = 4483,
  [8315] = 5264,
  [8316] = 6293,
  [8317] = 4172,
  [8318] = 5251,
  [8319] = 4657,
  [8320] = 4685,
  [8321] = 4592,
  [8322] = 4687,
  [8323] = 6301,
  [8324] = 4654,
  [8325] = 4171,
  [8326] = 5329,
  [8327] = 5251,
  [8328] = 4685,
  [8329] = 4499,
  [8330] = 4481,
  [8331] = 6267,
  [8332] = 4535,
  [8333] = 4527,
  [8334] = 5516,
  [8335] = 6326,
  [8336] = 5450,
  [8337] = 6198,
  [8338] = 6199,
  [8339] = 8339,
  [8340] = 4655,
  [8341] = 5792,
  [8342] = 5430,
  [8343] = 6203,
  [8344] = 4610,
  [8345] = 4611,
  [8346] = 4352,
  [8347] = 5329,
  [8348] = 6332,
  [8349] = 5450,
  [8350] = 4537,
  [8351] = 5527,
  [8352] = 8352,
  [8353] = 5430,
  [8354] = 4540,
  [8355] = 4575,
  [8356] = 4630,
  [8357] = 4583,
  [8358] = 4483,
  [8359] = 4592,
  [8360] = 4543,
  [8361] = 5264,
  [8362] = 4583,
  [8363] = 5570,
  [8364] = 4685,
  [8365] = 4980,
  [8366] = 4610,
  [8367] = 4481,
  [8368] = 4611,
  [8369] = 4687,
  [8370] = 4552,
  [8371] = 5329,
  [8372] = 4654,
  [8373] = 4541,
  [8374] = 5495,
  [8375] = 4869,
  [8376] = 4630,
  [8377] = 4631,
  [8378] = 5516,
  [8379] = 4756,
  [8380] = 4869,
  [8381] = 4980,
  [8382] = 5527,
  [8383] = 5329,
  [8384] = 4756,
  [8385] = 5122,
  [8386] = 5537,
  [8387] = 6290,
  [8388] = 5550,
  [8389] = 4171,
  [8390] = 4980,
  [8391] = 4552,
  [8392] = 4731,
  [8393] = 4527,
  [8394] = 4687,
  [8395] = 6155,
  [8396] = 6293,
  [8397] = 6169,
  [8398] = 4731,
  [8399] = 4869,
  [8400] = 6203,
  [8401] = 5450,
  [8402] = 4756,
  [8403] = 4499,
  [8404] = 4537,
  [8405] = 4655,
  [8406] = 7185,
  [8407] = 5430,
  [8408] = 6881,
  [8409] = 4731,
  [8410] = 6301,
  [8411] = 4535,
  [8412] = 6204,
  [8413] = 4540,
  [8414] = 4575,
  [8415] = 4541,
  [8416] = 4583,
  [8417] = 5450,
  [8418] = 4481,
  [8419] = 4793,
  [8420] = 4731,
  [8421] = 4647,
  [8422] = 4592,
  [8423] = 5430,
  [8424] = 5329,
  [8425] = 4649,
  [8426] = 4352,
  [8427] = 6217,
  [8428] = 4582,
  [8429] = 4352,
  [8430] = 4965,
  [8431] = 4481,
  [8432] = 4352,
  [8433] = 6220,
  [8434] = 4352,
  [8435] = 5329,
  [8436] = 4483,
  [8437] = 4610,
  [8438] = 4611,
  [8439] = 4172,
  [8440] = 5329,
  [8441] = 5264,
  [8442] = 4756,
  [8443] = 4649,
  [8444] = 5103,
  [8445] = 4483,
  [8446] = 4687,
  [8447] = 6332,
  [8448] = 5264,
  [8449] = 4630,
  [8450] = 5537,
  [8451] = 7103,
  [8452] = 4631,
  [8453] = 4499,
  [8454] = 4172,
  [8455] = 4965,
  [8456] = 4171,
  [8457] = 4685,
  [8458] = 4352,
  [8459] = 5264,
  [8460] = 4554,
  [8461] = 4552,
  [8462] = 5527,
  [8463] = 6224,
  [8464] = 4687,
  [8465] = 4756,
  [8466] = 6473,
  [8467] = 5264,
  [8468] = 5663,
  [8469] = 6301,
  [8470] = 7020,
  [8471] = 4352,
  [8472] = 4541,
  [8473] = 5697,
  [8474] = 5698,
  [8475] = 4527,
  [8476] = 4756,
  [8477] = 8477,
  [8478] = 4508,
  [8479] = 4535,
  [8480] = 4537,
  [8481] = 5697,
  [8482] = 5698,
  [8483] = 4540,
  [8484] = 4647,
  [8485] = 6217,
  [8486] = 4171,
  [8487] = 4541,
  [8488] = 5430,
  [8489] = 4172,
  [8490] = 4811,
  [8491] = 4575,
  [8492] = 4583,
  [8493] = 4352,
  [8494] = 4654,
  [8495] = 5430,
  [8496] = 5495,
  [8497] = 8497,
  [8498] = 4592,
  [8499] = 5516,
  [8500] = 7185,
  [8501] = 4654,
  [8502] = 5768,
  [8503] = 4575,
  [8504] = 4654,
  [8505] = 4549,
  [8506] = 6367,
  [8507] = 5527,
  [8508] = 4582,
  [8509] = 4171,
  [8510] = 4655,
  [8511] = 6211,
  [8512] = 4610,
  [8513] = 4611,
  [8514] = 5537,
  [8515] = 6301,
  [8516] = 4272,
  [8517] = 4544,
  [8518] = 4630,
  [8519] = 4544,
  [8520] = 5550,
  [8521] = 4631,
  [8522] = 4352,
  [8523] = 5673,
  [8524] = 5495,
  [8525] = 6234,
  [8526] = 4685,
  [8527] = 5516,
  [8528] = 4685,
  [8529] = 5527,
  [8530] = 4552,
  [8531] = 6233,
  [8532] = 8532,
  [8533] = 4687,
  [8534] = 5537,
  [8535] = 4654,
  [8536] = 5550,
  [8537] = 5495,
  [8538] = 4655,
  [8539] = 4272,
  [8540] = 4647,
  [8541] = 4731,
  [8542] = 5430,
  [8543] = 4649,
  [8544] = 4649,
  [8545] = 4171,
  [8546] = 4171,
  [8547] = 5537,
  [8548] = 4648,
  [8549] = 4172,
  [8550] = 6244,
  [8551] = 4552,
  [8552] = 6248,
  [8553] = 8553,
  [8554] = 7441,
  [8555] = 6846,
  [8556] = 4655,
  [8557] = 4685,
  [8558] = 6204,
  [8559] = 4499,
  [8560] = 5122,
  [8561] = 5450,
  [8562] = 8562,
  [8563] = 4352,
  [8564] = 4687,
  [8565] = 4515,
  [8566] = 4654,
  [8567] = 5663,
  [8568] = 7150,
  [8569] = 5329,
  [8570] = 7441,
  [8571] = 4171,
  [8572] = 5537,
  [8573] = 5251,
  [8574] = 8574,
  [8575] = 4554,
  [8576] = 5430,
  [8577] = 6233,
  [8578] = 6235,
  [8579] = 6236,
  [8580] = 4172,
  [8581] = 4494,
  [8582] = 6011,
  [8583] = 5550,
  [8584] = 5430,
  [8585] = 5329,
  [8586] = 8562,
  [8587] = 4582,
  [8588] = 8562,
  [8589] = 4592,
  [8590] = 8562,
  [8591] = 5251,
  [8592] = 4980,
  [8593] = 5103,
  [8594] = 5103,
  [8595] = 4483,
  [8596] = 4535,
  [8597] = 4535,
  [8598] = 5768,
  [8599] = 5663,
  [8600] = 4540,
  [8601] = 8601,
  [8602] = 4540,
  [8603] = 4541,
  [8604] = 6267,
  [8605] = 6301,
  [8606] = 5450,
  [8607] = 4541,
  [8608] = 5329,
  [8609] = 5673,
  [8610] = 4535,
  [8611] = 4731,
  [8612] = 4481,
  [8613] = 4980,
  [8614] = 4527,
  [8615] = 4552,
  [8616] = 4537,
  [8617] = 4172,
  [8618] = 8562,
  [8619] = 8562,
  [8620] = 8562,
  [8621] = 8562,
  [8622] = 8562,
  [8623] = 8562,
  [8624] = 8562,
  [8625] = 8562,
  [8626] = 8562,
  [8627] = 8562,
  [8628] = 8562,
  [8629] = 8562,
  [8630] = 8562,
  [8631] = 8562,
  [8632] = 8562,
  [8633] = 8562,
  [8634] = 8562,
  [8635] = 8562,
  [8636] = 8562,
  [8637] = 8562,
  [8638] = 8562,
  [8639] = 8562,
  [8640] = 8562,
  [8641] = 8562,
  [8642] = 8562,
  [8643] = 8562,
  [8644] = 8562,
  [8645] = 8562,
  [8646] = 8562,
  [8647] = 8562,
  [8648] = 8562,
  [8649] = 8562,
  [8650] = 8562,
  [8651] = 8562,
  [8652] = 8562,
  [8653] = 8562,
  [8654] = 8562,
  [8655] = 8562,
  [8656] = 8562,
  [8657] = 8562,
  [8658] = 8562,
  [8659] = 8562,
  [8660] = 8562,
  [8661] = 8562,
  [8662] = 8562,
  [8663] = 8562,
  [8664] = 8562,
  [8665] = 8562,
  [8666] = 8562,
  [8667] = 8562,
  [8668] = 8562,
  [8669] = 8562,
  [8670] = 8562,
  [8671] = 8562,
  [8672] = 8562,
  [8673] = 8562,
  [8674] = 8562,
  [8675] = 8562,
  [8676] = 8562,
  [8677] = 8562,
  [8678] = 8562,
  [8679] = 8562,
  [8680] = 8562,
  [8681] = 8562,
  [8682] = 8562,
  [8683] = 4631,
  [8684] = 4171,
  [8685] = 8685,
  [8686] = 4655,
  [8687] = 4685,
  [8688] = 5430,
  [8689] = 4549,
  [8690] = 4687,
  [8691] = 8685,
  [8692] = 4685,
  [8693] = 5673,
  [8694] = 5103,
  [8695] = 4654,
  [8696] = 5527,
  [8697] = 6332,
  [8698] = 8685,
  [8699] = 7150,
  [8700] = 4535,
  [8701] = 4687,
  [8702] = 8685,
  [8703] = 5537,
  [8704] = 4980,
  [8705] = 4687,
  [8706] = 4540,
  [8707] = 8685,
  [8708] = 4654,
  [8709] = 5550,
  [8710] = 5570,
  [8711] = 4869,
  [8712] = 4541,
  [8713] = 8685,
  [8714] = 5450,
  [8715] = 5264,
  [8716] = 8685,
  [8717] = 4535,
  [8718] = 8685,
  [8719] = 5103,
  [8720] = 4540,
  [8721] = 5697,
  [8722] = 8685,
  [8723] = 5698,
  [8724] = 4541,
  [8725] = 8725,
  [8726] = 4535,
  [8727] = 5495,
  [8728] = 6233,
  [8729] = 4811,
  [8730] = 4685,
  [8731] = 8685,
  [8732] = 6846,
  [8733] = 5516,
  [8734] = 5251,
  [8735] = 6235,
  [8736] = 6236,
  [8737] = 4655,
  [8738] = 8685,
  [8739] = 5527,
  [8740] = 5329,
  [8741] = 5430,
  [8742] = 7441,
  [8743] = 4483,
  [8744] = 7150,
  [8745] = 5329,
  [8746] = 5537,
  [8747] = 5103,
  [8748] = 8685,
  [8749] = 4540,
  [8750] = 5550,
  [8751] = 5329,
  [8752] = 7185,
  [8753] = 4541,
  [8754] = 8685,
  [8755] = 4541,
  [8756] = 5495,
  [8757] = 4687,
  [8758] = 4494,
  [8759] = 4980,
  [8760] = 5516,
  [8761] = 8685,
  [8762] = 8685,
  [8763] = 4685,
  [8764] = 5527,
  [8765] = 4654,
  [8766] = 8685,
  [8767] = 4869,
  [8768] = 4687,
  [8769] = 5537,
  [8770] = 4535,
  [8771] = 6301,
  [8772] = 8685,
  [8773] = 4654,
  [8774] = 5550,
  [8775] = 4554,
  [8776] = 4685,
  [8777] = 5495,
  [8778] = 5450,
  [8779] = 8685,
  [8780] = 4527,
  [8781] = 4687,
  [8782] = 4499,
  [8783] = 4687,
  [8784] = 8685,
  [8785] = 4654,
  [8786] = 8685,
  [8787] = 5516,
  [8788] = 7441,
  [8789] = 4272,
  [8790] = 8790,
  [8791] = 4537,
  [8792] = 8685,
  [8793] = 4272,
  [8794] = 4756,
  [8795] = 8685,
  [8796] = 4544,
  [8797] = 4685,
  [8798] = 5527,
  [8799] = 4575,
  [8800] = 4687,
  [8801] = 4980,
  [8802] = 8685,
  [8803] = 4583,
  [8804] = 4965,
  [8805] = 5329,
  [8806] = 4654,
  [8807] = 4869,
  [8808] = 4592,
  [8809] = 8685,
  [8810] = 5264,
  [8811] = 4171,
  [8812] = 8812,
  [8813] = 6011,
  [8814] = 8685,
  [8815] = 5537,
  [8816] = 4610,
  [8817] = 4611,
  [8818] = 7103,
  [8819] = 4654,
  [8820] = 5663,
  [8821] = 8685,
  [8822] = 5550,
  [8823] = 7103,
  [8824] = 5663,
  [8825] = 4630,
  [8826] = 4631,
  [8827] = 4352,
  [8828] = 5329,
  [8829] = 8685,
  [8830] = 8685,
  [8831] = 6139,
  [8832] = 8685,
  [8833] = 4549,
  [8834] = 6301,
  [8835] = 8685,
  [8836] = 4172,
  [8837] = 5122,
  [8838] = 5673,
  [8839] = 4731,
  [8840] = 6162,
  [8841] = 4543,
  [8842] = 7150,
  [8843] = 8685,
  [8844] = 8685,
  [8845] = 8685,
  [8846] = 8685,
  [8847] = 6301,
  [8848] = 4965,
  [8849] = 8849,
  [8850] = 8685,
  [8851] = 6204,
  [8852] = 8685,
  [8853] = 6233,
  [8854] = 8685,
  [8855] = 5329,
  [8856] = 6235,
  [8857] = 8725,
  [8858] = 4352,
  [8859] = 6236,
  [8860] = 8685,
  [8861] = 5251,
  [8862] = 6233,
  [8863] = 6235,
  [8864] = 6236,
  [8865] = 8685,
  [8866] = 5329,
  [8867] = 6198,
  [8868] = 8685,
  [8869] = 6199,
  [8870] = 4685,
  [8871] = 8685,
  [8872] = 5430,
  [8873] = 6203,
  [8874] = 7103,
  [8875] = 4687,
  [8876] = 8685,
  [8877] = 6267,
  [8878] = 8685,
  [8879] = 4654,
  [8880] = 8685,
  [8881] = 5450,
  [8882] = 4655,
  [8883] = 8685,
  [8884] = 6267,
  [8885] = 8685,
  [8886] = 6198,
  [8887] = 6199,
  [8888] = 8685,
  [8889] = 5697,
  [8890] = 5697,
  [8891] = 5698,
  [8892] = 5698,
  [8893] = 4654,
  [8894] = 6192,
  [8895] = 8685,
  [8896] = 5430,
  [8897] = 6203,
  [8898] = 5768,
  [8899] = 8685,
  [8900] = 4535,
  [8901] = 8901,
  [8902] = 6195,
  [8903] = 6217,
  [8904] = 8685,
  [8905] = 4540,
  [8906] = 5264,
  [8907] = 4541,
  [8908] = 8685,
  [8909] = 6220,
  [8910] = 8790,
  [8911] = 8685,
  [8912] = 5450,
  [8913] = 5673,
  [8914] = 8685,
  [8915] = 7185,
  [8916] = 8685,
  [8917] = 5570,
  [8918] = 4483,
  [8919] = 8685,
  [8920] = 6332,
  [8921] = 8685,
  [8922] = 6201,
  [8923] = 4352,
  [8924] = 5329,
  [8925] = 8685,
  [8926] = 5697,
  [8927] = 6211,
  [8928] = 5698,
  [8929] = 8685,
  [8930] = 6155,
  [8931] = 8685,
  [8932] = 4552,
  [8933] = 8685,
  [8934] = 8685,
  [8935] = 5435,
  [8936] = 6881,
  [8937] = 4352,
  [8938] = 6155,
  [8939] = 8685,
  [8940] = 6169,
  [8941] = 8685,
  [8942] = 5430,
  [8943] = 5329,
  [8944] = 4554,
  [8945] = 6169,
  [8946] = 4535,
  [8947] = 8685,
  [8948] = 8685,
  [8949] = 6332,
  [8950] = 4352,
  [8951] = 4171,
  [8952] = 8685,
  [8953] = 5450,
  [8954] = 4527,
  [8955] = 8685,
  [8956] = 4552,
  [8957] = 6198,
  [8958] = 6199,
  [8959] = 7150,
  [8960] = 8685,
  [8961] = 6267,
  [8962] = 4537,
  [8963] = 8685,
  [8964] = 4575,
  [8965] = 4583,
  [8966] = 5430,
  [8967] = 8685,
  [8968] = 4592,
  [8969] = 8685,
  [8970] = 4610,
  [8971] = 4611,
  [8972] = 8685,
  [8973] = 4630,
  [8974] = 4631,
  [8975] = 7185,
  [8976] = 4756,
  [8977] = 8685,
  [8978] = 5450,
  [8979] = 8685,
  [8980] = 4647,
  [8981] = 5264,
  [8982] = 8685,
  [8983] = 7441,
  [8984] = 5329,
  [8985] = 4172,
  [8986] = 8685,
  [8987] = 4483,
  [8988] = 4685,
  [8989] = 6204,
  [8990] = 8685,
  [8991] = 5430,
  [8992] = 6203,
  [8993] = 4685,
  [8994] = 8685,
  [8995] = 8685,
  [8996] = 8685,
  [8997] = 4540,
  [8998] = 5495,
  [8999] = 5663,
  [9000] = 8685,
  [9001] = 5450,
  [9002] = 4649,
  [9003] = 8685,
  [9004] = 8685,
  [9005] = 6217,
  [9006] = 8685,
  [9007] = 5103,
  [9008] = 8685,
  [9009] = 6220,
  [9010] = 8685,
  [9011] = 6204,
  [9012] = 5516,
  [9013] = 8685,
  [9014] = 8685,
  [9015] = 6301,
  [9016] = 5673,
  [9017] = 8685,
  [9018] = 7441,
  [9019] = 4535,
  [9020] = 8685,
  [9021] = 4687,
  [9022] = 8685,
  [9023] = 5103,
  [9024] = 6217,
  [9025] = 8685,
  [9026] = 4687,
  [9027] = 6220,
  [9028] = 5527,
  [9029] = 4544,
  [9030] = 4685,
  [9031] = 6224,
  [9032] = 7103,
  [9033] = 4811,
  [9034] = 4687,
  [9035] = 4647,
  [9036] = 4654,
  [9037] = 4352,
  [9038] = 9038,
  [9039] = 4654,
  [9040] = 4552,
  [9041] = 4540,
  [9042] = 4654,
  [9043] = 4756,
  [9044] = 4655,
  [9045] = 4655,
  [9046] = 8685,
  [9047] = 7150,
  [9048] = 4541,
  [9049] = 6234,
  [9050] = 5537,
  [9051] = 4756,
  [9052] = 5264,
  [9053] = 2491,
  [9054] = 5329,
  [9055] = 6846,
  [9056] = 4685,
  [9057] = 4541,
  [9058] = 4685,
  [9059] = 4481,
  [9060] = 4483,
  [9061] = 6011,
  [9062] = 4221,
  [9063] = 4216,
  [9064] = 5264,
  [9065] = 4687,
  [9066] = 4227,
  [9067] = 7348,
  [9068] = 5329,
  [9069] = 4654,
  [9070] = 5264,
  [9071] = 5550,
  [9072] = 8685,
  [9073] = 6139,
  [9074] = 5495,
  [9075] = 5570,
  [9076] = 5329,
  [9077] = 6011,
  [9078] = 6162,
  [9079] = 5329,
  [9080] = 5264,
  [9081] = 4731,
  [9082] = 6139,
  [9083] = 5450,
  [9084] = 4527,
  [9085] = 6244,
  [9086] = 5570,
  [9087] = 6248,
  [9088] = 4527,
  [9089] = 6192,
  [9090] = 6162,
  [9091] = 6192,
  [9092] = 5495,
  [9093] = 8685,
  [9094] = 6195,
  [9095] = 6195,
  [9096] = 5516,
  [9097] = 6201,
  [9098] = 4655,
  [9099] = 4499,
  [9100] = 5527,
  [9101] = 5435,
  [9102] = 6201,
  [9103] = 6198,
  [9104] = 5537,
  [9105] = 6199,
  [9106] = 4537,
  [9107] = 5550,
  [9108] = 4537,
  [9109] = 6233,
  [9110] = 6211,
  [9111] = 6235,
  [9112] = 6236,
  [9113] = 5435,
  [9114] = 5516,
  [9115] = 6224,
  [9116] = 5450,
  [9117] = 6234,
  [9118] = 6244,
  [9119] = 6248,
  [9120] = 4575,
  [9121] = 4575,
  [9122] = 4583,
  [9123] = 4582,
  [9124] = 4583,
  [9125] = 6155,
  [9126] = 6203,
  [9127] = 6267,
  [9128] = 4592,
  [9129] = 4592,
  [9130] = 6224,
  [9131] = 6290,
  [9132] = 6233,
  [9133] = 4655,
  [9134] = 6235,
  [9135] = 6236,
  [9136] = 5495,
  [9137] = 8685,
  [9138] = 4610,
  [9139] = 4611,
  [9140] = 5516,
  [9141] = 4543,
  [9142] = 6234,
  [9143] = 6301,
  [9144] = 4610,
  [9145] = 5527,
  [9146] = 6326,
  [9147] = 6244,
  [9148] = 4611,
  [9149] = 5103,
  [9150] = 5792,
  [9151] = 6248,
  [9152] = 4731,
  [9153] = 5537,
  [9154] = 4630,
  [9155] = 4631,
  [9156] = 5550,
  [9157] = 5527,
  [9158] = 4171,
  [9159] = 5329,
  [9160] = 4483,
  [9161] = 4630,
  [9162] = 4631,
  [9163] = 4655,
  [9164] = 6290,
  [9165] = 6293,
  [9166] = 4527,
  [9167] = 4685,
  [9168] = 5122,
  [9169] = 8685,
  [9170] = 4171,
  [9171] = 4499,
  [9172] = 4582,
  [9173] = 4172,
  [9174] = 5103,
  [9175] = 5537,
  [9176] = 4649,
  [9177] = 4582,
  [9178] = 4980,
  [9179] = 4552,
  [9180] = 6290,
  [9181] = 6293,
  [9182] = 6233,
  [9183] = 4172,
  [9184] = 6235,
  [9185] = 6236,
  [9186] = 5264,
  [9187] = 5450,
  [9188] = 4544,
  [9189] = 4554,
  [9190] = 5430,
  [9191] = 6326,
  [9192] = 8685,
  [9193] = 4535,
  [9194] = 5768,
  [9195] = 6155,
  [9196] = 4655,
  [9197] = 5103,
  [9198] = 4483,
  [9199] = 4687,
  [9200] = 5264,
  [9201] = 6198,
  [9202] = 6199,
  [9203] = 8685,
  [9204] = 5792,
  [9205] = 5550,
  [9206] = 4540,
  [9207] = 4537,
  [9208] = 4685,
  [9209] = 6169,
  [9210] = 4483,
  [9211] = 4172,
  [9212] = 8685,
  [9213] = 4869,
  [9214] = 4541,
  [9215] = 4687,
  [9216] = 4654,
  [9217] = 7103,
  [9218] = 4685,
  [9219] = 6326,
  [9220] = 4654,
  [9221] = 5264,
  [9222] = 4171,
  [9223] = 9038,
  [9224] = 4527,
  [9225] = 4552,
  [9226] = 4537,
  [9227] = 4575,
  [9228] = 4583,
  [9229] = 4171,
  [9230] = 4575,
  [9231] = 4582,
  [9232] = 4592,
  [9233] = 6011,
  [9234] = 4610,
  [9235] = 4611,
  [9236] = 4552,
  [9237] = 4630,
  [9238] = 4631,
  [9239] = 4583,
  [9240] = 4731,
  [9241] = 5792,
  [9242] = 6211,
  [9243] = 8685,
  [9244] = 6332,
  [9245] = 6203,
  [9246] = 6169,
  [9247] = 5329,
  [9248] = 5430,
  [9249] = 4172,
  [9250] = 4592,
  [9251] = 4171,
  [9252] = 6139,
  [9253] = 6198,
  [9254] = 4685,
  [9255] = 4272,
  [9256] = 4527,
  [9257] = 4687,
  [9258] = 4654,
  [9259] = 4352,
  [9260] = 6199,
  [9261] = 6162,
  [9262] = 7103,
  [9263] = 4610,
  [9264] = 4611,
  [9265] = 5103,
  [9266] = 8685,
  [9267] = 6301,
  [9268] = 4655,
  [9269] = 6192,
  [9270] = 7441,
  [9271] = 6198,
  [9272] = 6199,
  [9273] = 6195,
  [9274] = 4655,
  [9275] = 6203,
  [9276] = 4535,
  [9277] = 4647,
  [9278] = 4540,
  [9279] = 6201,
  [9280] = 4541,
  [9281] = 4352,
  [9282] = 5570,
  [9283] = 4630,
  [9284] = 6211,
  [9285] = 5435,
  [9286] = 4631,
  [9287] = 5264,
  [9288] = 4481,
  [9289] = 8685,
  [9290] = 6233,
  [9291] = 5430,
  [9292] = 6204,
  [9293] = 4756,
  [9294] = 4685,
  [9295] = 4537,
  [9296] = 4655,
  [9297] = 4687,
  [9298] = 4654,
  [9299] = 4352,
  [9300] = 4582,
  [9301] = 6235,
  [9302] = 6236,
  [9303] = 7441,
  [9304] = 5103,
  [9305] = 5768,
  [9306] = 6224,
  [9307] = 4655,
  [9308] = 7348,
  [9309] = 7150,
  [9310] = 8685,
  [9311] = 4171,
  [9312] = 5450,
  [9313] = 6198,
  [9314] = 6199,
  [9315] = 4793,
  [9316] = 6234,
  [9317] = 5430,
  [9318] = 6203,
  [9319] = 5450,
  [9320] = 4352,
  [9321] = 4352,
  [9322] = 6244,
  [9323] = 6248,
  [9324] = 4575,
  [9325] = 6233,
  [9326] = 7441,
  [9327] = 4172,
  [9328] = 6235,
  [9329] = 6236,
  [9330] = 5495,
  [9331] = 4583,
  [9332] = 6155,
  [9333] = 5516,
  [9334] = 5122,
  [9335] = 6169,
  [9336] = 5527,
  [9337] = 4592,
  [9338] = 4582,
  [9339] = 5537,
  [9340] = 6198,
  [9341] = 6199,
  [9342] = 5550,
  [9343] = 8685,
  [9344] = 6290,
  [9345] = 6293,
  [9346] = 5430,
  [9347] = 6204,
  [9348] = 4481,
  [9349] = 5122,
  [9350] = 6203,
  [9351] = 8685,
  [9352] = 6217,
  [9353] = 6233,
  [9354] = 6235,
  [9355] = 6236,
  [9356] = 6220,
  [9357] = 4980,
  [9358] = 4610,
  [9359] = 4611,
  [9360] = 6203,
  [9361] = 4171,
  [9362] = 5450,
  [9363] = 5430,
  [9364] = 6326,
  [9365] = 8685,
  [9366] = 5792,
  [9367] = 4869,
  [9368] = 4630,
  [9369] = 5103,
  [9370] = 4631,
  [9371] = 4649,
  [9372] = 4172,
  [9373] = 5329,
  [9374] = 6846,
  [9375] = 6217,
  [9376] = 4535,
  [9377] = 5768,
  [9378] = 4685,
  [9379] = 5430,
  [9380] = 4687,
  [9381] = 4540,
  [9382] = 4654,
  [9383] = 4541,
  [9384] = 6233,
  [9385] = 6220,
  [9386] = 8685,
  [9387] = 6235,
  [9388] = 6236,
  [9389] = 4731,
  [9390] = 6198,
  [9391] = 6199,
  [9392] = 8685,
  [9393] = 4172,
  [9394] = 8685,
  [9395] = 6203,
  [9396] = 9038,
  [9397] = 4655,
  [9398] = 5495,
  [9399] = 6301,
  [9400] = 7441,
  [9401] = 4272,
  [9402] = 4535,
  [9403] = 5516,
  [9404] = 4980,
  [9405] = 5527,
  [9406] = 5103,
  [9407] = 6233,
  [9408] = 5537,
  [9409] = 5550,
  [9410] = 6235,
  [9411] = 6236,
  [9412] = 4540,
  [9413] = 8685,
  [9414] = 4869,
  [9415] = 4582,
  [9416] = 4541,
  [9417] = 7348,
  [9418] = 4515,
  [9419] = 4540,
  [9420] = 5495,
  [9421] = 5329,
  [9422] = 8685,
  [9423] = 5103,
  [9424] = 5264,
  [9425] = 5663,
  [9426] = 4552,
  [9427] = 6881,
  [9428] = 5450,
  [9429] = 8685,
  [9430] = 5516,
  [9431] = 6293,
  [9432] = 5550,
  [9433] = 4172,
  [9434] = 6203,
  [9435] = 4272,
  [9436] = 6235,
  [9437] = 4869,
  [9438] = 8849,
  [9439] = 9439,
  [9440] = 5264,
  [9441] = 4552,
  [9442] = 5450,
  [9443] = 4647,
  [9444] = 4687,
  [9445] = 5673,
  [9446] = 6290,
  [9447] = 5495,
  [9448] = 6169,
  [9449] = 6198,
  [9450] = 6199,
  [9451] = 7441,
  [9452] = 5430,
  [9453] = 6233,
  [9454] = 6204,
  [9455] = 6220,
  [9456] = 6203,
  [9457] = 9457,
  [9458] = 5768,
  [9459] = 6162,
  [9460] = 5103,
  [9461] = 7150,
  [9462] = 8790,
  [9463] = 6267,
  [9464] = 6192,
  [9465] = 6301,
  [9466] = 5516,
  [9467] = 6155,
  [9468] = 4582,
  [9469] = 4685,
  [9470] = 4535,
  [9471] = 4481,
  [9472] = 4535,
  [9473] = 4540,
  [9474] = 4541,
  [9475] = 5527,
  [9476] = 5450,
  [9477] = 6198,
  [9478] = 6199,
  [9479] = 5103,
  [9480] = 6198,
  [9481] = 6199,
  [9482] = 5537,
  [9483] = 8725,
  [9484] = 6195,
  [9485] = 5264,
  [9486] = 5430,
  [9487] = 6203,
  [9488] = 5103,
  [9489] = 5430,
  [9490] = 5537,
  [9491] = 6203,
  [9492] = 7103,
  [9493] = 4649,
  [9494] = 7103,
  [9495] = 5495,
  [9496] = 8849,
  [9497] = 5103,
  [9498] = 4654,
  [9499] = 4483,
  [9500] = 5550,
  [9501] = 6217,
  [9502] = 5516,
  [9503] = 4554,
  [9504] = 6201,
  [9505] = 5550,
  [9506] = 4756,
  [9507] = 5450,
  [9508] = 6169,
  [9509] = 4535,
  [9510] = 6220,
  [9511] = 8725,
  [9512] = 8725,
  [9513] = 6301,
  [9514] = 6290,
  [9515] = 4171,
  [9516] = 4687,
  [9517] = 5570,
  [9518] = 7441,
  [9519] = 5527,
  [9520] = 8790,
  [9521] = 4527,
  [9522] = 4540,
  [9523] = 6233,
  [9524] = 6235,
  [9525] = 6236,
  [9526] = 4352,
  [9527] = 5430,
  [9528] = 5450,
  [9529] = 5329,
  [9530] = 4575,
  [9531] = 9531,
  [9532] = 5435,
  [9533] = 5264,
  [9534] = 8790,
  [9535] = 5450,
  [9536] = 4352,
  [9537] = 5264,
  [9538] = 5122,
  [9539] = 4540,
  [9540] = 5537,
  [9541] = 4654,
  [9542] = 6301,
  [9543] = 4541,
  [9544] = 6235,
  [9545] = 5550,
  [9546] = 5264,
  [9547] = 5264,
  [9548] = 6881,
  [9549] = 6236,
  [9550] = 6881,
  [9551] = 7441,
  [9552] = 6293,
  [9553] = 6332,
  [9554] = 4583,
  [9555] = 6233,
  [9556] = 6224,
  [9557] = 4272,
  [9558] = 5329,
  [9559] = 4685,
  [9560] = 5768,
  [9561] = 5663,
  [9562] = 6234,
  [9563] = 5495,
  [9564] = 6235,
  [9565] = 5329,
  [9566] = 6244,
  [9567] = 4687,
  [9568] = 6326,
  [9569] = 4541,
  [9570] = 7103,
  [9571] = 9571,
  [9572] = 6235,
  [9573] = 6236,
  [9574] = 5430,
  [9575] = 5103,
  [9576] = 4654,
  [9577] = 5450,
  [9578] = 4171,
  [9579] = 9531,
  [9580] = 6248,
  [9581] = 7441,
  [9582] = 6198,
  [9583] = 6199,
  [9584] = 6233,
  [9585] = 6204,
  [9586] = 4172,
  [9587] = 5430,
  [9588] = 6203,
  [9589] = 5122,
  [9590] = 8725,
  [9591] = 5450,
  [9592] = 4527,
  [9593] = 6881,
  [9594] = 6235,
  [9595] = 4171,
  [9596] = 4610,
  [9597] = 6233,
  [9598] = 4172,
  [9599] = 6236,
  [9600] = 6244,
  [9601] = 6248,
  [9602] = 6233,
  [9603] = 4657,
  [9604] = 4611,
  [9605] = 6235,
  [9606] = 6236,
  [9607] = 7103,
  [9608] = 5103,
  [9609] = 7150,
  [9610] = 4171,
  [9611] = 6198,
  [9612] = 5264,
  [9613] = 4592,
  [9614] = 7103,
  [9615] = 4630,
  [9616] = 5103,
  [9617] = 5495,
  [9618] = 5768,
  [9619] = 6267,
  [9620] = 5450,
  [9621] = 5516,
  [9622] = 6233,
  [9623] = 6203,
  [9624] = 5516,
  [9625] = 4685,
  [9626] = 5527,
  [9627] = 6199,
  [9628] = 4687,
  [9629] = 5537,
  [9630] = 4654,
  [9631] = 5550,
  [9632] = 7150,
  [9633] = 4172,
  [9634] = 4980,
  [9635] = 4685,
  [9636] = 4655,
  [9637] = 6235,
  [9638] = 5495,
  [9639] = 6332,
  [9640] = 4537,
  [9641] = 6301,
  [9642] = 6846,
  [9643] = 6301,
  [9644] = 6234,
  [9645] = 6290,
  [9646] = 4352,
  [9647] = 6267,
  [9648] = 5329,
  [9649] = 6198,
  [9650] = 6233,
  [9651] = 6236,
  [9652] = 4869,
  [9653] = 6235,
  [9654] = 6236,
  [9655] = 5264,
  [9656] = 6293,
  [9657] = 6199,
  [9658] = 5430,
  [9659] = 6881,
  [9660] = 6233,
  [9661] = 4655,
  [9662] = 6011,
  [9663] = 5329,
  [9664] = 5516,
  [9665] = 6217,
  [9666] = 5430,
  [9667] = 5495,
  [9668] = 6235,
  [9669] = 6236,
  [9670] = 5495,
  [9671] = 5329,
  [9672] = 5450,
  [9673] = 6139,
  [9674] = 5516,
  [9675] = 5495,
  [9676] = 5527,
  [9677] = 5516,
  [9678] = 4655,
  [9679] = 6301,
  [9680] = 5527,
  [9681] = 6220,
  [9682] = 5527,
  [9683] = 6301,
  [9684] = 5329,
  [9685] = 6846,
  [9686] = 5537,
  [9687] = 5697,
  [9688] = 5550,
  [9689] = 5698,
  [9690] = 6233,
  [9691] = 6203,
  [9692] = 6235,
  [9693] = 6236,
  [9694] = 6162,
  [9695] = 4499,
  [9696] = 4631,
  [9697] = 6267,
  [9698] = 5329,
  [9699] = 6267,
  [9700] = 7150,
  [9701] = 5527,
  [9702] = 5537,
  [9703] = 5570,
  [9704] = 6155,
  [9705] = 5537,
  [9706] = 6881,
  [9707] = 6236,
  [9708] = 5550,
  [9709] = 6326,
  [9710] = 6198,
  [9711] = 9711,
  [9712] = 5527,
  [9713] = 6155,
  [9714] = 5103,
  [9715] = 4544,
  [9716] = 5251,
  [9717] = 9717,
  [9718] = 6203,
  [9719] = 4535,
  [9720] = 5264,
  [9721] = 5450,
  [9722] = 5768,
  [9723] = 7441,
  [9724] = 6169,
  [9725] = 7103,
  [9726] = 5792,
  [9727] = 4965,
  [9728] = 4171,
  [9729] = 5495,
  [9730] = 6192,
  [9731] = 5495,
  [9732] = 4687,
  [9733] = 6233,
  [9734] = 4731,
  [9735] = 5516,
  [9736] = 4610,
  [9737] = 5527,
  [9738] = 6195,
  [9739] = 4611,
  [9740] = 6203,
  [9741] = 5537,
  [9742] = 6201,
  [9743] = 6211,
  [9744] = 5435,
  [9745] = 5550,
  [9746] = 5516,
  [9747] = 6332,
  [9748] = 4655,
  [9749] = 6198,
  [9750] = 6199,
  [9751] = 7103,
  [9752] = 7185,
  [9753] = 4540,
  [9754] = 4654,
  [9755] = 4541,
  [9756] = 5792,
  [9757] = 4535,
  [9758] = 4592,
  [9759] = 4685,
  [9760] = 6301,
  [9761] = 5537,
  [9762] = 9571,
  [9763] = 7348,
  [9764] = 8725,
  [9765] = 4540,
  [9766] = 6224,
  [9767] = 4541,
  [9768] = 6204,
  [9769] = 6234,
  [9770] = 5663,
  [9771] = 6244,
  [9772] = 4537,
  [9773] = 6332,
  [9774] = 6248,
  [9775] = 6198,
  [9776] = 5527,
  [9777] = 6199,
  [9778] = 6846,
  [9779] = 5450,
  [9780] = 5430,
  [9781] = 6203,
  [9782] = 5697,
  [9783] = 5550,
  [9784] = 5450,
  [9785] = 6204,
  [9786] = 7441,
  [9787] = 6235,
  [9788] = 6211,
  [9789] = 2491,
  [9790] = 5516,
  [9791] = 5663,
  [9792] = 4980,
  [9793] = 6011,
  [9794] = 5495,
  [9795] = 5516,
  [9796] = 4655,
  [9797] = 5527,
  [9798] = 6290,
  [9799] = 4685,
  [9800] = 6301,
  [9801] = 5103,
  [9802] = 5537,
  [9803] = 6293,
  [9804] = 5550,
  [9805] = 5570,
  [9806] = 6139,
  [9807] = 5698,
  [9808] = 6203,
  [9809] = 4687,
  [9810] = 4630,
  [9811] = 4980,
  [9812] = 4172,
  [9813] = 4980,
  [9814] = 7150,
  [9815] = 5570,
  [9816] = 6236,
  [9817] = 4654,
  [9818] = 4869,
  [9819] = 5329,
  [9820] = 4631,
  [9821] = 4499,
  [9822] = 4811,
  [9823] = 6217,
  [9824] = 6217,
  [9825] = 4552,
  [9826] = 5537,
  [9827] = 6162,
  [9828] = 4535,
  [9829] = 4687,
  [9830] = 4731,
  [9831] = 6192,
  [9832] = 5673,
  [9833] = 6195,
  [9834] = 6201,
  [9835] = 7441,
  [9836] = 6326,
  [9837] = 6211,
  [9838] = 4685,
  [9839] = 6233,
  [9840] = 6326,
  [9841] = 5450,
  [9842] = 4481,
  [9843] = 5430,
  [9844] = 4687,
  [9845] = 6198,
  [9846] = 4654,
  [9847] = 6199,
  [9848] = 4685,
  [9849] = 6233,
  [9850] = 5792,
  [9851] = 6220,
  [9852] = 7441,
  [9853] = 4352,
  [9854] = 6235,
  [9855] = 5103,
  [9856] = 6236,
  [9857] = 4483,
  [9858] = 5550,
  [9859] = 6224,
  [9860] = 6233,
  [9861] = 5103,
  [9862] = 6301,
  [9863] = 6235,
  [9864] = 6236,
  [9865] = 6203,
  [9866] = 4869,
  [9867] = 6011,
  [9868] = 6224,
  [9869] = 4685,
  [9870] = 6332,
  [9871] = 5251,
  [9872] = 5264,
  [9873] = 7441,
  [9874] = 4687,
  [9875] = 6234,
  [9876] = 6846,
  [9877] = 7150,
  [9878] = 5673,
  [9879] = 4575,
  [9880] = 5430,
  [9881] = 6155,
  [9882] = 4582,
  [9883] = 4172,
  [9884] = 4540,
  [9885] = 5792,
  [9886] = 6233,
  [9887] = 6169,
  [9888] = 6235,
  [9889] = 6236,
  [9890] = 7150,
  [9891] = 6244,
  [9892] = 6248,
  [9893] = 4655,
  [9894] = 8725,
  [9895] = 4654,
  [9896] = 6011,
  [9897] = 4583,
  [9898] = 4272,
  [9899] = 5251,
  [9900] = 4549,
  [9901] = 4654,
  [9902] = 4685,
  [9903] = 6139,
  [9904] = 5103,
  [9905] = 8725,
  [9906] = 4648,
  [9907] = 5264,
  [9908] = 6139,
  [9909] = 5697,
  [9910] = 4541,
  [9911] = 4687,
  [9912] = 6236,
  [9913] = 5430,
  [9914] = 5329,
  [9915] = 8725,
  [9916] = 6301,
  [9917] = 8725,
  [9918] = 6293,
  [9919] = 5698,
  [9920] = 6162,
  [9921] = 4654,
  [9922] = 7441,
  [9923] = 6198,
  [9924] = 7185,
  [9925] = 6199,
  [9926] = 6192,
  [9927] = 4171,
  [9928] = 5264,
  [9929] = 5430,
  [9930] = 6195,
  [9931] = 6201,
  [9932] = 6211,
  [9933] = 5435,
  [9934] = 9531,
  [9935] = 6198,
  [9936] = 6199,
  [9937] = 7348,
  [9938] = 6199,
  [9939] = 5435,
  [9940] = 6217,
  [9941] = 6235,
  [9942] = 6293,
  [9943] = 8849,
  [9944] = 6217,
  [9945] = 4654,
  [9946] = 5550,
  [9947] = 5329,
  [9948] = 6011,
  [9949] = 7185,
  [9950] = 4172,
  [9951] = 7441,
  [9952] = 6236,
  [9953] = 7103,
  [9954] = 5264,
  [9955] = 6204,
  [9956] = 4647,
  [9957] = 8725,
  [9958] = 6234,
  [9959] = 5450,
  [9960] = 6224,
  [9961] = 7185,
  [9962] = 8725,
  [9963] = 9963,
  [9964] = 6234,
  [9965] = 7150,
  [9966] = 6155,
  [9967] = 7150,
  [9968] = 5329,
  [9969] = 6139,
  [9970] = 4731,
  [9971] = 5329,
  [9972] = 5103,
  [9973] = 6244,
  [9974] = 6248,
  [9975] = 5329,
  [9976] = 6169,
  [9977] = 7150,
  [9978] = 6881,
  [9979] = 4649,
  [9980] = 4980,
  [9981] = 8725,
  [9982] = 5103,
  [9983] = 8790,
  [9984] = 9984,
  [9985] = 9985,
  [9986] = 6169,
  [9987] = 5792,
  [9988] = 9988,
  [9989] = 6220,
  [9990] = 7103,
  [9991] = 6290,
  [9992] = 6293,
  [9993] = 6267,
  [9994] = 5430,
  [9995] = 7441,
  [9996] = 5450,
  [9997] = 7348,
  [9998] = 7150,
  [9999] = 8725,
  [10000] = 6235,
  [10001] = 6236,
  [10002] = 7441,
  [10003] = 7103,
  [10004] = 4869,
  [10005] = 6301,
  [10006] = 5450,
  [10007] = 5673,
  [10008] = 5450,
  [10009] = 6204,
  [10010] = 5329,
  [10011] = 6233,
  [10012] = 6162,
  [10013] = 6235,
  [10014] = 6236,
  [10015] = 5663,
  [10016] = 4756,
  [10017] = 7185,
  [10018] = 6233,
  [10019] = 4535,
  [10020] = 6235,
  [10021] = 6236,
  [10022] = 8725,
  [10023] = 5495,
  [10024] = 4540,
  [10025] = 6326,
  [10026] = 4541,
  [10027] = 6217,
  [10028] = 5516,
  [10029] = 6155,
  [10030] = 6169,
  [10031] = 6220,
  [10032] = 4541,
  [10033] = 5792,
  [10034] = 6326,
  [10035] = 8725,
  [10036] = 5537,
  [10037] = 6139,
  [10038] = 5527,
  [10039] = 5430,
  [10040] = 6204,
  [10041] = 6881,
  [10042] = 6233,
  [10043] = 5550,
  [10044] = 8725,
  [10045] = 10045,
  [10046] = 6224,
  [10047] = 5430,
  [10048] = 5430,
  [10049] = 6235,
  [10050] = 6192,
  [10051] = 5537,
  [10052] = 6236,
  [10053] = 6217,
  [10054] = 6301,
  [10055] = 10055,
  [10056] = 6198,
  [10057] = 4171,
  [10058] = 6220,
  [10059] = 5550,
  [10060] = 7348,
  [10061] = 6301,
  [10062] = 6199,
  [10063] = 5430,
  [10064] = 4535,
  [10065] = 6203,
  [10066] = 9984,
  [10067] = 6332,
  [10068] = 8725,
  [10069] = 2491,
  [10070] = 6195,
  [10071] = 6233,
  [10072] = 5450,
  [10073] = 5450,
  [10074] = 9984,
  [10075] = 5329,
  [10076] = 8725,
  [10077] = 9984,
  [10078] = 5450,
  [10079] = 4172,
  [10080] = 6203,
  [10081] = 6233,
  [10082] = 4352,
  [10083] = 6235,
  [10084] = 6236,
  [10085] = 5103,
  [10086] = 9984,
  [10087] = 5264,
  [10088] = 6201,
  [10089] = 4535,
  [10090] = 5495,
  [10091] = 7348,
  [10092] = 8725,
  [10093] = 4171,
  [10094] = 6211,
  [10095] = 9988,
  [10096] = 10096,
  [10097] = 5516,
  [10098] = 7150,
  [10099] = 7348,
  [10100] = 7150,
  [10101] = 7441,
  [10102] = 6846,
  [10103] = 6326,
  [10104] = 6244,
  [10105] = 6846,
  [10106] = 5570,
  [10107] = 8790,
  [10108] = 4535,
  [10109] = 4540,
  [10110] = 5430,
  [10111] = 4541,
  [10112] = 5570,
  [10113] = 5527,
  [10114] = 6235,
  [10115] = 6332,
  [10116] = 6236,
  [10117] = 8849,
  [10118] = 5450,
  [10119] = 10119,
  [10120] = 6198,
  [10121] = 6301,
  [10122] = 5537,
  [10123] = 7103,
  [10124] = 6199,
  [10125] = 7185,
  [10126] = 5450,
  [10127] = 6224,
  [10128] = 4172,
  [10129] = 5329,
  [10130] = 6011,
  [10131] = 5697,
  [10132] = 6220,
  [10133] = 5430,
  [10134] = 5329,
  [10135] = 4655,
  [10136] = 6301,
  [10137] = 5430,
  [10138] = 6198,
  [10139] = 9984,
  [10140] = 5550,
  [10141] = 6199,
  [10142] = 9984,
  [10143] = 5698,
  [10144] = 8790,
  [10145] = 6198,
  [10146] = 6199,
  [10147] = 6332,
  [10148] = 5768,
  [10149] = 9988,
  [10150] = 6203,
  [10151] = 7441,
  [10152] = 5450,
  [10153] = 6203,
  [10154] = 6234,
  [10155] = 4172,
  [10156] = 5122,
  [10157] = 7441,
  [10158] = 4171,
  [10159] = 6301,
  [10160] = 9984,
  [10161] = 7441,
  [10162] = 4655,
  [10163] = 4171,
  [10164] = 4685,
  [10165] = 6139,
  [10166] = 4272,
  [10167] = 10119,
  [10168] = 8790,
  [10169] = 10169,
  [10170] = 6244,
  [10171] = 6162,
  [10172] = 5430,
  [10173] = 5430,
  [10174] = 6248,
  [10175] = 6198,
  [10176] = 6199,
  [10177] = 5792,
  [10178] = 6301,
  [10179] = 6203,
  [10180] = 4171,
  [10181] = 5450,
  [10182] = 6301,
  [10183] = 10183,
  [10184] = 6267,
  [10185] = 4540,
  [10186] = 8725,
  [10187] = 6198,
  [10188] = 6199,
  [10189] = 5430,
  [10190] = 6203,
  [10191] = 7348,
  [10192] = 4687,
  [10193] = 6332,
  [10194] = 6233,
  [10195] = 6881,
  [10196] = 6011,
  [10197] = 6301,
  [10198] = 10119,
  [10199] = 6162,
  [10200] = 9984,
  [10201] = 6233,
  [10202] = 5264,
  [10203] = 6235,
  [10204] = 6236,
  [10205] = 6233,
  [10206] = 5768,
  [10207] = 7103,
  [10208] = 9717,
  [10209] = 4540,
  [10210] = 6192,
  [10211] = 6192,
  [10212] = 6195,
  [10213] = 5103,
  [10214] = 6011,
  [10215] = 6155,
  [10216] = 6201,
  [10217] = 4172,
  [10218] = 6204,
  [10219] = 4654,
  [10220] = 6267,
  [10221] = 9984,
  [10222] = 6846,
  [10223] = 6211,
  [10224] = 4483,
  [10225] = 6233,
  [10226] = 10226,
  [10227] = 5435,
  [10228] = 6195,
  [10229] = 9984,
  [10230] = 10230,
  [10231] = 6139,
  [10232] = 6235,
  [10233] = 6236,
  [10234] = 5697,
  [10235] = 5430,
  [10236] = 6267,
  [10237] = 8849,
  [10238] = 6198,
  [10239] = 6199,
  [10240] = 6198,
  [10241] = 4527,
  [10242] = 6290,
  [10243] = 6293,
  [10244] = 4552,
  [10245] = 4537,
  [10246] = 6199,
  [10247] = 4575,
  [10248] = 4583,
  [10249] = 5264,
  [10250] = 4592,
  [10251] = 4171,
  [10252] = 7348,
  [10253] = 4610,
  [10254] = 4611,
  [10255] = 8725,
  [10256] = 5450,
  [10257] = 4630,
  [10258] = 4631,
  [10259] = 6203,
  [10260] = 10260,
  [10261] = 4535,
  [10262] = 9984,
  [10263] = 7441,
  [10264] = 6198,
  [10265] = 6199,
  [10266] = 5495,
  [10267] = 4756,
  [10268] = 10268,
  [10269] = 5673,
  [10270] = 6301,
  [10271] = 5698,
  [10272] = 6203,
  [10273] = 5103,
  [10274] = 5495,
  [10275] = 4655,
  [10276] = 5516,
  [10277] = 10045,
  [10278] = 6201,
  [10279] = 10279,
  [10280] = 6169,
  [10281] = 5527,
  [10282] = 5663,
  [10283] = 9984,
  [10284] = 7185,
  [10285] = 5537,
  [10286] = 6881,
  [10287] = 6233,
  [10288] = 6301,
  [10289] = 5550,
  [10290] = 6301,
  [10291] = 6326,
  [10292] = 6224,
  [10293] = 9984,
  [10294] = 9984,
  [10295] = 6233,
  [10296] = 6235,
  [10297] = 6236,
  [10298] = 5516,
  [10299] = 6235,
  [10300] = 6203,
  [10301] = 4541,
  [10302] = 6211,
  [10303] = 6234,
  [10304] = 10304,
  [10305] = 4540,
  [10306] = 6236,
  [10307] = 5792,
  [10308] = 6211,
  [10309] = 7441,
  [10310] = 4647,
  [10311] = 6248,
  [10312] = 7103,
  [10313] = 4649,
  [10314] = 4541,
  [10315] = 4272,
  [10316] = 6162,
  [10317] = 8790,
  [10318] = 6155,
  [10319] = 4685,
  [10320] = 5527,
  [10321] = 4582,
  [10322] = 6211,
  [10323] = 6846,
  [10324] = 9984,
  [10325] = 6244,
  [10326] = 5264,
  [10327] = 5495,
  [10328] = 5516,
  [10329] = 7441,
  [10330] = 5527,
  [10331] = 6198,
  [10332] = 5537,
  [10333] = 5550,
  [10334] = 6248,
  [10335] = 6301,
  [10336] = 5495,
  [10337] = 6301,
  [10338] = 5516,
  [10339] = 5527,
  [10340] = 6199,
  [10341] = 9984,
  [10342] = 7441,
  [10343] = 8790,
  [10344] = 4171,
  [10345] = 6192,
  [10346] = 6203,
  [10347] = 7441,
  [10348] = 6195,
  [10349] = 6290,
  [10350] = 4172,
  [10351] = 10351,
  [10352] = 9984,
  [10353] = 4687,
  [10354] = 5537,
  [10355] = 6290,
  [10356] = 6293,
  [10357] = 4731,
  [10358] = 6201,
  [10359] = 10359,
  [10360] = 6162,
  [10361] = 7441,
  [10362] = 5527,
  [10363] = 6235,
  [10364] = 6204,
  [10365] = 6155,
  [10366] = 6235,
  [10367] = 4793,
  [10368] = 7150,
  [10369] = 6293,
  [10370] = 4575,
  [10371] = 6236,
  [10372] = 6236,
  [10373] = 4583,
  [10374] = 6199,
  [10375] = 6203,
  [10376] = 7441,
  [10377] = 8725,
  [10378] = 4535,
  [10379] = 8790,
  [10380] = 8790,
  [10381] = 5537,
  [10382] = 6198,
  [10383] = 6199,
  [10384] = 7441,
  [10385] = 7441,
  [10386] = 6224,
  [10387] = 6332,
  [10388] = 10388,
  [10389] = 4540,
  [10390] = 5550,
  [10391] = 6195,
  [10392] = 6301,
  [10393] = 4592,
  [10394] = 5516,
  [10395] = 5329,
  [10396] = 6233,
  [10397] = 4541,
  [10398] = 6233,
  [10399] = 4610,
  [10400] = 4611,
  [10401] = 6220,
  [10402] = 6234,
  [10403] = 6235,
  [10404] = 6236,
  [10405] = 4685,
  [10406] = 4793,
  [10407] = 6881,
  [10408] = 6235,
  [10409] = 6236,
  [10410] = 6203,
  [10411] = 10411,
  [10412] = 6846,
  [10413] = 10411,
  [10414] = 8725,
  [10415] = 4630,
  [10416] = 4631,
  [10417] = 7348,
  [10418] = 6198,
  [10419] = 8725,
  [10420] = 6203,
  [10421] = 6198,
  [10422] = 6199,
  [10423] = 5264,
  [10424] = 10424,
  [10425] = 7441,
  [10426] = 5450,
  [10427] = 8725,
  [10428] = 7441,
  [10429] = 7103,
  [10430] = 7103,
  [10431] = 7348,
  [10432] = 6301,
  [10433] = 6301,
  [10434] = 6203,
  [10435] = 5430,
  [10436] = 6155,
  [10437] = 8790,
  [10438] = 4483,
  [10439] = 4552,
  [10440] = 10096,
  [10441] = 4793,
  [10442] = 4171,
  [10443] = 7441,
  [10444] = 4541,
  [10445] = 6198,
  [10446] = 4793,
  [10447] = 7185,
  [10448] = 6204,
  [10449] = 5495,
  [10450] = 6199,
  [10451] = 5527,
  [10452] = 4793,
  [10453] = 4687,
  [10454] = 4793,
  [10455] = 5516,
  [10456] = 6233,
  [10457] = 10457,
  [10458] = 8790,
  [10459] = 4980,
  [10460] = 10460,
  [10461] = 7441,
  [10462] = 7150,
  [10463] = 7150,
  [10464] = 4793,
  [10465] = 4499,
  [10466] = 5495,
  [10467] = 5527,
  [10468] = 4793,
  [10469] = 4172,
  [10470] = 6235,
  [10471] = 4793,
  [10472] = 5495,
  [10473] = 6290,
  [10474] = 6301,
  [10475] = 4655,
  [10476] = 7185,
  [10477] = 4172,
  [10478] = 6233,
  [10479] = 7348,
  [10480] = 5537,
  [10481] = 6846,
  [10482] = 6169,
  [10483] = 6192,
  [10484] = 7441,
  [10485] = 6198,
  [10486] = 6199,
  [10487] = 6203,
  [10488] = 6326,
  [10489] = 4582,
  [10490] = 5550,
  [10491] = 6203,
  [10492] = 5516,
  [10493] = 6217,
  [10494] = 7103,
  [10495] = 5516,
  [10496] = 5550,
  [10497] = 7441,
  [10498] = 8725,
  [10499] = 4793,
  [10500] = 4352,
  [10501] = 6203,
  [10502] = 6881,
  [10503] = 6233,
  [10504] = 6192,
  [10505] = 5550,
  [10506] = 6235,
  [10507] = 6236,
  [10508] = 4654,
  [10509] = 4171,
  [10510] = 8725,
  [10511] = 6201,
  [10512] = 5495,
  [10513] = 10513,
  [10514] = 6293,
  [10515] = 10515,
  [10516] = 5527,
  [10517] = 5495,
  [10518] = 5495,
  [10519] = 6235,
  [10520] = 5430,
  [10521] = 5430,
  [10522] = 5516,
  [10523] = 7441,
  [10524] = 8849,
  [10525] = 5768,
  [10526] = 4793,
  [10527] = 6220,
  [10528] = 7103,
  [10529] = 5527,
  [10530] = 6011,
  [10531] = 6198,
  [10532] = 6199,
  [10533] = 5516,
  [10534] = 6236,
  [10535] = 5537,
  [10536] = 6198,
  [10537] = 6199,
  [10538] = 5550,
  [10539] = 5537,
  [10540] = 6233,
  [10541] = 6301,
  [10542] = 6235,
  [10543] = 6236,
  [10544] = 4171,
  [10545] = 5527,
  [10546] = 7103,
  [10547] = 6198,
  [10548] = 4793,
  [10549] = 5516,
  [10550] = 5550,
  [10551] = 6139,
  [10552] = 6199,
  [10553] = 10515,
  [10554] = 6235,
  [10555] = 6236,
  [10556] = 4535,
  [10557] = 4793,
  [10558] = 6203,
  [10559] = 6199,
  [10560] = 7150,
  [10561] = 6233,
  [10562] = 6198,
  [10563] = 6235,
  [10564] = 6236,
  [10565] = 5792,
  [10566] = 6199,
  [10567] = 4793,
  [10568] = 7441,
  [10569] = 4756,
  [10570] = 6233,
  [10571] = 6203,
  [10572] = 6198,
  [10573] = 7441,
  [10574] = 4811,
  [10575] = 6198,
  [10576] = 6203,
  [10577] = 6199,
  [10578] = 7150,
  [10579] = 7441,
  [10580] = 7103,
  [10581] = 4172,
  [10582] = 6233,
  [10583] = 7103,
  [10584] = 7441,
  [10585] = 6235,
  [10586] = 6236,
  [10587] = 5495,
  [10588] = 5527,
  [10589] = 5450,
  [10590] = 10411,
  [10591] = 8725,
  [10592] = 4793,
  [10593] = 5450,
  [10594] = 5527,
  [10595] = 6199,
  [10596] = 6236,
  [10597] = 5516,
  [10598] = 7441,
  [10599] = 8725,
  [10600] = 5495,
  [10601] = 6236,
  [10602] = 6332,
  [10603] = 5450,
  [10604] = 5527,
  [10605] = 6169,
  [10606] = 7150,
  [10607] = 6233,
  [10608] = 10515,
  [10609] = 6233,
  [10610] = 6234,
  [10611] = 6233,
  [10612] = 8725,
  [10613] = 6235,
  [10614] = 6236,
  [10615] = 6235,
  [10616] = 6236,
  [10617] = 8790,
  [10618] = 7441,
  [10619] = 5537,
  [10620] = 5537,
  [10621] = 5550,
  [10622] = 8725,
  [10623] = 10411,
  [10624] = 6162,
  [10625] = 6235,
  [10626] = 6139,
  [10627] = 9963,
  [10628] = 6203,
  [10629] = 5430,
  [10630] = 5516,
  [10631] = 8725,
  [10632] = 4793,
  [10633] = 6236,
  [10634] = 7103,
  [10635] = 6201,
  [10636] = 5550,
  [10637] = 6233,
  [10638] = 6198,
  [10639] = 6233,
  [10640] = 6235,
  [10641] = 6236,
  [10642] = 5537,
  [10643] = 10460,
  [10644] = 7185,
  [10645] = 6198,
  [10646] = 6199,
  [10647] = 4731,
  [10648] = 6220,
  [10649] = 6244,
  [10650] = 6233,
  [10651] = 6211,
  [10652] = 6267,
  [10653] = 6235,
  [10654] = 5537,
  [10655] = 5527,
  [10656] = 10515,
  [10657] = 4793,
  [10658] = 7441,
  [10659] = 7150,
  [10660] = 6236,
  [10661] = 10411,
  [10662] = 6211,
  [10663] = 5264,
  [10664] = 6199,
  [10665] = 5450,
  [10666] = 5495,
  [10667] = 4540,
  [10668] = 10668,
  [10669] = 6195,
  [10670] = 7150,
  [10671] = 10183,
  [10672] = 6233,
  [10673] = 4540,
  [10674] = 6846,
  [10675] = 6203,
  [10676] = 6267,
  [10677] = 7103,
  [10678] = 7441,
  [10679] = 5516,
  [10680] = 7348,
  [10681] = 5495,
  [10682] = 5537,
  [10683] = 7150,
  [10684] = 4793,
  [10685] = 8725,
  [10686] = 4535,
  [10687] = 7150,
  [10688] = 5550,
  [10689] = 6244,
  [10690] = 7150,
  [10691] = 6248,
  [10692] = 5527,
  [10693] = 4793,
  [10694] = 6204,
  [10695] = 8725,
  [10696] = 6233,
  [10697] = 6235,
  [10698] = 6248,
  [10699] = 6846,
  [10700] = 6233,
  [10701] = 5550,
  [10702] = 6235,
  [10703] = 6236,
  [10704] = 4527,
  [10705] = 6301,
  [10706] = 4541,
  [10707] = 4554,
  [10708] = 6881,
  [10709] = 6155,
  [10710] = 8849,
  [10711] = 8790,
  [10712] = 6236,
  [10713] = 6301,
  [10714] = 5537,
  [10715] = 4793,
  [10716] = 7150,
  [10717] = 6301,
  [10718] = 4869,
  [10719] = 6301,
  [10720] = 6224,
  [10721] = 5103,
  [10722] = 5495,
  [10723] = 5550,
  [10724] = 5495,
  [10725] = 10515,
  [10726] = 5550,
  [10727] = 4481,
  [10728] = 7103,
  [10729] = 5516,
  [10730] = 6217,
  [10731] = 5792,
  [10732] = 5527,
  [10733] = 5430,
  [10734] = 4793,
  [10735] = 7103,
  [10736] = 8790,
  [10737] = 6203,
  [10738] = 4793,
  [10739] = 7103,
  [10740] = 5516,
  [10741] = 9985,
  [10742] = 4793,
  [10743] = 6290,
  [10744] = 6203,
  [10745] = 5329,
  [10746] = 8725,
  [10747] = 6235,
  [10748] = 7185,
  [10749] = 5537,
  [10750] = 8849,
  [10751] = 4537,
  [10752] = 6169,
  [10753] = 6011,
  [10754] = 5537,
  [10755] = 6326,
  [10756] = 6198,
  [10757] = 6217,
  [10758] = 6233,
  [10759] = 4793,
  [10760] = 4172,
  [10761] = 6236,
  [10762] = 6203,
  [10763] = 6199,
  [10764] = 10764,
  [10765] = 5495,
  [10766] = 8790,
  [10767] = 8725,
  [10768] = 8725,
  [10769] = 5516,
  [10770] = 8725,
  [10771] = 4965,
  [10772] = 4965,
  [10773] = 5516,
  [10774] = 7150,
  [10775] = 7103,
  [10776] = 5527,
  [10777] = 6203,
  [10778] = 10764,
  [10779] = 7441,
  [10780] = 8790,
  [10781] = 5495,
  [10782] = 5537,
  [10783] = 6236,
  [10784] = 6162,
  [10785] = 5550,
  [10786] = 4965,
  [10787] = 4965,
  [10788] = 6290,
  [10789] = 4171,
  [10790] = 6846,
  [10791] = 5495,
  [10792] = 6233,
  [10793] = 6244,
  [10794] = 6203,
  [10795] = 7441,
  [10796] = 6235,
  [10797] = 6881,
  [10798] = 6248,
  [10799] = 6236,
  [10800] = 6198,
  [10801] = 10764,
  [10802] = 7441,
  [10803] = 5516,
  [10804] = 10169,
  [10805] = 4687,
  [10806] = 7150,
  [10807] = 5550,
  [10808] = 8790,
  [10809] = 5527,
  [10810] = 10810,
  [10811] = 5537,
  [10812] = 6204,
  [10813] = 4965,
  [10814] = 8725,
  [10815] = 7103,
  [10816] = 5792,
  [10817] = 4965,
  [10818] = 8790,
  [10819] = 6198,
  [10820] = 4654,
  [10821] = 5516,
  [10822] = 10822,
  [10823] = 6199,
  [10824] = 5527,
  [10825] = 10764,
  [10826] = 5527,
  [10827] = 4540,
  [10828] = 10764,
  [10829] = 5550,
  [10830] = 7185,
  [10831] = 10764,
  [10832] = 5495,
  [10833] = 6236,
  [10834] = 6199,
  [10835] = 10822,
  [10836] = 5516,
  [10837] = 5537,
  [10838] = 6236,
  [10839] = 7185,
  [10840] = 8849,
  [10841] = 5495,
  [10842] = 5516,
  [10843] = 5527,
  [10844] = 10844,
  [10845] = 5527,
  [10846] = 5495,
  [10847] = 5537,
  [10848] = 5550,
  [10849] = 5495,
  [10850] = 8849,
  [10851] = 6881,
  [10852] = 9963,
  [10853] = 4965,
  [10854] = 5527,
  [10855] = 5537,
  [10856] = 6235,
  [10857] = 6293,
  [10858] = 5537,
  [10859] = 7441,
  [10860] = 4965,
  [10861] = 5550,
  [10862] = 6203,
  [10863] = 6236,
  [10864] = 4965,
  [10865] = 6192,
  [10866] = 6326,
  [10867] = 10867,
  [10868] = 8725,
  [10869] = 5550,
  [10870] = 5550,
  [10871] = 7150,
  [10872] = 10764,
  [10873] = 10873,
  [10874] = 10764,
  [10875] = 10875,
  [10876] = 4687,
  [10877] = 7103,
  [10878] = 7103,
  [10879] = 10879,
  [10880] = 5495,
  [10881] = 5495,
  [10882] = 10764,
  [10883] = 5516,
  [10884] = 6198,
  [10885] = 5537,
  [10886] = 10230,
  [10887] = 7150,
  [10888] = 5527,
  [10889] = 6199,
  [10890] = 9985,
  [10891] = 5527,
  [10892] = 7441,
  [10893] = 7103,
  [10894] = 5537,
  [10895] = 6233,
  [10896] = 4965,
  [10897] = 4965,
  [10898] = 5550,
  [10899] = 10764,
  [10900] = 5550,
  [10901] = 4965,
  [10902] = 10902,
  [10903] = 10844,
  [10904] = 10844,
  [10905] = 10764,
  [10906] = 10906,
  [10907] = 7103,
  [10908] = 7441,
  [10909] = 7441,
  [10910] = 6881,
  [10911] = 5516,
  [10912] = 7150,
  [10913] = 5537,
  [10914] = 4685,
  [10915] = 6233,
  [10916] = 10096,
  [10917] = 7150,
  [10918] = 10764,
  [10919] = 8040,
  [10920] = 10764,
  [10921] = 6233,
  [10922] = 7348,
  [10923] = 6233,
  [10924] = 6235,
  [10925] = 6236,
  [10926] = 7150,
  [10927] = 5537,
  [10928] = 6220,
  [10929] = 4965,
  [10930] = 7441,
  [10931] = 4655,
  [10932] = 6233,
  [10933] = 6224,
  [10934] = 7441,
  [10935] = 5450,
  [10936] = 10764,
  [10937] = 6235,
  [10938] = 6236,
  [10939] = 6198,
  [10940] = 7441,
  [10941] = 4965,
  [10942] = 7441,
  [10943] = 7103,
  [10944] = 6011,
  [10945] = 5495,
  [10946] = 6217,
  [10947] = 6236,
  [10948] = 4965,
  [10949] = 6198,
  [10950] = 6199,
  [10951] = 6198,
  [10952] = 10764,
  [10953] = 5329,
  [10954] = 8790,
  [10955] = 4965,
  [10956] = 6301,
  [10957] = 10957,
  [10958] = 5516,
  [10959] = 7103,
  [10960] = 5516,
  [10961] = 5103,
  [10962] = 6199,
  [10963] = 6233,
  [10964] = 6235,
  [10965] = 10873,
  [10966] = 6301,
  [10967] = 5550,
  [10968] = 6155,
  [10969] = 8725,
  [10970] = 8725,
  [10971] = 7103,
  [10972] = 5103,
  [10973] = 6169,
  [10974] = 6203,
  [10975] = 10764,
  [10976] = 7348,
  [10977] = 7103,
  [10978] = 6233,
  [10979] = 7103,
  [10980] = 4965,
  [10981] = 4965,
  [10982] = 10982,
  [10983] = 7441,
  [10984] = 10984,
  [10985] = 5495,
  [10986] = 10986,
  [10987] = 10987,
  [10988] = 4965,
  [10989] = 5516,
  [10990] = 5527,
  [10991] = 6198,
  [10992] = 6199,
  [10993] = 4654,
  [10994] = 6235,
  [10995] = 6198,
  [10996] = 5537,
  [10997] = 5537,
  [10998] = 6199,
  [10999] = 5550,
  [11000] = 7348,
  [11001] = 6203,
  [11002] = 6203,
  [11003] = 8849,
  [11004] = 10764,
  [11005] = 6846,
  [11006] = 10764,
  [11007] = 6301,
  [11008] = 7441,
  [11009] = 4965,
  [11010] = 4655,
  [11011] = 5527,
  [11012] = 6198,
  [11013] = 6199,
  [11014] = 6236,
  [11015] = 6195,
  [11016] = 4541,
  [11017] = 6301,
  [11018] = 10873,
  [11019] = 4965,
  [11020] = 7441,
  [11021] = 6198,
  [11022] = 6199,
  [11023] = 7150,
  [11024] = 6203,
  [11025] = 6301,
  [11026] = 7103,
  [11027] = 10764,
  [11028] = 6233,
  [11029] = 11029,
  [11030] = 10764,
  [11031] = 6235,
  [11032] = 10822,
  [11033] = 7150,
  [11034] = 4494,
  [11035] = 4494,
  [11036] = 5550,
  [11037] = 10764,
  [11038] = 6236,
  [11039] = 10810,
  [11040] = 6233,
  [11041] = 7150,
  [11042] = 6233,
  [11043] = 10844,
  [11044] = 7441,
  [11045] = 7441,
  [11046] = 6235,
  [11047] = 7441,
  [11048] = 6233,
  [11049] = 4172,
  [11050] = 4965,
  [11051] = 5516,
  [11052] = 5430,
  [11053] = 5329,
  [11054] = 5264,
  [11055] = 8790,
  [11056] = 6233,
  [11057] = 6235,
  [11058] = 6233,
  [11059] = 6235,
  [11060] = 6236,
  [11061] = 5264,
  [11062] = 6199,
  [11063] = 6203,
  [11064] = 7441,
  [11065] = 4535,
  [11066] = 6235,
  [11067] = 10764,
  [11068] = 6236,
  [11069] = 6203,
  [11070] = 8849,
  [11071] = 10844,
  [11072] = 6881,
  [11073] = 10984,
  [11074] = 5527,
  [11075] = 8725,
  [11076] = 6201,
  [11077] = 7185,
  [11078] = 4965,
  [11079] = 6203,
  [11080] = 6139,
  [11081] = 4965,
  [11082] = 10764,
  [11083] = 10764,
  [11084] = 6198,
  [11085] = 10764,
  [11086] = 6199,
  [11087] = 8725,
  [11088] = 6233,
  [11089] = 5495,
  [11090] = 6198,
  [11091] = 6235,
  [11092] = 6236,
  [11093] = 4685,
  [11094] = 6233,
  [11095] = 6235,
  [11096] = 6235,
  [11097] = 6235,
  [11098] = 6881,
  [11099] = 6236,
  [11100] = 4172,
  [11101] = 7150,
  [11102] = 6235,
  [11103] = 6203,
  [11104] = 4171,
  [11105] = 6234,
  [11106] = 6236,
  [11107] = 6881,
  [11108] = 7441,
  [11109] = 6235,
  [11110] = 8725,
  [11111] = 11111,
  [11112] = 6198,
  [11113] = 11113,
  [11114] = 11114,
  [11115] = 6235,
  [11116] = 6236,
  [11117] = 7441,
  [11118] = 8725,
  [11119] = 7150,
  [11120] = 7150,
  [11121] = 6236,
  [11122] = 11122,
  [11123] = 8790,
  [11124] = 7103,
  [11125] = 11125,
  [11126] = 7441,
  [11127] = 7441,
  [11128] = 6235,
  [11129] = 6203,
  [11130] = 7348,
  [11131] = 8790,
  [11132] = 5495,
  [11133] = 6233,
  [11134] = 5495,
  [11135] = 5516,
  [11136] = 6203,
  [11137] = 8725,
  [11138] = 8790,
  [11139] = 8790,
  [11140] = 6235,
  [11141] = 5527,
  [11142] = 6236,
  [11143] = 11143,
  [11144] = 5527,
  [11145] = 8849,
  [11146] = 7348,
  [11147] = 8849,
  [11148] = 7441,
  [11149] = 5537,
  [11150] = 5550,
  [11151] = 5550,
  [11152] = 7441,
  [11153] = 6236,
  [11154] = 8790,
  [11155] = 10875,
  [11156] = 8725,
  [11157] = 5516,
  [11158] = 4507,
  [11159] = 11159,
  [11160] = 10879,
  [11161] = 4481,
  [11162] = 11162,
  [11163] = 5495,
  [11164] = 7441,
  [11165] = 7348,
  [11166] = 5430,
  [11167] = 5495,
  [11168] = 7441,
  [11169] = 7441,
  [11170] = 5768,
  [11171] = 6199,
  [11172] = 7185,
  [11173] = 5103,
  [11174] = 6198,
  [11175] = 6199,
  [11176] = 6235,
  [11177] = 6233,
  [11178] = 4494,
  [11179] = 6235,
  [11180] = 5537,
  [11181] = 6235,
  [11182] = 5450,
  [11183] = 6236,
  [11184] = 6199,
  [11185] = 7103,
  [11186] = 6233,
  [11187] = 6198,
  [11188] = 5516,
  [11189] = 5329,
  [11190] = 6199,
  [11191] = 10906,
  [11192] = 8725,
  [11193] = 8849,
  [11194] = 11125,
  [11195] = 11195,
  [11196] = 7185,
  [11197] = 6236,
  [11198] = 8790,
  [11199] = 5516,
  [11200] = 6203,
  [11201] = 8849,
  [11202] = 10987,
  [11203] = 7441,
  [11204] = 6233,
  [11205] = 8790,
  [11206] = 4494,
  [11207] = 7103,
  [11208] = 5527,
  [11209] = 6233,
  [11210] = 6233,
  [11211] = 6233,
  [11212] = 7103,
  [11213] = 7441,
  [11214] = 7185,
  [11215] = 11215,
  [11216] = 6301,
  [11217] = 7150,
  [11218] = 5122,
  [11219] = 7441,
  [11220] = 10957,
  [11221] = 6301,
  [11222] = 5450,
  [11223] = 5527,
  [11224] = 11224,
  [11225] = 6233,
  [11226] = 8790,
  [11227] = 7441,
  [11228] = 11228,
  [11229] = 5537,
  [11230] = 6236,
  [11231] = 7185,
  [11232] = 5264,
  [11233] = 11113,
  [11234] = 5537,
  [11235] = 6301,
  [11236] = 8725,
  [11237] = 7441,
  [11238] = 6236,
  [11239] = 7150,
  [11240] = 6198,
  [11241] = 7348,
  [11242] = 5537,
  [11243] = 4507,
  [11244] = 5516,
  [11245] = 8790,
  [11246] = 8725,
  [11247] = 11122,
  [11248] = 11248,
  [11249] = 11195,
  [11250] = 11114,
  [11251] = 7441,
  [11252] = 7150,
  [11253] = 11215,
  [11254] = 7103,
  [11255] = 6233,
  [11256] = 11215,
  [11257] = 7441,
  [11258] = 5550,
  [11259] = 11125,
  [11260] = 7348,
  [11261] = 11143,
  [11262] = 6235,
  [11263] = 6236,
  [11264] = 6235,
  [11265] = 11224,
  [11266] = 6233,
  [11267] = 11159,
  [11268] = 10982,
  [11269] = 5550,
  [11270] = 6203,
  [11271] = 5570,
  [11272] = 6846,
  [11273] = 11113,
  [11274] = 5495,
  [11275] = 5550,
  [11276] = 7150,
  [11277] = 6203,
  [11278] = 5527,
  [11279] = 7185,
  [11280] = 7441,
  [11281] = 11281,
  [11282] = 8790,
  [11283] = 6198,
  [11284] = 8790,
  [11285] = 6236,
  [11286] = 7348,
  [11287] = 6235,
  [11288] = 11288,
  [11289] = 8725,
  [11290] = 11029,
  [11291] = 8790,
  [11292] = 11159,
  [11293] = 6199,
  [11294] = 5430,
  [11295] = 11295,
  [11296] = 11296,
  [11297] = 11297,
  [11298] = 4494,
  [11299] = 8790,
  [11300] = 8082,
  [11301] = 8145,
  [11302] = 4481,
  [11303] = 4172,
  [11304] = 8725,
  [11305] = 11305,
  [11306] = 4507,
  [11307] = 4171,
  [11308] = 4508,
  [11309] = 8255,
  [11310] = 8352,
  [11311] = 11311,
  [11312] = 8790,
  [11313] = 11313,
  [11314] = 11314,
  [11315] = 8477,
  [11316] = 11316,
  [11317] = 4481,
  [11318] = 11318,
  [11319] = 8174,
  [11320] = 11320,
  [11321] = 8180,
  [11322] = 8187,
  [11323] = 8339,
  [11324] = 4352,
  [11325] = 11295,
  [11326] = 11326,
  [11327] = 11327,
  [11328] = 5495,
  [11329] = 8725,
  [11330] = 5516,
  [11331] = 11311,
  [11332] = 7441,
  [11333] = 11314,
  [11334] = 11318,
  [11335] = 11320,
  [11336] = 11295,
  [11337] = 11326,
  [11338] = 11326,
  [11339] = 5527,
  [11340] = 11311,
  [11341] = 6198,
  [11342] = 11314,
  [11343] = 6199,
  [11344] = 11318,
  [11345] = 11320,
  [11346] = 11295,
  [11347] = 11326,
  [11348] = 6203,
  [11349] = 11349,
  [11350] = 6233,
  [11351] = 6235,
  [11352] = 6236,
  [11353] = 5537,
  [11354] = 8790,
  [11355] = 11355,
  [11356] = 5550,
  [11357] = 11357,
  [11358] = 4508,
  [11359] = 8849,
  [11360] = 4507,
  [11361] = 8849,
  [11362] = 7441,
  [11363] = 11363,
  [11364] = 6233,
  [11365] = 6235,
  [11366] = 6236,
  [11367] = 8040,
  [11368] = 4552,
  [11369] = 4685,
  [11370] = 4687,
  [11371] = 11111,
  [11372] = 4654,
  [11373] = 11373,
  [11374] = 6233,
  [11375] = 6235,
  [11376] = 6236,
  [11377] = 11313,
  [11378] = 5697,
  [11379] = 5698,
  [11380] = 7103,
  [11381] = 7185,
  [11382] = 5663,
  [11383] = 5495,
  [11384] = 5673,
  [11385] = 11385,
  [11386] = 5516,
  [11387] = 5527,
  [11388] = 5537,
  [11389] = 5550,
  [11390] = 11390,
  [11391] = 8303,
  [11392] = 7441,
  [11393] = 8790,
  [11394] = 7150,
  [11395] = 7441,
  [11396] = 6198,
  [11397] = 6199,
  [11398] = 4481,
  [11399] = 6203,
  [11400] = 4499,
  [11401] = 7441,
  [11402] = 6198,
  [11403] = 6199,
  [11404] = 6203,
  [11405] = 4647,
  [11406] = 7441,
  [11407] = 7441,
  [11408] = 8790,
  [11409] = 11409,
  [11410] = 8082,
  [11411] = 8145,
  [11412] = 6233,
  [11413] = 6235,
  [11414] = 6236,
  [11415] = 8790,
  [11416] = 11281,
  [11417] = 11228,
  [11418] = 11248,
  [11419] = 4649,
  [11420] = 4543,
  [11421] = 8303,
  [11422] = 7103,
  [11423] = 8082,
  [11424] = 7441,
  [11425] = 4494,
  [11426] = 8145,
  [11427] = 11427,
  [11428] = 11428,
  [11429] = 8255,
  [11430] = 8255,
  [11431] = 8352,
  [11432] = 8352,
  [11433] = 8477,
  [11434] = 8174,
  [11435] = 8180,
  [11436] = 8187,
  [11437] = 5450,
  [11438] = 8339,
  [11439] = 7441,
  [11440] = 5430,
  [11441] = 7150,
  [11442] = 7441,
  [11443] = 11314,
  [11444] = 11444,
  [11445] = 11445,
  [11446] = 4481,
  [11447] = 8477,
  [11448] = 6233,
  [11449] = 6235,
  [11450] = 6236,
  [11451] = 5495,
  [11452] = 5516,
  [11453] = 5527,
  [11454] = 5537,
  [11455] = 5550,
  [11456] = 11456,
  [11457] = 6233,
  [11458] = 11458,
  [11459] = 6235,
  [11460] = 6236,
  [11461] = 8174,
  [11462] = 8180,
  [11463] = 8187,
  [11464] = 8339,
  [11465] = 7441,
  [11466] = 8790,
  [11467] = 8303,
  [11468] = 6233,
  [11469] = 6235,
  [11470] = 6236,
  [11471] = 4494,
  [11472] = 6011,
  [11473] = 6139,
  [11474] = 6162,
  [11475] = 7441,
  [11476] = 6192,
  [11477] = 6195,
  [11478] = 11327,
  [11479] = 6201,
  [11480] = 11349,
  [11481] = 6211,
  [11482] = 5435,
  [11483] = 11355,
  [11484] = 11357,
  [11485] = 11485,
  [11486] = 6224,
  [11487] = 11296,
  [11488] = 11297,
  [11489] = 6234,
  [11490] = 6244,
  [11491] = 6248,
  [11492] = 7441,
  [11493] = 11327,
  [11494] = 11349,
  [11495] = 6198,
  [11496] = 6199,
  [11497] = 11355,
  [11498] = 6290,
  [11499] = 11357,
  [11500] = 6293,
  [11501] = 6203,
  [11502] = 11316,
  [11503] = 6326,
  [11504] = 5792,
  [11505] = 4171,
  [11506] = 11506,
  [11507] = 5495,
  [11508] = 11508,
  [11509] = 11509,
  [11510] = 10875,
  [11511] = 7441,
  [11512] = 10987,
  [11513] = 10906,
  [11514] = 10982,
  [11515] = 10957,
  [11516] = 5516,
  [11517] = 6233,
  [11518] = 10879,
  [11519] = 6235,
  [11520] = 6236,
  [11521] = 4172,
  [11522] = 5527,
  [11523] = 8849,
  [11524] = 6233,
  [11525] = 6235,
  [11526] = 6236,
  [11527] = 5537,
  [11528] = 5550,
  [11529] = 11529,
  [11530] = 7103,
  [11531] = 8790,
  [11532] = 7441,
  [11533] = 8790,
  [11534] = 6198,
  [11535] = 6199,
  [11536] = 4272,
  [11537] = 6203,
  [11538] = 6233,
  [11539] = 7150,
  [11540] = 6235,
  [11541] = 6236,
  [11542] = 8040,
  [11543] = 5495,
  [11544] = 4535,
  [11545] = 4540,
  [11546] = 6155,
  [11547] = 4541,
  [11548] = 6233,
  [11549] = 6235,
  [11550] = 6236,
  [11551] = 6169,
  [11552] = 5495,
  [11553] = 5516,
  [11554] = 5516,
  [11555] = 7150,
  [11556] = 5527,
  [11557] = 5537,
  [11558] = 6204,
  [11559] = 5527,
  [11560] = 5495,
  [11561] = 5516,
  [11562] = 5527,
  [11563] = 5550,
  [11564] = 5537,
  [11565] = 5550,
  [11566] = 5495,
  [11567] = 5516,
  [11568] = 5527,
  [11569] = 5537,
  [11570] = 5550,
  [11571] = 6217,
  [11572] = 11311,
  [11573] = 6220,
  [11574] = 5537,
  [11575] = 5550,
  [11576] = 11318,
  [11577] = 6267,
  [11578] = 8790,
  [11579] = 8849,
  [11580] = 11320,
  [11581] = 7103,
  [11582] = 6332,
  [11583] = 4171,
  [11584] = 4172,
  [11585] = 4647,
  [11586] = 4649,
  [11587] = 8790,
  [11588] = 11506,
  [11589] = 11311,
  [11590] = 11313,
  [11591] = 11314,
  [11592] = 6233,
  [11593] = 11316,
  [11594] = 6235,
  [11595] = 6236,
  [11596] = 4494,
  [11597] = 4499,
  [11598] = 4494,
  [11599] = 11318,
  [11600] = 11320,
  [11601] = 11601,
  [11602] = 7348,
  [11603] = 11603,
  [11604] = 11604,
  [11605] = 11295,
  [11606] = 11326,
  [11607] = 4507,
  [11608] = 11608,
  [11609] = 4527,
  [11610] = 6233,
  [11611] = 4172,
  [11612] = 6235,
  [11613] = 6236,
  [11614] = 11614,
  [11615] = 11615,
  [11616] = 11616,
  [11617] = 11617,
  [11618] = 11615,
  [11619] = 11619,
  [11620] = 4494,
  [11621] = 11616,
  [11622] = 11617,
  [11623] = 4507,
  [11624] = 4537,
  [11625] = 8790,
  [11626] = 6301,
  [11627] = 11619,
  [11628] = 5768,
  [11629] = 11615,
  [11630] = 11616,
  [11631] = 11617,
  [11632] = 11296,
  [11633] = 11297,
  [11634] = 11619,
  [11635] = 4575,
  [11636] = 11636,
  [11637] = 4583,
  [11638] = 4481,
  [11639] = 7441,
  [11640] = 4483,
  [11641] = 4535,
  [11642] = 8725,
  [11643] = 4592,
  [11644] = 4540,
  [11645] = 4541,
  [11646] = 11615,
  [11647] = 11616,
  [11648] = 4527,
  [11649] = 11617,
  [11650] = 4552,
  [11651] = 11619,
  [11652] = 4508,
  [11653] = 4537,
  [11654] = 4575,
  [11655] = 4583,
  [11656] = 4582,
  [11657] = 4592,
  [11658] = 4610,
  [11659] = 4611,
  [11660] = 4630,
  [11661] = 4631,
  [11662] = 7441,
  [11663] = 8790,
  [11664] = 8790,
  [11665] = 4610,
  [11666] = 4611,
  [11667] = 11667,
  [11668] = 4630,
  [11669] = 4631,
  [11670] = 7441,
  [11671] = 8790,
  [11672] = 11672,
  [11673] = 11673,
  [11674] = 11674,
  [11675] = 8790,
  [11676] = 11676,
  [11677] = 4647,
  [11678] = 8040,
  [11679] = 4649,
  [11680] = 11680,
  [11681] = 4494,
  [11682] = 4544,
  [11683] = 4647,
  [11684] = 4649,
  [11685] = 11685,
  [11686] = 8849,
  [11687] = 4352,
  [11688] = 6233,
  [11689] = 5495,
  [11690] = 6233,
  [11691] = 6235,
  [11692] = 6236,
  [11693] = 11385,
  [11694] = 4499,
  [11695] = 11695,
  [11696] = 6235,
  [11697] = 6236,
  [11698] = 7441,
  [11699] = 4171,
  [11700] = 8790,
  [11701] = 11680,
  [11702] = 11702,
  [11703] = 4508,
  [11704] = 4494,
  [11705] = 5516,
  [11706] = 11614,
  [11707] = 11707,
  [11708] = 11667,
  [11709] = 4582,
  [11710] = 6846,
  [11711] = 5527,
  [11712] = 4171,
  [11713] = 11680,
  [11714] = 11614,
  [11715] = 11667,
  [11716] = 11716,
  [11717] = 7103,
  [11718] = 11718,
  [11719] = 5537,
  [11720] = 4172,
  [11721] = 11614,
  [11722] = 7441,
  [11723] = 5550,
  [11724] = 11614,
  [11725] = 11614,
  [11726] = 11281,
  [11727] = 11614,
  [11728] = 11228,
  [11729] = 11248,
  [11730] = 7441,
  [11731] = 11614,
  [11732] = 4552,
  [11733] = 6198,
  [11734] = 6199,
  [11735] = 11614,
  [11736] = 11296,
  [11737] = 11614,
  [11738] = 11297,
  [11739] = 4172,
  [11740] = 4494,
  [11741] = 11614,
  [11742] = 11742,
  [11743] = 11614,
  [11744] = 7150,
  [11745] = 4499,
  [11746] = 11614,
  [11747] = 7441,
  [11748] = 11614,
  [11749] = 11614,
  [11750] = 8725,
  [11751] = 11614,
  [11752] = 11296,
  [11753] = 11614,
  [11754] = 11614,
  [11755] = 11614,
  [11756] = 11297,
  [11757] = 11614,
  [11758] = 4535,
  [11759] = 4540,
  [11760] = 11614,
  [11761] = 4541,
  [11762] = 11614,
  [11763] = 4483,
  [11764] = 11614,
  [11765] = 5495,
  [11766] = 5516,
  [11767] = 5527,
  [11768] = 11614,
  [11769] = 5537,
  [11770] = 5550,
  [11771] = 11614,
  [11772] = 11614,
  [11773] = 4494,
  [11774] = 11614,
  [11775] = 4352,
  [11776] = 11614,
  [11777] = 6233,
  [11778] = 4481,
  [11779] = 6235,
  [11780] = 6236,
  [11781] = 11614,
  [11782] = 11614,
  [11783] = 11614,
  [11784] = 11614,
  [11785] = 11614,
  [11786] = 11614,
  [11787] = 4483,
  [11788] = 6155,
  [11789] = 11614,
  [11790] = 11614,
  [11791] = 11614,
  [11792] = 6169,
  [11793] = 11614,
  [11794] = 11614,
  [11795] = 8303,
  [11796] = 11614,
  [11797] = 11614,
  [11798] = 5495,
  [11799] = 5516,
  [11800] = 11614,
  [11801] = 5527,
  [11802] = 5537,
  [11803] = 5550,
  [11804] = 11614,
  [11805] = 11614,
  [11806] = 8849,
  [11807] = 11614,
  [11808] = 11614,
  [11809] = 11614,
  [11810] = 11614,
  [11811] = 11614,
  [11812] = 6204,
  [11813] = 11614,
  [11814] = 8082,
  [11815] = 11614,
  [11816] = 8145,
  [11817] = 11614,
  [11818] = 11614,
  [11819] = 11614,
  [11820] = 11614,
  [11821] = 11614,
  [11822] = 6217,
  [11823] = 4481,
  [11824] = 6220,
  [11825] = 8255,
  [11826] = 8352,
  [11827] = 4352,
  [11828] = 4544,
  [11829] = 8477,
  [11830] = 4171,
  [11831] = 4172,
  [11832] = 4171,
  [11833] = 8174,
  [11834] = 8180,
  [11835] = 8187,
  [11836] = 8339,
  [11837] = 11615,
  [11838] = 11616,
  [11839] = 11617,
  [11840] = 11619,
  [11841] = 4731,
  [11842] = 4543,
  [11843] = 8725,
  [11844] = 11844,
  [11845] = 11845,
  [11846] = 11846,
  [11847] = 7150,
  [11848] = 6203,
  [11849] = 4611,
  [11850] = 11850,
  [11851] = 4171,
  [11852] = 11852,
  [11853] = 4507,
  [11854] = 4582,
  [11855] = 5768,
  [11856] = 11856,
  [11857] = 11857,
  [11858] = 11695,
  [11859] = 11702,
  [11860] = 4499,
  [11861] = 11672,
  [11862] = 11718,
  [11863] = 11863,
  [11864] = 4499,
  [11865] = 11865,
  [11866] = 11029,
  [11867] = 11856,
  [11868] = 11685,
  [11869] = 11856,
  [11870] = 11852,
  [11871] = 11871,
  [11872] = 11872,
  [11873] = 11873,
  [11874] = 11874,
  [11875] = 11865,
  [11876] = 11876,
  [11877] = 11877,
  [11878] = 11878,
  [11879] = 11879,
  [11880] = 11880,
  [11881] = 11881,
  [11882] = 8303,
  [11883] = 4481,
  [11884] = 8082,
  [11885] = 4494,
  [11886] = 7441,
  [11887] = 8145,
  [11888] = 11888,
  [11889] = 11889,
  [11890] = 8255,
  [11891] = 11852,
  [11892] = 8352,
  [11893] = 11871,
  [11894] = 4647,
  [11895] = 8477,
  [11896] = 8174,
  [11897] = 8180,
  [11898] = 11872,
  [11899] = 11852,
  [11900] = 11871,
  [11901] = 4171,
  [11902] = 4649,
  [11903] = 8187,
  [11904] = 8339,
  [11905] = 11876,
  [11906] = 4507,
  [11907] = 11877,
  [11908] = 4647,
  [11909] = 11707,
  [11910] = 8790,
  [11911] = 11863,
  [11912] = 4507,
  [11913] = 4649,
  [11914] = 7441,
  [11915] = 11856,
  [11916] = 4481,
  [11917] = 4172,
  [11918] = 8040,
  [11919] = 7441,
  [11920] = 11863,
  [11921] = 4655,
  [11922] = 4494,
  [11923] = 4481,
  [11924] = 6233,
  [11925] = 11925,
  [11926] = 11844,
  [11927] = 11927,
  [11928] = 11608,
  [11929] = 6235,
  [11930] = 7348,
  [11931] = 6236,
  [11932] = 11742,
  [11933] = 4483,
  [11934] = 4535,
  [11935] = 4540,
  [11936] = 4483,
  [11937] = 4499,
  [11938] = 4527,
  [11939] = 4552,
  [11940] = 4537,
  [11941] = 8790,
  [11942] = 4575,
  [11943] = 4583,
  [11944] = 4592,
  [11945] = 4610,
  [11946] = 4541,
  [11947] = 4630,
  [11948] = 4631,
  [11949] = 4685,
  [11950] = 8790,
  [11951] = 8790,
  [11952] = 8303,
  [11953] = 5495,
  [11954] = 5516,
  [11955] = 5527,
  [11956] = 5537,
  [11957] = 5550,
  [11958] = 6233,
  [11959] = 4527,
  [11960] = 6235,
  [11961] = 6236,
  [11962] = 8849,
  [11963] = 4537,
  [11964] = 4575,
  [11965] = 4583,
  [11966] = 4499,
  [11967] = 4592,
  [11968] = 4610,
  [11969] = 4611,
  [11970] = 4630,
  [11971] = 4631,
  [11972] = 11878,
  [11973] = 5768,
  [11974] = 11879,
  [11975] = 4552,
  [11976] = 11976,
  [11977] = 4352,
  [11978] = 7441,
  [11979] = 8790,
  [11980] = 8082,
  [11981] = 11880,
  [11982] = 8145,
  [11983] = 11873,
  [11984] = 4687,
  [11985] = 11985,
  [11986] = 11863,
  [11987] = 11874,
  [11988] = 11888,
  [11989] = 8040,
  [11990] = 4582,
  [11991] = 4544,
  [11992] = 11673,
  [11993] = 11674,
  [11994] = 11676,
  [11995] = 8255,
  [11996] = 5495,
  [11997] = 8040,
  [11998] = 8352,
  [11999] = 4171,
  [12000] = 5516,
  [12001] = 4172,
  [12002] = 4352,
  [12003] = 4535,
  [12004] = 4540,
  [12005] = 4541,
  [12006] = 5527,
  [12007] = 4352,
  [12008] = 4654,
  [12009] = 6233,
  [12010] = 12010,
  [12011] = 5537,
  [12012] = 5550,
  [12013] = 8477,
  [12014] = 4171,
  [12015] = 4172,
  [12016] = 4655,
  [12017] = 8174,
  [12018] = 8180,
  [12019] = 8187,
  [12020] = 8339,
  [12021] = 4481,
  [12022] = 4481,
  [12023] = 4171,
  [12024] = 4507,
  [12025] = 11856,
  [12026] = 12026,
  [12027] = 11863,
  [12028] = 6235,
  [12029] = 11716,
  [12030] = 11881,
  [12031] = 4172,
  [12032] = 12032,
  [12033] = 11871,
  [12034] = 11852,
  [12035] = 11871,
  [12036] = 11852,
  [12037] = 11871,
  [12038] = 11852,
  [12039] = 11871,
  [12040] = 11852,
  [12041] = 11871,
  [12042] = 11852,
  [12043] = 11871,
  [12044] = 11852,
  [12045] = 11871,
  [12046] = 11852,
  [12047] = 11871,
  [12048] = 11852,
  [12049] = 11871,
  [12050] = 11852,
  [12051] = 11871,
  [12052] = 11852,
  [12053] = 11871,
  [12054] = 4544,
  [12055] = 11852,
  [12056] = 11871,
  [12057] = 11852,
  [12058] = 11871,
  [12059] = 12059,
  [12060] = 11852,
  [12061] = 11871,
  [12062] = 4172,
  [12063] = 11852,
  [12064] = 11871,
  [12065] = 11852,
  [12066] = 11871,
  [12067] = 11852,
  [12068] = 11871,
  [12069] = 11852,
  [12070] = 11871,
  [12071] = 11852,
  [12072] = 11871,
  [12073] = 11852,
  [12074] = 11871,
  [12075] = 11852,
  [12076] = 11871,
  [12077] = 11852,
  [12078] = 11871,
  [12079] = 11852,
  [12080] = 11871,
  [12081] = 11852,
  [12082] = 11871,
  [12083] = 11852,
  [12084] = 11871,
  [12085] = 11852,
  [12086] = 11871,
  [12087] = 11852,
  [12088] = 11871,
  [12089] = 11852,
  [12090] = 11871,
  [12091] = 11852,
  [12092] = 11871,
  [12093] = 11852,
  [12094] = 11871,
  [12095] = 11852,
  [12096] = 11871,
  [12097] = 11852,
  [12098] = 11871,
  [12099] = 11852,
  [12100] = 11871,
  [12101] = 11852,
  [12102] = 11871,
  [12103] = 11852,
  [12104] = 11871,
  [12105] = 11852,
  [12106] = 11871,
  [12107] = 11852,
  [12108] = 11871,
  [12109] = 11852,
  [12110] = 11871,
  [12111] = 11852,
  [12112] = 11871,
  [12113] = 11852,
  [12114] = 11871,
  [12115] = 11852,
  [12116] = 11871,
  [12117] = 11852,
  [12118] = 11871,
  [12119] = 11857,
  [12120] = 11852,
  [12121] = 11871,
  [12122] = 11852,
  [12123] = 11871,
  [12124] = 11852,
  [12125] = 11871,
  [12126] = 11852,
  [12127] = 11871,
  [12128] = 11852,
  [12129] = 11871,
  [12130] = 11852,
  [12131] = 11871,
  [12132] = 11852,
  [12133] = 11871,
  [12134] = 11852,
  [12135] = 11871,
  [12136] = 11852,
  [12137] = 11871,
  [12138] = 11852,
  [12139] = 11871,
  [12140] = 11852,
  [12141] = 11871,
  [12142] = 11852,
  [12143] = 11871,
  [12144] = 11852,
  [12145] = 11871,
  [12146] = 11852,
  [12147] = 11871,
  [12148] = 11852,
  [12149] = 11871,
  [12150] = 11852,
  [12151] = 11871,
  [12152] = 11852,
  [12153] = 11871,
  [12154] = 11852,
  [12155] = 11871,
  [12156] = 11852,
  [12157] = 11871,
  [12158] = 11852,
  [12159] = 11871,
  [12160] = 11852,
  [12161] = 11871,
  [12162] = 7441,
  [12163] = 11852,
  [12164] = 11871,
  [12165] = 11852,
  [12166] = 11871,
  [12167] = 11852,
  [12168] = 11871,
  [12169] = 4499,
  [12170] = 6236,
  [12171] = 8339,
  [12172] = 4610,
  [12173] = 4611,
  [12174] = 12174,
  [12175] = 5516,
  [12176] = 5550,
  [12177] = 4582,
  [12178] = 4630,
  [12179] = 6233,
  [12180] = 4630,
  [12181] = 4352,
  [12182] = 6235,
  [12183] = 6236,
  [12184] = 8174,
  [12185] = 8180,
  [12186] = 8187,
  [12187] = 4631,
  [12188] = 8339,
  [12189] = 4499,
  [12190] = 4552,
  [12191] = 11872,
  [12192] = 11879,
  [12193] = 6198,
  [12194] = 4731,
  [12195] = 11707,
  [12196] = 4494,
  [12197] = 6199,
  [12198] = 4537,
  [12199] = 4649,
  [12200] = 11889,
  [12201] = 12201,
  [12202] = 8303,
  [12203] = 8082,
  [12204] = 12204,
  [12205] = 4481,
  [12206] = 8145,
  [12207] = 4575,
  [12208] = 12208,
  [12209] = 4575,
  [12210] = 11874,
  [12211] = 12211,
  [12212] = 4583,
  [12213] = 6203,
  [12214] = 4592,
  [12215] = 5768,
  [12216] = 4649,
  [12217] = 4527,
  [12218] = 4171,
  [12219] = 4552,
  [12220] = 4508,
  [12221] = 4494,
  [12222] = 12222,
  [12223] = 4756,
  [12224] = 4537,
  [12225] = 4582,
  [12226] = 11865,
  [12227] = 4575,
  [12228] = 4583,
  [12229] = 4592,
  [12230] = 8303,
  [12231] = 8255,
  [12232] = 12232,
  [12233] = 4172,
  [12234] = 5527,
  [12235] = 12235,
  [12236] = 11880,
  [12237] = 4610,
  [12238] = 12238,
  [12239] = 4611,
  [12240] = 4552,
  [12241] = 11695,
  [12242] = 12242,
  [12243] = 11702,
  [12244] = 4647,
  [12245] = 12245,
  [12246] = 4655,
  [12247] = 4630,
  [12248] = 4631,
  [12249] = 4582,
  [12250] = 4610,
  [12251] = 5768,
  [12252] = 4611,
  [12253] = 12253,
  [12254] = 11985,
  [12255] = 4631,
  [12256] = 12256,
  [12257] = 4171,
  [12258] = 5537,
  [12259] = 8477,
  [12260] = 12260,
  [12261] = 4352,
  [12262] = 12262,
  [12263] = 12263,
  [12264] = 11876,
  [12265] = 8303,
  [12266] = 11877,
  [12267] = 8040,
  [12268] = 4552,
  [12269] = 4592,
  [12270] = 12270,
  [12271] = 11718,
  [12272] = 12272,
  [12273] = 11872,
  [12274] = 12274,
  [12275] = 6204,
  [12276] = 4630,
  [12277] = 4631,
  [12278] = 8082,
  [12279] = 8145,
  [12280] = 12280,
  [12281] = 12281,
  [12282] = 4499,
  [12283] = 4610,
  [12284] = 12284,
  [12285] = 4649,
  [12286] = 11878,
  [12287] = 4611,
  [12288] = 11881,
  [12289] = 4171,
  [12290] = 4172,
  [12291] = 4647,
  [12292] = 4535,
  [12293] = 8255,
  [12294] = 12294,
  [12295] = 12295,
  [12296] = 12296,
  [12297] = 11672,
  [12298] = 4583,
  [12299] = 11685,
  [12300] = 5550,
  [12301] = 4483,
  [12302] = 4499,
  [12303] = 11872,
  [12304] = 12304,
  [12305] = 4483,
  [12306] = 12260,
  [12307] = 12307,
  [12308] = 12308,
  [12309] = 4535,
  [12310] = 12310,
  [12311] = 4541,
  [12312] = 4499,
  [12313] = 5527,
  [12314] = 12314,
  [12315] = 8352,
  [12316] = 5264,
  [12317] = 11873,
  [12318] = 11874,
  [12319] = 12319,
  [12320] = 11985,
  [12321] = 8082,
  [12322] = 7150,
  [12323] = 12242,
  [12324] = 4172,
  [12325] = 8255,
  [12326] = 4535,
  [12327] = 8352,
  [12328] = 7441,
  [12329] = 8040,
  [12330] = 4540,
  [12331] = 8145,
  [12332] = 11873,
  [12333] = 6233,
  [12334] = 11844,
  [12335] = 11608,
  [12336] = 11865,
  [12337] = 11865,
  [12338] = 6235,
  [12339] = 6236,
  [12340] = 11742,
  [12341] = 11881,
  [12342] = 12342,
  [12343] = 4756,
  [12344] = 8790,
  [12345] = 12345,
  [12346] = 4540,
  [12347] = 4527,
  [12348] = 6155,
  [12349] = 4494,
  [12350] = 4541,
  [12351] = 8477,
  [12352] = 4731,
  [12353] = 4483,
  [12354] = 4352,
  [12355] = 11673,
  [12356] = 4540,
  [12357] = 5495,
  [12358] = 11674,
  [12359] = 12359,
  [12360] = 4540,
  [12361] = 8145,
  [12362] = 8174,
  [12363] = 5537,
  [12364] = 8255,
  [12365] = 11676,
  [12366] = 4537,
  [12367] = 4494,
  [12368] = 4649,
  [12369] = 12369,
  [12370] = 12370,
  [12371] = 11876,
  [12372] = 4541,
  [12373] = 12314,
  [12374] = 12374,
  [12375] = 8352,
  [12376] = 11877,
  [12377] = 12377,
  [12378] = 4352,
  [12379] = 4649,
  [12380] = 11850,
  [12381] = 5550,
  [12382] = 8174,
  [12383] = 4647,
  [12384] = 8180,
  [12385] = 8187,
  [12386] = 6217,
  [12387] = 6169,
  [12388] = 4575,
  [12389] = 4582,
  [12390] = 11716,
  [12391] = 12391,
  [12392] = 4583,
  [12393] = 4527,
  [12394] = 11874,
  [12395] = 8082,
  [12396] = 12396,
  [12397] = 4527,
  [12398] = 8352,
  [12399] = 8477,
  [12400] = 4592,
  [12401] = 11878,
  [12402] = 8339,
  [12403] = 11879,
  [12404] = 11880,
  [12405] = 12010,
  [12406] = 12406,
  [12407] = 4481,
  [12408] = 6220,
  [12409] = 12409,
  [12410] = 4535,
  [12411] = 4481,
  [12412] = 4540,
  [12413] = 12413,
  [12414] = 4541,
  [12415] = 11876,
  [12416] = 5495,
  [12417] = 4508,
  [12418] = 4582,
  [12419] = 4610,
  [12420] = 4611,
  [12421] = 4483,
  [12422] = 11877,
  [12423] = 4481,
  [12424] = 4527,
  [12425] = 8180,
  [12426] = 4552,
  [12427] = 12242,
  [12428] = 12428,
  [12429] = 5516,
  [12430] = 4630,
  [12431] = 4543,
  [12432] = 4631,
  [12433] = 5495,
  [12434] = 5516,
  [12435] = 4541,
  [12436] = 4537,
  [12437] = 4537,
  [12438] = 5527,
  [12439] = 8040,
  [12440] = 12440,
  [12441] = 5527,
  [12442] = 8174,
  [12443] = 4575,
  [12444] = 5537,
  [12445] = 5550,
  [12446] = 5516,
  [12447] = 12447,
  [12448] = 4583,
  [12449] = 5495,
  [12450] = 12314,
  [12451] = 4508,
  [12452] = 5516,
  [12453] = 5495,
  [12454] = 4592,
  [12455] = 5527,
  [12456] = 7103,
  [12457] = 5537,
  [12458] = 4535,
  [12459] = 4508,
  [12460] = 8477,
  [12461] = 5550,
  [12462] = 4352,
  [12463] = 12059,
  [12464] = 12464,
  [12465] = 5537,
  [12466] = 11850,
  [12467] = 7441,
  [12468] = 12026,
  [12469] = 11873,
  [12470] = 4543,
  [12471] = 8180,
  [12472] = 8303,
  [12473] = 8187,
  [12474] = 8339,
  [12475] = 11878,
  [12476] = 11879,
  [12477] = 11880,
  [12478] = 8040,
  [12479] = 4647,
  [12480] = 4499,
  [12481] = 8187,
  [12482] = 11881,
  [12483] = 4647,
  [12484] = 4655,
  [12485] = 12485,
  [12486] = 4483,
  [12487] = 12487,
  [12488] = 12488,
  [12489] = 12489,
  [12490] = 5537,
  [12491] = 12487,
  [12492] = 12492,
  [12493] = 12488,
  [12494] = 12489,
  [12495] = 5550,
  [12496] = 8082,
  [12497] = 4544,
  [12498] = 12487,
  [12499] = 4647,
  [12500] = 12488,
  [12501] = 12488,
  [12502] = 8145,
  [12503] = 12489,
  [12504] = 4649,
  [12505] = 12505,
  [12506] = 12487,
  [12507] = 4507,
  [12508] = 12263,
  [12509] = 12488,
  [12510] = 12492,
  [12511] = 12489,
  [12512] = 12512,
  [12513] = 4552,
  [12514] = 12514,
  [12515] = 8255,
  [12516] = 12487,
  [12517] = 8352,
  [12518] = 12488,
  [12519] = 12489,
  [12520] = 12489,
  [12521] = 12284,
  [12522] = 12487,
  [12523] = 4494,
  [12524] = 12488,
  [12525] = 8477,
  [12526] = 12489,
  [12527] = 12527,
  [12528] = 8174,
  [12529] = 8180,
  [12530] = 8187,
  [12531] = 8339,
  [12532] = 12409,
  [12533] = 12487,
  [12534] = 12534,
  [12535] = 12488,
  [12536] = 12536,
  [12537] = 12537,
  [12538] = 12489,
  [12539] = 12539,
  [12540] = 12487,
  [12541] = 12488,
  [12542] = 12489,
  [12543] = 12543,
  [12544] = 4582,
  [12545] = 12487,
  [12546] = 12488,
  [12547] = 12489,
  [12548] = 12548,
  [12549] = 12487,
  [12550] = 12488,
  [12551] = 12489,
  [12552] = 11985,
  [12553] = 12487,
  [12554] = 12487,
  [12555] = 12488,
  [12556] = 12489,
  [12557] = 4647,
  [12558] = 12487,
  [12559] = 12488,
  [12560] = 4649,
  [12561] = 12489,
  [12562] = 12562,
  [12563] = 12487,
  [12564] = 12488,
  [12565] = 12565,
  [12566] = 12489,
  [12567] = 4483,
  [12568] = 12487,
  [12569] = 4507,
  [12570] = 12488,
  [12571] = 12489,
  [12572] = 12487,
  [12573] = 12488,
  [12574] = 12489,
  [12575] = 12274,
  [12576] = 12487,
  [12577] = 12488,
  [12578] = 12489,
  [12579] = 4647,
  [12580] = 12487,
  [12581] = 12539,
  [12582] = 12488,
  [12583] = 12489,
  [12584] = 4649,
  [12585] = 12548,
  [12586] = 12487,
  [12587] = 12488,
  [12588] = 12489,
  [12589] = 12589,
  [12590] = 12589,
  [12591] = 12487,
  [12592] = 12488,
  [12593] = 12489,
  [12594] = 12487,
  [12595] = 12595,
  [12596] = 12488,
  [12597] = 12489,
  [12598] = 12487,
  [12599] = 12488,
  [12600] = 4655,
  [12601] = 12489,
  [12602] = 12487,
  [12603] = 12488,
  [12604] = 12489,
  [12605] = 11850,
  [12606] = 12487,
  [12607] = 12607,
  [12608] = 12488,
  [12609] = 12609,
  [12610] = 12489,
  [12611] = 12487,
  [12612] = 12488,
  [12613] = 12489,
  [12614] = 4535,
  [12615] = 4540,
  [12616] = 4541,
  [12617] = 12487,
  [12618] = 12488,
  [12619] = 12489,
  [12620] = 12487,
  [12621] = 12488,
  [12622] = 12489,
  [12623] = 4535,
  [12624] = 12487,
  [12625] = 4540,
  [12626] = 12488,
  [12627] = 4541,
  [12628] = 12489,
  [12629] = 12487,
  [12630] = 12488,
  [12631] = 12489,
  [12632] = 12487,
  [12633] = 8040,
  [12634] = 12488,
  [12635] = 12489,
  [12636] = 12294,
  [12637] = 4352,
  [12638] = 4527,
  [12639] = 12487,
  [12640] = 12536,
  [12641] = 12488,
  [12642] = 12489,
  [12643] = 4537,
  [12644] = 12487,
  [12645] = 12488,
  [12646] = 12489,
  [12647] = 4575,
  [12648] = 4583,
  [12649] = 4592,
  [12650] = 12487,
  [12651] = 12488,
  [12652] = 4352,
  [12653] = 12489,
  [12654] = 4610,
  [12655] = 4611,
  [12656] = 12487,
  [12657] = 12488,
  [12658] = 4544,
  [12659] = 12489,
  [12660] = 12660,
  [12661] = 4630,
  [12662] = 4631,
  [12663] = 12487,
  [12664] = 12488,
  [12665] = 12489,
  [12666] = 12666,
  [12667] = 12487,
  [12668] = 12488,
  [12669] = 12489,
  [12670] = 12487,
  [12671] = 12487,
  [12672] = 12488,
  [12673] = 12673,
  [12674] = 12489,
  [12675] = 12487,
  [12676] = 12488,
  [12677] = 4655,
  [12678] = 12562,
  [12679] = 12489,
  [12680] = 12537,
  [12681] = 12487,
  [12682] = 12488,
  [12683] = 12489,
  [12684] = 12487,
  [12685] = 12488,
  [12686] = 12489,
  [12687] = 12487,
  [12688] = 12488,
  [12689] = 12489,
  [12690] = 12488,
  [12691] = 12487,
  [12692] = 12488,
  [12693] = 12512,
  [12694] = 12489,
  [12695] = 12514,
  [12696] = 4647,
  [12697] = 12487,
  [12698] = 12488,
  [12699] = 12489,
  [12700] = 12489,
  [12701] = 4649,
  [12702] = 12487,
  [12703] = 12488,
  [12704] = 12201,
  [12705] = 12489,
  [12706] = 11985,
  [12707] = 12487,
  [12708] = 12488,
  [12709] = 12489,
  [12710] = 12487,
  [12711] = 12488,
  [12712] = 12489,
  [12713] = 12487,
  [12714] = 12488,
  [12715] = 12489,
  [12716] = 12488,
  [12717] = 12489,
  [12718] = 12487,
  [12719] = 12488,
  [12720] = 12489,
  [12721] = 12487,
  [12722] = 12488,
  [12723] = 12489,
  [12724] = 12487,
  [12725] = 12488,
  [12726] = 12489,
  [12727] = 12487,
  [12728] = 12488,
  [12729] = 11850,
  [12730] = 12489,
  [12731] = 12487,
  [12732] = 12488,
  [12733] = 12489,
  [12734] = 4494,
  [12735] = 12487,
  [12736] = 12488,
  [12737] = 12489,
  [12738] = 12488,
  [12739] = 12487,
  [12740] = 4527,
  [12741] = 12488,
  [12742] = 12489,
  [12743] = 12487,
  [12744] = 12488,
  [12745] = 12489,
  [12746] = 12487,
  [12747] = 12488,
  [12748] = 12489,
  [12749] = 12487,
  [12750] = 12488,
  [12751] = 12235,
  [12752] = 12489,
  [12753] = 4535,
  [12754] = 12487,
  [12755] = 12488,
  [12756] = 12308,
  [12757] = 12489,
  [12758] = 12487,
  [12759] = 12488,
  [12760] = 12489,
  [12761] = 4540,
  [12762] = 12487,
  [12763] = 12488,
  [12764] = 12489,
  [12765] = 12487,
  [12766] = 4541,
  [12767] = 12487,
  [12768] = 12488,
  [12769] = 12489,
  [12770] = 12201,
  [12771] = 12487,
  [12772] = 12235,
  [12773] = 12488,
  [12774] = 12489,
  [12775] = 12308,
  [12776] = 12487,
  [12777] = 12488,
  [12778] = 12489,
  [12779] = 12487,
  [12780] = 12488,
  [12781] = 12489,
  [12782] = 12782,
  [12783] = 12487,
  [12784] = 12488,
  [12785] = 12489,
  [12786] = 12232,
  [12787] = 12488,
  [12788] = 12487,
  [12789] = 12396,
  [12790] = 12488,
  [12791] = 12489,
  [12792] = 4537,
  [12793] = 12487,
  [12794] = 12512,
  [12795] = 12488,
  [12796] = 12489,
  [12797] = 12487,
  [12798] = 12488,
  [12799] = 12489,
  [12800] = 12514,
  [12801] = 12487,
  [12802] = 12406,
  [12803] = 12488,
  [12804] = 12489,
  [12805] = 12527,
  [12806] = 12487,
  [12807] = 12488,
  [12808] = 12489,
  [12809] = 12489,
  [12810] = 12810,
  [12811] = 12487,
  [12812] = 12488,
  [12813] = 12489,
  [12814] = 4575,
  [12815] = 12487,
  [12816] = 12488,
  [12817] = 12489,
  [12818] = 4483,
  [12819] = 12487,
  [12820] = 12488,
  [12821] = 12489,
  [12822] = 12487,
  [12823] = 12488,
  [12824] = 12489,
  [12825] = 4583,
  [12826] = 12826,
  [12827] = 12487,
  [12828] = 12488,
  [12829] = 12489,
  [12830] = 4483,
  [12831] = 12831,
  [12832] = 12487,
  [12833] = 12488,
  [12834] = 12834,
  [12835] = 12489,
  [12836] = 8303,
  [12837] = 12487,
  [12838] = 12488,
  [12839] = 12489,
  [12840] = 4592,
  [12841] = 12487,
  [12842] = 12488,
  [12843] = 12489,
  [12844] = 12487,
  [12845] = 12488,
  [12846] = 12489,
  [12847] = 12295,
  [12848] = 12487,
  [12849] = 12488,
  [12850] = 12489,
  [12851] = 12391,
  [12852] = 12487,
  [12853] = 12488,
  [12854] = 12489,
  [12855] = 8303,
  [12856] = 12487,
  [12857] = 12488,
  [12858] = 12310,
  [12859] = 12489,
  [12860] = 12860,
  [12861] = 8082,
  [12862] = 8145,
  [12863] = 12487,
  [12864] = 12488,
  [12865] = 12489,
  [12866] = 4527,
  [12867] = 4552,
  [12868] = 12487,
  [12869] = 12488,
  [12870] = 12489,
  [12871] = 4537,
  [12872] = 12487,
  [12873] = 12488,
  [12874] = 12489,
  [12875] = 4575,
  [12876] = 12487,
  [12877] = 12488,
  [12878] = 4583,
  [12879] = 12489,
  [12880] = 4610,
  [12881] = 4592,
  [12882] = 12487,
  [12883] = 12488,
  [12884] = 4352,
  [12885] = 12489,
  [12886] = 4610,
  [12887] = 4611,
  [12888] = 12487,
  [12889] = 12488,
  [12890] = 12489,
  [12891] = 4630,
  [12892] = 4631,
  [12893] = 12487,
  [12894] = 12488,
  [12895] = 12489,
  [12896] = 12487,
  [12897] = 12488,
  [12898] = 12489,
  [12899] = 4611,
  [12900] = 8255,
  [12901] = 12487,
  [12902] = 12488,
  [12903] = 8352,
  [12904] = 12489,
  [12905] = 4544,
  [12906] = 12487,
  [12907] = 12488,
  [12908] = 12489,
  [12909] = 12487,
  [12910] = 12488,
  [12911] = 12489,
  [12912] = 12488,
  [12913] = 12489,
  [12914] = 8477,
  [12915] = 12487,
  [12916] = 8174,
  [12917] = 8180,
  [12918] = 8187,
  [12919] = 8339,
  [12920] = 4552,
  [12921] = 12488,
  [12922] = 4630,
  [12923] = 12923,
  [12924] = 4631,
  [12925] = 12489,
  [12926] = 12505,
  [12927] = 12232,
  [12928] = 5527,
  [12929] = 4527,
  [12930] = 12396,
  [12931] = 12359,
  [12932] = 4552,
  [12933] = 12534,
  [12934] = 12487,
  [12935] = 5495,
  [12936] = 11385,
  [12937] = 4647,
  [12938] = 12245,
  [12939] = 4649,
  [12940] = 12208,
  [12941] = 12488,
  [12942] = 4537,
  [12943] = 12489,
  [12944] = 8849,
  [12945] = 4575,
  [12946] = 12464,
  [12947] = 4583,
  [12948] = 4499,
  [12949] = 4592,
  [12950] = 5768,
  [12951] = 12487,
  [12952] = 4582,
  [12953] = 12262,
  [12954] = 4610,
  [12955] = 4611,
  [12956] = 4544,
  [12957] = 12488,
  [12958] = 4731,
  [12959] = 12489,
  [12960] = 5516,
  [12961] = 4630,
  [12962] = 12270,
  [12963] = 12295,
  [12964] = 4631,
  [12965] = 12391,
  [12966] = 12428,
  [12967] = 12447,
  [12968] = 12174,
  [12969] = 12969,
  [12970] = 12272,
  [12971] = 4582,
  [12972] = 4582,
  [12973] = 12280,
  [12974] = 5768,
  [12975] = 12296,
  [12976] = 12304,
  [12977] = 12319,
  [12978] = 4552,
  [12979] = 12487,
  [12980] = 12406,
  [12981] = 12342,
  [12982] = 12488,
  [12983] = 12310,
  [12984] = 12345,
  [12985] = 12489,
  [12986] = 12263,
  [12987] = 12512,
  [12988] = 12988,
  [12989] = 4499,
  [12990] = 12543,
  [12991] = 12369,
  [12992] = 12370,
  [12993] = 5527,
  [12994] = 12374,
  [12995] = 4483,
  [12996] = 12377,
  [12997] = 12359,
  [12998] = 4481,
  [12999] = 12245,
  [13000] = 12208,
  [13001] = 12514,
  [13002] = 12464,
  [13003] = 12487,
  [13004] = 12488,
  [13005] = 12413,
  [13006] = 12489,
  [13007] = 5537,
  [13008] = 12262,
  [13009] = 12270,
  [13010] = 12428,
  [13011] = 12447,
  [13012] = 12174,
  [13013] = 12272,
  [13014] = 12280,
  [13015] = 12296,
  [13016] = 12304,
  [13017] = 12319,
  [13018] = 12342,
  [13019] = 5550,
  [13020] = 4535,
  [13021] = 13021,
  [13022] = 12487,
  [13023] = 12345,
  [13024] = 4540,
  [13025] = 12369,
  [13026] = 12370,
  [13027] = 12374,
  [13028] = 4541,
  [13029] = 12488,
  [13030] = 12377,
  [13031] = 12413,
  [13032] = 12489,
  [13033] = 13033,
  [13034] = 8303,
  [13035] = 13035,
  [13036] = 12487,
  [13037] = 12923,
  [13038] = 12660,
  [13039] = 4527,
  [13040] = 12488,
  [13041] = 4481,
  [13042] = 12666,
  [13043] = 12489,
  [13044] = 4535,
  [13045] = 4540,
  [13046] = 4541,
  [13047] = 11485,
  [13048] = 13048,
  [13049] = 8082,
  [13050] = 12487,
  [13051] = 4352,
  [13052] = 4352,
  [13053] = 4481,
  [13054] = 12488,
  [13055] = 8145,
  [13056] = 12489,
  [13057] = 4537,
  [13058] = 12562,
  [13059] = 11508,
  [13060] = 11509,
  [13061] = 12487,
  [13062] = 12488,
  [13063] = 12409,
  [13064] = 4575,
  [13065] = 12489,
  [13066] = 11529,
  [13067] = 4583,
  [13068] = 12489,
  [13069] = 13069,
  [13070] = 4756,
  [13071] = 4582,
  [13072] = 4592,
  [13073] = 4171,
  [13074] = 4172,
  [13075] = 8255,
  [13076] = 8352,
  [13077] = 4171,
  [13078] = 4172,
  [13079] = 13079,
  [13080] = 12565,
  [13081] = 13033,
  [13082] = 12923,
  [13083] = 5495,
  [13084] = 13084,
  [13085] = 5516,
  [13086] = 13086,
  [13087] = 13087,
  [13088] = 12487,
  [13089] = 12536,
  [13090] = 12487,
  [13091] = 5527,
  [13092] = 12488,
  [13093] = 4610,
  [13094] = 4611,
  [13095] = 13095,
  [13096] = 12487,
  [13097] = 5537,
  [13098] = 8040,
  [13099] = 12548,
  [13100] = 12489,
  [13101] = 12488,
  [13102] = 5550,
  [13103] = 8477,
  [13104] = 4630,
  [13105] = 4631,
  [13106] = 12505,
  [13107] = 12487,
  [13108] = 12488,
  [13109] = 12512,
  [13110] = 8174,
  [13111] = 13111,
  [13112] = 12514,
  [13113] = 8180,
  [13114] = 8187,
  [13115] = 12489,
  [13116] = 8339,
  [13117] = 5495,
  [13118] = 13118,
  [13119] = 12487,
  [13120] = 12666,
  [13121] = 12488,
  [13122] = 13122,
  [13123] = 12489,
  [13124] = 4494,
  [13125] = 5516,
  [13126] = 12487,
  [13127] = 12487,
  [13128] = 4731,
  [13129] = 13129,
  [13130] = 12488,
  [13131] = 12489,
  [13132] = 12260,
  [13133] = 12489,
  [13134] = 12527,
  [13135] = 12534,
  [13136] = 4756,
  [13137] = 12487,
  [13138] = 12543,
  [13139] = 13139,
  [13140] = 13140,
  [13141] = 13141,
  [13142] = 13142,
  [13143] = 13143,
  [13144] = 4649,
  [13145] = 13143,
  [13146] = 13143,
  [13147] = 13143,
  [13148] = 4687,
  [13149] = 13149,
  [13150] = 13143,
  [13151] = 13143,
  [13152] = 13143,
  [13153] = 13153,
  [13154] = 13154,
  [13155] = 13143,
  [13156] = 12359,
  [13157] = 13143,
  [13158] = 13143,
  [13159] = 4654,
  [13160] = 13143,
  [13161] = 12245,
  [13162] = 13162,
  [13163] = 13163,
  [13164] = 13143,
  [13165] = 12208,
  [13166] = 5495,
  [13167] = 12464,
  [13168] = 13143,
  [13169] = 13169,
  [13170] = 13143,
  [13171] = 4582,
  [13172] = 13143,
  [13173] = 13143,
  [13174] = 13143,
  [13175] = 13162,
  [13176] = 13143,
  [13177] = 11985,
  [13178] = 13178,
  [13179] = 13143,
  [13180] = 13143,
  [13181] = 12262,
  [13182] = 4655,
  [13183] = 13183,
  [13184] = 12270,
  [13185] = 13143,
  [13186] = 13169,
  [13187] = 12428,
  [13188] = 7441,
  [13189] = 13143,
  [13190] = 12447,
  [13191] = 12174,
  [13192] = 12235,
  [13193] = 13143,
  [13194] = 12272,
  [13195] = 13195,
  [13196] = 13162,
  [13197] = 13143,
  [13198] = 13143,
  [13199] = 12280,
  [13200] = 12263,
  [13201] = 4494,
  [13202] = 13143,
  [13203] = 12296,
  [13204] = 13169,
  [13205] = 12304,
  [13206] = 12319,
  [13207] = 13207,
  [13208] = 13143,
  [13209] = 11508,
  [13210] = 12262,
  [13211] = 11509,
  [13212] = 13169,
  [13213] = 13162,
  [13214] = 13143,
  [13215] = 13143,
  [13216] = 13143,
  [13217] = 12342,
  [13218] = 13143,
  [13219] = 13162,
  [13220] = 4481,
  [13221] = 13143,
  [13222] = 5516,
  [13223] = 12345,
  [13224] = 13143,
  [13225] = 13225,
  [13226] = 13143,
  [13227] = 12270,
  [13228] = 8790,
  [13229] = 13021,
  [13230] = 13143,
  [13231] = 12369,
  [13232] = 13232,
  [13233] = 13143,
  [13234] = 12370,
  [13235] = 12428,
  [13236] = 12447,
  [13237] = 12409,
  [13238] = 12374,
  [13239] = 13143,
  [13240] = 12377,
  [13241] = 12413,
  [13242] = 13143,
  [13243] = 13143,
  [13244] = 13162,
  [13245] = 13169,
  [13246] = 13143,
  [13247] = 5103,
  [13248] = 13143,
  [13249] = 13143,
  [13250] = 13143,
  [13251] = 13162,
  [13252] = 13162,
  [13253] = 12969,
  [13254] = 13143,
  [13255] = 12310,
  [13256] = 13143,
  [13257] = 4543,
  [13258] = 13143,
  [13259] = 13143,
  [13260] = 13162,
  [13261] = 12235,
  [13262] = 12308,
  [13263] = 13143,
  [13264] = 12235,
  [13265] = 12201,
  [13266] = 12308,
  [13267] = 13143,
  [13268] = 13143,
  [13269] = 13143,
  [13270] = 13143,
  [13271] = 13143,
  [13272] = 12232,
  [13273] = 12308,
  [13274] = 13143,
  [13275] = 13143,
  [13276] = 12232,
  [13277] = 13143,
  [13278] = 12174,
  [13279] = 12232,
  [13280] = 13143,
  [13281] = 13143,
  [13282] = 13282,
  [13283] = 13143,
  [13284] = 13284,
  [13285] = 13143,
  [13286] = 13154,
  [13287] = 12272,
  [13288] = 13288,
  [13289] = 13282,
  [13290] = 12396,
  [13291] = 13291,
  [13292] = 12280,
  [13293] = 12296,
  [13294] = 13143,
  [13295] = 4494,
  [13296] = 12304,
  [13297] = 6233,
  [13298] = 13298,
  [13299] = 13149,
  [13300] = 6235,
  [13301] = 13288,
  [13302] = 6236,
  [13303] = 13143,
  [13304] = 13304,
  [13305] = 8303,
  [13306] = 12319,
  [13307] = 13307,
  [13308] = 13069,
  [13309] = 13169,
  [13310] = 13162,
  [13311] = 4655,
  [13312] = 13143,
  [13313] = 13313,
  [13314] = 8082,
  [13315] = 8145,
  [13316] = 12396,
  [13317] = 13317,
  [13318] = 13318,
  [13319] = 13319,
  [13320] = 13140,
  [13321] = 13143,
  [13322] = 11508,
  [13323] = 12342,
  [13324] = 11509,
  [13325] = 4582,
  [13326] = 11485,
  [13327] = 8352,
  [13328] = 11850,
  [13329] = 13329,
  [13330] = 12595,
  [13331] = 12345,
  [13332] = 13140,
  [13333] = 8477,
  [13334] = 8174,
  [13335] = 8180,
  [13336] = 8187,
  [13337] = 13169,
  [13338] = 8339,
  [13339] = 13162,
  [13340] = 13140,
  [13341] = 12295,
  [13342] = 12391,
  [13343] = 13140,
  [13344] = 13143,
  [13345] = 12396,
  [13346] = 13169,
  [13347] = 12369,
  [13348] = 13140,
  [13349] = 13143,
  [13350] = 12370,
  [13351] = 12374,
  [13352] = 12377,
  [13353] = 13143,
  [13354] = 13143,
  [13355] = 13140,
  [13356] = 13162,
  [13357] = 13140,
  [13358] = 13298,
  [13359] = 13140,
  [13360] = 13143,
  [13361] = 12413,
  [13362] = 4647,
  [13363] = 13140,
  [13364] = 13169,
  [13365] = 4483,
  [13366] = 13162,
  [13367] = 13140,
  [13368] = 8255,
  [13369] = 13140,
  [13370] = 13143,
  [13371] = 13140,
  [13372] = 4527,
  [13373] = 4552,
  [13374] = 4537,
  [13375] = 4575,
  [13376] = 4583,
  [13377] = 4592,
  [13378] = 13154,
  [13379] = 13140,
  [13380] = 4610,
  [13381] = 4611,
  [13382] = 5264,
  [13383] = 4630,
  [13384] = 4631,
  [13385] = 13143,
  [13386] = 13143,
  [13387] = 13140,
  [13388] = 13388,
  [13389] = 4499,
  [13390] = 4508,
  [13391] = 4494,
  [13392] = 13140,
  [13393] = 5527,
  [13394] = 13140,
  [13395] = 13149,
  [13396] = 13298,
  [13397] = 4481,
  [13398] = 13140,
  [13399] = 4647,
  [13400] = 13143,
  [13401] = 4647,
  [13402] = 13140,
  [13403] = 12406,
  [13404] = 13169,
  [13405] = 4649,
  [13406] = 4649,
  [13407] = 13162,
  [13408] = 12406,
  [13409] = 11529,
  [13410] = 13140,
  [13411] = 13143,
  [13412] = 13140,
  [13413] = 13143,
  [13414] = 13414,
  [13415] = 13415,
  [13416] = 13140,
  [13417] = 13143,
  [13418] = 13143,
  [13419] = 4483,
  [13420] = 13140,
  [13421] = 13298,
  [13422] = 4483,
  [13423] = 13143,
  [13424] = 13154,
  [13425] = 13169,
  [13426] = 13140,
  [13427] = 13162,
  [13428] = 13140,
  [13429] = 12406,
  [13430] = 5264,
  [13431] = 13143,
  [13432] = 13140,
  [13433] = 4527,
  [13434] = 11850,
  [13435] = 4552,
  [13436] = 13143,
  [13437] = 4537,
  [13438] = 13140,
  [13439] = 5537,
  [13440] = 4575,
  [13441] = 13313,
  [13442] = 4583,
  [13443] = 4592,
  [13444] = 4610,
  [13445] = 4611,
  [13446] = 13140,
  [13447] = 4630,
  [13448] = 4631,
  [13449] = 4481,
  [13450] = 13140,
  [13451] = 13298,
  [13452] = 13232,
  [13453] = 13140,
  [13454] = 11485,
  [13455] = 13169,
  [13456] = 12263,
  [13457] = 13140,
  [13458] = 13162,
  [13459] = 4499,
  [13460] = 13140,
  [13461] = 12359,
  [13462] = 13140,
  [13463] = 13129,
  [13464] = 13284,
  [13465] = 13143,
  [13466] = 13143,
  [13467] = 13140,
  [13468] = 13154,
  [13469] = 4655,
  [13470] = 13140,
  [13471] = 13143,
  [13472] = 13291,
  [13473] = 13140,
  [13474] = 13140,
  [13475] = 13298,
  [13476] = 13140,
  [13477] = 13143,
  [13478] = 4647,
  [13479] = 13140,
  [13480] = 4685,
  [13481] = 4649,
  [13482] = 13140,
  [13483] = 4171,
  [13484] = 13169,
  [13485] = 13162,
  [13486] = 4481,
  [13487] = 13140,
  [13488] = 4655,
  [13489] = 13169,
  [13490] = 13140,
  [13491] = 12245,
  [13492] = 13143,
  [13493] = 13162,
  [13494] = 13140,
  [13495] = 13329,
  [13496] = 5550,
  [13497] = 4172,
  [13498] = 13143,
  [13499] = 13499,
  [13500] = 13140,
  [13501] = 13153,
  [13502] = 13140,
  [13503] = 13140,
  [13504] = 13304,
  [13505] = 4687,
  [13506] = 13140,
  [13507] = 13140,
  [13508] = 13140,
  [13509] = 4654,
  [13510] = 13143,
  [13511] = 13140,
  [13512] = 13140,
  [13513] = 13140,
  [13514] = 13143,
  [13515] = 12208,
  [13516] = 4535,
  [13517] = 4540,
  [13518] = 13140,
  [13519] = 4541,
  [13520] = 13169,
  [13521] = 4499,
  [13522] = 13162,
  [13523] = 13140,
  [13524] = 4352,
  [13525] = 13140,
  [13526] = 13143,
  [13527] = 13140,
  [13528] = 13140,
  [13529] = 13140,
  [13530] = 4535,
  [13531] = 4540,
  [13532] = 4541,
  [13533] = 13140,
  [13534] = 13140,
  [13535] = 13140,
  [13536] = 13140,
  [13537] = 4352,
  [13538] = 13140,
  [13539] = 4171,
  [13540] = 13140,
  [13541] = 7150,
  [13542] = 4172,
  [13543] = 13140,
  [13544] = 13544,
  [13545] = 13143,
  [13546] = 13140,
  [13547] = 13143,
  [13548] = 13140,
  [13549] = 13140,
  [13550] = 4171,
  [13551] = 13169,
  [13552] = 4172,
  [13553] = 4685,
  [13554] = 13162,
  [13555] = 13143,
  [13556] = 13140,
  [13557] = 4687,
  [13558] = 4171,
  [13559] = 4172,
  [13560] = 13414,
  [13561] = 13415,
  [13562] = 13499,
  [13563] = 13169,
  [13564] = 13169,
  [13565] = 13291,
  [13566] = 13162,
  [13567] = 13169,
  [13568] = 13162,
  [13569] = 13143,
  [13570] = 4654,
  [13571] = 13162,
  [13572] = 13143,
  [13573] = 13143,
  [13574] = 8040,
  [13575] = 13169,
  [13576] = 13143,
  [13577] = 13154,
  [13578] = 12464,
  [13579] = 13162,
  [13580] = 13143,
  [13581] = 13143,
  [13582] = 12310,
  [13583] = 13143,
  [13584] = 4499,
  [13585] = 13169,
  [13586] = 13162,
  [13587] = 4685,
  [13588] = 12201,
  [13589] = 13143,
  [13590] = 13169,
  [13591] = 13143,
  [13592] = 13307,
  [13593] = 13162,
  [13594] = 13307,
  [13595] = 13143,
  [13596] = 13169,
  [13597] = 13162,
  [13598] = 5768,
  [13599] = 13143,
  [13600] = 13143,
  [13601] = 5570,
  [13602] = 4508,
  [13603] = 13143,
  [13604] = 13143,
  [13605] = 13169,
  [13606] = 13162,
  [13607] = 12201,
  [13608] = 13143,
  [13609] = 13609,
  [13610] = 13143,
  [13611] = 5784,
  [13612] = 13143,
  [13613] = 13613,
  [13614] = 11529,
  [13615] = 5768,
  [13616] = 13169,
  [13617] = 13143,
  [13618] = 13162,
  [13619] = 11985,
  [13620] = 13142,
  [13621] = 13143,
  [13622] = 4655,
  [13623] = 12409,
  [13624] = 13143,
  [13625] = 13625,
  [13626] = 11850,
  [13627] = 12270,
  [13628] = 13628,
  [13629] = 5537,
  [13630] = 4499,
  [13631] = 13631,
  [13632] = 12428,
  [13633] = 12447,
  [13634] = 5550,
  [13635] = 13628,
  [13636] = 12174,
  [13637] = 13631,
  [13638] = 4352,
  [13639] = 13639,
  [13640] = 4655,
  [13641] = 13628,
  [13642] = 5550,
  [13643] = 12370,
  [13644] = 5784,
  [13645] = 12174,
  [13646] = 13631,
  [13647] = 13647,
  [13648] = 13628,
  [13649] = 5768,
  [13650] = 13317,
  [13651] = 13647,
  [13652] = 13318,
  [13653] = 13319,
  [13654] = 13631,
  [13655] = 13298,
  [13656] = 13628,
  [13657] = 6198,
  [13658] = 13647,
  [13659] = 13631,
  [13660] = 13660,
  [13661] = 12272,
  [13662] = 13628,
  [13663] = 12280,
  [13664] = 13628,
  [13665] = 12296,
  [13666] = 4592,
  [13667] = 13631,
  [13668] = 12208,
  [13669] = 13628,
  [13670] = 6199,
  [13671] = 12272,
  [13672] = 13672,
  [13673] = 4655,
  [13674] = 4483,
  [13675] = 5450,
  [13676] = 13631,
  [13677] = 4535,
  [13678] = 4535,
  [13679] = 4540,
  [13680] = 13628,
  [13681] = 4527,
  [13682] = 4541,
  [13683] = 11985,
  [13684] = 4552,
  [13685] = 13631,
  [13686] = 11508,
  [13687] = 12304,
  [13688] = 13628,
  [13689] = 13544,
  [13690] = 13631,
  [13691] = 12319,
  [13692] = 13628,
  [13693] = 8303,
  [13694] = 13694,
  [13695] = 4537,
  [13696] = 13298,
  [13697] = 12359,
  [13698] = 13631,
  [13699] = 4575,
  [13700] = 4582,
  [13701] = 13628,
  [13702] = 13647,
  [13703] = 4544,
  [13704] = 13298,
  [13705] = 4575,
  [13706] = 13694,
  [13707] = 13631,
  [13708] = 13628,
  [13709] = 12374,
  [13710] = 12342,
  [13711] = 13631,
  [13712] = 13631,
  [13713] = 4582,
  [13714] = 11509,
  [13715] = 13628,
  [13716] = 12345,
  [13717] = 13298,
  [13718] = 5450,
  [13719] = 13631,
  [13720] = 4352,
  [13721] = 12464,
  [13722] = 13628,
  [13723] = 13647,
  [13724] = 4583,
  [13725] = 12262,
  [13726] = 13631,
  [13727] = 8477,
  [13728] = 13628,
  [13729] = 12377,
  [13730] = 12369,
  [13731] = 13178,
  [13732] = 12370,
  [13733] = 13183,
  [13734] = 13631,
  [13735] = 12374,
  [13736] = 12377,
  [13737] = 13628,
  [13738] = 12413,
  [13739] = 5264,
  [13740] = 4481,
  [13741] = 12201,
  [13742] = 13631,
  [13743] = 8174,
  [13744] = 13628,
  [13745] = 11485,
  [13746] = 13746,
  [13747] = 8180,
  [13748] = 13631,
  [13749] = 4583,
  [13750] = 13628,
  [13751] = 13298,
  [13752] = 13647,
  [13753] = 13753,
  [13754] = 13631,
  [13755] = 4592,
  [13756] = 12280,
  [13757] = 4483,
  [13758] = 13628,
  [13759] = 4630,
  [13760] = 13298,
  [13761] = 13761,
  [13762] = 8187,
  [13763] = 12296,
  [13764] = 8339,
  [13765] = 13631,
  [13766] = 4655,
  [13767] = 13628,
  [13768] = 13768,
  [13769] = 5537,
  [13770] = 13647,
  [13771] = 12235,
  [13772] = 12308,
  [13773] = 13628,
  [13774] = 13631,
  [13775] = 4610,
  [13776] = 4592,
  [13777] = 12295,
  [13778] = 8255,
  [13779] = 13628,
  [13780] = 13780,
  [13781] = 13631,
  [13782] = 13782,
  [13783] = 12391,
  [13784] = 13628,
  [13785] = 4610,
  [13786] = 4611,
  [13787] = 13787,
  [13788] = 13631,
  [13789] = 13628,
  [13790] = 12304,
  [13791] = 13298,
  [13792] = 4631,
  [13793] = 13746,
  [13794] = 13631,
  [13795] = 4483,
  [13796] = 12319,
  [13797] = 4352,
  [13798] = 13628,
  [13799] = 4611,
  [13800] = 4540,
  [13801] = 13631,
  [13802] = 4685,
  [13803] = 5768,
  [13804] = 13628,
  [13805] = 8352,
  [13806] = 13298,
  [13807] = 13631,
  [13808] = 12201,
  [13809] = 13628,
  [13810] = 13631,
  [13811] = 13647,
  [13812] = 4687,
  [13813] = 13298,
  [13814] = 13631,
  [13815] = 12245,
  [13816] = 12232,
  [13817] = 13628,
  [13818] = 4654,
  [13819] = 5264,
  [13820] = 13631,
  [13821] = 4610,
  [13822] = 13628,
  [13823] = 4527,
  [13824] = 4552,
  [13825] = 12235,
  [13826] = 12308,
  [13827] = 4537,
  [13828] = 13828,
  [13829] = 13631,
  [13830] = 4575,
  [13831] = 13628,
  [13832] = 4583,
  [13833] = 4592,
  [13834] = 4611,
  [13835] = 13631,
  [13836] = 4610,
  [13837] = 4611,
  [13838] = 13628,
  [13839] = 4630,
  [13840] = 4631,
  [13841] = 4499,
  [13842] = 13631,
  [13843] = 8303,
  [13844] = 13628,
  [13845] = 6332,
  [13846] = 13631,
  [13847] = 12232,
  [13848] = 5550,
  [13849] = 13628,
  [13850] = 12208,
  [13851] = 4685,
  [13852] = 13647,
  [13853] = 13631,
  [13854] = 13854,
  [13855] = 13628,
  [13856] = 12396,
  [13857] = 12345,
  [13858] = 13631,
  [13859] = 4655,
  [13860] = 4687,
  [13861] = 13628,
  [13862] = 12396,
  [13863] = 13631,
  [13864] = 11850,
  [13865] = 12026,
  [13866] = 12262,
  [13867] = 13298,
  [13868] = 13647,
  [13869] = 8082,
  [13870] = 4630,
  [13871] = 13631,
  [13872] = 13647,
  [13873] = 4647,
  [13874] = 13628,
  [13875] = 4654,
  [13876] = 8145,
  [13877] = 13631,
  [13878] = 8040,
  [13879] = 4631,
  [13880] = 13628,
  [13881] = 4655,
  [13882] = 5495,
  [13883] = 12059,
  [13884] = 13631,
  [13885] = 13628,
  [13886] = 12409,
  [13887] = 13631,
  [13888] = 13628,
  [13889] = 13631,
  [13890] = 4481,
  [13891] = 13628,
  [13892] = 13631,
  [13893] = 13628,
  [13894] = 8352,
  [13895] = 4541,
  [13896] = 13631,
  [13897] = 13897,
  [13898] = 13628,
  [13899] = 4685,
  [13900] = 12406,
  [13901] = 13628,
  [13902] = 13631,
  [13903] = 5103,
  [13904] = 13628,
  [13905] = 12464,
  [13906] = 4687,
  [13907] = 13631,
  [13908] = 8477,
  [13909] = 13628,
  [13910] = 8174,
  [13911] = 8180,
  [13912] = 13631,
  [13913] = 8187,
  [13914] = 4654,
  [13915] = 8339,
  [13916] = 13628,
  [13917] = 13917,
  [13918] = 13780,
  [13919] = 13631,
  [13920] = 13628,
  [13921] = 13768,
  [13922] = 13207,
  [13923] = 13631,
  [13924] = 13628,
  [13925] = 13647,
  [13926] = 11529,
  [13927] = 13631,
  [13928] = 13628,
  [13929] = 13647,
  [13930] = 5430,
  [13931] = 13631,
  [13932] = 4630,
  [13933] = 12359,
  [13934] = 12310,
  [13935] = 13935,
  [13936] = 13631,
  [13937] = 4483,
  [13938] = 4582,
  [13939] = 5516,
  [13940] = 4535,
  [13941] = 4540,
  [13942] = 4541,
  [13943] = 5495,
  [13944] = 4631,
  [13945] = 6203,
  [13946] = 4352,
  [13947] = 4582,
  [13948] = 13647,
  [13949] = 7441,
  [13950] = 8790,
  [13951] = 13609,
  [13952] = 13628,
  [13953] = 5768,
  [13954] = 13613,
  [13955] = 12245,
  [13956] = 12406,
  [13957] = 13298,
  [13958] = 13625,
  [13959] = 13141,
  [13960] = 4499,
  [13961] = 4171,
  [13962] = 13298,
  [13963] = 4172,
  [13964] = 4171,
  [13965] = 4172,
  [13966] = 13298,
  [13967] = 13967,
  [13968] = 4171,
  [13969] = 4172,
  [13970] = 13298,
  [13971] = 8082,
  [13972] = 13631,
  [13973] = 13298,
  [13974] = 8255,
  [13975] = 13975,
  [13976] = 4535,
  [13977] = 13768,
  [13978] = 5527,
  [13979] = 13647,
  [13980] = 12235,
  [13981] = 12308,
  [13982] = 12413,
  [13983] = 13628,
  [13984] = 12310,
  [13985] = 4540,
  [13986] = 13647,
  [13987] = 13746,
  [13988] = 13694,
  [13989] = 12270,
  [13990] = 12232,
  [13991] = 4541,
  [13992] = 5516,
  [13993] = 8145,
  [13994] = 11985,
  [13995] = 8040,
  [13996] = 13631,
  [13997] = 8040,
  [13998] = 12396,
  [13999] = 13660,
  [14000] = 13768,
  [14001] = 13746,
  [14002] = 13768,
  [14003] = 13746,
  [14004] = 14004,
  [14005] = 14005,
  [14006] = 13647,
  [14007] = 12409,
  [14008] = 5495,
  [14009] = 13647,
  [14010] = 5516,
  [14011] = 12428,
  [14012] = 12447,
  [14013] = 13647,
  [14014] = 13647,
  [14015] = 13298,
  [14016] = 4527,
  [14017] = 13628,
  [14018] = 12263,
  [14019] = 5570,
  [14020] = 4552,
  [14021] = 4481,
  [14022] = 13647,
  [14023] = 4649,
  [14024] = 4537,
  [14025] = 5570,
  [14026] = 4537,
  [14027] = 13631,
  [14028] = 13647,
  [14029] = 13647,
  [14030] = 5768,
  [14031] = 13298,
  [14032] = 4647,
  [14033] = 13628,
  [14034] = 6267,
  [14035] = 12263,
  [14036] = 4527,
  [14037] = 12342,
  [14038] = 13313,
  [14039] = 4647,
  [14040] = 5527,
  [14041] = 4544,
  [14042] = 13647,
  [14043] = 14043,
  [14044] = 4649,
  [14045] = 13631,
  [14046] = 13897,
  [14047] = 4575,
  [14048] = 4649,
  [14049] = 5537,
  [14050] = 4552,
  [14051] = 13628,
  [14052] = 12201,
  [14053] = 14053,
  [14054] = 13660,
  [14055] = 13780,
  [14056] = 12406,
  [14057] = 14057,
  [14058] = 12369,
  [14059] = 5527,
  [14060] = 13647,
  [14061] = 4583,
  [14062] = 13298,
  [14063] = 13631,
  [14064] = 13628,
  [14065] = 8477,
  [14066] = 12174,
  [14067] = 8174,
  [14068] = 12272,
  [14069] = 4583,
  [14070] = 8180,
  [14071] = 8187,
  [14072] = 12280,
  [14073] = 8339,
  [14074] = 4352,
  [14075] = 12296,
  [14076] = 14076,
  [14077] = 12304,
  [14078] = 12319,
  [14079] = 4592,
  [14080] = 8477,
  [14081] = 4535,
  [14082] = 4540,
  [14083] = 4583,
  [14084] = 4541,
  [14085] = 11850,
  [14086] = 13298,
  [14087] = 13897,
  [14088] = 4592,
  [14089] = 13761,
  [14090] = 12201,
  [14091] = 8040,
  [14092] = 12342,
  [14093] = 5495,
  [14094] = 8352,
  [14095] = 5537,
  [14096] = 12345,
  [14097] = 5430,
  [14098] = 11409,
  [14099] = 13298,
  [14100] = 8303,
  [14101] = 8040,
  [14102] = 4610,
  [14103] = 14103,
  [14104] = 4611,
  [14105] = 4610,
  [14106] = 11373,
  [14107] = 12369,
  [14108] = 12370,
  [14109] = 5516,
  [14110] = 4352,
  [14111] = 12374,
  [14112] = 12377,
  [14113] = 4611,
  [14114] = 4655,
  [14115] = 8352,
  [14116] = 5537,
  [14117] = 12310,
  [14118] = 12413,
  [14119] = 4685,
  [14120] = 8145,
  [14121] = 4499,
  [14122] = 14122,
  [14123] = 5550,
  [14124] = 4647,
  [14125] = 12262,
  [14126] = 4630,
  [14127] = 12295,
  [14128] = 12232,
  [14129] = 11850,
  [14130] = 12391,
  [14131] = 4631,
  [14132] = 6606,
  [14133] = 12232,
  [14134] = 4630,
  [14135] = 12270,
  [14136] = 12428,
  [14137] = 12447,
  [14138] = 11985,
  [14139] = 12201,
  [14140] = 4535,
  [14141] = 4481,
  [14142] = 5527,
  [14143] = 4540,
  [14144] = 4541,
  [14145] = 4631,
  [14146] = 12174,
  [14147] = 13298,
  [14148] = 8040,
  [14149] = 12406,
  [14150] = 4647,
  [14151] = 14004,
  [14152] = 13897,
  [14153] = 12263,
  [14154] = 12201,
  [14155] = 5537,
  [14156] = 4352,
  [14157] = 5550,
  [14158] = 14158,
  [14159] = 12272,
  [14160] = 14160,
  [14161] = 12280,
  [14162] = 5768,
  [14163] = 12296,
  [14164] = 12235,
  [14165] = 12308,
  [14166] = 14005,
  [14167] = 11427,
  [14168] = 5537,
  [14169] = 14169,
  [14170] = 8040,
  [14171] = 12409,
  [14172] = 14172,
  [14173] = 5537,
  [14174] = 11428,
  [14175] = 12304,
  [14176] = 12319,
  [14177] = 5495,
  [14178] = 5550,
  [14179] = 5495,
  [14180] = 4649,
  [14181] = 13897,
  [14182] = 13298,
  [14183] = 5550,
  [14184] = 12235,
  [14185] = 12263,
  [14186] = 8255,
  [14187] = 12342,
  [14188] = 12359,
  [14189] = 8352,
  [14190] = 12232,
  [14191] = 4527,
  [14192] = 5527,
  [14193] = 8352,
  [14194] = 12406,
  [14195] = 12345,
  [14196] = 5450,
  [14197] = 13298,
  [14198] = 12396,
  [14199] = 12308,
  [14200] = 14200,
  [14201] = 6198,
  [14202] = 11850,
  [14203] = 6198,
  [14204] = 6199,
  [14205] = 14160,
  [14206] = 4582,
  [14207] = 13298,
  [14208] = 4494,
  [14209] = 4552,
  [14210] = 6199,
  [14211] = 14160,
  [14212] = 11444,
  [14213] = 5768,
  [14214] = 6203,
  [14215] = 11445,
  [14216] = 8303,
  [14217] = 4582,
  [14218] = 12409,
  [14219] = 8174,
  [14220] = 8187,
  [14221] = 4649,
  [14222] = 5550,
  [14223] = 8040,
  [14224] = 8180,
  [14225] = 4172,
  [14226] = 12201,
  [14227] = 4171,
  [14228] = 8303,
  [14229] = 12409,
  [14230] = 12235,
  [14231] = 4537,
  [14232] = 4687,
  [14233] = 12369,
  [14234] = 12370,
  [14235] = 14200,
  [14236] = 4582,
  [14237] = 12396,
  [14238] = 11458,
  [14239] = 12374,
  [14240] = 14160,
  [14241] = 12377,
  [14242] = 12396,
  [14243] = 14122,
  [14244] = 12308,
  [14245] = 5516,
  [14246] = 12396,
  [14247] = 12406,
  [14248] = 8187,
  [14249] = 5516,
  [14250] = 12391,
  [14251] = 5570,
  [14252] = 8339,
  [14253] = 5495,
  [14254] = 14254,
  [14255] = 5527,
  [14256] = 4575,
  [14257] = 13298,
  [14258] = 14258,
  [14259] = 12413,
  [14260] = 11390,
  [14261] = 4583,
  [14262] = 12245,
  [14263] = 12406,
  [14264] = 14264,
  [14265] = 11985,
  [14266] = 13298,
  [14267] = 8174,
  [14268] = 14268,
  [14269] = 14269,
  [14270] = 8180,
  [14271] = 13672,
  [14272] = 4483,
  [14273] = 6203,
  [14274] = 13298,
  [14275] = 13897,
  [14276] = 14276,
  [14277] = 13897,
  [14278] = 5768,
  [14279] = 4655,
  [14280] = 11850,
  [14281] = 5450,
  [14282] = 4592,
  [14283] = 11985,
  [14284] = 6332,
  [14285] = 13897,
  [14286] = 12359,
  [14287] = 14287,
  [14288] = 14288,
  [14289] = 4610,
  [14290] = 14290,
  [14291] = 8082,
  [14292] = 12245,
  [14293] = 12208,
  [14294] = 5516,
  [14295] = 4611,
  [14296] = 8255,
  [14297] = 12208,
  [14298] = 14298,
  [14299] = 14043,
  [14300] = 5495,
  [14301] = 14200,
  [14302] = 4630,
  [14303] = 13298,
  [14304] = 8187,
  [14305] = 5516,
  [14306] = 13639,
  [14307] = 8040,
  [14308] = 13897,
  [14309] = 12464,
  [14310] = 13897,
  [14311] = 6267,
  [14312] = 12464,
  [14313] = 4535,
  [14314] = 13967,
  [14315] = 5527,
  [14316] = 4654,
  [14317] = 12232,
  [14318] = 6267,
  [14319] = 4631,
  [14320] = 4483,
  [14321] = 4540,
  [14322] = 5495,
  [14323] = 4655,
  [14324] = 8145,
  [14325] = 11985,
  [14326] = 4527,
  [14327] = 4541,
  [14328] = 14328,
  [14329] = 14057,
  [14330] = 8082,
  [14331] = 13298,
  [14332] = 5527,
  [14333] = 8339,
  [14334] = 8082,
  [14335] = 4552,
  [14336] = 8145,
  [14337] = 14337,
  [14338] = 4483,
  [14339] = 8180,
  [14340] = 5537,
  [14341] = 8477,
  [14342] = 14342,
  [14343] = 4527,
  [14344] = 14169,
  [14345] = 4655,
  [14346] = 4552,
  [14347] = 6420,
  [14348] = 8255,
  [14349] = 4543,
  [14350] = 8303,
  [14351] = 14351,
  [14352] = 4537,
  [14353] = 4537,
  [14354] = 6332,
  [14355] = 14355,
  [14356] = 12310,
  [14357] = 11985,
  [14358] = 8339,
  [14359] = 5516,
  [14360] = 12235,
  [14361] = 13897,
  [14362] = 12308,
  [14363] = 8082,
  [14364] = 13298,
  [14365] = 4575,
  [14366] = 4499,
  [14367] = 4575,
  [14368] = 5550,
  [14369] = 12262,
  [14370] = 8477,
  [14371] = 8255,
  [14372] = 14372,
  [14373] = 12270,
  [14374] = 12428,
  [14375] = 13897,
  [14376] = 14376,
  [14377] = 8174,
  [14378] = 14200,
  [14379] = 5527,
  [14380] = 12295,
  [14381] = 8145,
  [14382] = 12447,
  [14383] = 11456,
  [14384] = 12464,
  [14385] = 14254,
  [14386] = 11409,
  [14387] = 14158,
  [14388] = 13298,
  [14389] = 5527,
  [14390] = 12272,
  [14391] = 12409,
  [14392] = 14392,
  [14393] = 5537,
  [14394] = 14376,
  [14395] = 14076,
  [14396] = 5550,
  [14397] = 14160,
  [14398] = 11985,
  [14399] = 12201,
  [14400] = 14400,
  [14401] = 5537,
  [14402] = 12201,
  [14403] = 4552,
  [14404] = 12280,
  [14405] = 14122,
  [14406] = 12235,
  [14407] = 12308,
  [14408] = 14408,
  [14409] = 12235,
  [14410] = 12308,
  [14411] = 14172,
  [14412] = 14342,
  [14413] = 5550,
  [14414] = 13298,
  [14415] = 8303,
  [14416] = 12232,
  [14417] = 13897,
  [14418] = 6420,
  [14419] = 12396,
  [14420] = 12232,
  [14421] = 12296,
  [14422] = 14160,
  [14423] = 13298,
  [14424] = 11850,
  [14425] = 8082,
  [14426] = 6267,
  [14427] = 8145,
  [14428] = 14200,
  [14429] = 14160,
  [14430] = 4535,
  [14431] = 4756,
  [14432] = 14200,
  [14433] = 14160,
  [14434] = 4540,
  [14435] = 4541,
  [14436] = 8352,
  [14437] = 12406,
  [14438] = 12396,
  [14439] = 12304,
  [14440] = 12319,
  [14441] = 8477,
  [14442] = 14442,
  [14443] = 13897,
  [14444] = 8174,
  [14445] = 8180,
  [14446] = 8187,
  [14447] = 8339,
  [14448] = 13298,
  [14449] = 6332,
  [14450] = 4544,
  [14451] = 11850,
  [14452] = 13298,
  [14453] = 4655,
  [14454] = 12310,
  [14455] = 12359,
  [14456] = 14268,
  [14457] = 4483,
  [14458] = 14287,
  [14459] = 12235,
  [14460] = 14200,
  [14461] = 14160,
  [14462] = 12308,
  [14463] = 8303,
  [14464] = 13298,
  [14465] = 14200,
  [14466] = 13897,
  [14467] = 4582,
  [14468] = 13897,
  [14469] = 4647,
  [14470] = 12409,
  [14471] = 8082,
  [14472] = 12263,
  [14473] = 14160,
  [14474] = 8145,
  [14475] = 13897,
  [14476] = 12406,
  [14477] = 4352,
  [14478] = 4649,
  [14479] = 14337,
  [14480] = 11444,
  [14481] = 11456,
  [14482] = 11458,
  [14483] = 4685,
  [14484] = 8255,
  [14485] = 8352,
  [14486] = 12342,
  [14487] = 4535,
  [14488] = 4687,
  [14489] = 12232,
  [14490] = 14269,
  [14491] = 12310,
  [14492] = 14103,
  [14493] = 4654,
  [14494] = 8477,
  [14495] = 8174,
  [14496] = 13897,
  [14497] = 8180,
  [14498] = 12245,
  [14499] = 8187,
  [14500] = 8339,
  [14501] = 4527,
  [14502] = 12345,
  [14503] = 12396,
  [14504] = 11985,
  [14505] = 13897,
  [14506] = 14288,
  [14507] = 14290,
  [14508] = 8040,
  [14509] = 5768,
  [14510] = 12235,
  [14511] = 12308,
  [14512] = 13897,
  [14513] = 14328,
  [14514] = 12359,
  [14515] = 4731,
  [14516] = 14200,
  [14517] = 12245,
  [14518] = 11445,
  [14519] = 12208,
  [14520] = 5495,
  [14521] = 12208,
  [14522] = 14372,
  [14523] = 5103,
  [14524] = 4537,
  [14525] = 5516,
  [14526] = 12232,
  [14527] = 14200,
  [14528] = 12464,
  [14529] = 13298,
  [14530] = 12201,
  [14531] = 13897,
  [14532] = 4582,
  [14533] = 5103,
  [14534] = 12396,
  [14535] = 14200,
  [14536] = 11850,
  [14537] = 14200,
  [14538] = 4575,
  [14539] = 14539,
  [14540] = 12359,
  [14541] = 5527,
  [14542] = 4583,
  [14543] = 12245,
  [14544] = 4592,
  [14545] = 12208,
  [14546] = 4540,
  [14547] = 11985,
  [14548] = 14548,
  [14549] = 5537,
  [14550] = 5495,
  [14551] = 14200,
  [14552] = 12464,
  [14553] = 8255,
  [14554] = 12369,
  [14555] = 5516,
  [14556] = 6198,
  [14557] = 6199,
  [14558] = 12262,
  [14559] = 12370,
  [14560] = 5550,
  [14561] = 5527,
  [14562] = 4610,
  [14563] = 8040,
  [14564] = 12263,
  [14565] = 12270,
  [14566] = 4611,
  [14567] = 6203,
  [14568] = 12310,
  [14569] = 12428,
  [14570] = 12374,
  [14571] = 12262,
  [14572] = 12263,
  [14573] = 12406,
  [14574] = 12270,
  [14575] = 12295,
  [14576] = 4655,
  [14577] = 12391,
  [14578] = 12428,
  [14579] = 12447,
  [14580] = 5537,
  [14581] = 13298,
  [14582] = 12447,
  [14583] = 12174,
  [14584] = 12174,
  [14585] = 4630,
  [14586] = 12263,
  [14587] = 4631,
  [14588] = 12272,
  [14589] = 14160,
  [14590] = 12280,
  [14591] = 13897,
  [14592] = 12296,
  [14593] = 14200,
  [14594] = 12272,
  [14595] = 5550,
  [14596] = 12304,
  [14597] = 12319,
  [14598] = 14160,
  [14599] = 14258,
  [14600] = 14276,
  [14601] = 6606,
  [14602] = 12377,
  [14603] = 12280,
  [14604] = 12296,
  [14605] = 12262,
  [14606] = 8303,
  [14607] = 11985,
  [14608] = 5768,
  [14609] = 12270,
  [14610] = 12413,
  [14611] = 8040,
  [14612] = 12342,
  [14613] = 12359,
  [14614] = 12295,
  [14615] = 14355,
  [14616] = 12345,
  [14617] = 12245,
  [14618] = 12208,
  [14619] = 12304,
  [14620] = 12319,
  [14621] = 8082,
  [14622] = 13298,
  [14623] = 4541,
  [14624] = 8145,
  [14625] = 12406,
  [14626] = 12262,
  [14627] = 12270,
  [14628] = 12428,
  [14629] = 12447,
  [14630] = 11427,
  [14631] = 12174,
  [14632] = 12369,
  [14633] = 12370,
  [14634] = 12272,
  [14635] = 12374,
  [14636] = 12280,
  [14637] = 14637,
  [14638] = 12296,
  [14639] = 12391,
  [14640] = 12304,
  [14641] = 12319,
  [14642] = 12377,
  [14643] = 13897,
  [14644] = 8352,
  [14645] = 12295,
  [14646] = 12391,
  [14647] = 12428,
  [14648] = 11428,
  [14649] = 12342,
  [14650] = 12413,
  [14651] = 12345,
  [14652] = 13897,
  [14653] = 13298,
  [14654] = 14200,
  [14655] = 14160,
  [14656] = 12409,
  [14657] = 12447,
  [14658] = 5495,
  [14659] = 12342,
  [14660] = 8477,
  [14661] = 13298,
  [14662] = 12369,
  [14663] = 12370,
  [14664] = 12374,
  [14665] = 12377,
  [14666] = 13897,
  [14667] = 8174,
  [14668] = 8180,
  [14669] = 8187,
  [14670] = 12413,
  [14671] = 8339,
  [14672] = 8255,
  [14673] = 14160,
  [14674] = 14200,
  [14675] = 13897,
  [14676] = 11373,
  [14677] = 12345,
  [14678] = 12174,
  [14679] = 12369,
  [14680] = 12370,
  [14681] = 13298,
  [14682] = 12374,
  [14683] = 5516,
  [14684] = 4352,
  [14685] = 12377,
  [14686] = 8040,
  [14687] = 12413,
  [14688] = 12310,
  [14689] = 4527,
  [14690] = 12201,
  [14691] = 4537,
  [14692] = 4655,
  [14693] = 14169,
  [14694] = 4575,
  [14695] = 4583,
  [14696] = 4592,
  [14697] = 5495,
  [14698] = 4610,
  [14699] = 12464,
  [14700] = 4611,
  [14701] = 14160,
  [14702] = 4630,
  [14703] = 4631,
  [14704] = 13298,
  [14705] = 13897,
  [14706] = 5516,
  [14707] = 14160,
  [14708] = 11390,
  [14709] = 13897,
  [14710] = 5527,
  [14711] = 13298,
  [14712] = 11509,
  [14713] = 12296,
  [14714] = 13897,
  [14715] = 14715,
  [14716] = 12304,
  [14717] = 12319,
  [14718] = 14718,
  [14719] = 12295,
  [14720] = 12391,
  [14721] = 14637,
  [14722] = 5430,
  [14723] = 12342,
  [14724] = 12245,
  [14725] = 14725,
  [14726] = 12208,
  [14727] = 11485,
  [14728] = 12345,
  [14729] = 14729,
  [14730] = 12409,
  [14731] = 11850,
  [14732] = 14732,
  [14733] = 12263,
  [14734] = 12369,
  [14735] = 12370,
  [14736] = 12374,
  [14737] = 14200,
  [14738] = 12377,
  [14739] = 13897,
  [14740] = 12359,
  [14741] = 14741,
  [14742] = 12310,
  [14743] = 5430,
  [14744] = 13897,
  [14745] = 12245,
  [14746] = 12208,
  [14747] = 12595,
  [14748] = 12464,
  [14749] = 12413,
  [14750] = 12232,
  [14751] = 13317,
  [14752] = 13318,
  [14753] = 12464,
  [14754] = 13897,
  [14755] = 12406,
  [14756] = 13319,
  [14757] = 14200,
  [14758] = 14758,
  [14759] = 14759,
  [14760] = 14760,
  [14761] = 12262,
  [14762] = 12270,
  [14763] = 12428,
  [14764] = 14160,
  [14765] = 12447,
  [14766] = 12304,
  [14767] = 12174,
  [14768] = 14200,
  [14769] = 14718,
  [14770] = 14160,
  [14771] = 14771,
  [14772] = 13897,
  [14773] = 14200,
  [14774] = 12319,
  [14775] = 13897,
  [14776] = 12595,
  [14777] = 12295,
  [14778] = 12595,
  [14779] = 12272,
  [14780] = 12201,
  [14781] = 12280,
  [14782] = 12296,
  [14783] = 12304,
  [14784] = 12319,
  [14785] = 12201,
  [14786] = 4499,
  [14787] = 14160,
  [14788] = 14725,
  [14789] = 12310,
  [14790] = 12359,
  [14791] = 14791,
  [14792] = 13897,
  [14793] = 14442,
  [14794] = 4171,
  [14795] = 12342,
  [14796] = 12235,
  [14797] = 12308,
  [14798] = 14729,
  [14799] = 12262,
  [14800] = 12270,
  [14801] = 14801,
  [14802] = 12345,
  [14803] = 14200,
  [14804] = 13609,
  [14805] = 13897,
  [14806] = 14806,
  [14807] = 14807,
  [14808] = 12428,
  [14809] = 13613,
  [14810] = 12447,
  [14811] = 12369,
  [14812] = 14812,
  [14813] = 12370,
  [14814] = 13625,
  [14815] = 12174,
  [14816] = 12374,
  [14817] = 12377,
  [14818] = 12245,
  [14819] = 13897,
  [14820] = 12409,
  [14821] = 12413,
  [14822] = 14200,
  [14823] = 12208,
  [14824] = 12272,
  [14825] = 14825,
  [14826] = 11508,
  [14827] = 14160,
  [14828] = 14828,
  [14829] = 12232,
  [14830] = 14160,
  [14831] = 12308,
  [14832] = 12280,
  [14833] = 12296,
  [14834] = 14834,
  [14835] = 13141,
  [14836] = 14160,
  [14837] = 14200,
  [14838] = 12304,
  [14839] = 12319,
  [14840] = 4481,
  [14841] = 12396,
  [14842] = 12263,
  [14843] = 14200,
  [14844] = 4172,
  [14845] = 14200,
  [14846] = 14846,
  [14847] = 12391,
  [14848] = 12342,
  [14849] = 14160,
  [14850] = 14850,
  [14851] = 14160,
  [14852] = 12464,
  [14853] = 14853,
  [14854] = 14854,
  [14855] = 14200,
  [14856] = 13897,
  [14857] = 12345,
  [14858] = 14160,
  [14859] = 14400,
  [14860] = 12263,
  [14861] = 12235,
  [14862] = 14732,
  [14863] = 12406,
  [14864] = 12369,
  [14865] = 12370,
  [14866] = 12396,
  [14867] = 12374,
  [14868] = 12377,
  [14869] = 14160,
  [14870] = 14200,
  [14871] = 12359,
  [14872] = 14200,
  [14873] = 13897,
  [14874] = 12413,
  [14875] = 14408,
  [14876] = 12308,
  [14877] = 14200,
  [14878] = 12406,
  [14879] = 14160,
  [14880] = 12232,
  [14881] = 13544,
  [14882] = 4655,
  [14883] = 14200,
  [14884] = 11985,
  [14885] = 12262,
  [14886] = 12270,
  [14887] = 14160,
  [14888] = 14828,
  [14889] = 14889,
  [14890] = 14890,
  [14891] = 14891,
  [14892] = 12428,
  [14893] = 11529,
  [14894] = 12447,
  [14895] = 12310,
  [14896] = 13828,
  [14897] = 14160,
  [14898] = 14834,
  [14899] = 12396,
  [14900] = 13178,
  [14901] = 12595,
  [14902] = 12595,
  [14903] = 13897,
  [14904] = 13183,
  [14905] = 14905,
  [14906] = 12406,
  [14907] = 11850,
  [14908] = 12174,
  [14909] = 12396,
  [14910] = 12272,
  [14911] = 14759,
  [14912] = 14160,
  [14913] = 12232,
  [14914] = 14914,
  [14915] = 12235,
  [14916] = 12308,
  [14917] = 12201,
  [14918] = 12201,
  [14919] = 14053,
  [14920] = 12280,
  [14921] = 12235,
  [14922] = 14846,
  [14923] = 12272,
  [14924] = 14718,
  [14925] = 14925,
  [14926] = 12319,
  [14927] = 13897,
  [14928] = 12263,
  [14929] = 14929,
  [14930] = 14930,
  [14931] = 14931,
  [14932] = 13897,
  [14933] = 14732,
  [14934] = 14934,
  [14935] = 4655,
  [14936] = 12370,
  [14937] = 14937,
  [14938] = 12359,
  [14939] = 14057,
  [14940] = 12345,
  [14941] = 14160,
  [14942] = 4649,
  [14943] = 13298,
  [14944] = 14160,
  [14945] = 14945,
  [14946] = 13897,
  [14947] = 14825,
  [14948] = 12377,
  [14949] = 12396,
  [14950] = 4483,
  [14951] = 14005,
  [14952] = 14160,
  [14953] = 13897,
  [14954] = 14160,
  [14955] = 14853,
  [14956] = 14160,
  [14957] = 14957,
  [14958] = 12374,
  [14959] = 14200,
  [14960] = 14850,
  [14961] = 12428,
  [14962] = 12245,
  [14963] = 14963,
  [14964] = 12428,
  [14965] = 12235,
  [14966] = 12447,
  [14967] = 4172,
  [14968] = 14968,
  [14969] = 4654,
  [14970] = 14970,
  [14971] = 14160,
  [14972] = 12235,
  [14973] = 12413,
  [14974] = 14970,
  [14975] = 14200,
  [14976] = 13897,
  [14977] = 12304,
  [14978] = 14741,
  [14979] = 14200,
  [14980] = 12377,
  [14981] = 12308,
  [14982] = 4582,
  [14983] = 13298,
  [14984] = 12201,
  [14985] = 14985,
  [14986] = 14160,
  [14987] = 14729,
  [14988] = 14988,
  [14989] = 12174,
  [14990] = 14200,
  [14991] = 14200,
  [14992] = 5570,
  [14993] = 13897,
  [14994] = 14994,
  [14995] = 14995,
  [14996] = 13897,
  [14997] = 14997,
  [14998] = 14760,
  [14999] = 12262,
  [15000] = 4352,
  [15001] = 12396,
  [15002] = 4592,
  [15003] = 4540,
  [15004] = 12447,
  [15005] = 14929,
  [15006] = 12409,
  [15007] = 12262,
  [15008] = 5570,
  [15009] = 14200,
  [15010] = 12406,
  [15011] = 5103,
  [15012] = 11985,
  [15013] = 12374,
  [15014] = 13298,
  [15015] = 14963,
  [15016] = 4541,
  [15017] = 12270,
  [15018] = 13298,
  [15019] = 4630,
  [15020] = 12310,
  [15021] = 13897,
  [15022] = 14760,
  [15023] = 14160,
  [15024] = 15024,
  [15025] = 4575,
  [15026] = 15026,
  [15027] = 4647,
  [15028] = 15028,
  [15029] = 14725,
  [15030] = 4527,
  [15031] = 13897,
  [15032] = 4171,
  [15033] = 12280,
  [15034] = 15034,
  [15035] = 15035,
  [15036] = 12201,
  [15037] = 14160,
  [15038] = 14930,
  [15039] = 12296,
  [15040] = 15040,
  [15041] = 12296,
  [15042] = 4583,
  [15043] = 12208,
  [15044] = 15034,
  [15045] = 12270,
  [15046] = 5264,
  [15047] = 14200,
  [15048] = 4611,
  [15049] = 14985,
  [15050] = 4685,
  [15051] = 14997,
  [15052] = 14160,
  [15053] = 14160,
  [15054] = 14200,
  [15055] = 12369,
  [15056] = 12245,
  [15057] = 4756,
  [15058] = 15024,
  [15059] = 13897,
  [15060] = 12208,
  [15061] = 15061,
  [15062] = 14732,
  [15063] = 12342,
  [15064] = 14988,
  [15065] = 15065,
  [15066] = 14854,
  [15067] = 15026,
  [15068] = 12369,
  [15069] = 13298,
  [15070] = 14200,
  [15071] = 12464,
  [15072] = 12464,
  [15073] = 14160,
  [15074] = 12359,
  [15075] = 14057,
  [15076] = 12174,
  [15077] = 14834,
  [15078] = 14160,
  [15079] = 4552,
  [15080] = 14160,
  [15081] = 14200,
  [15082] = 12342,
  [15083] = 4631,
  [15084] = 14005,
  [15085] = 12413,
  [15086] = 4172,
  [15087] = 4731,
  [15088] = 4535,
  [15089] = 12272,
  [15090] = 4171,
  [15091] = 13298,
  [15092] = 14200,
  [15093] = 12263,
  [15094] = 12370,
  [15095] = 12345,
  [15096] = 14200,
  [15097] = 5570,
  [15098] = 12280,
  [15099] = 14200,
  [15100] = 12308,
  [15101] = 4537,
  [15102] = 14914,
  [15103] = 12406,
  [15104] = 12310,
  [15105] = 12232,
  [15106] = 14994,
  [15107] = 4687,
  [15108] = 12232,
  [15109] = 14200,
  [15110] = 15110,
  [15111] = 4610,
  [15112] = 15034,
  [15113] = 15113,
  [15114] = 14287,
  [15115] = 5430,
  [15116] = 15116,
  [15117] = 6203,
  [15118] = 6198,
  [15119] = 6267,
  [15120] = 15061,
  [15121] = 6267,
  [15122] = 15113,
  [15123] = 6199,
  [15124] = 15113,
  [15125] = 15125,
  [15126] = 15065,
  [15127] = 14925,
  [15128] = 15034,
  [15129] = 15113,
  [15130] = 13897,
  [15131] = 15131,
  [15132] = 15132,
  [15133] = 14005,
  [15134] = 5527,
  [15135] = 5495,
  [15136] = 6332,
  [15137] = 5537,
  [15138] = 15138,
  [15139] = 6203,
  [15140] = 15113,
  [15141] = 5550,
  [15142] = 14548,
  [15143] = 15113,
  [15144] = 14043,
  [15145] = 14057,
  [15146] = 15113,
  [15147] = 6267,
  [15148] = 15148,
  [15149] = 14376,
  [15150] = 15113,
  [15151] = 15151,
  [15152] = 13897,
  [15153] = 15153,
  [15154] = 15154,
  [15155] = 15113,
  [15156] = 15156,
  [15157] = 14043,
  [15158] = 15113,
  [15159] = 15028,
  [15160] = 6332,
  [15161] = 14970,
  [15162] = 5495,
  [15163] = 15163,
  [15164] = 14043,
  [15165] = 14392,
  [15166] = 15113,
  [15167] = 15113,
  [15168] = 14160,
  [15169] = 15169,
  [15170] = 14539,
  [15171] = 15113,
  [15172] = 15172,
  [15173] = 14995,
  [15174] = 14160,
  [15175] = 12235,
  [15176] = 14043,
  [15177] = 14287,
  [15178] = 14004,
  [15179] = 15179,
  [15180] = 15180,
  [15181] = 14200,
  [15182] = 5537,
  [15183] = 5516,
  [15184] = 15184,
  [15185] = 12396,
  [15186] = 14160,
  [15187] = 12308,
  [15188] = 15113,
  [15189] = 15189,
  [15190] = 15190,
  [15191] = 14200,
  [15192] = 5550,
  [15193] = 14004,
  [15194] = 15113,
  [15195] = 15034,
  [15196] = 5527,
  [15197] = 15197,
  [15198] = 5516,
  [15199] = 15113,
  [15200] = 15113,
  [15201] = 6199,
  [15202] = 15040,
  [15203] = 15113,
  [15204] = 15024,
  [15205] = 5495,
  [15206] = 15206,
  [15207] = 6198,
  [15208] = 8040,
  [15209] = 15113,
  [15210] = 14160,
  [15211] = 15211,
  [15212] = 6199,
  [15213] = 15113,
  [15214] = 14200,
  [15215] = 15215,
  [15216] = 15216,
  [15217] = 14200,
  [15218] = 14200,
  [15219] = 15219,
  [15220] = 6332,
  [15221] = 14160,
  [15222] = 15222,
  [15223] = 14200,
  [15224] = 5516,
  [15225] = 15225,
  [15226] = 5550,
  [15227] = 14043,
  [15228] = 15113,
  [15229] = 14200,
  [15230] = 8040,
  [15231] = 5570,
  [15232] = 12232,
  [15233] = 15110,
  [15234] = 15113,
  [15235] = 15113,
  [15236] = 6203,
  [15237] = 15189,
  [15238] = 14160,
  [15239] = 12201,
  [15240] = 15240,
  [15241] = 8040,
  [15242] = 14934,
  [15243] = 14160,
  [15244] = 15113,
  [15245] = 14160,
  [15246] = 15113,
  [15247] = 15225,
  [15248] = 15184,
  [15249] = 15249,
  [15250] = 15250,
  [15251] = 15251,
  [15252] = 15252,
  [15253] = 14945,
  [15254] = 5537,
  [15255] = 15113,
  [15256] = 15256,
  [15257] = 14968,
  [15258] = 5527,
  [15259] = 14376,
  [15260] = 15260,
  [15261] = 12406,
  [15262] = 14994,
  [15263] = 5450,
  [15264] = 15035,
  [15265] = 15113,
  [15266] = 14929,
  [15267] = 14200,
  [15268] = 14988,
  [15269] = 14004,
  [15270] = 6198,
  [15271] = 15271,
  [15272] = 15272,
  [15273] = 14276,
  [15274] = 15274,
  [15275] = 15275,
  [15276] = 15276,
  [15277] = 15277,
  [15278] = 15278,
  [15279] = 15279,
  [15280] = 15280,
  [15281] = 15281,
  [15282] = 8040,
  [15283] = 13897,
  [15284] = 15272,
  [15285] = 15272,
  [15286] = 14268,
  [15287] = 15287,
  [15288] = 15272,
  [15289] = 15289,
  [15290] = 15256,
  [15291] = 14715,
  [15292] = 15172,
  [15293] = 15293,
  [15294] = 15294,
  [15295] = 13897,
  [15296] = 15296,
  [15297] = 13897,
  [15298] = 15272,
  [15299] = 15299,
  [15300] = 15300,
  [15301] = 15272,
  [15302] = 13897,
  [15303] = 15303,
  [15304] = 5527,
  [15305] = 14342,
  [15306] = 15296,
  [15307] = 14268,
  [15308] = 15308,
  [15309] = 14200,
  [15310] = 15293,
  [15311] = 15272,
  [15312] = 15312,
  [15313] = 15313,
  [15314] = 15272,
  [15315] = 15138,
  [15316] = 15316,
  [15317] = 15272,
  [15318] = 15272,
  [15319] = 15319,
  [15320] = 6198,
  [15321] = 6199,
  [15322] = 15272,
  [15323] = 14268,
  [15324] = 15272,
  [15325] = 15325,
  [15326] = 14287,
  [15327] = 15327,
  [15328] = 14276,
  [15329] = 15272,
  [15330] = 15330,
  [15331] = 15272,
  [15332] = 15332,
  [15333] = 15333,
  [15334] = 15334,
  [15335] = 15335,
  [15336] = 15116,
  [15337] = 15337,
  [15338] = 15338,
  [15339] = 15339,
  [15340] = 14103,
  [15341] = 15272,
  [15342] = 15342,
  [15343] = 15272,
  [15344] = 15272,
  [15345] = 15345,
  [15346] = 15346,
  [15347] = 15272,
  [15348] = 14158,
  [15349] = 14376,
  [15350] = 15350,
  [15351] = 15351,
  [15352] = 5537,
  [15353] = 15353,
  [15354] = 14160,
  [15355] = 5495,
  [15356] = 14290,
  [15357] = 4655,
  [15358] = 14337,
  [15359] = 15272,
  [15360] = 14103,
  [15361] = 15300,
  [15362] = 15151,
  [15363] = 5516,
  [15364] = 6203,
  [15365] = 15365,
  [15366] = 15272,
  [15367] = 15153,
  [15368] = 15368,
  [15369] = 15272,
  [15370] = 15190,
  [15371] = 15371,
  [15372] = 15372,
  [15373] = 15154,
  [15374] = 15374,
  [15375] = 15333,
  [15376] = 15376,
  [15377] = 14158,
  [15378] = 15378,
  [15379] = 15379,
  [15380] = 15339,
  [15381] = 15381,
  [15382] = 15272,
  [15383] = 15383,
  [15384] = 15384,
  [15385] = 4685,
  [15386] = 15386,
  [15387] = 15387,
  [15388] = 15169,
  [15389] = 15389,
  [15390] = 15390,
  [15391] = 15391,
  [15392] = 15272,
  [15393] = 15125,
  [15394] = 15394,
  [15395] = 15272,
  [15396] = 14200,
  [15397] = 15272,
  [15398] = 15216,
  [15399] = 15399,
  [15400] = 14160,
  [15401] = 15337,
  [15402] = 15402,
  [15403] = 15403,
  [15404] = 15404,
  [15405] = 15272,
  [15406] = 15279,
  [15407] = 15407,
  [15408] = 15272,
  [15409] = 15409,
  [15410] = 15410,
  [15411] = 6332,
  [15412] = 15412,
  [15413] = 15413,
  [15414] = 15414,
  [15415] = 15272,
  [15416] = 15272,
  [15417] = 15417,
  [15418] = 15418,
  [15419] = 4687,
  [15420] = 15272,
  [15421] = 5550,
  [15422] = 15422,
  [15423] = 15423,
  [15424] = 15272,
  [15425] = 15272,
  [15426] = 15399,
  [15427] = 15272,
  [15428] = 15272,
  [15429] = 14846,
  [15430] = 4654,
  [15431] = 15431,
  [15432] = 15272,
  [15433] = 15433,
  [15434] = 15434,
  [15435] = 6267,
  [15436] = 15436,
  [15437] = 14160,
  [15438] = 15438,
  [15439] = 5103,
  [15440] = 14342,
  [15441] = 15441,
  [15442] = 15272,
  [15443] = 15443,
  [15444] = 15444,
  [15445] = 15445,
  [15446] = 15446,
  [15447] = 15379,
  [15448] = 15272,
  [15449] = 15449,
  [15450] = 15240,
  [15451] = 15451,
  [15452] = 15211,
  [15453] = 15453,
  [15454] = 15454,
  [15455] = 15313,
  [15456] = 15438,
  [15457] = 14853,
  [15458] = 5264,
  [15459] = 15131,
  [15460] = 15460,
  [15461] = 15461,
  [15462] = 15272,
  [15463] = 15463,
  [15464] = 15272,
  [15465] = 14200,
  [15466] = 15466,
  [15467] = 15467,
  [15468] = 15468,
  [15469] = 14290,
  [15470] = 15272,
  [15471] = 15272,
  [15472] = 15472,
  [15473] = 15473,
  [15474] = 15252,
  [15475] = 15475,
  [15476] = 15476,
  [15477] = 15272,
  [15478] = 15272,
  [15479] = 15479,
  [15480] = 15480,
  [15481] = 15272,
  [15482] = 15482,
  [15483] = 15466,
  [15484] = 15484,
  [15485] = 15485,
  [15486] = 15486,
  [15487] = 14337,
  [15488] = 15488,
  [15489] = 15423,
  [15490] = 15272,
  [15491] = 15350,
  [15492] = 15492,
  [15493] = 15272,
  [15494] = 15381,
  [15495] = 4654,
  [15496] = 15272,
  [15497] = 14200,
  [15498] = 15272,
  [15499] = 15499,
  [15500] = 14160,
  [15501] = 4685,
  [15502] = 15272,
  [15503] = 15503,
  [15504] = 15260,
  [15505] = 15505,
  [15506] = 15272,
  [15507] = 15272,
  [15508] = 15272,
  [15509] = 15509,
  [15510] = 15409,
  [15511] = 15511,
  [15512] = 15330,
  [15513] = 15272,
  [15514] = 15514,
  [15515] = 15515,
  [15516] = 15516,
  [15517] = 15517,
  [15518] = 15509,
  [15519] = 15272,
  [15520] = 15476,
  [15521] = 4687,
  [15522] = 15294,
  [15523] = 15272,
  [15524] = 15524,
  [15525] = 15272,
  [15526] = 15272,
  [15527] = 15527,
  [15528] = 15251,
  [15529] = 15334,
  [15530] = 15530,
  [15531] = 15272,
  [15532] = 15272,
  [15533] = 15533,
  [15534] = 11458,
  [15535] = 15379,
  [15536] = 4172,
  [15537] = 15289,
  [15538] = 15538,
  [15539] = 15538,
  [15540] = 15488,
  [15541] = 15541,
  [15542] = 15542,
  [15543] = 15543,
  [15544] = 15544,
  [15545] = 5570,
  [15546] = 15546,
  [15547] = 15527,
  [15548] = 15544,
  [15549] = 11373,
  [15550] = 15550,
  [15551] = 15378,
  [15552] = 15538,
  [15553] = 15553,
  [15554] = 15554,
  [15555] = 15543,
  [15556] = 15544,
  [15557] = 15538,
  [15558] = 15553,
  [15559] = 15559,
  [15560] = 15517,
  [15561] = 15451,
  [15562] = 15390,
  [15563] = 15543,
  [15564] = 15543,
  [15565] = 15565,
  [15566] = 15404,
  [15567] = 15476,
  [15568] = 15345,
  [15569] = 15565,
  [15570] = 15570,
  [15571] = 15571,
  [15572] = 15327,
  [15573] = 15538,
  [15574] = 15574,
  [15575] = 15575,
  [15576] = 15538,
  [15577] = 15538,
  [15578] = 15335,
  [15579] = 15579,
  [15580] = 15543,
  [15581] = 15505,
  [15582] = 15383,
  [15583] = 15574,
  [15584] = 15543,
  [15585] = 15541,
  [15586] = 15391,
  [15587] = 15460,
  [15588] = 15403,
  [15589] = 15541,
  [15590] = 15434,
  [15591] = 11445,
  [15592] = 15541,
  [15593] = 15593,
  [15594] = 15554,
  [15595] = 14957,
  [15596] = 15303,
  [15597] = 15565,
  [15598] = 15543,
  [15599] = 15553,
  [15600] = 15544,
  [15601] = 11427,
  [15602] = 15602,
  [15603] = 15544,
  [15604] = 15571,
  [15605] = 15544,
  [15606] = 15565,
  [15607] = 15543,
  [15608] = 14400,
  [15609] = 15538,
  [15610] = 15399,
  [15611] = 15611,
  [15612] = 15538,
  [15613] = 15613,
  [15614] = 15276,
  [15615] = 15543,
  [15616] = 15553,
  [15617] = 15541,
  [15618] = 15544,
  [15619] = 15553,
  [15620] = 15565,
  [15621] = 15543,
  [15622] = 15441,
  [15623] = 15623,
  [15624] = 14408,
  [15625] = 15541,
  [15626] = 15544,
  [15627] = 15394,
  [15628] = 15407,
  [15629] = 15553,
  [15630] = 15630,
  [15631] = 15631,
  [15632] = 15446,
  [15633] = 15475,
  [15634] = 15538,
  [15635] = 15486,
  [15636] = 15541,
  [15637] = 15299,
  [15638] = 15338,
  [15639] = 15538,
  [15640] = 15640,
  [15641] = 15271,
  [15642] = 15316,
  [15643] = 15443,
  [15644] = 15554,
  [15645] = 15554,
  [15646] = 15571,
  [15647] = 15647,
  [15648] = 15541,
  [15649] = 15277,
  [15650] = 15571,
  [15651] = 15543,
  [15652] = 15553,
  [15653] = 15444,
  [15654] = 15541,
  [15655] = 15655,
  [15656] = 15656,
  [15657] = 15332,
  [15658] = 15647,
  [15659] = 15659,
  [15660] = 15414,
  [15661] = 14850,
  [15662] = 15516,
  [15663] = 15515,
  [15664] = 15647,
  [15665] = 15538,
  [15666] = 15544,
  [15667] = 15541,
  [15668] = 15453,
  [15669] = 15544,
  [15670] = 15308,
  [15671] = 15671,
  [15672] = 15553,
  [15673] = 15673,
  [15674] = 14970,
  [15675] = 15368,
  [15676] = 15676,
  [15677] = 15677,
  [15678] = 15565,
  [15679] = 15543,
  [15680] = 15680,
  [15681] = 15541,
  [15682] = 15402,
  [15683] = 15384,
  [15684] = 15412,
  [15685] = 11428,
  [15686] = 15565,
  [15687] = 15499,
  [15688] = 15543,
  [15689] = 15543,
  [15690] = 15061,
  [15691] = 15565,
  [15692] = 15565,
  [15693] = 15538,
  [15694] = 15543,
  [15695] = 15695,
  [15696] = 14637,
  [15697] = 15554,
  [15698] = 15543,
  [15699] = 15571,
  [15700] = 15541,
  [15701] = 15543,
  [15702] = 15553,
  [15703] = 15554,
  [15704] = 15571,
  [15705] = 15280,
  [15706] = 15544,
  [15707] = 5430,
  [15708] = 15708,
  [15709] = 15365,
  [15710] = 15313,
  [15711] = 15711,
  [15712] = 15541,
  [15713] = 15565,
  [15714] = 15544,
  [15715] = 15413,
  [15716] = 15553,
  [15717] = 15541,
  [15718] = 15544,
  [15719] = 15473,
  [15720] = 15541,
  [15721] = 4171,
  [15722] = 15722,
  [15723] = 15399,
  [15724] = 15544,
  [15725] = 15554,
  [15726] = 15350,
  [15727] = 15553,
  [15728] = 15433,
  [15729] = 15554,
  [15730] = 15511,
  [15731] = 15541,
  [15732] = 15530,
  [15733] = 15376,
  [15734] = 15571,
  [15735] = 15565,
  [15736] = 15736,
  [15737] = 15737,
  [15738] = 15389,
  [15739] = 15543,
  [15740] = 15554,
  [15741] = 15544,
  [15742] = 15565,
  [15743] = 14850,
  [15744] = 15744,
  [15745] = 15379,
  [15746] = 15746,
  [15747] = 15436,
  [15748] = 15544,
  [15749] = 15571,
  [15750] = 15544,
  [15751] = 15541,
  [15752] = 15565,
  [15753] = 15554,
  [15754] = 15538,
  [15755] = 15554,
  [15756] = 15571,
  [15757] = 15544,
  [15758] = 15346,
  [15759] = 15759,
  [15760] = 15565,
  [15761] = 11409,
  [15762] = 15762,
  [15763] = 15372,
  [15764] = 15543,
  [15765] = 15541,
  [15766] = 15766,
  [15767] = 15571,
  [15768] = 15553,
  [15769] = 15279,
  [15770] = 15275,
  [15771] = 15771,
  [15772] = 5450,
  [15773] = 15554,
  [15774] = 15337,
  [15775] = 15553,
  [15776] = 15541,
  [15777] = 15544,
  [15778] = 15623,
  [15779] = 15779,
  [15780] = 15468,
  [15781] = 15553,
  [15782] = 15350,
  [15783] = 15300,
  [15784] = 15503,
  [15785] = 15553,
  [15786] = 15786,
  [15787] = 15787,
  [15788] = 15565,
  [15789] = 15386,
  [15790] = 15541,
  [15791] = 15791,
  [15792] = 15792,
  [15793] = 15312,
  [15794] = 15541,
  [15795] = 15278,
  [15796] = 15659,
  [15797] = 15543,
  [15798] = 15281,
  [15799] = 15565,
  [15800] = 15554,
  [15801] = 15565,
  [15802] = 15319,
  [15803] = 15524,
  [15804] = 15804,
  [15805] = 15544,
  [15806] = 15541,
  [15807] = 15647,
  [15808] = 15541,
  [15809] = 15809,
  [15810] = 15371,
  [15811] = 15554,
  [15812] = 15571,
  [15813] = 14929,
  [15814] = 15571,
  [15815] = 11390,
  [15816] = 15538,
  [15817] = 15543,
  [15818] = 15722,
  [15819] = 15554,
  [15820] = 15554,
  [15821] = 15821,
  [15822] = 15571,
  [15823] = 15374,
  [15824] = 15570,
  [15825] = 15514,
  [15826] = 14442,
  [15827] = 15544,
  [15828] = 15410,
  [15829] = 15571,
  [15830] = 15571,
  [15831] = 15449,
  [15832] = 15287,
  [15833] = 15538,
  [15834] = 15554,
  [15835] = 15485,
  [15836] = 15538,
  [15837] = 15554,
  [15838] = 15538,
  [15839] = 15553,
  [15840] = 15553,
  [15841] = 15571,
  [15842] = 15544,
  [15843] = 15843,
  [15844] = 15543,
  [15845] = 15492,
  [15846] = 15543,
  [15847] = 15809,
  [15848] = 15461,
  [15849] = 15544,
  [15850] = 15543,
  [15851] = 15541,
  [15852] = 15571,
  [15853] = 15759,
  [15854] = 15417,
  [15855] = 15274,
  [15856] = 14968,
  [15857] = 15418,
  [15858] = 15786,
  [15859] = 15543,
  [15860] = 15544,
  [15861] = 15463,
  [15862] = 15571,
  [15863] = 15351,
  [15864] = 15544,
  [15865] = 15467,
  [15866] = 15866,
  [15867] = 15544,
  [15868] = 15647,
  [15869] = 11456,
  [15870] = 11444,
  [15871] = 15541,
  [15872] = 15553,
  [15873] = 15387,
  [15874] = 15565,
  [15875] = 15875,
  [15876] = 15876,
  [15877] = 15877,
  [15878] = 15878,
  [15879] = 15879,
  [15880] = 15880,
  [15881] = 15881,
  [15882] = 15882,
  [15883] = 15878,
  [15884] = 15878,
  [15885] = 15879,
  [15886] = 15879,
  [15887] = 15876,
  [15888] = 15877,
  [15889] = 15889,
  [15890] = 15880,
  [15891] = 15881,
  [15892] = 15882,
  [15893] = 15878,
  [15894] = 15876,
  [15895] = 15877,
  [15896] = 15880,
  [15897] = 15881,
  [15898] = 15882,
  [15899] = 15878,
  [15900] = 15900,
  [15901] = 15901,
  [15902] = 15902,
  [15903] = 15876,
  [15904] = 15877,
  [15905] = 15876,
  [15906] = 15877,
  [15907] = 15907,
  [15908] = 15880,
  [15909] = 15881,
  [15910] = 15882,
  [15911] = 15878,
  [15912] = 15912,
  [15913] = 15876,
  [15914] = 15877,
  [15915] = 15880,
  [15916] = 15916,
  [15917] = 15880,
  [15918] = 15918,
  [15919] = 15881,
  [15920] = 15882,
  [15921] = 15878,
  [15922] = 15878,
  [15923] = 15879,
  [15924] = 15881,
  [15925] = 5550,
  [15926] = 15882,
  [15927] = 15876,
  [15928] = 15877,
  [15929] = 15929,
  [15930] = 15880,
  [15931] = 15881,
  [15932] = 15878,
  [15933] = 15882,
  [15934] = 15878,
  [15935] = 15935,
  [15936] = 15936,
  [15937] = 15937,
  [15938] = 15876,
  [15939] = 15877,
  [15940] = 15880,
  [15941] = 15881,
  [15942] = 15882,
  [15943] = 15878,
  [15944] = 15944,
  [15945] = 15945,
  [15946] = 15946,
  [15947] = 15947,
  [15948] = 15876,
  [15949] = 15877,
  [15950] = 15900,
  [15951] = 15901,
  [15952] = 15880,
  [15953] = 15881,
  [15954] = 15882,
  [15955] = 15878,
  [15956] = 15902,
  [15957] = 15876,
  [15958] = 15900,
  [15959] = 15901,
  [15960] = 15876,
  [15961] = 15877,
  [15962] = 15902,
  [15963] = 15876,
  [15964] = 15877,
  [15965] = 15880,
  [15966] = 15907,
  [15967] = 15881,
  [15968] = 15877,
  [15969] = 15882,
  [15970] = 15907,
  [15971] = 15878,
  [15972] = 15972,
  [15973] = 15973,
  [15974] = 15876,
  [15975] = 15877,
  [15976] = 15880,
  [15977] = 15880,
  [15978] = 15881,
  [15979] = 15882,
  [15980] = 15916,
  [15981] = 15878,
  [15982] = 15918,
  [15983] = 15881,
  [15984] = 15876,
  [15985] = 15877,
  [15986] = 15882,
  [15987] = 15880,
  [15988] = 15881,
  [15989] = 15882,
  [15990] = 15990,
  [15991] = 15878,
  [15992] = 15878,
  [15993] = 15876,
  [15994] = 15877,
  [15995] = 15880,
  [15996] = 15881,
  [15997] = 15882,
  [15998] = 15998,
  [15999] = 15878,
  [16000] = 15880,
  [16001] = 15937,
  [16002] = 15916,
  [16003] = 15876,
  [16004] = 15877,
  [16005] = 15918,
  [16006] = 15880,
  [16007] = 15881,
  [16008] = 16008,
  [16009] = 15882,
  [16010] = 15878,
  [16011] = 15900,
  [16012] = 15901,
  [16013] = 15876,
  [16014] = 15877,
  [16015] = 15902,
  [16016] = 15880,
  [16017] = 15876,
  [16018] = 15881,
  [16019] = 15877,
  [16020] = 15882,
  [16021] = 15907,
  [16022] = 15878,
  [16023] = 15881,
  [16024] = 15876,
  [16025] = 15877,
  [16026] = 15882,
  [16027] = 15880,
  [16028] = 15881,
  [16029] = 15882,
  [16030] = 15878,
  [16031] = 15880,
  [16032] = 15916,
  [16033] = 15918,
  [16034] = 15876,
  [16035] = 15877,
  [16036] = 15880,
  [16037] = 15881,
  [16038] = 15881,
  [16039] = 15882,
  [16040] = 15878,
  [16041] = 15882,
  [16042] = 15880,
  [16043] = 16043,
  [16044] = 15878,
  [16045] = 15876,
  [16046] = 15877,
  [16047] = 15880,
  [16048] = 15881,
  [16049] = 16049,
  [16050] = 15882,
  [16051] = 15878,
  [16052] = 15878,
  [16053] = 15879,
  [16054] = 15900,
  [16055] = 15876,
  [16056] = 15877,
  [16057] = 15901,
  [16058] = 15880,
  [16059] = 15881,
  [16060] = 15882,
  [16061] = 15902,
  [16062] = 15878,
  [16063] = 15876,
  [16064] = 15876,
  [16065] = 15877,
  [16066] = 15877,
  [16067] = 16067,
  [16068] = 15880,
  [16069] = 15900,
  [16070] = 15881,
  [16071] = 15901,
  [16072] = 15882,
  [16073] = 15878,
  [16074] = 15902,
  [16075] = 15876,
  [16076] = 15877,
  [16077] = 15907,
  [16078] = 15907,
  [16079] = 16079,
  [16080] = 15876,
  [16081] = 15877,
  [16082] = 15880,
  [16083] = 15881,
  [16084] = 15882,
  [16085] = 16085,
  [16086] = 15878,
  [16087] = 16087,
  [16088] = 15880,
  [16089] = 6203,
  [16090] = 15876,
  [16091] = 15877,
  [16092] = 15916,
  [16093] = 15880,
  [16094] = 15918,
  [16095] = 15881,
  [16096] = 15882,
  [16097] = 15878,
  [16098] = 15935,
  [16099] = 15881,
  [16100] = 15882,
  [16101] = 16101,
  [16102] = 15876,
  [16103] = 15877,
  [16104] = 15880,
  [16105] = 15990,
  [16106] = 15881,
  [16107] = 16107,
  [16108] = 15882,
  [16109] = 15878,
  [16110] = 15878,
  [16111] = 15876,
  [16112] = 15877,
  [16113] = 15880,
  [16114] = 15881,
  [16115] = 15882,
  [16116] = 15937,
  [16117] = 15878,
  [16118] = 15876,
  [16119] = 15877,
  [16120] = 15880,
  [16121] = 15881,
  [16122] = 15882,
  [16123] = 15878,
  [16124] = 15876,
  [16125] = 15877,
  [16126] = 15880,
  [16127] = 15876,
  [16128] = 15877,
  [16129] = 16129,
  [16130] = 15880,
  [16131] = 15881,
  [16132] = 15882,
  [16133] = 15878,
  [16134] = 15900,
  [16135] = 15880,
  [16136] = 15901,
  [16137] = 15876,
  [16138] = 15877,
  [16139] = 15902,
  [16140] = 15880,
  [16141] = 15881,
  [16142] = 15881,
  [16143] = 15876,
  [16144] = 15882,
  [16145] = 15882,
  [16146] = 15878,
  [16147] = 15877,
  [16148] = 15907,
  [16149] = 15878,
  [16150] = 15876,
  [16151] = 15877,
  [16152] = 15878,
  [16153] = 15880,
  [16154] = 15916,
  [16155] = 15881,
  [16156] = 15918,
  [16157] = 15882,
  [16158] = 15878,
  [16159] = 16159,
  [16160] = 15876,
  [16161] = 15877,
  [16162] = 15990,
  [16163] = 15880,
  [16164] = 15881,
  [16165] = 15882,
  [16166] = 15878,
  [16167] = 15876,
  [16168] = 15877,
  [16169] = 15880,
  [16170] = 15881,
  [16171] = 15882,
  [16172] = 15878,
  [16173] = 15876,
  [16174] = 15877,
  [16175] = 14945,
  [16176] = 16176,
  [16177] = 15876,
  [16178] = 15877,
  [16179] = 15880,
  [16180] = 15881,
  [16181] = 15880,
  [16182] = 15882,
  [16183] = 15878,
  [16184] = 15881,
  [16185] = 15880,
  [16186] = 15876,
  [16187] = 15877,
  [16188] = 15916,
  [16189] = 15881,
  [16190] = 15880,
  [16191] = 15918,
  [16192] = 15881,
  [16193] = 15882,
  [16194] = 15882,
  [16195] = 15878,
  [16196] = 15878,
  [16197] = 15876,
  [16198] = 15877,
  [16199] = 15882,
  [16200] = 15880,
  [16201] = 15881,
  [16202] = 15881,
  [16203] = 15882,
  [16204] = 15879,
  [16205] = 15878,
  [16206] = 15882,
  [16207] = 15876,
  [16208] = 15877,
  [16209] = 15880,
  [16210] = 15881,
  [16211] = 15882,
  [16212] = 15878,
  [16213] = 15876,
  [16214] = 15877,
  [16215] = 15880,
  [16216] = 15881,
  [16217] = 15882,
  [16218] = 15878,
  [16219] = 15876,
  [16220] = 15877,
  [16221] = 15878,
  [16222] = 15880,
  [16223] = 15878,
  [16224] = 15880,
  [16225] = 15879,
  [16226] = 15878,
  [16227] = 15880,
  [16228] = 15880,
  [16229] = 15878,
  [16230] = 15880,
  [16231] = 16231,
  [16232] = 15878,
  [16233] = 15881,
  [16234] = 15878,
  [16235] = 15882,
  [16236] = 15880,
  [16237] = 15878,
  [16238] = 15880,
  [16239] = 15878,
  [16240] = 16240,
  [16241] = 15879,
  [16242] = 15880,
  [16243] = 15878,
  [16244] = 15878,
  [16245] = 15880,
  [16246] = 15878,
  [16247] = 15929,
  [16248] = 15880,
  [16249] = 15937,
  [16250] = 15878,
  [16251] = 15880,
  [16252] = 15878,
  [16253] = 15880,
  [16254] = 15936,
  [16255] = 15878,
  [16256] = 16256,
  [16257] = 15880,
  [16258] = 15878,
  [16259] = 15900,
  [16260] = 15880,
  [16261] = 15878,
  [16262] = 16262,
  [16263] = 15880,
  [16264] = 16264,
  [16265] = 15878,
  [16266] = 15901,
  [16267] = 15880,
  [16268] = 15878,
  [16269] = 15880,
  [16270] = 16270,
  [16271] = 15878,
  [16272] = 15880,
  [16273] = 15878,
  [16274] = 15880,
  [16275] = 15878,
  [16276] = 15880,
  [16277] = 16277,
  [16278] = 15878,
  [16279] = 15880,
  [16280] = 15876,
  [16281] = 15878,
  [16282] = 15877,
  [16283] = 15880,
  [16284] = 16284,
  [16285] = 15878,
  [16286] = 15945,
  [16287] = 15880,
  [16288] = 15878,
  [16289] = 15880,
  [16290] = 15878,
  [16291] = 15880,
  [16292] = 15878,
  [16293] = 15880,
  [16294] = 15878,
  [16295] = 15880,
  [16296] = 16296,
  [16297] = 15937,
  [16298] = 15972,
  [16299] = 15881,
  [16300] = 15882,
  [16301] = 15878,
  [16302] = 15990,
  [16303] = 15998,
  [16304] = 16304,
  [16305] = 16305,
  [16306] = 15900,
  [16307] = 15901,
  [16308] = 15902,
  [16309] = 15876,
  [16310] = 15877,
  [16311] = 15889,
  [16312] = 15907,
  [16313] = 16313,
  [16314] = 16314,
  [16315] = 15876,
  [16316] = 15877,
  [16317] = 15902,
  [16318] = 15907,
  [16319] = 15880,
  [16320] = 15990,
  [16321] = 15881,
  [16322] = 15882,
  [16323] = 16043,
  [16324] = 16324,
  [16325] = 15878,
  [16326] = 16326,
  [16327] = 15875,
  [16328] = 16159,
  [16329] = 15880,
  [16330] = 16330,
  [16331] = 16331,
  [16332] = 15916,
  [16333] = 15918,
  [16334] = 16334,
  [16335] = 15937,
  [16336] = 15881,
  [16337] = 15876,
  [16338] = 15877,
  [16339] = 15882,
  [16340] = 15880,
  [16341] = 15881,
  [16342] = 15882,
  [16343] = 15878,
  [16344] = 15902,
  [16345] = 15907,
  [16346] = 15878,
  [16347] = 15902,
  [16348] = 15907,
  [16349] = 15902,
  [16350] = 15907,
  [16351] = 15902,
  [16352] = 15907,
  [16353] = 15902,
  [16354] = 15907,
  [16355] = 15902,
  [16356] = 15907,
  [16357] = 15902,
  [16358] = 15907,
  [16359] = 15902,
  [16360] = 15907,
  [16361] = 15902,
  [16362] = 15907,
  [16363] = 15902,
  [16364] = 15907,
  [16365] = 15902,
  [16366] = 15907,
  [16367] = 15902,
  [16368] = 15907,
  [16369] = 15902,
  [16370] = 15907,
  [16371] = 15902,
  [16372] = 15907,
  [16373] = 15902,
  [16374] = 15907,
  [16375] = 15902,
  [16376] = 15907,
  [16377] = 15902,
  [16378] = 15907,
  [16379] = 15902,
  [16380] = 15907,
  [16381] = 15879,
  [16382] = 15947,
  [16383] = 16231,
  [16384] = 16384,
  [16385] = 15900,
  [16386] = 15901,
  [16387] = 15916,
  [16388] = 15902,
  [16389] = 16389,
  [16390] = 15918,
  [16391] = 15876,
  [16392] = 15877,
  [16393] = 15876,
  [16394] = 15877,
  [16395] = 15907,
  [16396] = 16314,
  [16397] = 15880,
  [16398] = 16384,
  [16399] = 15881,
  [16400] = 15882,
  [16401] = 16043,
  [16402] = 15878,
  [16403] = 15875,
  [16404] = 16129,
  [16405] = 16159,
  [16406] = 15990,
  [16407] = 16330,
  [16408] = 15937,
  [16409] = 16409,
  [16410] = 15902,
  [16411] = 15907,
  [16412] = 15902,
  [16413] = 15907,
  [16414] = 15902,
  [16415] = 15907,
  [16416] = 15902,
  [16417] = 15907,
  [16418] = 15902,
  [16419] = 15907,
  [16420] = 15902,
  [16421] = 15907,
  [16422] = 15902,
  [16423] = 15907,
  [16424] = 15902,
  [16425] = 15907,
  [16426] = 15944,
  [16427] = 15876,
  [16428] = 15877,
  [16429] = 15900,
  [16430] = 15901,
  [16431] = 16314,
  [16432] = 15902,
  [16433] = 15880,
  [16434] = 15876,
  [16435] = 15877,
  [16436] = 15907,
  [16437] = 15881,
  [16438] = 15937,
  [16439] = 15882,
  [16440] = 16043,
  [16441] = 16441,
  [16442] = 15875,
  [16443] = 15880,
  [16444] = 16159,
  [16445] = 15878,
  [16446] = 16330,
  [16447] = 16447,
  [16448] = 15902,
  [16449] = 15907,
  [16450] = 15902,
  [16451] = 15907,
  [16452] = 15902,
  [16453] = 15907,
  [16454] = 15902,
  [16455] = 15907,
  [16456] = 15902,
  [16457] = 15907,
  [16458] = 15902,
  [16459] = 15907,
  [16460] = 15902,
  [16461] = 15907,
  [16462] = 15902,
  [16463] = 15907,
  [16464] = 15990,
  [16465] = 16314,
  [16466] = 15916,
  [16467] = 15876,
  [16468] = 15877,
  [16469] = 15880,
  [16470] = 15918,
  [16471] = 16043,
  [16472] = 15880,
  [16473] = 16330,
  [16474] = 15902,
  [16475] = 15907,
  [16476] = 15902,
  [16477] = 15907,
  [16478] = 15902,
  [16479] = 15907,
  [16480] = 15916,
  [16481] = 15918,
  [16482] = 15881,
  [16483] = 16087,
  [16484] = 15882,
  [16485] = 16485,
  [16486] = 15878,
  [16487] = 15881,
  [16488] = 15881,
  [16489] = 16314,
  [16490] = 15882,
  [16491] = 16043,
  [16492] = 15882,
  [16493] = 16330,
  [16494] = 15902,
  [16495] = 15907,
  [16496] = 15900,
  [16497] = 15878,
  [16498] = 15876,
  [16499] = 15877,
  [16500] = 15879,
  [16501] = 16314,
  [16502] = 15880,
  [16503] = 16043,
  [16504] = 16330,
  [16505] = 16505,
  [16506] = 15881,
  [16507] = 15902,
  [16508] = 15907,
  [16509] = 15882,
  [16510] = 15878,
  [16511] = 15878,
  [16512] = 16008,
  [16513] = 15879,
  [16514] = 16314,
  [16515] = 16515,
  [16516] = 16043,
  [16517] = 16517,
  [16518] = 16330,
  [16519] = 15935,
  [16520] = 15876,
  [16521] = 15877,
  [16522] = 5495,
  [16523] = 16523,
  [16524] = 16314,
  [16525] = 15880,
  [16526] = 16043,
  [16527] = 15901,
  [16528] = 15881,
  [16529] = 15937,
  [16530] = 16330,
  [16531] = 15882,
  [16532] = 15878,
  [16533] = 16129,
  [16534] = 15900,
  [16535] = 15901,
  [16536] = 16314,
  [16537] = 16537,
  [16538] = 16538,
  [16539] = 15900,
  [16540] = 15901,
  [16541] = 16043,
  [16542] = 15902,
  [16543] = 16330,
  [16544] = 15876,
  [16545] = 15877,
  [16546] = 15907,
  [16547] = 15876,
  [16548] = 15877,
  [16549] = 16129,
  [16550] = 15902,
  [16551] = 16314,
  [16552] = 15880,
  [16553] = 16043,
  [16554] = 16554,
  [16555] = 16555,
  [16556] = 15881,
  [16557] = 16330,
  [16558] = 15882,
  [16559] = 15876,
  [16560] = 15990,
  [16561] = 15878,
  [16562] = 16562,
  [16563] = 16314,
  [16564] = 15877,
  [16565] = 15907,
  [16566] = 15880,
  [16567] = 15937,
  [16568] = 16043,
  [16569] = 15880,
  [16570] = 15916,
  [16571] = 16330,
  [16572] = 15918,
  [16573] = 15876,
  [16574] = 15877,
  [16575] = 16575,
  [16576] = 16314,
  [16577] = 15881,
  [16578] = 16043,
  [16579] = 15880,
  [16580] = 16580,
  [16581] = 16330,
  [16582] = 16582,
  [16583] = 16583,
  [16584] = 15882,
  [16585] = 15881,
  [16586] = 15947,
  [16587] = 15882,
  [16588] = 15878,
  [16589] = 16314,
  [16590] = 16590,
  [16591] = 15937,
  [16592] = 16043,
  [16593] = 15878,
  [16594] = 15879,
  [16595] = 16330,
  [16596] = 15876,
  [16597] = 15877,
  [16598] = 16314,
  [16599] = 16043,
  [16600] = 15990,
  [16601] = 15880,
  [16602] = 16330,
  [16603] = 15900,
  [16604] = 15901,
  [16605] = 15881,
  [16606] = 15902,
  [16607] = 15882,
  [16608] = 15876,
  [16609] = 15877,
  [16610] = 15878,
  [16611] = 16314,
  [16612] = 15907,
  [16613] = 16043,
  [16614] = 16330,
  [16615] = 16615,
  [16616] = 16616,
  [16617] = 15937,
  [16618] = 15990,
  [16619] = 16314,
  [16620] = 15876,
  [16621] = 15877,
  [16622] = 16043,
  [16623] = 16330,
  [16624] = 15880,
  [16625] = 15881,
  [16626] = 15900,
  [16627] = 15882,
  [16628] = 15901,
  [16629] = 16314,
  [16630] = 15878,
  [16631] = 15902,
  [16632] = 15876,
  [16633] = 15877,
  [16634] = 15907,
  [16635] = 16330,
  [16636] = 15880,
  [16637] = 16305,
  [16638] = 15990,
  [16639] = 15876,
  [16640] = 15877,
  [16641] = 16330,
  [16642] = 15880,
  [16643] = 15880,
  [16644] = 15881,
  [16645] = 15880,
  [16646] = 15882,
  [16647] = 15916,
  [16648] = 15878,
  [16649] = 15918,
  [16650] = 15916,
  [16651] = 15918,
  [16652] = 6199,
  [16653] = 16330,
  [16654] = 15881,
  [16655] = 15882,
  [16656] = 15881,
  [16657] = 15882,
  [16658] = 15876,
  [16659] = 15877,
  [16660] = 15878,
  [16661] = 16661,
  [16662] = 15880,
  [16663] = 16330,
  [16664] = 15879,
  [16665] = 15881,
  [16666] = 16666,
  [16667] = 15882,
  [16668] = 15916,
  [16669] = 15878,
  [16670] = 15918,
  [16671] = 15156,
  [16672] = 16330,
  [16673] = 16673,
  [16674] = 15878,
  [16675] = 15879,
  [16676] = 15916,
  [16677] = 16677,
  [16678] = 16176,
  [16679] = 15876,
  [16680] = 15877,
  [16681] = 16681,
  [16682] = 15990,
  [16683] = 16330,
  [16684] = 15880,
  [16685] = 15918,
  [16686] = 16686,
  [16687] = 15881,
  [16688] = 15882,
  [16689] = 14741,
  [16690] = 15878,
  [16691] = 15937,
  [16692] = 15881,
  [16693] = 16693,
  [16694] = 15882,
  [16695] = 16330,
  [16696] = 16696,
  [16697] = 15900,
  [16698] = 15901,
  [16699] = 15902,
  [16700] = 15876,
  [16701] = 15877,
  [16702] = 15876,
  [16703] = 15878,
  [16704] = 15907,
  [16705] = 16231,
  [16706] = 16330,
  [16707] = 15880,
  [16708] = 15881,
  [16709] = 15882,
  [16710] = 15878,
  [16711] = 15990,
  [16712] = 16330,
  [16713] = 15880,
  [16714] = 15878,
  [16715] = 16555,
  [16716] = 15916,
  [16717] = 15918,
  [16718] = 15876,
  [16719] = 15877,
  [16720] = 15880,
  [16721] = 15881,
  [16722] = 16722,
  [16723] = 15882,
  [16724] = 15881,
  [16725] = 15882,
  [16726] = 15878,
  [16727] = 15878,
  [16728] = 15878,
  [16729] = 15879,
  [16730] = 15876,
  [16731] = 16731,
  [16732] = 15877,
  [16733] = 16733,
  [16734] = 15937,
  [16735] = 15879,
  [16736] = 15880,
  [16737] = 15881,
  [16738] = 15882,
  [16739] = 16673,
  [16740] = 15878,
  [16741] = 15879,
  [16742] = 15900,
  [16743] = 15945,
  [16744] = 15901,
  [16745] = 15900,
  [16746] = 15901,
  [16747] = 15937,
  [16748] = 15876,
  [16749] = 15877,
  [16750] = 15902,
  [16751] = 15876,
  [16752] = 16752,
  [16753] = 15877,
  [16754] = 15880,
  [16755] = 16755,
  [16756] = 15907,
  [16757] = 15900,
  [16758] = 15901,
  [16759] = 15881,
  [16760] = 15882,
  [16761] = 15902,
  [16762] = 15876,
  [16763] = 15878,
  [16764] = 16764,
  [16765] = 15877,
  [16766] = 15907,
  [16767] = 16767,
  [16768] = 15902,
  [16769] = 16049,
  [16770] = 15972,
  [16771] = 15990,
  [16772] = 15876,
  [16773] = 15877,
  [16774] = 15880,
  [16775] = 15937,
  [16776] = 15880,
  [16777] = 15881,
  [16778] = 15916,
  [16779] = 15882,
  [16780] = 15918,
  [16781] = 15878,
  [16782] = 15998,
  [16783] = 15990,
  [16784] = 15881,
  [16785] = 15882,
  [16786] = 16786,
  [16787] = 5516,
  [16788] = 15878,
  [16789] = 16789,
  [16790] = 15876,
  [16791] = 15877,
  [16792] = 15879,
  [16793] = 15880,
  [16794] = 15880,
  [16795] = 15929,
  [16796] = 15881,
  [16797] = 15882,
  [16798] = 15878,
  [16799] = 16799,
  [16800] = 16677,
  [16801] = 15916,
  [16802] = 15936,
  [16803] = 15918,
  [16804] = 15902,
  [16805] = 16554,
  [16806] = 16806,
  [16807] = 15881,
  [16808] = 15876,
  [16809] = 15882,
  [16810] = 15876,
  [16811] = 15877,
  [16812] = 15877,
  [16813] = 15907,
  [16814] = 15880,
  [16815] = 16554,
  [16816] = 15881,
  [16817] = 15937,
  [16818] = 15882,
  [16819] = 16681,
  [16820] = 15878,
  [16821] = 15878,
  [16822] = 15879,
  [16823] = 15900,
  [16824] = 15901,
  [16825] = 15902,
  [16826] = 15876,
  [16827] = 15877,
  [16828] = 15907,
  [16829] = 15876,
  [16830] = 16799,
  [16831] = 15877,
  [16832] = 16832,
  [16833] = 16833,
  [16834] = 15876,
  [16835] = 15880,
  [16836] = 15881,
  [16837] = 15877,
  [16838] = 15882,
  [16839] = 15990,
  [16840] = 15878,
  [16841] = 15947,
  [16842] = 15880,
  [16843] = 15916,
  [16844] = 15918,
  [16845] = 15876,
  [16846] = 15877,
  [16847] = 16686,
  [16848] = 15881,
  [16849] = 15880,
  [16850] = 15907,
  [16851] = 14850,
  [16852] = 15882,
  [16853] = 15881,
  [16854] = 15882,
  [16855] = 15878,
  [16856] = 15881,
  [16857] = 15878,
  [16858] = 15879,
  [16859] = 16859,
  [16860] = 15876,
  [16861] = 15877,
  [16862] = 16862,
  [16863] = 15990,
  [16864] = 15880,
  [16865] = 15881,
  [16866] = 15882,
  [16867] = 16176,
  [16868] = 15878,
  [16869] = 16869,
  [16870] = 5527,
  [16871] = 15875,
  [16872] = 15882,
  [16873] = 15876,
  [16874] = 5537,
  [16875] = 15877,
  [16876] = 15937,
  [16877] = 15880,
  [16878] = 15881,
  [16879] = 15882,
  [16880] = 15878,
  [16881] = 15937,
  [16882] = 16129,
  [16883] = 15937,
  [16884] = 16884,
  [16885] = 16231,
  [16886] = 15900,
  [16887] = 15901,
  [16888] = 15876,
  [16889] = 15877,
  [16890] = 15902,
  [16891] = 15876,
  [16892] = 15880,
  [16893] = 15877,
  [16894] = 15907,
  [16895] = 15900,
  [16896] = 15945,
  [16897] = 15881,
  [16898] = 15901,
  [16899] = 15882,
  [16900] = 15878,
  [16901] = 15902,
  [16902] = 15902,
  [16903] = 16903,
  [16904] = 15990,
  [16905] = 15876,
  [16906] = 16906,
  [16907] = 15876,
  [16908] = 16554,
  [16909] = 15877,
  [16910] = 15880,
  [16911] = 15148,
  [16912] = 15880,
  [16913] = 15877,
  [16914] = 15916,
  [16915] = 15881,
  [16916] = 15918,
  [16917] = 15882,
  [16918] = 15907,
  [16919] = 15878,
  [16920] = 15881,
  [16921] = 15880,
  [16922] = 15882,
  [16923] = 15876,
  [16924] = 15877,
  [16925] = 15878,
  [16926] = 15972,
  [16927] = 15880,
  [16928] = 15879,
  [16929] = 15881,
  [16930] = 15882,
  [16931] = 15990,
  [16932] = 15876,
  [16933] = 15878,
  [16934] = 15998,
  [16935] = 16935,
  [16936] = 15877,
  [16937] = 16673,
  [16938] = 16938,
  [16939] = 15876,
  [16940] = 15877,
  [16941] = 15880,
  [16942] = 16942,
  [16943] = 15880,
  [16944] = 15916,
  [16945] = 15881,
  [16946] = 15916,
  [16947] = 15882,
  [16948] = 15918,
  [16949] = 15878,
  [16950] = 16950,
  [16951] = 15918,
  [16952] = 16952,
  [16953] = 15900,
  [16954] = 16954,
  [16955] = 15901,
  [16956] = 15881,
  [16957] = 15937,
  [16958] = 16958,
  [16959] = 15876,
  [16960] = 15877,
  [16961] = 15880,
  [16962] = 15882,
  [16963] = 15881,
  [16964] = 15882,
  [16965] = 16677,
  [16966] = 16330,
  [16967] = 15878,
  [16968] = 15900,
  [16969] = 15901,
  [16970] = 16681,
  [16971] = 15902,
  [16972] = 16314,
  [16973] = 15876,
  [16974] = 15876,
  [16975] = 15877,
  [16976] = 15877,
  [16977] = 15907,
  [16978] = 15902,
  [16979] = 15880,
  [16980] = 15876,
  [16981] = 15881,
  [16982] = 15882,
  [16983] = 15877,
  [16984] = 15907,
  [16985] = 15878,
  [16986] = 15878,
  [16987] = 15990,
  [16988] = 16505,
  [16989] = 15876,
  [16990] = 15877,
  [16991] = 15880,
  [16992] = 15880,
  [16993] = 15916,
  [16994] = 15918,
  [16995] = 15881,
  [16996] = 16304,
  [16997] = 15882,
  [16998] = 15879,
  [16999] = 15878,
  [17000] = 15907,
  [17001] = 15881,
  [17002] = 15882,
  [17003] = 16555,
  [17004] = 16129,
  [17005] = 15937,
  [17006] = 15876,
  [17007] = 15877,
  [17008] = 15878,
  [17009] = 15880,
  [17010] = 15879,
  [17011] = 15881,
  [17012] = 15882,
  [17013] = 16441,
  [17014] = 15947,
  [17015] = 15878,
  [17016] = 16673,
  [17017] = 17017,
  [17018] = 15900,
  [17019] = 15901,
  [17020] = 15876,
  [17021] = 16331,
  [17022] = 15877,
  [17023] = 16677,
  [17024] = 15990,
  [17025] = 16447,
  [17026] = 15880,
  [17027] = 15881,
  [17028] = 15946,
  [17029] = 15882,
  [17030] = 15878,
  [17031] = 15902,
  [17032] = 16554,
  [17033] = 15876,
  [17034] = 15877,
  [17035] = 15907,
  [17036] = 15876,
  [17037] = 15947,
  [17038] = 15877,
  [17039] = 15937,
  [17040] = 16049,
  [17041] = 15880,
  [17042] = 17042,
  [17043] = 15881,
  [17044] = 16537,
  [17045] = 15990,
  [17046] = 15882,
  [17047] = 15878,
  [17048] = 17048,
  [17049] = 16334,
  [17050] = 16505,
  [17051] = 16515,
  [17052] = 16517,
  [17053] = 16523,
  [17054] = 17054,
  [17055] = 15937,
  [17056] = 16681,
  [17057] = 15900,
  [17058] = 15901,
  [17059] = 15880,
  [17060] = 16043,
  [17061] = 15876,
  [17062] = 15877,
  [17063] = 15916,
  [17064] = 15918,
  [17065] = 15902,
  [17066] = 15876,
  [17067] = 15880,
  [17068] = 15875,
  [17069] = 16159,
  [17070] = 15877,
  [17071] = 15881,
  [17072] = 16555,
  [17073] = 15907,
  [17074] = 15882,
  [17075] = 16666,
  [17076] = 15878,
  [17077] = 16673,
  [17078] = 15875,
  [17079] = 16159,
  [17080] = 15880,
  [17081] = 16677,
  [17082] = 16681,
  [17083] = 15875,
  [17084] = 16159,
  [17085] = 16686,
  [17086] = 15875,
  [17087] = 16159,
  [17088] = 15876,
  [17089] = 15881,
  [17090] = 15877,
  [17091] = 15875,
  [17092] = 16159,
  [17093] = 15990,
  [17094] = 15882,
  [17095] = 15875,
  [17096] = 16159,
  [17097] = 15880,
  [17098] = 15875,
  [17099] = 16159,
  [17100] = 15881,
  [17101] = 15875,
  [17102] = 15882,
  [17103] = 16159,
  [17104] = 15878,
  [17105] = 15875,
  [17106] = 16159,
  [17107] = 15875,
  [17108] = 16515,
  [17109] = 16159,
  [17110] = 15880,
  [17111] = 16296,
  [17112] = 15875,
  [17113] = 16159,
  [17114] = 15916,
  [17115] = 15889,
  [17116] = 15875,
  [17117] = 15876,
  [17118] = 16159,
  [17119] = 15877,
  [17120] = 15918,
  [17121] = 15875,
  [17122] = 15916,
  [17123] = 16159,
  [17124] = 15880,
  [17125] = 15944,
  [17126] = 15875,
  [17127] = 16159,
  [17128] = 15918,
  [17129] = 15881,
  [17130] = 15875,
  [17131] = 15882,
  [17132] = 16159,
  [17133] = 15900,
  [17134] = 15878,
  [17135] = 15875,
  [17136] = 16159,
  [17137] = 15881,
  [17138] = 16686,
  [17139] = 15875,
  [17140] = 15901,
  [17141] = 16159,
  [17142] = 15882,
  [17143] = 15875,
  [17144] = 16159,
  [17145] = 15875,
  [17146] = 15876,
  [17147] = 16159,
  [17148] = 15877,
  [17149] = 15875,
  [17150] = 16159,
  [17151] = 15902,
  [17152] = 15875,
  [17153] = 15880,
  [17154] = 16159,
  [17155] = 15875,
  [17156] = 15876,
  [17157] = 16159,
  [17158] = 15881,
  [17159] = 15878,
  [17160] = 15875,
  [17161] = 15882,
  [17162] = 16159,
  [17163] = 15878,
  [17164] = 15875,
  [17165] = 16159,
  [17166] = 15879,
  [17167] = 15875,
  [17168] = 16159,
  [17169] = 15877,
  [17170] = 15907,
  [17171] = 15875,
  [17172] = 16159,
  [17173] = 16686,
  [17174] = 15878,
  [17175] = 15875,
  [17176] = 16159,
  [17177] = 15876,
  [17178] = 15875,
  [17179] = 15877,
  [17180] = 16159,
  [17181] = 15879,
  [17182] = 15875,
  [17183] = 16159,
  [17184] = 15880,
  [17185] = 15875,
  [17186] = 16159,
  [17187] = 15881,
  [17188] = 15875,
  [17189] = 15881,
  [17190] = 16159,
  [17191] = 16517,
  [17192] = 16764,
  [17193] = 15875,
  [17194] = 15882,
  [17195] = 16159,
  [17196] = 15881,
  [17197] = 15878,
  [17198] = 15875,
  [17199] = 16159,
  [17200] = 15875,
  [17201] = 16159,
  [17202] = 15881,
  [17203] = 15990,
  [17204] = 15875,
  [17205] = 16159,
  [17206] = 15875,
  [17207] = 15876,
  [17208] = 16159,
  [17209] = 15877,
  [17210] = 15875,
  [17211] = 16159,
  [17212] = 15880,
  [17213] = 15875,
  [17214] = 16159,
  [17215] = 15875,
  [17216] = 15881,
  [17217] = 16159,
  [17218] = 16789,
  [17219] = 15875,
  [17220] = 15882,
  [17221] = 16159,
  [17222] = 15929,
  [17223] = 15875,
  [17224] = 15878,
  [17225] = 16159,
  [17226] = 15875,
  [17227] = 16296,
  [17228] = 16159,
  [17229] = 15882,
  [17230] = 15936,
  [17231] = 15875,
  [17232] = 15937,
  [17233] = 16159,
  [17234] = 15880,
  [17235] = 15875,
  [17236] = 16159,
  [17237] = 15882,
  [17238] = 15875,
  [17239] = 15876,
  [17240] = 16159,
  [17241] = 15877,
  [17242] = 15875,
  [17243] = 16159,
  [17244] = 15880,
  [17245] = 15875,
  [17246] = 16159,
  [17247] = 15875,
  [17248] = 15881,
  [17249] = 16159,
  [17250] = 15882,
  [17251] = 16869,
  [17252] = 15875,
  [17253] = 15882,
  [17254] = 16159,
  [17255] = 15916,
  [17256] = 15875,
  [17257] = 15878,
  [17258] = 16159,
  [17259] = 15875,
  [17260] = 15900,
  [17261] = 16159,
  [17262] = 15901,
  [17263] = 15945,
  [17264] = 15875,
  [17265] = 16159,
  [17266] = 15902,
  [17267] = 15875,
  [17268] = 15876,
  [17269] = 16159,
  [17270] = 15877,
  [17271] = 15875,
  [17272] = 15876,
  [17273] = 16159,
  [17274] = 15877,
  [17275] = 15972,
  [17276] = 15875,
  [17277] = 15907,
  [17278] = 16159,
  [17279] = 15918,
  [17280] = 15875,
  [17281] = 16159,
  [17282] = 15880,
  [17283] = 15875,
  [17284] = 16159,
  [17285] = 15875,
  [17286] = 16159,
  [17287] = 15881,
  [17288] = 15875,
  [17289] = 16159,
  [17290] = 15882,
  [17291] = 15875,
  [17292] = 16159,
  [17293] = 15878,
  [17294] = 15875,
  [17295] = 16159,
  [17296] = 15875,
  [17297] = 16159,
  [17298] = 16159,
  [17299] = 15990,
  [17300] = 15875,
  [17301] = 16159,
  [17302] = 15875,
  [17303] = 15876,
  [17304] = 16159,
  [17305] = 15877,
  [17306] = 15998,
  [17307] = 15880,
  [17308] = 17048,
  [17309] = 16334,
  [17310] = 15881,
  [17311] = 15881,
  [17312] = 15882,
  [17313] = 15880,
  [17314] = 15878,
  [17315] = 16384,
  [17316] = 16087,
  [17317] = 16523,
  [17318] = 15916,
  [17319] = 15918,
  [17320] = 16958,
  [17321] = 15132,
  [17322] = 15876,
  [17323] = 15877,
  [17324] = 16722,
  [17325] = 16833,
  [17326] = 15882,
  [17327] = 15935,
  [17328] = 15880,
  [17329] = 16862,
  [17330] = 15881,
  [17331] = 15881,
  [17332] = 15882,
  [17333] = 15882,
  [17334] = 6198,
  [17335] = 16305,
  [17336] = 15878,
  [17337] = 16176,
  [17338] = 16884,
  [17339] = 15877,
  [17340] = 17340,
  [17341] = 17341,
  [17342] = 17342,
  [17343] = 17343,
  [17344] = 17341,
  [17345] = 17345,
  [17346] = 17346,
  [17347] = 17347,
  [17348] = 17348,
  [17349] = 17345,
  [17350] = 17340,
  [17351] = 17351,
  [17352] = 17347,
  [17353] = 17340,
  [17354] = 17342,
  [17355] = 17345,
  [17356] = 17341,
  [17357] = 17345,
  [17358] = 17358,
  [17359] = 17341,
  [17360] = 17360,
  [17361] = 17342,
  [17362] = 17362,
  [17363] = 17347,
  [17364] = 17364,
  [17365] = 17365,
  [17366] = 17358,
  [17367] = 17367,
  [17368] = 17358,
  [17369] = 17340,
  [17370] = 15216,
  [17371] = 17340,
  [17372] = 17347,
  [17373] = 17373,
  [17374] = 8040,
  [17375] = 17375,
  [17376] = 17341,
  [17377] = 17342,
  [17378] = 17345,
  [17379] = 17341,
  [17380] = 17345,
  [17381] = 17340,
  [17382] = 8352,
  [17383] = 17347,
  [17384] = 17358,
  [17385] = 17342,
  [17386] = 17386,
  [17387] = 17340,
  [17388] = 17388,
  [17389] = 17340,
  [17390] = 17341,
  [17391] = 17391,
  [17392] = 17392,
  [17393] = 17342,
  [17394] = 17351,
  [17395] = 17342,
  [17396] = 17345,
  [17397] = 17341,
  [17398] = 17345,
  [17399] = 17341,
  [17400] = 17345,
  [17401] = 17347,
  [17402] = 17351,
  [17403] = 17340,
  [17404] = 17342,
  [17405] = 17347,
  [17406] = 17347,
  [17407] = 17345,
  [17408] = 17342,
  [17409] = 17341,
  [17410] = 17345,
  [17411] = 17347,
  [17412] = 17351,
  [17413] = 17347,
  [17414] = 17340,
  [17415] = 17347,
  [17416] = 17416,
  [17417] = 17358,
  [17418] = 17342,
  [17419] = 17341,
  [17420] = 17345,
  [17421] = 17340,
  [17422] = 17358,
  [17423] = 17347,
  [17424] = 17340,
  [17425] = 17340,
  [17426] = 17340,
  [17427] = 8187,
  [17428] = 8145,
  [17429] = 17342,
  [17430] = 17340,
  [17431] = 17341,
  [17432] = 17345,
  [17433] = 17345,
  [17434] = 17348,
  [17435] = 17347,
  [17436] = 17436,
  [17437] = 17437,
  [17438] = 17342,
  [17439] = 17340,
  [17440] = 17440,
  [17441] = 17340,
  [17442] = 17341,
  [17443] = 17345,
  [17444] = 17358,
  [17445] = 17342,
  [17446] = 17341,
  [17447] = 17345,
  [17448] = 17448,
  [17449] = 17347,
  [17450] = 17386,
  [17451] = 17340,
  [17452] = 17452,
  [17453] = 17340,
  [17454] = 17341,
  [17455] = 17455,
  [17456] = 17341,
  [17457] = 17347,
  [17458] = 17458,
  [17459] = 17340,
  [17460] = 17345,
  [17461] = 17342,
  [17462] = 17462,
  [17463] = 17341,
  [17464] = 17345,
  [17465] = 17465,
  [17466] = 17347,
  [17467] = 17358,
  [17468] = 17340,
  [17469] = 17340,
  [17470] = 17470,
  [17471] = 17471,
  [17472] = 17342,
  [17473] = 17342,
  [17474] = 17341,
  [17475] = 17345,
  [17476] = 17347,
  [17477] = 17341,
  [17478] = 17478,
  [17479] = 17479,
  [17480] = 17351,
  [17481] = 17345,
  [17482] = 17340,
  [17483] = 17342,
  [17484] = 17478,
  [17485] = 17485,
  [17486] = 17342,
  [17487] = 17487,
  [17488] = 17342,
  [17489] = 17470,
  [17490] = 17341,
  [17491] = 17345,
  [17492] = 17341,
  [17493] = 17345,
  [17494] = 17341,
  [17495] = 17345,
  [17496] = 17347,
  [17497] = 17497,
  [17498] = 17342,
  [17499] = 17341,
  [17500] = 17340,
  [17501] = 17345,
  [17502] = 8339,
  [17503] = 17342,
  [17504] = 6211,
  [17505] = 17342,
  [17506] = 17341,
  [17507] = 17345,
  [17508] = 17347,
  [17509] = 17347,
  [17510] = 17347,
  [17511] = 17340,
  [17512] = 17347,
  [17513] = 17340,
  [17514] = 17514,
  [17515] = 17358,
  [17516] = 17516,
  [17517] = 17342,
  [17518] = 17340,
  [17519] = 17351,
  [17520] = 17341,
  [17521] = 17345,
  [17522] = 17347,
  [17523] = 17347,
  [17524] = 17341,
  [17525] = 17525,
  [17526] = 17340,
  [17527] = 17340,
  [17528] = 17345,
  [17529] = 17529,
  [17530] = 15131,
  [17531] = 17342,
  [17532] = 17341,
  [17533] = 17345,
  [17534] = 17358,
  [17535] = 6211,
  [17536] = 17347,
  [17537] = 17342,
  [17538] = 17340,
  [17539] = 17340,
  [17540] = 17342,
  [17541] = 17341,
  [17542] = 17345,
  [17543] = 17341,
  [17544] = 17345,
  [17545] = 17342,
  [17546] = 17546,
  [17547] = 17341,
  [17548] = 17345,
  [17549] = 17347,
  [17550] = 15463,
  [17551] = 17551,
  [17552] = 17340,
  [17553] = 17347,
  [17554] = 17347,
  [17555] = 17342,
  [17556] = 17341,
  [17557] = 17345,
  [17558] = 17347,
  [17559] = 17348,
  [17560] = 17358,
  [17561] = 17340,
  [17562] = 17340,
  [17563] = 17347,
  [17564] = 14715,
  [17565] = 17529,
  [17566] = 17340,
  [17567] = 17347,
  [17568] = 17342,
  [17569] = 17347,
  [17570] = 17351,
  [17571] = 17347,
  [17572] = 17342,
  [17573] = 17351,
  [17574] = 17347,
  [17575] = 17342,
  [17576] = 17347,
  [17577] = 17342,
  [17578] = 17358,
  [17579] = 17345,
  [17580] = 17342,
  [17581] = 17345,
  [17582] = 17341,
  [17583] = 17345,
  [17584] = 17342,
  [17585] = 17342,
  [17586] = 17341,
  [17587] = 17345,
  [17588] = 17588,
  [17589] = 17358,
  [17590] = 17347,
  [17591] = 17347,
  [17592] = 17341,
  [17593] = 17351,
  [17594] = 17340,
  [17595] = 17345,
  [17596] = 17341,
  [17597] = 17597,
  [17598] = 17340,
  [17599] = 17358,
  [17600] = 17345,
  [17601] = 17340,
  [17602] = 17386,
  [17603] = 17603,
  [17604] = 17340,
  [17605] = 17351,
  [17606] = 17347,
  [17607] = 17607,
  [17608] = 17608,
  [17609] = 17609,
  [17610] = 17342,
  [17611] = 17342,
  [17612] = 17612,
  [17613] = 17341,
  [17614] = 17345,
  [17615] = 17358,
  [17616] = 17351,
  [17617] = 17347,
  [17618] = 17618,
  [17619] = 6332,
  [17620] = 17620,
  [17621] = 17621,
  [17622] = 17448,
  [17623] = 17340,
  [17624] = 15463,
  [17625] = 17342,
  [17626] = 17340,
  [17627] = 17347,
  [17628] = 17341,
  [17629] = 17345,
  [17630] = 17516,
  [17631] = 17347,
  [17632] = 17342,
  [17633] = 17341,
  [17634] = 17341,
  [17635] = 17358,
  [17636] = 17345,
  [17637] = 17342,
  [17638] = 17342,
  [17639] = 17347,
  [17640] = 17342,
  [17641] = 17641,
  [17642] = 17358,
  [17643] = 17340,
  [17644] = 17341,
  [17645] = 17341,
  [17646] = 17345,
  [17647] = 17340,
  [17648] = 8040,
  [17649] = 17348,
  [17650] = 17341,
  [17651] = 17342,
  [17652] = 17386,
  [17653] = 17653,
  [17654] = 17458,
  [17655] = 8082,
  [17656] = 17345,
  [17657] = 17657,
  [17658] = 17342,
  [17659] = 17345,
  [17660] = 17351,
  [17661] = 17661,
  [17662] = 17662,
  [17663] = 17342,
  [17664] = 17342,
  [17665] = 17347,
  [17666] = 17341,
  [17667] = 17667,
  [17668] = 17345,
  [17669] = 8255,
  [17670] = 17341,
  [17671] = 17342,
  [17672] = 17351,
  [17673] = 17347,
  [17674] = 17345,
  [17675] = 17675,
  [17676] = 17341,
  [17677] = 17641,
  [17678] = 17345,
  [17679] = 17351,
  [17680] = 17347,
  [17681] = 17351,
  [17682] = 17341,
  [17683] = 17347,
  [17684] = 17347,
  [17685] = 17345,
  [17686] = 17686,
  [17687] = 8477,
  [17688] = 17340,
  [17689] = 17347,
  [17690] = 17358,
  [17691] = 17340,
  [17692] = 17692,
  [17693] = 17347,
  [17694] = 17694,
  [17695] = 17342,
  [17696] = 8180,
  [17697] = 17340,
  [17698] = 17340,
  [17699] = 17699,
  [17700] = 15260,
  [17701] = 17340,
  [17702] = 17351,
  [17703] = 17342,
  [17704] = 17347,
  [17705] = 17358,
  [17706] = 17341,
  [17707] = 17345,
  [17708] = 17341,
  [17709] = 17342,
  [17710] = 17340,
  [17711] = 17347,
  [17712] = 17340,
  [17713] = 17345,
  [17714] = 17358,
  [17715] = 17715,
  [17716] = 17452,
  [17717] = 17358,
  [17718] = 17351,
  [17719] = 17342,
  [17720] = 17347,
  [17721] = 17340,
  [17722] = 17342,
  [17723] = 17341,
  [17724] = 17345,
  [17725] = 17342,
  [17726] = 6267,
  [17727] = 17347,
  [17728] = 17341,
  [17729] = 17620,
  [17730] = 17341,
  [17731] = 17345,
  [17732] = 17340,
  [17733] = 17358,
  [17734] = 17341,
  [17735] = 17345,
  [17736] = 17345,
  [17737] = 17340,
  [17738] = 17351,
  [17739] = 17341,
  [17740] = 17348,
  [17741] = 17621,
  [17742] = 17742,
  [17743] = 15169,
  [17744] = 17342,
  [17745] = 17358,
  [17746] = 17341,
  [17747] = 17345,
  [17748] = 17358,
  [17749] = 15252,
  [17750] = 17386,
  [17751] = 17347,
  [17752] = 8174,
  [17753] = 17347,
  [17754] = 17342,
  [17755] = 17347,
  [17756] = 17340,
  [17757] = 17661,
  [17758] = 17662,
  [17759] = 17342,
  [17760] = 17340,
  [17761] = 17358,
  [17762] = 17341,
  [17763] = 17345,
  [17764] = 17340,
  [17765] = 8303,
  [17766] = 17358,
  [17767] = 17341,
  [17768] = 17768,
  [17769] = 17769,
  [17770] = 17770,
  [17771] = 17771,
  [17772] = 17772,
  [17773] = 17773,
  [17774] = 17774,
  [17775] = 17775,
  [17776] = 17776,
  [17777] = 17775,
  [17778] = 17776,
  [17779] = 17776,
  [17780] = 17780,
  [17781] = 17772,
  [17782] = 17780,
  [17783] = 17769,
  [17784] = 17769,
  [17785] = 17785,
  [17786] = 17786,
  [17787] = 17787,
  [17788] = 17774,
  [17789] = 17789,
  [17790] = 17790,
  [17791] = 17770,
  [17792] = 17792,
  [17793] = 17793,
  [17794] = 17768,
  [17795] = 17795,
  [17796] = 17772,
  [17797] = 17775,
  [17798] = 17771,
  [17799] = 17770,
  [17800] = 17771,
  [17801] = 17776,
  [17802] = 17772,
  [17803] = 17772,
  [17804] = 17804,
  [17805] = 17772,
  [17806] = 17775,
  [17807] = 17795,
  [17808] = 11427,
  [17809] = 17772,
  [17810] = 17810,
  [17811] = 17780,
  [17812] = 17769,
  [17813] = 17776,
  [17814] = 17780,
  [17815] = 17774,
  [17816] = 17780,
  [17817] = 17790,
  [17818] = 17775,
  [17819] = 17787,
  [17820] = 17769,
  [17821] = 17789,
  [17822] = 17775,
  [17823] = 17774,
  [17824] = 17792,
  [17825] = 17793,
  [17826] = 17768,
  [17827] = 11428,
  [17828] = 17780,
  [17829] = 17770,
  [17830] = 17771,
  [17831] = 17772,
  [17832] = 17769,
  [17833] = 17785,
  [17834] = 17776,
  [17835] = 17775,
  [17836] = 17774,
  [17837] = 17786,
  [17838] = 17838,
  [17839] = 17780,
  [17840] = 17780,
  [17841] = 17776,
  [17842] = 17769,
  [17843] = 17772,
  [17844] = 17772,
  [17845] = 17772,
  [17846] = 17790,
  [17847] = 17785,
  [17848] = 17787,
  [17849] = 17786,
  [17850] = 17789,
  [17851] = 17775,
  [17852] = 17775,
  [17853] = 17792,
  [17854] = 17793,
  [17855] = 17768,
  [17856] = 17795,
  [17857] = 17780,
  [17858] = 17770,
  [17859] = 17771,
  [17860] = 17772,
  [17861] = 17775,
  [17862] = 17810,
  [17863] = 17776,
  [17864] = 17785,
  [17865] = 17769,
  [17866] = 17866,
  [17867] = 17867,
  [17868] = 17787,
  [17869] = 17795,
  [17870] = 17772,
  [17871] = 17786,
  [17872] = 17789,
  [17873] = 17780,
  [17874] = 17769,
  [17875] = 17775,
  [17876] = 17789,
  [17877] = 17772,
  [17878] = 17795,
  [17879] = 17792,
  [17880] = 17793,
  [17881] = 17768,
  [17882] = 17882,
  [17883] = 17883,
  [17884] = 17770,
  [17885] = 17771,
  [17886] = 17790,
  [17887] = 17867,
  [17888] = 17888,
  [17889] = 17792,
  [17890] = 17793,
  [17891] = 17768,
  [17892] = 17804,
  [17893] = 17772,
  [17894] = 17780,
  [17895] = 17888,
  [17896] = 17780,
  [17897] = 17795,
  [17898] = 17774,
  [17899] = 17776,
  [17900] = 17770,
  [17901] = 17780,
  [17902] = 17789,
  [17903] = 17776,
  [17904] = 17792,
  [17905] = 17793,
  [17906] = 17768,
  [17907] = 17772,
  [17908] = 17771,
  [17909] = 17770,
  [17910] = 17771,
  [17911] = 17775,
  [17912] = 17912,
  [17913] = 17775,
  [17914] = 17785,
  [17915] = 17786,
  [17916] = 17769,
  [17917] = 17773,
  [17918] = 17780,
  [17919] = 17772,
  [17920] = 17775,
  [17921] = 17780,
  [17922] = 17790,
  [17923] = 17780,
  [17924] = 17769,
  [17925] = 17775,
  [17926] = 17780,
  [17927] = 17789,
  [17928] = 17928,
  [17929] = 17792,
  [17930] = 17793,
  [17931] = 17768,
  [17932] = 17795,
  [17933] = 17776,
  [17934] = 17770,
  [17935] = 17771,
  [17936] = 17795,
  [17937] = 17769,
  [17938] = 17780,
  [17939] = 17780,
  [17940] = 17769,
  [17941] = 17790,
  [17942] = 17780,
  [17943] = 17780,
  [17944] = 17944,
  [17945] = 17790,
  [17946] = 17780,
  [17947] = 17769,
  [17948] = 17769,
  [17949] = 17790,
  [17950] = 17804,
  [17951] = 17780,
  [17952] = 17789,
  [17953] = 17882,
  [17954] = 17792,
  [17955] = 17793,
  [17956] = 17768,
  [17957] = 17795,
  [17958] = 17883,
  [17959] = 17770,
  [17960] = 17771,
  [17961] = 17790,
  [17962] = 17774,
  [17963] = 17795,
  [17964] = 17769,
  [17965] = 17867,
  [17966] = 17776,
  [17967] = 17790,
  [17968] = 17776,
  [17969] = 17790,
  [17970] = 17776,
  [17971] = 17810,
  [17972] = 17790,
  [17973] = 17785,
  [17974] = 17786,
  [17975] = 17789,
  [17976] = 17810,
  [17977] = 17792,
  [17978] = 17793,
  [17979] = 17768,
  [17980] = 17888,
  [17981] = 17785,
  [17982] = 17770,
  [17983] = 17771,
  [17984] = 17772,
  [17985] = 17775,
  [17986] = 17774,
  [17987] = 17810,
  [17988] = 17795,
  [17989] = 17780,
  [17990] = 8303,
  [17991] = 17769,
  [17992] = 17769,
  [17993] = 17795,
  [17994] = 17795,
  [17995] = 17785,
  [17996] = 17772,
  [17997] = 17774,
  [17998] = 17789,
  [17999] = 17775,
  [18000] = 17792,
  [18001] = 17793,
  [18002] = 17768,
  [18003] = 17780,
  [18004] = 17769,
  [18005] = 17770,
  [18006] = 17771,
  [18007] = 17769,
  [18008] = 17776,
  [18009] = 17786,
  [18010] = 17769,
  [18011] = 17773,
  [18012] = 17790,
  [18013] = 17776,
  [18014] = 17776,
  [18015] = 17790,
  [18016] = 17804,
  [18017] = 17787,
  [18018] = 17776,
  [18019] = 17776,
  [18020] = 17780,
  [18021] = 17789,
  [18022] = 17789,
  [18023] = 17792,
  [18024] = 17793,
  [18025] = 17768,
  [18026] = 17774,
  [18027] = 17774,
  [18028] = 17770,
  [18029] = 17771,
  [18030] = 17792,
  [18031] = 17780,
  [18032] = 17792,
  [18033] = 17776,
  [18034] = 17774,
  [18035] = 17780,
  [18036] = 17793,
  [18037] = 17768,
  [18038] = 17769,
  [18039] = 17769,
  [18040] = 17785,
  [18041] = 17786,
  [18042] = 17787,
  [18043] = 17780,
  [18044] = 17789,
  [18045] = 17769,
  [18046] = 17792,
  [18047] = 17793,
  [18048] = 17768,
  [18049] = 17772,
  [18050] = 17810,
  [18051] = 17770,
  [18052] = 17771,
  [18053] = 17775,
  [18054] = 17769,
  [18055] = 17774,
  [18056] = 17790,
  [18057] = 17776,
  [18058] = 17786,
  [18059] = 17776,
  [18060] = 17774,
  [18061] = 17770,
  [18062] = 17795,
  [18063] = 17771,
  [18064] = 17772,
  [18065] = 17776,
  [18066] = 17780,
  [18067] = 17789,
  [18068] = 17772,
  [18069] = 17792,
  [18070] = 17793,
  [18071] = 17768,
  [18072] = 17769,
  [18073] = 17867,
  [18074] = 17770,
  [18075] = 17771,
  [18076] = 17888,
  [18077] = 17772,
  [18078] = 17768,
  [18079] = 17775,
  [18080] = 17790,
  [18081] = 17810,
  [18082] = 17810,
  [18083] = 17810,
  [18084] = 17785,
  [18085] = 17786,
  [18086] = 17775,
  [18087] = 17774,
  [18088] = 17772,
  [18089] = 17882,
  [18090] = 17789,
  [18091] = 17774,
  [18092] = 17792,
  [18093] = 17793,
  [18094] = 17768,
  [18095] = 17772,
  [18096] = 17775,
  [18097] = 17770,
  [18098] = 17771,
  [18099] = 17883,
  [18100] = 17776,
  [18101] = 17771,
  [18102] = 17775,
  [18103] = 17867,
  [18104] = 17888,
  [18105] = 17785,
  [18106] = 17785,
  [18107] = 17786,
  [18108] = 17790,
  [18109] = 17785,
  [18110] = 17785,
  [18111] = 17772,
  [18112] = 17775,
  [18113] = 17789,
  [18114] = 17776,
  [18115] = 17792,
  [18116] = 17793,
  [18117] = 17768,
  [18118] = 17786,
  [18119] = 17772,
  [18120] = 17770,
  [18121] = 17771,
  [18122] = 17786,
  [18123] = 17772,
  [18124] = 17804,
  [18125] = 17776,
  [18126] = 17775,
  [18127] = 17795,
  [18128] = 17789,
  [18129] = 17775,
  [18130] = 17775,
  [18131] = 17780,
  [18132] = 17769,
  [18133] = 11390,
  [18134] = 17786,
  [18135] = 17789,
  [18136] = 17792,
  [18137] = 17793,
  [18138] = 17768,
  [18139] = 17882,
  [18140] = 17776,
  [18141] = 17770,
  [18142] = 17771,
  [18143] = 17790,
  [18144] = 17883,
  [18145] = 17772,
  [18146] = 17772,
  [18147] = 17867,
  [18148] = 17795,
  [18149] = 17888,
  [18150] = 17775,
  [18151] = 17780,
  [18152] = 17787,
  [18153] = 17810,
  [18154] = 17785,
  [18155] = 17769,
  [18156] = 17774,
  [18157] = 17789,
  [18158] = 17792,
  [18159] = 17793,
  [18160] = 17768,
  [18161] = 17786,
  [18162] = 17785,
  [18163] = 17770,
  [18164] = 17771,
  [18165] = 18165,
  [18166] = 17780,
  [18167] = 17776,
  [18168] = 17769,
  [18169] = 17769,
  [18170] = 17780,
  [18171] = 17774,
  [18172] = 17769,
  [18173] = 17785,
  [18174] = 17786,
  [18175] = 17787,
  [18176] = 8477,
  [18177] = 17780,
  [18178] = 17772,
  [18179] = 17789,
  [18180] = 17792,
  [18181] = 17793,
  [18182] = 17768,
  [18183] = 17775,
  [18184] = 17776,
  [18185] = 17770,
  [18186] = 17771,
  [18187] = 17810,
  [18188] = 17789,
  [18189] = 18189,
  [18190] = 17795,
  [18191] = 17789,
  [18192] = 17770,
  [18193] = 17790,
  [18194] = 17795,
  [18195] = 18195,
  [18196] = 17772,
  [18197] = 17792,
  [18198] = 17780,
  [18199] = 17769,
  [18200] = 17776,
  [18201] = 17789,
  [18202] = 17792,
  [18203] = 17793,
  [18204] = 17768,
  [18205] = 17793,
  [18206] = 17769,
  [18207] = 17770,
  [18208] = 17771,
  [18209] = 17768,
  [18210] = 18210,
  [18211] = 17771,
  [18212] = 17780,
  [18213] = 17790,
  [18214] = 17775,
  [18215] = 17790,
  [18216] = 17769,
  [18217] = 17772,
  [18218] = 17772,
  [18219] = 17810,
  [18220] = 17775,
  [18221] = 17785,
  [18222] = 17776,
  [18223] = 17789,
  [18224] = 17792,
  [18225] = 17793,
  [18226] = 17768,
  [18227] = 17774,
  [18228] = 17780,
  [18229] = 17770,
  [18230] = 17771,
  [18231] = 17780,
  [18232] = 17770,
  [18233] = 17776,
  [18234] = 18234,
  [18235] = 17790,
  [18236] = 17786,
  [18237] = 17795,
  [18238] = 17771,
  [18239] = 17785,
  [18240] = 17786,
  [18241] = 17776,
  [18242] = 17769,
  [18243] = 17776,
  [18244] = 17772,
  [18245] = 17789,
  [18246] = 17792,
  [18247] = 17793,
  [18248] = 17768,
  [18249] = 17775,
  [18250] = 17804,
  [18251] = 17770,
  [18252] = 17771,
  [18253] = 17786,
  [18254] = 17810,
  [18255] = 17810,
  [18256] = 17867,
  [18257] = 17772,
  [18258] = 17775,
  [18259] = 17795,
  [18260] = 8040,
  [18261] = 17774,
  [18262] = 17792,
  [18263] = 17780,
  [18264] = 17769,
  [18265] = 17793,
  [18266] = 17795,
  [18267] = 17789,
  [18268] = 17792,
  [18269] = 17793,
  [18270] = 17768,
  [18271] = 17882,
  [18272] = 17780,
  [18273] = 17770,
  [18274] = 17771,
  [18275] = 17790,
  [18276] = 17883,
  [18277] = 17769,
  [18278] = 17774,
  [18279] = 17768,
  [18280] = 17776,
  [18281] = 8174,
  [18282] = 17774,
  [18283] = 17780,
  [18284] = 18284,
  [18285] = 17774,
  [18286] = 18286,
  [18287] = 17769,
  [18288] = 17789,
  [18289] = 17792,
  [18290] = 17793,
  [18291] = 17768,
  [18292] = 17786,
  [18293] = 17785,
  [18294] = 17770,
  [18295] = 17771,
  [18296] = 17776,
  [18297] = 17776,
  [18298] = 17810,
  [18299] = 17776,
  [18300] = 17786,
  [18301] = 17912,
  [18302] = 17792,
  [18303] = 17785,
  [18304] = 18189,
  [18305] = 17786,
  [18306] = 17785,
  [18307] = 17810,
  [18308] = 17787,
  [18309] = 17789,
  [18310] = 17792,
  [18311] = 17793,
  [18312] = 17768,
  [18313] = 17776,
  [18314] = 17772,
  [18315] = 17770,
  [18316] = 17771,
  [18317] = 17775,
  [18318] = 17882,
  [18319] = 17785,
  [18320] = 17786,
  [18321] = 17772,
  [18322] = 17785,
  [18323] = 17888,
  [18324] = 17810,
  [18325] = 17795,
  [18326] = 17883,
  [18327] = 17882,
  [18328] = 17785,
  [18329] = 17780,
  [18330] = 17789,
  [18331] = 17792,
  [18332] = 17793,
  [18333] = 17768,
  [18334] = 17769,
  [18335] = 5495,
  [18336] = 17770,
  [18337] = 17771,
  [18338] = 17883,
  [18339] = 5516,
  [18340] = 17867,
  [18341] = 18341,
  [18342] = 17888,
  [18343] = 5527,
  [18344] = 17867,
  [18345] = 17790,
  [18346] = 5537,
  [18347] = 17786,
  [18348] = 17786,
  [18349] = 17772,
  [18350] = 17790,
  [18351] = 17789,
  [18352] = 17792,
  [18353] = 17793,
  [18354] = 17768,
  [18355] = 5550,
  [18356] = 17772,
  [18357] = 17770,
  [18358] = 17771,
  [18359] = 17867,
  [18360] = 17790,
  [18361] = 17775,
  [18362] = 17774,
  [18363] = 17810,
  [18364] = 17787,
  [18365] = 17810,
  [18366] = 17776,
  [18367] = 18367,
  [18368] = 17780,
  [18369] = 17772,
  [18370] = 17786,
  [18371] = 17775,
  [18372] = 17789,
  [18373] = 17792,
  [18374] = 17793,
  [18375] = 17768,
  [18376] = 17785,
  [18377] = 17786,
  [18378] = 17771,
  [18379] = 17888,
  [18380] = 17769,
  [18381] = 17772,
  [18382] = 17775,
  [18383] = 17789,
  [18384] = 17882,
  [18385] = 17775,
  [18386] = 17867,
  [18387] = 17785,
  [18388] = 17883,
  [18389] = 17795,
  [18390] = 17795,
  [18391] = 17789,
  [18392] = 17792,
  [18393] = 17793,
  [18394] = 17768,
  [18395] = 17776,
  [18396] = 17786,
  [18397] = 17771,
  [18398] = 17888,
  [18399] = 17780,
  [18400] = 17769,
  [18401] = 17792,
  [18402] = 17793,
  [18403] = 17867,
  [18404] = 17780,
  [18405] = 17790,
  [18406] = 17775,
  [18407] = 17768,
  [18408] = 17769,
  [18409] = 18409,
  [18410] = 17785,
  [18411] = 17789,
  [18412] = 17792,
  [18413] = 17793,
  [18414] = 17768,
  [18415] = 18415,
  [18416] = 17787,
  [18417] = 17771,
  [18418] = 17776,
  [18419] = 17795,
  [18420] = 17795,
  [18421] = 18421,
  [18422] = 18422,
  [18423] = 17804,
  [18424] = 17772,
  [18425] = 17775,
  [18426] = 17882,
  [18427] = 17790,
  [18428] = 17883,
  [18429] = 18429,
  [18430] = 17789,
  [18431] = 17792,
  [18432] = 17793,
  [18433] = 17768,
  [18434] = 17867,
  [18435] = 17786,
  [18436] = 17771,
  [18437] = 17770,
  [18438] = 17775,
  [18439] = 17780,
  [18440] = 17780,
  [18441] = 17769,
  [18442] = 18442,
  [18443] = 17776,
  [18444] = 17888,
  [18445] = 17771,
  [18446] = 17928,
  [18447] = 17770,
  [18448] = 17772,
  [18449] = 17769,
  [18450] = 17789,
  [18451] = 17792,
  [18452] = 17793,
  [18453] = 17768,
  [18454] = 18454,
  [18455] = 17888,
  [18456] = 17771,
  [18457] = 17804,
  [18458] = 17789,
  [18459] = 17776,
  [18460] = 17769,
  [18461] = 17772,
  [18462] = 17772,
  [18463] = 18463,
  [18464] = 18464,
  [18465] = 17771,
  [18466] = 17775,
  [18467] = 18467,
  [18468] = 17804,
  [18469] = 17793,
  [18470] = 17789,
  [18471] = 17792,
  [18472] = 17793,
  [18473] = 17768,
  [18474] = 17772,
  [18475] = 17775,
  [18476] = 17771,
  [18477] = 17774,
  [18478] = 18478,
  [18479] = 17769,
  [18480] = 17774,
  [18481] = 17790,
  [18482] = 17804,
  [18483] = 17775,
  [18484] = 17776,
  [18485] = 17780,
  [18486] = 17774,
  [18487] = 17780,
  [18488] = 17769,
  [18489] = 17772,
  [18490] = 17789,
  [18491] = 17792,
  [18492] = 17793,
  [18493] = 17768,
  [18494] = 18494,
  [18495] = 17774,
  [18496] = 17771,
  [18497] = 17776,
  [18498] = 17775,
  [18499] = 8180,
  [18500] = 17792,
  [18501] = 17772,
  [18502] = 17793,
  [18503] = 17804,
  [18504] = 17768,
  [18505] = 17776,
  [18506] = 17804,
  [18507] = 17772,
  [18508] = 17776,
  [18509] = 17775,
  [18510] = 17789,
  [18511] = 17792,
  [18512] = 17793,
  [18513] = 17768,
  [18514] = 17776,
  [18515] = 17775,
  [18516] = 17771,
  [18517] = 17772,
  [18518] = 17775,
  [18519] = 17888,
  [18520] = 17774,
  [18521] = 17769,
  [18522] = 17780,
  [18523] = 17772,
  [18524] = 17775,
  [18525] = 17776,
  [18526] = 17776,
  [18527] = 17810,
  [18528] = 17775,
  [18529] = 17780,
  [18530] = 17789,
  [18531] = 17792,
  [18532] = 17793,
  [18533] = 17768,
  [18534] = 17771,
  [18535] = 17769,
  [18536] = 17790,
  [18537] = 17882,
  [18538] = 17785,
  [18539] = 17786,
  [18540] = 17810,
  [18541] = 8187,
  [18542] = 17789,
  [18543] = 17792,
  [18544] = 17793,
  [18545] = 17768,
  [18546] = 17771,
  [18547] = 17882,
  [18548] = 17883,
  [18549] = 17867,
  [18550] = 17888,
  [18551] = 17785,
  [18552] = 17810,
  [18553] = 17785,
  [18554] = 17789,
  [18555] = 17792,
  [18556] = 17793,
  [18557] = 17768,
  [18558] = 17771,
  [18559] = 17776,
  [18560] = 17786,
  [18561] = 17774,
  [18562] = 17786,
  [18563] = 17795,
  [18564] = 17768,
  [18565] = 17772,
  [18566] = 17789,
  [18567] = 17792,
  [18568] = 17793,
  [18569] = 17768,
  [18570] = 17771,
  [18571] = 17772,
  [18572] = 17772,
  [18573] = 17775,
  [18574] = 17775,
  [18575] = 17787,
  [18576] = 17769,
  [18577] = 17789,
  [18578] = 17792,
  [18579] = 17793,
  [18580] = 17768,
  [18581] = 17771,
  [18582] = 17789,
  [18583] = 17780,
  [18584] = 17775,
  [18585] = 17883,
  [18586] = 17769,
  [18587] = 17780,
  [18588] = 17789,
  [18589] = 17792,
  [18590] = 17793,
  [18591] = 17768,
  [18592] = 17771,
  [18593] = 17769,
  [18594] = 17774,
  [18595] = 17772,
  [18596] = 17780,
  [18597] = 17792,
  [18598] = 17795,
  [18599] = 17789,
  [18600] = 17792,
  [18601] = 17793,
  [18602] = 17768,
  [18603] = 17771,
  [18604] = 17793,
  [18605] = 17768,
  [18606] = 17810,
  [18607] = 17795,
  [18608] = 17780,
  [18609] = 17772,
  [18610] = 17789,
  [18611] = 17792,
  [18612] = 17793,
  [18613] = 17775,
  [18614] = 17771,
  [18615] = 17776,
  [18616] = 17780,
  [18617] = 17785,
  [18618] = 17785,
  [18619] = 17769,
  [18620] = 17780,
  [18621] = 17789,
  [18622] = 17792,
  [18623] = 17793,
  [18624] = 17768,
  [18625] = 17771,
  [18626] = 17786,
  [18627] = 17780,
  [18628] = 17772,
  [18629] = 17775,
  [18630] = 17769,
  [18631] = 17769,
  [18632] = 17789,
  [18633] = 17792,
  [18634] = 17793,
  [18635] = 17768,
  [18636] = 17771,
  [18637] = 17776,
  [18638] = 17786,
  [18639] = 17775,
  [18640] = 11444,
  [18641] = 17776,
  [18642] = 17810,
  [18643] = 17789,
  [18644] = 17792,
  [18645] = 17793,
  [18646] = 17768,
  [18647] = 17771,
  [18648] = 17804,
  [18649] = 17780,
  [18650] = 17769,
  [18651] = 17882,
  [18652] = 17795,
  [18653] = 17883,
  [18654] = 17771,
  [18655] = 17867,
  [18656] = 17790,
  [18657] = 17770,
  [18658] = 17888,
  [18659] = 17771,
  [18660] = 17785,
  [18661] = 17771,
  [18662] = 17772,
  [18663] = 17867,
  [18664] = 17775,
  [18665] = 17772,
  [18666] = 17776,
  [18667] = 17780,
  [18668] = 17771,
  [18669] = 17776,
  [18670] = 17769,
  [18671] = 17888,
  [18672] = 17780,
  [18673] = 17882,
  [18674] = 17771,
  [18675] = 17789,
  [18676] = 17786,
  [18677] = 17772,
  [18678] = 17775,
  [18679] = 17772,
  [18680] = 17771,
  [18681] = 17780,
  [18682] = 17780,
  [18683] = 17769,
  [18684] = 17780,
  [18685] = 17769,
  [18686] = 17771,
  [18687] = 17775,
  [18688] = 18688,
  [18689] = 17769,
  [18690] = 17882,
  [18691] = 17780,
  [18692] = 17771,
  [18693] = 17883,
  [18694] = 17769,
  [18695] = 17867,
  [18696] = 17776,
  [18697] = 17774,
  [18698] = 17771,
  [18699] = 17776,
  [18700] = 11445,
  [18701] = 17810,
  [18702] = 17804,
  [18703] = 17769,
  [18704] = 17771,
  [18705] = 17804,
  [18706] = 17790,
  [18707] = 18284,
  [18708] = 17772,
  [18709] = 17776,
  [18710] = 17771,
  [18711] = 17772,
  [18712] = 17775,
  [18713] = 17774,
  [18714] = 17785,
  [18715] = 17795,
  [18716] = 17771,
  [18717] = 17888,
  [18718] = 17772,
  [18719] = 17775,
  [18720] = 17775,
  [18721] = 17883,
  [18722] = 17771,
  [18723] = 17776,
  [18724] = 17776,
  [18725] = 17769,
  [18726] = 17795,
  [18727] = 17912,
  [18728] = 17771,
  [18729] = 17795,
  [18730] = 17774,
  [18731] = 17780,
  [18732] = 17769,
  [18733] = 17795,
  [18734] = 17771,
  [18735] = 17790,
  [18736] = 17776,
  [18737] = 8339,
  [18738] = 17790,
  [18739] = 17770,
  [18740] = 17771,
  [18741] = 18741,
  [18742] = 17780,
  [18743] = 17769,
  [18744] = 17776,
  [18745] = 17776,
  [18746] = 17771,
  [18747] = 17771,
  [18748] = 17867,
  [18749] = 17780,
  [18750] = 17769,
  [18751] = 17772,
  [18752] = 17771,
  [18753] = 17776,
  [18754] = 17772,
  [18755] = 17775,
  [18756] = 17775,
  [18757] = 17787,
  [18758] = 17771,
  [18759] = 8082,
  [18760] = 17810,
  [18761] = 18234,
  [18762] = 17790,
  [18763] = 17774,
  [18764] = 17771,
  [18765] = 17785,
  [18766] = 17789,
  [18767] = 17780,
  [18768] = 17769,
  [18769] = 17786,
  [18770] = 17771,
  [18771] = 18771,
  [18772] = 18772,
  [18773] = 17888,
  [18774] = 17882,
  [18775] = 17883,
  [18776] = 17771,
  [18777] = 17867,
  [18778] = 18778,
  [18779] = 17780,
  [18780] = 17888,
  [18781] = 17792,
  [18782] = 17771,
  [18783] = 17774,
  [18784] = 17776,
  [18785] = 17771,
  [18786] = 17776,
  [18787] = 17793,
  [18788] = 17771,
  [18789] = 17772,
  [18790] = 17780,
  [18791] = 17768,
  [18792] = 17772,
  [18793] = 17775,
  [18794] = 17771,
  [18795] = 17776,
  [18796] = 17790,
  [18797] = 17772,
  [18798] = 17810,
  [18799] = 17810,
  [18800] = 17771,
  [18801] = 17775,
  [18802] = 18189,
  [18803] = 17785,
  [18804] = 17772,
  [18805] = 17786,
  [18806] = 17771,
  [18807] = 17780,
  [18808] = 17769,
  [18809] = 17769,
  [18810] = 17770,
  [18811] = 17804,
  [18812] = 17771,
  [18813] = 17771,
  [18814] = 17785,
  [18815] = 18815,
  [18816] = 17795,
  [18817] = 18817,
  [18818] = 17771,
  [18819] = 17795,
  [18820] = 17774,
  [18821] = 17771,
  [18822] = 17786,
  [18823] = 17772,
  [18824] = 17771,
  [18825] = 17775,
  [18826] = 17776,
  [18827] = 17774,
  [18828] = 17804,
  [18829] = 17776,
  [18830] = 17771,
  [18831] = 17780,
  [18832] = 17775,
  [18833] = 17810,
  [18834] = 17780,
  [18835] = 17772,
  [18836] = 17771,
  [18837] = 17838,
  [18838] = 17772,
  [18839] = 17775,
  [18840] = 17774,
  [18841] = 17769,
  [18842] = 17771,
  [18843] = 17775,
  [18844] = 17792,
  [18845] = 17790,
  [18846] = 17785,
  [18847] = 17795,
  [18848] = 17771,
  [18849] = 17793,
  [18850] = 17769,
  [18851] = 17780,
  [18852] = 17769,
  [18853] = 17882,
  [18854] = 17771,
  [18855] = 17810,
  [18856] = 18856,
  [18857] = 17776,
  [18858] = 17785,
  [18859] = 17810,
  [18860] = 17771,
  [18861] = 17785,
  [18862] = 17790,
  [18863] = 17786,
  [18864] = 17883,
  [18865] = 17867,
  [18866] = 17771,
  [18867] = 18284,
  [18868] = 17888,
  [18869] = 17780,
  [18870] = 17776,
  [18871] = 17771,
  [18872] = 17780,
  [18873] = 17787,
  [18874] = 17769,
  [18875] = 18422,
  [18876] = 18429,
  [18877] = 17771,
  [18878] = 18878,
  [18879] = 17786,
  [18880] = 17785,
  [18881] = 17882,
  [18882] = 17769,
  [18883] = 17771,
  [18884] = 17789,
  [18885] = 17772,
  [18886] = 17775,
  [18887] = 17883,
  [18888] = 17786,
  [18889] = 17771,
  [18890] = 17787,
  [18891] = 17804,
  [18892] = 17867,
  [18893] = 18893,
  [18894] = 17776,
  [18895] = 17771,
  [18896] = 17780,
  [18897] = 17790,
  [18898] = 17780,
  [18899] = 17792,
  [18900] = 17882,
  [18901] = 17771,
  [18902] = 17793,
  [18903] = 17769,
  [18904] = 17888,
  [18905] = 17789,
  [18906] = 17776,
  [18907] = 17771,
  [18908] = 17786,
  [18909] = 17792,
  [18910] = 17804,
  [18911] = 17793,
  [18912] = 17804,
  [18913] = 17771,
  [18914] = 17776,
  [18915] = 17769,
  [18916] = 17792,
  [18917] = 17768,
  [18918] = 17810,
  [18919] = 17772,
  [18920] = 17774,
  [18921] = 17768,
  [18922] = 17785,
  [18923] = 17776,
  [18924] = 17786,
  [18925] = 17772,
  [18926] = 17774,
  [18927] = 17775,
  [18928] = 17772,
  [18929] = 17793,
  [18930] = 17780,
  [18931] = 17775,
  [18932] = 17770,
  [18933] = 17883,
  [18934] = 18467,
  [18935] = 18741,
  [18936] = 17771,
  [18937] = 18937,
  [18938] = 18165,
  [18939] = 17776,
  [18940] = 17882,
  [18941] = 17883,
  [18942] = 17867,
  [18943] = 17888,
  [18944] = 17772,
  [18945] = 17775,
  [18946] = 17780,
  [18947] = 17772,
  [18948] = 17769,
  [18949] = 17780,
  [18950] = 17775,
  [18951] = 17882,
  [18952] = 17776,
  [18953] = 17883,
  [18954] = 17769,
  [18955] = 17867,
  [18956] = 17776,
  [18957] = 17795,
  [18958] = 17810,
  [18959] = 17769,
  [18960] = 17772,
  [18961] = 17774,
  [18962] = 17775,
  [18963] = 17785,
  [18964] = 17772,
  [18965] = 17786,
  [18966] = 17776,
  [18967] = 17867,
  [18968] = 17772,
  [18969] = 17888,
  [18970] = 17776,
  [18971] = 17888,
  [18972] = 17774,
  [18973] = 17944,
  [18974] = 17793,
  [18975] = 17776,
  [18976] = 18421,
  [18977] = 17795,
  [18978] = 18978,
  [18979] = 17838,
  [18980] = 17770,
  [18981] = 18772,
  [18982] = 17772,
  [18983] = 18937,
  [18984] = 17771,
  [18985] = 17775,
  [18986] = 17769,
  [18987] = 17772,
  [18988] = 17776,
  [18989] = 17772,
  [18990] = 17780,
  [18991] = 18815,
  [18992] = 17780,
  [18993] = 17780,
  [18994] = 17769,
  [18995] = 17776,
  [18996] = 17866,
  [18997] = 17944,
  [18998] = 17775,
  [18999] = 17928,
  [19000] = 17810,
  [19001] = 18978,
  [19002] = 17780,
  [19003] = 17785,
  [19004] = 17769,
  [19005] = 17786,
  [19006] = 17769,
  [19007] = 17769,
  [19008] = 17944,
  [19009] = 17772,
  [19010] = 17795,
  [19011] = 18978,
  [19012] = 17769,
  [19013] = 17772,
  [19014] = 17810,
  [19015] = 17772,
  [19016] = 17775,
  [19017] = 17785,
  [19018] = 17944,
  [19019] = 17775,
  [19020] = 17786,
  [19021] = 18978,
  [19022] = 17772,
  [19023] = 17776,
  [19024] = 17775,
  [19025] = 17775,
  [19026] = 17776,
  [19027] = 17944,
  [19028] = 17790,
  [19029] = 18978,
  [19030] = 17790,
  [19031] = 17772,
  [19032] = 17776,
  [19033] = 17775,
  [19034] = 17795,
  [19035] = 17944,
  [19036] = 17787,
  [19037] = 18978,
  [19038] = 17787,
  [19039] = 17882,
  [19040] = 18422,
  [19041] = 17775,
  [19042] = 17772,
  [19043] = 17944,
  [19044] = 17775,
  [19045] = 18978,
  [19046] = 17775,
  [19047] = 17883,
  [19048] = 17772,
  [19049] = 17789,
  [19050] = 17789,
  [19051] = 17944,
  [19052] = 17867,
  [19053] = 18978,
  [19054] = 17775,
  [19055] = 17772,
  [19056] = 17775,
  [19057] = 17888,
  [19058] = 17789,
  [19059] = 17944,
  [19060] = 17792,
  [19061] = 18978,
  [19062] = 17780,
  [19063] = 17780,
  [19064] = 17793,
  [19065] = 17769,
  [19066] = 17795,
  [19067] = 17944,
  [19068] = 18978,
  [19069] = 18978,
  [19070] = 17768,
  [19071] = 17780,
  [19072] = 17769,
  [19073] = 17810,
  [19074] = 17772,
  [19075] = 17944,
  [19076] = 17769,
  [19077] = 18978,
  [19078] = 17776,
  [19079] = 17804,
  [19080] = 17792,
  [19081] = 17780,
  [19082] = 17776,
  [19083] = 17944,
  [19084] = 17769,
  [19085] = 18978,
  [19086] = 17793,
  [19087] = 17795,
  [19088] = 17768,
  [19089] = 17772,
  [19090] = 17768,
  [19091] = 17944,
  [19092] = 17775,
  [19093] = 18978,
  [19094] = 17780,
  [19095] = 17776,
  [19096] = 17790,
  [19097] = 17776,
  [19098] = 17772,
  [19099] = 17944,
  [19100] = 17769,
  [19101] = 18978,
  [19102] = 17772,
  [19103] = 17775,
  [19104] = 17774,
  [19105] = 17785,
  [19106] = 17786,
  [19107] = 17944,
  [19108] = 17772,
  [19109] = 18978,
  [19110] = 17790,
  [19111] = 17772,
  [19112] = 17780,
  [19113] = 17770,
  [19114] = 17771,
  [19115] = 17944,
  [19116] = 17780,
  [19117] = 18978,
  [19118] = 17882,
  [19119] = 17769,
  [19120] = 17883,
  [19121] = 17867,
  [19122] = 17787,
  [19123] = 17944,
  [19124] = 17888,
  [19125] = 18978,
  [19126] = 17770,
  [19127] = 17771,
  [19128] = 17776,
  [19129] = 18421,
  [19130] = 17944,
  [19131] = 17912,
  [19132] = 18978,
  [19133] = 11409,
  [19134] = 17775,
  [19135] = 17774,
  [19136] = 17776,
  [19137] = 17944,
  [19138] = 17776,
  [19139] = 18978,
  [19140] = 17795,
  [19141] = 17774,
  [19142] = 17772,
  [19143] = 17789,
  [19144] = 17944,
  [19145] = 17773,
  [19146] = 18978,
  [19147] = 17775,
  [19148] = 17795,
  [19149] = 17776,
  [19150] = 17775,
  [19151] = 17944,
  [19152] = 17776,
  [19153] = 18978,
  [19154] = 17776,
  [19155] = 17780,
  [19156] = 17772,
  [19157] = 17772,
  [19158] = 17944,
  [19159] = 17775,
  [19160] = 18978,
  [19161] = 17772,
  [19162] = 17810,
  [19163] = 17785,
  [19164] = 17789,
  [19165] = 17944,
  [19166] = 17786,
  [19167] = 18978,
  [19168] = 17772,
  [19169] = 17787,
  [19170] = 17775,
  [19171] = 17780,
  [19172] = 17944,
  [19173] = 17789,
  [19174] = 18978,
  [19175] = 17775,
  [19176] = 17780,
  [19177] = 17780,
  [19178] = 17769,
  [19179] = 17944,
  [19180] = 17792,
  [19181] = 18978,
  [19182] = 17793,
  [19183] = 17769,
  [19184] = 17768,
  [19185] = 17772,
  [19186] = 17944,
  [19187] = 17775,
  [19188] = 18978,
  [19189] = 17769,
  [19190] = 17775,
  [19191] = 17810,
  [19192] = 17775,
  [19193] = 17944,
  [19194] = 17775,
  [19195] = 18978,
  [19196] = 17790,
  [19197] = 17776,
  [19198] = 17785,
  [19199] = 17786,
  [19200] = 17944,
  [19201] = 17780,
  [19202] = 18978,
  [19203] = 17776,
  [19204] = 17775,
  [19205] = 17770,
  [19206] = 19206,
  [19207] = 17944,
  [19208] = 17771,
  [19209] = 18978,
  [19210] = 17769,
  [19211] = 17790,
  [19212] = 17769,
  [19213] = 17810,
  [19214] = 17944,
  [19215] = 17768,
  [19216] = 18978,
  [19217] = 17804,
  [19218] = 17772,
  [19219] = 17795,
  [19220] = 17775,
  [19221] = 17944,
  [19222] = 17776,
  [19223] = 18978,
  [19224] = 17912,
  [19225] = 17774,
  [19226] = 17780,
  [19227] = 17769,
  [19228] = 17944,
  [19229] = 17772,
  [19230] = 18978,
  [19231] = 17775,
  [19232] = 17882,
  [19233] = 17773,
  [19234] = 17780,
  [19235] = 17944,
  [19236] = 17790,
  [19237] = 18978,
  [19238] = 17786,
  [19239] = 17780,
  [19240] = 19240,
  [19241] = 17769,
  [19242] = 17944,
  [19243] = 17785,
  [19244] = 18978,
  [19245] = 8255,
  [19246] = 17786,
  [19247] = 18429,
  [19248] = 17795,
  [19249] = 17944,
  [19250] = 17787,
  [19251] = 18978,
  [19252] = 17780,
  [19253] = 17882,
  [19254] = 17789,
  [19255] = 17883,
  [19256] = 17944,
  [19257] = 17776,
  [19258] = 18978,
  [19259] = 18422,
  [19260] = 17883,
  [19261] = 17792,
  [19262] = 17793,
  [19263] = 17944,
  [19264] = 17867,
  [19265] = 18978,
  [19266] = 17768,
  [19267] = 17888,
  [19268] = 17792,
  [19269] = 17785,
  [19270] = 17944,
  [19271] = 17786,
  [19272] = 18978,
  [19273] = 17769,
  [19274] = 17772,
  [19275] = 17780,
  [19276] = 17775,
  [19277] = 17944,
  [19278] = 17793,
  [19279] = 18978,
  [19280] = 17769,
  [19281] = 17769,
  [19282] = 17770,
  [19283] = 17787,
  [19284] = 17944,
  [19285] = 17771,
  [19286] = 18978,
  [19287] = 17774,
  [19288] = 17775,
  [19289] = 17789,
  [19290] = 17804,
  [19291] = 17944,
  [19292] = 17785,
  [19293] = 18978,
  [19294] = 17780,
  [19295] = 17776,
  [19296] = 17867,
  [19297] = 17780,
  [19298] = 17944,
  [19299] = 17769,
  [19300] = 18978,
  [19301] = 17888,
  [19302] = 17768,
  [19303] = 17769,
  [19304] = 17795,
  [19305] = 17944,
  [19306] = 17810,
  [19307] = 18978,
  [19308] = 17774,
  [19309] = 17785,
  [19310] = 17786,
  [19311] = 17792,
  [19312] = 17944,
  [19313] = 18286,
  [19314] = 18978,
  [19315] = 17790,
  [19316] = 17774,
  [19317] = 17793,
  [19318] = 17776,
  [19319] = 17944,
  [19320] = 17776,
  [19321] = 18978,
  [19322] = 17772,
  [19323] = 17775,
  [19324] = 17787,
  [19325] = 17768,
  [19326] = 17944,
  [19327] = 11456,
  [19328] = 18978,
  [19329] = 17789,
  [19330] = 17772,
  [19331] = 17775,
  [19332] = 11458,
  [19333] = 17944,
  [19334] = 17770,
  [19335] = 18978,
  [19336] = 17792,
  [19337] = 17772,
  [19338] = 17793,
  [19339] = 17775,
  [19340] = 17944,
  [19341] = 17772,
  [19342] = 18978,
  [19343] = 17768,
  [19344] = 17771,
  [19345] = 17780,
  [19346] = 8352,
  [19347] = 17944,
  [19348] = 17774,
  [19349] = 18978,
  [19350] = 19350,
  [19351] = 17772,
  [19352] = 17770,
  [19353] = 17771,
  [19354] = 17944,
  [19355] = 17769,
  [19356] = 18978,
  [19357] = 17790,
  [19358] = 17795,
  [19359] = 17776,
  [19360] = 17780,
  [19361] = 17944,
  [19362] = 17769,
  [19363] = 18978,
  [19364] = 17775,
  [19365] = 17769,
  [19366] = 17780,
  [19367] = 17769,
  [19368] = 17944,
  [19369] = 17780,
  [19370] = 18978,
  [19371] = 17804,
  [19372] = 17776,
  [19373] = 11373,
  [19374] = 17769,
  [19375] = 17944,
  [19376] = 19376,
  [19377] = 18978,
  [19378] = 17790,
  [19379] = 17776,
  [19380] = 17772,
  [19381] = 17776,
  [19382] = 17944,
  [19383] = 17776,
  [19384] = 18978,
  [19385] = 18234,
  [19386] = 17775,
  [19387] = 17780,
  [19388] = 17780,
  [19389] = 17944,
  [19390] = 17795,
  [19391] = 18978,
  [19392] = 18937,
  [19393] = 17787,
  [19394] = 17774,
  [19395] = 17789,
  [19396] = 18978,
  [19397] = 17780,
  [19398] = 17775,
  [19399] = 17769,
  [19400] = 17792,
  [19401] = 18978,
  [19402] = 17793,
  [19403] = 17772,
  [19404] = 17768,
  [19405] = 17775,
  [19406] = 18978,
  [19407] = 17776,
  [19408] = 17795,
  [19409] = 17774,
  [19410] = 17769,
  [19411] = 18978,
  [19412] = 17780,
  [19413] = 17810,
  [19414] = 17770,
  [19415] = 17771,
  [19416] = 18978,
  [19417] = 17790,
  [19418] = 17769,
  [19419] = 17780,
  [19420] = 17776,
  [19421] = 18978,
  [19422] = 19422,
  [19423] = 17780,
  [19424] = 17776,
  [19425] = 17769,
  [19426] = 18978,
  [19427] = 17775,
  [19428] = 17795,
  [19429] = 17769,
  [19430] = 17785,
  [19431] = 18978,
  [19432] = 17786,
  [19433] = 17774,
  [19434] = 17780,
  [19435] = 17810,
  [19436] = 18978,
  [19437] = 17785,
  [19438] = 17882,
  [19439] = 17786,
  [19440] = 17776,
  [19441] = 18978,
  [19442] = 17790,
  [19443] = 17776,
  [19444] = 17787,
  [19445] = 17776,
  [19446] = 18978,
  [19447] = 18978,
  [19448] = 18978,
  [19449] = 18978,
  [19450] = 18978,
  [19451] = 18978,
  [19452] = 18978,
  [19453] = 18978,
  [19454] = 18978,
  [19455] = 18978,
  [19456] = 18978,
  [19457] = 18978,
  [19458] = 18978,
  [19459] = 18978,
  [19460] = 18978,
  [19461] = 18978,
  [19462] = 18978,
  [19463] = 18978,
  [19464] = 18978,
  [19465] = 18978,
  [19466] = 18978,
  [19467] = 18978,
  [19468] = 18978,
  [19469] = 18978,
  [19470] = 18978,
  [19471] = 18978,
  [19472] = 18978,
  [19473] = 18978,
  [19474] = 18978,
  [19475] = 18978,
  [19476] = 18978,
  [19477] = 18978,
  [19478] = 18978,
  [19479] = 18978,
  [19480] = 18978,
  [19481] = 18978,
  [19482] = 18978,
  [19483] = 18978,
  [19484] = 18978,
  [19485] = 18978,
  [19486] = 18978,
  [19487] = 18978,
  [19488] = 18978,
  [19489] = 18978,
  [19490] = 18978,
  [19491] = 18978,
  [19492] = 18978,
  [19493] = 18978,
  [19494] = 18978,
  [19495] = 18978,
  [19496] = 18978,
  [19497] = 18978,
  [19498] = 17883,
  [19499] = 17772,
  [19500] = 17867,
  [19501] = 17888,
  [19502] = 17775,
  [19503] = 18878,
  [19504] = 17792,
  [19505] = 17772,
  [19506] = 17793,
  [19507] = 17775,
  [19508] = 17790,
  [19509] = 17804,
  [19510] = 17769,
  [19511] = 17789,
  [19512] = 17804,
  [19513] = 17787,
  [19514] = 17810,
  [19515] = 17789,
  [19516] = 17780,
  [19517] = 17769,
  [19518] = 17785,
  [19519] = 17772,
  [19520] = 17772,
  [19521] = 17792,
  [19522] = 17793,
  [19523] = 17768,
  [19524] = 17790,
  [19525] = 18165,
  [19526] = 17772,
  [19527] = 17775,
  [19528] = 17780,
  [19529] = 17792,
  [19530] = 17776,
  [19531] = 17795,
  [19532] = 17793,
  [19533] = 17770,
  [19534] = 17789,
  [19535] = 17771,
  [19536] = 17774,
  [19537] = 17775,
  [19538] = 17768,
  [19539] = 17780,
  [19540] = 17772,
  [19541] = 17769,
  [19542] = 17775,
  [19543] = 17769,
  [19544] = 17795,
  [19545] = 17780,
  [19546] = 18817,
  [19547] = 17804,
  [19548] = 17768,
  [19549] = 17770,
  [19550] = 18893,
  [19551] = 17776,
  [19552] = 17786,
  [19553] = 17790,
  [19554] = 17775,
  [19555] = 17780,
  [19556] = 17769,
  [19557] = 17770,
  [19558] = 17790,
  [19559] = 17795,
  [19560] = 17774,
  [19561] = 17795,
  [19562] = 17790,
  [19563] = 8145,
  [19564] = 19564,
  [19565] = 19565,
  [19566] = 19566,
  [19567] = 19567,
};

static TSCharacterRange sym__alpha_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xbb}, {0xc0, 0xd6},
  {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377},
  {0x37a, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f},
  {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f},
  {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824},
  {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d},
  {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a},
  {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e},
  {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd},
  {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33},
  {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90},
  {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0},
  {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61},
  {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde},
  {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56},
  {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30},
  {0xe32, 0xe33}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0},
  {0xeb2, 0xeb3}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c},
  {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070},
  {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5},
  {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731},
  {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x1884},
  {0x1887, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9},
  {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5},
  {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3},
  {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f},
  {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2119, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126},
  {0x2128, 0x2128}, {0x212a, 0x212d}, {0x212f, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4},
  {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96},
  {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde},
  {0x2e2f, 0x2e2f}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa},
  {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x3400}, {0x4dbf, 0x4dbf}, {0x4e00, 0x4e00},
  {0x9fff, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef},
  {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805},
  {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925},
  {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28},
  {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd},
  {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16},
  {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xac00}, {0xd7a3, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36},
  {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7},
  {0xfdf0, 0xfdfb}, {0xfe70, 0xfe74}, {0xfe76, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf},
  {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d},
  {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d},
  {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563},
  {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
  {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808},
  {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5},
  {0x10900, 0x10915},
};

static TSCharacterRange sym__alpha_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xbb},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374},
  {0x376, 0x377}, {0x37a, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a},
  {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710},
  {0x712, 0x72f}, {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a},
  {0x824, 0x824}, {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939},
  {0x93d, 0x93d}, {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0},
  {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc},
  {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30},
  {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbd0, 0xbd0}, {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc61}, {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd},
  {0xcdd, 0xcde}, {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e},
  {0xd54, 0xd56}, {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xe01, 0xe30}, {0xe32, 0xe33}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5},
  {0xea7, 0xeb0}, {0xeb2, 0xeb3}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47},
  {0xf49, 0xf6c}, {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066},
  {0x106e, 0x1070}, {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711},
  {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878},
  {0x1880, 0x1884}, {0x1887, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab},
  {0x19b0, 0x19c9}, {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf},
  {0x1bba, 0x1be5}, {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec},
  {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d},
  {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe},
  {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071},
  {0x207f, 0x207f}, {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2119, 0x211d}, {0x2124, 0x2124},
  {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x212d}, {0x212f, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188},
  {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f},
  {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6},
  {0x2dd8, 0x2dde}, {0x2e2f, 0x2e2f}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f},
  {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x3400}, {0x4dbf, 0x4dbf},
  {0x4e00, 0x4e00}, {0x9fff, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d},
  {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801},
  {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe},
  {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe},
  {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6},
  {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e},
  {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xac00}, {0xd7a3, 0xd7a3},
  {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28},
  {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfd3d}, {0xfd50, 0xfd8f},
  {0xfd92, 0xfdc7}, {0xfdf0, 0xfdfb}, {0xfe70, 0xfe74}, {0xfe76, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xffbe}, {0xffc2, 0xffc7},
  {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d},
  {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375},
  {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527},
  {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9},
  {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805},
  {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2},
  {0x108f4, 0x108f5}, {0x10900, 0x10915},
};

static TSCharacterRange sym__alpha_identifier_character_set_3[] = {
  {'!', '!'}, {'#', '&'}, {'*', '+'}, {'-', '-'}, {'/', ':'}, {'<', 'Z'}, {'\\', '\\'}, {'^', '_'},
  {'a', 'z'}, {'|', '|'}, {'~', '~'}, {0xa6, 0xa6}, {0xa9, 0xaa}, {0xac, 0xac}, {0xae, 0xae}, {0xb0, 0xb1},
  {0xb5, 0xb5}, {0xba, 0xbb}, {0xc0, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374},
  {0x376, 0x377}, {0x37a, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x482},
  {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x58d, 0x58e}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x606, 0x608},
  {0x60e, 0x60f}, {0x620, 0x64a}, {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6de, 0x6de}, {0x6e5, 0x6e6}, {0x6e9, 0x6e9},
  {0x6ee, 0x6ef}, {0x6fa, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f6},
  {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887},
  {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c},
  {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd},
  {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fa, 0x9fa}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30},
  {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91},
  {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9},
  {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d},
  {0xb5f, 0xb61}, {0xb70, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c},
  {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xbf3, 0xbf8}, {0xbfa, 0xbfa}, {0xc05, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc7f, 0xc80},
  {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1},
  {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4f}, {0xd54, 0xd56}, {0xd5f, 0xd61},
  {0xd79, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30}, {0xe32, 0xe33},
  {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb3},
  {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf03}, {0xf13, 0xf13}, {0xf15, 0xf17}, {0xf1a, 0xf1f},
  {0xf34, 0xf34}, {0xf36, 0xf36}, {0xf38, 0xf38}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c}, {0xfbe, 0xfc5}, {0xfc7, 0xfcc},
  {0xfce, 0xfcf}, {0xfd5, 0xfd8}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066},
  {0x106e, 0x1070}, {0x1075, 0x1081}, {0x108e, 0x108e}, {0x109e, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x1399},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166d}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711},
  {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878},
  {0x1880, 0x1884}, {0x1887, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1940, 0x1940}, {0x1950, 0x196d}, {0x1970, 0x1974},
  {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19de, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b61, 0x1b6a},
  {0x1b74, 0x1b7c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88},
  {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15},
  {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d},
  {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec},
  {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2044, 0x2044}, {0x2052, 0x2052}, {0x2071, 0x2071}, {0x207a, 0x207c}, {0x207f, 0x207f}, {0x208a, 0x208c},
  {0x2090, 0x209c}, {0x2100, 0x214f}, {0x2160, 0x2188}, {0x218a, 0x218b}, {0x2190, 0x2307}, {0x230c, 0x2328}, {0x232b, 0x2426}, {0x2440, 0x244a},
  {0x249c, 0x24e9}, {0x2500, 0x2767}, {0x2794, 0x27c4}, {0x27c7, 0x27e5}, {0x27f0, 0x2982}, {0x2999, 0x29d7}, {0x29dc, 0x29fb}, {0x29fe, 0x2b73},
  {0x2b76, 0x2b95}, {0x2b97, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f},
  {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6},
  {0x2dd8, 0x2dde}, {0x2e2f, 0x2e2f}, {0x2e50, 0x2e51}, {0x2e80, 0x2e99}, {0x2e9b, 0x2ef3}, {0x2f00, 0x2fd5}, {0x2ff0, 0x2fff}, {0x3004, 0x3007},
  {0x3012, 0x3013}, {0x3020, 0x3029}, {0x3031, 0x303c}, {0x303e, 0x303f}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff},
  {0x3105, 0x312f}, {0x3131, 0x318e}, {0x3190, 0x3191}, {0x3196, 0x31e3}, {0x31ef, 0x321e}, {0x322a, 0x3247}, {0x3250, 0x3250}, {0x3260, 0x327f},
  {0x328a, 0x32b0}, {0x32c0, 0x3400}, {0x4dbf, 0x4e00}, {0x9fff, 0xa48c}, {0xa490, 0xa4c6}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f},
  {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1},
  {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa828, 0xa82b}, {0xa836, 0xa837},
  {0xa839, 0xa839}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946},
  {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42},
  {0xaa44, 0xaa4b}, {0xaa60, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2},
  {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e},
  {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xac00}, {0xd7a3, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d},
  {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41},
  {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfd3d}, {0xfd40, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdcf, 0xfdcf}, {0xfdf0, 0xfdfb}, {0xfdfd, 0xfdff},
  {0xfe62, 0xfe62}, {0xfe64, 0xfe66}, {0xfe70, 0xfe74}, {0xfe76, 0xfefc}, {0xff0b, 0xff0b}, {0xff1c, 0xff1e}, {0xff21, 0xff3a}, {0xff41, 0xff5a},
  {0xff5c, 0xff5c}, {0xff5e, 0xff5e}, {0xff66, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0xffe2, 0xffe2},
  {0xffe4, 0xffe4}, {0xffe8, 0xffee}, {0xfffc, 0xfffd}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d},
  {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10137, 0x10174}, {0x10179, 0x10189}, {0x1018c, 0x1018e}, {0x10190, 0x1019c}, {0x101a0, 0x101a0}, {0x101d0, 0x101fc},
  {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf},
  {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a},
  {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755},
  {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838},
  {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10878}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915},
};

static TSCharacterRange sym__alpha_identifier_character_set_4[] = {
  {'!', '!'}, {'#', '#'}, {'%', '&'}, {'*', '+'}, {'-', '-'}, {'/', '/'}, {':', ':'}, {'<', '@'},
  {'\\', '\\'}, {'^', '^'}, {'|', '|'}, {'~', '~'}, {0xa6, 0xa6}, {0xa9, 0xa9}, {0xac, 0xac}, {0xae, 0xae},
  {0xb0, 0xb1}, {0xd7, 0xd7}, {0xf7, 0xf7}, {0x3f6, 0x3f6}, {0x482, 0x482}, {0x58d, 0x58e}, {0x606, 0x608}, {0x60e, 0x60f},
  {0x6de, 0x6de}, {0x6e9, 0x6e9}, {0x6fd, 0x6fe}, {0x7f6, 0x7f6}, {0x9fa, 0x9fa}, {0xb70, 0xb70}, {0xbf3, 0xbf8}, {0xbfa, 0xbfa},
  {0xc7f, 0xc7f}, {0xd4f, 0xd4f}, {0xd79, 0xd79}, {0xf01, 0xf03}, {0xf13, 0xf13}, {0xf15, 0xf17}, {0xf1a, 0xf1f}, {0xf34, 0xf34},
  {0xf36, 0xf36}, {0xf38, 0xf38}, {0xfbe, 0xfc5}, {0xfc7, 0xfcc}, {0xfce, 0xfcf}, {0xfd5, 0xfd8}, {0x109e, 0x109f}, {0x1390, 0x1399},
  {0x166d, 0x166d}, {0x1940, 0x1940}, {0x19de, 0x19ff}, {0x1b61, 0x1b6a}, {0x1b74, 0x1b7c}, {0x2044, 0x2044}, {0x2052, 0x2052}, {0x207a, 0x207c},
  {0x208a, 0x208c}, {0x2100, 0x2101}, {0x2103, 0x2106}, {0x2108, 0x2109}, {0x2114, 0x2114}, {0x2116, 0x2118}, {0x211e, 0x2123}, {0x2125, 0x2125},
  {0x2127, 0x2127}, {0x2129, 0x2129}, {0x212e, 0x212e}, {0x213a, 0x213b}, {0x2140, 0x2144}, {0x214a, 0x214d}, {0x214f, 0x214f}, {0x218a, 0x218b},
  {0x2190, 0x2307}, {0x230c, 0x2328}, {0x232b, 0x2426}, {0x2440, 0x244a}, {0x249c, 0x24e9}, {0x2500, 0x2767}, {0x2794, 0x27c4}, {0x27c7, 0x27e5},
  {0x27f0, 0x2982}, {0x2999, 0x29d7}, {0x29dc, 0x29fb}, {0x29fe, 0x2b73}, {0x2b76, 0x2b95}, {0x2b97, 0x2bff}, {0x2ce5, 0x2cea}, {0x2e50, 0x2e51},
  {0x2e80, 0x2e99}, {0x2e9b, 0x2ef3}, {0x2f00, 0x2fd5}, {0x2ff0, 0x2fff}, {0x3004, 0x3004}, {0x3012, 0x3013}, {0x3020, 0x3020}, {0x3036, 0x3037},
  {0x303e, 0x303f}, {0x3190, 0x3191}, {0x3196, 0x319f}, {0x31c0, 0x31e3}, {0x31ef, 0x31ef}, {0x3200, 0x321e}, {0x322a, 0x3247}, {0x3250, 0x3250},
  {0x3260, 0x327f}, {0x328a, 0x32b0}, {0x32c0, 0x33ff}, {0x4dc0, 0x4dff}, {0xa490, 0xa4c6}, {0xa828, 0xa82b}, {0xa836, 0xa837}, {0xa839, 0xa839},
  {0xaa77, 0xaa79}, {0xfb29, 0xfb29}, {0xfd40, 0xfd4f}, {0xfdcf, 0xfdcf}, {0xfdfd, 0xfdff}, {0xfe62, 0xfe62}, {0xfe64, 0xfe66}, {0xff0b, 0xff0b},
  {0xff1c, 0xff1e}, {0xff5c, 0xff5c}, {0xff5e, 0xff5e}, {0xffe2, 0xffe2}, {0xffe4, 0xffe4}, {0xffe8, 0xffee}, {0xfffc, 0xfffd}, {0x10137, 0x1013f},
  {0x10179, 0x10189}, {0x1018c, 0x1018e}, {0x10190, 0x1019c}, {0x101a0, 0x101a0}, {0x101d0, 0x101fc}, {0x10877, 0x10878},
};

static TSCharacterRange sym__interpolation_identifier_character_set_1[] = {
  {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xbb}, {0xc0, 0xd6}, {0xd8, 0xf6},
  {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377}, {0x37a, 0x37d},
  {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x48a, 0x52f},
  {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f}, {0x671, 0x6d3},
  {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5},
  {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828},
  {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950},
  {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10},
  {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa72, 0xa74},
  {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0},
  {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39},
  {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95},
  {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xc05, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc80, 0xc80},
  {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1},
  {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56}, {0xd5f, 0xd61},
  {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30}, {0xe32, 0xe33},
  {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb3},
  {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c},
  {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070}, {0x1075, 0x1081},
  {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd},
  {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731}, {0x1740, 0x1751},
  {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x1884}, {0x1887, 0x18a8},
  {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16},
  {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23},
  {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6},
  {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59},
  {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc},
  {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c},
  {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2119, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128},
  {0x212a, 0x212d}, {0x212f, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee},
  {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6},
  {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2e2f, 0x2e2f},
  {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff},
  {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x3400}, {0x4dbf, 0x4dbf}, {0x4e00, 0x4e00}, {0x9fff, 0xa48c},
  {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f},
  {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a},
  {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946},
  {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42},
  {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0},
  {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26},
  {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xac00}, {0xd7a3, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb},
  {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c},
  {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdfb},
  {0xfe70, 0xfe74}, {0xfe76, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7},
  {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa},
  {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3},
  {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a},
  {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736},
  {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835},
  {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915},
};

static TSCharacterRange sym__interpolation_identifier_character_set_2[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xbb}, {0xc0, 0xd6},
  {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377},
  {0x37a, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f},
  {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f},
  {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824},
  {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d},
  {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a},
  {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e},
  {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd},
  {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33},
  {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90},
  {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0},
  {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61},
  {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde},
  {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56},
  {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30},
  {0xe32, 0xe33}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0},
  {0xeb2, 0xeb3}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c},
  {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070},
  {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5},
  {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731},
  {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x1884},
  {0x1887, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9},
  {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5},
  {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3},
  {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f},
  {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2119, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126},
  {0x2128, 0x2128}, {0x212a, 0x212d}, {0x212f, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4},
  {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96},
  {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde},
  {0x2e2f, 0x2e2f}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa},
  {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x3400}, {0x4dbf, 0x4dbf}, {0x4e00, 0x4e00},
  {0x9fff, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef},
  {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805},
  {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925},
  {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28},
  {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd},
  {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16},
  {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xac00}, {0xd7a3, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36},
  {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7},
  {0xfdf0, 0xfdfb}, {0xfe70, 0xfe74}, {0xfe76, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf},
  {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d},
  {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d},
  {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563},
  {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
  {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808},
  {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5},
  {0x10900, 0x10915},
};

static TSCharacterRange sym_operator_identifier_character_set_1[] = {
  {'!', '!'}, {'#', '#'}, {'%', '&'}, {'+', '+'}, {'-', '-'}, {':', ':'}, {'<', '@'}, {'\\', '\\'},
  {'^', '^'}, {'|', '|'}, {'~', '~'}, {0xa6, 0xa6}, {0xa9, 0xa9}, {0xac, 0xac}, {0xae, 0xae}, {0xb0, 0xb1},
  {0xd7, 0xd7}, {0xf7, 0xf7}, {0x3f6, 0x3f6}, {0x482, 0x482}, {0x58d, 0x58e}, {0x606, 0x608}, {0x60e, 0x60f}, {0x6de, 0x6de},
  {0x6e9, 0x6e9}, {0x6fd, 0x6fe}, {0x7f6, 0x7f6}, {0x9fa, 0x9fa}, {0xb70, 0xb70}, {0xbf3, 0xbf8}, {0xbfa, 0xbfa}, {0xc7f, 0xc7f},
  {0xd4f, 0xd4f}, {0xd79, 0xd79}, {0xf01, 0xf03}, {0xf13, 0xf13}, {0xf15, 0xf17}, {0xf1a, 0xf1f}, {0xf34, 0xf34}, {0xf36, 0xf36},
  {0xf38, 0xf38}, {0xfbe, 0xfc5}, {0xfc7, 0xfcc}, {0xfce, 0xfcf}, {0xfd5, 0xfd8}, {0x109e, 0x109f}, {0x1390, 0x1399}, {0x166d, 0x166d},
  {0x1940, 0x1940}, {0x19de, 0x19ff}, {0x1b61, 0x1b6a}, {0x1b74, 0x1b7c}, {0x2044, 0x2044}, {0x2052, 0x2052}, {0x207a, 0x207c}, {0x208a, 0x208c},
  {0x2100, 0x2101}, {0x2103, 0x2106}, {0x2108, 0x2109}, {0x2114, 0x2114}, {0x2116, 0x2118}, {0x211e, 0x2123}, {0x2125, 0x2125}, {0x2127, 0x2127},
  {0x2129, 0x2129}, {0x212e, 0x212e}, {0x213a, 0x213b}, {0x2140, 0x2144}, {0x214a, 0x214d}, {0x214f, 0x214f}, {0x218a, 0x218b}, {0x2190, 0x2307},
  {0x230c, 0x2328}, {0x232b, 0x2426}, {0x2440, 0x244a}, {0x249c, 0x24e9}, {0x2500, 0x2767}, {0x2794, 0x27c4}, {0x27c7, 0x27e5}, {0x27f0, 0x2982},
  {0x2999, 0x29d7}, {0x29dc, 0x29fb}, {0x29fe, 0x2b73}, {0x2b76, 0x2b95}, {0x2b97, 0x2bff}, {0x2ce5, 0x2cea}, {0x2e50, 0x2e51}, {0x2e80, 0x2e99},
  {0x2e9b, 0x2ef3}, {0x2f00, 0x2fd5}, {0x2ff0, 0x2fff}, {0x3004, 0x3004}, {0x3012, 0x3013}, {0x3020, 0x3020}, {0x3036, 0x3037}, {0x303e, 0x303f},
  {0x3190, 0x3191}, {0x3196, 0x319f}, {0x31c0, 0x31e3}, {0x31ef, 0x31ef}, {0x3200, 0x321e}, {0x322a, 0x3247}, {0x3250, 0x3250}, {0x3260, 0x327f},
  {0x328a, 0x32b0}, {0x32c0, 0x33ff}, {0x4dc0, 0x4dff}, {0xa490, 0xa4c6}, {0xa828, 0xa82b}, {0xa836, 0xa837}, {0xa839, 0xa839}, {0xaa77, 0xaa79},
  {0xfb29, 0xfb29}, {0xfd40, 0xfd4f}, {0xfdcf, 0xfdcf}, {0xfdfd, 0xfdff}, {0xfe62, 0xfe62}, {0xfe64, 0xfe66}, {0xff0b, 0xff0b}, {0xff1c, 0xff1e},
  {0xff5c, 0xff5c}, {0xff5e, 0xff5e}, {0xffe2, 0xffe2}, {0xffe4, 0xffe4}, {0xffe8, 0xffee}, {0xfffc, 0xfffd}, {0x10137, 0x1013f}, {0x10179, 0x10189},
  {0x1018c, 0x1018e}, {0x10190, 0x1019c}, {0x101a0, 0x101a0}, {0x101d0, 0x101fc}, {0x10877, 0x10878},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(70);
      ADVANCE_MAP(
        '!', 110,
        '"', 144,
        '#', 103,
        '$', 115,
        '\'', 116,
        '(', 100,
        ')', 101,
        '*', 78,
        '+', 84,
        ',', 75,
        '-', 87,
        '.', 77,
        '/', 25,
        '0', 135,
        ':', 71,
        ';', 102,
        '<', 15,
        '=', 97,
        '>', 156,
        '?', 30,
        '@', 94,
        '[', 82,
        ']', 83,
        '`', 49,
        '{', 73,
        '|', 108,
        '}', 74,
        '~', 112,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(136);
      if (set_contains(sym__interpolation_identifier_character_set_2, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(1);
      if (lookahead == '*') ADVANCE(168);
      if (lookahead == '/') ADVANCE(166);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(167);
      if (lookahead != 0) ADVANCE(165);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '!', 111,
        '"', 144,
        '#', 104,
        '$', 115,
        '\'', 116,
        '(', 100,
        ')', 101,
        '*', 79,
        '+', 85,
        ',', 75,
        '-', 86,
        '.', 77,
        '/', 125,
        '0', 135,
        ':', 72,
        '=', 98,
        '?', 129,
        '@', 95,
        '[', 82,
        '`', 49,
        '{', 73,
        '~', 113,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(136);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(131);
      if (set_contains(sym__interpolation_identifier_character_set_2, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 111,
        '"', 144,
        '#', 104,
        '$', 115,
        '\'', 116,
        '(', 100,
        '+', 85,
        ',', 75,
        '-', 86,
        '.', 77,
        '/', 125,
        '0', 135,
        ':', 72,
        ';', 102,
        '=', 98,
        '?', 129,
        '@', 95,
        '[', 82,
        '`', 49,
        '{', 73,
        '}', 74,
        '~', 113,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(136);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(131);
      if (set_contains(sym__interpolation_identifier_character_set_2, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '!', 111,
        '"', 144,
        '$', 115,
        '\'', 116,
        '(', 100,
        ')', 101,
        '*', 79,
        '+', 85,
        ',', 75,
        '-', 86,
        '.', 77,
        '/', 125,
        '0', 135,
        ':', 72,
        ';', 102,
        '=', 98,
        '?', 129,
        '@', 95,
        '[', 82,
        '`', 49,
        '{', 73,
        '|', 109,
        '~', 113,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(136);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(131);
      if (set_contains(sym__interpolation_identifier_character_set_2, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 111,
        '$', 115,
        '\'', 116,
        '(', 100,
        ')', 101,
        '+', 85,
        '-', 86,
        '.', 41,
        '/', 125,
        '0', 135,
        ':', 72,
        '=', 33,
        '[', 82,
        '`', 49,
        '{', 73,
        '~', 113,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(5);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(136);
      if (lookahead == '@' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(131);
      if (set_contains(sym__interpolation_identifier_character_set_2, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '"', 144,
        '(', 100,
        ')', 101,
        '*', 79,
        ',', 75,
        '.', 76,
        '/', 125,
        ':', 72,
        '<', 126,
        '=', 99,
        '@', 95,
        '[', 82,
        ']', 83,
        '`', 49,
        '|', 109,
        '}', 74,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(131);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '"', 144,
        '(', 100,
        '*', 79,
        '.', 76,
        '/', 125,
        ':', 72,
        '=', 33,
        '@', 95,
        '`', 49,
        '|', 109,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(131);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 8:
      if (lookahead == '"') ADVANCE(145);
      END_STATE();
    case 9:
      if (lookahead == '"') ADVANCE(143);
      if (lookahead == '$') ADVANCE(114);
      if (lookahead == '/') ADVANCE(25);
      if (lookahead == '=') ADVANCE(35);
      if (lookahead == '{') ADVANCE(73);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      if (set_contains(sym__interpolation_identifier_character_set_1, 432, lookahead)) ADVANCE(120);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '#', 104,
        '(', 100,
        ')', 101,
        '*', 79,
        ',', 75,
        '.', 76,
        '/', 125,
        ':', 72,
        '<', 126,
        '=', 98,
        '?', 129,
        '@', 95,
        '[', 82,
        '`', 49,
        '{', 73,
        '|', 109,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(10);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(131);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '#', 104,
        '(', 100,
        '+', 85,
        '-', 88,
        '.', 76,
        '/', 125,
        '@', 95,
        '[', 82,
        '`', 49,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(11);
      if (lookahead == ':' ||
          lookahead == '=' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(131);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '#', 104,
        '(', 100,
        ',', 75,
        '.', 76,
        '/', 125,
        ':', 72,
        '<', 123,
        '=', 33,
        '?', 129,
        '@', 95,
        '[', 82,
        ']', 83,
        '`', 49,
        '{', 73,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(12);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(131);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '#', 104,
        '(', 100,
        ',', 75,
        '.', 76,
        '/', 125,
        ':', 72,
        '<', 124,
        '=', 33,
        '?', 129,
        '@', 95,
        '[', 82,
        ']', 83,
        '`', 49,
        '{', 73,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(13);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(131);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '#', 104,
        '(', 100,
        '.', 76,
        '/', 125,
        ':', 72,
        '=', 98,
        '@', 95,
        '[', 82,
        '`', 49,
        '{', 73,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(131);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 15:
      if (lookahead == '%') ADVANCE(92);
      if (lookahead == '-') ADVANCE(146);
      if (lookahead == ':') ADVANCE(89);
      END_STATE();
    case 16:
      if (lookahead == '%') ADVANCE(92);
      if (lookahead == ':') ADVANCE(89);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '\'', 116,
        '(', 100,
        ')', 101,
        ',', 75,
        '-', 127,
        '.', 41,
        '/', 125,
        '0', 135,
        ':', 72,
        '@', 95,
        '[', 82,
        ']', 83,
        '`', 49,
        '{', 73,
        '}', 74,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(17);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(136);
      if (lookahead == '=' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(131);
      if (set_contains(sym__alpha_identifier_character_set_3, 495, lookahead)) ADVANCE(118);
      END_STATE();
    case 18:
      if (lookahead == '\'') ADVANCE(142);
      END_STATE();
    case 19:
      if (lookahead == '\'') ADVANCE(142);
      if (lookahead == '\\') ADVANCE(37);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(18);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        '(', 100,
        ')', 101,
        '*', 79,
        ',', 75,
        '/', 125,
        ':', 72,
        '<', 126,
        '=', 98,
        '?', 129,
        '@', 95,
        '`', 49,
        '{', 73,
        '|', 109,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(20);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(131);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        '(', 100,
        '+', 85,
        '-', 88,
        '/', 125,
        '@', 95,
        '[', 82,
        ']', 83,
        '`', 49,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(21);
      if (lookahead == ':' ||
          lookahead == '=' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(131);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 22:
      ADVANCE_MAP(
        '(', 100,
        ',', 75,
        '/', 125,
        ':', 72,
        '<', 123,
        '=', 33,
        '?', 129,
        '@', 95,
        ']', 83,
        '`', 49,
        '{', 73,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(22);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(131);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 23:
      ADVANCE_MAP(
        '(', 100,
        ',', 75,
        '/', 125,
        ':', 72,
        '<', 124,
        '=', 33,
        '?', 129,
        '@', 95,
        ']', 83,
        '`', 49,
        '{', 73,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(23);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(131);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 24:
      ADVANCE_MAP(
        '(', 100,
        '.', 76,
        '/', 125,
        ':', 72,
        '=', 98,
        '@', 95,
        '[', 82,
        '`', 49,
        '{', 73,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(24);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(131);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 25:
      if (lookahead == '*') ADVANCE(162);
      if (lookahead == '/') ADVANCE(149);
      END_STATE();
    case 26:
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '/') ADVANCE(125);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == '<') ADVANCE(123);
      if (lookahead == ']') ADVANCE(83);
      if (lookahead == '`') ADVANCE(49);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(26);
      if (lookahead == '=' ||
          lookahead == '@' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(131);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 27:
      if (lookahead == ',') ADVANCE(75);
      if (lookahead == '/') ADVANCE(125);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == '<') ADVANCE(124);
      if (lookahead == ']') ADVANCE(83);
      if (lookahead == '`') ADVANCE(49);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(27);
      if (lookahead == '=' ||
          lookahead == '@' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(131);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 28:
      if (lookahead == '/') ADVANCE(157);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(28);
      if (lookahead != 0) ADVANCE(158);
      END_STATE();
    case 29:
      if (lookahead == ':') ADVANCE(91);
      END_STATE();
    case 30:
      if (lookahead == '=') ADVANCE(32);
      END_STATE();
    case 31:
      if (lookahead == '>') ADVANCE(80);
      END_STATE();
    case 32:
      if (lookahead == '>') ADVANCE(105);
      END_STATE();
    case 33:
      if (lookahead == '>') ADVANCE(81);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(132);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(132);
      END_STATE();
    case 34:
      if (lookahead == '>') ADVANCE(107);
      END_STATE();
    case 35:
      if (lookahead == '>') ADVANCE(34);
      END_STATE();
    case 36:
      if (lookahead == '`') ADVANCE(121);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(36);
      END_STATE();
    case 37:
      if (lookahead == 'u') ADVANCE(38);
      if (lookahead == 'x') ADVANCE(47);
      if (lookahead != 0) ADVANCE(18);
      END_STATE();
    case 38:
      if (lookahead == 'u') ADVANCE(48);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 39:
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(132);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(132);
      END_STATE();
    case 40:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(141);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(140);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(138);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(141);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(18);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(137);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 48:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 49:
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '`') ADVANCE(36);
      END_STATE();
    case 50:
      if (eof) ADVANCE(70);
      ADVANCE_MAP(
        '!', 110,
        '"', 144,
        '#', 103,
        '$', 115,
        '\'', 116,
        '(', 100,
        ')', 101,
        '*', 78,
        '+', 84,
        ',', 75,
        '-', 87,
        '.', 77,
        '/', 25,
        '0', 135,
        ':', 71,
        ';', 102,
        '<', 15,
        '=', 97,
        '>', 29,
        '?', 30,
        '@', 94,
        '[', 82,
        ']', 83,
        '`', 49,
        '{', 73,
        '|', 108,
        '}', 74,
        '~', 112,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(136);
      if (set_contains(sym__interpolation_identifier_character_set_2, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 51:
      if (eof) ADVANCE(70);
      ADVANCE_MAP(
        '!', 111,
        '"', 144,
        '$', 115,
        '\'', 116,
        '(', 100,
        ')', 101,
        '+', 85,
        ',', 75,
        '-', 86,
        '.', 77,
        '/', 125,
        '0', 135,
        ':', 72,
        ';', 102,
        '=', 98,
        '?', 129,
        '[', 82,
        '`', 49,
        '{', 73,
        '}', 74,
        '~', 113,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(51);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(136);
      if (lookahead == '@' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(131);
      if (set_contains(sym__interpolation_identifier_character_set_2, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 52:
      if (eof) ADVANCE(70);
      ADVANCE_MAP(
        '!', 111,
        '#', 122,
        '$', 115,
        '\'', 116,
        '(', 100,
        '+', 85,
        '-', 86,
        '.', 41,
        '/', 125,
        '0', 135,
        '@', 95,
        '[', 82,
        '`', 49,
        '{', 73,
        '~', 113,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(52);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(136);
      if (lookahead == ':' ||
          lookahead == '=' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(131);
      if (set_contains(sym__interpolation_identifier_character_set_2, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 53:
      if (eof) ADVANCE(70);
      ADVANCE_MAP(
        '!', 111,
        '$', 115,
        '\'', 116,
        '(', 100,
        ')', 101,
        '+', 85,
        ',', 75,
        '-', 86,
        '.', 77,
        '/', 125,
        '0', 135,
        ':', 72,
        ';', 102,
        '=', 99,
        '@', 95,
        '[', 82,
        '`', 49,
        '{', 73,
        '}', 74,
        '~', 113,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(53);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(136);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(131);
      if (set_contains(sym__interpolation_identifier_character_set_2, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 54:
      if (eof) ADVANCE(70);
      ADVANCE_MAP(
        '"', 144,
        '#', 104,
        '(', 100,
        ')', 101,
        '*', 79,
        ',', 75,
        '.', 76,
        '/', 125,
        ':', 72,
        ';', 102,
        '=', 98,
        '?', 129,
        '@', 95,
        '[', 82,
        '`', 49,
        '{', 73,
        '}', 74,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(131);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 55:
      if (eof) ADVANCE(70);
      ADVANCE_MAP(
        '"', 144,
        '#', 104,
        '(', 100,
        ')', 101,
        ',', 75,
        '.', 76,
        '/', 125,
        ':', 72,
        ';', 102,
        '=', 98,
        '?', 129,
        '@', 95,
        '[', 82,
        ']', 83,
        '`', 49,
        '{', 73,
        '}', 74,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(131);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 56:
      if (eof) ADVANCE(70);
      ADVANCE_MAP(
        '"', 144,
        '(', 100,
        ')', 101,
        '*', 79,
        ',', 75,
        '.', 76,
        '/', 125,
        ':', 72,
        ';', 102,
        '=', 99,
        '@', 95,
        '[', 82,
        '`', 49,
        '{', 73,
        '|', 109,
        '}', 74,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(131);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 57:
      if (eof) ADVANCE(70);
      ADVANCE_MAP(
        '"', 144,
        '(', 100,
        ')', 101,
        '*', 79,
        ',', 75,
        '.', 76,
        '/', 125,
        ':', 72,
        ';', 102,
        '=', 98,
        '?', 129,
        '@', 95,
        '[', 82,
        '`', 49,
        '{', 73,
        '|', 109,
        '}', 74,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(131);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 58:
      if (eof) ADVANCE(70);
      ADVANCE_MAP(
        '"', 144,
        '(', 100,
        ')', 101,
        ',', 75,
        '.', 76,
        '/', 125,
        ':', 72,
        ';', 102,
        '=', 98,
        '?', 129,
        '@', 95,
        '[', 82,
        ']', 83,
        '`', 49,
        '{', 73,
        '}', 74,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(131);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 59:
      if (eof) ADVANCE(70);
      ADVANCE_MAP(
        '#', 103,
        '(', 100,
        ')', 101,
        '*', 78,
        ',', 75,
        '.', 76,
        '/', 25,
        ':', 71,
        ';', 102,
        '<', 16,
        '=', 96,
        '>', 29,
        '@', 94,
        '[', 82,
        ']', 83,
        '{', 73,
        '}', 74,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 60:
      if (eof) ADVANCE(70);
      ADVANCE_MAP(
        '#', 103,
        '(', 100,
        ')', 101,
        '*', 78,
        ',', 75,
        '.', 76,
        '/', 25,
        ':', 71,
        ';', 102,
        '<', 16,
        '=', 31,
        '>', 29,
        '?', 30,
        '@', 94,
        '[', 82,
        ']', 83,
        '{', 73,
        '}', 74,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(60);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 61:
      if (eof) ADVANCE(70);
      ADVANCE_MAP(
        '#', 104,
        '(', 100,
        ')', 101,
        '*', 79,
        ',', 75,
        '.', 76,
        '/', 125,
        ':', 72,
        ';', 102,
        '=', 98,
        '?', 129,
        '@', 95,
        '[', 82,
        '`', 49,
        '{', 73,
        '|', 109,
        '}', 74,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(61);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(131);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 62:
      if (eof) ADVANCE(70);
      ADVANCE_MAP(
        '#', 104,
        '(', 100,
        ')', 101,
        ',', 75,
        '.', 76,
        '/', 125,
        ':', 72,
        ';', 102,
        '=', 99,
        '@', 95,
        '[', 82,
        '`', 49,
        '{', 73,
        '}', 74,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(62);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(131);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 63:
      if (eof) ADVANCE(70);
      ADVANCE_MAP(
        '#', 104,
        '(', 100,
        '.', 76,
        '/', 125,
        ':', 72,
        ';', 102,
        '<', 128,
        '=', 98,
        '?', 129,
        '@', 95,
        '[', 82,
        '`', 49,
        '{', 73,
        '}', 74,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(63);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(131);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 64:
      if (eof) ADVANCE(70);
      ADVANCE_MAP(
        '\'', 19,
        '(', 100,
        ')', 101,
        ',', 75,
        '-', 127,
        '.', 77,
        '/', 125,
        '0', 135,
        ':', 72,
        ';', 102,
        '=', 33,
        '@', 95,
        '[', 82,
        '`', 49,
        '{', 73,
        '}', 74,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(64);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(136);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(131);
      if (set_contains(sym__alpha_identifier_character_set_3, 495, lookahead)) ADVANCE(118);
      END_STATE();
    case 65:
      if (eof) ADVANCE(70);
      ADVANCE_MAP(
        '(', 100,
        ')', 101,
        '*', 79,
        ',', 75,
        '.', 76,
        '/', 125,
        ':', 72,
        ';', 102,
        '=', 99,
        '[', 82,
        '`', 49,
        '{', 73,
        '}', 74,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(65);
      if (lookahead == '@' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(131);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 66:
      if (eof) ADVANCE(70);
      ADVANCE_MAP(
        '(', 100,
        ')', 101,
        '*', 79,
        ',', 75,
        '/', 125,
        ':', 72,
        ';', 102,
        '=', 98,
        '?', 129,
        '@', 95,
        '[', 82,
        '`', 49,
        '{', 73,
        '}', 74,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(131);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 67:
      if (eof) ADVANCE(70);
      ADVANCE_MAP(
        '(', 100,
        ')', 101,
        ',', 75,
        '.', 76,
        '/', 125,
        ':', 72,
        ';', 102,
        '=', 99,
        '@', 95,
        '[', 82,
        ']', 83,
        '`', 49,
        '{', 73,
        '}', 74,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(67);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(131);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 68:
      if (eof) ADVANCE(70);
      ADVANCE_MAP(
        '(', 100,
        '/', 125,
        ':', 72,
        ';', 102,
        '<', 128,
        '=', 98,
        '?', 129,
        '@', 95,
        '`', 49,
        '{', 73,
        '}', 74,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(68);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(131);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 69:
      if (eof) ADVANCE(70);
      if (lookahead == '/') ADVANCE(125);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == ';') ADVANCE(102);
      if (lookahead == '<') ADVANCE(128);
      if (lookahead == '=') ADVANCE(99);
      if (lookahead == '`') ADVANCE(49);
      if (lookahead == '}') ADVANCE(74);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(69);
      if (lookahead == '@' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(39);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(131);
      if (set_contains(sym__alpha_identifier_character_set_1, 433, lookahead)) ADVANCE(118);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(132);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(132);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(140);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(132);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(132);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(132);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(132);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(132);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(41);
      if (lookahead == '0') ADVANCE(135);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(132);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(136);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(132);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(41);
      if (lookahead == '0') ADVANCE(135);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(136);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(132);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(132);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_LT_COLON);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_LT_COLON);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(132);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_GT_COLON);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_LT_PERCENT);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_LT_PERCENT);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(132);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(132);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(132);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(80);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(81);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(132);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(132);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(132);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(132);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(132);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(132);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_QMARK_EQ_GT);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_QMARK_EQ_GT);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(132);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_EQ_GT_GT);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(132);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(132);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(132);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(132);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(132);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(132);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '_') ADVANCE(117);
      if (set_contains(sym__alpha_identifier_character_set_2, 434, lookahead)) ADVANCE(118);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      if (lookahead == '\'') ADVANCE(142);
      if (lookahead == '\\') ADVANCE(37);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(18);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym__alpha_identifier);
      if (lookahead == '_') ADVANCE(117);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(119);
      if (set_contains(sym__alpha_identifier_character_set_3, 495, lookahead)) ADVANCE(118);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym__alpha_identifier);
      if (lookahead == '_') ADVANCE(117);
      if (set_contains(sym__alpha_identifier_character_set_2, 434, lookahead)) ADVANCE(118);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym__alpha_identifier);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(119);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym__interpolation_identifier);
      if (set_contains(sym__interpolation_identifier_character_set_2, 433, lookahead)) ADVANCE(120);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym__backquoted_id);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '!') ADVANCE(133);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(132);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(132);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '%') ADVANCE(93);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(132);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(132);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '%') ADVANCE(93);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(132);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(132);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '*') ADVANCE(162);
      if (lookahead == '/') ADVANCE(149);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(132);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '-') ADVANCE(147);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(132);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(132);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '.') ADVANCE(41);
      if (lookahead == '0') ADVANCE(135);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(132);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(136);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(132);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(132);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(132);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(132);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(132);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '>') ADVANCE(106);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(132);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(132);
      if (set_contains(sym_operator_identifier_character_set_1, 133, lookahead)) ADVANCE(132);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(132);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(133);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(148);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_integer_literal);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_integer_literal);
      ADVANCE_MAP(
        '.', 41,
        '_', 42,
        'E', 40,
        'e', 40,
        'L', 134,
        'l', 134,
        'X', 45,
        'x', 45,
        'D', 139,
        'F', 139,
        'd', 139,
        'f', 139,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(136);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_integer_literal);
      ADVANCE_MAP(
        '.', 41,
        '_', 42,
        'E', 40,
        'e', 40,
        'L', 134,
        'l', 134,
        'D', 139,
        'F', 139,
        'd', 139,
        'f', 139,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(136);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == '_') ADVANCE(45);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(134);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(137);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == '_') ADVANCE(42);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(134);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(138);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_floating_point_literal);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_floating_point_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(139);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(140);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_floating_point_literal);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(139);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(141);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_character_literal);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      if (lookahead == '"') ADVANCE(8);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE_DQUOTE);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      if (set_contains(sym__alpha_identifier_character_set_4, 134, lookahead)) ADVANCE(132);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(aux_sym__shebang_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(148);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(158);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(161);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym__comment_text);
      if (lookahead == '*') ADVANCE(155);
      if (lookahead == '/') ADVANCE(155);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(155);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym__comment_text);
      if (lookahead == '/') ADVANCE(152);
      if (lookahead == '>') ADVANCE(156);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(154);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(155);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym__comment_text);
      if (lookahead == '/') ADVANCE(152);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(154);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(155);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym__comment_text);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(155);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_using_directive_key);
      if (lookahead == '*') ADVANCE(163);
      if (lookahead == '/') ADVANCE(150);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(158);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_using_directive_key);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(158);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_using_directive_value);
      if (lookahead == '*') ADVANCE(164);
      if (lookahead == '/') ADVANCE(151);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(161);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_using_directive_value);
      if (lookahead == '/') ADVANCE(159);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(160);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(161);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_using_directive_value);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(161);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(158);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(161);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(aux_sym_block_comment_token1);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_block_comment_token1);
      if (lookahead == '*') ADVANCE(162);
      if (lookahead == '/') ADVANCE(149);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_block_comment_token1);
      if (lookahead == '*') ADVANCE(168);
      if (lookahead == '/') ADVANCE(166);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(167);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(165);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(aux_sym_block_comment_token1);
      if (lookahead == '/') ADVANCE(169);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_STAR_SLASH);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        '_', 1,
        'a', 2,
        'c', 3,
        'd', 4,
        'e', 5,
        'f', 6,
        'g', 7,
        'i', 8,
        'l', 9,
        'm', 10,
        'n', 11,
        'o', 12,
        'p', 13,
        'r', 14,
        's', 15,
        't', 16,
        'u', 17,
        'v', 18,
        'w', 19,
        'y', 20,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(anon_sym__);
      END_STATE();
    case 2:
      if (lookahead == 'b') ADVANCE(21);
      if (lookahead == 's') ADVANCE(22);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(23);
      if (lookahead == 'l') ADVANCE(24);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(25);
      if (lookahead == 'o') ADVANCE(26);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(27);
      if (lookahead == 'n') ADVANCE(28);
      if (lookahead == 'x') ADVANCE(29);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(30);
      if (lookahead == 'i') ADVANCE(31);
      if (lookahead == 'o') ADVANCE(32);
      END_STATE();
    case 7:
      if (lookahead == 'i') ADVANCE(33);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(34);
      if (lookahead == 'm') ADVANCE(35);
      if (lookahead == 'n') ADVANCE(36);
      END_STATE();
    case 9:
      if (lookahead == 'a') ADVANCE(37);
      END_STATE();
    case 10:
      if (lookahead == 'a') ADVANCE(38);
      END_STATE();
    case 11:
      if (lookahead == 'e') ADVANCE(39);
      if (lookahead == 'u') ADVANCE(40);
      END_STATE();
    case 12:
      if (lookahead == 'b') ADVANCE(41);
      if (lookahead == 'p') ADVANCE(42);
      if (lookahead == 'v') ADVANCE(43);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(44);
      if (lookahead == 'r') ADVANCE(45);
      END_STATE();
    case 14:
      if (lookahead == 'e') ADVANCE(46);
      END_STATE();
    case 15:
      if (lookahead == 'e') ADVANCE(47);
      END_STATE();
    case 16:
      if (lookahead == 'h') ADVANCE(48);
      if (lookahead == 'r') ADVANCE(49);
      if (lookahead == 'y') ADVANCE(50);
      END_STATE();
    case 17:
      if (lookahead == 's') ADVANCE(51);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 19:
      if (lookahead == 'h') ADVANCE(53);
      if (lookahead == 'i') ADVANCE(54);
      END_STATE();
    case 20:
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 21:
      if (lookahead == 's') ADVANCE(56);
      END_STATE();
    case 22:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 23:
      if (lookahead == 's') ADVANCE(57);
      if (lookahead == 't') ADVANCE(58);
      END_STATE();
    case 24:
      if (lookahead == 'a') ADVANCE(59);
      END_STATE();
    case 25:
      if (lookahead == 'f') ADVANCE(60);
      if (lookahead == 'r') ADVANCE(61);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 27:
      if (lookahead == 's') ADVANCE(62);
      END_STATE();
    case 28:
      if (lookahead == 'd') ADVANCE(63);
      if (lookahead == 'u') ADVANCE(64);
      END_STATE();
    case 29:
      if (lookahead == 'p') ADVANCE(65);
      if (lookahead == 't') ADVANCE(66);
      END_STATE();
    case 30:
      if (lookahead == 'l') ADVANCE(67);
      END_STATE();
    case 31:
      if (lookahead == 'n') ADVANCE(68);
      END_STATE();
    case 32:
      if (lookahead == 'r') ADVANCE(69);
      END_STATE();
    case 33:
      if (lookahead == 'v') ADVANCE(70);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 35:
      if (lookahead == 'p') ADVANCE(71);
      END_STATE();
    case 36:
      if (lookahead == 'f') ADVANCE(72);
      if (lookahead == 'l') ADVANCE(73);
      END_STATE();
    case 37:
      if (lookahead == 'z') ADVANCE(74);
      END_STATE();
    case 38:
      if (lookahead == 'c') ADVANCE(75);
      if (lookahead == 't') ADVANCE(76);
      END_STATE();
    case 39:
      if (lookahead == 'w') ADVANCE(77);
      END_STATE();
    case 40:
      if (lookahead == 'l') ADVANCE(78);
      END_STATE();
    case 41:
      if (lookahead == 'j') ADVANCE(79);
      END_STATE();
    case 42:
      if (lookahead == 'a') ADVANCE(80);
      if (lookahead == 'e') ADVANCE(81);
      END_STATE();
    case 43:
      if (lookahead == 'e') ADVANCE(82);
      END_STATE();
    case 44:
      if (lookahead == 'c') ADVANCE(83);
      END_STATE();
    case 45:
      if (lookahead == 'i') ADVANCE(84);
      if (lookahead == 'o') ADVANCE(85);
      END_STATE();
    case 46:
      if (lookahead == 't') ADVANCE(86);
      END_STATE();
    case 47:
      if (lookahead == 'a') ADVANCE(87);
      END_STATE();
    case 48:
      if (lookahead == 'e') ADVANCE(88);
      if (lookahead == 'i') ADVANCE(89);
      if (lookahead == 'r') ADVANCE(90);
      END_STATE();
    case 49:
      if (lookahead == 'a') ADVANCE(91);
      if (lookahead == 'u') ADVANCE(92);
      if (lookahead == 'y') ADVANCE(93);
      END_STATE();
    case 50:
      if (lookahead == 'p') ADVANCE(94);
      END_STATE();
    case 51:
      if (lookahead == 'i') ADVANCE(95);
      END_STATE();
    case 52:
      if (lookahead == 'l') ADVANCE(96);
      if (lookahead == 'r') ADVANCE(97);
      END_STATE();
    case 53:
      if (lookahead == 'i') ADVANCE(98);
      END_STATE();
    case 54:
      if (lookahead == 't') ADVANCE(99);
      END_STATE();
    case 55:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 56:
      if (lookahead == 't') ADVANCE(101);
      END_STATE();
    case 57:
      if (lookahead == 'e') ADVANCE(102);
      END_STATE();
    case 58:
      if (lookahead == 'c') ADVANCE(103);
      END_STATE();
    case 59:
      if (lookahead == 's') ADVANCE(104);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_def);
      END_STATE();
    case 61:
      if (lookahead == 'i') ADVANCE(105);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(106);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_end);
      END_STATE();
    case 64:
      if (lookahead == 'm') ADVANCE(107);
      END_STATE();
    case 65:
      if (lookahead == 'o') ADVANCE(108);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 67:
      if (lookahead == 's') ADVANCE(110);
      END_STATE();
    case 68:
      if (lookahead == 'a') ADVANCE(111);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 70:
      if (lookahead == 'e') ADVANCE(112);
      END_STATE();
    case 71:
      if (lookahead == 'l') ADVANCE(113);
      if (lookahead == 'o') ADVANCE(114);
      END_STATE();
    case 72:
      if (lookahead == 'i') ADVANCE(115);
      END_STATE();
    case 73:
      if (lookahead == 'i') ADVANCE(116);
      END_STATE();
    case 74:
      if (lookahead == 'y') ADVANCE(117);
      END_STATE();
    case 75:
      if (lookahead == 'r') ADVANCE(118);
      END_STATE();
    case 76:
      if (lookahead == 'c') ADVANCE(119);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 78:
      if (lookahead == 'l') ADVANCE(120);
      END_STATE();
    case 79:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 80:
      if (lookahead == 'q') ADVANCE(122);
      END_STATE();
    case 81:
      if (lookahead == 'n') ADVANCE(123);
      END_STATE();
    case 82:
      if (lookahead == 'r') ADVANCE(124);
      END_STATE();
    case 83:
      if (lookahead == 'k') ADVANCE(125);
      END_STATE();
    case 84:
      if (lookahead == 'v') ADVANCE(126);
      END_STATE();
    case 85:
      if (lookahead == 't') ADVANCE(127);
      END_STATE();
    case 86:
      if (lookahead == 'u') ADVANCE(128);
      END_STATE();
    case 87:
      if (lookahead == 'l') ADVANCE(129);
      END_STATE();
    case 88:
      if (lookahead == 'n') ADVANCE(130);
      END_STATE();
    case 89:
      if (lookahead == 's') ADVANCE(131);
      END_STATE();
    case 90:
      if (lookahead == 'o') ADVANCE(132);
      END_STATE();
    case 91:
      if (lookahead == 'i') ADVANCE(133);
      if (lookahead == 'n') ADVANCE(134);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(135);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 94:
      if (lookahead == 'e') ADVANCE(136);
      END_STATE();
    case 95:
      if (lookahead == 'n') ADVANCE(137);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_val);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 98:
      if (lookahead == 'l') ADVANCE(138);
      END_STATE();
    case 99:
      if (lookahead == 'h') ADVANCE(139);
      END_STATE();
    case 100:
      if (lookahead == 'l') ADVANCE(140);
      END_STATE();
    case 101:
      if (lookahead == 'r') ADVANCE(141);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 103:
      if (lookahead == 'h') ADVANCE(142);
      END_STATE();
    case 104:
      if (lookahead == 's') ADVANCE(143);
      END_STATE();
    case 105:
      if (lookahead == 'v') ADVANCE(144);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 108:
      if (lookahead == 'r') ADVANCE(145);
      END_STATE();
    case 109:
      if (lookahead == 'n') ADVANCE(146);
      END_STATE();
    case 110:
      if (lookahead == 'e') ADVANCE(147);
      END_STATE();
    case 111:
      if (lookahead == 'l') ADVANCE(148);
      END_STATE();
    case 112:
      if (lookahead == 'n') ADVANCE(149);
      END_STATE();
    case 113:
      if (lookahead == 'i') ADVANCE(150);
      END_STATE();
    case 114:
      if (lookahead == 'r') ADVANCE(151);
      END_STATE();
    case 115:
      if (lookahead == 'x') ADVANCE(152);
      END_STATE();
    case 116:
      if (lookahead == 'n') ADVANCE(153);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_lazy);
      END_STATE();
    case 118:
      if (lookahead == 'o') ADVANCE(154);
      END_STATE();
    case 119:
      if (lookahead == 'h') ADVANCE(155);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_null_literal);
      END_STATE();
    case 121:
      if (lookahead == 'c') ADVANCE(156);
      END_STATE();
    case 122:
      if (lookahead == 'u') ADVANCE(157);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_open);
      END_STATE();
    case 124:
      if (lookahead == 'r') ADVANCE(158);
      END_STATE();
    case 125:
      if (lookahead == 'a') ADVANCE(159);
      END_STATE();
    case 126:
      if (lookahead == 'a') ADVANCE(160);
      END_STATE();
    case 127:
      if (lookahead == 'e') ADVANCE(161);
      END_STATE();
    case 128:
      if (lookahead == 'r') ADVANCE(162);
      END_STATE();
    case 129:
      if (lookahead == 'e') ADVANCE(163);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_this);
      END_STATE();
    case 132:
      if (lookahead == 'w') ADVANCE(164);
      END_STATE();
    case 133:
      if (lookahead == 't') ADVANCE(165);
      END_STATE();
    case 134:
      if (lookahead == 's') ADVANCE(166);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 137:
      if (lookahead == 'g') ADVANCE(167);
      END_STATE();
    case 138:
      if (lookahead == 'e') ADVANCE(168);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 140:
      if (lookahead == 'd') ADVANCE(169);
      END_STATE();
    case 141:
      if (lookahead == 'a') ADVANCE(170);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(171);
      END_STATE();
    case 145:
      if (lookahead == 't') ADVANCE(172);
      END_STATE();
    case 146:
      if (lookahead == 'd') ADVANCE(173);
      if (lookahead == 's') ADVANCE(174);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_final);
      if (lookahead == 'l') ADVANCE(175);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_given);
      END_STATE();
    case 150:
      if (lookahead == 'c') ADVANCE(176);
      END_STATE();
    case 151:
      if (lookahead == 't') ADVANCE(177);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_infix);
      END_STATE();
    case 153:
      if (lookahead == 'e') ADVANCE(178);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_macro);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 156:
      if (lookahead == 't') ADVANCE(179);
      END_STATE();
    case 157:
      if (lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 158:
      if (lookahead == 'i') ADVANCE(181);
      END_STATE();
    case 159:
      if (lookahead == 'g') ADVANCE(182);
      END_STATE();
    case 160:
      if (lookahead == 't') ADVANCE(183);
      END_STATE();
    case 161:
      if (lookahead == 'c') ADVANCE(184);
      END_STATE();
    case 162:
      if (lookahead == 'n') ADVANCE(185);
      END_STATE();
    case 163:
      if (lookahead == 'd') ADVANCE(186);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_trait);
      END_STATE();
    case 166:
      if (lookahead == 'p') ADVANCE(187);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 170:
      if (lookahead == 'c') ADVANCE(188);
      END_STATE();
    case 171:
      if (lookahead == 's') ADVANCE(189);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 173:
      if (lookahead == 's') ADVANCE(190);
      END_STATE();
    case 174:
      if (lookahead == 'i') ADVANCE(191);
      END_STATE();
    case 175:
      if (lookahead == 'y') ADVANCE(192);
      END_STATE();
    case 176:
      if (lookahead == 'i') ADVANCE(193);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_opaque);
      END_STATE();
    case 181:
      if (lookahead == 'd') ADVANCE(194);
      END_STATE();
    case 182:
      if (lookahead == 'e') ADVANCE(195);
      END_STATE();
    case 183:
      if (lookahead == 'e') ADVANCE(196);
      END_STATE();
    case 184:
      if (lookahead == 't') ADVANCE(197);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_sealed);
      END_STATE();
    case 187:
      if (lookahead == 'a') ADVANCE(198);
      END_STATE();
    case 188:
      if (lookahead == 't') ADVANCE(199);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_derives);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 191:
      if (lookahead == 'o') ADVANCE(200);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 193:
      if (lookahead == 't') ADVANCE(201);
      END_STATE();
    case 194:
      if (lookahead == 'e') ADVANCE(202);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 197:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 198:
      if (lookahead == 'r') ADVANCE(204);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 200:
      if (lookahead == 'n') ADVANCE(205);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_implicit);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 203:
      if (lookahead == 'd') ADVANCE(206);
      END_STATE();
    case 204:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_extension);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 207:
      if (lookahead == 'n') ADVANCE(208);
      END_STATE();
    case 208:
      if (lookahead == 't') ADVANCE(209);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_transparent);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 52, .external_lex_state = 2},
  [2] = {.lex_state = 53, .external_lex_state = 3},
  [3] = {.lex_state = 53, .external_lex_state = 3},
  [4] = {.lex_state = 53, .external_lex_state = 3},
  [5] = {.lex_state = 53, .external_lex_state = 3},
  [6] = {.lex_state = 53, .external_lex_state = 3},
  [7] = {.lex_state = 53, .external_lex_state = 3},
  [8] = {.lex_state = 53, .external_lex_state = 3},
  [9] = {.lex_state = 53, .external_lex_state = 3},
  [10] = {.lex_state = 53, .external_lex_state = 3},
  [11] = {.lex_state = 53, .external_lex_state = 3},
  [12] = {.lex_state = 53, .external_lex_state = 3},
  [13] = {.lex_state = 53, .external_lex_state = 3},
  [14] = {.lex_state = 53, .external_lex_state = 3},
  [15] = {.lex_state = 53, .external_lex_state = 3},
  [16] = {.lex_state = 53, .external_lex_state = 3},
  [17] = {.lex_state = 53, .external_lex_state = 3},
  [18] = {.lex_state = 53, .external_lex_state = 3},
  [19] = {.lex_state = 53, .external_lex_state = 3},
  [20] = {.lex_state = 53, .external_lex_state = 3},
  [21] = {.lex_state = 53, .external_lex_state = 3},
  [22] = {.lex_state = 53, .external_lex_state = 3},
  [23] = {.lex_state = 53, .external_lex_state = 3},
  [24] = {.lex_state = 53, .external_lex_state = 3},
  [25] = {.lex_state = 53, .external_lex_state = 3},
  [26] = {.lex_state = 53, .external_lex_state = 3},
  [27] = {.lex_state = 53, .external_lex_state = 3},
  [28] = {.lex_state = 53, .external_lex_state = 3},
  [29] = {.lex_state = 53, .external_lex_state = 3},
  [30] = {.lex_state = 53, .external_lex_state = 3},
  [31] = {.lex_state = 53, .external_lex_state = 3},
  [32] = {.lex_state = 53, .external_lex_state = 3},
  [33] = {.lex_state = 53, .external_lex_state = 3},
  [34] = {.lex_state = 53, .external_lex_state = 3},
  [35] = {.lex_state = 53, .external_lex_state = 3},
  [36] = {.lex_state = 53, .external_lex_state = 3},
  [37] = {.lex_state = 53, .external_lex_state = 3},
  [38] = {.lex_state = 53, .external_lex_state = 3},
  [39] = {.lex_state = 53, .external_lex_state = 3},
  [40] = {.lex_state = 53, .external_lex_state = 3},
  [41] = {.lex_state = 53, .external_lex_state = 3},
  [42] = {.lex_state = 53, .external_lex_state = 3},
  [43] = {.lex_state = 53, .external_lex_state = 3},
  [44] = {.lex_state = 53, .external_lex_state = 3},
  [45] = {.lex_state = 53, .external_lex_state = 3},
  [46] = {.lex_state = 53, .external_lex_state = 3},
  [47] = {.lex_state = 53, .external_lex_state = 3},
  [48] = {.lex_state = 53, .external_lex_state = 3},
  [49] = {.lex_state = 53, .external_lex_state = 3},
  [50] = {.lex_state = 53, .external_lex_state = 3},
  [51] = {.lex_state = 53, .external_lex_state = 3},
  [52] = {.lex_state = 53, .external_lex_state = 3},
  [53] = {.lex_state = 53, .external_lex_state = 3},
  [54] = {.lex_state = 53, .external_lex_state = 3},
  [55] = {.lex_state = 53, .external_lex_state = 3},
  [56] = {.lex_state = 53, .external_lex_state = 3},
  [57] = {.lex_state = 53, .external_lex_state = 3},
  [58] = {.lex_state = 53, .external_lex_state = 3},
  [59] = {.lex_state = 53, .external_lex_state = 3},
  [60] = {.lex_state = 53, .external_lex_state = 3},
  [61] = {.lex_state = 53, .external_lex_state = 3},
  [62] = {.lex_state = 53, .external_lex_state = 3},
  [63] = {.lex_state = 53, .external_lex_state = 3},
  [64] = {.lex_state = 53, .external_lex_state = 3},
  [65] = {.lex_state = 53, .external_lex_state = 3},
  [66] = {.lex_state = 53, .external_lex_state = 3},
  [67] = {.lex_state = 53, .external_lex_state = 3},
  [68] = {.lex_state = 53, .external_lex_state = 3},
  [69] = {.lex_state = 53, .external_lex_state = 3},
  [70] = {.lex_state = 53, .external_lex_state = 3},
  [71] = {.lex_state = 53, .external_lex_state = 3},
  [72] = {.lex_state = 53, .external_lex_state = 3},
  [73] = {.lex_state = 53, .external_lex_state = 3},
  [74] = {.lex_state = 53, .external_lex_state = 3},
  [75] = {.lex_state = 53, .external_lex_state = 3},
  [76] = {.lex_state = 53, .external_lex_state = 3},
  [77] = {.lex_state = 53, .external_lex_state = 3},
  [78] = {.lex_state = 53, .external_lex_state = 3},
  [79] = {.lex_state = 53, .external_lex_state = 3},
  [80] = {.lex_state = 53, .external_lex_state = 3},
  [81] = {.lex_state = 53, .external_lex_state = 3},
  [82] = {.lex_state = 53, .external_lex_state = 3},
  [83] = {.lex_state = 53, .external_lex_state = 3},
  [84] = {.lex_state = 53, .external_lex_state = 3},
  [85] = {.lex_state = 53, .external_lex_state = 3},
  [86] = {.lex_state = 53, .external_lex_state = 3},
  [87] = {.lex_state = 53, .external_lex_state = 3},
  [88] = {.lex_state = 53, .external_lex_state = 3},
  [89] = {.lex_state = 53, .external_lex_state = 3},
  [90] = {.lex_state = 53, .external_lex_state = 3},
  [91] = {.lex_state = 53, .external_lex_state = 3},
  [92] = {.lex_state = 53, .external_lex_state = 3},
  [93] = {.lex_state = 53, .external_lex_state = 3},
  [94] = {.lex_state = 53, .external_lex_state = 3},
  [95] = {.lex_state = 53, .external_lex_state = 3},
  [96] = {.lex_state = 53, .external_lex_state = 3},
  [97] = {.lex_state = 53, .external_lex_state = 3},
  [98] = {.lex_state = 53, .external_lex_state = 3},
  [99] = {.lex_state = 53, .external_lex_state = 3},
  [100] = {.lex_state = 53, .external_lex_state = 3},
  [101] = {.lex_state = 53, .external_lex_state = 3},
  [102] = {.lex_state = 53, .external_lex_state = 3},
  [103] = {.lex_state = 53, .external_lex_state = 3},
  [104] = {.lex_state = 53, .external_lex_state = 3},
  [105] = {.lex_state = 53, .external_lex_state = 3},
  [106] = {.lex_state = 53, .external_lex_state = 3},
  [107] = {.lex_state = 53, .external_lex_state = 3},
  [108] = {.lex_state = 53, .external_lex_state = 3},
  [109] = {.lex_state = 53, .external_lex_state = 3},
  [110] = {.lex_state = 53, .external_lex_state = 3},
  [111] = {.lex_state = 53, .external_lex_state = 3},
  [112] = {.lex_state = 53, .external_lex_state = 3},
  [113] = {.lex_state = 53, .external_lex_state = 3},
  [114] = {.lex_state = 53, .external_lex_state = 3},
  [115] = {.lex_state = 53, .external_lex_state = 3},
  [116] = {.lex_state = 53, .external_lex_state = 3},
  [117] = {.lex_state = 53, .external_lex_state = 3},
  [118] = {.lex_state = 53, .external_lex_state = 3},
  [119] = {.lex_state = 53, .external_lex_state = 3},
  [120] = {.lex_state = 53, .external_lex_state = 3},
  [121] = {.lex_state = 53, .external_lex_state = 3},
  [122] = {.lex_state = 53, .external_lex_state = 3},
  [123] = {.lex_state = 53, .external_lex_state = 3},
  [124] = {.lex_state = 53, .external_lex_state = 3},
  [125] = {.lex_state = 53, .external_lex_state = 2},
  [126] = {.lex_state = 53, .external_lex_state = 2},
  [127] = {.lex_state = 53, .external_lex_state = 2},
  [128] = {.lex_state = 53, .external_lex_state = 2},
  [129] = {.lex_state = 53, .external_lex_state = 2},
  [130] = {.lex_state = 53, .external_lex_state = 2},
  [131] = {.lex_state = 53, .external_lex_state = 2},
  [132] = {.lex_state = 53, .external_lex_state = 2},
  [133] = {.lex_state = 53, .external_lex_state = 2},
  [134] = {.lex_state = 53, .external_lex_state = 2},
  [135] = {.lex_state = 53, .external_lex_state = 2},
  [136] = {.lex_state = 53, .external_lex_state = 2},
  [137] = {.lex_state = 53, .external_lex_state = 2},
  [138] = {.lex_state = 53, .external_lex_state = 2},
  [139] = {.lex_state = 53, .external_lex_state = 2},
  [140] = {.lex_state = 53, .external_lex_state = 2},
  [141] = {.lex_state = 53, .external_lex_state = 2},
  [142] = {.lex_state = 53, .external_lex_state = 2},
  [143] = {.lex_state = 53, .external_lex_state = 2},
  [144] = {.lex_state = 53, .external_lex_state = 2},
  [145] = {.lex_state = 53, .external_lex_state = 2},
  [146] = {.lex_state = 53, .external_lex_state = 2},
  [147] = {.lex_state = 53, .external_lex_state = 2},
  [148] = {.lex_state = 53, .external_lex_state = 2},
  [149] = {.lex_state = 53, .external_lex_state = 2},
  [150] = {.lex_state = 53, .external_lex_state = 2},
  [151] = {.lex_state = 53, .external_lex_state = 2},
  [152] = {.lex_state = 53, .external_lex_state = 2},
  [153] = {.lex_state = 53, .external_lex_state = 2},
  [154] = {.lex_state = 53, .external_lex_state = 2},
  [155] = {.lex_state = 53, .external_lex_state = 2},
  [156] = {.lex_state = 53, .external_lex_state = 2},
  [157] = {.lex_state = 53, .external_lex_state = 2},
  [158] = {.lex_state = 53, .external_lex_state = 2},
  [159] = {.lex_state = 53, .external_lex_state = 2},
  [160] = {.lex_state = 53, .external_lex_state = 2},
  [161] = {.lex_state = 53, .external_lex_state = 2},
  [162] = {.lex_state = 53, .external_lex_state = 2},
  [163] = {.lex_state = 53, .external_lex_state = 2},
  [164] = {.lex_state = 53, .external_lex_state = 2},
  [165] = {.lex_state = 53, .external_lex_state = 2},
  [166] = {.lex_state = 53, .external_lex_state = 2},
  [167] = {.lex_state = 53, .external_lex_state = 2},
  [168] = {.lex_state = 53, .external_lex_state = 2},
  [169] = {.lex_state = 53, .external_lex_state = 2},
  [170] = {.lex_state = 53, .external_lex_state = 2},
  [171] = {.lex_state = 53, .external_lex_state = 2},
  [172] = {.lex_state = 53, .external_lex_state = 2},
  [173] = {.lex_state = 53, .external_lex_state = 2},
  [174] = {.lex_state = 53, .external_lex_state = 4},
  [175] = {.lex_state = 53, .external_lex_state = 2},
  [176] = {.lex_state = 53, .external_lex_state = 2},
  [177] = {.lex_state = 53, .external_lex_state = 2},
  [178] = {.lex_state = 53, .external_lex_state = 2},
  [179] = {.lex_state = 53, .external_lex_state = 2},
  [180] = {.lex_state = 53, .external_lex_state = 2},
  [181] = {.lex_state = 53, .external_lex_state = 2},
  [182] = {.lex_state = 53, .external_lex_state = 2},
  [183] = {.lex_state = 53, .external_lex_state = 2},
  [184] = {.lex_state = 53, .external_lex_state = 2},
  [185] = {.lex_state = 53, .external_lex_state = 2},
  [186] = {.lex_state = 53, .external_lex_state = 2},
  [187] = {.lex_state = 53, .external_lex_state = 2},
  [188] = {.lex_state = 53, .external_lex_state = 2},
  [189] = {.lex_state = 53, .external_lex_state = 2},
  [190] = {.lex_state = 53, .external_lex_state = 2},
  [191] = {.lex_state = 53, .external_lex_state = 2},
  [192] = {.lex_state = 53, .external_lex_state = 2},
  [193] = {.lex_state = 53, .external_lex_state = 2},
  [194] = {.lex_state = 53, .external_lex_state = 2},
  [195] = {.lex_state = 53, .external_lex_state = 2},
  [196] = {.lex_state = 53, .external_lex_state = 2},
  [197] = {.lex_state = 53, .external_lex_state = 2},
  [198] = {.lex_state = 53, .external_lex_state = 2},
  [199] = {.lex_state = 53, .external_lex_state = 2},
  [200] = {.lex_state = 53, .external_lex_state = 2},
  [201] = {.lex_state = 53, .external_lex_state = 2},
  [202] = {.lex_state = 53, .external_lex_state = 2},
  [203] = {.lex_state = 53, .external_lex_state = 2},
  [204] = {.lex_state = 53, .external_lex_state = 2},
  [205] = {.lex_state = 53, .external_lex_state = 2},
  [206] = {.lex_state = 53, .external_lex_state = 2},
  [207] = {.lex_state = 53, .external_lex_state = 2},
  [208] = {.lex_state = 53, .external_lex_state = 2},
  [209] = {.lex_state = 53, .external_lex_state = 2},
  [210] = {.lex_state = 53, .external_lex_state = 2},
  [211] = {.lex_state = 53, .external_lex_state = 2},
  [212] = {.lex_state = 53, .external_lex_state = 2},
  [213] = {.lex_state = 53, .external_lex_state = 2},
  [214] = {.lex_state = 53, .external_lex_state = 2},
  [215] = {.lex_state = 53, .external_lex_state = 2},
  [216] = {.lex_state = 53, .external_lex_state = 2},
  [217] = {.lex_state = 53, .external_lex_state = 2},
  [218] = {.lex_state = 53, .external_lex_state = 2},
  [219] = {.lex_state = 53, .external_lex_state = 2},
  [220] = {.lex_state = 53, .external_lex_state = 2},
  [221] = {.lex_state = 53, .external_lex_state = 2},
  [222] = {.lex_state = 53, .external_lex_state = 2},
  [223] = {.lex_state = 53, .external_lex_state = 2},
  [224] = {.lex_state = 53, .external_lex_state = 2},
  [225] = {.lex_state = 53, .external_lex_state = 2},
  [226] = {.lex_state = 53, .external_lex_state = 2},
  [227] = {.lex_state = 53, .external_lex_state = 2},
  [228] = {.lex_state = 53, .external_lex_state = 2},
  [229] = {.lex_state = 53, .external_lex_state = 2},
  [230] = {.lex_state = 53, .external_lex_state = 2},
  [231] = {.lex_state = 53, .external_lex_state = 2},
  [232] = {.lex_state = 53, .external_lex_state = 2},
  [233] = {.lex_state = 53, .external_lex_state = 4},
  [234] = {.lex_state = 53, .external_lex_state = 2},
  [235] = {.lex_state = 53, .external_lex_state = 2},
  [236] = {.lex_state = 53, .external_lex_state = 2},
  [237] = {.lex_state = 53, .external_lex_state = 2},
  [238] = {.lex_state = 53, .external_lex_state = 2},
  [239] = {.lex_state = 53, .external_lex_state = 2},
  [240] = {.lex_state = 53, .external_lex_state = 2},
  [241] = {.lex_state = 53, .external_lex_state = 2},
  [242] = {.lex_state = 53, .external_lex_state = 2},
  [243] = {.lex_state = 53, .external_lex_state = 2},
  [244] = {.lex_state = 53, .external_lex_state = 2},
  [245] = {.lex_state = 53, .external_lex_state = 2},
  [246] = {.lex_state = 53, .external_lex_state = 2},
  [247] = {.lex_state = 53, .external_lex_state = 2},
  [248] = {.lex_state = 53, .external_lex_state = 2},
  [249] = {.lex_state = 53, .external_lex_state = 4},
  [250] = {.lex_state = 53, .external_lex_state = 2},
  [251] = {.lex_state = 53, .external_lex_state = 2},
  [252] = {.lex_state = 53, .external_lex_state = 2},
  [253] = {.lex_state = 53, .external_lex_state = 2},
  [254] = {.lex_state = 53, .external_lex_state = 2},
  [255] = {.lex_state = 53, .external_lex_state = 2},
  [256] = {.lex_state = 53, .external_lex_state = 2},
  [257] = {.lex_state = 53, .external_lex_state = 2},
  [258] = {.lex_state = 53, .external_lex_state = 2},
  [259] = {.lex_state = 53, .external_lex_state = 2},
  [260] = {.lex_state = 53, .external_lex_state = 2},
  [261] = {.lex_state = 53, .external_lex_state = 2},
  [262] = {.lex_state = 53, .external_lex_state = 2},
  [263] = {.lex_state = 53, .external_lex_state = 2},
  [264] = {.lex_state = 53, .external_lex_state = 2},
  [265] = {.lex_state = 53, .external_lex_state = 2},
  [266] = {.lex_state = 53, .external_lex_state = 2},
  [267] = {.lex_state = 53, .external_lex_state = 2},
  [268] = {.lex_state = 53, .external_lex_state = 2},
  [269] = {.lex_state = 53, .external_lex_state = 2},
  [270] = {.lex_state = 53, .external_lex_state = 2},
  [271] = {.lex_state = 53, .external_lex_state = 3},
  [272] = {.lex_state = 53, .external_lex_state = 2},
  [273] = {.lex_state = 53, .external_lex_state = 2},
  [274] = {.lex_state = 53, .external_lex_state = 2},
  [275] = {.lex_state = 53, .external_lex_state = 2},
  [276] = {.lex_state = 53, .external_lex_state = 2},
  [277] = {.lex_state = 53, .external_lex_state = 2},
  [278] = {.lex_state = 53, .external_lex_state = 2},
  [279] = {.lex_state = 53, .external_lex_state = 2},
  [280] = {.lex_state = 53, .external_lex_state = 2},
  [281] = {.lex_state = 53, .external_lex_state = 2},
  [282] = {.lex_state = 53, .external_lex_state = 2},
  [283] = {.lex_state = 53, .external_lex_state = 2},
  [284] = {.lex_state = 53, .external_lex_state = 2},
  [285] = {.lex_state = 53, .external_lex_state = 2},
  [286] = {.lex_state = 53, .external_lex_state = 2},
  [287] = {.lex_state = 53, .external_lex_state = 2},
  [288] = {.lex_state = 53, .external_lex_state = 2},
  [289] = {.lex_state = 53, .external_lex_state = 2},
  [290] = {.lex_state = 53, .external_lex_state = 2},
  [291] = {.lex_state = 53, .external_lex_state = 2},
  [292] = {.lex_state = 53, .external_lex_state = 2},
  [293] = {.lex_state = 53, .external_lex_state = 2},
  [294] = {.lex_state = 53, .external_lex_state = 2},
  [295] = {.lex_state = 53, .external_lex_state = 2},
  [296] = {.lex_state = 53, .external_lex_state = 2},
  [297] = {.lex_state = 53, .external_lex_state = 2},
  [298] = {.lex_state = 53, .external_lex_state = 2},
  [299] = {.lex_state = 53, .external_lex_state = 2},
  [300] = {.lex_state = 53, .external_lex_state = 2},
  [301] = {.lex_state = 53, .external_lex_state = 2},
  [302] = {.lex_state = 53, .external_lex_state = 2},
  [303] = {.lex_state = 53, .external_lex_state = 2},
  [304] = {.lex_state = 53, .external_lex_state = 2},
  [305] = {.lex_state = 53, .external_lex_state = 2},
  [306] = {.lex_state = 53, .external_lex_state = 2},
  [307] = {.lex_state = 53, .external_lex_state = 2},
  [308] = {.lex_state = 53, .external_lex_state = 2},
  [309] = {.lex_state = 53, .external_lex_state = 2},
  [310] = {.lex_state = 53, .external_lex_state = 2},
  [311] = {.lex_state = 53, .external_lex_state = 2},
  [312] = {.lex_state = 53, .external_lex_state = 2},
  [313] = {.lex_state = 53, .external_lex_state = 2},
  [314] = {.lex_state = 53, .external_lex_state = 2},
  [315] = {.lex_state = 53, .external_lex_state = 2},
  [316] = {.lex_state = 53, .external_lex_state = 2},
  [317] = {.lex_state = 53, .external_lex_state = 2},
  [318] = {.lex_state = 53, .external_lex_state = 2},
  [319] = {.lex_state = 53, .external_lex_state = 2},
  [320] = {.lex_state = 53, .external_lex_state = 2},
  [321] = {.lex_state = 53, .external_lex_state = 2},
  [322] = {.lex_state = 53, .external_lex_state = 2},
  [323] = {.lex_state = 53, .external_lex_state = 2},
  [324] = {.lex_state = 53, .external_lex_state = 2},
  [325] = {.lex_state = 53, .external_lex_state = 2},
  [326] = {.lex_state = 53, .external_lex_state = 2},
  [327] = {.lex_state = 53, .external_lex_state = 2},
  [328] = {.lex_state = 53, .external_lex_state = 2},
  [329] = {.lex_state = 53, .external_lex_state = 2},
  [330] = {.lex_state = 53, .external_lex_state = 2},
  [331] = {.lex_state = 53, .external_lex_state = 2},
  [332] = {.lex_state = 53, .external_lex_state = 2},
  [333] = {.lex_state = 53, .external_lex_state = 2},
  [334] = {.lex_state = 53, .external_lex_state = 2},
  [335] = {.lex_state = 53, .external_lex_state = 2},
  [336] = {.lex_state = 53, .external_lex_state = 2},
  [337] = {.lex_state = 53, .external_lex_state = 2},
  [338] = {.lex_state = 53, .external_lex_state = 2},
  [339] = {.lex_state = 53, .external_lex_state = 2},
  [340] = {.lex_state = 53, .external_lex_state = 2},
  [341] = {.lex_state = 53, .external_lex_state = 2},
  [342] = {.lex_state = 53, .external_lex_state = 2},
  [343] = {.lex_state = 53, .external_lex_state = 2},
  [344] = {.lex_state = 53, .external_lex_state = 2},
  [345] = {.lex_state = 53, .external_lex_state = 2},
  [346] = {.lex_state = 53, .external_lex_state = 2},
  [347] = {.lex_state = 53, .external_lex_state = 2},
  [348] = {.lex_state = 53, .external_lex_state = 2},
  [349] = {.lex_state = 53, .external_lex_state = 2},
  [350] = {.lex_state = 53, .external_lex_state = 2},
  [351] = {.lex_state = 53, .external_lex_state = 2},
  [352] = {.lex_state = 53, .external_lex_state = 2},
  [353] = {.lex_state = 53, .external_lex_state = 2},
  [354] = {.lex_state = 53, .external_lex_state = 2},
  [355] = {.lex_state = 53, .external_lex_state = 2},
  [356] = {.lex_state = 53, .external_lex_state = 2},
  [357] = {.lex_state = 53, .external_lex_state = 2},
  [358] = {.lex_state = 53, .external_lex_state = 2},
  [359] = {.lex_state = 53, .external_lex_state = 2},
  [360] = {.lex_state = 53, .external_lex_state = 2},
  [361] = {.lex_state = 53, .external_lex_state = 2},
  [362] = {.lex_state = 53, .external_lex_state = 2},
  [363] = {.lex_state = 53, .external_lex_state = 2},
  [364] = {.lex_state = 53, .external_lex_state = 2},
  [365] = {.lex_state = 53, .external_lex_state = 2},
  [366] = {.lex_state = 53, .external_lex_state = 2},
  [367] = {.lex_state = 53, .external_lex_state = 2},
  [368] = {.lex_state = 53, .external_lex_state = 2},
  [369] = {.lex_state = 53, .external_lex_state = 2},
  [370] = {.lex_state = 53, .external_lex_state = 2},
  [371] = {.lex_state = 53, .external_lex_state = 2},
  [372] = {.lex_state = 53, .external_lex_state = 2},
  [373] = {.lex_state = 53, .external_lex_state = 2},
  [374] = {.lex_state = 53, .external_lex_state = 2},
  [375] = {.lex_state = 53, .external_lex_state = 2},
  [376] = {.lex_state = 53, .external_lex_state = 2},
  [377] = {.lex_state = 53, .external_lex_state = 4},
  [378] = {.lex_state = 53, .external_lex_state = 2},
  [379] = {.lex_state = 53, .external_lex_state = 2},
  [380] = {.lex_state = 53, .external_lex_state = 4},
  [381] = {.lex_state = 53, .external_lex_state = 2},
  [382] = {.lex_state = 53, .external_lex_state = 2},
  [383] = {.lex_state = 53, .external_lex_state = 2},
  [384] = {.lex_state = 53, .external_lex_state = 2},
  [385] = {.lex_state = 53, .external_lex_state = 2},
  [386] = {.lex_state = 53, .external_lex_state = 2},
  [387] = {.lex_state = 53, .external_lex_state = 2},
  [388] = {.lex_state = 53, .external_lex_state = 2},
  [389] = {.lex_state = 53, .external_lex_state = 2},
  [390] = {.lex_state = 53, .external_lex_state = 2},
  [391] = {.lex_state = 53, .external_lex_state = 2},
  [392] = {.lex_state = 53, .external_lex_state = 2},
  [393] = {.lex_state = 53, .external_lex_state = 2},
  [394] = {.lex_state = 53, .external_lex_state = 2},
  [395] = {.lex_state = 53, .external_lex_state = 2},
  [396] = {.lex_state = 53, .external_lex_state = 2},
  [397] = {.lex_state = 53, .external_lex_state = 2},
  [398] = {.lex_state = 53, .external_lex_state = 2},
  [399] = {.lex_state = 53, .external_lex_state = 2},
  [400] = {.lex_state = 53, .external_lex_state = 2},
  [401] = {.lex_state = 53, .external_lex_state = 2},
  [402] = {.lex_state = 53, .external_lex_state = 2},
  [403] = {.lex_state = 53, .external_lex_state = 2},
  [404] = {.lex_state = 53, .external_lex_state = 2},
  [405] = {.lex_state = 53, .external_lex_state = 2},
  [406] = {.lex_state = 53, .external_lex_state = 2},
  [407] = {.lex_state = 53, .external_lex_state = 2},
  [408] = {.lex_state = 53, .external_lex_state = 2},
  [409] = {.lex_state = 53, .external_lex_state = 2},
  [410] = {.lex_state = 53, .external_lex_state = 2},
  [411] = {.lex_state = 53, .external_lex_state = 2},
  [412] = {.lex_state = 53, .external_lex_state = 2},
  [413] = {.lex_state = 53, .external_lex_state = 2},
  [414] = {.lex_state = 53, .external_lex_state = 2},
  [415] = {.lex_state = 53, .external_lex_state = 2},
  [416] = {.lex_state = 53, .external_lex_state = 2},
  [417] = {.lex_state = 53, .external_lex_state = 2},
  [418] = {.lex_state = 53, .external_lex_state = 4},
  [419] = {.lex_state = 53, .external_lex_state = 2},
  [420] = {.lex_state = 53, .external_lex_state = 2},
  [421] = {.lex_state = 53, .external_lex_state = 2},
  [422] = {.lex_state = 53, .external_lex_state = 2},
  [423] = {.lex_state = 53, .external_lex_state = 2},
  [424] = {.lex_state = 53, .external_lex_state = 4},
  [425] = {.lex_state = 53, .external_lex_state = 2},
  [426] = {.lex_state = 53, .external_lex_state = 2},
  [427] = {.lex_state = 53, .external_lex_state = 2},
  [428] = {.lex_state = 53, .external_lex_state = 2},
  [429] = {.lex_state = 53, .external_lex_state = 2},
  [430] = {.lex_state = 53, .external_lex_state = 2},
  [431] = {.lex_state = 53, .external_lex_state = 2},
  [432] = {.lex_state = 53, .external_lex_state = 2},
  [433] = {.lex_state = 53, .external_lex_state = 2},
  [434] = {.lex_state = 53, .external_lex_state = 2},
  [435] = {.lex_state = 53, .external_lex_state = 2},
  [436] = {.lex_state = 53, .external_lex_state = 2},
  [437] = {.lex_state = 53, .external_lex_state = 2},
  [438] = {.lex_state = 53, .external_lex_state = 2},
  [439] = {.lex_state = 53, .external_lex_state = 2},
  [440] = {.lex_state = 53, .external_lex_state = 2},
  [441] = {.lex_state = 53, .external_lex_state = 2},
  [442] = {.lex_state = 53, .external_lex_state = 2},
  [443] = {.lex_state = 53, .external_lex_state = 2},
  [444] = {.lex_state = 53, .external_lex_state = 2},
  [445] = {.lex_state = 53, .external_lex_state = 2},
  [446] = {.lex_state = 53, .external_lex_state = 2},
  [447] = {.lex_state = 53, .external_lex_state = 2},
  [448] = {.lex_state = 53, .external_lex_state = 2},
  [449] = {.lex_state = 53, .external_lex_state = 2},
  [450] = {.lex_state = 53, .external_lex_state = 2},
  [451] = {.lex_state = 53, .external_lex_state = 2},
  [452] = {.lex_state = 53, .external_lex_state = 2},
  [453] = {.lex_state = 53, .external_lex_state = 2},
  [454] = {.lex_state = 53, .external_lex_state = 2},
  [455] = {.lex_state = 53, .external_lex_state = 2},
  [456] = {.lex_state = 53, .external_lex_state = 2},
  [457] = {.lex_state = 53, .external_lex_state = 2},
  [458] = {.lex_state = 53, .external_lex_state = 2},
  [459] = {.lex_state = 53, .external_lex_state = 2},
  [460] = {.lex_state = 53, .external_lex_state = 2},
  [461] = {.lex_state = 53, .external_lex_state = 2},
  [462] = {.lex_state = 53, .external_lex_state = 2},
  [463] = {.lex_state = 53, .external_lex_state = 2},
  [464] = {.lex_state = 53, .external_lex_state = 2},
  [465] = {.lex_state = 53, .external_lex_state = 2},
  [466] = {.lex_state = 53, .external_lex_state = 2},
  [467] = {.lex_state = 53, .external_lex_state = 2},
  [468] = {.lex_state = 53, .external_lex_state = 2},
  [469] = {.lex_state = 53, .external_lex_state = 2},
  [470] = {.lex_state = 53, .external_lex_state = 2},
  [471] = {.lex_state = 53, .external_lex_state = 2},
  [472] = {.lex_state = 53, .external_lex_state = 2},
  [473] = {.lex_state = 53, .external_lex_state = 2},
  [474] = {.lex_state = 53, .external_lex_state = 2},
  [475] = {.lex_state = 53, .external_lex_state = 2},
  [476] = {.lex_state = 53, .external_lex_state = 2},
  [477] = {.lex_state = 53, .external_lex_state = 2},
  [478] = {.lex_state = 53, .external_lex_state = 2},
  [479] = {.lex_state = 53, .external_lex_state = 2},
  [480] = {.lex_state = 53, .external_lex_state = 2},
  [481] = {.lex_state = 53, .external_lex_state = 2},
  [482] = {.lex_state = 53, .external_lex_state = 2},
  [483] = {.lex_state = 53, .external_lex_state = 2},
  [484] = {.lex_state = 53, .external_lex_state = 2},
  [485] = {.lex_state = 53, .external_lex_state = 2},
  [486] = {.lex_state = 53, .external_lex_state = 2},
  [487] = {.lex_state = 53, .external_lex_state = 2},
  [488] = {.lex_state = 53, .external_lex_state = 2},
  [489] = {.lex_state = 53, .external_lex_state = 2},
  [490] = {.lex_state = 53, .external_lex_state = 2},
  [491] = {.lex_state = 53, .external_lex_state = 2},
  [492] = {.lex_state = 53, .external_lex_state = 2},
  [493] = {.lex_state = 53, .external_lex_state = 2},
  [494] = {.lex_state = 53, .external_lex_state = 2},
  [495] = {.lex_state = 53, .external_lex_state = 2},
  [496] = {.lex_state = 53, .external_lex_state = 2},
  [497] = {.lex_state = 53, .external_lex_state = 2},
  [498] = {.lex_state = 53, .external_lex_state = 2},
  [499] = {.lex_state = 53, .external_lex_state = 2},
  [500] = {.lex_state = 53, .external_lex_state = 2},
  [501] = {.lex_state = 53, .external_lex_state = 2},
  [502] = {.lex_state = 53, .external_lex_state = 2},
  [503] = {.lex_state = 53, .external_lex_state = 2},
  [504] = {.lex_state = 53, .external_lex_state = 2},
  [505] = {.lex_state = 53, .external_lex_state = 2},
  [506] = {.lex_state = 53, .external_lex_state = 2},
  [507] = {.lex_state = 53, .external_lex_state = 2},
  [508] = {.lex_state = 53, .external_lex_state = 2},
  [509] = {.lex_state = 53, .external_lex_state = 2},
  [510] = {.lex_state = 53, .external_lex_state = 2},
  [511] = {.lex_state = 53, .external_lex_state = 2},
  [512] = {.lex_state = 53, .external_lex_state = 2},
  [513] = {.lex_state = 53, .external_lex_state = 2},
  [514] = {.lex_state = 53, .external_lex_state = 2},
  [515] = {.lex_state = 53, .external_lex_state = 2},
  [516] = {.lex_state = 53, .external_lex_state = 2},
  [517] = {.lex_state = 53, .external_lex_state = 4},
  [518] = {.lex_state = 53, .external_lex_state = 2},
  [519] = {.lex_state = 53, .external_lex_state = 4},
  [520] = {.lex_state = 53, .external_lex_state = 2},
  [521] = {.lex_state = 53, .external_lex_state = 2},
  [522] = {.lex_state = 53, .external_lex_state = 2},
  [523] = {.lex_state = 53, .external_lex_state = 2},
  [524] = {.lex_state = 53, .external_lex_state = 2},
  [525] = {.lex_state = 53, .external_lex_state = 2},
  [526] = {.lex_state = 53, .external_lex_state = 2},
  [527] = {.lex_state = 5, .external_lex_state = 2},
  [528] = {.lex_state = 5, .external_lex_state = 2},
  [529] = {.lex_state = 53, .external_lex_state = 5},
  [530] = {.lex_state = 53, .external_lex_state = 3},
  [531] = {.lex_state = 53, .external_lex_state = 3},
  [532] = {.lex_state = 53, .external_lex_state = 2},
  [533] = {.lex_state = 53, .external_lex_state = 2},
  [534] = {.lex_state = 53, .external_lex_state = 2},
  [535] = {.lex_state = 53, .external_lex_state = 2},
  [536] = {.lex_state = 53, .external_lex_state = 2},
  [537] = {.lex_state = 53, .external_lex_state = 2},
  [538] = {.lex_state = 53, .external_lex_state = 2},
  [539] = {.lex_state = 53, .external_lex_state = 2},
  [540] = {.lex_state = 53, .external_lex_state = 6},
  [541] = {.lex_state = 53, .external_lex_state = 7},
  [542] = {.lex_state = 53, .external_lex_state = 8},
  [543] = {.lex_state = 53, .external_lex_state = 9},
  [544] = {.lex_state = 53, .external_lex_state = 10},
  [545] = {.lex_state = 53, .external_lex_state = 11},
  [546] = {.lex_state = 53, .external_lex_state = 12},
  [547] = {.lex_state = 53, .external_lex_state = 13},
  [548] = {.lex_state = 53, .external_lex_state = 6},
  [549] = {.lex_state = 53, .external_lex_state = 14},
  [550] = {.lex_state = 53, .external_lex_state = 15},
  [551] = {.lex_state = 53, .external_lex_state = 6},
  [552] = {.lex_state = 53, .external_lex_state = 12},
  [553] = {.lex_state = 53, .external_lex_state = 6},
  [554] = {.lex_state = 53, .external_lex_state = 10},
  [555] = {.lex_state = 53, .external_lex_state = 7},
  [556] = {.lex_state = 53, .external_lex_state = 10},
  [557] = {.lex_state = 53, .external_lex_state = 13},
  [558] = {.lex_state = 53, .external_lex_state = 16},
  [559] = {.lex_state = 53, .external_lex_state = 8},
  [560] = {.lex_state = 53, .external_lex_state = 17},
  [561] = {.lex_state = 53, .external_lex_state = 15},
  [562] = {.lex_state = 53, .external_lex_state = 7},
  [563] = {.lex_state = 53, .external_lex_state = 14},
  [564] = {.lex_state = 53, .external_lex_state = 18},
  [565] = {.lex_state = 53, .external_lex_state = 19},
  [566] = {.lex_state = 53, .external_lex_state = 8},
  [567] = {.lex_state = 53, .external_lex_state = 8},
  [568] = {.lex_state = 53, .external_lex_state = 20},
  [569] = {.lex_state = 53, .external_lex_state = 6},
  [570] = {.lex_state = 53, .external_lex_state = 6},
  [571] = {.lex_state = 53, .external_lex_state = 7},
  [572] = {.lex_state = 53, .external_lex_state = 3},
  [573] = {.lex_state = 53, .external_lex_state = 18},
  [574] = {.lex_state = 53, .external_lex_state = 8},
  [575] = {.lex_state = 53, .external_lex_state = 14},
  [576] = {.lex_state = 53, .external_lex_state = 11},
  [577] = {.lex_state = 53, .external_lex_state = 9},
  [578] = {.lex_state = 53, .external_lex_state = 8},
  [579] = {.lex_state = 53, .external_lex_state = 13},
  [580] = {.lex_state = 53, .external_lex_state = 3},
  [581] = {.lex_state = 53, .external_lex_state = 3},
  [582] = {.lex_state = 53, .external_lex_state = 3},
  [583] = {.lex_state = 53, .external_lex_state = 3},
  [584] = {.lex_state = 53, .external_lex_state = 3},
  [585] = {.lex_state = 53, .external_lex_state = 3},
  [586] = {.lex_state = 53, .external_lex_state = 3},
  [587] = {.lex_state = 53, .external_lex_state = 3},
  [588] = {.lex_state = 53, .external_lex_state = 3},
  [589] = {.lex_state = 53, .external_lex_state = 3},
  [590] = {.lex_state = 53, .external_lex_state = 3},
  [591] = {.lex_state = 53, .external_lex_state = 3},
  [592] = {.lex_state = 53, .external_lex_state = 3},
  [593] = {.lex_state = 53, .external_lex_state = 3},
  [594] = {.lex_state = 53, .external_lex_state = 3},
  [595] = {.lex_state = 53, .external_lex_state = 3},
  [596] = {.lex_state = 53, .external_lex_state = 7},
  [597] = {.lex_state = 53, .external_lex_state = 3},
  [598] = {.lex_state = 53, .external_lex_state = 3},
  [599] = {.lex_state = 53, .external_lex_state = 3},
  [600] = {.lex_state = 53, .external_lex_state = 3},
  [601] = {.lex_state = 53, .external_lex_state = 3},
  [602] = {.lex_state = 53, .external_lex_state = 3},
  [603] = {.lex_state = 53, .external_lex_state = 3},
  [604] = {.lex_state = 53, .external_lex_state = 3},
  [605] = {.lex_state = 53, .external_lex_state = 3},
  [606] = {.lex_state = 53, .external_lex_state = 3},
  [607] = {.lex_state = 53, .external_lex_state = 3},
  [608] = {.lex_state = 53, .external_lex_state = 3},
  [609] = {.lex_state = 53, .external_lex_state = 3},
  [610] = {.lex_state = 53, .external_lex_state = 3},
  [611] = {.lex_state = 53, .external_lex_state = 3},
  [612] = {.lex_state = 53, .external_lex_state = 3},
  [613] = {.lex_state = 53, .external_lex_state = 3},
  [614] = {.lex_state = 53, .external_lex_state = 7},
  [615] = {.lex_state = 53, .external_lex_state = 20},
  [616] = {.lex_state = 53, .external_lex_state = 11},
  [617] = {.lex_state = 53, .external_lex_state = 19},
  [618] = {.lex_state = 53, .external_lex_state = 11},
  [619] = {.lex_state = 53, .external_lex_state = 17},
  [620] = {.lex_state = 53, .external_lex_state = 3},
  [621] = {.lex_state = 53, .external_lex_state = 9},
  [622] = {.lex_state = 53, .external_lex_state = 9},
  [623] = {.lex_state = 53, .external_lex_state = 16},
  [624] = {.lex_state = 53, .external_lex_state = 21},
  [625] = {.lex_state = 53, .external_lex_state = 22},
  [626] = {.lex_state = 53, .external_lex_state = 3},
  [627] = {.lex_state = 53, .external_lex_state = 3},
  [628] = {.lex_state = 53, .external_lex_state = 3},
  [629] = {.lex_state = 53, .external_lex_state = 3},
  [630] = {.lex_state = 53, .external_lex_state = 3},
  [631] = {.lex_state = 53, .external_lex_state = 11},
  [632] = {.lex_state = 53, .external_lex_state = 3},
  [633] = {.lex_state = 53, .external_lex_state = 9},
  [634] = {.lex_state = 53, .external_lex_state = 3},
  [635] = {.lex_state = 53, .external_lex_state = 3},
  [636] = {.lex_state = 53, .external_lex_state = 3},
  [637] = {.lex_state = 53, .external_lex_state = 3},
  [638] = {.lex_state = 53, .external_lex_state = 3},
  [639] = {.lex_state = 53, .external_lex_state = 3},
  [640] = {.lex_state = 53, .external_lex_state = 3},
  [641] = {.lex_state = 53, .external_lex_state = 3},
  [642] = {.lex_state = 53, .external_lex_state = 3},
  [643] = {.lex_state = 53, .external_lex_state = 3},
  [644] = {.lex_state = 53, .external_lex_state = 3},
  [645] = {.lex_state = 53, .external_lex_state = 3},
  [646] = {.lex_state = 53, .external_lex_state = 3},
  [647] = {.lex_state = 53, .external_lex_state = 3},
  [648] = {.lex_state = 53, .external_lex_state = 3},
  [649] = {.lex_state = 53, .external_lex_state = 3},
  [650] = {.lex_state = 53, .external_lex_state = 3},
  [651] = {.lex_state = 53, .external_lex_state = 3},
  [652] = {.lex_state = 53, .external_lex_state = 19},
  [653] = {.lex_state = 53, .external_lex_state = 3},
  [654] = {.lex_state = 53, .external_lex_state = 3},
  [655] = {.lex_state = 53, .external_lex_state = 3},
  [656] = {.lex_state = 53, .external_lex_state = 3},
  [657] = {.lex_state = 53, .external_lex_state = 3},
  [658] = {.lex_state = 53, .external_lex_state = 3},
  [659] = {.lex_state = 53, .external_lex_state = 19},
  [660] = {.lex_state = 53, .external_lex_state = 3},
  [661] = {.lex_state = 53, .external_lex_state = 3},
  [662] = {.lex_state = 53, .external_lex_state = 3},
  [663] = {.lex_state = 53, .external_lex_state = 3},
  [664] = {.lex_state = 53, .external_lex_state = 3},
  [665] = {.lex_state = 53, .external_lex_state = 3},
  [666] = {.lex_state = 53, .external_lex_state = 18},
  [667] = {.lex_state = 53, .external_lex_state = 3},
  [668] = {.lex_state = 53, .external_lex_state = 3},
  [669] = {.lex_state = 53, .external_lex_state = 3},
  [670] = {.lex_state = 53, .external_lex_state = 3},
  [671] = {.lex_state = 53, .external_lex_state = 3},
  [672] = {.lex_state = 53, .external_lex_state = 3},
  [673] = {.lex_state = 53, .external_lex_state = 2},
  [674] = {.lex_state = 53, .external_lex_state = 3},
  [675] = {.lex_state = 53, .external_lex_state = 3},
  [676] = {.lex_state = 53, .external_lex_state = 3},
  [677] = {.lex_state = 53, .external_lex_state = 3},
  [678] = {.lex_state = 53, .external_lex_state = 3},
  [679] = {.lex_state = 53, .external_lex_state = 3},
  [680] = {.lex_state = 53, .external_lex_state = 3},
  [681] = {.lex_state = 53, .external_lex_state = 3},
  [682] = {.lex_state = 53, .external_lex_state = 3},
  [683] = {.lex_state = 53, .external_lex_state = 3},
  [684] = {.lex_state = 53, .external_lex_state = 3},
  [685] = {.lex_state = 53, .external_lex_state = 3},
  [686] = {.lex_state = 53, .external_lex_state = 3},
  [687] = {.lex_state = 53, .external_lex_state = 3},
  [688] = {.lex_state = 53, .external_lex_state = 3},
  [689] = {.lex_state = 53, .external_lex_state = 3},
  [690] = {.lex_state = 53, .external_lex_state = 3},
  [691] = {.lex_state = 53, .external_lex_state = 22},
  [692] = {.lex_state = 53, .external_lex_state = 3},
  [693] = {.lex_state = 53, .external_lex_state = 3},
  [694] = {.lex_state = 53, .external_lex_state = 3},
  [695] = {.lex_state = 53, .external_lex_state = 3},
  [696] = {.lex_state = 53, .external_lex_state = 3},
  [697] = {.lex_state = 53, .external_lex_state = 3},
  [698] = {.lex_state = 53, .external_lex_state = 3},
  [699] = {.lex_state = 53, .external_lex_state = 3},
  [700] = {.lex_state = 53, .external_lex_state = 3},
  [701] = {.lex_state = 53, .external_lex_state = 3},
  [702] = {.lex_state = 53, .external_lex_state = 3},
  [703] = {.lex_state = 53, .external_lex_state = 3},
  [704] = {.lex_state = 53, .external_lex_state = 3},
  [705] = {.lex_state = 53, .external_lex_state = 3},
  [706] = {.lex_state = 53, .external_lex_state = 9},
  [707] = {.lex_state = 53, .external_lex_state = 3},
  [708] = {.lex_state = 53, .external_lex_state = 3},
  [709] = {.lex_state = 53, .external_lex_state = 3},
  [710] = {.lex_state = 53, .external_lex_state = 3},
  [711] = {.lex_state = 53, .external_lex_state = 3},
  [712] = {.lex_state = 53, .external_lex_state = 3},
  [713] = {.lex_state = 53, .external_lex_state = 3},
  [714] = {.lex_state = 53, .external_lex_state = 3},
  [715] = {.lex_state = 53, .external_lex_state = 3},
  [716] = {.lex_state = 53, .external_lex_state = 3},
  [717] = {.lex_state = 53, .external_lex_state = 3},
  [718] = {.lex_state = 53, .external_lex_state = 3},
  [719] = {.lex_state = 53, .external_lex_state = 11},
  [720] = {.lex_state = 53, .external_lex_state = 3},
  [721] = {.lex_state = 53, .external_lex_state = 3},
  [722] = {.lex_state = 53, .external_lex_state = 3},
  [723] = {.lex_state = 53, .external_lex_state = 3},
  [724] = {.lex_state = 53, .external_lex_state = 3},
  [725] = {.lex_state = 53, .external_lex_state = 3},
  [726] = {.lex_state = 53, .external_lex_state = 3},
  [727] = {.lex_state = 53, .external_lex_state = 3},
  [728] = {.lex_state = 53, .external_lex_state = 3},
  [729] = {.lex_state = 53, .external_lex_state = 3},
  [730] = {.lex_state = 53, .external_lex_state = 3},
  [731] = {.lex_state = 53, .external_lex_state = 3},
  [732] = {.lex_state = 53, .external_lex_state = 3},
  [733] = {.lex_state = 53, .external_lex_state = 3},
  [734] = {.lex_state = 53, .external_lex_state = 19},
  [735] = {.lex_state = 53, .external_lex_state = 3},
  [736] = {.lex_state = 53, .external_lex_state = 3},
  [737] = {.lex_state = 53, .external_lex_state = 3},
  [738] = {.lex_state = 53, .external_lex_state = 3},
  [739] = {.lex_state = 53, .external_lex_state = 3},
  [740] = {.lex_state = 53, .external_lex_state = 3},
  [741] = {.lex_state = 53, .external_lex_state = 3},
  [742] = {.lex_state = 53, .external_lex_state = 3},
  [743] = {.lex_state = 53, .external_lex_state = 3},
  [744] = {.lex_state = 53, .external_lex_state = 3},
  [745] = {.lex_state = 53, .external_lex_state = 3},
  [746] = {.lex_state = 53, .external_lex_state = 3},
  [747] = {.lex_state = 53, .external_lex_state = 21},
  [748] = {.lex_state = 53, .external_lex_state = 22},
  [749] = {.lex_state = 53, .external_lex_state = 16},
  [750] = {.lex_state = 53, .external_lex_state = 12},
  [751] = {.lex_state = 53, .external_lex_state = 12},
  [752] = {.lex_state = 53, .external_lex_state = 3},
  [753] = {.lex_state = 53, .external_lex_state = 3},
  [754] = {.lex_state = 53, .external_lex_state = 3},
  [755] = {.lex_state = 53, .external_lex_state = 3},
  [756] = {.lex_state = 53, .external_lex_state = 3},
  [757] = {.lex_state = 53, .external_lex_state = 3},
  [758] = {.lex_state = 53, .external_lex_state = 3},
  [759] = {.lex_state = 53, .external_lex_state = 3},
  [760] = {.lex_state = 53, .external_lex_state = 3},
  [761] = {.lex_state = 53, .external_lex_state = 2},
  [762] = {.lex_state = 53, .external_lex_state = 3},
  [763] = {.lex_state = 53, .external_lex_state = 3},
  [764] = {.lex_state = 53, .external_lex_state = 3},
  [765] = {.lex_state = 53, .external_lex_state = 3},
  [766] = {.lex_state = 53, .external_lex_state = 3},
  [767] = {.lex_state = 53, .external_lex_state = 3},
  [768] = {.lex_state = 53, .external_lex_state = 3},
  [769] = {.lex_state = 53, .external_lex_state = 3},
  [770] = {.lex_state = 53, .external_lex_state = 3},
  [771] = {.lex_state = 53, .external_lex_state = 3},
  [772] = {.lex_state = 53, .external_lex_state = 3},
  [773] = {.lex_state = 53, .external_lex_state = 3},
  [774] = {.lex_state = 53, .external_lex_state = 3},
  [775] = {.lex_state = 53, .external_lex_state = 2},
  [776] = {.lex_state = 53, .external_lex_state = 2},
  [777] = {.lex_state = 53, .external_lex_state = 3},
  [778] = {.lex_state = 53, .external_lex_state = 19},
  [779] = {.lex_state = 53, .external_lex_state = 3},
  [780] = {.lex_state = 53, .external_lex_state = 3},
  [781] = {.lex_state = 53, .external_lex_state = 3},
  [782] = {.lex_state = 53, .external_lex_state = 3},
  [783] = {.lex_state = 53, .external_lex_state = 3},
  [784] = {.lex_state = 53, .external_lex_state = 3},
  [785] = {.lex_state = 53, .external_lex_state = 3},
  [786] = {.lex_state = 53, .external_lex_state = 3},
  [787] = {.lex_state = 53, .external_lex_state = 3},
  [788] = {.lex_state = 53, .external_lex_state = 3},
  [789] = {.lex_state = 53, .external_lex_state = 3},
  [790] = {.lex_state = 53, .external_lex_state = 2},
  [791] = {.lex_state = 53, .external_lex_state = 2},
  [792] = {.lex_state = 53, .external_lex_state = 3},
  [793] = {.lex_state = 53, .external_lex_state = 3},
  [794] = {.lex_state = 53, .external_lex_state = 3},
  [795] = {.lex_state = 53, .external_lex_state = 3},
  [796] = {.lex_state = 53, .external_lex_state = 3},
  [797] = {.lex_state = 53, .external_lex_state = 3},
  [798] = {.lex_state = 53, .external_lex_state = 3},
  [799] = {.lex_state = 53, .external_lex_state = 3},
  [800] = {.lex_state = 53, .external_lex_state = 3},
  [801] = {.lex_state = 53, .external_lex_state = 3},
  [802] = {.lex_state = 53, .external_lex_state = 3},
  [803] = {.lex_state = 53, .external_lex_state = 3},
  [804] = {.lex_state = 53, .external_lex_state = 3},
  [805] = {.lex_state = 53, .external_lex_state = 2},
  [806] = {.lex_state = 53, .external_lex_state = 3},
  [807] = {.lex_state = 53, .external_lex_state = 3},
  [808] = {.lex_state = 53, .external_lex_state = 3},
  [809] = {.lex_state = 53, .external_lex_state = 3},
  [810] = {.lex_state = 53, .external_lex_state = 3},
  [811] = {.lex_state = 53, .external_lex_state = 3},
  [812] = {.lex_state = 53, .external_lex_state = 3},
  [813] = {.lex_state = 53, .external_lex_state = 3},
  [814] = {.lex_state = 53, .external_lex_state = 3},
  [815] = {.lex_state = 53, .external_lex_state = 3},
  [816] = {.lex_state = 53, .external_lex_state = 3},
  [817] = {.lex_state = 53, .external_lex_state = 3},
  [818] = {.lex_state = 53, .external_lex_state = 15},
  [819] = {.lex_state = 53, .external_lex_state = 2},
  [820] = {.lex_state = 53, .external_lex_state = 3},
  [821] = {.lex_state = 53, .external_lex_state = 3},
  [822] = {.lex_state = 53, .external_lex_state = 3},
  [823] = {.lex_state = 53, .external_lex_state = 3},
  [824] = {.lex_state = 53, .external_lex_state = 3},
  [825] = {.lex_state = 53, .external_lex_state = 3},
  [826] = {.lex_state = 53, .external_lex_state = 3},
  [827] = {.lex_state = 53, .external_lex_state = 3},
  [828] = {.lex_state = 53, .external_lex_state = 3},
  [829] = {.lex_state = 53, .external_lex_state = 3},
  [830] = {.lex_state = 53, .external_lex_state = 3},
  [831] = {.lex_state = 53, .external_lex_state = 3},
  [832] = {.lex_state = 53, .external_lex_state = 3},
  [833] = {.lex_state = 53, .external_lex_state = 2},
  [834] = {.lex_state = 53, .external_lex_state = 3},
  [835] = {.lex_state = 53, .external_lex_state = 3},
  [836] = {.lex_state = 53, .external_lex_state = 3},
  [837] = {.lex_state = 53, .external_lex_state = 3},
  [838] = {.lex_state = 53, .external_lex_state = 3},
  [839] = {.lex_state = 53, .external_lex_state = 3},
  [840] = {.lex_state = 53, .external_lex_state = 3},
  [841] = {.lex_state = 53, .external_lex_state = 3},
  [842] = {.lex_state = 53, .external_lex_state = 3},
  [843] = {.lex_state = 53, .external_lex_state = 3},
  [844] = {.lex_state = 53, .external_lex_state = 3},
  [845] = {.lex_state = 53, .external_lex_state = 3},
  [846] = {.lex_state = 53, .external_lex_state = 3},
  [847] = {.lex_state = 53, .external_lex_state = 2},
  [848] = {.lex_state = 53, .external_lex_state = 3},
  [849] = {.lex_state = 53, .external_lex_state = 3},
  [850] = {.lex_state = 53, .external_lex_state = 3},
  [851] = {.lex_state = 53, .external_lex_state = 3},
  [852] = {.lex_state = 53, .external_lex_state = 3},
  [853] = {.lex_state = 53, .external_lex_state = 3},
  [854] = {.lex_state = 53, .external_lex_state = 3},
  [855] = {.lex_state = 53, .external_lex_state = 3},
  [856] = {.lex_state = 53, .external_lex_state = 3},
  [857] = {.lex_state = 53, .external_lex_state = 3},
  [858] = {.lex_state = 53, .external_lex_state = 3},
  [859] = {.lex_state = 53, .external_lex_state = 3},
  [860] = {.lex_state = 53, .external_lex_state = 2},
  [861] = {.lex_state = 53, .external_lex_state = 3},
  [862] = {.lex_state = 53, .external_lex_state = 3},
  [863] = {.lex_state = 53, .external_lex_state = 3},
  [864] = {.lex_state = 53, .external_lex_state = 3},
  [865] = {.lex_state = 53, .external_lex_state = 3},
  [866] = {.lex_state = 53, .external_lex_state = 3},
  [867] = {.lex_state = 53, .external_lex_state = 3},
  [868] = {.lex_state = 53, .external_lex_state = 3},
  [869] = {.lex_state = 53, .external_lex_state = 3},
  [870] = {.lex_state = 53, .external_lex_state = 3},
  [871] = {.lex_state = 53, .external_lex_state = 3},
  [872] = {.lex_state = 53, .external_lex_state = 3},
  [873] = {.lex_state = 53, .external_lex_state = 3},
  [874] = {.lex_state = 53, .external_lex_state = 3},
  [875] = {.lex_state = 53, .external_lex_state = 2},
  [876] = {.lex_state = 53, .external_lex_state = 3},
  [877] = {.lex_state = 53, .external_lex_state = 3},
  [878] = {.lex_state = 53, .external_lex_state = 3},
  [879] = {.lex_state = 53, .external_lex_state = 3},
  [880] = {.lex_state = 53, .external_lex_state = 3},
  [881] = {.lex_state = 53, .external_lex_state = 3},
  [882] = {.lex_state = 53, .external_lex_state = 3},
  [883] = {.lex_state = 53, .external_lex_state = 3},
  [884] = {.lex_state = 53, .external_lex_state = 3},
  [885] = {.lex_state = 53, .external_lex_state = 3},
  [886] = {.lex_state = 53, .external_lex_state = 3},
  [887] = {.lex_state = 53, .external_lex_state = 3},
  [888] = {.lex_state = 53, .external_lex_state = 3},
  [889] = {.lex_state = 53, .external_lex_state = 2},
  [890] = {.lex_state = 53, .external_lex_state = 3},
  [891] = {.lex_state = 53, .external_lex_state = 3},
  [892] = {.lex_state = 53, .external_lex_state = 3},
  [893] = {.lex_state = 53, .external_lex_state = 3},
  [894] = {.lex_state = 53, .external_lex_state = 3},
  [895] = {.lex_state = 53, .external_lex_state = 3},
  [896] = {.lex_state = 53, .external_lex_state = 3},
  [897] = {.lex_state = 53, .external_lex_state = 3},
  [898] = {.lex_state = 53, .external_lex_state = 3},
  [899] = {.lex_state = 53, .external_lex_state = 3},
  [900] = {.lex_state = 53, .external_lex_state = 3},
  [901] = {.lex_state = 53, .external_lex_state = 3},
  [902] = {.lex_state = 53, .external_lex_state = 3},
  [903] = {.lex_state = 53, .external_lex_state = 2},
  [904] = {.lex_state = 53, .external_lex_state = 3},
  [905] = {.lex_state = 53, .external_lex_state = 3},
  [906] = {.lex_state = 53, .external_lex_state = 3},
  [907] = {.lex_state = 53, .external_lex_state = 3},
  [908] = {.lex_state = 53, .external_lex_state = 3},
  [909] = {.lex_state = 53, .external_lex_state = 3},
  [910] = {.lex_state = 53, .external_lex_state = 3},
  [911] = {.lex_state = 53, .external_lex_state = 3},
  [912] = {.lex_state = 53, .external_lex_state = 3},
  [913] = {.lex_state = 53, .external_lex_state = 3},
  [914] = {.lex_state = 53, .external_lex_state = 3},
  [915] = {.lex_state = 53, .external_lex_state = 3},
  [916] = {.lex_state = 53, .external_lex_state = 3},
  [917] = {.lex_state = 53, .external_lex_state = 2},
  [918] = {.lex_state = 53, .external_lex_state = 3},
  [919] = {.lex_state = 53, .external_lex_state = 3},
  [920] = {.lex_state = 53, .external_lex_state = 3},
  [921] = {.lex_state = 53, .external_lex_state = 3},
  [922] = {.lex_state = 53, .external_lex_state = 3},
  [923] = {.lex_state = 53, .external_lex_state = 3},
  [924] = {.lex_state = 53, .external_lex_state = 3},
  [925] = {.lex_state = 53, .external_lex_state = 3},
  [926] = {.lex_state = 53, .external_lex_state = 3},
  [927] = {.lex_state = 53, .external_lex_state = 3},
  [928] = {.lex_state = 53, .external_lex_state = 3},
  [929] = {.lex_state = 53, .external_lex_state = 3},
  [930] = {.lex_state = 53, .external_lex_state = 3},
  [931] = {.lex_state = 53, .external_lex_state = 2},
  [932] = {.lex_state = 53, .external_lex_state = 3},
  [933] = {.lex_state = 53, .external_lex_state = 3},
  [934] = {.lex_state = 53, .external_lex_state = 3},
  [935] = {.lex_state = 53, .external_lex_state = 3},
  [936] = {.lex_state = 53, .external_lex_state = 3},
  [937] = {.lex_state = 53, .external_lex_state = 3},
  [938] = {.lex_state = 53, .external_lex_state = 3},
  [939] = {.lex_state = 53, .external_lex_state = 3},
  [940] = {.lex_state = 53, .external_lex_state = 3},
  [941] = {.lex_state = 53, .external_lex_state = 3},
  [942] = {.lex_state = 53, .external_lex_state = 3},
  [943] = {.lex_state = 53, .external_lex_state = 3},
  [944] = {.lex_state = 53, .external_lex_state = 3},
  [945] = {.lex_state = 53, .external_lex_state = 3},
  [946] = {.lex_state = 53, .external_lex_state = 3},
  [947] = {.lex_state = 53, .external_lex_state = 3},
  [948] = {.lex_state = 53, .external_lex_state = 3},
  [949] = {.lex_state = 53, .external_lex_state = 3},
  [950] = {.lex_state = 53, .external_lex_state = 3},
  [951] = {.lex_state = 53, .external_lex_state = 3},
  [952] = {.lex_state = 53, .external_lex_state = 3},
  [953] = {.lex_state = 53, .external_lex_state = 3},
  [954] = {.lex_state = 53, .external_lex_state = 3},
  [955] = {.lex_state = 53, .external_lex_state = 3},
  [956] = {.lex_state = 53, .external_lex_state = 3},
  [957] = {.lex_state = 53, .external_lex_state = 3},
  [958] = {.lex_state = 53, .external_lex_state = 3},
  [959] = {.lex_state = 53, .external_lex_state = 3},
  [960] = {.lex_state = 53, .external_lex_state = 3},
  [961] = {.lex_state = 53, .external_lex_state = 3},
  [962] = {.lex_state = 53, .external_lex_state = 3},
  [963] = {.lex_state = 53, .external_lex_state = 3},
  [964] = {.lex_state = 53, .external_lex_state = 3},
  [965] = {.lex_state = 53, .external_lex_state = 3},
  [966] = {.lex_state = 53, .external_lex_state = 3},
  [967] = {.lex_state = 53, .external_lex_state = 3},
  [968] = {.lex_state = 53, .external_lex_state = 3},
  [969] = {.lex_state = 53, .external_lex_state = 3},
  [970] = {.lex_state = 53, .external_lex_state = 3},
  [971] = {.lex_state = 53, .external_lex_state = 3},
  [972] = {.lex_state = 53, .external_lex_state = 3},
  [973] = {.lex_state = 53, .external_lex_state = 3},
  [974] = {.lex_state = 53, .external_lex_state = 3},
  [975] = {.lex_state = 53, .external_lex_state = 3},
  [976] = {.lex_state = 53, .external_lex_state = 3},
  [977] = {.lex_state = 53, .external_lex_state = 3},
  [978] = {.lex_state = 53, .external_lex_state = 3},
  [979] = {.lex_state = 53, .external_lex_state = 3},
  [980] = {.lex_state = 53, .external_lex_state = 3},
  [981] = {.lex_state = 53, .external_lex_state = 3},
  [982] = {.lex_state = 53, .external_lex_state = 3},
  [983] = {.lex_state = 53, .external_lex_state = 3},
  [984] = {.lex_state = 53, .external_lex_state = 3},
  [985] = {.lex_state = 53, .external_lex_state = 3},
  [986] = {.lex_state = 53, .external_lex_state = 3},
  [987] = {.lex_state = 53, .external_lex_state = 3},
  [988] = {.lex_state = 53, .external_lex_state = 3},
  [989] = {.lex_state = 53, .external_lex_state = 3},
  [990] = {.lex_state = 53, .external_lex_state = 3},
  [991] = {.lex_state = 53, .external_lex_state = 3},
  [992] = {.lex_state = 53, .external_lex_state = 3},
  [993] = {.lex_state = 53, .external_lex_state = 3},
  [994] = {.lex_state = 53, .external_lex_state = 3},
  [995] = {.lex_state = 53, .external_lex_state = 3},
  [996] = {.lex_state = 53, .external_lex_state = 3},
  [997] = {.lex_state = 53, .external_lex_state = 3},
  [998] = {.lex_state = 53, .external_lex_state = 3},
  [999] = {.lex_state = 53, .external_lex_state = 3},
  [1000] = {.lex_state = 53, .external_lex_state = 3},
  [1001] = {.lex_state = 53, .external_lex_state = 3},
  [1002] = {.lex_state = 53, .external_lex_state = 3},
  [1003] = {.lex_state = 53, .external_lex_state = 3},
  [1004] = {.lex_state = 53, .external_lex_state = 3},
  [1005] = {.lex_state = 53, .external_lex_state = 3},
  [1006] = {.lex_state = 53, .external_lex_state = 3},
  [1007] = {.lex_state = 53, .external_lex_state = 3},
  [1008] = {.lex_state = 53, .external_lex_state = 3},
  [1009] = {.lex_state = 53, .external_lex_state = 3},
  [1010] = {.lex_state = 53, .external_lex_state = 3},
  [1011] = {.lex_state = 53, .external_lex_state = 3},
  [1012] = {.lex_state = 53, .external_lex_state = 3},
  [1013] = {.lex_state = 53, .external_lex_state = 3},
  [1014] = {.lex_state = 53, .external_lex_state = 3},
  [1015] = {.lex_state = 53, .external_lex_state = 3},
  [1016] = {.lex_state = 53, .external_lex_state = 3},
  [1017] = {.lex_state = 53, .external_lex_state = 3},
  [1018] = {.lex_state = 53, .external_lex_state = 3},
  [1019] = {.lex_state = 53, .external_lex_state = 3},
  [1020] = {.lex_state = 53, .external_lex_state = 3},
  [1021] = {.lex_state = 53, .external_lex_state = 3},
  [1022] = {.lex_state = 53, .external_lex_state = 3},
  [1023] = {.lex_state = 53, .external_lex_state = 3},
  [1024] = {.lex_state = 53, .external_lex_state = 3},
  [1025] = {.lex_state = 53, .external_lex_state = 3},
  [1026] = {.lex_state = 53, .external_lex_state = 3},
  [1027] = {.lex_state = 53, .external_lex_state = 3},
  [1028] = {.lex_state = 53, .external_lex_state = 2},
  [1029] = {.lex_state = 53, .external_lex_state = 3},
  [1030] = {.lex_state = 53, .external_lex_state = 3},
  [1031] = {.lex_state = 53, .external_lex_state = 2},
  [1032] = {.lex_state = 53, .external_lex_state = 3},
  [1033] = {.lex_state = 53, .external_lex_state = 2},
  [1034] = {.lex_state = 53, .external_lex_state = 3},
  [1035] = {.lex_state = 53, .external_lex_state = 3},
  [1036] = {.lex_state = 53, .external_lex_state = 3},
  [1037] = {.lex_state = 53, .external_lex_state = 3},
  [1038] = {.lex_state = 53, .external_lex_state = 3},
  [1039] = {.lex_state = 53, .external_lex_state = 3},
  [1040] = {.lex_state = 53, .external_lex_state = 3},
  [1041] = {.lex_state = 53, .external_lex_state = 3},
  [1042] = {.lex_state = 53, .external_lex_state = 3},
  [1043] = {.lex_state = 53, .external_lex_state = 3},
  [1044] = {.lex_state = 53, .external_lex_state = 3},
  [1045] = {.lex_state = 53, .external_lex_state = 3},
  [1046] = {.lex_state = 53, .external_lex_state = 3},
  [1047] = {.lex_state = 53, .external_lex_state = 3},
  [1048] = {.lex_state = 53, .external_lex_state = 3},
  [1049] = {.lex_state = 53, .external_lex_state = 3},
  [1050] = {.lex_state = 53, .external_lex_state = 3},
  [1051] = {.lex_state = 53, .external_lex_state = 3},
  [1052] = {.lex_state = 53, .external_lex_state = 3},
  [1053] = {.lex_state = 53, .external_lex_state = 3},
  [1054] = {.lex_state = 53, .external_lex_state = 3},
  [1055] = {.lex_state = 53, .external_lex_state = 3},
  [1056] = {.lex_state = 53, .external_lex_state = 3},
  [1057] = {.lex_state = 53, .external_lex_state = 3},
  [1058] = {.lex_state = 53, .external_lex_state = 3},
  [1059] = {.lex_state = 53, .external_lex_state = 3},
  [1060] = {.lex_state = 53, .external_lex_state = 3},
  [1061] = {.lex_state = 53, .external_lex_state = 3},
  [1062] = {.lex_state = 53, .external_lex_state = 3},
  [1063] = {.lex_state = 53, .external_lex_state = 3},
  [1064] = {.lex_state = 53, .external_lex_state = 3},
  [1065] = {.lex_state = 53, .external_lex_state = 3},
  [1066] = {.lex_state = 53, .external_lex_state = 3},
  [1067] = {.lex_state = 53, .external_lex_state = 3},
  [1068] = {.lex_state = 53, .external_lex_state = 3},
  [1069] = {.lex_state = 53, .external_lex_state = 3},
  [1070] = {.lex_state = 53, .external_lex_state = 3},
  [1071] = {.lex_state = 53, .external_lex_state = 3},
  [1072] = {.lex_state = 53, .external_lex_state = 3},
  [1073] = {.lex_state = 53, .external_lex_state = 3},
  [1074] = {.lex_state = 53, .external_lex_state = 3},
  [1075] = {.lex_state = 53, .external_lex_state = 3},
  [1076] = {.lex_state = 53, .external_lex_state = 3},
  [1077] = {.lex_state = 53, .external_lex_state = 3},
  [1078] = {.lex_state = 53, .external_lex_state = 3},
  [1079] = {.lex_state = 53, .external_lex_state = 3},
  [1080] = {.lex_state = 53, .external_lex_state = 3},
  [1081] = {.lex_state = 53, .external_lex_state = 3},
  [1082] = {.lex_state = 53, .external_lex_state = 3},
  [1083] = {.lex_state = 53, .external_lex_state = 3},
  [1084] = {.lex_state = 53, .external_lex_state = 3},
  [1085] = {.lex_state = 53, .external_lex_state = 3},
  [1086] = {.lex_state = 53, .external_lex_state = 3},
  [1087] = {.lex_state = 53, .external_lex_state = 3},
  [1088] = {.lex_state = 53, .external_lex_state = 3},
  [1089] = {.lex_state = 53, .external_lex_state = 3},
  [1090] = {.lex_state = 53, .external_lex_state = 3},
  [1091] = {.lex_state = 53, .external_lex_state = 3},
  [1092] = {.lex_state = 53, .external_lex_state = 3},
  [1093] = {.lex_state = 53, .external_lex_state = 3},
  [1094] = {.lex_state = 53, .external_lex_state = 3},
  [1095] = {.lex_state = 53, .external_lex_state = 3},
  [1096] = {.lex_state = 53, .external_lex_state = 3},
  [1097] = {.lex_state = 53, .external_lex_state = 3},
  [1098] = {.lex_state = 53, .external_lex_state = 3},
  [1099] = {.lex_state = 53, .external_lex_state = 3},
  [1100] = {.lex_state = 53, .external_lex_state = 3},
  [1101] = {.lex_state = 53, .external_lex_state = 3},
  [1102] = {.lex_state = 53, .external_lex_state = 3},
  [1103] = {.lex_state = 53, .external_lex_state = 3},
  [1104] = {.lex_state = 53, .external_lex_state = 3},
  [1105] = {.lex_state = 53, .external_lex_state = 3},
  [1106] = {.lex_state = 53, .external_lex_state = 3},
  [1107] = {.lex_state = 53, .external_lex_state = 3},
  [1108] = {.lex_state = 53, .external_lex_state = 3},
  [1109] = {.lex_state = 53, .external_lex_state = 3},
  [1110] = {.lex_state = 53, .external_lex_state = 3},
  [1111] = {.lex_state = 53, .external_lex_state = 3},
  [1112] = {.lex_state = 53, .external_lex_state = 3},
  [1113] = {.lex_state = 53, .external_lex_state = 3},
  [1114] = {.lex_state = 53, .external_lex_state = 3},
  [1115] = {.lex_state = 53, .external_lex_state = 3},
  [1116] = {.lex_state = 53, .external_lex_state = 3},
  [1117] = {.lex_state = 53, .external_lex_state = 3},
  [1118] = {.lex_state = 53, .external_lex_state = 3},
  [1119] = {.lex_state = 53, .external_lex_state = 3},
  [1120] = {.lex_state = 53, .external_lex_state = 3},
  [1121] = {.lex_state = 53, .external_lex_state = 3},
  [1122] = {.lex_state = 53, .external_lex_state = 3},
  [1123] = {.lex_state = 53, .external_lex_state = 3},
  [1124] = {.lex_state = 53, .external_lex_state = 3},
  [1125] = {.lex_state = 53, .external_lex_state = 3},
  [1126] = {.lex_state = 53, .external_lex_state = 3},
  [1127] = {.lex_state = 53, .external_lex_state = 3},
  [1128] = {.lex_state = 53, .external_lex_state = 2},
  [1129] = {.lex_state = 53, .external_lex_state = 3},
  [1130] = {.lex_state = 53, .external_lex_state = 3},
  [1131] = {.lex_state = 53, .external_lex_state = 3},
  [1132] = {.lex_state = 53, .external_lex_state = 3},
  [1133] = {.lex_state = 53, .external_lex_state = 3},
  [1134] = {.lex_state = 53, .external_lex_state = 3},
  [1135] = {.lex_state = 53, .external_lex_state = 3},
  [1136] = {.lex_state = 53, .external_lex_state = 3},
  [1137] = {.lex_state = 53, .external_lex_state = 3},
  [1138] = {.lex_state = 53, .external_lex_state = 3},
  [1139] = {.lex_state = 53, .external_lex_state = 3},
  [1140] = {.lex_state = 53, .external_lex_state = 3},
  [1141] = {.lex_state = 53, .external_lex_state = 3},
  [1142] = {.lex_state = 53, .external_lex_state = 3},
  [1143] = {.lex_state = 53, .external_lex_state = 3},
  [1144] = {.lex_state = 53, .external_lex_state = 2},
  [1145] = {.lex_state = 53, .external_lex_state = 3},
  [1146] = {.lex_state = 53, .external_lex_state = 3},
  [1147] = {.lex_state = 53, .external_lex_state = 3},
  [1148] = {.lex_state = 53, .external_lex_state = 3},
  [1149] = {.lex_state = 53, .external_lex_state = 3},
  [1150] = {.lex_state = 53, .external_lex_state = 3},
  [1151] = {.lex_state = 53, .external_lex_state = 3},
  [1152] = {.lex_state = 53, .external_lex_state = 3},
  [1153] = {.lex_state = 53, .external_lex_state = 3},
  [1154] = {.lex_state = 53, .external_lex_state = 3},
  [1155] = {.lex_state = 53, .external_lex_state = 3},
  [1156] = {.lex_state = 53, .external_lex_state = 3},
  [1157] = {.lex_state = 53, .external_lex_state = 3},
  [1158] = {.lex_state = 53, .external_lex_state = 3},
  [1159] = {.lex_state = 53, .external_lex_state = 3},
  [1160] = {.lex_state = 53, .external_lex_state = 3},
  [1161] = {.lex_state = 53, .external_lex_state = 3},
  [1162] = {.lex_state = 53, .external_lex_state = 19},
  [1163] = {.lex_state = 53, .external_lex_state = 3},
  [1164] = {.lex_state = 53, .external_lex_state = 3},
  [1165] = {.lex_state = 53, .external_lex_state = 3},
  [1166] = {.lex_state = 53, .external_lex_state = 3},
  [1167] = {.lex_state = 53, .external_lex_state = 3},
  [1168] = {.lex_state = 53, .external_lex_state = 3},
  [1169] = {.lex_state = 53, .external_lex_state = 3},
  [1170] = {.lex_state = 53, .external_lex_state = 3},
  [1171] = {.lex_state = 53, .external_lex_state = 3},
  [1172] = {.lex_state = 53, .external_lex_state = 3},
  [1173] = {.lex_state = 53, .external_lex_state = 3},
  [1174] = {.lex_state = 53, .external_lex_state = 3},
  [1175] = {.lex_state = 53, .external_lex_state = 3},
  [1176] = {.lex_state = 53, .external_lex_state = 3},
  [1177] = {.lex_state = 53, .external_lex_state = 3},
  [1178] = {.lex_state = 53, .external_lex_state = 3},
  [1179] = {.lex_state = 53, .external_lex_state = 3},
  [1180] = {.lex_state = 53, .external_lex_state = 3},
  [1181] = {.lex_state = 53, .external_lex_state = 3},
  [1182] = {.lex_state = 53, .external_lex_state = 3},
  [1183] = {.lex_state = 53, .external_lex_state = 3},
  [1184] = {.lex_state = 53, .external_lex_state = 3},
  [1185] = {.lex_state = 53, .external_lex_state = 3},
  [1186] = {.lex_state = 53, .external_lex_state = 3},
  [1187] = {.lex_state = 53, .external_lex_state = 3},
  [1188] = {.lex_state = 53, .external_lex_state = 3},
  [1189] = {.lex_state = 53, .external_lex_state = 3},
  [1190] = {.lex_state = 53, .external_lex_state = 3},
  [1191] = {.lex_state = 53, .external_lex_state = 3},
  [1192] = {.lex_state = 53, .external_lex_state = 3},
  [1193] = {.lex_state = 53, .external_lex_state = 3},
  [1194] = {.lex_state = 53, .external_lex_state = 3},
  [1195] = {.lex_state = 53, .external_lex_state = 3},
  [1196] = {.lex_state = 53, .external_lex_state = 3},
  [1197] = {.lex_state = 53, .external_lex_state = 3},
  [1198] = {.lex_state = 53, .external_lex_state = 3},
  [1199] = {.lex_state = 53, .external_lex_state = 3},
  [1200] = {.lex_state = 53, .external_lex_state = 3},
  [1201] = {.lex_state = 53, .external_lex_state = 3},
  [1202] = {.lex_state = 53, .external_lex_state = 3},
  [1203] = {.lex_state = 53, .external_lex_state = 3},
  [1204] = {.lex_state = 53, .external_lex_state = 3},
  [1205] = {.lex_state = 53, .external_lex_state = 3},
  [1206] = {.lex_state = 53, .external_lex_state = 3},
  [1207] = {.lex_state = 53, .external_lex_state = 3},
  [1208] = {.lex_state = 53, .external_lex_state = 3},
  [1209] = {.lex_state = 53, .external_lex_state = 3},
  [1210] = {.lex_state = 53, .external_lex_state = 3},
  [1211] = {.lex_state = 53, .external_lex_state = 3},
  [1212] = {.lex_state = 53, .external_lex_state = 3},
  [1213] = {.lex_state = 53, .external_lex_state = 3},
  [1214] = {.lex_state = 53, .external_lex_state = 3},
  [1215] = {.lex_state = 53, .external_lex_state = 3},
  [1216] = {.lex_state = 53, .external_lex_state = 3},
  [1217] = {.lex_state = 53, .external_lex_state = 3},
  [1218] = {.lex_state = 53, .external_lex_state = 3},
  [1219] = {.lex_state = 53, .external_lex_state = 3},
  [1220] = {.lex_state = 53, .external_lex_state = 3},
  [1221] = {.lex_state = 53, .external_lex_state = 3},
  [1222] = {.lex_state = 53, .external_lex_state = 3},
  [1223] = {.lex_state = 53, .external_lex_state = 3},
  [1224] = {.lex_state = 53, .external_lex_state = 3},
  [1225] = {.lex_state = 53, .external_lex_state = 3},
  [1226] = {.lex_state = 53, .external_lex_state = 3},
  [1227] = {.lex_state = 53, .external_lex_state = 3},
  [1228] = {.lex_state = 53, .external_lex_state = 3},
  [1229] = {.lex_state = 53, .external_lex_state = 3},
  [1230] = {.lex_state = 53, .external_lex_state = 3},
  [1231] = {.lex_state = 53, .external_lex_state = 3},
  [1232] = {.lex_state = 53, .external_lex_state = 3},
  [1233] = {.lex_state = 53, .external_lex_state = 3},
  [1234] = {.lex_state = 53, .external_lex_state = 3},
  [1235] = {.lex_state = 53, .external_lex_state = 3},
  [1236] = {.lex_state = 53, .external_lex_state = 3},
  [1237] = {.lex_state = 53, .external_lex_state = 3},
  [1238] = {.lex_state = 53, .external_lex_state = 3},
  [1239] = {.lex_state = 53, .external_lex_state = 3},
  [1240] = {.lex_state = 53, .external_lex_state = 3},
  [1241] = {.lex_state = 53, .external_lex_state = 3},
  [1242] = {.lex_state = 53, .external_lex_state = 3},
  [1243] = {.lex_state = 53, .external_lex_state = 3},
  [1244] = {.lex_state = 53, .external_lex_state = 3},
  [1245] = {.lex_state = 53, .external_lex_state = 3},
  [1246] = {.lex_state = 53, .external_lex_state = 3},
  [1247] = {.lex_state = 53, .external_lex_state = 3},
  [1248] = {.lex_state = 53, .external_lex_state = 3},
  [1249] = {.lex_state = 53, .external_lex_state = 3},
  [1250] = {.lex_state = 53, .external_lex_state = 3},
  [1251] = {.lex_state = 53, .external_lex_state = 3},
  [1252] = {.lex_state = 53, .external_lex_state = 3},
  [1253] = {.lex_state = 53, .external_lex_state = 3},
  [1254] = {.lex_state = 53, .external_lex_state = 3},
  [1255] = {.lex_state = 53, .external_lex_state = 3},
  [1256] = {.lex_state = 53, .external_lex_state = 3},
  [1257] = {.lex_state = 53, .external_lex_state = 3},
  [1258] = {.lex_state = 53, .external_lex_state = 3},
  [1259] = {.lex_state = 53, .external_lex_state = 3},
  [1260] = {.lex_state = 53, .external_lex_state = 3},
  [1261] = {.lex_state = 53, .external_lex_state = 3},
  [1262] = {.lex_state = 53, .external_lex_state = 3},
  [1263] = {.lex_state = 53, .external_lex_state = 3},
  [1264] = {.lex_state = 53, .external_lex_state = 3},
  [1265] = {.lex_state = 53, .external_lex_state = 3},
  [1266] = {.lex_state = 53, .external_lex_state = 3},
  [1267] = {.lex_state = 53, .external_lex_state = 3},
  [1268] = {.lex_state = 53, .external_lex_state = 3},
  [1269] = {.lex_state = 53, .external_lex_state = 3},
  [1270] = {.lex_state = 53, .external_lex_state = 3},
  [1271] = {.lex_state = 53, .external_lex_state = 3},
  [1272] = {.lex_state = 53, .external_lex_state = 3},
  [1273] = {.lex_state = 53, .external_lex_state = 3},
  [1274] = {.lex_state = 53, .external_lex_state = 3},
  [1275] = {.lex_state = 53, .external_lex_state = 3},
  [1276] = {.lex_state = 53, .external_lex_state = 3},
  [1277] = {.lex_state = 53, .external_lex_state = 3},
  [1278] = {.lex_state = 53, .external_lex_state = 3},
  [1279] = {.lex_state = 53, .external_lex_state = 3},
  [1280] = {.lex_state = 53, .external_lex_state = 3},
  [1281] = {.lex_state = 53, .external_lex_state = 3},
  [1282] = {.lex_state = 53, .external_lex_state = 3},
  [1283] = {.lex_state = 53, .external_lex_state = 3},
  [1284] = {.lex_state = 53, .external_lex_state = 3},
  [1285] = {.lex_state = 53, .external_lex_state = 3},
  [1286] = {.lex_state = 53, .external_lex_state = 3},
  [1287] = {.lex_state = 53, .external_lex_state = 3},
  [1288] = {.lex_state = 53, .external_lex_state = 3},
  [1289] = {.lex_state = 53, .external_lex_state = 3},
  [1290] = {.lex_state = 53, .external_lex_state = 3},
  [1291] = {.lex_state = 53, .external_lex_state = 3},
  [1292] = {.lex_state = 53, .external_lex_state = 3},
  [1293] = {.lex_state = 53, .external_lex_state = 3},
  [1294] = {.lex_state = 53, .external_lex_state = 3},
  [1295] = {.lex_state = 53, .external_lex_state = 3},
  [1296] = {.lex_state = 53, .external_lex_state = 3},
  [1297] = {.lex_state = 53, .external_lex_state = 2},
  [1298] = {.lex_state = 53, .external_lex_state = 3},
  [1299] = {.lex_state = 53, .external_lex_state = 3},
  [1300] = {.lex_state = 53, .external_lex_state = 3},
  [1301] = {.lex_state = 53, .external_lex_state = 3},
  [1302] = {.lex_state = 53, .external_lex_state = 3},
  [1303] = {.lex_state = 53, .external_lex_state = 3},
  [1304] = {.lex_state = 53, .external_lex_state = 3},
  [1305] = {.lex_state = 53, .external_lex_state = 3},
  [1306] = {.lex_state = 53, .external_lex_state = 3},
  [1307] = {.lex_state = 53, .external_lex_state = 3},
  [1308] = {.lex_state = 53, .external_lex_state = 3},
  [1309] = {.lex_state = 53, .external_lex_state = 3},
  [1310] = {.lex_state = 53, .external_lex_state = 2},
  [1311] = {.lex_state = 53, .external_lex_state = 3},
  [1312] = {.lex_state = 53, .external_lex_state = 3},
  [1313] = {.lex_state = 53, .external_lex_state = 3},
  [1314] = {.lex_state = 53, .external_lex_state = 3},
  [1315] = {.lex_state = 53, .external_lex_state = 3},
  [1316] = {.lex_state = 53, .external_lex_state = 3},
  [1317] = {.lex_state = 53, .external_lex_state = 3},
  [1318] = {.lex_state = 53, .external_lex_state = 3},
  [1319] = {.lex_state = 53, .external_lex_state = 3},
  [1320] = {.lex_state = 53, .external_lex_state = 3},
  [1321] = {.lex_state = 53, .external_lex_state = 3},
  [1322] = {.lex_state = 53, .external_lex_state = 3},
  [1323] = {.lex_state = 53, .external_lex_state = 3},
  [1324] = {.lex_state = 53, .external_lex_state = 3},
  [1325] = {.lex_state = 53, .external_lex_state = 2},
  [1326] = {.lex_state = 53, .external_lex_state = 3},
  [1327] = {.lex_state = 53, .external_lex_state = 3},
  [1328] = {.lex_state = 53, .external_lex_state = 3},
  [1329] = {.lex_state = 53, .external_lex_state = 3},
  [1330] = {.lex_state = 53, .external_lex_state = 3},
  [1331] = {.lex_state = 53, .external_lex_state = 3},
  [1332] = {.lex_state = 53, .external_lex_state = 3},
  [1333] = {.lex_state = 53, .external_lex_state = 3},
  [1334] = {.lex_state = 53, .external_lex_state = 3},
  [1335] = {.lex_state = 53, .external_lex_state = 3},
  [1336] = {.lex_state = 53, .external_lex_state = 3},
  [1337] = {.lex_state = 53, .external_lex_state = 3},
  [1338] = {.lex_state = 53, .external_lex_state = 2},
  [1339] = {.lex_state = 53, .external_lex_state = 2},
  [1340] = {.lex_state = 53, .external_lex_state = 3},
  [1341] = {.lex_state = 53, .external_lex_state = 3},
  [1342] = {.lex_state = 53, .external_lex_state = 3},
  [1343] = {.lex_state = 53, .external_lex_state = 3},
  [1344] = {.lex_state = 53, .external_lex_state = 3},
  [1345] = {.lex_state = 53, .external_lex_state = 3},
  [1346] = {.lex_state = 53, .external_lex_state = 3},
  [1347] = {.lex_state = 53, .external_lex_state = 3},
  [1348] = {.lex_state = 53, .external_lex_state = 3},
  [1349] = {.lex_state = 53, .external_lex_state = 3},
  [1350] = {.lex_state = 53, .external_lex_state = 3},
  [1351] = {.lex_state = 53, .external_lex_state = 3},
  [1352] = {.lex_state = 53, .external_lex_state = 3},
  [1353] = {.lex_state = 53, .external_lex_state = 22},
  [1354] = {.lex_state = 53, .external_lex_state = 2},
  [1355] = {.lex_state = 53, .external_lex_state = 3},
  [1356] = {.lex_state = 53, .external_lex_state = 3},
  [1357] = {.lex_state = 53, .external_lex_state = 3},
  [1358] = {.lex_state = 53, .external_lex_state = 3},
  [1359] = {.lex_state = 53, .external_lex_state = 3},
  [1360] = {.lex_state = 53, .external_lex_state = 3},
  [1361] = {.lex_state = 53, .external_lex_state = 3},
  [1362] = {.lex_state = 53, .external_lex_state = 3},
  [1363] = {.lex_state = 53, .external_lex_state = 3},
  [1364] = {.lex_state = 53, .external_lex_state = 3},
  [1365] = {.lex_state = 53, .external_lex_state = 3},
  [1366] = {.lex_state = 53, .external_lex_state = 3},
  [1367] = {.lex_state = 53, .external_lex_state = 3},
  [1368] = {.lex_state = 53, .external_lex_state = 3},
  [1369] = {.lex_state = 53, .external_lex_state = 3},
  [1370] = {.lex_state = 53, .external_lex_state = 3},
  [1371] = {.lex_state = 53, .external_lex_state = 3},
  [1372] = {.lex_state = 53, .external_lex_state = 3},
  [1373] = {.lex_state = 53, .external_lex_state = 3},
  [1374] = {.lex_state = 53, .external_lex_state = 3},
  [1375] = {.lex_state = 53, .external_lex_state = 3},
  [1376] = {.lex_state = 53, .external_lex_state = 3},
  [1377] = {.lex_state = 53, .external_lex_state = 3},
  [1378] = {.lex_state = 53, .external_lex_state = 3},
  [1379] = {.lex_state = 53, .external_lex_state = 2},
  [1380] = {.lex_state = 53, .external_lex_state = 3},
  [1381] = {.lex_state = 53, .external_lex_state = 3},
  [1382] = {.lex_state = 53, .external_lex_state = 3},
  [1383] = {.lex_state = 53, .external_lex_state = 3},
  [1384] = {.lex_state = 53, .external_lex_state = 3},
  [1385] = {.lex_state = 53, .external_lex_state = 3},
  [1386] = {.lex_state = 53, .external_lex_state = 3},
  [1387] = {.lex_state = 53, .external_lex_state = 3},
  [1388] = {.lex_state = 53, .external_lex_state = 3},
  [1389] = {.lex_state = 53, .external_lex_state = 3},
  [1390] = {.lex_state = 53, .external_lex_state = 3},
  [1391] = {.lex_state = 53, .external_lex_state = 3},
  [1392] = {.lex_state = 53, .external_lex_state = 3},
  [1393] = {.lex_state = 53, .external_lex_state = 3},
  [1394] = {.lex_state = 53, .external_lex_state = 3},
  [1395] = {.lex_state = 53, .external_lex_state = 3},
  [1396] = {.lex_state = 53, .external_lex_state = 3},
  [1397] = {.lex_state = 53, .external_lex_state = 3},
  [1398] = {.lex_state = 53, .external_lex_state = 3},
  [1399] = {.lex_state = 53, .external_lex_state = 3},
  [1400] = {.lex_state = 53, .external_lex_state = 2},
  [1401] = {.lex_state = 53, .external_lex_state = 3},
  [1402] = {.lex_state = 53, .external_lex_state = 2},
  [1403] = {.lex_state = 53, .external_lex_state = 3},
  [1404] = {.lex_state = 53, .external_lex_state = 3},
  [1405] = {.lex_state = 53, .external_lex_state = 3},
  [1406] = {.lex_state = 53, .external_lex_state = 3},
  [1407] = {.lex_state = 53, .external_lex_state = 3},
  [1408] = {.lex_state = 53, .external_lex_state = 3},
  [1409] = {.lex_state = 53, .external_lex_state = 3},
  [1410] = {.lex_state = 53, .external_lex_state = 3},
  [1411] = {.lex_state = 53, .external_lex_state = 3},
  [1412] = {.lex_state = 53, .external_lex_state = 3},
  [1413] = {.lex_state = 53, .external_lex_state = 3},
  [1414] = {.lex_state = 53, .external_lex_state = 3},
  [1415] = {.lex_state = 53, .external_lex_state = 3},
  [1416] = {.lex_state = 53, .external_lex_state = 3},
  [1417] = {.lex_state = 53, .external_lex_state = 3},
  [1418] = {.lex_state = 53, .external_lex_state = 2},
  [1419] = {.lex_state = 53, .external_lex_state = 3},
  [1420] = {.lex_state = 53, .external_lex_state = 3},
  [1421] = {.lex_state = 53, .external_lex_state = 3},
  [1422] = {.lex_state = 53, .external_lex_state = 3},
  [1423] = {.lex_state = 53, .external_lex_state = 3},
  [1424] = {.lex_state = 53, .external_lex_state = 3},
  [1425] = {.lex_state = 53, .external_lex_state = 3},
  [1426] = {.lex_state = 53, .external_lex_state = 3},
  [1427] = {.lex_state = 53, .external_lex_state = 3},
  [1428] = {.lex_state = 53, .external_lex_state = 3},
  [1429] = {.lex_state = 53, .external_lex_state = 3},
  [1430] = {.lex_state = 53, .external_lex_state = 3},
  [1431] = {.lex_state = 53, .external_lex_state = 3},
  [1432] = {.lex_state = 53, .external_lex_state = 3},
  [1433] = {.lex_state = 53, .external_lex_state = 3},
  [1434] = {.lex_state = 53, .external_lex_state = 3},
  [1435] = {.lex_state = 53, .external_lex_state = 3},
  [1436] = {.lex_state = 53, .external_lex_state = 3},
  [1437] = {.lex_state = 53, .external_lex_state = 3},
  [1438] = {.lex_state = 53, .external_lex_state = 3},
  [1439] = {.lex_state = 53, .external_lex_state = 2},
  [1440] = {.lex_state = 53, .external_lex_state = 3},
  [1441] = {.lex_state = 53, .external_lex_state = 3},
  [1442] = {.lex_state = 53, .external_lex_state = 3},
  [1443] = {.lex_state = 53, .external_lex_state = 3},
  [1444] = {.lex_state = 53, .external_lex_state = 3},
  [1445] = {.lex_state = 53, .external_lex_state = 2},
  [1446] = {.lex_state = 53, .external_lex_state = 3},
  [1447] = {.lex_state = 53, .external_lex_state = 3},
  [1448] = {.lex_state = 53, .external_lex_state = 3},
  [1449] = {.lex_state = 53, .external_lex_state = 3},
  [1450] = {.lex_state = 53, .external_lex_state = 3},
  [1451] = {.lex_state = 53, .external_lex_state = 3},
  [1452] = {.lex_state = 53, .external_lex_state = 3},
  [1453] = {.lex_state = 53, .external_lex_state = 3},
  [1454] = {.lex_state = 53, .external_lex_state = 3},
  [1455] = {.lex_state = 53, .external_lex_state = 3},
  [1456] = {.lex_state = 53, .external_lex_state = 3},
  [1457] = {.lex_state = 53, .external_lex_state = 3},
  [1458] = {.lex_state = 53, .external_lex_state = 3},
  [1459] = {.lex_state = 53, .external_lex_state = 2},
  [1460] = {.lex_state = 53, .external_lex_state = 3},
  [1461] = {.lex_state = 53, .external_lex_state = 3},
  [1462] = {.lex_state = 53, .external_lex_state = 3},
  [1463] = {.lex_state = 53, .external_lex_state = 3},
  [1464] = {.lex_state = 53, .external_lex_state = 3},
  [1465] = {.lex_state = 53, .external_lex_state = 3},
  [1466] = {.lex_state = 53, .external_lex_state = 3},
  [1467] = {.lex_state = 53, .external_lex_state = 3},
  [1468] = {.lex_state = 53, .external_lex_state = 3},
  [1469] = {.lex_state = 53, .external_lex_state = 3},
  [1470] = {.lex_state = 53, .external_lex_state = 3},
  [1471] = {.lex_state = 53, .external_lex_state = 3},
  [1472] = {.lex_state = 53, .external_lex_state = 3},
  [1473] = {.lex_state = 53, .external_lex_state = 3},
  [1474] = {.lex_state = 53, .external_lex_state = 3},
  [1475] = {.lex_state = 53, .external_lex_state = 3},
  [1476] = {.lex_state = 53, .external_lex_state = 3},
  [1477] = {.lex_state = 53, .external_lex_state = 3},
  [1478] = {.lex_state = 53, .external_lex_state = 3},
  [1479] = {.lex_state = 53, .external_lex_state = 2},
  [1480] = {.lex_state = 53, .external_lex_state = 3},
  [1481] = {.lex_state = 53, .external_lex_state = 3},
  [1482] = {.lex_state = 53, .external_lex_state = 3},
  [1483] = {.lex_state = 53, .external_lex_state = 3},
  [1484] = {.lex_state = 53, .external_lex_state = 3},
  [1485] = {.lex_state = 53, .external_lex_state = 3},
  [1486] = {.lex_state = 53, .external_lex_state = 3},
  [1487] = {.lex_state = 53, .external_lex_state = 3},
  [1488] = {.lex_state = 53, .external_lex_state = 3},
  [1489] = {.lex_state = 53, .external_lex_state = 2},
  [1490] = {.lex_state = 53, .external_lex_state = 3},
  [1491] = {.lex_state = 53, .external_lex_state = 3},
  [1492] = {.lex_state = 53, .external_lex_state = 3},
  [1493] = {.lex_state = 53, .external_lex_state = 3},
  [1494] = {.lex_state = 53, .external_lex_state = 3},
  [1495] = {.lex_state = 53, .external_lex_state = 3},
  [1496] = {.lex_state = 53, .external_lex_state = 3},
  [1497] = {.lex_state = 53, .external_lex_state = 3},
  [1498] = {.lex_state = 53, .external_lex_state = 3},
  [1499] = {.lex_state = 53, .external_lex_state = 2},
  [1500] = {.lex_state = 53, .external_lex_state = 3},
  [1501] = {.lex_state = 53, .external_lex_state = 3},
  [1502] = {.lex_state = 53, .external_lex_state = 3},
  [1503] = {.lex_state = 53, .external_lex_state = 3},
  [1504] = {.lex_state = 53, .external_lex_state = 3},
  [1505] = {.lex_state = 53, .external_lex_state = 3},
  [1506] = {.lex_state = 53, .external_lex_state = 3},
  [1507] = {.lex_state = 53, .external_lex_state = 3},
  [1508] = {.lex_state = 53, .external_lex_state = 3},
  [1509] = {.lex_state = 53, .external_lex_state = 3},
  [1510] = {.lex_state = 53, .external_lex_state = 3},
  [1511] = {.lex_state = 53, .external_lex_state = 3},
  [1512] = {.lex_state = 53, .external_lex_state = 3},
  [1513] = {.lex_state = 53, .external_lex_state = 3},
  [1514] = {.lex_state = 53, .external_lex_state = 3},
  [1515] = {.lex_state = 53, .external_lex_state = 3},
  [1516] = {.lex_state = 53, .external_lex_state = 3},
  [1517] = {.lex_state = 53, .external_lex_state = 3},
  [1518] = {.lex_state = 53, .external_lex_state = 3},
  [1519] = {.lex_state = 53, .external_lex_state = 2},
  [1520] = {.lex_state = 53, .external_lex_state = 3},
  [1521] = {.lex_state = 53, .external_lex_state = 3},
  [1522] = {.lex_state = 53, .external_lex_state = 3},
  [1523] = {.lex_state = 53, .external_lex_state = 3},
  [1524] = {.lex_state = 53, .external_lex_state = 3},
  [1525] = {.lex_state = 53, .external_lex_state = 3},
  [1526] = {.lex_state = 53, .external_lex_state = 3},
  [1527] = {.lex_state = 53, .external_lex_state = 3},
  [1528] = {.lex_state = 53, .external_lex_state = 3},
  [1529] = {.lex_state = 53, .external_lex_state = 3},
  [1530] = {.lex_state = 53, .external_lex_state = 3},
  [1531] = {.lex_state = 53, .external_lex_state = 2},
  [1532] = {.lex_state = 53, .external_lex_state = 3},
  [1533] = {.lex_state = 53, .external_lex_state = 3},
  [1534] = {.lex_state = 53, .external_lex_state = 2},
  [1535] = {.lex_state = 53, .external_lex_state = 3},
  [1536] = {.lex_state = 53, .external_lex_state = 3},
  [1537] = {.lex_state = 53, .external_lex_state = 3},
  [1538] = {.lex_state = 53, .external_lex_state = 3},
  [1539] = {.lex_state = 53, .external_lex_state = 2},
  [1540] = {.lex_state = 53, .external_lex_state = 3},
  [1541] = {.lex_state = 53, .external_lex_state = 3},
  [1542] = {.lex_state = 53, .external_lex_state = 3},
  [1543] = {.lex_state = 53, .external_lex_state = 3},
  [1544] = {.lex_state = 53, .external_lex_state = 3},
  [1545] = {.lex_state = 53, .external_lex_state = 3},
  [1546] = {.lex_state = 53, .external_lex_state = 3},
  [1547] = {.lex_state = 53, .external_lex_state = 3},
  [1548] = {.lex_state = 53, .external_lex_state = 3},
  [1549] = {.lex_state = 53, .external_lex_state = 3},
  [1550] = {.lex_state = 53, .external_lex_state = 3},
  [1551] = {.lex_state = 53, .external_lex_state = 3},
  [1552] = {.lex_state = 53, .external_lex_state = 3},
  [1553] = {.lex_state = 53, .external_lex_state = 3},
  [1554] = {.lex_state = 53, .external_lex_state = 3},
  [1555] = {.lex_state = 53, .external_lex_state = 3},
  [1556] = {.lex_state = 53, .external_lex_state = 3},
  [1557] = {.lex_state = 53, .external_lex_state = 3},
  [1558] = {.lex_state = 53, .external_lex_state = 3},
  [1559] = {.lex_state = 53, .external_lex_state = 3},
  [1560] = {.lex_state = 53, .external_lex_state = 19},
  [1561] = {.lex_state = 53, .external_lex_state = 3},
  [1562] = {.lex_state = 53, .external_lex_state = 2},
  [1563] = {.lex_state = 53, .external_lex_state = 3},
  [1564] = {.lex_state = 53, .external_lex_state = 3},
  [1565] = {.lex_state = 53, .external_lex_state = 3},
  [1566] = {.lex_state = 53, .external_lex_state = 3},
  [1567] = {.lex_state = 53, .external_lex_state = 3},
  [1568] = {.lex_state = 53, .external_lex_state = 3},
  [1569] = {.lex_state = 53, .external_lex_state = 3},
  [1570] = {.lex_state = 53, .external_lex_state = 3},
  [1571] = {.lex_state = 53, .external_lex_state = 2},
  [1572] = {.lex_state = 53, .external_lex_state = 3},
  [1573] = {.lex_state = 53, .external_lex_state = 3},
  [1574] = {.lex_state = 53, .external_lex_state = 3},
  [1575] = {.lex_state = 53, .external_lex_state = 3},
  [1576] = {.lex_state = 53, .external_lex_state = 3},
  [1577] = {.lex_state = 53, .external_lex_state = 3},
  [1578] = {.lex_state = 53, .external_lex_state = 3},
  [1579] = {.lex_state = 53, .external_lex_state = 3},
  [1580] = {.lex_state = 53, .external_lex_state = 3},
  [1581] = {.lex_state = 53, .external_lex_state = 3},
  [1582] = {.lex_state = 53, .external_lex_state = 3},
  [1583] = {.lex_state = 53, .external_lex_state = 3},
  [1584] = {.lex_state = 53, .external_lex_state = 3},
  [1585] = {.lex_state = 53, .external_lex_state = 3},
  [1586] = {.lex_state = 53, .external_lex_state = 3},
  [1587] = {.lex_state = 53, .external_lex_state = 2},
  [1588] = {.lex_state = 53, .external_lex_state = 3},
  [1589] = {.lex_state = 53, .external_lex_state = 3},
  [1590] = {.lex_state = 53, .external_lex_state = 3},
  [1591] = {.lex_state = 53, .external_lex_state = 3},
  [1592] = {.lex_state = 53, .external_lex_state = 3},
  [1593] = {.lex_state = 53, .external_lex_state = 3},
  [1594] = {.lex_state = 53, .external_lex_state = 3},
  [1595] = {.lex_state = 53, .external_lex_state = 3},
  [1596] = {.lex_state = 53, .external_lex_state = 3},
  [1597] = {.lex_state = 53, .external_lex_state = 3},
  [1598] = {.lex_state = 53, .external_lex_state = 3},
  [1599] = {.lex_state = 53, .external_lex_state = 3},
  [1600] = {.lex_state = 53, .external_lex_state = 3},
  [1601] = {.lex_state = 53, .external_lex_state = 3},
  [1602] = {.lex_state = 53, .external_lex_state = 3},
  [1603] = {.lex_state = 53, .external_lex_state = 3},
  [1604] = {.lex_state = 53, .external_lex_state = 3},
  [1605] = {.lex_state = 53, .external_lex_state = 2},
  [1606] = {.lex_state = 53, .external_lex_state = 3},
  [1607] = {.lex_state = 53, .external_lex_state = 3},
  [1608] = {.lex_state = 53, .external_lex_state = 3},
  [1609] = {.lex_state = 53, .external_lex_state = 2},
  [1610] = {.lex_state = 53, .external_lex_state = 3},
  [1611] = {.lex_state = 53, .external_lex_state = 3},
  [1612] = {.lex_state = 53, .external_lex_state = 3},
  [1613] = {.lex_state = 53, .external_lex_state = 3},
  [1614] = {.lex_state = 53, .external_lex_state = 3},
  [1615] = {.lex_state = 53, .external_lex_state = 3},
  [1616] = {.lex_state = 53, .external_lex_state = 3},
  [1617] = {.lex_state = 53, .external_lex_state = 3},
  [1618] = {.lex_state = 53, .external_lex_state = 3},
  [1619] = {.lex_state = 53, .external_lex_state = 3},
  [1620] = {.lex_state = 53, .external_lex_state = 3},
  [1621] = {.lex_state = 53, .external_lex_state = 3},
  [1622] = {.lex_state = 53, .external_lex_state = 3},
  [1623] = {.lex_state = 53, .external_lex_state = 3},
  [1624] = {.lex_state = 53, .external_lex_state = 3},
  [1625] = {.lex_state = 53, .external_lex_state = 3},
  [1626] = {.lex_state = 53, .external_lex_state = 3},
  [1627] = {.lex_state = 53, .external_lex_state = 3},
  [1628] = {.lex_state = 53, .external_lex_state = 3},
  [1629] = {.lex_state = 53, .external_lex_state = 3},
  [1630] = {.lex_state = 53, .external_lex_state = 3},
  [1631] = {.lex_state = 53, .external_lex_state = 3},
  [1632] = {.lex_state = 53, .external_lex_state = 3},
  [1633] = {.lex_state = 53, .external_lex_state = 2},
  [1634] = {.lex_state = 53, .external_lex_state = 3},
  [1635] = {.lex_state = 53, .external_lex_state = 3},
  [1636] = {.lex_state = 53, .external_lex_state = 3},
  [1637] = {.lex_state = 53, .external_lex_state = 2},
  [1638] = {.lex_state = 53, .external_lex_state = 3},
  [1639] = {.lex_state = 53, .external_lex_state = 3},
  [1640] = {.lex_state = 53, .external_lex_state = 3},
  [1641] = {.lex_state = 53, .external_lex_state = 3},
  [1642] = {.lex_state = 53, .external_lex_state = 3},
  [1643] = {.lex_state = 53, .external_lex_state = 3},
  [1644] = {.lex_state = 53, .external_lex_state = 3},
  [1645] = {.lex_state = 53, .external_lex_state = 3},
  [1646] = {.lex_state = 53, .external_lex_state = 3},
  [1647] = {.lex_state = 53, .external_lex_state = 3},
  [1648] = {.lex_state = 53, .external_lex_state = 3},
  [1649] = {.lex_state = 53, .external_lex_state = 3},
  [1650] = {.lex_state = 53, .external_lex_state = 3},
  [1651] = {.lex_state = 53, .external_lex_state = 3},
  [1652] = {.lex_state = 53, .external_lex_state = 3},
  [1653] = {.lex_state = 53, .external_lex_state = 3},
  [1654] = {.lex_state = 53, .external_lex_state = 3},
  [1655] = {.lex_state = 53, .external_lex_state = 3},
  [1656] = {.lex_state = 53, .external_lex_state = 3},
  [1657] = {.lex_state = 53, .external_lex_state = 3},
  [1658] = {.lex_state = 53, .external_lex_state = 3},
  [1659] = {.lex_state = 53, .external_lex_state = 3},
  [1660] = {.lex_state = 53, .external_lex_state = 3},
  [1661] = {.lex_state = 53, .external_lex_state = 15},
  [1662] = {.lex_state = 53, .external_lex_state = 2},
  [1663] = {.lex_state = 53, .external_lex_state = 3},
  [1664] = {.lex_state = 53, .external_lex_state = 3},
  [1665] = {.lex_state = 53, .external_lex_state = 2},
  [1666] = {.lex_state = 53, .external_lex_state = 3},
  [1667] = {.lex_state = 53, .external_lex_state = 3},
  [1668] = {.lex_state = 53, .external_lex_state = 3},
  [1669] = {.lex_state = 53, .external_lex_state = 3},
  [1670] = {.lex_state = 53, .external_lex_state = 3},
  [1671] = {.lex_state = 53, .external_lex_state = 3},
  [1672] = {.lex_state = 53, .external_lex_state = 3},
  [1673] = {.lex_state = 53, .external_lex_state = 3},
  [1674] = {.lex_state = 53, .external_lex_state = 3},
  [1675] = {.lex_state = 53, .external_lex_state = 3},
  [1676] = {.lex_state = 53, .external_lex_state = 3},
  [1677] = {.lex_state = 53, .external_lex_state = 3},
  [1678] = {.lex_state = 53, .external_lex_state = 3},
  [1679] = {.lex_state = 53, .external_lex_state = 2},
  [1680] = {.lex_state = 53, .external_lex_state = 3},
  [1681] = {.lex_state = 53, .external_lex_state = 3},
  [1682] = {.lex_state = 53, .external_lex_state = 3},
  [1683] = {.lex_state = 53, .external_lex_state = 3},
  [1684] = {.lex_state = 53, .external_lex_state = 3},
  [1685] = {.lex_state = 53, .external_lex_state = 3},
  [1686] = {.lex_state = 53, .external_lex_state = 3},
  [1687] = {.lex_state = 53, .external_lex_state = 3},
  [1688] = {.lex_state = 53, .external_lex_state = 3},
  [1689] = {.lex_state = 53, .external_lex_state = 3},
  [1690] = {.lex_state = 53, .external_lex_state = 3},
  [1691] = {.lex_state = 53, .external_lex_state = 3},
  [1692] = {.lex_state = 53, .external_lex_state = 3},
  [1693] = {.lex_state = 53, .external_lex_state = 3},
  [1694] = {.lex_state = 53, .external_lex_state = 2},
  [1695] = {.lex_state = 53, .external_lex_state = 3},
  [1696] = {.lex_state = 53, .external_lex_state = 3},
  [1697] = {.lex_state = 53, .external_lex_state = 3},
  [1698] = {.lex_state = 53, .external_lex_state = 3},
  [1699] = {.lex_state = 53, .external_lex_state = 3},
  [1700] = {.lex_state = 53, .external_lex_state = 3},
  [1701] = {.lex_state = 53, .external_lex_state = 3},
  [1702] = {.lex_state = 53, .external_lex_state = 3},
  [1703] = {.lex_state = 53, .external_lex_state = 3},
  [1704] = {.lex_state = 53, .external_lex_state = 3},
  [1705] = {.lex_state = 53, .external_lex_state = 3},
  [1706] = {.lex_state = 53, .external_lex_state = 3},
  [1707] = {.lex_state = 53, .external_lex_state = 3},
  [1708] = {.lex_state = 53, .external_lex_state = 2},
  [1709] = {.lex_state = 53, .external_lex_state = 3},
  [1710] = {.lex_state = 53, .external_lex_state = 3},
  [1711] = {.lex_state = 53, .external_lex_state = 3},
  [1712] = {.lex_state = 53, .external_lex_state = 3},
  [1713] = {.lex_state = 53, .external_lex_state = 3},
  [1714] = {.lex_state = 53, .external_lex_state = 3},
  [1715] = {.lex_state = 53, .external_lex_state = 3},
  [1716] = {.lex_state = 53, .external_lex_state = 3},
  [1717] = {.lex_state = 53, .external_lex_state = 3},
  [1718] = {.lex_state = 53, .external_lex_state = 3},
  [1719] = {.lex_state = 53, .external_lex_state = 3},
  [1720] = {.lex_state = 53, .external_lex_state = 3},
  [1721] = {.lex_state = 53, .external_lex_state = 3},
  [1722] = {.lex_state = 53, .external_lex_state = 3},
  [1723] = {.lex_state = 53, .external_lex_state = 2},
  [1724] = {.lex_state = 53, .external_lex_state = 3},
  [1725] = {.lex_state = 53, .external_lex_state = 3},
  [1726] = {.lex_state = 53, .external_lex_state = 3},
  [1727] = {.lex_state = 53, .external_lex_state = 3},
  [1728] = {.lex_state = 53, .external_lex_state = 3},
  [1729] = {.lex_state = 53, .external_lex_state = 3},
  [1730] = {.lex_state = 53, .external_lex_state = 3},
  [1731] = {.lex_state = 53, .external_lex_state = 3},
  [1732] = {.lex_state = 53, .external_lex_state = 3},
  [1733] = {.lex_state = 53, .external_lex_state = 3},
  [1734] = {.lex_state = 53, .external_lex_state = 3},
  [1735] = {.lex_state = 53, .external_lex_state = 3},
  [1736] = {.lex_state = 53, .external_lex_state = 3},
  [1737] = {.lex_state = 53, .external_lex_state = 3},
  [1738] = {.lex_state = 53, .external_lex_state = 2},
  [1739] = {.lex_state = 53, .external_lex_state = 3},
  [1740] = {.lex_state = 53, .external_lex_state = 3},
  [1741] = {.lex_state = 53, .external_lex_state = 3},
  [1742] = {.lex_state = 53, .external_lex_state = 3},
  [1743] = {.lex_state = 53, .external_lex_state = 3},
  [1744] = {.lex_state = 53, .external_lex_state = 3},
  [1745] = {.lex_state = 53, .external_lex_state = 3},
  [1746] = {.lex_state = 53, .external_lex_state = 3},
  [1747] = {.lex_state = 53, .external_lex_state = 3},
  [1748] = {.lex_state = 53, .external_lex_state = 3},
  [1749] = {.lex_state = 53, .external_lex_state = 3},
  [1750] = {.lex_state = 53, .external_lex_state = 3},
  [1751] = {.lex_state = 53, .external_lex_state = 2},
  [1752] = {.lex_state = 53, .external_lex_state = 3},
  [1753] = {.lex_state = 53, .external_lex_state = 3},
  [1754] = {.lex_state = 53, .external_lex_state = 3},
  [1755] = {.lex_state = 53, .external_lex_state = 3},
  [1756] = {.lex_state = 53, .external_lex_state = 3},
  [1757] = {.lex_state = 53, .external_lex_state = 3},
  [1758] = {.lex_state = 53, .external_lex_state = 3},
  [1759] = {.lex_state = 53, .external_lex_state = 3},
  [1760] = {.lex_state = 53, .external_lex_state = 3},
  [1761] = {.lex_state = 53, .external_lex_state = 3},
  [1762] = {.lex_state = 53, .external_lex_state = 3},
  [1763] = {.lex_state = 53, .external_lex_state = 3},
  [1764] = {.lex_state = 53, .external_lex_state = 3},
  [1765] = {.lex_state = 53, .external_lex_state = 22},
  [1766] = {.lex_state = 53, .external_lex_state = 2},
  [1767] = {.lex_state = 53, .external_lex_state = 3},
  [1768] = {.lex_state = 53, .external_lex_state = 3},
  [1769] = {.lex_state = 53, .external_lex_state = 3},
  [1770] = {.lex_state = 53, .external_lex_state = 3},
  [1771] = {.lex_state = 53, .external_lex_state = 3},
  [1772] = {.lex_state = 53, .external_lex_state = 3},
  [1773] = {.lex_state = 53, .external_lex_state = 3},
  [1774] = {.lex_state = 53, .external_lex_state = 3},
  [1775] = {.lex_state = 53, .external_lex_state = 3},
  [1776] = {.lex_state = 53, .external_lex_state = 3},
  [1777] = {.lex_state = 53, .external_lex_state = 3},
  [1778] = {.lex_state = 53, .external_lex_state = 3},
  [1779] = {.lex_state = 53, .external_lex_state = 3},
  [1780] = {.lex_state = 53, .external_lex_state = 3},
  [1781] = {.lex_state = 53, .external_lex_state = 2},
  [1782] = {.lex_state = 53, .external_lex_state = 3},
  [1783] = {.lex_state = 53, .external_lex_state = 3},
  [1784] = {.lex_state = 53, .external_lex_state = 3},
  [1785] = {.lex_state = 53, .external_lex_state = 3},
  [1786] = {.lex_state = 53, .external_lex_state = 3},
  [1787] = {.lex_state = 53, .external_lex_state = 3},
  [1788] = {.lex_state = 53, .external_lex_state = 3},
  [1789] = {.lex_state = 53, .external_lex_state = 2},
  [1790] = {.lex_state = 53, .external_lex_state = 2},
  [1791] = {.lex_state = 53, .external_lex_state = 2},
  [1792] = {.lex_state = 53, .external_lex_state = 2},
  [1793] = {.lex_state = 53, .external_lex_state = 2},
  [1794] = {.lex_state = 53, .external_lex_state = 2},
  [1795] = {.lex_state = 53, .external_lex_state = 2},
  [1796] = {.lex_state = 53, .external_lex_state = 2},
  [1797] = {.lex_state = 53, .external_lex_state = 2},
  [1798] = {.lex_state = 53, .external_lex_state = 2},
  [1799] = {.lex_state = 53, .external_lex_state = 2},
  [1800] = {.lex_state = 53, .external_lex_state = 2},
  [1801] = {.lex_state = 53, .external_lex_state = 2},
  [1802] = {.lex_state = 53, .external_lex_state = 2},
  [1803] = {.lex_state = 53, .external_lex_state = 2},
  [1804] = {.lex_state = 53, .external_lex_state = 2},
  [1805] = {.lex_state = 53, .external_lex_state = 2},
  [1806] = {.lex_state = 53, .external_lex_state = 2},
  [1807] = {.lex_state = 5, .external_lex_state = 2},
  [1808] = {.lex_state = 53, .external_lex_state = 2},
  [1809] = {.lex_state = 53, .external_lex_state = 2},
  [1810] = {.lex_state = 53, .external_lex_state = 2},
  [1811] = {.lex_state = 53, .external_lex_state = 2},
  [1812] = {.lex_state = 53, .external_lex_state = 2},
  [1813] = {.lex_state = 53, .external_lex_state = 2},
  [1814] = {.lex_state = 53, .external_lex_state = 2},
  [1815] = {.lex_state = 53, .external_lex_state = 2},
  [1816] = {.lex_state = 53, .external_lex_state = 2},
  [1817] = {.lex_state = 53, .external_lex_state = 2},
  [1818] = {.lex_state = 53, .external_lex_state = 2},
  [1819] = {.lex_state = 53, .external_lex_state = 2},
  [1820] = {.lex_state = 53, .external_lex_state = 2},
  [1821] = {.lex_state = 53, .external_lex_state = 2},
  [1822] = {.lex_state = 53, .external_lex_state = 2},
  [1823] = {.lex_state = 53, .external_lex_state = 2},
  [1824] = {.lex_state = 53, .external_lex_state = 2},
  [1825] = {.lex_state = 53, .external_lex_state = 2},
  [1826] = {.lex_state = 53, .external_lex_state = 2},
  [1827] = {.lex_state = 53, .external_lex_state = 2},
  [1828] = {.lex_state = 53, .external_lex_state = 2},
  [1829] = {.lex_state = 53, .external_lex_state = 2},
  [1830] = {.lex_state = 53, .external_lex_state = 2},
  [1831] = {.lex_state = 53, .external_lex_state = 2},
  [1832] = {.lex_state = 53, .external_lex_state = 2},
  [1833] = {.lex_state = 53, .external_lex_state = 2},
  [1834] = {.lex_state = 53, .external_lex_state = 2},
  [1835] = {.lex_state = 53, .external_lex_state = 2},
  [1836] = {.lex_state = 53, .external_lex_state = 2},
  [1837] = {.lex_state = 53, .external_lex_state = 2},
  [1838] = {.lex_state = 53, .external_lex_state = 2},
  [1839] = {.lex_state = 53, .external_lex_state = 2},
  [1840] = {.lex_state = 53, .external_lex_state = 2},
  [1841] = {.lex_state = 53, .external_lex_state = 2},
  [1842] = {.lex_state = 53, .external_lex_state = 2},
  [1843] = {.lex_state = 53, .external_lex_state = 2},
  [1844] = {.lex_state = 53, .external_lex_state = 2},
  [1845] = {.lex_state = 53, .external_lex_state = 2},
  [1846] = {.lex_state = 53, .external_lex_state = 2},
  [1847] = {.lex_state = 53, .external_lex_state = 2},
  [1848] = {.lex_state = 53, .external_lex_state = 2},
  [1849] = {.lex_state = 53, .external_lex_state = 2},
  [1850] = {.lex_state = 53, .external_lex_state = 2},
  [1851] = {.lex_state = 53, .external_lex_state = 2},
  [1852] = {.lex_state = 53, .external_lex_state = 2},
  [1853] = {.lex_state = 53, .external_lex_state = 2},
  [1854] = {.lex_state = 53, .external_lex_state = 2},
  [1855] = {.lex_state = 53, .external_lex_state = 2},
  [1856] = {.lex_state = 53, .external_lex_state = 2},
  [1857] = {.lex_state = 53, .external_lex_state = 17},
  [1858] = {.lex_state = 53, .external_lex_state = 2},
  [1859] = {.lex_state = 53, .external_lex_state = 2},
  [1860] = {.lex_state = 53, .external_lex_state = 2},
  [1861] = {.lex_state = 53, .external_lex_state = 2},
  [1862] = {.lex_state = 53, .external_lex_state = 2},
  [1863] = {.lex_state = 53, .external_lex_state = 2},
  [1864] = {.lex_state = 53, .external_lex_state = 2},
  [1865] = {.lex_state = 53, .external_lex_state = 2},
  [1866] = {.lex_state = 53, .external_lex_state = 2},
  [1867] = {.lex_state = 53, .external_lex_state = 2},
  [1868] = {.lex_state = 53, .external_lex_state = 2},
  [1869] = {.lex_state = 53, .external_lex_state = 2},
  [1870] = {.lex_state = 53, .external_lex_state = 2},
  [1871] = {.lex_state = 53, .external_lex_state = 2},
  [1872] = {.lex_state = 53, .external_lex_state = 20},
  [1873] = {.lex_state = 53, .external_lex_state = 2},
  [1874] = {.lex_state = 53, .external_lex_state = 2},
  [1875] = {.lex_state = 53, .external_lex_state = 2},
  [1876] = {.lex_state = 53, .external_lex_state = 2},
  [1877] = {.lex_state = 53, .external_lex_state = 2},
  [1878] = {.lex_state = 53, .external_lex_state = 2},
  [1879] = {.lex_state = 53, .external_lex_state = 2},
  [1880] = {.lex_state = 53, .external_lex_state = 2},
  [1881] = {.lex_state = 53, .external_lex_state = 2},
  [1882] = {.lex_state = 53, .external_lex_state = 2},
  [1883] = {.lex_state = 53, .external_lex_state = 2},
  [1884] = {.lex_state = 53, .external_lex_state = 2},
  [1885] = {.lex_state = 53, .external_lex_state = 2},
  [1886] = {.lex_state = 53, .external_lex_state = 2},
  [1887] = {.lex_state = 53, .external_lex_state = 2},
  [1888] = {.lex_state = 53, .external_lex_state = 2},
  [1889] = {.lex_state = 53, .external_lex_state = 20},
  [1890] = {.lex_state = 53, .external_lex_state = 2},
  [1891] = {.lex_state = 53, .external_lex_state = 2},
  [1892] = {.lex_state = 53, .external_lex_state = 2},
  [1893] = {.lex_state = 53, .external_lex_state = 2},
  [1894] = {.lex_state = 53, .external_lex_state = 2},
  [1895] = {.lex_state = 53, .external_lex_state = 2},
  [1896] = {.lex_state = 53, .external_lex_state = 2},
  [1897] = {.lex_state = 53, .external_lex_state = 2},
  [1898] = {.lex_state = 53, .external_lex_state = 2},
  [1899] = {.lex_state = 53, .external_lex_state = 2},
  [1900] = {.lex_state = 53, .external_lex_state = 2},
  [1901] = {.lex_state = 53, .external_lex_state = 2},
  [1902] = {.lex_state = 53, .external_lex_state = 2},
  [1903] = {.lex_state = 53, .external_lex_state = 2},
  [1904] = {.lex_state = 53, .external_lex_state = 2},
  [1905] = {.lex_state = 53, .external_lex_state = 2},
  [1906] = {.lex_state = 53, .external_lex_state = 2},
  [1907] = {.lex_state = 53, .external_lex_state = 2},
  [1908] = {.lex_state = 53, .external_lex_state = 2},
  [1909] = {.lex_state = 53, .external_lex_state = 2},
  [1910] = {.lex_state = 53, .external_lex_state = 2},
  [1911] = {.lex_state = 53, .external_lex_state = 17},
  [1912] = {.lex_state = 53, .external_lex_state = 2},
  [1913] = {.lex_state = 53, .external_lex_state = 2},
  [1914] = {.lex_state = 53, .external_lex_state = 2},
  [1915] = {.lex_state = 53, .external_lex_state = 2},
  [1916] = {.lex_state = 53, .external_lex_state = 2},
  [1917] = {.lex_state = 53, .external_lex_state = 2},
  [1918] = {.lex_state = 53, .external_lex_state = 2},
  [1919] = {.lex_state = 53, .external_lex_state = 2},
  [1920] = {.lex_state = 53, .external_lex_state = 2},
  [1921] = {.lex_state = 53, .external_lex_state = 2},
  [1922] = {.lex_state = 53, .external_lex_state = 2},
  [1923] = {.lex_state = 53, .external_lex_state = 2},
  [1924] = {.lex_state = 53, .external_lex_state = 2},
  [1925] = {.lex_state = 53, .external_lex_state = 2},
  [1926] = {.lex_state = 53, .external_lex_state = 2},
  [1927] = {.lex_state = 53, .external_lex_state = 2},
  [1928] = {.lex_state = 53, .external_lex_state = 2},
  [1929] = {.lex_state = 53, .external_lex_state = 2},
  [1930] = {.lex_state = 53, .external_lex_state = 2},
  [1931] = {.lex_state = 53, .external_lex_state = 21},
  [1932] = {.lex_state = 53, .external_lex_state = 2},
  [1933] = {.lex_state = 53, .external_lex_state = 2},
  [1934] = {.lex_state = 53, .external_lex_state = 2},
  [1935] = {.lex_state = 53, .external_lex_state = 2},
  [1936] = {.lex_state = 53, .external_lex_state = 2},
  [1937] = {.lex_state = 53, .external_lex_state = 2},
  [1938] = {.lex_state = 53, .external_lex_state = 2},
  [1939] = {.lex_state = 53, .external_lex_state = 2},
  [1940] = {.lex_state = 53, .external_lex_state = 2},
  [1941] = {.lex_state = 53, .external_lex_state = 2},
  [1942] = {.lex_state = 53, .external_lex_state = 2},
  [1943] = {.lex_state = 53, .external_lex_state = 2},
  [1944] = {.lex_state = 53, .external_lex_state = 2},
  [1945] = {.lex_state = 53, .external_lex_state = 2},
  [1946] = {.lex_state = 53, .external_lex_state = 2},
  [1947] = {.lex_state = 53, .external_lex_state = 2},
  [1948] = {.lex_state = 53, .external_lex_state = 2},
  [1949] = {.lex_state = 53, .external_lex_state = 2},
  [1950] = {.lex_state = 53, .external_lex_state = 2},
  [1951] = {.lex_state = 53, .external_lex_state = 2},
  [1952] = {.lex_state = 53, .external_lex_state = 2},
  [1953] = {.lex_state = 53, .external_lex_state = 2},
  [1954] = {.lex_state = 53, .external_lex_state = 2},
  [1955] = {.lex_state = 53, .external_lex_state = 2},
  [1956] = {.lex_state = 53, .external_lex_state = 2},
  [1957] = {.lex_state = 53, .external_lex_state = 2},
  [1958] = {.lex_state = 53, .external_lex_state = 2},
  [1959] = {.lex_state = 53, .external_lex_state = 2},
  [1960] = {.lex_state = 53, .external_lex_state = 2},
  [1961] = {.lex_state = 53, .external_lex_state = 2},
  [1962] = {.lex_state = 53, .external_lex_state = 2},
  [1963] = {.lex_state = 53, .external_lex_state = 21},
  [1964] = {.lex_state = 53, .external_lex_state = 2},
  [1965] = {.lex_state = 53, .external_lex_state = 2},
  [1966] = {.lex_state = 53, .external_lex_state = 2},
  [1967] = {.lex_state = 53, .external_lex_state = 2},
  [1968] = {.lex_state = 53, .external_lex_state = 2},
  [1969] = {.lex_state = 53, .external_lex_state = 2},
  [1970] = {.lex_state = 53, .external_lex_state = 2},
  [1971] = {.lex_state = 53, .external_lex_state = 2},
  [1972] = {.lex_state = 53, .external_lex_state = 2},
  [1973] = {.lex_state = 53, .external_lex_state = 2},
  [1974] = {.lex_state = 53, .external_lex_state = 2},
  [1975] = {.lex_state = 53, .external_lex_state = 2},
  [1976] = {.lex_state = 53, .external_lex_state = 2},
  [1977] = {.lex_state = 53, .external_lex_state = 2},
  [1978] = {.lex_state = 53, .external_lex_state = 2},
  [1979] = {.lex_state = 53, .external_lex_state = 2},
  [1980] = {.lex_state = 53, .external_lex_state = 2},
  [1981] = {.lex_state = 53, .external_lex_state = 2},
  [1982] = {.lex_state = 53, .external_lex_state = 2},
  [1983] = {.lex_state = 53, .external_lex_state = 2},
  [1984] = {.lex_state = 53, .external_lex_state = 2},
  [1985] = {.lex_state = 53, .external_lex_state = 2},
  [1986] = {.lex_state = 53, .external_lex_state = 2},
  [1987] = {.lex_state = 53, .external_lex_state = 2},
  [1988] = {.lex_state = 53, .external_lex_state = 2},
  [1989] = {.lex_state = 53, .external_lex_state = 2},
  [1990] = {.lex_state = 53, .external_lex_state = 2},
  [1991] = {.lex_state = 53, .external_lex_state = 2},
  [1992] = {.lex_state = 53, .external_lex_state = 2},
  [1993] = {.lex_state = 53, .external_lex_state = 2},
  [1994] = {.lex_state = 53, .external_lex_state = 2},
  [1995] = {.lex_state = 53, .external_lex_state = 2},
  [1996] = {.lex_state = 53, .external_lex_state = 2},
  [1997] = {.lex_state = 53, .external_lex_state = 2},
  [1998] = {.lex_state = 53, .external_lex_state = 2},
  [1999] = {.lex_state = 53, .external_lex_state = 2},
  [2000] = {.lex_state = 53, .external_lex_state = 2},
  [2001] = {.lex_state = 53, .external_lex_state = 2},
  [2002] = {.lex_state = 53, .external_lex_state = 2},
  [2003] = {.lex_state = 53, .external_lex_state = 2},
  [2004] = {.lex_state = 53, .external_lex_state = 2},
  [2005] = {.lex_state = 53, .external_lex_state = 2},
  [2006] = {.lex_state = 53, .external_lex_state = 2},
  [2007] = {.lex_state = 53, .external_lex_state = 2},
  [2008] = {.lex_state = 53, .external_lex_state = 2},
  [2009] = {.lex_state = 53, .external_lex_state = 2},
  [2010] = {.lex_state = 53, .external_lex_state = 2},
  [2011] = {.lex_state = 53, .external_lex_state = 2},
  [2012] = {.lex_state = 53, .external_lex_state = 2},
  [2013] = {.lex_state = 53, .external_lex_state = 2},
  [2014] = {.lex_state = 53, .external_lex_state = 2},
  [2015] = {.lex_state = 53, .external_lex_state = 2},
  [2016] = {.lex_state = 53, .external_lex_state = 2},
  [2017] = {.lex_state = 53, .external_lex_state = 2},
  [2018] = {.lex_state = 53, .external_lex_state = 2},
  [2019] = {.lex_state = 53, .external_lex_state = 2},
  [2020] = {.lex_state = 53, .external_lex_state = 2},
  [2021] = {.lex_state = 53, .external_lex_state = 2},
  [2022] = {.lex_state = 53, .external_lex_state = 2},
  [2023] = {.lex_state = 53, .external_lex_state = 2},
  [2024] = {.lex_state = 53, .external_lex_state = 2},
  [2025] = {.lex_state = 53, .external_lex_state = 2},
  [2026] = {.lex_state = 53, .external_lex_state = 2},
  [2027] = {.lex_state = 53, .external_lex_state = 2},
  [2028] = {.lex_state = 53, .external_lex_state = 2},
  [2029] = {.lex_state = 53, .external_lex_state = 2},
  [2030] = {.lex_state = 53, .external_lex_state = 2},
  [2031] = {.lex_state = 53, .external_lex_state = 2},
  [2032] = {.lex_state = 53, .external_lex_state = 2},
  [2033] = {.lex_state = 53, .external_lex_state = 2},
  [2034] = {.lex_state = 53, .external_lex_state = 2},
  [2035] = {.lex_state = 53, .external_lex_state = 2},
  [2036] = {.lex_state = 53, .external_lex_state = 2},
  [2037] = {.lex_state = 53, .external_lex_state = 2},
  [2038] = {.lex_state = 53, .external_lex_state = 2},
  [2039] = {.lex_state = 53, .external_lex_state = 2},
  [2040] = {.lex_state = 53, .external_lex_state = 2},
  [2041] = {.lex_state = 53, .external_lex_state = 2},
  [2042] = {.lex_state = 53, .external_lex_state = 2},
  [2043] = {.lex_state = 53, .external_lex_state = 2},
  [2044] = {.lex_state = 53, .external_lex_state = 2},
  [2045] = {.lex_state = 53, .external_lex_state = 2},
  [2046] = {.lex_state = 53, .external_lex_state = 2},
  [2047] = {.lex_state = 53, .external_lex_state = 2},
  [2048] = {.lex_state = 53, .external_lex_state = 2},
  [2049] = {.lex_state = 53, .external_lex_state = 2},
  [2050] = {.lex_state = 53, .external_lex_state = 2},
  [2051] = {.lex_state = 53, .external_lex_state = 2},
  [2052] = {.lex_state = 53, .external_lex_state = 2},
  [2053] = {.lex_state = 53, .external_lex_state = 2},
  [2054] = {.lex_state = 53, .external_lex_state = 2},
  [2055] = {.lex_state = 53, .external_lex_state = 2},
  [2056] = {.lex_state = 53, .external_lex_state = 2},
  [2057] = {.lex_state = 53, .external_lex_state = 2},
  [2058] = {.lex_state = 53, .external_lex_state = 2},
  [2059] = {.lex_state = 53, .external_lex_state = 2},
  [2060] = {.lex_state = 53, .external_lex_state = 2},
  [2061] = {.lex_state = 53, .external_lex_state = 2},
  [2062] = {.lex_state = 53, .external_lex_state = 2},
  [2063] = {.lex_state = 53, .external_lex_state = 2},
  [2064] = {.lex_state = 53, .external_lex_state = 2},
  [2065] = {.lex_state = 53, .external_lex_state = 2},
  [2066] = {.lex_state = 53, .external_lex_state = 2},
  [2067] = {.lex_state = 53, .external_lex_state = 2},
  [2068] = {.lex_state = 53, .external_lex_state = 2},
  [2069] = {.lex_state = 53, .external_lex_state = 2},
  [2070] = {.lex_state = 53, .external_lex_state = 2},
  [2071] = {.lex_state = 53, .external_lex_state = 2},
  [2072] = {.lex_state = 53, .external_lex_state = 2},
  [2073] = {.lex_state = 53, .external_lex_state = 2},
  [2074] = {.lex_state = 53, .external_lex_state = 2},
  [2075] = {.lex_state = 53, .external_lex_state = 2},
  [2076] = {.lex_state = 53, .external_lex_state = 2},
  [2077] = {.lex_state = 53, .external_lex_state = 2},
  [2078] = {.lex_state = 53, .external_lex_state = 2},
  [2079] = {.lex_state = 53, .external_lex_state = 2},
  [2080] = {.lex_state = 53, .external_lex_state = 2},
  [2081] = {.lex_state = 53, .external_lex_state = 2},
  [2082] = {.lex_state = 53, .external_lex_state = 2},
  [2083] = {.lex_state = 53, .external_lex_state = 2},
  [2084] = {.lex_state = 53, .external_lex_state = 2},
  [2085] = {.lex_state = 53, .external_lex_state = 2},
  [2086] = {.lex_state = 53, .external_lex_state = 2},
  [2087] = {.lex_state = 53, .external_lex_state = 2},
  [2088] = {.lex_state = 53, .external_lex_state = 2},
  [2089] = {.lex_state = 53, .external_lex_state = 2},
  [2090] = {.lex_state = 53, .external_lex_state = 2},
  [2091] = {.lex_state = 53, .external_lex_state = 2},
  [2092] = {.lex_state = 53, .external_lex_state = 2},
  [2093] = {.lex_state = 53, .external_lex_state = 2},
  [2094] = {.lex_state = 53, .external_lex_state = 2},
  [2095] = {.lex_state = 53, .external_lex_state = 2},
  [2096] = {.lex_state = 53, .external_lex_state = 2},
  [2097] = {.lex_state = 53, .external_lex_state = 2},
  [2098] = {.lex_state = 53, .external_lex_state = 2},
  [2099] = {.lex_state = 53, .external_lex_state = 2},
  [2100] = {.lex_state = 53, .external_lex_state = 2},
  [2101] = {.lex_state = 53, .external_lex_state = 2},
  [2102] = {.lex_state = 53, .external_lex_state = 2},
  [2103] = {.lex_state = 53, .external_lex_state = 2},
  [2104] = {.lex_state = 53, .external_lex_state = 2},
  [2105] = {.lex_state = 53, .external_lex_state = 2},
  [2106] = {.lex_state = 53, .external_lex_state = 2},
  [2107] = {.lex_state = 53, .external_lex_state = 2},
  [2108] = {.lex_state = 53, .external_lex_state = 2},
  [2109] = {.lex_state = 53, .external_lex_state = 2},
  [2110] = {.lex_state = 53, .external_lex_state = 2},
  [2111] = {.lex_state = 53, .external_lex_state = 2},
  [2112] = {.lex_state = 53, .external_lex_state = 2},
  [2113] = {.lex_state = 53, .external_lex_state = 2},
  [2114] = {.lex_state = 53, .external_lex_state = 2},
  [2115] = {.lex_state = 53, .external_lex_state = 2},
  [2116] = {.lex_state = 53, .external_lex_state = 2},
  [2117] = {.lex_state = 53, .external_lex_state = 2},
  [2118] = {.lex_state = 53, .external_lex_state = 2},
  [2119] = {.lex_state = 53, .external_lex_state = 2},
  [2120] = {.lex_state = 53, .external_lex_state = 2},
  [2121] = {.lex_state = 53, .external_lex_state = 2},
  [2122] = {.lex_state = 53, .external_lex_state = 2},
  [2123] = {.lex_state = 53, .external_lex_state = 2},
  [2124] = {.lex_state = 53, .external_lex_state = 2},
  [2125] = {.lex_state = 53, .external_lex_state = 2},
  [2126] = {.lex_state = 53, .external_lex_state = 2},
  [2127] = {.lex_state = 53, .external_lex_state = 2},
  [2128] = {.lex_state = 53, .external_lex_state = 2},
  [2129] = {.lex_state = 53, .external_lex_state = 2},
  [2130] = {.lex_state = 53, .external_lex_state = 2},
  [2131] = {.lex_state = 53, .external_lex_state = 2},
  [2132] = {.lex_state = 53, .external_lex_state = 2},
  [2133] = {.lex_state = 53, .external_lex_state = 2},
  [2134] = {.lex_state = 53, .external_lex_state = 2},
  [2135] = {.lex_state = 53, .external_lex_state = 2},
  [2136] = {.lex_state = 53, .external_lex_state = 2},
  [2137] = {.lex_state = 53, .external_lex_state = 2},
  [2138] = {.lex_state = 53, .external_lex_state = 2},
  [2139] = {.lex_state = 53, .external_lex_state = 2},
  [2140] = {.lex_state = 53, .external_lex_state = 2},
  [2141] = {.lex_state = 53, .external_lex_state = 2},
  [2142] = {.lex_state = 53, .external_lex_state = 2},
  [2143] = {.lex_state = 53, .external_lex_state = 2},
  [2144] = {.lex_state = 53, .external_lex_state = 2},
  [2145] = {.lex_state = 53, .external_lex_state = 2},
  [2146] = {.lex_state = 53, .external_lex_state = 2},
  [2147] = {.lex_state = 53, .external_lex_state = 2},
  [2148] = {.lex_state = 53, .external_lex_state = 2},
  [2149] = {.lex_state = 53, .external_lex_state = 2},
  [2150] = {.lex_state = 53, .external_lex_state = 2},
  [2151] = {.lex_state = 53, .external_lex_state = 2},
  [2152] = {.lex_state = 53, .external_lex_state = 2},
  [2153] = {.lex_state = 53, .external_lex_state = 2},
  [2154] = {.lex_state = 53, .external_lex_state = 2},
  [2155] = {.lex_state = 53, .external_lex_state = 2},
  [2156] = {.lex_state = 53, .external_lex_state = 2},
  [2157] = {.lex_state = 53, .external_lex_state = 2},
  [2158] = {.lex_state = 53, .external_lex_state = 2},
  [2159] = {.lex_state = 53, .external_lex_state = 2},
  [2160] = {.lex_state = 53, .external_lex_state = 2},
  [2161] = {.lex_state = 53, .external_lex_state = 2},
  [2162] = {.lex_state = 53, .external_lex_state = 2},
  [2163] = {.lex_state = 53, .external_lex_state = 2},
  [2164] = {.lex_state = 53, .external_lex_state = 2},
  [2165] = {.lex_state = 53, .external_lex_state = 2},
  [2166] = {.lex_state = 53, .external_lex_state = 2},
  [2167] = {.lex_state = 53, .external_lex_state = 2},
  [2168] = {.lex_state = 53, .external_lex_state = 2},
  [2169] = {.lex_state = 53, .external_lex_state = 2},
  [2170] = {.lex_state = 53, .external_lex_state = 2},
  [2171] = {.lex_state = 53, .external_lex_state = 2},
  [2172] = {.lex_state = 53, .external_lex_state = 2},
  [2173] = {.lex_state = 53, .external_lex_state = 2},
  [2174] = {.lex_state = 53, .external_lex_state = 2},
  [2175] = {.lex_state = 53, .external_lex_state = 2},
  [2176] = {.lex_state = 53, .external_lex_state = 2},
  [2177] = {.lex_state = 53, .external_lex_state = 2},
  [2178] = {.lex_state = 53, .external_lex_state = 2},
  [2179] = {.lex_state = 53, .external_lex_state = 2},
  [2180] = {.lex_state = 53, .external_lex_state = 2},
  [2181] = {.lex_state = 53, .external_lex_state = 2},
  [2182] = {.lex_state = 53, .external_lex_state = 2},
  [2183] = {.lex_state = 53, .external_lex_state = 2},
  [2184] = {.lex_state = 53, .external_lex_state = 2},
  [2185] = {.lex_state = 53, .external_lex_state = 2},
  [2186] = {.lex_state = 53, .external_lex_state = 2},
  [2187] = {.lex_state = 53, .external_lex_state = 2},
  [2188] = {.lex_state = 53, .external_lex_state = 2},
  [2189] = {.lex_state = 53, .external_lex_state = 2},
  [2190] = {.lex_state = 53, .external_lex_state = 2},
  [2191] = {.lex_state = 53, .external_lex_state = 2},
  [2192] = {.lex_state = 53, .external_lex_state = 2},
  [2193] = {.lex_state = 53, .external_lex_state = 2},
  [2194] = {.lex_state = 53, .external_lex_state = 2},
  [2195] = {.lex_state = 53, .external_lex_state = 2},
  [2196] = {.lex_state = 53, .external_lex_state = 2},
  [2197] = {.lex_state = 53, .external_lex_state = 2},
  [2198] = {.lex_state = 53, .external_lex_state = 2},
  [2199] = {.lex_state = 53, .external_lex_state = 2},
  [2200] = {.lex_state = 53, .external_lex_state = 2},
  [2201] = {.lex_state = 53, .external_lex_state = 2},
  [2202] = {.lex_state = 53, .external_lex_state = 2},
  [2203] = {.lex_state = 53, .external_lex_state = 2},
  [2204] = {.lex_state = 53, .external_lex_state = 2},
  [2205] = {.lex_state = 53, .external_lex_state = 2},
  [2206] = {.lex_state = 53, .external_lex_state = 2},
  [2207] = {.lex_state = 53, .external_lex_state = 2},
  [2208] = {.lex_state = 53, .external_lex_state = 2},
  [2209] = {.lex_state = 53, .external_lex_state = 2},
  [2210] = {.lex_state = 53, .external_lex_state = 2},
  [2211] = {.lex_state = 53, .external_lex_state = 2},
  [2212] = {.lex_state = 53, .external_lex_state = 2},
  [2213] = {.lex_state = 53, .external_lex_state = 2},
  [2214] = {.lex_state = 53, .external_lex_state = 2},
  [2215] = {.lex_state = 53, .external_lex_state = 2},
  [2216] = {.lex_state = 53, .external_lex_state = 2},
  [2217] = {.lex_state = 53, .external_lex_state = 2},
  [2218] = {.lex_state = 53, .external_lex_state = 2},
  [2219] = {.lex_state = 53, .external_lex_state = 2},
  [2220] = {.lex_state = 53, .external_lex_state = 2},
  [2221] = {.lex_state = 53, .external_lex_state = 2},
  [2222] = {.lex_state = 53, .external_lex_state = 2},
  [2223] = {.lex_state = 53, .external_lex_state = 2},
  [2224] = {.lex_state = 53, .external_lex_state = 2},
  [2225] = {.lex_state = 53, .external_lex_state = 2},
  [2226] = {.lex_state = 53, .external_lex_state = 2},
  [2227] = {.lex_state = 53, .external_lex_state = 2},
  [2228] = {.lex_state = 53, .external_lex_state = 2},
  [2229] = {.lex_state = 53, .external_lex_state = 2},
  [2230] = {.lex_state = 53, .external_lex_state = 2},
  [2231] = {.lex_state = 53, .external_lex_state = 2},
  [2232] = {.lex_state = 53, .external_lex_state = 2},
  [2233] = {.lex_state = 53, .external_lex_state = 2},
  [2234] = {.lex_state = 53, .external_lex_state = 2},
  [2235] = {.lex_state = 53, .external_lex_state = 2},
  [2236] = {.lex_state = 53, .external_lex_state = 2},
  [2237] = {.lex_state = 53, .external_lex_state = 2},
  [2238] = {.lex_state = 53, .external_lex_state = 2},
  [2239] = {.lex_state = 53, .external_lex_state = 2},
  [2240] = {.lex_state = 53, .external_lex_state = 2},
  [2241] = {.lex_state = 53, .external_lex_state = 2},
  [2242] = {.lex_state = 53, .external_lex_state = 2},
  [2243] = {.lex_state = 53, .external_lex_state = 2},
  [2244] = {.lex_state = 53, .external_lex_state = 2},
  [2245] = {.lex_state = 53, .external_lex_state = 2},
  [2246] = {.lex_state = 53, .external_lex_state = 2},
  [2247] = {.lex_state = 53, .external_lex_state = 2},
  [2248] = {.lex_state = 53, .external_lex_state = 2},
  [2249] = {.lex_state = 53, .external_lex_state = 2},
  [2250] = {.lex_state = 53, .external_lex_state = 2},
  [2251] = {.lex_state = 53, .external_lex_state = 2},
  [2252] = {.lex_state = 53, .external_lex_state = 2},
  [2253] = {.lex_state = 53, .external_lex_state = 2},
  [2254] = {.lex_state = 53, .external_lex_state = 2},
  [2255] = {.lex_state = 53, .external_lex_state = 2},
  [2256] = {.lex_state = 53, .external_lex_state = 2},
  [2257] = {.lex_state = 53, .external_lex_state = 2},
  [2258] = {.lex_state = 53, .external_lex_state = 2},
  [2259] = {.lex_state = 53, .external_lex_state = 2},
  [2260] = {.lex_state = 53, .external_lex_state = 2},
  [2261] = {.lex_state = 53, .external_lex_state = 2},
  [2262] = {.lex_state = 53, .external_lex_state = 2},
  [2263] = {.lex_state = 53, .external_lex_state = 2},
  [2264] = {.lex_state = 53, .external_lex_state = 2},
  [2265] = {.lex_state = 53, .external_lex_state = 2},
  [2266] = {.lex_state = 53, .external_lex_state = 2},
  [2267] = {.lex_state = 53, .external_lex_state = 2},
  [2268] = {.lex_state = 53, .external_lex_state = 2},
  [2269] = {.lex_state = 53, .external_lex_state = 2},
  [2270] = {.lex_state = 53, .external_lex_state = 2},
  [2271] = {.lex_state = 53, .external_lex_state = 2},
  [2272] = {.lex_state = 53, .external_lex_state = 2},
  [2273] = {.lex_state = 53, .external_lex_state = 2},
  [2274] = {.lex_state = 53, .external_lex_state = 2},
  [2275] = {.lex_state = 53, .external_lex_state = 2},
  [2276] = {.lex_state = 53, .external_lex_state = 2},
  [2277] = {.lex_state = 53, .external_lex_state = 2},
  [2278] = {.lex_state = 53, .external_lex_state = 2},
  [2279] = {.lex_state = 53, .external_lex_state = 2},
  [2280] = {.lex_state = 53, .external_lex_state = 2},
  [2281] = {.lex_state = 53, .external_lex_state = 2},
  [2282] = {.lex_state = 53, .external_lex_state = 2},
  [2283] = {.lex_state = 53, .external_lex_state = 2},
  [2284] = {.lex_state = 53, .external_lex_state = 2},
  [2285] = {.lex_state = 53, .external_lex_state = 2},
  [2286] = {.lex_state = 53, .external_lex_state = 2},
  [2287] = {.lex_state = 53, .external_lex_state = 2},
  [2288] = {.lex_state = 53, .external_lex_state = 2},
  [2289] = {.lex_state = 53, .external_lex_state = 2},
  [2290] = {.lex_state = 53, .external_lex_state = 2},
  [2291] = {.lex_state = 53, .external_lex_state = 2},
  [2292] = {.lex_state = 53, .external_lex_state = 2},
  [2293] = {.lex_state = 53, .external_lex_state = 2},
  [2294] = {.lex_state = 53, .external_lex_state = 2},
  [2295] = {.lex_state = 53, .external_lex_state = 2},
  [2296] = {.lex_state = 53, .external_lex_state = 2},
  [2297] = {.lex_state = 53, .external_lex_state = 2},
  [2298] = {.lex_state = 53, .external_lex_state = 2},
  [2299] = {.lex_state = 53, .external_lex_state = 2},
  [2300] = {.lex_state = 53, .external_lex_state = 2},
  [2301] = {.lex_state = 53, .external_lex_state = 2},
  [2302] = {.lex_state = 53, .external_lex_state = 2},
  [2303] = {.lex_state = 53, .external_lex_state = 2},
  [2304] = {.lex_state = 53, .external_lex_state = 2},
  [2305] = {.lex_state = 53, .external_lex_state = 2},
  [2306] = {.lex_state = 53, .external_lex_state = 2},
  [2307] = {.lex_state = 53, .external_lex_state = 2},
  [2308] = {.lex_state = 53, .external_lex_state = 2},
  [2309] = {.lex_state = 53, .external_lex_state = 2},
  [2310] = {.lex_state = 53, .external_lex_state = 2},
  [2311] = {.lex_state = 53, .external_lex_state = 2},
  [2312] = {.lex_state = 53, .external_lex_state = 2},
  [2313] = {.lex_state = 53, .external_lex_state = 2},
  [2314] = {.lex_state = 53, .external_lex_state = 2},
  [2315] = {.lex_state = 53, .external_lex_state = 2},
  [2316] = {.lex_state = 53, .external_lex_state = 2},
  [2317] = {.lex_state = 53, .external_lex_state = 2},
  [2318] = {.lex_state = 53, .external_lex_state = 2},
  [2319] = {.lex_state = 53, .external_lex_state = 2},
  [2320] = {.lex_state = 53, .external_lex_state = 2},
  [2321] = {.lex_state = 53, .external_lex_state = 2},
  [2322] = {.lex_state = 53, .external_lex_state = 2},
  [2323] = {.lex_state = 53, .external_lex_state = 2},
  [2324] = {.lex_state = 53, .external_lex_state = 2},
  [2325] = {.lex_state = 53, .external_lex_state = 2},
  [2326] = {.lex_state = 53, .external_lex_state = 2},
  [2327] = {.lex_state = 53, .external_lex_state = 2},
  [2328] = {.lex_state = 53, .external_lex_state = 2},
  [2329] = {.lex_state = 53, .external_lex_state = 2},
  [2330] = {.lex_state = 53, .external_lex_state = 2},
  [2331] = {.lex_state = 53, .external_lex_state = 2},
  [2332] = {.lex_state = 53, .external_lex_state = 2},
  [2333] = {.lex_state = 53, .external_lex_state = 2},
  [2334] = {.lex_state = 53, .external_lex_state = 2},
  [2335] = {.lex_state = 53, .external_lex_state = 2},
  [2336] = {.lex_state = 53, .external_lex_state = 2},
  [2337] = {.lex_state = 53, .external_lex_state = 2},
  [2338] = {.lex_state = 53, .external_lex_state = 2},
  [2339] = {.lex_state = 53, .external_lex_state = 2},
  [2340] = {.lex_state = 53, .external_lex_state = 2},
  [2341] = {.lex_state = 53, .external_lex_state = 2},
  [2342] = {.lex_state = 53, .external_lex_state = 2},
  [2343] = {.lex_state = 53, .external_lex_state = 2},
  [2344] = {.lex_state = 53, .external_lex_state = 2},
  [2345] = {.lex_state = 53, .external_lex_state = 2},
  [2346] = {.lex_state = 53, .external_lex_state = 2},
  [2347] = {.lex_state = 53, .external_lex_state = 2},
  [2348] = {.lex_state = 53, .external_lex_state = 2},
  [2349] = {.lex_state = 53, .external_lex_state = 2},
  [2350] = {.lex_state = 53, .external_lex_state = 2},
  [2351] = {.lex_state = 53, .external_lex_state = 2},
  [2352] = {.lex_state = 53, .external_lex_state = 2},
  [2353] = {.lex_state = 53, .external_lex_state = 2},
  [2354] = {.lex_state = 53, .external_lex_state = 2},
  [2355] = {.lex_state = 53, .external_lex_state = 2},
  [2356] = {.lex_state = 53, .external_lex_state = 2},
  [2357] = {.lex_state = 53, .external_lex_state = 2},
  [2358] = {.lex_state = 53, .external_lex_state = 2},
  [2359] = {.lex_state = 53, .external_lex_state = 2},
  [2360] = {.lex_state = 53, .external_lex_state = 2},
  [2361] = {.lex_state = 53, .external_lex_state = 2},
  [2362] = {.lex_state = 53, .external_lex_state = 2},
  [2363] = {.lex_state = 53, .external_lex_state = 2},
  [2364] = {.lex_state = 53, .external_lex_state = 2},
  [2365] = {.lex_state = 53, .external_lex_state = 2},
  [2366] = {.lex_state = 53, .external_lex_state = 2},
  [2367] = {.lex_state = 53, .external_lex_state = 2},
  [2368] = {.lex_state = 53, .external_lex_state = 2},
  [2369] = {.lex_state = 53, .external_lex_state = 2},
  [2370] = {.lex_state = 53, .external_lex_state = 2},
  [2371] = {.lex_state = 53, .external_lex_state = 2},
  [2372] = {.lex_state = 53, .external_lex_state = 2},
  [2373] = {.lex_state = 53, .external_lex_state = 2},
  [2374] = {.lex_state = 53, .external_lex_state = 2},
  [2375] = {.lex_state = 53, .external_lex_state = 2},
  [2376] = {.lex_state = 53, .external_lex_state = 2},
  [2377] = {.lex_state = 53, .external_lex_state = 2},
  [2378] = {.lex_state = 53, .external_lex_state = 2},
  [2379] = {.lex_state = 53, .external_lex_state = 2},
  [2380] = {.lex_state = 53, .external_lex_state = 2},
  [2381] = {.lex_state = 53, .external_lex_state = 2},
  [2382] = {.lex_state = 53, .external_lex_state = 2},
  [2383] = {.lex_state = 53, .external_lex_state = 2},
  [2384] = {.lex_state = 53, .external_lex_state = 2},
  [2385] = {.lex_state = 53, .external_lex_state = 2},
  [2386] = {.lex_state = 53, .external_lex_state = 2},
  [2387] = {.lex_state = 53, .external_lex_state = 2},
  [2388] = {.lex_state = 53, .external_lex_state = 2},
  [2389] = {.lex_state = 53, .external_lex_state = 2},
  [2390] = {.lex_state = 53, .external_lex_state = 2},
  [2391] = {.lex_state = 53, .external_lex_state = 2},
  [2392] = {.lex_state = 53, .external_lex_state = 2},
  [2393] = {.lex_state = 53, .external_lex_state = 2},
  [2394] = {.lex_state = 53, .external_lex_state = 2},
  [2395] = {.lex_state = 53, .external_lex_state = 2},
  [2396] = {.lex_state = 53, .external_lex_state = 2},
  [2397] = {.lex_state = 53, .external_lex_state = 2},
  [2398] = {.lex_state = 53, .external_lex_state = 2},
  [2399] = {.lex_state = 53, .external_lex_state = 2},
  [2400] = {.lex_state = 53, .external_lex_state = 2},
  [2401] = {.lex_state = 53, .external_lex_state = 2},
  [2402] = {.lex_state = 53, .external_lex_state = 2},
  [2403] = {.lex_state = 53, .external_lex_state = 2},
  [2404] = {.lex_state = 53, .external_lex_state = 2},
  [2405] = {.lex_state = 53, .external_lex_state = 2},
  [2406] = {.lex_state = 53, .external_lex_state = 2},
  [2407] = {.lex_state = 53, .external_lex_state = 2},
  [2408] = {.lex_state = 53, .external_lex_state = 2},
  [2409] = {.lex_state = 53, .external_lex_state = 2},
  [2410] = {.lex_state = 53, .external_lex_state = 2},
  [2411] = {.lex_state = 53, .external_lex_state = 2},
  [2412] = {.lex_state = 53, .external_lex_state = 2},
  [2413] = {.lex_state = 53, .external_lex_state = 2},
  [2414] = {.lex_state = 53, .external_lex_state = 2},
  [2415] = {.lex_state = 53, .external_lex_state = 2},
  [2416] = {.lex_state = 53, .external_lex_state = 2},
  [2417] = {.lex_state = 53, .external_lex_state = 2},
  [2418] = {.lex_state = 53, .external_lex_state = 2},
  [2419] = {.lex_state = 53, .external_lex_state = 2},
  [2420] = {.lex_state = 53, .external_lex_state = 2},
  [2421] = {.lex_state = 53, .external_lex_state = 2},
  [2422] = {.lex_state = 53, .external_lex_state = 2},
  [2423] = {.lex_state = 53, .external_lex_state = 2},
  [2424] = {.lex_state = 53, .external_lex_state = 2},
  [2425] = {.lex_state = 53, .external_lex_state = 2},
  [2426] = {.lex_state = 53, .external_lex_state = 2},
  [2427] = {.lex_state = 53, .external_lex_state = 2},
  [2428] = {.lex_state = 53, .external_lex_state = 2},
  [2429] = {.lex_state = 53, .external_lex_state = 2},
  [2430] = {.lex_state = 53, .external_lex_state = 2},
  [2431] = {.lex_state = 53, .external_lex_state = 2},
  [2432] = {.lex_state = 53, .external_lex_state = 2},
  [2433] = {.lex_state = 53, .external_lex_state = 2},
  [2434] = {.lex_state = 53, .external_lex_state = 2},
  [2435] = {.lex_state = 53, .external_lex_state = 2},
  [2436] = {.lex_state = 53, .external_lex_state = 2},
  [2437] = {.lex_state = 53, .external_lex_state = 2},
  [2438] = {.lex_state = 53, .external_lex_state = 2},
  [2439] = {.lex_state = 53, .external_lex_state = 2},
  [2440] = {.lex_state = 53, .external_lex_state = 2},
  [2441] = {.lex_state = 53, .external_lex_state = 2},
  [2442] = {.lex_state = 53, .external_lex_state = 2},
  [2443] = {.lex_state = 53, .external_lex_state = 2},
  [2444] = {.lex_state = 53, .external_lex_state = 2},
  [2445] = {.lex_state = 53, .external_lex_state = 2},
  [2446] = {.lex_state = 53, .external_lex_state = 2},
  [2447] = {.lex_state = 53, .external_lex_state = 2},
  [2448] = {.lex_state = 53, .external_lex_state = 2},
  [2449] = {.lex_state = 53, .external_lex_state = 2},
  [2450] = {.lex_state = 53, .external_lex_state = 2},
  [2451] = {.lex_state = 53, .external_lex_state = 2},
  [2452] = {.lex_state = 53, .external_lex_state = 2},
  [2453] = {.lex_state = 53, .external_lex_state = 2},
  [2454] = {.lex_state = 53, .external_lex_state = 2},
  [2455] = {.lex_state = 53, .external_lex_state = 2},
  [2456] = {.lex_state = 53, .external_lex_state = 2},
  [2457] = {.lex_state = 53, .external_lex_state = 2},
  [2458] = {.lex_state = 53, .external_lex_state = 2},
  [2459] = {.lex_state = 53, .external_lex_state = 2},
  [2460] = {.lex_state = 53, .external_lex_state = 2},
  [2461] = {.lex_state = 53, .external_lex_state = 2},
  [2462] = {.lex_state = 53, .external_lex_state = 2},
  [2463] = {.lex_state = 53, .external_lex_state = 2},
  [2464] = {.lex_state = 53, .external_lex_state = 2},
  [2465] = {.lex_state = 53, .external_lex_state = 2},
  [2466] = {.lex_state = 53, .external_lex_state = 2},
  [2467] = {.lex_state = 53, .external_lex_state = 2},
  [2468] = {.lex_state = 53, .external_lex_state = 2},
  [2469] = {.lex_state = 53, .external_lex_state = 2},
  [2470] = {.lex_state = 53, .external_lex_state = 2},
  [2471] = {.lex_state = 53, .external_lex_state = 2},
  [2472] = {.lex_state = 53, .external_lex_state = 2},
  [2473] = {.lex_state = 53, .external_lex_state = 2},
  [2474] = {.lex_state = 53, .external_lex_state = 2},
  [2475] = {.lex_state = 53, .external_lex_state = 2},
  [2476] = {.lex_state = 53, .external_lex_state = 2},
  [2477] = {.lex_state = 53, .external_lex_state = 2},
  [2478] = {.lex_state = 53, .external_lex_state = 2},
  [2479] = {.lex_state = 53, .external_lex_state = 2},
  [2480] = {.lex_state = 53, .external_lex_state = 2},
  [2481] = {.lex_state = 53, .external_lex_state = 2},
  [2482] = {.lex_state = 53, .external_lex_state = 2},
  [2483] = {.lex_state = 53, .external_lex_state = 2},
  [2484] = {.lex_state = 53, .external_lex_state = 2},
  [2485] = {.lex_state = 53, .external_lex_state = 2},
  [2486] = {.lex_state = 53, .external_lex_state = 2},
  [2487] = {.lex_state = 53, .external_lex_state = 2},
  [2488] = {.lex_state = 53, .external_lex_state = 2},
  [2489] = {.lex_state = 53, .external_lex_state = 2},
  [2490] = {.lex_state = 53, .external_lex_state = 2},
  [2491] = {.lex_state = 3, .external_lex_state = 23},
  [2492] = {.lex_state = 51, .external_lex_state = 19},
  [2493] = {.lex_state = 51, .external_lex_state = 19},
  [2494] = {.lex_state = 51, .external_lex_state = 22},
  [2495] = {.lex_state = 64, .external_lex_state = 3},
  [2496] = {.lex_state = 64, .external_lex_state = 3},
  [2497] = {.lex_state = 64, .external_lex_state = 3},
  [2498] = {.lex_state = 64, .external_lex_state = 3},
  [2499] = {.lex_state = 64, .external_lex_state = 3},
  [2500] = {.lex_state = 64, .external_lex_state = 3},
  [2501] = {.lex_state = 64, .external_lex_state = 3},
  [2502] = {.lex_state = 64, .external_lex_state = 3},
  [2503] = {.lex_state = 64, .external_lex_state = 3},
  [2504] = {.lex_state = 64, .external_lex_state = 3},
  [2505] = {.lex_state = 64, .external_lex_state = 3},
  [2506] = {.lex_state = 64, .external_lex_state = 3},
  [2507] = {.lex_state = 64, .external_lex_state = 3},
  [2508] = {.lex_state = 64, .external_lex_state = 3},
  [2509] = {.lex_state = 64, .external_lex_state = 3},
  [2510] = {.lex_state = 64, .external_lex_state = 3},
  [2511] = {.lex_state = 64, .external_lex_state = 3},
  [2512] = {.lex_state = 64, .external_lex_state = 3},
  [2513] = {.lex_state = 64, .external_lex_state = 3},
  [2514] = {.lex_state = 64, .external_lex_state = 3},
  [2515] = {.lex_state = 64, .external_lex_state = 3},
  [2516] = {.lex_state = 64, .external_lex_state = 3},
  [2517] = {.lex_state = 64, .external_lex_state = 3},
  [2518] = {.lex_state = 64, .external_lex_state = 3},
  [2519] = {.lex_state = 64, .external_lex_state = 3},
  [2520] = {.lex_state = 64, .external_lex_state = 3},
  [2521] = {.lex_state = 64, .external_lex_state = 3},
  [2522] = {.lex_state = 64, .external_lex_state = 3},
  [2523] = {.lex_state = 64, .external_lex_state = 3},
  [2524] = {.lex_state = 64, .external_lex_state = 3},
  [2525] = {.lex_state = 64, .external_lex_state = 3},
  [2526] = {.lex_state = 64, .external_lex_state = 3},
  [2527] = {.lex_state = 64, .external_lex_state = 3},
  [2528] = {.lex_state = 64, .external_lex_state = 3},
  [2529] = {.lex_state = 64, .external_lex_state = 3},
  [2530] = {.lex_state = 64, .external_lex_state = 3},
  [2531] = {.lex_state = 64, .external_lex_state = 3},
  [2532] = {.lex_state = 64, .external_lex_state = 3},
  [2533] = {.lex_state = 64, .external_lex_state = 3},
  [2534] = {.lex_state = 64, .external_lex_state = 3},
  [2535] = {.lex_state = 64, .external_lex_state = 3},
  [2536] = {.lex_state = 64, .external_lex_state = 3},
  [2537] = {.lex_state = 64, .external_lex_state = 3},
  [2538] = {.lex_state = 64, .external_lex_state = 3},
  [2539] = {.lex_state = 64, .external_lex_state = 3},
  [2540] = {.lex_state = 64, .external_lex_state = 3},
  [2541] = {.lex_state = 64, .external_lex_state = 3},
  [2542] = {.lex_state = 64, .external_lex_state = 3},
  [2543] = {.lex_state = 17, .external_lex_state = 2},
  [2544] = {.lex_state = 17, .external_lex_state = 2},
  [2545] = {.lex_state = 17, .external_lex_state = 2},
  [2546] = {.lex_state = 17, .external_lex_state = 2},
  [2547] = {.lex_state = 53, .external_lex_state = 3},
  [2548] = {.lex_state = 53, .external_lex_state = 4},
  [2549] = {.lex_state = 64, .external_lex_state = 2},
  [2550] = {.lex_state = 64, .external_lex_state = 2},
  [2551] = {.lex_state = 53, .external_lex_state = 4},
  [2552] = {.lex_state = 64, .external_lex_state = 2},
  [2553] = {.lex_state = 53, .external_lex_state = 2},
  [2554] = {.lex_state = 53, .external_lex_state = 4},
  [2555] = {.lex_state = 53, .external_lex_state = 2},
  [2556] = {.lex_state = 64, .external_lex_state = 2},
  [2557] = {.lex_state = 64, .external_lex_state = 2},
  [2558] = {.lex_state = 53, .external_lex_state = 2},
  [2559] = {.lex_state = 53, .external_lex_state = 2},
  [2560] = {.lex_state = 64, .external_lex_state = 2},
  [2561] = {.lex_state = 64, .external_lex_state = 2},
  [2562] = {.lex_state = 64, .external_lex_state = 2},
  [2563] = {.lex_state = 64, .external_lex_state = 2},
  [2564] = {.lex_state = 64, .external_lex_state = 2},
  [2565] = {.lex_state = 64, .external_lex_state = 2},
  [2566] = {.lex_state = 64, .external_lex_state = 2},
  [2567] = {.lex_state = 64, .external_lex_state = 2},
  [2568] = {.lex_state = 64, .external_lex_state = 2},
  [2569] = {.lex_state = 64, .external_lex_state = 2},
  [2570] = {.lex_state = 64, .external_lex_state = 2},
  [2571] = {.lex_state = 64, .external_lex_state = 2},
  [2572] = {.lex_state = 64, .external_lex_state = 2},
  [2573] = {.lex_state = 64, .external_lex_state = 2},
  [2574] = {.lex_state = 64, .external_lex_state = 2},
  [2575] = {.lex_state = 64, .external_lex_state = 2},
  [2576] = {.lex_state = 64, .external_lex_state = 2},
  [2577] = {.lex_state = 64, .external_lex_state = 2},
  [2578] = {.lex_state = 64, .external_lex_state = 2},
  [2579] = {.lex_state = 64, .external_lex_state = 2},
  [2580] = {.lex_state = 64, .external_lex_state = 2},
  [2581] = {.lex_state = 64, .external_lex_state = 2},
  [2582] = {.lex_state = 64, .external_lex_state = 2},
  [2583] = {.lex_state = 64, .external_lex_state = 2},
  [2584] = {.lex_state = 64, .external_lex_state = 2},
  [2585] = {.lex_state = 64, .external_lex_state = 2},
  [2586] = {.lex_state = 64, .external_lex_state = 2},
  [2587] = {.lex_state = 64, .external_lex_state = 2},
  [2588] = {.lex_state = 64, .external_lex_state = 2},
  [2589] = {.lex_state = 64, .external_lex_state = 2},
  [2590] = {.lex_state = 64, .external_lex_state = 2},
  [2591] = {.lex_state = 64, .external_lex_state = 2},
  [2592] = {.lex_state = 64, .external_lex_state = 2},
  [2593] = {.lex_state = 64, .external_lex_state = 2},
  [2594] = {.lex_state = 64, .external_lex_state = 2},
  [2595] = {.lex_state = 64, .external_lex_state = 2},
  [2596] = {.lex_state = 64, .external_lex_state = 2},
  [2597] = {.lex_state = 64, .external_lex_state = 2},
  [2598] = {.lex_state = 64, .external_lex_state = 2},
  [2599] = {.lex_state = 64, .external_lex_state = 2},
  [2600] = {.lex_state = 64, .external_lex_state = 2},
  [2601] = {.lex_state = 64, .external_lex_state = 2},
  [2602] = {.lex_state = 64, .external_lex_state = 2},
  [2603] = {.lex_state = 64, .external_lex_state = 2},
  [2604] = {.lex_state = 64, .external_lex_state = 2},
  [2605] = {.lex_state = 64, .external_lex_state = 2},
  [2606] = {.lex_state = 64, .external_lex_state = 2},
  [2607] = {.lex_state = 64, .external_lex_state = 2},
  [2608] = {.lex_state = 64, .external_lex_state = 2},
  [2609] = {.lex_state = 64, .external_lex_state = 2},
  [2610] = {.lex_state = 64, .external_lex_state = 2},
  [2611] = {.lex_state = 64, .external_lex_state = 2},
  [2612] = {.lex_state = 64, .external_lex_state = 2},
  [2613] = {.lex_state = 64, .external_lex_state = 2},
  [2614] = {.lex_state = 64, .external_lex_state = 2},
  [2615] = {.lex_state = 64, .external_lex_state = 2},
  [2616] = {.lex_state = 64, .external_lex_state = 2},
  [2617] = {.lex_state = 64, .external_lex_state = 2},
  [2618] = {.lex_state = 64, .external_lex_state = 2},
  [2619] = {.lex_state = 64, .external_lex_state = 2},
  [2620] = {.lex_state = 64, .external_lex_state = 2},
  [2621] = {.lex_state = 64, .external_lex_state = 2},
  [2622] = {.lex_state = 64, .external_lex_state = 2},
  [2623] = {.lex_state = 64, .external_lex_state = 2},
  [2624] = {.lex_state = 64, .external_lex_state = 2},
  [2625] = {.lex_state = 64, .external_lex_state = 2},
  [2626] = {.lex_state = 64, .external_lex_state = 2},
  [2627] = {.lex_state = 64, .external_lex_state = 2},
  [2628] = {.lex_state = 64, .external_lex_state = 2},
  [2629] = {.lex_state = 64, .external_lex_state = 2},
  [2630] = {.lex_state = 64, .external_lex_state = 2},
  [2631] = {.lex_state = 64, .external_lex_state = 2},
  [2632] = {.lex_state = 64, .external_lex_state = 2},
  [2633] = {.lex_state = 64, .external_lex_state = 2},
  [2634] = {.lex_state = 64, .external_lex_state = 2},
  [2635] = {.lex_state = 64, .external_lex_state = 2},
  [2636] = {.lex_state = 64, .external_lex_state = 2},
  [2637] = {.lex_state = 64, .external_lex_state = 2},
  [2638] = {.lex_state = 64, .external_lex_state = 2},
  [2639] = {.lex_state = 64, .external_lex_state = 2},
  [2640] = {.lex_state = 64, .external_lex_state = 2},
  [2641] = {.lex_state = 64, .external_lex_state = 2},
  [2642] = {.lex_state = 64, .external_lex_state = 2},
  [2643] = {.lex_state = 64, .external_lex_state = 2},
  [2644] = {.lex_state = 64, .external_lex_state = 2},
  [2645] = {.lex_state = 64, .external_lex_state = 2},
  [2646] = {.lex_state = 64, .external_lex_state = 2},
  [2647] = {.lex_state = 64, .external_lex_state = 2},
  [2648] = {.lex_state = 64, .external_lex_state = 2},
  [2649] = {.lex_state = 64, .external_lex_state = 2},
  [2650] = {.lex_state = 64, .external_lex_state = 2},
  [2651] = {.lex_state = 64, .external_lex_state = 2},
  [2652] = {.lex_state = 64, .external_lex_state = 2},
  [2653] = {.lex_state = 64, .external_lex_state = 2},
  [2654] = {.lex_state = 64, .external_lex_state = 2},
  [2655] = {.lex_state = 64, .external_lex_state = 2},
  [2656] = {.lex_state = 64, .external_lex_state = 2},
  [2657] = {.lex_state = 64, .external_lex_state = 2},
  [2658] = {.lex_state = 64, .external_lex_state = 2},
  [2659] = {.lex_state = 64, .external_lex_state = 2},
  [2660] = {.lex_state = 64, .external_lex_state = 2},
  [2661] = {.lex_state = 64, .external_lex_state = 2},
  [2662] = {.lex_state = 64, .external_lex_state = 2},
  [2663] = {.lex_state = 64, .external_lex_state = 2},
  [2664] = {.lex_state = 64, .external_lex_state = 2},
  [2665] = {.lex_state = 64, .external_lex_state = 2},
  [2666] = {.lex_state = 64, .external_lex_state = 2},
  [2667] = {.lex_state = 64, .external_lex_state = 2},
  [2668] = {.lex_state = 64, .external_lex_state = 2},
  [2669] = {.lex_state = 64, .external_lex_state = 2},
  [2670] = {.lex_state = 64, .external_lex_state = 2},
  [2671] = {.lex_state = 64, .external_lex_state = 2},
  [2672] = {.lex_state = 64, .external_lex_state = 2},
  [2673] = {.lex_state = 64, .external_lex_state = 2},
  [2674] = {.lex_state = 64, .external_lex_state = 2},
  [2675] = {.lex_state = 64, .external_lex_state = 2},
  [2676] = {.lex_state = 64, .external_lex_state = 2},
  [2677] = {.lex_state = 64, .external_lex_state = 2},
  [2678] = {.lex_state = 64, .external_lex_state = 2},
  [2679] = {.lex_state = 64, .external_lex_state = 2},
  [2680] = {.lex_state = 64, .external_lex_state = 2},
  [2681] = {.lex_state = 64, .external_lex_state = 2},
  [2682] = {.lex_state = 64, .external_lex_state = 2},
  [2683] = {.lex_state = 64, .external_lex_state = 2},
  [2684] = {.lex_state = 64, .external_lex_state = 2},
  [2685] = {.lex_state = 64, .external_lex_state = 2},
  [2686] = {.lex_state = 64, .external_lex_state = 2},
  [2687] = {.lex_state = 64, .external_lex_state = 2},
  [2688] = {.lex_state = 64, .external_lex_state = 2},
  [2689] = {.lex_state = 64, .external_lex_state = 2},
  [2690] = {.lex_state = 64, .external_lex_state = 2},
  [2691] = {.lex_state = 64, .external_lex_state = 2},
  [2692] = {.lex_state = 64, .external_lex_state = 2},
  [2693] = {.lex_state = 64, .external_lex_state = 2},
  [2694] = {.lex_state = 64, .external_lex_state = 2},
  [2695] = {.lex_state = 64, .external_lex_state = 2},
  [2696] = {.lex_state = 64, .external_lex_state = 2},
  [2697] = {.lex_state = 64, .external_lex_state = 2},
  [2698] = {.lex_state = 64, .external_lex_state = 2},
  [2699] = {.lex_state = 64, .external_lex_state = 2},
  [2700] = {.lex_state = 64, .external_lex_state = 2},
  [2701] = {.lex_state = 64, .external_lex_state = 2},
  [2702] = {.lex_state = 64, .external_lex_state = 2},
  [2703] = {.lex_state = 64, .external_lex_state = 2},
  [2704] = {.lex_state = 64, .external_lex_state = 2},
  [2705] = {.lex_state = 64, .external_lex_state = 2},
  [2706] = {.lex_state = 64, .external_lex_state = 2},
  [2707] = {.lex_state = 64, .external_lex_state = 2},
  [2708] = {.lex_state = 64, .external_lex_state = 2},
  [2709] = {.lex_state = 64, .external_lex_state = 2},
  [2710] = {.lex_state = 64, .external_lex_state = 2},
  [2711] = {.lex_state = 64, .external_lex_state = 2},
  [2712] = {.lex_state = 64, .external_lex_state = 2},
  [2713] = {.lex_state = 64, .external_lex_state = 2},
  [2714] = {.lex_state = 64, .external_lex_state = 2},
  [2715] = {.lex_state = 64, .external_lex_state = 2},
  [2716] = {.lex_state = 64, .external_lex_state = 2},
  [2717] = {.lex_state = 64, .external_lex_state = 2},
  [2718] = {.lex_state = 64, .external_lex_state = 2},
  [2719] = {.lex_state = 64, .external_lex_state = 2},
  [2720] = {.lex_state = 64, .external_lex_state = 2},
  [2721] = {.lex_state = 64, .external_lex_state = 2},
  [2722] = {.lex_state = 64, .external_lex_state = 2},
  [2723] = {.lex_state = 64, .external_lex_state = 2},
  [2724] = {.lex_state = 64, .external_lex_state = 2},
  [2725] = {.lex_state = 64, .external_lex_state = 2},
  [2726] = {.lex_state = 64, .external_lex_state = 2},
  [2727] = {.lex_state = 64, .external_lex_state = 2},
  [2728] = {.lex_state = 64, .external_lex_state = 2},
  [2729] = {.lex_state = 17, .external_lex_state = 2},
  [2730] = {.lex_state = 17, .external_lex_state = 2},
  [2731] = {.lex_state = 17, .external_lex_state = 2},
  [2732] = {.lex_state = 17, .external_lex_state = 2},
  [2733] = {.lex_state = 17, .external_lex_state = 2},
  [2734] = {.lex_state = 17, .external_lex_state = 2},
  [2735] = {.lex_state = 51, .external_lex_state = 6},
  [2736] = {.lex_state = 17, .external_lex_state = 2},
  [2737] = {.lex_state = 17, .external_lex_state = 2},
  [2738] = {.lex_state = 17, .external_lex_state = 2},
  [2739] = {.lex_state = 17, .external_lex_state = 2},
  [2740] = {.lex_state = 17, .external_lex_state = 2},
  [2741] = {.lex_state = 17, .external_lex_state = 2},
  [2742] = {.lex_state = 17, .external_lex_state = 2},
  [2743] = {.lex_state = 17, .external_lex_state = 2},
  [2744] = {.lex_state = 17, .external_lex_state = 2},
  [2745] = {.lex_state = 17, .external_lex_state = 2},
  [2746] = {.lex_state = 17, .external_lex_state = 2},
  [2747] = {.lex_state = 17, .external_lex_state = 2},
  [2748] = {.lex_state = 17, .external_lex_state = 2},
  [2749] = {.lex_state = 17, .external_lex_state = 2},
  [2750] = {.lex_state = 17, .external_lex_state = 2},
  [2751] = {.lex_state = 17, .external_lex_state = 2},
  [2752] = {.lex_state = 17, .external_lex_state = 2},
  [2753] = {.lex_state = 17, .external_lex_state = 2},
  [2754] = {.lex_state = 17, .external_lex_state = 2},
  [2755] = {.lex_state = 17, .external_lex_state = 2},
  [2756] = {.lex_state = 17, .external_lex_state = 2},
  [2757] = {.lex_state = 17, .external_lex_state = 2},
  [2758] = {.lex_state = 17, .external_lex_state = 2},
  [2759] = {.lex_state = 17, .external_lex_state = 2},
  [2760] = {.lex_state = 17, .external_lex_state = 2},
  [2761] = {.lex_state = 17, .external_lex_state = 2},
  [2762] = {.lex_state = 17, .external_lex_state = 2},
  [2763] = {.lex_state = 17, .external_lex_state = 2},
  [2764] = {.lex_state = 17, .external_lex_state = 2},
  [2765] = {.lex_state = 17, .external_lex_state = 2},
  [2766] = {.lex_state = 17, .external_lex_state = 2},
  [2767] = {.lex_state = 17, .external_lex_state = 2},
  [2768] = {.lex_state = 17, .external_lex_state = 2},
  [2769] = {.lex_state = 17, .external_lex_state = 2},
  [2770] = {.lex_state = 17, .external_lex_state = 2},
  [2771] = {.lex_state = 17, .external_lex_state = 2},
  [2772] = {.lex_state = 17, .external_lex_state = 2},
  [2773] = {.lex_state = 17, .external_lex_state = 2},
  [2774] = {.lex_state = 17, .external_lex_state = 2},
  [2775] = {.lex_state = 17, .external_lex_state = 2},
  [2776] = {.lex_state = 17, .external_lex_state = 2},
  [2777] = {.lex_state = 17, .external_lex_state = 2},
  [2778] = {.lex_state = 17, .external_lex_state = 2},
  [2779] = {.lex_state = 17, .external_lex_state = 2},
  [2780] = {.lex_state = 17, .external_lex_state = 2},
  [2781] = {.lex_state = 17, .external_lex_state = 2},
  [2782] = {.lex_state = 17, .external_lex_state = 2},
  [2783] = {.lex_state = 17, .external_lex_state = 2},
  [2784] = {.lex_state = 17, .external_lex_state = 2},
  [2785] = {.lex_state = 17, .external_lex_state = 2},
  [2786] = {.lex_state = 17, .external_lex_state = 2},
  [2787] = {.lex_state = 17, .external_lex_state = 2},
  [2788] = {.lex_state = 17, .external_lex_state = 2},
  [2789] = {.lex_state = 17, .external_lex_state = 2},
  [2790] = {.lex_state = 17, .external_lex_state = 2},
  [2791] = {.lex_state = 17, .external_lex_state = 2},
  [2792] = {.lex_state = 17, .external_lex_state = 2},
  [2793] = {.lex_state = 17, .external_lex_state = 2},
  [2794] = {.lex_state = 17, .external_lex_state = 2},
  [2795] = {.lex_state = 17, .external_lex_state = 2},
  [2796] = {.lex_state = 17, .external_lex_state = 2},
  [2797] = {.lex_state = 17, .external_lex_state = 2},
  [2798] = {.lex_state = 17, .external_lex_state = 2},
  [2799] = {.lex_state = 17, .external_lex_state = 2},
  [2800] = {.lex_state = 17, .external_lex_state = 2},
  [2801] = {.lex_state = 17, .external_lex_state = 2},
  [2802] = {.lex_state = 17, .external_lex_state = 2},
  [2803] = {.lex_state = 17, .external_lex_state = 2},
  [2804] = {.lex_state = 17, .external_lex_state = 2},
  [2805] = {.lex_state = 17, .external_lex_state = 2},
  [2806] = {.lex_state = 17, .external_lex_state = 2},
  [2807] = {.lex_state = 17, .external_lex_state = 2},
  [2808] = {.lex_state = 17, .external_lex_state = 2},
  [2809] = {.lex_state = 17, .external_lex_state = 2},
  [2810] = {.lex_state = 17, .external_lex_state = 2},
  [2811] = {.lex_state = 17, .external_lex_state = 2},
  [2812] = {.lex_state = 17, .external_lex_state = 2},
  [2813] = {.lex_state = 17, .external_lex_state = 2},
  [2814] = {.lex_state = 17, .external_lex_state = 2},
  [2815] = {.lex_state = 17, .external_lex_state = 2},
  [2816] = {.lex_state = 17, .external_lex_state = 2},
  [2817] = {.lex_state = 17, .external_lex_state = 2},
  [2818] = {.lex_state = 17, .external_lex_state = 2},
  [2819] = {.lex_state = 17, .external_lex_state = 2},
  [2820] = {.lex_state = 17, .external_lex_state = 2},
  [2821] = {.lex_state = 17, .external_lex_state = 2},
  [2822] = {.lex_state = 17, .external_lex_state = 2},
  [2823] = {.lex_state = 17, .external_lex_state = 2},
  [2824] = {.lex_state = 17, .external_lex_state = 2},
  [2825] = {.lex_state = 17, .external_lex_state = 2},
  [2826] = {.lex_state = 17, .external_lex_state = 2},
  [2827] = {.lex_state = 17, .external_lex_state = 2},
  [2828] = {.lex_state = 17, .external_lex_state = 2},
  [2829] = {.lex_state = 17, .external_lex_state = 2},
  [2830] = {.lex_state = 17, .external_lex_state = 2},
  [2831] = {.lex_state = 17, .external_lex_state = 2},
  [2832] = {.lex_state = 17, .external_lex_state = 2},
  [2833] = {.lex_state = 17, .external_lex_state = 2},
  [2834] = {.lex_state = 17, .external_lex_state = 2},
  [2835] = {.lex_state = 17, .external_lex_state = 2},
  [2836] = {.lex_state = 17, .external_lex_state = 2},
  [2837] = {.lex_state = 17, .external_lex_state = 2},
  [2838] = {.lex_state = 17, .external_lex_state = 2},
  [2839] = {.lex_state = 17, .external_lex_state = 2},
  [2840] = {.lex_state = 17, .external_lex_state = 2},
  [2841] = {.lex_state = 17, .external_lex_state = 2},
  [2842] = {.lex_state = 17, .external_lex_state = 2},
  [2843] = {.lex_state = 17, .external_lex_state = 2},
  [2844] = {.lex_state = 17, .external_lex_state = 2},
  [2845] = {.lex_state = 17, .external_lex_state = 2},
  [2846] = {.lex_state = 17, .external_lex_state = 2},
  [2847] = {.lex_state = 17, .external_lex_state = 2},
  [2848] = {.lex_state = 17, .external_lex_state = 2},
  [2849] = {.lex_state = 17, .external_lex_state = 2},
  [2850] = {.lex_state = 17, .external_lex_state = 2},
  [2851] = {.lex_state = 17, .external_lex_state = 2},
  [2852] = {.lex_state = 17, .external_lex_state = 2},
  [2853] = {.lex_state = 17, .external_lex_state = 2},
  [2854] = {.lex_state = 17, .external_lex_state = 2},
  [2855] = {.lex_state = 17, .external_lex_state = 2},
  [2856] = {.lex_state = 17, .external_lex_state = 2},
  [2857] = {.lex_state = 17, .external_lex_state = 2},
  [2858] = {.lex_state = 17, .external_lex_state = 2},
  [2859] = {.lex_state = 17, .external_lex_state = 2},
  [2860] = {.lex_state = 17, .external_lex_state = 2},
  [2861] = {.lex_state = 17, .external_lex_state = 2},
  [2862] = {.lex_state = 17, .external_lex_state = 2},
  [2863] = {.lex_state = 17, .external_lex_state = 2},
  [2864] = {.lex_state = 17, .external_lex_state = 2},
  [2865] = {.lex_state = 17, .external_lex_state = 2},
  [2866] = {.lex_state = 17, .external_lex_state = 2},
  [2867] = {.lex_state = 17, .external_lex_state = 2},
  [2868] = {.lex_state = 17, .external_lex_state = 2},
  [2869] = {.lex_state = 17, .external_lex_state = 2},
  [2870] = {.lex_state = 17, .external_lex_state = 2},
  [2871] = {.lex_state = 17, .external_lex_state = 2},
  [2872] = {.lex_state = 17, .external_lex_state = 2},
  [2873] = {.lex_state = 17, .external_lex_state = 2},
  [2874] = {.lex_state = 17, .external_lex_state = 2},
  [2875] = {.lex_state = 17, .external_lex_state = 2},
  [2876] = {.lex_state = 17, .external_lex_state = 2},
  [2877] = {.lex_state = 17, .external_lex_state = 2},
  [2878] = {.lex_state = 17, .external_lex_state = 2},
  [2879] = {.lex_state = 17, .external_lex_state = 2},
  [2880] = {.lex_state = 17, .external_lex_state = 2},
  [2881] = {.lex_state = 17, .external_lex_state = 2},
  [2882] = {.lex_state = 17, .external_lex_state = 2},
  [2883] = {.lex_state = 17, .external_lex_state = 2},
  [2884] = {.lex_state = 17, .external_lex_state = 2},
  [2885] = {.lex_state = 17, .external_lex_state = 2},
  [2886] = {.lex_state = 17, .external_lex_state = 2},
  [2887] = {.lex_state = 17, .external_lex_state = 2},
  [2888] = {.lex_state = 17, .external_lex_state = 2},
  [2889] = {.lex_state = 17, .external_lex_state = 2},
  [2890] = {.lex_state = 17, .external_lex_state = 2},
  [2891] = {.lex_state = 17, .external_lex_state = 2},
  [2892] = {.lex_state = 17, .external_lex_state = 2},
  [2893] = {.lex_state = 17, .external_lex_state = 2},
  [2894] = {.lex_state = 17, .external_lex_state = 2},
  [2895] = {.lex_state = 17, .external_lex_state = 2},
  [2896] = {.lex_state = 17, .external_lex_state = 2},
  [2897] = {.lex_state = 17, .external_lex_state = 2},
  [2898] = {.lex_state = 17, .external_lex_state = 2},
  [2899] = {.lex_state = 17, .external_lex_state = 2},
  [2900] = {.lex_state = 17, .external_lex_state = 2},
  [2901] = {.lex_state = 17, .external_lex_state = 2},
  [2902] = {.lex_state = 17, .external_lex_state = 2},
  [2903] = {.lex_state = 17, .external_lex_state = 2},
  [2904] = {.lex_state = 17, .external_lex_state = 2},
  [2905] = {.lex_state = 17, .external_lex_state = 2},
  [2906] = {.lex_state = 17, .external_lex_state = 2},
  [2907] = {.lex_state = 17, .external_lex_state = 2},
  [2908] = {.lex_state = 17, .external_lex_state = 2},
  [2909] = {.lex_state = 17, .external_lex_state = 2},
  [2910] = {.lex_state = 17, .external_lex_state = 2},
  [2911] = {.lex_state = 17, .external_lex_state = 2},
  [2912] = {.lex_state = 17, .external_lex_state = 2},
  [2913] = {.lex_state = 17, .external_lex_state = 2},
  [2914] = {.lex_state = 17, .external_lex_state = 2},
  [2915] = {.lex_state = 17, .external_lex_state = 2},
  [2916] = {.lex_state = 17, .external_lex_state = 2},
  [2917] = {.lex_state = 17, .external_lex_state = 2},
  [2918] = {.lex_state = 17, .external_lex_state = 2},
  [2919] = {.lex_state = 17, .external_lex_state = 2},
  [2920] = {.lex_state = 17, .external_lex_state = 2},
  [2921] = {.lex_state = 17, .external_lex_state = 2},
  [2922] = {.lex_state = 17, .external_lex_state = 2},
  [2923] = {.lex_state = 17, .external_lex_state = 2},
  [2924] = {.lex_state = 17, .external_lex_state = 2},
  [2925] = {.lex_state = 17, .external_lex_state = 2},
  [2926] = {.lex_state = 17, .external_lex_state = 2},
  [2927] = {.lex_state = 17, .external_lex_state = 2},
  [2928] = {.lex_state = 17, .external_lex_state = 2},
  [2929] = {.lex_state = 17, .external_lex_state = 2},
  [2930] = {.lex_state = 17, .external_lex_state = 2},
  [2931] = {.lex_state = 17, .external_lex_state = 2},
  [2932] = {.lex_state = 17, .external_lex_state = 2},
  [2933] = {.lex_state = 17, .external_lex_state = 2},
  [2934] = {.lex_state = 17, .external_lex_state = 2},
  [2935] = {.lex_state = 17, .external_lex_state = 2},
  [2936] = {.lex_state = 17, .external_lex_state = 2},
  [2937] = {.lex_state = 17, .external_lex_state = 2},
  [2938] = {.lex_state = 17, .external_lex_state = 2},
  [2939] = {.lex_state = 17, .external_lex_state = 2},
  [2940] = {.lex_state = 17, .external_lex_state = 2},
  [2941] = {.lex_state = 17, .external_lex_state = 2},
  [2942] = {.lex_state = 17, .external_lex_state = 2},
  [2943] = {.lex_state = 17, .external_lex_state = 2},
  [2944] = {.lex_state = 17, .external_lex_state = 2},
  [2945] = {.lex_state = 17, .external_lex_state = 2},
  [2946] = {.lex_state = 17, .external_lex_state = 2},
  [2947] = {.lex_state = 17, .external_lex_state = 2},
  [2948] = {.lex_state = 17, .external_lex_state = 2},
  [2949] = {.lex_state = 17, .external_lex_state = 2},
  [2950] = {.lex_state = 17, .external_lex_state = 2},
  [2951] = {.lex_state = 17, .external_lex_state = 2},
  [2952] = {.lex_state = 17, .external_lex_state = 2},
  [2953] = {.lex_state = 17, .external_lex_state = 2},
  [2954] = {.lex_state = 17, .external_lex_state = 2},
  [2955] = {.lex_state = 17, .external_lex_state = 2},
  [2956] = {.lex_state = 17, .external_lex_state = 2},
  [2957] = {.lex_state = 17, .external_lex_state = 2},
  [2958] = {.lex_state = 17, .external_lex_state = 2},
  [2959] = {.lex_state = 17, .external_lex_state = 2},
  [2960] = {.lex_state = 17, .external_lex_state = 2},
  [2961] = {.lex_state = 17, .external_lex_state = 2},
  [2962] = {.lex_state = 17, .external_lex_state = 2},
  [2963] = {.lex_state = 17, .external_lex_state = 2},
  [2964] = {.lex_state = 17, .external_lex_state = 2},
  [2965] = {.lex_state = 17, .external_lex_state = 2},
  [2966] = {.lex_state = 17, .external_lex_state = 2},
  [2967] = {.lex_state = 17, .external_lex_state = 2},
  [2968] = {.lex_state = 17, .external_lex_state = 2},
  [2969] = {.lex_state = 17, .external_lex_state = 2},
  [2970] = {.lex_state = 17, .external_lex_state = 2},
  [2971] = {.lex_state = 17, .external_lex_state = 2},
  [2972] = {.lex_state = 17, .external_lex_state = 2},
  [2973] = {.lex_state = 17, .external_lex_state = 2},
  [2974] = {.lex_state = 17, .external_lex_state = 2},
  [2975] = {.lex_state = 17, .external_lex_state = 2},
  [2976] = {.lex_state = 17, .external_lex_state = 2},
  [2977] = {.lex_state = 17, .external_lex_state = 2},
  [2978] = {.lex_state = 17, .external_lex_state = 2},
  [2979] = {.lex_state = 17, .external_lex_state = 2},
  [2980] = {.lex_state = 17, .external_lex_state = 2},
  [2981] = {.lex_state = 17, .external_lex_state = 2},
  [2982] = {.lex_state = 17, .external_lex_state = 2},
  [2983] = {.lex_state = 17, .external_lex_state = 2},
  [2984] = {.lex_state = 17, .external_lex_state = 2},
  [2985] = {.lex_state = 17, .external_lex_state = 2},
  [2986] = {.lex_state = 17, .external_lex_state = 2},
  [2987] = {.lex_state = 17, .external_lex_state = 2},
  [2988] = {.lex_state = 17, .external_lex_state = 2},
  [2989] = {.lex_state = 17, .external_lex_state = 2},
  [2990] = {.lex_state = 17, .external_lex_state = 2},
  [2991] = {.lex_state = 17, .external_lex_state = 2},
  [2992] = {.lex_state = 17, .external_lex_state = 2},
  [2993] = {.lex_state = 17, .external_lex_state = 2},
  [2994] = {.lex_state = 17, .external_lex_state = 2},
  [2995] = {.lex_state = 17, .external_lex_state = 2},
  [2996] = {.lex_state = 17, .external_lex_state = 2},
  [2997] = {.lex_state = 17, .external_lex_state = 2},
  [2998] = {.lex_state = 17, .external_lex_state = 2},
  [2999] = {.lex_state = 17, .external_lex_state = 2},
  [3000] = {.lex_state = 17, .external_lex_state = 2},
  [3001] = {.lex_state = 17, .external_lex_state = 2},
  [3002] = {.lex_state = 17, .external_lex_state = 2},
  [3003] = {.lex_state = 17, .external_lex_state = 2},
  [3004] = {.lex_state = 17, .external_lex_state = 2},
  [3005] = {.lex_state = 17, .external_lex_state = 2},
  [3006] = {.lex_state = 17, .external_lex_state = 2},
  [3007] = {.lex_state = 17, .external_lex_state = 2},
  [3008] = {.lex_state = 17, .external_lex_state = 2},
  [3009] = {.lex_state = 17, .external_lex_state = 2},
  [3010] = {.lex_state = 17, .external_lex_state = 2},
  [3011] = {.lex_state = 17, .external_lex_state = 2},
  [3012] = {.lex_state = 17, .external_lex_state = 2},
  [3013] = {.lex_state = 17, .external_lex_state = 2},
  [3014] = {.lex_state = 17, .external_lex_state = 2},
  [3015] = {.lex_state = 17, .external_lex_state = 2},
  [3016] = {.lex_state = 17, .external_lex_state = 2},
  [3017] = {.lex_state = 17, .external_lex_state = 2},
  [3018] = {.lex_state = 17, .external_lex_state = 2},
  [3019] = {.lex_state = 17, .external_lex_state = 2},
  [3020] = {.lex_state = 17, .external_lex_state = 2},
  [3021] = {.lex_state = 17, .external_lex_state = 2},
  [3022] = {.lex_state = 17, .external_lex_state = 2},
  [3023] = {.lex_state = 17, .external_lex_state = 2},
  [3024] = {.lex_state = 17, .external_lex_state = 2},
  [3025] = {.lex_state = 17, .external_lex_state = 2},
  [3026] = {.lex_state = 17, .external_lex_state = 2},
  [3027] = {.lex_state = 17, .external_lex_state = 2},
  [3028] = {.lex_state = 17, .external_lex_state = 2},
  [3029] = {.lex_state = 17, .external_lex_state = 2},
  [3030] = {.lex_state = 17, .external_lex_state = 2},
  [3031] = {.lex_state = 17, .external_lex_state = 2},
  [3032] = {.lex_state = 17, .external_lex_state = 2},
  [3033] = {.lex_state = 17, .external_lex_state = 2},
  [3034] = {.lex_state = 17, .external_lex_state = 2},
  [3035] = {.lex_state = 17, .external_lex_state = 2},
  [3036] = {.lex_state = 17, .external_lex_state = 2},
  [3037] = {.lex_state = 17, .external_lex_state = 2},
  [3038] = {.lex_state = 17, .external_lex_state = 2},
  [3039] = {.lex_state = 17, .external_lex_state = 2},
  [3040] = {.lex_state = 17, .external_lex_state = 2},
  [3041] = {.lex_state = 17, .external_lex_state = 2},
  [3042] = {.lex_state = 17, .external_lex_state = 2},
  [3043] = {.lex_state = 17, .external_lex_state = 2},
  [3044] = {.lex_state = 17, .external_lex_state = 2},
  [3045] = {.lex_state = 17, .external_lex_state = 2},
  [3046] = {.lex_state = 17, .external_lex_state = 2},
  [3047] = {.lex_state = 17, .external_lex_state = 2},
  [3048] = {.lex_state = 17, .external_lex_state = 2},
  [3049] = {.lex_state = 17, .external_lex_state = 2},
  [3050] = {.lex_state = 17, .external_lex_state = 2},
  [3051] = {.lex_state = 17, .external_lex_state = 2},
  [3052] = {.lex_state = 17, .external_lex_state = 2},
  [3053] = {.lex_state = 17, .external_lex_state = 2},
  [3054] = {.lex_state = 17, .external_lex_state = 2},
  [3055] = {.lex_state = 17, .external_lex_state = 2},
  [3056] = {.lex_state = 17, .external_lex_state = 2},
  [3057] = {.lex_state = 17, .external_lex_state = 2},
  [3058] = {.lex_state = 17, .external_lex_state = 2},
  [3059] = {.lex_state = 17, .external_lex_state = 2},
  [3060] = {.lex_state = 17, .external_lex_state = 2},
  [3061] = {.lex_state = 17, .external_lex_state = 2},
  [3062] = {.lex_state = 17, .external_lex_state = 2},
  [3063] = {.lex_state = 17, .external_lex_state = 2},
  [3064] = {.lex_state = 17, .external_lex_state = 2},
  [3065] = {.lex_state = 17, .external_lex_state = 2},
  [3066] = {.lex_state = 17, .external_lex_state = 2},
  [3067] = {.lex_state = 17, .external_lex_state = 2},
  [3068] = {.lex_state = 17, .external_lex_state = 2},
  [3069] = {.lex_state = 17, .external_lex_state = 2},
  [3070] = {.lex_state = 17, .external_lex_state = 2},
  [3071] = {.lex_state = 17, .external_lex_state = 2},
  [3072] = {.lex_state = 17, .external_lex_state = 2},
  [3073] = {.lex_state = 17, .external_lex_state = 2},
  [3074] = {.lex_state = 17, .external_lex_state = 2},
  [3075] = {.lex_state = 17, .external_lex_state = 2},
  [3076] = {.lex_state = 17, .external_lex_state = 2},
  [3077] = {.lex_state = 17, .external_lex_state = 2},
  [3078] = {.lex_state = 17, .external_lex_state = 2},
  [3079] = {.lex_state = 17, .external_lex_state = 2},
  [3080] = {.lex_state = 17, .external_lex_state = 2},
  [3081] = {.lex_state = 17, .external_lex_state = 2},
  [3082] = {.lex_state = 17, .external_lex_state = 2},
  [3083] = {.lex_state = 17, .external_lex_state = 2},
  [3084] = {.lex_state = 17, .external_lex_state = 2},
  [3085] = {.lex_state = 17, .external_lex_state = 2},
  [3086] = {.lex_state = 17, .external_lex_state = 2},
  [3087] = {.lex_state = 17, .external_lex_state = 2},
  [3088] = {.lex_state = 17, .external_lex_state = 2},
  [3089] = {.lex_state = 17, .external_lex_state = 2},
  [3090] = {.lex_state = 51, .external_lex_state = 8},
  [3091] = {.lex_state = 17, .external_lex_state = 2},
  [3092] = {.lex_state = 17, .external_lex_state = 2},
  [3093] = {.lex_state = 17, .external_lex_state = 2},
  [3094] = {.lex_state = 17, .external_lex_state = 2},
  [3095] = {.lex_state = 17, .external_lex_state = 2},
  [3096] = {.lex_state = 17, .external_lex_state = 2},
  [3097] = {.lex_state = 17, .external_lex_state = 2},
  [3098] = {.lex_state = 17, .external_lex_state = 2},
  [3099] = {.lex_state = 17, .external_lex_state = 2},
  [3100] = {.lex_state = 17, .external_lex_state = 2},
  [3101] = {.lex_state = 17, .external_lex_state = 2},
  [3102] = {.lex_state = 17, .external_lex_state = 2},
  [3103] = {.lex_state = 17, .external_lex_state = 2},
  [3104] = {.lex_state = 17, .external_lex_state = 2},
  [3105] = {.lex_state = 17, .external_lex_state = 2},
  [3106] = {.lex_state = 17, .external_lex_state = 2},
  [3107] = {.lex_state = 17, .external_lex_state = 2},
  [3108] = {.lex_state = 17, .external_lex_state = 2},
  [3109] = {.lex_state = 17, .external_lex_state = 2},
  [3110] = {.lex_state = 17, .external_lex_state = 2},
  [3111] = {.lex_state = 17, .external_lex_state = 2},
  [3112] = {.lex_state = 17, .external_lex_state = 2},
  [3113] = {.lex_state = 17, .external_lex_state = 2},
  [3114] = {.lex_state = 17, .external_lex_state = 2},
  [3115] = {.lex_state = 17, .external_lex_state = 2},
  [3116] = {.lex_state = 17, .external_lex_state = 2},
  [3117] = {.lex_state = 17, .external_lex_state = 2},
  [3118] = {.lex_state = 17, .external_lex_state = 2},
  [3119] = {.lex_state = 17, .external_lex_state = 2},
  [3120] = {.lex_state = 17, .external_lex_state = 2},
  [3121] = {.lex_state = 17, .external_lex_state = 2},
  [3122] = {.lex_state = 17, .external_lex_state = 2},
  [3123] = {.lex_state = 17, .external_lex_state = 2},
  [3124] = {.lex_state = 17, .external_lex_state = 2},
  [3125] = {.lex_state = 17, .external_lex_state = 2},
  [3126] = {.lex_state = 17, .external_lex_state = 2},
  [3127] = {.lex_state = 17, .external_lex_state = 2},
  [3128] = {.lex_state = 17, .external_lex_state = 2},
  [3129] = {.lex_state = 17, .external_lex_state = 2},
  [3130] = {.lex_state = 17, .external_lex_state = 2},
  [3131] = {.lex_state = 17, .external_lex_state = 2},
  [3132] = {.lex_state = 17, .external_lex_state = 2},
  [3133] = {.lex_state = 17, .external_lex_state = 2},
  [3134] = {.lex_state = 17, .external_lex_state = 2},
  [3135] = {.lex_state = 17, .external_lex_state = 2},
  [3136] = {.lex_state = 17, .external_lex_state = 2},
  [3137] = {.lex_state = 17, .external_lex_state = 2},
  [3138] = {.lex_state = 17, .external_lex_state = 2},
  [3139] = {.lex_state = 17, .external_lex_state = 2},
  [3140] = {.lex_state = 17, .external_lex_state = 2},
  [3141] = {.lex_state = 17, .external_lex_state = 2},
  [3142] = {.lex_state = 17, .external_lex_state = 2},
  [3143] = {.lex_state = 17, .external_lex_state = 2},
  [3144] = {.lex_state = 17, .external_lex_state = 2},
  [3145] = {.lex_state = 17, .external_lex_state = 2},
  [3146] = {.lex_state = 17, .external_lex_state = 2},
  [3147] = {.lex_state = 17, .external_lex_state = 2},
  [3148] = {.lex_state = 17, .external_lex_state = 2},
  [3149] = {.lex_state = 17, .external_lex_state = 2},
  [3150] = {.lex_state = 17, .external_lex_state = 2},
  [3151] = {.lex_state = 17, .external_lex_state = 2},
  [3152] = {.lex_state = 17, .external_lex_state = 2},
  [3153] = {.lex_state = 17, .external_lex_state = 2},
  [3154] = {.lex_state = 17, .external_lex_state = 2},
  [3155] = {.lex_state = 17, .external_lex_state = 2},
  [3156] = {.lex_state = 17, .external_lex_state = 2},
  [3157] = {.lex_state = 17, .external_lex_state = 2},
  [3158] = {.lex_state = 17, .external_lex_state = 2},
  [3159] = {.lex_state = 17, .external_lex_state = 2},
  [3160] = {.lex_state = 17, .external_lex_state = 2},
  [3161] = {.lex_state = 17, .external_lex_state = 2},
  [3162] = {.lex_state = 17, .external_lex_state = 2},
  [3163] = {.lex_state = 17, .external_lex_state = 2},
  [3164] = {.lex_state = 17, .external_lex_state = 2},
  [3165] = {.lex_state = 17, .external_lex_state = 2},
  [3166] = {.lex_state = 17, .external_lex_state = 2},
  [3167] = {.lex_state = 17, .external_lex_state = 2},
  [3168] = {.lex_state = 17, .external_lex_state = 2},
  [3169] = {.lex_state = 17, .external_lex_state = 2},
  [3170] = {.lex_state = 17, .external_lex_state = 2},
  [3171] = {.lex_state = 17, .external_lex_state = 2},
  [3172] = {.lex_state = 17, .external_lex_state = 2},
  [3173] = {.lex_state = 17, .external_lex_state = 2},
  [3174] = {.lex_state = 17, .external_lex_state = 2},
  [3175] = {.lex_state = 17, .external_lex_state = 2},
  [3176] = {.lex_state = 17, .external_lex_state = 2},
  [3177] = {.lex_state = 17, .external_lex_state = 2},
  [3178] = {.lex_state = 17, .external_lex_state = 2},
  [3179] = {.lex_state = 17, .external_lex_state = 2},
  [3180] = {.lex_state = 17, .external_lex_state = 2},
  [3181] = {.lex_state = 17, .external_lex_state = 2},
  [3182] = {.lex_state = 17, .external_lex_state = 2},
  [3183] = {.lex_state = 17, .external_lex_state = 2},
  [3184] = {.lex_state = 17, .external_lex_state = 2},
  [3185] = {.lex_state = 17, .external_lex_state = 2},
  [3186] = {.lex_state = 17, .external_lex_state = 2},
  [3187] = {.lex_state = 17, .external_lex_state = 2},
  [3188] = {.lex_state = 17, .external_lex_state = 2},
  [3189] = {.lex_state = 17, .external_lex_state = 2},
  [3190] = {.lex_state = 17, .external_lex_state = 2},
  [3191] = {.lex_state = 17, .external_lex_state = 2},
  [3192] = {.lex_state = 17, .external_lex_state = 2},
  [3193] = {.lex_state = 17, .external_lex_state = 2},
  [3194] = {.lex_state = 17, .external_lex_state = 2},
  [3195] = {.lex_state = 17, .external_lex_state = 2},
  [3196] = {.lex_state = 17, .external_lex_state = 2},
  [3197] = {.lex_state = 17, .external_lex_state = 2},
  [3198] = {.lex_state = 17, .external_lex_state = 2},
  [3199] = {.lex_state = 17, .external_lex_state = 2},
  [3200] = {.lex_state = 17, .external_lex_state = 2},
  [3201] = {.lex_state = 17, .external_lex_state = 2},
  [3202] = {.lex_state = 17, .external_lex_state = 2},
  [3203] = {.lex_state = 17, .external_lex_state = 2},
  [3204] = {.lex_state = 17, .external_lex_state = 2},
  [3205] = {.lex_state = 17, .external_lex_state = 2},
  [3206] = {.lex_state = 17, .external_lex_state = 2},
  [3207] = {.lex_state = 17, .external_lex_state = 2},
  [3208] = {.lex_state = 17, .external_lex_state = 2},
  [3209] = {.lex_state = 17, .external_lex_state = 2},
  [3210] = {.lex_state = 17, .external_lex_state = 2},
  [3211] = {.lex_state = 17, .external_lex_state = 2},
  [3212] = {.lex_state = 17, .external_lex_state = 2},
  [3213] = {.lex_state = 17, .external_lex_state = 2},
  [3214] = {.lex_state = 17, .external_lex_state = 2},
  [3215] = {.lex_state = 17, .external_lex_state = 2},
  [3216] = {.lex_state = 17, .external_lex_state = 2},
  [3217] = {.lex_state = 17, .external_lex_state = 2},
  [3218] = {.lex_state = 17, .external_lex_state = 2},
  [3219] = {.lex_state = 17, .external_lex_state = 2},
  [3220] = {.lex_state = 17, .external_lex_state = 2},
  [3221] = {.lex_state = 17, .external_lex_state = 2},
  [3222] = {.lex_state = 17, .external_lex_state = 2},
  [3223] = {.lex_state = 17, .external_lex_state = 2},
  [3224] = {.lex_state = 17, .external_lex_state = 2},
  [3225] = {.lex_state = 17, .external_lex_state = 2},
  [3226] = {.lex_state = 17, .external_lex_state = 2},
  [3227] = {.lex_state = 17, .external_lex_state = 2},
  [3228] = {.lex_state = 17, .external_lex_state = 2},
  [3229] = {.lex_state = 17, .external_lex_state = 2},
  [3230] = {.lex_state = 17, .external_lex_state = 2},
  [3231] = {.lex_state = 17, .external_lex_state = 2},
  [3232] = {.lex_state = 17, .external_lex_state = 2},
  [3233] = {.lex_state = 17, .external_lex_state = 2},
  [3234] = {.lex_state = 17, .external_lex_state = 2},
  [3235] = {.lex_state = 17, .external_lex_state = 2},
  [3236] = {.lex_state = 17, .external_lex_state = 2},
  [3237] = {.lex_state = 17, .external_lex_state = 2},
  [3238] = {.lex_state = 17, .external_lex_state = 2},
  [3239] = {.lex_state = 17, .external_lex_state = 2},
  [3240] = {.lex_state = 17, .external_lex_state = 2},
  [3241] = {.lex_state = 17, .external_lex_state = 2},
  [3242] = {.lex_state = 17, .external_lex_state = 2},
  [3243] = {.lex_state = 17, .external_lex_state = 2},
  [3244] = {.lex_state = 17, .external_lex_state = 2},
  [3245] = {.lex_state = 17, .external_lex_state = 2},
  [3246] = {.lex_state = 17, .external_lex_state = 2},
  [3247] = {.lex_state = 17, .external_lex_state = 2},
  [3248] = {.lex_state = 17, .external_lex_state = 2},
  [3249] = {.lex_state = 17, .external_lex_state = 2},
  [3250] = {.lex_state = 17, .external_lex_state = 2},
  [3251] = {.lex_state = 17, .external_lex_state = 2},
  [3252] = {.lex_state = 17, .external_lex_state = 2},
  [3253] = {.lex_state = 17, .external_lex_state = 2},
  [3254] = {.lex_state = 17, .external_lex_state = 2},
  [3255] = {.lex_state = 17, .external_lex_state = 2},
  [3256] = {.lex_state = 17, .external_lex_state = 2},
  [3257] = {.lex_state = 17, .external_lex_state = 2},
  [3258] = {.lex_state = 17, .external_lex_state = 2},
  [3259] = {.lex_state = 17, .external_lex_state = 2},
  [3260] = {.lex_state = 17, .external_lex_state = 2},
  [3261] = {.lex_state = 17, .external_lex_state = 2},
  [3262] = {.lex_state = 17, .external_lex_state = 2},
  [3263] = {.lex_state = 17, .external_lex_state = 2},
  [3264] = {.lex_state = 17, .external_lex_state = 2},
  [3265] = {.lex_state = 17, .external_lex_state = 2},
  [3266] = {.lex_state = 17, .external_lex_state = 2},
  [3267] = {.lex_state = 17, .external_lex_state = 2},
  [3268] = {.lex_state = 17, .external_lex_state = 2},
  [3269] = {.lex_state = 17, .external_lex_state = 2},
  [3270] = {.lex_state = 17, .external_lex_state = 2},
  [3271] = {.lex_state = 17, .external_lex_state = 2},
  [3272] = {.lex_state = 17, .external_lex_state = 2},
  [3273] = {.lex_state = 17, .external_lex_state = 2},
  [3274] = {.lex_state = 17, .external_lex_state = 2},
  [3275] = {.lex_state = 17, .external_lex_state = 2},
  [3276] = {.lex_state = 17, .external_lex_state = 2},
  [3277] = {.lex_state = 17, .external_lex_state = 2},
  [3278] = {.lex_state = 17, .external_lex_state = 2},
  [3279] = {.lex_state = 17, .external_lex_state = 2},
  [3280] = {.lex_state = 17, .external_lex_state = 2},
  [3281] = {.lex_state = 17, .external_lex_state = 2},
  [3282] = {.lex_state = 17, .external_lex_state = 2},
  [3283] = {.lex_state = 17, .external_lex_state = 2},
  [3284] = {.lex_state = 17, .external_lex_state = 2},
  [3285] = {.lex_state = 17, .external_lex_state = 2},
  [3286] = {.lex_state = 17, .external_lex_state = 2},
  [3287] = {.lex_state = 17, .external_lex_state = 2},
  [3288] = {.lex_state = 17, .external_lex_state = 2},
  [3289] = {.lex_state = 17, .external_lex_state = 2},
  [3290] = {.lex_state = 17, .external_lex_state = 2},
  [3291] = {.lex_state = 17, .external_lex_state = 2},
  [3292] = {.lex_state = 17, .external_lex_state = 2},
  [3293] = {.lex_state = 17, .external_lex_state = 2},
  [3294] = {.lex_state = 17, .external_lex_state = 2},
  [3295] = {.lex_state = 17, .external_lex_state = 2},
  [3296] = {.lex_state = 17, .external_lex_state = 2},
  [3297] = {.lex_state = 17, .external_lex_state = 2},
  [3298] = {.lex_state = 17, .external_lex_state = 2},
  [3299] = {.lex_state = 17, .external_lex_state = 2},
  [3300] = {.lex_state = 17, .external_lex_state = 2},
  [3301] = {.lex_state = 17, .external_lex_state = 2},
  [3302] = {.lex_state = 17, .external_lex_state = 2},
  [3303] = {.lex_state = 17, .external_lex_state = 2},
  [3304] = {.lex_state = 17, .external_lex_state = 2},
  [3305] = {.lex_state = 17, .external_lex_state = 2},
  [3306] = {.lex_state = 17, .external_lex_state = 2},
  [3307] = {.lex_state = 17, .external_lex_state = 2},
  [3308] = {.lex_state = 17, .external_lex_state = 2},
  [3309] = {.lex_state = 17, .external_lex_state = 2},
  [3310] = {.lex_state = 17, .external_lex_state = 2},
  [3311] = {.lex_state = 17, .external_lex_state = 2},
  [3312] = {.lex_state = 17, .external_lex_state = 2},
  [3313] = {.lex_state = 17, .external_lex_state = 2},
  [3314] = {.lex_state = 17, .external_lex_state = 2},
  [3315] = {.lex_state = 17, .external_lex_state = 2},
  [3316] = {.lex_state = 17, .external_lex_state = 2},
  [3317] = {.lex_state = 17, .external_lex_state = 2},
  [3318] = {.lex_state = 17, .external_lex_state = 2},
  [3319] = {.lex_state = 17, .external_lex_state = 2},
  [3320] = {.lex_state = 17, .external_lex_state = 2},
  [3321] = {.lex_state = 17, .external_lex_state = 2},
  [3322] = {.lex_state = 17, .external_lex_state = 2},
  [3323] = {.lex_state = 17, .external_lex_state = 2},
  [3324] = {.lex_state = 51, .external_lex_state = 7},
  [3325] = {.lex_state = 17, .external_lex_state = 2},
  [3326] = {.lex_state = 17, .external_lex_state = 2},
  [3327] = {.lex_state = 17, .external_lex_state = 2},
  [3328] = {.lex_state = 17, .external_lex_state = 2},
  [3329] = {.lex_state = 17, .external_lex_state = 2},
  [3330] = {.lex_state = 17, .external_lex_state = 2},
  [3331] = {.lex_state = 17, .external_lex_state = 2},
  [3332] = {.lex_state = 17, .external_lex_state = 2},
  [3333] = {.lex_state = 17, .external_lex_state = 2},
  [3334] = {.lex_state = 17, .external_lex_state = 2},
  [3335] = {.lex_state = 17, .external_lex_state = 2},
  [3336] = {.lex_state = 17, .external_lex_state = 2},
  [3337] = {.lex_state = 17, .external_lex_state = 2},
  [3338] = {.lex_state = 17, .external_lex_state = 2},
  [3339] = {.lex_state = 17, .external_lex_state = 2},
  [3340] = {.lex_state = 17, .external_lex_state = 2},
  [3341] = {.lex_state = 17, .external_lex_state = 2},
  [3342] = {.lex_state = 17, .external_lex_state = 2},
  [3343] = {.lex_state = 17, .external_lex_state = 2},
  [3344] = {.lex_state = 17, .external_lex_state = 2},
  [3345] = {.lex_state = 17, .external_lex_state = 2},
  [3346] = {.lex_state = 17, .external_lex_state = 2},
  [3347] = {.lex_state = 17, .external_lex_state = 2},
  [3348] = {.lex_state = 17, .external_lex_state = 2},
  [3349] = {.lex_state = 17, .external_lex_state = 2},
  [3350] = {.lex_state = 17, .external_lex_state = 2},
  [3351] = {.lex_state = 17, .external_lex_state = 2},
  [3352] = {.lex_state = 17, .external_lex_state = 2},
  [3353] = {.lex_state = 17, .external_lex_state = 2},
  [3354] = {.lex_state = 17, .external_lex_state = 2},
  [3355] = {.lex_state = 17, .external_lex_state = 2},
  [3356] = {.lex_state = 17, .external_lex_state = 2},
  [3357] = {.lex_state = 17, .external_lex_state = 2},
  [3358] = {.lex_state = 17, .external_lex_state = 2},
  [3359] = {.lex_state = 17, .external_lex_state = 2},
  [3360] = {.lex_state = 17, .external_lex_state = 2},
  [3361] = {.lex_state = 17, .external_lex_state = 2},
  [3362] = {.lex_state = 17, .external_lex_state = 2},
  [3363] = {.lex_state = 17, .external_lex_state = 2},
  [3364] = {.lex_state = 17, .external_lex_state = 2},
  [3365] = {.lex_state = 17, .external_lex_state = 2},
  [3366] = {.lex_state = 17, .external_lex_state = 2},
  [3367] = {.lex_state = 17, .external_lex_state = 2},
  [3368] = {.lex_state = 17, .external_lex_state = 2},
  [3369] = {.lex_state = 17, .external_lex_state = 2},
  [3370] = {.lex_state = 17, .external_lex_state = 2},
  [3371] = {.lex_state = 17, .external_lex_state = 2},
  [3372] = {.lex_state = 17, .external_lex_state = 2},
  [3373] = {.lex_state = 17, .external_lex_state = 2},
  [3374] = {.lex_state = 17, .external_lex_state = 2},
  [3375] = {.lex_state = 17, .external_lex_state = 2},
  [3376] = {.lex_state = 17, .external_lex_state = 2},
  [3377] = {.lex_state = 17, .external_lex_state = 2},
  [3378] = {.lex_state = 17, .external_lex_state = 2},
  [3379] = {.lex_state = 17, .external_lex_state = 2},
  [3380] = {.lex_state = 17, .external_lex_state = 2},
  [3381] = {.lex_state = 17, .external_lex_state = 2},
  [3382] = {.lex_state = 17, .external_lex_state = 2},
  [3383] = {.lex_state = 17, .external_lex_state = 2},
  [3384] = {.lex_state = 17, .external_lex_state = 2},
  [3385] = {.lex_state = 17, .external_lex_state = 2},
  [3386] = {.lex_state = 17, .external_lex_state = 2},
  [3387] = {.lex_state = 17, .external_lex_state = 2},
  [3388] = {.lex_state = 17, .external_lex_state = 2},
  [3389] = {.lex_state = 17, .external_lex_state = 2},
  [3390] = {.lex_state = 17, .external_lex_state = 2},
  [3391] = {.lex_state = 17, .external_lex_state = 2},
  [3392] = {.lex_state = 17, .external_lex_state = 2},
  [3393] = {.lex_state = 17, .external_lex_state = 2},
  [3394] = {.lex_state = 17, .external_lex_state = 2},
  [3395] = {.lex_state = 17, .external_lex_state = 2},
  [3396] = {.lex_state = 17, .external_lex_state = 2},
  [3397] = {.lex_state = 17, .external_lex_state = 2},
  [3398] = {.lex_state = 17, .external_lex_state = 2},
  [3399] = {.lex_state = 17, .external_lex_state = 2},
  [3400] = {.lex_state = 17, .external_lex_state = 2},
  [3401] = {.lex_state = 17, .external_lex_state = 2},
  [3402] = {.lex_state = 17, .external_lex_state = 2},
  [3403] = {.lex_state = 17, .external_lex_state = 2},
  [3404] = {.lex_state = 17, .external_lex_state = 2},
  [3405] = {.lex_state = 17, .external_lex_state = 2},
  [3406] = {.lex_state = 17, .external_lex_state = 2},
  [3407] = {.lex_state = 17, .external_lex_state = 2},
  [3408] = {.lex_state = 17, .external_lex_state = 2},
  [3409] = {.lex_state = 17, .external_lex_state = 2},
  [3410] = {.lex_state = 17, .external_lex_state = 2},
  [3411] = {.lex_state = 17, .external_lex_state = 2},
  [3412] = {.lex_state = 17, .external_lex_state = 2},
  [3413] = {.lex_state = 17, .external_lex_state = 2},
  [3414] = {.lex_state = 17, .external_lex_state = 2},
  [3415] = {.lex_state = 17, .external_lex_state = 2},
  [3416] = {.lex_state = 17, .external_lex_state = 2},
  [3417] = {.lex_state = 17, .external_lex_state = 2},
  [3418] = {.lex_state = 17, .external_lex_state = 2},
  [3419] = {.lex_state = 17, .external_lex_state = 2},
  [3420] = {.lex_state = 17, .external_lex_state = 2},
  [3421] = {.lex_state = 17, .external_lex_state = 2},
  [3422] = {.lex_state = 17, .external_lex_state = 2},
  [3423] = {.lex_state = 17, .external_lex_state = 2},
  [3424] = {.lex_state = 17, .external_lex_state = 2},
  [3425] = {.lex_state = 17, .external_lex_state = 2},
  [3426] = {.lex_state = 17, .external_lex_state = 2},
  [3427] = {.lex_state = 17, .external_lex_state = 2},
  [3428] = {.lex_state = 17, .external_lex_state = 2},
  [3429] = {.lex_state = 17, .external_lex_state = 2},
  [3430] = {.lex_state = 17, .external_lex_state = 2},
  [3431] = {.lex_state = 17, .external_lex_state = 2},
  [3432] = {.lex_state = 17, .external_lex_state = 2},
  [3433] = {.lex_state = 17, .external_lex_state = 2},
  [3434] = {.lex_state = 17, .external_lex_state = 2},
  [3435] = {.lex_state = 17, .external_lex_state = 2},
  [3436] = {.lex_state = 17, .external_lex_state = 2},
  [3437] = {.lex_state = 17, .external_lex_state = 2},
  [3438] = {.lex_state = 17, .external_lex_state = 2},
  [3439] = {.lex_state = 17, .external_lex_state = 2},
  [3440] = {.lex_state = 17, .external_lex_state = 2},
  [3441] = {.lex_state = 17, .external_lex_state = 2},
  [3442] = {.lex_state = 17, .external_lex_state = 2},
  [3443] = {.lex_state = 17, .external_lex_state = 2},
  [3444] = {.lex_state = 17, .external_lex_state = 2},
  [3445] = {.lex_state = 17, .external_lex_state = 2},
  [3446] = {.lex_state = 17, .external_lex_state = 2},
  [3447] = {.lex_state = 17, .external_lex_state = 2},
  [3448] = {.lex_state = 17, .external_lex_state = 2},
  [3449] = {.lex_state = 17, .external_lex_state = 2},
  [3450] = {.lex_state = 17, .external_lex_state = 2},
  [3451] = {.lex_state = 17, .external_lex_state = 2},
  [3452] = {.lex_state = 17, .external_lex_state = 2},
  [3453] = {.lex_state = 17, .external_lex_state = 2},
  [3454] = {.lex_state = 17, .external_lex_state = 2},
  [3455] = {.lex_state = 17, .external_lex_state = 2},
  [3456] = {.lex_state = 17, .external_lex_state = 2},
  [3457] = {.lex_state = 17, .external_lex_state = 2},
  [3458] = {.lex_state = 17, .external_lex_state = 2},
  [3459] = {.lex_state = 17, .external_lex_state = 2},
  [3460] = {.lex_state = 17, .external_lex_state = 2},
  [3461] = {.lex_state = 17, .external_lex_state = 2},
  [3462] = {.lex_state = 17, .external_lex_state = 2},
  [3463] = {.lex_state = 17, .external_lex_state = 2},
  [3464] = {.lex_state = 17, .external_lex_state = 2},
  [3465] = {.lex_state = 17, .external_lex_state = 2},
  [3466] = {.lex_state = 17, .external_lex_state = 2},
  [3467] = {.lex_state = 17, .external_lex_state = 2},
  [3468] = {.lex_state = 17, .external_lex_state = 2},
  [3469] = {.lex_state = 17, .external_lex_state = 2},
  [3470] = {.lex_state = 17, .external_lex_state = 2},
  [3471] = {.lex_state = 17, .external_lex_state = 2},
  [3472] = {.lex_state = 17, .external_lex_state = 2},
  [3473] = {.lex_state = 17, .external_lex_state = 2},
  [3474] = {.lex_state = 17, .external_lex_state = 2},
  [3475] = {.lex_state = 17, .external_lex_state = 2},
  [3476] = {.lex_state = 17, .external_lex_state = 2},
  [3477] = {.lex_state = 17, .external_lex_state = 2},
  [3478] = {.lex_state = 17, .external_lex_state = 2},
  [3479] = {.lex_state = 17, .external_lex_state = 2},
  [3480] = {.lex_state = 17, .external_lex_state = 2},
  [3481] = {.lex_state = 17, .external_lex_state = 2},
  [3482] = {.lex_state = 17, .external_lex_state = 2},
  [3483] = {.lex_state = 17, .external_lex_state = 2},
  [3484] = {.lex_state = 17, .external_lex_state = 2},
  [3485] = {.lex_state = 17, .external_lex_state = 2},
  [3486] = {.lex_state = 17, .external_lex_state = 2},
  [3487] = {.lex_state = 17, .external_lex_state = 2},
  [3488] = {.lex_state = 17, .external_lex_state = 2},
  [3489] = {.lex_state = 17, .external_lex_state = 2},
  [3490] = {.lex_state = 17, .external_lex_state = 2},
  [3491] = {.lex_state = 17, .external_lex_state = 2},
  [3492] = {.lex_state = 17, .external_lex_state = 2},
  [3493] = {.lex_state = 17, .external_lex_state = 2},
  [3494] = {.lex_state = 17, .external_lex_state = 2},
  [3495] = {.lex_state = 17, .external_lex_state = 2},
  [3496] = {.lex_state = 17, .external_lex_state = 2},
  [3497] = {.lex_state = 17, .external_lex_state = 2},
  [3498] = {.lex_state = 17, .external_lex_state = 2},
  [3499] = {.lex_state = 17, .external_lex_state = 2},
  [3500] = {.lex_state = 17, .external_lex_state = 2},
  [3501] = {.lex_state = 17, .external_lex_state = 2},
  [3502] = {.lex_state = 17, .external_lex_state = 2},
  [3503] = {.lex_state = 17, .external_lex_state = 2},
  [3504] = {.lex_state = 17, .external_lex_state = 2},
  [3505] = {.lex_state = 17, .external_lex_state = 2},
  [3506] = {.lex_state = 17, .external_lex_state = 2},
  [3507] = {.lex_state = 17, .external_lex_state = 2},
  [3508] = {.lex_state = 17, .external_lex_state = 2},
  [3509] = {.lex_state = 17, .external_lex_state = 2},
  [3510] = {.lex_state = 17, .external_lex_state = 2},
  [3511] = {.lex_state = 17, .external_lex_state = 2},
  [3512] = {.lex_state = 17, .external_lex_state = 2},
  [3513] = {.lex_state = 17, .external_lex_state = 2},
  [3514] = {.lex_state = 17, .external_lex_state = 2},
  [3515] = {.lex_state = 17, .external_lex_state = 2},
  [3516] = {.lex_state = 17, .external_lex_state = 2},
  [3517] = {.lex_state = 17, .external_lex_state = 2},
  [3518] = {.lex_state = 17, .external_lex_state = 2},
  [3519] = {.lex_state = 17, .external_lex_state = 2},
  [3520] = {.lex_state = 17, .external_lex_state = 2},
  [3521] = {.lex_state = 17, .external_lex_state = 2},
  [3522] = {.lex_state = 17, .external_lex_state = 2},
  [3523] = {.lex_state = 17, .external_lex_state = 2},
  [3524] = {.lex_state = 17, .external_lex_state = 2},
  [3525] = {.lex_state = 17, .external_lex_state = 2},
  [3526] = {.lex_state = 17, .external_lex_state = 2},
  [3527] = {.lex_state = 17, .external_lex_state = 2},
  [3528] = {.lex_state = 17, .external_lex_state = 2},
  [3529] = {.lex_state = 17, .external_lex_state = 2},
  [3530] = {.lex_state = 17, .external_lex_state = 2},
  [3531] = {.lex_state = 17, .external_lex_state = 2},
  [3532] = {.lex_state = 17, .external_lex_state = 2},
  [3533] = {.lex_state = 4, .external_lex_state = 19},
  [3534] = {.lex_state = 17, .external_lex_state = 2},
  [3535] = {.lex_state = 17, .external_lex_state = 2},
  [3536] = {.lex_state = 17, .external_lex_state = 2},
  [3537] = {.lex_state = 17, .external_lex_state = 2},
  [3538] = {.lex_state = 17, .external_lex_state = 2},
  [3539] = {.lex_state = 17, .external_lex_state = 2},
  [3540] = {.lex_state = 17, .external_lex_state = 2},
  [3541] = {.lex_state = 17, .external_lex_state = 2},
  [3542] = {.lex_state = 17, .external_lex_state = 2},
  [3543] = {.lex_state = 17, .external_lex_state = 2},
  [3544] = {.lex_state = 17, .external_lex_state = 2},
  [3545] = {.lex_state = 17, .external_lex_state = 2},
  [3546] = {.lex_state = 17, .external_lex_state = 2},
  [3547] = {.lex_state = 51, .external_lex_state = 9},
  [3548] = {.lex_state = 17, .external_lex_state = 2},
  [3549] = {.lex_state = 17, .external_lex_state = 2},
  [3550] = {.lex_state = 17, .external_lex_state = 2},
  [3551] = {.lex_state = 17, .external_lex_state = 2},
  [3552] = {.lex_state = 17, .external_lex_state = 2},
  [3553] = {.lex_state = 17, .external_lex_state = 2},
  [3554] = {.lex_state = 17, .external_lex_state = 2},
  [3555] = {.lex_state = 17, .external_lex_state = 2},
  [3556] = {.lex_state = 17, .external_lex_state = 2},
  [3557] = {.lex_state = 17, .external_lex_state = 2},
  [3558] = {.lex_state = 17, .external_lex_state = 2},
  [3559] = {.lex_state = 17, .external_lex_state = 2},
  [3560] = {.lex_state = 17, .external_lex_state = 2},
  [3561] = {.lex_state = 17, .external_lex_state = 2},
  [3562] = {.lex_state = 17, .external_lex_state = 2},
  [3563] = {.lex_state = 17, .external_lex_state = 2},
  [3564] = {.lex_state = 17, .external_lex_state = 2},
  [3565] = {.lex_state = 17, .external_lex_state = 2},
  [3566] = {.lex_state = 17, .external_lex_state = 2},
  [3567] = {.lex_state = 17, .external_lex_state = 2},
  [3568] = {.lex_state = 17, .external_lex_state = 2},
  [3569] = {.lex_state = 17, .external_lex_state = 2},
  [3570] = {.lex_state = 17, .external_lex_state = 2},
  [3571] = {.lex_state = 17, .external_lex_state = 2},
  [3572] = {.lex_state = 17, .external_lex_state = 2},
  [3573] = {.lex_state = 17, .external_lex_state = 2},
  [3574] = {.lex_state = 17, .external_lex_state = 2},
  [3575] = {.lex_state = 17, .external_lex_state = 2},
  [3576] = {.lex_state = 17, .external_lex_state = 2},
  [3577] = {.lex_state = 17, .external_lex_state = 2},
  [3578] = {.lex_state = 17, .external_lex_state = 2},
  [3579] = {.lex_state = 17, .external_lex_state = 2},
  [3580] = {.lex_state = 17, .external_lex_state = 2},
  [3581] = {.lex_state = 17, .external_lex_state = 2},
  [3582] = {.lex_state = 17, .external_lex_state = 2},
  [3583] = {.lex_state = 17, .external_lex_state = 2},
  [3584] = {.lex_state = 17, .external_lex_state = 2},
  [3585] = {.lex_state = 17, .external_lex_state = 2},
  [3586] = {.lex_state = 17, .external_lex_state = 2},
  [3587] = {.lex_state = 17, .external_lex_state = 2},
  [3588] = {.lex_state = 17, .external_lex_state = 2},
  [3589] = {.lex_state = 17, .external_lex_state = 2},
  [3590] = {.lex_state = 17, .external_lex_state = 2},
  [3591] = {.lex_state = 17, .external_lex_state = 2},
  [3592] = {.lex_state = 17, .external_lex_state = 2},
  [3593] = {.lex_state = 17, .external_lex_state = 2},
  [3594] = {.lex_state = 17, .external_lex_state = 2},
  [3595] = {.lex_state = 17, .external_lex_state = 2},
  [3596] = {.lex_state = 17, .external_lex_state = 2},
  [3597] = {.lex_state = 17, .external_lex_state = 2},
  [3598] = {.lex_state = 17, .external_lex_state = 2},
  [3599] = {.lex_state = 17, .external_lex_state = 2},
  [3600] = {.lex_state = 17, .external_lex_state = 2},
  [3601] = {.lex_state = 17, .external_lex_state = 2},
  [3602] = {.lex_state = 17, .external_lex_state = 2},
  [3603] = {.lex_state = 17, .external_lex_state = 2},
  [3604] = {.lex_state = 17, .external_lex_state = 2},
  [3605] = {.lex_state = 17, .external_lex_state = 2},
  [3606] = {.lex_state = 17, .external_lex_state = 2},
  [3607] = {.lex_state = 17, .external_lex_state = 2},
  [3608] = {.lex_state = 17, .external_lex_state = 2},
  [3609] = {.lex_state = 17, .external_lex_state = 2},
  [3610] = {.lex_state = 17, .external_lex_state = 2},
  [3611] = {.lex_state = 17, .external_lex_state = 2},
  [3612] = {.lex_state = 17, .external_lex_state = 2},
  [3613] = {.lex_state = 17, .external_lex_state = 2},
  [3614] = {.lex_state = 17, .external_lex_state = 2},
  [3615] = {.lex_state = 17, .external_lex_state = 2},
  [3616] = {.lex_state = 17, .external_lex_state = 2},
  [3617] = {.lex_state = 17, .external_lex_state = 2},
  [3618] = {.lex_state = 17, .external_lex_state = 2},
  [3619] = {.lex_state = 17, .external_lex_state = 2},
  [3620] = {.lex_state = 17, .external_lex_state = 2},
  [3621] = {.lex_state = 17, .external_lex_state = 2},
  [3622] = {.lex_state = 17, .external_lex_state = 2},
  [3623] = {.lex_state = 17, .external_lex_state = 2},
  [3624] = {.lex_state = 17, .external_lex_state = 2},
  [3625] = {.lex_state = 17, .external_lex_state = 2},
  [3626] = {.lex_state = 17, .external_lex_state = 2},
  [3627] = {.lex_state = 17, .external_lex_state = 2},
  [3628] = {.lex_state = 17, .external_lex_state = 2},
  [3629] = {.lex_state = 17, .external_lex_state = 2},
  [3630] = {.lex_state = 17, .external_lex_state = 2},
  [3631] = {.lex_state = 17, .external_lex_state = 2},
  [3632] = {.lex_state = 17, .external_lex_state = 2},
  [3633] = {.lex_state = 17, .external_lex_state = 2},
  [3634] = {.lex_state = 17, .external_lex_state = 2},
  [3635] = {.lex_state = 17, .external_lex_state = 2},
  [3636] = {.lex_state = 17, .external_lex_state = 2},
  [3637] = {.lex_state = 17, .external_lex_state = 2},
  [3638] = {.lex_state = 17, .external_lex_state = 2},
  [3639] = {.lex_state = 17, .external_lex_state = 2},
  [3640] = {.lex_state = 17, .external_lex_state = 2},
  [3641] = {.lex_state = 17, .external_lex_state = 2},
  [3642] = {.lex_state = 17, .external_lex_state = 2},
  [3643] = {.lex_state = 17, .external_lex_state = 2},
  [3644] = {.lex_state = 17, .external_lex_state = 2},
  [3645] = {.lex_state = 17, .external_lex_state = 2},
  [3646] = {.lex_state = 17, .external_lex_state = 2},
  [3647] = {.lex_state = 17, .external_lex_state = 2},
  [3648] = {.lex_state = 17, .external_lex_state = 2},
  [3649] = {.lex_state = 17, .external_lex_state = 2},
  [3650] = {.lex_state = 17, .external_lex_state = 2},
  [3651] = {.lex_state = 17, .external_lex_state = 2},
  [3652] = {.lex_state = 17, .external_lex_state = 2},
  [3653] = {.lex_state = 17, .external_lex_state = 2},
  [3654] = {.lex_state = 17, .external_lex_state = 2},
  [3655] = {.lex_state = 17, .external_lex_state = 2},
  [3656] = {.lex_state = 17, .external_lex_state = 2},
  [3657] = {.lex_state = 17, .external_lex_state = 2},
  [3658] = {.lex_state = 17, .external_lex_state = 2},
  [3659] = {.lex_state = 17, .external_lex_state = 2},
  [3660] = {.lex_state = 17, .external_lex_state = 2},
  [3661] = {.lex_state = 17, .external_lex_state = 2},
  [3662] = {.lex_state = 17, .external_lex_state = 2},
  [3663] = {.lex_state = 17, .external_lex_state = 2},
  [3664] = {.lex_state = 17, .external_lex_state = 2},
  [3665] = {.lex_state = 17, .external_lex_state = 2},
  [3666] = {.lex_state = 17, .external_lex_state = 2},
  [3667] = {.lex_state = 17, .external_lex_state = 2},
  [3668] = {.lex_state = 17, .external_lex_state = 2},
  [3669] = {.lex_state = 17, .external_lex_state = 2},
  [3670] = {.lex_state = 17, .external_lex_state = 2},
  [3671] = {.lex_state = 51, .external_lex_state = 11},
  [3672] = {.lex_state = 17, .external_lex_state = 2},
  [3673] = {.lex_state = 17, .external_lex_state = 2},
  [3674] = {.lex_state = 17, .external_lex_state = 2},
  [3675] = {.lex_state = 17, .external_lex_state = 2},
  [3676] = {.lex_state = 17, .external_lex_state = 2},
  [3677] = {.lex_state = 17, .external_lex_state = 2},
  [3678] = {.lex_state = 17, .external_lex_state = 2},
  [3679] = {.lex_state = 17, .external_lex_state = 2},
  [3680] = {.lex_state = 17, .external_lex_state = 2},
  [3681] = {.lex_state = 17, .external_lex_state = 2},
  [3682] = {.lex_state = 17, .external_lex_state = 2},
  [3683] = {.lex_state = 17, .external_lex_state = 2},
  [3684] = {.lex_state = 17, .external_lex_state = 2},
  [3685] = {.lex_state = 17, .external_lex_state = 2},
  [3686] = {.lex_state = 17, .external_lex_state = 2},
  [3687] = {.lex_state = 17, .external_lex_state = 2},
  [3688] = {.lex_state = 17, .external_lex_state = 2},
  [3689] = {.lex_state = 17, .external_lex_state = 2},
  [3690] = {.lex_state = 17, .external_lex_state = 2},
  [3691] = {.lex_state = 17, .external_lex_state = 2},
  [3692] = {.lex_state = 17, .external_lex_state = 2},
  [3693] = {.lex_state = 17, .external_lex_state = 2},
  [3694] = {.lex_state = 17, .external_lex_state = 2},
  [3695] = {.lex_state = 17, .external_lex_state = 2},
  [3696] = {.lex_state = 17, .external_lex_state = 2},
  [3697] = {.lex_state = 17, .external_lex_state = 2},
  [3698] = {.lex_state = 17, .external_lex_state = 2},
  [3699] = {.lex_state = 17, .external_lex_state = 2},
  [3700] = {.lex_state = 17, .external_lex_state = 2},
  [3701] = {.lex_state = 17, .external_lex_state = 2},
  [3702] = {.lex_state = 17, .external_lex_state = 2},
  [3703] = {.lex_state = 17, .external_lex_state = 2},
  [3704] = {.lex_state = 17, .external_lex_state = 2},
  [3705] = {.lex_state = 17, .external_lex_state = 2},
  [3706] = {.lex_state = 17, .external_lex_state = 2},
  [3707] = {.lex_state = 17, .external_lex_state = 2},
  [3708] = {.lex_state = 17, .external_lex_state = 2},
  [3709] = {.lex_state = 17, .external_lex_state = 2},
  [3710] = {.lex_state = 17, .external_lex_state = 2},
  [3711] = {.lex_state = 17, .external_lex_state = 2},
  [3712] = {.lex_state = 17, .external_lex_state = 2},
  [3713] = {.lex_state = 17, .external_lex_state = 2},
  [3714] = {.lex_state = 17, .external_lex_state = 2},
  [3715] = {.lex_state = 17, .external_lex_state = 2},
  [3716] = {.lex_state = 17, .external_lex_state = 2},
  [3717] = {.lex_state = 17, .external_lex_state = 2},
  [3718] = {.lex_state = 51, .external_lex_state = 12},
  [3719] = {.lex_state = 17, .external_lex_state = 2},
  [3720] = {.lex_state = 17, .external_lex_state = 2},
  [3721] = {.lex_state = 17, .external_lex_state = 2},
  [3722] = {.lex_state = 17, .external_lex_state = 2},
  [3723] = {.lex_state = 17, .external_lex_state = 2},
  [3724] = {.lex_state = 17, .external_lex_state = 2},
  [3725] = {.lex_state = 17, .external_lex_state = 2},
  [3726] = {.lex_state = 17, .external_lex_state = 2},
  [3727] = {.lex_state = 17, .external_lex_state = 2},
  [3728] = {.lex_state = 17, .external_lex_state = 2},
  [3729] = {.lex_state = 17, .external_lex_state = 2},
  [3730] = {.lex_state = 17, .external_lex_state = 2},
  [3731] = {.lex_state = 17, .external_lex_state = 2},
  [3732] = {.lex_state = 17, .external_lex_state = 2},
  [3733] = {.lex_state = 17, .external_lex_state = 2},
  [3734] = {.lex_state = 17, .external_lex_state = 2},
  [3735] = {.lex_state = 17, .external_lex_state = 2},
  [3736] = {.lex_state = 17, .external_lex_state = 2},
  [3737] = {.lex_state = 17, .external_lex_state = 2},
  [3738] = {.lex_state = 17, .external_lex_state = 2},
  [3739] = {.lex_state = 17, .external_lex_state = 2},
  [3740] = {.lex_state = 17, .external_lex_state = 2},
  [3741] = {.lex_state = 17, .external_lex_state = 2},
  [3742] = {.lex_state = 17, .external_lex_state = 2},
  [3743] = {.lex_state = 17, .external_lex_state = 2},
  [3744] = {.lex_state = 17, .external_lex_state = 2},
  [3745] = {.lex_state = 17, .external_lex_state = 2},
  [3746] = {.lex_state = 17, .external_lex_state = 2},
  [3747] = {.lex_state = 17, .external_lex_state = 2},
  [3748] = {.lex_state = 17, .external_lex_state = 2},
  [3749] = {.lex_state = 17, .external_lex_state = 2},
  [3750] = {.lex_state = 17, .external_lex_state = 2},
  [3751] = {.lex_state = 17, .external_lex_state = 2},
  [3752] = {.lex_state = 17, .external_lex_state = 2},
  [3753] = {.lex_state = 17, .external_lex_state = 2},
  [3754] = {.lex_state = 17, .external_lex_state = 2},
  [3755] = {.lex_state = 17, .external_lex_state = 2},
  [3756] = {.lex_state = 17, .external_lex_state = 2},
  [3757] = {.lex_state = 17, .external_lex_state = 2},
  [3758] = {.lex_state = 17, .external_lex_state = 2},
  [3759] = {.lex_state = 17, .external_lex_state = 2},
  [3760] = {.lex_state = 17, .external_lex_state = 2},
  [3761] = {.lex_state = 17, .external_lex_state = 2},
  [3762] = {.lex_state = 17, .external_lex_state = 2},
  [3763] = {.lex_state = 17, .external_lex_state = 2},
  [3764] = {.lex_state = 17, .external_lex_state = 2},
  [3765] = {.lex_state = 17, .external_lex_state = 2},
  [3766] = {.lex_state = 17, .external_lex_state = 2},
  [3767] = {.lex_state = 17, .external_lex_state = 2},
  [3768] = {.lex_state = 17, .external_lex_state = 2},
  [3769] = {.lex_state = 17, .external_lex_state = 2},
  [3770] = {.lex_state = 17, .external_lex_state = 2},
  [3771] = {.lex_state = 17, .external_lex_state = 2},
  [3772] = {.lex_state = 17, .external_lex_state = 2},
  [3773] = {.lex_state = 17, .external_lex_state = 2},
  [3774] = {.lex_state = 17, .external_lex_state = 2},
  [3775] = {.lex_state = 17, .external_lex_state = 2},
  [3776] = {.lex_state = 17, .external_lex_state = 2},
  [3777] = {.lex_state = 17, .external_lex_state = 2},
  [3778] = {.lex_state = 17, .external_lex_state = 2},
  [3779] = {.lex_state = 17, .external_lex_state = 2},
  [3780] = {.lex_state = 17, .external_lex_state = 2},
  [3781] = {.lex_state = 17, .external_lex_state = 2},
  [3782] = {.lex_state = 17, .external_lex_state = 2},
  [3783] = {.lex_state = 17, .external_lex_state = 2},
  [3784] = {.lex_state = 17, .external_lex_state = 2},
  [3785] = {.lex_state = 17, .external_lex_state = 2},
  [3786] = {.lex_state = 17, .external_lex_state = 2},
  [3787] = {.lex_state = 17, .external_lex_state = 2},
  [3788] = {.lex_state = 17, .external_lex_state = 2},
  [3789] = {.lex_state = 17, .external_lex_state = 2},
  [3790] = {.lex_state = 17, .external_lex_state = 2},
  [3791] = {.lex_state = 17, .external_lex_state = 2},
  [3792] = {.lex_state = 17, .external_lex_state = 2},
  [3793] = {.lex_state = 17, .external_lex_state = 2},
  [3794] = {.lex_state = 17, .external_lex_state = 2},
  [3795] = {.lex_state = 17, .external_lex_state = 2},
  [3796] = {.lex_state = 17, .external_lex_state = 2},
  [3797] = {.lex_state = 17, .external_lex_state = 2},
  [3798] = {.lex_state = 17, .external_lex_state = 2},
  [3799] = {.lex_state = 17, .external_lex_state = 2},
  [3800] = {.lex_state = 17, .external_lex_state = 2},
  [3801] = {.lex_state = 17, .external_lex_state = 2},
  [3802] = {.lex_state = 17, .external_lex_state = 2},
  [3803] = {.lex_state = 17, .external_lex_state = 2},
  [3804] = {.lex_state = 17, .external_lex_state = 2},
  [3805] = {.lex_state = 17, .external_lex_state = 2},
  [3806] = {.lex_state = 17, .external_lex_state = 2},
  [3807] = {.lex_state = 17, .external_lex_state = 2},
  [3808] = {.lex_state = 17, .external_lex_state = 2},
  [3809] = {.lex_state = 17, .external_lex_state = 2},
  [3810] = {.lex_state = 17, .external_lex_state = 2},
  [3811] = {.lex_state = 17, .external_lex_state = 2},
  [3812] = {.lex_state = 17, .external_lex_state = 2},
  [3813] = {.lex_state = 17, .external_lex_state = 2},
  [3814] = {.lex_state = 17, .external_lex_state = 2},
  [3815] = {.lex_state = 17, .external_lex_state = 2},
  [3816] = {.lex_state = 17, .external_lex_state = 2},
  [3817] = {.lex_state = 17, .external_lex_state = 2},
  [3818] = {.lex_state = 17, .external_lex_state = 2},
  [3819] = {.lex_state = 17, .external_lex_state = 2},
  [3820] = {.lex_state = 17, .external_lex_state = 2},
  [3821] = {.lex_state = 17, .external_lex_state = 2},
  [3822] = {.lex_state = 17, .external_lex_state = 2},
  [3823] = {.lex_state = 17, .external_lex_state = 2},
  [3824] = {.lex_state = 17, .external_lex_state = 2},
  [3825] = {.lex_state = 17, .external_lex_state = 2},
  [3826] = {.lex_state = 17, .external_lex_state = 2},
  [3827] = {.lex_state = 17, .external_lex_state = 2},
  [3828] = {.lex_state = 17, .external_lex_state = 2},
  [3829] = {.lex_state = 17, .external_lex_state = 2},
  [3830] = {.lex_state = 17, .external_lex_state = 2},
  [3831] = {.lex_state = 17, .external_lex_state = 2},
  [3832] = {.lex_state = 17, .external_lex_state = 2},
  [3833] = {.lex_state = 17, .external_lex_state = 2},
  [3834] = {.lex_state = 17, .external_lex_state = 2},
  [3835] = {.lex_state = 17, .external_lex_state = 2},
  [3836] = {.lex_state = 17, .external_lex_state = 2},
  [3837] = {.lex_state = 17, .external_lex_state = 2},
  [3838] = {.lex_state = 17, .external_lex_state = 2},
  [3839] = {.lex_state = 17, .external_lex_state = 2},
  [3840] = {.lex_state = 17, .external_lex_state = 2},
  [3841] = {.lex_state = 17, .external_lex_state = 2},
  [3842] = {.lex_state = 17, .external_lex_state = 2},
  [3843] = {.lex_state = 17, .external_lex_state = 2},
  [3844] = {.lex_state = 17, .external_lex_state = 2},
  [3845] = {.lex_state = 17, .external_lex_state = 2},
  [3846] = {.lex_state = 17, .external_lex_state = 2},
  [3847] = {.lex_state = 17, .external_lex_state = 2},
  [3848] = {.lex_state = 17, .external_lex_state = 2},
  [3849] = {.lex_state = 17, .external_lex_state = 2},
  [3850] = {.lex_state = 17, .external_lex_state = 2},
  [3851] = {.lex_state = 17, .external_lex_state = 2},
  [3852] = {.lex_state = 17, .external_lex_state = 2},
  [3853] = {.lex_state = 17, .external_lex_state = 2},
  [3854] = {.lex_state = 17, .external_lex_state = 2},
  [3855] = {.lex_state = 17, .external_lex_state = 2},
  [3856] = {.lex_state = 17, .external_lex_state = 2},
  [3857] = {.lex_state = 17, .external_lex_state = 2},
  [3858] = {.lex_state = 51, .external_lex_state = 10},
  [3859] = {.lex_state = 17, .external_lex_state = 2},
  [3860] = {.lex_state = 17, .external_lex_state = 2},
  [3861] = {.lex_state = 17, .external_lex_state = 2},
  [3862] = {.lex_state = 17, .external_lex_state = 2},
  [3863] = {.lex_state = 17, .external_lex_state = 2},
  [3864] = {.lex_state = 17, .external_lex_state = 2},
  [3865] = {.lex_state = 17, .external_lex_state = 2},
  [3866] = {.lex_state = 17, .external_lex_state = 2},
  [3867] = {.lex_state = 17, .external_lex_state = 2},
  [3868] = {.lex_state = 17, .external_lex_state = 2},
  [3869] = {.lex_state = 17, .external_lex_state = 2},
  [3870] = {.lex_state = 17, .external_lex_state = 2},
  [3871] = {.lex_state = 17, .external_lex_state = 2},
  [3872] = {.lex_state = 17, .external_lex_state = 2},
  [3873] = {.lex_state = 17, .external_lex_state = 2},
  [3874] = {.lex_state = 17, .external_lex_state = 2},
  [3875] = {.lex_state = 17, .external_lex_state = 2},
  [3876] = {.lex_state = 17, .external_lex_state = 2},
  [3877] = {.lex_state = 17, .external_lex_state = 2},
  [3878] = {.lex_state = 17, .external_lex_state = 2},
  [3879] = {.lex_state = 17, .external_lex_state = 2},
  [3880] = {.lex_state = 17, .external_lex_state = 2},
  [3881] = {.lex_state = 17, .external_lex_state = 2},
  [3882] = {.lex_state = 17, .external_lex_state = 2},
  [3883] = {.lex_state = 17, .external_lex_state = 2},
  [3884] = {.lex_state = 17, .external_lex_state = 2},
  [3885] = {.lex_state = 17, .external_lex_state = 2},
  [3886] = {.lex_state = 17, .external_lex_state = 2},
  [3887] = {.lex_state = 17, .external_lex_state = 2},
  [3888] = {.lex_state = 17, .external_lex_state = 2},
  [3889] = {.lex_state = 17, .external_lex_state = 2},
  [3890] = {.lex_state = 17, .external_lex_state = 2},
  [3891] = {.lex_state = 17, .external_lex_state = 2},
  [3892] = {.lex_state = 17, .external_lex_state = 2},
  [3893] = {.lex_state = 17, .external_lex_state = 2},
  [3894] = {.lex_state = 17, .external_lex_state = 2},
  [3895] = {.lex_state = 17, .external_lex_state = 2},
  [3896] = {.lex_state = 17, .external_lex_state = 2},
  [3897] = {.lex_state = 17, .external_lex_state = 2},
  [3898] = {.lex_state = 17, .external_lex_state = 2},
  [3899] = {.lex_state = 17, .external_lex_state = 2},
  [3900] = {.lex_state = 17, .external_lex_state = 2},
  [3901] = {.lex_state = 17, .external_lex_state = 2},
  [3902] = {.lex_state = 17, .external_lex_state = 2},
  [3903] = {.lex_state = 17, .external_lex_state = 2},
  [3904] = {.lex_state = 17, .external_lex_state = 2},
  [3905] = {.lex_state = 17, .external_lex_state = 2},
  [3906] = {.lex_state = 17, .external_lex_state = 2},
  [3907] = {.lex_state = 17, .external_lex_state = 2},
  [3908] = {.lex_state = 17, .external_lex_state = 2},
  [3909] = {.lex_state = 17, .external_lex_state = 2},
  [3910] = {.lex_state = 17, .external_lex_state = 2},
  [3911] = {.lex_state = 17, .external_lex_state = 2},
  [3912] = {.lex_state = 17, .external_lex_state = 2},
  [3913] = {.lex_state = 17, .external_lex_state = 2},
  [3914] = {.lex_state = 17, .external_lex_state = 2},
  [3915] = {.lex_state = 17, .external_lex_state = 2},
  [3916] = {.lex_state = 17, .external_lex_state = 2},
  [3917] = {.lex_state = 17, .external_lex_state = 2},
  [3918] = {.lex_state = 17, .external_lex_state = 2},
  [3919] = {.lex_state = 17, .external_lex_state = 2},
  [3920] = {.lex_state = 17, .external_lex_state = 2},
  [3921] = {.lex_state = 17, .external_lex_state = 2},
  [3922] = {.lex_state = 17, .external_lex_state = 2},
  [3923] = {.lex_state = 17, .external_lex_state = 2},
  [3924] = {.lex_state = 17, .external_lex_state = 2},
  [3925] = {.lex_state = 17, .external_lex_state = 2},
  [3926] = {.lex_state = 17, .external_lex_state = 2},
  [3927] = {.lex_state = 17, .external_lex_state = 2},
  [3928] = {.lex_state = 17, .external_lex_state = 2},
  [3929] = {.lex_state = 17, .external_lex_state = 2},
  [3930] = {.lex_state = 17, .external_lex_state = 2},
  [3931] = {.lex_state = 17, .external_lex_state = 2},
  [3932] = {.lex_state = 17, .external_lex_state = 2},
  [3933] = {.lex_state = 17, .external_lex_state = 2},
  [3934] = {.lex_state = 17, .external_lex_state = 2},
  [3935] = {.lex_state = 17, .external_lex_state = 2},
  [3936] = {.lex_state = 17, .external_lex_state = 2},
  [3937] = {.lex_state = 17, .external_lex_state = 2},
  [3938] = {.lex_state = 17, .external_lex_state = 2},
  [3939] = {.lex_state = 17, .external_lex_state = 2},
  [3940] = {.lex_state = 17, .external_lex_state = 2},
  [3941] = {.lex_state = 17, .external_lex_state = 2},
  [3942] = {.lex_state = 17, .external_lex_state = 2},
  [3943] = {.lex_state = 17, .external_lex_state = 2},
  [3944] = {.lex_state = 17, .external_lex_state = 2},
  [3945] = {.lex_state = 17, .external_lex_state = 2},
  [3946] = {.lex_state = 17, .external_lex_state = 2},
  [3947] = {.lex_state = 17, .external_lex_state = 2},
  [3948] = {.lex_state = 17, .external_lex_state = 2},
  [3949] = {.lex_state = 17, .external_lex_state = 2},
  [3950] = {.lex_state = 17, .external_lex_state = 2},
  [3951] = {.lex_state = 17, .external_lex_state = 2},
  [3952] = {.lex_state = 17, .external_lex_state = 2},
  [3953] = {.lex_state = 17, .external_lex_state = 2},
  [3954] = {.lex_state = 17, .external_lex_state = 2},
  [3955] = {.lex_state = 17, .external_lex_state = 2},
  [3956] = {.lex_state = 17, .external_lex_state = 2},
  [3957] = {.lex_state = 17, .external_lex_state = 2},
  [3958] = {.lex_state = 17, .external_lex_state = 2},
  [3959] = {.lex_state = 17, .external_lex_state = 2},
  [3960] = {.lex_state = 17, .external_lex_state = 2},
  [3961] = {.lex_state = 17, .external_lex_state = 2},
  [3962] = {.lex_state = 17, .external_lex_state = 2},
  [3963] = {.lex_state = 17, .external_lex_state = 2},
  [3964] = {.lex_state = 17, .external_lex_state = 2},
  [3965] = {.lex_state = 17, .external_lex_state = 2},
  [3966] = {.lex_state = 17, .external_lex_state = 2},
  [3967] = {.lex_state = 17, .external_lex_state = 2},
  [3968] = {.lex_state = 17, .external_lex_state = 2},
  [3969] = {.lex_state = 17, .external_lex_state = 2},
  [3970] = {.lex_state = 17, .external_lex_state = 2},
  [3971] = {.lex_state = 17, .external_lex_state = 2},
  [3972] = {.lex_state = 17, .external_lex_state = 2},
  [3973] = {.lex_state = 17, .external_lex_state = 2},
  [3974] = {.lex_state = 17, .external_lex_state = 2},
  [3975] = {.lex_state = 17, .external_lex_state = 2},
  [3976] = {.lex_state = 17, .external_lex_state = 2},
  [3977] = {.lex_state = 17, .external_lex_state = 2},
  [3978] = {.lex_state = 17, .external_lex_state = 2},
  [3979] = {.lex_state = 17, .external_lex_state = 2},
  [3980] = {.lex_state = 17, .external_lex_state = 2},
  [3981] = {.lex_state = 17, .external_lex_state = 2},
  [3982] = {.lex_state = 17, .external_lex_state = 2},
  [3983] = {.lex_state = 17, .external_lex_state = 2},
  [3984] = {.lex_state = 17, .external_lex_state = 2},
  [3985] = {.lex_state = 17, .external_lex_state = 2},
  [3986] = {.lex_state = 17, .external_lex_state = 2},
  [3987] = {.lex_state = 17, .external_lex_state = 2},
  [3988] = {.lex_state = 17, .external_lex_state = 2},
  [3989] = {.lex_state = 17, .external_lex_state = 2},
  [3990] = {.lex_state = 17, .external_lex_state = 2},
  [3991] = {.lex_state = 17, .external_lex_state = 2},
  [3992] = {.lex_state = 17, .external_lex_state = 2},
  [3993] = {.lex_state = 17, .external_lex_state = 2},
  [3994] = {.lex_state = 17, .external_lex_state = 2},
  [3995] = {.lex_state = 17, .external_lex_state = 2},
  [3996] = {.lex_state = 17, .external_lex_state = 2},
  [3997] = {.lex_state = 17, .external_lex_state = 2},
  [3998] = {.lex_state = 17, .external_lex_state = 2},
  [3999] = {.lex_state = 17, .external_lex_state = 2},
  [4000] = {.lex_state = 17, .external_lex_state = 2},
  [4001] = {.lex_state = 17, .external_lex_state = 2},
  [4002] = {.lex_state = 17, .external_lex_state = 2},
  [4003] = {.lex_state = 17, .external_lex_state = 2},
  [4004] = {.lex_state = 17, .external_lex_state = 2},
  [4005] = {.lex_state = 17, .external_lex_state = 2},
  [4006] = {.lex_state = 51, .external_lex_state = 14},
  [4007] = {.lex_state = 51, .external_lex_state = 13},
  [4008] = {.lex_state = 51, .external_lex_state = 6},
  [4009] = {.lex_state = 2, .external_lex_state = 24},
  [4010] = {.lex_state = 51, .external_lex_state = 15},
  [4011] = {.lex_state = 51, .external_lex_state = 20},
  [4012] = {.lex_state = 51, .external_lex_state = 16},
  [4013] = {.lex_state = 4, .external_lex_state = 2},
  [4014] = {.lex_state = 51, .external_lex_state = 18},
  [4015] = {.lex_state = 51, .external_lex_state = 7},
  [4016] = {.lex_state = 51, .external_lex_state = 8},
  [4017] = {.lex_state = 51, .external_lex_state = 17},
  [4018] = {.lex_state = 17, .external_lex_state = 3},
  [4019] = {.lex_state = 17, .external_lex_state = 3},
  [4020] = {.lex_state = 17, .external_lex_state = 3},
  [4021] = {.lex_state = 17, .external_lex_state = 3},
  [4022] = {.lex_state = 17, .external_lex_state = 3},
  [4023] = {.lex_state = 17, .external_lex_state = 3},
  [4024] = {.lex_state = 17, .external_lex_state = 3},
  [4025] = {.lex_state = 17, .external_lex_state = 3},
  [4026] = {.lex_state = 17, .external_lex_state = 3},
  [4027] = {.lex_state = 17, .external_lex_state = 3},
  [4028] = {.lex_state = 17, .external_lex_state = 3},
  [4029] = {.lex_state = 17, .external_lex_state = 3},
  [4030] = {.lex_state = 17, .external_lex_state = 3},
  [4031] = {.lex_state = 17, .external_lex_state = 3},
  [4032] = {.lex_state = 17, .external_lex_state = 3},
  [4033] = {.lex_state = 17, .external_lex_state = 3},
  [4034] = {.lex_state = 17, .external_lex_state = 3},
  [4035] = {.lex_state = 17, .external_lex_state = 3},
  [4036] = {.lex_state = 17, .external_lex_state = 3},
  [4037] = {.lex_state = 17, .external_lex_state = 3},
  [4038] = {.lex_state = 17, .external_lex_state = 3},
  [4039] = {.lex_state = 17, .external_lex_state = 3},
  [4040] = {.lex_state = 17, .external_lex_state = 3},
  [4041] = {.lex_state = 17, .external_lex_state = 3},
  [4042] = {.lex_state = 17, .external_lex_state = 3},
  [4043] = {.lex_state = 17, .external_lex_state = 3},
  [4044] = {.lex_state = 17, .external_lex_state = 3},
  [4045] = {.lex_state = 51, .external_lex_state = 11},
  [4046] = {.lex_state = 17, .external_lex_state = 3},
  [4047] = {.lex_state = 17, .external_lex_state = 3},
  [4048] = {.lex_state = 17, .external_lex_state = 3},
  [4049] = {.lex_state = 51, .external_lex_state = 19},
  [4050] = {.lex_state = 17, .external_lex_state = 3},
  [4051] = {.lex_state = 17, .external_lex_state = 3},
  [4052] = {.lex_state = 17, .external_lex_state = 3},
  [4053] = {.lex_state = 17, .external_lex_state = 3},
  [4054] = {.lex_state = 17, .external_lex_state = 3},
  [4055] = {.lex_state = 17, .external_lex_state = 3},
  [4056] = {.lex_state = 17, .external_lex_state = 3},
  [4057] = {.lex_state = 17, .external_lex_state = 3},
  [4058] = {.lex_state = 17, .external_lex_state = 3},
  [4059] = {.lex_state = 17, .external_lex_state = 3},
  [4060] = {.lex_state = 17, .external_lex_state = 3},
  [4061] = {.lex_state = 17, .external_lex_state = 3},
  [4062] = {.lex_state = 17, .external_lex_state = 3},
  [4063] = {.lex_state = 51, .external_lex_state = 9},
  [4064] = {.lex_state = 17, .external_lex_state = 3},
  [4065] = {.lex_state = 17, .external_lex_state = 3},
  [4066] = {.lex_state = 17, .external_lex_state = 3},
  [4067] = {.lex_state = 17, .external_lex_state = 3},
  [4068] = {.lex_state = 17, .external_lex_state = 3},
  [4069] = {.lex_state = 17, .external_lex_state = 3},
  [4070] = {.lex_state = 17, .external_lex_state = 3},
  [4071] = {.lex_state = 17, .external_lex_state = 3},
  [4072] = {.lex_state = 17, .external_lex_state = 3},
  [4073] = {.lex_state = 17, .external_lex_state = 3},
  [4074] = {.lex_state = 17, .external_lex_state = 3},
  [4075] = {.lex_state = 17, .external_lex_state = 3},
  [4076] = {.lex_state = 17, .external_lex_state = 3},
  [4077] = {.lex_state = 17, .external_lex_state = 3},
  [4078] = {.lex_state = 17, .external_lex_state = 3},
  [4079] = {.lex_state = 17, .external_lex_state = 3},
  [4080] = {.lex_state = 17, .external_lex_state = 3},
  [4081] = {.lex_state = 17, .external_lex_state = 3},
  [4082] = {.lex_state = 17, .external_lex_state = 3},
  [4083] = {.lex_state = 17, .external_lex_state = 3},
  [4084] = {.lex_state = 17, .external_lex_state = 3},
  [4085] = {.lex_state = 17, .external_lex_state = 3},
  [4086] = {.lex_state = 17, .external_lex_state = 3},
  [4087] = {.lex_state = 17, .external_lex_state = 3},
  [4088] = {.lex_state = 17, .external_lex_state = 3},
  [4089] = {.lex_state = 17, .external_lex_state = 3},
  [4090] = {.lex_state = 17, .external_lex_state = 3},
  [4091] = {.lex_state = 17, .external_lex_state = 3},
  [4092] = {.lex_state = 17, .external_lex_state = 3},
  [4093] = {.lex_state = 17, .external_lex_state = 3},
  [4094] = {.lex_state = 17, .external_lex_state = 3},
  [4095] = {.lex_state = 17, .external_lex_state = 3},
  [4096] = {.lex_state = 17, .external_lex_state = 3},
  [4097] = {.lex_state = 17, .external_lex_state = 3},
  [4098] = {.lex_state = 17, .external_lex_state = 3},
  [4099] = {.lex_state = 17, .external_lex_state = 3},
  [4100] = {.lex_state = 17, .external_lex_state = 3},
  [4101] = {.lex_state = 17, .external_lex_state = 3},
  [4102] = {.lex_state = 17, .external_lex_state = 3},
  [4103] = {.lex_state = 17, .external_lex_state = 3},
  [4104] = {.lex_state = 17, .external_lex_state = 3},
  [4105] = {.lex_state = 17, .external_lex_state = 3},
  [4106] = {.lex_state = 17, .external_lex_state = 3},
  [4107] = {.lex_state = 17, .external_lex_state = 3},
  [4108] = {.lex_state = 17, .external_lex_state = 3},
  [4109] = {.lex_state = 17, .external_lex_state = 3},
  [4110] = {.lex_state = 17, .external_lex_state = 3},
  [4111] = {.lex_state = 17, .external_lex_state = 3},
  [4112] = {.lex_state = 17, .external_lex_state = 3},
  [4113] = {.lex_state = 17, .external_lex_state = 3},
  [4114] = {.lex_state = 17, .external_lex_state = 3},
  [4115] = {.lex_state = 17, .external_lex_state = 3},
  [4116] = {.lex_state = 17, .external_lex_state = 3},
  [4117] = {.lex_state = 17, .external_lex_state = 3},
  [4118] = {.lex_state = 17, .external_lex_state = 3},
  [4119] = {.lex_state = 17, .external_lex_state = 3},
  [4120] = {.lex_state = 17, .external_lex_state = 3},
  [4121] = {.lex_state = 51, .external_lex_state = 21},
  [4122] = {.lex_state = 17, .external_lex_state = 3},
  [4123] = {.lex_state = 17, .external_lex_state = 3},
  [4124] = {.lex_state = 17, .external_lex_state = 3},
  [4125] = {.lex_state = 17, .external_lex_state = 3},
  [4126] = {.lex_state = 17, .external_lex_state = 3},
  [4127] = {.lex_state = 17, .external_lex_state = 3},
  [4128] = {.lex_state = 17, .external_lex_state = 3},
  [4129] = {.lex_state = 17, .external_lex_state = 3},
  [4130] = {.lex_state = 17, .external_lex_state = 3},
  [4131] = {.lex_state = 17, .external_lex_state = 3},
  [4132] = {.lex_state = 51, .external_lex_state = 22},
  [4133] = {.lex_state = 17, .external_lex_state = 3},
  [4134] = {.lex_state = 17, .external_lex_state = 3},
  [4135] = {.lex_state = 17, .external_lex_state = 3},
  [4136] = {.lex_state = 17, .external_lex_state = 3},
  [4137] = {.lex_state = 17, .external_lex_state = 3},
  [4138] = {.lex_state = 17, .external_lex_state = 3},
  [4139] = {.lex_state = 17, .external_lex_state = 3},
  [4140] = {.lex_state = 17, .external_lex_state = 3},
  [4141] = {.lex_state = 17, .external_lex_state = 3},
  [4142] = {.lex_state = 17, .external_lex_state = 3},
  [4143] = {.lex_state = 17, .external_lex_state = 3},
  [4144] = {.lex_state = 17, .external_lex_state = 3},
  [4145] = {.lex_state = 17, .external_lex_state = 3},
  [4146] = {.lex_state = 17, .external_lex_state = 3},
  [4147] = {.lex_state = 17, .external_lex_state = 3},
  [4148] = {.lex_state = 17, .external_lex_state = 3},
  [4149] = {.lex_state = 17, .external_lex_state = 3},
  [4150] = {.lex_state = 17, .external_lex_state = 3},
  [4151] = {.lex_state = 17, .external_lex_state = 3},
  [4152] = {.lex_state = 17, .external_lex_state = 3},
  [4153] = {.lex_state = 17, .external_lex_state = 3},
  [4154] = {.lex_state = 17, .external_lex_state = 3},
  [4155] = {.lex_state = 17, .external_lex_state = 3},
  [4156] = {.lex_state = 17, .external_lex_state = 3},
  [4157] = {.lex_state = 17, .external_lex_state = 3},
  [4158] = {.lex_state = 17, .external_lex_state = 3},
  [4159] = {.lex_state = 17, .external_lex_state = 2},
  [4160] = {.lex_state = 51, .external_lex_state = 2},
  [4161] = {.lex_state = 17, .external_lex_state = 3},
  [4162] = {.lex_state = 17, .external_lex_state = 3},
  [4163] = {.lex_state = 17, .external_lex_state = 3},
  [4164] = {.lex_state = 17, .external_lex_state = 3},
  [4165] = {.lex_state = 17, .external_lex_state = 3},
  [4166] = {.lex_state = 17, .external_lex_state = 3},
  [4167] = {.lex_state = 17, .external_lex_state = 3},
  [4168] = {.lex_state = 17, .external_lex_state = 3},
  [4169] = {.lex_state = 17, .external_lex_state = 3},
  [4170] = {.lex_state = 17, .external_lex_state = 2},
  [4171] = {.lex_state = 53, .external_lex_state = 6},
  [4172] = {.lex_state = 53, .external_lex_state = 6},
  [4173] = {.lex_state = 17, .external_lex_state = 3},
  [4174] = {.lex_state = 17, .external_lex_state = 3},
  [4175] = {.lex_state = 17, .external_lex_state = 3},
  [4176] = {.lex_state = 17, .external_lex_state = 3},
  [4177] = {.lex_state = 17, .external_lex_state = 3},
  [4178] = {.lex_state = 17, .external_lex_state = 3},
  [4179] = {.lex_state = 17, .external_lex_state = 3},
  [4180] = {.lex_state = 17, .external_lex_state = 3},
  [4181] = {.lex_state = 17, .external_lex_state = 3},
  [4182] = {.lex_state = 17, .external_lex_state = 3},
  [4183] = {.lex_state = 17, .external_lex_state = 3},
  [4184] = {.lex_state = 17, .external_lex_state = 3},
  [4185] = {.lex_state = 17, .external_lex_state = 3},
  [4186] = {.lex_state = 17, .external_lex_state = 2},
  [4187] = {.lex_state = 17, .external_lex_state = 3},
  [4188] = {.lex_state = 17, .external_lex_state = 3},
  [4189] = {.lex_state = 17, .external_lex_state = 3},
  [4190] = {.lex_state = 17, .external_lex_state = 2},
  [4191] = {.lex_state = 17, .external_lex_state = 3},
  [4192] = {.lex_state = 17, .external_lex_state = 3},
  [4193] = {.lex_state = 17, .external_lex_state = 3},
  [4194] = {.lex_state = 17, .external_lex_state = 3},
  [4195] = {.lex_state = 17, .external_lex_state = 3},
  [4196] = {.lex_state = 17, .external_lex_state = 3},
  [4197] = {.lex_state = 17, .external_lex_state = 3},
  [4198] = {.lex_state = 17, .external_lex_state = 4},
  [4199] = {.lex_state = 17, .external_lex_state = 4},
  [4200] = {.lex_state = 53, .external_lex_state = 7},
  [4201] = {.lex_state = 53, .external_lex_state = 8},
  [4202] = {.lex_state = 53, .external_lex_state = 7},
  [4203] = {.lex_state = 53, .external_lex_state = 8},
  [4204] = {.lex_state = 53, .external_lex_state = 9},
  [4205] = {.lex_state = 53, .external_lex_state = 12},
  [4206] = {.lex_state = 53, .external_lex_state = 10},
  [4207] = {.lex_state = 53, .external_lex_state = 12},
  [4208] = {.lex_state = 17, .external_lex_state = 2},
  [4209] = {.lex_state = 17, .external_lex_state = 2},
  [4210] = {.lex_state = 17, .external_lex_state = 2},
  [4211] = {.lex_state = 53, .external_lex_state = 11},
  [4212] = {.lex_state = 17, .external_lex_state = 2},
  [4213] = {.lex_state = 53, .external_lex_state = 9},
  [4214] = {.lex_state = 53, .external_lex_state = 11},
  [4215] = {.lex_state = 53, .external_lex_state = 10},
  [4216] = {.lex_state = 55, .external_lex_state = 25},
  [4217] = {.lex_state = 53, .external_lex_state = 6},
  [4218] = {.lex_state = 53, .external_lex_state = 15},
  [4219] = {.lex_state = 53, .external_lex_state = 13},
  [4220] = {.lex_state = 53, .external_lex_state = 14},
  [4221] = {.lex_state = 55, .external_lex_state = 25},
  [4222] = {.lex_state = 53, .external_lex_state = 6},
  [4223] = {.lex_state = 53, .external_lex_state = 14},
  [4224] = {.lex_state = 53, .external_lex_state = 15},
  [4225] = {.lex_state = 53, .external_lex_state = 13},
  [4226] = {.lex_state = 53, .external_lex_state = 19},
  [4227] = {.lex_state = 55, .external_lex_state = 25},
  [4228] = {.lex_state = 53, .external_lex_state = 19},
  [4229] = {.lex_state = 60},
  [4230] = {.lex_state = 53, .external_lex_state = 18},
  [4231] = {.lex_state = 67, .external_lex_state = 26},
  [4232] = {.lex_state = 53, .external_lex_state = 18},
  [4233] = {.lex_state = 53, .external_lex_state = 8},
  [4234] = {.lex_state = 67, .external_lex_state = 26},
  [4235] = {.lex_state = 67, .external_lex_state = 26},
  [4236] = {.lex_state = 53, .external_lex_state = 20},
  [4237] = {.lex_state = 67, .external_lex_state = 26},
  [4238] = {.lex_state = 67, .external_lex_state = 26},
  [4239] = {.lex_state = 67, .external_lex_state = 26},
  [4240] = {.lex_state = 67, .external_lex_state = 26},
  [4241] = {.lex_state = 53, .external_lex_state = 7},
  [4242] = {.lex_state = 17, .external_lex_state = 2},
  [4243] = {.lex_state = 53, .external_lex_state = 20},
  [4244] = {.lex_state = 67, .external_lex_state = 26},
  [4245] = {.lex_state = 60},
  [4246] = {.lex_state = 67, .external_lex_state = 26},
  [4247] = {.lex_state = 53, .external_lex_state = 16},
  [4248] = {.lex_state = 67, .external_lex_state = 26},
  [4249] = {.lex_state = 53, .external_lex_state = 16},
  [4250] = {.lex_state = 67, .external_lex_state = 26},
  [4251] = {.lex_state = 53, .external_lex_state = 17},
  [4252] = {.lex_state = 67, .external_lex_state = 26},
  [4253] = {.lex_state = 53, .external_lex_state = 7},
  [4254] = {.lex_state = 67, .external_lex_state = 26},
  [4255] = {.lex_state = 67, .external_lex_state = 26},
  [4256] = {.lex_state = 67, .external_lex_state = 26},
  [4257] = {.lex_state = 53, .external_lex_state = 17},
  [4258] = {.lex_state = 17, .external_lex_state = 2},
  [4259] = {.lex_state = 53, .external_lex_state = 8},
  [4260] = {.lex_state = 53, .external_lex_state = 9},
  [4261] = {.lex_state = 53, .external_lex_state = 11},
  [4262] = {.lex_state = 53, .external_lex_state = 21},
  [4263] = {.lex_state = 53, .external_lex_state = 11},
  [4264] = {.lex_state = 53, .external_lex_state = 22},
  [4265] = {.lex_state = 17, .external_lex_state = 2},
  [4266] = {.lex_state = 17, .external_lex_state = 2},
  [4267] = {.lex_state = 53, .external_lex_state = 9},
  [4268] = {.lex_state = 53, .external_lex_state = 3},
  [4269] = {.lex_state = 17, .external_lex_state = 2},
  [4270] = {.lex_state = 53, .external_lex_state = 21},
  [4271] = {.lex_state = 53, .external_lex_state = 22},
  [4272] = {.lex_state = 53, .external_lex_state = 3},
  [4273] = {.lex_state = 17, .external_lex_state = 2},
  [4274] = {.lex_state = 53, .external_lex_state = 19},
  [4275] = {.lex_state = 17, .external_lex_state = 2},
  [4276] = {.lex_state = 17, .external_lex_state = 2},
  [4277] = {.lex_state = 17, .external_lex_state = 2},
  [4278] = {.lex_state = 17, .external_lex_state = 2},
  [4279] = {.lex_state = 17, .external_lex_state = 2},
  [4280] = {.lex_state = 17, .external_lex_state = 2},
  [4281] = {.lex_state = 17, .external_lex_state = 2},
  [4282] = {.lex_state = 17, .external_lex_state = 2},
  [4283] = {.lex_state = 17, .external_lex_state = 2},
  [4284] = {.lex_state = 17, .external_lex_state = 2},
  [4285] = {.lex_state = 17, .external_lex_state = 2},
  [4286] = {.lex_state = 17, .external_lex_state = 2},
  [4287] = {.lex_state = 17, .external_lex_state = 2},
  [4288] = {.lex_state = 17, .external_lex_state = 2},
  [4289] = {.lex_state = 17, .external_lex_state = 2},
  [4290] = {.lex_state = 17, .external_lex_state = 2},
  [4291] = {.lex_state = 17, .external_lex_state = 2},
  [4292] = {.lex_state = 17, .external_lex_state = 2},
  [4293] = {.lex_state = 17, .external_lex_state = 2},
  [4294] = {.lex_state = 17, .external_lex_state = 2},
  [4295] = {.lex_state = 17, .external_lex_state = 2},
  [4296] = {.lex_state = 17, .external_lex_state = 2},
  [4297] = {.lex_state = 17, .external_lex_state = 2},
  [4298] = {.lex_state = 53, .external_lex_state = 2},
  [4299] = {.lex_state = 17, .external_lex_state = 2},
  [4300] = {.lex_state = 17, .external_lex_state = 2},
  [4301] = {.lex_state = 17, .external_lex_state = 2},
  [4302] = {.lex_state = 17, .external_lex_state = 2},
  [4303] = {.lex_state = 17, .external_lex_state = 2},
  [4304] = {.lex_state = 17, .external_lex_state = 2},
  [4305] = {.lex_state = 17, .external_lex_state = 2},
  [4306] = {.lex_state = 17, .external_lex_state = 2},
  [4307] = {.lex_state = 17, .external_lex_state = 2},
  [4308] = {.lex_state = 53, .external_lex_state = 2},
  [4309] = {.lex_state = 17, .external_lex_state = 2},
  [4310] = {.lex_state = 17, .external_lex_state = 2},
  [4311] = {.lex_state = 17, .external_lex_state = 2},
  [4312] = {.lex_state = 17, .external_lex_state = 2},
  [4313] = {.lex_state = 17, .external_lex_state = 2},
  [4314] = {.lex_state = 17, .external_lex_state = 2},
  [4315] = {.lex_state = 17, .external_lex_state = 2},
  [4316] = {.lex_state = 17, .external_lex_state = 2},
  [4317] = {.lex_state = 17, .external_lex_state = 2},
  [4318] = {.lex_state = 17, .external_lex_state = 2},
  [4319] = {.lex_state = 17, .external_lex_state = 2},
  [4320] = {.lex_state = 17, .external_lex_state = 2},
  [4321] = {.lex_state = 17, .external_lex_state = 2},
  [4322] = {.lex_state = 17, .external_lex_state = 2},
  [4323] = {.lex_state = 17, .external_lex_state = 2},
  [4324] = {.lex_state = 17, .external_lex_state = 2},
  [4325] = {.lex_state = 17, .external_lex_state = 2},
  [4326] = {.lex_state = 17, .external_lex_state = 2},
  [4327] = {.lex_state = 17, .external_lex_state = 2},
  [4328] = {.lex_state = 17, .external_lex_state = 2},
  [4329] = {.lex_state = 17, .external_lex_state = 2},
  [4330] = {.lex_state = 17, .external_lex_state = 2},
  [4331] = {.lex_state = 17, .external_lex_state = 2},
  [4332] = {.lex_state = 53, .external_lex_state = 19},
  [4333] = {.lex_state = 17, .external_lex_state = 2},
  [4334] = {.lex_state = 17, .external_lex_state = 2},
  [4335] = {.lex_state = 17, .external_lex_state = 2},
  [4336] = {.lex_state = 17, .external_lex_state = 2},
  [4337] = {.lex_state = 17, .external_lex_state = 2},
  [4338] = {.lex_state = 17, .external_lex_state = 2},
  [4339] = {.lex_state = 17, .external_lex_state = 2},
  [4340] = {.lex_state = 17, .external_lex_state = 2},
  [4341] = {.lex_state = 17, .external_lex_state = 2},
  [4342] = {.lex_state = 17, .external_lex_state = 2},
  [4343] = {.lex_state = 17, .external_lex_state = 2},
  [4344] = {.lex_state = 53, .external_lex_state = 2},
  [4345] = {.lex_state = 17, .external_lex_state = 2},
  [4346] = {.lex_state = 17, .external_lex_state = 2},
  [4347] = {.lex_state = 17, .external_lex_state = 2},
  [4348] = {.lex_state = 17, .external_lex_state = 2},
  [4349] = {.lex_state = 17, .external_lex_state = 2},
  [4350] = {.lex_state = 17, .external_lex_state = 2},
  [4351] = {.lex_state = 17, .external_lex_state = 2},
  [4352] = {.lex_state = 60},
  [4353] = {.lex_state = 17, .external_lex_state = 2},
  [4354] = {.lex_state = 17, .external_lex_state = 2},
  [4355] = {.lex_state = 17, .external_lex_state = 2},
  [4356] = {.lex_state = 58, .external_lex_state = 26},
  [4357] = {.lex_state = 58, .external_lex_state = 26},
  [4358] = {.lex_state = 58, .external_lex_state = 26},
  [4359] = {.lex_state = 58, .external_lex_state = 27},
  [4360] = {.lex_state = 58, .external_lex_state = 27},
  [4361] = {.lex_state = 5, .external_lex_state = 2},
  [4362] = {.lex_state = 5, .external_lex_state = 2},
  [4363] = {.lex_state = 58, .external_lex_state = 26},
  [4364] = {.lex_state = 58, .external_lex_state = 26},
  [4365] = {.lex_state = 58, .external_lex_state = 26},
  [4366] = {.lex_state = 58, .external_lex_state = 27},
  [4367] = {.lex_state = 67},
  [4368] = {.lex_state = 17, .external_lex_state = 2},
  [4369] = {.lex_state = 17, .external_lex_state = 2},
  [4370] = {.lex_state = 17, .external_lex_state = 2},
  [4371] = {.lex_state = 17, .external_lex_state = 2},
  [4372] = {.lex_state = 17, .external_lex_state = 2},
  [4373] = {.lex_state = 17, .external_lex_state = 2},
  [4374] = {.lex_state = 17, .external_lex_state = 2},
  [4375] = {.lex_state = 17, .external_lex_state = 2},
  [4376] = {.lex_state = 17, .external_lex_state = 2},
  [4377] = {.lex_state = 17, .external_lex_state = 2},
  [4378] = {.lex_state = 17, .external_lex_state = 2},
  [4379] = {.lex_state = 17, .external_lex_state = 2},
  [4380] = {.lex_state = 17, .external_lex_state = 2},
  [4381] = {.lex_state = 17, .external_lex_state = 2},
  [4382] = {.lex_state = 17, .external_lex_state = 2},
  [4383] = {.lex_state = 17, .external_lex_state = 2},
  [4384] = {.lex_state = 17, .external_lex_state = 2},
  [4385] = {.lex_state = 17, .external_lex_state = 2},
  [4386] = {.lex_state = 17, .external_lex_state = 2},
  [4387] = {.lex_state = 17, .external_lex_state = 2},
  [4388] = {.lex_state = 17, .external_lex_state = 2},
  [4389] = {.lex_state = 17, .external_lex_state = 2},
  [4390] = {.lex_state = 17, .external_lex_state = 2},
  [4391] = {.lex_state = 17, .external_lex_state = 2},
  [4392] = {.lex_state = 17, .external_lex_state = 2},
  [4393] = {.lex_state = 17, .external_lex_state = 2},
  [4394] = {.lex_state = 17, .external_lex_state = 2},
  [4395] = {.lex_state = 17, .external_lex_state = 2},
  [4396] = {.lex_state = 17, .external_lex_state = 2},
  [4397] = {.lex_state = 17, .external_lex_state = 2},
  [4398] = {.lex_state = 17, .external_lex_state = 2},
  [4399] = {.lex_state = 17, .external_lex_state = 2},
  [4400] = {.lex_state = 17, .external_lex_state = 2},
  [4401] = {.lex_state = 17, .external_lex_state = 2},
  [4402] = {.lex_state = 17, .external_lex_state = 2},
  [4403] = {.lex_state = 17, .external_lex_state = 2},
  [4404] = {.lex_state = 17, .external_lex_state = 2},
  [4405] = {.lex_state = 17, .external_lex_state = 2},
  [4406] = {.lex_state = 67},
  [4407] = {.lex_state = 17, .external_lex_state = 2},
  [4408] = {.lex_state = 17, .external_lex_state = 2},
  [4409] = {.lex_state = 17, .external_lex_state = 2},
  [4410] = {.lex_state = 17, .external_lex_state = 2},
  [4411] = {.lex_state = 67},
  [4412] = {.lex_state = 17, .external_lex_state = 2},
  [4413] = {.lex_state = 67},
  [4414] = {.lex_state = 17, .external_lex_state = 2},
  [4415] = {.lex_state = 67},
  [4416] = {.lex_state = 17, .external_lex_state = 2},
  [4417] = {.lex_state = 17, .external_lex_state = 2},
  [4418] = {.lex_state = 17, .external_lex_state = 2},
  [4419] = {.lex_state = 17, .external_lex_state = 2},
  [4420] = {.lex_state = 67},
  [4421] = {.lex_state = 67},
  [4422] = {.lex_state = 67},
  [4423] = {.lex_state = 67},
  [4424] = {.lex_state = 67},
  [4425] = {.lex_state = 67},
  [4426] = {.lex_state = 67},
  [4427] = {.lex_state = 67},
  [4428] = {.lex_state = 67},
  [4429] = {.lex_state = 67},
  [4430] = {.lex_state = 67},
  [4431] = {.lex_state = 67},
  [4432] = {.lex_state = 67},
  [4433] = {.lex_state = 67},
  [4434] = {.lex_state = 67},
  [4435] = {.lex_state = 67},
  [4436] = {.lex_state = 67},
  [4437] = {.lex_state = 67},
  [4438] = {.lex_state = 67},
  [4439] = {.lex_state = 17, .external_lex_state = 2},
  [4440] = {.lex_state = 67},
  [4441] = {.lex_state = 67},
  [4442] = {.lex_state = 67},
  [4443] = {.lex_state = 67},
  [4444] = {.lex_state = 67},
  [4445] = {.lex_state = 67},
  [4446] = {.lex_state = 17, .external_lex_state = 2},
  [4447] = {.lex_state = 67},
  [4448] = {.lex_state = 67},
  [4449] = {.lex_state = 67},
  [4450] = {.lex_state = 67},
  [4451] = {.lex_state = 17, .external_lex_state = 2},
  [4452] = {.lex_state = 17, .external_lex_state = 2},
  [4453] = {.lex_state = 67},
  [4454] = {.lex_state = 67},
  [4455] = {.lex_state = 17, .external_lex_state = 2},
  [4456] = {.lex_state = 67},
  [4457] = {.lex_state = 67},
  [4458] = {.lex_state = 67},
  [4459] = {.lex_state = 67},
  [4460] = {.lex_state = 17, .external_lex_state = 2},
  [4461] = {.lex_state = 17, .external_lex_state = 2},
  [4462] = {.lex_state = 17, .external_lex_state = 2},
  [4463] = {.lex_state = 67},
  [4464] = {.lex_state = 17, .external_lex_state = 2},
  [4465] = {.lex_state = 17, .external_lex_state = 2},
  [4466] = {.lex_state = 67},
  [4467] = {.lex_state = 67},
  [4468] = {.lex_state = 17, .external_lex_state = 2},
  [4469] = {.lex_state = 17, .external_lex_state = 2},
  [4470] = {.lex_state = 17, .external_lex_state = 2},
  [4471] = {.lex_state = 17, .external_lex_state = 2},
  [4472] = {.lex_state = 67},
  [4473] = {.lex_state = 55, .external_lex_state = 25},
  [4474] = {.lex_state = 17, .external_lex_state = 2},
  [4475] = {.lex_state = 17, .external_lex_state = 2},
  [4476] = {.lex_state = 17, .external_lex_state = 2},
  [4477] = {.lex_state = 17, .external_lex_state = 2},
  [4478] = {.lex_state = 17, .external_lex_state = 2},
  [4479] = {.lex_state = 67},
  [4480] = {.lex_state = 53, .external_lex_state = 3},
  [4481] = {.lex_state = 60},
  [4482] = {.lex_state = 58, .external_lex_state = 26},
  [4483] = {.lex_state = 60},
  [4484] = {.lex_state = 60, .external_lex_state = 28},
  [4485] = {.lex_state = 60, .external_lex_state = 28},
  [4486] = {.lex_state = 60, .external_lex_state = 28},
  [4487] = {.lex_state = 60, .external_lex_state = 28},
  [4488] = {.lex_state = 60, .external_lex_state = 28},
  [4489] = {.lex_state = 58, .external_lex_state = 27},
  [4490] = {.lex_state = 67},
  [4491] = {.lex_state = 60},
  [4492] = {.lex_state = 67},
  [4493] = {.lex_state = 67},
  [4494] = {.lex_state = 54, .external_lex_state = 29},
  [4495] = {.lex_state = 60},
  [4496] = {.lex_state = 67},
  [4497] = {.lex_state = 67},
  [4498] = {.lex_state = 67},
  [4499] = {.lex_state = 60},
  [4500] = {.lex_state = 67},
  [4501] = {.lex_state = 67},
  [4502] = {.lex_state = 67},
  [4503] = {.lex_state = 67},
  [4504] = {.lex_state = 67},
  [4505] = {.lex_state = 67},
  [4506] = {.lex_state = 60},
  [4507] = {.lex_state = 62, .external_lex_state = 29},
  [4508] = {.lex_state = 67, .external_lex_state = 29},
  [4509] = {.lex_state = 67},
  [4510] = {.lex_state = 67},
  [4511] = {.lex_state = 60},
  [4512] = {.lex_state = 60},
  [4513] = {.lex_state = 60},
  [4514] = {.lex_state = 67},
  [4515] = {.lex_state = 58, .external_lex_state = 30},
  [4516] = {.lex_state = 67},
  [4517] = {.lex_state = 60},
  [4518] = {.lex_state = 67},
  [4519] = {.lex_state = 58, .external_lex_state = 26},
  [4520] = {.lex_state = 67},
  [4521] = {.lex_state = 67},
  [4522] = {.lex_state = 67},
  [4523] = {.lex_state = 67},
  [4524] = {.lex_state = 67},
  [4525] = {.lex_state = 60, .external_lex_state = 28},
  [4526] = {.lex_state = 67},
  [4527] = {.lex_state = 60},
  [4528] = {.lex_state = 67},
  [4529] = {.lex_state = 62, .external_lex_state = 31},
  [4530] = {.lex_state = 54, .external_lex_state = 31},
  [4531] = {.lex_state = 60, .external_lex_state = 28},
  [4532] = {.lex_state = 67},
  [4533] = {.lex_state = 62, .external_lex_state = 29},
  [4534] = {.lex_state = 60, .external_lex_state = 28},
  [4535] = {.lex_state = 60},
  [4536] = {.lex_state = 67},
  [4537] = {.lex_state = 60},
  [4538] = {.lex_state = 67},
  [4539] = {.lex_state = 67},
  [4540] = {.lex_state = 60},
  [4541] = {.lex_state = 60},
  [4542] = {.lex_state = 67},
  [4543] = {.lex_state = 62, .external_lex_state = 29},
  [4544] = {.lex_state = 66, .external_lex_state = 29},
  [4545] = {.lex_state = 55, .external_lex_state = 25},
  [4546] = {.lex_state = 67},
  [4547] = {.lex_state = 67},
  [4548] = {.lex_state = 67},
  [4549] = {.lex_state = 66, .external_lex_state = 29},
  [4550] = {.lex_state = 67},
  [4551] = {.lex_state = 67},
  [4552] = {.lex_state = 60},
  [4553] = {.lex_state = 67},
  [4554] = {.lex_state = 66, .external_lex_state = 29},
  [4555] = {.lex_state = 60, .external_lex_state = 28},
  [4556] = {.lex_state = 60, .external_lex_state = 28},
  [4557] = {.lex_state = 60, .external_lex_state = 28},
  [4558] = {.lex_state = 67},
  [4559] = {.lex_state = 67},
  [4560] = {.lex_state = 55, .external_lex_state = 29},
  [4561] = {.lex_state = 67},
  [4562] = {.lex_state = 54, .external_lex_state = 32},
  [4563] = {.lex_state = 67},
  [4564] = {.lex_state = 67},
  [4565] = {.lex_state = 58, .external_lex_state = 33},
  [4566] = {.lex_state = 67},
  [4567] = {.lex_state = 60, .external_lex_state = 28},
  [4568] = {.lex_state = 60, .external_lex_state = 28},
  [4569] = {.lex_state = 54, .external_lex_state = 29},
  [4570] = {.lex_state = 67},
  [4571] = {.lex_state = 60, .external_lex_state = 28},
  [4572] = {.lex_state = 67},
  [4573] = {.lex_state = 67},
  [4574] = {.lex_state = 67},
  [4575] = {.lex_state = 60},
  [4576] = {.lex_state = 67, .external_lex_state = 29},
  [4577] = {.lex_state = 67},
  [4578] = {.lex_state = 67},
  [4579] = {.lex_state = 67},
  [4580] = {.lex_state = 67},
  [4581] = {.lex_state = 67},
  [4582] = {.lex_state = 60},
  [4583] = {.lex_state = 60},
  [4584] = {.lex_state = 67, .external_lex_state = 31},
  [4585] = {.lex_state = 67},
  [4586] = {.lex_state = 67},
  [4587] = {.lex_state = 67},
  [4588] = {.lex_state = 67},
  [4589] = {.lex_state = 67},
  [4590] = {.lex_state = 67},
  [4591] = {.lex_state = 67},
  [4592] = {.lex_state = 60},
  [4593] = {.lex_state = 67},
  [4594] = {.lex_state = 67},
  [4595] = {.lex_state = 67},
  [4596] = {.lex_state = 60, .external_lex_state = 28},
  [4597] = {.lex_state = 60, .external_lex_state = 28},
  [4598] = {.lex_state = 57, .external_lex_state = 26},
  [4599] = {.lex_state = 60, .external_lex_state = 28},
  [4600] = {.lex_state = 67},
  [4601] = {.lex_state = 67},
  [4602] = {.lex_state = 67},
  [4603] = {.lex_state = 67},
  [4604] = {.lex_state = 67},
  [4605] = {.lex_state = 67},
  [4606] = {.lex_state = 67},
  [4607] = {.lex_state = 67},
  [4608] = {.lex_state = 67},
  [4609] = {.lex_state = 67},
  [4610] = {.lex_state = 60},
  [4611] = {.lex_state = 60},
  [4612] = {.lex_state = 67},
  [4613] = {.lex_state = 60, .external_lex_state = 28},
  [4614] = {.lex_state = 60, .external_lex_state = 28},
  [4615] = {.lex_state = 60, .external_lex_state = 28},
  [4616] = {.lex_state = 67},
  [4617] = {.lex_state = 67},
  [4618] = {.lex_state = 67},
  [4619] = {.lex_state = 67},
  [4620] = {.lex_state = 67},
  [4621] = {.lex_state = 67},
  [4622] = {.lex_state = 67},
  [4623] = {.lex_state = 67},
  [4624] = {.lex_state = 67},
  [4625] = {.lex_state = 67},
  [4626] = {.lex_state = 67},
  [4627] = {.lex_state = 67},
  [4628] = {.lex_state = 67},
  [4629] = {.lex_state = 67},
  [4630] = {.lex_state = 60},
  [4631] = {.lex_state = 60},
  [4632] = {.lex_state = 67},
  [4633] = {.lex_state = 67},
  [4634] = {.lex_state = 62, .external_lex_state = 32},
  [4635] = {.lex_state = 67},
  [4636] = {.lex_state = 67},
  [4637] = {.lex_state = 58, .external_lex_state = 34},
  [4638] = {.lex_state = 67},
  [4639] = {.lex_state = 67, .external_lex_state = 32},
  [4640] = {.lex_state = 67},
  [4641] = {.lex_state = 67},
  [4642] = {.lex_state = 67},
  [4643] = {.lex_state = 67},
  [4644] = {.lex_state = 62, .external_lex_state = 35},
  [4645] = {.lex_state = 54, .external_lex_state = 29},
  [4646] = {.lex_state = 54, .external_lex_state = 32},
  [4647] = {.lex_state = 66, .external_lex_state = 29},
  [4648] = {.lex_state = 67, .external_lex_state = 30},
  [4649] = {.lex_state = 66, .external_lex_state = 29},
  [4650] = {.lex_state = 58, .external_lex_state = 36},
  [4651] = {.lex_state = 55, .external_lex_state = 25},
  [4652] = {.lex_state = 58, .external_lex_state = 29},
  [4653] = {.lex_state = 54, .external_lex_state = 31},
  [4654] = {.lex_state = 67},
  [4655] = {.lex_state = 60},
  [4656] = {.lex_state = 54, .external_lex_state = 35},
  [4657] = {.lex_state = 67, .external_lex_state = 30},
  [4658] = {.lex_state = 67, .external_lex_state = 35},
  [4659] = {.lex_state = 62, .external_lex_state = 37},
  [4660] = {.lex_state = 54, .external_lex_state = 38},
  [4661] = {.lex_state = 67, .external_lex_state = 32},
  [4662] = {.lex_state = 58, .external_lex_state = 29},
  [4663] = {.lex_state = 62, .external_lex_state = 32},
  [4664] = {.lex_state = 54, .external_lex_state = 29},
  [4665] = {.lex_state = 62, .external_lex_state = 32},
  [4666] = {.lex_state = 66, .external_lex_state = 32},
  [4667] = {.lex_state = 55, .external_lex_state = 32},
  [4668] = {.lex_state = 58, .external_lex_state = 39},
  [4669] = {.lex_state = 54, .external_lex_state = 29},
  [4670] = {.lex_state = 62, .external_lex_state = 38},
  [4671] = {.lex_state = 66, .external_lex_state = 31},
  [4672] = {.lex_state = 58, .external_lex_state = 29},
  [4673] = {.lex_state = 67, .external_lex_state = 38},
  [4674] = {.lex_state = 62, .external_lex_state = 31},
  [4675] = {.lex_state = 67},
  [4676] = {.lex_state = 66, .external_lex_state = 31},
  [4677] = {.lex_state = 58, .external_lex_state = 30},
  [4678] = {.lex_state = 54, .external_lex_state = 37},
  [4679] = {.lex_state = 67, .external_lex_state = 30},
  [4680] = {.lex_state = 55, .external_lex_state = 25},
  [4681] = {.lex_state = 67},
  [4682] = {.lex_state = 58, .external_lex_state = 30},
  [4683] = {.lex_state = 55, .external_lex_state = 31},
  [4684] = {.lex_state = 66, .external_lex_state = 32},
  [4685] = {.lex_state = 67},
  [4686] = {.lex_state = 66, .external_lex_state = 32},
  [4687] = {.lex_state = 67},
  [4688] = {.lex_state = 55, .external_lex_state = 29},
  [4689] = {.lex_state = 62, .external_lex_state = 31},
  [4690] = {.lex_state = 66, .external_lex_state = 31},
  [4691] = {.lex_state = 58, .external_lex_state = 40},
  [4692] = {.lex_state = 67, .external_lex_state = 37},
  [4693] = {.lex_state = 67, .external_lex_state = 31},
  [4694] = {.lex_state = 54, .external_lex_state = 29},
  [4695] = {.lex_state = 62, .external_lex_state = 41},
  [4696] = {.lex_state = 54, .external_lex_state = 29},
  [4697] = {.lex_state = 66, .external_lex_state = 35},
  [4698] = {.lex_state = 54, .external_lex_state = 29},
  [4699] = {.lex_state = 54, .external_lex_state = 29},
  [4700] = {.lex_state = 55, .external_lex_state = 32},
  [4701] = {.lex_state = 55, .external_lex_state = 29},
  [4702] = {.lex_state = 54, .external_lex_state = 29},
  [4703] = {.lex_state = 54, .external_lex_state = 29},
  [4704] = {.lex_state = 54, .external_lex_state = 29},
  [4705] = {.lex_state = 58, .external_lex_state = 29},
  [4706] = {.lex_state = 58, .external_lex_state = 29},
  [4707] = {.lex_state = 66, .external_lex_state = 38},
  [4708] = {.lex_state = 55, .external_lex_state = 35},
  [4709] = {.lex_state = 54, .external_lex_state = 29},
  [4710] = {.lex_state = 55, .external_lex_state = 38},
  [4711] = {.lex_state = 54, .external_lex_state = 42},
  [4712] = {.lex_state = 58, .external_lex_state = 32},
  [4713] = {.lex_state = 54, .external_lex_state = 32},
  [4714] = {.lex_state = 66, .external_lex_state = 32},
  [4715] = {.lex_state = 66, .external_lex_state = 32},
  [4716] = {.lex_state = 54, .external_lex_state = 41},
  [4717] = {.lex_state = 54, .external_lex_state = 32},
  [4718] = {.lex_state = 58, .external_lex_state = 34},
  [4719] = {.lex_state = 66, .external_lex_state = 38},
  [4720] = {.lex_state = 58, .external_lex_state = 33},
  [4721] = {.lex_state = 58, .external_lex_state = 33},
  [4722] = {.lex_state = 54, .external_lex_state = 31},
  [4723] = {.lex_state = 55, .external_lex_state = 29},
  [4724] = {.lex_state = 55, .external_lex_state = 29},
  [4725] = {.lex_state = 54, .external_lex_state = 32},
  [4726] = {.lex_state = 54, .external_lex_state = 32},
  [4727] = {.lex_state = 67, .external_lex_state = 33},
  [4728] = {.lex_state = 55, .external_lex_state = 29},
  [4729] = {.lex_state = 67, .external_lex_state = 34},
  [4730] = {.lex_state = 55, .external_lex_state = 37},
  [4731] = {.lex_state = 67, .external_lex_state = 29},
  [4732] = {.lex_state = 66, .external_lex_state = 35},
  [4733] = {.lex_state = 62, .external_lex_state = 37},
  [4734] = {.lex_state = 67, .external_lex_state = 33},
  [4735] = {.lex_state = 67, .external_lex_state = 34},
  [4736] = {.lex_state = 58, .external_lex_state = 43},
  [4737] = {.lex_state = 66, .external_lex_state = 31},
  [4738] = {.lex_state = 58, .external_lex_state = 26},
  [4739] = {.lex_state = 54, .external_lex_state = 29},
  [4740] = {.lex_state = 66, .external_lex_state = 38},
  [4741] = {.lex_state = 67, .external_lex_state = 29},
  [4742] = {.lex_state = 62, .external_lex_state = 37},
  [4743] = {.lex_state = 67, .external_lex_state = 29},
  [4744] = {.lex_state = 66, .external_lex_state = 31},
  [4745] = {.lex_state = 55, .external_lex_state = 25},
  [4746] = {.lex_state = 67, .external_lex_state = 38},
  [4747] = {.lex_state = 62, .external_lex_state = 35},
  [4748] = {.lex_state = 58, .external_lex_state = 26},
  [4749] = {.lex_state = 67, .external_lex_state = 33},
  [4750] = {.lex_state = 58, .external_lex_state = 30},
  [4751] = {.lex_state = 58, .external_lex_state = 34},
  [4752] = {.lex_state = 62, .external_lex_state = 42},
  [4753] = {.lex_state = 58, .external_lex_state = 44},
  [4754] = {.lex_state = 66, .external_lex_state = 37},
  [4755] = {.lex_state = 55, .external_lex_state = 45},
  [4756] = {.lex_state = 66, .external_lex_state = 29},
  [4757] = {.lex_state = 54, .external_lex_state = 31},
  [4758] = {.lex_state = 62, .external_lex_state = 38},
  [4759] = {.lex_state = 58, .external_lex_state = 30},
  [4760] = {.lex_state = 54, .external_lex_state = 31},
  [4761] = {.lex_state = 67, .external_lex_state = 29},
  [4762] = {.lex_state = 62, .external_lex_state = 25},
  [4763] = {.lex_state = 67, .external_lex_state = 42},
  [4764] = {.lex_state = 66, .external_lex_state = 29},
  [4765] = {.lex_state = 54, .external_lex_state = 35},
  [4766] = {.lex_state = 67, .external_lex_state = 35},
  [4767] = {.lex_state = 62, .external_lex_state = 35},
  [4768] = {.lex_state = 62, .external_lex_state = 38},
  [4769] = {.lex_state = 58, .external_lex_state = 32},
  [4770] = {.lex_state = 66, .external_lex_state = 37},
  [4771] = {.lex_state = 58, .external_lex_state = 30},
  [4772] = {.lex_state = 67, .external_lex_state = 25},
  [4773] = {.lex_state = 54, .external_lex_state = 25},
  [4774] = {.lex_state = 58, .external_lex_state = 32},
  [4775] = {.lex_state = 55, .external_lex_state = 25},
  [4776] = {.lex_state = 54, .external_lex_state = 37},
  [4777] = {.lex_state = 67, .external_lex_state = 37},
  [4778] = {.lex_state = 54, .external_lex_state = 29},
  [4779] = {.lex_state = 58, .external_lex_state = 31},
  [4780] = {.lex_state = 58, .external_lex_state = 30},
  [4781] = {.lex_state = 54, .external_lex_state = 29},
  [4782] = {.lex_state = 66, .external_lex_state = 37},
  [4783] = {.lex_state = 67, .external_lex_state = 34},
  [4784] = {.lex_state = 67},
  [4785] = {.lex_state = 58, .external_lex_state = 31},
  [4786] = {.lex_state = 55, .external_lex_state = 31},
  [4787] = {.lex_state = 54, .external_lex_state = 29},
  [4788] = {.lex_state = 54, .external_lex_state = 38},
  [4789] = {.lex_state = 58, .external_lex_state = 31},
  [4790] = {.lex_state = 66, .external_lex_state = 35},
  [4791] = {.lex_state = 54, .external_lex_state = 31},
  [4792] = {.lex_state = 54, .external_lex_state = 29},
  [4793] = {.lex_state = 54, .external_lex_state = 29},
  [4794] = {.lex_state = 54, .external_lex_state = 29},
  [4795] = {.lex_state = 54, .external_lex_state = 29},
  [4796] = {.lex_state = 57},
  [4797] = {.lex_state = 67, .external_lex_state = 41},
  [4798] = {.lex_state = 54, .external_lex_state = 29},
  [4799] = {.lex_state = 54, .external_lex_state = 29},
  [4800] = {.lex_state = 54, .external_lex_state = 35},
  [4801] = {.lex_state = 54, .external_lex_state = 46},
  [4802] = {.lex_state = 55, .external_lex_state = 29},
  [4803] = {.lex_state = 58, .external_lex_state = 30},
  [4804] = {.lex_state = 54, .external_lex_state = 32},
  [4805] = {.lex_state = 54, .external_lex_state = 32},
  [4806] = {.lex_state = 54, .external_lex_state = 32},
  [4807] = {.lex_state = 54, .external_lex_state = 32},
  [4808] = {.lex_state = 66, .external_lex_state = 32},
  [4809] = {.lex_state = 58, .external_lex_state = 38},
  [4810] = {.lex_state = 58, .external_lex_state = 33},
  [4811] = {.lex_state = 67, .external_lex_state = 30},
  [4812] = {.lex_state = 58, .external_lex_state = 33},
  [4813] = {.lex_state = 55, .external_lex_state = 29},
  [4814] = {.lex_state = 54, .external_lex_state = 35},
  [4815] = {.lex_state = 54, .external_lex_state = 35},
  [4816] = {.lex_state = 54, .external_lex_state = 38},
  [4817] = {.lex_state = 54, .external_lex_state = 38},
  [4818] = {.lex_state = 67, .external_lex_state = 47},
  [4819] = {.lex_state = 62, .external_lex_state = 25},
  [4820] = {.lex_state = 67, .external_lex_state = 39},
  [4821] = {.lex_state = 66, .external_lex_state = 35},
  [4822] = {.lex_state = 55, .external_lex_state = 29},
  [4823] = {.lex_state = 58, .external_lex_state = 48},
  [4824] = {.lex_state = 55, .external_lex_state = 29},
  [4825] = {.lex_state = 67, .external_lex_state = 39},
  [4826] = {.lex_state = 55, .external_lex_state = 29},
  [4827] = {.lex_state = 55, .external_lex_state = 32},
  [4828] = {.lex_state = 55, .external_lex_state = 32},
  [4829] = {.lex_state = 62, .external_lex_state = 29},
  [4830] = {.lex_state = 66, .external_lex_state = 42},
  [4831] = {.lex_state = 54, .external_lex_state = 47},
  [4832] = {.lex_state = 55, .external_lex_state = 29},
  [4833] = {.lex_state = 55, .external_lex_state = 29},
  [4834] = {.lex_state = 54, .external_lex_state = 31},
  [4835] = {.lex_state = 55, .external_lex_state = 29},
  [4836] = {.lex_state = 67, .external_lex_state = 32},
  [4837] = {.lex_state = 55, .external_lex_state = 29},
  [4838] = {.lex_state = 55, .external_lex_state = 29},
  [4839] = {.lex_state = 66, .external_lex_state = 25},
  [4840] = {.lex_state = 55, .external_lex_state = 29},
  [4841] = {.lex_state = 54, .external_lex_state = 31},
  [4842] = {.lex_state = 55, .external_lex_state = 29},
  [4843] = {.lex_state = 67, .external_lex_state = 40},
  [4844] = {.lex_state = 67, .external_lex_state = 49},
  [4845] = {.lex_state = 67, .external_lex_state = 50},
  [4846] = {.lex_state = 62, .external_lex_state = 41},
  [4847] = {.lex_state = 66, .external_lex_state = 42},
  [4848] = {.lex_state = 66, .external_lex_state = 35},
  [4849] = {.lex_state = 54, .external_lex_state = 31},
  [4850] = {.lex_state = 54, .external_lex_state = 31},
  [4851] = {.lex_state = 66, .external_lex_state = 29},
  [4852] = {.lex_state = 66, .external_lex_state = 29},
  [4853] = {.lex_state = 66, .external_lex_state = 29},
  [4854] = {.lex_state = 66, .external_lex_state = 29},
  [4855] = {.lex_state = 54, .external_lex_state = 35},
  [4856] = {.lex_state = 55, .external_lex_state = 25},
  [4857] = {.lex_state = 54, .external_lex_state = 31},
  [4858] = {.lex_state = 54, .external_lex_state = 31},
  [4859] = {.lex_state = 67, .external_lex_state = 42},
  [4860] = {.lex_state = 58, .external_lex_state = 38},
  [4861] = {.lex_state = 62, .external_lex_state = 29},
  [4862] = {.lex_state = 60},
  [4863] = {.lex_state = 66, .external_lex_state = 42},
  [4864] = {.lex_state = 67, .external_lex_state = 25},
  [4865] = {.lex_state = 67, .external_lex_state = 32},
  [4866] = {.lex_state = 66, .external_lex_state = 37},
  [4867] = {.lex_state = 67, .external_lex_state = 32},
  [4868] = {.lex_state = 54, .external_lex_state = 31},
  [4869] = {.lex_state = 54, .external_lex_state = 29},
  [4870] = {.lex_state = 58, .external_lex_state = 40},
  [4871] = {.lex_state = 66, .external_lex_state = 37},
  [4872] = {.lex_state = 54, .external_lex_state = 37},
  [4873] = {.lex_state = 58, .external_lex_state = 45},
  [4874] = {.lex_state = 67, .external_lex_state = 31},
  [4875] = {.lex_state = 54, .external_lex_state = 38},
  [4876] = {.lex_state = 62, .external_lex_state = 42},
  [4877] = {.lex_state = 66, .external_lex_state = 38},
  [4878] = {.lex_state = 58, .external_lex_state = 34},
  [4879] = {.lex_state = 62, .external_lex_state = 50},
  [4880] = {.lex_state = 58, .external_lex_state = 44},
  [4881] = {.lex_state = 58, .external_lex_state = 33},
  [4882] = {.lex_state = 58, .external_lex_state = 35},
  [4883] = {.lex_state = 54, .external_lex_state = 37},
  [4884] = {.lex_state = 62, .external_lex_state = 29},
  [4885] = {.lex_state = 54, .external_lex_state = 42},
  [4886] = {.lex_state = 54, .external_lex_state = 31},
  [4887] = {.lex_state = 58, .external_lex_state = 34},
  [4888] = {.lex_state = 54, .external_lex_state = 31},
  [4889] = {.lex_state = 58, .external_lex_state = 29},
  [4890] = {.lex_state = 67, .external_lex_state = 31},
  [4891] = {.lex_state = 67, .external_lex_state = 40},
  [4892] = {.lex_state = 62, .external_lex_state = 47},
  [4893] = {.lex_state = 58, .external_lex_state = 25},
  [4894] = {.lex_state = 67, .external_lex_state = 31},
  [4895] = {.lex_state = 58, .external_lex_state = 36},
  [4896] = {.lex_state = 54, .external_lex_state = 25},
  [4897] = {.lex_state = 58, .external_lex_state = 34},
  [4898] = {.lex_state = 67, .external_lex_state = 36},
  [4899] = {.lex_state = 55, .external_lex_state = 31},
  [4900] = {.lex_state = 62, .external_lex_state = 29},
  [4901] = {.lex_state = 55, .external_lex_state = 37},
  [4902] = {.lex_state = 67, .external_lex_state = 40},
  [4903] = {.lex_state = 54, .external_lex_state = 38},
  [4904] = {.lex_state = 66, .external_lex_state = 25},
  [4905] = {.lex_state = 66, .external_lex_state = 38},
  [4906] = {.lex_state = 55, .external_lex_state = 25},
  [4907] = {.lex_state = 58, .external_lex_state = 31},
  [4908] = {.lex_state = 67, .external_lex_state = 36},
  [4909] = {.lex_state = 58, .external_lex_state = 31},
  [4910] = {.lex_state = 62, .external_lex_state = 41},
  [4911] = {.lex_state = 62, .external_lex_state = 49},
  [4912] = {.lex_state = 55, .external_lex_state = 32},
  [4913] = {.lex_state = 54, .external_lex_state = 32},
  [4914] = {.lex_state = 66, .external_lex_state = 41},
  [4915] = {.lex_state = 54, .external_lex_state = 31},
  [4916] = {.lex_state = 58, .external_lex_state = 39},
  [4917] = {.lex_state = 58, .external_lex_state = 34},
  [4918] = {.lex_state = 55, .external_lex_state = 29},
  [4919] = {.lex_state = 58, .external_lex_state = 33},
  [4920] = {.lex_state = 67, .external_lex_state = 46},
  [4921] = {.lex_state = 58, .external_lex_state = 36},
  [4922] = {.lex_state = 58, .external_lex_state = 37},
  [4923] = {.lex_state = 54, .external_lex_state = 31},
  [4924] = {.lex_state = 67, .external_lex_state = 36},
  [4925] = {.lex_state = 54, .external_lex_state = 32},
  [4926] = {.lex_state = 58, .external_lex_state = 51},
  [4927] = {.lex_state = 66, .external_lex_state = 41},
  [4928] = {.lex_state = 62, .external_lex_state = 29},
  [4929] = {.lex_state = 54, .external_lex_state = 50},
  [4930] = {.lex_state = 54, .external_lex_state = 32},
  [4931] = {.lex_state = 55, .external_lex_state = 31},
  [4932] = {.lex_state = 55, .external_lex_state = 45},
  [4933] = {.lex_state = 54, .external_lex_state = 32},
  [4934] = {.lex_state = 54, .external_lex_state = 32},
  [4935] = {.lex_state = 58, .external_lex_state = 37},
  [4936] = {.lex_state = 58, .external_lex_state = 39},
  [4937] = {.lex_state = 66, .external_lex_state = 41},
  [4938] = {.lex_state = 54, .external_lex_state = 32},
  [4939] = {.lex_state = 55, .external_lex_state = 35},
  [4940] = {.lex_state = 54, .external_lex_state = 32},
  [4941] = {.lex_state = 54, .external_lex_state = 32},
  [4942] = {.lex_state = 55, .external_lex_state = 38},
  [4943] = {.lex_state = 54, .external_lex_state = 32},
  [4944] = {.lex_state = 62, .external_lex_state = 29},
  [4945] = {.lex_state = 58, .external_lex_state = 45},
  [4946] = {.lex_state = 54, .external_lex_state = 32},
  [4947] = {.lex_state = 54, .external_lex_state = 32},
  [4948] = {.lex_state = 54, .external_lex_state = 32},
  [4949] = {.lex_state = 58, .external_lex_state = 52},
  [4950] = {.lex_state = 62, .external_lex_state = 29},
  [4951] = {.lex_state = 67, .external_lex_state = 39},
  [4952] = {.lex_state = 62, .external_lex_state = 29},
  [4953] = {.lex_state = 62, .external_lex_state = 25},
  [4954] = {.lex_state = 58, .external_lex_state = 38},
  [4955] = {.lex_state = 66, .external_lex_state = 31},
  [4956] = {.lex_state = 58, .external_lex_state = 25},
  [4957] = {.lex_state = 62, .external_lex_state = 29},
  [4958] = {.lex_state = 62, .external_lex_state = 29},
  [4959] = {.lex_state = 62, .external_lex_state = 29},
  [4960] = {.lex_state = 62, .external_lex_state = 29},
  [4961] = {.lex_state = 62, .external_lex_state = 29},
  [4962] = {.lex_state = 58, .external_lex_state = 44},
  [4963] = {.lex_state = 62, .external_lex_state = 29},
  [4964] = {.lex_state = 58, .external_lex_state = 37},
  [4965] = {.lex_state = 54, .external_lex_state = 29},
  [4966] = {.lex_state = 55, .external_lex_state = 25},
  [4967] = {.lex_state = 67, .external_lex_state = 32},
  [4968] = {.lex_state = 62, .external_lex_state = 42},
  [4969] = {.lex_state = 54, .external_lex_state = 37},
  [4970] = {.lex_state = 62, .external_lex_state = 29},
  [4971] = {.lex_state = 58, .external_lex_state = 53},
  [4972] = {.lex_state = 55, .external_lex_state = 32},
  [4973] = {.lex_state = 62, .external_lex_state = 29},
  [4974] = {.lex_state = 66, .external_lex_state = 25},
  [4975] = {.lex_state = 62, .external_lex_state = 29},
  [4976] = {.lex_state = 62, .external_lex_state = 29},
  [4977] = {.lex_state = 58, .external_lex_state = 45},
  [4978] = {.lex_state = 54, .external_lex_state = 49},
  [4979] = {.lex_state = 54, .external_lex_state = 31},
  [4980] = {.lex_state = 54, .external_lex_state = 29},
  [4981] = {.lex_state = 54, .external_lex_state = 32},
  [4982] = {.lex_state = 58, .external_lex_state = 29},
  [4983] = {.lex_state = 54, .external_lex_state = 37},
  [4984] = {.lex_state = 62, .external_lex_state = 29},
  [4985] = {.lex_state = 54, .external_lex_state = 31},
  [4986] = {.lex_state = 55, .external_lex_state = 31},
  [4987] = {.lex_state = 55, .external_lex_state = 42},
  [4988] = {.lex_state = 54, .external_lex_state = 41},
  [4989] = {.lex_state = 55, .external_lex_state = 31},
  [4990] = {.lex_state = 54, .external_lex_state = 31},
  [4991] = {.lex_state = 62, .external_lex_state = 46},
  [4992] = {.lex_state = 66, .external_lex_state = 32},
  [4993] = {.lex_state = 58, .external_lex_state = 35},
  [4994] = {.lex_state = 67, .external_lex_state = 41},
  [4995] = {.lex_state = 67, .external_lex_state = 31},
  [4996] = {.lex_state = 66, .external_lex_state = 31},
  [4997] = {.lex_state = 58, .external_lex_state = 32},
  [4998] = {.lex_state = 62, .external_lex_state = 29},
  [4999] = {.lex_state = 54, .external_lex_state = 31},
  [5000] = {.lex_state = 58, .external_lex_state = 32},
  [5001] = {.lex_state = 55, .external_lex_state = 29},
  [5002] = {.lex_state = 58, .external_lex_state = 35},
  [5003] = {.lex_state = 55, .external_lex_state = 29},
  [5004] = {.lex_state = 54, .external_lex_state = 31},
  [5005] = {.lex_state = 55, .external_lex_state = 29},
  [5006] = {.lex_state = 55, .external_lex_state = 41},
  [5007] = {.lex_state = 54, .external_lex_state = 31},
  [5008] = {.lex_state = 54, .external_lex_state = 50},
  [5009] = {.lex_state = 54, .external_lex_state = 38},
  [5010] = {.lex_state = 55, .external_lex_state = 31},
  [5011] = {.lex_state = 55, .external_lex_state = 31},
  [5012] = {.lex_state = 55, .external_lex_state = 31},
  [5013] = {.lex_state = 54, .external_lex_state = 37},
  [5014] = {.lex_state = 58, .external_lex_state = 39},
  [5015] = {.lex_state = 54, .external_lex_state = 35},
  [5016] = {.lex_state = 54, .external_lex_state = 35},
  [5017] = {.lex_state = 54, .external_lex_state = 35},
  [5018] = {.lex_state = 54, .external_lex_state = 35},
  [5019] = {.lex_state = 54, .external_lex_state = 35},
  [5020] = {.lex_state = 54, .external_lex_state = 35},
  [5021] = {.lex_state = 54, .external_lex_state = 35},
  [5022] = {.lex_state = 54, .external_lex_state = 35},
  [5023] = {.lex_state = 54, .external_lex_state = 35},
  [5024] = {.lex_state = 54, .external_lex_state = 35},
  [5025] = {.lex_state = 66, .external_lex_state = 31},
  [5026] = {.lex_state = 54, .external_lex_state = 38},
  [5027] = {.lex_state = 61, .external_lex_state = 54},
  [5028] = {.lex_state = 54, .external_lex_state = 38},
  [5029] = {.lex_state = 54, .external_lex_state = 38},
  [5030] = {.lex_state = 54, .external_lex_state = 38},
  [5031] = {.lex_state = 54, .external_lex_state = 38},
  [5032] = {.lex_state = 58, .external_lex_state = 25},
  [5033] = {.lex_state = 54, .external_lex_state = 38},
  [5034] = {.lex_state = 54, .external_lex_state = 38},
  [5035] = {.lex_state = 54, .external_lex_state = 38},
  [5036] = {.lex_state = 54, .external_lex_state = 38},
  [5037] = {.lex_state = 54, .external_lex_state = 38},
  [5038] = {.lex_state = 55, .external_lex_state = 31},
  [5039] = {.lex_state = 58, .external_lex_state = 39},
  [5040] = {.lex_state = 54, .external_lex_state = 37},
  [5041] = {.lex_state = 55, .external_lex_state = 37},
  [5042] = {.lex_state = 67, .external_lex_state = 29},
  [5043] = {.lex_state = 62, .external_lex_state = 31},
  [5044] = {.lex_state = 67, .external_lex_state = 29},
  [5045] = {.lex_state = 67, .external_lex_state = 29},
  [5046] = {.lex_state = 62, .external_lex_state = 31},
  [5047] = {.lex_state = 58, .external_lex_state = 40},
  [5048] = {.lex_state = 62, .external_lex_state = 32},
  [5049] = {.lex_state = 58, .external_lex_state = 31},
  [5050] = {.lex_state = 62, .external_lex_state = 31},
  [5051] = {.lex_state = 54, .external_lex_state = 49},
  [5052] = {.lex_state = 67, .external_lex_state = 50},
  [5053] = {.lex_state = 62, .external_lex_state = 31},
  [5054] = {.lex_state = 58, .external_lex_state = 37},
  [5055] = {.lex_state = 62, .external_lex_state = 31},
  [5056] = {.lex_state = 58, .external_lex_state = 37},
  [5057] = {.lex_state = 58, .external_lex_state = 33},
  [5058] = {.lex_state = 58, .external_lex_state = 40},
  [5059] = {.lex_state = 54, .external_lex_state = 25},
  [5060] = {.lex_state = 58, .external_lex_state = 25},
  [5061] = {.lex_state = 67, .external_lex_state = 47},
  [5062] = {.lex_state = 58, .external_lex_state = 34},
  [5063] = {.lex_state = 58, .external_lex_state = 30},
  [5064] = {.lex_state = 54, .external_lex_state = 37},
  [5065] = {.lex_state = 54, .external_lex_state = 45},
  [5066] = {.lex_state = 67, .external_lex_state = 38},
  [5067] = {.lex_state = 58, .external_lex_state = 52},
  [5068] = {.lex_state = 54, .external_lex_state = 37},
  [5069] = {.lex_state = 55, .external_lex_state = 35},
  [5070] = {.lex_state = 66, .external_lex_state = 25},
  [5071] = {.lex_state = 54, .external_lex_state = 37},
  [5072] = {.lex_state = 54, .external_lex_state = 37},
  [5073] = {.lex_state = 55, .external_lex_state = 31},
  [5074] = {.lex_state = 54, .external_lex_state = 37},
  [5075] = {.lex_state = 54, .external_lex_state = 37},
  [5076] = {.lex_state = 54, .external_lex_state = 37},
  [5077] = {.lex_state = 67, .external_lex_state = 26},
  [5078] = {.lex_state = 54, .external_lex_state = 25},
  [5079] = {.lex_state = 54, .external_lex_state = 37},
  [5080] = {.lex_state = 54, .external_lex_state = 37},
  [5081] = {.lex_state = 55, .external_lex_state = 50},
  [5082] = {.lex_state = 55, .external_lex_state = 42},
  [5083] = {.lex_state = 55, .external_lex_state = 38},
  [5084] = {.lex_state = 54, .external_lex_state = 55},
  [5085] = {.lex_state = 66, .external_lex_state = 25},
  [5086] = {.lex_state = 54, .external_lex_state = 37},
  [5087] = {.lex_state = 54, .external_lex_state = 35},
  [5088] = {.lex_state = 54, .external_lex_state = 56},
  [5089] = {.lex_state = 54, .external_lex_state = 38},
  [5090] = {.lex_state = 62, .external_lex_state = 32},
  [5091] = {.lex_state = 62, .external_lex_state = 50},
  [5092] = {.lex_state = 62, .external_lex_state = 32},
  [5093] = {.lex_state = 62, .external_lex_state = 32},
  [5094] = {.lex_state = 62, .external_lex_state = 32},
  [5095] = {.lex_state = 62, .external_lex_state = 32},
  [5096] = {.lex_state = 62, .external_lex_state = 32},
  [5097] = {.lex_state = 62, .external_lex_state = 32},
  [5098] = {.lex_state = 62, .external_lex_state = 32},
  [5099] = {.lex_state = 62, .external_lex_state = 32},
  [5100] = {.lex_state = 62, .external_lex_state = 32},
  [5101] = {.lex_state = 62, .external_lex_state = 32},
  [5102] = {.lex_state = 55, .external_lex_state = 49},
  [5103] = {.lex_state = 67, .external_lex_state = 29},
  [5104] = {.lex_state = 62, .external_lex_state = 31},
  [5105] = {.lex_state = 55, .external_lex_state = 45},
  [5106] = {.lex_state = 55, .external_lex_state = 41},
  [5107] = {.lex_state = 58, .external_lex_state = 32},
  [5108] = {.lex_state = 62, .external_lex_state = 32},
  [5109] = {.lex_state = 54, .external_lex_state = 46},
  [5110] = {.lex_state = 66, .external_lex_state = 49},
  [5111] = {.lex_state = 62, .external_lex_state = 46},
  [5112] = {.lex_state = 55, .external_lex_state = 45},
  [5113] = {.lex_state = 55, .external_lex_state = 35},
  [5114] = {.lex_state = 58, .external_lex_state = 36},
  [5115] = {.lex_state = 55, .external_lex_state = 31},
  [5116] = {.lex_state = 58, .external_lex_state = 32},
  [5117] = {.lex_state = 62, .external_lex_state = 47},
  [5118] = {.lex_state = 55, .external_lex_state = 31},
  [5119] = {.lex_state = 54, .external_lex_state = 25},
  [5120] = {.lex_state = 67, .external_lex_state = 44},
  [5121] = {.lex_state = 58, .external_lex_state = 29},
  [5122] = {.lex_state = 58, .external_lex_state = 30},
  [5123] = {.lex_state = 55, .external_lex_state = 38},
  [5124] = {.lex_state = 55, .external_lex_state = 31},
  [5125] = {.lex_state = 58, .external_lex_state = 43},
  [5126] = {.lex_state = 55, .external_lex_state = 25},
  [5127] = {.lex_state = 55, .external_lex_state = 31},
  [5128] = {.lex_state = 58, .external_lex_state = 35},
  [5129] = {.lex_state = 58, .external_lex_state = 35},
  [5130] = {.lex_state = 54, .external_lex_state = 35},
  [5131] = {.lex_state = 54, .external_lex_state = 35},
  [5132] = {.lex_state = 54, .external_lex_state = 35},
  [5133] = {.lex_state = 62, .external_lex_state = 31},
  [5134] = {.lex_state = 55, .external_lex_state = 31},
  [5135] = {.lex_state = 55, .external_lex_state = 25},
  [5136] = {.lex_state = 67, .external_lex_state = 46},
  [5137] = {.lex_state = 54, .external_lex_state = 38},
  [5138] = {.lex_state = 54, .external_lex_state = 38},
  [5139] = {.lex_state = 54, .external_lex_state = 38},
  [5140] = {.lex_state = 55, .external_lex_state = 31},
  [5141] = {.lex_state = 58, .external_lex_state = 42},
  [5142] = {.lex_state = 58, .external_lex_state = 38},
  [5143] = {.lex_state = 54, .external_lex_state = 42},
  [5144] = {.lex_state = 55, .external_lex_state = 31},
  [5145] = {.lex_state = 58, .external_lex_state = 38},
  [5146] = {.lex_state = 54, .external_lex_state = 35},
  [5147] = {.lex_state = 54, .external_lex_state = 31},
  [5148] = {.lex_state = 55, .external_lex_state = 25},
  [5149] = {.lex_state = 66, .external_lex_state = 42},
  [5150] = {.lex_state = 55, .external_lex_state = 31},
  [5151] = {.lex_state = 55, .external_lex_state = 31},
  [5152] = {.lex_state = 66, .external_lex_state = 42},
  [5153] = {.lex_state = 55, .external_lex_state = 25},
  [5154] = {.lex_state = 54, .external_lex_state = 38},
  [5155] = {.lex_state = 55, .external_lex_state = 31},
  [5156] = {.lex_state = 54, .external_lex_state = 57},
  [5157] = {.lex_state = 58, .external_lex_state = 41},
  [5158] = {.lex_state = 66, .external_lex_state = 50},
  [5159] = {.lex_state = 66, .external_lex_state = 46},
  [5160] = {.lex_state = 66, .external_lex_state = 32},
  [5161] = {.lex_state = 54, .external_lex_state = 41},
  [5162] = {.lex_state = 66, .external_lex_state = 41},
  [5163] = {.lex_state = 58, .external_lex_state = 29},
  [5164] = {.lex_state = 66, .external_lex_state = 41},
  [5165] = {.lex_state = 58, .external_lex_state = 29},
  [5166] = {.lex_state = 58, .external_lex_state = 29},
  [5167] = {.lex_state = 62, .external_lex_state = 46},
  [5168] = {.lex_state = 66, .external_lex_state = 47},
  [5169] = {.lex_state = 54, .external_lex_state = 42},
  [5170] = {.lex_state = 55, .external_lex_state = 32},
  [5171] = {.lex_state = 54, .external_lex_state = 32},
  [5172] = {.lex_state = 58, .external_lex_state = 58},
  [5173] = {.lex_state = 55, .external_lex_state = 32},
  [5174] = {.lex_state = 55, .external_lex_state = 32},
  [5175] = {.lex_state = 55, .external_lex_state = 32},
  [5176] = {.lex_state = 55, .external_lex_state = 32},
  [5177] = {.lex_state = 55, .external_lex_state = 32},
  [5178] = {.lex_state = 55, .external_lex_state = 32},
  [5179] = {.lex_state = 55, .external_lex_state = 32},
  [5180] = {.lex_state = 55, .external_lex_state = 32},
  [5181] = {.lex_state = 55, .external_lex_state = 32},
  [5182] = {.lex_state = 55, .external_lex_state = 32},
  [5183] = {.lex_state = 62, .external_lex_state = 32},
  [5184] = {.lex_state = 62, .external_lex_state = 32},
  [5185] = {.lex_state = 62, .external_lex_state = 32},
  [5186] = {.lex_state = 55, .external_lex_state = 25},
  [5187] = {.lex_state = 54, .external_lex_state = 41},
  [5188] = {.lex_state = 66, .external_lex_state = 47},
  [5189] = {.lex_state = 55, .external_lex_state = 32},
  [5190] = {.lex_state = 54, .external_lex_state = 32},
  [5191] = {.lex_state = 67, .external_lex_state = 34},
  [5192] = {.lex_state = 54, .external_lex_state = 31},
  [5193] = {.lex_state = 62, .external_lex_state = 32},
  [5194] = {.lex_state = 55, .external_lex_state = 46},
  [5195] = {.lex_state = 66, .external_lex_state = 32},
  [5196] = {.lex_state = 66, .external_lex_state = 32},
  [5197] = {.lex_state = 66, .external_lex_state = 32},
  [5198] = {.lex_state = 67, .external_lex_state = 44},
  [5199] = {.lex_state = 55, .external_lex_state = 32},
  [5200] = {.lex_state = 55, .external_lex_state = 32},
  [5201] = {.lex_state = 55, .external_lex_state = 32},
  [5202] = {.lex_state = 61, .external_lex_state = 25},
  [5203] = {.lex_state = 54, .external_lex_state = 45},
  [5204] = {.lex_state = 55, .external_lex_state = 37},
  [5205] = {.lex_state = 55, .external_lex_state = 32},
  [5206] = {.lex_state = 54, .external_lex_state = 35},
  [5207] = {.lex_state = 55, .external_lex_state = 37},
  [5208] = {.lex_state = 54, .external_lex_state = 47},
  [5209] = {.lex_state = 55, .external_lex_state = 25},
  [5210] = {.lex_state = 62, .external_lex_state = 32},
  [5211] = {.lex_state = 62, .external_lex_state = 32},
  [5212] = {.lex_state = 55, .external_lex_state = 35},
  [5213] = {.lex_state = 62, .external_lex_state = 49},
  [5214] = {.lex_state = 55, .external_lex_state = 35},
  [5215] = {.lex_state = 55, .external_lex_state = 38},
  [5216] = {.lex_state = 55, .external_lex_state = 38},
  [5217] = {.lex_state = 54, .external_lex_state = 42},
  [5218] = {.lex_state = 54, .external_lex_state = 42},
  [5219] = {.lex_state = 67, .external_lex_state = 44},
  [5220] = {.lex_state = 54, .external_lex_state = 41},
  [5221] = {.lex_state = 54, .external_lex_state = 41},
  [5222] = {.lex_state = 67, .external_lex_state = 33},
  [5223] = {.lex_state = 67, .external_lex_state = 43},
  [5224] = {.lex_state = 58, .external_lex_state = 59},
  [5225] = {.lex_state = 54, .external_lex_state = 45},
  [5226] = {.lex_state = 55, .external_lex_state = 25},
  [5227] = {.lex_state = 62, .external_lex_state = 50},
  [5228] = {.lex_state = 66, .external_lex_state = 37},
  [5229] = {.lex_state = 67, .external_lex_state = 29},
  [5230] = {.lex_state = 62, .external_lex_state = 31},
  [5231] = {.lex_state = 62, .external_lex_state = 29},
  [5232] = {.lex_state = 54, .external_lex_state = 45},
  [5233] = {.lex_state = 62, .external_lex_state = 31},
  [5234] = {.lex_state = 55, .external_lex_state = 45},
  [5235] = {.lex_state = 62, .external_lex_state = 31},
  [5236] = {.lex_state = 62, .external_lex_state = 31},
  [5237] = {.lex_state = 62, .external_lex_state = 31},
  [5238] = {.lex_state = 62, .external_lex_state = 31},
  [5239] = {.lex_state = 66, .external_lex_state = 49},
  [5240] = {.lex_state = 67, .external_lex_state = 29},
  [5241] = {.lex_state = 62, .external_lex_state = 56},
  [5242] = {.lex_state = 67, .external_lex_state = 43},
  [5243] = {.lex_state = 67, .external_lex_state = 35},
  [5244] = {.lex_state = 55, .external_lex_state = 25},
  [5245] = {.lex_state = 67, .external_lex_state = 56},
  [5246] = {.lex_state = 62, .external_lex_state = 47},
  [5247] = {.lex_state = 66, .external_lex_state = 47},
  [5248] = {.lex_state = 67, .external_lex_state = 43},
  [5249] = {.lex_state = 58, .external_lex_state = 36},
  [5250] = {.lex_state = 58, .external_lex_state = 52},
  [5251] = {.lex_state = 67, .external_lex_state = 30},
  [5252] = {.lex_state = 62, .external_lex_state = 55},
  [5253] = {.lex_state = 58, .external_lex_state = 39},
  [5254] = {.lex_state = 55, .external_lex_state = 25},
  [5255] = {.lex_state = 55, .external_lex_state = 29},
  [5256] = {.lex_state = 58, .external_lex_state = 51},
  [5257] = {.lex_state = 67, .external_lex_state = 55},
  [5258] = {.lex_state = 67, .external_lex_state = 49},
  [5259] = {.lex_state = 54, .external_lex_state = 38},
  [5260] = {.lex_state = 55, .external_lex_state = 29},
  [5261] = {.lex_state = 67, .external_lex_state = 35},
  [5262] = {.lex_state = 66, .external_lex_state = 29},
  [5263] = {.lex_state = 67, .external_lex_state = 35},
  [5264] = {.lex_state = 67, .external_lex_state = 29},
  [5265] = {.lex_state = 54, .external_lex_state = 25},
  [5266] = {.lex_state = 55, .external_lex_state = 45},
  [5267] = {.lex_state = 55, .external_lex_state = 25},
  [5268] = {.lex_state = 55, .external_lex_state = 25},
  [5269] = {.lex_state = 67, .external_lex_state = 37},
  [5270] = {.lex_state = 58, .external_lex_state = 31},
  [5271] = {.lex_state = 55, .external_lex_state = 37},
  [5272] = {.lex_state = 62, .external_lex_state = 31},
  [5273] = {.lex_state = 54, .external_lex_state = 31},
  [5274] = {.lex_state = 67, .external_lex_state = 38},
  [5275] = {.lex_state = 66, .external_lex_state = 31},
  [5276] = {.lex_state = 67, .external_lex_state = 38},
  [5277] = {.lex_state = 66, .external_lex_state = 31},
  [5278] = {.lex_state = 58, .external_lex_state = 45},
  [5279] = {.lex_state = 58, .external_lex_state = 36},
  [5280] = {.lex_state = 67, .external_lex_state = 30},
  [5281] = {.lex_state = 66, .external_lex_state = 31},
  [5282] = {.lex_state = 58, .external_lex_state = 39},
  [5283] = {.lex_state = 62, .external_lex_state = 31},
  [5284] = {.lex_state = 66, .external_lex_state = 35},
  [5285] = {.lex_state = 54, .external_lex_state = 37},
  [5286] = {.lex_state = 62, .external_lex_state = 57},
  [5287] = {.lex_state = 54, .external_lex_state = 32},
  [5288] = {.lex_state = 66, .external_lex_state = 29},
  [5289] = {.lex_state = 58, .external_lex_state = 30},
  [5290] = {.lex_state = 67, .external_lex_state = 37},
  [5291] = {.lex_state = 66, .external_lex_state = 38},
  [5292] = {.lex_state = 58, .external_lex_state = 42},
  [5293] = {.lex_state = 67, .external_lex_state = 37},
  [5294] = {.lex_state = 58, .external_lex_state = 45},
  [5295] = {.lex_state = 67, .external_lex_state = 26},
  [5296] = {.lex_state = 66, .external_lex_state = 35},
  [5297] = {.lex_state = 58, .external_lex_state = 42},
  [5298] = {.lex_state = 55, .external_lex_state = 47},
  [5299] = {.lex_state = 66, .external_lex_state = 38},
  [5300] = {.lex_state = 62, .external_lex_state = 32},
  [5301] = {.lex_state = 67, .external_lex_state = 57},
  [5302] = {.lex_state = 55, .external_lex_state = 25},
  [5303] = {.lex_state = 54, .external_lex_state = 37},
  [5304] = {.lex_state = 58, .external_lex_state = 41},
  [5305] = {.lex_state = 62, .external_lex_state = 49},
  [5306] = {.lex_state = 55, .external_lex_state = 25},
  [5307] = {.lex_state = 55, .external_lex_state = 31},
  [5308] = {.lex_state = 66, .external_lex_state = 37},
  [5309] = {.lex_state = 58, .external_lex_state = 30},
  [5310] = {.lex_state = 66, .external_lex_state = 46},
  [5311] = {.lex_state = 58, .external_lex_state = 60},
  [5312] = {.lex_state = 62, .external_lex_state = 31},
  [5313] = {.lex_state = 58, .external_lex_state = 41},
  [5314] = {.lex_state = 67, .external_lex_state = 38},
  [5315] = {.lex_state = 58, .external_lex_state = 25},
  [5316] = {.lex_state = 54, .external_lex_state = 37},
  [5317] = {.lex_state = 54, .external_lex_state = 37},
  [5318] = {.lex_state = 54, .external_lex_state = 37},
  [5319] = {.lex_state = 66, .external_lex_state = 50},
  [5320] = {.lex_state = 55, .external_lex_state = 25},
  [5321] = {.lex_state = 58, .external_lex_state = 36},
  [5322] = {.lex_state = 55, .external_lex_state = 25},
  [5323] = {.lex_state = 67, .external_lex_state = 37},
  [5324] = {.lex_state = 62, .external_lex_state = 31},
  [5325] = {.lex_state = 66, .external_lex_state = 46},
  [5326] = {.lex_state = 58, .external_lex_state = 25},
  [5327] = {.lex_state = 62, .external_lex_state = 31},
  [5328] = {.lex_state = 54, .external_lex_state = 35},
  [5329] = {.lex_state = 58, .external_lex_state = 30},
  [5330] = {.lex_state = 62, .external_lex_state = 31},
  [5331] = {.lex_state = 58, .external_lex_state = 51},
  [5332] = {.lex_state = 62, .external_lex_state = 31},
  [5333] = {.lex_state = 66, .external_lex_state = 50},
  [5334] = {.lex_state = 67, .external_lex_state = 35},
  [5335] = {.lex_state = 55, .external_lex_state = 54},
  [5336] = {.lex_state = 66, .external_lex_state = 49},
  [5337] = {.lex_state = 55, .external_lex_state = 25},
  [5338] = {.lex_state = 58, .external_lex_state = 25},
  [5339] = {.lex_state = 54, .external_lex_state = 29},
  [5340] = {.lex_state = 54, .external_lex_state = 25},
  [5341] = {.lex_state = 54, .external_lex_state = 41},
  [5342] = {.lex_state = 54, .external_lex_state = 41},
  [5343] = {.lex_state = 54, .external_lex_state = 41},
  [5344] = {.lex_state = 54, .external_lex_state = 41},
  [5345] = {.lex_state = 54, .external_lex_state = 41},
  [5346] = {.lex_state = 62, .external_lex_state = 37},
  [5347] = {.lex_state = 54, .external_lex_state = 32},
  [5348] = {.lex_state = 62, .external_lex_state = 57},
  [5349] = {.lex_state = 54, .external_lex_state = 55},
  [5350] = {.lex_state = 61, .external_lex_state = 25},
  [5351] = {.lex_state = 58, .external_lex_state = 49},
  [5352] = {.lex_state = 62, .external_lex_state = 37},
  [5353] = {.lex_state = 58, .external_lex_state = 53},
  [5354] = {.lex_state = 62, .external_lex_state = 38},
  [5355] = {.lex_state = 66, .external_lex_state = 25},
  [5356] = {.lex_state = 62, .external_lex_state = 38},
  [5357] = {.lex_state = 62, .external_lex_state = 38},
  [5358] = {.lex_state = 58, .external_lex_state = 46},
  [5359] = {.lex_state = 67, .external_lex_state = 32},
  [5360] = {.lex_state = 62, .external_lex_state = 37},
  [5361] = {.lex_state = 67},
  [5362] = {.lex_state = 67, .external_lex_state = 32},
  [5363] = {.lex_state = 67, .external_lex_state = 32},
  [5364] = {.lex_state = 62, .external_lex_state = 35},
  [5365] = {.lex_state = 55, .external_lex_state = 41},
  [5366] = {.lex_state = 62, .external_lex_state = 38},
  [5367] = {.lex_state = 62, .external_lex_state = 35},
  [5368] = {.lex_state = 58, .external_lex_state = 38},
  [5369] = {.lex_state = 67, .external_lex_state = 42},
  [5370] = {.lex_state = 55, .external_lex_state = 37},
  [5371] = {.lex_state = 66, .external_lex_state = 32},
  [5372] = {.lex_state = 67, .external_lex_state = 53},
  [5373] = {.lex_state = 67, .external_lex_state = 42},
  [5374] = {.lex_state = 54, .external_lex_state = 41},
  [5375] = {.lex_state = 55, .external_lex_state = 42},
  [5376] = {.lex_state = 62, .external_lex_state = 35},
  [5377] = {.lex_state = 54, .external_lex_state = 47},
  [5378] = {.lex_state = 54, .external_lex_state = 50},
  [5379] = {.lex_state = 62, .external_lex_state = 37},
  [5380] = {.lex_state = 66, .external_lex_state = 55},
  [5381] = {.lex_state = 62, .external_lex_state = 38},
  [5382] = {.lex_state = 58, .external_lex_state = 42},
  [5383] = {.lex_state = 58, .external_lex_state = 42},
  [5384] = {.lex_state = 62, .external_lex_state = 38},
  [5385] = {.lex_state = 67, .external_lex_state = 53},
  [5386] = {.lex_state = 55, .external_lex_state = 57},
  [5387] = {.lex_state = 66, .external_lex_state = 41},
  [5388] = {.lex_state = 67, .external_lex_state = 31},
  [5389] = {.lex_state = 67},
  [5390] = {.lex_state = 66, .external_lex_state = 32},
  [5391] = {.lex_state = 62, .external_lex_state = 57},
  [5392] = {.lex_state = 58, .external_lex_state = 49},
  [5393] = {.lex_state = 62, .external_lex_state = 35},
  [5394] = {.lex_state = 62, .external_lex_state = 35},
  [5395] = {.lex_state = 55, .external_lex_state = 37},
  [5396] = {.lex_state = 62, .external_lex_state = 38},
  [5397] = {.lex_state = 62, .external_lex_state = 38},
  [5398] = {.lex_state = 67, .external_lex_state = 31},
  [5399] = {.lex_state = 54, .external_lex_state = 35},
  [5400] = {.lex_state = 55, .external_lex_state = 25},
  [5401] = {.lex_state = 62, .external_lex_state = 38},
  [5402] = {.lex_state = 54, .external_lex_state = 31},
  [5403] = {.lex_state = 62, .external_lex_state = 35},
  [5404] = {.lex_state = 54, .external_lex_state = 25},
  [5405] = {.lex_state = 58, .external_lex_state = 32},
  [5406] = {.lex_state = 55, .external_lex_state = 35},
  [5407] = {.lex_state = 58, .external_lex_state = 35},
  [5408] = {.lex_state = 55, .external_lex_state = 37},
  [5409] = {.lex_state = 62, .external_lex_state = 38},
  [5410] = {.lex_state = 62, .external_lex_state = 38},
  [5411] = {.lex_state = 55, .external_lex_state = 37},
  [5412] = {.lex_state = 54, .external_lex_state = 50},
  [5413] = {.lex_state = 62, .external_lex_state = 37},
  [5414] = {.lex_state = 58, .external_lex_state = 41},
  [5415] = {.lex_state = 66, .external_lex_state = 45},
  [5416] = {.lex_state = 58, .external_lex_state = 41},
  [5417] = {.lex_state = 55, .external_lex_state = 35},
  [5418] = {.lex_state = 55, .external_lex_state = 35},
  [5419] = {.lex_state = 55, .external_lex_state = 35},
  [5420] = {.lex_state = 58, .external_lex_state = 31},
  [5421] = {.lex_state = 66, .external_lex_state = 46},
  [5422] = {.lex_state = 55, .external_lex_state = 41},
  [5423] = {.lex_state = 66, .external_lex_state = 46},
  [5424] = {.lex_state = 55, .external_lex_state = 45},
  [5425] = {.lex_state = 54, .external_lex_state = 50},
  [5426] = {.lex_state = 54, .external_lex_state = 46},
  [5427] = {.lex_state = 62, .external_lex_state = 35},
  [5428] = {.lex_state = 55, .external_lex_state = 45},
  [5429] = {.lex_state = 55, .external_lex_state = 38},
  [5430] = {.lex_state = 67, .external_lex_state = 29},
  [5431] = {.lex_state = 55, .external_lex_state = 38},
  [5432] = {.lex_state = 66, .external_lex_state = 41},
  [5433] = {.lex_state = 55, .external_lex_state = 38},
  [5434] = {.lex_state = 62, .external_lex_state = 38},
  [5435] = {.lex_state = 67, .external_lex_state = 30},
  [5436] = {.lex_state = 54, .external_lex_state = 46},
  [5437] = {.lex_state = 55, .external_lex_state = 35},
  [5438] = {.lex_state = 55, .external_lex_state = 38},
  [5439] = {.lex_state = 58, .external_lex_state = 44},
  [5440] = {.lex_state = 54, .external_lex_state = 42},
  [5441] = {.lex_state = 54, .external_lex_state = 42},
  [5442] = {.lex_state = 54, .external_lex_state = 42},
  [5443] = {.lex_state = 58, .external_lex_state = 44},
  [5444] = {.lex_state = 58, .external_lex_state = 32},
  [5445] = {.lex_state = 58, .external_lex_state = 32},
  [5446] = {.lex_state = 58, .external_lex_state = 32},
  [5447] = {.lex_state = 55, .external_lex_state = 31},
  [5448] = {.lex_state = 54, .external_lex_state = 42},
  [5449] = {.lex_state = 54, .external_lex_state = 49},
  [5450] = {.lex_state = 67, .external_lex_state = 29},
  [5451] = {.lex_state = 62, .external_lex_state = 37},
  [5452] = {.lex_state = 54, .external_lex_state = 56},
  [5453] = {.lex_state = 54, .external_lex_state = 49},
  [5454] = {.lex_state = 54, .external_lex_state = 41},
  [5455] = {.lex_state = 54, .external_lex_state = 41},
  [5456] = {.lex_state = 54, .external_lex_state = 41},
  [5457] = {.lex_state = 67, .external_lex_state = 55},
  [5458] = {.lex_state = 62, .external_lex_state = 35},
  [5459] = {.lex_state = 54, .external_lex_state = 41},
  [5460] = {.lex_state = 58, .external_lex_state = 26},
  [5461] = {.lex_state = 62, .external_lex_state = 38},
  [5462] = {.lex_state = 62, .external_lex_state = 35},
  [5463] = {.lex_state = 55, .external_lex_state = 37},
  [5464] = {.lex_state = 58, .external_lex_state = 31},
  [5465] = {.lex_state = 62, .external_lex_state = 35},
  [5466] = {.lex_state = 54, .external_lex_state = 35},
  [5467] = {.lex_state = 62, .external_lex_state = 35},
  [5468] = {.lex_state = 62, .external_lex_state = 35},
  [5469] = {.lex_state = 54, .external_lex_state = 25},
  [5470] = {.lex_state = 58, .external_lex_state = 31},
  [5471] = {.lex_state = 55, .external_lex_state = 35},
  [5472] = {.lex_state = 58, .external_lex_state = 43},
  [5473] = {.lex_state = 55, .external_lex_state = 47},
  [5474] = {.lex_state = 58},
  [5475] = {.lex_state = 58, .external_lex_state = 43},
  [5476] = {.lex_state = 54, .external_lex_state = 49},
  [5477] = {.lex_state = 54, .external_lex_state = 35},
  [5478] = {.lex_state = 55, .external_lex_state = 35},
  [5479] = {.lex_state = 67, .external_lex_state = 53},
  [5480] = {.lex_state = 67, .external_lex_state = 40},
  [5481] = {.lex_state = 54, .external_lex_state = 25},
  [5482] = {.lex_state = 54, .external_lex_state = 47},
  [5483] = {.lex_state = 55, .external_lex_state = 35},
  [5484] = {.lex_state = 55, .external_lex_state = 35},
  [5485] = {.lex_state = 55, .external_lex_state = 35},
  [5486] = {.lex_state = 58, .external_lex_state = 47},
  [5487] = {.lex_state = 55, .external_lex_state = 38},
  [5488] = {.lex_state = 55, .external_lex_state = 35},
  [5489] = {.lex_state = 55, .external_lex_state = 35},
  [5490] = {.lex_state = 55, .external_lex_state = 35},
  [5491] = {.lex_state = 54, .external_lex_state = 25},
  [5492] = {.lex_state = 55, .external_lex_state = 35},
  [5493] = {.lex_state = 55, .external_lex_state = 35},
  [5494] = {.lex_state = 55, .external_lex_state = 45},
  [5495] = {.lex_state = 67, .external_lex_state = 30},
  [5496] = {.lex_state = 55, .external_lex_state = 42},
  [5497] = {.lex_state = 54, .external_lex_state = 25},
  [5498] = {.lex_state = 55, .external_lex_state = 42},
  [5499] = {.lex_state = 55, .external_lex_state = 45},
  [5500] = {.lex_state = 55, .external_lex_state = 41},
  [5501] = {.lex_state = 58, .external_lex_state = 34},
  [5502] = {.lex_state = 55, .external_lex_state = 41},
  [5503] = {.lex_state = 54, .external_lex_state = 46},
  [5504] = {.lex_state = 54, .external_lex_state = 46},
  [5505] = {.lex_state = 54, .external_lex_state = 38},
  [5506] = {.lex_state = 62, .external_lex_state = 37},
  [5507] = {.lex_state = 55, .external_lex_state = 45},
  [5508] = {.lex_state = 67, .external_lex_state = 31},
  [5509] = {.lex_state = 58, .external_lex_state = 33},
  [5510] = {.lex_state = 54, .external_lex_state = 25},
  [5511] = {.lex_state = 54, .external_lex_state = 57},
  [5512] = {.lex_state = 55, .external_lex_state = 49},
  [5513] = {.lex_state = 67, .external_lex_state = 45},
  [5514] = {.lex_state = 62, .external_lex_state = 38},
  [5515] = {.lex_state = 54, .external_lex_state = 25},
  [5516] = {.lex_state = 67, .external_lex_state = 30},
  [5517] = {.lex_state = 55, .external_lex_state = 38},
  [5518] = {.lex_state = 55, .external_lex_state = 29},
  [5519] = {.lex_state = 55, .external_lex_state = 38},
  [5520] = {.lex_state = 62, .external_lex_state = 35},
  [5521] = {.lex_state = 55, .external_lex_state = 37},
  [5522] = {.lex_state = 58, .external_lex_state = 45},
  [5523] = {.lex_state = 58, .external_lex_state = 27},
  [5524] = {.lex_state = 66, .external_lex_state = 45},
  [5525] = {.lex_state = 54, .external_lex_state = 41},
  [5526] = {.lex_state = 66, .external_lex_state = 57},
  [5527] = {.lex_state = 67, .external_lex_state = 30},
  [5528] = {.lex_state = 62, .external_lex_state = 29},
  [5529] = {.lex_state = 67, .external_lex_state = 56},
  [5530] = {.lex_state = 54, .external_lex_state = 25},
  [5531] = {.lex_state = 54, .external_lex_state = 25},
  [5532] = {.lex_state = 58, .external_lex_state = 26},
  [5533] = {.lex_state = 54, .external_lex_state = 25},
  [5534] = {.lex_state = 55, .external_lex_state = 38},
  [5535] = {.lex_state = 67, .external_lex_state = 25},
  [5536] = {.lex_state = 55, .external_lex_state = 38},
  [5537] = {.lex_state = 67, .external_lex_state = 30},
  [5538] = {.lex_state = 55, .external_lex_state = 38},
  [5539] = {.lex_state = 67, .external_lex_state = 30},
  [5540] = {.lex_state = 54, .external_lex_state = 50},
  [5541] = {.lex_state = 58, .external_lex_state = 45},
  [5542] = {.lex_state = 54, .external_lex_state = 38},
  [5543] = {.lex_state = 67, .external_lex_state = 30},
  [5544] = {.lex_state = 54, .external_lex_state = 37},
  [5545] = {.lex_state = 55, .external_lex_state = 38},
  [5546] = {.lex_state = 58, .external_lex_state = 33},
  [5547] = {.lex_state = 67, .external_lex_state = 39},
  [5548] = {.lex_state = 55, .external_lex_state = 38},
  [5549] = {.lex_state = 55, .external_lex_state = 38},
  [5550] = {.lex_state = 67, .external_lex_state = 30},
  [5551] = {.lex_state = 55, .external_lex_state = 38},
  [5552] = {.lex_state = 55, .external_lex_state = 38},
  [5553] = {.lex_state = 62, .external_lex_state = 35},
  [5554] = {.lex_state = 67, .external_lex_state = 25},
  [5555] = {.lex_state = 57, .external_lex_state = 26},
  [5556] = {.lex_state = 67, .external_lex_state = 30},
  [5557] = {.lex_state = 54, .external_lex_state = 37},
  [5558] = {.lex_state = 62, .external_lex_state = 35},
  [5559] = {.lex_state = 66, .external_lex_state = 37},
  [5560] = {.lex_state = 58, .external_lex_state = 59},
  [5561] = {.lex_state = 58, .external_lex_state = 49},
  [5562] = {.lex_state = 62, .external_lex_state = 37},
  [5563] = {.lex_state = 61, .external_lex_state = 45},
  [5564] = {.lex_state = 66, .external_lex_state = 55},
  [5565] = {.lex_state = 55, .external_lex_state = 45},
  [5566] = {.lex_state = 54, .external_lex_state = 25},
  [5567] = {.lex_state = 67, .external_lex_state = 25},
  [5568] = {.lex_state = 66, .external_lex_state = 57},
  [5569] = {.lex_state = 62, .external_lex_state = 37},
  [5570] = {.lex_state = 67, .external_lex_state = 30},
  [5571] = {.lex_state = 67, .external_lex_state = 51},
  [5572] = {.lex_state = 57, .external_lex_state = 26},
  [5573] = {.lex_state = 67, .external_lex_state = 44},
  [5574] = {.lex_state = 62, .external_lex_state = 37},
  [5575] = {.lex_state = 67, .external_lex_state = 34},
  [5576] = {.lex_state = 58, .external_lex_state = 39},
  [5577] = {.lex_state = 55, .external_lex_state = 46},
  [5578] = {.lex_state = 67, .external_lex_state = 32},
  [5579] = {.lex_state = 58, .external_lex_state = 29},
  [5580] = {.lex_state = 54, .external_lex_state = 42},
  [5581] = {.lex_state = 67, .external_lex_state = 44},
  [5582] = {.lex_state = 62, .external_lex_state = 35},
  [5583] = {.lex_state = 58, .external_lex_state = 40},
  [5584] = {.lex_state = 67, .external_lex_state = 33},
  [5585] = {.lex_state = 58, .external_lex_state = 60},
  [5586] = {.lex_state = 55, .external_lex_state = 50},
  [5587] = {.lex_state = 58, .external_lex_state = 59},
  [5588] = {.lex_state = 62, .external_lex_state = 35},
  [5589] = {.lex_state = 62, .external_lex_state = 38},
  [5590] = {.lex_state = 57, .external_lex_state = 26},
  [5591] = {.lex_state = 54, .external_lex_state = 41},
  [5592] = {.lex_state = 54, .external_lex_state = 41},
  [5593] = {.lex_state = 55, .external_lex_state = 54},
  [5594] = {.lex_state = 67, .external_lex_state = 41},
  [5595] = {.lex_state = 62, .external_lex_state = 37},
  [5596] = {.lex_state = 54, .external_lex_state = 25},
  [5597] = {.lex_state = 67, .external_lex_state = 31},
  [5598] = {.lex_state = 66, .external_lex_state = 56},
  [5599] = {.lex_state = 66, .external_lex_state = 29},
  [5600] = {.lex_state = 54, .external_lex_state = 25},
  [5601] = {.lex_state = 62, .external_lex_state = 37},
  [5602] = {.lex_state = 66, .external_lex_state = 35},
  [5603] = {.lex_state = 54, .external_lex_state = 38},
  [5604] = {.lex_state = 67, .external_lex_state = 26},
  [5605] = {.lex_state = 58, .external_lex_state = 34},
  [5606] = {.lex_state = 58, .external_lex_state = 35},
  [5607] = {.lex_state = 58, .external_lex_state = 33},
  [5608] = {.lex_state = 55, .external_lex_state = 32},
  [5609] = {.lex_state = 62, .external_lex_state = 29},
  [5610] = {.lex_state = 55, .external_lex_state = 32},
  [5611] = {.lex_state = 62, .external_lex_state = 37},
  [5612] = {.lex_state = 67, .external_lex_state = 51},
  [5613] = {.lex_state = 55, .external_lex_state = 37},
  [5614] = {.lex_state = 66, .external_lex_state = 29},
  [5615] = {.lex_state = 64},
  [5616] = {.lex_state = 66, .external_lex_state = 57},
  [5617] = {.lex_state = 66, .external_lex_state = 35},
  [5618] = {.lex_state = 55, .external_lex_state = 37},
  [5619] = {.lex_state = 67, .external_lex_state = 36},
  [5620] = {.lex_state = 67, .external_lex_state = 54},
  [5621] = {.lex_state = 58, .external_lex_state = 31},
  [5622] = {.lex_state = 66, .external_lex_state = 35},
  [5623] = {.lex_state = 55, .external_lex_state = 37},
  [5624] = {.lex_state = 62, .external_lex_state = 38},
  [5625] = {.lex_state = 55, .external_lex_state = 45},
  [5626] = {.lex_state = 66, .external_lex_state = 45},
  [5627] = {.lex_state = 67, .external_lex_state = 51},
  [5628] = {.lex_state = 66, .external_lex_state = 31},
  [5629] = {.lex_state = 66, .external_lex_state = 29},
  [5630] = {.lex_state = 54, .external_lex_state = 42},
  [5631] = {.lex_state = 61, .external_lex_state = 54},
  [5632] = {.lex_state = 58, .external_lex_state = 37},
  [5633] = {.lex_state = 62, .external_lex_state = 38},
  [5634] = {.lex_state = 54, .external_lex_state = 42},
  [5635] = {.lex_state = 54, .external_lex_state = 42},
  [5636] = {.lex_state = 66, .external_lex_state = 42},
  [5637] = {.lex_state = 67, .external_lex_state = 34},
  [5638] = {.lex_state = 66, .external_lex_state = 38},
  [5639] = {.lex_state = 54, .external_lex_state = 42},
  [5640] = {.lex_state = 54, .external_lex_state = 42},
  [5641] = {.lex_state = 54, .external_lex_state = 42},
  [5642] = {.lex_state = 66, .external_lex_state = 35},
  [5643] = {.lex_state = 66, .external_lex_state = 56},
  [5644] = {.lex_state = 58, .external_lex_state = 40},
  [5645] = {.lex_state = 67, .external_lex_state = 33},
  [5646] = {.lex_state = 66, .external_lex_state = 47},
  [5647] = {.lex_state = 66, .external_lex_state = 38},
  [5648] = {.lex_state = 55, .external_lex_state = 45},
  [5649] = {.lex_state = 55, .external_lex_state = 45},
  [5650] = {.lex_state = 66, .external_lex_state = 47},
  [5651] = {.lex_state = 54, .external_lex_state = 42},
  [5652] = {.lex_state = 58, .external_lex_state = 25},
  [5653] = {.lex_state = 54, .external_lex_state = 42},
  [5654] = {.lex_state = 58, .external_lex_state = 25},
  [5655] = {.lex_state = 67, .external_lex_state = 30},
  [5656] = {.lex_state = 58, .external_lex_state = 60},
  [5657] = {.lex_state = 58, .external_lex_state = 25},
  [5658] = {.lex_state = 67, .external_lex_state = 29},
  [5659] = {.lex_state = 54, .external_lex_state = 37},
  [5660] = {.lex_state = 66, .external_lex_state = 38},
  [5661] = {.lex_state = 54, .external_lex_state = 42},
  [5662] = {.lex_state = 58, .external_lex_state = 50},
  [5663] = {.lex_state = 67, .external_lex_state = 30},
  [5664] = {.lex_state = 54, .external_lex_state = 42},
  [5665] = {.lex_state = 67},
  [5666] = {.lex_state = 58, .external_lex_state = 33},
  [5667] = {.lex_state = 66, .external_lex_state = 50},
  [5668] = {.lex_state = 66, .external_lex_state = 50},
  [5669] = {.lex_state = 55, .external_lex_state = 45},
  [5670] = {.lex_state = 55, .external_lex_state = 45},
  [5671] = {.lex_state = 58, .external_lex_state = 25},
  [5672] = {.lex_state = 67, .external_lex_state = 41},
  [5673] = {.lex_state = 67, .external_lex_state = 30},
  [5674] = {.lex_state = 62, .external_lex_state = 55},
  [5675] = {.lex_state = 58, .external_lex_state = 37},
  [5676] = {.lex_state = 67, .external_lex_state = 40},
  [5677] = {.lex_state = 66, .external_lex_state = 29},
  [5678] = {.lex_state = 66, .external_lex_state = 29},
  [5679] = {.lex_state = 58, .external_lex_state = 26},
  [5680] = {.lex_state = 67, .external_lex_state = 25},
  [5681] = {.lex_state = 54, .external_lex_state = 47},
  [5682] = {.lex_state = 67, .external_lex_state = 41},
  [5683] = {.lex_state = 63, .external_lex_state = 54},
  [5684] = {.lex_state = 57, .external_lex_state = 26},
  [5685] = {.lex_state = 54, .external_lex_state = 25},
  [5686] = {.lex_state = 54, .external_lex_state = 49},
  [5687] = {.lex_state = 55, .external_lex_state = 37},
  [5688] = {.lex_state = 58, .external_lex_state = 36},
  [5689] = {.lex_state = 55, .external_lex_state = 35},
  [5690] = {.lex_state = 54, .external_lex_state = 25},
  [5691] = {.lex_state = 62, .external_lex_state = 32},
  [5692] = {.lex_state = 67, .external_lex_state = 48},
  [5693] = {.lex_state = 62, .external_lex_state = 37},
  [5694] = {.lex_state = 67, .external_lex_state = 42},
  [5695] = {.lex_state = 66, .external_lex_state = 56},
  [5696] = {.lex_state = 58, .external_lex_state = 38},
  [5697] = {.lex_state = 67, .external_lex_state = 30},
  [5698] = {.lex_state = 67, .external_lex_state = 30},
  [5699] = {.lex_state = 67, .external_lex_state = 32},
  [5700] = {.lex_state = 62, .external_lex_state = 38},
  [5701] = {.lex_state = 55, .external_lex_state = 37},
  [5702] = {.lex_state = 58, .external_lex_state = 26},
  [5703] = {.lex_state = 55, .external_lex_state = 42},
  [5704] = {.lex_state = 67, .external_lex_state = 48},
  [5705] = {.lex_state = 66, .external_lex_state = 38},
  [5706] = {.lex_state = 62, .external_lex_state = 56},
  [5707] = {.lex_state = 55, .external_lex_state = 45},
  [5708] = {.lex_state = 62, .external_lex_state = 55},
  [5709] = {.lex_state = 67, .external_lex_state = 26},
  [5710] = {.lex_state = 55, .external_lex_state = 25},
  [5711] = {.lex_state = 67, .external_lex_state = 57},
  [5712] = {.lex_state = 67, .external_lex_state = 41},
  [5713] = {.lex_state = 62, .external_lex_state = 37},
  [5714] = {.lex_state = 67, .external_lex_state = 48},
  [5715] = {.lex_state = 66, .external_lex_state = 37},
  [5716] = {.lex_state = 62, .external_lex_state = 38},
  [5717] = {.lex_state = 67, .external_lex_state = 30},
  [5718] = {.lex_state = 67, .external_lex_state = 32},
  [5719] = {.lex_state = 66, .external_lex_state = 37},
  [5720] = {.lex_state = 55, .external_lex_state = 55},
  [5721] = {.lex_state = 62, .external_lex_state = 37},
  [5722] = {.lex_state = 67, .external_lex_state = 42},
  [5723] = {.lex_state = 55, .external_lex_state = 38},
  [5724] = {.lex_state = 63, .external_lex_state = 25},
  [5725] = {.lex_state = 61, .external_lex_state = 25},
  [5726] = {.lex_state = 55, .external_lex_state = 37},
  [5727] = {.lex_state = 66, .external_lex_state = 37},
  [5728] = {.lex_state = 58, .external_lex_state = 46},
  [5729] = {.lex_state = 58, .external_lex_state = 29},
  [5730] = {.lex_state = 55, .external_lex_state = 45},
  [5731] = {.lex_state = 67, .external_lex_state = 32},
  [5732] = {.lex_state = 62, .external_lex_state = 31},
  [5733] = {.lex_state = 67},
  [5734] = {.lex_state = 54, .external_lex_state = 41},
  [5735] = {.lex_state = 55, .external_lex_state = 45},
  [5736] = {.lex_state = 55, .external_lex_state = 45},
  [5737] = {.lex_state = 58, .external_lex_state = 34},
  [5738] = {.lex_state = 62, .external_lex_state = 56},
  [5739] = {.lex_state = 58, .external_lex_state = 33},
  [5740] = {.lex_state = 58, .external_lex_state = 34},
  [5741] = {.lex_state = 58, .external_lex_state = 34},
  [5742] = {.lex_state = 54, .external_lex_state = 54},
  [5743] = {.lex_state = 54, .external_lex_state = 45},
  [5744] = {.lex_state = 54, .external_lex_state = 47},
  [5745] = {.lex_state = 62, .external_lex_state = 37},
  [5746] = {.lex_state = 54, .external_lex_state = 29},
  [5747] = {.lex_state = 66, .external_lex_state = 55},
  [5748] = {.lex_state = 62, .external_lex_state = 54},
  [5749] = {.lex_state = 67, .external_lex_state = 52},
  [5750] = {.lex_state = 66, .external_lex_state = 49},
  [5751] = {.lex_state = 62, .external_lex_state = 37},
  [5752] = {.lex_state = 67, .external_lex_state = 31},
  [5753] = {.lex_state = 55, .external_lex_state = 45},
  [5754] = {.lex_state = 58, .external_lex_state = 47},
  [5755] = {.lex_state = 66, .external_lex_state = 25},
  [5756] = {.lex_state = 54, .external_lex_state = 25},
  [5757] = {.lex_state = 10, .external_lex_state = 45},
  [5758] = {.lex_state = 67, .external_lex_state = 52},
  [5759] = {.lex_state = 62, .external_lex_state = 45},
  [5760] = {.lex_state = 66, .external_lex_state = 49},
  [5761] = {.lex_state = 62, .external_lex_state = 38},
  [5762] = {.lex_state = 66, .external_lex_state = 31},
  [5763] = {.lex_state = 62, .external_lex_state = 35},
  [5764] = {.lex_state = 55, .external_lex_state = 56},
  [5765] = {.lex_state = 54, .external_lex_state = 42},
  [5766] = {.lex_state = 62, .external_lex_state = 35},
  [5767] = {.lex_state = 55, .external_lex_state = 31},
  [5768] = {.lex_state = 67, .external_lex_state = 30},
  [5769] = {.lex_state = 62, .external_lex_state = 35},
  [5770] = {.lex_state = 58, .external_lex_state = 50},
  [5771] = {.lex_state = 54, .external_lex_state = 41},
  [5772] = {.lex_state = 67, .external_lex_state = 31},
  [5773] = {.lex_state = 62, .external_lex_state = 37},
  [5774] = {.lex_state = 55, .external_lex_state = 37},
  [5775] = {.lex_state = 66, .external_lex_state = 42},
  [5776] = {.lex_state = 67, .external_lex_state = 52},
  [5777] = {.lex_state = 54, .external_lex_state = 41},
  [5778] = {.lex_state = 67, .external_lex_state = 31},
  [5779] = {.lex_state = 55, .external_lex_state = 37},
  [5780] = {.lex_state = 67},
  [5781] = {.lex_state = 58, .external_lex_state = 46},
  [5782] = {.lex_state = 62, .external_lex_state = 37},
  [5783] = {.lex_state = 58, .external_lex_state = 50},
  [5784] = {.lex_state = 67},
  [5785] = {.lex_state = 54, .external_lex_state = 42},
  [5786] = {.lex_state = 55, .external_lex_state = 37},
  [5787] = {.lex_state = 55, .external_lex_state = 37},
  [5788] = {.lex_state = 54, .external_lex_state = 41},
  [5789] = {.lex_state = 58, .external_lex_state = 47},
  [5790] = {.lex_state = 58, .external_lex_state = 48},
  [5791] = {.lex_state = 58, .external_lex_state = 36},
  [5792] = {.lex_state = 67, .external_lex_state = 30},
  [5793] = {.lex_state = 67, .external_lex_state = 50},
  [5794] = {.lex_state = 58, .external_lex_state = 27},
  [5795] = {.lex_state = 67, .external_lex_state = 60},
  [5796] = {.lex_state = 58, .external_lex_state = 31},
  [5797] = {.lex_state = 67, .external_lex_state = 33},
  [5798] = {.lex_state = 54, .external_lex_state = 42},
  [5799] = {.lex_state = 62, .external_lex_state = 25},
  [5800] = {.lex_state = 67, .external_lex_state = 50},
  [5801] = {.lex_state = 62, .external_lex_state = 25},
  [5802] = {.lex_state = 66, .external_lex_state = 49},
  [5803] = {.lex_state = 67, .external_lex_state = 33},
  [5804] = {.lex_state = 62, .external_lex_state = 31},
  [5805] = {.lex_state = 58, .external_lex_state = 29},
  [5806] = {.lex_state = 67, .external_lex_state = 33},
  [5807] = {.lex_state = 67, .external_lex_state = 34},
  [5808] = {.lex_state = 67, .external_lex_state = 38},
  [5809] = {.lex_state = 58, .external_lex_state = 36},
  [5810] = {.lex_state = 62, .external_lex_state = 25},
  [5811] = {.lex_state = 54, .external_lex_state = 55},
  [5812] = {.lex_state = 67, .external_lex_state = 33},
  [5813] = {.lex_state = 63, .external_lex_state = 25},
  [5814] = {.lex_state = 67, .external_lex_state = 38},
  [5815] = {.lex_state = 67, .external_lex_state = 38},
  [5816] = {.lex_state = 67, .external_lex_state = 33},
  [5817] = {.lex_state = 62, .external_lex_state = 42},
  [5818] = {.lex_state = 54, .external_lex_state = 47},
  [5819] = {.lex_state = 67, .external_lex_state = 30},
  [5820] = {.lex_state = 67, .external_lex_state = 33},
  [5821] = {.lex_state = 62, .external_lex_state = 37},
  [5822] = {.lex_state = 58, .external_lex_state = 39},
  [5823] = {.lex_state = 62, .external_lex_state = 41},
  [5824] = {.lex_state = 67, .external_lex_state = 50},
  [5825] = {.lex_state = 58, .external_lex_state = 50},
  [5826] = {.lex_state = 54, .external_lex_state = 56},
  [5827] = {.lex_state = 58, .external_lex_state = 50},
  [5828] = {.lex_state = 54, .external_lex_state = 45},
  [5829] = {.lex_state = 58, .external_lex_state = 36},
  [5830] = {.lex_state = 54, .external_lex_state = 50},
  [5831] = {.lex_state = 55, .external_lex_state = 54},
  [5832] = {.lex_state = 66, .external_lex_state = 55},
  [5833] = {.lex_state = 67, .external_lex_state = 45},
  [5834] = {.lex_state = 66, .external_lex_state = 55},
  [5835] = {.lex_state = 54, .external_lex_state = 49},
  [5836] = {.lex_state = 54, .external_lex_state = 49},
  [5837] = {.lex_state = 54, .external_lex_state = 49},
  [5838] = {.lex_state = 66, .external_lex_state = 32},
  [5839] = {.lex_state = 55, .external_lex_state = 57},
  [5840] = {.lex_state = 55, .external_lex_state = 49},
  [5841] = {.lex_state = 66, .external_lex_state = 32},
  [5842] = {.lex_state = 54, .external_lex_state = 50},
  [5843] = {.lex_state = 67, .external_lex_state = 38},
  [5844] = {.lex_state = 67, .external_lex_state = 30},
  [5845] = {.lex_state = 62, .external_lex_state = 32},
  [5846] = {.lex_state = 67, .external_lex_state = 30},
  [5847] = {.lex_state = 67, .external_lex_state = 30},
  [5848] = {.lex_state = 54, .external_lex_state = 49},
  [5849] = {.lex_state = 54, .external_lex_state = 50},
  [5850] = {.lex_state = 66, .external_lex_state = 56},
  [5851] = {.lex_state = 54, .external_lex_state = 50},
  [5852] = {.lex_state = 55, .external_lex_state = 45},
  [5853] = {.lex_state = 66, .external_lex_state = 56},
  [5854] = {.lex_state = 54, .external_lex_state = 50},
  [5855] = {.lex_state = 67, .external_lex_state = 44},
  [5856] = {.lex_state = 66, .external_lex_state = 47},
  [5857] = {.lex_state = 67, .external_lex_state = 46},
  [5858] = {.lex_state = 54, .external_lex_state = 50},
  [5859] = {.lex_state = 54, .external_lex_state = 50},
  [5860] = {.lex_state = 58, .external_lex_state = 55},
  [5861] = {.lex_state = 58, .external_lex_state = 42},
  [5862] = {.lex_state = 67, .external_lex_state = 59},
  [5863] = {.lex_state = 54, .external_lex_state = 50},
  [5864] = {.lex_state = 54, .external_lex_state = 50},
  [5865] = {.lex_state = 58, .external_lex_state = 52},
  [5866] = {.lex_state = 58, .external_lex_state = 52},
  [5867] = {.lex_state = 58, .external_lex_state = 49},
  [5868] = {.lex_state = 62, .external_lex_state = 41},
  [5869] = {.lex_state = 55, .external_lex_state = 31},
  [5870] = {.lex_state = 58, .external_lex_state = 49},
  [5871] = {.lex_state = 54, .external_lex_state = 50},
  [5872] = {.lex_state = 67, .external_lex_state = 30},
  [5873] = {.lex_state = 54, .external_lex_state = 47},
  [5874] = {.lex_state = 62, .external_lex_state = 32},
  [5875] = {.lex_state = 67, .external_lex_state = 46},
  [5876] = {.lex_state = 67, .external_lex_state = 34},
  [5877] = {.lex_state = 66, .external_lex_state = 45},
  [5878] = {.lex_state = 67, .external_lex_state = 30},
  [5879] = {.lex_state = 54, .external_lex_state = 41},
  [5880] = {.lex_state = 62, .external_lex_state = 41},
  [5881] = {.lex_state = 54, .external_lex_state = 29},
  [5882] = {.lex_state = 62, .external_lex_state = 41},
  [5883] = {.lex_state = 58, .external_lex_state = 42},
  [5884] = {.lex_state = 58, .external_lex_state = 55},
  [5885] = {.lex_state = 58, .external_lex_state = 56},
  [5886] = {.lex_state = 62, .external_lex_state = 41},
  [5887] = {.lex_state = 62, .external_lex_state = 41},
  [5888] = {.lex_state = 62, .external_lex_state = 41},
  [5889] = {.lex_state = 67, .external_lex_state = 34},
  [5890] = {.lex_state = 58, .external_lex_state = 32},
  [5891] = {.lex_state = 62, .external_lex_state = 41},
  [5892] = {.lex_state = 62, .external_lex_state = 41},
  [5893] = {.lex_state = 62, .external_lex_state = 41},
  [5894] = {.lex_state = 62, .external_lex_state = 41},
  [5895] = {.lex_state = 62, .external_lex_state = 41},
  [5896] = {.lex_state = 66, .external_lex_state = 45},
  [5897] = {.lex_state = 67, .external_lex_state = 30},
  [5898] = {.lex_state = 54, .external_lex_state = 41},
  [5899] = {.lex_state = 67, .external_lex_state = 34},
  [5900] = {.lex_state = 58, .external_lex_state = 41},
  [5901] = {.lex_state = 62, .external_lex_state = 25},
  [5902] = {.lex_state = 61, .external_lex_state = 54},
  [5903] = {.lex_state = 57, .external_lex_state = 54},
  [5904] = {.lex_state = 66, .external_lex_state = 49},
  [5905] = {.lex_state = 63, .external_lex_state = 54},
  [5906] = {.lex_state = 66, .external_lex_state = 54},
  [5907] = {.lex_state = 54, .external_lex_state = 47},
  [5908] = {.lex_state = 66, .external_lex_state = 32},
  [5909] = {.lex_state = 66, .external_lex_state = 46},
  [5910] = {.lex_state = 58, .external_lex_state = 53},
  [5911] = {.lex_state = 67, .external_lex_state = 34},
  [5912] = {.lex_state = 58, .external_lex_state = 32},
  [5913] = {.lex_state = 54, .external_lex_state = 47},
  [5914] = {.lex_state = 60},
  [5915] = {.lex_state = 58, .external_lex_state = 37},
  [5916] = {.lex_state = 62, .external_lex_state = 41},
  [5917] = {.lex_state = 58, .external_lex_state = 53},
  [5918] = {.lex_state = 58, .external_lex_state = 37},
  [5919] = {.lex_state = 67, .external_lex_state = 34},
  [5920] = {.lex_state = 58, .external_lex_state = 37},
  [5921] = {.lex_state = 58, .external_lex_state = 41},
  [5922] = {.lex_state = 67, .external_lex_state = 59},
  [5923] = {.lex_state = 58, .external_lex_state = 40},
  [5924] = {.lex_state = 67, .external_lex_state = 34},
  [5925] = {.lex_state = 67, .external_lex_state = 47},
  [5926] = {.lex_state = 66, .external_lex_state = 46},
  [5927] = {.lex_state = 54, .external_lex_state = 54},
  [5928] = {.lex_state = 58, .external_lex_state = 35},
  [5929] = {.lex_state = 67, .external_lex_state = 52},
  [5930] = {.lex_state = 66, .external_lex_state = 31},
  [5931] = {.lex_state = 67, .external_lex_state = 31},
  [5932] = {.lex_state = 58, .external_lex_state = 55},
  [5933] = {.lex_state = 54, .external_lex_state = 47},
  [5934] = {.lex_state = 54, .external_lex_state = 47},
  [5935] = {.lex_state = 55, .external_lex_state = 35},
  [5936] = {.lex_state = 54, .external_lex_state = 47},
  [5937] = {.lex_state = 62, .external_lex_state = 25},
  [5938] = {.lex_state = 62, .external_lex_state = 35},
  [5939] = {.lex_state = 62, .external_lex_state = 25},
  [5940] = {.lex_state = 54, .external_lex_state = 55},
  [5941] = {.lex_state = 62, .external_lex_state = 42},
  [5942] = {.lex_state = 55, .external_lex_state = 35},
  [5943] = {.lex_state = 67, .external_lex_state = 59},
  [5944] = {.lex_state = 58, .external_lex_state = 56},
  [5945] = {.lex_state = 58, .external_lex_state = 26},
  [5946] = {.lex_state = 57, .external_lex_state = 25},
  [5947] = {.lex_state = 58, .external_lex_state = 38},
  [5948] = {.lex_state = 54, .external_lex_state = 47},
  [5949] = {.lex_state = 62, .external_lex_state = 25},
  [5950] = {.lex_state = 66, .external_lex_state = 37},
  [5951] = {.lex_state = 54, .external_lex_state = 47},
  [5952] = {.lex_state = 61, .external_lex_state = 45},
  [5953] = {.lex_state = 58, .external_lex_state = 57},
  [5954] = {.lex_state = 58, .external_lex_state = 40},
  [5955] = {.lex_state = 54, .external_lex_state = 56},
  [5956] = {.lex_state = 55, .external_lex_state = 29},
  [5957] = {.lex_state = 55, .external_lex_state = 25},
  [5958] = {.lex_state = 66, .external_lex_state = 42},
  [5959] = {.lex_state = 67, .external_lex_state = 58},
  [5960] = {.lex_state = 6},
  [5961] = {.lex_state = 54, .external_lex_state = 47},
  [5962] = {.lex_state = 54, .external_lex_state = 47},
  [5963] = {.lex_state = 54, .external_lex_state = 47},
  [5964] = {.lex_state = 54, .external_lex_state = 57},
  [5965] = {.lex_state = 62, .external_lex_state = 42},
  [5966] = {.lex_state = 62, .external_lex_state = 42},
  [5967] = {.lex_state = 62, .external_lex_state = 42},
  [5968] = {.lex_state = 67, .external_lex_state = 49},
  [5969] = {.lex_state = 54, .external_lex_state = 47},
  [5970] = {.lex_state = 54, .external_lex_state = 47},
  [5971] = {.lex_state = 66, .external_lex_state = 57},
  [5972] = {.lex_state = 55, .external_lex_state = 42},
  [5973] = {.lex_state = 66, .external_lex_state = 57},
  [5974] = {.lex_state = 67, .external_lex_state = 49},
  [5975] = {.lex_state = 58, .external_lex_state = 56},
  [5976] = {.lex_state = 67, .external_lex_state = 30},
  [5977] = {.lex_state = 55, .external_lex_state = 38},
  [5978] = {.lex_state = 55, .external_lex_state = 42},
  [5979] = {.lex_state = 67, .external_lex_state = 33},
  [5980] = {.lex_state = 55, .external_lex_state = 42},
  [5981] = {.lex_state = 67, .external_lex_state = 35},
  [5982] = {.lex_state = 55, .external_lex_state = 42},
  [5983] = {.lex_state = 67, .external_lex_state = 34},
  [5984] = {.lex_state = 57, .external_lex_state = 25},
  [5985] = {.lex_state = 55, .external_lex_state = 42},
  [5986] = {.lex_state = 55, .external_lex_state = 42},
  [5987] = {.lex_state = 55, .external_lex_state = 42},
  [5988] = {.lex_state = 55, .external_lex_state = 42},
  [5989] = {.lex_state = 55, .external_lex_state = 42},
  [5990] = {.lex_state = 55, .external_lex_state = 42},
  [5991] = {.lex_state = 55, .external_lex_state = 42},
  [5992] = {.lex_state = 62, .external_lex_state = 42},
  [5993] = {.lex_state = 67, .external_lex_state = 30},
  [5994] = {.lex_state = 55, .external_lex_state = 47},
  [5995] = {.lex_state = 67, .external_lex_state = 30},
  [5996] = {.lex_state = 67, .external_lex_state = 34},
  [5997] = {.lex_state = 62, .external_lex_state = 45},
  [5998] = {.lex_state = 67, .external_lex_state = 30},
  [5999] = {.lex_state = 55, .external_lex_state = 38},
  [6000] = {.lex_state = 54, .external_lex_state = 47},
  [6001] = {.lex_state = 66, .external_lex_state = 32},
  [6002] = {.lex_state = 66, .external_lex_state = 41},
  [6003] = {.lex_state = 57, .external_lex_state = 25},
  [6004] = {.lex_state = 67, .external_lex_state = 35},
  [6005] = {.lex_state = 67, .external_lex_state = 46},
  [6006] = {.lex_state = 58, .external_lex_state = 35},
  [6007] = {.lex_state = 54, .external_lex_state = 47},
  [6008] = {.lex_state = 67, .external_lex_state = 46},
  [6009] = {.lex_state = 58, .external_lex_state = 35},
  [6010] = {.lex_state = 58, .external_lex_state = 35},
  [6011] = {.lex_state = 67, .external_lex_state = 30},
  [6012] = {.lex_state = 58, .external_lex_state = 48},
  [6013] = {.lex_state = 54, .external_lex_state = 57},
  [6014] = {.lex_state = 67, .external_lex_state = 34},
  [6015] = {.lex_state = 58, .external_lex_state = 38},
  [6016] = {.lex_state = 55, .external_lex_state = 42},
  [6017] = {.lex_state = 55, .external_lex_state = 41},
  [6018] = {.lex_state = 54, .external_lex_state = 25},
  [6019] = {.lex_state = 58, .external_lex_state = 38},
  [6020] = {.lex_state = 58, .external_lex_state = 38},
  [6021] = {.lex_state = 58, .external_lex_state = 36},
  [6022] = {.lex_state = 67, .external_lex_state = 30},
  [6023] = {.lex_state = 67, .external_lex_state = 49},
  [6024] = {.lex_state = 67, .external_lex_state = 37},
  [6025] = {.lex_state = 54, .external_lex_state = 49},
  [6026] = {.lex_state = 66, .external_lex_state = 47},
  [6027] = {.lex_state = 67, .external_lex_state = 37},
  [6028] = {.lex_state = 67, .external_lex_state = 37},
  [6029] = {.lex_state = 55, .external_lex_state = 41},
  [6030] = {.lex_state = 66, .external_lex_state = 50},
  [6031] = {.lex_state = 55, .external_lex_state = 32},
  [6032] = {.lex_state = 55, .external_lex_state = 41},
  [6033] = {.lex_state = 55, .external_lex_state = 41},
  [6034] = {.lex_state = 66, .external_lex_state = 42},
  [6035] = {.lex_state = 55, .external_lex_state = 41},
  [6036] = {.lex_state = 55, .external_lex_state = 41},
  [6037] = {.lex_state = 54, .external_lex_state = 46},
  [6038] = {.lex_state = 55, .external_lex_state = 41},
  [6039] = {.lex_state = 66, .external_lex_state = 42},
  [6040] = {.lex_state = 55, .external_lex_state = 41},
  [6041] = {.lex_state = 55, .external_lex_state = 41},
  [6042] = {.lex_state = 66, .external_lex_state = 42},
  [6043] = {.lex_state = 55, .external_lex_state = 41},
  [6044] = {.lex_state = 55, .external_lex_state = 41},
  [6045] = {.lex_state = 54, .external_lex_state = 49},
  [6046] = {.lex_state = 66, .external_lex_state = 32},
  [6047] = {.lex_state = 54, .external_lex_state = 49},
  [6048] = {.lex_state = 67, .external_lex_state = 38},
  [6049] = {.lex_state = 62, .external_lex_state = 54},
  [6050] = {.lex_state = 54, .external_lex_state = 49},
  [6051] = {.lex_state = 54, .external_lex_state = 46},
  [6052] = {.lex_state = 55, .external_lex_state = 46},
  [6053] = {.lex_state = 54, .external_lex_state = 49},
  [6054] = {.lex_state = 54, .external_lex_state = 46},
  [6055] = {.lex_state = 54, .external_lex_state = 46},
  [6056] = {.lex_state = 54, .external_lex_state = 46},
  [6057] = {.lex_state = 55, .external_lex_state = 41},
  [6058] = {.lex_state = 54, .external_lex_state = 46},
  [6059] = {.lex_state = 54, .external_lex_state = 46},
  [6060] = {.lex_state = 66, .external_lex_state = 35},
  [6061] = {.lex_state = 54, .external_lex_state = 49},
  [6062] = {.lex_state = 54, .external_lex_state = 46},
  [6063] = {.lex_state = 54, .external_lex_state = 46},
  [6064] = {.lex_state = 60},
  [6065] = {.lex_state = 54, .external_lex_state = 46},
  [6066] = {.lex_state = 54, .external_lex_state = 46},
  [6067] = {.lex_state = 67, .external_lex_state = 30},
  [6068] = {.lex_state = 54, .external_lex_state = 49},
  [6069] = {.lex_state = 54, .external_lex_state = 46},
  [6070] = {.lex_state = 54, .external_lex_state = 49},
  [6071] = {.lex_state = 62, .external_lex_state = 41},
  [6072] = {.lex_state = 62, .external_lex_state = 41},
  [6073] = {.lex_state = 62, .external_lex_state = 41},
  [6074] = {.lex_state = 54, .external_lex_state = 49},
  [6075] = {.lex_state = 54, .external_lex_state = 49},
  [6076] = {.lex_state = 58, .external_lex_state = 46},
  [6077] = {.lex_state = 58, .external_lex_state = 46},
  [6078] = {.lex_state = 54, .external_lex_state = 25},
  [6079] = {.lex_state = 54, .external_lex_state = 49},
  [6080] = {.lex_state = 55, .external_lex_state = 47},
  [6081] = {.lex_state = 66, .external_lex_state = 41},
  [6082] = {.lex_state = 55, .external_lex_state = 46},
  [6083] = {.lex_state = 66, .external_lex_state = 41},
  [6084] = {.lex_state = 66, .external_lex_state = 41},
  [6085] = {.lex_state = 62, .external_lex_state = 41},
  [6086] = {.lex_state = 55, .external_lex_state = 47},
  [6087] = {.lex_state = 67, .external_lex_state = 30},
  [6088] = {.lex_state = 66, .external_lex_state = 38},
  [6089] = {.lex_state = 67, .external_lex_state = 34},
  [6090] = {.lex_state = 67, .external_lex_state = 30},
  [6091] = {.lex_state = 58, .external_lex_state = 48},
  [6092] = {.lex_state = 55, .external_lex_state = 54},
  [6093] = {.lex_state = 55, .external_lex_state = 54},
  [6094] = {.lex_state = 61, .external_lex_state = 54},
  [6095] = {.lex_state = 67, .external_lex_state = 30},
  [6096] = {.lex_state = 58, .external_lex_state = 31},
  [6097] = {.lex_state = 55, .external_lex_state = 42},
  [6098] = {.lex_state = 55, .external_lex_state = 42},
  [6099] = {.lex_state = 55, .external_lex_state = 42},
  [6100] = {.lex_state = 61, .external_lex_state = 54},
  [6101] = {.lex_state = 54, .external_lex_state = 29},
  [6102] = {.lex_state = 66, .external_lex_state = 25},
  [6103] = {.lex_state = 54, .external_lex_state = 29},
  [6104] = {.lex_state = 55, .external_lex_state = 42},
  [6105] = {.lex_state = 57, .external_lex_state = 54},
  [6106] = {.lex_state = 55, .external_lex_state = 41},
  [6107] = {.lex_state = 55, .external_lex_state = 41},
  [6108] = {.lex_state = 55, .external_lex_state = 41},
  [6109] = {.lex_state = 58, .external_lex_state = 39},
  [6110] = {.lex_state = 55, .external_lex_state = 47},
  [6111] = {.lex_state = 54, .external_lex_state = 46},
  [6112] = {.lex_state = 54, .external_lex_state = 46},
  [6113] = {.lex_state = 54, .external_lex_state = 46},
  [6114] = {.lex_state = 67, .external_lex_state = 34},
  [6115] = {.lex_state = 55, .external_lex_state = 41},
  [6116] = {.lex_state = 61, .external_lex_state = 25},
  [6117] = {.lex_state = 67, .external_lex_state = 58},
  [6118] = {.lex_state = 54, .external_lex_state = 46},
  [6119] = {.lex_state = 55, .external_lex_state = 50},
  [6120] = {.lex_state = 62, .external_lex_state = 25},
  [6121] = {.lex_state = 55, .external_lex_state = 50},
  [6122] = {.lex_state = 54, .external_lex_state = 55},
  [6123] = {.lex_state = 62, .external_lex_state = 42},
  [6124] = {.lex_state = 54, .external_lex_state = 55},
  [6125] = {.lex_state = 62, .external_lex_state = 42},
  [6126] = {.lex_state = 54, .external_lex_state = 56},
  [6127] = {.lex_state = 54, .external_lex_state = 56},
  [6128] = {.lex_state = 55, .external_lex_state = 49},
  [6129] = {.lex_state = 58, .external_lex_state = 27},
  [6130] = {.lex_state = 55, .external_lex_state = 49},
  [6131] = {.lex_state = 62, .external_lex_state = 41},
  [6132] = {.lex_state = 62, .external_lex_state = 41},
  [6133] = {.lex_state = 58, .external_lex_state = 57},
  [6134] = {.lex_state = 58, .external_lex_state = 51},
  [6135] = {.lex_state = 58, .external_lex_state = 51},
  [6136] = {.lex_state = 54, .external_lex_state = 57},
  [6137] = {.lex_state = 54, .external_lex_state = 57},
  [6138] = {.lex_state = 66, .external_lex_state = 35},
  [6139] = {.lex_state = 67, .external_lex_state = 30},
  [6140] = {.lex_state = 67, .external_lex_state = 34},
  [6141] = {.lex_state = 54, .external_lex_state = 25},
  [6142] = {.lex_state = 66, .external_lex_state = 38},
  [6143] = {.lex_state = 55, .external_lex_state = 46},
  [6144] = {.lex_state = 55, .external_lex_state = 46},
  [6145] = {.lex_state = 62, .external_lex_state = 42},
  [6146] = {.lex_state = 67, .external_lex_state = 50},
  [6147] = {.lex_state = 58, .external_lex_state = 57},
  [6148] = {.lex_state = 67, .external_lex_state = 60},
  [6149] = {.lex_state = 58, .external_lex_state = 47},
  [6150] = {.lex_state = 62, .external_lex_state = 25},
  [6151] = {.lex_state = 55, .external_lex_state = 54},
  [6152] = {.lex_state = 58, .external_lex_state = 47},
  [6153] = {.lex_state = 66, .external_lex_state = 25},
  [6154] = {.lex_state = 54, .external_lex_state = 41},
  [6155] = {.lex_state = 67, .external_lex_state = 30},
  [6156] = {.lex_state = 66, .external_lex_state = 54},
  [6157] = {.lex_state = 67, .external_lex_state = 33},
  [6158] = {.lex_state = 55, .external_lex_state = 49},
  [6159] = {.lex_state = 54, .external_lex_state = 47},
  [6160] = {.lex_state = 67, .external_lex_state = 33},
  [6161] = {.lex_state = 67, .external_lex_state = 34},
  [6162] = {.lex_state = 67, .external_lex_state = 30},
  [6163] = {.lex_state = 67, .external_lex_state = 33},
  [6164] = {.lex_state = 54, .external_lex_state = 42},
  [6165] = {.lex_state = 61, .external_lex_state = 54},
  [6166] = {.lex_state = 66, .external_lex_state = 25},
  [6167] = {.lex_state = 67, .external_lex_state = 33},
  [6168] = {.lex_state = 67, .external_lex_state = 33},
  [6169] = {.lex_state = 67, .external_lex_state = 30},
  [6170] = {.lex_state = 63, .external_lex_state = 25},
  [6171] = {.lex_state = 67, .external_lex_state = 35},
  [6172] = {.lex_state = 55, .external_lex_state = 55},
  [6173] = {.lex_state = 54, .external_lex_state = 42},
  [6174] = {.lex_state = 54, .external_lex_state = 45},
  [6175] = {.lex_state = 62, .external_lex_state = 41},
  [6176] = {.lex_state = 54, .external_lex_state = 29},
  [6177] = {.lex_state = 67, .external_lex_state = 43},
  [6178] = {.lex_state = 58, .external_lex_state = 40},
  [6179] = {.lex_state = 58, .external_lex_state = 27},
  [6180] = {.lex_state = 62, .external_lex_state = 31},
  [6181] = {.lex_state = 67, .external_lex_state = 47},
  [6182] = {.lex_state = 67, .external_lex_state = 33},
  [6183] = {.lex_state = 54, .external_lex_state = 46},
  [6184] = {.lex_state = 67, .external_lex_state = 37},
  [6185] = {.lex_state = 67, .external_lex_state = 47},
  [6186] = {.lex_state = 58, .external_lex_state = 27},
  [6187] = {.lex_state = 67, .external_lex_state = 36},
  [6188] = {.lex_state = 67, .external_lex_state = 47},
  [6189] = {.lex_state = 67, .external_lex_state = 52},
  [6190] = {.lex_state = 67, .external_lex_state = 38},
  [6191] = {.lex_state = 67, .external_lex_state = 39},
  [6192] = {.lex_state = 67, .external_lex_state = 30},
  [6193] = {.lex_state = 57, .external_lex_state = 54},
  [6194] = {.lex_state = 67, .external_lex_state = 51},
  [6195] = {.lex_state = 67, .external_lex_state = 30},
  [6196] = {.lex_state = 66, .external_lex_state = 25},
  [6197] = {.lex_state = 58, .external_lex_state = 43},
  [6198] = {.lex_state = 67, .external_lex_state = 30},
  [6199] = {.lex_state = 67, .external_lex_state = 30},
  [6200] = {.lex_state = 62, .external_lex_state = 25},
  [6201] = {.lex_state = 67, .external_lex_state = 30},
  [6202] = {.lex_state = 67, .external_lex_state = 58},
  [6203] = {.lex_state = 67, .external_lex_state = 30},
  [6204] = {.lex_state = 67, .external_lex_state = 30},
  [6205] = {.lex_state = 67, .external_lex_state = 33},
  [6206] = {.lex_state = 58, .external_lex_state = 54},
  [6207] = {.lex_state = 58, .external_lex_state = 58},
  [6208] = {.lex_state = 54, .external_lex_state = 50},
  [6209] = {.lex_state = 58, .external_lex_state = 54},
  [6210] = {.lex_state = 66, .external_lex_state = 37},
  [6211] = {.lex_state = 67, .external_lex_state = 30},
  [6212] = {.lex_state = 58, .external_lex_state = 29},
  [6213] = {.lex_state = 67, .external_lex_state = 30},
  [6214] = {.lex_state = 66, .external_lex_state = 54},
  [6215] = {.lex_state = 55, .external_lex_state = 37},
  [6216] = {.lex_state = 58, .external_lex_state = 36},
  [6217] = {.lex_state = 67, .external_lex_state = 30},
  [6218] = {.lex_state = 67, .external_lex_state = 30},
  [6219] = {.lex_state = 66, .external_lex_state = 31},
  [6220] = {.lex_state = 67, .external_lex_state = 30},
  [6221] = {.lex_state = 62, .external_lex_state = 25},
  [6222] = {.lex_state = 67, .external_lex_state = 30},
  [6223] = {.lex_state = 58, .external_lex_state = 26},
  [6224] = {.lex_state = 67, .external_lex_state = 30},
  [6225] = {.lex_state = 58, .external_lex_state = 45},
  [6226] = {.lex_state = 67, .external_lex_state = 30},
  [6227] = {.lex_state = 66, .external_lex_state = 50},
  [6228] = {.lex_state = 58, .external_lex_state = 27},
  [6229] = {.lex_state = 67, .external_lex_state = 36},
  [6230] = {.lex_state = 67, .external_lex_state = 39},
  [6231] = {.lex_state = 67, .external_lex_state = 32},
  [6232] = {.lex_state = 58, .external_lex_state = 43},
  [6233] = {.lex_state = 67, .external_lex_state = 30},
  [6234] = {.lex_state = 67, .external_lex_state = 30},
  [6235] = {.lex_state = 67, .external_lex_state = 30},
  [6236] = {.lex_state = 67, .external_lex_state = 30},
  [6237] = {.lex_state = 55, .external_lex_state = 56},
  [6238] = {.lex_state = 67, .external_lex_state = 43},
  [6239] = {.lex_state = 62, .external_lex_state = 25},
  [6240] = {.lex_state = 67, .external_lex_state = 32},
  [6241] = {.lex_state = 54, .external_lex_state = 50},
  [6242] = {.lex_state = 54, .external_lex_state = 50},
  [6243] = {.lex_state = 62, .external_lex_state = 25},
  [6244] = {.lex_state = 67, .external_lex_state = 30},
  [6245] = {.lex_state = 62, .external_lex_state = 25},
  [6246] = {.lex_state = 54, .external_lex_state = 50},
  [6247] = {.lex_state = 62, .external_lex_state = 25},
  [6248] = {.lex_state = 67, .external_lex_state = 30},
  [6249] = {.lex_state = 58, .external_lex_state = 25},
  [6250] = {.lex_state = 58, .external_lex_state = 29},
  [6251] = {.lex_state = 62, .external_lex_state = 25},
  [6252] = {.lex_state = 62, .external_lex_state = 25},
  [6253] = {.lex_state = 62, .external_lex_state = 25},
  [6254] = {.lex_state = 67, .external_lex_state = 49},
  [6255] = {.lex_state = 67, .external_lex_state = 26},
  [6256] = {.lex_state = 66, .external_lex_state = 29},
  [6257] = {.lex_state = 67, .external_lex_state = 51},
  [6258] = {.lex_state = 66, .external_lex_state = 31},
  [6259] = {.lex_state = 58, .external_lex_state = 29},
  [6260] = {.lex_state = 58, .external_lex_state = 39},
  [6261] = {.lex_state = 66, .external_lex_state = 29},
  [6262] = {.lex_state = 67, .external_lex_state = 35},
  [6263] = {.lex_state = 55, .external_lex_state = 37},
  [6264] = {.lex_state = 54, .external_lex_state = 32},
  [6265] = {.lex_state = 67, .external_lex_state = 37},
  [6266] = {.lex_state = 62, .external_lex_state = 45},
  [6267] = {.lex_state = 67, .external_lex_state = 30},
  [6268] = {.lex_state = 67, .external_lex_state = 30},
  [6269] = {.lex_state = 54, .external_lex_state = 49},
  [6270] = {.lex_state = 67, .external_lex_state = 60},
  [6271] = {.lex_state = 62, .external_lex_state = 42},
  [6272] = {.lex_state = 54, .external_lex_state = 31},
  [6273] = {.lex_state = 55, .external_lex_state = 45},
  [6274] = {.lex_state = 54, .external_lex_state = 37},
  [6275] = {.lex_state = 54, .external_lex_state = 50},
  [6276] = {.lex_state = 54, .external_lex_state = 50},
  [6277] = {.lex_state = 62, .external_lex_state = 54},
  [6278] = {.lex_state = 67, .external_lex_state = 33},
  [6279] = {.lex_state = 67, .external_lex_state = 33},
  [6280] = {.lex_state = 61, .external_lex_state = 25},
  [6281] = {.lex_state = 54, .external_lex_state = 35},
  [6282] = {.lex_state = 58, .external_lex_state = 29},
  [6283] = {.lex_state = 55, .external_lex_state = 25},
  [6284] = {.lex_state = 58, .external_lex_state = 45},
  [6285] = {.lex_state = 66, .external_lex_state = 31},
  [6286] = {.lex_state = 58, .external_lex_state = 45},
  [6287] = {.lex_state = 62, .external_lex_state = 25},
  [6288] = {.lex_state = 58, .external_lex_state = 45},
  [6289] = {.lex_state = 58, .external_lex_state = 27},
  [6290] = {.lex_state = 67, .external_lex_state = 30},
  [6291] = {.lex_state = 67, .external_lex_state = 37},
  [6292] = {.lex_state = 58, .external_lex_state = 39},
  [6293] = {.lex_state = 67, .external_lex_state = 30},
  [6294] = {.lex_state = 62, .external_lex_state = 42},
  [6295] = {.lex_state = 67, .external_lex_state = 31},
  [6296] = {.lex_state = 67, .external_lex_state = 30},
  [6297] = {.lex_state = 62, .external_lex_state = 42},
  [6298] = {.lex_state = 67, .external_lex_state = 37},
  [6299] = {.lex_state = 62, .external_lex_state = 42},
  [6300] = {.lex_state = 10, .external_lex_state = 45},
  [6301] = {.lex_state = 66, .external_lex_state = 30},
  [6302] = {.lex_state = 54, .external_lex_state = 50},
  [6303] = {.lex_state = 67, .external_lex_state = 35},
  [6304] = {.lex_state = 62, .external_lex_state = 42},
  [6305] = {.lex_state = 62, .external_lex_state = 42},
  [6306] = {.lex_state = 55, .external_lex_state = 50},
  [6307] = {.lex_state = 54, .external_lex_state = 45},
  [6308] = {.lex_state = 62, .external_lex_state = 25},
  [6309] = {.lex_state = 66, .external_lex_state = 31},
  [6310] = {.lex_state = 62, .external_lex_state = 42},
  [6311] = {.lex_state = 61, .external_lex_state = 25},
  [6312] = {.lex_state = 61, .external_lex_state = 25},
  [6313] = {.lex_state = 67, .external_lex_state = 35},
  [6314] = {.lex_state = 62, .external_lex_state = 42},
  [6315] = {.lex_state = 67, .external_lex_state = 34},
  [6316] = {.lex_state = 67, .external_lex_state = 34},
  [6317] = {.lex_state = 62, .external_lex_state = 42},
  [6318] = {.lex_state = 67, .external_lex_state = 35},
  [6319] = {.lex_state = 62, .external_lex_state = 42},
  [6320] = {.lex_state = 62, .external_lex_state = 42},
  [6321] = {.lex_state = 61, .external_lex_state = 25},
  [6322] = {.lex_state = 54, .external_lex_state = 49},
  [6323] = {.lex_state = 67, .external_lex_state = 31},
  [6324] = {.lex_state = 58, .external_lex_state = 39},
  [6325] = {.lex_state = 58, .external_lex_state = 25},
  [6326] = {.lex_state = 67, .external_lex_state = 30},
  [6327] = {.lex_state = 67, .external_lex_state = 30},
  [6328] = {.lex_state = 67, .external_lex_state = 33},
  [6329] = {.lex_state = 67, .external_lex_state = 34},
  [6330] = {.lex_state = 67, .external_lex_state = 32},
  [6331] = {.lex_state = 58, .external_lex_state = 37},
  [6332] = {.lex_state = 67, .external_lex_state = 30},
  [6333] = {.lex_state = 67, .external_lex_state = 54},
  [6334] = {.lex_state = 55, .external_lex_state = 50},
  [6335] = {.lex_state = 67, .external_lex_state = 33},
  [6336] = {.lex_state = 62, .external_lex_state = 50},
  [6337] = {.lex_state = 58, .external_lex_state = 58},
  [6338] = {.lex_state = 58, .external_lex_state = 60},
  [6339] = {.lex_state = 62, .external_lex_state = 35},
  [6340] = {.lex_state = 61, .external_lex_state = 25},
  [6341] = {.lex_state = 58, .external_lex_state = 54},
  [6342] = {.lex_state = 55, .external_lex_state = 41},
  [6343] = {.lex_state = 58, .external_lex_state = 29},
  [6344] = {.lex_state = 67, .external_lex_state = 34},
  [6345] = {.lex_state = 67, .external_lex_state = 27},
  [6346] = {.lex_state = 62, .external_lex_state = 49},
  [6347] = {.lex_state = 55, .external_lex_state = 47},
  [6348] = {.lex_state = 67, .external_lex_state = 34},
  [6349] = {.lex_state = 58, .external_lex_state = 29},
  [6350] = {.lex_state = 62, .external_lex_state = 49},
  [6351] = {.lex_state = 54, .external_lex_state = 56},
  [6352] = {.lex_state = 54, .external_lex_state = 47},
  [6353] = {.lex_state = 67, .external_lex_state = 34},
  [6354] = {.lex_state = 10, .external_lex_state = 45},
  [6355] = {.lex_state = 68, .external_lex_state = 54},
  [6356] = {.lex_state = 67, .external_lex_state = 39},
  [6357] = {.lex_state = 66, .external_lex_state = 25},
  [6358] = {.lex_state = 55, .external_lex_state = 46},
  [6359] = {.lex_state = 57, .external_lex_state = 25},
  [6360] = {.lex_state = 67, .external_lex_state = 42},
  [6361] = {.lex_state = 67, .external_lex_state = 36},
  [6362] = {.lex_state = 61, .external_lex_state = 25},
  [6363] = {.lex_state = 54, .external_lex_state = 54},
  [6364] = {.lex_state = 67, .external_lex_state = 38},
  [6365] = {.lex_state = 55, .external_lex_state = 35},
  [6366] = {.lex_state = 55, .external_lex_state = 47},
  [6367] = {.lex_state = 6},
  [6368] = {.lex_state = 54, .external_lex_state = 56},
  [6369] = {.lex_state = 58, .external_lex_state = 41},
  [6370] = {.lex_state = 55, .external_lex_state = 54},
  [6371] = {.lex_state = 62, .external_lex_state = 50},
  [6372] = {.lex_state = 55, .external_lex_state = 49},
  [6373] = {.lex_state = 58, .external_lex_state = 54},
  [6374] = {.lex_state = 66, .external_lex_state = 35},
  [6375] = {.lex_state = 67, .external_lex_state = 33},
  [6376] = {.lex_state = 67},
  [6377] = {.lex_state = 67, .external_lex_state = 33},
  [6378] = {.lex_state = 67, .external_lex_state = 60},
  [6379] = {.lex_state = 67, .external_lex_state = 33},
  [6380] = {.lex_state = 55, .external_lex_state = 54},
  [6381] = {.lex_state = 55, .external_lex_state = 47},
  [6382] = {.lex_state = 55, .external_lex_state = 54},
  [6383] = {.lex_state = 55, .external_lex_state = 47},
  [6384] = {.lex_state = 67, .external_lex_state = 34},
  [6385] = {.lex_state = 55, .external_lex_state = 46},
  [6386] = {.lex_state = 54, .external_lex_state = 46},
  [6387] = {.lex_state = 55, .external_lex_state = 46},
  [6388] = {.lex_state = 55, .external_lex_state = 46},
  [6389] = {.lex_state = 66, .external_lex_state = 46},
  [6390] = {.lex_state = 55, .external_lex_state = 54},
  [6391] = {.lex_state = 55, .external_lex_state = 46},
  [6392] = {.lex_state = 58, .external_lex_state = 46},
  [6393] = {.lex_state = 55, .external_lex_state = 46},
  [6394] = {.lex_state = 55, .external_lex_state = 47},
  [6395] = {.lex_state = 55, .external_lex_state = 46},
  [6396] = {.lex_state = 67, .external_lex_state = 29},
  [6397] = {.lex_state = 67, .external_lex_state = 40},
  [6398] = {.lex_state = 55, .external_lex_state = 46},
  [6399] = {.lex_state = 55, .external_lex_state = 46},
  [6400] = {.lex_state = 58, .external_lex_state = 38},
  [6401] = {.lex_state = 55, .external_lex_state = 46},
  [6402] = {.lex_state = 55, .external_lex_state = 46},
  [6403] = {.lex_state = 62, .external_lex_state = 49},
  [6404] = {.lex_state = 54, .external_lex_state = 46},
  [6405] = {.lex_state = 62, .external_lex_state = 47},
  [6406] = {.lex_state = 63, .external_lex_state = 25},
  [6407] = {.lex_state = 67, .external_lex_state = 33},
  [6408] = {.lex_state = 62, .external_lex_state = 50},
  [6409] = {.lex_state = 62, .external_lex_state = 49},
  [6410] = {.lex_state = 55, .external_lex_state = 46},
  [6411] = {.lex_state = 66, .external_lex_state = 57},
  [6412] = {.lex_state = 67, .external_lex_state = 33},
  [6413] = {.lex_state = 67, .external_lex_state = 33},
  [6414] = {.lex_state = 55, .external_lex_state = 49},
  [6415] = {.lex_state = 66, .external_lex_state = 35},
  [6416] = {.lex_state = 55, .external_lex_state = 54},
  [6417] = {.lex_state = 54, .external_lex_state = 47},
  [6418] = {.lex_state = 67, .external_lex_state = 34},
  [6419] = {.lex_state = 67, .external_lex_state = 34},
  [6420] = {.lex_state = 67},
  [6421] = {.lex_state = 55, .external_lex_state = 42},
  [6422] = {.lex_state = 55, .external_lex_state = 47},
  [6423] = {.lex_state = 55, .external_lex_state = 47},
  [6424] = {.lex_state = 66, .external_lex_state = 45},
  [6425] = {.lex_state = 67, .external_lex_state = 34},
  [6426] = {.lex_state = 55, .external_lex_state = 49},
  [6427] = {.lex_state = 67, .external_lex_state = 39},
  [6428] = {.lex_state = 55, .external_lex_state = 54},
  [6429] = {.lex_state = 67, .external_lex_state = 34},
  [6430] = {.lex_state = 58, .external_lex_state = 42},
  [6431] = {.lex_state = 58, .external_lex_state = 42},
  [6432] = {.lex_state = 58, .external_lex_state = 42},
  [6433] = {.lex_state = 67, .external_lex_state = 26},
  [6434] = {.lex_state = 55, .external_lex_state = 25},
  [6435] = {.lex_state = 55, .external_lex_state = 54},
  [6436] = {.lex_state = 55, .external_lex_state = 54},
  [6437] = {.lex_state = 66, .external_lex_state = 38},
  [6438] = {.lex_state = 67, .external_lex_state = 33},
  [6439] = {.lex_state = 55, .external_lex_state = 54},
  [6440] = {.lex_state = 62, .external_lex_state = 50},
  [6441] = {.lex_state = 55, .external_lex_state = 54},
  [6442] = {.lex_state = 58, .external_lex_state = 41},
  [6443] = {.lex_state = 54, .external_lex_state = 57},
  [6444] = {.lex_state = 58, .external_lex_state = 41},
  [6445] = {.lex_state = 54, .external_lex_state = 57},
  [6446] = {.lex_state = 58, .external_lex_state = 41},
  [6447] = {.lex_state = 54, .external_lex_state = 57},
  [6448] = {.lex_state = 55, .external_lex_state = 54},
  [6449] = {.lex_state = 58, .external_lex_state = 59},
  [6450] = {.lex_state = 66, .external_lex_state = 46},
  [6451] = {.lex_state = 66, .external_lex_state = 46},
  [6452] = {.lex_state = 66, .external_lex_state = 46},
  [6453] = {.lex_state = 62, .external_lex_state = 47},
  [6454] = {.lex_state = 55, .external_lex_state = 42},
  [6455] = {.lex_state = 55, .external_lex_state = 47},
  [6456] = {.lex_state = 55, .external_lex_state = 54},
  [6457] = {.lex_state = 55, .external_lex_state = 54},
  [6458] = {.lex_state = 58, .external_lex_state = 59},
  [6459] = {.lex_state = 55, .external_lex_state = 47},
  [6460] = {.lex_state = 54, .external_lex_state = 57},
  [6461] = {.lex_state = 67, .external_lex_state = 34},
  [6462] = {.lex_state = 63, .external_lex_state = 54},
  [6463] = {.lex_state = 67, .external_lex_state = 39},
  [6464] = {.lex_state = 54, .external_lex_state = 31},
  [6465] = {.lex_state = 66, .external_lex_state = 38},
  [6466] = {.lex_state = 66, .external_lex_state = 47},
  [6467] = {.lex_state = 62, .external_lex_state = 50},
  [6468] = {.lex_state = 62, .external_lex_state = 46},
  [6469] = {.lex_state = 62, .external_lex_state = 46},
  [6470] = {.lex_state = 62, .external_lex_state = 46},
  [6471] = {.lex_state = 58, .external_lex_state = 60},
  [6472] = {.lex_state = 63, .external_lex_state = 54},
  [6473] = {.lex_state = 6},
  [6474] = {.lex_state = 55, .external_lex_state = 55},
  [6475] = {.lex_state = 67, .external_lex_state = 34},
  [6476] = {.lex_state = 62, .external_lex_state = 50},
  [6477] = {.lex_state = 55, .external_lex_state = 32},
  [6478] = {.lex_state = 56},
  [6479] = {.lex_state = 55, .external_lex_state = 54},
  [6480] = {.lex_state = 61, .external_lex_state = 25},
  [6481] = {.lex_state = 62, .external_lex_state = 46},
  [6482] = {.lex_state = 62, .external_lex_state = 50},
  [6483] = {.lex_state = 55, .external_lex_state = 47},
  [6484] = {.lex_state = 62, .external_lex_state = 47},
  [6485] = {.lex_state = 66, .external_lex_state = 49},
  [6486] = {.lex_state = 62, .external_lex_state = 49},
  [6487] = {.lex_state = 66, .external_lex_state = 50},
  [6488] = {.lex_state = 55, .external_lex_state = 49},
  [6489] = {.lex_state = 58, .external_lex_state = 54},
  [6490] = {.lex_state = 62, .external_lex_state = 47},
  [6491] = {.lex_state = 66, .external_lex_state = 41},
  [6492] = {.lex_state = 61, .external_lex_state = 54},
  [6493] = {.lex_state = 67, .external_lex_state = 35},
  [6494] = {.lex_state = 66, .external_lex_state = 29},
  [6495] = {.lex_state = 63, .external_lex_state = 25},
  [6496] = {.lex_state = 61, .external_lex_state = 54},
  [6497] = {.lex_state = 62, .external_lex_state = 49},
  [6498] = {.lex_state = 66, .external_lex_state = 49},
  [6499] = {.lex_state = 58, .external_lex_state = 37},
  [6500] = {.lex_state = 55, .external_lex_state = 46},
  [6501] = {.lex_state = 55, .external_lex_state = 46},
  [6502] = {.lex_state = 55, .external_lex_state = 46},
  [6503] = {.lex_state = 61, .external_lex_state = 54},
  [6504] = {.lex_state = 61, .external_lex_state = 54},
  [6505] = {.lex_state = 66, .external_lex_state = 49},
  [6506] = {.lex_state = 54, .external_lex_state = 45},
  [6507] = {.lex_state = 61, .external_lex_state = 54},
  [6508] = {.lex_state = 61, .external_lex_state = 45},
  [6509] = {.lex_state = 58, .external_lex_state = 26},
  [6510] = {.lex_state = 55, .external_lex_state = 54},
  [6511] = {.lex_state = 55, .external_lex_state = 46},
  [6512] = {.lex_state = 62, .external_lex_state = 49},
  [6513] = {.lex_state = 58, .external_lex_state = 46},
  [6514] = {.lex_state = 55, .external_lex_state = 47},
  [6515] = {.lex_state = 67, .external_lex_state = 41},
  [6516] = {.lex_state = 62, .external_lex_state = 47},
  [6517] = {.lex_state = 62, .external_lex_state = 50},
  [6518] = {.lex_state = 62, .external_lex_state = 47},
  [6519] = {.lex_state = 55, .external_lex_state = 55},
  [6520] = {.lex_state = 61, .external_lex_state = 54},
  [6521] = {.lex_state = 54, .external_lex_state = 57},
  [6522] = {.lex_state = 58, .external_lex_state = 50},
  [6523] = {.lex_state = 66, .external_lex_state = 25},
  [6524] = {.lex_state = 62, .external_lex_state = 47},
  [6525] = {.lex_state = 67, .external_lex_state = 39},
  [6526] = {.lex_state = 67, .external_lex_state = 33},
  [6527] = {.lex_state = 55, .external_lex_state = 29},
  [6528] = {.lex_state = 67, .external_lex_state = 34},
  [6529] = {.lex_state = 55, .external_lex_state = 29},
  [6530] = {.lex_state = 67, .external_lex_state = 55},
  [6531] = {.lex_state = 67, .external_lex_state = 33},
  [6532] = {.lex_state = 61, .external_lex_state = 54},
  [6533] = {.lex_state = 61, .external_lex_state = 54},
  [6534] = {.lex_state = 67, .external_lex_state = 33},
  [6535] = {.lex_state = 54, .external_lex_state = 29},
  [6536] = {.lex_state = 67, .external_lex_state = 59},
  [6537] = {.lex_state = 61, .external_lex_state = 54},
  [6538] = {.lex_state = 67, .external_lex_state = 55},
  [6539] = {.lex_state = 62, .external_lex_state = 46},
  [6540] = {.lex_state = 61, .external_lex_state = 54},
  [6541] = {.lex_state = 58, .external_lex_state = 43},
  [6542] = {.lex_state = 61, .external_lex_state = 54},
  [6543] = {.lex_state = 66, .external_lex_state = 33},
  [6544] = {.lex_state = 67, .external_lex_state = 33},
  [6545] = {.lex_state = 61, .external_lex_state = 54},
  [6546] = {.lex_state = 55, .external_lex_state = 55},
  [6547] = {.lex_state = 55, .external_lex_state = 55},
  [6548] = {.lex_state = 66, .external_lex_state = 50},
  [6549] = {.lex_state = 61, .external_lex_state = 54},
  [6550] = {.lex_state = 67, .external_lex_state = 34},
  [6551] = {.lex_state = 55, .external_lex_state = 56},
  [6552] = {.lex_state = 54, .external_lex_state = 31},
  [6553] = {.lex_state = 55, .external_lex_state = 56},
  [6554] = {.lex_state = 67, .external_lex_state = 34},
  [6555] = {.lex_state = 54, .external_lex_state = 32},
  [6556] = {.lex_state = 62, .external_lex_state = 49},
  [6557] = {.lex_state = 54, .external_lex_state = 57},
  [6558] = {.lex_state = 54, .external_lex_state = 32},
  [6559] = {.lex_state = 62, .external_lex_state = 49},
  [6560] = {.lex_state = 61, .external_lex_state = 54},
  [6561] = {.lex_state = 62, .external_lex_state = 46},
  [6562] = {.lex_state = 67, .external_lex_state = 26},
  [6563] = {.lex_state = 62, .external_lex_state = 46},
  [6564] = {.lex_state = 62, .external_lex_state = 50},
  [6565] = {.lex_state = 67, .external_lex_state = 55},
  [6566] = {.lex_state = 66, .external_lex_state = 55},
  [6567] = {.lex_state = 54, .external_lex_state = 57},
  [6568] = {.lex_state = 55, .external_lex_state = 57},
  [6569] = {.lex_state = 55, .external_lex_state = 57},
  [6570] = {.lex_state = 67, .external_lex_state = 42},
  [6571] = {.lex_state = 58, .external_lex_state = 32},
  [6572] = {.lex_state = 57, .external_lex_state = 26},
  [6573] = {.lex_state = 55, .external_lex_state = 49},
  [6574] = {.lex_state = 61, .external_lex_state = 25},
  [6575] = {.lex_state = 54, .external_lex_state = 57},
  [6576] = {.lex_state = 54, .external_lex_state = 29},
  [6577] = {.lex_state = 55, .external_lex_state = 49},
  [6578] = {.lex_state = 67, .external_lex_state = 27},
  [6579] = {.lex_state = 67, .external_lex_state = 42},
  [6580] = {.lex_state = 61, .external_lex_state = 25},
  [6581] = {.lex_state = 12, .external_lex_state = 45},
  [6582] = {.lex_state = 54, .external_lex_state = 29},
  [6583] = {.lex_state = 61, .external_lex_state = 25},
  [6584] = {.lex_state = 54, .external_lex_state = 57},
  [6585] = {.lex_state = 58, .external_lex_state = 26},
  [6586] = {.lex_state = 66, .external_lex_state = 54},
  [6587] = {.lex_state = 66, .external_lex_state = 35},
  [6588] = {.lex_state = 67, .external_lex_state = 33},
  [6589] = {.lex_state = 67},
  [6590] = {.lex_state = 54, .external_lex_state = 29},
  [6591] = {.lex_state = 54, .external_lex_state = 57},
  [6592] = {.lex_state = 67, .external_lex_state = 33},
  [6593] = {.lex_state = 67, .external_lex_state = 34},
  [6594] = {.lex_state = 67, .external_lex_state = 36},
  [6595] = {.lex_state = 67, .external_lex_state = 33},
  [6596] = {.lex_state = 67, .external_lex_state = 57},
  [6597] = {.lex_state = 54, .external_lex_state = 29},
  [6598] = {.lex_state = 67, .external_lex_state = 33},
  [6599] = {.lex_state = 55, .external_lex_state = 50},
  [6600] = {.lex_state = 54, .external_lex_state = 37},
  [6601] = {.lex_state = 54, .external_lex_state = 29},
  [6602] = {.lex_state = 67, .external_lex_state = 34},
  [6603] = {.lex_state = 54, .external_lex_state = 57},
  [6604] = {.lex_state = 57, .external_lex_state = 45},
  [6605] = {.lex_state = 54, .external_lex_state = 29},
  [6606] = {.lex_state = 67},
  [6607] = {.lex_state = 67, .external_lex_state = 33},
  [6608] = {.lex_state = 55, .external_lex_state = 29},
  [6609] = {.lex_state = 67, .external_lex_state = 33},
  [6610] = {.lex_state = 54, .external_lex_state = 29},
  [6611] = {.lex_state = 54, .external_lex_state = 29},
  [6612] = {.lex_state = 55, .external_lex_state = 50},
  [6613] = {.lex_state = 54, .external_lex_state = 29},
  [6614] = {.lex_state = 54, .external_lex_state = 29},
  [6615] = {.lex_state = 67, .external_lex_state = 33},
  [6616] = {.lex_state = 67, .external_lex_state = 33},
  [6617] = {.lex_state = 58, .external_lex_state = 50},
  [6618] = {.lex_state = 56},
  [6619] = {.lex_state = 67, .external_lex_state = 42},
  [6620] = {.lex_state = 58, .external_lex_state = 32},
  [6621] = {.lex_state = 62, .external_lex_state = 49},
  [6622] = {.lex_state = 66, .external_lex_state = 56},
  [6623] = {.lex_state = 66, .external_lex_state = 47},
  [6624] = {.lex_state = 67, .external_lex_state = 25},
  [6625] = {.lex_state = 62, .external_lex_state = 49},
  [6626] = {.lex_state = 63, .external_lex_state = 54},
  [6627] = {.lex_state = 66, .external_lex_state = 47},
  [6628] = {.lex_state = 67, .external_lex_state = 33},
  [6629] = {.lex_state = 67, .external_lex_state = 33},
  [6630] = {.lex_state = 54, .external_lex_state = 57},
  [6631] = {.lex_state = 66, .external_lex_state = 47},
  [6632] = {.lex_state = 61, .external_lex_state = 25},
  [6633] = {.lex_state = 66, .external_lex_state = 35},
  [6634] = {.lex_state = 54, .external_lex_state = 50},
  [6635] = {.lex_state = 56},
  [6636] = {.lex_state = 54, .external_lex_state = 57},
  [6637] = {.lex_state = 55, .external_lex_state = 50},
  [6638] = {.lex_state = 67, .external_lex_state = 42},
  [6639] = {.lex_state = 67, .external_lex_state = 34},
  [6640] = {.lex_state = 54, .external_lex_state = 57},
  [6641] = {.lex_state = 66, .external_lex_state = 55},
  [6642] = {.lex_state = 54, .external_lex_state = 57},
  [6643] = {.lex_state = 66, .external_lex_state = 54},
  [6644] = {.lex_state = 55, .external_lex_state = 50},
  [6645] = {.lex_state = 54, .external_lex_state = 45},
  [6646] = {.lex_state = 67, .external_lex_state = 57},
  [6647] = {.lex_state = 67, .external_lex_state = 56},
  [6648] = {.lex_state = 67, .external_lex_state = 33},
  [6649] = {.lex_state = 67, .external_lex_state = 34},
  [6650] = {.lex_state = 67, .external_lex_state = 57},
  [6651] = {.lex_state = 54, .external_lex_state = 54},
  [6652] = {.lex_state = 67, .external_lex_state = 33},
  [6653] = {.lex_state = 58, .external_lex_state = 55},
  [6654] = {.lex_state = 54, .external_lex_state = 50},
  [6655] = {.lex_state = 61, .external_lex_state = 45},
  [6656] = {.lex_state = 67, .external_lex_state = 56},
  [6657] = {.lex_state = 67, .external_lex_state = 38},
  [6658] = {.lex_state = 55, .external_lex_state = 56},
  [6659] = {.lex_state = 67, .external_lex_state = 34},
  [6660] = {.lex_state = 62, .external_lex_state = 49},
  [6661] = {.lex_state = 62, .external_lex_state = 49},
  [6662] = {.lex_state = 58, .external_lex_state = 55},
  [6663] = {.lex_state = 58, .external_lex_state = 43},
  [6664] = {.lex_state = 67, .external_lex_state = 42},
  [6665] = {.lex_state = 67, .external_lex_state = 33},
  [6666] = {.lex_state = 61, .external_lex_state = 25},
  [6667] = {.lex_state = 61, .external_lex_state = 25},
  [6668] = {.lex_state = 55, .external_lex_state = 56},
  [6669] = {.lex_state = 67, .external_lex_state = 33},
  [6670] = {.lex_state = 67, .external_lex_state = 33},
  [6671] = {.lex_state = 58, .external_lex_state = 47},
  [6672] = {.lex_state = 54, .external_lex_state = 56},
  [6673] = {.lex_state = 58, .external_lex_state = 49},
  [6674] = {.lex_state = 58, .external_lex_state = 32},
  [6675] = {.lex_state = 67, .external_lex_state = 26},
  [6676] = {.lex_state = 54, .external_lex_state = 47},
  [6677] = {.lex_state = 62, .external_lex_state = 47},
  [6678] = {.lex_state = 58, .external_lex_state = 26},
  [6679] = {.lex_state = 67, .external_lex_state = 34},
  [6680] = {.lex_state = 62, .external_lex_state = 47},
  [6681] = {.lex_state = 54, .external_lex_state = 25},
  [6682] = {.lex_state = 54, .external_lex_state = 45},
  [6683] = {.lex_state = 62, .external_lex_state = 47},
  [6684] = {.lex_state = 58, .external_lex_state = 43},
  [6685] = {.lex_state = 67, .external_lex_state = 34},
  [6686] = {.lex_state = 67, .external_lex_state = 34},
  [6687] = {.lex_state = 67, .external_lex_state = 34},
  [6688] = {.lex_state = 67, .external_lex_state = 34},
  [6689] = {.lex_state = 61, .external_lex_state = 25},
  [6690] = {.lex_state = 55, .external_lex_state = 49},
  [6691] = {.lex_state = 67, .external_lex_state = 25},
  [6692] = {.lex_state = 61, .external_lex_state = 25},
  [6693] = {.lex_state = 67, .external_lex_state = 26},
  [6694] = {.lex_state = 58, .external_lex_state = 44},
  [6695] = {.lex_state = 58, .external_lex_state = 26},
  [6696] = {.lex_state = 67, .external_lex_state = 34},
  [6697] = {.lex_state = 62, .external_lex_state = 47},
  [6698] = {.lex_state = 54, .external_lex_state = 55},
  [6699] = {.lex_state = 54, .external_lex_state = 46},
  [6700] = {.lex_state = 67, .external_lex_state = 37},
  [6701] = {.lex_state = 54, .external_lex_state = 55},
  [6702] = {.lex_state = 67, .external_lex_state = 33},
  [6703] = {.lex_state = 67, .external_lex_state = 34},
  [6704] = {.lex_state = 67, .external_lex_state = 34},
  [6705] = {.lex_state = 54, .external_lex_state = 54},
  [6706] = {.lex_state = 54, .external_lex_state = 45},
  [6707] = {.lex_state = 67, .external_lex_state = 36},
  [6708] = {.lex_state = 58, .external_lex_state = 53},
  [6709] = {.lex_state = 54, .external_lex_state = 55},
  [6710] = {.lex_state = 66, .external_lex_state = 31},
  [6711] = {.lex_state = 60},
  [6712] = {.lex_state = 54, .external_lex_state = 55},
  [6713] = {.lex_state = 58, .external_lex_state = 48},
  [6714] = {.lex_state = 66, .external_lex_state = 56},
  [6715] = {.lex_state = 67, .external_lex_state = 34},
  [6716] = {.lex_state = 66, .external_lex_state = 45},
  [6717] = {.lex_state = 67, .external_lex_state = 40},
  [6718] = {.lex_state = 58, .external_lex_state = 30},
  [6719] = {.lex_state = 67, .external_lex_state = 60},
  [6720] = {.lex_state = 62, .external_lex_state = 49},
  [6721] = {.lex_state = 55, .external_lex_state = 57},
  [6722] = {.lex_state = 66, .external_lex_state = 49},
  [6723] = {.lex_state = 67, .external_lex_state = 59},
  [6724] = {.lex_state = 61, .external_lex_state = 25},
  [6725] = {.lex_state = 67, .external_lex_state = 34},
  [6726] = {.lex_state = 67},
  [6727] = {.lex_state = 58, .external_lex_state = 56},
  [6728] = {.lex_state = 67, .external_lex_state = 36},
  [6729] = {.lex_state = 67},
  [6730] = {.lex_state = 61, .external_lex_state = 25},
  [6731] = {.lex_state = 62, .external_lex_state = 46},
  [6732] = {.lex_state = 58, .external_lex_state = 56},
  [6733] = {.lex_state = 58, .external_lex_state = 30},
  [6734] = {.lex_state = 66, .external_lex_state = 37},
  [6735] = {.lex_state = 66, .external_lex_state = 37},
  [6736] = {.lex_state = 67, .external_lex_state = 39},
  [6737] = {.lex_state = 67, .external_lex_state = 33},
  [6738] = {.lex_state = 67, .external_lex_state = 34},
  [6739] = {.lex_state = 67, .external_lex_state = 34},
  [6740] = {.lex_state = 58, .external_lex_state = 47},
  [6741] = {.lex_state = 67, .external_lex_state = 26},
  [6742] = {.lex_state = 57},
  [6743] = {.lex_state = 61, .external_lex_state = 25},
  [6744] = {.lex_state = 62, .external_lex_state = 47},
  [6745] = {.lex_state = 67, .external_lex_state = 29},
  [6746] = {.lex_state = 54, .external_lex_state = 56},
  [6747] = {.lex_state = 67, .external_lex_state = 36},
  [6748] = {.lex_state = 67, .external_lex_state = 57},
  [6749] = {.lex_state = 62, .external_lex_state = 50},
  [6750] = {.lex_state = 66, .external_lex_state = 37},
  [6751] = {.lex_state = 61, .external_lex_state = 54},
  [6752] = {.lex_state = 66, .external_lex_state = 50},
  [6753] = {.lex_state = 55, .external_lex_state = 49},
  [6754] = {.lex_state = 67, .external_lex_state = 40},
  [6755] = {.lex_state = 61, .external_lex_state = 54},
  [6756] = {.lex_state = 54, .external_lex_state = 45},
  [6757] = {.lex_state = 20, .external_lex_state = 45},
  [6758] = {.lex_state = 67, .external_lex_state = 39},
  [6759] = {.lex_state = 67, .external_lex_state = 29},
  [6760] = {.lex_state = 54, .external_lex_state = 45},
  [6761] = {.lex_state = 56},
  [6762] = {.lex_state = 67, .external_lex_state = 36},
  [6763] = {.lex_state = 62, .external_lex_state = 47},
  [6764] = {.lex_state = 61, .external_lex_state = 25},
  [6765] = {.lex_state = 67, .external_lex_state = 51},
  [6766] = {.lex_state = 67, .external_lex_state = 36},
  [6767] = {.lex_state = 67, .external_lex_state = 33},
  [6768] = {.lex_state = 61, .external_lex_state = 25},
  [6769] = {.lex_state = 54, .external_lex_state = 32},
  [6770] = {.lex_state = 54, .external_lex_state = 45},
  [6771] = {.lex_state = 67, .external_lex_state = 25},
  [6772] = {.lex_state = 67, .external_lex_state = 33},
  [6773] = {.lex_state = 67, .external_lex_state = 39},
  [6774] = {.lex_state = 66, .external_lex_state = 41},
  [6775] = {.lex_state = 56},
  [6776] = {.lex_state = 55, .external_lex_state = 31},
  [6777] = {.lex_state = 67, .external_lex_state = 53},
  [6778] = {.lex_state = 67, .external_lex_state = 34},
  [6779] = {.lex_state = 61, .external_lex_state = 25},
  [6780] = {.lex_state = 61, .external_lex_state = 25},
  [6781] = {.lex_state = 55, .external_lex_state = 29},
  [6782] = {.lex_state = 55, .external_lex_state = 25},
  [6783] = {.lex_state = 67, .external_lex_state = 25},
  [6784] = {.lex_state = 54, .external_lex_state = 56},
  [6785] = {.lex_state = 67, .external_lex_state = 33},
  [6786] = {.lex_state = 67, .external_lex_state = 34},
  [6787] = {.lex_state = 58, .external_lex_state = 49},
  [6788] = {.lex_state = 67, .external_lex_state = 39},
  [6789] = {.lex_state = 61, .external_lex_state = 25},
  [6790] = {.lex_state = 67, .external_lex_state = 34},
  [6791] = {.lex_state = 54, .external_lex_state = 56},
  [6792] = {.lex_state = 66, .external_lex_state = 31},
  [6793] = {.lex_state = 54, .external_lex_state = 45},
  [6794] = {.lex_state = 58, .external_lex_state = 54},
  [6795] = {.lex_state = 67, .external_lex_state = 26},
  [6796] = {.lex_state = 67, .external_lex_state = 26},
  [6797] = {.lex_state = 55, .external_lex_state = 49},
  [6798] = {.lex_state = 67, .external_lex_state = 39},
  [6799] = {.lex_state = 55, .external_lex_state = 50},
  [6800] = {.lex_state = 54, .external_lex_state = 49},
  [6801] = {.lex_state = 58, .external_lex_state = 31},
  [6802] = {.lex_state = 54, .external_lex_state = 45},
  [6803] = {.lex_state = 67, .external_lex_state = 26},
  [6804] = {.lex_state = 54, .external_lex_state = 56},
  [6805] = {.lex_state = 67, .external_lex_state = 26},
  [6806] = {.lex_state = 58, .external_lex_state = 25},
  [6807] = {.lex_state = 62, .external_lex_state = 35},
  [6808] = {.lex_state = 68, .external_lex_state = 25},
  [6809] = {.lex_state = 62, .external_lex_state = 46},
  [6810] = {.lex_state = 67, .external_lex_state = 39},
  [6811] = {.lex_state = 54, .external_lex_state = 49},
  [6812] = {.lex_state = 58, .external_lex_state = 44},
  [6813] = {.lex_state = 58, .external_lex_state = 54},
  [6814] = {.lex_state = 67, .external_lex_state = 34},
  [6815] = {.lex_state = 58, .external_lex_state = 53},
  [6816] = {.lex_state = 62, .external_lex_state = 46},
  [6817] = {.lex_state = 67, .external_lex_state = 34},
  [6818] = {.lex_state = 67, .external_lex_state = 39},
  [6819] = {.lex_state = 58, .external_lex_state = 48},
  [6820] = {.lex_state = 68, .external_lex_state = 54},
  [6821] = {.lex_state = 62, .external_lex_state = 46},
  [6822] = {.lex_state = 67, .external_lex_state = 40},
  [6823] = {.lex_state = 58, .external_lex_state = 30},
  [6824] = {.lex_state = 67, .external_lex_state = 36},
  [6825] = {.lex_state = 62, .external_lex_state = 49},
  [6826] = {.lex_state = 67, .external_lex_state = 36},
  [6827] = {.lex_state = 67, .external_lex_state = 33},
  [6828] = {.lex_state = 66, .external_lex_state = 32},
  [6829] = {.lex_state = 62, .external_lex_state = 46},
  [6830] = {.lex_state = 54, .external_lex_state = 57},
  [6831] = {.lex_state = 67, .external_lex_state = 34},
  [6832] = {.lex_state = 57, .external_lex_state = 45},
  [6833] = {.lex_state = 54, .external_lex_state = 45},
  [6834] = {.lex_state = 62, .external_lex_state = 46},
  [6835] = {.lex_state = 67, .external_lex_state = 36},
  [6836] = {.lex_state = 62, .external_lex_state = 46},
  [6837] = {.lex_state = 67, .external_lex_state = 33},
  [6838] = {.lex_state = 66, .external_lex_state = 32},
  [6839] = {.lex_state = 62, .external_lex_state = 50},
  [6840] = {.lex_state = 62, .external_lex_state = 47},
  [6841] = {.lex_state = 62, .external_lex_state = 46},
  [6842] = {.lex_state = 62, .external_lex_state = 46},
  [6843] = {.lex_state = 57, .external_lex_state = 54},
  [6844] = {.lex_state = 67, .external_lex_state = 33},
  [6845] = {.lex_state = 10, .external_lex_state = 45},
  [6846] = {.lex_state = 67, .external_lex_state = 30},
  [6847] = {.lex_state = 67, .external_lex_state = 37},
  [6848] = {.lex_state = 55, .external_lex_state = 47},
  [6849] = {.lex_state = 54, .external_lex_state = 45},
  [6850] = {.lex_state = 67, .external_lex_state = 53},
  [6851] = {.lex_state = 62, .external_lex_state = 46},
  [6852] = {.lex_state = 61, .external_lex_state = 25},
  [6853] = {.lex_state = 66, .external_lex_state = 35},
  [6854] = {.lex_state = 57, .external_lex_state = 54},
  [6855] = {.lex_state = 62, .external_lex_state = 46},
  [6856] = {.lex_state = 67, .external_lex_state = 33},
  [6857] = {.lex_state = 66, .external_lex_state = 37},
  [6858] = {.lex_state = 62, .external_lex_state = 37},
  [6859] = {.lex_state = 67, .external_lex_state = 35},
  [6860] = {.lex_state = 54, .external_lex_state = 55},
  [6861] = {.lex_state = 67, .external_lex_state = 33},
  [6862] = {.lex_state = 57, .external_lex_state = 25},
  [6863] = {.lex_state = 62, .external_lex_state = 49},
  [6864] = {.lex_state = 62, .external_lex_state = 47},
  [6865] = {.lex_state = 58, .external_lex_state = 26},
  [6866] = {.lex_state = 67, .external_lex_state = 36},
  [6867] = {.lex_state = 54, .external_lex_state = 56},
  [6868] = {.lex_state = 67, .external_lex_state = 37},
  [6869] = {.lex_state = 62, .external_lex_state = 46},
  [6870] = {.lex_state = 58, .external_lex_state = 45},
  [6871] = {.lex_state = 62, .external_lex_state = 47},
  [6872] = {.lex_state = 58, .external_lex_state = 25},
  [6873] = {.lex_state = 63, .external_lex_state = 54},
  [6874] = {.lex_state = 67, .external_lex_state = 26},
  [6875] = {.lex_state = 62, .external_lex_state = 49},
  [6876] = {.lex_state = 62, .external_lex_state = 25},
  [6877] = {.lex_state = 55, .external_lex_state = 50},
  [6878] = {.lex_state = 67, .external_lex_state = 26},
  [6879] = {.lex_state = 57, .external_lex_state = 25},
  [6880] = {.lex_state = 55, .external_lex_state = 50},
  [6881] = {.lex_state = 67, .external_lex_state = 30},
  [6882] = {.lex_state = 54, .external_lex_state = 56},
  [6883] = {.lex_state = 66, .external_lex_state = 50},
  [6884] = {.lex_state = 55, .external_lex_state = 50},
  [6885] = {.lex_state = 54, .external_lex_state = 29},
  [6886] = {.lex_state = 55, .external_lex_state = 49},
  [6887] = {.lex_state = 67, .external_lex_state = 33},
  [6888] = {.lex_state = 55, .external_lex_state = 49},
  [6889] = {.lex_state = 55, .external_lex_state = 50},
  [6890] = {.lex_state = 10, .external_lex_state = 45},
  [6891] = {.lex_state = 67, .external_lex_state = 36},
  [6892] = {.lex_state = 55, .external_lex_state = 50},
  [6893] = {.lex_state = 67, .external_lex_state = 35},
  [6894] = {.lex_state = 55, .external_lex_state = 49},
  [6895] = {.lex_state = 54, .external_lex_state = 55},
  [6896] = {.lex_state = 54, .external_lex_state = 29},
  [6897] = {.lex_state = 55, .external_lex_state = 49},
  [6898] = {.lex_state = 58, .external_lex_state = 58},
  [6899] = {.lex_state = 55, .external_lex_state = 50},
  [6900] = {.lex_state = 67},
  [6901] = {.lex_state = 55, .external_lex_state = 50},
  [6902] = {.lex_state = 55, .external_lex_state = 50},
  [6903] = {.lex_state = 55, .external_lex_state = 50},
  [6904] = {.lex_state = 67, .external_lex_state = 33},
  [6905] = {.lex_state = 55, .external_lex_state = 50},
  [6906] = {.lex_state = 55, .external_lex_state = 49},
  [6907] = {.lex_state = 58, .external_lex_state = 26},
  [6908] = {.lex_state = 67, .external_lex_state = 33},
  [6909] = {.lex_state = 58, .external_lex_state = 31},
  [6910] = {.lex_state = 54, .external_lex_state = 29},
  [6911] = {.lex_state = 63, .external_lex_state = 25},
  [6912] = {.lex_state = 55, .external_lex_state = 37},
  [6913] = {.lex_state = 54, .external_lex_state = 54},
  [6914] = {.lex_state = 61, .external_lex_state = 45},
  [6915] = {.lex_state = 67, .external_lex_state = 48},
  [6916] = {.lex_state = 62, .external_lex_state = 47},
  [6917] = {.lex_state = 67, .external_lex_state = 56},
  [6918] = {.lex_state = 67, .external_lex_state = 25},
  [6919] = {.lex_state = 67, .external_lex_state = 33},
  [6920] = {.lex_state = 67, .external_lex_state = 33},
  [6921] = {.lex_state = 67, .external_lex_state = 33},
  [6922] = {.lex_state = 67, .external_lex_state = 26},
  [6923] = {.lex_state = 67, .external_lex_state = 33},
  [6924] = {.lex_state = 54, .external_lex_state = 29},
  [6925] = {.lex_state = 54, .external_lex_state = 45},
  [6926] = {.lex_state = 57, .external_lex_state = 25},
  [6927] = {.lex_state = 67, .external_lex_state = 25},
  [6928] = {.lex_state = 67, .external_lex_state = 33},
  [6929] = {.lex_state = 62, .external_lex_state = 47},
  [6930] = {.lex_state = 54, .external_lex_state = 56},
  [6931] = {.lex_state = 62, .external_lex_state = 50},
  [6932] = {.lex_state = 67},
  [6933] = {.lex_state = 67, .external_lex_state = 33},
  [6934] = {.lex_state = 54, .external_lex_state = 56},
  [6935] = {.lex_state = 54, .external_lex_state = 45},
  [6936] = {.lex_state = 67, .external_lex_state = 25},
  [6937] = {.lex_state = 58, .external_lex_state = 35},
  [6938] = {.lex_state = 54, .external_lex_state = 45},
  [6939] = {.lex_state = 55, .external_lex_state = 47},
  [6940] = {.lex_state = 67, .external_lex_state = 36},
  [6941] = {.lex_state = 62, .external_lex_state = 47},
  [6942] = {.lex_state = 55, .external_lex_state = 47},
  [6943] = {.lex_state = 58, .external_lex_state = 25},
  [6944] = {.lex_state = 62, .external_lex_state = 50},
  [6945] = {.lex_state = 67, .external_lex_state = 33},
  [6946] = {.lex_state = 55, .external_lex_state = 47},
  [6947] = {.lex_state = 54, .external_lex_state = 55},
  [6948] = {.lex_state = 62, .external_lex_state = 50},
  [6949] = {.lex_state = 67, .external_lex_state = 34},
  [6950] = {.lex_state = 54, .external_lex_state = 50},
  [6951] = {.lex_state = 67, .external_lex_state = 34},
  [6952] = {.lex_state = 67, .external_lex_state = 39},
  [6953] = {.lex_state = 67, .external_lex_state = 39},
  [6954] = {.lex_state = 54, .external_lex_state = 55},
  [6955] = {.lex_state = 62, .external_lex_state = 46},
  [6956] = {.lex_state = 54, .external_lex_state = 55},
  [6957] = {.lex_state = 57},
  [6958] = {.lex_state = 67, .external_lex_state = 55},
  [6959] = {.lex_state = 54, .external_lex_state = 55},
  [6960] = {.lex_state = 67, .external_lex_state = 34},
  [6961] = {.lex_state = 67, .external_lex_state = 39},
  [6962] = {.lex_state = 54, .external_lex_state = 55},
  [6963] = {.lex_state = 67, .external_lex_state = 33},
  [6964] = {.lex_state = 54, .external_lex_state = 57},
  [6965] = {.lex_state = 67, .external_lex_state = 39},
  [6966] = {.lex_state = 55, .external_lex_state = 54},
  [6967] = {.lex_state = 66, .external_lex_state = 34},
  [6968] = {.lex_state = 54, .external_lex_state = 55},
  [6969] = {.lex_state = 67, .external_lex_state = 36},
  [6970] = {.lex_state = 54, .external_lex_state = 56},
  [6971] = {.lex_state = 67, .external_lex_state = 26},
  [6972] = {.lex_state = 67, .external_lex_state = 41},
  [6973] = {.lex_state = 58, .external_lex_state = 31},
  [6974] = {.lex_state = 67, .external_lex_state = 33},
  [6975] = {.lex_state = 54, .external_lex_state = 55},
  [6976] = {.lex_state = 66, .external_lex_state = 57},
  [6977] = {.lex_state = 20, .external_lex_state = 45},
  [6978] = {.lex_state = 54, .external_lex_state = 55},
  [6979] = {.lex_state = 58, .external_lex_state = 45},
  [6980] = {.lex_state = 55, .external_lex_state = 49},
  [6981] = {.lex_state = 54, .external_lex_state = 55},
  [6982] = {.lex_state = 67, .external_lex_state = 56},
  [6983] = {.lex_state = 63, .external_lex_state = 25},
  [6984] = {.lex_state = 67, .external_lex_state = 34},
  [6985] = {.lex_state = 54, .external_lex_state = 55},
  [6986] = {.lex_state = 67, .external_lex_state = 48},
  [6987] = {.lex_state = 54, .external_lex_state = 55},
  [6988] = {.lex_state = 63, .external_lex_state = 25},
  [6989] = {.lex_state = 62, .external_lex_state = 47},
  [6990] = {.lex_state = 67, .external_lex_state = 34},
  [6991] = {.lex_state = 55, .external_lex_state = 49},
  [6992] = {.lex_state = 67, .external_lex_state = 34},
  [6993] = {.lex_state = 58, .external_lex_state = 32},
  [6994] = {.lex_state = 67},
  [6995] = {.lex_state = 54, .external_lex_state = 31},
  [6996] = {.lex_state = 58, .external_lex_state = 54},
  [6997] = {.lex_state = 57, .external_lex_state = 25},
  [6998] = {.lex_state = 67, .external_lex_state = 39},
  [6999] = {.lex_state = 67, .external_lex_state = 41},
  [7000] = {.lex_state = 54, .external_lex_state = 45},
  [7001] = {.lex_state = 67, .external_lex_state = 39},
  [7002] = {.lex_state = 67, .external_lex_state = 41},
  [7003] = {.lex_state = 67, .external_lex_state = 41},
  [7004] = {.lex_state = 66, .external_lex_state = 37},
  [7005] = {.lex_state = 67, .external_lex_state = 52},
  [7006] = {.lex_state = 66, .external_lex_state = 29},
  [7007] = {.lex_state = 62, .external_lex_state = 50},
  [7008] = {.lex_state = 58, .external_lex_state = 44},
  [7009] = {.lex_state = 58, .external_lex_state = 42},
  [7010] = {.lex_state = 58, .external_lex_state = 54},
  [7011] = {.lex_state = 20, .external_lex_state = 45},
  [7012] = {.lex_state = 66, .external_lex_state = 42},
  [7013] = {.lex_state = 58, .external_lex_state = 38},
  [7014] = {.lex_state = 67, .external_lex_state = 34},
  [7015] = {.lex_state = 55, .external_lex_state = 57},
  [7016] = {.lex_state = 67, .external_lex_state = 34},
  [7017] = {.lex_state = 54, .external_lex_state = 35},
  [7018] = {.lex_state = 67, .external_lex_state = 34},
  [7019] = {.lex_state = 56},
  [7020] = {.lex_state = 6},
  [7021] = {.lex_state = 67, .external_lex_state = 34},
  [7022] = {.lex_state = 58, .external_lex_state = 27},
  [7023] = {.lex_state = 62, .external_lex_state = 49},
  [7024] = {.lex_state = 62, .external_lex_state = 37},
  [7025] = {.lex_state = 58, .external_lex_state = 25},
  [7026] = {.lex_state = 54, .external_lex_state = 56},
  [7027] = {.lex_state = 62, .external_lex_state = 50},
  [7028] = {.lex_state = 62, .external_lex_state = 50},
  [7029] = {.lex_state = 58, .external_lex_state = 54},
  [7030] = {.lex_state = 58, .external_lex_state = 25},
  [7031] = {.lex_state = 67, .external_lex_state = 29},
  [7032] = {.lex_state = 54, .external_lex_state = 32},
  [7033] = {.lex_state = 67},
  [7034] = {.lex_state = 67, .external_lex_state = 36},
  [7035] = {.lex_state = 58, .external_lex_state = 32},
  [7036] = {.lex_state = 54, .external_lex_state = 31},
  [7037] = {.lex_state = 58, .external_lex_state = 31},
  [7038] = {.lex_state = 55, .external_lex_state = 47},
  [7039] = {.lex_state = 58, .external_lex_state = 57},
  [7040] = {.lex_state = 58, .external_lex_state = 37},
  [7041] = {.lex_state = 54, .external_lex_state = 49},
  [7042] = {.lex_state = 58, .external_lex_state = 35},
  [7043] = {.lex_state = 10, .external_lex_state = 45},
  [7044] = {.lex_state = 54, .external_lex_state = 29},
  [7045] = {.lex_state = 67, .external_lex_state = 34},
  [7046] = {.lex_state = 62, .external_lex_state = 50},
  [7047] = {.lex_state = 67, .external_lex_state = 34},
  [7048] = {.lex_state = 54, .external_lex_state = 56},
  [7049] = {.lex_state = 62},
  [7050] = {.lex_state = 67, .external_lex_state = 34},
  [7051] = {.lex_state = 62, .external_lex_state = 49},
  [7052] = {.lex_state = 67, .external_lex_state = 34},
  [7053] = {.lex_state = 67, .external_lex_state = 36},
  [7054] = {.lex_state = 58, .external_lex_state = 57},
  [7055] = {.lex_state = 67, .external_lex_state = 41},
  [7056] = {.lex_state = 61, .external_lex_state = 45},
  [7057] = {.lex_state = 55, .external_lex_state = 41},
  [7058] = {.lex_state = 68, .external_lex_state = 54},
  [7059] = {.lex_state = 67, .external_lex_state = 33},
  [7060] = {.lex_state = 54, .external_lex_state = 56},
  [7061] = {.lex_state = 67, .external_lex_state = 34},
  [7062] = {.lex_state = 62, .external_lex_state = 50},
  [7063] = {.lex_state = 62, .external_lex_state = 49},
  [7064] = {.lex_state = 58, .external_lex_state = 31},
  [7065] = {.lex_state = 54, .external_lex_state = 56},
  [7066] = {.lex_state = 67, .external_lex_state = 36},
  [7067] = {.lex_state = 66, .external_lex_state = 42},
  [7068] = {.lex_state = 54, .external_lex_state = 29},
  [7069] = {.lex_state = 68, .external_lex_state = 25},
  [7070] = {.lex_state = 62, .external_lex_state = 50},
  [7071] = {.lex_state = 54, .external_lex_state = 56},
  [7072] = {.lex_state = 67, .external_lex_state = 33},
  [7073] = {.lex_state = 68, .external_lex_state = 25},
  [7074] = {.lex_state = 55, .external_lex_state = 50},
  [7075] = {.lex_state = 58, .external_lex_state = 49},
  [7076] = {.lex_state = 67, .external_lex_state = 40},
  [7077] = {.lex_state = 67, .external_lex_state = 39},
  [7078] = {.lex_state = 67, .external_lex_state = 40},
  [7079] = {.lex_state = 67, .external_lex_state = 40},
  [7080] = {.lex_state = 67, .external_lex_state = 40},
  [7081] = {.lex_state = 67, .external_lex_state = 31},
  [7082] = {.lex_state = 67, .external_lex_state = 39},
  [7083] = {.lex_state = 67, .external_lex_state = 43},
  [7084] = {.lex_state = 67, .external_lex_state = 36},
  [7085] = {.lex_state = 67, .external_lex_state = 36},
  [7086] = {.lex_state = 67, .external_lex_state = 39},
  [7087] = {.lex_state = 55, .external_lex_state = 57},
  [7088] = {.lex_state = 58, .external_lex_state = 25},
  [7089] = {.lex_state = 58, .external_lex_state = 25},
  [7090] = {.lex_state = 55, .external_lex_state = 29},
  [7091] = {.lex_state = 67, .external_lex_state = 40},
  [7092] = {.lex_state = 67, .external_lex_state = 40},
  [7093] = {.lex_state = 58, .external_lex_state = 32},
  [7094] = {.lex_state = 67, .external_lex_state = 39},
  [7095] = {.lex_state = 55, .external_lex_state = 32},
  [7096] = {.lex_state = 58, .external_lex_state = 32},
  [7097] = {.lex_state = 63, .external_lex_state = 25},
  [7098] = {.lex_state = 63, .external_lex_state = 25},
  [7099] = {.lex_state = 67, .external_lex_state = 36},
  [7100] = {.lex_state = 67, .external_lex_state = 39},
  [7101] = {.lex_state = 58, .external_lex_state = 53},
  [7102] = {.lex_state = 67, .external_lex_state = 36},
  [7103] = {.lex_state = 66, .external_lex_state = 30},
  [7104] = {.lex_state = 67, .external_lex_state = 36},
  [7105] = {.lex_state = 67, .external_lex_state = 40},
  [7106] = {.lex_state = 67, .external_lex_state = 39},
  [7107] = {.lex_state = 66, .external_lex_state = 57},
  [7108] = {.lex_state = 66, .external_lex_state = 57},
  [7109] = {.lex_state = 66, .external_lex_state = 57},
  [7110] = {.lex_state = 67, .external_lex_state = 39},
  [7111] = {.lex_state = 62, .external_lex_state = 55},
  [7112] = {.lex_state = 67, .external_lex_state = 40},
  [7113] = {.lex_state = 67, .external_lex_state = 40},
  [7114] = {.lex_state = 57, .external_lex_state = 25},
  [7115] = {.lex_state = 67, .external_lex_state = 39},
  [7116] = {.lex_state = 58, .external_lex_state = 46},
  [7117] = {.lex_state = 58, .external_lex_state = 25},
  [7118] = {.lex_state = 56},
  [7119] = {.lex_state = 62, .external_lex_state = 55},
  [7120] = {.lex_state = 58, .external_lex_state = 25},
  [7121] = {.lex_state = 55, .external_lex_state = 55},
  [7122] = {.lex_state = 55, .external_lex_state = 55},
  [7123] = {.lex_state = 55, .external_lex_state = 55},
  [7124] = {.lex_state = 58, .external_lex_state = 25},
  [7125] = {.lex_state = 67, .external_lex_state = 46},
  [7126] = {.lex_state = 67, .external_lex_state = 46},
  [7127] = {.lex_state = 67, .external_lex_state = 46},
  [7128] = {.lex_state = 55, .external_lex_state = 55},
  [7129] = {.lex_state = 55, .external_lex_state = 56},
  [7130] = {.lex_state = 55, .external_lex_state = 56},
  [7131] = {.lex_state = 55, .external_lex_state = 56},
  [7132] = {.lex_state = 67, .external_lex_state = 39},
  [7133] = {.lex_state = 58, .external_lex_state = 51},
  [7134] = {.lex_state = 62, .external_lex_state = 56},
  [7135] = {.lex_state = 58, .external_lex_state = 48},
  [7136] = {.lex_state = 54, .external_lex_state = 32},
  [7137] = {.lex_state = 54, .external_lex_state = 32},
  [7138] = {.lex_state = 54, .external_lex_state = 32},
  [7139] = {.lex_state = 55, .external_lex_state = 56},
  [7140] = {.lex_state = 67, .external_lex_state = 50},
  [7141] = {.lex_state = 56},
  [7142] = {.lex_state = 58, .external_lex_state = 46},
  [7143] = {.lex_state = 58, .external_lex_state = 46},
  [7144] = {.lex_state = 58, .external_lex_state = 26},
  [7145] = {.lex_state = 58, .external_lex_state = 46},
  [7146] = {.lex_state = 63, .external_lex_state = 25},
  [7147] = {.lex_state = 62, .external_lex_state = 29},
  [7148] = {.lex_state = 54, .external_lex_state = 32},
  [7149] = {.lex_state = 58, .external_lex_state = 26},
  [7150] = {.lex_state = 66, .external_lex_state = 30},
  [7151] = {.lex_state = 63, .external_lex_state = 25},
  [7152] = {.lex_state = 55, .external_lex_state = 57},
  [7153] = {.lex_state = 55, .external_lex_state = 57},
  [7154] = {.lex_state = 55, .external_lex_state = 57},
  [7155] = {.lex_state = 66, .external_lex_state = 54},
  [7156] = {.lex_state = 68, .external_lex_state = 25},
  [7157] = {.lex_state = 57},
  [7158] = {.lex_state = 55, .external_lex_state = 57},
  [7159] = {.lex_state = 57},
  [7160] = {.lex_state = 54, .external_lex_state = 35},
  [7161] = {.lex_state = 56},
  [7162] = {.lex_state = 58, .external_lex_state = 26},
  [7163] = {.lex_state = 63, .external_lex_state = 25},
  [7164] = {.lex_state = 54, .external_lex_state = 35},
  [7165] = {.lex_state = 63, .external_lex_state = 25},
  [7166] = {.lex_state = 63, .external_lex_state = 25},
  [7167] = {.lex_state = 58, .external_lex_state = 26},
  [7168] = {.lex_state = 63, .external_lex_state = 25},
  [7169] = {.lex_state = 63, .external_lex_state = 25},
  [7170] = {.lex_state = 58, .external_lex_state = 54},
  [7171] = {.lex_state = 66, .external_lex_state = 39},
  [7172] = {.lex_state = 67, .external_lex_state = 34},
  [7173] = {.lex_state = 58, .external_lex_state = 26},
  [7174] = {.lex_state = 62, .external_lex_state = 57},
  [7175] = {.lex_state = 63, .external_lex_state = 25},
  [7176] = {.lex_state = 62, .external_lex_state = 57},
  [7177] = {.lex_state = 63, .external_lex_state = 25},
  [7178] = {.lex_state = 58, .external_lex_state = 44},
  [7179] = {.lex_state = 66, .external_lex_state = 47},
  [7180] = {.lex_state = 67, .external_lex_state = 27},
  [7181] = {.lex_state = 63, .external_lex_state = 25},
  [7182] = {.lex_state = 57, .external_lex_state = 25},
  [7183] = {.lex_state = 55, .external_lex_state = 32},
  [7184] = {.lex_state = 55, .external_lex_state = 32},
  [7185] = {.lex_state = 67, .external_lex_state = 30},
  [7186] = {.lex_state = 57, .external_lex_state = 25},
  [7187] = {.lex_state = 68, .external_lex_state = 25},
  [7188] = {.lex_state = 66, .external_lex_state = 40},
  [7189] = {.lex_state = 56},
  [7190] = {.lex_state = 56},
  [7191] = {.lex_state = 67, .external_lex_state = 45},
  [7192] = {.lex_state = 67},
  [7193] = {.lex_state = 7},
  [7194] = {.lex_state = 67, .external_lex_state = 49},
  [7195] = {.lex_state = 67},
  [7196] = {.lex_state = 21},
  [7197] = {.lex_state = 57, .external_lex_state = 45},
  [7198] = {.lex_state = 55, .external_lex_state = 31},
  [7199] = {.lex_state = 58, .external_lex_state = 54},
  [7200] = {.lex_state = 67, .external_lex_state = 34},
  [7201] = {.lex_state = 21},
  [7202] = {.lex_state = 57, .external_lex_state = 45},
  [7203] = {.lex_state = 55, .external_lex_state = 50},
  [7204] = {.lex_state = 58, .external_lex_state = 26},
  [7205] = {.lex_state = 55, .external_lex_state = 50},
  [7206] = {.lex_state = 21},
  [7207] = {.lex_state = 67, .external_lex_state = 26},
  [7208] = {.lex_state = 58, .external_lex_state = 52},
  [7209] = {.lex_state = 67, .external_lex_state = 26},
  [7210] = {.lex_state = 21},
  [7211] = {.lex_state = 67, .external_lex_state = 26},
  [7212] = {.lex_state = 58, .external_lex_state = 53},
  [7213] = {.lex_state = 66, .external_lex_state = 54},
  [7214] = {.lex_state = 54, .external_lex_state = 45},
  [7215] = {.lex_state = 67, .external_lex_state = 39},
  [7216] = {.lex_state = 58, .external_lex_state = 34},
  [7217] = {.lex_state = 62, .external_lex_state = 55},
  [7218] = {.lex_state = 54, .external_lex_state = 54},
  [7219] = {.lex_state = 67, .external_lex_state = 27},
  [7220] = {.lex_state = 67, .external_lex_state = 27},
  [7221] = {.lex_state = 67, .external_lex_state = 26},
  [7222] = {.lex_state = 54, .external_lex_state = 55},
  [7223] = {.lex_state = 58, .external_lex_state = 37},
  [7224] = {.lex_state = 58, .external_lex_state = 58},
  [7225] = {.lex_state = 67, .external_lex_state = 43},
  [7226] = {.lex_state = 58, .external_lex_state = 44},
  [7227] = {.lex_state = 58, .external_lex_state = 33},
  [7228] = {.lex_state = 54, .external_lex_state = 55},
  [7229] = {.lex_state = 56},
  [7230] = {.lex_state = 56},
  [7231] = {.lex_state = 67, .external_lex_state = 40},
  [7232] = {.lex_state = 67},
  [7233] = {.lex_state = 21},
  [7234] = {.lex_state = 58, .external_lex_state = 26},
  [7235] = {.lex_state = 67, .external_lex_state = 40},
  [7236] = {.lex_state = 21},
  [7237] = {.lex_state = 67, .external_lex_state = 40},
  [7238] = {.lex_state = 67, .external_lex_state = 36},
  [7239] = {.lex_state = 62, .external_lex_state = 29},
  [7240] = {.lex_state = 67, .external_lex_state = 44},
  [7241] = {.lex_state = 58},
  [7242] = {.lex_state = 67, .external_lex_state = 40},
  [7243] = {.lex_state = 54, .external_lex_state = 56},
  [7244] = {.lex_state = 67, .external_lex_state = 40},
  [7245] = {.lex_state = 54, .external_lex_state = 56},
  [7246] = {.lex_state = 58, .external_lex_state = 34},
  [7247] = {.lex_state = 67, .external_lex_state = 36},
  [7248] = {.lex_state = 67, .external_lex_state = 27},
  [7249] = {.lex_state = 54, .external_lex_state = 54},
  [7250] = {.lex_state = 58, .external_lex_state = 27},
  [7251] = {.lex_state = 62, .external_lex_state = 25},
  [7252] = {.lex_state = 58, .external_lex_state = 37},
  [7253] = {.lex_state = 58, .external_lex_state = 58},
  [7254] = {.lex_state = 67, .external_lex_state = 43},
  [7255] = {.lex_state = 58, .external_lex_state = 33},
  [7256] = {.lex_state = 58, .external_lex_state = 53},
  [7257] = {.lex_state = 54, .external_lex_state = 54},
  [7258] = {.lex_state = 56},
  [7259] = {.lex_state = 56},
  [7260] = {.lex_state = 68, .external_lex_state = 25},
  [7261] = {.lex_state = 66, .external_lex_state = 45},
  [7262] = {.lex_state = 67},
  [7263] = {.lex_state = 54, .external_lex_state = 54},
  [7264] = {.lex_state = 21},
  [7265] = {.lex_state = 54, .external_lex_state = 54},
  [7266] = {.lex_state = 67, .external_lex_state = 36},
  [7267] = {.lex_state = 54, .external_lex_state = 54},
  [7268] = {.lex_state = 21},
  [7269] = {.lex_state = 68, .external_lex_state = 25},
  [7270] = {.lex_state = 54, .external_lex_state = 31},
  [7271] = {.lex_state = 66, .external_lex_state = 45},
  [7272] = {.lex_state = 55, .external_lex_state = 49},
  [7273] = {.lex_state = 54, .external_lex_state = 54},
  [7274] = {.lex_state = 54, .external_lex_state = 54},
  [7275] = {.lex_state = 67, .external_lex_state = 39},
  [7276] = {.lex_state = 54, .external_lex_state = 31},
  [7277] = {.lex_state = 66, .external_lex_state = 45},
  [7278] = {.lex_state = 55, .external_lex_state = 49},
  [7279] = {.lex_state = 54, .external_lex_state = 54},
  [7280] = {.lex_state = 54, .external_lex_state = 54},
  [7281] = {.lex_state = 54, .external_lex_state = 31},
  [7282] = {.lex_state = 67, .external_lex_state = 39},
  [7283] = {.lex_state = 62, .external_lex_state = 29},
  [7284] = {.lex_state = 67, .external_lex_state = 36},
  [7285] = {.lex_state = 54, .external_lex_state = 54},
  [7286] = {.lex_state = 56},
  [7287] = {.lex_state = 56},
  [7288] = {.lex_state = 67},
  [7289] = {.lex_state = 21},
  [7290] = {.lex_state = 67, .external_lex_state = 36},
  [7291] = {.lex_state = 67, .external_lex_state = 36},
  [7292] = {.lex_state = 21},
  [7293] = {.lex_state = 62, .external_lex_state = 29},
  [7294] = {.lex_state = 67, .external_lex_state = 39},
  [7295] = {.lex_state = 62, .external_lex_state = 29},
  [7296] = {.lex_state = 62, .external_lex_state = 29},
  [7297] = {.lex_state = 67, .external_lex_state = 39},
  [7298] = {.lex_state = 62, .external_lex_state = 29},
  [7299] = {.lex_state = 67, .external_lex_state = 39},
  [7300] = {.lex_state = 67},
  [7301] = {.lex_state = 21},
  [7302] = {.lex_state = 62, .external_lex_state = 29},
  [7303] = {.lex_state = 62, .external_lex_state = 29},
  [7304] = {.lex_state = 67, .external_lex_state = 39},
  [7305] = {.lex_state = 21},
  [7306] = {.lex_state = 67, .external_lex_state = 39},
  [7307] = {.lex_state = 67, .external_lex_state = 39},
  [7308] = {.lex_state = 67, .external_lex_state = 36},
  [7309] = {.lex_state = 62, .external_lex_state = 29},
  [7310] = {.lex_state = 62, .external_lex_state = 29},
  [7311] = {.lex_state = 67},
  [7312] = {.lex_state = 62, .external_lex_state = 29},
  [7313] = {.lex_state = 67, .external_lex_state = 39},
  [7314] = {.lex_state = 67, .external_lex_state = 39},
  [7315] = {.lex_state = 55, .external_lex_state = 37},
  [7316] = {.lex_state = 67, .external_lex_state = 39},
  [7317] = {.lex_state = 67, .external_lex_state = 39},
  [7318] = {.lex_state = 67, .external_lex_state = 39},
  [7319] = {.lex_state = 67, .external_lex_state = 39},
  [7320] = {.lex_state = 67, .external_lex_state = 50},
  [7321] = {.lex_state = 67, .external_lex_state = 36},
  [7322] = {.lex_state = 67},
  [7323] = {.lex_state = 62, .external_lex_state = 56},
  [7324] = {.lex_state = 67, .external_lex_state = 39},
  [7325] = {.lex_state = 67, .external_lex_state = 36},
  [7326] = {.lex_state = 60},
  [7327] = {.lex_state = 67, .external_lex_state = 39},
  [7328] = {.lex_state = 67, .external_lex_state = 39},
  [7329] = {.lex_state = 10, .external_lex_state = 45},
  [7330] = {.lex_state = 67},
  [7331] = {.lex_state = 67, .external_lex_state = 36},
  [7332] = {.lex_state = 54, .external_lex_state = 31},
  [7333] = {.lex_state = 61, .external_lex_state = 25},
  [7334] = {.lex_state = 67, .external_lex_state = 36},
  [7335] = {.lex_state = 67, .external_lex_state = 39},
  [7336] = {.lex_state = 10, .external_lex_state = 45},
  [7337] = {.lex_state = 67},
  [7338] = {.lex_state = 67, .external_lex_state = 39},
  [7339] = {.lex_state = 67, .external_lex_state = 36},
  [7340] = {.lex_state = 61, .external_lex_state = 25},
  [7341] = {.lex_state = 10, .external_lex_state = 45},
  [7342] = {.lex_state = 67, .external_lex_state = 47},
  [7343] = {.lex_state = 67, .external_lex_state = 43},
  [7344] = {.lex_state = 67, .external_lex_state = 40},
  [7345] = {.lex_state = 61, .external_lex_state = 25},
  [7346] = {.lex_state = 67, .external_lex_state = 47},
  [7347] = {.lex_state = 67},
  [7348] = {.lex_state = 67, .external_lex_state = 30},
  [7349] = {.lex_state = 67, .external_lex_state = 40},
  [7350] = {.lex_state = 61, .external_lex_state = 25},
  [7351] = {.lex_state = 67, .external_lex_state = 47},
  [7352] = {.lex_state = 61, .external_lex_state = 25},
  [7353] = {.lex_state = 56},
  [7354] = {.lex_state = 67, .external_lex_state = 40},
  [7355] = {.lex_state = 67},
  [7356] = {.lex_state = 67, .external_lex_state = 40},
  [7357] = {.lex_state = 67, .external_lex_state = 40},
  [7358] = {.lex_state = 60},
  [7359] = {.lex_state = 67, .external_lex_state = 40},
  [7360] = {.lex_state = 62, .external_lex_state = 29},
  [7361] = {.lex_state = 66, .external_lex_state = 50},
  [7362] = {.lex_state = 67},
  [7363] = {.lex_state = 67, .external_lex_state = 40},
  [7364] = {.lex_state = 67, .external_lex_state = 40},
  [7365] = {.lex_state = 54, .external_lex_state = 45},
  [7366] = {.lex_state = 67, .external_lex_state = 40},
  [7367] = {.lex_state = 67},
  [7368] = {.lex_state = 67, .external_lex_state = 25},
  [7369] = {.lex_state = 67, .external_lex_state = 40},
  [7370] = {.lex_state = 67, .external_lex_state = 26},
  [7371] = {.lex_state = 67, .external_lex_state = 40},
  [7372] = {.lex_state = 67, .external_lex_state = 40},
  [7373] = {.lex_state = 54, .external_lex_state = 55},
  [7374] = {.lex_state = 67, .external_lex_state = 40},
  [7375] = {.lex_state = 67, .external_lex_state = 40},
  [7376] = {.lex_state = 60},
  [7377] = {.lex_state = 67, .external_lex_state = 49},
  [7378] = {.lex_state = 54, .external_lex_state = 31},
  [7379] = {.lex_state = 54, .external_lex_state = 37},
  [7380] = {.lex_state = 67, .external_lex_state = 47},
  [7381] = {.lex_state = 67},
  [7382] = {.lex_state = 67, .external_lex_state = 40},
  [7383] = {.lex_state = 54, .external_lex_state = 45},
  [7384] = {.lex_state = 67, .external_lex_state = 40},
  [7385] = {.lex_state = 67, .external_lex_state = 40},
  [7386] = {.lex_state = 61, .external_lex_state = 25},
  [7387] = {.lex_state = 67},
  [7388] = {.lex_state = 62, .external_lex_state = 55},
  [7389] = {.lex_state = 58},
  [7390] = {.lex_state = 67, .external_lex_state = 40},
  [7391] = {.lex_state = 67, .external_lex_state = 40},
  [7392] = {.lex_state = 67},
  [7393] = {.lex_state = 58, .external_lex_state = 51},
  [7394] = {.lex_state = 67},
  [7395] = {.lex_state = 67, .external_lex_state = 58},
  [7396] = {.lex_state = 67},
  [7397] = {.lex_state = 56},
  [7398] = {.lex_state = 55, .external_lex_state = 31},
  [7399] = {.lex_state = 67, .external_lex_state = 27},
  [7400] = {.lex_state = 67},
  [7401] = {.lex_state = 67, .external_lex_state = 39},
  [7402] = {.lex_state = 54, .external_lex_state = 56},
  [7403] = {.lex_state = 67},
  [7404] = {.lex_state = 61, .external_lex_state = 25},
  [7405] = {.lex_state = 61, .external_lex_state = 45},
  [7406] = {.lex_state = 67, .external_lex_state = 31},
  [7407] = {.lex_state = 67, .external_lex_state = 39},
  [7408] = {.lex_state = 67},
  [7409] = {.lex_state = 67, .external_lex_state = 39},
  [7410] = {.lex_state = 61, .external_lex_state = 45},
  [7411] = {.lex_state = 67, .external_lex_state = 39},
  [7412] = {.lex_state = 67},
  [7413] = {.lex_state = 66, .external_lex_state = 50},
  [7414] = {.lex_state = 61, .external_lex_state = 45},
  [7415] = {.lex_state = 10, .external_lex_state = 45},
  [7416] = {.lex_state = 54, .external_lex_state = 54},
  [7417] = {.lex_state = 67},
  [7418] = {.lex_state = 66, .external_lex_state = 49},
  [7419] = {.lex_state = 57, .external_lex_state = 45},
  [7420] = {.lex_state = 54, .external_lex_state = 57},
  [7421] = {.lex_state = 10, .external_lex_state = 45},
  [7422] = {.lex_state = 58, .external_lex_state = 35},
  [7423] = {.lex_state = 67, .external_lex_state = 26},
  [7424] = {.lex_state = 67},
  [7425] = {.lex_state = 54, .external_lex_state = 57},
  [7426] = {.lex_state = 67, .external_lex_state = 60},
  [7427] = {.lex_state = 67, .external_lex_state = 39},
  [7428] = {.lex_state = 67},
  [7429] = {.lex_state = 67, .external_lex_state = 39},
  [7430] = {.lex_state = 66, .external_lex_state = 37},
  [7431] = {.lex_state = 67},
  [7432] = {.lex_state = 66, .external_lex_state = 37},
  [7433] = {.lex_state = 67, .external_lex_state = 40},
  [7434] = {.lex_state = 67},
  [7435] = {.lex_state = 67, .external_lex_state = 39},
  [7436] = {.lex_state = 67},
  [7437] = {.lex_state = 62, .external_lex_state = 56},
  [7438] = {.lex_state = 67, .external_lex_state = 39},
  [7439] = {.lex_state = 58, .external_lex_state = 35},
  [7440] = {.lex_state = 67, .external_lex_state = 39},
  [7441] = {.lex_state = 58, .external_lex_state = 26},
  [7442] = {.lex_state = 67},
  [7443] = {.lex_state = 63, .external_lex_state = 25},
  [7444] = {.lex_state = 62, .external_lex_state = 55},
  [7445] = {.lex_state = 67},
  [7446] = {.lex_state = 63, .external_lex_state = 25},
  [7447] = {.lex_state = 63, .external_lex_state = 25},
  [7448] = {.lex_state = 67, .external_lex_state = 58},
  [7449] = {.lex_state = 67},
  [7450] = {.lex_state = 63, .external_lex_state = 25},
  [7451] = {.lex_state = 67, .external_lex_state = 39},
  [7452] = {.lex_state = 67, .external_lex_state = 36},
  [7453] = {.lex_state = 67},
  [7454] = {.lex_state = 67, .external_lex_state = 40},
  [7455] = {.lex_state = 67},
  [7456] = {.lex_state = 67, .external_lex_state = 40},
  [7457] = {.lex_state = 10, .external_lex_state = 45},
  [7458] = {.lex_state = 67, .external_lex_state = 36},
  [7459] = {.lex_state = 67, .external_lex_state = 39},
  [7460] = {.lex_state = 67, .external_lex_state = 54},
  [7461] = {.lex_state = 63, .external_lex_state = 25},
  [7462] = {.lex_state = 67},
  [7463] = {.lex_state = 62, .external_lex_state = 55},
  [7464] = {.lex_state = 66, .external_lex_state = 45},
  [7465] = {.lex_state = 67},
  [7466] = {.lex_state = 62, .external_lex_state = 55},
  [7467] = {.lex_state = 54, .external_lex_state = 57},
  [7468] = {.lex_state = 67, .external_lex_state = 40},
  [7469] = {.lex_state = 58, .external_lex_state = 31},
  [7470] = {.lex_state = 62, .external_lex_state = 55},
  [7471] = {.lex_state = 62, .external_lex_state = 55},
  [7472] = {.lex_state = 67},
  [7473] = {.lex_state = 62, .external_lex_state = 55},
  [7474] = {.lex_state = 58, .external_lex_state = 31},
  [7475] = {.lex_state = 67, .external_lex_state = 40},
  [7476] = {.lex_state = 62, .external_lex_state = 55},
  [7477] = {.lex_state = 62, .external_lex_state = 55},
  [7478] = {.lex_state = 67},
  [7479] = {.lex_state = 67, .external_lex_state = 36},
  [7480] = {.lex_state = 67, .external_lex_state = 40},
  [7481] = {.lex_state = 62, .external_lex_state = 55},
  [7482] = {.lex_state = 62, .external_lex_state = 55},
  [7483] = {.lex_state = 67, .external_lex_state = 40},
  [7484] = {.lex_state = 67, .external_lex_state = 40},
  [7485] = {.lex_state = 67},
  [7486] = {.lex_state = 66, .external_lex_state = 49},
  [7487] = {.lex_state = 67, .external_lex_state = 40},
  [7488] = {.lex_state = 62, .external_lex_state = 55},
  [7489] = {.lex_state = 58, .external_lex_state = 25},
  [7490] = {.lex_state = 67},
  [7491] = {.lex_state = 57, .external_lex_state = 54},
  [7492] = {.lex_state = 67},
  [7493] = {.lex_state = 61, .external_lex_state = 45},
  [7494] = {.lex_state = 67, .external_lex_state = 45},
  [7495] = {.lex_state = 58, .external_lex_state = 30},
  [7496] = {.lex_state = 67},
  [7497] = {.lex_state = 67, .external_lex_state = 47},
  [7498] = {.lex_state = 67, .external_lex_state = 39},
  [7499] = {.lex_state = 67, .external_lex_state = 39},
  [7500] = {.lex_state = 67},
  [7501] = {.lex_state = 10, .external_lex_state = 45},
  [7502] = {.lex_state = 67, .external_lex_state = 59},
  [7503] = {.lex_state = 67},
  [7504] = {.lex_state = 58, .external_lex_state = 25},
  [7505] = {.lex_state = 67, .external_lex_state = 25},
  [7506] = {.lex_state = 67},
  [7507] = {.lex_state = 67},
  [7508] = {.lex_state = 67, .external_lex_state = 36},
  [7509] = {.lex_state = 54, .external_lex_state = 32},
  [7510] = {.lex_state = 67},
  [7511] = {.lex_state = 62, .external_lex_state = 57},
  [7512] = {.lex_state = 62, .external_lex_state = 55},
  [7513] = {.lex_state = 67},
  [7514] = {.lex_state = 67, .external_lex_state = 39},
  [7515] = {.lex_state = 67},
  [7516] = {.lex_state = 57, .external_lex_state = 54},
  [7517] = {.lex_state = 10, .external_lex_state = 45},
  [7518] = {.lex_state = 10, .external_lex_state = 45},
  [7519] = {.lex_state = 67},
  [7520] = {.lex_state = 66, .external_lex_state = 36},
  [7521] = {.lex_state = 62, .external_lex_state = 56},
  [7522] = {.lex_state = 67, .external_lex_state = 39},
  [7523] = {.lex_state = 10, .external_lex_state = 45},
  [7524] = {.lex_state = 67},
  [7525] = {.lex_state = 58, .external_lex_state = 33},
  [7526] = {.lex_state = 58, .external_lex_state = 26},
  [7527] = {.lex_state = 67, .external_lex_state = 26},
  [7528] = {.lex_state = 67},
  [7529] = {.lex_state = 62, .external_lex_state = 56},
  [7530] = {.lex_state = 55, .external_lex_state = 35},
  [7531] = {.lex_state = 62, .external_lex_state = 56},
  [7532] = {.lex_state = 67},
  [7533] = {.lex_state = 62, .external_lex_state = 56},
  [7534] = {.lex_state = 54, .external_lex_state = 54},
  [7535] = {.lex_state = 62, .external_lex_state = 56},
  [7536] = {.lex_state = 58, .external_lex_state = 37},
  [7537] = {.lex_state = 67, .external_lex_state = 40},
  [7538] = {.lex_state = 62, .external_lex_state = 56},
  [7539] = {.lex_state = 10, .external_lex_state = 45},
  [7540] = {.lex_state = 10, .external_lex_state = 45},
  [7541] = {.lex_state = 62, .external_lex_state = 56},
  [7542] = {.lex_state = 67},
  [7543] = {.lex_state = 62, .external_lex_state = 56},
  [7544] = {.lex_state = 55, .external_lex_state = 25},
  [7545] = {.lex_state = 62, .external_lex_state = 56},
  [7546] = {.lex_state = 62, .external_lex_state = 56},
  [7547] = {.lex_state = 67},
  [7548] = {.lex_state = 13, .external_lex_state = 45},
  [7549] = {.lex_state = 58, .external_lex_state = 37},
  [7550] = {.lex_state = 62, .external_lex_state = 56},
  [7551] = {.lex_state = 67},
  [7552] = {.lex_state = 66, .external_lex_state = 30},
  [7553] = {.lex_state = 66, .external_lex_state = 30},
  [7554] = {.lex_state = 67, .external_lex_state = 33},
  [7555] = {.lex_state = 67},
  [7556] = {.lex_state = 66, .external_lex_state = 30},
  [7557] = {.lex_state = 54, .external_lex_state = 54},
  [7558] = {.lex_state = 67, .external_lex_state = 40},
  [7559] = {.lex_state = 67},
  [7560] = {.lex_state = 54, .external_lex_state = 54},
  [7561] = {.lex_state = 66, .external_lex_state = 31},
  [7562] = {.lex_state = 54, .external_lex_state = 54},
  [7563] = {.lex_state = 10, .external_lex_state = 45},
  [7564] = {.lex_state = 67},
  [7565] = {.lex_state = 10, .external_lex_state = 45},
  [7566] = {.lex_state = 67},
  [7567] = {.lex_state = 58, .external_lex_state = 54},
  [7568] = {.lex_state = 63, .external_lex_state = 54},
  [7569] = {.lex_state = 67},
  [7570] = {.lex_state = 62, .external_lex_state = 29},
  [7571] = {.lex_state = 55, .external_lex_state = 46},
  [7572] = {.lex_state = 62, .external_lex_state = 29},
  [7573] = {.lex_state = 67, .external_lex_state = 36},
  [7574] = {.lex_state = 55, .external_lex_state = 46},
  [7575] = {.lex_state = 67},
  [7576] = {.lex_state = 62, .external_lex_state = 29},
  [7577] = {.lex_state = 54, .external_lex_state = 54},
  [7578] = {.lex_state = 63, .external_lex_state = 54},
  [7579] = {.lex_state = 67},
  [7580] = {.lex_state = 67, .external_lex_state = 36},
  [7581] = {.lex_state = 67},
  [7582] = {.lex_state = 63, .external_lex_state = 54},
  [7583] = {.lex_state = 63, .external_lex_state = 54},
  [7584] = {.lex_state = 63, .external_lex_state = 54},
  [7585] = {.lex_state = 67, .external_lex_state = 36},
  [7586] = {.lex_state = 67},
  [7587] = {.lex_state = 63, .external_lex_state = 54},
  [7588] = {.lex_state = 63, .external_lex_state = 54},
  [7589] = {.lex_state = 63, .external_lex_state = 54},
  [7590] = {.lex_state = 58, .external_lex_state = 34},
  [7591] = {.lex_state = 67},
  [7592] = {.lex_state = 63, .external_lex_state = 54},
  [7593] = {.lex_state = 63, .external_lex_state = 54},
  [7594] = {.lex_state = 62, .external_lex_state = 29},
  [7595] = {.lex_state = 55, .external_lex_state = 25},
  [7596] = {.lex_state = 67},
  [7597] = {.lex_state = 63, .external_lex_state = 54},
  [7598] = {.lex_state = 67},
  [7599] = {.lex_state = 67, .external_lex_state = 36},
  [7600] = {.lex_state = 67},
  [7601] = {.lex_state = 67},
  [7602] = {.lex_state = 67, .external_lex_state = 26},
  [7603] = {.lex_state = 62, .external_lex_state = 56},
  [7604] = {.lex_state = 67, .external_lex_state = 36},
  [7605] = {.lex_state = 67},
  [7606] = {.lex_state = 67, .external_lex_state = 36},
  [7607] = {.lex_state = 67},
  [7608] = {.lex_state = 58, .external_lex_state = 48},
  [7609] = {.lex_state = 67},
  [7610] = {.lex_state = 67},
  [7611] = {.lex_state = 63, .external_lex_state = 25},
  [7612] = {.lex_state = 67},
  [7613] = {.lex_state = 67},
  [7614] = {.lex_state = 58, .external_lex_state = 37},
  [7615] = {.lex_state = 67},
  [7616] = {.lex_state = 67, .external_lex_state = 42},
  [7617] = {.lex_state = 67},
  [7618] = {.lex_state = 67},
  [7619] = {.lex_state = 58, .external_lex_state = 26},
  [7620] = {.lex_state = 55, .external_lex_state = 25},
  [7621] = {.lex_state = 67},
  [7622] = {.lex_state = 58, .external_lex_state = 26},
  [7623] = {.lex_state = 58, .external_lex_state = 26},
  [7624] = {.lex_state = 67, .external_lex_state = 36},
  [7625] = {.lex_state = 67, .external_lex_state = 42},
  [7626] = {.lex_state = 67},
  [7627] = {.lex_state = 63, .external_lex_state = 25},
  [7628] = {.lex_state = 67, .external_lex_state = 36},
  [7629] = {.lex_state = 67},
  [7630] = {.lex_state = 67},
  [7631] = {.lex_state = 67},
  [7632] = {.lex_state = 67, .external_lex_state = 36},
  [7633] = {.lex_state = 58, .external_lex_state = 47},
  [7634] = {.lex_state = 67, .external_lex_state = 50},
  [7635] = {.lex_state = 67},
  [7636] = {.lex_state = 67, .external_lex_state = 36},
  [7637] = {.lex_state = 67, .external_lex_state = 36},
  [7638] = {.lex_state = 67},
  [7639] = {.lex_state = 67, .external_lex_state = 50},
  [7640] = {.lex_state = 67, .external_lex_state = 54},
  [7641] = {.lex_state = 67},
  [7642] = {.lex_state = 12, .external_lex_state = 45},
  [7643] = {.lex_state = 67, .external_lex_state = 50},
  [7644] = {.lex_state = 67},
  [7645] = {.lex_state = 63, .external_lex_state = 25},
  [7646] = {.lex_state = 67},
  [7647] = {.lex_state = 62, .external_lex_state = 57},
  [7648] = {.lex_state = 66, .external_lex_state = 25},
  [7649] = {.lex_state = 67},
  [7650] = {.lex_state = 58, .external_lex_state = 25},
  [7651] = {.lex_state = 67, .external_lex_state = 36},
  [7652] = {.lex_state = 67, .external_lex_state = 33},
  [7653] = {.lex_state = 67, .external_lex_state = 49},
  [7654] = {.lex_state = 67, .external_lex_state = 36},
  [7655] = {.lex_state = 62, .external_lex_state = 29},
  [7656] = {.lex_state = 67, .external_lex_state = 49},
  [7657] = {.lex_state = 67, .external_lex_state = 49},
  [7658] = {.lex_state = 67, .external_lex_state = 36},
  [7659] = {.lex_state = 67, .external_lex_state = 36},
  [7660] = {.lex_state = 67, .external_lex_state = 36},
  [7661] = {.lex_state = 61, .external_lex_state = 45},
  [7662] = {.lex_state = 67, .external_lex_state = 32},
  [7663] = {.lex_state = 67, .external_lex_state = 36},
  [7664] = {.lex_state = 67, .external_lex_state = 36},
  [7665] = {.lex_state = 58, .external_lex_state = 40},
  [7666] = {.lex_state = 58, .external_lex_state = 29},
  [7667] = {.lex_state = 58, .external_lex_state = 54},
  [7668] = {.lex_state = 67, .external_lex_state = 26},
  [7669] = {.lex_state = 7},
  [7670] = {.lex_state = 67, .external_lex_state = 36},
  [7671] = {.lex_state = 67, .external_lex_state = 36},
  [7672] = {.lex_state = 67, .external_lex_state = 36},
  [7673] = {.lex_state = 68, .external_lex_state = 54},
  [7674] = {.lex_state = 54, .external_lex_state = 35},
  [7675] = {.lex_state = 67, .external_lex_state = 36},
  [7676] = {.lex_state = 68, .external_lex_state = 54},
  [7677] = {.lex_state = 67, .external_lex_state = 36},
  [7678] = {.lex_state = 68, .external_lex_state = 25},
  [7679] = {.lex_state = 67, .external_lex_state = 47},
  [7680] = {.lex_state = 67, .external_lex_state = 32},
  [7681] = {.lex_state = 10, .external_lex_state = 45},
  [7682] = {.lex_state = 67, .external_lex_state = 36},
  [7683] = {.lex_state = 67, .external_lex_state = 26},
  [7684] = {.lex_state = 55, .external_lex_state = 47},
  [7685] = {.lex_state = 66, .external_lex_state = 30},
  [7686] = {.lex_state = 54, .external_lex_state = 37},
  [7687] = {.lex_state = 58, .external_lex_state = 29},
  [7688] = {.lex_state = 66, .external_lex_state = 30},
  [7689] = {.lex_state = 66, .external_lex_state = 29},
  [7690] = {.lex_state = 66, .external_lex_state = 30},
  [7691] = {.lex_state = 61, .external_lex_state = 45},
  [7692] = {.lex_state = 55, .external_lex_state = 47},
  [7693] = {.lex_state = 62, .external_lex_state = 55},
  [7694] = {.lex_state = 66, .external_lex_state = 30},
  [7695] = {.lex_state = 62, .external_lex_state = 55},
  [7696] = {.lex_state = 66, .external_lex_state = 30},
  [7697] = {.lex_state = 62, .external_lex_state = 55},
  [7698] = {.lex_state = 58, .external_lex_state = 35},
  [7699] = {.lex_state = 10, .external_lex_state = 45},
  [7700] = {.lex_state = 58, .external_lex_state = 48},
  [7701] = {.lex_state = 58, .external_lex_state = 35},
  [7702] = {.lex_state = 58, .external_lex_state = 51},
  [7703] = {.lex_state = 67, .external_lex_state = 41},
  [7704] = {.lex_state = 66, .external_lex_state = 31},
  [7705] = {.lex_state = 66, .external_lex_state = 35},
  [7706] = {.lex_state = 67, .external_lex_state = 31},
  [7707] = {.lex_state = 67, .external_lex_state = 41},
  [7708] = {.lex_state = 66, .external_lex_state = 35},
  [7709] = {.lex_state = 62, .external_lex_state = 55},
  [7710] = {.lex_state = 58, .external_lex_state = 38},
  [7711] = {.lex_state = 58, .external_lex_state = 45},
  [7712] = {.lex_state = 61, .external_lex_state = 45},
  [7713] = {.lex_state = 63, .external_lex_state = 54},
  [7714] = {.lex_state = 62, .external_lex_state = 57},
  [7715] = {.lex_state = 58, .external_lex_state = 38},
  [7716] = {.lex_state = 54, .external_lex_state = 31},
  [7717] = {.lex_state = 67, .external_lex_state = 45},
  [7718] = {.lex_state = 58, .external_lex_state = 55},
  [7719] = {.lex_state = 61, .external_lex_state = 45},
  [7720] = {.lex_state = 61, .external_lex_state = 45},
  [7721] = {.lex_state = 66, .external_lex_state = 42},
  [7722] = {.lex_state = 62, .external_lex_state = 57},
  [7723] = {.lex_state = 62, .external_lex_state = 57},
  [7724] = {.lex_state = 61, .external_lex_state = 45},
  [7725] = {.lex_state = 62, .external_lex_state = 57},
  [7726] = {.lex_state = 62, .external_lex_state = 57},
  [7727] = {.lex_state = 62, .external_lex_state = 57},
  [7728] = {.lex_state = 67, .external_lex_state = 45},
  [7729] = {.lex_state = 66, .external_lex_state = 42},
  [7730] = {.lex_state = 62, .external_lex_state = 57},
  [7731] = {.lex_state = 62, .external_lex_state = 57},
  [7732] = {.lex_state = 62, .external_lex_state = 57},
  [7733] = {.lex_state = 54, .external_lex_state = 31},
  [7734] = {.lex_state = 62, .external_lex_state = 57},
  [7735] = {.lex_state = 62, .external_lex_state = 57},
  [7736] = {.lex_state = 58, .external_lex_state = 35},
  [7737] = {.lex_state = 58, .external_lex_state = 56},
  [7738] = {.lex_state = 58, .external_lex_state = 26},
  [7739] = {.lex_state = 58, .external_lex_state = 26},
  [7740] = {.lex_state = 54, .external_lex_state = 31},
  [7741] = {.lex_state = 62, .external_lex_state = 56},
  [7742] = {.lex_state = 61, .external_lex_state = 45},
  [7743] = {.lex_state = 61, .external_lex_state = 45},
  [7744] = {.lex_state = 62, .external_lex_state = 56},
  [7745] = {.lex_state = 62, .external_lex_state = 56},
  [7746] = {.lex_state = 67, .external_lex_state = 39},
  [7747] = {.lex_state = 58, .external_lex_state = 55},
  [7748] = {.lex_state = 54, .external_lex_state = 31},
  [7749] = {.lex_state = 54, .external_lex_state = 31},
  [7750] = {.lex_state = 58, .external_lex_state = 50},
  [7751] = {.lex_state = 55, .external_lex_state = 29},
  [7752] = {.lex_state = 58, .external_lex_state = 26},
  [7753] = {.lex_state = 54, .external_lex_state = 31},
  [7754] = {.lex_state = 66, .external_lex_state = 32},
  [7755] = {.lex_state = 66, .external_lex_state = 55},
  [7756] = {.lex_state = 67, .external_lex_state = 39},
  [7757] = {.lex_state = 58, .external_lex_state = 47},
  [7758] = {.lex_state = 62, .external_lex_state = 57},
  [7759] = {.lex_state = 55, .external_lex_state = 54},
  [7760] = {.lex_state = 58, .external_lex_state = 47},
  [7761] = {.lex_state = 54, .external_lex_state = 31},
  [7762] = {.lex_state = 58, .external_lex_state = 47},
  [7763] = {.lex_state = 54, .external_lex_state = 31},
  [7764] = {.lex_state = 62, .external_lex_state = 56},
  [7765] = {.lex_state = 55, .external_lex_state = 29},
  [7766] = {.lex_state = 55, .external_lex_state = 29},
  [7767] = {.lex_state = 58, .external_lex_state = 56},
  [7768] = {.lex_state = 55, .external_lex_state = 29},
  [7769] = {.lex_state = 67, .external_lex_state = 39},
  [7770] = {.lex_state = 55, .external_lex_state = 29},
  [7771] = {.lex_state = 55, .external_lex_state = 29},
  [7772] = {.lex_state = 55, .external_lex_state = 54},
  [7773] = {.lex_state = 54, .external_lex_state = 31},
  [7774] = {.lex_state = 54, .external_lex_state = 31},
  [7775] = {.lex_state = 55, .external_lex_state = 29},
  [7776] = {.lex_state = 55, .external_lex_state = 29},
  [7777] = {.lex_state = 55, .external_lex_state = 29},
  [7778] = {.lex_state = 67, .external_lex_state = 39},
  [7779] = {.lex_state = 55, .external_lex_state = 29},
  [7780] = {.lex_state = 55, .external_lex_state = 29},
  [7781] = {.lex_state = 61, .external_lex_state = 45},
  [7782] = {.lex_state = 61, .external_lex_state = 45},
  [7783] = {.lex_state = 58, .external_lex_state = 52},
  [7784] = {.lex_state = 67, .external_lex_state = 39},
  [7785] = {.lex_state = 67, .external_lex_state = 39},
  [7786] = {.lex_state = 63, .external_lex_state = 54},
  [7787] = {.lex_state = 63, .external_lex_state = 54},
  [7788] = {.lex_state = 63, .external_lex_state = 54},
  [7789] = {.lex_state = 66, .external_lex_state = 41},
  [7790] = {.lex_state = 66, .external_lex_state = 32},
  [7791] = {.lex_state = 66, .external_lex_state = 56},
  [7792] = {.lex_state = 67, .external_lex_state = 44},
  [7793] = {.lex_state = 66, .external_lex_state = 41},
  [7794] = {.lex_state = 66, .external_lex_state = 25},
  [7795] = {.lex_state = 54, .external_lex_state = 25},
  [7796] = {.lex_state = 58, .external_lex_state = 54},
  [7797] = {.lex_state = 67, .external_lex_state = 46},
  [7798] = {.lex_state = 58, .external_lex_state = 54},
  [7799] = {.lex_state = 58, .external_lex_state = 54},
  [7800] = {.lex_state = 63, .external_lex_state = 54},
  [7801] = {.lex_state = 66, .external_lex_state = 30},
  [7802] = {.lex_state = 58, .external_lex_state = 42},
  [7803] = {.lex_state = 61, .external_lex_state = 45},
  [7804] = {.lex_state = 62, .external_lex_state = 29},
  [7805] = {.lex_state = 58, .external_lex_state = 57},
  [7806] = {.lex_state = 58, .external_lex_state = 49},
  [7807] = {.lex_state = 67},
  [7808] = {.lex_state = 58, .external_lex_state = 52},
  [7809] = {.lex_state = 67, .external_lex_state = 46},
  [7810] = {.lex_state = 67, .external_lex_state = 32},
  [7811] = {.lex_state = 66, .external_lex_state = 29},
  [7812] = {.lex_state = 67, .external_lex_state = 32},
  [7813] = {.lex_state = 66, .external_lex_state = 29},
  [7814] = {.lex_state = 66, .external_lex_state = 29},
  [7815] = {.lex_state = 62, .external_lex_state = 29},
  [7816] = {.lex_state = 58, .external_lex_state = 42},
  [7817] = {.lex_state = 54, .external_lex_state = 31},
  [7818] = {.lex_state = 62, .external_lex_state = 25},
  [7819] = {.lex_state = 67, .external_lex_state = 25},
  [7820] = {.lex_state = 54, .external_lex_state = 37},
  [7821] = {.lex_state = 54, .external_lex_state = 35},
  [7822] = {.lex_state = 58, .external_lex_state = 57},
  [7823] = {.lex_state = 55, .external_lex_state = 55},
  [7824] = {.lex_state = 58, .external_lex_state = 41},
  [7825] = {.lex_state = 67, .external_lex_state = 54},
  [7826] = {.lex_state = 61, .external_lex_state = 25},
  [7827] = {.lex_state = 66, .external_lex_state = 46},
  [7828] = {.lex_state = 67, .external_lex_state = 54},
  [7829] = {.lex_state = 20, .external_lex_state = 45},
  [7830] = {.lex_state = 66, .external_lex_state = 30},
  [7831] = {.lex_state = 54, .external_lex_state = 37},
  [7832] = {.lex_state = 66, .external_lex_state = 30},
  [7833] = {.lex_state = 66, .external_lex_state = 30},
  [7834] = {.lex_state = 55, .external_lex_state = 55},
  [7835] = {.lex_state = 61, .external_lex_state = 54},
  [7836] = {.lex_state = 55, .external_lex_state = 55},
  [7837] = {.lex_state = 55, .external_lex_state = 55},
  [7838] = {.lex_state = 67, .external_lex_state = 36},
  [7839] = {.lex_state = 55, .external_lex_state = 55},
  [7840] = {.lex_state = 55, .external_lex_state = 55},
  [7841] = {.lex_state = 54, .external_lex_state = 31},
  [7842] = {.lex_state = 55, .external_lex_state = 55},
  [7843] = {.lex_state = 55, .external_lex_state = 55},
  [7844] = {.lex_state = 55, .external_lex_state = 55},
  [7845] = {.lex_state = 61, .external_lex_state = 54},
  [7846] = {.lex_state = 55, .external_lex_state = 55},
  [7847] = {.lex_state = 55, .external_lex_state = 55},
  [7848] = {.lex_state = 58, .external_lex_state = 41},
  [7849] = {.lex_state = 55, .external_lex_state = 29},
  [7850] = {.lex_state = 55, .external_lex_state = 56},
  [7851] = {.lex_state = 66, .external_lex_state = 46},
  [7852] = {.lex_state = 61, .external_lex_state = 25},
  [7853] = {.lex_state = 61, .external_lex_state = 25},
  [7854] = {.lex_state = 20, .external_lex_state = 45},
  [7855] = {.lex_state = 55, .external_lex_state = 31},
  [7856] = {.lex_state = 55, .external_lex_state = 56},
  [7857] = {.lex_state = 55, .external_lex_state = 56},
  [7858] = {.lex_state = 67, .external_lex_state = 40},
  [7859] = {.lex_state = 55, .external_lex_state = 56},
  [7860] = {.lex_state = 61, .external_lex_state = 25},
  [7861] = {.lex_state = 58, .external_lex_state = 50},
  [7862] = {.lex_state = 55, .external_lex_state = 56},
  [7863] = {.lex_state = 55, .external_lex_state = 56},
  [7864] = {.lex_state = 61, .external_lex_state = 25},
  [7865] = {.lex_state = 55, .external_lex_state = 56},
  [7866] = {.lex_state = 58, .external_lex_state = 50},
  [7867] = {.lex_state = 55, .external_lex_state = 56},
  [7868] = {.lex_state = 55, .external_lex_state = 56},
  [7869] = {.lex_state = 58, .external_lex_state = 50},
  [7870] = {.lex_state = 55, .external_lex_state = 56},
  [7871] = {.lex_state = 55, .external_lex_state = 56},
  [7872] = {.lex_state = 67, .external_lex_state = 50},
  [7873] = {.lex_state = 61, .external_lex_state = 25},
  [7874] = {.lex_state = 66, .external_lex_state = 55},
  [7875] = {.lex_state = 54, .external_lex_state = 32},
  [7876] = {.lex_state = 66, .external_lex_state = 55},
  [7877] = {.lex_state = 58, .external_lex_state = 45},
  [7878] = {.lex_state = 66, .external_lex_state = 55},
  [7879] = {.lex_state = 55, .external_lex_state = 31},
  [7880] = {.lex_state = 67, .external_lex_state = 40},
  [7881] = {.lex_state = 54, .external_lex_state = 29},
  [7882] = {.lex_state = 61, .external_lex_state = 25},
  [7883] = {.lex_state = 61, .external_lex_state = 25},
  [7884] = {.lex_state = 67, .external_lex_state = 40},
  [7885] = {.lex_state = 54, .external_lex_state = 29},
  [7886] = {.lex_state = 61, .external_lex_state = 25},
  [7887] = {.lex_state = 61, .external_lex_state = 25},
  [7888] = {.lex_state = 56, .external_lex_state = 26},
  [7889] = {.lex_state = 54, .external_lex_state = 32},
  [7890] = {.lex_state = 54, .external_lex_state = 32},
  [7891] = {.lex_state = 54, .external_lex_state = 32},
  [7892] = {.lex_state = 56, .external_lex_state = 26},
  [7893] = {.lex_state = 66, .external_lex_state = 56},
  [7894] = {.lex_state = 54, .external_lex_state = 32},
  [7895] = {.lex_state = 56, .external_lex_state = 26},
  [7896] = {.lex_state = 54, .external_lex_state = 32},
  [7897] = {.lex_state = 54, .external_lex_state = 32},
  [7898] = {.lex_state = 66, .external_lex_state = 56},
  [7899] = {.lex_state = 54, .external_lex_state = 32},
  [7900] = {.lex_state = 54, .external_lex_state = 32},
  [7901] = {.lex_state = 66, .external_lex_state = 56},
  [7902] = {.lex_state = 54, .external_lex_state = 32},
  [7903] = {.lex_state = 54, .external_lex_state = 32},
  [7904] = {.lex_state = 55, .external_lex_state = 55},
  [7905] = {.lex_state = 57, .external_lex_state = 25},
  [7906] = {.lex_state = 58, .external_lex_state = 49},
  [7907] = {.lex_state = 58, .external_lex_state = 49},
  [7908] = {.lex_state = 66, .external_lex_state = 47},
  [7909] = {.lex_state = 66, .external_lex_state = 57},
  [7910] = {.lex_state = 55, .external_lex_state = 56},
  [7911] = {.lex_state = 66, .external_lex_state = 25},
  [7912] = {.lex_state = 67, .external_lex_state = 36},
  [7913] = {.lex_state = 66, .external_lex_state = 25},
  [7914] = {.lex_state = 55, .external_lex_state = 32},
  [7915] = {.lex_state = 67, .external_lex_state = 30},
  [7916] = {.lex_state = 61, .external_lex_state = 45},
  [7917] = {.lex_state = 62, .external_lex_state = 57},
  [7918] = {.lex_state = 62, .external_lex_state = 57},
  [7919] = {.lex_state = 67, .external_lex_state = 36},
  [7920] = {.lex_state = 62, .external_lex_state = 57},
  [7921] = {.lex_state = 61, .external_lex_state = 25},
  [7922] = {.lex_state = 58},
  [7923] = {.lex_state = 67, .external_lex_state = 36},
  [7924] = {.lex_state = 54, .external_lex_state = 32},
  [7925] = {.lex_state = 55, .external_lex_state = 57},
  [7926] = {.lex_state = 67, .external_lex_state = 36},
  [7927] = {.lex_state = 56, .external_lex_state = 26},
  [7928] = {.lex_state = 55, .external_lex_state = 25},
  [7929] = {.lex_state = 67, .external_lex_state = 49},
  [7930] = {.lex_state = 67, .external_lex_state = 31},
  [7931] = {.lex_state = 55, .external_lex_state = 57},
  [7932] = {.lex_state = 55, .external_lex_state = 57},
  [7933] = {.lex_state = 55, .external_lex_state = 57},
  [7934] = {.lex_state = 55, .external_lex_state = 57},
  [7935] = {.lex_state = 55, .external_lex_state = 57},
  [7936] = {.lex_state = 55, .external_lex_state = 57},
  [7937] = {.lex_state = 55, .external_lex_state = 57},
  [7938] = {.lex_state = 55, .external_lex_state = 57},
  [7939] = {.lex_state = 55, .external_lex_state = 57},
  [7940] = {.lex_state = 55, .external_lex_state = 57},
  [7941] = {.lex_state = 62, .external_lex_state = 57},
  [7942] = {.lex_state = 67, .external_lex_state = 39},
  [7943] = {.lex_state = 67, .external_lex_state = 46},
  [7944] = {.lex_state = 54, .external_lex_state = 29},
  [7945] = {.lex_state = 67, .external_lex_state = 36},
  [7946] = {.lex_state = 55, .external_lex_state = 29},
  [7947] = {.lex_state = 55, .external_lex_state = 29},
  [7948] = {.lex_state = 55, .external_lex_state = 29},
  [7949] = {.lex_state = 66, .external_lex_state = 25},
  [7950] = {.lex_state = 62, .external_lex_state = 56},
  [7951] = {.lex_state = 60},
  [7952] = {.lex_state = 58, .external_lex_state = 51},
  [7953] = {.lex_state = 66, .external_lex_state = 50},
  [7954] = {.lex_state = 67, .external_lex_state = 44},
  [7955] = {.lex_state = 62, .external_lex_state = 31},
  [7956] = {.lex_state = 67, .external_lex_state = 55},
  [7957] = {.lex_state = 57, .external_lex_state = 25},
  [7958] = {.lex_state = 67, .external_lex_state = 43},
  [7959] = {.lex_state = 67, .external_lex_state = 48},
  [7960] = {.lex_state = 67, .external_lex_state = 43},
  [7961] = {.lex_state = 67, .external_lex_state = 52},
  [7962] = {.lex_state = 62, .external_lex_state = 31},
  [7963] = {.lex_state = 66, .external_lex_state = 55},
  [7964] = {.lex_state = 67, .external_lex_state = 26},
  [7965] = {.lex_state = 66, .external_lex_state = 34},
  [7966] = {.lex_state = 57, .external_lex_state = 25},
  [7967] = {.lex_state = 62, .external_lex_state = 31},
  [7968] = {.lex_state = 55, .external_lex_state = 25},
  [7969] = {.lex_state = 57, .external_lex_state = 25},
  [7970] = {.lex_state = 58, .external_lex_state = 47},
  [7971] = {.lex_state = 66, .external_lex_state = 34},
  [7972] = {.lex_state = 54, .external_lex_state = 37},
  [7973] = {.lex_state = 67, .external_lex_state = 26},
  [7974] = {.lex_state = 62, .external_lex_state = 45},
  [7975] = {.lex_state = 66, .external_lex_state = 34},
  [7976] = {.lex_state = 66, .external_lex_state = 34},
  [7977] = {.lex_state = 67, .external_lex_state = 27},
  [7978] = {.lex_state = 55, .external_lex_state = 55},
  [7979] = {.lex_state = 62, .external_lex_state = 45},
  [7980] = {.lex_state = 55, .external_lex_state = 55},
  [7981] = {.lex_state = 54, .external_lex_state = 35},
  [7982] = {.lex_state = 67, .external_lex_state = 43},
  [7983] = {.lex_state = 55, .external_lex_state = 32},
  [7984] = {.lex_state = 55, .external_lex_state = 31},
  [7985] = {.lex_state = 67, .external_lex_state = 47},
  [7986] = {.lex_state = 14, .external_lex_state = 45},
  [7987] = {.lex_state = 55, .external_lex_state = 31},
  [7988] = {.lex_state = 67, .external_lex_state = 43},
  [7989] = {.lex_state = 67, .external_lex_state = 36},
  [7990] = {.lex_state = 55, .external_lex_state = 31},
  [7991] = {.lex_state = 67},
  [7992] = {.lex_state = 67, .external_lex_state = 43},
  [7993] = {.lex_state = 55, .external_lex_state = 31},
  [7994] = {.lex_state = 12, .external_lex_state = 45},
  [7995] = {.lex_state = 58, .external_lex_state = 60},
  [7996] = {.lex_state = 62, .external_lex_state = 45},
  [7997] = {.lex_state = 58, .external_lex_state = 58},
  [7998] = {.lex_state = 67, .external_lex_state = 26},
  [7999] = {.lex_state = 66, .external_lex_state = 54},
  [8000] = {.lex_state = 67, .external_lex_state = 26},
  [8001] = {.lex_state = 67, .external_lex_state = 26},
  [8002] = {.lex_state = 54, .external_lex_state = 25},
  [8003] = {.lex_state = 63, .external_lex_state = 25},
  [8004] = {.lex_state = 62, .external_lex_state = 54},
  [8005] = {.lex_state = 67, .external_lex_state = 27},
  [8006] = {.lex_state = 58, .external_lex_state = 58},
  [8007] = {.lex_state = 66, .external_lex_state = 44},
  [8008] = {.lex_state = 67, .external_lex_state = 43},
  [8009] = {.lex_state = 67, .external_lex_state = 26},
  [8010] = {.lex_state = 67, .external_lex_state = 44},
  [8011] = {.lex_state = 20, .external_lex_state = 45},
  [8012] = {.lex_state = 6},
  [8013] = {.lex_state = 67, .external_lex_state = 44},
  [8014] = {.lex_state = 67, .external_lex_state = 44},
  [8015] = {.lex_state = 66, .external_lex_state = 56},
  [8016] = {.lex_state = 54, .external_lex_state = 37},
  [8017] = {.lex_state = 63, .external_lex_state = 25},
  [8018] = {.lex_state = 21},
  [8019] = {.lex_state = 67, .external_lex_state = 29},
  [8020] = {.lex_state = 67, .external_lex_state = 44},
  [8021] = {.lex_state = 62, .external_lex_state = 45},
  [8022] = {.lex_state = 66, .external_lex_state = 34},
  [8023] = {.lex_state = 58, .external_lex_state = 50},
  [8024] = {.lex_state = 62, .external_lex_state = 54},
  [8025] = {.lex_state = 67, .external_lex_state = 56},
  [8026] = {.lex_state = 66, .external_lex_state = 31},
  [8027] = {.lex_state = 54, .external_lex_state = 54},
  [8028] = {.lex_state = 67, .external_lex_state = 44},
  [8029] = {.lex_state = 67, .external_lex_state = 44},
  [8030] = {.lex_state = 54, .external_lex_state = 35},
  [8031] = {.lex_state = 67, .external_lex_state = 44},
  [8032] = {.lex_state = 67, .external_lex_state = 57},
  [8033] = {.lex_state = 66, .external_lex_state = 33},
  [8034] = {.lex_state = 58, .external_lex_state = 25},
  [8035] = {.lex_state = 62, .external_lex_state = 31},
  [8036] = {.lex_state = 55, .external_lex_state = 31},
  [8037] = {.lex_state = 66, .external_lex_state = 55},
  [8038] = {.lex_state = 67, .external_lex_state = 26},
  [8039] = {.lex_state = 66, .external_lex_state = 33},
  [8040] = {.lex_state = 6},
  [8041] = {.lex_state = 67, .external_lex_state = 44},
  [8042] = {.lex_state = 67, .external_lex_state = 56},
  [8043] = {.lex_state = 55, .external_lex_state = 56},
  [8044] = {.lex_state = 62, .external_lex_state = 54},
  [8045] = {.lex_state = 58, .external_lex_state = 49},
  [8046] = {.lex_state = 67, .external_lex_state = 44},
  [8047] = {.lex_state = 55, .external_lex_state = 56},
  [8048] = {.lex_state = 62, .external_lex_state = 54},
  [8049] = {.lex_state = 66, .external_lex_state = 33},
  [8050] = {.lex_state = 67, .external_lex_state = 48},
  [8051] = {.lex_state = 67, .external_lex_state = 43},
  [8052] = {.lex_state = 67, .external_lex_state = 43},
  [8053] = {.lex_state = 67, .external_lex_state = 43},
  [8054] = {.lex_state = 54, .external_lex_state = 35},
  [8055] = {.lex_state = 54, .external_lex_state = 35},
  [8056] = {.lex_state = 67, .external_lex_state = 36},
  [8057] = {.lex_state = 62, .external_lex_state = 32},
  [8058] = {.lex_state = 54, .external_lex_state = 35},
  [8059] = {.lex_state = 66, .external_lex_state = 54},
  [8060] = {.lex_state = 54, .external_lex_state = 35},
  [8061] = {.lex_state = 54, .external_lex_state = 54},
  [8062] = {.lex_state = 54, .external_lex_state = 35},
  [8063] = {.lex_state = 67, .external_lex_state = 26},
  [8064] = {.lex_state = 54, .external_lex_state = 35},
  [8065] = {.lex_state = 66, .external_lex_state = 54},
  [8066] = {.lex_state = 54, .external_lex_state = 35},
  [8067] = {.lex_state = 54, .external_lex_state = 35},
  [8068] = {.lex_state = 66, .external_lex_state = 54},
  [8069] = {.lex_state = 54, .external_lex_state = 35},
  [8070] = {.lex_state = 54, .external_lex_state = 35},
  [8071] = {.lex_state = 62, .external_lex_state = 31},
  [8072] = {.lex_state = 62, .external_lex_state = 31},
  [8073] = {.lex_state = 66, .external_lex_state = 56},
  [8074] = {.lex_state = 58, .external_lex_state = 27},
  [8075] = {.lex_state = 55, .external_lex_state = 32},
  [8076] = {.lex_state = 62, .external_lex_state = 31},
  [8077] = {.lex_state = 61, .external_lex_state = 45},
  [8078] = {.lex_state = 67, .external_lex_state = 26},
  [8079] = {.lex_state = 67, .external_lex_state = 29},
  [8080] = {.lex_state = 55, .external_lex_state = 37},
  [8081] = {.lex_state = 66, .external_lex_state = 34},
  [8082] = {.lex_state = 6},
  [8083] = {.lex_state = 67, .external_lex_state = 29},
  [8084] = {.lex_state = 62, .external_lex_state = 45},
  [8085] = {.lex_state = 67, .external_lex_state = 51},
  [8086] = {.lex_state = 67, .external_lex_state = 43},
  [8087] = {.lex_state = 67, .external_lex_state = 29},
  [8088] = {.lex_state = 67, .external_lex_state = 57},
  [8089] = {.lex_state = 62, .external_lex_state = 32},
  [8090] = {.lex_state = 67, .external_lex_state = 43},
  [8091] = {.lex_state = 54, .external_lex_state = 31},
  [8092] = {.lex_state = 62, .external_lex_state = 54},
  [8093] = {.lex_state = 62, .external_lex_state = 31},
  [8094] = {.lex_state = 62, .external_lex_state = 31},
  [8095] = {.lex_state = 54, .external_lex_state = 54},
  [8096] = {.lex_state = 67, .external_lex_state = 49},
  [8097] = {.lex_state = 22, .external_lex_state = 45},
  [8098] = {.lex_state = 67, .external_lex_state = 43},
  [8099] = {.lex_state = 62, .external_lex_state = 45},
  [8100] = {.lex_state = 66, .external_lex_state = 49},
  [8101] = {.lex_state = 55, .external_lex_state = 32},
  [8102] = {.lex_state = 67, .external_lex_state = 26},
  [8103] = {.lex_state = 67, .external_lex_state = 43},
  [8104] = {.lex_state = 67, .external_lex_state = 44},
  [8105] = {.lex_state = 62, .external_lex_state = 31},
  [8106] = {.lex_state = 58, .external_lex_state = 49},
  [8107] = {.lex_state = 67, .external_lex_state = 43},
  [8108] = {.lex_state = 21},
  [8109] = {.lex_state = 62, .external_lex_state = 45},
  [8110] = {.lex_state = 67, .external_lex_state = 43},
  [8111] = {.lex_state = 67, .external_lex_state = 44},
  [8112] = {.lex_state = 67, .external_lex_state = 37},
  [8113] = {.lex_state = 67, .external_lex_state = 43},
  [8114] = {.lex_state = 54, .external_lex_state = 31},
  [8115] = {.lex_state = 10, .external_lex_state = 45},
  [8116] = {.lex_state = 6},
  [8117] = {.lex_state = 62, .external_lex_state = 31},
  [8118] = {.lex_state = 62},
  [8119] = {.lex_state = 66, .external_lex_state = 32},
  [8120] = {.lex_state = 67, .external_lex_state = 34},
  [8121] = {.lex_state = 62, .external_lex_state = 45},
  [8122] = {.lex_state = 66, .external_lex_state = 37},
  [8123] = {.lex_state = 62, .external_lex_state = 54},
  [8124] = {.lex_state = 62, .external_lex_state = 31},
  [8125] = {.lex_state = 6},
  [8126] = {.lex_state = 67, .external_lex_state = 43},
  [8127] = {.lex_state = 54, .external_lex_state = 25},
  [8128] = {.lex_state = 67, .external_lex_state = 43},
  [8129] = {.lex_state = 55, .external_lex_state = 32},
  [8130] = {.lex_state = 67, .external_lex_state = 43},
  [8131] = {.lex_state = 67, .external_lex_state = 43},
  [8132] = {.lex_state = 67, .external_lex_state = 44},
  [8133] = {.lex_state = 57, .external_lex_state = 54},
  [8134] = {.lex_state = 62, .external_lex_state = 54},
  [8135] = {.lex_state = 66, .external_lex_state = 45},
  [8136] = {.lex_state = 62, .external_lex_state = 54},
  [8137] = {.lex_state = 58, .external_lex_state = 60},
  [8138] = {.lex_state = 62, .external_lex_state = 54},
  [8139] = {.lex_state = 67, .external_lex_state = 43},
  [8140] = {.lex_state = 67, .external_lex_state = 43},
  [8141] = {.lex_state = 67, .external_lex_state = 44},
  [8142] = {.lex_state = 67, .external_lex_state = 55},
  [8143] = {.lex_state = 21},
  [8144] = {.lex_state = 67, .external_lex_state = 44},
  [8145] = {.lex_state = 6},
  [8146] = {.lex_state = 62, .external_lex_state = 54},
  [8147] = {.lex_state = 66, .external_lex_state = 34},
  [8148] = {.lex_state = 62, .external_lex_state = 54},
  [8149] = {.lex_state = 67, .external_lex_state = 35},
  [8150] = {.lex_state = 6},
  [8151] = {.lex_state = 66, .external_lex_state = 34},
  [8152] = {.lex_state = 67, .external_lex_state = 26},
  [8153] = {.lex_state = 67, .external_lex_state = 43},
  [8154] = {.lex_state = 62, .external_lex_state = 45},
  [8155] = {.lex_state = 55, .external_lex_state = 37},
  [8156] = {.lex_state = 6},
  [8157] = {.lex_state = 67, .external_lex_state = 26},
  [8158] = {.lex_state = 67, .external_lex_state = 43},
  [8159] = {.lex_state = 62, .external_lex_state = 45},
  [8160] = {.lex_state = 62, .external_lex_state = 54},
  [8161] = {.lex_state = 62, .external_lex_state = 54},
  [8162] = {.lex_state = 62, .external_lex_state = 45},
  [8163] = {.lex_state = 58, .external_lex_state = 54},
  [8164] = {.lex_state = 58, .external_lex_state = 25},
  [8165] = {.lex_state = 67},
  [8166] = {.lex_state = 21},
  [8167] = {.lex_state = 54, .external_lex_state = 32},
  [8168] = {.lex_state = 67, .external_lex_state = 26},
  [8169] = {.lex_state = 66, .external_lex_state = 32},
  [8170] = {.lex_state = 55, .external_lex_state = 35},
  [8171] = {.lex_state = 67, .external_lex_state = 33},
  [8172] = {.lex_state = 67, .external_lex_state = 26},
  [8173] = {.lex_state = 58, .external_lex_state = 37},
  [8174] = {.lex_state = 6},
  [8175] = {.lex_state = 21},
  [8176] = {.lex_state = 67, .external_lex_state = 26},
  [8177] = {.lex_state = 58, .external_lex_state = 57},
  [8178] = {.lex_state = 58, .external_lex_state = 37},
  [8179] = {.lex_state = 54, .external_lex_state = 32},
  [8180] = {.lex_state = 6},
  [8181] = {.lex_state = 21},
  [8182] = {.lex_state = 58, .external_lex_state = 30},
  [8183] = {.lex_state = 58, .external_lex_state = 30},
  [8184] = {.lex_state = 58, .external_lex_state = 47},
  [8185] = {.lex_state = 66, .external_lex_state = 49},
  [8186] = {.lex_state = 67},
  [8187] = {.lex_state = 6},
  [8188] = {.lex_state = 57, .external_lex_state = 25},
  [8189] = {.lex_state = 58, .external_lex_state = 30},
  [8190] = {.lex_state = 66, .external_lex_state = 32},
  [8191] = {.lex_state = 66, .external_lex_state = 34},
  [8192] = {.lex_state = 66, .external_lex_state = 34},
  [8193] = {.lex_state = 58, .external_lex_state = 25},
  [8194] = {.lex_state = 57, .external_lex_state = 25},
  [8195] = {.lex_state = 68, .external_lex_state = 25},
  [8196] = {.lex_state = 67, .external_lex_state = 43},
  [8197] = {.lex_state = 67, .external_lex_state = 40},
  [8198] = {.lex_state = 22, .external_lex_state = 45},
  [8199] = {.lex_state = 67, .external_lex_state = 26},
  [8200] = {.lex_state = 67, .external_lex_state = 43},
  [8201] = {.lex_state = 58, .external_lex_state = 55},
  [8202] = {.lex_state = 67, .external_lex_state = 43},
  [8203] = {.lex_state = 62, .external_lex_state = 45},
  [8204] = {.lex_state = 12, .external_lex_state = 45},
  [8205] = {.lex_state = 67, .external_lex_state = 35},
  [8206] = {.lex_state = 62, .external_lex_state = 45},
  [8207] = {.lex_state = 62, .external_lex_state = 45},
  [8208] = {.lex_state = 66, .external_lex_state = 34},
  [8209] = {.lex_state = 67, .external_lex_state = 43},
  [8210] = {.lex_state = 67, .external_lex_state = 43},
  [8211] = {.lex_state = 67},
  [8212] = {.lex_state = 67, .external_lex_state = 26},
  [8213] = {.lex_state = 67, .external_lex_state = 43},
  [8214] = {.lex_state = 67, .external_lex_state = 43},
  [8215] = {.lex_state = 20, .external_lex_state = 45},
  [8216] = {.lex_state = 67, .external_lex_state = 26},
  [8217] = {.lex_state = 67, .external_lex_state = 43},
  [8218] = {.lex_state = 67, .external_lex_state = 26},
  [8219] = {.lex_state = 67, .external_lex_state = 35},
  [8220] = {.lex_state = 55, .external_lex_state = 25},
  [8221] = {.lex_state = 58, .external_lex_state = 26},
  [8222] = {.lex_state = 62, .external_lex_state = 31},
  [8223] = {.lex_state = 62, .external_lex_state = 45},
  [8224] = {.lex_state = 66, .external_lex_state = 33},
  [8225] = {.lex_state = 67, .external_lex_state = 44},
  [8226] = {.lex_state = 67, .external_lex_state = 34},
  [8227] = {.lex_state = 66, .external_lex_state = 34},
  [8228] = {.lex_state = 67, .external_lex_state = 26},
  [8229] = {.lex_state = 55, .external_lex_state = 29},
  [8230] = {.lex_state = 55, .external_lex_state = 37},
  [8231] = {.lex_state = 61, .external_lex_state = 25},
  [8232] = {.lex_state = 67, .external_lex_state = 44},
  [8233] = {.lex_state = 62, .external_lex_state = 45},
  [8234] = {.lex_state = 67, .external_lex_state = 44},
  [8235] = {.lex_state = 55, .external_lex_state = 32},
  [8236] = {.lex_state = 58},
  [8237] = {.lex_state = 67, .external_lex_state = 44},
  [8238] = {.lex_state = 62, .external_lex_state = 54},
  [8239] = {.lex_state = 67, .external_lex_state = 44},
  [8240] = {.lex_state = 67, .external_lex_state = 44},
  [8241] = {.lex_state = 67, .external_lex_state = 44},
  [8242] = {.lex_state = 62, .external_lex_state = 54},
  [8243] = {.lex_state = 58, .external_lex_state = 25},
  [8244] = {.lex_state = 58, .external_lex_state = 52},
  [8245] = {.lex_state = 67, .external_lex_state = 43},
  [8246] = {.lex_state = 67, .external_lex_state = 44},
  [8247] = {.lex_state = 55, .external_lex_state = 32},
  [8248] = {.lex_state = 67, .external_lex_state = 44},
  [8249] = {.lex_state = 62, .external_lex_state = 32},
  [8250] = {.lex_state = 55, .external_lex_state = 25},
  [8251] = {.lex_state = 67, .external_lex_state = 44},
  [8252] = {.lex_state = 55, .external_lex_state = 29},
  [8253] = {.lex_state = 55, .external_lex_state = 32},
  [8254] = {.lex_state = 54, .external_lex_state = 45},
  [8255] = {.lex_state = 6},
  [8256] = {.lex_state = 67, .external_lex_state = 43},
  [8257] = {.lex_state = 55, .external_lex_state = 25},
  [8258] = {.lex_state = 62},
  [8259] = {.lex_state = 58, .external_lex_state = 59},
  [8260] = {.lex_state = 62, .external_lex_state = 31},
  [8261] = {.lex_state = 67, .external_lex_state = 56},
  [8262] = {.lex_state = 67, .external_lex_state = 44},
  [8263] = {.lex_state = 67, .external_lex_state = 55},
  [8264] = {.lex_state = 54, .external_lex_state = 35},
  [8265] = {.lex_state = 55, .external_lex_state = 25},
  [8266] = {.lex_state = 67, .external_lex_state = 35},
  [8267] = {.lex_state = 66, .external_lex_state = 57},
  [8268] = {.lex_state = 67, .external_lex_state = 55},
  [8269] = {.lex_state = 67, .external_lex_state = 55},
  [8270] = {.lex_state = 54, .external_lex_state = 37},
  [8271] = {.lex_state = 67, .external_lex_state = 44},
  [8272] = {.lex_state = 67, .external_lex_state = 52},
  [8273] = {.lex_state = 62, .external_lex_state = 32},
  [8274] = {.lex_state = 62, .external_lex_state = 32},
  [8275] = {.lex_state = 67, .external_lex_state = 26},
  [8276] = {.lex_state = 62, .external_lex_state = 32},
  [8277] = {.lex_state = 66, .external_lex_state = 34},
  [8278] = {.lex_state = 67, .external_lex_state = 44},
  [8279] = {.lex_state = 66, .external_lex_state = 33},
  [8280] = {.lex_state = 67, .external_lex_state = 44},
  [8281] = {.lex_state = 62, .external_lex_state = 32},
  [8282] = {.lex_state = 62, .external_lex_state = 32},
  [8283] = {.lex_state = 6},
  [8284] = {.lex_state = 62, .external_lex_state = 32},
  [8285] = {.lex_state = 68, .external_lex_state = 54},
  [8286] = {.lex_state = 67, .external_lex_state = 26},
  [8287] = {.lex_state = 62, .external_lex_state = 32},
  [8288] = {.lex_state = 62, .external_lex_state = 32},
  [8289] = {.lex_state = 58, .external_lex_state = 31},
  [8290] = {.lex_state = 67, .external_lex_state = 26},
  [8291] = {.lex_state = 62, .external_lex_state = 32},
  [8292] = {.lex_state = 62, .external_lex_state = 32},
  [8293] = {.lex_state = 66, .external_lex_state = 31},
  [8294] = {.lex_state = 67, .external_lex_state = 26},
  [8295] = {.lex_state = 67, .external_lex_state = 26},
  [8296] = {.lex_state = 67, .external_lex_state = 26},
  [8297] = {.lex_state = 67, .external_lex_state = 39},
  [8298] = {.lex_state = 66, .external_lex_state = 29},
  [8299] = {.lex_state = 54, .external_lex_state = 37},
  [8300] = {.lex_state = 67, .external_lex_state = 29},
  [8301] = {.lex_state = 67, .external_lex_state = 53},
  [8302] = {.lex_state = 66, .external_lex_state = 31},
  [8303] = {.lex_state = 6},
  [8304] = {.lex_state = 68, .external_lex_state = 25},
  [8305] = {.lex_state = 66, .external_lex_state = 43},
  [8306] = {.lex_state = 55, .external_lex_state = 32},
  [8307] = {.lex_state = 54, .external_lex_state = 37},
  [8308] = {.lex_state = 58, .external_lex_state = 36},
  [8309] = {.lex_state = 66, .external_lex_state = 31},
  [8310] = {.lex_state = 54, .external_lex_state = 37},
  [8311] = {.lex_state = 62, .external_lex_state = 54},
  [8312] = {.lex_state = 67, .external_lex_state = 44},
  [8313] = {.lex_state = 58, .external_lex_state = 59},
  [8314] = {.lex_state = 55, .external_lex_state = 31},
  [8315] = {.lex_state = 66, .external_lex_state = 57},
  [8316] = {.lex_state = 67, .external_lex_state = 44},
  [8317] = {.lex_state = 62, .external_lex_state = 54},
  [8318] = {.lex_state = 67, .external_lex_state = 48},
  [8319] = {.lex_state = 67, .external_lex_state = 26},
  [8320] = {.lex_state = 67, .external_lex_state = 56},
  [8321] = {.lex_state = 54, .external_lex_state = 37},
  [8322] = {.lex_state = 67, .external_lex_state = 56},
  [8323] = {.lex_state = 66, .external_lex_state = 26},
  [8324] = {.lex_state = 67, .external_lex_state = 56},
  [8325] = {.lex_state = 62, .external_lex_state = 54},
  [8326] = {.lex_state = 58, .external_lex_state = 52},
  [8327] = {.lex_state = 67},
  [8328] = {.lex_state = 58, .external_lex_state = 56},
  [8329] = {.lex_state = 62},
  [8330] = {.lex_state = 62, .external_lex_state = 32},
  [8331] = {.lex_state = 67, .external_lex_state = 44},
  [8332] = {.lex_state = 63, .external_lex_state = 25},
  [8333] = {.lex_state = 55, .external_lex_state = 25},
  [8334] = {.lex_state = 67},
  [8335] = {.lex_state = 67, .external_lex_state = 44},
  [8336] = {.lex_state = 67, .external_lex_state = 46},
  [8337] = {.lex_state = 66, .external_lex_state = 33},
  [8338] = {.lex_state = 66, .external_lex_state = 33},
  [8339] = {.lex_state = 6},
  [8340] = {.lex_state = 67, .external_lex_state = 57},
  [8341] = {.lex_state = 67, .external_lex_state = 44},
  [8342] = {.lex_state = 67, .external_lex_state = 46},
  [8343] = {.lex_state = 66, .external_lex_state = 33},
  [8344] = {.lex_state = 54, .external_lex_state = 37},
  [8345] = {.lex_state = 54, .external_lex_state = 37},
  [8346] = {.lex_state = 55, .external_lex_state = 32},
  [8347] = {.lex_state = 58, .external_lex_state = 39},
  [8348] = {.lex_state = 67, .external_lex_state = 44},
  [8349] = {.lex_state = 58, .external_lex_state = 42},
  [8350] = {.lex_state = 55, .external_lex_state = 25},
  [8351] = {.lex_state = 67, .external_lex_state = 26},
  [8352] = {.lex_state = 6},
  [8353] = {.lex_state = 58, .external_lex_state = 42},
  [8354] = {.lex_state = 63, .external_lex_state = 25},
  [8355] = {.lex_state = 55, .external_lex_state = 25},
  [8356] = {.lex_state = 54, .external_lex_state = 37},
  [8357] = {.lex_state = 55, .external_lex_state = 25},
  [8358] = {.lex_state = 63, .external_lex_state = 25},
  [8359] = {.lex_state = 55, .external_lex_state = 25},
  [8360] = {.lex_state = 13, .external_lex_state = 45},
  [8361] = {.lex_state = 58, .external_lex_state = 54},
  [8362] = {.lex_state = 55, .external_lex_state = 32},
  [8363] = {.lex_state = 67, .external_lex_state = 53},
  [8364] = {.lex_state = 57, .external_lex_state = 54},
  [8365] = {.lex_state = 63, .external_lex_state = 54},
  [8366] = {.lex_state = 55, .external_lex_state = 25},
  [8367] = {.lex_state = 55, .external_lex_state = 35},
  [8368] = {.lex_state = 55, .external_lex_state = 25},
  [8369] = {.lex_state = 57, .external_lex_state = 54},
  [8370] = {.lex_state = 62, .external_lex_state = 31},
  [8371] = {.lex_state = 58, .external_lex_state = 34},
  [8372] = {.lex_state = 57, .external_lex_state = 54},
  [8373] = {.lex_state = 63, .external_lex_state = 25},
  [8374] = {.lex_state = 58, .external_lex_state = 30},
  [8375] = {.lex_state = 63, .external_lex_state = 54},
  [8376] = {.lex_state = 55, .external_lex_state = 25},
  [8377] = {.lex_state = 55, .external_lex_state = 25},
  [8378] = {.lex_state = 58, .external_lex_state = 30},
  [8379] = {.lex_state = 58, .external_lex_state = 32},
  [8380] = {.lex_state = 10, .external_lex_state = 45},
  [8381] = {.lex_state = 61, .external_lex_state = 25},
  [8382] = {.lex_state = 58, .external_lex_state = 30},
  [8383] = {.lex_state = 58, .external_lex_state = 30},
  [8384] = {.lex_state = 57, .external_lex_state = 45},
  [8385] = {.lex_state = 58, .external_lex_state = 59},
  [8386] = {.lex_state = 58, .external_lex_state = 30},
  [8387] = {.lex_state = 67, .external_lex_state = 26},
  [8388] = {.lex_state = 58, .external_lex_state = 30},
  [8389] = {.lex_state = 62, .external_lex_state = 31},
  [8390] = {.lex_state = 55, .external_lex_state = 57},
  [8391] = {.lex_state = 54, .external_lex_state = 37},
  [8392] = {.lex_state = 57, .external_lex_state = 45},
  [8393] = {.lex_state = 63, .external_lex_state = 25},
  [8394] = {.lex_state = 58, .external_lex_state = 55},
  [8395] = {.lex_state = 67, .external_lex_state = 43},
  [8396] = {.lex_state = 67, .external_lex_state = 26},
  [8397] = {.lex_state = 67, .external_lex_state = 43},
  [8398] = {.lex_state = 57, .external_lex_state = 25},
  [8399] = {.lex_state = 55, .external_lex_state = 57},
  [8400] = {.lex_state = 67, .external_lex_state = 26},
  [8401] = {.lex_state = 58, .external_lex_state = 41},
  [8402] = {.lex_state = 67, .external_lex_state = 37},
  [8403] = {.lex_state = 55, .external_lex_state = 37},
  [8404] = {.lex_state = 63, .external_lex_state = 25},
  [8405] = {.lex_state = 58, .external_lex_state = 29},
  [8406] = {.lex_state = 67, .external_lex_state = 34},
  [8407] = {.lex_state = 58, .external_lex_state = 41},
  [8408] = {.lex_state = 67, .external_lex_state = 39},
  [8409] = {.lex_state = 68, .external_lex_state = 54},
  [8410] = {.lex_state = 58},
  [8411] = {.lex_state = 54, .external_lex_state = 35},
  [8412] = {.lex_state = 67, .external_lex_state = 43},
  [8413] = {.lex_state = 54, .external_lex_state = 35},
  [8414] = {.lex_state = 63, .external_lex_state = 25},
  [8415] = {.lex_state = 54, .external_lex_state = 35},
  [8416] = {.lex_state = 63, .external_lex_state = 25},
  [8417] = {.lex_state = 66, .external_lex_state = 46},
  [8418] = {.lex_state = 62, .external_lex_state = 54},
  [8419] = {.lex_state = 54, .external_lex_state = 37},
  [8420] = {.lex_state = 58, .external_lex_state = 32},
  [8421] = {.lex_state = 58, .external_lex_state = 35},
  [8422] = {.lex_state = 63, .external_lex_state = 25},
  [8423] = {.lex_state = 66, .external_lex_state = 46},
  [8424] = {.lex_state = 58, .external_lex_state = 51},
  [8425] = {.lex_state = 58, .external_lex_state = 35},
  [8426] = {.lex_state = 62, .external_lex_state = 54},
  [8427] = {.lex_state = 67, .external_lex_state = 43},
  [8428] = {.lex_state = 62, .external_lex_state = 45},
  [8429] = {.lex_state = 58, .external_lex_state = 26},
  [8430] = {.lex_state = 54, .external_lex_state = 32},
  [8431] = {.lex_state = 62},
  [8432] = {.lex_state = 62, .external_lex_state = 45},
  [8433] = {.lex_state = 67, .external_lex_state = 43},
  [8434] = {.lex_state = 58, .external_lex_state = 58},
  [8435] = {.lex_state = 58, .external_lex_state = 33},
  [8436] = {.lex_state = 62, .external_lex_state = 45},
  [8437] = {.lex_state = 63, .external_lex_state = 25},
  [8438] = {.lex_state = 63, .external_lex_state = 25},
  [8439] = {.lex_state = 67, .external_lex_state = 26},
  [8440] = {.lex_state = 58, .external_lex_state = 30},
  [8441] = {.lex_state = 67, .external_lex_state = 29},
  [8442] = {.lex_state = 66, .external_lex_state = 35},
  [8443] = {.lex_state = 68, .external_lex_state = 25},
  [8444] = {.lex_state = 58, .external_lex_state = 46},
  [8445] = {.lex_state = 62, .external_lex_state = 31},
  [8446] = {.lex_state = 58, .external_lex_state = 56},
  [8447] = {.lex_state = 67, .external_lex_state = 43},
  [8448] = {.lex_state = 66, .external_lex_state = 45},
  [8449] = {.lex_state = 63, .external_lex_state = 25},
  [8450] = {.lex_state = 66, .external_lex_state = 34},
  [8451] = {.lex_state = 58, .external_lex_state = 30},
  [8452] = {.lex_state = 63, .external_lex_state = 25},
  [8453] = {.lex_state = 54, .external_lex_state = 25},
  [8454] = {.lex_state = 62, .external_lex_state = 31},
  [8455] = {.lex_state = 54, .external_lex_state = 31},
  [8456] = {.lex_state = 67, .external_lex_state = 26},
  [8457] = {.lex_state = 58, .external_lex_state = 57},
  [8458] = {.lex_state = 54, .external_lex_state = 35},
  [8459] = {.lex_state = 66, .external_lex_state = 29},
  [8460] = {.lex_state = 58, .external_lex_state = 25},
  [8461] = {.lex_state = 55, .external_lex_state = 25},
  [8462] = {.lex_state = 67},
  [8463] = {.lex_state = 67, .external_lex_state = 26},
  [8464] = {.lex_state = 58, .external_lex_state = 57},
  [8465] = {.lex_state = 68, .external_lex_state = 25},
  [8466] = {.lex_state = 7},
  [8467] = {.lex_state = 58, .external_lex_state = 46},
  [8468] = {.lex_state = 67, .external_lex_state = 26},
  [8469] = {.lex_state = 58, .external_lex_state = 36},
  [8470] = {.lex_state = 7},
  [8471] = {.lex_state = 55, .external_lex_state = 25},
  [8472] = {.lex_state = 67, .external_lex_state = 26},
  [8473] = {.lex_state = 67, .external_lex_state = 44},
  [8474] = {.lex_state = 67, .external_lex_state = 44},
  [8475] = {.lex_state = 55, .external_lex_state = 31},
  [8476] = {.lex_state = 58, .external_lex_state = 31},
  [8477] = {.lex_state = 6},
  [8478] = {.lex_state = 24, .external_lex_state = 45},
  [8479] = {.lex_state = 67, .external_lex_state = 43},
  [8480] = {.lex_state = 55, .external_lex_state = 31},
  [8481] = {.lex_state = 67, .external_lex_state = 43},
  [8482] = {.lex_state = 67, .external_lex_state = 43},
  [8483] = {.lex_state = 67, .external_lex_state = 43},
  [8484] = {.lex_state = 66, .external_lex_state = 25},
  [8485] = {.lex_state = 67, .external_lex_state = 26},
  [8486] = {.lex_state = 67, .external_lex_state = 44},
  [8487] = {.lex_state = 67, .external_lex_state = 43},
  [8488] = {.lex_state = 67, .external_lex_state = 50},
  [8489] = {.lex_state = 67, .external_lex_state = 44},
  [8490] = {.lex_state = 67, .external_lex_state = 33},
  [8491] = {.lex_state = 55, .external_lex_state = 31},
  [8492] = {.lex_state = 55, .external_lex_state = 31},
  [8493] = {.lex_state = 58, .external_lex_state = 60},
  [8494] = {.lex_state = 58, .external_lex_state = 57},
  [8495] = {.lex_state = 66, .external_lex_state = 50},
  [8496] = {.lex_state = 67, .external_lex_state = 44},
  [8497] = {.lex_state = 54, .external_lex_state = 45},
  [8498] = {.lex_state = 55, .external_lex_state = 31},
  [8499] = {.lex_state = 67, .external_lex_state = 44},
  [8500] = {.lex_state = 67, .external_lex_state = 33},
  [8501] = {.lex_state = 58, .external_lex_state = 56},
  [8502] = {.lex_state = 67, .external_lex_state = 51},
  [8503] = {.lex_state = 55, .external_lex_state = 32},
  [8504] = {.lex_state = 58, .external_lex_state = 55},
  [8505] = {.lex_state = 58, .external_lex_state = 25},
  [8506] = {.lex_state = 7},
  [8507] = {.lex_state = 67, .external_lex_state = 44},
  [8508] = {.lex_state = 62, .external_lex_state = 32},
  [8509] = {.lex_state = 54, .external_lex_state = 25},
  [8510] = {.lex_state = 58, .external_lex_state = 55},
  [8511] = {.lex_state = 67, .external_lex_state = 44},
  [8512] = {.lex_state = 55, .external_lex_state = 31},
  [8513] = {.lex_state = 55, .external_lex_state = 31},
  [8514] = {.lex_state = 67, .external_lex_state = 44},
  [8515] = {.lex_state = 58, .external_lex_state = 39},
  [8516] = {.lex_state = 67, .external_lex_state = 26},
  [8517] = {.lex_state = 22, .external_lex_state = 45},
  [8518] = {.lex_state = 55, .external_lex_state = 31},
  [8519] = {.lex_state = 58, .external_lex_state = 25},
  [8520] = {.lex_state = 67, .external_lex_state = 44},
  [8521] = {.lex_state = 55, .external_lex_state = 31},
  [8522] = {.lex_state = 63, .external_lex_state = 25},
  [8523] = {.lex_state = 67, .external_lex_state = 26},
  [8524] = {.lex_state = 66, .external_lex_state = 33},
  [8525] = {.lex_state = 67, .external_lex_state = 26},
  [8526] = {.lex_state = 67, .external_lex_state = 26},
  [8527] = {.lex_state = 66, .external_lex_state = 33},
  [8528] = {.lex_state = 67, .external_lex_state = 57},
  [8529] = {.lex_state = 66, .external_lex_state = 33},
  [8530] = {.lex_state = 63, .external_lex_state = 25},
  [8531] = {.lex_state = 67},
  [8532] = {.lex_state = 21},
  [8533] = {.lex_state = 67, .external_lex_state = 57},
  [8534] = {.lex_state = 66, .external_lex_state = 33},
  [8535] = {.lex_state = 67, .external_lex_state = 57},
  [8536] = {.lex_state = 66, .external_lex_state = 33},
  [8537] = {.lex_state = 67, .external_lex_state = 26},
  [8538] = {.lex_state = 58, .external_lex_state = 56},
  [8539] = {.lex_state = 67, .external_lex_state = 44},
  [8540] = {.lex_state = 67, .external_lex_state = 37},
  [8541] = {.lex_state = 66, .external_lex_state = 35},
  [8542] = {.lex_state = 66, .external_lex_state = 47},
  [8543] = {.lex_state = 66, .external_lex_state = 25},
  [8544] = {.lex_state = 67, .external_lex_state = 37},
  [8545] = {.lex_state = 12, .external_lex_state = 45},
  [8546] = {.lex_state = 62, .external_lex_state = 32},
  [8547] = {.lex_state = 67},
  [8548] = {.lex_state = 67, .external_lex_state = 26},
  [8549] = {.lex_state = 62, .external_lex_state = 32},
  [8550] = {.lex_state = 67, .external_lex_state = 26},
  [8551] = {.lex_state = 55, .external_lex_state = 31},
  [8552] = {.lex_state = 67, .external_lex_state = 26},
  [8553] = {.lex_state = 54, .external_lex_state = 45},
  [8554] = {.lex_state = 58, .external_lex_state = 30},
  [8555] = {.lex_state = 67, .external_lex_state = 40},
  [8556] = {.lex_state = 66, .external_lex_state = 32},
  [8557] = {.lex_state = 58, .external_lex_state = 29},
  [8558] = {.lex_state = 67, .external_lex_state = 26},
  [8559] = {.lex_state = 62, .external_lex_state = 45},
  [8560] = {.lex_state = 58, .external_lex_state = 30},
  [8561] = {.lex_state = 67, .external_lex_state = 50},
  [8562] = {.lex_state = 21},
  [8563] = {.lex_state = 58, .external_lex_state = 30},
  [8564] = {.lex_state = 58, .external_lex_state = 29},
  [8565] = {.lex_state = 58},
  [8566] = {.lex_state = 58, .external_lex_state = 29},
  [8567] = {.lex_state = 67, .external_lex_state = 43},
  [8568] = {.lex_state = 58, .external_lex_state = 30},
  [8569] = {.lex_state = 58, .external_lex_state = 43},
  [8570] = {.lex_state = 66, .external_lex_state = 33},
  [8571] = {.lex_state = 55, .external_lex_state = 35},
  [8572] = {.lex_state = 67, .external_lex_state = 26},
  [8573] = {.lex_state = 67, .external_lex_state = 53},
  [8574] = {.lex_state = 56},
  [8575] = {.lex_state = 58, .external_lex_state = 25},
  [8576] = {.lex_state = 67, .external_lex_state = 47},
  [8577] = {.lex_state = 58, .external_lex_state = 30},
  [8578] = {.lex_state = 58, .external_lex_state = 30},
  [8579] = {.lex_state = 58, .external_lex_state = 30},
  [8580] = {.lex_state = 55, .external_lex_state = 35},
  [8581] = {.lex_state = 55, .external_lex_state = 61},
  [8582] = {.lex_state = 67, .external_lex_state = 26},
  [8583] = {.lex_state = 67},
  [8584] = {.lex_state = 67, .external_lex_state = 49},
  [8585] = {.lex_state = 58, .external_lex_state = 36},
  [8586] = {.lex_state = 21},
  [8587] = {.lex_state = 54, .external_lex_state = 37},
  [8588] = {.lex_state = 21},
  [8589] = {.lex_state = 55, .external_lex_state = 32},
  [8590] = {.lex_state = 21},
  [8591] = {.lex_state = 67, .external_lex_state = 48},
  [8592] = {.lex_state = 63, .external_lex_state = 25},
  [8593] = {.lex_state = 58, .external_lex_state = 50},
  [8594] = {.lex_state = 67, .external_lex_state = 55},
  [8595] = {.lex_state = 55, .external_lex_state = 32},
  [8596] = {.lex_state = 54, .external_lex_state = 37},
  [8597] = {.lex_state = 62, .external_lex_state = 32},
  [8598] = {.lex_state = 67, .external_lex_state = 53},
  [8599] = {.lex_state = 67, .external_lex_state = 44},
  [8600] = {.lex_state = 62, .external_lex_state = 32},
  [8601] = {.lex_state = 56},
  [8602] = {.lex_state = 54, .external_lex_state = 37},
  [8603] = {.lex_state = 62, .external_lex_state = 32},
  [8604] = {.lex_state = 67, .external_lex_state = 26},
  [8605] = {.lex_state = 58, .external_lex_state = 40},
  [8606] = {.lex_state = 66, .external_lex_state = 47},
  [8607] = {.lex_state = 54, .external_lex_state = 37},
  [8608] = {.lex_state = 58, .external_lex_state = 39},
  [8609] = {.lex_state = 67, .external_lex_state = 43},
  [8610] = {.lex_state = 62, .external_lex_state = 31},
  [8611] = {.lex_state = 66, .external_lex_state = 37},
  [8612] = {.lex_state = 62, .external_lex_state = 31},
  [8613] = {.lex_state = 61, .external_lex_state = 45},
  [8614] = {.lex_state = 55, .external_lex_state = 32},
  [8615] = {.lex_state = 55, .external_lex_state = 32},
  [8616] = {.lex_state = 55, .external_lex_state = 32},
  [8617] = {.lex_state = 12, .external_lex_state = 45},
  [8618] = {.lex_state = 21},
  [8619] = {.lex_state = 21},
  [8620] = {.lex_state = 21},
  [8621] = {.lex_state = 21},
  [8622] = {.lex_state = 21},
  [8623] = {.lex_state = 21},
  [8624] = {.lex_state = 21},
  [8625] = {.lex_state = 21},
  [8626] = {.lex_state = 21},
  [8627] = {.lex_state = 21},
  [8628] = {.lex_state = 21},
  [8629] = {.lex_state = 21},
  [8630] = {.lex_state = 21},
  [8631] = {.lex_state = 21},
  [8632] = {.lex_state = 21},
  [8633] = {.lex_state = 21},
  [8634] = {.lex_state = 21},
  [8635] = {.lex_state = 21},
  [8636] = {.lex_state = 21},
  [8637] = {.lex_state = 21},
  [8638] = {.lex_state = 21},
  [8639] = {.lex_state = 21},
  [8640] = {.lex_state = 21},
  [8641] = {.lex_state = 21},
  [8642] = {.lex_state = 21},
  [8643] = {.lex_state = 21},
  [8644] = {.lex_state = 21},
  [8645] = {.lex_state = 21},
  [8646] = {.lex_state = 21},
  [8647] = {.lex_state = 21},
  [8648] = {.lex_state = 21},
  [8649] = {.lex_state = 21},
  [8650] = {.lex_state = 21},
  [8651] = {.lex_state = 21},
  [8652] = {.lex_state = 21},
  [8653] = {.lex_state = 21},
  [8654] = {.lex_state = 21},
  [8655] = {.lex_state = 21},
  [8656] = {.lex_state = 21},
  [8657] = {.lex_state = 21},
  [8658] = {.lex_state = 21},
  [8659] = {.lex_state = 21},
  [8660] = {.lex_state = 21},
  [8661] = {.lex_state = 21},
  [8662] = {.lex_state = 21},
  [8663] = {.lex_state = 21},
  [8664] = {.lex_state = 21},
  [8665] = {.lex_state = 21},
  [8666] = {.lex_state = 21},
  [8667] = {.lex_state = 21},
  [8668] = {.lex_state = 21},
  [8669] = {.lex_state = 21},
  [8670] = {.lex_state = 21},
  [8671] = {.lex_state = 21},
  [8672] = {.lex_state = 21},
  [8673] = {.lex_state = 21},
  [8674] = {.lex_state = 21},
  [8675] = {.lex_state = 21},
  [8676] = {.lex_state = 21},
  [8677] = {.lex_state = 21},
  [8678] = {.lex_state = 21},
  [8679] = {.lex_state = 21},
  [8680] = {.lex_state = 21},
  [8681] = {.lex_state = 21},
  [8682] = {.lex_state = 21},
  [8683] = {.lex_state = 54, .external_lex_state = 37},
  [8684] = {.lex_state = 67, .external_lex_state = 51},
  [8685] = {.lex_state = 67},
  [8686] = {.lex_state = 66, .external_lex_state = 37},
  [8687] = {.lex_state = 67, .external_lex_state = 54},
  [8688] = {.lex_state = 58, .external_lex_state = 54},
  [8689] = {.lex_state = 58, .external_lex_state = 45},
  [8690] = {.lex_state = 67, .external_lex_state = 54},
  [8691] = {.lex_state = 67},
  [8692] = {.lex_state = 67, .external_lex_state = 48},
  [8693] = {.lex_state = 67, .external_lex_state = 48},
  [8694] = {.lex_state = 66, .external_lex_state = 54},
  [8695] = {.lex_state = 67, .external_lex_state = 54},
  [8696] = {.lex_state = 67, .external_lex_state = 48},
  [8697] = {.lex_state = 67, .external_lex_state = 48},
  [8698] = {.lex_state = 67},
  [8699] = {.lex_state = 66, .external_lex_state = 40},
  [8700] = {.lex_state = 54, .external_lex_state = 25},
  [8701] = {.lex_state = 67, .external_lex_state = 48},
  [8702] = {.lex_state = 67},
  [8703] = {.lex_state = 67, .external_lex_state = 48},
  [8704] = {.lex_state = 54, .external_lex_state = 37},
  [8705] = {.lex_state = 20, .external_lex_state = 45},
  [8706] = {.lex_state = 54, .external_lex_state = 25},
  [8707] = {.lex_state = 67},
  [8708] = {.lex_state = 67, .external_lex_state = 48},
  [8709] = {.lex_state = 67, .external_lex_state = 48},
  [8710] = {.lex_state = 67, .external_lex_state = 30},
  [8711] = {.lex_state = 54, .external_lex_state = 37},
  [8712] = {.lex_state = 54, .external_lex_state = 25},
  [8713] = {.lex_state = 67},
  [8714] = {.lex_state = 58, .external_lex_state = 54},
  [8715] = {.lex_state = 67, .external_lex_state = 45},
  [8716] = {.lex_state = 67},
  [8717] = {.lex_state = 67, .external_lex_state = 51},
  [8718] = {.lex_state = 67},
  [8719] = {.lex_state = 57, .external_lex_state = 54},
  [8720] = {.lex_state = 67, .external_lex_state = 51},
  [8721] = {.lex_state = 67, .external_lex_state = 48},
  [8722] = {.lex_state = 67},
  [8723] = {.lex_state = 67, .external_lex_state = 48},
  [8724] = {.lex_state = 67, .external_lex_state = 51},
  [8725] = {.lex_state = 67, .external_lex_state = 30},
  [8726] = {.lex_state = 62, .external_lex_state = 37},
  [8727] = {.lex_state = 66, .external_lex_state = 36},
  [8728] = {.lex_state = 58, .external_lex_state = 33},
  [8729] = {.lex_state = 67, .external_lex_state = 36},
  [8730] = {.lex_state = 67, .external_lex_state = 52},
  [8731] = {.lex_state = 67},
  [8732] = {.lex_state = 67, .external_lex_state = 44},
  [8733] = {.lex_state = 66, .external_lex_state = 36},
  [8734] = {.lex_state = 67, .external_lex_state = 58},
  [8735] = {.lex_state = 58, .external_lex_state = 33},
  [8736] = {.lex_state = 58, .external_lex_state = 33},
  [8737] = {.lex_state = 58, .external_lex_state = 31},
  [8738] = {.lex_state = 67},
  [8739] = {.lex_state = 66, .external_lex_state = 36},
  [8740] = {.lex_state = 58, .external_lex_state = 40},
  [8741] = {.lex_state = 66, .external_lex_state = 29},
  [8742] = {.lex_state = 58, .external_lex_state = 33},
  [8743] = {.lex_state = 12, .external_lex_state = 45},
  [8744] = {.lex_state = 58},
  [8745] = {.lex_state = 58, .external_lex_state = 60},
  [8746] = {.lex_state = 66, .external_lex_state = 36},
  [8747] = {.lex_state = 66, .external_lex_state = 31},
  [8748] = {.lex_state = 67},
  [8749] = {.lex_state = 62, .external_lex_state = 37},
  [8750] = {.lex_state = 66, .external_lex_state = 36},
  [8751] = {.lex_state = 58, .external_lex_state = 59},
  [8752] = {.lex_state = 67, .external_lex_state = 39},
  [8753] = {.lex_state = 67, .external_lex_state = 53},
  [8754] = {.lex_state = 67},
  [8755] = {.lex_state = 62, .external_lex_state = 37},
  [8756] = {.lex_state = 58, .external_lex_state = 34},
  [8757] = {.lex_state = 67, .external_lex_state = 52},
  [8758] = {.lex_state = 14, .external_lex_state = 45},
  [8759] = {.lex_state = 55, .external_lex_state = 31},
  [8760] = {.lex_state = 58, .external_lex_state = 34},
  [8761] = {.lex_state = 67},
  [8762] = {.lex_state = 67},
  [8763] = {.lex_state = 58, .external_lex_state = 25},
  [8764] = {.lex_state = 58, .external_lex_state = 34},
  [8765] = {.lex_state = 67, .external_lex_state = 52},
  [8766] = {.lex_state = 67},
  [8767] = {.lex_state = 55, .external_lex_state = 31},
  [8768] = {.lex_state = 58, .external_lex_state = 25},
  [8769] = {.lex_state = 58, .external_lex_state = 34},
  [8770] = {.lex_state = 67, .external_lex_state = 53},
  [8771] = {.lex_state = 58, .external_lex_state = 44},
  [8772] = {.lex_state = 67},
  [8773] = {.lex_state = 58, .external_lex_state = 25},
  [8774] = {.lex_state = 58, .external_lex_state = 34},
  [8775] = {.lex_state = 58, .external_lex_state = 45},
  [8776] = {.lex_state = 58, .external_lex_state = 32},
  [8777] = {.lex_state = 67, .external_lex_state = 52},
  [8778] = {.lex_state = 66, .external_lex_state = 29},
  [8779] = {.lex_state = 67},
  [8780] = {.lex_state = 12, .external_lex_state = 45},
  [8781] = {.lex_state = 58, .external_lex_state = 32},
  [8782] = {.lex_state = 62, .external_lex_state = 37},
  [8783] = {.lex_state = 67, .external_lex_state = 45},
  [8784] = {.lex_state = 67},
  [8785] = {.lex_state = 58, .external_lex_state = 32},
  [8786] = {.lex_state = 67},
  [8787] = {.lex_state = 67, .external_lex_state = 52},
  [8788] = {.lex_state = 67, .external_lex_state = 26},
  [8789] = {.lex_state = 67, .external_lex_state = 52},
  [8790] = {.lex_state = 67, .external_lex_state = 26},
  [8791] = {.lex_state = 12, .external_lex_state = 45},
  [8792] = {.lex_state = 67},
  [8793] = {.lex_state = 67, .external_lex_state = 53},
  [8794] = {.lex_state = 58, .external_lex_state = 37},
  [8795] = {.lex_state = 67},
  [8796] = {.lex_state = 58, .external_lex_state = 45},
  [8797] = {.lex_state = 57, .external_lex_state = 25},
  [8798] = {.lex_state = 67, .external_lex_state = 52},
  [8799] = {.lex_state = 12, .external_lex_state = 45},
  [8800] = {.lex_state = 57, .external_lex_state = 25},
  [8801] = {.lex_state = 55, .external_lex_state = 32},
  [8802] = {.lex_state = 67},
  [8803] = {.lex_state = 12, .external_lex_state = 45},
  [8804] = {.lex_state = 54, .external_lex_state = 37},
  [8805] = {.lex_state = 58, .external_lex_state = 53},
  [8806] = {.lex_state = 57, .external_lex_state = 25},
  [8807] = {.lex_state = 55, .external_lex_state = 32},
  [8808] = {.lex_state = 12, .external_lex_state = 45},
  [8809] = {.lex_state = 67},
  [8810] = {.lex_state = 57, .external_lex_state = 54},
  [8811] = {.lex_state = 62, .external_lex_state = 37},
  [8812] = {.lex_state = 21},
  [8813] = {.lex_state = 67, .external_lex_state = 53},
  [8814] = {.lex_state = 67},
  [8815] = {.lex_state = 67, .external_lex_state = 52},
  [8816] = {.lex_state = 12, .external_lex_state = 45},
  [8817] = {.lex_state = 12, .external_lex_state = 45},
  [8818] = {.lex_state = 66, .external_lex_state = 36},
  [8819] = {.lex_state = 20, .external_lex_state = 45},
  [8820] = {.lex_state = 67, .external_lex_state = 52},
  [8821] = {.lex_state = 67},
  [8822] = {.lex_state = 67, .external_lex_state = 52},
  [8823] = {.lex_state = 58, .external_lex_state = 33},
  [8824] = {.lex_state = 67, .external_lex_state = 53},
  [8825] = {.lex_state = 12, .external_lex_state = 45},
  [8826] = {.lex_state = 12, .external_lex_state = 45},
  [8827] = {.lex_state = 54, .external_lex_state = 25},
  [8828] = {.lex_state = 58, .external_lex_state = 39},
  [8829] = {.lex_state = 67},
  [8830] = {.lex_state = 67},
  [8831] = {.lex_state = 67, .external_lex_state = 53},
  [8832] = {.lex_state = 67},
  [8833] = {.lex_state = 23, .external_lex_state = 45},
  [8834] = {.lex_state = 58, .external_lex_state = 43},
  [8835] = {.lex_state = 67},
  [8836] = {.lex_state = 62, .external_lex_state = 37},
  [8837] = {.lex_state = 58, .external_lex_state = 33},
  [8838] = {.lex_state = 67, .external_lex_state = 52},
  [8839] = {.lex_state = 58, .external_lex_state = 37},
  [8840] = {.lex_state = 67, .external_lex_state = 53},
  [8841] = {.lex_state = 14, .external_lex_state = 45},
  [8842] = {.lex_state = 58, .external_lex_state = 33},
  [8843] = {.lex_state = 67},
  [8844] = {.lex_state = 67},
  [8845] = {.lex_state = 67},
  [8846] = {.lex_state = 67},
  [8847] = {.lex_state = 66, .external_lex_state = 51},
  [8848] = {.lex_state = 54, .external_lex_state = 35},
  [8849] = {.lex_state = 67, .external_lex_state = 30},
  [8850] = {.lex_state = 67},
  [8851] = {.lex_state = 67, .external_lex_state = 48},
  [8852] = {.lex_state = 67},
  [8853] = {.lex_state = 67, .external_lex_state = 53},
  [8854] = {.lex_state = 67},
  [8855] = {.lex_state = 58, .external_lex_state = 34},
  [8856] = {.lex_state = 67, .external_lex_state = 53},
  [8857] = {.lex_state = 67, .external_lex_state = 30},
  [8858] = {.lex_state = 55, .external_lex_state = 35},
  [8859] = {.lex_state = 67, .external_lex_state = 53},
  [8860] = {.lex_state = 67},
  [8861] = {.lex_state = 67, .external_lex_state = 58},
  [8862] = {.lex_state = 65, .external_lex_state = 30},
  [8863] = {.lex_state = 65, .external_lex_state = 30},
  [8864] = {.lex_state = 65, .external_lex_state = 30},
  [8865] = {.lex_state = 67},
  [8866] = {.lex_state = 58, .external_lex_state = 40},
  [8867] = {.lex_state = 66, .external_lex_state = 39},
  [8868] = {.lex_state = 67},
  [8869] = {.lex_state = 66, .external_lex_state = 39},
  [8870] = {.lex_state = 68, .external_lex_state = 25},
  [8871] = {.lex_state = 67},
  [8872] = {.lex_state = 58, .external_lex_state = 50},
  [8873] = {.lex_state = 66, .external_lex_state = 39},
  [8874] = {.lex_state = 58, .external_lex_state = 34},
  [8875] = {.lex_state = 68, .external_lex_state = 25},
  [8876] = {.lex_state = 67},
  [8877] = {.lex_state = 67, .external_lex_state = 51},
  [8878] = {.lex_state = 67},
  [8879] = {.lex_state = 68, .external_lex_state = 25},
  [8880] = {.lex_state = 67},
  [8881] = {.lex_state = 58, .external_lex_state = 50},
  [8882] = {.lex_state = 68, .external_lex_state = 25},
  [8883] = {.lex_state = 67},
  [8884] = {.lex_state = 67, .external_lex_state = 53},
  [8885] = {.lex_state = 67},
  [8886] = {.lex_state = 66, .external_lex_state = 40},
  [8887] = {.lex_state = 66, .external_lex_state = 40},
  [8888] = {.lex_state = 67},
  [8889] = {.lex_state = 67, .external_lex_state = 52},
  [8890] = {.lex_state = 67, .external_lex_state = 53},
  [8891] = {.lex_state = 67, .external_lex_state = 53},
  [8892] = {.lex_state = 67, .external_lex_state = 52},
  [8893] = {.lex_state = 67, .external_lex_state = 45},
  [8894] = {.lex_state = 67, .external_lex_state = 53},
  [8895] = {.lex_state = 67},
  [8896] = {.lex_state = 66, .external_lex_state = 55},
  [8897] = {.lex_state = 66, .external_lex_state = 40},
  [8898] = {.lex_state = 67, .external_lex_state = 59},
  [8899] = {.lex_state = 67},
  [8900] = {.lex_state = 62, .external_lex_state = 35},
  [8901] = {.lex_state = 56},
  [8902] = {.lex_state = 67, .external_lex_state = 53},
  [8903] = {.lex_state = 67, .external_lex_state = 48},
  [8904] = {.lex_state = 67},
  [8905] = {.lex_state = 62, .external_lex_state = 35},
  [8906] = {.lex_state = 67, .external_lex_state = 54},
  [8907] = {.lex_state = 62, .external_lex_state = 35},
  [8908] = {.lex_state = 67},
  [8909] = {.lex_state = 67, .external_lex_state = 48},
  [8910] = {.lex_state = 65, .external_lex_state = 30},
  [8911] = {.lex_state = 67},
  [8912] = {.lex_state = 66, .external_lex_state = 55},
  [8913] = {.lex_state = 67, .external_lex_state = 53},
  [8914] = {.lex_state = 67},
  [8915] = {.lex_state = 67, .external_lex_state = 36},
  [8916] = {.lex_state = 67},
  [8917] = {.lex_state = 67, .external_lex_state = 58},
  [8918] = {.lex_state = 55, .external_lex_state = 37},
  [8919] = {.lex_state = 67},
  [8920] = {.lex_state = 67, .external_lex_state = 51},
  [8921] = {.lex_state = 67},
  [8922] = {.lex_state = 67, .external_lex_state = 53},
  [8923] = {.lex_state = 62, .external_lex_state = 37},
  [8924] = {.lex_state = 58, .external_lex_state = 26},
  [8925] = {.lex_state = 67},
  [8926] = {.lex_state = 67, .external_lex_state = 51},
  [8927] = {.lex_state = 67, .external_lex_state = 53},
  [8928] = {.lex_state = 67, .external_lex_state = 51},
  [8929] = {.lex_state = 67},
  [8930] = {.lex_state = 67, .external_lex_state = 53},
  [8931] = {.lex_state = 67},
  [8932] = {.lex_state = 12, .external_lex_state = 45},
  [8933] = {.lex_state = 67},
  [8934] = {.lex_state = 67},
  [8935] = {.lex_state = 67, .external_lex_state = 53},
  [8936] = {.lex_state = 67, .external_lex_state = 43},
  [8937] = {.lex_state = 12, .external_lex_state = 45},
  [8938] = {.lex_state = 56, .external_lex_state = 26},
  [8939] = {.lex_state = 67},
  [8940] = {.lex_state = 67, .external_lex_state = 53},
  [8941] = {.lex_state = 67},
  [8942] = {.lex_state = 66, .external_lex_state = 56},
  [8943] = {.lex_state = 58},
  [8944] = {.lex_state = 23, .external_lex_state = 45},
  [8945] = {.lex_state = 56, .external_lex_state = 26},
  [8946] = {.lex_state = 55, .external_lex_state = 35},
  [8947] = {.lex_state = 67},
  [8948] = {.lex_state = 67},
  [8949] = {.lex_state = 67, .external_lex_state = 53},
  [8950] = {.lex_state = 62, .external_lex_state = 35},
  [8951] = {.lex_state = 56, .external_lex_state = 26},
  [8952] = {.lex_state = 67},
  [8953] = {.lex_state = 66, .external_lex_state = 56},
  [8954] = {.lex_state = 55, .external_lex_state = 37},
  [8955] = {.lex_state = 67},
  [8956] = {.lex_state = 55, .external_lex_state = 37},
  [8957] = {.lex_state = 66, .external_lex_state = 36},
  [8958] = {.lex_state = 66, .external_lex_state = 36},
  [8959] = {.lex_state = 66, .external_lex_state = 36},
  [8960] = {.lex_state = 67},
  [8961] = {.lex_state = 67, .external_lex_state = 48},
  [8962] = {.lex_state = 55, .external_lex_state = 37},
  [8963] = {.lex_state = 67},
  [8964] = {.lex_state = 55, .external_lex_state = 37},
  [8965] = {.lex_state = 55, .external_lex_state = 37},
  [8966] = {.lex_state = 67, .external_lex_state = 57},
  [8967] = {.lex_state = 67},
  [8968] = {.lex_state = 55, .external_lex_state = 37},
  [8969] = {.lex_state = 67},
  [8970] = {.lex_state = 55, .external_lex_state = 37},
  [8971] = {.lex_state = 55, .external_lex_state = 37},
  [8972] = {.lex_state = 67},
  [8973] = {.lex_state = 55, .external_lex_state = 37},
  [8974] = {.lex_state = 55, .external_lex_state = 37},
  [8975] = {.lex_state = 67, .external_lex_state = 40},
  [8976] = {.lex_state = 66, .external_lex_state = 25},
  [8977] = {.lex_state = 67},
  [8978] = {.lex_state = 67, .external_lex_state = 57},
  [8979] = {.lex_state = 67},
  [8980] = {.lex_state = 22, .external_lex_state = 45},
  [8981] = {.lex_state = 57, .external_lex_state = 25},
  [8982] = {.lex_state = 67},
  [8983] = {.lex_state = 66, .external_lex_state = 36},
  [8984] = {.lex_state = 58, .external_lex_state = 26},
  [8985] = {.lex_state = 56, .external_lex_state = 26},
  [8986] = {.lex_state = 67},
  [8987] = {.lex_state = 62, .external_lex_state = 35},
  [8988] = {.lex_state = 67, .external_lex_state = 31},
  [8989] = {.lex_state = 56, .external_lex_state = 26},
  [8990] = {.lex_state = 67},
  [8991] = {.lex_state = 58, .external_lex_state = 49},
  [8992] = {.lex_state = 66, .external_lex_state = 36},
  [8993] = {.lex_state = 67, .external_lex_state = 53},
  [8994] = {.lex_state = 67},
  [8995] = {.lex_state = 67},
  [8996] = {.lex_state = 67},
  [8997] = {.lex_state = 55, .external_lex_state = 35},
  [8998] = {.lex_state = 58},
  [8999] = {.lex_state = 67, .external_lex_state = 51},
  [9000] = {.lex_state = 67},
  [9001] = {.lex_state = 58, .external_lex_state = 49},
  [9002] = {.lex_state = 22, .external_lex_state = 45},
  [9003] = {.lex_state = 67},
  [9004] = {.lex_state = 67},
  [9005] = {.lex_state = 56, .external_lex_state = 26},
  [9006] = {.lex_state = 67},
  [9007] = {.lex_state = 67, .external_lex_state = 32},
  [9008] = {.lex_state = 67},
  [9009] = {.lex_state = 56, .external_lex_state = 26},
  [9010] = {.lex_state = 67},
  [9011] = {.lex_state = 67, .external_lex_state = 53},
  [9012] = {.lex_state = 58},
  [9013] = {.lex_state = 67},
  [9014] = {.lex_state = 67},
  [9015] = {.lex_state = 66, .external_lex_state = 48},
  [9016] = {.lex_state = 67, .external_lex_state = 51},
  [9017] = {.lex_state = 67},
  [9018] = {.lex_state = 58, .external_lex_state = 34},
  [9019] = {.lex_state = 67, .external_lex_state = 52},
  [9020] = {.lex_state = 67},
  [9021] = {.lex_state = 67, .external_lex_state = 31},
  [9022] = {.lex_state = 67},
  [9023] = {.lex_state = 58, .external_lex_state = 29},
  [9024] = {.lex_state = 67, .external_lex_state = 53},
  [9025] = {.lex_state = 67},
  [9026] = {.lex_state = 67, .external_lex_state = 53},
  [9027] = {.lex_state = 67, .external_lex_state = 53},
  [9028] = {.lex_state = 58},
  [9029] = {.lex_state = 23, .external_lex_state = 45},
  [9030] = {.lex_state = 66, .external_lex_state = 37},
  [9031] = {.lex_state = 67, .external_lex_state = 53},
  [9032] = {.lex_state = 66, .external_lex_state = 39},
  [9033] = {.lex_state = 67, .external_lex_state = 39},
  [9034] = {.lex_state = 66, .external_lex_state = 37},
  [9035] = {.lex_state = 67, .external_lex_state = 25},
  [9036] = {.lex_state = 66, .external_lex_state = 37},
  [9037] = {.lex_state = 58},
  [9038] = {.lex_state = 60},
  [9039] = {.lex_state = 67, .external_lex_state = 53},
  [9040] = {.lex_state = 54, .external_lex_state = 25},
  [9041] = {.lex_state = 67, .external_lex_state = 52},
  [9042] = {.lex_state = 67, .external_lex_state = 31},
  [9043] = {.lex_state = 58, .external_lex_state = 35},
  [9044] = {.lex_state = 68, .external_lex_state = 54},
  [9045] = {.lex_state = 58, .external_lex_state = 32},
  [9046] = {.lex_state = 67},
  [9047] = {.lex_state = 58, .external_lex_state = 34},
  [9048] = {.lex_state = 55, .external_lex_state = 35},
  [9049] = {.lex_state = 67, .external_lex_state = 53},
  [9050] = {.lex_state = 58},
  [9051] = {.lex_state = 68, .external_lex_state = 25},
  [9052] = {.lex_state = 67, .external_lex_state = 32},
  [9053] = {.lex_state = 67},
  [9054] = {.lex_state = 58, .external_lex_state = 36},
  [9055] = {.lex_state = 67, .external_lex_state = 43},
  [9056] = {.lex_state = 67, .external_lex_state = 45},
  [9057] = {.lex_state = 67, .external_lex_state = 52},
  [9058] = {.lex_state = 58, .external_lex_state = 31},
  [9059] = {.lex_state = 13, .external_lex_state = 45},
  [9060] = {.lex_state = 62, .external_lex_state = 37},
  [9061] = {.lex_state = 67, .external_lex_state = 48},
  [9062] = {.lex_state = 67},
  [9063] = {.lex_state = 67},
  [9064] = {.lex_state = 67, .external_lex_state = 31},
  [9065] = {.lex_state = 58, .external_lex_state = 31},
  [9066] = {.lex_state = 67},
  [9067] = {.lex_state = 67, .external_lex_state = 36},
  [9068] = {.lex_state = 58, .external_lex_state = 27},
  [9069] = {.lex_state = 58, .external_lex_state = 31},
  [9070] = {.lex_state = 58, .external_lex_state = 29},
  [9071] = {.lex_state = 58},
  [9072] = {.lex_state = 67},
  [9073] = {.lex_state = 67, .external_lex_state = 48},
  [9074] = {.lex_state = 67, .external_lex_state = 53},
  [9075] = {.lex_state = 67, .external_lex_state = 27},
  [9076] = {.lex_state = 58, .external_lex_state = 34},
  [9077] = {.lex_state = 67, .external_lex_state = 51},
  [9078] = {.lex_state = 67, .external_lex_state = 48},
  [9079] = {.lex_state = 58, .external_lex_state = 33},
  [9080] = {.lex_state = 66, .external_lex_state = 31},
  [9081] = {.lex_state = 58, .external_lex_state = 35},
  [9082] = {.lex_state = 67, .external_lex_state = 51},
  [9083] = {.lex_state = 67, .external_lex_state = 29},
  [9084] = {.lex_state = 62, .external_lex_state = 35},
  [9085] = {.lex_state = 67, .external_lex_state = 53},
  [9086] = {.lex_state = 67, .external_lex_state = 60},
  [9087] = {.lex_state = 67, .external_lex_state = 53},
  [9088] = {.lex_state = 62, .external_lex_state = 37},
  [9089] = {.lex_state = 67, .external_lex_state = 48},
  [9090] = {.lex_state = 67, .external_lex_state = 51},
  [9091] = {.lex_state = 67, .external_lex_state = 51},
  [9092] = {.lex_state = 66, .external_lex_state = 39},
  [9093] = {.lex_state = 67},
  [9094] = {.lex_state = 67, .external_lex_state = 51},
  [9095] = {.lex_state = 67, .external_lex_state = 48},
  [9096] = {.lex_state = 66, .external_lex_state = 39},
  [9097] = {.lex_state = 67, .external_lex_state = 51},
  [9098] = {.lex_state = 66, .external_lex_state = 35},
  [9099] = {.lex_state = 62, .external_lex_state = 35},
  [9100] = {.lex_state = 66, .external_lex_state = 39},
  [9101] = {.lex_state = 67, .external_lex_state = 51},
  [9102] = {.lex_state = 67, .external_lex_state = 48},
  [9103] = {.lex_state = 58, .external_lex_state = 34},
  [9104] = {.lex_state = 66, .external_lex_state = 39},
  [9105] = {.lex_state = 58, .external_lex_state = 34},
  [9106] = {.lex_state = 62, .external_lex_state = 35},
  [9107] = {.lex_state = 66, .external_lex_state = 39},
  [9108] = {.lex_state = 62, .external_lex_state = 37},
  [9109] = {.lex_state = 66, .external_lex_state = 36},
  [9110] = {.lex_state = 67, .external_lex_state = 48},
  [9111] = {.lex_state = 66, .external_lex_state = 36},
  [9112] = {.lex_state = 66, .external_lex_state = 36},
  [9113] = {.lex_state = 67, .external_lex_state = 48},
  [9114] = {.lex_state = 67, .external_lex_state = 53},
  [9115] = {.lex_state = 67, .external_lex_state = 51},
  [9116] = {.lex_state = 66, .external_lex_state = 45},
  [9117] = {.lex_state = 67, .external_lex_state = 51},
  [9118] = {.lex_state = 67, .external_lex_state = 51},
  [9119] = {.lex_state = 67, .external_lex_state = 51},
  [9120] = {.lex_state = 62, .external_lex_state = 35},
  [9121] = {.lex_state = 62, .external_lex_state = 37},
  [9122] = {.lex_state = 62, .external_lex_state = 35},
  [9123] = {.lex_state = 62, .external_lex_state = 35},
  [9124] = {.lex_state = 62, .external_lex_state = 37},
  [9125] = {.lex_state = 67, .external_lex_state = 48},
  [9126] = {.lex_state = 58, .external_lex_state = 34},
  [9127] = {.lex_state = 67, .external_lex_state = 52},
  [9128] = {.lex_state = 62, .external_lex_state = 35},
  [9129] = {.lex_state = 62, .external_lex_state = 37},
  [9130] = {.lex_state = 67, .external_lex_state = 48},
  [9131] = {.lex_state = 67, .external_lex_state = 51},
  [9132] = {.lex_state = 58, .external_lex_state = 34},
  [9133] = {.lex_state = 67, .external_lex_state = 45},
  [9134] = {.lex_state = 58, .external_lex_state = 34},
  [9135] = {.lex_state = 58, .external_lex_state = 34},
  [9136] = {.lex_state = 66, .external_lex_state = 40},
  [9137] = {.lex_state = 67},
  [9138] = {.lex_state = 62, .external_lex_state = 37},
  [9139] = {.lex_state = 62, .external_lex_state = 37},
  [9140] = {.lex_state = 66, .external_lex_state = 40},
  [9141] = {.lex_state = 55, .external_lex_state = 61},
  [9142] = {.lex_state = 67, .external_lex_state = 48},
  [9143] = {.lex_state = 66, .external_lex_state = 52},
  [9144] = {.lex_state = 62, .external_lex_state = 35},
  [9145] = {.lex_state = 66, .external_lex_state = 40},
  [9146] = {.lex_state = 67, .external_lex_state = 51},
  [9147] = {.lex_state = 67, .external_lex_state = 48},
  [9148] = {.lex_state = 62, .external_lex_state = 35},
  [9149] = {.lex_state = 58, .external_lex_state = 55},
  [9150] = {.lex_state = 67, .external_lex_state = 51},
  [9151] = {.lex_state = 67, .external_lex_state = 48},
  [9152] = {.lex_state = 67, .external_lex_state = 25},
  [9153] = {.lex_state = 66, .external_lex_state = 40},
  [9154] = {.lex_state = 62, .external_lex_state = 37},
  [9155] = {.lex_state = 62, .external_lex_state = 37},
  [9156] = {.lex_state = 66, .external_lex_state = 40},
  [9157] = {.lex_state = 67, .external_lex_state = 53},
  [9158] = {.lex_state = 67, .external_lex_state = 48},
  [9159] = {.lex_state = 58, .external_lex_state = 60},
  [9160] = {.lex_state = 54, .external_lex_state = 25},
  [9161] = {.lex_state = 62, .external_lex_state = 35},
  [9162] = {.lex_state = 62, .external_lex_state = 35},
  [9163] = {.lex_state = 57, .external_lex_state = 25},
  [9164] = {.lex_state = 67, .external_lex_state = 48},
  [9165] = {.lex_state = 67, .external_lex_state = 48},
  [9166] = {.lex_state = 62},
  [9167] = {.lex_state = 57, .external_lex_state = 45},
  [9168] = {.lex_state = 58, .external_lex_state = 34},
  [9169] = {.lex_state = 67},
  [9170] = {.lex_state = 13, .external_lex_state = 45},
  [9171] = {.lex_state = 13, .external_lex_state = 45},
  [9172] = {.lex_state = 55, .external_lex_state = 37},
  [9173] = {.lex_state = 67, .external_lex_state = 51},
  [9174] = {.lex_state = 58, .external_lex_state = 56},
  [9175] = {.lex_state = 67, .external_lex_state = 53},
  [9176] = {.lex_state = 67, .external_lex_state = 25},
  [9177] = {.lex_state = 12, .external_lex_state = 45},
  [9178] = {.lex_state = 55, .external_lex_state = 25},
  [9179] = {.lex_state = 62, .external_lex_state = 35},
  [9180] = {.lex_state = 67, .external_lex_state = 53},
  [9181] = {.lex_state = 67, .external_lex_state = 53},
  [9182] = {.lex_state = 67, .external_lex_state = 51},
  [9183] = {.lex_state = 67, .external_lex_state = 48},
  [9184] = {.lex_state = 67, .external_lex_state = 51},
  [9185] = {.lex_state = 67, .external_lex_state = 51},
  [9186] = {.lex_state = 58, .external_lex_state = 55},
  [9187] = {.lex_state = 66, .external_lex_state = 57},
  [9188] = {.lex_state = 24, .external_lex_state = 45},
  [9189] = {.lex_state = 57, .external_lex_state = 45},
  [9190] = {.lex_state = 66, .external_lex_state = 57},
  [9191] = {.lex_state = 67, .external_lex_state = 48},
  [9192] = {.lex_state = 67},
  [9193] = {.lex_state = 62},
  [9194] = {.lex_state = 67, .external_lex_state = 58},
  [9195] = {.lex_state = 67, .external_lex_state = 52},
  [9196] = {.lex_state = 58, .external_lex_state = 25},
  [9197] = {.lex_state = 66, .external_lex_state = 32},
  [9198] = {.lex_state = 62},
  [9199] = {.lex_state = 57, .external_lex_state = 45},
  [9200] = {.lex_state = 58, .external_lex_state = 56},
  [9201] = {.lex_state = 67, .external_lex_state = 53},
  [9202] = {.lex_state = 67, .external_lex_state = 53},
  [9203] = {.lex_state = 67},
  [9204] = {.lex_state = 67, .external_lex_state = 48},
  [9205] = {.lex_state = 67, .external_lex_state = 53},
  [9206] = {.lex_state = 62},
  [9207] = {.lex_state = 62},
  [9208] = {.lex_state = 67, .external_lex_state = 51},
  [9209] = {.lex_state = 67, .external_lex_state = 52},
  [9210] = {.lex_state = 55, .external_lex_state = 35},
  [9211] = {.lex_state = 13, .external_lex_state = 45},
  [9212] = {.lex_state = 67},
  [9213] = {.lex_state = 55, .external_lex_state = 25},
  [9214] = {.lex_state = 62},
  [9215] = {.lex_state = 67, .external_lex_state = 51},
  [9216] = {.lex_state = 67, .external_lex_state = 51},
  [9217] = {.lex_state = 66, .external_lex_state = 40},
  [9218] = {.lex_state = 20, .external_lex_state = 45},
  [9219] = {.lex_state = 67, .external_lex_state = 53},
  [9220] = {.lex_state = 57, .external_lex_state = 45},
  [9221] = {.lex_state = 66, .external_lex_state = 32},
  [9222] = {.lex_state = 67, .external_lex_state = 52},
  [9223] = {.lex_state = 60},
  [9224] = {.lex_state = 55, .external_lex_state = 35},
  [9225] = {.lex_state = 55, .external_lex_state = 35},
  [9226] = {.lex_state = 55, .external_lex_state = 35},
  [9227] = {.lex_state = 55, .external_lex_state = 35},
  [9228] = {.lex_state = 55, .external_lex_state = 35},
  [9229] = {.lex_state = 58, .external_lex_state = 26},
  [9230] = {.lex_state = 62},
  [9231] = {.lex_state = 62, .external_lex_state = 37},
  [9232] = {.lex_state = 55, .external_lex_state = 35},
  [9233] = {.lex_state = 67, .external_lex_state = 52},
  [9234] = {.lex_state = 55, .external_lex_state = 35},
  [9235] = {.lex_state = 55, .external_lex_state = 35},
  [9236] = {.lex_state = 62, .external_lex_state = 37},
  [9237] = {.lex_state = 55, .external_lex_state = 35},
  [9238] = {.lex_state = 55, .external_lex_state = 35},
  [9239] = {.lex_state = 62},
  [9240] = {.lex_state = 68, .external_lex_state = 25},
  [9241] = {.lex_state = 67, .external_lex_state = 53},
  [9242] = {.lex_state = 67, .external_lex_state = 51},
  [9243] = {.lex_state = 67},
  [9244] = {.lex_state = 67, .external_lex_state = 52},
  [9245] = {.lex_state = 67, .external_lex_state = 53},
  [9246] = {.lex_state = 67, .external_lex_state = 48},
  [9247] = {.lex_state = 58, .external_lex_state = 59},
  [9248] = {.lex_state = 67, .external_lex_state = 55},
  [9249] = {.lex_state = 67, .external_lex_state = 52},
  [9250] = {.lex_state = 62},
  [9251] = {.lex_state = 56},
  [9252] = {.lex_state = 67, .external_lex_state = 52},
  [9253] = {.lex_state = 58},
  [9254] = {.lex_state = 68, .external_lex_state = 54},
  [9255] = {.lex_state = 67, .external_lex_state = 51},
  [9256] = {.lex_state = 54, .external_lex_state = 25},
  [9257] = {.lex_state = 68, .external_lex_state = 54},
  [9258] = {.lex_state = 68, .external_lex_state = 54},
  [9259] = {.lex_state = 58, .external_lex_state = 34},
  [9260] = {.lex_state = 58},
  [9261] = {.lex_state = 67, .external_lex_state = 52},
  [9262] = {.lex_state = 58},
  [9263] = {.lex_state = 62},
  [9264] = {.lex_state = 62},
  [9265] = {.lex_state = 58, .external_lex_state = 57},
  [9266] = {.lex_state = 67},
  [9267] = {.lex_state = 66, .external_lex_state = 53},
  [9268] = {.lex_state = 57, .external_lex_state = 45},
  [9269] = {.lex_state = 67, .external_lex_state = 52},
  [9270] = {.lex_state = 66, .external_lex_state = 39},
  [9271] = {.lex_state = 67, .external_lex_state = 51},
  [9272] = {.lex_state = 67, .external_lex_state = 51},
  [9273] = {.lex_state = 67, .external_lex_state = 52},
  [9274] = {.lex_state = 67, .external_lex_state = 32},
  [9275] = {.lex_state = 67, .external_lex_state = 51},
  [9276] = {.lex_state = 55, .external_lex_state = 37},
  [9277] = {.lex_state = 67},
  [9278] = {.lex_state = 55, .external_lex_state = 37},
  [9279] = {.lex_state = 67, .external_lex_state = 52},
  [9280] = {.lex_state = 55, .external_lex_state = 37},
  [9281] = {.lex_state = 58, .external_lex_state = 33},
  [9282] = {.lex_state = 67, .external_lex_state = 59},
  [9283] = {.lex_state = 62},
  [9284] = {.lex_state = 67, .external_lex_state = 52},
  [9285] = {.lex_state = 67, .external_lex_state = 52},
  [9286] = {.lex_state = 62},
  [9287] = {.lex_state = 58, .external_lex_state = 57},
  [9288] = {.lex_state = 62, .external_lex_state = 35},
  [9289] = {.lex_state = 67},
  [9290] = {.lex_state = 67, .external_lex_state = 48},
  [9291] = {.lex_state = 58, .external_lex_state = 47},
  [9292] = {.lex_state = 67, .external_lex_state = 52},
  [9293] = {.lex_state = 67, .external_lex_state = 25},
  [9294] = {.lex_state = 66, .external_lex_state = 35},
  [9295] = {.lex_state = 54, .external_lex_state = 25},
  [9296] = {.lex_state = 67, .external_lex_state = 54},
  [9297] = {.lex_state = 66, .external_lex_state = 35},
  [9298] = {.lex_state = 66, .external_lex_state = 35},
  [9299] = {.lex_state = 55, .external_lex_state = 37},
  [9300] = {.lex_state = 54, .external_lex_state = 25},
  [9301] = {.lex_state = 67, .external_lex_state = 48},
  [9302] = {.lex_state = 67, .external_lex_state = 48},
  [9303] = {.lex_state = 66, .external_lex_state = 40},
  [9304] = {.lex_state = 57, .external_lex_state = 25},
  [9305] = {.lex_state = 67, .external_lex_state = 30},
  [9306] = {.lex_state = 67, .external_lex_state = 52},
  [9307] = {.lex_state = 20, .external_lex_state = 45},
  [9308] = {.lex_state = 67, .external_lex_state = 39},
  [9309] = {.lex_state = 66, .external_lex_state = 39},
  [9310] = {.lex_state = 67},
  [9311] = {.lex_state = 62, .external_lex_state = 35},
  [9312] = {.lex_state = 58, .external_lex_state = 46},
  [9313] = {.lex_state = 58, .external_lex_state = 33},
  [9314] = {.lex_state = 58, .external_lex_state = 33},
  [9315] = {.lex_state = 54, .external_lex_state = 25},
  [9316] = {.lex_state = 67, .external_lex_state = 52},
  [9317] = {.lex_state = 58, .external_lex_state = 46},
  [9318] = {.lex_state = 58, .external_lex_state = 33},
  [9319] = {.lex_state = 67, .external_lex_state = 55},
  [9320] = {.lex_state = 57},
  [9321] = {.lex_state = 62},
  [9322] = {.lex_state = 67, .external_lex_state = 52},
  [9323] = {.lex_state = 67, .external_lex_state = 52},
  [9324] = {.lex_state = 54, .external_lex_state = 25},
  [9325] = {.lex_state = 66, .external_lex_state = 39},
  [9326] = {.lex_state = 65, .external_lex_state = 30},
  [9327] = {.lex_state = 62, .external_lex_state = 35},
  [9328] = {.lex_state = 66, .external_lex_state = 39},
  [9329] = {.lex_state = 66, .external_lex_state = 39},
  [9330] = {.lex_state = 67, .external_lex_state = 51},
  [9331] = {.lex_state = 54, .external_lex_state = 25},
  [9332] = {.lex_state = 67, .external_lex_state = 51},
  [9333] = {.lex_state = 67, .external_lex_state = 51},
  [9334] = {.lex_state = 58},
  [9335] = {.lex_state = 67, .external_lex_state = 51},
  [9336] = {.lex_state = 67, .external_lex_state = 51},
  [9337] = {.lex_state = 54, .external_lex_state = 25},
  [9338] = {.lex_state = 55, .external_lex_state = 35},
  [9339] = {.lex_state = 67, .external_lex_state = 51},
  [9340] = {.lex_state = 67, .external_lex_state = 48},
  [9341] = {.lex_state = 67, .external_lex_state = 48},
  [9342] = {.lex_state = 67, .external_lex_state = 51},
  [9343] = {.lex_state = 67},
  [9344] = {.lex_state = 67, .external_lex_state = 52},
  [9345] = {.lex_state = 67, .external_lex_state = 52},
  [9346] = {.lex_state = 66, .external_lex_state = 45},
  [9347] = {.lex_state = 67, .external_lex_state = 51},
  [9348] = {.lex_state = 62, .external_lex_state = 37},
  [9349] = {.lex_state = 58, .external_lex_state = 27},
  [9350] = {.lex_state = 67, .external_lex_state = 48},
  [9351] = {.lex_state = 67},
  [9352] = {.lex_state = 67, .external_lex_state = 51},
  [9353] = {.lex_state = 66, .external_lex_state = 40},
  [9354] = {.lex_state = 66, .external_lex_state = 40},
  [9355] = {.lex_state = 66, .external_lex_state = 40},
  [9356] = {.lex_state = 67, .external_lex_state = 51},
  [9357] = {.lex_state = 63, .external_lex_state = 25},
  [9358] = {.lex_state = 54, .external_lex_state = 25},
  [9359] = {.lex_state = 54, .external_lex_state = 25},
  [9360] = {.lex_state = 58},
  [9361] = {.lex_state = 67, .external_lex_state = 53},
  [9362] = {.lex_state = 58, .external_lex_state = 47},
  [9363] = {.lex_state = 67, .external_lex_state = 29},
  [9364] = {.lex_state = 67, .external_lex_state = 52},
  [9365] = {.lex_state = 67},
  [9366] = {.lex_state = 67, .external_lex_state = 52},
  [9367] = {.lex_state = 63, .external_lex_state = 25},
  [9368] = {.lex_state = 54, .external_lex_state = 25},
  [9369] = {.lex_state = 67, .external_lex_state = 54},
  [9370] = {.lex_state = 54, .external_lex_state = 25},
  [9371] = {.lex_state = 67},
  [9372] = {.lex_state = 56},
  [9373] = {.lex_state = 58, .external_lex_state = 48},
  [9374] = {.lex_state = 67, .external_lex_state = 26},
  [9375] = {.lex_state = 67, .external_lex_state = 52},
  [9376] = {.lex_state = 12, .external_lex_state = 45},
  [9377] = {.lex_state = 67, .external_lex_state = 60},
  [9378] = {.lex_state = 67, .external_lex_state = 32},
  [9379] = {.lex_state = 67, .external_lex_state = 56},
  [9380] = {.lex_state = 67, .external_lex_state = 32},
  [9381] = {.lex_state = 12, .external_lex_state = 45},
  [9382] = {.lex_state = 67, .external_lex_state = 32},
  [9383] = {.lex_state = 12, .external_lex_state = 45},
  [9384] = {.lex_state = 58},
  [9385] = {.lex_state = 67, .external_lex_state = 52},
  [9386] = {.lex_state = 67},
  [9387] = {.lex_state = 58},
  [9388] = {.lex_state = 58},
  [9389] = {.lex_state = 66, .external_lex_state = 25},
  [9390] = {.lex_state = 67, .external_lex_state = 52},
  [9391] = {.lex_state = 67, .external_lex_state = 52},
  [9392] = {.lex_state = 67},
  [9393] = {.lex_state = 67, .external_lex_state = 53},
  [9394] = {.lex_state = 67},
  [9395] = {.lex_state = 67, .external_lex_state = 52},
  [9396] = {.lex_state = 60},
  [9397] = {.lex_state = 67, .external_lex_state = 31},
  [9398] = {.lex_state = 58, .external_lex_state = 33},
  [9399] = {.lex_state = 58, .external_lex_state = 26},
  [9400] = {.lex_state = 58},
  [9401] = {.lex_state = 67, .external_lex_state = 48},
  [9402] = {.lex_state = 67, .external_lex_state = 48},
  [9403] = {.lex_state = 58, .external_lex_state = 33},
  [9404] = {.lex_state = 54, .external_lex_state = 35},
  [9405] = {.lex_state = 58, .external_lex_state = 33},
  [9406] = {.lex_state = 67, .external_lex_state = 45},
  [9407] = {.lex_state = 67, .external_lex_state = 52},
  [9408] = {.lex_state = 58, .external_lex_state = 33},
  [9409] = {.lex_state = 58, .external_lex_state = 33},
  [9410] = {.lex_state = 67, .external_lex_state = 52},
  [9411] = {.lex_state = 67, .external_lex_state = 52},
  [9412] = {.lex_state = 67, .external_lex_state = 48},
  [9413] = {.lex_state = 67},
  [9414] = {.lex_state = 54, .external_lex_state = 35},
  [9415] = {.lex_state = 62},
  [9416] = {.lex_state = 67, .external_lex_state = 48},
  [9417] = {.lex_state = 67, .external_lex_state = 40},
  [9418] = {.lex_state = 58},
  [9419] = {.lex_state = 67, .external_lex_state = 53},
  [9420] = {.lex_state = 67, .external_lex_state = 48},
  [9421] = {.lex_state = 58, .external_lex_state = 33},
  [9422] = {.lex_state = 67},
  [9423] = {.lex_state = 67, .external_lex_state = 31},
  [9424] = {.lex_state = 66, .external_lex_state = 54},
  [9425] = {.lex_state = 67, .external_lex_state = 48},
  [9426] = {.lex_state = 62},
  [9427] = {.lex_state = 67, .external_lex_state = 44},
  [9428] = {.lex_state = 67, .external_lex_state = 56},
  [9429] = {.lex_state = 67},
  [9430] = {.lex_state = 67, .external_lex_state = 48},
  [9431] = {.lex_state = 67, .external_lex_state = 51},
  [9432] = {.lex_state = 58, .external_lex_state = 27},
  [9433] = {.lex_state = 55, .external_lex_state = 61},
  [9434] = {.lex_state = 58, .external_lex_state = 40},
  [9435] = {.lex_state = 67, .external_lex_state = 59},
  [9436] = {.lex_state = 65},
  [9437] = {.lex_state = 12, .external_lex_state = 45},
  [9438] = {.lex_state = 67, .external_lex_state = 34},
  [9439] = {.lex_state = 54, .external_lex_state = 45},
  [9440] = {.lex_state = 66, .external_lex_state = 35},
  [9441] = {.lex_state = 62, .external_lex_state = 25},
  [9442] = {.lex_state = 58, .external_lex_state = 56},
  [9443] = {.lex_state = 23, .external_lex_state = 45},
  [9444] = {.lex_state = 67, .external_lex_state = 27},
  [9445] = {.lex_state = 67, .external_lex_state = 58},
  [9446] = {.lex_state = 67, .external_lex_state = 60},
  [9447] = {.lex_state = 67, .external_lex_state = 60},
  [9448] = {.lex_state = 67, .external_lex_state = 30},
  [9449] = {.lex_state = 58, .external_lex_state = 36},
  [9450] = {.lex_state = 58, .external_lex_state = 36},
  [9451] = {.lex_state = 66, .external_lex_state = 43},
  [9452] = {.lex_state = 58, .external_lex_state = 56},
  [9453] = {.lex_state = 67, .external_lex_state = 30},
  [9454] = {.lex_state = 67, .external_lex_state = 60},
  [9455] = {.lex_state = 67, .external_lex_state = 30},
  [9456] = {.lex_state = 58, .external_lex_state = 36},
  [9457] = {.lex_state = 6},
  [9458] = {.lex_state = 67, .external_lex_state = 33},
  [9459] = {.lex_state = 67, .external_lex_state = 59},
  [9460] = {.lex_state = 57, .external_lex_state = 25},
  [9461] = {.lex_state = 66, .external_lex_state = 43},
  [9462] = {.lex_state = 65, .external_lex_state = 33},
  [9463] = {.lex_state = 67, .external_lex_state = 30},
  [9464] = {.lex_state = 67, .external_lex_state = 59},
  [9465] = {.lex_state = 58, .external_lex_state = 51},
  [9466] = {.lex_state = 67, .external_lex_state = 60},
  [9467] = {.lex_state = 67, .external_lex_state = 58},
  [9468] = {.lex_state = 13, .external_lex_state = 45},
  [9469] = {.lex_state = 68, .external_lex_state = 25},
  [9470] = {.lex_state = 62, .external_lex_state = 25},
  [9471] = {.lex_state = 62, .external_lex_state = 25},
  [9472] = {.lex_state = 67, .external_lex_state = 59},
  [9473] = {.lex_state = 67, .external_lex_state = 59},
  [9474] = {.lex_state = 67, .external_lex_state = 59},
  [9475] = {.lex_state = 67, .external_lex_state = 60},
  [9476] = {.lex_state = 66, .external_lex_state = 32},
  [9477] = {.lex_state = 67, .external_lex_state = 59},
  [9478] = {.lex_state = 67, .external_lex_state = 59},
  [9479] = {.lex_state = 67, .external_lex_state = 35},
  [9480] = {.lex_state = 66, .external_lex_state = 44},
  [9481] = {.lex_state = 66, .external_lex_state = 44},
  [9482] = {.lex_state = 67, .external_lex_state = 58},
  [9483] = {.lex_state = 67, .external_lex_state = 44},
  [9484] = {.lex_state = 67, .external_lex_state = 59},
  [9485] = {.lex_state = 20, .external_lex_state = 45},
  [9486] = {.lex_state = 66, .external_lex_state = 32},
  [9487] = {.lex_state = 66, .external_lex_state = 44},
  [9488] = {.lex_state = 66, .external_lex_state = 37},
  [9489] = {.lex_state = 67, .external_lex_state = 32},
  [9490] = {.lex_state = 67, .external_lex_state = 60},
  [9491] = {.lex_state = 67, .external_lex_state = 59},
  [9492] = {.lex_state = 58, .external_lex_state = 39},
  [9493] = {.lex_state = 23, .external_lex_state = 45},
  [9494] = {.lex_state = 58, .external_lex_state = 27},
  [9495] = {.lex_state = 67, .external_lex_state = 59},
  [9496] = {.lex_state = 67, .external_lex_state = 33},
  [9497] = {.lex_state = 66, .external_lex_state = 35},
  [9498] = {.lex_state = 67, .external_lex_state = 27},
  [9499] = {.lex_state = 62, .external_lex_state = 25},
  [9500] = {.lex_state = 67, .external_lex_state = 60},
  [9501] = {.lex_state = 67, .external_lex_state = 60},
  [9502] = {.lex_state = 67, .external_lex_state = 59},
  [9503] = {.lex_state = 58, .external_lex_state = 61},
  [9504] = {.lex_state = 67, .external_lex_state = 59},
  [9505] = {.lex_state = 67, .external_lex_state = 58},
  [9506] = {.lex_state = 22, .external_lex_state = 45},
  [9507] = {.lex_state = 67, .external_lex_state = 32},
  [9508] = {.lex_state = 67, .external_lex_state = 58},
  [9509] = {.lex_state = 67, .external_lex_state = 58},
  [9510] = {.lex_state = 67, .external_lex_state = 60},
  [9511] = {.lex_state = 67, .external_lex_state = 33},
  [9512] = {.lex_state = 67, .external_lex_state = 26},
  [9513] = {.lex_state = 66},
  [9514] = {.lex_state = 67, .external_lex_state = 30},
  [9515] = {.lex_state = 62, .external_lex_state = 25},
  [9516] = {.lex_state = 68, .external_lex_state = 25},
  [9517] = {.lex_state = 67, .external_lex_state = 26},
  [9518] = {.lex_state = 65, .external_lex_state = 34},
  [9519] = {.lex_state = 67, .external_lex_state = 59},
  [9520] = {.lex_state = 65, .external_lex_state = 34},
  [9521] = {.lex_state = 62, .external_lex_state = 25},
  [9522] = {.lex_state = 62, .external_lex_state = 25},
  [9523] = {.lex_state = 58, .external_lex_state = 27},
  [9524] = {.lex_state = 58, .external_lex_state = 27},
  [9525] = {.lex_state = 58, .external_lex_state = 27},
  [9526] = {.lex_state = 58, .external_lex_state = 39},
  [9527] = {.lex_state = 58, .external_lex_state = 29},
  [9528] = {.lex_state = 66, .external_lex_state = 54},
  [9529] = {.lex_state = 58, .external_lex_state = 43},
  [9530] = {.lex_state = 13, .external_lex_state = 45},
  [9531] = {.lex_state = 58, .external_lex_state = 27},
  [9532] = {.lex_state = 67, .external_lex_state = 59},
  [9533] = {.lex_state = 67, .external_lex_state = 37},
  [9534] = {.lex_state = 67, .external_lex_state = 30},
  [9535] = {.lex_state = 58, .external_lex_state = 29},
  [9536] = {.lex_state = 62, .external_lex_state = 25},
  [9537] = {.lex_state = 58, .external_lex_state = 31},
  [9538] = {.lex_state = 58, .external_lex_state = 36},
  [9539] = {.lex_state = 67, .external_lex_state = 58},
  [9540] = {.lex_state = 67, .external_lex_state = 59},
  [9541] = {.lex_state = 68, .external_lex_state = 25},
  [9542] = {.lex_state = 66, .external_lex_state = 58},
  [9543] = {.lex_state = 67, .external_lex_state = 58},
  [9544] = {.lex_state = 67, .external_lex_state = 30},
  [9545] = {.lex_state = 67, .external_lex_state = 59},
  [9546] = {.lex_state = 68, .external_lex_state = 54},
  [9547] = {.lex_state = 57, .external_lex_state = 45},
  [9548] = {.lex_state = 67, .external_lex_state = 51},
  [9549] = {.lex_state = 67, .external_lex_state = 30},
  [9550] = {.lex_state = 67, .external_lex_state = 53},
  [9551] = {.lex_state = 65, .external_lex_state = 33},
  [9552] = {.lex_state = 67, .external_lex_state = 60},
  [9553] = {.lex_state = 67, .external_lex_state = 30},
  [9554] = {.lex_state = 13, .external_lex_state = 45},
  [9555] = {.lex_state = 66, .external_lex_state = 43},
  [9556] = {.lex_state = 67, .external_lex_state = 59},
  [9557] = {.lex_state = 67, .external_lex_state = 60},
  [9558] = {.lex_state = 58, .external_lex_state = 36},
  [9559] = {.lex_state = 67, .external_lex_state = 35},
  [9560] = {.lex_state = 67, .external_lex_state = 34},
  [9561] = {.lex_state = 67, .external_lex_state = 58},
  [9562] = {.lex_state = 67, .external_lex_state = 59},
  [9563] = {.lex_state = 67, .external_lex_state = 27},
  [9564] = {.lex_state = 66, .external_lex_state = 44},
  [9565] = {.lex_state = 58, .external_lex_state = 27},
  [9566] = {.lex_state = 67, .external_lex_state = 59},
  [9567] = {.lex_state = 67, .external_lex_state = 35},
  [9568] = {.lex_state = 67, .external_lex_state = 30},
  [9569] = {.lex_state = 62, .external_lex_state = 25},
  [9570] = {.lex_state = 58, .external_lex_state = 40},
  [9571] = {.lex_state = 55, .external_lex_state = 45},
  [9572] = {.lex_state = 66, .external_lex_state = 43},
  [9573] = {.lex_state = 66, .external_lex_state = 43},
  [9574] = {.lex_state = 66, .external_lex_state = 31},
  [9575] = {.lex_state = 68, .external_lex_state = 25},
  [9576] = {.lex_state = 67, .external_lex_state = 35},
  [9577] = {.lex_state = 58, .external_lex_state = 57},
  [9578] = {.lex_state = 67, .external_lex_state = 59},
  [9579] = {.lex_state = 58, .external_lex_state = 26},
  [9580] = {.lex_state = 67, .external_lex_state = 59},
  [9581] = {.lex_state = 58, .external_lex_state = 36},
  [9582] = {.lex_state = 66, .external_lex_state = 43},
  [9583] = {.lex_state = 66, .external_lex_state = 43},
  [9584] = {.lex_state = 67, .external_lex_state = 27},
  [9585] = {.lex_state = 67, .external_lex_state = 58},
  [9586] = {.lex_state = 62, .external_lex_state = 25},
  [9587] = {.lex_state = 58, .external_lex_state = 57},
  [9588] = {.lex_state = 66, .external_lex_state = 43},
  [9589] = {.lex_state = 58, .external_lex_state = 39},
  [9590] = {.lex_state = 67, .external_lex_state = 33},
  [9591] = {.lex_state = 67, .external_lex_state = 54},
  [9592] = {.lex_state = 13, .external_lex_state = 45},
  [9593] = {.lex_state = 67, .external_lex_state = 52},
  [9594] = {.lex_state = 67, .external_lex_state = 27},
  [9595] = {.lex_state = 67, .external_lex_state = 30},
  [9596] = {.lex_state = 62, .external_lex_state = 25},
  [9597] = {.lex_state = 65, .external_lex_state = 34},
  [9598] = {.lex_state = 67, .external_lex_state = 59},
  [9599] = {.lex_state = 67, .external_lex_state = 27},
  [9600] = {.lex_state = 67, .external_lex_state = 60},
  [9601] = {.lex_state = 67, .external_lex_state = 60},
  [9602] = {.lex_state = 67, .external_lex_state = 60},
  [9603] = {.lex_state = 24},
  [9604] = {.lex_state = 62, .external_lex_state = 25},
  [9605] = {.lex_state = 65, .external_lex_state = 34},
  [9606] = {.lex_state = 65, .external_lex_state = 34},
  [9607] = {.lex_state = 58, .external_lex_state = 36},
  [9608] = {.lex_state = 58, .external_lex_state = 32},
  [9609] = {.lex_state = 58, .external_lex_state = 39},
  [9610] = {.lex_state = 67, .external_lex_state = 60},
  [9611] = {.lex_state = 58, .external_lex_state = 27},
  [9612] = {.lex_state = 57, .external_lex_state = 25},
  [9613] = {.lex_state = 13, .external_lex_state = 45},
  [9614] = {.lex_state = 66, .external_lex_state = 43},
  [9615] = {.lex_state = 62, .external_lex_state = 25},
  [9616] = {.lex_state = 58, .external_lex_state = 25},
  [9617] = {.lex_state = 58, .external_lex_state = 39},
  [9618] = {.lex_state = 67, .external_lex_state = 27},
  [9619] = {.lex_state = 67, .external_lex_state = 59},
  [9620] = {.lex_state = 67, .external_lex_state = 45},
  [9621] = {.lex_state = 58, .external_lex_state = 39},
  [9622] = {.lex_state = 66, .external_lex_state = 44},
  [9623] = {.lex_state = 66, .external_lex_state = 26},
  [9624] = {.lex_state = 67, .external_lex_state = 27},
  [9625] = {.lex_state = 58, .external_lex_state = 37},
  [9626] = {.lex_state = 58, .external_lex_state = 39},
  [9627] = {.lex_state = 58, .external_lex_state = 27},
  [9628] = {.lex_state = 58, .external_lex_state = 37},
  [9629] = {.lex_state = 58, .external_lex_state = 39},
  [9630] = {.lex_state = 58, .external_lex_state = 37},
  [9631] = {.lex_state = 58, .external_lex_state = 39},
  [9632] = {.lex_state = 58, .external_lex_state = 27},
  [9633] = {.lex_state = 67, .external_lex_state = 30},
  [9634] = {.lex_state = 55, .external_lex_state = 35},
  [9635] = {.lex_state = 67, .external_lex_state = 37},
  [9636] = {.lex_state = 66, .external_lex_state = 25},
  [9637] = {.lex_state = 67, .external_lex_state = 60},
  [9638] = {.lex_state = 58, .external_lex_state = 27},
  [9639] = {.lex_state = 67, .external_lex_state = 59},
  [9640] = {.lex_state = 62, .external_lex_state = 25},
  [9641] = {.lex_state = 58, .external_lex_state = 53},
  [9642] = {.lex_state = 67, .external_lex_state = 53},
  [9643] = {.lex_state = 58, .external_lex_state = 52},
  [9644] = {.lex_state = 67, .external_lex_state = 60},
  [9645] = {.lex_state = 67, .external_lex_state = 59},
  [9646] = {.lex_state = 58, .external_lex_state = 36},
  [9647] = {.lex_state = 67, .external_lex_state = 27},
  [9648] = {.lex_state = 58, .external_lex_state = 39},
  [9649] = {.lex_state = 67, .external_lex_state = 30},
  [9650] = {.lex_state = 65, .external_lex_state = 33},
  [9651] = {.lex_state = 67, .external_lex_state = 60},
  [9652] = {.lex_state = 55, .external_lex_state = 35},
  [9653] = {.lex_state = 65, .external_lex_state = 33},
  [9654] = {.lex_state = 65, .external_lex_state = 33},
  [9655] = {.lex_state = 58, .external_lex_state = 32},
  [9656] = {.lex_state = 67, .external_lex_state = 59},
  [9657] = {.lex_state = 67, .external_lex_state = 30},
  [9658] = {.lex_state = 57, .external_lex_state = 25},
  [9659] = {.lex_state = 67, .external_lex_state = 26},
  [9660] = {.lex_state = 66, .external_lex_state = 26},
  [9661] = {.lex_state = 58, .external_lex_state = 35},
  [9662] = {.lex_state = 67, .external_lex_state = 58},
  [9663] = {.lex_state = 58, .external_lex_state = 58},
  [9664] = {.lex_state = 58, .external_lex_state = 27},
  [9665] = {.lex_state = 67, .external_lex_state = 58},
  [9666] = {.lex_state = 57, .external_lex_state = 54},
  [9667] = {.lex_state = 58, .external_lex_state = 36},
  [9668] = {.lex_state = 66, .external_lex_state = 26},
  [9669] = {.lex_state = 66, .external_lex_state = 26},
  [9670] = {.lex_state = 58, .external_lex_state = 40},
  [9671] = {.lex_state = 58, .external_lex_state = 36},
  [9672] = {.lex_state = 67, .external_lex_state = 31},
  [9673] = {.lex_state = 67, .external_lex_state = 58},
  [9674] = {.lex_state = 58, .external_lex_state = 40},
  [9675] = {.lex_state = 66, .external_lex_state = 26},
  [9676] = {.lex_state = 58, .external_lex_state = 27},
  [9677] = {.lex_state = 58, .external_lex_state = 36},
  [9678] = {.lex_state = 58, .external_lex_state = 37},
  [9679] = {.lex_state = 57, .external_lex_state = 27},
  [9680] = {.lex_state = 58, .external_lex_state = 40},
  [9681] = {.lex_state = 67, .external_lex_state = 58},
  [9682] = {.lex_state = 58, .external_lex_state = 36},
  [9683] = {.lex_state = 57, .external_lex_state = 26},
  [9684] = {.lex_state = 58, .external_lex_state = 43},
  [9685] = {.lex_state = 67, .external_lex_state = 52},
  [9686] = {.lex_state = 58, .external_lex_state = 40},
  [9687] = {.lex_state = 67, .external_lex_state = 59},
  [9688] = {.lex_state = 58, .external_lex_state = 40},
  [9689] = {.lex_state = 67, .external_lex_state = 59},
  [9690] = {.lex_state = 58, .external_lex_state = 36},
  [9691] = {.lex_state = 58, .external_lex_state = 27},
  [9692] = {.lex_state = 58, .external_lex_state = 36},
  [9693] = {.lex_state = 58, .external_lex_state = 36},
  [9694] = {.lex_state = 67, .external_lex_state = 58},
  [9695] = {.lex_state = 55, .external_lex_state = 61},
  [9696] = {.lex_state = 62, .external_lex_state = 25},
  [9697] = {.lex_state = 67, .external_lex_state = 58},
  [9698] = {.lex_state = 58, .external_lex_state = 39},
  [9699] = {.lex_state = 67, .external_lex_state = 60},
  [9700] = {.lex_state = 58, .external_lex_state = 40},
  [9701] = {.lex_state = 67, .external_lex_state = 27},
  [9702] = {.lex_state = 58, .external_lex_state = 27},
  [9703] = {.lex_state = 67, .external_lex_state = 33},
  [9704] = {.lex_state = 67, .external_lex_state = 30},
  [9705] = {.lex_state = 58, .external_lex_state = 36},
  [9706] = {.lex_state = 67, .external_lex_state = 48},
  [9707] = {.lex_state = 65},
  [9708] = {.lex_state = 58, .external_lex_state = 36},
  [9709] = {.lex_state = 67, .external_lex_state = 59},
  [9710] = {.lex_state = 67, .external_lex_state = 58},
  [9711] = {.lex_state = 54, .external_lex_state = 45},
  [9712] = {.lex_state = 67, .external_lex_state = 58},
  [9713] = {.lex_state = 67, .external_lex_state = 59},
  [9714] = {.lex_state = 57, .external_lex_state = 45},
  [9715] = {.lex_state = 58, .external_lex_state = 61},
  [9716] = {.lex_state = 24},
  [9717] = {.lex_state = 54, .external_lex_state = 45},
  [9718] = {.lex_state = 67, .external_lex_state = 60},
  [9719] = {.lex_state = 67, .external_lex_state = 60},
  [9720] = {.lex_state = 67, .external_lex_state = 35},
  [9721] = {.lex_state = 57, .external_lex_state = 54},
  [9722] = {.lex_state = 67},
  [9723] = {.lex_state = 66, .external_lex_state = 26},
  [9724] = {.lex_state = 67, .external_lex_state = 59},
  [9725] = {.lex_state = 66, .external_lex_state = 26},
  [9726] = {.lex_state = 67, .external_lex_state = 59},
  [9727] = {.lex_state = 54, .external_lex_state = 25},
  [9728] = {.lex_state = 67, .external_lex_state = 58},
  [9729] = {.lex_state = 67, .external_lex_state = 58},
  [9730] = {.lex_state = 67, .external_lex_state = 58},
  [9731] = {.lex_state = 66, .external_lex_state = 44},
  [9732] = {.lex_state = 67, .external_lex_state = 37},
  [9733] = {.lex_state = 67, .external_lex_state = 58},
  [9734] = {.lex_state = 22, .external_lex_state = 45},
  [9735] = {.lex_state = 66, .external_lex_state = 44},
  [9736] = {.lex_state = 13, .external_lex_state = 45},
  [9737] = {.lex_state = 66, .external_lex_state = 44},
  [9738] = {.lex_state = 67, .external_lex_state = 58},
  [9739] = {.lex_state = 13, .external_lex_state = 45},
  [9740] = {.lex_state = 67, .external_lex_state = 58},
  [9741] = {.lex_state = 66, .external_lex_state = 44},
  [9742] = {.lex_state = 67, .external_lex_state = 58},
  [9743] = {.lex_state = 67, .external_lex_state = 58},
  [9744] = {.lex_state = 67, .external_lex_state = 58},
  [9745] = {.lex_state = 66, .external_lex_state = 44},
  [9746] = {.lex_state = 66, .external_lex_state = 26},
  [9747] = {.lex_state = 67, .external_lex_state = 60},
  [9748] = {.lex_state = 67, .external_lex_state = 35},
  [9749] = {.lex_state = 67, .external_lex_state = 27},
  [9750] = {.lex_state = 67, .external_lex_state = 27},
  [9751] = {.lex_state = 66, .external_lex_state = 44},
  [9752] = {.lex_state = 67, .external_lex_state = 43},
  [9753] = {.lex_state = 67, .external_lex_state = 60},
  [9754] = {.lex_state = 67, .external_lex_state = 37},
  [9755] = {.lex_state = 67, .external_lex_state = 60},
  [9756] = {.lex_state = 67, .external_lex_state = 30},
  [9757] = {.lex_state = 13, .external_lex_state = 45},
  [9758] = {.lex_state = 62, .external_lex_state = 25},
  [9759] = {.lex_state = 66, .external_lex_state = 25},
  [9760] = {.lex_state = 66, .external_lex_state = 30},
  [9761] = {.lex_state = 67, .external_lex_state = 27},
  [9762] = {.lex_state = 54, .external_lex_state = 45},
  [9763] = {.lex_state = 67, .external_lex_state = 44},
  [9764] = {.lex_state = 67, .external_lex_state = 44},
  [9765] = {.lex_state = 13, .external_lex_state = 45},
  [9766] = {.lex_state = 67, .external_lex_state = 58},
  [9767] = {.lex_state = 13, .external_lex_state = 45},
  [9768] = {.lex_state = 67, .external_lex_state = 30},
  [9769] = {.lex_state = 67, .external_lex_state = 58},
  [9770] = {.lex_state = 67, .external_lex_state = 60},
  [9771] = {.lex_state = 67, .external_lex_state = 58},
  [9772] = {.lex_state = 13, .external_lex_state = 45},
  [9773] = {.lex_state = 67, .external_lex_state = 27},
  [9774] = {.lex_state = 67, .external_lex_state = 58},
  [9775] = {.lex_state = 58, .external_lex_state = 39},
  [9776] = {.lex_state = 66, .external_lex_state = 26},
  [9777] = {.lex_state = 58, .external_lex_state = 39},
  [9778] = {.lex_state = 67, .external_lex_state = 51},
  [9779] = {.lex_state = 57, .external_lex_state = 25},
  [9780] = {.lex_state = 67, .external_lex_state = 54},
  [9781] = {.lex_state = 67, .external_lex_state = 27},
  [9782] = {.lex_state = 67, .external_lex_state = 60},
  [9783] = {.lex_state = 67, .external_lex_state = 27},
  [9784] = {.lex_state = 66, .external_lex_state = 31},
  [9785] = {.lex_state = 67, .external_lex_state = 59},
  [9786] = {.lex_state = 66, .external_lex_state = 44},
  [9787] = {.lex_state = 67, .external_lex_state = 58},
  [9788] = {.lex_state = 67, .external_lex_state = 59},
  [9789] = {.lex_state = 54, .external_lex_state = 45},
  [9790] = {.lex_state = 67, .external_lex_state = 58},
  [9791] = {.lex_state = 67, .external_lex_state = 59},
  [9792] = {.lex_state = 12, .external_lex_state = 45},
  [9793] = {.lex_state = 67, .external_lex_state = 30},
  [9794] = {.lex_state = 66, .external_lex_state = 43},
  [9795] = {.lex_state = 66, .external_lex_state = 43},
  [9796] = {.lex_state = 67, .external_lex_state = 37},
  [9797] = {.lex_state = 66, .external_lex_state = 43},
  [9798] = {.lex_state = 67, .external_lex_state = 58},
  [9799] = {.lex_state = 67, .external_lex_state = 58},
  [9800] = {.lex_state = 66, .external_lex_state = 60},
  [9801] = {.lex_state = 58, .external_lex_state = 31},
  [9802] = {.lex_state = 66, .external_lex_state = 43},
  [9803] = {.lex_state = 67, .external_lex_state = 58},
  [9804] = {.lex_state = 66, .external_lex_state = 43},
  [9805] = {.lex_state = 67, .external_lex_state = 34},
  [9806] = {.lex_state = 67, .external_lex_state = 30},
  [9807] = {.lex_state = 67, .external_lex_state = 60},
  [9808] = {.lex_state = 58, .external_lex_state = 39},
  [9809] = {.lex_state = 67, .external_lex_state = 58},
  [9810] = {.lex_state = 13, .external_lex_state = 45},
  [9811] = {.lex_state = 55, .external_lex_state = 37},
  [9812] = {.lex_state = 67, .external_lex_state = 58},
  [9813] = {.lex_state = 54, .external_lex_state = 25},
  [9814] = {.lex_state = 58, .external_lex_state = 36},
  [9815] = {.lex_state = 67},
  [9816] = {.lex_state = 67, .external_lex_state = 58},
  [9817] = {.lex_state = 67, .external_lex_state = 58},
  [9818] = {.lex_state = 55, .external_lex_state = 37},
  [9819] = {.lex_state = 58, .external_lex_state = 26},
  [9820] = {.lex_state = 13, .external_lex_state = 45},
  [9821] = {.lex_state = 62, .external_lex_state = 25},
  [9822] = {.lex_state = 67, .external_lex_state = 26},
  [9823] = {.lex_state = 67, .external_lex_state = 59},
  [9824] = {.lex_state = 67, .external_lex_state = 30},
  [9825] = {.lex_state = 13, .external_lex_state = 45},
  [9826] = {.lex_state = 66, .external_lex_state = 26},
  [9827] = {.lex_state = 67, .external_lex_state = 30},
  [9828] = {.lex_state = 67, .external_lex_state = 30},
  [9829] = {.lex_state = 66, .external_lex_state = 25},
  [9830] = {.lex_state = 67},
  [9831] = {.lex_state = 67, .external_lex_state = 30},
  [9832] = {.lex_state = 67, .external_lex_state = 59},
  [9833] = {.lex_state = 67, .external_lex_state = 30},
  [9834] = {.lex_state = 67, .external_lex_state = 30},
  [9835] = {.lex_state = 58, .external_lex_state = 39},
  [9836] = {.lex_state = 67, .external_lex_state = 60},
  [9837] = {.lex_state = 67, .external_lex_state = 30},
  [9838] = {.lex_state = 58, .external_lex_state = 35},
  [9839] = {.lex_state = 65},
  [9840] = {.lex_state = 67, .external_lex_state = 58},
  [9841] = {.lex_state = 58, .external_lex_state = 55},
  [9842] = {.lex_state = 55, .external_lex_state = 61},
  [9843] = {.lex_state = 67, .external_lex_state = 45},
  [9844] = {.lex_state = 58, .external_lex_state = 35},
  [9845] = {.lex_state = 66, .external_lex_state = 26},
  [9846] = {.lex_state = 58, .external_lex_state = 35},
  [9847] = {.lex_state = 66, .external_lex_state = 26},
  [9848] = {.lex_state = 67, .external_lex_state = 60},
  [9849] = {.lex_state = 67, .external_lex_state = 59},
  [9850] = {.lex_state = 67, .external_lex_state = 58},
  [9851] = {.lex_state = 67, .external_lex_state = 59},
  [9852] = {.lex_state = 67, .external_lex_state = 30},
  [9853] = {.lex_state = 13, .external_lex_state = 45},
  [9854] = {.lex_state = 67, .external_lex_state = 59},
  [9855] = {.lex_state = 68, .external_lex_state = 54},
  [9856] = {.lex_state = 67, .external_lex_state = 59},
  [9857] = {.lex_state = 13, .external_lex_state = 45},
  [9858] = {.lex_state = 66, .external_lex_state = 26},
  [9859] = {.lex_state = 67, .external_lex_state = 30},
  [9860] = {.lex_state = 58, .external_lex_state = 39},
  [9861] = {.lex_state = 67, .external_lex_state = 37},
  [9862] = {.lex_state = 58, .external_lex_state = 48},
  [9863] = {.lex_state = 58, .external_lex_state = 39},
  [9864] = {.lex_state = 58, .external_lex_state = 39},
  [9865] = {.lex_state = 67, .external_lex_state = 30},
  [9866] = {.lex_state = 54, .external_lex_state = 25},
  [9867] = {.lex_state = 67, .external_lex_state = 59},
  [9868] = {.lex_state = 67, .external_lex_state = 60},
  [9869] = {.lex_state = 67, .external_lex_state = 27},
  [9870] = {.lex_state = 67, .external_lex_state = 58},
  [9871] = {.lex_state = 67},
  [9872] = {.lex_state = 68, .external_lex_state = 25},
  [9873] = {.lex_state = 58, .external_lex_state = 40},
  [9874] = {.lex_state = 67, .external_lex_state = 60},
  [9875] = {.lex_state = 67, .external_lex_state = 30},
  [9876] = {.lex_state = 67, .external_lex_state = 48},
  [9877] = {.lex_state = 66, .external_lex_state = 26},
  [9878] = {.lex_state = 67, .external_lex_state = 60},
  [9879] = {.lex_state = 62, .external_lex_state = 25},
  [9880] = {.lex_state = 58, .external_lex_state = 55},
  [9881] = {.lex_state = 67, .external_lex_state = 60},
  [9882] = {.lex_state = 62, .external_lex_state = 25},
  [9883] = {.lex_state = 67, .external_lex_state = 60},
  [9884] = {.lex_state = 67, .external_lex_state = 30},
  [9885] = {.lex_state = 67, .external_lex_state = 60},
  [9886] = {.lex_state = 58, .external_lex_state = 40},
  [9887] = {.lex_state = 67, .external_lex_state = 60},
  [9888] = {.lex_state = 58, .external_lex_state = 40},
  [9889] = {.lex_state = 58, .external_lex_state = 40},
  [9890] = {.lex_state = 66, .external_lex_state = 44},
  [9891] = {.lex_state = 67, .external_lex_state = 30},
  [9892] = {.lex_state = 67, .external_lex_state = 30},
  [9893] = {.lex_state = 68, .external_lex_state = 25},
  [9894] = {.lex_state = 67, .external_lex_state = 34},
  [9895] = {.lex_state = 67, .external_lex_state = 60},
  [9896] = {.lex_state = 67, .external_lex_state = 60},
  [9897] = {.lex_state = 62, .external_lex_state = 25},
  [9898] = {.lex_state = 67, .external_lex_state = 58},
  [9899] = {.lex_state = 67},
  [9900] = {.lex_state = 58, .external_lex_state = 61},
  [9901] = {.lex_state = 66, .external_lex_state = 25},
  [9902] = {.lex_state = 67, .external_lex_state = 59},
  [9903] = {.lex_state = 67, .external_lex_state = 59},
  [9904] = {.lex_state = 20, .external_lex_state = 45},
  [9905] = {.lex_state = 67, .external_lex_state = 40},
  [9906] = {.lex_state = 24},
  [9907] = {.lex_state = 66, .external_lex_state = 37},
  [9908] = {.lex_state = 67, .external_lex_state = 60},
  [9909] = {.lex_state = 67, .external_lex_state = 58},
  [9910] = {.lex_state = 67, .external_lex_state = 30},
  [9911] = {.lex_state = 67, .external_lex_state = 59},
  [9912] = {.lex_state = 66, .external_lex_state = 44},
  [9913] = {.lex_state = 67, .external_lex_state = 31},
  [9914] = {.lex_state = 58, .external_lex_state = 27},
  [9915] = {.lex_state = 67, .external_lex_state = 30},
  [9916] = {.lex_state = 66, .external_lex_state = 59},
  [9917] = {.lex_state = 67, .external_lex_state = 34},
  [9918] = {.lex_state = 67, .external_lex_state = 30},
  [9919] = {.lex_state = 67, .external_lex_state = 58},
  [9920] = {.lex_state = 67, .external_lex_state = 60},
  [9921] = {.lex_state = 67, .external_lex_state = 59},
  [9922] = {.lex_state = 58, .external_lex_state = 27},
  [9923] = {.lex_state = 58, .external_lex_state = 40},
  [9924] = {.lex_state = 67, .external_lex_state = 44},
  [9925] = {.lex_state = 58, .external_lex_state = 40},
  [9926] = {.lex_state = 67, .external_lex_state = 60},
  [9927] = {.lex_state = 55, .external_lex_state = 61},
  [9928] = {.lex_state = 58, .external_lex_state = 25},
  [9929] = {.lex_state = 66, .external_lex_state = 54},
  [9930] = {.lex_state = 67, .external_lex_state = 60},
  [9931] = {.lex_state = 67, .external_lex_state = 60},
  [9932] = {.lex_state = 67, .external_lex_state = 60},
  [9933] = {.lex_state = 67, .external_lex_state = 60},
  [9934] = {.lex_state = 58, .external_lex_state = 27},
  [9935] = {.lex_state = 67, .external_lex_state = 60},
  [9936] = {.lex_state = 67, .external_lex_state = 60},
  [9937] = {.lex_state = 67, .external_lex_state = 43},
  [9938] = {.lex_state = 67, .external_lex_state = 58},
  [9939] = {.lex_state = 67},
  [9940] = {.lex_state = 67, .external_lex_state = 34},
  [9941] = {.lex_state = 58, .external_lex_state = 43},
  [9942] = {.lex_state = 67},
  [9943] = {.lex_state = 67, .external_lex_state = 39},
  [9944] = {.lex_state = 67},
  [9945] = {.lex_state = 22, .external_lex_state = 45},
  [9946] = {.lex_state = 66, .external_lex_state = 53},
  [9947] = {.lex_state = 58, .external_lex_state = 53},
  [9948] = {.lex_state = 67, .external_lex_state = 34},
  [9949] = {.lex_state = 67, .external_lex_state = 26},
  [9950] = {.lex_state = 67},
  [9951] = {.lex_state = 67},
  [9952] = {.lex_state = 58, .external_lex_state = 43},
  [9953] = {.lex_state = 66, .external_lex_state = 51},
  [9954] = {.lex_state = 58, .external_lex_state = 35},
  [9955] = {.lex_state = 67},
  [9956] = {.lex_state = 24, .external_lex_state = 45},
  [9957] = {.lex_state = 67, .external_lex_state = 33},
  [9958] = {.lex_state = 67},
  [9959] = {.lex_state = 57, .external_lex_state = 25},
  [9960] = {.lex_state = 67, .external_lex_state = 33},
  [9961] = {.lex_state = 67, .external_lex_state = 48},
  [9962] = {.lex_state = 67, .external_lex_state = 36},
  [9963] = {.lex_state = 6},
  [9964] = {.lex_state = 67, .external_lex_state = 33},
  [9965] = {.lex_state = 66, .external_lex_state = 53},
  [9966] = {.lex_state = 67, .external_lex_state = 27},
  [9967] = {.lex_state = 58, .external_lex_state = 43},
  [9968] = {.lex_state = 58, .external_lex_state = 26},
  [9969] = {.lex_state = 67, .external_lex_state = 34},
  [9970] = {.lex_state = 24, .external_lex_state = 45},
  [9971] = {.lex_state = 58, .external_lex_state = 48},
  [9972] = {.lex_state = 58, .external_lex_state = 37},
  [9973] = {.lex_state = 67, .external_lex_state = 33},
  [9974] = {.lex_state = 67, .external_lex_state = 33},
  [9975] = {.lex_state = 58, .external_lex_state = 26},
  [9976] = {.lex_state = 67, .external_lex_state = 27},
  [9977] = {.lex_state = 66, .external_lex_state = 48},
  [9978] = {.lex_state = 67, .external_lex_state = 59},
  [9979] = {.lex_state = 24, .external_lex_state = 45},
  [9980] = {.lex_state = 13, .external_lex_state = 45},
  [9981] = {.lex_state = 67, .external_lex_state = 39},
  [9982] = {.lex_state = 68, .external_lex_state = 25},
  [9983] = {.lex_state = 67},
  [9984] = {.lex_state = 67},
  [9985] = {.lex_state = 6},
  [9986] = {.lex_state = 67, .external_lex_state = 34},
  [9987] = {.lex_state = 67, .external_lex_state = 27},
  [9988] = {.lex_state = 56},
  [9989] = {.lex_state = 67},
  [9990] = {.lex_state = 58, .external_lex_state = 44},
  [9991] = {.lex_state = 67, .external_lex_state = 33},
  [9992] = {.lex_state = 67, .external_lex_state = 33},
  [9993] = {.lex_state = 67},
  [9994] = {.lex_state = 20, .external_lex_state = 45},
  [9995] = {.lex_state = 58, .external_lex_state = 43},
  [9996] = {.lex_state = 57, .external_lex_state = 45},
  [9997] = {.lex_state = 67, .external_lex_state = 26},
  [9998] = {.lex_state = 66, .external_lex_state = 51},
  [9999] = {.lex_state = 67, .external_lex_state = 36},
  [10000] = {.lex_state = 67, .external_lex_state = 34},
  [10001] = {.lex_state = 67, .external_lex_state = 34},
  [10002] = {.lex_state = 66, .external_lex_state = 52},
  [10003] = {.lex_state = 66, .external_lex_state = 52},
  [10004] = {.lex_state = 13, .external_lex_state = 45},
  [10005] = {.lex_state = 68, .external_lex_state = 26},
  [10006] = {.lex_state = 67, .external_lex_state = 37},
  [10007] = {.lex_state = 67, .external_lex_state = 27},
  [10008] = {.lex_state = 58, .external_lex_state = 31},
  [10009] = {.lex_state = 67, .external_lex_state = 27},
  [10010] = {.lex_state = 58, .external_lex_state = 48},
  [10011] = {.lex_state = 66, .external_lex_state = 48},
  [10012] = {.lex_state = 67, .external_lex_state = 34},
  [10013] = {.lex_state = 66, .external_lex_state = 48},
  [10014] = {.lex_state = 66, .external_lex_state = 48},
  [10015] = {.lex_state = 67},
  [10016] = {.lex_state = 24, .external_lex_state = 45},
  [10017] = {.lex_state = 67, .external_lex_state = 53},
  [10018] = {.lex_state = 65, .external_lex_state = 39},
  [10019] = {.lex_state = 55, .external_lex_state = 61},
  [10020] = {.lex_state = 65, .external_lex_state = 39},
  [10021] = {.lex_state = 65, .external_lex_state = 39},
  [10022] = {.lex_state = 67, .external_lex_state = 43},
  [10023] = {.lex_state = 66, .external_lex_state = 52},
  [10024] = {.lex_state = 55, .external_lex_state = 61},
  [10025] = {.lex_state = 67, .external_lex_state = 33},
  [10026] = {.lex_state = 55, .external_lex_state = 61},
  [10027] = {.lex_state = 67, .external_lex_state = 27},
  [10028] = {.lex_state = 66, .external_lex_state = 52},
  [10029] = {.lex_state = 67, .external_lex_state = 33},
  [10030] = {.lex_state = 67, .external_lex_state = 33},
  [10031] = {.lex_state = 67, .external_lex_state = 27},
  [10032] = {.lex_state = 67, .external_lex_state = 34},
  [10033] = {.lex_state = 67, .external_lex_state = 33},
  [10034] = {.lex_state = 67, .external_lex_state = 27},
  [10035] = {.lex_state = 67, .external_lex_state = 52},
  [10036] = {.lex_state = 66, .external_lex_state = 51},
  [10037] = {.lex_state = 67},
  [10038] = {.lex_state = 66, .external_lex_state = 52},
  [10039] = {.lex_state = 66, .external_lex_state = 35},
  [10040] = {.lex_state = 67, .external_lex_state = 33},
  [10041] = {.lex_state = 67, .external_lex_state = 58},
  [10042] = {.lex_state = 67, .external_lex_state = 33},
  [10043] = {.lex_state = 66, .external_lex_state = 51},
  [10044] = {.lex_state = 67, .external_lex_state = 34},
  [10045] = {.lex_state = 55, .external_lex_state = 45},
  [10046] = {.lex_state = 67},
  [10047] = {.lex_state = 67, .external_lex_state = 37},
  [10048] = {.lex_state = 67, .external_lex_state = 35},
  [10049] = {.lex_state = 67, .external_lex_state = 33},
  [10050] = {.lex_state = 67, .external_lex_state = 34},
  [10051] = {.lex_state = 66, .external_lex_state = 52},
  [10052] = {.lex_state = 67, .external_lex_state = 33},
  [10053] = {.lex_state = 67, .external_lex_state = 33},
  [10054] = {.lex_state = 57},
  [10055] = {.lex_state = 17, .external_lex_state = 2},
  [10056] = {.lex_state = 67},
  [10057] = {.lex_state = 67, .external_lex_state = 27},
  [10058] = {.lex_state = 67, .external_lex_state = 33},
  [10059] = {.lex_state = 66, .external_lex_state = 52},
  [10060] = {.lex_state = 67, .external_lex_state = 26},
  [10061] = {.lex_state = 58, .external_lex_state = 59},
  [10062] = {.lex_state = 67},
  [10063] = {.lex_state = 68, .external_lex_state = 54},
  [10064] = {.lex_state = 67, .external_lex_state = 27},
  [10065] = {.lex_state = 66, .external_lex_state = 52},
  [10066] = {.lex_state = 67},
  [10067] = {.lex_state = 67, .external_lex_state = 34},
  [10068] = {.lex_state = 67, .external_lex_state = 30},
  [10069] = {.lex_state = 55, .external_lex_state = 45},
  [10070] = {.lex_state = 67, .external_lex_state = 34},
  [10071] = {.lex_state = 66, .external_lex_state = 51},
  [10072] = {.lex_state = 67, .external_lex_state = 35},
  [10073] = {.lex_state = 68, .external_lex_state = 54},
  [10074] = {.lex_state = 67},
  [10075] = {.lex_state = 58, .external_lex_state = 26},
  [10076] = {.lex_state = 67, .external_lex_state = 39},
  [10077] = {.lex_state = 67},
  [10078] = {.lex_state = 58, .external_lex_state = 25},
  [10079] = {.lex_state = 67, .external_lex_state = 27},
  [10080] = {.lex_state = 67, .external_lex_state = 26},
  [10081] = {.lex_state = 66, .external_lex_state = 52},
  [10082] = {.lex_state = 55, .external_lex_state = 61},
  [10083] = {.lex_state = 66, .external_lex_state = 52},
  [10084] = {.lex_state = 66, .external_lex_state = 52},
  [10085] = {.lex_state = 67, .external_lex_state = 25},
  [10086] = {.lex_state = 67},
  [10087] = {.lex_state = 68, .external_lex_state = 25},
  [10088] = {.lex_state = 67, .external_lex_state = 34},
  [10089] = {.lex_state = 67, .external_lex_state = 34},
  [10090] = {.lex_state = 66, .external_lex_state = 48},
  [10091] = {.lex_state = 67, .external_lex_state = 51},
  [10092] = {.lex_state = 67, .external_lex_state = 51},
  [10093] = {.lex_state = 17, .external_lex_state = 2},
  [10094] = {.lex_state = 67, .external_lex_state = 34},
  [10095] = {.lex_state = 56},
  [10096] = {.lex_state = 6},
  [10097] = {.lex_state = 66, .external_lex_state = 48},
  [10098] = {.lex_state = 58, .external_lex_state = 44},
  [10099] = {.lex_state = 67, .external_lex_state = 48},
  [10100] = {.lex_state = 66, .external_lex_state = 52},
  [10101] = {.lex_state = 65, .external_lex_state = 36},
  [10102] = {.lex_state = 67, .external_lex_state = 60},
  [10103] = {.lex_state = 67},
  [10104] = {.lex_state = 67},
  [10105] = {.lex_state = 67, .external_lex_state = 59},
  [10106] = {.lex_state = 67, .external_lex_state = 36},
  [10107] = {.lex_state = 65, .external_lex_state = 40},
  [10108] = {.lex_state = 67, .external_lex_state = 33},
  [10109] = {.lex_state = 67, .external_lex_state = 33},
  [10110] = {.lex_state = 68, .external_lex_state = 25},
  [10111] = {.lex_state = 67, .external_lex_state = 33},
  [10112] = {.lex_state = 67, .external_lex_state = 39},
  [10113] = {.lex_state = 66, .external_lex_state = 48},
  [10114] = {.lex_state = 66, .external_lex_state = 51},
  [10115] = {.lex_state = 67},
  [10116] = {.lex_state = 66, .external_lex_state = 51},
  [10117] = {.lex_state = 67, .external_lex_state = 40},
  [10118] = {.lex_state = 66, .external_lex_state = 37},
  [10119] = {.lex_state = 56},
  [10120] = {.lex_state = 67, .external_lex_state = 26},
  [10121] = {.lex_state = 68, .external_lex_state = 27},
  [10122] = {.lex_state = 66, .external_lex_state = 48},
  [10123] = {.lex_state = 66, .external_lex_state = 53},
  [10124] = {.lex_state = 67, .external_lex_state = 26},
  [10125] = {.lex_state = 67, .external_lex_state = 52},
  [10126] = {.lex_state = 58, .external_lex_state = 32},
  [10127] = {.lex_state = 67, .external_lex_state = 34},
  [10128] = {.lex_state = 17, .external_lex_state = 2},
  [10129] = {.lex_state = 58, .external_lex_state = 27},
  [10130] = {.lex_state = 67, .external_lex_state = 27},
  [10131] = {.lex_state = 67},
  [10132] = {.lex_state = 67, .external_lex_state = 34},
  [10133] = {.lex_state = 58, .external_lex_state = 32},
  [10134] = {.lex_state = 58, .external_lex_state = 53},
  [10135] = {.lex_state = 67},
  [10136] = {.lex_state = 66, .external_lex_state = 33},
  [10137] = {.lex_state = 58, .external_lex_state = 25},
  [10138] = {.lex_state = 66, .external_lex_state = 48},
  [10139] = {.lex_state = 67},
  [10140] = {.lex_state = 66, .external_lex_state = 48},
  [10141] = {.lex_state = 66, .external_lex_state = 48},
  [10142] = {.lex_state = 67},
  [10143] = {.lex_state = 67},
  [10144] = {.lex_state = 65, .external_lex_state = 36},
  [10145] = {.lex_state = 58, .external_lex_state = 44},
  [10146] = {.lex_state = 58, .external_lex_state = 44},
  [10147] = {.lex_state = 67, .external_lex_state = 26},
  [10148] = {.lex_state = 67, .external_lex_state = 36},
  [10149] = {.lex_state = 56},
  [10150] = {.lex_state = 58, .external_lex_state = 44},
  [10151] = {.lex_state = 67, .external_lex_state = 34},
  [10152] = {.lex_state = 66, .external_lex_state = 35},
  [10153] = {.lex_state = 66, .external_lex_state = 48},
  [10154] = {.lex_state = 67, .external_lex_state = 34},
  [10155] = {.lex_state = 6},
  [10156] = {.lex_state = 58, .external_lex_state = 26},
  [10157] = {.lex_state = 66, .external_lex_state = 51},
  [10158] = {.lex_state = 59, .external_lex_state = 26},
  [10159] = {.lex_state = 58, .external_lex_state = 58},
  [10160] = {.lex_state = 67},
  [10161] = {.lex_state = 66, .external_lex_state = 53},
  [10162] = {.lex_state = 22, .external_lex_state = 45},
  [10163] = {.lex_state = 6},
  [10164] = {.lex_state = 67, .external_lex_state = 25},
  [10165] = {.lex_state = 67, .external_lex_state = 27},
  [10166] = {.lex_state = 67, .external_lex_state = 27},
  [10167] = {.lex_state = 56},
  [10168] = {.lex_state = 65, .external_lex_state = 39},
  [10169] = {.lex_state = 67, .external_lex_state = 26},
  [10170] = {.lex_state = 67, .external_lex_state = 34},
  [10171] = {.lex_state = 67},
  [10172] = {.lex_state = 57, .external_lex_state = 45},
  [10173] = {.lex_state = 57, .external_lex_state = 25},
  [10174] = {.lex_state = 67, .external_lex_state = 34},
  [10175] = {.lex_state = 58, .external_lex_state = 43},
  [10176] = {.lex_state = 58, .external_lex_state = 43},
  [10177] = {.lex_state = 67},
  [10178] = {.lex_state = 20},
  [10179] = {.lex_state = 58, .external_lex_state = 43},
  [10180] = {.lex_state = 67, .external_lex_state = 34},
  [10181] = {.lex_state = 68, .external_lex_state = 25},
  [10182] = {.lex_state = 57, .external_lex_state = 26},
  [10183] = {.lex_state = 58, .external_lex_state = 26},
  [10184] = {.lex_state = 67, .external_lex_state = 33},
  [10185] = {.lex_state = 67, .external_lex_state = 34},
  [10186] = {.lex_state = 67, .external_lex_state = 51},
  [10187] = {.lex_state = 66, .external_lex_state = 51},
  [10188] = {.lex_state = 66, .external_lex_state = 51},
  [10189] = {.lex_state = 66, .external_lex_state = 37},
  [10190] = {.lex_state = 66, .external_lex_state = 51},
  [10191] = {.lex_state = 67, .external_lex_state = 53},
  [10192] = {.lex_state = 67, .external_lex_state = 25},
  [10193] = {.lex_state = 67, .external_lex_state = 33},
  [10194] = {.lex_state = 67, .external_lex_state = 34},
  [10195] = {.lex_state = 67, .external_lex_state = 60},
  [10196] = {.lex_state = 67, .external_lex_state = 33},
  [10197] = {.lex_state = 58, .external_lex_state = 30},
  [10198] = {.lex_state = 56},
  [10199] = {.lex_state = 67, .external_lex_state = 27},
  [10200] = {.lex_state = 67},
  [10201] = {.lex_state = 65, .external_lex_state = 40},
  [10202] = {.lex_state = 67, .external_lex_state = 25},
  [10203] = {.lex_state = 65, .external_lex_state = 40},
  [10204] = {.lex_state = 65, .external_lex_state = 40},
  [10205] = {.lex_state = 58, .external_lex_state = 44},
  [10206] = {.lex_state = 67, .external_lex_state = 39},
  [10207] = {.lex_state = 66, .external_lex_state = 48},
  [10208] = {.lex_state = 55, .external_lex_state = 45},
  [10209] = {.lex_state = 67, .external_lex_state = 27},
  [10210] = {.lex_state = 67, .external_lex_state = 27},
  [10211] = {.lex_state = 67},
  [10212] = {.lex_state = 67, .external_lex_state = 27},
  [10213] = {.lex_state = 66, .external_lex_state = 25},
  [10214] = {.lex_state = 67},
  [10215] = {.lex_state = 67},
  [10216] = {.lex_state = 67, .external_lex_state = 27},
  [10217] = {.lex_state = 67, .external_lex_state = 34},
  [10218] = {.lex_state = 67, .external_lex_state = 34},
  [10219] = {.lex_state = 67, .external_lex_state = 25},
  [10220] = {.lex_state = 67, .external_lex_state = 26},
  [10221] = {.lex_state = 67},
  [10222] = {.lex_state = 67, .external_lex_state = 58},
  [10223] = {.lex_state = 67, .external_lex_state = 27},
  [10224] = {.lex_state = 55, .external_lex_state = 61},
  [10225] = {.lex_state = 65, .external_lex_state = 36},
  [10226] = {.lex_state = 17, .external_lex_state = 2},
  [10227] = {.lex_state = 67, .external_lex_state = 27},
  [10228] = {.lex_state = 67},
  [10229] = {.lex_state = 67},
  [10230] = {.lex_state = 67, .external_lex_state = 26},
  [10231] = {.lex_state = 67, .external_lex_state = 33},
  [10232] = {.lex_state = 65, .external_lex_state = 36},
  [10233] = {.lex_state = 65, .external_lex_state = 36},
  [10234] = {.lex_state = 67, .external_lex_state = 27},
  [10235] = {.lex_state = 58, .external_lex_state = 31},
  [10236] = {.lex_state = 67, .external_lex_state = 34},
  [10237] = {.lex_state = 67, .external_lex_state = 36},
  [10238] = {.lex_state = 66, .external_lex_state = 53},
  [10239] = {.lex_state = 66, .external_lex_state = 53},
  [10240] = {.lex_state = 67, .external_lex_state = 34},
  [10241] = {.lex_state = 55, .external_lex_state = 61},
  [10242] = {.lex_state = 67, .external_lex_state = 34},
  [10243] = {.lex_state = 67, .external_lex_state = 34},
  [10244] = {.lex_state = 55, .external_lex_state = 61},
  [10245] = {.lex_state = 55, .external_lex_state = 61},
  [10246] = {.lex_state = 67, .external_lex_state = 34},
  [10247] = {.lex_state = 55, .external_lex_state = 61},
  [10248] = {.lex_state = 55, .external_lex_state = 61},
  [10249] = {.lex_state = 66, .external_lex_state = 25},
  [10250] = {.lex_state = 55, .external_lex_state = 61},
  [10251] = {.lex_state = 67},
  [10252] = {.lex_state = 67, .external_lex_state = 52},
  [10253] = {.lex_state = 55, .external_lex_state = 61},
  [10254] = {.lex_state = 55, .external_lex_state = 61},
  [10255] = {.lex_state = 67, .external_lex_state = 52},
  [10256] = {.lex_state = 20, .external_lex_state = 45},
  [10257] = {.lex_state = 55, .external_lex_state = 61},
  [10258] = {.lex_state = 55, .external_lex_state = 61},
  [10259] = {.lex_state = 66, .external_lex_state = 53},
  [10260] = {.lex_state = 17, .external_lex_state = 2},
  [10261] = {.lex_state = 67},
  [10262] = {.lex_state = 67},
  [10263] = {.lex_state = 67, .external_lex_state = 33},
  [10264] = {.lex_state = 67, .external_lex_state = 33},
  [10265] = {.lex_state = 67, .external_lex_state = 33},
  [10266] = {.lex_state = 66, .external_lex_state = 53},
  [10267] = {.lex_state = 23, .external_lex_state = 45},
  [10268] = {.lex_state = 17, .external_lex_state = 2},
  [10269] = {.lex_state = 67},
  [10270] = {.lex_state = 66, .external_lex_state = 34},
  [10271] = {.lex_state = 67, .external_lex_state = 27},
  [10272] = {.lex_state = 67, .external_lex_state = 33},
  [10273] = {.lex_state = 58, .external_lex_state = 35},
  [10274] = {.lex_state = 58, .external_lex_state = 44},
  [10275] = {.lex_state = 67, .external_lex_state = 25},
  [10276] = {.lex_state = 58, .external_lex_state = 44},
  [10277] = {.lex_state = 54, .external_lex_state = 45},
  [10278] = {.lex_state = 67},
  [10279] = {.lex_state = 17, .external_lex_state = 2},
  [10280] = {.lex_state = 67},
  [10281] = {.lex_state = 58, .external_lex_state = 44},
  [10282] = {.lex_state = 67, .external_lex_state = 27},
  [10283] = {.lex_state = 67},
  [10284] = {.lex_state = 67, .external_lex_state = 51},
  [10285] = {.lex_state = 58, .external_lex_state = 44},
  [10286] = {.lex_state = 67, .external_lex_state = 30},
  [10287] = {.lex_state = 58, .external_lex_state = 43},
  [10288] = {.lex_state = 66, .external_lex_state = 27},
  [10289] = {.lex_state = 58, .external_lex_state = 44},
  [10290] = {.lex_state = 58, .external_lex_state = 60},
  [10291] = {.lex_state = 67, .external_lex_state = 34},
  [10292] = {.lex_state = 67, .external_lex_state = 27},
  [10293] = {.lex_state = 67},
  [10294] = {.lex_state = 67},
  [10295] = {.lex_state = 66, .external_lex_state = 53},
  [10296] = {.lex_state = 66, .external_lex_state = 53},
  [10297] = {.lex_state = 66, .external_lex_state = 53},
  [10298] = {.lex_state = 66, .external_lex_state = 53},
  [10299] = {.lex_state = 58, .external_lex_state = 44},
  [10300] = {.lex_state = 67},
  [10301] = {.lex_state = 67, .external_lex_state = 27},
  [10302] = {.lex_state = 67},
  [10303] = {.lex_state = 67, .external_lex_state = 27},
  [10304] = {.lex_state = 55, .external_lex_state = 45},
  [10305] = {.lex_state = 67},
  [10306] = {.lex_state = 58, .external_lex_state = 44},
  [10307] = {.lex_state = 67, .external_lex_state = 34},
  [10308] = {.lex_state = 67, .external_lex_state = 33},
  [10309] = {.lex_state = 66, .external_lex_state = 48},
  [10310] = {.lex_state = 58, .external_lex_state = 61},
  [10311] = {.lex_state = 67},
  [10312] = {.lex_state = 58, .external_lex_state = 43},
  [10313] = {.lex_state = 58, .external_lex_state = 61},
  [10314] = {.lex_state = 67},
  [10315] = {.lex_state = 67},
  [10316] = {.lex_state = 67, .external_lex_state = 33},
  [10317] = {.lex_state = 67, .external_lex_state = 34},
  [10318] = {.lex_state = 67, .external_lex_state = 34},
  [10319] = {.lex_state = 22, .external_lex_state = 45},
  [10320] = {.lex_state = 66, .external_lex_state = 53},
  [10321] = {.lex_state = 55, .external_lex_state = 61},
  [10322] = {.lex_state = 67, .external_lex_state = 26},
  [10323] = {.lex_state = 67, .external_lex_state = 30},
  [10324] = {.lex_state = 67},
  [10325] = {.lex_state = 67, .external_lex_state = 27},
  [10326] = {.lex_state = 58, .external_lex_state = 37},
  [10327] = {.lex_state = 58, .external_lex_state = 43},
  [10328] = {.lex_state = 58, .external_lex_state = 43},
  [10329] = {.lex_state = 65, .external_lex_state = 39},
  [10330] = {.lex_state = 58, .external_lex_state = 43},
  [10331] = {.lex_state = 66, .external_lex_state = 52},
  [10332] = {.lex_state = 58, .external_lex_state = 43},
  [10333] = {.lex_state = 58, .external_lex_state = 43},
  [10334] = {.lex_state = 67, .external_lex_state = 27},
  [10335] = {.lex_state = 58, .external_lex_state = 26},
  [10336] = {.lex_state = 66, .external_lex_state = 51},
  [10337] = {.lex_state = 58, .external_lex_state = 27},
  [10338] = {.lex_state = 66, .external_lex_state = 51},
  [10339] = {.lex_state = 66, .external_lex_state = 51},
  [10340] = {.lex_state = 66, .external_lex_state = 52},
  [10341] = {.lex_state = 67},
  [10342] = {.lex_state = 58, .external_lex_state = 44},
  [10343] = {.lex_state = 67, .external_lex_state = 33},
  [10344] = {.lex_state = 67, .external_lex_state = 33},
  [10345] = {.lex_state = 67, .external_lex_state = 33},
  [10346] = {.lex_state = 67, .external_lex_state = 34},
  [10347] = {.lex_state = 65, .external_lex_state = 40},
  [10348] = {.lex_state = 67, .external_lex_state = 33},
  [10349] = {.lex_state = 67},
  [10350] = {.lex_state = 67, .external_lex_state = 33},
  [10351] = {.lex_state = 17, .external_lex_state = 2},
  [10352] = {.lex_state = 67},
  [10353] = {.lex_state = 22, .external_lex_state = 45},
  [10354] = {.lex_state = 66, .external_lex_state = 53},
  [10355] = {.lex_state = 67, .external_lex_state = 27},
  [10356] = {.lex_state = 67, .external_lex_state = 27},
  [10357] = {.lex_state = 23, .external_lex_state = 45},
  [10358] = {.lex_state = 67, .external_lex_state = 33},
  [10359] = {.lex_state = 54, .external_lex_state = 45},
  [10360] = {.lex_state = 67, .external_lex_state = 36},
  [10361] = {.lex_state = 58, .external_lex_state = 26},
  [10362] = {.lex_state = 57, .external_lex_state = 27},
  [10363] = {.lex_state = 56},
  [10364] = {.lex_state = 56},
  [10365] = {.lex_state = 56},
  [10366] = {.lex_state = 58, .external_lex_state = 26},
  [10367] = {.lex_state = 54, .external_lex_state = 45},
  [10368] = {.lex_state = 58, .external_lex_state = 26},
  [10369] = {.lex_state = 67, .external_lex_state = 39},
  [10370] = {.lex_state = 14, .external_lex_state = 45},
  [10371] = {.lex_state = 58, .external_lex_state = 26},
  [10372] = {.lex_state = 56},
  [10373] = {.lex_state = 14, .external_lex_state = 45},
  [10374] = {.lex_state = 67, .external_lex_state = 36},
  [10375] = {.lex_state = 57, .external_lex_state = 27},
  [10376] = {.lex_state = 65, .external_lex_state = 26},
  [10377] = {.lex_state = 67, .external_lex_state = 59},
  [10378] = {.lex_state = 14, .external_lex_state = 45},
  [10379] = {.lex_state = 65, .external_lex_state = 26},
  [10380] = {.lex_state = 67, .external_lex_state = 27},
  [10381] = {.lex_state = 57, .external_lex_state = 27},
  [10382] = {.lex_state = 57, .external_lex_state = 26},
  [10383] = {.lex_state = 57, .external_lex_state = 26},
  [10384] = {.lex_state = 65, .external_lex_state = 44},
  [10385] = {.lex_state = 65, .external_lex_state = 43},
  [10386] = {.lex_state = 67, .external_lex_state = 36},
  [10387] = {.lex_state = 67, .external_lex_state = 36},
  [10388] = {.lex_state = 6},
  [10389] = {.lex_state = 14, .external_lex_state = 45},
  [10390] = {.lex_state = 57, .external_lex_state = 27},
  [10391] = {.lex_state = 67, .external_lex_state = 39},
  [10392] = {.lex_state = 58, .external_lex_state = 26},
  [10393] = {.lex_state = 14, .external_lex_state = 45},
  [10394] = {.lex_state = 57, .external_lex_state = 26},
  [10395] = {.lex_state = 58, .external_lex_state = 58},
  [10396] = {.lex_state = 65, .external_lex_state = 44},
  [10397] = {.lex_state = 14, .external_lex_state = 45},
  [10398] = {.lex_state = 57, .external_lex_state = 26},
  [10399] = {.lex_state = 14, .external_lex_state = 45},
  [10400] = {.lex_state = 14, .external_lex_state = 45},
  [10401] = {.lex_state = 56},
  [10402] = {.lex_state = 67, .external_lex_state = 39},
  [10403] = {.lex_state = 57, .external_lex_state = 26},
  [10404] = {.lex_state = 57, .external_lex_state = 26},
  [10405] = {.lex_state = 23, .external_lex_state = 45},
  [10406] = {.lex_state = 54, .external_lex_state = 45},
  [10407] = {.lex_state = 67, .external_lex_state = 34},
  [10408] = {.lex_state = 65, .external_lex_state = 44},
  [10409] = {.lex_state = 65, .external_lex_state = 44},
  [10410] = {.lex_state = 57, .external_lex_state = 26},
  [10411] = {.lex_state = 56},
  [10412] = {.lex_state = 67, .external_lex_state = 34},
  [10413] = {.lex_state = 56},
  [10414] = {.lex_state = 67, .external_lex_state = 34},
  [10415] = {.lex_state = 14, .external_lex_state = 45},
  [10416] = {.lex_state = 14, .external_lex_state = 45},
  [10417] = {.lex_state = 67, .external_lex_state = 60},
  [10418] = {.lex_state = 67, .external_lex_state = 36},
  [10419] = {.lex_state = 67, .external_lex_state = 39},
  [10420] = {.lex_state = 67, .external_lex_state = 39},
  [10421] = {.lex_state = 66, .external_lex_state = 60},
  [10422] = {.lex_state = 66, .external_lex_state = 60},
  [10423] = {.lex_state = 22, .external_lex_state = 45},
  [10424] = {.lex_state = 6},
  [10425] = {.lex_state = 58, .external_lex_state = 48},
  [10426] = {.lex_state = 67, .external_lex_state = 25},
  [10427] = {.lex_state = 67, .external_lex_state = 60},
  [10428] = {.lex_state = 67, .external_lex_state = 27},
  [10429] = {.lex_state = 57, .external_lex_state = 26},
  [10430] = {.lex_state = 57, .external_lex_state = 27},
  [10431] = {.lex_state = 67, .external_lex_state = 58},
  [10432] = {.lex_state = 66, .external_lex_state = 36},
  [10433] = {.lex_state = 58, .external_lex_state = 27},
  [10434] = {.lex_state = 66, .external_lex_state = 60},
  [10435] = {.lex_state = 67, .external_lex_state = 25},
  [10436] = {.lex_state = 67, .external_lex_state = 39},
  [10437] = {.lex_state = 67, .external_lex_state = 36},
  [10438] = {.lex_state = 14, .external_lex_state = 45},
  [10439] = {.lex_state = 14, .external_lex_state = 45},
  [10440] = {.lex_state = 56},
  [10441] = {.lex_state = 54, .external_lex_state = 45},
  [10442] = {.lex_state = 67, .external_lex_state = 39},
  [10443] = {.lex_state = 66, .external_lex_state = 58},
  [10444] = {.lex_state = 67, .external_lex_state = 36},
  [10445] = {.lex_state = 67, .external_lex_state = 39},
  [10446] = {.lex_state = 54, .external_lex_state = 45},
  [10447] = {.lex_state = 67, .external_lex_state = 59},
  [10448] = {.lex_state = 67, .external_lex_state = 36},
  [10449] = {.lex_state = 66, .external_lex_state = 30},
  [10450] = {.lex_state = 67, .external_lex_state = 39},
  [10451] = {.lex_state = 58, .external_lex_state = 51},
  [10452] = {.lex_state = 54, .external_lex_state = 45},
  [10453] = {.lex_state = 23, .external_lex_state = 45},
  [10454] = {.lex_state = 54, .external_lex_state = 45},
  [10455] = {.lex_state = 66, .external_lex_state = 30},
  [10456] = {.lex_state = 58, .external_lex_state = 51},
  [10457] = {.lex_state = 60, .external_lex_state = 28},
  [10458] = {.lex_state = 67, .external_lex_state = 40},
  [10459] = {.lex_state = 55, .external_lex_state = 61},
  [10460] = {.lex_state = 7},
  [10461] = {.lex_state = 67, .external_lex_state = 39},
  [10462] = {.lex_state = 57, .external_lex_state = 26},
  [10463] = {.lex_state = 66, .external_lex_state = 58},
  [10464] = {.lex_state = 54, .external_lex_state = 45},
  [10465] = {.lex_state = 14, .external_lex_state = 45},
  [10466] = {.lex_state = 58, .external_lex_state = 51},
  [10467] = {.lex_state = 66, .external_lex_state = 30},
  [10468] = {.lex_state = 54, .external_lex_state = 45},
  [10469] = {.lex_state = 67, .external_lex_state = 36},
  [10470] = {.lex_state = 66, .external_lex_state = 59},
  [10471] = {.lex_state = 54, .external_lex_state = 45},
  [10472] = {.lex_state = 66, .external_lex_state = 60},
  [10473] = {.lex_state = 67, .external_lex_state = 36},
  [10474] = {.lex_state = 58, .external_lex_state = 27},
  [10475] = {.lex_state = 23, .external_lex_state = 45},
  [10476] = {.lex_state = 67, .external_lex_state = 60},
  [10477] = {.lex_state = 67, .external_lex_state = 39},
  [10478] = {.lex_state = 67, .external_lex_state = 39},
  [10479] = {.lex_state = 67, .external_lex_state = 59},
  [10480] = {.lex_state = 66, .external_lex_state = 30},
  [10481] = {.lex_state = 67},
  [10482] = {.lex_state = 67, .external_lex_state = 39},
  [10483] = {.lex_state = 67, .external_lex_state = 36},
  [10484] = {.lex_state = 66, .external_lex_state = 60},
  [10485] = {.lex_state = 58, .external_lex_state = 51},
  [10486] = {.lex_state = 58, .external_lex_state = 51},
  [10487] = {.lex_state = 66},
  [10488] = {.lex_state = 67, .external_lex_state = 39},
  [10489] = {.lex_state = 14, .external_lex_state = 45},
  [10490] = {.lex_state = 66, .external_lex_state = 30},
  [10491] = {.lex_state = 58, .external_lex_state = 51},
  [10492] = {.lex_state = 66, .external_lex_state = 60},
  [10493] = {.lex_state = 67, .external_lex_state = 36},
  [10494] = {.lex_state = 58, .external_lex_state = 52},
  [10495] = {.lex_state = 58, .external_lex_state = 51},
  [10496] = {.lex_state = 58, .external_lex_state = 51},
  [10497] = {.lex_state = 66, .external_lex_state = 30},
  [10498] = {.lex_state = 67, .external_lex_state = 53},
  [10499] = {.lex_state = 54, .external_lex_state = 45},
  [10500] = {.lex_state = 14, .external_lex_state = 45},
  [10501] = {.lex_state = 67, .external_lex_state = 36},
  [10502] = {.lex_state = 67},
  [10503] = {.lex_state = 65, .external_lex_state = 43},
  [10504] = {.lex_state = 67, .external_lex_state = 39},
  [10505] = {.lex_state = 66},
  [10506] = {.lex_state = 65, .external_lex_state = 43},
  [10507] = {.lex_state = 65, .external_lex_state = 43},
  [10508] = {.lex_state = 23, .external_lex_state = 45},
  [10509] = {.lex_state = 67, .external_lex_state = 36},
  [10510] = {.lex_state = 67, .external_lex_state = 59},
  [10511] = {.lex_state = 67, .external_lex_state = 36},
  [10512] = {.lex_state = 58, .external_lex_state = 53},
  [10513] = {.lex_state = 58},
  [10514] = {.lex_state = 67, .external_lex_state = 36},
  [10515] = {.lex_state = 56},
  [10516] = {.lex_state = 66, .external_lex_state = 60},
  [10517] = {.lex_state = 58, .external_lex_state = 48},
  [10518] = {.lex_state = 66, .external_lex_state = 59},
  [10519] = {.lex_state = 58, .external_lex_state = 51},
  [10520] = {.lex_state = 68, .external_lex_state = 25},
  [10521] = {.lex_state = 66, .external_lex_state = 25},
  [10522] = {.lex_state = 66, .external_lex_state = 59},
  [10523] = {.lex_state = 58, .external_lex_state = 52},
  [10524] = {.lex_state = 67, .external_lex_state = 26},
  [10525] = {.lex_state = 67, .external_lex_state = 26},
  [10526] = {.lex_state = 54, .external_lex_state = 45},
  [10527] = {.lex_state = 67, .external_lex_state = 36},
  [10528] = {.lex_state = 66, .external_lex_state = 30},
  [10529] = {.lex_state = 66, .external_lex_state = 59},
  [10530] = {.lex_state = 67, .external_lex_state = 36},
  [10531] = {.lex_state = 58, .external_lex_state = 52},
  [10532] = {.lex_state = 58, .external_lex_state = 52},
  [10533] = {.lex_state = 58, .external_lex_state = 53},
  [10534] = {.lex_state = 66, .external_lex_state = 59},
  [10535] = {.lex_state = 66, .external_lex_state = 59},
  [10536] = {.lex_state = 58, .external_lex_state = 48},
  [10537] = {.lex_state = 58, .external_lex_state = 48},
  [10538] = {.lex_state = 66, .external_lex_state = 59},
  [10539] = {.lex_state = 66, .external_lex_state = 60},
  [10540] = {.lex_state = 58, .external_lex_state = 48},
  [10541] = {.lex_state = 68, .external_lex_state = 26},
  [10542] = {.lex_state = 58, .external_lex_state = 48},
  [10543] = {.lex_state = 58, .external_lex_state = 48},
  [10544] = {.lex_state = 14, .external_lex_state = 45},
  [10545] = {.lex_state = 57, .external_lex_state = 26},
  [10546] = {.lex_state = 66},
  [10547] = {.lex_state = 58, .external_lex_state = 26},
  [10548] = {.lex_state = 54, .external_lex_state = 45},
  [10549] = {.lex_state = 58, .external_lex_state = 48},
  [10550] = {.lex_state = 66, .external_lex_state = 60},
  [10551] = {.lex_state = 67, .external_lex_state = 36},
  [10552] = {.lex_state = 57, .external_lex_state = 27},
  [10553] = {.lex_state = 56},
  [10554] = {.lex_state = 67, .external_lex_state = 26},
  [10555] = {.lex_state = 67, .external_lex_state = 26},
  [10556] = {.lex_state = 67, .external_lex_state = 39},
  [10557] = {.lex_state = 54, .external_lex_state = 45},
  [10558] = {.lex_state = 58, .external_lex_state = 52},
  [10559] = {.lex_state = 58, .external_lex_state = 26},
  [10560] = {.lex_state = 66},
  [10561] = {.lex_state = 66, .external_lex_state = 58},
  [10562] = {.lex_state = 66, .external_lex_state = 59},
  [10563] = {.lex_state = 66, .external_lex_state = 58},
  [10564] = {.lex_state = 66, .external_lex_state = 58},
  [10565] = {.lex_state = 67, .external_lex_state = 39},
  [10566] = {.lex_state = 66, .external_lex_state = 59},
  [10567] = {.lex_state = 54, .external_lex_state = 45},
  [10568] = {.lex_state = 66, .external_lex_state = 59},
  [10569] = {.lex_state = 58, .external_lex_state = 61},
  [10570] = {.lex_state = 67, .external_lex_state = 36},
  [10571] = {.lex_state = 66, .external_lex_state = 59},
  [10572] = {.lex_state = 66},
  [10573] = {.lex_state = 67, .external_lex_state = 36},
  [10574] = {.lex_state = 24},
  [10575] = {.lex_state = 58, .external_lex_state = 53},
  [10576] = {.lex_state = 58, .external_lex_state = 48},
  [10577] = {.lex_state = 58, .external_lex_state = 53},
  [10578] = {.lex_state = 57, .external_lex_state = 27},
  [10579] = {.lex_state = 66},
  [10580] = {.lex_state = 58, .external_lex_state = 51},
  [10581] = {.lex_state = 59, .external_lex_state = 26},
  [10582] = {.lex_state = 66, .external_lex_state = 60},
  [10583] = {.lex_state = 58, .external_lex_state = 53},
  [10584] = {.lex_state = 57, .external_lex_state = 27},
  [10585] = {.lex_state = 66, .external_lex_state = 60},
  [10586] = {.lex_state = 66, .external_lex_state = 60},
  [10587] = {.lex_state = 58, .external_lex_state = 52},
  [10588] = {.lex_state = 58, .external_lex_state = 48},
  [10589] = {.lex_state = 66, .external_lex_state = 25},
  [10590] = {.lex_state = 56},
  [10591] = {.lex_state = 67, .external_lex_state = 33},
  [10592] = {.lex_state = 54, .external_lex_state = 45},
  [10593] = {.lex_state = 58, .external_lex_state = 37},
  [10594] = {.lex_state = 58, .external_lex_state = 53},
  [10595] = {.lex_state = 66},
  [10596] = {.lex_state = 58, .external_lex_state = 51},
  [10597] = {.lex_state = 58, .external_lex_state = 52},
  [10598] = {.lex_state = 58, .external_lex_state = 53},
  [10599] = {.lex_state = 67, .external_lex_state = 40},
  [10600] = {.lex_state = 58, .external_lex_state = 26},
  [10601] = {.lex_state = 65, .external_lex_state = 26},
  [10602] = {.lex_state = 67, .external_lex_state = 39},
  [10603] = {.lex_state = 68, .external_lex_state = 25},
  [10604] = {.lex_state = 58, .external_lex_state = 52},
  [10605] = {.lex_state = 56},
  [10606] = {.lex_state = 58, .external_lex_state = 48},
  [10607] = {.lex_state = 66},
  [10608] = {.lex_state = 56},
  [10609] = {.lex_state = 66, .external_lex_state = 59},
  [10610] = {.lex_state = 67, .external_lex_state = 36},
  [10611] = {.lex_state = 58, .external_lex_state = 52},
  [10612] = {.lex_state = 67, .external_lex_state = 26},
  [10613] = {.lex_state = 58, .external_lex_state = 52},
  [10614] = {.lex_state = 58, .external_lex_state = 52},
  [10615] = {.lex_state = 67, .external_lex_state = 36},
  [10616] = {.lex_state = 67, .external_lex_state = 36},
  [10617] = {.lex_state = 65, .external_lex_state = 43},
  [10618] = {.lex_state = 67, .external_lex_state = 40},
  [10619] = {.lex_state = 58, .external_lex_state = 52},
  [10620] = {.lex_state = 58, .external_lex_state = 48},
  [10621] = {.lex_state = 58, .external_lex_state = 52},
  [10622] = {.lex_state = 67, .external_lex_state = 40},
  [10623] = {.lex_state = 56},
  [10624] = {.lex_state = 67, .external_lex_state = 39},
  [10625] = {.lex_state = 66},
  [10626] = {.lex_state = 67, .external_lex_state = 39},
  [10627] = {.lex_state = 56},
  [10628] = {.lex_state = 58, .external_lex_state = 53},
  [10629] = {.lex_state = 58, .external_lex_state = 35},
  [10630] = {.lex_state = 58, .external_lex_state = 26},
  [10631] = {.lex_state = 67, .external_lex_state = 48},
  [10632] = {.lex_state = 54, .external_lex_state = 45},
  [10633] = {.lex_state = 66},
  [10634] = {.lex_state = 66, .external_lex_state = 60},
  [10635] = {.lex_state = 67, .external_lex_state = 39},
  [10636] = {.lex_state = 58, .external_lex_state = 48},
  [10637] = {.lex_state = 67, .external_lex_state = 26},
  [10638] = {.lex_state = 66, .external_lex_state = 30},
  [10639] = {.lex_state = 57, .external_lex_state = 27},
  [10640] = {.lex_state = 57, .external_lex_state = 27},
  [10641] = {.lex_state = 57, .external_lex_state = 27},
  [10642] = {.lex_state = 57, .external_lex_state = 26},
  [10643] = {.lex_state = 7},
  [10644] = {.lex_state = 67, .external_lex_state = 30},
  [10645] = {.lex_state = 66, .external_lex_state = 58},
  [10646] = {.lex_state = 66, .external_lex_state = 58},
  [10647] = {.lex_state = 58, .external_lex_state = 61},
  [10648] = {.lex_state = 67, .external_lex_state = 39},
  [10649] = {.lex_state = 67, .external_lex_state = 36},
  [10650] = {.lex_state = 58, .external_lex_state = 53},
  [10651] = {.lex_state = 67, .external_lex_state = 36},
  [10652] = {.lex_state = 67, .external_lex_state = 36},
  [10653] = {.lex_state = 58, .external_lex_state = 53},
  [10654] = {.lex_state = 58, .external_lex_state = 53},
  [10655] = {.lex_state = 58, .external_lex_state = 26},
  [10656] = {.lex_state = 56},
  [10657] = {.lex_state = 54, .external_lex_state = 45},
  [10658] = {.lex_state = 58, .external_lex_state = 51},
  [10659] = {.lex_state = 66, .external_lex_state = 30},
  [10660] = {.lex_state = 58, .external_lex_state = 53},
  [10661] = {.lex_state = 56},
  [10662] = {.lex_state = 67, .external_lex_state = 39},
  [10663] = {.lex_state = 67},
  [10664] = {.lex_state = 66, .external_lex_state = 30},
  [10665] = {.lex_state = 58, .external_lex_state = 35},
  [10666] = {.lex_state = 66, .external_lex_state = 58},
  [10667] = {.lex_state = 67, .external_lex_state = 39},
  [10668] = {.lex_state = 58},
  [10669] = {.lex_state = 67, .external_lex_state = 36},
  [10670] = {.lex_state = 58, .external_lex_state = 52},
  [10671] = {.lex_state = 58},
  [10672] = {.lex_state = 65, .external_lex_state = 26},
  [10673] = {.lex_state = 67, .external_lex_state = 36},
  [10674] = {.lex_state = 67, .external_lex_state = 33},
  [10675] = {.lex_state = 66, .external_lex_state = 58},
  [10676] = {.lex_state = 67, .external_lex_state = 39},
  [10677] = {.lex_state = 58, .external_lex_state = 48},
  [10678] = {.lex_state = 57, .external_lex_state = 26},
  [10679] = {.lex_state = 66, .external_lex_state = 58},
  [10680] = {.lex_state = 67, .external_lex_state = 30},
  [10681] = {.lex_state = 57, .external_lex_state = 26},
  [10682] = {.lex_state = 58, .external_lex_state = 26},
  [10683] = {.lex_state = 58, .external_lex_state = 51},
  [10684] = {.lex_state = 54, .external_lex_state = 45},
  [10685] = {.lex_state = 67, .external_lex_state = 60},
  [10686] = {.lex_state = 67, .external_lex_state = 36},
  [10687] = {.lex_state = 58, .external_lex_state = 53},
  [10688] = {.lex_state = 58, .external_lex_state = 53},
  [10689] = {.lex_state = 67, .external_lex_state = 39},
  [10690] = {.lex_state = 66, .external_lex_state = 59},
  [10691] = {.lex_state = 67, .external_lex_state = 39},
  [10692] = {.lex_state = 66, .external_lex_state = 58},
  [10693] = {.lex_state = 54, .external_lex_state = 45},
  [10694] = {.lex_state = 67, .external_lex_state = 39},
  [10695] = {.lex_state = 67, .external_lex_state = 26},
  [10696] = {.lex_state = 56},
  [10697] = {.lex_state = 67, .external_lex_state = 39},
  [10698] = {.lex_state = 67, .external_lex_state = 36},
  [10699] = {.lex_state = 67, .external_lex_state = 27},
  [10700] = {.lex_state = 66, .external_lex_state = 30},
  [10701] = {.lex_state = 58, .external_lex_state = 26},
  [10702] = {.lex_state = 66, .external_lex_state = 30},
  [10703] = {.lex_state = 66, .external_lex_state = 30},
  [10704] = {.lex_state = 14, .external_lex_state = 45},
  [10705] = {.lex_state = 66, .external_lex_state = 39},
  [10706] = {.lex_state = 67, .external_lex_state = 39},
  [10707] = {.lex_state = 58, .external_lex_state = 45},
  [10708] = {.lex_state = 67, .external_lex_state = 33},
  [10709] = {.lex_state = 67, .external_lex_state = 36},
  [10710] = {.lex_state = 67, .external_lex_state = 44},
  [10711] = {.lex_state = 65, .external_lex_state = 44},
  [10712] = {.lex_state = 67, .external_lex_state = 39},
  [10713] = {.lex_state = 58, .external_lex_state = 33},
  [10714] = {.lex_state = 66, .external_lex_state = 58},
  [10715] = {.lex_state = 54, .external_lex_state = 45},
  [10716] = {.lex_state = 66, .external_lex_state = 60},
  [10717] = {.lex_state = 58, .external_lex_state = 26},
  [10718] = {.lex_state = 55, .external_lex_state = 61},
  [10719] = {.lex_state = 58, .external_lex_state = 34},
  [10720] = {.lex_state = 67, .external_lex_state = 39},
  [10721] = {.lex_state = 22, .external_lex_state = 45},
  [10722] = {.lex_state = 57, .external_lex_state = 27},
  [10723] = {.lex_state = 57, .external_lex_state = 26},
  [10724] = {.lex_state = 66},
  [10725] = {.lex_state = 56},
  [10726] = {.lex_state = 66, .external_lex_state = 58},
  [10727] = {.lex_state = 14, .external_lex_state = 45},
  [10728] = {.lex_state = 58, .external_lex_state = 26},
  [10729] = {.lex_state = 66},
  [10730] = {.lex_state = 56},
  [10731] = {.lex_state = 67, .external_lex_state = 36},
  [10732] = {.lex_state = 66},
  [10733] = {.lex_state = 58, .external_lex_state = 37},
  [10734] = {.lex_state = 54, .external_lex_state = 45},
  [10735] = {.lex_state = 66, .external_lex_state = 59},
  [10736] = {.lex_state = 67, .external_lex_state = 39},
  [10737] = {.lex_state = 58, .external_lex_state = 26},
  [10738] = {.lex_state = 54, .external_lex_state = 45},
  [10739] = {.lex_state = 66, .external_lex_state = 58},
  [10740] = {.lex_state = 57, .external_lex_state = 27},
  [10741] = {.lex_state = 56},
  [10742] = {.lex_state = 54, .external_lex_state = 45},
  [10743] = {.lex_state = 67, .external_lex_state = 39},
  [10744] = {.lex_state = 66, .external_lex_state = 30},
  [10745] = {.lex_state = 58, .external_lex_state = 58},
  [10746] = {.lex_state = 67, .external_lex_state = 36},
  [10747] = {.lex_state = 65, .external_lex_state = 26},
  [10748] = {.lex_state = 67, .external_lex_state = 58},
  [10749] = {.lex_state = 66},
  [10750] = {.lex_state = 67, .external_lex_state = 43},
  [10751] = {.lex_state = 14, .external_lex_state = 45},
  [10752] = {.lex_state = 67, .external_lex_state = 36},
  [10753] = {.lex_state = 67, .external_lex_state = 39},
  [10754] = {.lex_state = 58, .external_lex_state = 51},
  [10755] = {.lex_state = 67, .external_lex_state = 36},
  [10756] = {.lex_state = 57, .external_lex_state = 27},
  [10757] = {.lex_state = 67, .external_lex_state = 39},
  [10758] = {.lex_state = 58, .external_lex_state = 26},
  [10759] = {.lex_state = 54, .external_lex_state = 45},
  [10760] = {.lex_state = 14, .external_lex_state = 45},
  [10761] = {.lex_state = 58, .external_lex_state = 60},
  [10762] = {.lex_state = 57, .external_lex_state = 26},
  [10763] = {.lex_state = 20},
  [10764] = {.lex_state = 67, .external_lex_state = 28},
  [10765] = {.lex_state = 58, .external_lex_state = 58},
  [10766] = {.lex_state = 65, .external_lex_state = 53},
  [10767] = {.lex_state = 67, .external_lex_state = 43},
  [10768] = {.lex_state = 67, .external_lex_state = 58},
  [10769] = {.lex_state = 58, .external_lex_state = 58},
  [10770] = {.lex_state = 67, .external_lex_state = 27},
  [10771] = {.lex_state = 54, .external_lex_state = 45},
  [10772] = {.lex_state = 54, .external_lex_state = 45},
  [10773] = {.lex_state = 66, .external_lex_state = 27},
  [10774] = {.lex_state = 58, .external_lex_state = 30},
  [10775] = {.lex_state = 20},
  [10776] = {.lex_state = 58, .external_lex_state = 58},
  [10777] = {.lex_state = 66, .external_lex_state = 33},
  [10778] = {.lex_state = 67, .external_lex_state = 28},
  [10779] = {.lex_state = 57},
  [10780] = {.lex_state = 65, .external_lex_state = 48},
  [10781] = {.lex_state = 57, .external_lex_state = 26},
  [10782] = {.lex_state = 58, .external_lex_state = 58},
  [10783] = {.lex_state = 57},
  [10784] = {.lex_state = 67, .external_lex_state = 26},
  [10785] = {.lex_state = 58, .external_lex_state = 58},
  [10786] = {.lex_state = 54, .external_lex_state = 45},
  [10787] = {.lex_state = 54, .external_lex_state = 45},
  [10788] = {.lex_state = 67, .external_lex_state = 26},
  [10789] = {.lex_state = 7},
  [10790] = {.lex_state = 67, .external_lex_state = 36},
  [10791] = {.lex_state = 68, .external_lex_state = 27},
  [10792] = {.lex_state = 68, .external_lex_state = 27},
  [10793] = {.lex_state = 67, .external_lex_state = 26},
  [10794] = {.lex_state = 66, .external_lex_state = 27},
  [10795] = {.lex_state = 67, .external_lex_state = 44},
  [10796] = {.lex_state = 68, .external_lex_state = 27},
  [10797] = {.lex_state = 67, .external_lex_state = 36},
  [10798] = {.lex_state = 67, .external_lex_state = 26},
  [10799] = {.lex_state = 68, .external_lex_state = 27},
  [10800] = {.lex_state = 57},
  [10801] = {.lex_state = 67, .external_lex_state = 28},
  [10802] = {.lex_state = 66, .external_lex_state = 34},
  [10803] = {.lex_state = 57, .external_lex_state = 26},
  [10804] = {.lex_state = 65},
  [10805] = {.lex_state = 58, .external_lex_state = 61},
  [10806] = {.lex_state = 68, .external_lex_state = 27},
  [10807] = {.lex_state = 20},
  [10808] = {.lex_state = 67, .external_lex_state = 44},
  [10809] = {.lex_state = 66, .external_lex_state = 34},
  [10810] = {.lex_state = 65},
  [10811] = {.lex_state = 57},
  [10812] = {.lex_state = 67, .external_lex_state = 26},
  [10813] = {.lex_state = 54, .external_lex_state = 45},
  [10814] = {.lex_state = 67, .external_lex_state = 43},
  [10815] = {.lex_state = 58, .external_lex_state = 30},
  [10816] = {.lex_state = 67, .external_lex_state = 26},
  [10817] = {.lex_state = 54, .external_lex_state = 45},
  [10818] = {.lex_state = 65, .external_lex_state = 52},
  [10819] = {.lex_state = 68, .external_lex_state = 26},
  [10820] = {.lex_state = 58, .external_lex_state = 61},
  [10821] = {.lex_state = 68, .external_lex_state = 27},
  [10822] = {.lex_state = 6},
  [10823] = {.lex_state = 68, .external_lex_state = 26},
  [10824] = {.lex_state = 57, .external_lex_state = 26},
  [10825] = {.lex_state = 67, .external_lex_state = 28},
  [10826] = {.lex_state = 66, .external_lex_state = 27},
  [10827] = {.lex_state = 67, .external_lex_state = 26},
  [10828] = {.lex_state = 67, .external_lex_state = 28},
  [10829] = {.lex_state = 57},
  [10830] = {.lex_state = 67},
  [10831] = {.lex_state = 67, .external_lex_state = 28},
  [10832] = {.lex_state = 58, .external_lex_state = 30},
  [10833] = {.lex_state = 20},
  [10834] = {.lex_state = 57},
  [10835] = {.lex_state = 6},
  [10836] = {.lex_state = 58, .external_lex_state = 30},
  [10837] = {.lex_state = 66, .external_lex_state = 27},
  [10838] = {.lex_state = 65, .external_lex_state = 53},
  [10839] = {.lex_state = 67, .external_lex_state = 34},
  [10840] = {.lex_state = 67, .external_lex_state = 53},
  [10841] = {.lex_state = 58, .external_lex_state = 60},
  [10842] = {.lex_state = 58, .external_lex_state = 60},
  [10843] = {.lex_state = 58, .external_lex_state = 30},
  [10844] = {.lex_state = 67},
  [10845] = {.lex_state = 58, .external_lex_state = 60},
  [10846] = {.lex_state = 68, .external_lex_state = 26},
  [10847] = {.lex_state = 58, .external_lex_state = 60},
  [10848] = {.lex_state = 58, .external_lex_state = 60},
  [10849] = {.lex_state = 20},
  [10850] = {.lex_state = 67, .external_lex_state = 52},
  [10851] = {.lex_state = 67, .external_lex_state = 27},
  [10852] = {.lex_state = 7},
  [10853] = {.lex_state = 54, .external_lex_state = 45},
  [10854] = {.lex_state = 68, .external_lex_state = 27},
  [10855] = {.lex_state = 58, .external_lex_state = 30},
  [10856] = {.lex_state = 65, .external_lex_state = 51},
  [10857] = {.lex_state = 67, .external_lex_state = 26},
  [10858] = {.lex_state = 57, .external_lex_state = 26},
  [10859] = {.lex_state = 66, .external_lex_state = 33},
  [10860] = {.lex_state = 54, .external_lex_state = 45},
  [10861] = {.lex_state = 58, .external_lex_state = 30},
  [10862] = {.lex_state = 68, .external_lex_state = 26},
  [10863] = {.lex_state = 65, .external_lex_state = 51},
  [10864] = {.lex_state = 54, .external_lex_state = 45},
  [10865] = {.lex_state = 67, .external_lex_state = 26},
  [10866] = {.lex_state = 67, .external_lex_state = 26},
  [10867] = {.lex_state = 56},
  [10868] = {.lex_state = 67, .external_lex_state = 27},
  [10869] = {.lex_state = 66, .external_lex_state = 27},
  [10870] = {.lex_state = 57, .external_lex_state = 26},
  [10871] = {.lex_state = 20},
  [10872] = {.lex_state = 67, .external_lex_state = 28},
  [10873] = {.lex_state = 6},
  [10874] = {.lex_state = 67, .external_lex_state = 28},
  [10875] = {.lex_state = 6},
  [10876] = {.lex_state = 24, .external_lex_state = 45},
  [10877] = {.lex_state = 66, .external_lex_state = 33},
  [10878] = {.lex_state = 57},
  [10879] = {.lex_state = 6},
  [10880] = {.lex_state = 66, .external_lex_state = 33},
  [10881] = {.lex_state = 57},
  [10882] = {.lex_state = 67, .external_lex_state = 28},
  [10883] = {.lex_state = 66, .external_lex_state = 33},
  [10884] = {.lex_state = 68, .external_lex_state = 27},
  [10885] = {.lex_state = 68, .external_lex_state = 27},
  [10886] = {.lex_state = 65},
  [10887] = {.lex_state = 66, .external_lex_state = 27},
  [10888] = {.lex_state = 66, .external_lex_state = 33},
  [10889] = {.lex_state = 68, .external_lex_state = 27},
  [10890] = {.lex_state = 7},
  [10891] = {.lex_state = 20},
  [10892] = {.lex_state = 65, .external_lex_state = 53},
  [10893] = {.lex_state = 68, .external_lex_state = 27},
  [10894] = {.lex_state = 66, .external_lex_state = 33},
  [10895] = {.lex_state = 66, .external_lex_state = 33},
  [10896] = {.lex_state = 54, .external_lex_state = 45},
  [10897] = {.lex_state = 54, .external_lex_state = 45},
  [10898] = {.lex_state = 66, .external_lex_state = 33},
  [10899] = {.lex_state = 67, .external_lex_state = 28},
  [10900] = {.lex_state = 68, .external_lex_state = 27},
  [10901] = {.lex_state = 54, .external_lex_state = 45},
  [10902] = {.lex_state = 6},
  [10903] = {.lex_state = 67},
  [10904] = {.lex_state = 67},
  [10905] = {.lex_state = 67, .external_lex_state = 28},
  [10906] = {.lex_state = 6},
  [10907] = {.lex_state = 58, .external_lex_state = 59},
  [10908] = {.lex_state = 58, .external_lex_state = 30},
  [10909] = {.lex_state = 58, .external_lex_state = 59},
  [10910] = {.lex_state = 67, .external_lex_state = 39},
  [10911] = {.lex_state = 57},
  [10912] = {.lex_state = 58, .external_lex_state = 58},
  [10913] = {.lex_state = 66, .external_lex_state = 34},
  [10914] = {.lex_state = 58, .external_lex_state = 61},
  [10915] = {.lex_state = 58, .external_lex_state = 60},
  [10916] = {.lex_state = 7},
  [10917] = {.lex_state = 66, .external_lex_state = 34},
  [10918] = {.lex_state = 67, .external_lex_state = 28},
  [10919] = {.lex_state = 59, .external_lex_state = 26},
  [10920] = {.lex_state = 67, .external_lex_state = 28},
  [10921] = {.lex_state = 68, .external_lex_state = 26},
  [10922] = {.lex_state = 67, .external_lex_state = 33},
  [10923] = {.lex_state = 58, .external_lex_state = 59},
  [10924] = {.lex_state = 68, .external_lex_state = 26},
  [10925] = {.lex_state = 68, .external_lex_state = 26},
  [10926] = {.lex_state = 68, .external_lex_state = 26},
  [10927] = {.lex_state = 68, .external_lex_state = 26},
  [10928] = {.lex_state = 67, .external_lex_state = 26},
  [10929] = {.lex_state = 54, .external_lex_state = 45},
  [10930] = {.lex_state = 65, .external_lex_state = 48},
  [10931] = {.lex_state = 24, .external_lex_state = 45},
  [10932] = {.lex_state = 65, .external_lex_state = 51},
  [10933] = {.lex_state = 67, .external_lex_state = 26},
  [10934] = {.lex_state = 57, .external_lex_state = 26},
  [10935] = {.lex_state = 22, .external_lex_state = 45},
  [10936] = {.lex_state = 67, .external_lex_state = 28},
  [10937] = {.lex_state = 66, .external_lex_state = 33},
  [10938] = {.lex_state = 66, .external_lex_state = 33},
  [10939] = {.lex_state = 66, .external_lex_state = 34},
  [10940] = {.lex_state = 66, .external_lex_state = 27},
  [10941] = {.lex_state = 54, .external_lex_state = 45},
  [10942] = {.lex_state = 20},
  [10943] = {.lex_state = 68, .external_lex_state = 26},
  [10944] = {.lex_state = 67, .external_lex_state = 26},
  [10945] = {.lex_state = 66, .external_lex_state = 34},
  [10946] = {.lex_state = 67, .external_lex_state = 26},
  [10947] = {.lex_state = 58, .external_lex_state = 59},
  [10948] = {.lex_state = 54, .external_lex_state = 45},
  [10949] = {.lex_state = 58, .external_lex_state = 60},
  [10950] = {.lex_state = 58, .external_lex_state = 60},
  [10951] = {.lex_state = 57, .external_lex_state = 26},
  [10952] = {.lex_state = 67, .external_lex_state = 28},
  [10953] = {.lex_state = 58},
  [10954] = {.lex_state = 67, .external_lex_state = 43},
  [10955] = {.lex_state = 54, .external_lex_state = 45},
  [10956] = {.lex_state = 58, .external_lex_state = 36},
  [10957] = {.lex_state = 6},
  [10958] = {.lex_state = 20},
  [10959] = {.lex_state = 66, .external_lex_state = 34},
  [10960] = {.lex_state = 68, .external_lex_state = 26},
  [10961] = {.lex_state = 23, .external_lex_state = 45},
  [10962] = {.lex_state = 57, .external_lex_state = 26},
  [10963] = {.lex_state = 58, .external_lex_state = 30},
  [10964] = {.lex_state = 58, .external_lex_state = 30},
  [10965] = {.lex_state = 6},
  [10966] = {.lex_state = 66, .external_lex_state = 26},
  [10967] = {.lex_state = 66, .external_lex_state = 34},
  [10968] = {.lex_state = 67, .external_lex_state = 26},
  [10969] = {.lex_state = 67, .external_lex_state = 39},
  [10970] = {.lex_state = 67, .external_lex_state = 27},
  [10971] = {.lex_state = 57, .external_lex_state = 26},
  [10972] = {.lex_state = 24, .external_lex_state = 45},
  [10973] = {.lex_state = 67, .external_lex_state = 26},
  [10974] = {.lex_state = 58, .external_lex_state = 60},
  [10975] = {.lex_state = 67, .external_lex_state = 28},
  [10976] = {.lex_state = 67, .external_lex_state = 34},
  [10977] = {.lex_state = 66, .external_lex_state = 27},
  [10978] = {.lex_state = 66, .external_lex_state = 34},
  [10979] = {.lex_state = 58, .external_lex_state = 60},
  [10980] = {.lex_state = 54, .external_lex_state = 45},
  [10981] = {.lex_state = 54, .external_lex_state = 45},
  [10982] = {.lex_state = 6},
  [10983] = {.lex_state = 65, .external_lex_state = 52},
  [10984] = {.lex_state = 65},
  [10985] = {.lex_state = 58, .external_lex_state = 59},
  [10986] = {.lex_state = 56},
  [10987] = {.lex_state = 6},
  [10988] = {.lex_state = 54, .external_lex_state = 45},
  [10989] = {.lex_state = 58, .external_lex_state = 59},
  [10990] = {.lex_state = 58, .external_lex_state = 59},
  [10991] = {.lex_state = 58, .external_lex_state = 59},
  [10992] = {.lex_state = 58, .external_lex_state = 59},
  [10993] = {.lex_state = 24, .external_lex_state = 45},
  [10994] = {.lex_state = 66, .external_lex_state = 34},
  [10995] = {.lex_state = 20},
  [10996] = {.lex_state = 58, .external_lex_state = 59},
  [10997] = {.lex_state = 20},
  [10998] = {.lex_state = 66, .external_lex_state = 34},
  [10999] = {.lex_state = 58, .external_lex_state = 59},
  [11000] = {.lex_state = 67},
  [11001] = {.lex_state = 58, .external_lex_state = 59},
  [11002] = {.lex_state = 68, .external_lex_state = 27},
  [11003] = {.lex_state = 67, .external_lex_state = 48},
  [11004] = {.lex_state = 67, .external_lex_state = 28},
  [11005] = {.lex_state = 67, .external_lex_state = 39},
  [11006] = {.lex_state = 67, .external_lex_state = 28},
  [11007] = {.lex_state = 58, .external_lex_state = 26},
  [11008] = {.lex_state = 67, .external_lex_state = 43},
  [11009] = {.lex_state = 54, .external_lex_state = 45},
  [11010] = {.lex_state = 58, .external_lex_state = 61},
  [11011] = {.lex_state = 57},
  [11012] = {.lex_state = 58, .external_lex_state = 30},
  [11013] = {.lex_state = 58, .external_lex_state = 30},
  [11014] = {.lex_state = 66, .external_lex_state = 34},
  [11015] = {.lex_state = 67, .external_lex_state = 26},
  [11016] = {.lex_state = 67, .external_lex_state = 26},
  [11017] = {.lex_state = 58, .external_lex_state = 39},
  [11018] = {.lex_state = 6},
  [11019] = {.lex_state = 54, .external_lex_state = 45},
  [11020] = {.lex_state = 68, .external_lex_state = 27},
  [11021] = {.lex_state = 58, .external_lex_state = 58},
  [11022] = {.lex_state = 58, .external_lex_state = 58},
  [11023] = {.lex_state = 57, .external_lex_state = 26},
  [11024] = {.lex_state = 58, .external_lex_state = 30},
  [11025] = {.lex_state = 22},
  [11026] = {.lex_state = 58, .external_lex_state = 58},
  [11027] = {.lex_state = 67, .external_lex_state = 28},
  [11028] = {.lex_state = 57, .external_lex_state = 26},
  [11029] = {.lex_state = 60, .external_lex_state = 62},
  [11030] = {.lex_state = 67, .external_lex_state = 28},
  [11031] = {.lex_state = 57, .external_lex_state = 26},
  [11032] = {.lex_state = 6},
  [11033] = {.lex_state = 58, .external_lex_state = 59},
  [11034] = {.lex_state = 11},
  [11035] = {.lex_state = 60, .external_lex_state = 30},
  [11036] = {.lex_state = 68, .external_lex_state = 26},
  [11037] = {.lex_state = 67, .external_lex_state = 28},
  [11038] = {.lex_state = 57, .external_lex_state = 26},
  [11039] = {.lex_state = 65},
  [11040] = {.lex_state = 65, .external_lex_state = 53},
  [11041] = {.lex_state = 66, .external_lex_state = 33},
  [11042] = {.lex_state = 57},
  [11043] = {.lex_state = 67},
  [11044] = {.lex_state = 68, .external_lex_state = 26},
  [11045] = {.lex_state = 58, .external_lex_state = 58},
  [11046] = {.lex_state = 20},
  [11047] = {.lex_state = 58, .external_lex_state = 60},
  [11048] = {.lex_state = 20},
  [11049] = {.lex_state = 7},
  [11050] = {.lex_state = 54, .external_lex_state = 45},
  [11051] = {.lex_state = 66, .external_lex_state = 34},
  [11052] = {.lex_state = 22, .external_lex_state = 45},
  [11053] = {.lex_state = 58},
  [11054] = {.lex_state = 24, .external_lex_state = 45},
  [11055] = {.lex_state = 65, .external_lex_state = 51},
  [11056] = {.lex_state = 58, .external_lex_state = 58},
  [11057] = {.lex_state = 58, .external_lex_state = 59},
  [11058] = {.lex_state = 65, .external_lex_state = 48},
  [11059] = {.lex_state = 58, .external_lex_state = 58},
  [11060] = {.lex_state = 58, .external_lex_state = 58},
  [11061] = {.lex_state = 23, .external_lex_state = 45},
  [11062] = {.lex_state = 66, .external_lex_state = 27},
  [11063] = {.lex_state = 20},
  [11064] = {.lex_state = 65, .external_lex_state = 51},
  [11065] = {.lex_state = 67, .external_lex_state = 26},
  [11066] = {.lex_state = 65, .external_lex_state = 48},
  [11067] = {.lex_state = 67, .external_lex_state = 28},
  [11068] = {.lex_state = 65, .external_lex_state = 48},
  [11069] = {.lex_state = 66, .external_lex_state = 34},
  [11070] = {.lex_state = 67, .external_lex_state = 51},
  [11071] = {.lex_state = 67},
  [11072] = {.lex_state = 67, .external_lex_state = 27},
  [11073] = {.lex_state = 65},
  [11074] = {.lex_state = 68, .external_lex_state = 26},
  [11075] = {.lex_state = 67, .external_lex_state = 36},
  [11076] = {.lex_state = 67, .external_lex_state = 26},
  [11077] = {.lex_state = 67, .external_lex_state = 33},
  [11078] = {.lex_state = 54, .external_lex_state = 45},
  [11079] = {.lex_state = 58, .external_lex_state = 58},
  [11080] = {.lex_state = 67, .external_lex_state = 26},
  [11081] = {.lex_state = 54, .external_lex_state = 45},
  [11082] = {.lex_state = 67, .external_lex_state = 28},
  [11083] = {.lex_state = 67, .external_lex_state = 28},
  [11084] = {.lex_state = 66, .external_lex_state = 33},
  [11085] = {.lex_state = 67, .external_lex_state = 28},
  [11086] = {.lex_state = 66, .external_lex_state = 33},
  [11087] = {.lex_state = 67, .external_lex_state = 26},
  [11088] = {.lex_state = 65, .external_lex_state = 52},
  [11089] = {.lex_state = 66, .external_lex_state = 27},
  [11090] = {.lex_state = 66, .external_lex_state = 27},
  [11091] = {.lex_state = 65, .external_lex_state = 52},
  [11092] = {.lex_state = 65, .external_lex_state = 52},
  [11093] = {.lex_state = 24, .external_lex_state = 45},
  [11094] = {.lex_state = 66, .external_lex_state = 27},
  [11095] = {.lex_state = 57},
  [11096] = {.lex_state = 58, .external_lex_state = 60},
  [11097] = {.lex_state = 66, .external_lex_state = 27},
  [11098] = {.lex_state = 67, .external_lex_state = 26},
  [11099] = {.lex_state = 66, .external_lex_state = 27},
  [11100] = {.lex_state = 67, .external_lex_state = 26},
  [11101] = {.lex_state = 58, .external_lex_state = 60},
  [11102] = {.lex_state = 65, .external_lex_state = 53},
  [11103] = {.lex_state = 57},
  [11104] = {.lex_state = 67, .external_lex_state = 26},
  [11105] = {.lex_state = 67, .external_lex_state = 26},
  [11106] = {.lex_state = 58, .external_lex_state = 30},
  [11107] = {.lex_state = 67, .external_lex_state = 26},
  [11108] = {.lex_state = 58, .external_lex_state = 33},
  [11109] = {.lex_state = 65, .external_lex_state = 58},
  [11110] = {.lex_state = 67, .external_lex_state = 53},
  [11111] = {.lex_state = 59, .external_lex_state = 25},
  [11112] = {.lex_state = 66, .external_lex_state = 36},
  [11113] = {.lex_state = 56},
  [11114] = {.lex_state = 65},
  [11115] = {.lex_state = 58, .external_lex_state = 34},
  [11116] = {.lex_state = 58, .external_lex_state = 34},
  [11117] = {.lex_state = 65, .external_lex_state = 59},
  [11118] = {.lex_state = 67, .external_lex_state = 48},
  [11119] = {.lex_state = 68, .external_lex_state = 26},
  [11120] = {.lex_state = 58, .external_lex_state = 33},
  [11121] = {.lex_state = 65, .external_lex_state = 58},
  [11122] = {.lex_state = 7},
  [11123] = {.lex_state = 67, .external_lex_state = 52},
  [11124] = {.lex_state = 68, .external_lex_state = 26},
  [11125] = {.lex_state = 56},
  [11126] = {.lex_state = 56, .external_lex_state = 26},
  [11127] = {.lex_state = 65, .external_lex_state = 30},
  [11128] = {.lex_state = 56, .external_lex_state = 27},
  [11129] = {.lex_state = 66, .external_lex_state = 36},
  [11130] = {.lex_state = 67, .external_lex_state = 27},
  [11131] = {.lex_state = 67, .external_lex_state = 48},
  [11132] = {.lex_state = 58, .external_lex_state = 33},
  [11133] = {.lex_state = 65, .external_lex_state = 59},
  [11134] = {.lex_state = 66, .external_lex_state = 39},
  [11135] = {.lex_state = 58, .external_lex_state = 33},
  [11136] = {.lex_state = 58, .external_lex_state = 34},
  [11137] = {.lex_state = 67, .external_lex_state = 53},
  [11138] = {.lex_state = 65, .external_lex_state = 60},
  [11139] = {.lex_state = 56, .external_lex_state = 26},
  [11140] = {.lex_state = 65, .external_lex_state = 59},
  [11141] = {.lex_state = 58, .external_lex_state = 33},
  [11142] = {.lex_state = 65, .external_lex_state = 59},
  [11143] = {.lex_state = 65},
  [11144] = {.lex_state = 68, .external_lex_state = 26},
  [11145] = {.lex_state = 67, .external_lex_state = 60},
  [11146] = {.lex_state = 67, .external_lex_state = 27},
  [11147] = {.lex_state = 67, .external_lex_state = 30},
  [11148] = {.lex_state = 67, .external_lex_state = 53},
  [11149] = {.lex_state = 58, .external_lex_state = 33},
  [11150] = {.lex_state = 58, .external_lex_state = 34},
  [11151] = {.lex_state = 58, .external_lex_state = 33},
  [11152] = {.lex_state = 65, .external_lex_state = 58},
  [11153] = {.lex_state = 56, .external_lex_state = 27},
  [11154] = {.lex_state = 65, .external_lex_state = 58},
  [11155] = {.lex_state = 56},
  [11156] = {.lex_state = 67, .external_lex_state = 48},
  [11157] = {.lex_state = 66, .external_lex_state = 39},
  [11158] = {.lex_state = 60, .external_lex_state = 63},
  [11159] = {.lex_state = 56},
  [11160] = {.lex_state = 56},
  [11161] = {.lex_state = 6},
  [11162] = {.lex_state = 67},
  [11163] = {.lex_state = 68, .external_lex_state = 26},
  [11164] = {.lex_state = 65, .external_lex_state = 60},
  [11165] = {.lex_state = 67, .external_lex_state = 39},
  [11166] = {.lex_state = 24, .external_lex_state = 45},
  [11167] = {.lex_state = 66, .external_lex_state = 36},
  [11168] = {.lex_state = 67, .external_lex_state = 48},
  [11169] = {.lex_state = 66, .external_lex_state = 36},
  [11170] = {.lex_state = 24},
  [11171] = {.lex_state = 68, .external_lex_state = 26},
  [11172] = {.lex_state = 67, .external_lex_state = 27},
  [11173] = {.lex_state = 58, .external_lex_state = 61},
  [11174] = {.lex_state = 58, .external_lex_state = 33},
  [11175] = {.lex_state = 58, .external_lex_state = 33},
  [11176] = {.lex_state = 65, .external_lex_state = 30},
  [11177] = {.lex_state = 65, .external_lex_state = 60},
  [11178] = {.lex_state = 60, .external_lex_state = 33},
  [11179] = {.lex_state = 68, .external_lex_state = 26},
  [11180] = {.lex_state = 58, .external_lex_state = 34},
  [11181] = {.lex_state = 65, .external_lex_state = 60},
  [11182] = {.lex_state = 23, .external_lex_state = 45},
  [11183] = {.lex_state = 65, .external_lex_state = 60},
  [11184] = {.lex_state = 66, .external_lex_state = 36},
  [11185] = {.lex_state = 66, .external_lex_state = 39},
  [11186] = {.lex_state = 65, .external_lex_state = 30},
  [11187] = {.lex_state = 66, .external_lex_state = 39},
  [11188] = {.lex_state = 66, .external_lex_state = 36},
  [11189] = {.lex_state = 58},
  [11190] = {.lex_state = 66, .external_lex_state = 39},
  [11191] = {.lex_state = 56},
  [11192] = {.lex_state = 67, .external_lex_state = 27},
  [11193] = {.lex_state = 67, .external_lex_state = 59},
  [11194] = {.lex_state = 56},
  [11195] = {.lex_state = 65},
  [11196] = {.lex_state = 67, .external_lex_state = 36},
  [11197] = {.lex_state = 68, .external_lex_state = 26},
  [11198] = {.lex_state = 67, .external_lex_state = 51},
  [11199] = {.lex_state = 58, .external_lex_state = 34},
  [11200] = {.lex_state = 58, .external_lex_state = 33},
  [11201] = {.lex_state = 67, .external_lex_state = 58},
  [11202] = {.lex_state = 56},
  [11203] = {.lex_state = 56, .external_lex_state = 27},
  [11204] = {.lex_state = 58, .external_lex_state = 34},
  [11205] = {.lex_state = 65, .external_lex_state = 59},
  [11206] = {.lex_state = 60, .external_lex_state = 34},
  [11207] = {.lex_state = 58, .external_lex_state = 33},
  [11208] = {.lex_state = 66, .external_lex_state = 39},
  [11209] = {.lex_state = 68, .external_lex_state = 26},
  [11210] = {.lex_state = 58, .external_lex_state = 33},
  [11211] = {.lex_state = 56, .external_lex_state = 27},
  [11212] = {.lex_state = 66, .external_lex_state = 36},
  [11213] = {.lex_state = 58, .external_lex_state = 34},
  [11214] = {.lex_state = 67, .external_lex_state = 39},
  [11215] = {.lex_state = 56},
  [11216] = {.lex_state = 58, .external_lex_state = 26},
  [11217] = {.lex_state = 66, .external_lex_state = 36},
  [11218] = {.lex_state = 58},
  [11219] = {.lex_state = 65},
  [11220] = {.lex_state = 56},
  [11221] = {.lex_state = 23},
  [11222] = {.lex_state = 24, .external_lex_state = 45},
  [11223] = {.lex_state = 66, .external_lex_state = 36},
  [11224] = {.lex_state = 7},
  [11225] = {.lex_state = 66, .external_lex_state = 36},
  [11226] = {.lex_state = 67, .external_lex_state = 53},
  [11227] = {.lex_state = 67, .external_lex_state = 26},
  [11228] = {.lex_state = 6},
  [11229] = {.lex_state = 68, .external_lex_state = 26},
  [11230] = {.lex_state = 65, .external_lex_state = 30},
  [11231] = {.lex_state = 67, .external_lex_state = 27},
  [11232] = {.lex_state = 58, .external_lex_state = 61},
  [11233] = {.lex_state = 56},
  [11234] = {.lex_state = 66, .external_lex_state = 39},
  [11235] = {.lex_state = 58},
  [11236] = {.lex_state = 67, .external_lex_state = 26},
  [11237] = {.lex_state = 67, .external_lex_state = 52},
  [11238] = {.lex_state = 58, .external_lex_state = 33},
  [11239] = {.lex_state = 66, .external_lex_state = 39},
  [11240] = {.lex_state = 68, .external_lex_state = 26},
  [11241] = {.lex_state = 67, .external_lex_state = 36},
  [11242] = {.lex_state = 66, .external_lex_state = 36},
  [11243] = {.lex_state = 60, .external_lex_state = 63},
  [11244] = {.lex_state = 68, .external_lex_state = 26},
  [11245] = {.lex_state = 67, .external_lex_state = 26},
  [11246] = {.lex_state = 67, .external_lex_state = 26},
  [11247] = {.lex_state = 7},
  [11248] = {.lex_state = 6},
  [11249] = {.lex_state = 65},
  [11250] = {.lex_state = 65},
  [11251] = {.lex_state = 66, .external_lex_state = 39},
  [11252] = {.lex_state = 58, .external_lex_state = 34},
  [11253] = {.lex_state = 56},
  [11254] = {.lex_state = 58, .external_lex_state = 34},
  [11255] = {.lex_state = 66, .external_lex_state = 39},
  [11256] = {.lex_state = 56},
  [11257] = {.lex_state = 67, .external_lex_state = 51},
  [11258] = {.lex_state = 66, .external_lex_state = 36},
  [11259] = {.lex_state = 56},
  [11260] = {.lex_state = 67, .external_lex_state = 26},
  [11261] = {.lex_state = 65},
  [11262] = {.lex_state = 66, .external_lex_state = 39},
  [11263] = {.lex_state = 66, .external_lex_state = 39},
  [11264] = {.lex_state = 66, .external_lex_state = 36},
  [11265] = {.lex_state = 7},
  [11266] = {.lex_state = 65, .external_lex_state = 58},
  [11267] = {.lex_state = 56},
  [11268] = {.lex_state = 56},
  [11269] = {.lex_state = 66, .external_lex_state = 39},
  [11270] = {.lex_state = 66, .external_lex_state = 39},
  [11271] = {.lex_state = 24},
  [11272] = {.lex_state = 67, .external_lex_state = 26},
  [11273] = {.lex_state = 56},
  [11274] = {.lex_state = 58, .external_lex_state = 34},
  [11275] = {.lex_state = 68, .external_lex_state = 26},
  [11276] = {.lex_state = 57},
  [11277] = {.lex_state = 68, .external_lex_state = 26},
  [11278] = {.lex_state = 58, .external_lex_state = 34},
  [11279] = {.lex_state = 67, .external_lex_state = 26},
  [11280] = {.lex_state = 68, .external_lex_state = 26},
  [11281] = {.lex_state = 6},
  [11282] = {.lex_state = 56, .external_lex_state = 27},
  [11283] = {.lex_state = 58, .external_lex_state = 34},
  [11284] = {.lex_state = 65},
  [11285] = {.lex_state = 66, .external_lex_state = 36},
  [11286] = {.lex_state = 67, .external_lex_state = 27},
  [11287] = {.lex_state = 58, .external_lex_state = 33},
  [11288] = {.lex_state = 65},
  [11289] = {.lex_state = 67},
  [11290] = {.lex_state = 60, .external_lex_state = 64},
  [11291] = {.lex_state = 65, .external_lex_state = 30},
  [11292] = {.lex_state = 56},
  [11293] = {.lex_state = 58, .external_lex_state = 34},
  [11294] = {.lex_state = 23, .external_lex_state = 45},
  [11295] = {.lex_state = 67},
  [11296] = {.lex_state = 56, .external_lex_state = 26},
  [11297] = {.lex_state = 56, .external_lex_state = 26},
  [11298] = {.lex_state = 60, .external_lex_state = 39},
  [11299] = {.lex_state = 65, .external_lex_state = 33},
  [11300] = {.lex_state = 56, .external_lex_state = 26},
  [11301] = {.lex_state = 56, .external_lex_state = 26},
  [11302] = {.lex_state = 56},
  [11303] = {.lex_state = 11},
  [11304] = {.lex_state = 67, .external_lex_state = 58},
  [11305] = {.lex_state = 56},
  [11306] = {.lex_state = 60, .external_lex_state = 65},
  [11307] = {.lex_state = 11},
  [11308] = {.lex_state = 60, .external_lex_state = 63},
  [11309] = {.lex_state = 56, .external_lex_state = 26},
  [11310] = {.lex_state = 56, .external_lex_state = 26},
  [11311] = {.lex_state = 67},
  [11312] = {.lex_state = 65, .external_lex_state = 27},
  [11313] = {.lex_state = 56},
  [11314] = {.lex_state = 67},
  [11315] = {.lex_state = 56, .external_lex_state = 26},
  [11316] = {.lex_state = 56},
  [11317] = {.lex_state = 60, .external_lex_state = 26},
  [11318] = {.lex_state = 67},
  [11319] = {.lex_state = 56, .external_lex_state = 26},
  [11320] = {.lex_state = 67},
  [11321] = {.lex_state = 56, .external_lex_state = 26},
  [11322] = {.lex_state = 56, .external_lex_state = 26},
  [11323] = {.lex_state = 56, .external_lex_state = 26},
  [11324] = {.lex_state = 6},
  [11325] = {.lex_state = 67},
  [11326] = {.lex_state = 67},
  [11327] = {.lex_state = 6},
  [11328] = {.lex_state = 59, .external_lex_state = 26},
  [11329] = {.lex_state = 67, .external_lex_state = 58},
  [11330] = {.lex_state = 59, .external_lex_state = 26},
  [11331] = {.lex_state = 67},
  [11332] = {.lex_state = 65, .external_lex_state = 27},
  [11333] = {.lex_state = 67},
  [11334] = {.lex_state = 67},
  [11335] = {.lex_state = 67},
  [11336] = {.lex_state = 67},
  [11337] = {.lex_state = 67},
  [11338] = {.lex_state = 67},
  [11339] = {.lex_state = 59, .external_lex_state = 26},
  [11340] = {.lex_state = 67},
  [11341] = {.lex_state = 58, .external_lex_state = 36},
  [11342] = {.lex_state = 67},
  [11343] = {.lex_state = 58, .external_lex_state = 36},
  [11344] = {.lex_state = 67},
  [11345] = {.lex_state = 67},
  [11346] = {.lex_state = 67},
  [11347] = {.lex_state = 67},
  [11348] = {.lex_state = 58, .external_lex_state = 36},
  [11349] = {.lex_state = 6},
  [11350] = {.lex_state = 65, .external_lex_state = 34},
  [11351] = {.lex_state = 65, .external_lex_state = 34},
  [11352] = {.lex_state = 65, .external_lex_state = 34},
  [11353] = {.lex_state = 59, .external_lex_state = 26},
  [11354] = {.lex_state = 67, .external_lex_state = 59},
  [11355] = {.lex_state = 6},
  [11356] = {.lex_state = 59, .external_lex_state = 26},
  [11357] = {.lex_state = 6},
  [11358] = {.lex_state = 60, .external_lex_state = 63},
  [11359] = {.lex_state = 67, .external_lex_state = 33},
  [11360] = {.lex_state = 60, .external_lex_state = 65},
  [11361] = {.lex_state = 67, .external_lex_state = 27},
  [11362] = {.lex_state = 67, .external_lex_state = 30},
  [11363] = {.lex_state = 60, .external_lex_state = 28},
  [11364] = {.lex_state = 56, .external_lex_state = 26},
  [11365] = {.lex_state = 56, .external_lex_state = 26},
  [11366] = {.lex_state = 56, .external_lex_state = 26},
  [11367] = {.lex_state = 56, .external_lex_state = 26},
  [11368] = {.lex_state = 59, .external_lex_state = 26},
  [11369] = {.lex_state = 24},
  [11370] = {.lex_state = 24},
  [11371] = {.lex_state = 59, .external_lex_state = 54},
  [11372] = {.lex_state = 24},
  [11373] = {.lex_state = 60, .external_lex_state = 28},
  [11374] = {.lex_state = 24},
  [11375] = {.lex_state = 24},
  [11376] = {.lex_state = 24},
  [11377] = {.lex_state = 56},
  [11378] = {.lex_state = 24},
  [11379] = {.lex_state = 24},
  [11380] = {.lex_state = 22},
  [11381] = {.lex_state = 67, .external_lex_state = 26},
  [11382] = {.lex_state = 24},
  [11383] = {.lex_state = 58, .external_lex_state = 36},
  [11384] = {.lex_state = 24},
  [11385] = {.lex_state = 60, .external_lex_state = 62},
  [11386] = {.lex_state = 58, .external_lex_state = 36},
  [11387] = {.lex_state = 58, .external_lex_state = 36},
  [11388] = {.lex_state = 58, .external_lex_state = 36},
  [11389] = {.lex_state = 58, .external_lex_state = 36},
  [11390] = {.lex_state = 60, .external_lex_state = 28},
  [11391] = {.lex_state = 59, .external_lex_state = 26},
  [11392] = {.lex_state = 6},
  [11393] = {.lex_state = 6},
  [11394] = {.lex_state = 22},
  [11395] = {.lex_state = 66, .external_lex_state = 26},
  [11396] = {.lex_state = 66, .external_lex_state = 26},
  [11397] = {.lex_state = 66, .external_lex_state = 26},
  [11398] = {.lex_state = 11},
  [11399] = {.lex_state = 66, .external_lex_state = 26},
  [11400] = {.lex_state = 60, .external_lex_state = 30},
  [11401] = {.lex_state = 67, .external_lex_state = 58},
  [11402] = {.lex_state = 58, .external_lex_state = 39},
  [11403] = {.lex_state = 58, .external_lex_state = 39},
  [11404] = {.lex_state = 58, .external_lex_state = 39},
  [11405] = {.lex_state = 21},
  [11406] = {.lex_state = 67, .external_lex_state = 60},
  [11407] = {.lex_state = 65, .external_lex_state = 34},
  [11408] = {.lex_state = 65, .external_lex_state = 34},
  [11409] = {.lex_state = 60, .external_lex_state = 28},
  [11410] = {.lex_state = 59, .external_lex_state = 26},
  [11411] = {.lex_state = 59, .external_lex_state = 26},
  [11412] = {.lex_state = 69, .external_lex_state = 26},
  [11413] = {.lex_state = 69, .external_lex_state = 26},
  [11414] = {.lex_state = 69, .external_lex_state = 26},
  [11415] = {.lex_state = 69, .external_lex_state = 27},
  [11416] = {.lex_state = 56},
  [11417] = {.lex_state = 56},
  [11418] = {.lex_state = 56},
  [11419] = {.lex_state = 21},
  [11420] = {.lex_state = 60, .external_lex_state = 63},
  [11421] = {.lex_state = 56, .external_lex_state = 27},
  [11422] = {.lex_state = 58, .external_lex_state = 36},
  [11423] = {.lex_state = 56, .external_lex_state = 27},
  [11424] = {.lex_state = 65, .external_lex_state = 33},
  [11425] = {.lex_state = 60, .external_lex_state = 36},
  [11426] = {.lex_state = 56, .external_lex_state = 27},
  [11427] = {.lex_state = 60, .external_lex_state = 28},
  [11428] = {.lex_state = 60, .external_lex_state = 28},
  [11429] = {.lex_state = 59, .external_lex_state = 26},
  [11430] = {.lex_state = 56, .external_lex_state = 27},
  [11431] = {.lex_state = 59, .external_lex_state = 26},
  [11432] = {.lex_state = 56, .external_lex_state = 27},
  [11433] = {.lex_state = 56, .external_lex_state = 27},
  [11434] = {.lex_state = 56, .external_lex_state = 27},
  [11435] = {.lex_state = 56, .external_lex_state = 27},
  [11436] = {.lex_state = 56, .external_lex_state = 27},
  [11437] = {.lex_state = 58, .external_lex_state = 61},
  [11438] = {.lex_state = 56, .external_lex_state = 27},
  [11439] = {.lex_state = 58, .external_lex_state = 36},
  [11440] = {.lex_state = 58, .external_lex_state = 61},
  [11441] = {.lex_state = 58, .external_lex_state = 36},
  [11442] = {.lex_state = 22},
  [11443] = {.lex_state = 67},
  [11444] = {.lex_state = 60, .external_lex_state = 28},
  [11445] = {.lex_state = 60, .external_lex_state = 28},
  [11446] = {.lex_state = 60, .external_lex_state = 30},
  [11447] = {.lex_state = 59, .external_lex_state = 26},
  [11448] = {.lex_state = 65, .external_lex_state = 33},
  [11449] = {.lex_state = 65, .external_lex_state = 33},
  [11450] = {.lex_state = 65, .external_lex_state = 33},
  [11451] = {.lex_state = 58, .external_lex_state = 39},
  [11452] = {.lex_state = 58, .external_lex_state = 39},
  [11453] = {.lex_state = 58, .external_lex_state = 39},
  [11454] = {.lex_state = 58, .external_lex_state = 39},
  [11455] = {.lex_state = 58, .external_lex_state = 39},
  [11456] = {.lex_state = 60, .external_lex_state = 28},
  [11457] = {.lex_state = 58, .external_lex_state = 36},
  [11458] = {.lex_state = 60, .external_lex_state = 28},
  [11459] = {.lex_state = 58, .external_lex_state = 36},
  [11460] = {.lex_state = 58, .external_lex_state = 36},
  [11461] = {.lex_state = 59, .external_lex_state = 26},
  [11462] = {.lex_state = 59, .external_lex_state = 26},
  [11463] = {.lex_state = 59, .external_lex_state = 26},
  [11464] = {.lex_state = 59, .external_lex_state = 26},
  [11465] = {.lex_state = 56, .external_lex_state = 26},
  [11466] = {.lex_state = 56, .external_lex_state = 26},
  [11467] = {.lex_state = 56, .external_lex_state = 26},
  [11468] = {.lex_state = 65, .external_lex_state = 27},
  [11469] = {.lex_state = 65, .external_lex_state = 27},
  [11470] = {.lex_state = 65, .external_lex_state = 27},
  [11471] = {.lex_state = 60, .external_lex_state = 62},
  [11472] = {.lex_state = 24},
  [11473] = {.lex_state = 24},
  [11474] = {.lex_state = 24},
  [11475] = {.lex_state = 69, .external_lex_state = 27},
  [11476] = {.lex_state = 24},
  [11477] = {.lex_state = 24},
  [11478] = {.lex_state = 6},
  [11479] = {.lex_state = 24},
  [11480] = {.lex_state = 6},
  [11481] = {.lex_state = 24},
  [11482] = {.lex_state = 24},
  [11483] = {.lex_state = 6},
  [11484] = {.lex_state = 6},
  [11485] = {.lex_state = 60, .external_lex_state = 28},
  [11486] = {.lex_state = 24},
  [11487] = {.lex_state = 56, .external_lex_state = 27},
  [11488] = {.lex_state = 56, .external_lex_state = 27},
  [11489] = {.lex_state = 24},
  [11490] = {.lex_state = 24},
  [11491] = {.lex_state = 24},
  [11492] = {.lex_state = 67, .external_lex_state = 59},
  [11493] = {.lex_state = 6},
  [11494] = {.lex_state = 6},
  [11495] = {.lex_state = 24},
  [11496] = {.lex_state = 24},
  [11497] = {.lex_state = 6},
  [11498] = {.lex_state = 24},
  [11499] = {.lex_state = 6},
  [11500] = {.lex_state = 24},
  [11501] = {.lex_state = 24},
  [11502] = {.lex_state = 56},
  [11503] = {.lex_state = 24},
  [11504] = {.lex_state = 24},
  [11505] = {.lex_state = 24},
  [11506] = {.lex_state = 7},
  [11507] = {.lex_state = 66, .external_lex_state = 26},
  [11508] = {.lex_state = 60, .external_lex_state = 28},
  [11509] = {.lex_state = 60, .external_lex_state = 28},
  [11510] = {.lex_state = 7},
  [11511] = {.lex_state = 58, .external_lex_state = 39},
  [11512] = {.lex_state = 7},
  [11513] = {.lex_state = 7},
  [11514] = {.lex_state = 7},
  [11515] = {.lex_state = 7},
  [11516] = {.lex_state = 66, .external_lex_state = 26},
  [11517] = {.lex_state = 66, .external_lex_state = 26},
  [11518] = {.lex_state = 7},
  [11519] = {.lex_state = 66, .external_lex_state = 26},
  [11520] = {.lex_state = 66, .external_lex_state = 26},
  [11521] = {.lex_state = 24},
  [11522] = {.lex_state = 66, .external_lex_state = 26},
  [11523] = {.lex_state = 67},
  [11524] = {.lex_state = 58, .external_lex_state = 39},
  [11525] = {.lex_state = 58, .external_lex_state = 39},
  [11526] = {.lex_state = 58, .external_lex_state = 39},
  [11527] = {.lex_state = 66, .external_lex_state = 26},
  [11528] = {.lex_state = 66, .external_lex_state = 26},
  [11529] = {.lex_state = 60, .external_lex_state = 28},
  [11530] = {.lex_state = 58, .external_lex_state = 39},
  [11531] = {.lex_state = 67, .external_lex_state = 30},
  [11532] = {.lex_state = 69, .external_lex_state = 26},
  [11533] = {.lex_state = 69, .external_lex_state = 26},
  [11534] = {.lex_state = 22},
  [11535] = {.lex_state = 22},
  [11536] = {.lex_state = 24},
  [11537] = {.lex_state = 22},
  [11538] = {.lex_state = 6},
  [11539] = {.lex_state = 58, .external_lex_state = 39},
  [11540] = {.lex_state = 6},
  [11541] = {.lex_state = 6},
  [11542] = {.lex_state = 56, .external_lex_state = 27},
  [11543] = {.lex_state = 56, .external_lex_state = 26},
  [11544] = {.lex_state = 24},
  [11545] = {.lex_state = 24},
  [11546] = {.lex_state = 24},
  [11547] = {.lex_state = 24},
  [11548] = {.lex_state = 22},
  [11549] = {.lex_state = 22},
  [11550] = {.lex_state = 22},
  [11551] = {.lex_state = 24},
  [11552] = {.lex_state = 56, .external_lex_state = 27},
  [11553] = {.lex_state = 56, .external_lex_state = 26},
  [11554] = {.lex_state = 56, .external_lex_state = 27},
  [11555] = {.lex_state = 66, .external_lex_state = 26},
  [11556] = {.lex_state = 56, .external_lex_state = 27},
  [11557] = {.lex_state = 56, .external_lex_state = 27},
  [11558] = {.lex_state = 24},
  [11559] = {.lex_state = 56, .external_lex_state = 26},
  [11560] = {.lex_state = 22},
  [11561] = {.lex_state = 22},
  [11562] = {.lex_state = 22},
  [11563] = {.lex_state = 56, .external_lex_state = 27},
  [11564] = {.lex_state = 22},
  [11565] = {.lex_state = 22},
  [11566] = {.lex_state = 24},
  [11567] = {.lex_state = 24},
  [11568] = {.lex_state = 24},
  [11569] = {.lex_state = 24},
  [11570] = {.lex_state = 24},
  [11571] = {.lex_state = 24},
  [11572] = {.lex_state = 67},
  [11573] = {.lex_state = 24},
  [11574] = {.lex_state = 56, .external_lex_state = 26},
  [11575] = {.lex_state = 56, .external_lex_state = 26},
  [11576] = {.lex_state = 67},
  [11577] = {.lex_state = 24},
  [11578] = {.lex_state = 67, .external_lex_state = 58},
  [11579] = {.lex_state = 67, .external_lex_state = 34},
  [11580] = {.lex_state = 67},
  [11581] = {.lex_state = 66, .external_lex_state = 26},
  [11582] = {.lex_state = 24},
  [11583] = {.lex_state = 60, .external_lex_state = 30},
  [11584] = {.lex_state = 60, .external_lex_state = 30},
  [11585] = {.lex_state = 64, .external_lex_state = 30},
  [11586] = {.lex_state = 64, .external_lex_state = 30},
  [11587] = {.lex_state = 67, .external_lex_state = 60},
  [11588] = {.lex_state = 7},
  [11589] = {.lex_state = 67},
  [11590] = {.lex_state = 56},
  [11591] = {.lex_state = 67},
  [11592] = {.lex_state = 69, .external_lex_state = 27},
  [11593] = {.lex_state = 56},
  [11594] = {.lex_state = 69, .external_lex_state = 27},
  [11595] = {.lex_state = 69, .external_lex_state = 27},
  [11596] = {.lex_state = 60, .external_lex_state = 63},
  [11597] = {.lex_state = 11},
  [11598] = {.lex_state = 59, .external_lex_state = 25},
  [11599] = {.lex_state = 67},
  [11600] = {.lex_state = 67},
  [11601] = {.lex_state = 56},
  [11602] = {.lex_state = 67, .external_lex_state = 26},
  [11603] = {.lex_state = 56},
  [11604] = {.lex_state = 56},
  [11605] = {.lex_state = 67},
  [11606] = {.lex_state = 67},
  [11607] = {.lex_state = 59, .external_lex_state = 25},
  [11608] = {.lex_state = 6},
  [11609] = {.lex_state = 11},
  [11610] = {.lex_state = 65, .external_lex_state = 39},
  [11611] = {.lex_state = 59, .external_lex_state = 27},
  [11612] = {.lex_state = 65, .external_lex_state = 39},
  [11613] = {.lex_state = 65, .external_lex_state = 39},
  [11614] = {.lex_state = 67},
  [11615] = {.lex_state = 56},
  [11616] = {.lex_state = 56},
  [11617] = {.lex_state = 56},
  [11618] = {.lex_state = 56},
  [11619] = {.lex_state = 56},
  [11620] = {.lex_state = 60, .external_lex_state = 64},
  [11621] = {.lex_state = 56},
  [11622] = {.lex_state = 56},
  [11623] = {.lex_state = 59, .external_lex_state = 54},
  [11624] = {.lex_state = 11},
  [11625] = {.lex_state = 65, .external_lex_state = 36},
  [11626] = {.lex_state = 58, .external_lex_state = 66},
  [11627] = {.lex_state = 56},
  [11628] = {.lex_state = 64, .external_lex_state = 30},
  [11629] = {.lex_state = 56},
  [11630] = {.lex_state = 56},
  [11631] = {.lex_state = 56},
  [11632] = {.lex_state = 56, .external_lex_state = 26},
  [11633] = {.lex_state = 56, .external_lex_state = 26},
  [11634] = {.lex_state = 56},
  [11635] = {.lex_state = 11},
  [11636] = {.lex_state = 67},
  [11637] = {.lex_state = 11},
  [11638] = {.lex_state = 7},
  [11639] = {.lex_state = 23},
  [11640] = {.lex_state = 60, .external_lex_state = 30},
  [11641] = {.lex_state = 11},
  [11642] = {.lex_state = 67},
  [11643] = {.lex_state = 11},
  [11644] = {.lex_state = 11},
  [11645] = {.lex_state = 11},
  [11646] = {.lex_state = 56},
  [11647] = {.lex_state = 56},
  [11648] = {.lex_state = 60, .external_lex_state = 30},
  [11649] = {.lex_state = 56},
  [11650] = {.lex_state = 60, .external_lex_state = 30},
  [11651] = {.lex_state = 56},
  [11652] = {.lex_state = 60, .external_lex_state = 65},
  [11653] = {.lex_state = 60, .external_lex_state = 30},
  [11654] = {.lex_state = 60, .external_lex_state = 30},
  [11655] = {.lex_state = 60, .external_lex_state = 30},
  [11656] = {.lex_state = 11},
  [11657] = {.lex_state = 60, .external_lex_state = 30},
  [11658] = {.lex_state = 60, .external_lex_state = 30},
  [11659] = {.lex_state = 60, .external_lex_state = 30},
  [11660] = {.lex_state = 60, .external_lex_state = 30},
  [11661] = {.lex_state = 60, .external_lex_state = 30},
  [11662] = {.lex_state = 69, .external_lex_state = 26},
  [11663] = {.lex_state = 69, .external_lex_state = 26},
  [11664] = {.lex_state = 65, .external_lex_state = 39},
  [11665] = {.lex_state = 11},
  [11666] = {.lex_state = 11},
  [11667] = {.lex_state = 6},
  [11668] = {.lex_state = 11},
  [11669] = {.lex_state = 11},
  [11670] = {.lex_state = 65, .external_lex_state = 36},
  [11671] = {.lex_state = 67, .external_lex_state = 34},
  [11672] = {.lex_state = 6},
  [11673] = {.lex_state = 6},
  [11674] = {.lex_state = 6},
  [11675] = {.lex_state = 67, .external_lex_state = 33},
  [11676] = {.lex_state = 6},
  [11677] = {.lex_state = 64, .external_lex_state = 33},
  [11678] = {.lex_state = 56, .external_lex_state = 26},
  [11679] = {.lex_state = 64, .external_lex_state = 33},
  [11680] = {.lex_state = 6},
  [11681] = {.lex_state = 60, .external_lex_state = 26},
  [11682] = {.lex_state = 60, .external_lex_state = 63},
  [11683] = {.lex_state = 64, .external_lex_state = 34},
  [11684] = {.lex_state = 64, .external_lex_state = 34},
  [11685] = {.lex_state = 6},
  [11686] = {.lex_state = 67, .external_lex_state = 39},
  [11687] = {.lex_state = 11},
  [11688] = {.lex_state = 69, .external_lex_state = 26},
  [11689] = {.lex_state = 56, .external_lex_state = 26},
  [11690] = {.lex_state = 65, .external_lex_state = 36},
  [11691] = {.lex_state = 65, .external_lex_state = 36},
  [11692] = {.lex_state = 65, .external_lex_state = 36},
  [11693] = {.lex_state = 60, .external_lex_state = 64},
  [11694] = {.lex_state = 60, .external_lex_state = 34},
  [11695] = {.lex_state = 6},
  [11696] = {.lex_state = 69, .external_lex_state = 26},
  [11697] = {.lex_state = 69, .external_lex_state = 26},
  [11698] = {.lex_state = 56},
  [11699] = {.lex_state = 60, .external_lex_state = 62},
  [11700] = {.lex_state = 56},
  [11701] = {.lex_state = 6},
  [11702] = {.lex_state = 6},
  [11703] = {.lex_state = 60, .external_lex_state = 65},
  [11704] = {.lex_state = 60, .external_lex_state = 40},
  [11705] = {.lex_state = 56, .external_lex_state = 26},
  [11706] = {.lex_state = 67},
  [11707] = {.lex_state = 6},
  [11708] = {.lex_state = 6},
  [11709] = {.lex_state = 60, .external_lex_state = 30},
  [11710] = {.lex_state = 24},
  [11711] = {.lex_state = 56, .external_lex_state = 26},
  [11712] = {.lex_state = 60, .external_lex_state = 34},
  [11713] = {.lex_state = 6},
  [11714] = {.lex_state = 67},
  [11715] = {.lex_state = 6},
  [11716] = {.lex_state = 6},
  [11717] = {.lex_state = 23},
  [11718] = {.lex_state = 6},
  [11719] = {.lex_state = 56, .external_lex_state = 26},
  [11720] = {.lex_state = 60, .external_lex_state = 34},
  [11721] = {.lex_state = 67},
  [11722] = {.lex_state = 67, .external_lex_state = 33},
  [11723] = {.lex_state = 56, .external_lex_state = 26},
  [11724] = {.lex_state = 67},
  [11725] = {.lex_state = 67},
  [11726] = {.lex_state = 7},
  [11727] = {.lex_state = 67},
  [11728] = {.lex_state = 7},
  [11729] = {.lex_state = 7},
  [11730] = {.lex_state = 67, .external_lex_state = 34},
  [11731] = {.lex_state = 67},
  [11732] = {.lex_state = 11},
  [11733] = {.lex_state = 23},
  [11734] = {.lex_state = 23},
  [11735] = {.lex_state = 67},
  [11736] = {.lex_state = 56, .external_lex_state = 27},
  [11737] = {.lex_state = 67},
  [11738] = {.lex_state = 56, .external_lex_state = 27},
  [11739] = {.lex_state = 60, .external_lex_state = 62},
  [11740] = {.lex_state = 59, .external_lex_state = 54},
  [11741] = {.lex_state = 67},
  [11742] = {.lex_state = 6},
  [11743] = {.lex_state = 67},
  [11744] = {.lex_state = 23},
  [11745] = {.lex_state = 60, .external_lex_state = 33},
  [11746] = {.lex_state = 67},
  [11747] = {.lex_state = 65, .external_lex_state = 39},
  [11748] = {.lex_state = 67},
  [11749] = {.lex_state = 67},
  [11750] = {.lex_state = 24},
  [11751] = {.lex_state = 67},
  [11752] = {.lex_state = 56, .external_lex_state = 26},
  [11753] = {.lex_state = 67},
  [11754] = {.lex_state = 67},
  [11755] = {.lex_state = 67},
  [11756] = {.lex_state = 56, .external_lex_state = 26},
  [11757] = {.lex_state = 67},
  [11758] = {.lex_state = 60, .external_lex_state = 30},
  [11759] = {.lex_state = 60, .external_lex_state = 30},
  [11760] = {.lex_state = 67},
  [11761] = {.lex_state = 60, .external_lex_state = 30},
  [11762] = {.lex_state = 67},
  [11763] = {.lex_state = 60, .external_lex_state = 26},
  [11764] = {.lex_state = 67},
  [11765] = {.lex_state = 6},
  [11766] = {.lex_state = 6},
  [11767] = {.lex_state = 6},
  [11768] = {.lex_state = 67},
  [11769] = {.lex_state = 6},
  [11770] = {.lex_state = 6},
  [11771] = {.lex_state = 67},
  [11772] = {.lex_state = 67},
  [11773] = {.lex_state = 60, .external_lex_state = 65},
  [11774] = {.lex_state = 67},
  [11775] = {.lex_state = 60, .external_lex_state = 30},
  [11776] = {.lex_state = 67},
  [11777] = {.lex_state = 23},
  [11778] = {.lex_state = 60, .external_lex_state = 33},
  [11779] = {.lex_state = 23},
  [11780] = {.lex_state = 23},
  [11781] = {.lex_state = 67},
  [11782] = {.lex_state = 67},
  [11783] = {.lex_state = 67},
  [11784] = {.lex_state = 67},
  [11785] = {.lex_state = 67},
  [11786] = {.lex_state = 67},
  [11787] = {.lex_state = 11},
  [11788] = {.lex_state = 6},
  [11789] = {.lex_state = 67},
  [11790] = {.lex_state = 67},
  [11791] = {.lex_state = 67},
  [11792] = {.lex_state = 6},
  [11793] = {.lex_state = 67},
  [11794] = {.lex_state = 67},
  [11795] = {.lex_state = 56, .external_lex_state = 26},
  [11796] = {.lex_state = 67},
  [11797] = {.lex_state = 67},
  [11798] = {.lex_state = 23},
  [11799] = {.lex_state = 23},
  [11800] = {.lex_state = 67},
  [11801] = {.lex_state = 23},
  [11802] = {.lex_state = 23},
  [11803] = {.lex_state = 23},
  [11804] = {.lex_state = 67},
  [11805] = {.lex_state = 67},
  [11806] = {.lex_state = 67, .external_lex_state = 36},
  [11807] = {.lex_state = 67},
  [11808] = {.lex_state = 67},
  [11809] = {.lex_state = 67},
  [11810] = {.lex_state = 67},
  [11811] = {.lex_state = 67},
  [11812] = {.lex_state = 6},
  [11813] = {.lex_state = 67},
  [11814] = {.lex_state = 56, .external_lex_state = 26},
  [11815] = {.lex_state = 67},
  [11816] = {.lex_state = 56, .external_lex_state = 26},
  [11817] = {.lex_state = 67},
  [11818] = {.lex_state = 67},
  [11819] = {.lex_state = 67},
  [11820] = {.lex_state = 67},
  [11821] = {.lex_state = 67},
  [11822] = {.lex_state = 6},
  [11823] = {.lex_state = 60, .external_lex_state = 34},
  [11824] = {.lex_state = 6},
  [11825] = {.lex_state = 56, .external_lex_state = 26},
  [11826] = {.lex_state = 56, .external_lex_state = 26},
  [11827] = {.lex_state = 56},
  [11828] = {.lex_state = 60, .external_lex_state = 63},
  [11829] = {.lex_state = 56, .external_lex_state = 26},
  [11830] = {.lex_state = 60, .external_lex_state = 33},
  [11831] = {.lex_state = 60, .external_lex_state = 33},
  [11832] = {.lex_state = 59, .external_lex_state = 27},
  [11833] = {.lex_state = 56, .external_lex_state = 26},
  [11834] = {.lex_state = 56, .external_lex_state = 26},
  [11835] = {.lex_state = 56, .external_lex_state = 26},
  [11836] = {.lex_state = 56, .external_lex_state = 26},
  [11837] = {.lex_state = 56},
  [11838] = {.lex_state = 56},
  [11839] = {.lex_state = 56},
  [11840] = {.lex_state = 56},
  [11841] = {.lex_state = 21},
  [11842] = {.lex_state = 60, .external_lex_state = 65},
  [11843] = {.lex_state = 67},
  [11844] = {.lex_state = 6},
  [11845] = {.lex_state = 56},
  [11846] = {.lex_state = 56},
  [11847] = {.lex_state = 57},
  [11848] = {.lex_state = 23},
  [11849] = {.lex_state = 60, .external_lex_state = 33},
  [11850] = {.lex_state = 60, .external_lex_state = 30},
  [11851] = {.lex_state = 59, .external_lex_state = 25},
  [11852] = {.lex_state = 67},
  [11853] = {.lex_state = 60, .external_lex_state = 54},
  [11854] = {.lex_state = 60, .external_lex_state = 33},
  [11855] = {.lex_state = 64, .external_lex_state = 34},
  [11856] = {.lex_state = 56},
  [11857] = {.lex_state = 67},
  [11858] = {.lex_state = 56},
  [11859] = {.lex_state = 56},
  [11860] = {.lex_state = 60, .external_lex_state = 63},
  [11861] = {.lex_state = 56},
  [11862] = {.lex_state = 56},
  [11863] = {.lex_state = 56},
  [11864] = {.lex_state = 60, .external_lex_state = 62},
  [11865] = {.lex_state = 59, .external_lex_state = 25},
  [11866] = {.lex_state = 60, .external_lex_state = 62},
  [11867] = {.lex_state = 56},
  [11868] = {.lex_state = 56},
  [11869] = {.lex_state = 56},
  [11870] = {.lex_state = 67},
  [11871] = {.lex_state = 67},
  [11872] = {.lex_state = 59, .external_lex_state = 54},
  [11873] = {.lex_state = 59, .external_lex_state = 54},
  [11874] = {.lex_state = 59, .external_lex_state = 54},
  [11875] = {.lex_state = 59, .external_lex_state = 54},
  [11876] = {.lex_state = 59, .external_lex_state = 54},
  [11877] = {.lex_state = 59, .external_lex_state = 54},
  [11878] = {.lex_state = 59, .external_lex_state = 54},
  [11879] = {.lex_state = 59, .external_lex_state = 54},
  [11880] = {.lex_state = 59, .external_lex_state = 54},
  [11881] = {.lex_state = 59, .external_lex_state = 54},
  [11882] = {.lex_state = 56},
  [11883] = {.lex_state = 60, .external_lex_state = 63},
  [11884] = {.lex_state = 56},
  [11885] = {.lex_state = 60, .external_lex_state = 43},
  [11886] = {.lex_state = 26},
  [11887] = {.lex_state = 56},
  [11888] = {.lex_state = 67},
  [11889] = {.lex_state = 60, .external_lex_state = 62},
  [11890] = {.lex_state = 56},
  [11891] = {.lex_state = 67},
  [11892] = {.lex_state = 56},
  [11893] = {.lex_state = 67},
  [11894] = {.lex_state = 64, .external_lex_state = 36},
  [11895] = {.lex_state = 56},
  [11896] = {.lex_state = 56},
  [11897] = {.lex_state = 56},
  [11898] = {.lex_state = 59, .external_lex_state = 25},
  [11899] = {.lex_state = 67},
  [11900] = {.lex_state = 67},
  [11901] = {.lex_state = 60, .external_lex_state = 63},
  [11902] = {.lex_state = 64, .external_lex_state = 36},
  [11903] = {.lex_state = 56},
  [11904] = {.lex_state = 56},
  [11905] = {.lex_state = 59, .external_lex_state = 25},
  [11906] = {.lex_state = 60, .external_lex_state = 25},
  [11907] = {.lex_state = 59, .external_lex_state = 25},
  [11908] = {.lex_state = 64, .external_lex_state = 39},
  [11909] = {.lex_state = 56},
  [11910] = {.lex_state = 26},
  [11911] = {.lex_state = 56},
  [11912] = {.lex_state = 60, .external_lex_state = 54},
  [11913] = {.lex_state = 64, .external_lex_state = 39},
  [11914] = {.lex_state = 67, .external_lex_state = 39},
  [11915] = {.lex_state = 56},
  [11916] = {.lex_state = 60, .external_lex_state = 36},
  [11917] = {.lex_state = 60, .external_lex_state = 63},
  [11918] = {.lex_state = 56},
  [11919] = {.lex_state = 67, .external_lex_state = 36},
  [11920] = {.lex_state = 56},
  [11921] = {.lex_state = 21},
  [11922] = {.lex_state = 60, .external_lex_state = 44},
  [11923] = {.lex_state = 60, .external_lex_state = 62},
  [11924] = {.lex_state = 65, .external_lex_state = 26},
  [11925] = {.lex_state = 67},
  [11926] = {.lex_state = 56},
  [11927] = {.lex_state = 67},
  [11928] = {.lex_state = 56},
  [11929] = {.lex_state = 65, .external_lex_state = 26},
  [11930] = {.lex_state = 24},
  [11931] = {.lex_state = 65, .external_lex_state = 26},
  [11932] = {.lex_state = 56},
  [11933] = {.lex_state = 60, .external_lex_state = 33},
  [11934] = {.lex_state = 60, .external_lex_state = 34},
  [11935] = {.lex_state = 60, .external_lex_state = 34},
  [11936] = {.lex_state = 60, .external_lex_state = 34},
  [11937] = {.lex_state = 60, .external_lex_state = 36},
  [11938] = {.lex_state = 60, .external_lex_state = 33},
  [11939] = {.lex_state = 60, .external_lex_state = 33},
  [11940] = {.lex_state = 60, .external_lex_state = 33},
  [11941] = {.lex_state = 67, .external_lex_state = 36},
  [11942] = {.lex_state = 60, .external_lex_state = 33},
  [11943] = {.lex_state = 60, .external_lex_state = 33},
  [11944] = {.lex_state = 60, .external_lex_state = 33},
  [11945] = {.lex_state = 60, .external_lex_state = 33},
  [11946] = {.lex_state = 60, .external_lex_state = 34},
  [11947] = {.lex_state = 60, .external_lex_state = 33},
  [11948] = {.lex_state = 60, .external_lex_state = 33},
  [11949] = {.lex_state = 21},
  [11950] = {.lex_state = 7},
  [11951] = {.lex_state = 67, .external_lex_state = 39},
  [11952] = {.lex_state = 60, .external_lex_state = 30},
  [11953] = {.lex_state = 56},
  [11954] = {.lex_state = 56},
  [11955] = {.lex_state = 56},
  [11956] = {.lex_state = 56},
  [11957] = {.lex_state = 56},
  [11958] = {.lex_state = 26},
  [11959] = {.lex_state = 60, .external_lex_state = 34},
  [11960] = {.lex_state = 26},
  [11961] = {.lex_state = 26},
  [11962] = {.lex_state = 67, .external_lex_state = 26},
  [11963] = {.lex_state = 60, .external_lex_state = 34},
  [11964] = {.lex_state = 60, .external_lex_state = 34},
  [11965] = {.lex_state = 60, .external_lex_state = 34},
  [11966] = {.lex_state = 59, .external_lex_state = 25},
  [11967] = {.lex_state = 60, .external_lex_state = 34},
  [11968] = {.lex_state = 60, .external_lex_state = 34},
  [11969] = {.lex_state = 60, .external_lex_state = 34},
  [11970] = {.lex_state = 60, .external_lex_state = 34},
  [11971] = {.lex_state = 60, .external_lex_state = 34},
  [11972] = {.lex_state = 59, .external_lex_state = 25},
  [11973] = {.lex_state = 64, .external_lex_state = 33},
  [11974] = {.lex_state = 59, .external_lex_state = 25},
  [11975] = {.lex_state = 60, .external_lex_state = 34},
  [11976] = {.lex_state = 67},
  [11977] = {.lex_state = 7},
  [11978] = {.lex_state = 65, .external_lex_state = 26},
  [11979] = {.lex_state = 65, .external_lex_state = 26},
  [11980] = {.lex_state = 60, .external_lex_state = 30},
  [11981] = {.lex_state = 59, .external_lex_state = 25},
  [11982] = {.lex_state = 60, .external_lex_state = 30},
  [11983] = {.lex_state = 59, .external_lex_state = 25},
  [11984] = {.lex_state = 21},
  [11985] = {.lex_state = 60, .external_lex_state = 30},
  [11986] = {.lex_state = 56},
  [11987] = {.lex_state = 59, .external_lex_state = 25},
  [11988] = {.lex_state = 67},
  [11989] = {.lex_state = 59, .external_lex_state = 27},
  [11990] = {.lex_state = 60, .external_lex_state = 34},
  [11991] = {.lex_state = 60, .external_lex_state = 65},
  [11992] = {.lex_state = 56},
  [11993] = {.lex_state = 56},
  [11994] = {.lex_state = 56},
  [11995] = {.lex_state = 60, .external_lex_state = 30},
  [11996] = {.lex_state = 60, .external_lex_state = 30},
  [11997] = {.lex_state = 60, .external_lex_state = 30},
  [11998] = {.lex_state = 60, .external_lex_state = 30},
  [11999] = {.lex_state = 60, .external_lex_state = 36},
  [12000] = {.lex_state = 60, .external_lex_state = 30},
  [12001] = {.lex_state = 60, .external_lex_state = 36},
  [12002] = {.lex_state = 60, .external_lex_state = 34},
  [12003] = {.lex_state = 60, .external_lex_state = 33},
  [12004] = {.lex_state = 60, .external_lex_state = 33},
  [12005] = {.lex_state = 60, .external_lex_state = 33},
  [12006] = {.lex_state = 60, .external_lex_state = 30},
  [12007] = {.lex_state = 60, .external_lex_state = 33},
  [12008] = {.lex_state = 21},
  [12009] = {.lex_state = 7},
  [12010] = {.lex_state = 60, .external_lex_state = 62},
  [12011] = {.lex_state = 60, .external_lex_state = 30},
  [12012] = {.lex_state = 60, .external_lex_state = 30},
  [12013] = {.lex_state = 60, .external_lex_state = 30},
  [12014] = {.lex_state = 60, .external_lex_state = 39},
  [12015] = {.lex_state = 60, .external_lex_state = 39},
  [12016] = {.lex_state = 64, .external_lex_state = 30},
  [12017] = {.lex_state = 60, .external_lex_state = 30},
  [12018] = {.lex_state = 60, .external_lex_state = 30},
  [12019] = {.lex_state = 60, .external_lex_state = 30},
  [12020] = {.lex_state = 60, .external_lex_state = 30},
  [12021] = {.lex_state = 60, .external_lex_state = 39},
  [12022] = {.lex_state = 59, .external_lex_state = 25},
  [12023] = {.lex_state = 60, .external_lex_state = 64},
  [12024] = {.lex_state = 60, .external_lex_state = 25},
  [12025] = {.lex_state = 56},
  [12026] = {.lex_state = 60, .external_lex_state = 62},
  [12027] = {.lex_state = 56},
  [12028] = {.lex_state = 7},
  [12029] = {.lex_state = 56},
  [12030] = {.lex_state = 59, .external_lex_state = 25},
  [12031] = {.lex_state = 59, .external_lex_state = 25},
  [12032] = {.lex_state = 67},
  [12033] = {.lex_state = 67},
  [12034] = {.lex_state = 67},
  [12035] = {.lex_state = 67},
  [12036] = {.lex_state = 67},
  [12037] = {.lex_state = 67},
  [12038] = {.lex_state = 67},
  [12039] = {.lex_state = 67},
  [12040] = {.lex_state = 67},
  [12041] = {.lex_state = 67},
  [12042] = {.lex_state = 67},
  [12043] = {.lex_state = 67},
  [12044] = {.lex_state = 67},
  [12045] = {.lex_state = 67},
  [12046] = {.lex_state = 67},
  [12047] = {.lex_state = 67},
  [12048] = {.lex_state = 67},
  [12049] = {.lex_state = 67},
  [12050] = {.lex_state = 67},
  [12051] = {.lex_state = 67},
  [12052] = {.lex_state = 67},
  [12053] = {.lex_state = 67},
  [12054] = {.lex_state = 60, .external_lex_state = 65},
  [12055] = {.lex_state = 67},
  [12056] = {.lex_state = 67},
  [12057] = {.lex_state = 67},
  [12058] = {.lex_state = 67},
  [12059] = {.lex_state = 60, .external_lex_state = 62},
  [12060] = {.lex_state = 67},
  [12061] = {.lex_state = 67},
  [12062] = {.lex_state = 60, .external_lex_state = 64},
  [12063] = {.lex_state = 67},
  [12064] = {.lex_state = 67},
  [12065] = {.lex_state = 67},
  [12066] = {.lex_state = 67},
  [12067] = {.lex_state = 67},
  [12068] = {.lex_state = 67},
  [12069] = {.lex_state = 67},
  [12070] = {.lex_state = 67},
  [12071] = {.lex_state = 67},
  [12072] = {.lex_state = 67},
  [12073] = {.lex_state = 67},
  [12074] = {.lex_state = 67},
  [12075] = {.lex_state = 67},
  [12076] = {.lex_state = 67},
  [12077] = {.lex_state = 67},
  [12078] = {.lex_state = 67},
  [12079] = {.lex_state = 67},
  [12080] = {.lex_state = 67},
  [12081] = {.lex_state = 67},
  [12082] = {.lex_state = 67},
  [12083] = {.lex_state = 67},
  [12084] = {.lex_state = 67},
  [12085] = {.lex_state = 67},
  [12086] = {.lex_state = 67},
  [12087] = {.lex_state = 67},
  [12088] = {.lex_state = 67},
  [12089] = {.lex_state = 67},
  [12090] = {.lex_state = 67},
  [12091] = {.lex_state = 67},
  [12092] = {.lex_state = 67},
  [12093] = {.lex_state = 67},
  [12094] = {.lex_state = 67},
  [12095] = {.lex_state = 67},
  [12096] = {.lex_state = 67},
  [12097] = {.lex_state = 67},
  [12098] = {.lex_state = 67},
  [12099] = {.lex_state = 67},
  [12100] = {.lex_state = 67},
  [12101] = {.lex_state = 67},
  [12102] = {.lex_state = 67},
  [12103] = {.lex_state = 67},
  [12104] = {.lex_state = 67},
  [12105] = {.lex_state = 67},
  [12106] = {.lex_state = 67},
  [12107] = {.lex_state = 67},
  [12108] = {.lex_state = 67},
  [12109] = {.lex_state = 67},
  [12110] = {.lex_state = 67},
  [12111] = {.lex_state = 67},
  [12112] = {.lex_state = 67},
  [12113] = {.lex_state = 67},
  [12114] = {.lex_state = 67},
  [12115] = {.lex_state = 67},
  [12116] = {.lex_state = 67},
  [12117] = {.lex_state = 67},
  [12118] = {.lex_state = 67},
  [12119] = {.lex_state = 67},
  [12120] = {.lex_state = 67},
  [12121] = {.lex_state = 67},
  [12122] = {.lex_state = 67},
  [12123] = {.lex_state = 67},
  [12124] = {.lex_state = 67},
  [12125] = {.lex_state = 67},
  [12126] = {.lex_state = 67},
  [12127] = {.lex_state = 67},
  [12128] = {.lex_state = 67},
  [12129] = {.lex_state = 67},
  [12130] = {.lex_state = 67},
  [12131] = {.lex_state = 67},
  [12132] = {.lex_state = 67},
  [12133] = {.lex_state = 67},
  [12134] = {.lex_state = 67},
  [12135] = {.lex_state = 67},
  [12136] = {.lex_state = 67},
  [12137] = {.lex_state = 67},
  [12138] = {.lex_state = 67},
  [12139] = {.lex_state = 67},
  [12140] = {.lex_state = 67},
  [12141] = {.lex_state = 67},
  [12142] = {.lex_state = 67},
  [12143] = {.lex_state = 67},
  [12144] = {.lex_state = 67},
  [12145] = {.lex_state = 67},
  [12146] = {.lex_state = 67},
  [12147] = {.lex_state = 67},
  [12148] = {.lex_state = 67},
  [12149] = {.lex_state = 67},
  [12150] = {.lex_state = 67},
  [12151] = {.lex_state = 67},
  [12152] = {.lex_state = 67},
  [12153] = {.lex_state = 67},
  [12154] = {.lex_state = 67},
  [12155] = {.lex_state = 67},
  [12156] = {.lex_state = 67},
  [12157] = {.lex_state = 67},
  [12158] = {.lex_state = 67},
  [12159] = {.lex_state = 67},
  [12160] = {.lex_state = 67},
  [12161] = {.lex_state = 67},
  [12162] = {.lex_state = 7},
  [12163] = {.lex_state = 67},
  [12164] = {.lex_state = 67},
  [12165] = {.lex_state = 67},
  [12166] = {.lex_state = 67},
  [12167] = {.lex_state = 67},
  [12168] = {.lex_state = 67},
  [12169] = {.lex_state = 60, .external_lex_state = 39},
  [12170] = {.lex_state = 7},
  [12171] = {.lex_state = 60, .external_lex_state = 33},
  [12172] = {.lex_state = 60, .external_lex_state = 39},
  [12173] = {.lex_state = 60, .external_lex_state = 39},
  [12174] = {.lex_state = 64, .external_lex_state = 30},
  [12175] = {.lex_state = 58, .external_lex_state = 66},
  [12176] = {.lex_state = 60, .external_lex_state = 33},
  [12177] = {.lex_state = 60, .external_lex_state = 62},
  [12178] = {.lex_state = 60, .external_lex_state = 39},
  [12179] = {.lex_state = 58, .external_lex_state = 66},
  [12180] = {.lex_state = 59, .external_lex_state = 25},
  [12181] = {.lex_state = 60, .external_lex_state = 62},
  [12182] = {.lex_state = 58, .external_lex_state = 66},
  [12183] = {.lex_state = 58, .external_lex_state = 66},
  [12184] = {.lex_state = 7},
  [12185] = {.lex_state = 7},
  [12186] = {.lex_state = 7},
  [12187] = {.lex_state = 60, .external_lex_state = 39},
  [12188] = {.lex_state = 7},
  [12189] = {.lex_state = 60, .external_lex_state = 40},
  [12190] = {.lex_state = 60, .external_lex_state = 62},
  [12191] = {.lex_state = 59, .external_lex_state = 54},
  [12192] = {.lex_state = 59, .external_lex_state = 25},
  [12193] = {.lex_state = 58, .external_lex_state = 66},
  [12194] = {.lex_state = 59, .external_lex_state = 25},
  [12195] = {.lex_state = 7},
  [12196] = {.lex_state = 60, .external_lex_state = 52},
  [12197] = {.lex_state = 58, .external_lex_state = 66},
  [12198] = {.lex_state = 59, .external_lex_state = 25},
  [12199] = {.lex_state = 59, .external_lex_state = 25},
  [12200] = {.lex_state = 60, .external_lex_state = 64},
  [12201] = {.lex_state = 64, .external_lex_state = 30},
  [12202] = {.lex_state = 60, .external_lex_state = 34},
  [12203] = {.lex_state = 60, .external_lex_state = 34},
  [12204] = {.lex_state = 67},
  [12205] = {.lex_state = 60, .external_lex_state = 40},
  [12206] = {.lex_state = 60, .external_lex_state = 34},
  [12207] = {.lex_state = 60, .external_lex_state = 62},
  [12208] = {.lex_state = 64, .external_lex_state = 30},
  [12209] = {.lex_state = 59, .external_lex_state = 25},
  [12210] = {.lex_state = 59, .external_lex_state = 54},
  [12211] = {.lex_state = 67},
  [12212] = {.lex_state = 60, .external_lex_state = 62},
  [12213] = {.lex_state = 58, .external_lex_state = 66},
  [12214] = {.lex_state = 60, .external_lex_state = 62},
  [12215] = {.lex_state = 64, .external_lex_state = 39},
  [12216] = {.lex_state = 60, .external_lex_state = 63},
  [12217] = {.lex_state = 60, .external_lex_state = 36},
  [12218] = {.lex_state = 60, .external_lex_state = 65},
  [12219] = {.lex_state = 60, .external_lex_state = 36},
  [12220] = {.lex_state = 60, .external_lex_state = 25},
  [12221] = {.lex_state = 60, .external_lex_state = 53},
  [12222] = {.lex_state = 67},
  [12223] = {.lex_state = 60, .external_lex_state = 63},
  [12224] = {.lex_state = 60, .external_lex_state = 36},
  [12225] = {.lex_state = 59, .external_lex_state = 25},
  [12226] = {.lex_state = 59, .external_lex_state = 25},
  [12227] = {.lex_state = 60, .external_lex_state = 36},
  [12228] = {.lex_state = 60, .external_lex_state = 36},
  [12229] = {.lex_state = 60, .external_lex_state = 36},
  [12230] = {.lex_state = 59},
  [12231] = {.lex_state = 60, .external_lex_state = 33},
  [12232] = {.lex_state = 64, .external_lex_state = 30},
  [12233] = {.lex_state = 60, .external_lex_state = 65},
  [12234] = {.lex_state = 58, .external_lex_state = 66},
  [12235] = {.lex_state = 64, .external_lex_state = 30},
  [12236] = {.lex_state = 59, .external_lex_state = 25},
  [12237] = {.lex_state = 60, .external_lex_state = 36},
  [12238] = {.lex_state = 60},
  [12239] = {.lex_state = 60, .external_lex_state = 36},
  [12240] = {.lex_state = 59, .external_lex_state = 25},
  [12241] = {.lex_state = 7},
  [12242] = {.lex_state = 67},
  [12243] = {.lex_state = 7},
  [12244] = {.lex_state = 64, .external_lex_state = 26},
  [12245] = {.lex_state = 64, .external_lex_state = 30},
  [12246] = {.lex_state = 64, .external_lex_state = 34},
  [12247] = {.lex_state = 60, .external_lex_state = 36},
  [12248] = {.lex_state = 59, .external_lex_state = 25},
  [12249] = {.lex_state = 60, .external_lex_state = 39},
  [12250] = {.lex_state = 60, .external_lex_state = 62},
  [12251] = {.lex_state = 64, .external_lex_state = 36},
  [12252] = {.lex_state = 60, .external_lex_state = 62},
  [12253] = {.lex_state = 56},
  [12254] = {.lex_state = 60, .external_lex_state = 33},
  [12255] = {.lex_state = 60, .external_lex_state = 36},
  [12256] = {.lex_state = 56},
  [12257] = {.lex_state = 59, .external_lex_state = 54},
  [12258] = {.lex_state = 58, .external_lex_state = 66},
  [12259] = {.lex_state = 60, .external_lex_state = 33},
  [12260] = {.lex_state = 59, .external_lex_state = 27},
  [12261] = {.lex_state = 60, .external_lex_state = 63},
  [12262] = {.lex_state = 64, .external_lex_state = 30},
  [12263] = {.lex_state = 64, .external_lex_state = 30},
  [12264] = {.lex_state = 59, .external_lex_state = 54},
  [12265] = {.lex_state = 7},
  [12266] = {.lex_state = 59, .external_lex_state = 54},
  [12267] = {.lex_state = 59},
  [12268] = {.lex_state = 60, .external_lex_state = 63},
  [12269] = {.lex_state = 59, .external_lex_state = 25},
  [12270] = {.lex_state = 64, .external_lex_state = 30},
  [12271] = {.lex_state = 7},
  [12272] = {.lex_state = 64, .external_lex_state = 30},
  [12273] = {.lex_state = 59, .external_lex_state = 25},
  [12274] = {.lex_state = 59, .external_lex_state = 26},
  [12275] = {.lex_state = 7},
  [12276] = {.lex_state = 60, .external_lex_state = 62},
  [12277] = {.lex_state = 60, .external_lex_state = 62},
  [12278] = {.lex_state = 59},
  [12279] = {.lex_state = 59},
  [12280] = {.lex_state = 64, .external_lex_state = 30},
  [12281] = {.lex_state = 67},
  [12282] = {.lex_state = 60, .external_lex_state = 65},
  [12283] = {.lex_state = 59, .external_lex_state = 25},
  [12284] = {.lex_state = 59, .external_lex_state = 26},
  [12285] = {.lex_state = 60, .external_lex_state = 62},
  [12286] = {.lex_state = 59, .external_lex_state = 25},
  [12287] = {.lex_state = 59, .external_lex_state = 25},
  [12288] = {.lex_state = 59, .external_lex_state = 54},
  [12289] = {.lex_state = 60, .external_lex_state = 40},
  [12290] = {.lex_state = 60, .external_lex_state = 40},
  [12291] = {.lex_state = 64, .external_lex_state = 40},
  [12292] = {.lex_state = 60, .external_lex_state = 63},
  [12293] = {.lex_state = 59},
  [12294] = {.lex_state = 59, .external_lex_state = 26},
  [12295] = {.lex_state = 64, .external_lex_state = 30},
  [12296] = {.lex_state = 64, .external_lex_state = 30},
  [12297] = {.lex_state = 7},
  [12298] = {.lex_state = 59, .external_lex_state = 25},
  [12299] = {.lex_state = 7},
  [12300] = {.lex_state = 58, .external_lex_state = 66},
  [12301] = {.lex_state = 60, .external_lex_state = 63},
  [12302] = {.lex_state = 60, .external_lex_state = 64},
  [12303] = {.lex_state = 59, .external_lex_state = 25},
  [12304] = {.lex_state = 64, .external_lex_state = 30},
  [12305] = {.lex_state = 59, .external_lex_state = 25},
  [12306] = {.lex_state = 59, .external_lex_state = 26},
  [12307] = {.lex_state = 58},
  [12308] = {.lex_state = 64, .external_lex_state = 30},
  [12309] = {.lex_state = 59, .external_lex_state = 25},
  [12310] = {.lex_state = 64, .external_lex_state = 30},
  [12311] = {.lex_state = 60, .external_lex_state = 62},
  [12312] = {.lex_state = 59, .external_lex_state = 54},
  [12313] = {.lex_state = 60, .external_lex_state = 34},
  [12314] = {.lex_state = 67},
  [12315] = {.lex_state = 59},
  [12316] = {.lex_state = 21},
  [12317] = {.lex_state = 59, .external_lex_state = 25},
  [12318] = {.lex_state = 59, .external_lex_state = 25},
  [12319] = {.lex_state = 64, .external_lex_state = 30},
  [12320] = {.lex_state = 60, .external_lex_state = 34},
  [12321] = {.lex_state = 7},
  [12322] = {.lex_state = 58, .external_lex_state = 66},
  [12323] = {.lex_state = 67},
  [12324] = {.lex_state = 59, .external_lex_state = 54},
  [12325] = {.lex_state = 60, .external_lex_state = 34},
  [12326] = {.lex_state = 60, .external_lex_state = 36},
  [12327] = {.lex_state = 60, .external_lex_state = 34},
  [12328] = {.lex_state = 27},
  [12329] = {.lex_state = 60, .external_lex_state = 33},
  [12330] = {.lex_state = 60, .external_lex_state = 36},
  [12331] = {.lex_state = 7},
  [12332] = {.lex_state = 59, .external_lex_state = 54},
  [12333] = {.lex_state = 27},
  [12334] = {.lex_state = 7},
  [12335] = {.lex_state = 7},
  [12336] = {.lex_state = 59, .external_lex_state = 25},
  [12337] = {.lex_state = 59, .external_lex_state = 54},
  [12338] = {.lex_state = 27},
  [12339] = {.lex_state = 27},
  [12340] = {.lex_state = 7},
  [12341] = {.lex_state = 59, .external_lex_state = 25},
  [12342] = {.lex_state = 64, .external_lex_state = 30},
  [12343] = {.lex_state = 59, .external_lex_state = 25},
  [12344] = {.lex_state = 27},
  [12345] = {.lex_state = 64, .external_lex_state = 30},
  [12346] = {.lex_state = 59, .external_lex_state = 25},
  [12347] = {.lex_state = 60, .external_lex_state = 63},
  [12348] = {.lex_state = 7},
  [12349] = {.lex_state = 60, .external_lex_state = 48},
  [12350] = {.lex_state = 60, .external_lex_state = 36},
  [12351] = {.lex_state = 60, .external_lex_state = 34},
  [12352] = {.lex_state = 60, .external_lex_state = 63},
  [12353] = {.lex_state = 60, .external_lex_state = 36},
  [12354] = {.lex_state = 60, .external_lex_state = 36},
  [12355] = {.lex_state = 7},
  [12356] = {.lex_state = 60, .external_lex_state = 62},
  [12357] = {.lex_state = 60, .external_lex_state = 34},
  [12358] = {.lex_state = 7},
  [12359] = {.lex_state = 64, .external_lex_state = 30},
  [12360] = {.lex_state = 60, .external_lex_state = 63},
  [12361] = {.lex_state = 60, .external_lex_state = 33},
  [12362] = {.lex_state = 60, .external_lex_state = 33},
  [12363] = {.lex_state = 60, .external_lex_state = 34},
  [12364] = {.lex_state = 7},
  [12365] = {.lex_state = 7},
  [12366] = {.lex_state = 60, .external_lex_state = 63},
  [12367] = {.lex_state = 60, .external_lex_state = 51},
  [12368] = {.lex_state = 64, .external_lex_state = 40},
  [12369] = {.lex_state = 64, .external_lex_state = 30},
  [12370] = {.lex_state = 64, .external_lex_state = 30},
  [12371] = {.lex_state = 59, .external_lex_state = 25},
  [12372] = {.lex_state = 59, .external_lex_state = 25},
  [12373] = {.lex_state = 67},
  [12374] = {.lex_state = 64, .external_lex_state = 30},
  [12375] = {.lex_state = 7},
  [12376] = {.lex_state = 59, .external_lex_state = 25},
  [12377] = {.lex_state = 64, .external_lex_state = 30},
  [12378] = {.lex_state = 59, .external_lex_state = 25},
  [12379] = {.lex_state = 64, .external_lex_state = 26},
  [12380] = {.lex_state = 60, .external_lex_state = 33},
  [12381] = {.lex_state = 60, .external_lex_state = 34},
  [12382] = {.lex_state = 60, .external_lex_state = 34},
  [12383] = {.lex_state = 60, .external_lex_state = 62},
  [12384] = {.lex_state = 60, .external_lex_state = 34},
  [12385] = {.lex_state = 60, .external_lex_state = 34},
  [12386] = {.lex_state = 7},
  [12387] = {.lex_state = 7},
  [12388] = {.lex_state = 60, .external_lex_state = 63},
  [12389] = {.lex_state = 60, .external_lex_state = 63},
  [12390] = {.lex_state = 7},
  [12391] = {.lex_state = 64, .external_lex_state = 30},
  [12392] = {.lex_state = 60, .external_lex_state = 63},
  [12393] = {.lex_state = 60, .external_lex_state = 62},
  [12394] = {.lex_state = 59, .external_lex_state = 25},
  [12395] = {.lex_state = 60, .external_lex_state = 33},
  [12396] = {.lex_state = 64, .external_lex_state = 30},
  [12397] = {.lex_state = 59, .external_lex_state = 25},
  [12398] = {.lex_state = 60, .external_lex_state = 33},
  [12399] = {.lex_state = 59},
  [12400] = {.lex_state = 60, .external_lex_state = 63},
  [12401] = {.lex_state = 59, .external_lex_state = 54},
  [12402] = {.lex_state = 60, .external_lex_state = 34},
  [12403] = {.lex_state = 59, .external_lex_state = 54},
  [12404] = {.lex_state = 59, .external_lex_state = 54},
  [12405] = {.lex_state = 60, .external_lex_state = 64},
  [12406] = {.lex_state = 64, .external_lex_state = 30},
  [12407] = {.lex_state = 60, .external_lex_state = 65},
  [12408] = {.lex_state = 7},
  [12409] = {.lex_state = 64, .external_lex_state = 30},
  [12410] = {.lex_state = 60, .external_lex_state = 39},
  [12411] = {.lex_state = 59, .external_lex_state = 54},
  [12412] = {.lex_state = 60, .external_lex_state = 39},
  [12413] = {.lex_state = 64, .external_lex_state = 30},
  [12414] = {.lex_state = 60, .external_lex_state = 39},
  [12415] = {.lex_state = 59, .external_lex_state = 25},
  [12416] = {.lex_state = 60, .external_lex_state = 33},
  [12417] = {.lex_state = 60, .external_lex_state = 54},
  [12418] = {.lex_state = 60, .external_lex_state = 36},
  [12419] = {.lex_state = 60, .external_lex_state = 63},
  [12420] = {.lex_state = 60, .external_lex_state = 63},
  [12421] = {.lex_state = 60, .external_lex_state = 62},
  [12422] = {.lex_state = 59, .external_lex_state = 25},
  [12423] = {.lex_state = 60, .external_lex_state = 64},
  [12424] = {.lex_state = 60, .external_lex_state = 39},
  [12425] = {.lex_state = 60, .external_lex_state = 33},
  [12426] = {.lex_state = 60, .external_lex_state = 39},
  [12427] = {.lex_state = 67},
  [12428] = {.lex_state = 64, .external_lex_state = 30},
  [12429] = {.lex_state = 60, .external_lex_state = 33},
  [12430] = {.lex_state = 60, .external_lex_state = 63},
  [12431] = {.lex_state = 60, .external_lex_state = 54},
  [12432] = {.lex_state = 60, .external_lex_state = 63},
  [12433] = {.lex_state = 7},
  [12434] = {.lex_state = 7},
  [12435] = {.lex_state = 60, .external_lex_state = 63},
  [12436] = {.lex_state = 60, .external_lex_state = 62},
  [12437] = {.lex_state = 60, .external_lex_state = 39},
  [12438] = {.lex_state = 7},
  [12439] = {.lex_state = 7},
  [12440] = {.lex_state = 67},
  [12441] = {.lex_state = 60, .external_lex_state = 33},
  [12442] = {.lex_state = 59},
  [12443] = {.lex_state = 60, .external_lex_state = 39},
  [12444] = {.lex_state = 7},
  [12445] = {.lex_state = 7},
  [12446] = {.lex_state = 60, .external_lex_state = 34},
  [12447] = {.lex_state = 64, .external_lex_state = 30},
  [12448] = {.lex_state = 60, .external_lex_state = 39},
  [12449] = {.lex_state = 59},
  [12450] = {.lex_state = 67},
  [12451] = {.lex_state = 60, .external_lex_state = 54},
  [12452] = {.lex_state = 59},
  [12453] = {.lex_state = 58, .external_lex_state = 66},
  [12454] = {.lex_state = 60, .external_lex_state = 39},
  [12455] = {.lex_state = 59},
  [12456] = {.lex_state = 58, .external_lex_state = 66},
  [12457] = {.lex_state = 59},
  [12458] = {.lex_state = 60, .external_lex_state = 62},
  [12459] = {.lex_state = 60, .external_lex_state = 25},
  [12460] = {.lex_state = 7},
  [12461] = {.lex_state = 59},
  [12462] = {.lex_state = 60, .external_lex_state = 39},
  [12463] = {.lex_state = 60, .external_lex_state = 64},
  [12464] = {.lex_state = 64, .external_lex_state = 30},
  [12465] = {.lex_state = 60, .external_lex_state = 33},
  [12466] = {.lex_state = 60, .external_lex_state = 34},
  [12467] = {.lex_state = 58, .external_lex_state = 66},
  [12468] = {.lex_state = 60, .external_lex_state = 64},
  [12469] = {.lex_state = 59, .external_lex_state = 25},
  [12470] = {.lex_state = 60, .external_lex_state = 25},
  [12471] = {.lex_state = 59},
  [12472] = {.lex_state = 60, .external_lex_state = 33},
  [12473] = {.lex_state = 59},
  [12474] = {.lex_state = 59},
  [12475] = {.lex_state = 59, .external_lex_state = 25},
  [12476] = {.lex_state = 59, .external_lex_state = 25},
  [12477] = {.lex_state = 59, .external_lex_state = 25},
  [12478] = {.lex_state = 60, .external_lex_state = 34},
  [12479] = {.lex_state = 59, .external_lex_state = 25},
  [12480] = {.lex_state = 60, .external_lex_state = 26},
  [12481] = {.lex_state = 60, .external_lex_state = 33},
  [12482] = {.lex_state = 59, .external_lex_state = 25},
  [12483] = {.lex_state = 60, .external_lex_state = 63},
  [12484] = {.lex_state = 64, .external_lex_state = 33},
  [12485] = {.lex_state = 67, .external_lex_state = 28},
  [12486] = {.lex_state = 60, .external_lex_state = 39},
  [12487] = {.lex_state = 67},
  [12488] = {.lex_state = 67},
  [12489] = {.lex_state = 67},
  [12490] = {.lex_state = 60, .external_lex_state = 36},
  [12491] = {.lex_state = 67},
  [12492] = {.lex_state = 67},
  [12493] = {.lex_state = 67},
  [12494] = {.lex_state = 67},
  [12495] = {.lex_state = 60, .external_lex_state = 36},
  [12496] = {.lex_state = 60, .external_lex_state = 36},
  [12497] = {.lex_state = 60, .external_lex_state = 25},
  [12498] = {.lex_state = 67},
  [12499] = {.lex_state = 60, .external_lex_state = 65},
  [12500] = {.lex_state = 67},
  [12501] = {.lex_state = 67},
  [12502] = {.lex_state = 60, .external_lex_state = 36},
  [12503] = {.lex_state = 67},
  [12504] = {.lex_state = 60, .external_lex_state = 65},
  [12505] = {.lex_state = 67},
  [12506] = {.lex_state = 67},
  [12507] = {.lex_state = 60, .external_lex_state = 67},
  [12508] = {.lex_state = 64, .external_lex_state = 34},
  [12509] = {.lex_state = 67},
  [12510] = {.lex_state = 67},
  [12511] = {.lex_state = 67},
  [12512] = {.lex_state = 56},
  [12513] = {.lex_state = 59, .external_lex_state = 54},
  [12514] = {.lex_state = 56},
  [12515] = {.lex_state = 60, .external_lex_state = 36},
  [12516] = {.lex_state = 67},
  [12517] = {.lex_state = 60, .external_lex_state = 36},
  [12518] = {.lex_state = 67},
  [12519] = {.lex_state = 67},
  [12520] = {.lex_state = 67},
  [12521] = {.lex_state = 59, .external_lex_state = 27},
  [12522] = {.lex_state = 67},
  [12523] = {.lex_state = 60, .external_lex_state = 60},
  [12524] = {.lex_state = 67},
  [12525] = {.lex_state = 60, .external_lex_state = 36},
  [12526] = {.lex_state = 67},
  [12527] = {.lex_state = 67},
  [12528] = {.lex_state = 60, .external_lex_state = 36},
  [12529] = {.lex_state = 60, .external_lex_state = 36},
  [12530] = {.lex_state = 60, .external_lex_state = 36},
  [12531] = {.lex_state = 60, .external_lex_state = 36},
  [12532] = {.lex_state = 64, .external_lex_state = 33},
  [12533] = {.lex_state = 67},
  [12534] = {.lex_state = 67},
  [12535] = {.lex_state = 67},
  [12536] = {.lex_state = 67},
  [12537] = {.lex_state = 67},
  [12538] = {.lex_state = 67},
  [12539] = {.lex_state = 67},
  [12540] = {.lex_state = 67},
  [12541] = {.lex_state = 67},
  [12542] = {.lex_state = 67},
  [12543] = {.lex_state = 67},
  [12544] = {.lex_state = 60, .external_lex_state = 40},
  [12545] = {.lex_state = 67},
  [12546] = {.lex_state = 67},
  [12547] = {.lex_state = 67},
  [12548] = {.lex_state = 67},
  [12549] = {.lex_state = 67},
  [12550] = {.lex_state = 67},
  [12551] = {.lex_state = 67},
  [12552] = {.lex_state = 60, .external_lex_state = 36},
  [12553] = {.lex_state = 67},
  [12554] = {.lex_state = 67},
  [12555] = {.lex_state = 67},
  [12556] = {.lex_state = 67},
  [12557] = {.lex_state = 59, .external_lex_state = 54},
  [12558] = {.lex_state = 67},
  [12559] = {.lex_state = 67},
  [12560] = {.lex_state = 59, .external_lex_state = 54},
  [12561] = {.lex_state = 67},
  [12562] = {.lex_state = 67},
  [12563] = {.lex_state = 67},
  [12564] = {.lex_state = 67},
  [12565] = {.lex_state = 67},
  [12566] = {.lex_state = 67},
  [12567] = {.lex_state = 60, .external_lex_state = 65},
  [12568] = {.lex_state = 67},
  [12569] = {.lex_state = 60, .external_lex_state = 67},
  [12570] = {.lex_state = 67},
  [12571] = {.lex_state = 67},
  [12572] = {.lex_state = 67},
  [12573] = {.lex_state = 67},
  [12574] = {.lex_state = 67},
  [12575] = {.lex_state = 59, .external_lex_state = 27},
  [12576] = {.lex_state = 67},
  [12577] = {.lex_state = 67},
  [12578] = {.lex_state = 67},
  [12579] = {.lex_state = 60, .external_lex_state = 64},
  [12580] = {.lex_state = 67},
  [12581] = {.lex_state = 67},
  [12582] = {.lex_state = 67},
  [12583] = {.lex_state = 67},
  [12584] = {.lex_state = 60, .external_lex_state = 64},
  [12585] = {.lex_state = 67},
  [12586] = {.lex_state = 67},
  [12587] = {.lex_state = 67},
  [12588] = {.lex_state = 67},
  [12589] = {.lex_state = 67},
  [12590] = {.lex_state = 67},
  [12591] = {.lex_state = 67},
  [12592] = {.lex_state = 67},
  [12593] = {.lex_state = 67},
  [12594] = {.lex_state = 67},
  [12595] = {.lex_state = 60, .external_lex_state = 63},
  [12596] = {.lex_state = 67},
  [12597] = {.lex_state = 67},
  [12598] = {.lex_state = 67},
  [12599] = {.lex_state = 67},
  [12600] = {.lex_state = 64, .external_lex_state = 39},
  [12601] = {.lex_state = 67},
  [12602] = {.lex_state = 67},
  [12603] = {.lex_state = 67},
  [12604] = {.lex_state = 67},
  [12605] = {.lex_state = 60, .external_lex_state = 39},
  [12606] = {.lex_state = 67},
  [12607] = {.lex_state = 67},
  [12608] = {.lex_state = 67},
  [12609] = {.lex_state = 67},
  [12610] = {.lex_state = 67},
  [12611] = {.lex_state = 67},
  [12612] = {.lex_state = 67},
  [12613] = {.lex_state = 67},
  [12614] = {.lex_state = 60, .external_lex_state = 65},
  [12615] = {.lex_state = 60, .external_lex_state = 65},
  [12616] = {.lex_state = 60, .external_lex_state = 65},
  [12617] = {.lex_state = 67},
  [12618] = {.lex_state = 67},
  [12619] = {.lex_state = 67},
  [12620] = {.lex_state = 67},
  [12621] = {.lex_state = 67},
  [12622] = {.lex_state = 67},
  [12623] = {.lex_state = 60, .external_lex_state = 64},
  [12624] = {.lex_state = 67},
  [12625] = {.lex_state = 60, .external_lex_state = 64},
  [12626] = {.lex_state = 67},
  [12627] = {.lex_state = 60, .external_lex_state = 64},
  [12628] = {.lex_state = 67},
  [12629] = {.lex_state = 67},
  [12630] = {.lex_state = 67},
  [12631] = {.lex_state = 67},
  [12632] = {.lex_state = 67},
  [12633] = {.lex_state = 60, .external_lex_state = 36},
  [12634] = {.lex_state = 67},
  [12635] = {.lex_state = 67},
  [12636] = {.lex_state = 59, .external_lex_state = 27},
  [12637] = {.lex_state = 60, .external_lex_state = 65},
  [12638] = {.lex_state = 60, .external_lex_state = 26},
  [12639] = {.lex_state = 67},
  [12640] = {.lex_state = 67},
  [12641] = {.lex_state = 67},
  [12642] = {.lex_state = 67},
  [12643] = {.lex_state = 60, .external_lex_state = 26},
  [12644] = {.lex_state = 67},
  [12645] = {.lex_state = 67},
  [12646] = {.lex_state = 67},
  [12647] = {.lex_state = 60, .external_lex_state = 26},
  [12648] = {.lex_state = 60, .external_lex_state = 26},
  [12649] = {.lex_state = 60, .external_lex_state = 26},
  [12650] = {.lex_state = 67},
  [12651] = {.lex_state = 67},
  [12652] = {.lex_state = 60, .external_lex_state = 64},
  [12653] = {.lex_state = 67},
  [12654] = {.lex_state = 60, .external_lex_state = 26},
  [12655] = {.lex_state = 60, .external_lex_state = 26},
  [12656] = {.lex_state = 67},
  [12657] = {.lex_state = 67},
  [12658] = {.lex_state = 60, .external_lex_state = 54},
  [12659] = {.lex_state = 67},
  [12660] = {.lex_state = 67},
  [12661] = {.lex_state = 60, .external_lex_state = 26},
  [12662] = {.lex_state = 60, .external_lex_state = 26},
  [12663] = {.lex_state = 67},
  [12664] = {.lex_state = 67},
  [12665] = {.lex_state = 67},
  [12666] = {.lex_state = 67},
  [12667] = {.lex_state = 67},
  [12668] = {.lex_state = 67},
  [12669] = {.lex_state = 67},
  [12670] = {.lex_state = 67},
  [12671] = {.lex_state = 67},
  [12672] = {.lex_state = 67},
  [12673] = {.lex_state = 67},
  [12674] = {.lex_state = 67},
  [12675] = {.lex_state = 67},
  [12676] = {.lex_state = 67},
  [12677] = {.lex_state = 64, .external_lex_state = 36},
  [12678] = {.lex_state = 67},
  [12679] = {.lex_state = 67},
  [12680] = {.lex_state = 67},
  [12681] = {.lex_state = 67},
  [12682] = {.lex_state = 67},
  [12683] = {.lex_state = 67},
  [12684] = {.lex_state = 67},
  [12685] = {.lex_state = 67},
  [12686] = {.lex_state = 67},
  [12687] = {.lex_state = 67},
  [12688] = {.lex_state = 67},
  [12689] = {.lex_state = 67},
  [12690] = {.lex_state = 67},
  [12691] = {.lex_state = 67},
  [12692] = {.lex_state = 67},
  [12693] = {.lex_state = 56},
  [12694] = {.lex_state = 67},
  [12695] = {.lex_state = 56},
  [12696] = {.lex_state = 64, .external_lex_state = 44},
  [12697] = {.lex_state = 67},
  [12698] = {.lex_state = 67},
  [12699] = {.lex_state = 67},
  [12700] = {.lex_state = 67},
  [12701] = {.lex_state = 64, .external_lex_state = 44},
  [12702] = {.lex_state = 67},
  [12703] = {.lex_state = 67},
  [12704] = {.lex_state = 64, .external_lex_state = 34},
  [12705] = {.lex_state = 67},
  [12706] = {.lex_state = 60, .external_lex_state = 39},
  [12707] = {.lex_state = 67},
  [12708] = {.lex_state = 67},
  [12709] = {.lex_state = 67},
  [12710] = {.lex_state = 67},
  [12711] = {.lex_state = 67},
  [12712] = {.lex_state = 67},
  [12713] = {.lex_state = 67},
  [12714] = {.lex_state = 67},
  [12715] = {.lex_state = 67},
  [12716] = {.lex_state = 67},
  [12717] = {.lex_state = 67},
  [12718] = {.lex_state = 67},
  [12719] = {.lex_state = 67},
  [12720] = {.lex_state = 67},
  [12721] = {.lex_state = 67},
  [12722] = {.lex_state = 67},
  [12723] = {.lex_state = 67},
  [12724] = {.lex_state = 67},
  [12725] = {.lex_state = 67},
  [12726] = {.lex_state = 67},
  [12727] = {.lex_state = 67},
  [12728] = {.lex_state = 67},
  [12729] = {.lex_state = 60, .external_lex_state = 36},
  [12730] = {.lex_state = 67},
  [12731] = {.lex_state = 67},
  [12732] = {.lex_state = 67},
  [12733] = {.lex_state = 67},
  [12734] = {.lex_state = 60, .external_lex_state = 59},
  [12735] = {.lex_state = 67},
  [12736] = {.lex_state = 67},
  [12737] = {.lex_state = 67},
  [12738] = {.lex_state = 67},
  [12739] = {.lex_state = 67},
  [12740] = {.lex_state = 60, .external_lex_state = 65},
  [12741] = {.lex_state = 67},
  [12742] = {.lex_state = 67},
  [12743] = {.lex_state = 67},
  [12744] = {.lex_state = 67},
  [12745] = {.lex_state = 67},
  [12746] = {.lex_state = 67},
  [12747] = {.lex_state = 67},
  [12748] = {.lex_state = 67},
  [12749] = {.lex_state = 67},
  [12750] = {.lex_state = 67},
  [12751] = {.lex_state = 64, .external_lex_state = 34},
  [12752] = {.lex_state = 67},
  [12753] = {.lex_state = 59, .external_lex_state = 54},
  [12754] = {.lex_state = 67},
  [12755] = {.lex_state = 67},
  [12756] = {.lex_state = 64, .external_lex_state = 34},
  [12757] = {.lex_state = 67},
  [12758] = {.lex_state = 67},
  [12759] = {.lex_state = 67},
  [12760] = {.lex_state = 67},
  [12761] = {.lex_state = 59, .external_lex_state = 54},
  [12762] = {.lex_state = 67},
  [12763] = {.lex_state = 67},
  [12764] = {.lex_state = 67},
  [12765] = {.lex_state = 67},
  [12766] = {.lex_state = 59, .external_lex_state = 54},
  [12767] = {.lex_state = 67},
  [12768] = {.lex_state = 67},
  [12769] = {.lex_state = 67},
  [12770] = {.lex_state = 64, .external_lex_state = 33},
  [12771] = {.lex_state = 67},
  [12772] = {.lex_state = 64, .external_lex_state = 33},
  [12773] = {.lex_state = 67},
  [12774] = {.lex_state = 67},
  [12775] = {.lex_state = 64, .external_lex_state = 33},
  [12776] = {.lex_state = 67},
  [12777] = {.lex_state = 67},
  [12778] = {.lex_state = 67},
  [12779] = {.lex_state = 67},
  [12780] = {.lex_state = 67},
  [12781] = {.lex_state = 67},
  [12782] = {.lex_state = 67},
  [12783] = {.lex_state = 67},
  [12784] = {.lex_state = 67},
  [12785] = {.lex_state = 67},
  [12786] = {.lex_state = 64, .external_lex_state = 33},
  [12787] = {.lex_state = 67},
  [12788] = {.lex_state = 67},
  [12789] = {.lex_state = 64, .external_lex_state = 33},
  [12790] = {.lex_state = 67},
  [12791] = {.lex_state = 67},
  [12792] = {.lex_state = 60, .external_lex_state = 65},
  [12793] = {.lex_state = 67},
  [12794] = {.lex_state = 56},
  [12795] = {.lex_state = 67},
  [12796] = {.lex_state = 67},
  [12797] = {.lex_state = 67},
  [12798] = {.lex_state = 67},
  [12799] = {.lex_state = 67},
  [12800] = {.lex_state = 56},
  [12801] = {.lex_state = 67},
  [12802] = {.lex_state = 64, .external_lex_state = 33},
  [12803] = {.lex_state = 67},
  [12804] = {.lex_state = 67},
  [12805] = {.lex_state = 67},
  [12806] = {.lex_state = 67},
  [12807] = {.lex_state = 67},
  [12808] = {.lex_state = 67},
  [12809] = {.lex_state = 67},
  [12810] = {.lex_state = 67},
  [12811] = {.lex_state = 67},
  [12812] = {.lex_state = 67},
  [12813] = {.lex_state = 67},
  [12814] = {.lex_state = 60, .external_lex_state = 65},
  [12815] = {.lex_state = 67},
  [12816] = {.lex_state = 67},
  [12817] = {.lex_state = 67},
  [12818] = {.lex_state = 60, .external_lex_state = 40},
  [12819] = {.lex_state = 67},
  [12820] = {.lex_state = 67},
  [12821] = {.lex_state = 67},
  [12822] = {.lex_state = 67},
  [12823] = {.lex_state = 67},
  [12824] = {.lex_state = 67},
  [12825] = {.lex_state = 60, .external_lex_state = 65},
  [12826] = {.lex_state = 67},
  [12827] = {.lex_state = 67},
  [12828] = {.lex_state = 67},
  [12829] = {.lex_state = 67},
  [12830] = {.lex_state = 60, .external_lex_state = 64},
  [12831] = {.lex_state = 67},
  [12832] = {.lex_state = 67},
  [12833] = {.lex_state = 67},
  [12834] = {.lex_state = 67},
  [12835] = {.lex_state = 67},
  [12836] = {.lex_state = 60, .external_lex_state = 39},
  [12837] = {.lex_state = 67},
  [12838] = {.lex_state = 67},
  [12839] = {.lex_state = 67},
  [12840] = {.lex_state = 60, .external_lex_state = 65},
  [12841] = {.lex_state = 67},
  [12842] = {.lex_state = 67},
  [12843] = {.lex_state = 67},
  [12844] = {.lex_state = 67},
  [12845] = {.lex_state = 67},
  [12846] = {.lex_state = 67},
  [12847] = {.lex_state = 64, .external_lex_state = 33},
  [12848] = {.lex_state = 67},
  [12849] = {.lex_state = 67},
  [12850] = {.lex_state = 67},
  [12851] = {.lex_state = 64, .external_lex_state = 33},
  [12852] = {.lex_state = 67},
  [12853] = {.lex_state = 67},
  [12854] = {.lex_state = 67},
  [12855] = {.lex_state = 60, .external_lex_state = 36},
  [12856] = {.lex_state = 67},
  [12857] = {.lex_state = 67},
  [12858] = {.lex_state = 64, .external_lex_state = 34},
  [12859] = {.lex_state = 67},
  [12860] = {.lex_state = 67},
  [12861] = {.lex_state = 60, .external_lex_state = 39},
  [12862] = {.lex_state = 60, .external_lex_state = 39},
  [12863] = {.lex_state = 67},
  [12864] = {.lex_state = 67},
  [12865] = {.lex_state = 67},
  [12866] = {.lex_state = 60, .external_lex_state = 40},
  [12867] = {.lex_state = 60, .external_lex_state = 40},
  [12868] = {.lex_state = 67},
  [12869] = {.lex_state = 67},
  [12870] = {.lex_state = 67},
  [12871] = {.lex_state = 60, .external_lex_state = 40},
  [12872] = {.lex_state = 67},
  [12873] = {.lex_state = 67},
  [12874] = {.lex_state = 67},
  [12875] = {.lex_state = 60, .external_lex_state = 40},
  [12876] = {.lex_state = 67},
  [12877] = {.lex_state = 67},
  [12878] = {.lex_state = 60, .external_lex_state = 40},
  [12879] = {.lex_state = 67},
  [12880] = {.lex_state = 60, .external_lex_state = 65},
  [12881] = {.lex_state = 60, .external_lex_state = 40},
  [12882] = {.lex_state = 67},
  [12883] = {.lex_state = 67},
  [12884] = {.lex_state = 59, .external_lex_state = 54},
  [12885] = {.lex_state = 67},
  [12886] = {.lex_state = 60, .external_lex_state = 40},
  [12887] = {.lex_state = 60, .external_lex_state = 40},
  [12888] = {.lex_state = 67},
  [12889] = {.lex_state = 67},
  [12890] = {.lex_state = 67},
  [12891] = {.lex_state = 60, .external_lex_state = 40},
  [12892] = {.lex_state = 60, .external_lex_state = 40},
  [12893] = {.lex_state = 67},
  [12894] = {.lex_state = 67},
  [12895] = {.lex_state = 67},
  [12896] = {.lex_state = 67},
  [12897] = {.lex_state = 67},
  [12898] = {.lex_state = 67},
  [12899] = {.lex_state = 60, .external_lex_state = 65},
  [12900] = {.lex_state = 60, .external_lex_state = 39},
  [12901] = {.lex_state = 67},
  [12902] = {.lex_state = 67},
  [12903] = {.lex_state = 60, .external_lex_state = 39},
  [12904] = {.lex_state = 67},
  [12905] = {.lex_state = 60, .external_lex_state = 25},
  [12906] = {.lex_state = 67},
  [12907] = {.lex_state = 67},
  [12908] = {.lex_state = 67},
  [12909] = {.lex_state = 67},
  [12910] = {.lex_state = 67},
  [12911] = {.lex_state = 67},
  [12912] = {.lex_state = 67},
  [12913] = {.lex_state = 67},
  [12914] = {.lex_state = 60, .external_lex_state = 39},
  [12915] = {.lex_state = 67},
  [12916] = {.lex_state = 60, .external_lex_state = 39},
  [12917] = {.lex_state = 60, .external_lex_state = 39},
  [12918] = {.lex_state = 60, .external_lex_state = 39},
  [12919] = {.lex_state = 60, .external_lex_state = 39},
  [12920] = {.lex_state = 59, .external_lex_state = 27},
  [12921] = {.lex_state = 67},
  [12922] = {.lex_state = 60, .external_lex_state = 65},
  [12923] = {.lex_state = 67},
  [12924] = {.lex_state = 60, .external_lex_state = 65},
  [12925] = {.lex_state = 67},
  [12926] = {.lex_state = 67},
  [12927] = {.lex_state = 64, .external_lex_state = 34},
  [12928] = {.lex_state = 60, .external_lex_state = 36},
  [12929] = {.lex_state = 60, .external_lex_state = 64},
  [12930] = {.lex_state = 64, .external_lex_state = 34},
  [12931] = {.lex_state = 64, .external_lex_state = 34},
  [12932] = {.lex_state = 60, .external_lex_state = 65},
  [12933] = {.lex_state = 67},
  [12934] = {.lex_state = 67},
  [12935] = {.lex_state = 59, .external_lex_state = 27},
  [12936] = {.lex_state = 60, .external_lex_state = 62},
  [12937] = {.lex_state = 64, .external_lex_state = 43},
  [12938] = {.lex_state = 64, .external_lex_state = 34},
  [12939] = {.lex_state = 64, .external_lex_state = 43},
  [12940] = {.lex_state = 64, .external_lex_state = 34},
  [12941] = {.lex_state = 67},
  [12942] = {.lex_state = 60, .external_lex_state = 64},
  [12943] = {.lex_state = 67},
  [12944] = {.lex_state = 24},
  [12945] = {.lex_state = 60, .external_lex_state = 64},
  [12946] = {.lex_state = 64, .external_lex_state = 34},
  [12947] = {.lex_state = 60, .external_lex_state = 64},
  [12948] = {.lex_state = 60, .external_lex_state = 44},
  [12949] = {.lex_state = 60, .external_lex_state = 64},
  [12950] = {.lex_state = 64, .external_lex_state = 26},
  [12951] = {.lex_state = 67},
  [12952] = {.lex_state = 60, .external_lex_state = 65},
  [12953] = {.lex_state = 64, .external_lex_state = 34},
  [12954] = {.lex_state = 60, .external_lex_state = 64},
  [12955] = {.lex_state = 60, .external_lex_state = 64},
  [12956] = {.lex_state = 60, .external_lex_state = 54},
  [12957] = {.lex_state = 67},
  [12958] = {.lex_state = 59, .external_lex_state = 54},
  [12959] = {.lex_state = 67},
  [12960] = {.lex_state = 59, .external_lex_state = 27},
  [12961] = {.lex_state = 60, .external_lex_state = 64},
  [12962] = {.lex_state = 64, .external_lex_state = 34},
  [12963] = {.lex_state = 64, .external_lex_state = 34},
  [12964] = {.lex_state = 60, .external_lex_state = 64},
  [12965] = {.lex_state = 64, .external_lex_state = 34},
  [12966] = {.lex_state = 64, .external_lex_state = 34},
  [12967] = {.lex_state = 64, .external_lex_state = 34},
  [12968] = {.lex_state = 64, .external_lex_state = 34},
  [12969] = {.lex_state = 59, .external_lex_state = 26},
  [12970] = {.lex_state = 64, .external_lex_state = 34},
  [12971] = {.lex_state = 60, .external_lex_state = 64},
  [12972] = {.lex_state = 59, .external_lex_state = 54},
  [12973] = {.lex_state = 64, .external_lex_state = 34},
  [12974] = {.lex_state = 64, .external_lex_state = 40},
  [12975] = {.lex_state = 64, .external_lex_state = 34},
  [12976] = {.lex_state = 64, .external_lex_state = 34},
  [12977] = {.lex_state = 64, .external_lex_state = 34},
  [12978] = {.lex_state = 60, .external_lex_state = 64},
  [12979] = {.lex_state = 67},
  [12980] = {.lex_state = 64, .external_lex_state = 34},
  [12981] = {.lex_state = 64, .external_lex_state = 34},
  [12982] = {.lex_state = 67},
  [12983] = {.lex_state = 64, .external_lex_state = 33},
  [12984] = {.lex_state = 64, .external_lex_state = 34},
  [12985] = {.lex_state = 67},
  [12986] = {.lex_state = 64, .external_lex_state = 33},
  [12987] = {.lex_state = 56},
  [12988] = {.lex_state = 67},
  [12989] = {.lex_state = 60, .external_lex_state = 43},
  [12990] = {.lex_state = 67},
  [12991] = {.lex_state = 64, .external_lex_state = 34},
  [12992] = {.lex_state = 64, .external_lex_state = 34},
  [12993] = {.lex_state = 59, .external_lex_state = 27},
  [12994] = {.lex_state = 64, .external_lex_state = 34},
  [12995] = {.lex_state = 59, .external_lex_state = 54},
  [12996] = {.lex_state = 64, .external_lex_state = 34},
  [12997] = {.lex_state = 64, .external_lex_state = 33},
  [12998] = {.lex_state = 60, .external_lex_state = 44},
  [12999] = {.lex_state = 64, .external_lex_state = 33},
  [13000] = {.lex_state = 64, .external_lex_state = 33},
  [13001] = {.lex_state = 56},
  [13002] = {.lex_state = 64, .external_lex_state = 33},
  [13003] = {.lex_state = 67},
  [13004] = {.lex_state = 67},
  [13005] = {.lex_state = 64, .external_lex_state = 34},
  [13006] = {.lex_state = 67},
  [13007] = {.lex_state = 59, .external_lex_state = 27},
  [13008] = {.lex_state = 64, .external_lex_state = 33},
  [13009] = {.lex_state = 64, .external_lex_state = 33},
  [13010] = {.lex_state = 64, .external_lex_state = 33},
  [13011] = {.lex_state = 64, .external_lex_state = 33},
  [13012] = {.lex_state = 64, .external_lex_state = 33},
  [13013] = {.lex_state = 64, .external_lex_state = 33},
  [13014] = {.lex_state = 64, .external_lex_state = 33},
  [13015] = {.lex_state = 64, .external_lex_state = 33},
  [13016] = {.lex_state = 64, .external_lex_state = 33},
  [13017] = {.lex_state = 64, .external_lex_state = 33},
  [13018] = {.lex_state = 64, .external_lex_state = 33},
  [13019] = {.lex_state = 59, .external_lex_state = 27},
  [13020] = {.lex_state = 60, .external_lex_state = 26},
  [13021] = {.lex_state = 60, .external_lex_state = 68},
  [13022] = {.lex_state = 67},
  [13023] = {.lex_state = 64, .external_lex_state = 33},
  [13024] = {.lex_state = 60, .external_lex_state = 26},
  [13025] = {.lex_state = 64, .external_lex_state = 33},
  [13026] = {.lex_state = 64, .external_lex_state = 33},
  [13027] = {.lex_state = 64, .external_lex_state = 33},
  [13028] = {.lex_state = 60, .external_lex_state = 26},
  [13029] = {.lex_state = 67},
  [13030] = {.lex_state = 64, .external_lex_state = 33},
  [13031] = {.lex_state = 64, .external_lex_state = 33},
  [13032] = {.lex_state = 67},
  [13033] = {.lex_state = 67},
  [13034] = {.lex_state = 59, .external_lex_state = 27},
  [13035] = {.lex_state = 67},
  [13036] = {.lex_state = 67},
  [13037] = {.lex_state = 67},
  [13038] = {.lex_state = 67},
  [13039] = {.lex_state = 59, .external_lex_state = 54},
  [13040] = {.lex_state = 67},
  [13041] = {.lex_state = 60, .external_lex_state = 43},
  [13042] = {.lex_state = 67},
  [13043] = {.lex_state = 67},
  [13044] = {.lex_state = 60, .external_lex_state = 40},
  [13045] = {.lex_state = 60, .external_lex_state = 40},
  [13046] = {.lex_state = 60, .external_lex_state = 40},
  [13047] = {.lex_state = 60, .external_lex_state = 62},
  [13048] = {.lex_state = 67},
  [13049] = {.lex_state = 59, .external_lex_state = 27},
  [13050] = {.lex_state = 67},
  [13051] = {.lex_state = 60, .external_lex_state = 40},
  [13052] = {.lex_state = 60, .external_lex_state = 26},
  [13053] = {.lex_state = 60, .external_lex_state = 27},
  [13054] = {.lex_state = 67},
  [13055] = {.lex_state = 59, .external_lex_state = 27},
  [13056] = {.lex_state = 67},
  [13057] = {.lex_state = 59, .external_lex_state = 54},
  [13058] = {.lex_state = 67},
  [13059] = {.lex_state = 60, .external_lex_state = 62},
  [13060] = {.lex_state = 60, .external_lex_state = 62},
  [13061] = {.lex_state = 67},
  [13062] = {.lex_state = 67},
  [13063] = {.lex_state = 64, .external_lex_state = 34},
  [13064] = {.lex_state = 59, .external_lex_state = 54},
  [13065] = {.lex_state = 67},
  [13066] = {.lex_state = 60, .external_lex_state = 62},
  [13067] = {.lex_state = 59, .external_lex_state = 54},
  [13068] = {.lex_state = 67},
  [13069] = {.lex_state = 60, .external_lex_state = 68},
  [13070] = {.lex_state = 60, .external_lex_state = 65},
  [13071] = {.lex_state = 60, .external_lex_state = 26},
  [13072] = {.lex_state = 59, .external_lex_state = 54},
  [13073] = {.lex_state = 60, .external_lex_state = 44},
  [13074] = {.lex_state = 60, .external_lex_state = 44},
  [13075] = {.lex_state = 59, .external_lex_state = 27},
  [13076] = {.lex_state = 59, .external_lex_state = 27},
  [13077] = {.lex_state = 60, .external_lex_state = 43},
  [13078] = {.lex_state = 60, .external_lex_state = 43},
  [13079] = {.lex_state = 67},
  [13080] = {.lex_state = 67},
  [13081] = {.lex_state = 67},
  [13082] = {.lex_state = 67},
  [13083] = {.lex_state = 60, .external_lex_state = 39},
  [13084] = {.lex_state = 67},
  [13085] = {.lex_state = 60, .external_lex_state = 39},
  [13086] = {.lex_state = 67},
  [13087] = {.lex_state = 67},
  [13088] = {.lex_state = 67},
  [13089] = {.lex_state = 67},
  [13090] = {.lex_state = 67},
  [13091] = {.lex_state = 60, .external_lex_state = 39},
  [13092] = {.lex_state = 67},
  [13093] = {.lex_state = 59, .external_lex_state = 54},
  [13094] = {.lex_state = 59, .external_lex_state = 54},
  [13095] = {.lex_state = 67},
  [13096] = {.lex_state = 67},
  [13097] = {.lex_state = 60, .external_lex_state = 39},
  [13098] = {.lex_state = 60, .external_lex_state = 39},
  [13099] = {.lex_state = 67},
  [13100] = {.lex_state = 67},
  [13101] = {.lex_state = 67},
  [13102] = {.lex_state = 60, .external_lex_state = 39},
  [13103] = {.lex_state = 59, .external_lex_state = 27},
  [13104] = {.lex_state = 59, .external_lex_state = 54},
  [13105] = {.lex_state = 59, .external_lex_state = 54},
  [13106] = {.lex_state = 67},
  [13107] = {.lex_state = 67},
  [13108] = {.lex_state = 67},
  [13109] = {.lex_state = 56},
  [13110] = {.lex_state = 59, .external_lex_state = 27},
  [13111] = {.lex_state = 67},
  [13112] = {.lex_state = 56},
  [13113] = {.lex_state = 59, .external_lex_state = 27},
  [13114] = {.lex_state = 59, .external_lex_state = 27},
  [13115] = {.lex_state = 67},
  [13116] = {.lex_state = 59, .external_lex_state = 27},
  [13117] = {.lex_state = 60, .external_lex_state = 36},
  [13118] = {.lex_state = 67},
  [13119] = {.lex_state = 67},
  [13120] = {.lex_state = 67},
  [13121] = {.lex_state = 67},
  [13122] = {.lex_state = 67},
  [13123] = {.lex_state = 67},
  [13124] = {.lex_state = 60, .external_lex_state = 58},
  [13125] = {.lex_state = 60, .external_lex_state = 36},
  [13126] = {.lex_state = 67},
  [13127] = {.lex_state = 67},
  [13128] = {.lex_state = 60, .external_lex_state = 65},
  [13129] = {.lex_state = 59, .external_lex_state = 26},
  [13130] = {.lex_state = 67},
  [13131] = {.lex_state = 67},
  [13132] = {.lex_state = 59, .external_lex_state = 26},
  [13133] = {.lex_state = 67},
  [13134] = {.lex_state = 67},
  [13135] = {.lex_state = 67},
  [13136] = {.lex_state = 59, .external_lex_state = 54},
  [13137] = {.lex_state = 67},
  [13138] = {.lex_state = 67},
  [13139] = {.lex_state = 67},
  [13140] = {.lex_state = 67},
  [13141] = {.lex_state = 60, .external_lex_state = 62},
  [13142] = {.lex_state = 67},
  [13143] = {.lex_state = 67},
  [13144] = {.lex_state = 64, .external_lex_state = 53},
  [13145] = {.lex_state = 67},
  [13146] = {.lex_state = 67},
  [13147] = {.lex_state = 67},
  [13148] = {.lex_state = 60, .external_lex_state = 62},
  [13149] = {.lex_state = 67},
  [13150] = {.lex_state = 67},
  [13151] = {.lex_state = 67},
  [13152] = {.lex_state = 67},
  [13153] = {.lex_state = 67},
  [13154] = {.lex_state = 67},
  [13155] = {.lex_state = 67},
  [13156] = {.lex_state = 64, .external_lex_state = 39},
  [13157] = {.lex_state = 67},
  [13158] = {.lex_state = 67},
  [13159] = {.lex_state = 60, .external_lex_state = 62},
  [13160] = {.lex_state = 67},
  [13161] = {.lex_state = 64, .external_lex_state = 39},
  [13162] = {.lex_state = 64},
  [13163] = {.lex_state = 67},
  [13164] = {.lex_state = 67},
  [13165] = {.lex_state = 64, .external_lex_state = 39},
  [13166] = {.lex_state = 60, .external_lex_state = 40},
  [13167] = {.lex_state = 64, .external_lex_state = 39},
  [13168] = {.lex_state = 67},
  [13169] = {.lex_state = 64},
  [13170] = {.lex_state = 67},
  [13171] = {.lex_state = 60, .external_lex_state = 44},
  [13172] = {.lex_state = 67},
  [13173] = {.lex_state = 67},
  [13174] = {.lex_state = 67},
  [13175] = {.lex_state = 64},
  [13176] = {.lex_state = 67},
  [13177] = {.lex_state = 60, .external_lex_state = 40},
  [13178] = {.lex_state = 60, .external_lex_state = 62},
  [13179] = {.lex_state = 67},
  [13180] = {.lex_state = 67},
  [13181] = {.lex_state = 64, .external_lex_state = 39},
  [13182] = {.lex_state = 59, .external_lex_state = 25},
  [13183] = {.lex_state = 60, .external_lex_state = 62},
  [13184] = {.lex_state = 64, .external_lex_state = 39},
  [13185] = {.lex_state = 67},
  [13186] = {.lex_state = 64},
  [13187] = {.lex_state = 64, .external_lex_state = 39},
  [13188] = {.lex_state = 67, .external_lex_state = 66},
  [13189] = {.lex_state = 67},
  [13190] = {.lex_state = 64, .external_lex_state = 39},
  [13191] = {.lex_state = 64, .external_lex_state = 39},
  [13192] = {.lex_state = 64, .external_lex_state = 36},
  [13193] = {.lex_state = 67},
  [13194] = {.lex_state = 64, .external_lex_state = 39},
  [13195] = {.lex_state = 60},
  [13196] = {.lex_state = 64},
  [13197] = {.lex_state = 67},
  [13198] = {.lex_state = 67},
  [13199] = {.lex_state = 64, .external_lex_state = 39},
  [13200] = {.lex_state = 64, .external_lex_state = 39},
  [13201] = {.lex_state = 60, .external_lex_state = 27},
  [13202] = {.lex_state = 67},
  [13203] = {.lex_state = 64, .external_lex_state = 39},
  [13204] = {.lex_state = 64},
  [13205] = {.lex_state = 64, .external_lex_state = 39},
  [13206] = {.lex_state = 64, .external_lex_state = 39},
  [13207] = {.lex_state = 60, .external_lex_state = 62},
  [13208] = {.lex_state = 67},
  [13209] = {.lex_state = 59, .external_lex_state = 26},
  [13210] = {.lex_state = 64, .external_lex_state = 36},
  [13211] = {.lex_state = 59, .external_lex_state = 26},
  [13212] = {.lex_state = 64},
  [13213] = {.lex_state = 64},
  [13214] = {.lex_state = 67},
  [13215] = {.lex_state = 67},
  [13216] = {.lex_state = 67},
  [13217] = {.lex_state = 64, .external_lex_state = 39},
  [13218] = {.lex_state = 67},
  [13219] = {.lex_state = 64},
  [13220] = {.lex_state = 60, .external_lex_state = 48},
  [13221] = {.lex_state = 67},
  [13222] = {.lex_state = 60, .external_lex_state = 40},
  [13223] = {.lex_state = 64, .external_lex_state = 39},
  [13224] = {.lex_state = 67},
  [13225] = {.lex_state = 67},
  [13226] = {.lex_state = 67},
  [13227] = {.lex_state = 64, .external_lex_state = 36},
  [13228] = {.lex_state = 67, .external_lex_state = 66},
  [13229] = {.lex_state = 60, .external_lex_state = 69},
  [13230] = {.lex_state = 67},
  [13231] = {.lex_state = 64, .external_lex_state = 39},
  [13232] = {.lex_state = 67},
  [13233] = {.lex_state = 67},
  [13234] = {.lex_state = 64, .external_lex_state = 39},
  [13235] = {.lex_state = 64, .external_lex_state = 36},
  [13236] = {.lex_state = 64, .external_lex_state = 36},
  [13237] = {.lex_state = 64, .external_lex_state = 40},
  [13238] = {.lex_state = 64, .external_lex_state = 39},
  [13239] = {.lex_state = 67},
  [13240] = {.lex_state = 64, .external_lex_state = 39},
  [13241] = {.lex_state = 64, .external_lex_state = 39},
  [13242] = {.lex_state = 67},
  [13243] = {.lex_state = 67},
  [13244] = {.lex_state = 64},
  [13245] = {.lex_state = 64},
  [13246] = {.lex_state = 67},
  [13247] = {.lex_state = 60, .external_lex_state = 63},
  [13248] = {.lex_state = 67},
  [13249] = {.lex_state = 67},
  [13250] = {.lex_state = 67},
  [13251] = {.lex_state = 64},
  [13252] = {.lex_state = 64},
  [13253] = {.lex_state = 59, .external_lex_state = 27},
  [13254] = {.lex_state = 67},
  [13255] = {.lex_state = 64, .external_lex_state = 36},
  [13256] = {.lex_state = 67},
  [13257] = {.lex_state = 60, .external_lex_state = 67},
  [13258] = {.lex_state = 67},
  [13259] = {.lex_state = 67},
  [13260] = {.lex_state = 64},
  [13261] = {.lex_state = 64, .external_lex_state = 39},
  [13262] = {.lex_state = 64, .external_lex_state = 39},
  [13263] = {.lex_state = 67},
  [13264] = {.lex_state = 64, .external_lex_state = 40},
  [13265] = {.lex_state = 64, .external_lex_state = 39},
  [13266] = {.lex_state = 64, .external_lex_state = 40},
  [13267] = {.lex_state = 67},
  [13268] = {.lex_state = 67},
  [13269] = {.lex_state = 67},
  [13270] = {.lex_state = 67},
  [13271] = {.lex_state = 67},
  [13272] = {.lex_state = 64, .external_lex_state = 39},
  [13273] = {.lex_state = 64, .external_lex_state = 36},
  [13274] = {.lex_state = 67},
  [13275] = {.lex_state = 67},
  [13276] = {.lex_state = 64, .external_lex_state = 36},
  [13277] = {.lex_state = 67},
  [13278] = {.lex_state = 64, .external_lex_state = 36},
  [13279] = {.lex_state = 64, .external_lex_state = 40},
  [13280] = {.lex_state = 67},
  [13281] = {.lex_state = 67},
  [13282] = {.lex_state = 67},
  [13283] = {.lex_state = 67},
  [13284] = {.lex_state = 67},
  [13285] = {.lex_state = 67},
  [13286] = {.lex_state = 67},
  [13287] = {.lex_state = 64, .external_lex_state = 36},
  [13288] = {.lex_state = 67},
  [13289] = {.lex_state = 67},
  [13290] = {.lex_state = 64, .external_lex_state = 36},
  [13291] = {.lex_state = 67},
  [13292] = {.lex_state = 64, .external_lex_state = 36},
  [13293] = {.lex_state = 64, .external_lex_state = 36},
  [13294] = {.lex_state = 67},
  [13295] = {.lex_state = 60},
  [13296] = {.lex_state = 64, .external_lex_state = 36},
  [13297] = {.lex_state = 67, .external_lex_state = 66},
  [13298] = {.lex_state = 64, .external_lex_state = 30},
  [13299] = {.lex_state = 67},
  [13300] = {.lex_state = 67, .external_lex_state = 66},
  [13301] = {.lex_state = 67},
  [13302] = {.lex_state = 67, .external_lex_state = 66},
  [13303] = {.lex_state = 67},
  [13304] = {.lex_state = 67},
  [13305] = {.lex_state = 60, .external_lex_state = 40},
  [13306] = {.lex_state = 64, .external_lex_state = 36},
  [13307] = {.lex_state = 67},
  [13308] = {.lex_state = 60, .external_lex_state = 69},
  [13309] = {.lex_state = 64},
  [13310] = {.lex_state = 64},
  [13311] = {.lex_state = 60, .external_lex_state = 62},
  [13312] = {.lex_state = 67},
  [13313] = {.lex_state = 59, .external_lex_state = 27},
  [13314] = {.lex_state = 60, .external_lex_state = 40},
  [13315] = {.lex_state = 60, .external_lex_state = 40},
  [13316] = {.lex_state = 64, .external_lex_state = 40},
  [13317] = {.lex_state = 60, .external_lex_state = 62},
  [13318] = {.lex_state = 60, .external_lex_state = 62},
  [13319] = {.lex_state = 60, .external_lex_state = 62},
  [13320] = {.lex_state = 67},
  [13321] = {.lex_state = 67},
  [13322] = {.lex_state = 60, .external_lex_state = 64},
  [13323] = {.lex_state = 64, .external_lex_state = 36},
  [13324] = {.lex_state = 60, .external_lex_state = 64},
  [13325] = {.lex_state = 60, .external_lex_state = 43},
  [13326] = {.lex_state = 59, .external_lex_state = 26},
  [13327] = {.lex_state = 60, .external_lex_state = 40},
  [13328] = {.lex_state = 60, .external_lex_state = 40},
  [13329] = {.lex_state = 64, .external_lex_state = 70},
  [13330] = {.lex_state = 60, .external_lex_state = 65},
  [13331] = {.lex_state = 64, .external_lex_state = 36},
  [13332] = {.lex_state = 67},
  [13333] = {.lex_state = 60, .external_lex_state = 40},
  [13334] = {.lex_state = 60, .external_lex_state = 40},
  [13335] = {.lex_state = 60, .external_lex_state = 40},
  [13336] = {.lex_state = 60, .external_lex_state = 40},
  [13337] = {.lex_state = 64},
  [13338] = {.lex_state = 60, .external_lex_state = 40},
  [13339] = {.lex_state = 64},
  [13340] = {.lex_state = 67},
  [13341] = {.lex_state = 64, .external_lex_state = 39},
  [13342] = {.lex_state = 64, .external_lex_state = 39},
  [13343] = {.lex_state = 67},
  [13344] = {.lex_state = 67},
  [13345] = {.lex_state = 64, .external_lex_state = 39},
  [13346] = {.lex_state = 64},
  [13347] = {.lex_state = 64, .external_lex_state = 36},
  [13348] = {.lex_state = 67},
  [13349] = {.lex_state = 67},
  [13350] = {.lex_state = 64, .external_lex_state = 36},
  [13351] = {.lex_state = 64, .external_lex_state = 36},
  [13352] = {.lex_state = 64, .external_lex_state = 36},
  [13353] = {.lex_state = 67},
  [13354] = {.lex_state = 67},
  [13355] = {.lex_state = 67},
  [13356] = {.lex_state = 64},
  [13357] = {.lex_state = 67},
  [13358] = {.lex_state = 64, .external_lex_state = 30},
  [13359] = {.lex_state = 67},
  [13360] = {.lex_state = 67},
  [13361] = {.lex_state = 64, .external_lex_state = 36},
  [13362] = {.lex_state = 64, .external_lex_state = 53},
  [13363] = {.lex_state = 67},
  [13364] = {.lex_state = 64},
  [13365] = {.lex_state = 60, .external_lex_state = 44},
  [13366] = {.lex_state = 64},
  [13367] = {.lex_state = 67},
  [13368] = {.lex_state = 60, .external_lex_state = 40},
  [13369] = {.lex_state = 67},
  [13370] = {.lex_state = 67},
  [13371] = {.lex_state = 67},
  [13372] = {.lex_state = 60, .external_lex_state = 44},
  [13373] = {.lex_state = 60, .external_lex_state = 44},
  [13374] = {.lex_state = 60, .external_lex_state = 44},
  [13375] = {.lex_state = 60, .external_lex_state = 44},
  [13376] = {.lex_state = 60, .external_lex_state = 44},
  [13377] = {.lex_state = 60, .external_lex_state = 44},
  [13378] = {.lex_state = 67},
  [13379] = {.lex_state = 67},
  [13380] = {.lex_state = 60, .external_lex_state = 44},
  [13381] = {.lex_state = 60, .external_lex_state = 44},
  [13382] = {.lex_state = 60, .external_lex_state = 63},
  [13383] = {.lex_state = 60, .external_lex_state = 44},
  [13384] = {.lex_state = 60, .external_lex_state = 44},
  [13385] = {.lex_state = 67},
  [13386] = {.lex_state = 67},
  [13387] = {.lex_state = 67},
  [13388] = {.lex_state = 67},
  [13389] = {.lex_state = 60, .external_lex_state = 52},
  [13390] = {.lex_state = 60, .external_lex_state = 67},
  [13391] = {.lex_state = 60, .external_lex_state = 67},
  [13392] = {.lex_state = 67},
  [13393] = {.lex_state = 60, .external_lex_state = 40},
  [13394] = {.lex_state = 67},
  [13395] = {.lex_state = 67},
  [13396] = {.lex_state = 64, .external_lex_state = 30},
  [13397] = {.lex_state = 60, .external_lex_state = 53},
  [13398] = {.lex_state = 67},
  [13399] = {.lex_state = 64, .external_lex_state = 48},
  [13400] = {.lex_state = 67},
  [13401] = {.lex_state = 64, .external_lex_state = 51},
  [13402] = {.lex_state = 67},
  [13403] = {.lex_state = 64, .external_lex_state = 40},
  [13404] = {.lex_state = 64},
  [13405] = {.lex_state = 64, .external_lex_state = 48},
  [13406] = {.lex_state = 64, .external_lex_state = 51},
  [13407] = {.lex_state = 64},
  [13408] = {.lex_state = 64, .external_lex_state = 39},
  [13409] = {.lex_state = 59, .external_lex_state = 26},
  [13410] = {.lex_state = 67},
  [13411] = {.lex_state = 67},
  [13412] = {.lex_state = 67},
  [13413] = {.lex_state = 67},
  [13414] = {.lex_state = 67},
  [13415] = {.lex_state = 67},
  [13416] = {.lex_state = 67},
  [13417] = {.lex_state = 67},
  [13418] = {.lex_state = 67},
  [13419] = {.lex_state = 60, .external_lex_state = 43},
  [13420] = {.lex_state = 67},
  [13421] = {.lex_state = 64, .external_lex_state = 30},
  [13422] = {.lex_state = 60, .external_lex_state = 27},
  [13423] = {.lex_state = 67},
  [13424] = {.lex_state = 67},
  [13425] = {.lex_state = 64},
  [13426] = {.lex_state = 67},
  [13427] = {.lex_state = 64},
  [13428] = {.lex_state = 67},
  [13429] = {.lex_state = 64, .external_lex_state = 36},
  [13430] = {.lex_state = 59, .external_lex_state = 25},
  [13431] = {.lex_state = 67},
  [13432] = {.lex_state = 67},
  [13433] = {.lex_state = 60, .external_lex_state = 43},
  [13434] = {.lex_state = 60, .external_lex_state = 26},
  [13435] = {.lex_state = 60, .external_lex_state = 43},
  [13436] = {.lex_state = 67},
  [13437] = {.lex_state = 60, .external_lex_state = 43},
  [13438] = {.lex_state = 67},
  [13439] = {.lex_state = 60, .external_lex_state = 40},
  [13440] = {.lex_state = 60, .external_lex_state = 43},
  [13441] = {.lex_state = 59, .external_lex_state = 26},
  [13442] = {.lex_state = 60, .external_lex_state = 43},
  [13443] = {.lex_state = 60, .external_lex_state = 43},
  [13444] = {.lex_state = 60, .external_lex_state = 43},
  [13445] = {.lex_state = 60, .external_lex_state = 43},
  [13446] = {.lex_state = 67},
  [13447] = {.lex_state = 60, .external_lex_state = 43},
  [13448] = {.lex_state = 60, .external_lex_state = 43},
  [13449] = {.lex_state = 60, .external_lex_state = 52},
  [13450] = {.lex_state = 67},
  [13451] = {.lex_state = 64, .external_lex_state = 30},
  [13452] = {.lex_state = 67},
  [13453] = {.lex_state = 67},
  [13454] = {.lex_state = 60, .external_lex_state = 64},
  [13455] = {.lex_state = 64},
  [13456] = {.lex_state = 64, .external_lex_state = 36},
  [13457] = {.lex_state = 67},
  [13458] = {.lex_state = 64},
  [13459] = {.lex_state = 60, .external_lex_state = 51},
  [13460] = {.lex_state = 67},
  [13461] = {.lex_state = 64, .external_lex_state = 36},
  [13462] = {.lex_state = 67},
  [13463] = {.lex_state = 59, .external_lex_state = 27},
  [13464] = {.lex_state = 67},
  [13465] = {.lex_state = 67},
  [13466] = {.lex_state = 67},
  [13467] = {.lex_state = 67},
  [13468] = {.lex_state = 67},
  [13469] = {.lex_state = 64, .external_lex_state = 26},
  [13470] = {.lex_state = 67},
  [13471] = {.lex_state = 67},
  [13472] = {.lex_state = 67},
  [13473] = {.lex_state = 67},
  [13474] = {.lex_state = 67},
  [13475] = {.lex_state = 64, .external_lex_state = 30},
  [13476] = {.lex_state = 67},
  [13477] = {.lex_state = 67},
  [13478] = {.lex_state = 64, .external_lex_state = 52},
  [13479] = {.lex_state = 67},
  [13480] = {.lex_state = 60, .external_lex_state = 63},
  [13481] = {.lex_state = 64, .external_lex_state = 52},
  [13482] = {.lex_state = 67},
  [13483] = {.lex_state = 60, .external_lex_state = 53},
  [13484] = {.lex_state = 64},
  [13485] = {.lex_state = 64},
  [13486] = {.lex_state = 60, .external_lex_state = 51},
  [13487] = {.lex_state = 67},
  [13488] = {.lex_state = 64, .external_lex_state = 40},
  [13489] = {.lex_state = 64},
  [13490] = {.lex_state = 67},
  [13491] = {.lex_state = 64, .external_lex_state = 36},
  [13492] = {.lex_state = 67},
  [13493] = {.lex_state = 64},
  [13494] = {.lex_state = 67},
  [13495] = {.lex_state = 64, .external_lex_state = 71},
  [13496] = {.lex_state = 60, .external_lex_state = 40},
  [13497] = {.lex_state = 60, .external_lex_state = 53},
  [13498] = {.lex_state = 67},
  [13499] = {.lex_state = 67},
  [13500] = {.lex_state = 67},
  [13501] = {.lex_state = 67},
  [13502] = {.lex_state = 67},
  [13503] = {.lex_state = 67},
  [13504] = {.lex_state = 67},
  [13505] = {.lex_state = 60, .external_lex_state = 63},
  [13506] = {.lex_state = 67},
  [13507] = {.lex_state = 67},
  [13508] = {.lex_state = 67},
  [13509] = {.lex_state = 60, .external_lex_state = 63},
  [13510] = {.lex_state = 67},
  [13511] = {.lex_state = 67},
  [13512] = {.lex_state = 67},
  [13513] = {.lex_state = 67},
  [13514] = {.lex_state = 67},
  [13515] = {.lex_state = 64, .external_lex_state = 36},
  [13516] = {.lex_state = 60, .external_lex_state = 44},
  [13517] = {.lex_state = 60, .external_lex_state = 44},
  [13518] = {.lex_state = 67},
  [13519] = {.lex_state = 60, .external_lex_state = 44},
  [13520] = {.lex_state = 64},
  [13521] = {.lex_state = 60, .external_lex_state = 53},
  [13522] = {.lex_state = 64},
  [13523] = {.lex_state = 67},
  [13524] = {.lex_state = 60, .external_lex_state = 44},
  [13525] = {.lex_state = 67},
  [13526] = {.lex_state = 67},
  [13527] = {.lex_state = 67},
  [13528] = {.lex_state = 67},
  [13529] = {.lex_state = 67},
  [13530] = {.lex_state = 60, .external_lex_state = 43},
  [13531] = {.lex_state = 60, .external_lex_state = 43},
  [13532] = {.lex_state = 60, .external_lex_state = 43},
  [13533] = {.lex_state = 67},
  [13534] = {.lex_state = 67},
  [13535] = {.lex_state = 67},
  [13536] = {.lex_state = 67},
  [13537] = {.lex_state = 60, .external_lex_state = 43},
  [13538] = {.lex_state = 67},
  [13539] = {.lex_state = 60, .external_lex_state = 48},
  [13540] = {.lex_state = 67},
  [13541] = {.lex_state = 58},
  [13542] = {.lex_state = 60, .external_lex_state = 48},
  [13543] = {.lex_state = 67},
  [13544] = {.lex_state = 60, .external_lex_state = 62},
  [13545] = {.lex_state = 67},
  [13546] = {.lex_state = 67},
  [13547] = {.lex_state = 67},
  [13548] = {.lex_state = 67},
  [13549] = {.lex_state = 67},
  [13550] = {.lex_state = 60, .external_lex_state = 52},
  [13551] = {.lex_state = 64},
  [13552] = {.lex_state = 60, .external_lex_state = 52},
  [13553] = {.lex_state = 59, .external_lex_state = 25},
  [13554] = {.lex_state = 64},
  [13555] = {.lex_state = 67},
  [13556] = {.lex_state = 67},
  [13557] = {.lex_state = 59, .external_lex_state = 25},
  [13558] = {.lex_state = 60, .external_lex_state = 51},
  [13559] = {.lex_state = 60, .external_lex_state = 51},
  [13560] = {.lex_state = 67},
  [13561] = {.lex_state = 67},
  [13562] = {.lex_state = 67},
  [13563] = {.lex_state = 64},
  [13564] = {.lex_state = 64},
  [13565] = {.lex_state = 67},
  [13566] = {.lex_state = 64},
  [13567] = {.lex_state = 64},
  [13568] = {.lex_state = 64},
  [13569] = {.lex_state = 67},
  [13570] = {.lex_state = 59, .external_lex_state = 25},
  [13571] = {.lex_state = 64},
  [13572] = {.lex_state = 67},
  [13573] = {.lex_state = 67},
  [13574] = {.lex_state = 60, .external_lex_state = 40},
  [13575] = {.lex_state = 64},
  [13576] = {.lex_state = 67},
  [13577] = {.lex_state = 67},
  [13578] = {.lex_state = 64, .external_lex_state = 36},
  [13579] = {.lex_state = 64},
  [13580] = {.lex_state = 67},
  [13581] = {.lex_state = 67},
  [13582] = {.lex_state = 64, .external_lex_state = 39},
  [13583] = {.lex_state = 67},
  [13584] = {.lex_state = 60, .external_lex_state = 48},
  [13585] = {.lex_state = 64},
  [13586] = {.lex_state = 64},
  [13587] = {.lex_state = 60, .external_lex_state = 62},
  [13588] = {.lex_state = 64, .external_lex_state = 36},
  [13589] = {.lex_state = 67},
  [13590] = {.lex_state = 64},
  [13591] = {.lex_state = 67},
  [13592] = {.lex_state = 67},
  [13593] = {.lex_state = 64},
  [13594] = {.lex_state = 67},
  [13595] = {.lex_state = 67},
  [13596] = {.lex_state = 64},
  [13597] = {.lex_state = 64},
  [13598] = {.lex_state = 64, .external_lex_state = 44},
  [13599] = {.lex_state = 67},
  [13600] = {.lex_state = 67},
  [13601] = {.lex_state = 60, .external_lex_state = 63},
  [13602] = {.lex_state = 60, .external_lex_state = 67},
  [13603] = {.lex_state = 67},
  [13604] = {.lex_state = 67},
  [13605] = {.lex_state = 64},
  [13606] = {.lex_state = 64},
  [13607] = {.lex_state = 64, .external_lex_state = 40},
  [13608] = {.lex_state = 67},
  [13609] = {.lex_state = 60, .external_lex_state = 62},
  [13610] = {.lex_state = 67},
  [13611] = {.lex_state = 60, .external_lex_state = 62},
  [13612] = {.lex_state = 67},
  [13613] = {.lex_state = 60, .external_lex_state = 62},
  [13614] = {.lex_state = 60, .external_lex_state = 64},
  [13615] = {.lex_state = 64, .external_lex_state = 43},
  [13616] = {.lex_state = 64},
  [13617] = {.lex_state = 67},
  [13618] = {.lex_state = 64},
  [13619] = {.lex_state = 60, .external_lex_state = 26},
  [13620] = {.lex_state = 67},
  [13621] = {.lex_state = 67},
  [13622] = {.lex_state = 60, .external_lex_state = 63},
  [13623] = {.lex_state = 64, .external_lex_state = 39},
  [13624] = {.lex_state = 67},
  [13625] = {.lex_state = 60, .external_lex_state = 62},
  [13626] = {.lex_state = 60, .external_lex_state = 43},
  [13627] = {.lex_state = 64, .external_lex_state = 40},
  [13628] = {.lex_state = 67},
  [13629] = {.lex_state = 60, .external_lex_state = 44},
  [13630] = {.lex_state = 60, .external_lex_state = 59},
  [13631] = {.lex_state = 67},
  [13632] = {.lex_state = 64, .external_lex_state = 40},
  [13633] = {.lex_state = 64, .external_lex_state = 40},
  [13634] = {.lex_state = 60, .external_lex_state = 43},
  [13635] = {.lex_state = 67},
  [13636] = {.lex_state = 64, .external_lex_state = 26},
  [13637] = {.lex_state = 67},
  [13638] = {.lex_state = 60, .external_lex_state = 48},
  [13639] = {.lex_state = 60, .external_lex_state = 26},
  [13640] = {.lex_state = 60, .external_lex_state = 65},
  [13641] = {.lex_state = 67},
  [13642] = {.lex_state = 60, .external_lex_state = 44},
  [13643] = {.lex_state = 64, .external_lex_state = 26},
  [13644] = {.lex_state = 60, .external_lex_state = 64},
  [13645] = {.lex_state = 64, .external_lex_state = 40},
  [13646] = {.lex_state = 67},
  [13647] = {.lex_state = 67},
  [13648] = {.lex_state = 67},
  [13649] = {.lex_state = 64, .external_lex_state = 52},
  [13650] = {.lex_state = 60, .external_lex_state = 64},
  [13651] = {.lex_state = 67},
  [13652] = {.lex_state = 60, .external_lex_state = 64},
  [13653] = {.lex_state = 60, .external_lex_state = 64},
  [13654] = {.lex_state = 67},
  [13655] = {.lex_state = 64, .external_lex_state = 34},
  [13656] = {.lex_state = 67},
  [13657] = {.lex_state = 60, .external_lex_state = 63},
  [13658] = {.lex_state = 67},
  [13659] = {.lex_state = 67},
  [13660] = {.lex_state = 67},
  [13661] = {.lex_state = 64, .external_lex_state = 40},
  [13662] = {.lex_state = 67},
  [13663] = {.lex_state = 64, .external_lex_state = 40},
  [13664] = {.lex_state = 67},
  [13665] = {.lex_state = 64, .external_lex_state = 40},
  [13666] = {.lex_state = 60, .external_lex_state = 48},
  [13667] = {.lex_state = 67},
  [13668] = {.lex_state = 64, .external_lex_state = 26},
  [13669] = {.lex_state = 67},
  [13670] = {.lex_state = 60, .external_lex_state = 63},
  [13671] = {.lex_state = 64, .external_lex_state = 26},
  [13672] = {.lex_state = 60, .external_lex_state = 26},
  [13673] = {.lex_state = 59, .external_lex_state = 54},
  [13674] = {.lex_state = 60, .external_lex_state = 53},
  [13675] = {.lex_state = 59, .external_lex_state = 25},
  [13676] = {.lex_state = 67},
  [13677] = {.lex_state = 60, .external_lex_state = 52},
  [13678] = {.lex_state = 60, .external_lex_state = 53},
  [13679] = {.lex_state = 60, .external_lex_state = 52},
  [13680] = {.lex_state = 67},
  [13681] = {.lex_state = 60, .external_lex_state = 52},
  [13682] = {.lex_state = 60, .external_lex_state = 52},
  [13683] = {.lex_state = 60, .external_lex_state = 44},
  [13684] = {.lex_state = 60, .external_lex_state = 52},
  [13685] = {.lex_state = 67},
  [13686] = {.lex_state = 59, .external_lex_state = 27},
  [13687] = {.lex_state = 64, .external_lex_state = 40},
  [13688] = {.lex_state = 67},
  [13689] = {.lex_state = 60, .external_lex_state = 64},
  [13690] = {.lex_state = 67},
  [13691] = {.lex_state = 64, .external_lex_state = 40},
  [13692] = {.lex_state = 67},
  [13693] = {.lex_state = 60, .external_lex_state = 43},
  [13694] = {.lex_state = 67},
  [13695] = {.lex_state = 60, .external_lex_state = 52},
  [13696] = {.lex_state = 64, .external_lex_state = 44},
  [13697] = {.lex_state = 64, .external_lex_state = 40},
  [13698] = {.lex_state = 67},
  [13699] = {.lex_state = 60, .external_lex_state = 53},
  [13700] = {.lex_state = 60, .external_lex_state = 48},
  [13701] = {.lex_state = 67},
  [13702] = {.lex_state = 67},
  [13703] = {.lex_state = 60, .external_lex_state = 67},
  [13704] = {.lex_state = 64, .external_lex_state = 44},
  [13705] = {.lex_state = 60, .external_lex_state = 52},
  [13706] = {.lex_state = 67},
  [13707] = {.lex_state = 67},
  [13708] = {.lex_state = 67},
  [13709] = {.lex_state = 64, .external_lex_state = 26},
  [13710] = {.lex_state = 64, .external_lex_state = 40},
  [13711] = {.lex_state = 67},
  [13712] = {.lex_state = 67},
  [13713] = {.lex_state = 60, .external_lex_state = 51},
  [13714] = {.lex_state = 59, .external_lex_state = 27},
  [13715] = {.lex_state = 67},
  [13716] = {.lex_state = 64, .external_lex_state = 40},
  [13717] = {.lex_state = 64, .external_lex_state = 34},
  [13718] = {.lex_state = 60, .external_lex_state = 63},
  [13719] = {.lex_state = 67},
  [13720] = {.lex_state = 60, .external_lex_state = 52},
  [13721] = {.lex_state = 64, .external_lex_state = 26},
  [13722] = {.lex_state = 67},
  [13723] = {.lex_state = 67},
  [13724] = {.lex_state = 60, .external_lex_state = 53},
  [13725] = {.lex_state = 64, .external_lex_state = 26},
  [13726] = {.lex_state = 67},
  [13727] = {.lex_state = 60, .external_lex_state = 43},
  [13728] = {.lex_state = 67},
  [13729] = {.lex_state = 64, .external_lex_state = 26},
  [13730] = {.lex_state = 64, .external_lex_state = 40},
  [13731] = {.lex_state = 60, .external_lex_state = 64},
  [13732] = {.lex_state = 64, .external_lex_state = 40},
  [13733] = {.lex_state = 60, .external_lex_state = 64},
  [13734] = {.lex_state = 67},
  [13735] = {.lex_state = 64, .external_lex_state = 40},
  [13736] = {.lex_state = 64, .external_lex_state = 40},
  [13737] = {.lex_state = 67},
  [13738] = {.lex_state = 64, .external_lex_state = 40},
  [13739] = {.lex_state = 60, .external_lex_state = 65},
  [13740] = {.lex_state = 60, .external_lex_state = 59},
  [13741] = {.lex_state = 64, .external_lex_state = 44},
  [13742] = {.lex_state = 67},
  [13743] = {.lex_state = 60, .external_lex_state = 43},
  [13744] = {.lex_state = 67},
  [13745] = {.lex_state = 59, .external_lex_state = 27},
  [13746] = {.lex_state = 64},
  [13747] = {.lex_state = 60, .external_lex_state = 43},
  [13748] = {.lex_state = 67},
  [13749] = {.lex_state = 60, .external_lex_state = 52},
  [13750] = {.lex_state = 67},
  [13751] = {.lex_state = 64, .external_lex_state = 34},
  [13752] = {.lex_state = 67},
  [13753] = {.lex_state = 67},
  [13754] = {.lex_state = 67},
  [13755] = {.lex_state = 60, .external_lex_state = 53},
  [13756] = {.lex_state = 64, .external_lex_state = 26},
  [13757] = {.lex_state = 60, .external_lex_state = 48},
  [13758] = {.lex_state = 67},
  [13759] = {.lex_state = 60, .external_lex_state = 48},
  [13760] = {.lex_state = 64, .external_lex_state = 44},
  [13761] = {.lex_state = 60, .external_lex_state = 26},
  [13762] = {.lex_state = 60, .external_lex_state = 43},
  [13763] = {.lex_state = 64, .external_lex_state = 26},
  [13764] = {.lex_state = 60, .external_lex_state = 43},
  [13765] = {.lex_state = 67},
  [13766] = {.lex_state = 64, .external_lex_state = 44},
  [13767] = {.lex_state = 67},
  [13768] = {.lex_state = 64},
  [13769] = {.lex_state = 60, .external_lex_state = 63},
  [13770] = {.lex_state = 67},
  [13771] = {.lex_state = 64, .external_lex_state = 44},
  [13772] = {.lex_state = 64, .external_lex_state = 44},
  [13773] = {.lex_state = 67},
  [13774] = {.lex_state = 67},
  [13775] = {.lex_state = 60, .external_lex_state = 48},
  [13776] = {.lex_state = 60, .external_lex_state = 52},
  [13777] = {.lex_state = 64, .external_lex_state = 40},
  [13778] = {.lex_state = 60, .external_lex_state = 43},
  [13779] = {.lex_state = 67},
  [13780] = {.lex_state = 67},
  [13781] = {.lex_state = 67},
  [13782] = {.lex_state = 67},
  [13783] = {.lex_state = 64, .external_lex_state = 40},
  [13784] = {.lex_state = 67},
  [13785] = {.lex_state = 60, .external_lex_state = 53},
  [13786] = {.lex_state = 60, .external_lex_state = 53},
  [13787] = {.lex_state = 67},
  [13788] = {.lex_state = 67},
  [13789] = {.lex_state = 67},
  [13790] = {.lex_state = 64, .external_lex_state = 26},
  [13791] = {.lex_state = 64, .external_lex_state = 44},
  [13792] = {.lex_state = 60, .external_lex_state = 48},
  [13793] = {.lex_state = 64},
  [13794] = {.lex_state = 67},
  [13795] = {.lex_state = 60, .external_lex_state = 51},
  [13796] = {.lex_state = 64, .external_lex_state = 26},
  [13797] = {.lex_state = 60, .external_lex_state = 53},
  [13798] = {.lex_state = 67},
  [13799] = {.lex_state = 60, .external_lex_state = 48},
  [13800] = {.lex_state = 60, .external_lex_state = 53},
  [13801] = {.lex_state = 67},
  [13802] = {.lex_state = 60, .external_lex_state = 65},
  [13803] = {.lex_state = 64, .external_lex_state = 51},
  [13804] = {.lex_state = 67},
  [13805] = {.lex_state = 60, .external_lex_state = 43},
  [13806] = {.lex_state = 64, .external_lex_state = 34},
  [13807] = {.lex_state = 67},
  [13808] = {.lex_state = 64, .external_lex_state = 43},
  [13809] = {.lex_state = 67},
  [13810] = {.lex_state = 67},
  [13811] = {.lex_state = 67},
  [13812] = {.lex_state = 60, .external_lex_state = 65},
  [13813] = {.lex_state = 64, .external_lex_state = 44},
  [13814] = {.lex_state = 67},
  [13815] = {.lex_state = 64, .external_lex_state = 40},
  [13816] = {.lex_state = 64, .external_lex_state = 44},
  [13817] = {.lex_state = 67},
  [13818] = {.lex_state = 60, .external_lex_state = 65},
  [13819] = {.lex_state = 59, .external_lex_state = 54},
  [13820] = {.lex_state = 67},
  [13821] = {.lex_state = 60, .external_lex_state = 52},
  [13822] = {.lex_state = 67},
  [13823] = {.lex_state = 60, .external_lex_state = 51},
  [13824] = {.lex_state = 60, .external_lex_state = 51},
  [13825] = {.lex_state = 64, .external_lex_state = 43},
  [13826] = {.lex_state = 64, .external_lex_state = 43},
  [13827] = {.lex_state = 60, .external_lex_state = 51},
  [13828] = {.lex_state = 64, .external_lex_state = 26},
  [13829] = {.lex_state = 67},
  [13830] = {.lex_state = 60, .external_lex_state = 51},
  [13831] = {.lex_state = 67},
  [13832] = {.lex_state = 60, .external_lex_state = 51},
  [13833] = {.lex_state = 60, .external_lex_state = 51},
  [13834] = {.lex_state = 60, .external_lex_state = 52},
  [13835] = {.lex_state = 67},
  [13836] = {.lex_state = 60, .external_lex_state = 51},
  [13837] = {.lex_state = 60, .external_lex_state = 51},
  [13838] = {.lex_state = 67},
  [13839] = {.lex_state = 60, .external_lex_state = 51},
  [13840] = {.lex_state = 60, .external_lex_state = 51},
  [13841] = {.lex_state = 60, .external_lex_state = 60},
  [13842] = {.lex_state = 67},
  [13843] = {.lex_state = 60, .external_lex_state = 44},
  [13844] = {.lex_state = 67},
  [13845] = {.lex_state = 60, .external_lex_state = 63},
  [13846] = {.lex_state = 67},
  [13847] = {.lex_state = 64, .external_lex_state = 43},
  [13848] = {.lex_state = 60, .external_lex_state = 63},
  [13849] = {.lex_state = 67},
  [13850] = {.lex_state = 64, .external_lex_state = 40},
  [13851] = {.lex_state = 59, .external_lex_state = 54},
  [13852] = {.lex_state = 67},
  [13853] = {.lex_state = 67},
  [13854] = {.lex_state = 67},
  [13855] = {.lex_state = 67},
  [13856] = {.lex_state = 64, .external_lex_state = 43},
  [13857] = {.lex_state = 64, .external_lex_state = 26},
  [13858] = {.lex_state = 67},
  [13859] = {.lex_state = 60, .external_lex_state = 64},
  [13860] = {.lex_state = 59, .external_lex_state = 54},
  [13861] = {.lex_state = 67},
  [13862] = {.lex_state = 64, .external_lex_state = 44},
  [13863] = {.lex_state = 67},
  [13864] = {.lex_state = 60, .external_lex_state = 44},
  [13865] = {.lex_state = 60, .external_lex_state = 62},
  [13866] = {.lex_state = 64, .external_lex_state = 40},
  [13867] = {.lex_state = 64, .external_lex_state = 34},
  [13868] = {.lex_state = 67},
  [13869] = {.lex_state = 60, .external_lex_state = 44},
  [13870] = {.lex_state = 60, .external_lex_state = 52},
  [13871] = {.lex_state = 67},
  [13872] = {.lex_state = 67},
  [13873] = {.lex_state = 64, .external_lex_state = 60},
  [13874] = {.lex_state = 67},
  [13875] = {.lex_state = 59, .external_lex_state = 54},
  [13876] = {.lex_state = 60, .external_lex_state = 44},
  [13877] = {.lex_state = 67},
  [13878] = {.lex_state = 60, .external_lex_state = 44},
  [13879] = {.lex_state = 60, .external_lex_state = 52},
  [13880] = {.lex_state = 67},
  [13881] = {.lex_state = 64, .external_lex_state = 43},
  [13882] = {.lex_state = 60, .external_lex_state = 43},
  [13883] = {.lex_state = 60, .external_lex_state = 62},
  [13884] = {.lex_state = 67},
  [13885] = {.lex_state = 67},
  [13886] = {.lex_state = 64, .external_lex_state = 44},
  [13887] = {.lex_state = 67},
  [13888] = {.lex_state = 67},
  [13889] = {.lex_state = 67},
  [13890] = {.lex_state = 60, .external_lex_state = 58},
  [13891] = {.lex_state = 67},
  [13892] = {.lex_state = 67},
  [13893] = {.lex_state = 67},
  [13894] = {.lex_state = 60, .external_lex_state = 44},
  [13895] = {.lex_state = 60, .external_lex_state = 53},
  [13896] = {.lex_state = 67},
  [13897] = {.lex_state = 64, .external_lex_state = 30},
  [13898] = {.lex_state = 67},
  [13899] = {.lex_state = 60, .external_lex_state = 64},
  [13900] = {.lex_state = 64, .external_lex_state = 43},
  [13901] = {.lex_state = 67},
  [13902] = {.lex_state = 67},
  [13903] = {.lex_state = 60, .external_lex_state = 65},
  [13904] = {.lex_state = 67},
  [13905] = {.lex_state = 64, .external_lex_state = 40},
  [13906] = {.lex_state = 60, .external_lex_state = 64},
  [13907] = {.lex_state = 67},
  [13908] = {.lex_state = 60, .external_lex_state = 44},
  [13909] = {.lex_state = 67},
  [13910] = {.lex_state = 60, .external_lex_state = 44},
  [13911] = {.lex_state = 60, .external_lex_state = 44},
  [13912] = {.lex_state = 67},
  [13913] = {.lex_state = 60, .external_lex_state = 44},
  [13914] = {.lex_state = 60, .external_lex_state = 64},
  [13915] = {.lex_state = 60, .external_lex_state = 44},
  [13916] = {.lex_state = 67},
  [13917] = {.lex_state = 67},
  [13918] = {.lex_state = 67},
  [13919] = {.lex_state = 67},
  [13920] = {.lex_state = 67},
  [13921] = {.lex_state = 64},
  [13922] = {.lex_state = 60, .external_lex_state = 64},
  [13923] = {.lex_state = 67},
  [13924] = {.lex_state = 67},
  [13925] = {.lex_state = 67},
  [13926] = {.lex_state = 59, .external_lex_state = 27},
  [13927] = {.lex_state = 67},
  [13928] = {.lex_state = 67},
  [13929] = {.lex_state = 67},
  [13930] = {.lex_state = 60, .external_lex_state = 63},
  [13931] = {.lex_state = 67},
  [13932] = {.lex_state = 60, .external_lex_state = 53},
  [13933] = {.lex_state = 64, .external_lex_state = 26},
  [13934] = {.lex_state = 64, .external_lex_state = 40},
  [13935] = {.lex_state = 67},
  [13936] = {.lex_state = 67},
  [13937] = {.lex_state = 60, .external_lex_state = 52},
  [13938] = {.lex_state = 60, .external_lex_state = 53},
  [13939] = {.lex_state = 60, .external_lex_state = 43},
  [13940] = {.lex_state = 60, .external_lex_state = 51},
  [13941] = {.lex_state = 60, .external_lex_state = 51},
  [13942] = {.lex_state = 60, .external_lex_state = 51},
  [13943] = {.lex_state = 60, .external_lex_state = 44},
  [13944] = {.lex_state = 60, .external_lex_state = 53},
  [13945] = {.lex_state = 60, .external_lex_state = 63},
  [13946] = {.lex_state = 60, .external_lex_state = 51},
  [13947] = {.lex_state = 60, .external_lex_state = 52},
  [13948] = {.lex_state = 67},
  [13949] = {.lex_state = 24},
  [13950] = {.lex_state = 24},
  [13951] = {.lex_state = 60, .external_lex_state = 64},
  [13952] = {.lex_state = 67},
  [13953] = {.lex_state = 64, .external_lex_state = 48},
  [13954] = {.lex_state = 60, .external_lex_state = 64},
  [13955] = {.lex_state = 64, .external_lex_state = 26},
  [13956] = {.lex_state = 64, .external_lex_state = 44},
  [13957] = {.lex_state = 64, .external_lex_state = 30},
  [13958] = {.lex_state = 60, .external_lex_state = 64},
  [13959] = {.lex_state = 60, .external_lex_state = 64},
  [13960] = {.lex_state = 60, .external_lex_state = 58},
  [13961] = {.lex_state = 60, .external_lex_state = 58},
  [13962] = {.lex_state = 64, .external_lex_state = 30},
  [13963] = {.lex_state = 60, .external_lex_state = 58},
  [13964] = {.lex_state = 60, .external_lex_state = 60},
  [13965] = {.lex_state = 60, .external_lex_state = 60},
  [13966] = {.lex_state = 64, .external_lex_state = 40},
  [13967] = {.lex_state = 60, .external_lex_state = 26},
  [13968] = {.lex_state = 60, .external_lex_state = 59},
  [13969] = {.lex_state = 60, .external_lex_state = 59},
  [13970] = {.lex_state = 64, .external_lex_state = 40},
  [13971] = {.lex_state = 60, .external_lex_state = 43},
  [13972] = {.lex_state = 67},
  [13973] = {.lex_state = 64, .external_lex_state = 44},
  [13974] = {.lex_state = 60, .external_lex_state = 44},
  [13975] = {.lex_state = 67},
  [13976] = {.lex_state = 60, .external_lex_state = 48},
  [13977] = {.lex_state = 64},
  [13978] = {.lex_state = 60, .external_lex_state = 43},
  [13979] = {.lex_state = 67},
  [13980] = {.lex_state = 64, .external_lex_state = 26},
  [13981] = {.lex_state = 64, .external_lex_state = 26},
  [13982] = {.lex_state = 64, .external_lex_state = 26},
  [13983] = {.lex_state = 67},
  [13984] = {.lex_state = 64, .external_lex_state = 26},
  [13985] = {.lex_state = 60, .external_lex_state = 48},
  [13986] = {.lex_state = 67},
  [13987] = {.lex_state = 64},
  [13988] = {.lex_state = 67},
  [13989] = {.lex_state = 64, .external_lex_state = 26},
  [13990] = {.lex_state = 64, .external_lex_state = 26},
  [13991] = {.lex_state = 60, .external_lex_state = 48},
  [13992] = {.lex_state = 60, .external_lex_state = 44},
  [13993] = {.lex_state = 60, .external_lex_state = 43},
  [13994] = {.lex_state = 60, .external_lex_state = 43},
  [13995] = {.lex_state = 60, .external_lex_state = 43},
  [13996] = {.lex_state = 67},
  [13997] = {.lex_state = 60, .external_lex_state = 63},
  [13998] = {.lex_state = 64, .external_lex_state = 26},
  [13999] = {.lex_state = 67},
  [14000] = {.lex_state = 64},
  [14001] = {.lex_state = 64},
  [14002] = {.lex_state = 64},
  [14003] = {.lex_state = 64},
  [14004] = {.lex_state = 60, .external_lex_state = 68},
  [14005] = {.lex_state = 60, .external_lex_state = 63},
  [14006] = {.lex_state = 67},
  [14007] = {.lex_state = 64, .external_lex_state = 43},
  [14008] = {.lex_state = 60, .external_lex_state = 63},
  [14009] = {.lex_state = 67},
  [14010] = {.lex_state = 60, .external_lex_state = 63},
  [14011] = {.lex_state = 64, .external_lex_state = 26},
  [14012] = {.lex_state = 64, .external_lex_state = 26},
  [14013] = {.lex_state = 67},
  [14014] = {.lex_state = 67},
  [14015] = {.lex_state = 64, .external_lex_state = 30},
  [14016] = {.lex_state = 60, .external_lex_state = 48},
  [14017] = {.lex_state = 67},
  [14018] = {.lex_state = 64, .external_lex_state = 26},
  [14019] = {.lex_state = 60, .external_lex_state = 68},
  [14020] = {.lex_state = 60, .external_lex_state = 48},
  [14021] = {.lex_state = 60, .external_lex_state = 60},
  [14022] = {.lex_state = 67},
  [14023] = {.lex_state = 64, .external_lex_state = 60},
  [14024] = {.lex_state = 60, .external_lex_state = 48},
  [14025] = {.lex_state = 60, .external_lex_state = 65},
  [14026] = {.lex_state = 60, .external_lex_state = 53},
  [14027] = {.lex_state = 67},
  [14028] = {.lex_state = 67},
  [14029] = {.lex_state = 67},
  [14030] = {.lex_state = 64, .external_lex_state = 53},
  [14031] = {.lex_state = 64, .external_lex_state = 40},
  [14032] = {.lex_state = 64, .external_lex_state = 59},
  [14033] = {.lex_state = 67},
  [14034] = {.lex_state = 60, .external_lex_state = 63},
  [14035] = {.lex_state = 64, .external_lex_state = 40},
  [14036] = {.lex_state = 60, .external_lex_state = 53},
  [14037] = {.lex_state = 64, .external_lex_state = 26},
  [14038] = {.lex_state = 59, .external_lex_state = 26},
  [14039] = {.lex_state = 64, .external_lex_state = 58},
  [14040] = {.lex_state = 60, .external_lex_state = 63},
  [14041] = {.lex_state = 60, .external_lex_state = 67},
  [14042] = {.lex_state = 67},
  [14043] = {.lex_state = 60, .external_lex_state = 68},
  [14044] = {.lex_state = 64, .external_lex_state = 59},
  [14045] = {.lex_state = 67},
  [14046] = {.lex_state = 64, .external_lex_state = 30},
  [14047] = {.lex_state = 60, .external_lex_state = 48},
  [14048] = {.lex_state = 64, .external_lex_state = 58},
  [14049] = {.lex_state = 60, .external_lex_state = 43},
  [14050] = {.lex_state = 60, .external_lex_state = 53},
  [14051] = {.lex_state = 67},
  [14052] = {.lex_state = 64, .external_lex_state = 26},
  [14053] = {.lex_state = 64, .external_lex_state = 26},
  [14054] = {.lex_state = 67},
  [14055] = {.lex_state = 67},
  [14056] = {.lex_state = 64, .external_lex_state = 26},
  [14057] = {.lex_state = 60, .external_lex_state = 63},
  [14058] = {.lex_state = 64, .external_lex_state = 26},
  [14059] = {.lex_state = 60, .external_lex_state = 44},
  [14060] = {.lex_state = 67},
  [14061] = {.lex_state = 60, .external_lex_state = 48},
  [14062] = {.lex_state = 64, .external_lex_state = 34},
  [14063] = {.lex_state = 67},
  [14064] = {.lex_state = 67},
  [14065] = {.lex_state = 60, .external_lex_state = 53},
  [14066] = {.lex_state = 64, .external_lex_state = 43},
  [14067] = {.lex_state = 60, .external_lex_state = 51},
  [14068] = {.lex_state = 64, .external_lex_state = 43},
  [14069] = {.lex_state = 60, .external_lex_state = 60},
  [14070] = {.lex_state = 60, .external_lex_state = 51},
  [14071] = {.lex_state = 60, .external_lex_state = 51},
  [14072] = {.lex_state = 64, .external_lex_state = 43},
  [14073] = {.lex_state = 60, .external_lex_state = 51},
  [14074] = {.lex_state = 60, .external_lex_state = 58},
  [14075] = {.lex_state = 64, .external_lex_state = 43},
  [14076] = {.lex_state = 60, .external_lex_state = 62},
  [14077] = {.lex_state = 64, .external_lex_state = 43},
  [14078] = {.lex_state = 64, .external_lex_state = 43},
  [14079] = {.lex_state = 60, .external_lex_state = 60},
  [14080] = {.lex_state = 60, .external_lex_state = 52},
  [14081] = {.lex_state = 60, .external_lex_state = 60},
  [14082] = {.lex_state = 60, .external_lex_state = 60},
  [14083] = {.lex_state = 60, .external_lex_state = 58},
  [14084] = {.lex_state = 60, .external_lex_state = 60},
  [14085] = {.lex_state = 60, .external_lex_state = 53},
  [14086] = {.lex_state = 64, .external_lex_state = 52},
  [14087] = {.lex_state = 64, .external_lex_state = 30},
  [14088] = {.lex_state = 60, .external_lex_state = 58},
  [14089] = {.lex_state = 60, .external_lex_state = 27},
  [14090] = {.lex_state = 64, .external_lex_state = 53},
  [14091] = {.lex_state = 60, .external_lex_state = 48},
  [14092] = {.lex_state = 64, .external_lex_state = 43},
  [14093] = {.lex_state = 60, .external_lex_state = 52},
  [14094] = {.lex_state = 60, .external_lex_state = 48},
  [14095] = {.lex_state = 60, .external_lex_state = 65},
  [14096] = {.lex_state = 64, .external_lex_state = 43},
  [14097] = {.lex_state = 60, .external_lex_state = 65},
  [14098] = {.lex_state = 59, .external_lex_state = 26},
  [14099] = {.lex_state = 64, .external_lex_state = 52},
  [14100] = {.lex_state = 60, .external_lex_state = 53},
  [14101] = {.lex_state = 60, .external_lex_state = 52},
  [14102] = {.lex_state = 60, .external_lex_state = 60},
  [14103] = {.lex_state = 60, .external_lex_state = 62},
  [14104] = {.lex_state = 60, .external_lex_state = 60},
  [14105] = {.lex_state = 60, .external_lex_state = 58},
  [14106] = {.lex_state = 59, .external_lex_state = 26},
  [14107] = {.lex_state = 64, .external_lex_state = 43},
  [14108] = {.lex_state = 64, .external_lex_state = 43},
  [14109] = {.lex_state = 60, .external_lex_state = 52},
  [14110] = {.lex_state = 60, .external_lex_state = 60},
  [14111] = {.lex_state = 64, .external_lex_state = 43},
  [14112] = {.lex_state = 64, .external_lex_state = 43},
  [14113] = {.lex_state = 60, .external_lex_state = 58},
  [14114] = {.lex_state = 64, .external_lex_state = 53},
  [14115] = {.lex_state = 60, .external_lex_state = 53},
  [14116] = {.lex_state = 60, .external_lex_state = 51},
  [14117] = {.lex_state = 64, .external_lex_state = 43},
  [14118] = {.lex_state = 64, .external_lex_state = 43},
  [14119] = {.lex_state = 60, .external_lex_state = 68},
  [14120] = {.lex_state = 60, .external_lex_state = 48},
  [14121] = {.lex_state = 60, .external_lex_state = 27},
  [14122] = {.lex_state = 59, .external_lex_state = 27},
  [14123] = {.lex_state = 60, .external_lex_state = 65},
  [14124] = {.lex_state = 64, .external_lex_state = 27},
  [14125] = {.lex_state = 64, .external_lex_state = 44},
  [14126] = {.lex_state = 60, .external_lex_state = 60},
  [14127] = {.lex_state = 64, .external_lex_state = 43},
  [14128] = {.lex_state = 64, .external_lex_state = 48},
  [14129] = {.lex_state = 60, .external_lex_state = 52},
  [14130] = {.lex_state = 64, .external_lex_state = 43},
  [14131] = {.lex_state = 60, .external_lex_state = 60},
  [14132] = {.lex_state = 60, .external_lex_state = 62},
  [14133] = {.lex_state = 64, .external_lex_state = 52},
  [14134] = {.lex_state = 60, .external_lex_state = 58},
  [14135] = {.lex_state = 64, .external_lex_state = 44},
  [14136] = {.lex_state = 64, .external_lex_state = 44},
  [14137] = {.lex_state = 64, .external_lex_state = 44},
  [14138] = {.lex_state = 60, .external_lex_state = 26},
  [14139] = {.lex_state = 64, .external_lex_state = 52},
  [14140] = {.lex_state = 60, .external_lex_state = 59},
  [14141] = {.lex_state = 60, .external_lex_state = 67},
  [14142] = {.lex_state = 60, .external_lex_state = 52},
  [14143] = {.lex_state = 60, .external_lex_state = 59},
  [14144] = {.lex_state = 60, .external_lex_state = 59},
  [14145] = {.lex_state = 60, .external_lex_state = 58},
  [14146] = {.lex_state = 64, .external_lex_state = 44},
  [14147] = {.lex_state = 64, .external_lex_state = 30},
  [14148] = {.lex_state = 60, .external_lex_state = 68},
  [14149] = {.lex_state = 64, .external_lex_state = 52},
  [14150] = {.lex_state = 64},
  [14151] = {.lex_state = 60, .external_lex_state = 69},
  [14152] = {.lex_state = 64, .external_lex_state = 33},
  [14153] = {.lex_state = 64, .external_lex_state = 43},
  [14154] = {.lex_state = 64, .external_lex_state = 51},
  [14155] = {.lex_state = 60, .external_lex_state = 53},
  [14156] = {.lex_state = 60, .external_lex_state = 59},
  [14157] = {.lex_state = 60, .external_lex_state = 53},
  [14158] = {.lex_state = 60, .external_lex_state = 62},
  [14159] = {.lex_state = 64, .external_lex_state = 44},
  [14160] = {.lex_state = 64, .external_lex_state = 30},
  [14161] = {.lex_state = 64, .external_lex_state = 44},
  [14162] = {.lex_state = 64, .external_lex_state = 58},
  [14163] = {.lex_state = 64, .external_lex_state = 44},
  [14164] = {.lex_state = 64, .external_lex_state = 51},
  [14165] = {.lex_state = 64, .external_lex_state = 51},
  [14166] = {.lex_state = 60, .external_lex_state = 65},
  [14167] = {.lex_state = 59, .external_lex_state = 26},
  [14168] = {.lex_state = 60, .external_lex_state = 52},
  [14169] = {.lex_state = 59, .external_lex_state = 26},
  [14170] = {.lex_state = 60, .external_lex_state = 51},
  [14171] = {.lex_state = 64, .external_lex_state = 51},
  [14172] = {.lex_state = 60, .external_lex_state = 62},
  [14173] = {.lex_state = 60, .external_lex_state = 68},
  [14174] = {.lex_state = 59, .external_lex_state = 26},
  [14175] = {.lex_state = 64, .external_lex_state = 44},
  [14176] = {.lex_state = 64, .external_lex_state = 44},
  [14177] = {.lex_state = 60, .external_lex_state = 65},
  [14178] = {.lex_state = 60, .external_lex_state = 51},
  [14179] = {.lex_state = 60, .external_lex_state = 68},
  [14180] = {.lex_state = 64, .external_lex_state = 27},
  [14181] = {.lex_state = 64, .external_lex_state = 33},
  [14182] = {.lex_state = 64, .external_lex_state = 52},
  [14183] = {.lex_state = 60, .external_lex_state = 52},
  [14184] = {.lex_state = 64, .external_lex_state = 53},
  [14185] = {.lex_state = 64, .external_lex_state = 44},
  [14186] = {.lex_state = 60, .external_lex_state = 51},
  [14187] = {.lex_state = 64, .external_lex_state = 44},
  [14188] = {.lex_state = 64, .external_lex_state = 44},
  [14189] = {.lex_state = 60, .external_lex_state = 52},
  [14190] = {.lex_state = 64, .external_lex_state = 51},
  [14191] = {.lex_state = 60, .external_lex_state = 59},
  [14192] = {.lex_state = 60, .external_lex_state = 53},
  [14193] = {.lex_state = 60, .external_lex_state = 51},
  [14194] = {.lex_state = 64, .external_lex_state = 53},
  [14195] = {.lex_state = 64, .external_lex_state = 44},
  [14196] = {.lex_state = 60, .external_lex_state = 65},
  [14197] = {.lex_state = 64, .external_lex_state = 52},
  [14198] = {.lex_state = 64, .external_lex_state = 51},
  [14199] = {.lex_state = 64, .external_lex_state = 53},
  [14200] = {.lex_state = 64, .external_lex_state = 30},
  [14201] = {.lex_state = 60, .external_lex_state = 68},
  [14202] = {.lex_state = 60, .external_lex_state = 51},
  [14203] = {.lex_state = 60, .external_lex_state = 65},
  [14204] = {.lex_state = 60, .external_lex_state = 65},
  [14205] = {.lex_state = 64, .external_lex_state = 30},
  [14206] = {.lex_state = 60, .external_lex_state = 60},
  [14207] = {.lex_state = 64, .external_lex_state = 34},
  [14208] = {.lex_state = 60, .external_lex_state = 45},
  [14209] = {.lex_state = 60, .external_lex_state = 59},
  [14210] = {.lex_state = 60, .external_lex_state = 68},
  [14211] = {.lex_state = 64, .external_lex_state = 30},
  [14212] = {.lex_state = 59, .external_lex_state = 26},
  [14213] = {.lex_state = 64, .external_lex_state = 60},
  [14214] = {.lex_state = 60, .external_lex_state = 65},
  [14215] = {.lex_state = 59, .external_lex_state = 26},
  [14216] = {.lex_state = 60, .external_lex_state = 51},
  [14217] = {.lex_state = 60, .external_lex_state = 59},
  [14218] = {.lex_state = 64, .external_lex_state = 53},
  [14219] = {.lex_state = 60, .external_lex_state = 48},
  [14220] = {.lex_state = 60, .external_lex_state = 53},
  [14221] = {.lex_state = 64},
  [14222] = {.lex_state = 60, .external_lex_state = 68},
  [14223] = {.lex_state = 60, .external_lex_state = 53},
  [14224] = {.lex_state = 60, .external_lex_state = 48},
  [14225] = {.lex_state = 60, .external_lex_state = 67},
  [14226] = {.lex_state = 64, .external_lex_state = 48},
  [14227] = {.lex_state = 60, .external_lex_state = 67},
  [14228] = {.lex_state = 60, .external_lex_state = 52},
  [14229] = {.lex_state = 64, .external_lex_state = 52},
  [14230] = {.lex_state = 64, .external_lex_state = 48},
  [14231] = {.lex_state = 60, .external_lex_state = 59},
  [14232] = {.lex_state = 60, .external_lex_state = 68},
  [14233] = {.lex_state = 64, .external_lex_state = 44},
  [14234] = {.lex_state = 64, .external_lex_state = 44},
  [14235] = {.lex_state = 64, .external_lex_state = 30},
  [14236] = {.lex_state = 60, .external_lex_state = 58},
  [14237] = {.lex_state = 64, .external_lex_state = 53},
  [14238] = {.lex_state = 59, .external_lex_state = 26},
  [14239] = {.lex_state = 64, .external_lex_state = 44},
  [14240] = {.lex_state = 64, .external_lex_state = 30},
  [14241] = {.lex_state = 64, .external_lex_state = 44},
  [14242] = {.lex_state = 64, .external_lex_state = 52},
  [14243] = {.lex_state = 59, .external_lex_state = 26},
  [14244] = {.lex_state = 64, .external_lex_state = 48},
  [14245] = {.lex_state = 60, .external_lex_state = 68},
  [14246] = {.lex_state = 64, .external_lex_state = 48},
  [14247] = {.lex_state = 64, .external_lex_state = 51},
  [14248] = {.lex_state = 60, .external_lex_state = 48},
  [14249] = {.lex_state = 60, .external_lex_state = 65},
  [14250] = {.lex_state = 64, .external_lex_state = 44},
  [14251] = {.lex_state = 60, .external_lex_state = 69},
  [14252] = {.lex_state = 60, .external_lex_state = 48},
  [14253] = {.lex_state = 60, .external_lex_state = 48},
  [14254] = {.lex_state = 60, .external_lex_state = 62},
  [14255] = {.lex_state = 60, .external_lex_state = 51},
  [14256] = {.lex_state = 60, .external_lex_state = 59},
  [14257] = {.lex_state = 64, .external_lex_state = 52},
  [14258] = {.lex_state = 60, .external_lex_state = 62},
  [14259] = {.lex_state = 64, .external_lex_state = 44},
  [14260] = {.lex_state = 59, .external_lex_state = 26},
  [14261] = {.lex_state = 60, .external_lex_state = 59},
  [14262] = {.lex_state = 64, .external_lex_state = 44},
  [14263] = {.lex_state = 64, .external_lex_state = 48},
  [14264] = {.lex_state = 64},
  [14265] = {.lex_state = 60, .external_lex_state = 52},
  [14266] = {.lex_state = 64, .external_lex_state = 52},
  [14267] = {.lex_state = 60, .external_lex_state = 52},
  [14268] = {.lex_state = 60, .external_lex_state = 68},
  [14269] = {.lex_state = 60, .external_lex_state = 62},
  [14270] = {.lex_state = 60, .external_lex_state = 52},
  [14271] = {.lex_state = 60, .external_lex_state = 27},
  [14272] = {.lex_state = 60, .external_lex_state = 59},
  [14273] = {.lex_state = 60, .external_lex_state = 68},
  [14274] = {.lex_state = 64, .external_lex_state = 34},
  [14275] = {.lex_state = 64, .external_lex_state = 33},
  [14276] = {.lex_state = 60, .external_lex_state = 62},
  [14277] = {.lex_state = 64, .external_lex_state = 33},
  [14278] = {.lex_state = 64, .external_lex_state = 59},
  [14279] = {.lex_state = 64, .external_lex_state = 52},
  [14280] = {.lex_state = 60, .external_lex_state = 48},
  [14281] = {.lex_state = 59, .external_lex_state = 54},
  [14282] = {.lex_state = 60, .external_lex_state = 59},
  [14283] = {.lex_state = 60, .external_lex_state = 51},
  [14284] = {.lex_state = 60, .external_lex_state = 68},
  [14285] = {.lex_state = 64, .external_lex_state = 44},
  [14286] = {.lex_state = 64, .external_lex_state = 43},
  [14287] = {.lex_state = 60, .external_lex_state = 63},
  [14288] = {.lex_state = 60, .external_lex_state = 62},
  [14289] = {.lex_state = 60, .external_lex_state = 59},
  [14290] = {.lex_state = 60, .external_lex_state = 62},
  [14291] = {.lex_state = 60, .external_lex_state = 51},
  [14292] = {.lex_state = 64, .external_lex_state = 43},
  [14293] = {.lex_state = 64, .external_lex_state = 43},
  [14294] = {.lex_state = 60, .external_lex_state = 48},
  [14295] = {.lex_state = 60, .external_lex_state = 59},
  [14296] = {.lex_state = 60, .external_lex_state = 53},
  [14297] = {.lex_state = 64, .external_lex_state = 44},
  [14298] = {.lex_state = 0},
  [14299] = {.lex_state = 60, .external_lex_state = 69},
  [14300] = {.lex_state = 60, .external_lex_state = 51},
  [14301] = {.lex_state = 64, .external_lex_state = 30},
  [14302] = {.lex_state = 60, .external_lex_state = 59},
  [14303] = {.lex_state = 64, .external_lex_state = 30},
  [14304] = {.lex_state = 60, .external_lex_state = 52},
  [14305] = {.lex_state = 60, .external_lex_state = 53},
  [14306] = {.lex_state = 60, .external_lex_state = 27},
  [14307] = {.lex_state = 60, .external_lex_state = 65},
  [14308] = {.lex_state = 64, .external_lex_state = 34},
  [14309] = {.lex_state = 64, .external_lex_state = 43},
  [14310] = {.lex_state = 64, .external_lex_state = 34},
  [14311] = {.lex_state = 60, .external_lex_state = 68},
  [14312] = {.lex_state = 64, .external_lex_state = 44},
  [14313] = {.lex_state = 60, .external_lex_state = 58},
  [14314] = {.lex_state = 60, .external_lex_state = 27},
  [14315] = {.lex_state = 60, .external_lex_state = 48},
  [14316] = {.lex_state = 60, .external_lex_state = 68},
  [14317] = {.lex_state = 64, .external_lex_state = 53},
  [14318] = {.lex_state = 60, .external_lex_state = 65},
  [14319] = {.lex_state = 60, .external_lex_state = 59},
  [14320] = {.lex_state = 60, .external_lex_state = 58},
  [14321] = {.lex_state = 60, .external_lex_state = 58},
  [14322] = {.lex_state = 60, .external_lex_state = 53},
  [14323] = {.lex_state = 64, .external_lex_state = 48},
  [14324] = {.lex_state = 60, .external_lex_state = 53},
  [14325] = {.lex_state = 60, .external_lex_state = 48},
  [14326] = {.lex_state = 60, .external_lex_state = 58},
  [14327] = {.lex_state = 60, .external_lex_state = 58},
  [14328] = {.lex_state = 60, .external_lex_state = 62},
  [14329] = {.lex_state = 60, .external_lex_state = 65},
  [14330] = {.lex_state = 60, .external_lex_state = 52},
  [14331] = {.lex_state = 64, .external_lex_state = 34},
  [14332] = {.lex_state = 60, .external_lex_state = 65},
  [14333] = {.lex_state = 60, .external_lex_state = 52},
  [14334] = {.lex_state = 60, .external_lex_state = 48},
  [14335] = {.lex_state = 60, .external_lex_state = 58},
  [14336] = {.lex_state = 60, .external_lex_state = 51},
  [14337] = {.lex_state = 60, .external_lex_state = 62},
  [14338] = {.lex_state = 60, .external_lex_state = 60},
  [14339] = {.lex_state = 60, .external_lex_state = 53},
  [14340] = {.lex_state = 60, .external_lex_state = 48},
  [14341] = {.lex_state = 60, .external_lex_state = 51},
  [14342] = {.lex_state = 60, .external_lex_state = 62},
  [14343] = {.lex_state = 60, .external_lex_state = 60},
  [14344] = {.lex_state = 59, .external_lex_state = 27},
  [14345] = {.lex_state = 64, .external_lex_state = 51},
  [14346] = {.lex_state = 60, .external_lex_state = 60},
  [14347] = {.lex_state = 60, .external_lex_state = 62},
  [14348] = {.lex_state = 60, .external_lex_state = 48},
  [14349] = {.lex_state = 60, .external_lex_state = 45},
  [14350] = {.lex_state = 60, .external_lex_state = 48},
  [14351] = {.lex_state = 0},
  [14352] = {.lex_state = 60, .external_lex_state = 58},
  [14353] = {.lex_state = 60, .external_lex_state = 60},
  [14354] = {.lex_state = 60, .external_lex_state = 65},
  [14355] = {.lex_state = 59, .external_lex_state = 26},
  [14356] = {.lex_state = 64, .external_lex_state = 44},
  [14357] = {.lex_state = 60, .external_lex_state = 53},
  [14358] = {.lex_state = 60, .external_lex_state = 53},
  [14359] = {.lex_state = 60, .external_lex_state = 51},
  [14360] = {.lex_state = 64, .external_lex_state = 52},
  [14361] = {.lex_state = 64, .external_lex_state = 40},
  [14362] = {.lex_state = 64, .external_lex_state = 52},
  [14363] = {.lex_state = 60, .external_lex_state = 53},
  [14364] = {.lex_state = 64, .external_lex_state = 30},
  [14365] = {.lex_state = 60, .external_lex_state = 60},
  [14366] = {.lex_state = 60, .external_lex_state = 67},
  [14367] = {.lex_state = 60, .external_lex_state = 58},
  [14368] = {.lex_state = 60, .external_lex_state = 48},
  [14369] = {.lex_state = 64, .external_lex_state = 43},
  [14370] = {.lex_state = 60, .external_lex_state = 48},
  [14371] = {.lex_state = 60, .external_lex_state = 52},
  [14372] = {.lex_state = 59, .external_lex_state = 26},
  [14373] = {.lex_state = 64, .external_lex_state = 43},
  [14374] = {.lex_state = 64, .external_lex_state = 43},
  [14375] = {.lex_state = 64, .external_lex_state = 44},
  [14376] = {.lex_state = 60, .external_lex_state = 68},
  [14377] = {.lex_state = 60, .external_lex_state = 53},
  [14378] = {.lex_state = 64, .external_lex_state = 30},
  [14379] = {.lex_state = 60, .external_lex_state = 68},
  [14380] = {.lex_state = 64, .external_lex_state = 44},
  [14381] = {.lex_state = 60, .external_lex_state = 52},
  [14382] = {.lex_state = 64, .external_lex_state = 43},
  [14383] = {.lex_state = 59, .external_lex_state = 26},
  [14384] = {.lex_state = 64, .external_lex_state = 51},
  [14385] = {.lex_state = 60, .external_lex_state = 64},
  [14386] = {.lex_state = 59, .external_lex_state = 27},
  [14387] = {.lex_state = 60, .external_lex_state = 64},
  [14388] = {.lex_state = 64, .external_lex_state = 53},
  [14389] = {.lex_state = 60, .external_lex_state = 59},
  [14390] = {.lex_state = 64, .external_lex_state = 52},
  [14391] = {.lex_state = 64, .external_lex_state = 59},
  [14392] = {.lex_state = 64, .external_lex_state = 26},
  [14393] = {.lex_state = 60, .external_lex_state = 59},
  [14394] = {.lex_state = 60, .external_lex_state = 69},
  [14395] = {.lex_state = 60, .external_lex_state = 64},
  [14396] = {.lex_state = 60, .external_lex_state = 59},
  [14397] = {.lex_state = 64, .external_lex_state = 44},
  [14398] = {.lex_state = 60, .external_lex_state = 60},
  [14399] = {.lex_state = 64, .external_lex_state = 60},
  [14400] = {.lex_state = 60, .external_lex_state = 26},
  [14401] = {.lex_state = 60, .external_lex_state = 58},
  [14402] = {.lex_state = 64, .external_lex_state = 59},
  [14403] = {.lex_state = 60, .external_lex_state = 67},
  [14404] = {.lex_state = 64, .external_lex_state = 52},
  [14405] = {.lex_state = 59, .external_lex_state = 26},
  [14406] = {.lex_state = 64, .external_lex_state = 58},
  [14407] = {.lex_state = 64, .external_lex_state = 58},
  [14408] = {.lex_state = 60, .external_lex_state = 26},
  [14409] = {.lex_state = 64, .external_lex_state = 59},
  [14410] = {.lex_state = 64, .external_lex_state = 59},
  [14411] = {.lex_state = 60, .external_lex_state = 64},
  [14412] = {.lex_state = 60, .external_lex_state = 64},
  [14413] = {.lex_state = 60, .external_lex_state = 58},
  [14414] = {.lex_state = 64, .external_lex_state = 53},
  [14415] = {.lex_state = 60, .external_lex_state = 58},
  [14416] = {.lex_state = 64, .external_lex_state = 59},
  [14417] = {.lex_state = 64, .external_lex_state = 43},
  [14418] = {.lex_state = 60, .external_lex_state = 64},
  [14419] = {.lex_state = 64, .external_lex_state = 59},
  [14420] = {.lex_state = 64, .external_lex_state = 58},
  [14421] = {.lex_state = 64, .external_lex_state = 52},
  [14422] = {.lex_state = 64, .external_lex_state = 30},
  [14423] = {.lex_state = 64, .external_lex_state = 40},
  [14424] = {.lex_state = 60, .external_lex_state = 59},
  [14425] = {.lex_state = 60, .external_lex_state = 58},
  [14426] = {.lex_state = 60, .external_lex_state = 69},
  [14427] = {.lex_state = 60, .external_lex_state = 58},
  [14428] = {.lex_state = 64, .external_lex_state = 33},
  [14429] = {.lex_state = 64, .external_lex_state = 33},
  [14430] = {.lex_state = 60, .external_lex_state = 27},
  [14431] = {.lex_state = 60, .external_lex_state = 67},
  [14432] = {.lex_state = 64, .external_lex_state = 33},
  [14433] = {.lex_state = 64, .external_lex_state = 33},
  [14434] = {.lex_state = 60, .external_lex_state = 27},
  [14435] = {.lex_state = 60, .external_lex_state = 27},
  [14436] = {.lex_state = 60, .external_lex_state = 58},
  [14437] = {.lex_state = 64, .external_lex_state = 59},
  [14438] = {.lex_state = 64, .external_lex_state = 58},
  [14439] = {.lex_state = 64, .external_lex_state = 52},
  [14440] = {.lex_state = 64, .external_lex_state = 52},
  [14441] = {.lex_state = 60, .external_lex_state = 58},
  [14442] = {.lex_state = 60, .external_lex_state = 26},
  [14443] = {.lex_state = 64, .external_lex_state = 33},
  [14444] = {.lex_state = 60, .external_lex_state = 58},
  [14445] = {.lex_state = 60, .external_lex_state = 58},
  [14446] = {.lex_state = 60, .external_lex_state = 58},
  [14447] = {.lex_state = 60, .external_lex_state = 58},
  [14448] = {.lex_state = 64, .external_lex_state = 34},
  [14449] = {.lex_state = 60, .external_lex_state = 69},
  [14450] = {.lex_state = 60, .external_lex_state = 45},
  [14451] = {.lex_state = 60, .external_lex_state = 58},
  [14452] = {.lex_state = 64, .external_lex_state = 53},
  [14453] = {.lex_state = 64, .external_lex_state = 59},
  [14454] = {.lex_state = 64, .external_lex_state = 48},
  [14455] = {.lex_state = 64, .external_lex_state = 52},
  [14456] = {.lex_state = 60, .external_lex_state = 69},
  [14457] = {.lex_state = 60, .external_lex_state = 67},
  [14458] = {.lex_state = 60, .external_lex_state = 65},
  [14459] = {.lex_state = 64, .external_lex_state = 30},
  [14460] = {.lex_state = 64, .external_lex_state = 44},
  [14461] = {.lex_state = 64, .external_lex_state = 44},
  [14462] = {.lex_state = 64, .external_lex_state = 30},
  [14463] = {.lex_state = 60, .external_lex_state = 60},
  [14464] = {.lex_state = 64, .external_lex_state = 40},
  [14465] = {.lex_state = 64, .external_lex_state = 44},
  [14466] = {.lex_state = 64, .external_lex_state = 43},
  [14467] = {.lex_state = 60, .external_lex_state = 27},
  [14468] = {.lex_state = 64, .external_lex_state = 52},
  [14469] = {.lex_state = 60, .external_lex_state = 67},
  [14470] = {.lex_state = 64, .external_lex_state = 58},
  [14471] = {.lex_state = 60, .external_lex_state = 60},
  [14472] = {.lex_state = 64, .external_lex_state = 52},
  [14473] = {.lex_state = 64, .external_lex_state = 44},
  [14474] = {.lex_state = 60, .external_lex_state = 60},
  [14475] = {.lex_state = 64, .external_lex_state = 39},
  [14476] = {.lex_state = 64, .external_lex_state = 58},
  [14477] = {.lex_state = 60, .external_lex_state = 27},
  [14478] = {.lex_state = 60, .external_lex_state = 67},
  [14479] = {.lex_state = 60, .external_lex_state = 64},
  [14480] = {.lex_state = 59, .external_lex_state = 27},
  [14481] = {.lex_state = 59, .external_lex_state = 27},
  [14482] = {.lex_state = 59, .external_lex_state = 27},
  [14483] = {.lex_state = 60, .external_lex_state = 69},
  [14484] = {.lex_state = 60, .external_lex_state = 58},
  [14485] = {.lex_state = 60, .external_lex_state = 60},
  [14486] = {.lex_state = 64, .external_lex_state = 52},
  [14487] = {.lex_state = 60, .external_lex_state = 67},
  [14488] = {.lex_state = 60, .external_lex_state = 69},
  [14489] = {.lex_state = 64, .external_lex_state = 30},
  [14490] = {.lex_state = 60, .external_lex_state = 64},
  [14491] = {.lex_state = 64, .external_lex_state = 53},
  [14492] = {.lex_state = 60, .external_lex_state = 64},
  [14493] = {.lex_state = 60, .external_lex_state = 69},
  [14494] = {.lex_state = 60, .external_lex_state = 60},
  [14495] = {.lex_state = 60, .external_lex_state = 60},
  [14496] = {.lex_state = 64, .external_lex_state = 51},
  [14497] = {.lex_state = 60, .external_lex_state = 60},
  [14498] = {.lex_state = 64, .external_lex_state = 52},
  [14499] = {.lex_state = 60, .external_lex_state = 60},
  [14500] = {.lex_state = 60, .external_lex_state = 60},
  [14501] = {.lex_state = 60, .external_lex_state = 67},
  [14502] = {.lex_state = 64, .external_lex_state = 52},
  [14503] = {.lex_state = 64, .external_lex_state = 30},
  [14504] = {.lex_state = 60, .external_lex_state = 59},
  [14505] = {.lex_state = 64, .external_lex_state = 51},
  [14506] = {.lex_state = 60, .external_lex_state = 64},
  [14507] = {.lex_state = 60, .external_lex_state = 64},
  [14508] = {.lex_state = 60, .external_lex_state = 60},
  [14509] = {.lex_state = 64, .external_lex_state = 27},
  [14510] = {.lex_state = 64, .external_lex_state = 60},
  [14511] = {.lex_state = 64, .external_lex_state = 60},
  [14512] = {.lex_state = 64, .external_lex_state = 34},
  [14513] = {.lex_state = 60, .external_lex_state = 64},
  [14514] = {.lex_state = 64, .external_lex_state = 48},
  [14515] = {.lex_state = 60, .external_lex_state = 67},
  [14516] = {.lex_state = 64, .external_lex_state = 30},
  [14517] = {.lex_state = 64, .external_lex_state = 48},
  [14518] = {.lex_state = 59, .external_lex_state = 27},
  [14519] = {.lex_state = 64, .external_lex_state = 48},
  [14520] = {.lex_state = 60, .external_lex_state = 60},
  [14521] = {.lex_state = 64, .external_lex_state = 52},
  [14522] = {.lex_state = 59, .external_lex_state = 27},
  [14523] = {.lex_state = 60, .external_lex_state = 25},
  [14524] = {.lex_state = 60, .external_lex_state = 67},
  [14525] = {.lex_state = 60, .external_lex_state = 60},
  [14526] = {.lex_state = 64, .external_lex_state = 60},
  [14527] = {.lex_state = 64, .external_lex_state = 44},
  [14528] = {.lex_state = 64, .external_lex_state = 48},
  [14529] = {.lex_state = 64, .external_lex_state = 40},
  [14530] = {.lex_state = 64, .external_lex_state = 58},
  [14531] = {.lex_state = 64, .external_lex_state = 30},
  [14532] = {.lex_state = 60, .external_lex_state = 67},
  [14533] = {.lex_state = 60, .external_lex_state = 54},
  [14534] = {.lex_state = 64, .external_lex_state = 60},
  [14535] = {.lex_state = 64, .external_lex_state = 40},
  [14536] = {.lex_state = 60, .external_lex_state = 60},
  [14537] = {.lex_state = 64, .external_lex_state = 30},
  [14538] = {.lex_state = 60, .external_lex_state = 67},
  [14539] = {.lex_state = 60, .external_lex_state = 26},
  [14540] = {.lex_state = 64, .external_lex_state = 53},
  [14541] = {.lex_state = 60, .external_lex_state = 60},
  [14542] = {.lex_state = 60, .external_lex_state = 67},
  [14543] = {.lex_state = 64, .external_lex_state = 53},
  [14544] = {.lex_state = 60, .external_lex_state = 67},
  [14545] = {.lex_state = 64, .external_lex_state = 53},
  [14546] = {.lex_state = 60, .external_lex_state = 67},
  [14547] = {.lex_state = 60},
  [14548] = {.lex_state = 64, .external_lex_state = 26},
  [14549] = {.lex_state = 60, .external_lex_state = 60},
  [14550] = {.lex_state = 60, .external_lex_state = 69},
  [14551] = {.lex_state = 64, .external_lex_state = 40},
  [14552] = {.lex_state = 64, .external_lex_state = 53},
  [14553] = {.lex_state = 60, .external_lex_state = 60},
  [14554] = {.lex_state = 64, .external_lex_state = 52},
  [14555] = {.lex_state = 60, .external_lex_state = 69},
  [14556] = {.lex_state = 60, .external_lex_state = 69},
  [14557] = {.lex_state = 60, .external_lex_state = 69},
  [14558] = {.lex_state = 64, .external_lex_state = 48},
  [14559] = {.lex_state = 64, .external_lex_state = 52},
  [14560] = {.lex_state = 60, .external_lex_state = 60},
  [14561] = {.lex_state = 60, .external_lex_state = 69},
  [14562] = {.lex_state = 60, .external_lex_state = 67},
  [14563] = {.lex_state = 60, .external_lex_state = 59},
  [14564] = {.lex_state = 64, .external_lex_state = 48},
  [14565] = {.lex_state = 64, .external_lex_state = 48},
  [14566] = {.lex_state = 60, .external_lex_state = 67},
  [14567] = {.lex_state = 60, .external_lex_state = 69},
  [14568] = {.lex_state = 64, .external_lex_state = 51},
  [14569] = {.lex_state = 64, .external_lex_state = 48},
  [14570] = {.lex_state = 64, .external_lex_state = 52},
  [14571] = {.lex_state = 64, .external_lex_state = 53},
  [14572] = {.lex_state = 64, .external_lex_state = 53},
  [14573] = {.lex_state = 64, .external_lex_state = 60},
  [14574] = {.lex_state = 64, .external_lex_state = 53},
  [14575] = {.lex_state = 64, .external_lex_state = 53},
  [14576] = {.lex_state = 64, .external_lex_state = 60},
  [14577] = {.lex_state = 64, .external_lex_state = 53},
  [14578] = {.lex_state = 64, .external_lex_state = 53},
  [14579] = {.lex_state = 64, .external_lex_state = 48},
  [14580] = {.lex_state = 60, .external_lex_state = 69},
  [14581] = {.lex_state = 64, .external_lex_state = 52},
  [14582] = {.lex_state = 64, .external_lex_state = 53},
  [14583] = {.lex_state = 64, .external_lex_state = 53},
  [14584] = {.lex_state = 64, .external_lex_state = 48},
  [14585] = {.lex_state = 60, .external_lex_state = 67},
  [14586] = {.lex_state = 64, .external_lex_state = 51},
  [14587] = {.lex_state = 60, .external_lex_state = 67},
  [14588] = {.lex_state = 64, .external_lex_state = 53},
  [14589] = {.lex_state = 64, .external_lex_state = 40},
  [14590] = {.lex_state = 64, .external_lex_state = 53},
  [14591] = {.lex_state = 64, .external_lex_state = 39},
  [14592] = {.lex_state = 64, .external_lex_state = 53},
  [14593] = {.lex_state = 64, .external_lex_state = 33},
  [14594] = {.lex_state = 64, .external_lex_state = 48},
  [14595] = {.lex_state = 60, .external_lex_state = 69},
  [14596] = {.lex_state = 64, .external_lex_state = 53},
  [14597] = {.lex_state = 64, .external_lex_state = 53},
  [14598] = {.lex_state = 64, .external_lex_state = 33},
  [14599] = {.lex_state = 60, .external_lex_state = 64},
  [14600] = {.lex_state = 60, .external_lex_state = 64},
  [14601] = {.lex_state = 60, .external_lex_state = 64},
  [14602] = {.lex_state = 64, .external_lex_state = 52},
  [14603] = {.lex_state = 64, .external_lex_state = 48},
  [14604] = {.lex_state = 64, .external_lex_state = 48},
  [14605] = {.lex_state = 64, .external_lex_state = 52},
  [14606] = {.lex_state = 60, .external_lex_state = 59},
  [14607] = {.lex_state = 60, .external_lex_state = 58},
  [14608] = {.lex_state = 64},
  [14609] = {.lex_state = 64, .external_lex_state = 52},
  [14610] = {.lex_state = 64, .external_lex_state = 52},
  [14611] = {.lex_state = 60, .external_lex_state = 69},
  [14612] = {.lex_state = 64, .external_lex_state = 53},
  [14613] = {.lex_state = 64, .external_lex_state = 51},
  [14614] = {.lex_state = 64, .external_lex_state = 52},
  [14615] = {.lex_state = 59, .external_lex_state = 27},
  [14616] = {.lex_state = 64, .external_lex_state = 53},
  [14617] = {.lex_state = 64, .external_lex_state = 51},
  [14618] = {.lex_state = 64, .external_lex_state = 51},
  [14619] = {.lex_state = 64, .external_lex_state = 48},
  [14620] = {.lex_state = 64, .external_lex_state = 48},
  [14621] = {.lex_state = 60, .external_lex_state = 59},
  [14622] = {.lex_state = 64, .external_lex_state = 34},
  [14623] = {.lex_state = 60, .external_lex_state = 67},
  [14624] = {.lex_state = 60, .external_lex_state = 59},
  [14625] = {.lex_state = 64, .external_lex_state = 30},
  [14626] = {.lex_state = 64, .external_lex_state = 51},
  [14627] = {.lex_state = 64, .external_lex_state = 51},
  [14628] = {.lex_state = 64, .external_lex_state = 51},
  [14629] = {.lex_state = 64, .external_lex_state = 51},
  [14630] = {.lex_state = 59, .external_lex_state = 27},
  [14631] = {.lex_state = 64, .external_lex_state = 51},
  [14632] = {.lex_state = 64, .external_lex_state = 53},
  [14633] = {.lex_state = 64, .external_lex_state = 53},
  [14634] = {.lex_state = 64, .external_lex_state = 51},
  [14635] = {.lex_state = 64, .external_lex_state = 53},
  [14636] = {.lex_state = 64, .external_lex_state = 51},
  [14637] = {.lex_state = 60, .external_lex_state = 26},
  [14638] = {.lex_state = 64, .external_lex_state = 51},
  [14639] = {.lex_state = 64, .external_lex_state = 52},
  [14640] = {.lex_state = 64, .external_lex_state = 51},
  [14641] = {.lex_state = 64, .external_lex_state = 51},
  [14642] = {.lex_state = 64, .external_lex_state = 53},
  [14643] = {.lex_state = 64, .external_lex_state = 51},
  [14644] = {.lex_state = 60, .external_lex_state = 59},
  [14645] = {.lex_state = 64, .external_lex_state = 51},
  [14646] = {.lex_state = 64, .external_lex_state = 51},
  [14647] = {.lex_state = 64, .external_lex_state = 52},
  [14648] = {.lex_state = 59, .external_lex_state = 27},
  [14649] = {.lex_state = 64, .external_lex_state = 51},
  [14650] = {.lex_state = 64, .external_lex_state = 53},
  [14651] = {.lex_state = 64, .external_lex_state = 51},
  [14652] = {.lex_state = 64, .external_lex_state = 39},
  [14653] = {.lex_state = 64, .external_lex_state = 34},
  [14654] = {.lex_state = 64, .external_lex_state = 33},
  [14655] = {.lex_state = 64, .external_lex_state = 33},
  [14656] = {.lex_state = 64, .external_lex_state = 30},
  [14657] = {.lex_state = 64, .external_lex_state = 52},
  [14658] = {.lex_state = 60, .external_lex_state = 58},
  [14659] = {.lex_state = 64, .external_lex_state = 48},
  [14660] = {.lex_state = 60, .external_lex_state = 59},
  [14661] = {.lex_state = 64, .external_lex_state = 40},
  [14662] = {.lex_state = 64, .external_lex_state = 51},
  [14663] = {.lex_state = 64, .external_lex_state = 51},
  [14664] = {.lex_state = 64, .external_lex_state = 51},
  [14665] = {.lex_state = 64, .external_lex_state = 51},
  [14666] = {.lex_state = 64, .external_lex_state = 51},
  [14667] = {.lex_state = 60, .external_lex_state = 59},
  [14668] = {.lex_state = 60, .external_lex_state = 59},
  [14669] = {.lex_state = 60, .external_lex_state = 59},
  [14670] = {.lex_state = 64, .external_lex_state = 51},
  [14671] = {.lex_state = 60, .external_lex_state = 59},
  [14672] = {.lex_state = 60, .external_lex_state = 59},
  [14673] = {.lex_state = 64, .external_lex_state = 40},
  [14674] = {.lex_state = 64, .external_lex_state = 44},
  [14675] = {.lex_state = 64, .external_lex_state = 33},
  [14676] = {.lex_state = 59, .external_lex_state = 27},
  [14677] = {.lex_state = 64, .external_lex_state = 48},
  [14678] = {.lex_state = 64, .external_lex_state = 52},
  [14679] = {.lex_state = 64, .external_lex_state = 48},
  [14680] = {.lex_state = 64, .external_lex_state = 48},
  [14681] = {.lex_state = 64, .external_lex_state = 34},
  [14682] = {.lex_state = 64, .external_lex_state = 48},
  [14683] = {.lex_state = 60, .external_lex_state = 58},
  [14684] = {.lex_state = 60, .external_lex_state = 67},
  [14685] = {.lex_state = 64, .external_lex_state = 48},
  [14686] = {.lex_state = 60, .external_lex_state = 58},
  [14687] = {.lex_state = 64, .external_lex_state = 48},
  [14688] = {.lex_state = 64, .external_lex_state = 52},
  [14689] = {.lex_state = 60, .external_lex_state = 27},
  [14690] = {.lex_state = 64, .external_lex_state = 30},
  [14691] = {.lex_state = 60, .external_lex_state = 27},
  [14692] = {.lex_state = 64, .external_lex_state = 58},
  [14693] = {.lex_state = 59, .external_lex_state = 26},
  [14694] = {.lex_state = 60, .external_lex_state = 27},
  [14695] = {.lex_state = 60, .external_lex_state = 27},
  [14696] = {.lex_state = 60, .external_lex_state = 27},
  [14697] = {.lex_state = 60, .external_lex_state = 59},
  [14698] = {.lex_state = 60, .external_lex_state = 27},
  [14699] = {.lex_state = 64, .external_lex_state = 52},
  [14700] = {.lex_state = 60, .external_lex_state = 27},
  [14701] = {.lex_state = 64, .external_lex_state = 30},
  [14702] = {.lex_state = 60, .external_lex_state = 27},
  [14703] = {.lex_state = 60, .external_lex_state = 27},
  [14704] = {.lex_state = 64, .external_lex_state = 40},
  [14705] = {.lex_state = 64, .external_lex_state = 52},
  [14706] = {.lex_state = 60, .external_lex_state = 59},
  [14707] = {.lex_state = 64, .external_lex_state = 44},
  [14708] = {.lex_state = 59, .external_lex_state = 27},
  [14709] = {.lex_state = 64, .external_lex_state = 39},
  [14710] = {.lex_state = 60, .external_lex_state = 58},
  [14711] = {.lex_state = 64, .external_lex_state = 40},
  [14712] = {.lex_state = 60},
  [14713] = {.lex_state = 64, .external_lex_state = 59},
  [14714] = {.lex_state = 64, .external_lex_state = 33},
  [14715] = {.lex_state = 60, .external_lex_state = 26},
  [14716] = {.lex_state = 64, .external_lex_state = 59},
  [14717] = {.lex_state = 64, .external_lex_state = 59},
  [14718] = {.lex_state = 59, .external_lex_state = 26},
  [14719] = {.lex_state = 64, .external_lex_state = 58},
  [14720] = {.lex_state = 64, .external_lex_state = 58},
  [14721] = {.lex_state = 60, .external_lex_state = 27},
  [14722] = {.lex_state = 60, .external_lex_state = 25},
  [14723] = {.lex_state = 64, .external_lex_state = 59},
  [14724] = {.lex_state = 64, .external_lex_state = 58},
  [14725] = {.lex_state = 59, .external_lex_state = 26},
  [14726] = {.lex_state = 64, .external_lex_state = 58},
  [14727] = {.lex_state = 60},
  [14728] = {.lex_state = 64, .external_lex_state = 59},
  [14729] = {.lex_state = 59, .external_lex_state = 26},
  [14730] = {.lex_state = 64, .external_lex_state = 33},
  [14731] = {.lex_state = 60, .external_lex_state = 27},
  [14732] = {.lex_state = 64, .external_lex_state = 27},
  [14733] = {.lex_state = 64, .external_lex_state = 58},
  [14734] = {.lex_state = 64, .external_lex_state = 59},
  [14735] = {.lex_state = 64, .external_lex_state = 59},
  [14736] = {.lex_state = 64, .external_lex_state = 59},
  [14737] = {.lex_state = 64, .external_lex_state = 43},
  [14738] = {.lex_state = 64, .external_lex_state = 59},
  [14739] = {.lex_state = 64, .external_lex_state = 39},
  [14740] = {.lex_state = 64, .external_lex_state = 60},
  [14741] = {.lex_state = 60, .external_lex_state = 26},
  [14742] = {.lex_state = 64, .external_lex_state = 58},
  [14743] = {.lex_state = 60, .external_lex_state = 54},
  [14744] = {.lex_state = 64, .external_lex_state = 34},
  [14745] = {.lex_state = 64, .external_lex_state = 60},
  [14746] = {.lex_state = 64, .external_lex_state = 60},
  [14747] = {.lex_state = 64, .external_lex_state = 54},
  [14748] = {.lex_state = 64, .external_lex_state = 60},
  [14749] = {.lex_state = 64, .external_lex_state = 59},
  [14750] = {.lex_state = 64},
  [14751] = {.lex_state = 60, .external_lex_state = 62},
  [14752] = {.lex_state = 60, .external_lex_state = 62},
  [14753] = {.lex_state = 64, .external_lex_state = 58},
  [14754] = {.lex_state = 64, .external_lex_state = 59},
  [14755] = {.lex_state = 64, .external_lex_state = 34},
  [14756] = {.lex_state = 60, .external_lex_state = 62},
  [14757] = {.lex_state = 64, .external_lex_state = 33},
  [14758] = {.lex_state = 0, .external_lex_state = 26},
  [14759] = {.lex_state = 64, .external_lex_state = 70},
  [14760] = {.lex_state = 64, .external_lex_state = 26},
  [14761] = {.lex_state = 64, .external_lex_state = 60},
  [14762] = {.lex_state = 64, .external_lex_state = 60},
  [14763] = {.lex_state = 64, .external_lex_state = 60},
  [14764] = {.lex_state = 64, .external_lex_state = 43},
  [14765] = {.lex_state = 64, .external_lex_state = 60},
  [14766] = {.lex_state = 59},
  [14767] = {.lex_state = 64, .external_lex_state = 60},
  [14768] = {.lex_state = 64, .external_lex_state = 36},
  [14769] = {.lex_state = 59, .external_lex_state = 27},
  [14770] = {.lex_state = 64, .external_lex_state = 36},
  [14771] = {.lex_state = 0},
  [14772] = {.lex_state = 64, .external_lex_state = 53},
  [14773] = {.lex_state = 64, .external_lex_state = 51},
  [14774] = {.lex_state = 59},
  [14775] = {.lex_state = 64, .external_lex_state = 40},
  [14776] = {.lex_state = 64, .external_lex_state = 25},
  [14777] = {.lex_state = 64, .external_lex_state = 59},
  [14778] = {.lex_state = 64, .external_lex_state = 25},
  [14779] = {.lex_state = 64, .external_lex_state = 60},
  [14780] = {.lex_state = 64},
  [14781] = {.lex_state = 64, .external_lex_state = 60},
  [14782] = {.lex_state = 64, .external_lex_state = 60},
  [14783] = {.lex_state = 64, .external_lex_state = 60},
  [14784] = {.lex_state = 64, .external_lex_state = 60},
  [14785] = {.lex_state = 64, .external_lex_state = 33},
  [14786] = {.lex_state = 60, .external_lex_state = 45},
  [14787] = {.lex_state = 64, .external_lex_state = 30},
  [14788] = {.lex_state = 59, .external_lex_state = 27},
  [14789] = {.lex_state = 64, .external_lex_state = 59},
  [14790] = {.lex_state = 64, .external_lex_state = 59},
  [14791] = {.lex_state = 0},
  [14792] = {.lex_state = 64, .external_lex_state = 39},
  [14793] = {.lex_state = 60, .external_lex_state = 27},
  [14794] = {.lex_state = 60, .external_lex_state = 45},
  [14795] = {.lex_state = 64, .external_lex_state = 60},
  [14796] = {.lex_state = 64, .external_lex_state = 33},
  [14797] = {.lex_state = 64, .external_lex_state = 33},
  [14798] = {.lex_state = 59, .external_lex_state = 27},
  [14799] = {.lex_state = 64, .external_lex_state = 58},
  [14800] = {.lex_state = 64, .external_lex_state = 58},
  [14801] = {.lex_state = 0},
  [14802] = {.lex_state = 64, .external_lex_state = 60},
  [14803] = {.lex_state = 64, .external_lex_state = 43},
  [14804] = {.lex_state = 60, .external_lex_state = 62},
  [14805] = {.lex_state = 64, .external_lex_state = 59},
  [14806] = {.lex_state = 0},
  [14807] = {.lex_state = 0},
  [14808] = {.lex_state = 64, .external_lex_state = 58},
  [14809] = {.lex_state = 60, .external_lex_state = 62},
  [14810] = {.lex_state = 64, .external_lex_state = 58},
  [14811] = {.lex_state = 64, .external_lex_state = 60},
  [14812] = {.lex_state = 0},
  [14813] = {.lex_state = 64, .external_lex_state = 60},
  [14814] = {.lex_state = 60, .external_lex_state = 62},
  [14815] = {.lex_state = 64, .external_lex_state = 58},
  [14816] = {.lex_state = 64, .external_lex_state = 60},
  [14817] = {.lex_state = 64, .external_lex_state = 60},
  [14818] = {.lex_state = 64, .external_lex_state = 59},
  [14819] = {.lex_state = 64, .external_lex_state = 59},
  [14820] = {.lex_state = 64, .external_lex_state = 34},
  [14821] = {.lex_state = 64, .external_lex_state = 60},
  [14822] = {.lex_state = 64, .external_lex_state = 51},
  [14823] = {.lex_state = 64, .external_lex_state = 59},
  [14824] = {.lex_state = 64, .external_lex_state = 58},
  [14825] = {.lex_state = 64, .external_lex_state = 26},
  [14826] = {.lex_state = 60},
  [14827] = {.lex_state = 64, .external_lex_state = 36},
  [14828] = {.lex_state = 64, .external_lex_state = 71},
  [14829] = {.lex_state = 64, .external_lex_state = 33},
  [14830] = {.lex_state = 64, .external_lex_state = 43},
  [14831] = {.lex_state = 64, .external_lex_state = 34},
  [14832] = {.lex_state = 64, .external_lex_state = 58},
  [14833] = {.lex_state = 64, .external_lex_state = 58},
  [14834] = {.lex_state = 59, .external_lex_state = 26},
  [14835] = {.lex_state = 60, .external_lex_state = 62},
  [14836] = {.lex_state = 64, .external_lex_state = 51},
  [14837] = {.lex_state = 64, .external_lex_state = 51},
  [14838] = {.lex_state = 64, .external_lex_state = 58},
  [14839] = {.lex_state = 64, .external_lex_state = 58},
  [14840] = {.lex_state = 60, .external_lex_state = 45},
  [14841] = {.lex_state = 64, .external_lex_state = 33},
  [14842] = {.lex_state = 64, .external_lex_state = 60},
  [14843] = {.lex_state = 64, .external_lex_state = 36},
  [14844] = {.lex_state = 60, .external_lex_state = 45},
  [14845] = {.lex_state = 64, .external_lex_state = 36},
  [14846] = {.lex_state = 59, .external_lex_state = 26},
  [14847] = {.lex_state = 64, .external_lex_state = 59},
  [14848] = {.lex_state = 64, .external_lex_state = 58},
  [14849] = {.lex_state = 64, .external_lex_state = 51},
  [14850] = {.lex_state = 60, .external_lex_state = 68},
  [14851] = {.lex_state = 64, .external_lex_state = 36},
  [14852] = {.lex_state = 64, .external_lex_state = 59},
  [14853] = {.lex_state = 59, .external_lex_state = 26},
  [14854] = {.lex_state = 64, .external_lex_state = 26},
  [14855] = {.lex_state = 64, .external_lex_state = 51},
  [14856] = {.lex_state = 64, .external_lex_state = 33},
  [14857] = {.lex_state = 64, .external_lex_state = 58},
  [14858] = {.lex_state = 64, .external_lex_state = 51},
  [14859] = {.lex_state = 60, .external_lex_state = 27},
  [14860] = {.lex_state = 64, .external_lex_state = 59},
  [14861] = {.lex_state = 64},
  [14862] = {.lex_state = 64, .external_lex_state = 26},
  [14863] = {.lex_state = 64, .external_lex_state = 27},
  [14864] = {.lex_state = 64, .external_lex_state = 58},
  [14865] = {.lex_state = 64, .external_lex_state = 58},
  [14866] = {.lex_state = 64, .external_lex_state = 27},
  [14867] = {.lex_state = 64, .external_lex_state = 58},
  [14868] = {.lex_state = 64, .external_lex_state = 58},
  [14869] = {.lex_state = 64, .external_lex_state = 30},
  [14870] = {.lex_state = 64, .external_lex_state = 33},
  [14871] = {.lex_state = 64, .external_lex_state = 58},
  [14872] = {.lex_state = 64, .external_lex_state = 30},
  [14873] = {.lex_state = 64, .external_lex_state = 59},
  [14874] = {.lex_state = 64, .external_lex_state = 58},
  [14875] = {.lex_state = 60, .external_lex_state = 27},
  [14876] = {.lex_state = 64},
  [14877] = {.lex_state = 64, .external_lex_state = 30},
  [14878] = {.lex_state = 64, .external_lex_state = 33},
  [14879] = {.lex_state = 64, .external_lex_state = 33},
  [14880] = {.lex_state = 64, .external_lex_state = 34},
  [14881] = {.lex_state = 60, .external_lex_state = 62},
  [14882] = {.lex_state = 64, .external_lex_state = 27},
  [14883] = {.lex_state = 64, .external_lex_state = 36},
  [14884] = {.lex_state = 60, .external_lex_state = 27},
  [14885] = {.lex_state = 64, .external_lex_state = 59},
  [14886] = {.lex_state = 64, .external_lex_state = 59},
  [14887] = {.lex_state = 64, .external_lex_state = 33},
  [14888] = {.lex_state = 64, .external_lex_state = 70},
  [14889] = {.lex_state = 0},
  [14890] = {.lex_state = 0},
  [14891] = {.lex_state = 0},
  [14892] = {.lex_state = 64, .external_lex_state = 59},
  [14893] = {.lex_state = 60},
  [14894] = {.lex_state = 64, .external_lex_state = 59},
  [14895] = {.lex_state = 64, .external_lex_state = 60},
  [14896] = {.lex_state = 64, .external_lex_state = 27},
  [14897] = {.lex_state = 64, .external_lex_state = 36},
  [14898] = {.lex_state = 59, .external_lex_state = 27},
  [14899] = {.lex_state = 64},
  [14900] = {.lex_state = 60, .external_lex_state = 62},
  [14901] = {.lex_state = 60, .external_lex_state = 67},
  [14902] = {.lex_state = 64, .external_lex_state = 54},
  [14903] = {.lex_state = 64, .external_lex_state = 40},
  [14904] = {.lex_state = 60, .external_lex_state = 62},
  [14905] = {.lex_state = 0},
  [14906] = {.lex_state = 64},
  [14907] = {.lex_state = 60},
  [14908] = {.lex_state = 64, .external_lex_state = 59},
  [14909] = {.lex_state = 64, .external_lex_state = 34},
  [14910] = {.lex_state = 64, .external_lex_state = 59},
  [14911] = {.lex_state = 64, .external_lex_state = 71},
  [14912] = {.lex_state = 64, .external_lex_state = 51},
  [14913] = {.lex_state = 64, .external_lex_state = 27},
  [14914] = {.lex_state = 64, .external_lex_state = 26},
  [14915] = {.lex_state = 64, .external_lex_state = 27},
  [14916] = {.lex_state = 64, .external_lex_state = 27},
  [14917] = {.lex_state = 64, .external_lex_state = 34},
  [14918] = {.lex_state = 64, .external_lex_state = 27},
  [14919] = {.lex_state = 64, .external_lex_state = 27},
  [14920] = {.lex_state = 64, .external_lex_state = 59},
  [14921] = {.lex_state = 64, .external_lex_state = 34},
  [14922] = {.lex_state = 59, .external_lex_state = 27},
  [14923] = {.lex_state = 64},
  [14924] = {.lex_state = 59, .external_lex_state = 26},
  [14925] = {.lex_state = 59, .external_lex_state = 26},
  [14926] = {.lex_state = 64, .external_lex_state = 27},
  [14927] = {.lex_state = 64, .external_lex_state = 39},
  [14928] = {.lex_state = 64},
  [14929] = {.lex_state = 59, .external_lex_state = 27},
  [14930] = {.lex_state = 64, .external_lex_state = 71},
  [14931] = {.lex_state = 0, .external_lex_state = 26},
  [14932] = {.lex_state = 64, .external_lex_state = 43},
  [14933] = {.lex_state = 64, .external_lex_state = 27},
  [14934] = {.lex_state = 64, .external_lex_state = 26},
  [14935] = {.lex_state = 60, .external_lex_state = 67},
  [14936] = {.lex_state = 64, .external_lex_state = 27},
  [14937] = {.lex_state = 0, .external_lex_state = 26},
  [14938] = {.lex_state = 64},
  [14939] = {.lex_state = 64, .external_lex_state = 54},
  [14940] = {.lex_state = 64},
  [14941] = {.lex_state = 64, .external_lex_state = 40},
  [14942] = {.lex_state = 60, .external_lex_state = 45},
  [14943] = {.lex_state = 64, .external_lex_state = 53},
  [14944] = {.lex_state = 64, .external_lex_state = 60},
  [14945] = {.lex_state = 59, .external_lex_state = 26},
  [14946] = {.lex_state = 64, .external_lex_state = 43},
  [14947] = {.lex_state = 64, .external_lex_state = 27},
  [14948] = {.lex_state = 64, .external_lex_state = 27},
  [14949] = {.lex_state = 64, .external_lex_state = 36},
  [14950] = {.lex_state = 60, .external_lex_state = 45},
  [14951] = {.lex_state = 64, .external_lex_state = 25},
  [14952] = {.lex_state = 64, .external_lex_state = 33},
  [14953] = {.lex_state = 64, .external_lex_state = 58},
  [14954] = {.lex_state = 64, .external_lex_state = 40},
  [14955] = {.lex_state = 59, .external_lex_state = 27},
  [14956] = {.lex_state = 64, .external_lex_state = 60},
  [14957] = {.lex_state = 64, .external_lex_state = 26},
  [14958] = {.lex_state = 64},
  [14959] = {.lex_state = 64, .external_lex_state = 60},
  [14960] = {.lex_state = 60, .external_lex_state = 69},
  [14961] = {.lex_state = 64, .external_lex_state = 27},
  [14962] = {.lex_state = 64},
  [14963] = {.lex_state = 64, .external_lex_state = 26},
  [14964] = {.lex_state = 64},
  [14965] = {.lex_state = 64, .external_lex_state = 39},
  [14966] = {.lex_state = 64, .external_lex_state = 27},
  [14967] = {.lex_state = 64, .external_lex_state = 70},
  [14968] = {.lex_state = 59, .external_lex_state = 26},
  [14969] = {.lex_state = 60, .external_lex_state = 67},
  [14970] = {.lex_state = 59, .external_lex_state = 26},
  [14971] = {.lex_state = 64, .external_lex_state = 60},
  [14972] = {.lex_state = 64, .external_lex_state = 36},
  [14973] = {.lex_state = 64},
  [14974] = {.lex_state = 59, .external_lex_state = 27},
  [14975] = {.lex_state = 64, .external_lex_state = 40},
  [14976] = {.lex_state = 64, .external_lex_state = 43},
  [14977] = {.lex_state = 64, .external_lex_state = 27},
  [14978] = {.lex_state = 60, .external_lex_state = 27},
  [14979] = {.lex_state = 64, .external_lex_state = 40},
  [14980] = {.lex_state = 64},
  [14981] = {.lex_state = 64, .external_lex_state = 36},
  [14982] = {.lex_state = 60, .external_lex_state = 45},
  [14983] = {.lex_state = 64, .external_lex_state = 53},
  [14984] = {.lex_state = 64, .external_lex_state = 39},
  [14985] = {.lex_state = 60, .external_lex_state = 72},
  [14986] = {.lex_state = 64, .external_lex_state = 33},
  [14987] = {.lex_state = 59, .external_lex_state = 26},
  [14988] = {.lex_state = 59, .external_lex_state = 27},
  [14989] = {.lex_state = 64, .external_lex_state = 27},
  [14990] = {.lex_state = 64, .external_lex_state = 60},
  [14991] = {.lex_state = 64, .external_lex_state = 36},
  [14992] = {.lex_state = 64, .external_lex_state = 25},
  [14993] = {.lex_state = 64, .external_lex_state = 43},
  [14994] = {.lex_state = 59, .external_lex_state = 26},
  [14995] = {.lex_state = 59, .external_lex_state = 26},
  [14996] = {.lex_state = 64, .external_lex_state = 39},
  [14997] = {.lex_state = 64, .external_lex_state = 27},
  [14998] = {.lex_state = 0, .external_lex_state = 26},
  [14999] = {.lex_state = 64},
  [15000] = {.lex_state = 60, .external_lex_state = 45},
  [15001] = {.lex_state = 64, .external_lex_state = 39},
  [15002] = {.lex_state = 60, .external_lex_state = 45},
  [15003] = {.lex_state = 60, .external_lex_state = 45},
  [15004] = {.lex_state = 64},
  [15005] = {.lex_state = 59, .external_lex_state = 26},
  [15006] = {.lex_state = 64, .external_lex_state = 39},
  [15007] = {.lex_state = 64, .external_lex_state = 27},
  [15008] = {.lex_state = 64, .external_lex_state = 54},
  [15009] = {.lex_state = 64, .external_lex_state = 60},
  [15010] = {.lex_state = 64, .external_lex_state = 39},
  [15011] = {.lex_state = 60, .external_lex_state = 67},
  [15012] = {.lex_state = 60, .external_lex_state = 27},
  [15013] = {.lex_state = 64, .external_lex_state = 27},
  [15014] = {.lex_state = 64, .external_lex_state = 53},
  [15015] = {.lex_state = 64, .external_lex_state = 27},
  [15016] = {.lex_state = 60, .external_lex_state = 45},
  [15017] = {.lex_state = 64, .external_lex_state = 27},
  [15018] = {.lex_state = 64, .external_lex_state = 53},
  [15019] = {.lex_state = 60, .external_lex_state = 45},
  [15020] = {.lex_state = 64, .external_lex_state = 27},
  [15021] = {.lex_state = 64, .external_lex_state = 39},
  [15022] = {.lex_state = 64, .external_lex_state = 27},
  [15023] = {.lex_state = 64, .external_lex_state = 48},
  [15024] = {.lex_state = 59, .external_lex_state = 26},
  [15025] = {.lex_state = 60, .external_lex_state = 45},
  [15026] = {.lex_state = 60, .external_lex_state = 72},
  [15027] = {.lex_state = 60, .external_lex_state = 45},
  [15028] = {.lex_state = 64, .external_lex_state = 26},
  [15029] = {.lex_state = 59, .external_lex_state = 26},
  [15030] = {.lex_state = 60, .external_lex_state = 45},
  [15031] = {.lex_state = 64, .external_lex_state = 58},
  [15032] = {.lex_state = 64, .external_lex_state = 71},
  [15033] = {.lex_state = 64},
  [15034] = {.lex_state = 59, .external_lex_state = 27},
  [15035] = {.lex_state = 64, .external_lex_state = 26},
  [15036] = {.lex_state = 64, .external_lex_state = 36},
  [15037] = {.lex_state = 64, .external_lex_state = 60},
  [15038] = {.lex_state = 64, .external_lex_state = 70},
  [15039] = {.lex_state = 64, .external_lex_state = 27},
  [15040] = {.lex_state = 64, .external_lex_state = 26},
  [15041] = {.lex_state = 64},
  [15042] = {.lex_state = 60, .external_lex_state = 45},
  [15043] = {.lex_state = 64, .external_lex_state = 27},
  [15044] = {.lex_state = 59, .external_lex_state = 26},
  [15045] = {.lex_state = 64},
  [15046] = {.lex_state = 60, .external_lex_state = 67},
  [15047] = {.lex_state = 64, .external_lex_state = 40},
  [15048] = {.lex_state = 60, .external_lex_state = 45},
  [15049] = {.lex_state = 60, .external_lex_state = 72},
  [15050] = {.lex_state = 60, .external_lex_state = 67},
  [15051] = {.lex_state = 64, .external_lex_state = 26},
  [15052] = {.lex_state = 64, .external_lex_state = 40},
  [15053] = {.lex_state = 64, .external_lex_state = 40},
  [15054] = {.lex_state = 64, .external_lex_state = 48},
  [15055] = {.lex_state = 64, .external_lex_state = 27},
  [15056] = {.lex_state = 64, .external_lex_state = 27},
  [15057] = {.lex_state = 60, .external_lex_state = 45},
  [15058] = {.lex_state = 59, .external_lex_state = 27},
  [15059] = {.lex_state = 64, .external_lex_state = 59},
  [15060] = {.lex_state = 64},
  [15061] = {.lex_state = 59, .external_lex_state = 26},
  [15062] = {.lex_state = 64, .external_lex_state = 26},
  [15063] = {.lex_state = 64},
  [15064] = {.lex_state = 59, .external_lex_state = 26},
  [15065] = {.lex_state = 59, .external_lex_state = 26},
  [15066] = {.lex_state = 64, .external_lex_state = 27},
  [15067] = {.lex_state = 60, .external_lex_state = 72},
  [15068] = {.lex_state = 64},
  [15069] = {.lex_state = 64, .external_lex_state = 53},
  [15070] = {.lex_state = 64, .external_lex_state = 60},
  [15071] = {.lex_state = 64, .external_lex_state = 27},
  [15072] = {.lex_state = 64},
  [15073] = {.lex_state = 64, .external_lex_state = 36},
  [15074] = {.lex_state = 64, .external_lex_state = 27},
  [15075] = {.lex_state = 64, .external_lex_state = 25},
  [15076] = {.lex_state = 64},
  [15077] = {.lex_state = 59, .external_lex_state = 26},
  [15078] = {.lex_state = 64, .external_lex_state = 48},
  [15079] = {.lex_state = 60, .external_lex_state = 45},
  [15080] = {.lex_state = 64, .external_lex_state = 36},
  [15081] = {.lex_state = 64, .external_lex_state = 33},
  [15082] = {.lex_state = 64, .external_lex_state = 27},
  [15083] = {.lex_state = 60, .external_lex_state = 45},
  [15084] = {.lex_state = 64, .external_lex_state = 54},
  [15085] = {.lex_state = 64, .external_lex_state = 27},
  [15086] = {.lex_state = 64, .external_lex_state = 71},
  [15087] = {.lex_state = 60, .external_lex_state = 45},
  [15088] = {.lex_state = 60, .external_lex_state = 45},
  [15089] = {.lex_state = 64, .external_lex_state = 27},
  [15090] = {.lex_state = 64, .external_lex_state = 70},
  [15091] = {.lex_state = 64, .external_lex_state = 53},
  [15092] = {.lex_state = 64, .external_lex_state = 33},
  [15093] = {.lex_state = 64, .external_lex_state = 27},
  [15094] = {.lex_state = 64},
  [15095] = {.lex_state = 64, .external_lex_state = 27},
  [15096] = {.lex_state = 64, .external_lex_state = 40},
  [15097] = {.lex_state = 60, .external_lex_state = 67},
  [15098] = {.lex_state = 64, .external_lex_state = 27},
  [15099] = {.lex_state = 64, .external_lex_state = 48},
  [15100] = {.lex_state = 64, .external_lex_state = 39},
  [15101] = {.lex_state = 60, .external_lex_state = 45},
  [15102] = {.lex_state = 64, .external_lex_state = 27},
  [15103] = {.lex_state = 64, .external_lex_state = 36},
  [15104] = {.lex_state = 64},
  [15105] = {.lex_state = 64, .external_lex_state = 39},
  [15106] = {.lex_state = 59, .external_lex_state = 27},
  [15107] = {.lex_state = 60, .external_lex_state = 67},
  [15108] = {.lex_state = 64, .external_lex_state = 36},
  [15109] = {.lex_state = 64, .external_lex_state = 36},
  [15110] = {.lex_state = 64, .external_lex_state = 26},
  [15111] = {.lex_state = 60, .external_lex_state = 45},
  [15112] = {.lex_state = 59, .external_lex_state = 27},
  [15113] = {.lex_state = 64},
  [15114] = {.lex_state = 64, .external_lex_state = 54},
  [15115] = {.lex_state = 60, .external_lex_state = 67},
  [15116] = {.lex_state = 64, .external_lex_state = 26},
  [15117] = {.lex_state = 60, .external_lex_state = 67},
  [15118] = {.lex_state = 60, .external_lex_state = 67},
  [15119] = {.lex_state = 64, .external_lex_state = 54},
  [15120] = {.lex_state = 59, .external_lex_state = 27},
  [15121] = {.lex_state = 64, .external_lex_state = 25},
  [15122] = {.lex_state = 64},
  [15123] = {.lex_state = 60, .external_lex_state = 67},
  [15124] = {.lex_state = 64},
  [15125] = {.lex_state = 59, .external_lex_state = 26},
  [15126] = {.lex_state = 59, .external_lex_state = 27},
  [15127] = {.lex_state = 59, .external_lex_state = 27},
  [15128] = {.lex_state = 59, .external_lex_state = 26},
  [15129] = {.lex_state = 64},
  [15130] = {.lex_state = 64, .external_lex_state = 53},
  [15131] = {.lex_state = 59, .external_lex_state = 26},
  [15132] = {.lex_state = 64, .external_lex_state = 26},
  [15133] = {.lex_state = 60, .external_lex_state = 67},
  [15134] = {.lex_state = 60, .external_lex_state = 67},
  [15135] = {.lex_state = 60, .external_lex_state = 67},
  [15136] = {.lex_state = 64, .external_lex_state = 54},
  [15137] = {.lex_state = 64, .external_lex_state = 54},
  [15138] = {.lex_state = 59, .external_lex_state = 26},
  [15139] = {.lex_state = 64, .external_lex_state = 25},
  [15140] = {.lex_state = 64},
  [15141] = {.lex_state = 64, .external_lex_state = 54},
  [15142] = {.lex_state = 64, .external_lex_state = 27},
  [15143] = {.lex_state = 64},
  [15144] = {.lex_state = 60, .external_lex_state = 73},
  [15145] = {.lex_state = 60, .external_lex_state = 67},
  [15146] = {.lex_state = 64},
  [15147] = {.lex_state = 60, .external_lex_state = 67},
  [15148] = {.lex_state = 64, .external_lex_state = 26},
  [15149] = {.lex_state = 0, .external_lex_state = 26},
  [15150] = {.lex_state = 64},
  [15151] = {.lex_state = 59, .external_lex_state = 26},
  [15152] = {.lex_state = 64, .external_lex_state = 53},
  [15153] = {.lex_state = 59, .external_lex_state = 26},
  [15154] = {.lex_state = 64, .external_lex_state = 26},
  [15155] = {.lex_state = 64},
  [15156] = {.lex_state = 64, .external_lex_state = 26},
  [15157] = {.lex_state = 0, .external_lex_state = 27},
  [15158] = {.lex_state = 64},
  [15159] = {.lex_state = 64, .external_lex_state = 27},
  [15160] = {.lex_state = 64, .external_lex_state = 25},
  [15161] = {.lex_state = 59, .external_lex_state = 26},
  [15162] = {.lex_state = 64, .external_lex_state = 25},
  [15163] = {.lex_state = 0},
  [15164] = {.lex_state = 0, .external_lex_state = 26},
  [15165] = {.lex_state = 64, .external_lex_state = 27},
  [15166] = {.lex_state = 64},
  [15167] = {.lex_state = 64},
  [15168] = {.lex_state = 64, .external_lex_state = 36},
  [15169] = {.lex_state = 64, .external_lex_state = 26},
  [15170] = {.lex_state = 64, .external_lex_state = 27},
  [15171] = {.lex_state = 64},
  [15172] = {.lex_state = 64, .external_lex_state = 26},
  [15173] = {.lex_state = 59, .external_lex_state = 27},
  [15174] = {.lex_state = 64, .external_lex_state = 36},
  [15175] = {.lex_state = 64, .external_lex_state = 26},
  [15176] = {.lex_state = 0, .external_lex_state = 27},
  [15177] = {.lex_state = 64, .external_lex_state = 25},
  [15178] = {.lex_state = 0, .external_lex_state = 26},
  [15179] = {.lex_state = 0, .external_lex_state = 26},
  [15180] = {.lex_state = 64, .external_lex_state = 26},
  [15181] = {.lex_state = 64, .external_lex_state = 43},
  [15182] = {.lex_state = 60, .external_lex_state = 67},
  [15183] = {.lex_state = 60, .external_lex_state = 67},
  [15184] = {.lex_state = 64, .external_lex_state = 70},
  [15185] = {.lex_state = 64, .external_lex_state = 26},
  [15186] = {.lex_state = 64, .external_lex_state = 43},
  [15187] = {.lex_state = 64, .external_lex_state = 26},
  [15188] = {.lex_state = 64},
  [15189] = {.lex_state = 64, .external_lex_state = 26},
  [15190] = {.lex_state = 64, .external_lex_state = 26},
  [15191] = {.lex_state = 64, .external_lex_state = 36},
  [15192] = {.lex_state = 64, .external_lex_state = 25},
  [15193] = {.lex_state = 60, .external_lex_state = 73},
  [15194] = {.lex_state = 64},
  [15195] = {.lex_state = 59, .external_lex_state = 26},
  [15196] = {.lex_state = 64, .external_lex_state = 54},
  [15197] = {.lex_state = 64},
  [15198] = {.lex_state = 64, .external_lex_state = 25},
  [15199] = {.lex_state = 64},
  [15200] = {.lex_state = 64},
  [15201] = {.lex_state = 64, .external_lex_state = 54},
  [15202] = {.lex_state = 64, .external_lex_state = 27},
  [15203] = {.lex_state = 64},
  [15204] = {.lex_state = 59, .external_lex_state = 26},
  [15205] = {.lex_state = 64, .external_lex_state = 54},
  [15206] = {.lex_state = 0, .external_lex_state = 26},
  [15207] = {.lex_state = 64, .external_lex_state = 25},
  [15208] = {.lex_state = 60, .external_lex_state = 67},
  [15209] = {.lex_state = 64},
  [15210] = {.lex_state = 64, .external_lex_state = 60},
  [15211] = {.lex_state = 64, .external_lex_state = 26},
  [15212] = {.lex_state = 64, .external_lex_state = 25},
  [15213] = {.lex_state = 64},
  [15214] = {.lex_state = 64, .external_lex_state = 36},
  [15215] = {.lex_state = 0, .external_lex_state = 26},
  [15216] = {.lex_state = 59, .external_lex_state = 26},
  [15217] = {.lex_state = 64, .external_lex_state = 43},
  [15218] = {.lex_state = 64, .external_lex_state = 43},
  [15219] = {.lex_state = 0, .external_lex_state = 26},
  [15220] = {.lex_state = 60, .external_lex_state = 67},
  [15221] = {.lex_state = 64, .external_lex_state = 43},
  [15222] = {.lex_state = 0, .external_lex_state = 26},
  [15223] = {.lex_state = 64, .external_lex_state = 43},
  [15224] = {.lex_state = 64, .external_lex_state = 54},
  [15225] = {.lex_state = 9},
  [15226] = {.lex_state = 60, .external_lex_state = 67},
  [15227] = {.lex_state = 0, .external_lex_state = 26},
  [15228] = {.lex_state = 64},
  [15229] = {.lex_state = 64, .external_lex_state = 60},
  [15230] = {.lex_state = 64, .external_lex_state = 25},
  [15231] = {.lex_state = 60, .external_lex_state = 73},
  [15232] = {.lex_state = 64, .external_lex_state = 26},
  [15233] = {.lex_state = 64, .external_lex_state = 27},
  [15234] = {.lex_state = 64},
  [15235] = {.lex_state = 64},
  [15236] = {.lex_state = 64, .external_lex_state = 54},
  [15237] = {.lex_state = 64, .external_lex_state = 27},
  [15238] = {.lex_state = 64, .external_lex_state = 43},
  [15239] = {.lex_state = 64, .external_lex_state = 26},
  [15240] = {.lex_state = 64, .external_lex_state = 26},
  [15241] = {.lex_state = 64, .external_lex_state = 54},
  [15242] = {.lex_state = 64, .external_lex_state = 27},
  [15243] = {.lex_state = 64, .external_lex_state = 36},
  [15244] = {.lex_state = 64},
  [15245] = {.lex_state = 64, .external_lex_state = 43},
  [15246] = {.lex_state = 64},
  [15247] = {.lex_state = 9},
  [15248] = {.lex_state = 64, .external_lex_state = 71},
  [15249] = {.lex_state = 0, .external_lex_state = 26},
  [15250] = {.lex_state = 0, .external_lex_state = 26},
  [15251] = {.lex_state = 59, .external_lex_state = 26},
  [15252] = {.lex_state = 59, .external_lex_state = 26},
  [15253] = {.lex_state = 59, .external_lex_state = 27},
  [15254] = {.lex_state = 64, .external_lex_state = 25},
  [15255] = {.lex_state = 64},
  [15256] = {.lex_state = 59, .external_lex_state = 26},
  [15257] = {.lex_state = 59, .external_lex_state = 27},
  [15258] = {.lex_state = 64, .external_lex_state = 25},
  [15259] = {.lex_state = 0, .external_lex_state = 27},
  [15260] = {.lex_state = 64, .external_lex_state = 26},
  [15261] = {.lex_state = 64, .external_lex_state = 26},
  [15262] = {.lex_state = 59, .external_lex_state = 26},
  [15263] = {.lex_state = 60, .external_lex_state = 67},
  [15264] = {.lex_state = 64, .external_lex_state = 27},
  [15265] = {.lex_state = 64},
  [15266] = {.lex_state = 59, .external_lex_state = 26},
  [15267] = {.lex_state = 64, .external_lex_state = 36},
  [15268] = {.lex_state = 59, .external_lex_state = 26},
  [15269] = {.lex_state = 0, .external_lex_state = 27},
  [15270] = {.lex_state = 64, .external_lex_state = 54},
  [15271] = {.lex_state = 64, .external_lex_state = 26},
  [15272] = {.lex_state = 0},
  [15273] = {.lex_state = 64, .external_lex_state = 70},
  [15274] = {.lex_state = 64, .external_lex_state = 26},
  [15275] = {.lex_state = 64, .external_lex_state = 26},
  [15276] = {.lex_state = 64, .external_lex_state = 26},
  [15277] = {.lex_state = 64, .external_lex_state = 26},
  [15278] = {.lex_state = 64, .external_lex_state = 26},
  [15279] = {.lex_state = 64, .external_lex_state = 26},
  [15280] = {.lex_state = 64, .external_lex_state = 26},
  [15281] = {.lex_state = 64, .external_lex_state = 26},
  [15282] = {.lex_state = 60, .external_lex_state = 73},
  [15283] = {.lex_state = 64, .external_lex_state = 58},
  [15284] = {.lex_state = 0},
  [15285] = {.lex_state = 0},
  [15286] = {.lex_state = 60, .external_lex_state = 73},
  [15287] = {.lex_state = 64, .external_lex_state = 26},
  [15288] = {.lex_state = 0},
  [15289] = {.lex_state = 64, .external_lex_state = 26},
  [15290] = {.lex_state = 59, .external_lex_state = 27},
  [15291] = {.lex_state = 60, .external_lex_state = 27},
  [15292] = {.lex_state = 64, .external_lex_state = 27},
  [15293] = {.lex_state = 0, .external_lex_state = 27},
  [15294] = {.lex_state = 64, .external_lex_state = 70},
  [15295] = {.lex_state = 64, .external_lex_state = 58},
  [15296] = {.lex_state = 0, .external_lex_state = 26},
  [15297] = {.lex_state = 64, .external_lex_state = 58},
  [15298] = {.lex_state = 0},
  [15299] = {.lex_state = 64, .external_lex_state = 26},
  [15300] = {.lex_state = 59, .external_lex_state = 27},
  [15301] = {.lex_state = 0},
  [15302] = {.lex_state = 64, .external_lex_state = 58},
  [15303] = {.lex_state = 64, .external_lex_state = 26},
  [15304] = {.lex_state = 60, .external_lex_state = 73},
  [15305] = {.lex_state = 64, .external_lex_state = 70},
  [15306] = {.lex_state = 0, .external_lex_state = 27},
  [15307] = {.lex_state = 0, .external_lex_state = 26},
  [15308] = {.lex_state = 64, .external_lex_state = 26},
  [15309] = {.lex_state = 64, .external_lex_state = 48},
  [15310] = {.lex_state = 0, .external_lex_state = 26},
  [15311] = {.lex_state = 0},
  [15312] = {.lex_state = 64, .external_lex_state = 26},
  [15313] = {.lex_state = 59, .external_lex_state = 27},
  [15314] = {.lex_state = 0},
  [15315] = {.lex_state = 59, .external_lex_state = 27},
  [15316] = {.lex_state = 64, .external_lex_state = 26},
  [15317] = {.lex_state = 0},
  [15318] = {.lex_state = 0},
  [15319] = {.lex_state = 64, .external_lex_state = 26},
  [15320] = {.lex_state = 60, .external_lex_state = 73},
  [15321] = {.lex_state = 60, .external_lex_state = 73},
  [15322] = {.lex_state = 0},
  [15323] = {.lex_state = 0, .external_lex_state = 27},
  [15324] = {.lex_state = 0},
  [15325] = {.lex_state = 64},
  [15326] = {.lex_state = 60, .external_lex_state = 67},
  [15327] = {.lex_state = 64, .external_lex_state = 26},
  [15328] = {.lex_state = 64, .external_lex_state = 71},
  [15329] = {.lex_state = 0},
  [15330] = {.lex_state = 0, .external_lex_state = 27},
  [15331] = {.lex_state = 0},
  [15332] = {.lex_state = 64, .external_lex_state = 26},
  [15333] = {.lex_state = 60, .external_lex_state = 73},
  [15334] = {.lex_state = 0, .external_lex_state = 27},
  [15335] = {.lex_state = 64, .external_lex_state = 26},
  [15336] = {.lex_state = 64, .external_lex_state = 27},
  [15337] = {.lex_state = 59, .external_lex_state = 27},
  [15338] = {.lex_state = 64, .external_lex_state = 26},
  [15339] = {.lex_state = 64, .external_lex_state = 26},
  [15340] = {.lex_state = 64, .external_lex_state = 70},
  [15341] = {.lex_state = 0},
  [15342] = {.lex_state = 64},
  [15343] = {.lex_state = 0},
  [15344] = {.lex_state = 0},
  [15345] = {.lex_state = 64, .external_lex_state = 26},
  [15346] = {.lex_state = 64, .external_lex_state = 26},
  [15347] = {.lex_state = 0},
  [15348] = {.lex_state = 64, .external_lex_state = 71},
  [15349] = {.lex_state = 60, .external_lex_state = 73},
  [15350] = {.lex_state = 64, .external_lex_state = 26},
  [15351] = {.lex_state = 64, .external_lex_state = 26},
  [15352] = {.lex_state = 60, .external_lex_state = 73},
  [15353] = {.lex_state = 64},
  [15354] = {.lex_state = 64, .external_lex_state = 48},
  [15355] = {.lex_state = 60, .external_lex_state = 73},
  [15356] = {.lex_state = 64, .external_lex_state = 70},
  [15357] = {.lex_state = 60, .external_lex_state = 45},
  [15358] = {.lex_state = 64, .external_lex_state = 70},
  [15359] = {.lex_state = 0},
  [15360] = {.lex_state = 64, .external_lex_state = 71},
  [15361] = {.lex_state = 59, .external_lex_state = 26},
  [15362] = {.lex_state = 59, .external_lex_state = 27},
  [15363] = {.lex_state = 60, .external_lex_state = 73},
  [15364] = {.lex_state = 60, .external_lex_state = 73},
  [15365] = {.lex_state = 64, .external_lex_state = 26},
  [15366] = {.lex_state = 0},
  [15367] = {.lex_state = 59, .external_lex_state = 27},
  [15368] = {.lex_state = 64, .external_lex_state = 26},
  [15369] = {.lex_state = 0},
  [15370] = {.lex_state = 64, .external_lex_state = 27},
  [15371] = {.lex_state = 64, .external_lex_state = 26},
  [15372] = {.lex_state = 64, .external_lex_state = 26},
  [15373] = {.lex_state = 64, .external_lex_state = 27},
  [15374] = {.lex_state = 64, .external_lex_state = 26},
  [15375] = {.lex_state = 60, .external_lex_state = 73},
  [15376] = {.lex_state = 64, .external_lex_state = 26},
  [15377] = {.lex_state = 64, .external_lex_state = 70},
  [15378] = {.lex_state = 64, .external_lex_state = 26},
  [15379] = {.lex_state = 64, .external_lex_state = 26},
  [15380] = {.lex_state = 0, .external_lex_state = 26},
  [15381] = {.lex_state = 0},
  [15382] = {.lex_state = 0},
  [15383] = {.lex_state = 64, .external_lex_state = 26},
  [15384] = {.lex_state = 64, .external_lex_state = 26},
  [15385] = {.lex_state = 60, .external_lex_state = 73},
  [15386] = {.lex_state = 64, .external_lex_state = 26},
  [15387] = {.lex_state = 64, .external_lex_state = 26},
  [15388] = {.lex_state = 64, .external_lex_state = 27},
  [15389] = {.lex_state = 64, .external_lex_state = 26},
  [15390] = {.lex_state = 64, .external_lex_state = 26},
  [15391] = {.lex_state = 64, .external_lex_state = 26},
  [15392] = {.lex_state = 0},
  [15393] = {.lex_state = 59, .external_lex_state = 27},
  [15394] = {.lex_state = 64, .external_lex_state = 26},
  [15395] = {.lex_state = 0},
  [15396] = {.lex_state = 64, .external_lex_state = 48},
  [15397] = {.lex_state = 0},
  [15398] = {.lex_state = 59, .external_lex_state = 27},
  [15399] = {.lex_state = 64, .external_lex_state = 26},
  [15400] = {.lex_state = 64, .external_lex_state = 48},
  [15401] = {.lex_state = 59, .external_lex_state = 26},
  [15402] = {.lex_state = 64, .external_lex_state = 26},
  [15403] = {.lex_state = 64, .external_lex_state = 26},
  [15404] = {.lex_state = 64, .external_lex_state = 26},
  [15405] = {.lex_state = 0},
  [15406] = {.lex_state = 0, .external_lex_state = 26},
  [15407] = {.lex_state = 64, .external_lex_state = 26},
  [15408] = {.lex_state = 0},
  [15409] = {.lex_state = 0, .external_lex_state = 26},
  [15410] = {.lex_state = 64, .external_lex_state = 26},
  [15411] = {.lex_state = 60, .external_lex_state = 73},
  [15412] = {.lex_state = 64, .external_lex_state = 26},
  [15413] = {.lex_state = 64, .external_lex_state = 26},
  [15414] = {.lex_state = 64, .external_lex_state = 26},
  [15415] = {.lex_state = 0},
  [15416] = {.lex_state = 0},
  [15417] = {.lex_state = 64, .external_lex_state = 26},
  [15418] = {.lex_state = 64, .external_lex_state = 26},
  [15419] = {.lex_state = 60, .external_lex_state = 73},
  [15420] = {.lex_state = 0},
  [15421] = {.lex_state = 60, .external_lex_state = 73},
  [15422] = {.lex_state = 64},
  [15423] = {.lex_state = 60},
  [15424] = {.lex_state = 0},
  [15425] = {.lex_state = 0},
  [15426] = {.lex_state = 64, .external_lex_state = 27},
  [15427] = {.lex_state = 0},
  [15428] = {.lex_state = 0},
  [15429] = {.lex_state = 60},
  [15430] = {.lex_state = 60, .external_lex_state = 45},
  [15431] = {.lex_state = 64},
  [15432] = {.lex_state = 0},
  [15433] = {.lex_state = 64, .external_lex_state = 26},
  [15434] = {.lex_state = 64, .external_lex_state = 26},
  [15435] = {.lex_state = 60, .external_lex_state = 73},
  [15436] = {.lex_state = 64, .external_lex_state = 26},
  [15437] = {.lex_state = 64, .external_lex_state = 48},
  [15438] = {.lex_state = 0, .external_lex_state = 26},
  [15439] = {.lex_state = 60, .external_lex_state = 45},
  [15440] = {.lex_state = 64, .external_lex_state = 71},
  [15441] = {.lex_state = 64, .external_lex_state = 26},
  [15442] = {.lex_state = 0},
  [15443] = {.lex_state = 64, .external_lex_state = 26},
  [15444] = {.lex_state = 64, .external_lex_state = 26},
  [15445] = {.lex_state = 64},
  [15446] = {.lex_state = 64, .external_lex_state = 26},
  [15447] = {.lex_state = 64, .external_lex_state = 27},
  [15448] = {.lex_state = 0},
  [15449] = {.lex_state = 64, .external_lex_state = 26},
  [15450] = {.lex_state = 64, .external_lex_state = 27},
  [15451] = {.lex_state = 64, .external_lex_state = 26},
  [15452] = {.lex_state = 64, .external_lex_state = 27},
  [15453] = {.lex_state = 64, .external_lex_state = 26},
  [15454] = {.lex_state = 64},
  [15455] = {.lex_state = 59, .external_lex_state = 26},
  [15456] = {.lex_state = 0, .external_lex_state = 27},
  [15457] = {.lex_state = 0},
  [15458] = {.lex_state = 60, .external_lex_state = 45},
  [15459] = {.lex_state = 59, .external_lex_state = 27},
  [15460] = {.lex_state = 64, .external_lex_state = 26},
  [15461] = {.lex_state = 64, .external_lex_state = 26},
  [15462] = {.lex_state = 0},
  [15463] = {.lex_state = 64, .external_lex_state = 26},
  [15464] = {.lex_state = 0},
  [15465] = {.lex_state = 64, .external_lex_state = 48},
  [15466] = {.lex_state = 60, .external_lex_state = 73},
  [15467] = {.lex_state = 64, .external_lex_state = 26},
  [15468] = {.lex_state = 64, .external_lex_state = 26},
  [15469] = {.lex_state = 64, .external_lex_state = 71},
  [15470] = {.lex_state = 0},
  [15471] = {.lex_state = 0},
  [15472] = {.lex_state = 64},
  [15473] = {.lex_state = 64, .external_lex_state = 26},
  [15474] = {.lex_state = 59, .external_lex_state = 27},
  [15475] = {.lex_state = 64, .external_lex_state = 26},
  [15476] = {.lex_state = 59, .external_lex_state = 27},
  [15477] = {.lex_state = 0},
  [15478] = {.lex_state = 0},
  [15479] = {.lex_state = 64},
  [15480] = {.lex_state = 64},
  [15481] = {.lex_state = 0},
  [15482] = {.lex_state = 64},
  [15483] = {.lex_state = 60, .external_lex_state = 73},
  [15484] = {.lex_state = 64},
  [15485] = {.lex_state = 64, .external_lex_state = 26},
  [15486] = {.lex_state = 64, .external_lex_state = 26},
  [15487] = {.lex_state = 64, .external_lex_state = 71},
  [15488] = {.lex_state = 64, .external_lex_state = 26},
  [15489] = {.lex_state = 60},
  [15490] = {.lex_state = 0},
  [15491] = {.lex_state = 64, .external_lex_state = 27},
  [15492] = {.lex_state = 64, .external_lex_state = 26},
  [15493] = {.lex_state = 0},
  [15494] = {.lex_state = 0},
  [15495] = {.lex_state = 60, .external_lex_state = 73},
  [15496] = {.lex_state = 0},
  [15497] = {.lex_state = 64, .external_lex_state = 48},
  [15498] = {.lex_state = 0},
  [15499] = {.lex_state = 64, .external_lex_state = 26},
  [15500] = {.lex_state = 64, .external_lex_state = 48},
  [15501] = {.lex_state = 60, .external_lex_state = 45},
  [15502] = {.lex_state = 0},
  [15503] = {.lex_state = 64, .external_lex_state = 26},
  [15504] = {.lex_state = 64, .external_lex_state = 27},
  [15505] = {.lex_state = 64, .external_lex_state = 26},
  [15506] = {.lex_state = 0},
  [15507] = {.lex_state = 0},
  [15508] = {.lex_state = 0},
  [15509] = {.lex_state = 0},
  [15510] = {.lex_state = 64, .external_lex_state = 26},
  [15511] = {.lex_state = 64, .external_lex_state = 26},
  [15512] = {.lex_state = 0, .external_lex_state = 26},
  [15513] = {.lex_state = 0},
  [15514] = {.lex_state = 64, .external_lex_state = 26},
  [15515] = {.lex_state = 64, .external_lex_state = 26},
  [15516] = {.lex_state = 64, .external_lex_state = 26},
  [15517] = {.lex_state = 64, .external_lex_state = 26},
  [15518] = {.lex_state = 0},
  [15519] = {.lex_state = 0},
  [15520] = {.lex_state = 59, .external_lex_state = 26},
  [15521] = {.lex_state = 60, .external_lex_state = 45},
  [15522] = {.lex_state = 64, .external_lex_state = 71},
  [15523] = {.lex_state = 0},
  [15524] = {.lex_state = 64, .external_lex_state = 26},
  [15525] = {.lex_state = 0},
  [15526] = {.lex_state = 0},
  [15527] = {.lex_state = 64, .external_lex_state = 26},
  [15528] = {.lex_state = 59, .external_lex_state = 27},
  [15529] = {.lex_state = 0, .external_lex_state = 26},
  [15530] = {.lex_state = 64, .external_lex_state = 26},
  [15531] = {.lex_state = 0},
  [15532] = {.lex_state = 0},
  [15533] = {.lex_state = 0, .external_lex_state = 26},
  [15534] = {.lex_state = 0, .external_lex_state = 26},
  [15535] = {.lex_state = 0, .external_lex_state = 26},
  [15536] = {.lex_state = 59},
  [15537] = {.lex_state = 64, .external_lex_state = 27},
  [15538] = {.lex_state = 64},
  [15539] = {.lex_state = 64},
  [15540] = {.lex_state = 64, .external_lex_state = 27},
  [15541] = {.lex_state = 64, .external_lex_state = 66},
  [15542] = {.lex_state = 0},
  [15543] = {.lex_state = 64},
  [15544] = {.lex_state = 64, .external_lex_state = 66},
  [15545] = {.lex_state = 60, .external_lex_state = 45},
  [15546] = {.lex_state = 59},
  [15547] = {.lex_state = 64, .external_lex_state = 27},
  [15548] = {.lex_state = 64, .external_lex_state = 66},
  [15549] = {.lex_state = 0, .external_lex_state = 26},
  [15550] = {.lex_state = 0},
  [15551] = {.lex_state = 64, .external_lex_state = 27},
  [15552] = {.lex_state = 64},
  [15553] = {.lex_state = 64},
  [15554] = {.lex_state = 0, .external_lex_state = 28},
  [15555] = {.lex_state = 64},
  [15556] = {.lex_state = 64, .external_lex_state = 66},
  [15557] = {.lex_state = 64},
  [15558] = {.lex_state = 64},
  [15559] = {.lex_state = 0, .external_lex_state = 26},
  [15560] = {.lex_state = 64, .external_lex_state = 27},
  [15561] = {.lex_state = 64, .external_lex_state = 27},
  [15562] = {.lex_state = 64, .external_lex_state = 27},
  [15563] = {.lex_state = 64},
  [15564] = {.lex_state = 64},
  [15565] = {.lex_state = 0, .external_lex_state = 28},
  [15566] = {.lex_state = 64, .external_lex_state = 27},
  [15567] = {.lex_state = 59, .external_lex_state = 26},
  [15568] = {.lex_state = 64, .external_lex_state = 27},
  [15569] = {.lex_state = 0, .external_lex_state = 28},
  [15570] = {.lex_state = 0, .external_lex_state = 27},
  [15571] = {.lex_state = 64},
  [15572] = {.lex_state = 64, .external_lex_state = 27},
  [15573] = {.lex_state = 64},
  [15574] = {.lex_state = 64},
  [15575] = {.lex_state = 0},
  [15576] = {.lex_state = 64},
  [15577] = {.lex_state = 64},
  [15578] = {.lex_state = 64, .external_lex_state = 27},
  [15579] = {.lex_state = 59},
  [15580] = {.lex_state = 64},
  [15581] = {.lex_state = 64, .external_lex_state = 27},
  [15582] = {.lex_state = 64, .external_lex_state = 27},
  [15583] = {.lex_state = 64, .external_lex_state = 66},
  [15584] = {.lex_state = 64},
  [15585] = {.lex_state = 64, .external_lex_state = 66},
  [15586] = {.lex_state = 64, .external_lex_state = 27},
  [15587] = {.lex_state = 64, .external_lex_state = 27},
  [15588] = {.lex_state = 64, .external_lex_state = 27},
  [15589] = {.lex_state = 64, .external_lex_state = 66},
  [15590] = {.lex_state = 64, .external_lex_state = 27},
  [15591] = {.lex_state = 0, .external_lex_state = 26},
  [15592] = {.lex_state = 64, .external_lex_state = 66},
  [15593] = {.lex_state = 59},
  [15594] = {.lex_state = 0, .external_lex_state = 28},
  [15595] = {.lex_state = 64, .external_lex_state = 27},
  [15596] = {.lex_state = 64, .external_lex_state = 27},
  [15597] = {.lex_state = 0, .external_lex_state = 28},
  [15598] = {.lex_state = 64},
  [15599] = {.lex_state = 64},
  [15600] = {.lex_state = 64, .external_lex_state = 66},
  [15601] = {.lex_state = 0, .external_lex_state = 26},
  [15602] = {.lex_state = 0},
  [15603] = {.lex_state = 64, .external_lex_state = 66},
  [15604] = {.lex_state = 64},
  [15605] = {.lex_state = 64, .external_lex_state = 66},
  [15606] = {.lex_state = 0, .external_lex_state = 28},
  [15607] = {.lex_state = 64},
  [15608] = {.lex_state = 0},
  [15609] = {.lex_state = 64},
  [15610] = {.lex_state = 0, .external_lex_state = 26},
  [15611] = {.lex_state = 60},
  [15612] = {.lex_state = 64},
  [15613] = {.lex_state = 0},
  [15614] = {.lex_state = 64, .external_lex_state = 27},
  [15615] = {.lex_state = 64},
  [15616] = {.lex_state = 64},
  [15617] = {.lex_state = 64, .external_lex_state = 66},
  [15618] = {.lex_state = 64, .external_lex_state = 66},
  [15619] = {.lex_state = 64},
  [15620] = {.lex_state = 0, .external_lex_state = 28},
  [15621] = {.lex_state = 64},
  [15622] = {.lex_state = 64, .external_lex_state = 27},
  [15623] = {.lex_state = 0, .external_lex_state = 26},
  [15624] = {.lex_state = 0},
  [15625] = {.lex_state = 64, .external_lex_state = 66},
  [15626] = {.lex_state = 64, .external_lex_state = 66},
  [15627] = {.lex_state = 64, .external_lex_state = 27},
  [15628] = {.lex_state = 64, .external_lex_state = 27},
  [15629] = {.lex_state = 64},
  [15630] = {.lex_state = 59},
  [15631] = {.lex_state = 0},
  [15632] = {.lex_state = 64, .external_lex_state = 27},
  [15633] = {.lex_state = 64, .external_lex_state = 27},
  [15634] = {.lex_state = 64},
  [15635] = {.lex_state = 64, .external_lex_state = 27},
  [15636] = {.lex_state = 64, .external_lex_state = 66},
  [15637] = {.lex_state = 64, .external_lex_state = 27},
  [15638] = {.lex_state = 64, .external_lex_state = 27},
  [15639] = {.lex_state = 64},
  [15640] = {.lex_state = 64},
  [15641] = {.lex_state = 64, .external_lex_state = 27},
  [15642] = {.lex_state = 64, .external_lex_state = 27},
  [15643] = {.lex_state = 64, .external_lex_state = 27},
  [15644] = {.lex_state = 0, .external_lex_state = 28},
  [15645] = {.lex_state = 0, .external_lex_state = 28},
  [15646] = {.lex_state = 64},
  [15647] = {.lex_state = 0},
  [15648] = {.lex_state = 64, .external_lex_state = 66},
  [15649] = {.lex_state = 64, .external_lex_state = 27},
  [15650] = {.lex_state = 64},
  [15651] = {.lex_state = 64},
  [15652] = {.lex_state = 64},
  [15653] = {.lex_state = 64, .external_lex_state = 27},
  [15654] = {.lex_state = 64, .external_lex_state = 66},
  [15655] = {.lex_state = 59},
  [15656] = {.lex_state = 59},
  [15657] = {.lex_state = 64, .external_lex_state = 27},
  [15658] = {.lex_state = 0},
  [15659] = {.lex_state = 64, .external_lex_state = 27},
  [15660] = {.lex_state = 64, .external_lex_state = 27},
  [15661] = {.lex_state = 0, .external_lex_state = 26},
  [15662] = {.lex_state = 64, .external_lex_state = 27},
  [15663] = {.lex_state = 64, .external_lex_state = 27},
  [15664] = {.lex_state = 0},
  [15665] = {.lex_state = 64},
  [15666] = {.lex_state = 64, .external_lex_state = 66},
  [15667] = {.lex_state = 64, .external_lex_state = 66},
  [15668] = {.lex_state = 64, .external_lex_state = 27},
  [15669] = {.lex_state = 64, .external_lex_state = 66},
  [15670] = {.lex_state = 64, .external_lex_state = 27},
  [15671] = {.lex_state = 64, .external_lex_state = 66},
  [15672] = {.lex_state = 64},
  [15673] = {.lex_state = 59},
  [15674] = {.lex_state = 0},
  [15675] = {.lex_state = 64, .external_lex_state = 27},
  [15676] = {.lex_state = 0},
  [15677] = {.lex_state = 0, .external_lex_state = 26},
  [15678] = {.lex_state = 0, .external_lex_state = 28},
  [15679] = {.lex_state = 64},
  [15680] = {.lex_state = 59},
  [15681] = {.lex_state = 64, .external_lex_state = 66},
  [15682] = {.lex_state = 64, .external_lex_state = 27},
  [15683] = {.lex_state = 64, .external_lex_state = 27},
  [15684] = {.lex_state = 64, .external_lex_state = 27},
  [15685] = {.lex_state = 0, .external_lex_state = 26},
  [15686] = {.lex_state = 0, .external_lex_state = 28},
  [15687] = {.lex_state = 64, .external_lex_state = 27},
  [15688] = {.lex_state = 64},
  [15689] = {.lex_state = 64},
  [15690] = {.lex_state = 0},
  [15691] = {.lex_state = 0, .external_lex_state = 28},
  [15692] = {.lex_state = 0, .external_lex_state = 28},
  [15693] = {.lex_state = 64},
  [15694] = {.lex_state = 64},
  [15695] = {.lex_state = 0},
  [15696] = {.lex_state = 0},
  [15697] = {.lex_state = 0, .external_lex_state = 28},
  [15698] = {.lex_state = 64},
  [15699] = {.lex_state = 64},
  [15700] = {.lex_state = 64, .external_lex_state = 66},
  [15701] = {.lex_state = 64},
  [15702] = {.lex_state = 64},
  [15703] = {.lex_state = 0, .external_lex_state = 28},
  [15704] = {.lex_state = 64},
  [15705] = {.lex_state = 64, .external_lex_state = 27},
  [15706] = {.lex_state = 64, .external_lex_state = 66},
  [15707] = {.lex_state = 60, .external_lex_state = 45},
  [15708] = {.lex_state = 0, .external_lex_state = 26},
  [15709] = {.lex_state = 64, .external_lex_state = 27},
  [15710] = {.lex_state = 59, .external_lex_state = 26},
  [15711] = {.lex_state = 59},
  [15712] = {.lex_state = 64, .external_lex_state = 66},
  [15713] = {.lex_state = 0, .external_lex_state = 28},
  [15714] = {.lex_state = 64, .external_lex_state = 66},
  [15715] = {.lex_state = 64, .external_lex_state = 27},
  [15716] = {.lex_state = 64},
  [15717] = {.lex_state = 64, .external_lex_state = 66},
  [15718] = {.lex_state = 64, .external_lex_state = 66},
  [15719] = {.lex_state = 64, .external_lex_state = 27},
  [15720] = {.lex_state = 64, .external_lex_state = 66},
  [15721] = {.lex_state = 59},
  [15722] = {.lex_state = 0, .external_lex_state = 27},
  [15723] = {.lex_state = 0, .external_lex_state = 27},
  [15724] = {.lex_state = 64, .external_lex_state = 66},
  [15725] = {.lex_state = 0, .external_lex_state = 28},
  [15726] = {.lex_state = 0, .external_lex_state = 26},
  [15727] = {.lex_state = 64},
  [15728] = {.lex_state = 64, .external_lex_state = 27},
  [15729] = {.lex_state = 0, .external_lex_state = 28},
  [15730] = {.lex_state = 64, .external_lex_state = 27},
  [15731] = {.lex_state = 64, .external_lex_state = 66},
  [15732] = {.lex_state = 64, .external_lex_state = 27},
  [15733] = {.lex_state = 64, .external_lex_state = 27},
  [15734] = {.lex_state = 64},
  [15735] = {.lex_state = 0, .external_lex_state = 28},
  [15736] = {.lex_state = 59},
  [15737] = {.lex_state = 59},
  [15738] = {.lex_state = 64, .external_lex_state = 27},
  [15739] = {.lex_state = 64},
  [15740] = {.lex_state = 0, .external_lex_state = 28},
  [15741] = {.lex_state = 64, .external_lex_state = 66},
  [15742] = {.lex_state = 0, .external_lex_state = 28},
  [15743] = {.lex_state = 0, .external_lex_state = 27},
  [15744] = {.lex_state = 0},
  [15745] = {.lex_state = 0, .external_lex_state = 27},
  [15746] = {.lex_state = 64},
  [15747] = {.lex_state = 64, .external_lex_state = 27},
  [15748] = {.lex_state = 64, .external_lex_state = 66},
  [15749] = {.lex_state = 64},
  [15750] = {.lex_state = 64, .external_lex_state = 66},
  [15751] = {.lex_state = 64, .external_lex_state = 66},
  [15752] = {.lex_state = 0, .external_lex_state = 28},
  [15753] = {.lex_state = 0, .external_lex_state = 28},
  [15754] = {.lex_state = 64},
  [15755] = {.lex_state = 0, .external_lex_state = 28},
  [15756] = {.lex_state = 64},
  [15757] = {.lex_state = 64, .external_lex_state = 66},
  [15758] = {.lex_state = 64, .external_lex_state = 27},
  [15759] = {.lex_state = 0, .external_lex_state = 27},
  [15760] = {.lex_state = 0, .external_lex_state = 28},
  [15761] = {.lex_state = 0, .external_lex_state = 26},
  [15762] = {.lex_state = 0, .external_lex_state = 26},
  [15763] = {.lex_state = 64, .external_lex_state = 27},
  [15764] = {.lex_state = 64},
  [15765] = {.lex_state = 64, .external_lex_state = 66},
  [15766] = {.lex_state = 59},
  [15767] = {.lex_state = 64},
  [15768] = {.lex_state = 64},
  [15769] = {.lex_state = 0, .external_lex_state = 27},
  [15770] = {.lex_state = 64, .external_lex_state = 27},
  [15771] = {.lex_state = 0, .external_lex_state = 27},
  [15772] = {.lex_state = 60, .external_lex_state = 45},
  [15773] = {.lex_state = 0, .external_lex_state = 28},
  [15774] = {.lex_state = 59, .external_lex_state = 26},
  [15775] = {.lex_state = 64},
  [15776] = {.lex_state = 64, .external_lex_state = 66},
  [15777] = {.lex_state = 64, .external_lex_state = 66},
  [15778] = {.lex_state = 0, .external_lex_state = 27},
  [15779] = {.lex_state = 59},
  [15780] = {.lex_state = 64, .external_lex_state = 27},
  [15781] = {.lex_state = 64},
  [15782] = {.lex_state = 0, .external_lex_state = 27},
  [15783] = {.lex_state = 59, .external_lex_state = 26},
  [15784] = {.lex_state = 64, .external_lex_state = 27},
  [15785] = {.lex_state = 64},
  [15786] = {.lex_state = 0, .external_lex_state = 26},
  [15787] = {.lex_state = 64},
  [15788] = {.lex_state = 0, .external_lex_state = 28},
  [15789] = {.lex_state = 64, .external_lex_state = 27},
  [15790] = {.lex_state = 64, .external_lex_state = 66},
  [15791] = {.lex_state = 59},
  [15792] = {.lex_state = 0, .external_lex_state = 26},
  [15793] = {.lex_state = 64, .external_lex_state = 27},
  [15794] = {.lex_state = 64, .external_lex_state = 66},
  [15795] = {.lex_state = 64, .external_lex_state = 27},
  [15796] = {.lex_state = 64, .external_lex_state = 26},
  [15797] = {.lex_state = 64},
  [15798] = {.lex_state = 64, .external_lex_state = 27},
  [15799] = {.lex_state = 0, .external_lex_state = 28},
  [15800] = {.lex_state = 0, .external_lex_state = 28},
  [15801] = {.lex_state = 0, .external_lex_state = 28},
  [15802] = {.lex_state = 64, .external_lex_state = 27},
  [15803] = {.lex_state = 64, .external_lex_state = 27},
  [15804] = {.lex_state = 0},
  [15805] = {.lex_state = 64, .external_lex_state = 66},
  [15806] = {.lex_state = 64, .external_lex_state = 66},
  [15807] = {.lex_state = 0},
  [15808] = {.lex_state = 64, .external_lex_state = 66},
  [15809] = {.lex_state = 0, .external_lex_state = 26},
  [15810] = {.lex_state = 64, .external_lex_state = 27},
  [15811] = {.lex_state = 0, .external_lex_state = 28},
  [15812] = {.lex_state = 64},
  [15813] = {.lex_state = 0},
  [15814] = {.lex_state = 64},
  [15815] = {.lex_state = 0, .external_lex_state = 26},
  [15816] = {.lex_state = 64},
  [15817] = {.lex_state = 64},
  [15818] = {.lex_state = 0, .external_lex_state = 26},
  [15819] = {.lex_state = 0, .external_lex_state = 28},
  [15820] = {.lex_state = 0, .external_lex_state = 28},
  [15821] = {.lex_state = 0, .external_lex_state = 27},
  [15822] = {.lex_state = 64},
  [15823] = {.lex_state = 64, .external_lex_state = 27},
  [15824] = {.lex_state = 0, .external_lex_state = 26},
  [15825] = {.lex_state = 64, .external_lex_state = 27},
  [15826] = {.lex_state = 0},
  [15827] = {.lex_state = 64, .external_lex_state = 66},
  [15828] = {.lex_state = 64, .external_lex_state = 27},
  [15829] = {.lex_state = 64},
  [15830] = {.lex_state = 64},
  [15831] = {.lex_state = 64, .external_lex_state = 27},
  [15832] = {.lex_state = 64, .external_lex_state = 27},
  [15833] = {.lex_state = 64},
  [15834] = {.lex_state = 0, .external_lex_state = 28},
  [15835] = {.lex_state = 64, .external_lex_state = 27},
  [15836] = {.lex_state = 64},
  [15837] = {.lex_state = 0, .external_lex_state = 28},
  [15838] = {.lex_state = 64},
  [15839] = {.lex_state = 64},
  [15840] = {.lex_state = 64},
  [15841] = {.lex_state = 64},
  [15842] = {.lex_state = 64, .external_lex_state = 66},
  [15843] = {.lex_state = 0},
  [15844] = {.lex_state = 64},
  [15845] = {.lex_state = 64, .external_lex_state = 27},
  [15846] = {.lex_state = 64},
  [15847] = {.lex_state = 0, .external_lex_state = 27},
  [15848] = {.lex_state = 64, .external_lex_state = 27},
  [15849] = {.lex_state = 64, .external_lex_state = 66},
  [15850] = {.lex_state = 64},
  [15851] = {.lex_state = 64, .external_lex_state = 66},
  [15852] = {.lex_state = 64},
  [15853] = {.lex_state = 0, .external_lex_state = 26},
  [15854] = {.lex_state = 64, .external_lex_state = 27},
  [15855] = {.lex_state = 64, .external_lex_state = 27},
  [15856] = {.lex_state = 0},
  [15857] = {.lex_state = 64, .external_lex_state = 27},
  [15858] = {.lex_state = 0, .external_lex_state = 26},
  [15859] = {.lex_state = 64},
  [15860] = {.lex_state = 64, .external_lex_state = 66},
  [15861] = {.lex_state = 64, .external_lex_state = 27},
  [15862] = {.lex_state = 64},
  [15863] = {.lex_state = 64, .external_lex_state = 27},
  [15864] = {.lex_state = 64, .external_lex_state = 66},
  [15865] = {.lex_state = 64, .external_lex_state = 27},
  [15866] = {.lex_state = 59},
  [15867] = {.lex_state = 64, .external_lex_state = 66},
  [15868] = {.lex_state = 0},
  [15869] = {.lex_state = 0, .external_lex_state = 26},
  [15870] = {.lex_state = 0, .external_lex_state = 26},
  [15871] = {.lex_state = 64, .external_lex_state = 66},
  [15872] = {.lex_state = 64},
  [15873] = {.lex_state = 64, .external_lex_state = 27},
  [15874] = {.lex_state = 0, .external_lex_state = 28},
  [15875] = {.lex_state = 0},
  [15876] = {.lex_state = 0},
  [15877] = {.lex_state = 0},
  [15878] = {.lex_state = 0},
  [15879] = {.lex_state = 0, .external_lex_state = 28},
  [15880] = {.lex_state = 0},
  [15881] = {.lex_state = 0},
  [15882] = {.lex_state = 0},
  [15883] = {.lex_state = 0},
  [15884] = {.lex_state = 0},
  [15885] = {.lex_state = 0, .external_lex_state = 28},
  [15886] = {.lex_state = 0, .external_lex_state = 28},
  [15887] = {.lex_state = 0},
  [15888] = {.lex_state = 0},
  [15889] = {.lex_state = 0},
  [15890] = {.lex_state = 0},
  [15891] = {.lex_state = 0},
  [15892] = {.lex_state = 0},
  [15893] = {.lex_state = 0},
  [15894] = {.lex_state = 0},
  [15895] = {.lex_state = 0},
  [15896] = {.lex_state = 0},
  [15897] = {.lex_state = 0},
  [15898] = {.lex_state = 0},
  [15899] = {.lex_state = 0},
  [15900] = {.lex_state = 0, .external_lex_state = 74},
  [15901] = {.lex_state = 0, .external_lex_state = 75},
  [15902] = {.lex_state = 0},
  [15903] = {.lex_state = 0},
  [15904] = {.lex_state = 0},
  [15905] = {.lex_state = 0},
  [15906] = {.lex_state = 0},
  [15907] = {.lex_state = 0},
  [15908] = {.lex_state = 0},
  [15909] = {.lex_state = 0},
  [15910] = {.lex_state = 0},
  [15911] = {.lex_state = 0},
  [15912] = {.lex_state = 0},
  [15913] = {.lex_state = 0},
  [15914] = {.lex_state = 0},
  [15915] = {.lex_state = 0},
  [15916] = {.lex_state = 0, .external_lex_state = 74},
  [15917] = {.lex_state = 0},
  [15918] = {.lex_state = 0, .external_lex_state = 75},
  [15919] = {.lex_state = 0},
  [15920] = {.lex_state = 0},
  [15921] = {.lex_state = 0},
  [15922] = {.lex_state = 0},
  [15923] = {.lex_state = 0, .external_lex_state = 28},
  [15924] = {.lex_state = 0},
  [15925] = {.lex_state = 60, .external_lex_state = 45},
  [15926] = {.lex_state = 0},
  [15927] = {.lex_state = 0},
  [15928] = {.lex_state = 0},
  [15929] = {.lex_state = 0},
  [15930] = {.lex_state = 0},
  [15931] = {.lex_state = 0},
  [15932] = {.lex_state = 0},
  [15933] = {.lex_state = 0},
  [15934] = {.lex_state = 0},
  [15935] = {.lex_state = 0},
  [15936] = {.lex_state = 0},
  [15937] = {.lex_state = 64},
  [15938] = {.lex_state = 0},
  [15939] = {.lex_state = 0},
  [15940] = {.lex_state = 0},
  [15941] = {.lex_state = 0},
  [15942] = {.lex_state = 0},
  [15943] = {.lex_state = 0},
  [15944] = {.lex_state = 0},
  [15945] = {.lex_state = 0},
  [15946] = {.lex_state = 0, .external_lex_state = 27},
  [15947] = {.lex_state = 0},
  [15948] = {.lex_state = 0},
  [15949] = {.lex_state = 0},
  [15950] = {.lex_state = 0, .external_lex_state = 74},
  [15951] = {.lex_state = 0, .external_lex_state = 75},
  [15952] = {.lex_state = 0},
  [15953] = {.lex_state = 0},
  [15954] = {.lex_state = 0},
  [15955] = {.lex_state = 0},
  [15956] = {.lex_state = 0},
  [15957] = {.lex_state = 0},
  [15958] = {.lex_state = 0, .external_lex_state = 74},
  [15959] = {.lex_state = 0, .external_lex_state = 75},
  [15960] = {.lex_state = 0},
  [15961] = {.lex_state = 0},
  [15962] = {.lex_state = 0},
  [15963] = {.lex_state = 0},
  [15964] = {.lex_state = 0},
  [15965] = {.lex_state = 0},
  [15966] = {.lex_state = 0},
  [15967] = {.lex_state = 0},
  [15968] = {.lex_state = 0},
  [15969] = {.lex_state = 0},
  [15970] = {.lex_state = 0},
  [15971] = {.lex_state = 0},
  [15972] = {.lex_state = 0},
  [15973] = {.lex_state = 0},
  [15974] = {.lex_state = 0},
  [15975] = {.lex_state = 0},
  [15976] = {.lex_state = 0},
  [15977] = {.lex_state = 0},
  [15978] = {.lex_state = 0},
  [15979] = {.lex_state = 0},
  [15980] = {.lex_state = 0, .external_lex_state = 74},
  [15981] = {.lex_state = 0},
  [15982] = {.lex_state = 0, .external_lex_state = 75},
  [15983] = {.lex_state = 0},
  [15984] = {.lex_state = 0},
  [15985] = {.lex_state = 0},
  [15986] = {.lex_state = 0},
  [15987] = {.lex_state = 0},
  [15988] = {.lex_state = 0},
  [15989] = {.lex_state = 0},
  [15990] = {.lex_state = 0},
  [15991] = {.lex_state = 0},
  [15992] = {.lex_state = 0},
  [15993] = {.lex_state = 0},
  [15994] = {.lex_state = 0},
  [15995] = {.lex_state = 0},
  [15996] = {.lex_state = 0},
  [15997] = {.lex_state = 0},
  [15998] = {.lex_state = 0},
  [15999] = {.lex_state = 0},
  [16000] = {.lex_state = 0},
  [16001] = {.lex_state = 64},
  [16002] = {.lex_state = 0, .external_lex_state = 74},
  [16003] = {.lex_state = 0},
  [16004] = {.lex_state = 0},
  [16005] = {.lex_state = 0, .external_lex_state = 75},
  [16006] = {.lex_state = 0},
  [16007] = {.lex_state = 0},
  [16008] = {.lex_state = 0, .external_lex_state = 27},
  [16009] = {.lex_state = 0},
  [16010] = {.lex_state = 0},
  [16011] = {.lex_state = 0, .external_lex_state = 74},
  [16012] = {.lex_state = 0, .external_lex_state = 75},
  [16013] = {.lex_state = 0},
  [16014] = {.lex_state = 0},
  [16015] = {.lex_state = 0},
  [16016] = {.lex_state = 0},
  [16017] = {.lex_state = 0},
  [16018] = {.lex_state = 0},
  [16019] = {.lex_state = 0},
  [16020] = {.lex_state = 0},
  [16021] = {.lex_state = 0},
  [16022] = {.lex_state = 0},
  [16023] = {.lex_state = 0},
  [16024] = {.lex_state = 0},
  [16025] = {.lex_state = 0},
  [16026] = {.lex_state = 0},
  [16027] = {.lex_state = 0},
  [16028] = {.lex_state = 0},
  [16029] = {.lex_state = 0},
  [16030] = {.lex_state = 0},
  [16031] = {.lex_state = 0},
  [16032] = {.lex_state = 0, .external_lex_state = 74},
  [16033] = {.lex_state = 0, .external_lex_state = 75},
  [16034] = {.lex_state = 0},
  [16035] = {.lex_state = 0},
  [16036] = {.lex_state = 0},
  [16037] = {.lex_state = 0},
  [16038] = {.lex_state = 0},
  [16039] = {.lex_state = 0},
  [16040] = {.lex_state = 0},
  [16041] = {.lex_state = 0},
  [16042] = {.lex_state = 0},
  [16043] = {.lex_state = 64},
  [16044] = {.lex_state = 0},
  [16045] = {.lex_state = 0},
  [16046] = {.lex_state = 0},
  [16047] = {.lex_state = 0},
  [16048] = {.lex_state = 0},
  [16049] = {.lex_state = 0},
  [16050] = {.lex_state = 0},
  [16051] = {.lex_state = 0},
  [16052] = {.lex_state = 0},
  [16053] = {.lex_state = 0, .external_lex_state = 28},
  [16054] = {.lex_state = 0, .external_lex_state = 74},
  [16055] = {.lex_state = 0},
  [16056] = {.lex_state = 0},
  [16057] = {.lex_state = 0, .external_lex_state = 75},
  [16058] = {.lex_state = 0},
  [16059] = {.lex_state = 0},
  [16060] = {.lex_state = 0},
  [16061] = {.lex_state = 0},
  [16062] = {.lex_state = 0},
  [16063] = {.lex_state = 0},
  [16064] = {.lex_state = 0},
  [16065] = {.lex_state = 0},
  [16066] = {.lex_state = 0},
  [16067] = {.lex_state = 59},
  [16068] = {.lex_state = 0},
  [16069] = {.lex_state = 0, .external_lex_state = 74},
  [16070] = {.lex_state = 0},
  [16071] = {.lex_state = 0, .external_lex_state = 75},
  [16072] = {.lex_state = 0},
  [16073] = {.lex_state = 0},
  [16074] = {.lex_state = 0},
  [16075] = {.lex_state = 0},
  [16076] = {.lex_state = 0},
  [16077] = {.lex_state = 0},
  [16078] = {.lex_state = 0},
  [16079] = {.lex_state = 153},
  [16080] = {.lex_state = 0},
  [16081] = {.lex_state = 0},
  [16082] = {.lex_state = 0},
  [16083] = {.lex_state = 0},
  [16084] = {.lex_state = 0},
  [16085] = {.lex_state = 59},
  [16086] = {.lex_state = 0},
  [16087] = {.lex_state = 0},
  [16088] = {.lex_state = 0},
  [16089] = {.lex_state = 60, .external_lex_state = 45},
  [16090] = {.lex_state = 0},
  [16091] = {.lex_state = 0},
  [16092] = {.lex_state = 0, .external_lex_state = 74},
  [16093] = {.lex_state = 0},
  [16094] = {.lex_state = 0, .external_lex_state = 75},
  [16095] = {.lex_state = 0},
  [16096] = {.lex_state = 0},
  [16097] = {.lex_state = 0},
  [16098] = {.lex_state = 0},
  [16099] = {.lex_state = 0},
  [16100] = {.lex_state = 0},
  [16101] = {.lex_state = 0},
  [16102] = {.lex_state = 0},
  [16103] = {.lex_state = 0},
  [16104] = {.lex_state = 0},
  [16105] = {.lex_state = 0},
  [16106] = {.lex_state = 0},
  [16107] = {.lex_state = 0},
  [16108] = {.lex_state = 0},
  [16109] = {.lex_state = 0},
  [16110] = {.lex_state = 0},
  [16111] = {.lex_state = 0},
  [16112] = {.lex_state = 0},
  [16113] = {.lex_state = 0},
  [16114] = {.lex_state = 0},
  [16115] = {.lex_state = 0},
  [16116] = {.lex_state = 64},
  [16117] = {.lex_state = 0},
  [16118] = {.lex_state = 0},
  [16119] = {.lex_state = 0},
  [16120] = {.lex_state = 0},
  [16121] = {.lex_state = 0},
  [16122] = {.lex_state = 0},
  [16123] = {.lex_state = 0},
  [16124] = {.lex_state = 0},
  [16125] = {.lex_state = 0},
  [16126] = {.lex_state = 0},
  [16127] = {.lex_state = 0},
  [16128] = {.lex_state = 0},
  [16129] = {.lex_state = 0},
  [16130] = {.lex_state = 0},
  [16131] = {.lex_state = 0},
  [16132] = {.lex_state = 0},
  [16133] = {.lex_state = 0},
  [16134] = {.lex_state = 0, .external_lex_state = 74},
  [16135] = {.lex_state = 0},
  [16136] = {.lex_state = 0, .external_lex_state = 75},
  [16137] = {.lex_state = 0},
  [16138] = {.lex_state = 0},
  [16139] = {.lex_state = 0},
  [16140] = {.lex_state = 0},
  [16141] = {.lex_state = 0},
  [16142] = {.lex_state = 0},
  [16143] = {.lex_state = 0},
  [16144] = {.lex_state = 0},
  [16145] = {.lex_state = 0},
  [16146] = {.lex_state = 0},
  [16147] = {.lex_state = 0},
  [16148] = {.lex_state = 0},
  [16149] = {.lex_state = 0},
  [16150] = {.lex_state = 0},
  [16151] = {.lex_state = 0},
  [16152] = {.lex_state = 0},
  [16153] = {.lex_state = 0},
  [16154] = {.lex_state = 0, .external_lex_state = 74},
  [16155] = {.lex_state = 0},
  [16156] = {.lex_state = 0, .external_lex_state = 75},
  [16157] = {.lex_state = 0},
  [16158] = {.lex_state = 0},
  [16159] = {.lex_state = 0},
  [16160] = {.lex_state = 0},
  [16161] = {.lex_state = 0},
  [16162] = {.lex_state = 0},
  [16163] = {.lex_state = 0},
  [16164] = {.lex_state = 0},
  [16165] = {.lex_state = 0},
  [16166] = {.lex_state = 0},
  [16167] = {.lex_state = 0},
  [16168] = {.lex_state = 0},
  [16169] = {.lex_state = 0},
  [16170] = {.lex_state = 0},
  [16171] = {.lex_state = 0},
  [16172] = {.lex_state = 0},
  [16173] = {.lex_state = 0},
  [16174] = {.lex_state = 0},
  [16175] = {.lex_state = 0},
  [16176] = {.lex_state = 0},
  [16177] = {.lex_state = 0},
  [16178] = {.lex_state = 0},
  [16179] = {.lex_state = 0},
  [16180] = {.lex_state = 0},
  [16181] = {.lex_state = 0},
  [16182] = {.lex_state = 0},
  [16183] = {.lex_state = 0},
  [16184] = {.lex_state = 0},
  [16185] = {.lex_state = 0},
  [16186] = {.lex_state = 0},
  [16187] = {.lex_state = 0},
  [16188] = {.lex_state = 0, .external_lex_state = 74},
  [16189] = {.lex_state = 0},
  [16190] = {.lex_state = 0},
  [16191] = {.lex_state = 0, .external_lex_state = 75},
  [16192] = {.lex_state = 0},
  [16193] = {.lex_state = 0},
  [16194] = {.lex_state = 0},
  [16195] = {.lex_state = 0},
  [16196] = {.lex_state = 0},
  [16197] = {.lex_state = 0},
  [16198] = {.lex_state = 0},
  [16199] = {.lex_state = 0},
  [16200] = {.lex_state = 0},
  [16201] = {.lex_state = 0},
  [16202] = {.lex_state = 0},
  [16203] = {.lex_state = 0},
  [16204] = {.lex_state = 0, .external_lex_state = 28},
  [16205] = {.lex_state = 0},
  [16206] = {.lex_state = 0},
  [16207] = {.lex_state = 0},
  [16208] = {.lex_state = 0},
  [16209] = {.lex_state = 0},
  [16210] = {.lex_state = 0},
  [16211] = {.lex_state = 0},
  [16212] = {.lex_state = 0},
  [16213] = {.lex_state = 0},
  [16214] = {.lex_state = 0},
  [16215] = {.lex_state = 0},
  [16216] = {.lex_state = 0},
  [16217] = {.lex_state = 0},
  [16218] = {.lex_state = 0},
  [16219] = {.lex_state = 0},
  [16220] = {.lex_state = 0},
  [16221] = {.lex_state = 0},
  [16222] = {.lex_state = 0},
  [16223] = {.lex_state = 0},
  [16224] = {.lex_state = 0},
  [16225] = {.lex_state = 0, .external_lex_state = 28},
  [16226] = {.lex_state = 0},
  [16227] = {.lex_state = 0},
  [16228] = {.lex_state = 0},
  [16229] = {.lex_state = 0},
  [16230] = {.lex_state = 0},
  [16231] = {.lex_state = 0},
  [16232] = {.lex_state = 0},
  [16233] = {.lex_state = 0},
  [16234] = {.lex_state = 0},
  [16235] = {.lex_state = 0},
  [16236] = {.lex_state = 0},
  [16237] = {.lex_state = 0},
  [16238] = {.lex_state = 0},
  [16239] = {.lex_state = 0},
  [16240] = {.lex_state = 0},
  [16241] = {.lex_state = 0, .external_lex_state = 28},
  [16242] = {.lex_state = 0},
  [16243] = {.lex_state = 0},
  [16244] = {.lex_state = 0},
  [16245] = {.lex_state = 0},
  [16246] = {.lex_state = 0},
  [16247] = {.lex_state = 0},
  [16248] = {.lex_state = 0},
  [16249] = {.lex_state = 64},
  [16250] = {.lex_state = 0},
  [16251] = {.lex_state = 0},
  [16252] = {.lex_state = 0},
  [16253] = {.lex_state = 0},
  [16254] = {.lex_state = 0},
  [16255] = {.lex_state = 0},
  [16256] = {.lex_state = 0},
  [16257] = {.lex_state = 0},
  [16258] = {.lex_state = 0},
  [16259] = {.lex_state = 0, .external_lex_state = 74},
  [16260] = {.lex_state = 0},
  [16261] = {.lex_state = 0},
  [16262] = {.lex_state = 0},
  [16263] = {.lex_state = 0},
  [16264] = {.lex_state = 0},
  [16265] = {.lex_state = 0},
  [16266] = {.lex_state = 0, .external_lex_state = 75},
  [16267] = {.lex_state = 0},
  [16268] = {.lex_state = 0},
  [16269] = {.lex_state = 0},
  [16270] = {.lex_state = 0},
  [16271] = {.lex_state = 0},
  [16272] = {.lex_state = 0},
  [16273] = {.lex_state = 0},
  [16274] = {.lex_state = 0},
  [16275] = {.lex_state = 0},
  [16276] = {.lex_state = 0},
  [16277] = {.lex_state = 0},
  [16278] = {.lex_state = 0},
  [16279] = {.lex_state = 0},
  [16280] = {.lex_state = 0},
  [16281] = {.lex_state = 0},
  [16282] = {.lex_state = 0},
  [16283] = {.lex_state = 0},
  [16284] = {.lex_state = 0},
  [16285] = {.lex_state = 0},
  [16286] = {.lex_state = 0},
  [16287] = {.lex_state = 0},
  [16288] = {.lex_state = 0},
  [16289] = {.lex_state = 0},
  [16290] = {.lex_state = 0},
  [16291] = {.lex_state = 0},
  [16292] = {.lex_state = 0},
  [16293] = {.lex_state = 0},
  [16294] = {.lex_state = 0},
  [16295] = {.lex_state = 0},
  [16296] = {.lex_state = 0},
  [16297] = {.lex_state = 64},
  [16298] = {.lex_state = 0},
  [16299] = {.lex_state = 0},
  [16300] = {.lex_state = 0},
  [16301] = {.lex_state = 0},
  [16302] = {.lex_state = 0},
  [16303] = {.lex_state = 0},
  [16304] = {.lex_state = 0, .external_lex_state = 26},
  [16305] = {.lex_state = 0},
  [16306] = {.lex_state = 0, .external_lex_state = 74},
  [16307] = {.lex_state = 0, .external_lex_state = 75},
  [16308] = {.lex_state = 0},
  [16309] = {.lex_state = 0},
  [16310] = {.lex_state = 0},
  [16311] = {.lex_state = 0},
  [16312] = {.lex_state = 0},
  [16313] = {.lex_state = 0, .external_lex_state = 26},
  [16314] = {.lex_state = 64},
  [16315] = {.lex_state = 0},
  [16316] = {.lex_state = 0},
  [16317] = {.lex_state = 0},
  [16318] = {.lex_state = 0},
  [16319] = {.lex_state = 0},
  [16320] = {.lex_state = 0},
  [16321] = {.lex_state = 0},
  [16322] = {.lex_state = 0},
  [16323] = {.lex_state = 64},
  [16324] = {.lex_state = 9},
  [16325] = {.lex_state = 0},
  [16326] = {.lex_state = 1},
  [16327] = {.lex_state = 0},
  [16328] = {.lex_state = 0},
  [16329] = {.lex_state = 0},
  [16330] = {.lex_state = 64},
  [16331] = {.lex_state = 0, .external_lex_state = 26},
  [16332] = {.lex_state = 0, .external_lex_state = 74},
  [16333] = {.lex_state = 0, .external_lex_state = 75},
  [16334] = {.lex_state = 0},
  [16335] = {.lex_state = 64},
  [16336] = {.lex_state = 0},
  [16337] = {.lex_state = 0},
  [16338] = {.lex_state = 0},
  [16339] = {.lex_state = 0},
  [16340] = {.lex_state = 0},
  [16341] = {.lex_state = 0},
  [16342] = {.lex_state = 0},
  [16343] = {.lex_state = 0},
  [16344] = {.lex_state = 0},
  [16345] = {.lex_state = 0},
  [16346] = {.lex_state = 0},
  [16347] = {.lex_state = 0},
  [16348] = {.lex_state = 0},
  [16349] = {.lex_state = 0},
  [16350] = {.lex_state = 0},
  [16351] = {.lex_state = 0},
  [16352] = {.lex_state = 0},
  [16353] = {.lex_state = 0},
  [16354] = {.lex_state = 0},
  [16355] = {.lex_state = 0},
  [16356] = {.lex_state = 0},
  [16357] = {.lex_state = 0},
  [16358] = {.lex_state = 0},
  [16359] = {.lex_state = 0},
  [16360] = {.lex_state = 0},
  [16361] = {.lex_state = 0},
  [16362] = {.lex_state = 0},
  [16363] = {.lex_state = 0},
  [16364] = {.lex_state = 0},
  [16365] = {.lex_state = 0},
  [16366] = {.lex_state = 0},
  [16367] = {.lex_state = 0},
  [16368] = {.lex_state = 0},
  [16369] = {.lex_state = 0},
  [16370] = {.lex_state = 0},
  [16371] = {.lex_state = 0},
  [16372] = {.lex_state = 0},
  [16373] = {.lex_state = 0},
  [16374] = {.lex_state = 0},
  [16375] = {.lex_state = 0},
  [16376] = {.lex_state = 0},
  [16377] = {.lex_state = 0},
  [16378] = {.lex_state = 0},
  [16379] = {.lex_state = 0},
  [16380] = {.lex_state = 0},
  [16381] = {.lex_state = 0, .external_lex_state = 28},
  [16382] = {.lex_state = 0},
  [16383] = {.lex_state = 0},
  [16384] = {.lex_state = 0},
  [16385] = {.lex_state = 0, .external_lex_state = 74},
  [16386] = {.lex_state = 0, .external_lex_state = 75},
  [16387] = {.lex_state = 0, .external_lex_state = 74},
  [16388] = {.lex_state = 0},
  [16389] = {.lex_state = 9},
  [16390] = {.lex_state = 0, .external_lex_state = 75},
  [16391] = {.lex_state = 0},
  [16392] = {.lex_state = 0},
  [16393] = {.lex_state = 0},
  [16394] = {.lex_state = 0},
  [16395] = {.lex_state = 0},
  [16396] = {.lex_state = 64},
  [16397] = {.lex_state = 0},
  [16398] = {.lex_state = 0},
  [16399] = {.lex_state = 0},
  [16400] = {.lex_state = 0},
  [16401] = {.lex_state = 64},
  [16402] = {.lex_state = 0},
  [16403] = {.lex_state = 0},
  [16404] = {.lex_state = 0},
  [16405] = {.lex_state = 0},
  [16406] = {.lex_state = 0},
  [16407] = {.lex_state = 64},
  [16408] = {.lex_state = 64},
  [16409] = {.lex_state = 59},
  [16410] = {.lex_state = 0},
  [16411] = {.lex_state = 0},
  [16412] = {.lex_state = 0},
  [16413] = {.lex_state = 0},
  [16414] = {.lex_state = 0},
  [16415] = {.lex_state = 0},
  [16416] = {.lex_state = 0},
  [16417] = {.lex_state = 0},
  [16418] = {.lex_state = 0},
  [16419] = {.lex_state = 0},
  [16420] = {.lex_state = 0},
  [16421] = {.lex_state = 0},
  [16422] = {.lex_state = 0},
  [16423] = {.lex_state = 0},
  [16424] = {.lex_state = 0},
  [16425] = {.lex_state = 0},
  [16426] = {.lex_state = 0},
  [16427] = {.lex_state = 0},
  [16428] = {.lex_state = 0},
  [16429] = {.lex_state = 0, .external_lex_state = 74},
  [16430] = {.lex_state = 0, .external_lex_state = 75},
  [16431] = {.lex_state = 64},
  [16432] = {.lex_state = 0},
  [16433] = {.lex_state = 0},
  [16434] = {.lex_state = 0},
  [16435] = {.lex_state = 0},
  [16436] = {.lex_state = 0},
  [16437] = {.lex_state = 0},
  [16438] = {.lex_state = 64},
  [16439] = {.lex_state = 0},
  [16440] = {.lex_state = 64},
  [16441] = {.lex_state = 0, .external_lex_state = 26},
  [16442] = {.lex_state = 0},
  [16443] = {.lex_state = 0},
  [16444] = {.lex_state = 0},
  [16445] = {.lex_state = 0},
  [16446] = {.lex_state = 64},
  [16447] = {.lex_state = 0},
  [16448] = {.lex_state = 0},
  [16449] = {.lex_state = 0},
  [16450] = {.lex_state = 0},
  [16451] = {.lex_state = 0},
  [16452] = {.lex_state = 0},
  [16453] = {.lex_state = 0},
  [16454] = {.lex_state = 0},
  [16455] = {.lex_state = 0},
  [16456] = {.lex_state = 0},
  [16457] = {.lex_state = 0},
  [16458] = {.lex_state = 0},
  [16459] = {.lex_state = 0},
  [16460] = {.lex_state = 0},
  [16461] = {.lex_state = 0},
  [16462] = {.lex_state = 0},
  [16463] = {.lex_state = 0},
  [16464] = {.lex_state = 0},
  [16465] = {.lex_state = 64},
  [16466] = {.lex_state = 0, .external_lex_state = 74},
  [16467] = {.lex_state = 0},
  [16468] = {.lex_state = 0},
  [16469] = {.lex_state = 0},
  [16470] = {.lex_state = 0, .external_lex_state = 75},
  [16471] = {.lex_state = 64},
  [16472] = {.lex_state = 0},
  [16473] = {.lex_state = 64},
  [16474] = {.lex_state = 0},
  [16475] = {.lex_state = 0},
  [16476] = {.lex_state = 0},
  [16477] = {.lex_state = 0},
  [16478] = {.lex_state = 0},
  [16479] = {.lex_state = 0},
  [16480] = {.lex_state = 0, .external_lex_state = 74},
  [16481] = {.lex_state = 0, .external_lex_state = 75},
  [16482] = {.lex_state = 0},
  [16483] = {.lex_state = 0},
  [16484] = {.lex_state = 0},
  [16485] = {.lex_state = 59},
  [16486] = {.lex_state = 0},
  [16487] = {.lex_state = 0},
  [16488] = {.lex_state = 0},
  [16489] = {.lex_state = 64},
  [16490] = {.lex_state = 0},
  [16491] = {.lex_state = 64},
  [16492] = {.lex_state = 0},
  [16493] = {.lex_state = 64},
  [16494] = {.lex_state = 0},
  [16495] = {.lex_state = 0},
  [16496] = {.lex_state = 0, .external_lex_state = 74},
  [16497] = {.lex_state = 0},
  [16498] = {.lex_state = 0},
  [16499] = {.lex_state = 0},
  [16500] = {.lex_state = 0, .external_lex_state = 28},
  [16501] = {.lex_state = 64},
  [16502] = {.lex_state = 0},
  [16503] = {.lex_state = 64},
  [16504] = {.lex_state = 64},
  [16505] = {.lex_state = 0},
  [16506] = {.lex_state = 0},
  [16507] = {.lex_state = 0},
  [16508] = {.lex_state = 0},
  [16509] = {.lex_state = 0},
  [16510] = {.lex_state = 0},
  [16511] = {.lex_state = 0},
  [16512] = {.lex_state = 0, .external_lex_state = 26},
  [16513] = {.lex_state = 0, .external_lex_state = 28},
  [16514] = {.lex_state = 64},
  [16515] = {.lex_state = 0},
  [16516] = {.lex_state = 64},
  [16517] = {.lex_state = 0},
  [16518] = {.lex_state = 64},
  [16519] = {.lex_state = 0},
  [16520] = {.lex_state = 0},
  [16521] = {.lex_state = 0},
  [16522] = {.lex_state = 60, .external_lex_state = 45},
  [16523] = {.lex_state = 0},
  [16524] = {.lex_state = 64},
  [16525] = {.lex_state = 0},
  [16526] = {.lex_state = 64},
  [16527] = {.lex_state = 0, .external_lex_state = 75},
  [16528] = {.lex_state = 0},
  [16529] = {.lex_state = 64},
  [16530] = {.lex_state = 64},
  [16531] = {.lex_state = 0},
  [16532] = {.lex_state = 0},
  [16533] = {.lex_state = 0},
  [16534] = {.lex_state = 0, .external_lex_state = 74},
  [16535] = {.lex_state = 0, .external_lex_state = 75},
  [16536] = {.lex_state = 64},
  [16537] = {.lex_state = 0, .external_lex_state = 26},
  [16538] = {.lex_state = 0},
  [16539] = {.lex_state = 0, .external_lex_state = 74},
  [16540] = {.lex_state = 0, .external_lex_state = 75},
  [16541] = {.lex_state = 64},
  [16542] = {.lex_state = 0},
  [16543] = {.lex_state = 64},
  [16544] = {.lex_state = 0},
  [16545] = {.lex_state = 0},
  [16546] = {.lex_state = 0},
  [16547] = {.lex_state = 0},
  [16548] = {.lex_state = 0},
  [16549] = {.lex_state = 0},
  [16550] = {.lex_state = 0},
  [16551] = {.lex_state = 64},
  [16552] = {.lex_state = 0},
  [16553] = {.lex_state = 64},
  [16554] = {.lex_state = 0},
  [16555] = {.lex_state = 0},
  [16556] = {.lex_state = 0},
  [16557] = {.lex_state = 64},
  [16558] = {.lex_state = 0},
  [16559] = {.lex_state = 0},
  [16560] = {.lex_state = 0},
  [16561] = {.lex_state = 0},
  [16562] = {.lex_state = 0},
  [16563] = {.lex_state = 64},
  [16564] = {.lex_state = 0},
  [16565] = {.lex_state = 0},
  [16566] = {.lex_state = 0},
  [16567] = {.lex_state = 64},
  [16568] = {.lex_state = 64},
  [16569] = {.lex_state = 0},
  [16570] = {.lex_state = 0, .external_lex_state = 74},
  [16571] = {.lex_state = 64},
  [16572] = {.lex_state = 0, .external_lex_state = 75},
  [16573] = {.lex_state = 0},
  [16574] = {.lex_state = 0},
  [16575] = {.lex_state = 0},
  [16576] = {.lex_state = 64},
  [16577] = {.lex_state = 0},
  [16578] = {.lex_state = 64},
  [16579] = {.lex_state = 0},
  [16580] = {.lex_state = 0},
  [16581] = {.lex_state = 64},
  [16582] = {.lex_state = 0},
  [16583] = {.lex_state = 0},
  [16584] = {.lex_state = 0},
  [16585] = {.lex_state = 0},
  [16586] = {.lex_state = 0},
  [16587] = {.lex_state = 0},
  [16588] = {.lex_state = 0},
  [16589] = {.lex_state = 64},
  [16590] = {.lex_state = 59},
  [16591] = {.lex_state = 64},
  [16592] = {.lex_state = 64},
  [16593] = {.lex_state = 0},
  [16594] = {.lex_state = 0, .external_lex_state = 28},
  [16595] = {.lex_state = 64},
  [16596] = {.lex_state = 0},
  [16597] = {.lex_state = 0},
  [16598] = {.lex_state = 64},
  [16599] = {.lex_state = 64},
  [16600] = {.lex_state = 0},
  [16601] = {.lex_state = 0},
  [16602] = {.lex_state = 64},
  [16603] = {.lex_state = 0, .external_lex_state = 74},
  [16604] = {.lex_state = 0, .external_lex_state = 75},
  [16605] = {.lex_state = 0},
  [16606] = {.lex_state = 0},
  [16607] = {.lex_state = 0},
  [16608] = {.lex_state = 0},
  [16609] = {.lex_state = 0},
  [16610] = {.lex_state = 0},
  [16611] = {.lex_state = 64},
  [16612] = {.lex_state = 0},
  [16613] = {.lex_state = 64},
  [16614] = {.lex_state = 64},
  [16615] = {.lex_state = 0, .external_lex_state = 26},
  [16616] = {.lex_state = 0},
  [16617] = {.lex_state = 64},
  [16618] = {.lex_state = 0},
  [16619] = {.lex_state = 64},
  [16620] = {.lex_state = 0},
  [16621] = {.lex_state = 0},
  [16622] = {.lex_state = 64},
  [16623] = {.lex_state = 64},
  [16624] = {.lex_state = 0},
  [16625] = {.lex_state = 0},
  [16626] = {.lex_state = 0, .external_lex_state = 74},
  [16627] = {.lex_state = 0},
  [16628] = {.lex_state = 0, .external_lex_state = 75},
  [16629] = {.lex_state = 64},
  [16630] = {.lex_state = 0},
  [16631] = {.lex_state = 0},
  [16632] = {.lex_state = 0},
  [16633] = {.lex_state = 0},
  [16634] = {.lex_state = 0},
  [16635] = {.lex_state = 64},
  [16636] = {.lex_state = 0},
  [16637] = {.lex_state = 0},
  [16638] = {.lex_state = 0},
  [16639] = {.lex_state = 0},
  [16640] = {.lex_state = 0},
  [16641] = {.lex_state = 64},
  [16642] = {.lex_state = 0},
  [16643] = {.lex_state = 0},
  [16644] = {.lex_state = 0},
  [16645] = {.lex_state = 0},
  [16646] = {.lex_state = 0},
  [16647] = {.lex_state = 0, .external_lex_state = 74},
  [16648] = {.lex_state = 0},
  [16649] = {.lex_state = 0, .external_lex_state = 75},
  [16650] = {.lex_state = 0, .external_lex_state = 74},
  [16651] = {.lex_state = 0, .external_lex_state = 75},
  [16652] = {.lex_state = 60, .external_lex_state = 45},
  [16653] = {.lex_state = 64},
  [16654] = {.lex_state = 0},
  [16655] = {.lex_state = 0},
  [16656] = {.lex_state = 0},
  [16657] = {.lex_state = 0},
  [16658] = {.lex_state = 0},
  [16659] = {.lex_state = 0},
  [16660] = {.lex_state = 0},
  [16661] = {.lex_state = 0, .external_lex_state = 26},
  [16662] = {.lex_state = 0},
  [16663] = {.lex_state = 64},
  [16664] = {.lex_state = 0, .external_lex_state = 28},
  [16665] = {.lex_state = 0},
  [16666] = {.lex_state = 0},
  [16667] = {.lex_state = 0},
  [16668] = {.lex_state = 0, .external_lex_state = 74},
  [16669] = {.lex_state = 0},
  [16670] = {.lex_state = 0, .external_lex_state = 75},
  [16671] = {.lex_state = 0, .external_lex_state = 27},
  [16672] = {.lex_state = 64},
  [16673] = {.lex_state = 0},
  [16674] = {.lex_state = 0},
  [16675] = {.lex_state = 0, .external_lex_state = 28},
  [16676] = {.lex_state = 0, .external_lex_state = 74},
  [16677] = {.lex_state = 0},
  [16678] = {.lex_state = 0},
  [16679] = {.lex_state = 0},
  [16680] = {.lex_state = 0},
  [16681] = {.lex_state = 0},
  [16682] = {.lex_state = 0},
  [16683] = {.lex_state = 64},
  [16684] = {.lex_state = 0},
  [16685] = {.lex_state = 0, .external_lex_state = 75},
  [16686] = {.lex_state = 0},
  [16687] = {.lex_state = 0},
  [16688] = {.lex_state = 0},
  [16689] = {.lex_state = 0},
  [16690] = {.lex_state = 0},
  [16691] = {.lex_state = 64},
  [16692] = {.lex_state = 0},
  [16693] = {.lex_state = 59},
  [16694] = {.lex_state = 0},
  [16695] = {.lex_state = 64},
  [16696] = {.lex_state = 0},
  [16697] = {.lex_state = 0, .external_lex_state = 74},
  [16698] = {.lex_state = 0, .external_lex_state = 75},
  [16699] = {.lex_state = 0},
  [16700] = {.lex_state = 0},
  [16701] = {.lex_state = 0},
  [16702] = {.lex_state = 0},
  [16703] = {.lex_state = 0},
  [16704] = {.lex_state = 0},
  [16705] = {.lex_state = 0},
  [16706] = {.lex_state = 64},
  [16707] = {.lex_state = 0},
  [16708] = {.lex_state = 0},
  [16709] = {.lex_state = 0},
  [16710] = {.lex_state = 0},
  [16711] = {.lex_state = 0},
  [16712] = {.lex_state = 64},
  [16713] = {.lex_state = 0},
  [16714] = {.lex_state = 0},
  [16715] = {.lex_state = 0},
  [16716] = {.lex_state = 0, .external_lex_state = 74},
  [16717] = {.lex_state = 0, .external_lex_state = 75},
  [16718] = {.lex_state = 0},
  [16719] = {.lex_state = 0},
  [16720] = {.lex_state = 0},
  [16721] = {.lex_state = 0},
  [16722] = {.lex_state = 0},
  [16723] = {.lex_state = 0},
  [16724] = {.lex_state = 0},
  [16725] = {.lex_state = 0},
  [16726] = {.lex_state = 0},
  [16727] = {.lex_state = 0},
  [16728] = {.lex_state = 0},
  [16729] = {.lex_state = 0, .external_lex_state = 28},
  [16730] = {.lex_state = 0},
  [16731] = {.lex_state = 0},
  [16732] = {.lex_state = 0},
  [16733] = {.lex_state = 59},
  [16734] = {.lex_state = 64},
  [16735] = {.lex_state = 0, .external_lex_state = 28},
  [16736] = {.lex_state = 0},
  [16737] = {.lex_state = 0},
  [16738] = {.lex_state = 0},
  [16739] = {.lex_state = 0},
  [16740] = {.lex_state = 0},
  [16741] = {.lex_state = 0, .external_lex_state = 28},
  [16742] = {.lex_state = 0, .external_lex_state = 74},
  [16743] = {.lex_state = 0},
  [16744] = {.lex_state = 0, .external_lex_state = 75},
  [16745] = {.lex_state = 0, .external_lex_state = 74},
  [16746] = {.lex_state = 0, .external_lex_state = 75},
  [16747] = {.lex_state = 64},
  [16748] = {.lex_state = 0},
  [16749] = {.lex_state = 0},
  [16750] = {.lex_state = 0},
  [16751] = {.lex_state = 0},
  [16752] = {.lex_state = 0, .external_lex_state = 74},
  [16753] = {.lex_state = 0},
  [16754] = {.lex_state = 0},
  [16755] = {.lex_state = 0, .external_lex_state = 75},
  [16756] = {.lex_state = 0},
  [16757] = {.lex_state = 0, .external_lex_state = 74},
  [16758] = {.lex_state = 0, .external_lex_state = 75},
  [16759] = {.lex_state = 0},
  [16760] = {.lex_state = 0},
  [16761] = {.lex_state = 0},
  [16762] = {.lex_state = 0},
  [16763] = {.lex_state = 0},
  [16764] = {.lex_state = 0},
  [16765] = {.lex_state = 0},
  [16766] = {.lex_state = 0},
  [16767] = {.lex_state = 0, .external_lex_state = 26},
  [16768] = {.lex_state = 0},
  [16769] = {.lex_state = 0},
  [16770] = {.lex_state = 0},
  [16771] = {.lex_state = 0},
  [16772] = {.lex_state = 0},
  [16773] = {.lex_state = 0},
  [16774] = {.lex_state = 0},
  [16775] = {.lex_state = 64},
  [16776] = {.lex_state = 0},
  [16777] = {.lex_state = 0},
  [16778] = {.lex_state = 0, .external_lex_state = 74},
  [16779] = {.lex_state = 0},
  [16780] = {.lex_state = 0, .external_lex_state = 75},
  [16781] = {.lex_state = 0},
  [16782] = {.lex_state = 0},
  [16783] = {.lex_state = 0},
  [16784] = {.lex_state = 0},
  [16785] = {.lex_state = 0},
  [16786] = {.lex_state = 1},
  [16787] = {.lex_state = 60, .external_lex_state = 45},
  [16788] = {.lex_state = 0},
  [16789] = {.lex_state = 0},
  [16790] = {.lex_state = 0},
  [16791] = {.lex_state = 0},
  [16792] = {.lex_state = 0, .external_lex_state = 28},
  [16793] = {.lex_state = 0},
  [16794] = {.lex_state = 0},
  [16795] = {.lex_state = 0},
  [16796] = {.lex_state = 0},
  [16797] = {.lex_state = 0},
  [16798] = {.lex_state = 0},
  [16799] = {.lex_state = 0, .external_lex_state = 27},
  [16800] = {.lex_state = 0},
  [16801] = {.lex_state = 0, .external_lex_state = 74},
  [16802] = {.lex_state = 0},
  [16803] = {.lex_state = 0, .external_lex_state = 75},
  [16804] = {.lex_state = 0},
  [16805] = {.lex_state = 0},
  [16806] = {.lex_state = 0, .external_lex_state = 26},
  [16807] = {.lex_state = 0},
  [16808] = {.lex_state = 0},
  [16809] = {.lex_state = 0},
  [16810] = {.lex_state = 0},
  [16811] = {.lex_state = 0},
  [16812] = {.lex_state = 0},
  [16813] = {.lex_state = 0},
  [16814] = {.lex_state = 0},
  [16815] = {.lex_state = 0},
  [16816] = {.lex_state = 0},
  [16817] = {.lex_state = 64},
  [16818] = {.lex_state = 0},
  [16819] = {.lex_state = 0},
  [16820] = {.lex_state = 0},
  [16821] = {.lex_state = 0},
  [16822] = {.lex_state = 0, .external_lex_state = 28},
  [16823] = {.lex_state = 0, .external_lex_state = 74},
  [16824] = {.lex_state = 0, .external_lex_state = 75},
  [16825] = {.lex_state = 0},
  [16826] = {.lex_state = 0},
  [16827] = {.lex_state = 0},
  [16828] = {.lex_state = 0},
  [16829] = {.lex_state = 0},
  [16830] = {.lex_state = 0, .external_lex_state = 26},
  [16831] = {.lex_state = 0},
  [16832] = {.lex_state = 0},
  [16833] = {.lex_state = 0},
  [16834] = {.lex_state = 0},
  [16835] = {.lex_state = 0},
  [16836] = {.lex_state = 0},
  [16837] = {.lex_state = 0},
  [16838] = {.lex_state = 0},
  [16839] = {.lex_state = 0},
  [16840] = {.lex_state = 0},
  [16841] = {.lex_state = 0},
  [16842] = {.lex_state = 0},
  [16843] = {.lex_state = 0, .external_lex_state = 74},
  [16844] = {.lex_state = 0, .external_lex_state = 75},
  [16845] = {.lex_state = 0},
  [16846] = {.lex_state = 0},
  [16847] = {.lex_state = 0},
  [16848] = {.lex_state = 0},
  [16849] = {.lex_state = 0},
  [16850] = {.lex_state = 0},
  [16851] = {.lex_state = 60, .external_lex_state = 73},
  [16852] = {.lex_state = 0},
  [16853] = {.lex_state = 0},
  [16854] = {.lex_state = 0},
  [16855] = {.lex_state = 0},
  [16856] = {.lex_state = 0},
  [16857] = {.lex_state = 0},
  [16858] = {.lex_state = 0, .external_lex_state = 28},
  [16859] = {.lex_state = 0},
  [16860] = {.lex_state = 0},
  [16861] = {.lex_state = 0},
  [16862] = {.lex_state = 0},
  [16863] = {.lex_state = 0},
  [16864] = {.lex_state = 0},
  [16865] = {.lex_state = 0},
  [16866] = {.lex_state = 0},
  [16867] = {.lex_state = 0},
  [16868] = {.lex_state = 0},
  [16869] = {.lex_state = 0},
  [16870] = {.lex_state = 60, .external_lex_state = 45},
  [16871] = {.lex_state = 0},
  [16872] = {.lex_state = 0},
  [16873] = {.lex_state = 0},
  [16874] = {.lex_state = 60, .external_lex_state = 45},
  [16875] = {.lex_state = 0},
  [16876] = {.lex_state = 64},
  [16877] = {.lex_state = 0},
  [16878] = {.lex_state = 0},
  [16879] = {.lex_state = 0},
  [16880] = {.lex_state = 0},
  [16881] = {.lex_state = 64},
  [16882] = {.lex_state = 0},
  [16883] = {.lex_state = 64},
  [16884] = {.lex_state = 0},
  [16885] = {.lex_state = 0},
  [16886] = {.lex_state = 0, .external_lex_state = 74},
  [16887] = {.lex_state = 0, .external_lex_state = 75},
  [16888] = {.lex_state = 0},
  [16889] = {.lex_state = 0},
  [16890] = {.lex_state = 0},
  [16891] = {.lex_state = 0},
  [16892] = {.lex_state = 0},
  [16893] = {.lex_state = 0},
  [16894] = {.lex_state = 0},
  [16895] = {.lex_state = 0, .external_lex_state = 74},
  [16896] = {.lex_state = 0},
  [16897] = {.lex_state = 0},
  [16898] = {.lex_state = 0, .external_lex_state = 75},
  [16899] = {.lex_state = 0},
  [16900] = {.lex_state = 0},
  [16901] = {.lex_state = 0},
  [16902] = {.lex_state = 0},
  [16903] = {.lex_state = 0},
  [16904] = {.lex_state = 0},
  [16905] = {.lex_state = 0},
  [16906] = {.lex_state = 0},
  [16907] = {.lex_state = 0},
  [16908] = {.lex_state = 0},
  [16909] = {.lex_state = 0},
  [16910] = {.lex_state = 0},
  [16911] = {.lex_state = 0, .external_lex_state = 27},
  [16912] = {.lex_state = 0},
  [16913] = {.lex_state = 0},
  [16914] = {.lex_state = 0, .external_lex_state = 74},
  [16915] = {.lex_state = 0},
  [16916] = {.lex_state = 0, .external_lex_state = 75},
  [16917] = {.lex_state = 0},
  [16918] = {.lex_state = 0},
  [16919] = {.lex_state = 0},
  [16920] = {.lex_state = 0},
  [16921] = {.lex_state = 0},
  [16922] = {.lex_state = 0},
  [16923] = {.lex_state = 0},
  [16924] = {.lex_state = 0},
  [16925] = {.lex_state = 0},
  [16926] = {.lex_state = 0},
  [16927] = {.lex_state = 0},
  [16928] = {.lex_state = 0, .external_lex_state = 28},
  [16929] = {.lex_state = 0},
  [16930] = {.lex_state = 0},
  [16931] = {.lex_state = 0},
  [16932] = {.lex_state = 0},
  [16933] = {.lex_state = 0},
  [16934] = {.lex_state = 0},
  [16935] = {.lex_state = 59},
  [16936] = {.lex_state = 0},
  [16937] = {.lex_state = 0},
  [16938] = {.lex_state = 59},
  [16939] = {.lex_state = 0},
  [16940] = {.lex_state = 0},
  [16941] = {.lex_state = 0},
  [16942] = {.lex_state = 0},
  [16943] = {.lex_state = 0},
  [16944] = {.lex_state = 0, .external_lex_state = 74},
  [16945] = {.lex_state = 0},
  [16946] = {.lex_state = 0, .external_lex_state = 74},
  [16947] = {.lex_state = 0},
  [16948] = {.lex_state = 0, .external_lex_state = 75},
  [16949] = {.lex_state = 0},
  [16950] = {.lex_state = 0},
  [16951] = {.lex_state = 0, .external_lex_state = 75},
  [16952] = {.lex_state = 0},
  [16953] = {.lex_state = 0, .external_lex_state = 74},
  [16954] = {.lex_state = 0},
  [16955] = {.lex_state = 0, .external_lex_state = 75},
  [16956] = {.lex_state = 0},
  [16957] = {.lex_state = 64},
  [16958] = {.lex_state = 0},
  [16959] = {.lex_state = 0},
  [16960] = {.lex_state = 0},
  [16961] = {.lex_state = 0},
  [16962] = {.lex_state = 0},
  [16963] = {.lex_state = 0},
  [16964] = {.lex_state = 0},
  [16965] = {.lex_state = 0},
  [16966] = {.lex_state = 64},
  [16967] = {.lex_state = 0},
  [16968] = {.lex_state = 0, .external_lex_state = 74},
  [16969] = {.lex_state = 0, .external_lex_state = 75},
  [16970] = {.lex_state = 0},
  [16971] = {.lex_state = 0},
  [16972] = {.lex_state = 64},
  [16973] = {.lex_state = 0},
  [16974] = {.lex_state = 0},
  [16975] = {.lex_state = 0},
  [16976] = {.lex_state = 0},
  [16977] = {.lex_state = 0},
  [16978] = {.lex_state = 0},
  [16979] = {.lex_state = 0},
  [16980] = {.lex_state = 0},
  [16981] = {.lex_state = 0},
  [16982] = {.lex_state = 0},
  [16983] = {.lex_state = 0},
  [16984] = {.lex_state = 0},
  [16985] = {.lex_state = 0},
  [16986] = {.lex_state = 0},
  [16987] = {.lex_state = 0},
  [16988] = {.lex_state = 0},
  [16989] = {.lex_state = 0},
  [16990] = {.lex_state = 0},
  [16991] = {.lex_state = 0},
  [16992] = {.lex_state = 0},
  [16993] = {.lex_state = 0, .external_lex_state = 74},
  [16994] = {.lex_state = 0, .external_lex_state = 75},
  [16995] = {.lex_state = 0},
  [16996] = {.lex_state = 0, .external_lex_state = 27},
  [16997] = {.lex_state = 0},
  [16998] = {.lex_state = 0, .external_lex_state = 28},
  [16999] = {.lex_state = 0},
  [17000] = {.lex_state = 0},
  [17001] = {.lex_state = 0},
  [17002] = {.lex_state = 0},
  [17003] = {.lex_state = 0},
  [17004] = {.lex_state = 0},
  [17005] = {.lex_state = 64},
  [17006] = {.lex_state = 0},
  [17007] = {.lex_state = 0},
  [17008] = {.lex_state = 0},
  [17009] = {.lex_state = 0},
  [17010] = {.lex_state = 0, .external_lex_state = 28},
  [17011] = {.lex_state = 0},
  [17012] = {.lex_state = 0},
  [17013] = {.lex_state = 0, .external_lex_state = 27},
  [17014] = {.lex_state = 0},
  [17015] = {.lex_state = 0},
  [17016] = {.lex_state = 0},
  [17017] = {.lex_state = 1},
  [17018] = {.lex_state = 0, .external_lex_state = 74},
  [17019] = {.lex_state = 0, .external_lex_state = 75},
  [17020] = {.lex_state = 0},
  [17021] = {.lex_state = 0, .external_lex_state = 26},
  [17022] = {.lex_state = 0},
  [17023] = {.lex_state = 0},
  [17024] = {.lex_state = 0},
  [17025] = {.lex_state = 0},
  [17026] = {.lex_state = 0},
  [17027] = {.lex_state = 0},
  [17028] = {.lex_state = 0, .external_lex_state = 26},
  [17029] = {.lex_state = 0},
  [17030] = {.lex_state = 0},
  [17031] = {.lex_state = 0},
  [17032] = {.lex_state = 0},
  [17033] = {.lex_state = 0},
  [17034] = {.lex_state = 0},
  [17035] = {.lex_state = 0},
  [17036] = {.lex_state = 0},
  [17037] = {.lex_state = 0},
  [17038] = {.lex_state = 0},
  [17039] = {.lex_state = 64},
  [17040] = {.lex_state = 0},
  [17041] = {.lex_state = 0},
  [17042] = {.lex_state = 0},
  [17043] = {.lex_state = 0},
  [17044] = {.lex_state = 0, .external_lex_state = 27},
  [17045] = {.lex_state = 0},
  [17046] = {.lex_state = 0},
  [17047] = {.lex_state = 0},
  [17048] = {.lex_state = 0},
  [17049] = {.lex_state = 0},
  [17050] = {.lex_state = 0},
  [17051] = {.lex_state = 0},
  [17052] = {.lex_state = 0},
  [17053] = {.lex_state = 0},
  [17054] = {.lex_state = 0, .external_lex_state = 26},
  [17055] = {.lex_state = 64},
  [17056] = {.lex_state = 0},
  [17057] = {.lex_state = 0, .external_lex_state = 74},
  [17058] = {.lex_state = 0, .external_lex_state = 75},
  [17059] = {.lex_state = 0},
  [17060] = {.lex_state = 64},
  [17061] = {.lex_state = 0},
  [17062] = {.lex_state = 0},
  [17063] = {.lex_state = 0, .external_lex_state = 74},
  [17064] = {.lex_state = 0, .external_lex_state = 75},
  [17065] = {.lex_state = 0},
  [17066] = {.lex_state = 0},
  [17067] = {.lex_state = 0},
  [17068] = {.lex_state = 0},
  [17069] = {.lex_state = 0},
  [17070] = {.lex_state = 0},
  [17071] = {.lex_state = 0},
  [17072] = {.lex_state = 0},
  [17073] = {.lex_state = 0},
  [17074] = {.lex_state = 0},
  [17075] = {.lex_state = 0},
  [17076] = {.lex_state = 0},
  [17077] = {.lex_state = 0},
  [17078] = {.lex_state = 0},
  [17079] = {.lex_state = 0},
  [17080] = {.lex_state = 0},
  [17081] = {.lex_state = 0},
  [17082] = {.lex_state = 0},
  [17083] = {.lex_state = 0},
  [17084] = {.lex_state = 0},
  [17085] = {.lex_state = 0},
  [17086] = {.lex_state = 0},
  [17087] = {.lex_state = 0},
  [17088] = {.lex_state = 0},
  [17089] = {.lex_state = 0},
  [17090] = {.lex_state = 0},
  [17091] = {.lex_state = 0},
  [17092] = {.lex_state = 0},
  [17093] = {.lex_state = 0},
  [17094] = {.lex_state = 0},
  [17095] = {.lex_state = 0},
  [17096] = {.lex_state = 0},
  [17097] = {.lex_state = 0},
  [17098] = {.lex_state = 0},
  [17099] = {.lex_state = 0},
  [17100] = {.lex_state = 0},
  [17101] = {.lex_state = 0},
  [17102] = {.lex_state = 0},
  [17103] = {.lex_state = 0},
  [17104] = {.lex_state = 0},
  [17105] = {.lex_state = 0},
  [17106] = {.lex_state = 0},
  [17107] = {.lex_state = 0},
  [17108] = {.lex_state = 0},
  [17109] = {.lex_state = 0},
  [17110] = {.lex_state = 0},
  [17111] = {.lex_state = 0},
  [17112] = {.lex_state = 0},
  [17113] = {.lex_state = 0},
  [17114] = {.lex_state = 0, .external_lex_state = 74},
  [17115] = {.lex_state = 0},
  [17116] = {.lex_state = 0},
  [17117] = {.lex_state = 0},
  [17118] = {.lex_state = 0},
  [17119] = {.lex_state = 0},
  [17120] = {.lex_state = 0, .external_lex_state = 75},
  [17121] = {.lex_state = 0},
  [17122] = {.lex_state = 0, .external_lex_state = 74},
  [17123] = {.lex_state = 0},
  [17124] = {.lex_state = 0},
  [17125] = {.lex_state = 0},
  [17126] = {.lex_state = 0},
  [17127] = {.lex_state = 0},
  [17128] = {.lex_state = 0, .external_lex_state = 75},
  [17129] = {.lex_state = 0},
  [17130] = {.lex_state = 0},
  [17131] = {.lex_state = 0},
  [17132] = {.lex_state = 0},
  [17133] = {.lex_state = 0, .external_lex_state = 74},
  [17134] = {.lex_state = 0},
  [17135] = {.lex_state = 0},
  [17136] = {.lex_state = 0},
  [17137] = {.lex_state = 0},
  [17138] = {.lex_state = 0},
  [17139] = {.lex_state = 0},
  [17140] = {.lex_state = 0, .external_lex_state = 75},
  [17141] = {.lex_state = 0},
  [17142] = {.lex_state = 0},
  [17143] = {.lex_state = 0},
  [17144] = {.lex_state = 0},
  [17145] = {.lex_state = 0},
  [17146] = {.lex_state = 0},
  [17147] = {.lex_state = 0},
  [17148] = {.lex_state = 0},
  [17149] = {.lex_state = 0},
  [17150] = {.lex_state = 0},
  [17151] = {.lex_state = 0},
  [17152] = {.lex_state = 0},
  [17153] = {.lex_state = 0},
  [17154] = {.lex_state = 0},
  [17155] = {.lex_state = 0},
  [17156] = {.lex_state = 0},
  [17157] = {.lex_state = 0},
  [17158] = {.lex_state = 0},
  [17159] = {.lex_state = 0},
  [17160] = {.lex_state = 0},
  [17161] = {.lex_state = 0},
  [17162] = {.lex_state = 0},
  [17163] = {.lex_state = 0},
  [17164] = {.lex_state = 0},
  [17165] = {.lex_state = 0},
  [17166] = {.lex_state = 0, .external_lex_state = 28},
  [17167] = {.lex_state = 0},
  [17168] = {.lex_state = 0},
  [17169] = {.lex_state = 0},
  [17170] = {.lex_state = 0},
  [17171] = {.lex_state = 0},
  [17172] = {.lex_state = 0},
  [17173] = {.lex_state = 0},
  [17174] = {.lex_state = 0},
  [17175] = {.lex_state = 0},
  [17176] = {.lex_state = 0},
  [17177] = {.lex_state = 0},
  [17178] = {.lex_state = 0},
  [17179] = {.lex_state = 0},
  [17180] = {.lex_state = 0},
  [17181] = {.lex_state = 0, .external_lex_state = 28},
  [17182] = {.lex_state = 0},
  [17183] = {.lex_state = 0},
  [17184] = {.lex_state = 0},
  [17185] = {.lex_state = 0},
  [17186] = {.lex_state = 0},
  [17187] = {.lex_state = 0},
  [17188] = {.lex_state = 0},
  [17189] = {.lex_state = 0},
  [17190] = {.lex_state = 0},
  [17191] = {.lex_state = 0},
  [17192] = {.lex_state = 0},
  [17193] = {.lex_state = 0},
  [17194] = {.lex_state = 0},
  [17195] = {.lex_state = 0},
  [17196] = {.lex_state = 0},
  [17197] = {.lex_state = 0},
  [17198] = {.lex_state = 0},
  [17199] = {.lex_state = 0},
  [17200] = {.lex_state = 0},
  [17201] = {.lex_state = 0},
  [17202] = {.lex_state = 0},
  [17203] = {.lex_state = 0},
  [17204] = {.lex_state = 0},
  [17205] = {.lex_state = 0},
  [17206] = {.lex_state = 0},
  [17207] = {.lex_state = 0},
  [17208] = {.lex_state = 0},
  [17209] = {.lex_state = 0},
  [17210] = {.lex_state = 0},
  [17211] = {.lex_state = 0},
  [17212] = {.lex_state = 0},
  [17213] = {.lex_state = 0},
  [17214] = {.lex_state = 0},
  [17215] = {.lex_state = 0},
  [17216] = {.lex_state = 0},
  [17217] = {.lex_state = 0},
  [17218] = {.lex_state = 0},
  [17219] = {.lex_state = 0},
  [17220] = {.lex_state = 0},
  [17221] = {.lex_state = 0},
  [17222] = {.lex_state = 0},
  [17223] = {.lex_state = 0},
  [17224] = {.lex_state = 0},
  [17225] = {.lex_state = 0},
  [17226] = {.lex_state = 0},
  [17227] = {.lex_state = 0},
  [17228] = {.lex_state = 0},
  [17229] = {.lex_state = 0},
  [17230] = {.lex_state = 0},
  [17231] = {.lex_state = 0},
  [17232] = {.lex_state = 64},
  [17233] = {.lex_state = 0},
  [17234] = {.lex_state = 0},
  [17235] = {.lex_state = 0},
  [17236] = {.lex_state = 0},
  [17237] = {.lex_state = 0},
  [17238] = {.lex_state = 0},
  [17239] = {.lex_state = 0},
  [17240] = {.lex_state = 0},
  [17241] = {.lex_state = 0},
  [17242] = {.lex_state = 0},
  [17243] = {.lex_state = 0},
  [17244] = {.lex_state = 0},
  [17245] = {.lex_state = 0},
  [17246] = {.lex_state = 0},
  [17247] = {.lex_state = 0},
  [17248] = {.lex_state = 0},
  [17249] = {.lex_state = 0},
  [17250] = {.lex_state = 0},
  [17251] = {.lex_state = 0},
  [17252] = {.lex_state = 0},
  [17253] = {.lex_state = 0},
  [17254] = {.lex_state = 0},
  [17255] = {.lex_state = 0, .external_lex_state = 74},
  [17256] = {.lex_state = 0},
  [17257] = {.lex_state = 0},
  [17258] = {.lex_state = 0},
  [17259] = {.lex_state = 0},
  [17260] = {.lex_state = 0, .external_lex_state = 74},
  [17261] = {.lex_state = 0},
  [17262] = {.lex_state = 0, .external_lex_state = 75},
  [17263] = {.lex_state = 0},
  [17264] = {.lex_state = 0},
  [17265] = {.lex_state = 0},
  [17266] = {.lex_state = 0},
  [17267] = {.lex_state = 0},
  [17268] = {.lex_state = 0},
  [17269] = {.lex_state = 0},
  [17270] = {.lex_state = 0},
  [17271] = {.lex_state = 0},
  [17272] = {.lex_state = 0},
  [17273] = {.lex_state = 0},
  [17274] = {.lex_state = 0},
  [17275] = {.lex_state = 0},
  [17276] = {.lex_state = 0},
  [17277] = {.lex_state = 0},
  [17278] = {.lex_state = 0},
  [17279] = {.lex_state = 0, .external_lex_state = 75},
  [17280] = {.lex_state = 0},
  [17281] = {.lex_state = 0},
  [17282] = {.lex_state = 0},
  [17283] = {.lex_state = 0},
  [17284] = {.lex_state = 0},
  [17285] = {.lex_state = 0},
  [17286] = {.lex_state = 0},
  [17287] = {.lex_state = 0},
  [17288] = {.lex_state = 0},
  [17289] = {.lex_state = 0},
  [17290] = {.lex_state = 0},
  [17291] = {.lex_state = 0},
  [17292] = {.lex_state = 0},
  [17293] = {.lex_state = 0},
  [17294] = {.lex_state = 0},
  [17295] = {.lex_state = 0},
  [17296] = {.lex_state = 0},
  [17297] = {.lex_state = 0},
  [17298] = {.lex_state = 0},
  [17299] = {.lex_state = 0},
  [17300] = {.lex_state = 0},
  [17301] = {.lex_state = 0},
  [17302] = {.lex_state = 0},
  [17303] = {.lex_state = 0},
  [17304] = {.lex_state = 0},
  [17305] = {.lex_state = 0},
  [17306] = {.lex_state = 0},
  [17307] = {.lex_state = 0},
  [17308] = {.lex_state = 0},
  [17309] = {.lex_state = 0},
  [17310] = {.lex_state = 0},
  [17311] = {.lex_state = 0},
  [17312] = {.lex_state = 0},
  [17313] = {.lex_state = 0},
  [17314] = {.lex_state = 0},
  [17315] = {.lex_state = 0},
  [17316] = {.lex_state = 0},
  [17317] = {.lex_state = 0},
  [17318] = {.lex_state = 0, .external_lex_state = 74},
  [17319] = {.lex_state = 0, .external_lex_state = 75},
  [17320] = {.lex_state = 0},
  [17321] = {.lex_state = 0, .external_lex_state = 27},
  [17322] = {.lex_state = 0},
  [17323] = {.lex_state = 0},
  [17324] = {.lex_state = 0},
  [17325] = {.lex_state = 0},
  [17326] = {.lex_state = 0},
  [17327] = {.lex_state = 0},
  [17328] = {.lex_state = 0},
  [17329] = {.lex_state = 0},
  [17330] = {.lex_state = 0},
  [17331] = {.lex_state = 0},
  [17332] = {.lex_state = 0},
  [17333] = {.lex_state = 0},
  [17334] = {.lex_state = 60, .external_lex_state = 45},
  [17335] = {.lex_state = 0},
  [17336] = {.lex_state = 0},
  [17337] = {.lex_state = 0},
  [17338] = {.lex_state = 0},
  [17339] = {.lex_state = 0},
  [17340] = {.lex_state = 0},
  [17341] = {.lex_state = 64},
  [17342] = {.lex_state = 0},
  [17343] = {.lex_state = 0},
  [17344] = {.lex_state = 64},
  [17345] = {.lex_state = 0},
  [17346] = {.lex_state = 0},
  [17347] = {.lex_state = 0},
  [17348] = {.lex_state = 59},
  [17349] = {.lex_state = 0},
  [17350] = {.lex_state = 0},
  [17351] = {.lex_state = 0},
  [17352] = {.lex_state = 0},
  [17353] = {.lex_state = 0},
  [17354] = {.lex_state = 0},
  [17355] = {.lex_state = 0},
  [17356] = {.lex_state = 64},
  [17357] = {.lex_state = 0},
  [17358] = {.lex_state = 0, .external_lex_state = 28},
  [17359] = {.lex_state = 64},
  [17360] = {.lex_state = 0},
  [17361] = {.lex_state = 0},
  [17362] = {.lex_state = 0},
  [17363] = {.lex_state = 0},
  [17364] = {.lex_state = 0},
  [17365] = {.lex_state = 0},
  [17366] = {.lex_state = 0, .external_lex_state = 28},
  [17367] = {.lex_state = 0},
  [17368] = {.lex_state = 0, .external_lex_state = 28},
  [17369] = {.lex_state = 0},
  [17370] = {.lex_state = 0},
  [17371] = {.lex_state = 0},
  [17372] = {.lex_state = 0},
  [17373] = {.lex_state = 0},
  [17374] = {.lex_state = 64, .external_lex_state = 66},
  [17375] = {.lex_state = 0},
  [17376] = {.lex_state = 64},
  [17377] = {.lex_state = 0},
  [17378] = {.lex_state = 0},
  [17379] = {.lex_state = 64},
  [17380] = {.lex_state = 0},
  [17381] = {.lex_state = 0},
  [17382] = {.lex_state = 64, .external_lex_state = 66},
  [17383] = {.lex_state = 0},
  [17384] = {.lex_state = 0, .external_lex_state = 28},
  [17385] = {.lex_state = 0},
  [17386] = {.lex_state = 59},
  [17387] = {.lex_state = 0},
  [17388] = {.lex_state = 0},
  [17389] = {.lex_state = 0},
  [17390] = {.lex_state = 64},
  [17391] = {.lex_state = 0},
  [17392] = {.lex_state = 0},
  [17393] = {.lex_state = 0},
  [17394] = {.lex_state = 0},
  [17395] = {.lex_state = 0},
  [17396] = {.lex_state = 0},
  [17397] = {.lex_state = 64},
  [17398] = {.lex_state = 0},
  [17399] = {.lex_state = 64},
  [17400] = {.lex_state = 0},
  [17401] = {.lex_state = 0},
  [17402] = {.lex_state = 0},
  [17403] = {.lex_state = 0},
  [17404] = {.lex_state = 0},
  [17405] = {.lex_state = 0},
  [17406] = {.lex_state = 0},
  [17407] = {.lex_state = 0},
  [17408] = {.lex_state = 0},
  [17409] = {.lex_state = 64},
  [17410] = {.lex_state = 0},
  [17411] = {.lex_state = 0},
  [17412] = {.lex_state = 0},
  [17413] = {.lex_state = 0},
  [17414] = {.lex_state = 0},
  [17415] = {.lex_state = 0},
  [17416] = {.lex_state = 0},
  [17417] = {.lex_state = 0, .external_lex_state = 28},
  [17418] = {.lex_state = 0},
  [17419] = {.lex_state = 64},
  [17420] = {.lex_state = 0},
  [17421] = {.lex_state = 0},
  [17422] = {.lex_state = 0, .external_lex_state = 28},
  [17423] = {.lex_state = 0},
  [17424] = {.lex_state = 0},
  [17425] = {.lex_state = 0},
  [17426] = {.lex_state = 0},
  [17427] = {.lex_state = 64, .external_lex_state = 66},
  [17428] = {.lex_state = 64, .external_lex_state = 66},
  [17429] = {.lex_state = 0},
  [17430] = {.lex_state = 0},
  [17431] = {.lex_state = 64},
  [17432] = {.lex_state = 0},
  [17433] = {.lex_state = 0},
  [17434] = {.lex_state = 59},
  [17435] = {.lex_state = 0},
  [17436] = {.lex_state = 0},
  [17437] = {.lex_state = 0, .external_lex_state = 74},
  [17438] = {.lex_state = 0},
  [17439] = {.lex_state = 0},
  [17440] = {.lex_state = 0},
  [17441] = {.lex_state = 0},
  [17442] = {.lex_state = 64},
  [17443] = {.lex_state = 0},
  [17444] = {.lex_state = 0, .external_lex_state = 28},
  [17445] = {.lex_state = 0},
  [17446] = {.lex_state = 64},
  [17447] = {.lex_state = 0},
  [17448] = {.lex_state = 0, .external_lex_state = 74},
  [17449] = {.lex_state = 0},
  [17450] = {.lex_state = 59},
  [17451] = {.lex_state = 0},
  [17452] = {.lex_state = 64},
  [17453] = {.lex_state = 0},
  [17454] = {.lex_state = 64},
  [17455] = {.lex_state = 0},
  [17456] = {.lex_state = 64},
  [17457] = {.lex_state = 0},
  [17458] = {.lex_state = 64},
  [17459] = {.lex_state = 0},
  [17460] = {.lex_state = 0},
  [17461] = {.lex_state = 0},
  [17462] = {.lex_state = 0, .external_lex_state = 75},
  [17463] = {.lex_state = 64},
  [17464] = {.lex_state = 0},
  [17465] = {.lex_state = 0},
  [17466] = {.lex_state = 0},
  [17467] = {.lex_state = 0, .external_lex_state = 28},
  [17468] = {.lex_state = 0},
  [17469] = {.lex_state = 0},
  [17470] = {.lex_state = 64},
  [17471] = {.lex_state = 0},
  [17472] = {.lex_state = 0},
  [17473] = {.lex_state = 0},
  [17474] = {.lex_state = 64},
  [17475] = {.lex_state = 0},
  [17476] = {.lex_state = 0},
  [17477] = {.lex_state = 64},
  [17478] = {.lex_state = 0},
  [17479] = {.lex_state = 0},
  [17480] = {.lex_state = 0},
  [17481] = {.lex_state = 0},
  [17482] = {.lex_state = 0},
  [17483] = {.lex_state = 0},
  [17484] = {.lex_state = 0},
  [17485] = {.lex_state = 0, .external_lex_state = 74},
  [17486] = {.lex_state = 0},
  [17487] = {.lex_state = 0},
  [17488] = {.lex_state = 0},
  [17489] = {.lex_state = 64, .external_lex_state = 66},
  [17490] = {.lex_state = 64},
  [17491] = {.lex_state = 0},
  [17492] = {.lex_state = 64},
  [17493] = {.lex_state = 0},
  [17494] = {.lex_state = 64},
  [17495] = {.lex_state = 0},
  [17496] = {.lex_state = 0},
  [17497] = {.lex_state = 0, .external_lex_state = 75},
  [17498] = {.lex_state = 0},
  [17499] = {.lex_state = 64},
  [17500] = {.lex_state = 0},
  [17501] = {.lex_state = 0},
  [17502] = {.lex_state = 64, .external_lex_state = 66},
  [17503] = {.lex_state = 0},
  [17504] = {.lex_state = 0, .external_lex_state = 75},
  [17505] = {.lex_state = 0},
  [17506] = {.lex_state = 64},
  [17507] = {.lex_state = 0},
  [17508] = {.lex_state = 0},
  [17509] = {.lex_state = 0},
  [17510] = {.lex_state = 0},
  [17511] = {.lex_state = 0},
  [17512] = {.lex_state = 0},
  [17513] = {.lex_state = 0},
  [17514] = {.lex_state = 0},
  [17515] = {.lex_state = 0, .external_lex_state = 28},
  [17516] = {.lex_state = 64},
  [17517] = {.lex_state = 0},
  [17518] = {.lex_state = 0},
  [17519] = {.lex_state = 0},
  [17520] = {.lex_state = 64},
  [17521] = {.lex_state = 0},
  [17522] = {.lex_state = 0},
  [17523] = {.lex_state = 0},
  [17524] = {.lex_state = 64},
  [17525] = {.lex_state = 64, .external_lex_state = 66},
  [17526] = {.lex_state = 0},
  [17527] = {.lex_state = 0},
  [17528] = {.lex_state = 0},
  [17529] = {.lex_state = 60, .external_lex_state = 45},
  [17530] = {.lex_state = 0},
  [17531] = {.lex_state = 0},
  [17532] = {.lex_state = 64},
  [17533] = {.lex_state = 0},
  [17534] = {.lex_state = 0, .external_lex_state = 28},
  [17535] = {.lex_state = 0, .external_lex_state = 74},
  [17536] = {.lex_state = 0},
  [17537] = {.lex_state = 0},
  [17538] = {.lex_state = 0},
  [17539] = {.lex_state = 0},
  [17540] = {.lex_state = 0},
  [17541] = {.lex_state = 64},
  [17542] = {.lex_state = 0},
  [17543] = {.lex_state = 64},
  [17544] = {.lex_state = 0},
  [17545] = {.lex_state = 0},
  [17546] = {.lex_state = 0},
  [17547] = {.lex_state = 64},
  [17548] = {.lex_state = 0},
  [17549] = {.lex_state = 0},
  [17550] = {.lex_state = 0, .external_lex_state = 75},
  [17551] = {.lex_state = 0},
  [17552] = {.lex_state = 0},
  [17553] = {.lex_state = 0},
  [17554] = {.lex_state = 0},
  [17555] = {.lex_state = 0},
  [17556] = {.lex_state = 64},
  [17557] = {.lex_state = 0},
  [17558] = {.lex_state = 0},
  [17559] = {.lex_state = 59},
  [17560] = {.lex_state = 0, .external_lex_state = 28},
  [17561] = {.lex_state = 0},
  [17562] = {.lex_state = 0},
  [17563] = {.lex_state = 0},
  [17564] = {.lex_state = 0},
  [17565] = {.lex_state = 60, .external_lex_state = 45},
  [17566] = {.lex_state = 0},
  [17567] = {.lex_state = 0},
  [17568] = {.lex_state = 0},
  [17569] = {.lex_state = 0},
  [17570] = {.lex_state = 0},
  [17571] = {.lex_state = 0},
  [17572] = {.lex_state = 0},
  [17573] = {.lex_state = 0},
  [17574] = {.lex_state = 0},
  [17575] = {.lex_state = 0},
  [17576] = {.lex_state = 0},
  [17577] = {.lex_state = 0},
  [17578] = {.lex_state = 0, .external_lex_state = 28},
  [17579] = {.lex_state = 0},
  [17580] = {.lex_state = 0},
  [17581] = {.lex_state = 0},
  [17582] = {.lex_state = 64},
  [17583] = {.lex_state = 0},
  [17584] = {.lex_state = 0},
  [17585] = {.lex_state = 0},
  [17586] = {.lex_state = 64},
  [17587] = {.lex_state = 0},
  [17588] = {.lex_state = 0},
  [17589] = {.lex_state = 0, .external_lex_state = 28},
  [17590] = {.lex_state = 0},
  [17591] = {.lex_state = 0},
  [17592] = {.lex_state = 64},
  [17593] = {.lex_state = 0},
  [17594] = {.lex_state = 0},
  [17595] = {.lex_state = 0},
  [17596] = {.lex_state = 64},
  [17597] = {.lex_state = 0},
  [17598] = {.lex_state = 0},
  [17599] = {.lex_state = 0, .external_lex_state = 28},
  [17600] = {.lex_state = 0},
  [17601] = {.lex_state = 0},
  [17602] = {.lex_state = 59},
  [17603] = {.lex_state = 0},
  [17604] = {.lex_state = 0},
  [17605] = {.lex_state = 0},
  [17606] = {.lex_state = 0},
  [17607] = {.lex_state = 0},
  [17608] = {.lex_state = 0},
  [17609] = {.lex_state = 0},
  [17610] = {.lex_state = 0},
  [17611] = {.lex_state = 0},
  [17612] = {.lex_state = 0},
  [17613] = {.lex_state = 64},
  [17614] = {.lex_state = 0},
  [17615] = {.lex_state = 0, .external_lex_state = 28},
  [17616] = {.lex_state = 0},
  [17617] = {.lex_state = 0},
  [17618] = {.lex_state = 0},
  [17619] = {.lex_state = 60, .external_lex_state = 45},
  [17620] = {.lex_state = 0, .external_lex_state = 75},
  [17621] = {.lex_state = 0, .external_lex_state = 75},
  [17622] = {.lex_state = 0, .external_lex_state = 75},
  [17623] = {.lex_state = 0},
  [17624] = {.lex_state = 0, .external_lex_state = 74},
  [17625] = {.lex_state = 0},
  [17626] = {.lex_state = 0},
  [17627] = {.lex_state = 0},
  [17628] = {.lex_state = 64},
  [17629] = {.lex_state = 0},
  [17630] = {.lex_state = 64},
  [17631] = {.lex_state = 0},
  [17632] = {.lex_state = 0},
  [17633] = {.lex_state = 64},
  [17634] = {.lex_state = 64},
  [17635] = {.lex_state = 0, .external_lex_state = 28},
  [17636] = {.lex_state = 0},
  [17637] = {.lex_state = 0},
  [17638] = {.lex_state = 0},
  [17639] = {.lex_state = 0},
  [17640] = {.lex_state = 0},
  [17641] = {.lex_state = 64},
  [17642] = {.lex_state = 0, .external_lex_state = 28},
  [17643] = {.lex_state = 0},
  [17644] = {.lex_state = 64},
  [17645] = {.lex_state = 64},
  [17646] = {.lex_state = 0},
  [17647] = {.lex_state = 0},
  [17648] = {.lex_state = 60, .external_lex_state = 45},
  [17649] = {.lex_state = 59},
  [17650] = {.lex_state = 64},
  [17651] = {.lex_state = 0},
  [17652] = {.lex_state = 59},
  [17653] = {.lex_state = 1},
  [17654] = {.lex_state = 64},
  [17655] = {.lex_state = 64, .external_lex_state = 66},
  [17656] = {.lex_state = 0},
  [17657] = {.lex_state = 0},
  [17658] = {.lex_state = 0},
  [17659] = {.lex_state = 0},
  [17660] = {.lex_state = 0},
  [17661] = {.lex_state = 0, .external_lex_state = 28},
  [17662] = {.lex_state = 0, .external_lex_state = 28},
  [17663] = {.lex_state = 0},
  [17664] = {.lex_state = 0},
  [17665] = {.lex_state = 0},
  [17666] = {.lex_state = 64},
  [17667] = {.lex_state = 0},
  [17668] = {.lex_state = 0},
  [17669] = {.lex_state = 64, .external_lex_state = 66},
  [17670] = {.lex_state = 64},
  [17671] = {.lex_state = 0},
  [17672] = {.lex_state = 0},
  [17673] = {.lex_state = 0},
  [17674] = {.lex_state = 0},
  [17675] = {.lex_state = 0},
  [17676] = {.lex_state = 64},
  [17677] = {.lex_state = 64},
  [17678] = {.lex_state = 0},
  [17679] = {.lex_state = 0},
  [17680] = {.lex_state = 0},
  [17681] = {.lex_state = 0},
  [17682] = {.lex_state = 64},
  [17683] = {.lex_state = 0},
  [17684] = {.lex_state = 0},
  [17685] = {.lex_state = 0},
  [17686] = {.lex_state = 0},
  [17687] = {.lex_state = 64, .external_lex_state = 66},
  [17688] = {.lex_state = 0},
  [17689] = {.lex_state = 0},
  [17690] = {.lex_state = 0, .external_lex_state = 28},
  [17691] = {.lex_state = 0},
  [17692] = {.lex_state = 0},
  [17693] = {.lex_state = 0},
  [17694] = {.lex_state = 0},
  [17695] = {.lex_state = 0},
  [17696] = {.lex_state = 64, .external_lex_state = 66},
  [17697] = {.lex_state = 0},
  [17698] = {.lex_state = 0},
  [17699] = {.lex_state = 0},
  [17700] = {.lex_state = 0},
  [17701] = {.lex_state = 0},
  [17702] = {.lex_state = 0},
  [17703] = {.lex_state = 0},
  [17704] = {.lex_state = 0},
  [17705] = {.lex_state = 0, .external_lex_state = 28},
  [17706] = {.lex_state = 64},
  [17707] = {.lex_state = 0},
  [17708] = {.lex_state = 64},
  [17709] = {.lex_state = 0},
  [17710] = {.lex_state = 0},
  [17711] = {.lex_state = 0},
  [17712] = {.lex_state = 0},
  [17713] = {.lex_state = 0},
  [17714] = {.lex_state = 0, .external_lex_state = 28},
  [17715] = {.lex_state = 0},
  [17716] = {.lex_state = 64, .external_lex_state = 66},
  [17717] = {.lex_state = 0, .external_lex_state = 28},
  [17718] = {.lex_state = 0},
  [17719] = {.lex_state = 0},
  [17720] = {.lex_state = 0},
  [17721] = {.lex_state = 0},
  [17722] = {.lex_state = 0},
  [17723] = {.lex_state = 64},
  [17724] = {.lex_state = 0},
  [17725] = {.lex_state = 0},
  [17726] = {.lex_state = 60, .external_lex_state = 45},
  [17727] = {.lex_state = 0},
  [17728] = {.lex_state = 64},
  [17729] = {.lex_state = 0, .external_lex_state = 74},
  [17730] = {.lex_state = 64},
  [17731] = {.lex_state = 0},
  [17732] = {.lex_state = 0},
  [17733] = {.lex_state = 0, .external_lex_state = 28},
  [17734] = {.lex_state = 64},
  [17735] = {.lex_state = 0},
  [17736] = {.lex_state = 0},
  [17737] = {.lex_state = 0},
  [17738] = {.lex_state = 0},
  [17739] = {.lex_state = 64},
  [17740] = {.lex_state = 59},
  [17741] = {.lex_state = 0, .external_lex_state = 74},
  [17742] = {.lex_state = 64, .external_lex_state = 66},
  [17743] = {.lex_state = 0},
  [17744] = {.lex_state = 0},
  [17745] = {.lex_state = 0, .external_lex_state = 28},
  [17746] = {.lex_state = 64},
  [17747] = {.lex_state = 0},
  [17748] = {.lex_state = 0, .external_lex_state = 28},
  [17749] = {.lex_state = 0},
  [17750] = {.lex_state = 59},
  [17751] = {.lex_state = 0},
  [17752] = {.lex_state = 64, .external_lex_state = 66},
  [17753] = {.lex_state = 0},
  [17754] = {.lex_state = 0},
  [17755] = {.lex_state = 0},
  [17756] = {.lex_state = 0},
  [17757] = {.lex_state = 0, .external_lex_state = 28},
  [17758] = {.lex_state = 0, .external_lex_state = 28},
  [17759] = {.lex_state = 0},
  [17760] = {.lex_state = 0},
  [17761] = {.lex_state = 0, .external_lex_state = 28},
  [17762] = {.lex_state = 64},
  [17763] = {.lex_state = 0},
  [17764] = {.lex_state = 0},
  [17765] = {.lex_state = 64, .external_lex_state = 66},
  [17766] = {.lex_state = 0, .external_lex_state = 28},
  [17767] = {.lex_state = 64},
  [17768] = {.lex_state = 9},
  [17769] = {.lex_state = 0, .external_lex_state = 66},
  [17770] = {.lex_state = 0},
  [17771] = {.lex_state = 0},
  [17772] = {.lex_state = 0},
  [17773] = {.lex_state = 59},
  [17774] = {.lex_state = 64},
  [17775] = {.lex_state = 0, .external_lex_state = 66},
  [17776] = {.lex_state = 0},
  [17777] = {.lex_state = 0, .external_lex_state = 66},
  [17778] = {.lex_state = 0},
  [17779] = {.lex_state = 0},
  [17780] = {.lex_state = 0},
  [17781] = {.lex_state = 0},
  [17782] = {.lex_state = 0},
  [17783] = {.lex_state = 0, .external_lex_state = 66},
  [17784] = {.lex_state = 0, .external_lex_state = 66},
  [17785] = {.lex_state = 0},
  [17786] = {.lex_state = 0},
  [17787] = {.lex_state = 0},
  [17788] = {.lex_state = 64},
  [17789] = {.lex_state = 9},
  [17790] = {.lex_state = 64, .external_lex_state = 48},
  [17791] = {.lex_state = 0},
  [17792] = {.lex_state = 9},
  [17793] = {.lex_state = 9},
  [17794] = {.lex_state = 9},
  [17795] = {.lex_state = 64, .external_lex_state = 48},
  [17796] = {.lex_state = 0},
  [17797] = {.lex_state = 0, .external_lex_state = 66},
  [17798] = {.lex_state = 0},
  [17799] = {.lex_state = 0},
  [17800] = {.lex_state = 0},
  [17801] = {.lex_state = 0},
  [17802] = {.lex_state = 0},
  [17803] = {.lex_state = 0},
  [17804] = {.lex_state = 0},
  [17805] = {.lex_state = 0},
  [17806] = {.lex_state = 0, .external_lex_state = 66},
  [17807] = {.lex_state = 64, .external_lex_state = 48},
  [17808] = {.lex_state = 0},
  [17809] = {.lex_state = 0},
  [17810] = {.lex_state = 0, .external_lex_state = 66},
  [17811] = {.lex_state = 0},
  [17812] = {.lex_state = 0, .external_lex_state = 66},
  [17813] = {.lex_state = 0},
  [17814] = {.lex_state = 0},
  [17815] = {.lex_state = 64},
  [17816] = {.lex_state = 0},
  [17817] = {.lex_state = 64, .external_lex_state = 48},
  [17818] = {.lex_state = 0, .external_lex_state = 66},
  [17819] = {.lex_state = 0},
  [17820] = {.lex_state = 0, .external_lex_state = 66},
  [17821] = {.lex_state = 9},
  [17822] = {.lex_state = 0, .external_lex_state = 66},
  [17823] = {.lex_state = 64},
  [17824] = {.lex_state = 9},
  [17825] = {.lex_state = 9},
  [17826] = {.lex_state = 9},
  [17827] = {.lex_state = 0},
  [17828] = {.lex_state = 0},
  [17829] = {.lex_state = 0},
  [17830] = {.lex_state = 0},
  [17831] = {.lex_state = 0},
  [17832] = {.lex_state = 0, .external_lex_state = 66},
  [17833] = {.lex_state = 0},
  [17834] = {.lex_state = 0},
  [17835] = {.lex_state = 0, .external_lex_state = 66},
  [17836] = {.lex_state = 64},
  [17837] = {.lex_state = 0},
  [17838] = {.lex_state = 64},
  [17839] = {.lex_state = 0},
  [17840] = {.lex_state = 0},
  [17841] = {.lex_state = 0},
  [17842] = {.lex_state = 0, .external_lex_state = 66},
  [17843] = {.lex_state = 0},
  [17844] = {.lex_state = 0},
  [17845] = {.lex_state = 0},
  [17846] = {.lex_state = 64, .external_lex_state = 48},
  [17847] = {.lex_state = 0},
  [17848] = {.lex_state = 0},
  [17849] = {.lex_state = 0},
  [17850] = {.lex_state = 9},
  [17851] = {.lex_state = 0, .external_lex_state = 66},
  [17852] = {.lex_state = 0, .external_lex_state = 66},
  [17853] = {.lex_state = 9},
  [17854] = {.lex_state = 9},
  [17855] = {.lex_state = 9},
  [17856] = {.lex_state = 64, .external_lex_state = 48},
  [17857] = {.lex_state = 0},
  [17858] = {.lex_state = 0},
  [17859] = {.lex_state = 0},
  [17860] = {.lex_state = 0},
  [17861] = {.lex_state = 0, .external_lex_state = 66},
  [17862] = {.lex_state = 0, .external_lex_state = 66},
  [17863] = {.lex_state = 0},
  [17864] = {.lex_state = 0},
  [17865] = {.lex_state = 0, .external_lex_state = 66},
  [17866] = {.lex_state = 0},
  [17867] = {.lex_state = 0},
  [17868] = {.lex_state = 0},
  [17869] = {.lex_state = 64, .external_lex_state = 48},
  [17870] = {.lex_state = 0},
  [17871] = {.lex_state = 0},
  [17872] = {.lex_state = 9},
  [17873] = {.lex_state = 0},
  [17874] = {.lex_state = 0, .external_lex_state = 66},
  [17875] = {.lex_state = 0, .external_lex_state = 66},
  [17876] = {.lex_state = 9},
  [17877] = {.lex_state = 0},
  [17878] = {.lex_state = 64, .external_lex_state = 48},
  [17879] = {.lex_state = 9},
  [17880] = {.lex_state = 9},
  [17881] = {.lex_state = 9},
  [17882] = {.lex_state = 0},
  [17883] = {.lex_state = 0},
  [17884] = {.lex_state = 0},
  [17885] = {.lex_state = 0},
  [17886] = {.lex_state = 64, .external_lex_state = 48},
  [17887] = {.lex_state = 0},
  [17888] = {.lex_state = 0},
  [17889] = {.lex_state = 9},
  [17890] = {.lex_state = 9},
  [17891] = {.lex_state = 9},
  [17892] = {.lex_state = 0},
  [17893] = {.lex_state = 0},
  [17894] = {.lex_state = 0},
  [17895] = {.lex_state = 0},
  [17896] = {.lex_state = 0},
  [17897] = {.lex_state = 64, .external_lex_state = 48},
  [17898] = {.lex_state = 64},
  [17899] = {.lex_state = 0},
  [17900] = {.lex_state = 0},
  [17901] = {.lex_state = 0},
  [17902] = {.lex_state = 9},
  [17903] = {.lex_state = 0},
  [17904] = {.lex_state = 9},
  [17905] = {.lex_state = 9},
  [17906] = {.lex_state = 9},
  [17907] = {.lex_state = 0},
  [17908] = {.lex_state = 0},
  [17909] = {.lex_state = 0},
  [17910] = {.lex_state = 0},
  [17911] = {.lex_state = 0, .external_lex_state = 66},
  [17912] = {.lex_state = 59},
  [17913] = {.lex_state = 0, .external_lex_state = 66},
  [17914] = {.lex_state = 0},
  [17915] = {.lex_state = 0},
  [17916] = {.lex_state = 0, .external_lex_state = 66},
  [17917] = {.lex_state = 59},
  [17918] = {.lex_state = 0},
  [17919] = {.lex_state = 0},
  [17920] = {.lex_state = 0, .external_lex_state = 66},
  [17921] = {.lex_state = 0},
  [17922] = {.lex_state = 64, .external_lex_state = 48},
  [17923] = {.lex_state = 0},
  [17924] = {.lex_state = 0, .external_lex_state = 66},
  [17925] = {.lex_state = 0, .external_lex_state = 66},
  [17926] = {.lex_state = 0},
  [17927] = {.lex_state = 9},
  [17928] = {.lex_state = 0},
  [17929] = {.lex_state = 9},
  [17930] = {.lex_state = 9},
  [17931] = {.lex_state = 9},
  [17932] = {.lex_state = 64, .external_lex_state = 48},
  [17933] = {.lex_state = 0},
  [17934] = {.lex_state = 0},
  [17935] = {.lex_state = 0},
  [17936] = {.lex_state = 64, .external_lex_state = 48},
  [17937] = {.lex_state = 0, .external_lex_state = 66},
  [17938] = {.lex_state = 0},
  [17939] = {.lex_state = 0},
  [17940] = {.lex_state = 0, .external_lex_state = 66},
  [17941] = {.lex_state = 64, .external_lex_state = 48},
  [17942] = {.lex_state = 0},
  [17943] = {.lex_state = 0},
  [17944] = {.lex_state = 0},
  [17945] = {.lex_state = 64, .external_lex_state = 48},
  [17946] = {.lex_state = 0},
  [17947] = {.lex_state = 0, .external_lex_state = 66},
  [17948] = {.lex_state = 0, .external_lex_state = 66},
  [17949] = {.lex_state = 64, .external_lex_state = 48},
  [17950] = {.lex_state = 0},
  [17951] = {.lex_state = 0},
  [17952] = {.lex_state = 9},
  [17953] = {.lex_state = 0},
  [17954] = {.lex_state = 9},
  [17955] = {.lex_state = 9},
  [17956] = {.lex_state = 9},
  [17957] = {.lex_state = 64, .external_lex_state = 48},
  [17958] = {.lex_state = 0},
  [17959] = {.lex_state = 0},
  [17960] = {.lex_state = 0},
  [17961] = {.lex_state = 64, .external_lex_state = 48},
  [17962] = {.lex_state = 64},
  [17963] = {.lex_state = 64, .external_lex_state = 48},
  [17964] = {.lex_state = 0, .external_lex_state = 66},
  [17965] = {.lex_state = 0},
  [17966] = {.lex_state = 0},
  [17967] = {.lex_state = 64, .external_lex_state = 48},
  [17968] = {.lex_state = 0},
  [17969] = {.lex_state = 64, .external_lex_state = 48},
  [17970] = {.lex_state = 0},
  [17971] = {.lex_state = 0, .external_lex_state = 66},
  [17972] = {.lex_state = 64, .external_lex_state = 48},
  [17973] = {.lex_state = 0},
  [17974] = {.lex_state = 0},
  [17975] = {.lex_state = 9},
  [17976] = {.lex_state = 0, .external_lex_state = 66},
  [17977] = {.lex_state = 9},
  [17978] = {.lex_state = 9},
  [17979] = {.lex_state = 9},
  [17980] = {.lex_state = 0},
  [17981] = {.lex_state = 0},
  [17982] = {.lex_state = 0},
  [17983] = {.lex_state = 0},
  [17984] = {.lex_state = 0},
  [17985] = {.lex_state = 0, .external_lex_state = 66},
  [17986] = {.lex_state = 64},
  [17987] = {.lex_state = 0, .external_lex_state = 66},
  [17988] = {.lex_state = 64, .external_lex_state = 48},
  [17989] = {.lex_state = 0},
  [17990] = {.lex_state = 0},
  [17991] = {.lex_state = 0, .external_lex_state = 66},
  [17992] = {.lex_state = 0, .external_lex_state = 66},
  [17993] = {.lex_state = 64, .external_lex_state = 48},
  [17994] = {.lex_state = 64, .external_lex_state = 48},
  [17995] = {.lex_state = 0},
  [17996] = {.lex_state = 0},
  [17997] = {.lex_state = 64},
  [17998] = {.lex_state = 9},
  [17999] = {.lex_state = 0, .external_lex_state = 66},
  [18000] = {.lex_state = 9},
  [18001] = {.lex_state = 9},
  [18002] = {.lex_state = 9},
  [18003] = {.lex_state = 0},
  [18004] = {.lex_state = 0, .external_lex_state = 66},
  [18005] = {.lex_state = 0},
  [18006] = {.lex_state = 0},
  [18007] = {.lex_state = 0, .external_lex_state = 66},
  [18008] = {.lex_state = 0},
  [18009] = {.lex_state = 0},
  [18010] = {.lex_state = 0, .external_lex_state = 66},
  [18011] = {.lex_state = 59},
  [18012] = {.lex_state = 64, .external_lex_state = 48},
  [18013] = {.lex_state = 0},
  [18014] = {.lex_state = 0},
  [18015] = {.lex_state = 64, .external_lex_state = 48},
  [18016] = {.lex_state = 0},
  [18017] = {.lex_state = 0},
  [18018] = {.lex_state = 0},
  [18019] = {.lex_state = 0},
  [18020] = {.lex_state = 0},
  [18021] = {.lex_state = 9},
  [18022] = {.lex_state = 9},
  [18023] = {.lex_state = 9},
  [18024] = {.lex_state = 9},
  [18025] = {.lex_state = 9},
  [18026] = {.lex_state = 64},
  [18027] = {.lex_state = 64},
  [18028] = {.lex_state = 0},
  [18029] = {.lex_state = 0},
  [18030] = {.lex_state = 9},
  [18031] = {.lex_state = 0},
  [18032] = {.lex_state = 9},
  [18033] = {.lex_state = 0},
  [18034] = {.lex_state = 64},
  [18035] = {.lex_state = 0},
  [18036] = {.lex_state = 9},
  [18037] = {.lex_state = 9},
  [18038] = {.lex_state = 0, .external_lex_state = 66},
  [18039] = {.lex_state = 0, .external_lex_state = 66},
  [18040] = {.lex_state = 0},
  [18041] = {.lex_state = 0},
  [18042] = {.lex_state = 0},
  [18043] = {.lex_state = 0},
  [18044] = {.lex_state = 9},
  [18045] = {.lex_state = 0, .external_lex_state = 66},
  [18046] = {.lex_state = 9},
  [18047] = {.lex_state = 9},
  [18048] = {.lex_state = 9},
  [18049] = {.lex_state = 0},
  [18050] = {.lex_state = 0, .external_lex_state = 66},
  [18051] = {.lex_state = 0},
  [18052] = {.lex_state = 0},
  [18053] = {.lex_state = 0, .external_lex_state = 66},
  [18054] = {.lex_state = 0, .external_lex_state = 66},
  [18055] = {.lex_state = 64},
  [18056] = {.lex_state = 64, .external_lex_state = 48},
  [18057] = {.lex_state = 0},
  [18058] = {.lex_state = 0},
  [18059] = {.lex_state = 0},
  [18060] = {.lex_state = 64},
  [18061] = {.lex_state = 0},
  [18062] = {.lex_state = 64, .external_lex_state = 48},
  [18063] = {.lex_state = 0},
  [18064] = {.lex_state = 0},
  [18065] = {.lex_state = 0},
  [18066] = {.lex_state = 0},
  [18067] = {.lex_state = 9},
  [18068] = {.lex_state = 0},
  [18069] = {.lex_state = 9},
  [18070] = {.lex_state = 9},
  [18071] = {.lex_state = 9},
  [18072] = {.lex_state = 0, .external_lex_state = 66},
  [18073] = {.lex_state = 0},
  [18074] = {.lex_state = 0},
  [18075] = {.lex_state = 0},
  [18076] = {.lex_state = 0},
  [18077] = {.lex_state = 0},
  [18078] = {.lex_state = 9},
  [18079] = {.lex_state = 0, .external_lex_state = 66},
  [18080] = {.lex_state = 64, .external_lex_state = 48},
  [18081] = {.lex_state = 0, .external_lex_state = 66},
  [18082] = {.lex_state = 0, .external_lex_state = 66},
  [18083] = {.lex_state = 0, .external_lex_state = 66},
  [18084] = {.lex_state = 0},
  [18085] = {.lex_state = 0},
  [18086] = {.lex_state = 0, .external_lex_state = 66},
  [18087] = {.lex_state = 64},
  [18088] = {.lex_state = 0},
  [18089] = {.lex_state = 0},
  [18090] = {.lex_state = 9},
  [18091] = {.lex_state = 64},
  [18092] = {.lex_state = 9},
  [18093] = {.lex_state = 9},
  [18094] = {.lex_state = 9},
  [18095] = {.lex_state = 0},
  [18096] = {.lex_state = 0, .external_lex_state = 66},
  [18097] = {.lex_state = 0},
  [18098] = {.lex_state = 0},
  [18099] = {.lex_state = 0},
  [18100] = {.lex_state = 0},
  [18101] = {.lex_state = 0},
  [18102] = {.lex_state = 0, .external_lex_state = 66},
  [18103] = {.lex_state = 0},
  [18104] = {.lex_state = 0},
  [18105] = {.lex_state = 0},
  [18106] = {.lex_state = 0},
  [18107] = {.lex_state = 0},
  [18108] = {.lex_state = 64, .external_lex_state = 48},
  [18109] = {.lex_state = 0},
  [18110] = {.lex_state = 0},
  [18111] = {.lex_state = 0},
  [18112] = {.lex_state = 0, .external_lex_state = 66},
  [18113] = {.lex_state = 9},
  [18114] = {.lex_state = 0},
  [18115] = {.lex_state = 9},
  [18116] = {.lex_state = 9},
  [18117] = {.lex_state = 9},
  [18118] = {.lex_state = 0},
  [18119] = {.lex_state = 0},
  [18120] = {.lex_state = 0},
  [18121] = {.lex_state = 0},
  [18122] = {.lex_state = 0},
  [18123] = {.lex_state = 0},
  [18124] = {.lex_state = 0},
  [18125] = {.lex_state = 0},
  [18126] = {.lex_state = 0, .external_lex_state = 66},
  [18127] = {.lex_state = 64, .external_lex_state = 48},
  [18128] = {.lex_state = 9},
  [18129] = {.lex_state = 0, .external_lex_state = 66},
  [18130] = {.lex_state = 0, .external_lex_state = 66},
  [18131] = {.lex_state = 0},
  [18132] = {.lex_state = 0, .external_lex_state = 66},
  [18133] = {.lex_state = 0},
  [18134] = {.lex_state = 0},
  [18135] = {.lex_state = 9},
  [18136] = {.lex_state = 9},
  [18137] = {.lex_state = 9},
  [18138] = {.lex_state = 9},
  [18139] = {.lex_state = 0},
  [18140] = {.lex_state = 0},
  [18141] = {.lex_state = 0},
  [18142] = {.lex_state = 0},
  [18143] = {.lex_state = 64, .external_lex_state = 48},
  [18144] = {.lex_state = 0},
  [18145] = {.lex_state = 0},
  [18146] = {.lex_state = 0},
  [18147] = {.lex_state = 0},
  [18148] = {.lex_state = 64, .external_lex_state = 48},
  [18149] = {.lex_state = 0},
  [18150] = {.lex_state = 0, .external_lex_state = 66},
  [18151] = {.lex_state = 0},
  [18152] = {.lex_state = 0},
  [18153] = {.lex_state = 0, .external_lex_state = 66},
  [18154] = {.lex_state = 0},
  [18155] = {.lex_state = 0, .external_lex_state = 66},
  [18156] = {.lex_state = 64},
  [18157] = {.lex_state = 9},
  [18158] = {.lex_state = 9},
  [18159] = {.lex_state = 9},
  [18160] = {.lex_state = 9},
  [18161] = {.lex_state = 0},
  [18162] = {.lex_state = 0},
  [18163] = {.lex_state = 0},
  [18164] = {.lex_state = 0},
  [18165] = {.lex_state = 0},
  [18166] = {.lex_state = 0},
  [18167] = {.lex_state = 0},
  [18168] = {.lex_state = 0, .external_lex_state = 66},
  [18169] = {.lex_state = 0, .external_lex_state = 66},
  [18170] = {.lex_state = 0},
  [18171] = {.lex_state = 64},
  [18172] = {.lex_state = 0, .external_lex_state = 66},
  [18173] = {.lex_state = 0},
  [18174] = {.lex_state = 0},
  [18175] = {.lex_state = 0},
  [18176] = {.lex_state = 0},
  [18177] = {.lex_state = 0},
  [18178] = {.lex_state = 0},
  [18179] = {.lex_state = 9},
  [18180] = {.lex_state = 9},
  [18181] = {.lex_state = 9},
  [18182] = {.lex_state = 9},
  [18183] = {.lex_state = 0, .external_lex_state = 66},
  [18184] = {.lex_state = 0},
  [18185] = {.lex_state = 0},
  [18186] = {.lex_state = 0},
  [18187] = {.lex_state = 0, .external_lex_state = 66},
  [18188] = {.lex_state = 9},
  [18189] = {.lex_state = 64},
  [18190] = {.lex_state = 64, .external_lex_state = 48},
  [18191] = {.lex_state = 9},
  [18192] = {.lex_state = 0},
  [18193] = {.lex_state = 64, .external_lex_state = 48},
  [18194] = {.lex_state = 64, .external_lex_state = 48},
  [18195] = {.lex_state = 0},
  [18196] = {.lex_state = 0},
  [18197] = {.lex_state = 9},
  [18198] = {.lex_state = 0},
  [18199] = {.lex_state = 0, .external_lex_state = 66},
  [18200] = {.lex_state = 0},
  [18201] = {.lex_state = 9},
  [18202] = {.lex_state = 9},
  [18203] = {.lex_state = 9},
  [18204] = {.lex_state = 9},
  [18205] = {.lex_state = 9},
  [18206] = {.lex_state = 0, .external_lex_state = 66},
  [18207] = {.lex_state = 0},
  [18208] = {.lex_state = 0},
  [18209] = {.lex_state = 9},
  [18210] = {.lex_state = 0},
  [18211] = {.lex_state = 0},
  [18212] = {.lex_state = 0},
  [18213] = {.lex_state = 64, .external_lex_state = 48},
  [18214] = {.lex_state = 0, .external_lex_state = 66},
  [18215] = {.lex_state = 64, .external_lex_state = 48},
  [18216] = {.lex_state = 0, .external_lex_state = 66},
  [18217] = {.lex_state = 0},
  [18218] = {.lex_state = 0},
  [18219] = {.lex_state = 0, .external_lex_state = 66},
  [18220] = {.lex_state = 0, .external_lex_state = 66},
  [18221] = {.lex_state = 0},
  [18222] = {.lex_state = 0},
  [18223] = {.lex_state = 9},
  [18224] = {.lex_state = 9},
  [18225] = {.lex_state = 9},
  [18226] = {.lex_state = 9},
  [18227] = {.lex_state = 64},
  [18228] = {.lex_state = 0},
  [18229] = {.lex_state = 0},
  [18230] = {.lex_state = 0},
  [18231] = {.lex_state = 0},
  [18232] = {.lex_state = 0},
  [18233] = {.lex_state = 0},
  [18234] = {.lex_state = 0},
  [18235] = {.lex_state = 64, .external_lex_state = 48},
  [18236] = {.lex_state = 0},
  [18237] = {.lex_state = 64, .external_lex_state = 48},
  [18238] = {.lex_state = 0},
  [18239] = {.lex_state = 0},
  [18240] = {.lex_state = 0},
  [18241] = {.lex_state = 0},
  [18242] = {.lex_state = 0, .external_lex_state = 66},
  [18243] = {.lex_state = 0},
  [18244] = {.lex_state = 0},
  [18245] = {.lex_state = 9},
  [18246] = {.lex_state = 9},
  [18247] = {.lex_state = 9},
  [18248] = {.lex_state = 9},
  [18249] = {.lex_state = 0, .external_lex_state = 66},
  [18250] = {.lex_state = 0},
  [18251] = {.lex_state = 0},
  [18252] = {.lex_state = 0},
  [18253] = {.lex_state = 0},
  [18254] = {.lex_state = 0, .external_lex_state = 66},
  [18255] = {.lex_state = 0, .external_lex_state = 66},
  [18256] = {.lex_state = 0},
  [18257] = {.lex_state = 0},
  [18258] = {.lex_state = 0, .external_lex_state = 66},
  [18259] = {.lex_state = 64, .external_lex_state = 48},
  [18260] = {.lex_state = 0},
  [18261] = {.lex_state = 64},
  [18262] = {.lex_state = 9},
  [18263] = {.lex_state = 0},
  [18264] = {.lex_state = 0, .external_lex_state = 66},
  [18265] = {.lex_state = 9},
  [18266] = {.lex_state = 64, .external_lex_state = 48},
  [18267] = {.lex_state = 9},
  [18268] = {.lex_state = 9},
  [18269] = {.lex_state = 9},
  [18270] = {.lex_state = 9},
  [18271] = {.lex_state = 0},
  [18272] = {.lex_state = 0},
  [18273] = {.lex_state = 0},
  [18274] = {.lex_state = 0},
  [18275] = {.lex_state = 64, .external_lex_state = 48},
  [18276] = {.lex_state = 0},
  [18277] = {.lex_state = 0, .external_lex_state = 66},
  [18278] = {.lex_state = 64},
  [18279] = {.lex_state = 9},
  [18280] = {.lex_state = 0},
  [18281] = {.lex_state = 0},
  [18282] = {.lex_state = 64},
  [18283] = {.lex_state = 0},
  [18284] = {.lex_state = 64},
  [18285] = {.lex_state = 64},
  [18286] = {.lex_state = 0, .external_lex_state = 66},
  [18287] = {.lex_state = 0, .external_lex_state = 66},
  [18288] = {.lex_state = 9},
  [18289] = {.lex_state = 9},
  [18290] = {.lex_state = 9},
  [18291] = {.lex_state = 9},
  [18292] = {.lex_state = 0},
  [18293] = {.lex_state = 0},
  [18294] = {.lex_state = 0},
  [18295] = {.lex_state = 0},
  [18296] = {.lex_state = 0},
  [18297] = {.lex_state = 0},
  [18298] = {.lex_state = 0, .external_lex_state = 66},
  [18299] = {.lex_state = 0},
  [18300] = {.lex_state = 0},
  [18301] = {.lex_state = 59},
  [18302] = {.lex_state = 9},
  [18303] = {.lex_state = 0},
  [18304] = {.lex_state = 64},
  [18305] = {.lex_state = 0},
  [18306] = {.lex_state = 0},
  [18307] = {.lex_state = 0, .external_lex_state = 66},
  [18308] = {.lex_state = 0},
  [18309] = {.lex_state = 9},
  [18310] = {.lex_state = 9},
  [18311] = {.lex_state = 9},
  [18312] = {.lex_state = 9},
  [18313] = {.lex_state = 0},
  [18314] = {.lex_state = 0},
  [18315] = {.lex_state = 0},
  [18316] = {.lex_state = 0},
  [18317] = {.lex_state = 0, .external_lex_state = 66},
  [18318] = {.lex_state = 0},
  [18319] = {.lex_state = 0},
  [18320] = {.lex_state = 0},
  [18321] = {.lex_state = 0},
  [18322] = {.lex_state = 0},
  [18323] = {.lex_state = 0},
  [18324] = {.lex_state = 0, .external_lex_state = 66},
  [18325] = {.lex_state = 64, .external_lex_state = 48},
  [18326] = {.lex_state = 0},
  [18327] = {.lex_state = 0},
  [18328] = {.lex_state = 0},
  [18329] = {.lex_state = 0},
  [18330] = {.lex_state = 9},
  [18331] = {.lex_state = 9},
  [18332] = {.lex_state = 9},
  [18333] = {.lex_state = 9},
  [18334] = {.lex_state = 0, .external_lex_state = 66},
  [18335] = {.lex_state = 0},
  [18336] = {.lex_state = 0},
  [18337] = {.lex_state = 0},
  [18338] = {.lex_state = 0},
  [18339] = {.lex_state = 0},
  [18340] = {.lex_state = 0},
  [18341] = {.lex_state = 64},
  [18342] = {.lex_state = 0},
  [18343] = {.lex_state = 0},
  [18344] = {.lex_state = 0},
  [18345] = {.lex_state = 64, .external_lex_state = 48},
  [18346] = {.lex_state = 0},
  [18347] = {.lex_state = 0},
  [18348] = {.lex_state = 0},
  [18349] = {.lex_state = 0},
  [18350] = {.lex_state = 64, .external_lex_state = 48},
  [18351] = {.lex_state = 9},
  [18352] = {.lex_state = 9},
  [18353] = {.lex_state = 9},
  [18354] = {.lex_state = 9},
  [18355] = {.lex_state = 0},
  [18356] = {.lex_state = 0},
  [18357] = {.lex_state = 0},
  [18358] = {.lex_state = 0},
  [18359] = {.lex_state = 0},
  [18360] = {.lex_state = 64, .external_lex_state = 48},
  [18361] = {.lex_state = 0, .external_lex_state = 66},
  [18362] = {.lex_state = 64},
  [18363] = {.lex_state = 0, .external_lex_state = 66},
  [18364] = {.lex_state = 0},
  [18365] = {.lex_state = 0, .external_lex_state = 66},
  [18366] = {.lex_state = 0},
  [18367] = {.lex_state = 28},
  [18368] = {.lex_state = 0},
  [18369] = {.lex_state = 0},
  [18370] = {.lex_state = 0},
  [18371] = {.lex_state = 0, .external_lex_state = 66},
  [18372] = {.lex_state = 9},
  [18373] = {.lex_state = 9},
  [18374] = {.lex_state = 9},
  [18375] = {.lex_state = 9},
  [18376] = {.lex_state = 0},
  [18377] = {.lex_state = 0},
  [18378] = {.lex_state = 0},
  [18379] = {.lex_state = 0},
  [18380] = {.lex_state = 0, .external_lex_state = 66},
  [18381] = {.lex_state = 0},
  [18382] = {.lex_state = 0, .external_lex_state = 66},
  [18383] = {.lex_state = 9},
  [18384] = {.lex_state = 0},
  [18385] = {.lex_state = 0, .external_lex_state = 66},
  [18386] = {.lex_state = 0},
  [18387] = {.lex_state = 0},
  [18388] = {.lex_state = 0},
  [18389] = {.lex_state = 64, .external_lex_state = 48},
  [18390] = {.lex_state = 64, .external_lex_state = 48},
  [18391] = {.lex_state = 9},
  [18392] = {.lex_state = 9},
  [18393] = {.lex_state = 9},
  [18394] = {.lex_state = 9},
  [18395] = {.lex_state = 0},
  [18396] = {.lex_state = 0},
  [18397] = {.lex_state = 0},
  [18398] = {.lex_state = 0},
  [18399] = {.lex_state = 0},
  [18400] = {.lex_state = 0, .external_lex_state = 66},
  [18401] = {.lex_state = 9},
  [18402] = {.lex_state = 9},
  [18403] = {.lex_state = 0},
  [18404] = {.lex_state = 0},
  [18405] = {.lex_state = 64, .external_lex_state = 48},
  [18406] = {.lex_state = 0, .external_lex_state = 66},
  [18407] = {.lex_state = 9},
  [18408] = {.lex_state = 0, .external_lex_state = 66},
  [18409] = {.lex_state = 0},
  [18410] = {.lex_state = 0},
  [18411] = {.lex_state = 9},
  [18412] = {.lex_state = 9},
  [18413] = {.lex_state = 9},
  [18414] = {.lex_state = 9},
  [18415] = {.lex_state = 0, .external_lex_state = 66},
  [18416] = {.lex_state = 0},
  [18417] = {.lex_state = 0},
  [18418] = {.lex_state = 0},
  [18419] = {.lex_state = 64, .external_lex_state = 48},
  [18420] = {.lex_state = 64, .external_lex_state = 48},
  [18421] = {.lex_state = 64},
  [18422] = {.lex_state = 0},
  [18423] = {.lex_state = 0},
  [18424] = {.lex_state = 0},
  [18425] = {.lex_state = 0, .external_lex_state = 66},
  [18426] = {.lex_state = 0},
  [18427] = {.lex_state = 64, .external_lex_state = 48},
  [18428] = {.lex_state = 0},
  [18429] = {.lex_state = 0},
  [18430] = {.lex_state = 9},
  [18431] = {.lex_state = 9},
  [18432] = {.lex_state = 9},
  [18433] = {.lex_state = 9},
  [18434] = {.lex_state = 0},
  [18435] = {.lex_state = 0},
  [18436] = {.lex_state = 0},
  [18437] = {.lex_state = 0},
  [18438] = {.lex_state = 0, .external_lex_state = 66},
  [18439] = {.lex_state = 0},
  [18440] = {.lex_state = 0},
  [18441] = {.lex_state = 0, .external_lex_state = 66},
  [18442] = {.lex_state = 64},
  [18443] = {.lex_state = 0},
  [18444] = {.lex_state = 0},
  [18445] = {.lex_state = 0},
  [18446] = {.lex_state = 0},
  [18447] = {.lex_state = 0},
  [18448] = {.lex_state = 0},
  [18449] = {.lex_state = 0, .external_lex_state = 66},
  [18450] = {.lex_state = 9},
  [18451] = {.lex_state = 9},
  [18452] = {.lex_state = 9},
  [18453] = {.lex_state = 9},
  [18454] = {.lex_state = 0},
  [18455] = {.lex_state = 0},
  [18456] = {.lex_state = 0},
  [18457] = {.lex_state = 0},
  [18458] = {.lex_state = 9},
  [18459] = {.lex_state = 0},
  [18460] = {.lex_state = 0, .external_lex_state = 66},
  [18461] = {.lex_state = 0},
  [18462] = {.lex_state = 0},
  [18463] = {.lex_state = 0},
  [18464] = {.lex_state = 0, .external_lex_state = 66},
  [18465] = {.lex_state = 0},
  [18466] = {.lex_state = 0, .external_lex_state = 66},
  [18467] = {.lex_state = 0, .external_lex_state = 66},
  [18468] = {.lex_state = 0},
  [18469] = {.lex_state = 9},
  [18470] = {.lex_state = 9},
  [18471] = {.lex_state = 9},
  [18472] = {.lex_state = 9},
  [18473] = {.lex_state = 9},
  [18474] = {.lex_state = 0},
  [18475] = {.lex_state = 0, .external_lex_state = 66},
  [18476] = {.lex_state = 0},
  [18477] = {.lex_state = 64},
  [18478] = {.lex_state = 0},
  [18479] = {.lex_state = 0, .external_lex_state = 66},
  [18480] = {.lex_state = 64},
  [18481] = {.lex_state = 64, .external_lex_state = 48},
  [18482] = {.lex_state = 0},
  [18483] = {.lex_state = 0, .external_lex_state = 66},
  [18484] = {.lex_state = 0},
  [18485] = {.lex_state = 0},
  [18486] = {.lex_state = 64},
  [18487] = {.lex_state = 0},
  [18488] = {.lex_state = 0, .external_lex_state = 66},
  [18489] = {.lex_state = 0},
  [18490] = {.lex_state = 9},
  [18491] = {.lex_state = 9},
  [18492] = {.lex_state = 9},
  [18493] = {.lex_state = 9},
  [18494] = {.lex_state = 0},
  [18495] = {.lex_state = 64},
  [18496] = {.lex_state = 0},
  [18497] = {.lex_state = 0},
  [18498] = {.lex_state = 0, .external_lex_state = 66},
  [18499] = {.lex_state = 0},
  [18500] = {.lex_state = 9},
  [18501] = {.lex_state = 0},
  [18502] = {.lex_state = 9},
  [18503] = {.lex_state = 0},
  [18504] = {.lex_state = 9},
  [18505] = {.lex_state = 0},
  [18506] = {.lex_state = 0},
  [18507] = {.lex_state = 0},
  [18508] = {.lex_state = 0},
  [18509] = {.lex_state = 0, .external_lex_state = 66},
  [18510] = {.lex_state = 9},
  [18511] = {.lex_state = 9},
  [18512] = {.lex_state = 9},
  [18513] = {.lex_state = 9},
  [18514] = {.lex_state = 0},
  [18515] = {.lex_state = 0, .external_lex_state = 66},
  [18516] = {.lex_state = 0},
  [18517] = {.lex_state = 0},
  [18518] = {.lex_state = 0, .external_lex_state = 66},
  [18519] = {.lex_state = 0},
  [18520] = {.lex_state = 64},
  [18521] = {.lex_state = 0, .external_lex_state = 66},
  [18522] = {.lex_state = 0},
  [18523] = {.lex_state = 0},
  [18524] = {.lex_state = 0, .external_lex_state = 66},
  [18525] = {.lex_state = 0},
  [18526] = {.lex_state = 0},
  [18527] = {.lex_state = 0, .external_lex_state = 66},
  [18528] = {.lex_state = 0, .external_lex_state = 66},
  [18529] = {.lex_state = 0},
  [18530] = {.lex_state = 9},
  [18531] = {.lex_state = 9},
  [18532] = {.lex_state = 9},
  [18533] = {.lex_state = 9},
  [18534] = {.lex_state = 0},
  [18535] = {.lex_state = 0, .external_lex_state = 66},
  [18536] = {.lex_state = 64, .external_lex_state = 48},
  [18537] = {.lex_state = 0},
  [18538] = {.lex_state = 0},
  [18539] = {.lex_state = 0},
  [18540] = {.lex_state = 0, .external_lex_state = 66},
  [18541] = {.lex_state = 0},
  [18542] = {.lex_state = 9},
  [18543] = {.lex_state = 9},
  [18544] = {.lex_state = 9},
  [18545] = {.lex_state = 9},
  [18546] = {.lex_state = 0},
  [18547] = {.lex_state = 0},
  [18548] = {.lex_state = 0},
  [18549] = {.lex_state = 0},
  [18550] = {.lex_state = 0},
  [18551] = {.lex_state = 0},
  [18552] = {.lex_state = 0, .external_lex_state = 66},
  [18553] = {.lex_state = 0},
  [18554] = {.lex_state = 9},
  [18555] = {.lex_state = 9},
  [18556] = {.lex_state = 9},
  [18557] = {.lex_state = 9},
  [18558] = {.lex_state = 0},
  [18559] = {.lex_state = 0},
  [18560] = {.lex_state = 0},
  [18561] = {.lex_state = 64},
  [18562] = {.lex_state = 0},
  [18563] = {.lex_state = 64, .external_lex_state = 48},
  [18564] = {.lex_state = 9},
  [18565] = {.lex_state = 0},
  [18566] = {.lex_state = 9},
  [18567] = {.lex_state = 9},
  [18568] = {.lex_state = 9},
  [18569] = {.lex_state = 9},
  [18570] = {.lex_state = 0},
  [18571] = {.lex_state = 0},
  [18572] = {.lex_state = 0},
  [18573] = {.lex_state = 0, .external_lex_state = 66},
  [18574] = {.lex_state = 0, .external_lex_state = 66},
  [18575] = {.lex_state = 0},
  [18576] = {.lex_state = 0, .external_lex_state = 66},
  [18577] = {.lex_state = 9},
  [18578] = {.lex_state = 9},
  [18579] = {.lex_state = 9},
  [18580] = {.lex_state = 9},
  [18581] = {.lex_state = 0},
  [18582] = {.lex_state = 9},
  [18583] = {.lex_state = 0},
  [18584] = {.lex_state = 0, .external_lex_state = 66},
  [18585] = {.lex_state = 0},
  [18586] = {.lex_state = 0, .external_lex_state = 66},
  [18587] = {.lex_state = 0},
  [18588] = {.lex_state = 9},
  [18589] = {.lex_state = 9},
  [18590] = {.lex_state = 9},
  [18591] = {.lex_state = 9},
  [18592] = {.lex_state = 0},
  [18593] = {.lex_state = 0, .external_lex_state = 66},
  [18594] = {.lex_state = 64},
  [18595] = {.lex_state = 0},
  [18596] = {.lex_state = 0},
  [18597] = {.lex_state = 9},
  [18598] = {.lex_state = 64, .external_lex_state = 48},
  [18599] = {.lex_state = 9},
  [18600] = {.lex_state = 9},
  [18601] = {.lex_state = 9},
  [18602] = {.lex_state = 9},
  [18603] = {.lex_state = 0},
  [18604] = {.lex_state = 9},
  [18605] = {.lex_state = 9},
  [18606] = {.lex_state = 0, .external_lex_state = 66},
  [18607] = {.lex_state = 64, .external_lex_state = 48},
  [18608] = {.lex_state = 0},
  [18609] = {.lex_state = 0},
  [18610] = {.lex_state = 9},
  [18611] = {.lex_state = 9},
  [18612] = {.lex_state = 9},
  [18613] = {.lex_state = 0, .external_lex_state = 66},
  [18614] = {.lex_state = 0},
  [18615] = {.lex_state = 0},
  [18616] = {.lex_state = 0},
  [18617] = {.lex_state = 0},
  [18618] = {.lex_state = 0},
  [18619] = {.lex_state = 0, .external_lex_state = 66},
  [18620] = {.lex_state = 0},
  [18621] = {.lex_state = 9},
  [18622] = {.lex_state = 9},
  [18623] = {.lex_state = 9},
  [18624] = {.lex_state = 9},
  [18625] = {.lex_state = 0},
  [18626] = {.lex_state = 0},
  [18627] = {.lex_state = 0},
  [18628] = {.lex_state = 0},
  [18629] = {.lex_state = 0, .external_lex_state = 66},
  [18630] = {.lex_state = 0, .external_lex_state = 66},
  [18631] = {.lex_state = 0, .external_lex_state = 66},
  [18632] = {.lex_state = 9},
  [18633] = {.lex_state = 9},
  [18634] = {.lex_state = 9},
  [18635] = {.lex_state = 9},
  [18636] = {.lex_state = 0},
  [18637] = {.lex_state = 0},
  [18638] = {.lex_state = 0},
  [18639] = {.lex_state = 0, .external_lex_state = 66},
  [18640] = {.lex_state = 0},
  [18641] = {.lex_state = 0},
  [18642] = {.lex_state = 0, .external_lex_state = 66},
  [18643] = {.lex_state = 9},
  [18644] = {.lex_state = 9},
  [18645] = {.lex_state = 9},
  [18646] = {.lex_state = 9},
  [18647] = {.lex_state = 0},
  [18648] = {.lex_state = 0},
  [18649] = {.lex_state = 0},
  [18650] = {.lex_state = 0, .external_lex_state = 66},
  [18651] = {.lex_state = 0},
  [18652] = {.lex_state = 64, .external_lex_state = 48},
  [18653] = {.lex_state = 0},
  [18654] = {.lex_state = 0},
  [18655] = {.lex_state = 0},
  [18656] = {.lex_state = 64, .external_lex_state = 48},
  [18657] = {.lex_state = 0},
  [18658] = {.lex_state = 0},
  [18659] = {.lex_state = 0},
  [18660] = {.lex_state = 0},
  [18661] = {.lex_state = 0},
  [18662] = {.lex_state = 0},
  [18663] = {.lex_state = 0},
  [18664] = {.lex_state = 0, .external_lex_state = 66},
  [18665] = {.lex_state = 0},
  [18666] = {.lex_state = 0},
  [18667] = {.lex_state = 0},
  [18668] = {.lex_state = 0},
  [18669] = {.lex_state = 0},
  [18670] = {.lex_state = 0, .external_lex_state = 66},
  [18671] = {.lex_state = 0},
  [18672] = {.lex_state = 0},
  [18673] = {.lex_state = 0},
  [18674] = {.lex_state = 0},
  [18675] = {.lex_state = 9},
  [18676] = {.lex_state = 0},
  [18677] = {.lex_state = 0},
  [18678] = {.lex_state = 0, .external_lex_state = 66},
  [18679] = {.lex_state = 0},
  [18680] = {.lex_state = 0},
  [18681] = {.lex_state = 0},
  [18682] = {.lex_state = 0},
  [18683] = {.lex_state = 0, .external_lex_state = 66},
  [18684] = {.lex_state = 0},
  [18685] = {.lex_state = 0, .external_lex_state = 66},
  [18686] = {.lex_state = 0},
  [18687] = {.lex_state = 0, .external_lex_state = 66},
  [18688] = {.lex_state = 0},
  [18689] = {.lex_state = 0, .external_lex_state = 66},
  [18690] = {.lex_state = 0},
  [18691] = {.lex_state = 0},
  [18692] = {.lex_state = 0},
  [18693] = {.lex_state = 0},
  [18694] = {.lex_state = 0, .external_lex_state = 66},
  [18695] = {.lex_state = 0},
  [18696] = {.lex_state = 0},
  [18697] = {.lex_state = 64},
  [18698] = {.lex_state = 0},
  [18699] = {.lex_state = 0},
  [18700] = {.lex_state = 0},
  [18701] = {.lex_state = 0, .external_lex_state = 66},
  [18702] = {.lex_state = 0},
  [18703] = {.lex_state = 0, .external_lex_state = 66},
  [18704] = {.lex_state = 0},
  [18705] = {.lex_state = 0},
  [18706] = {.lex_state = 64, .external_lex_state = 48},
  [18707] = {.lex_state = 64},
  [18708] = {.lex_state = 0},
  [18709] = {.lex_state = 0},
  [18710] = {.lex_state = 0},
  [18711] = {.lex_state = 0},
  [18712] = {.lex_state = 0, .external_lex_state = 66},
  [18713] = {.lex_state = 64},
  [18714] = {.lex_state = 0},
  [18715] = {.lex_state = 64, .external_lex_state = 48},
  [18716] = {.lex_state = 0},
  [18717] = {.lex_state = 0},
  [18718] = {.lex_state = 0},
  [18719] = {.lex_state = 0, .external_lex_state = 66},
  [18720] = {.lex_state = 0, .external_lex_state = 66},
  [18721] = {.lex_state = 0},
  [18722] = {.lex_state = 0},
  [18723] = {.lex_state = 0},
  [18724] = {.lex_state = 0},
  [18725] = {.lex_state = 0, .external_lex_state = 66},
  [18726] = {.lex_state = 64, .external_lex_state = 48},
  [18727] = {.lex_state = 59},
  [18728] = {.lex_state = 0},
  [18729] = {.lex_state = 64, .external_lex_state = 48},
  [18730] = {.lex_state = 64},
  [18731] = {.lex_state = 0},
  [18732] = {.lex_state = 0, .external_lex_state = 66},
  [18733] = {.lex_state = 64, .external_lex_state = 48},
  [18734] = {.lex_state = 0},
  [18735] = {.lex_state = 64, .external_lex_state = 48},
  [18736] = {.lex_state = 0},
  [18737] = {.lex_state = 0},
  [18738] = {.lex_state = 64, .external_lex_state = 48},
  [18739] = {.lex_state = 0},
  [18740] = {.lex_state = 0},
  [18741] = {.lex_state = 0},
  [18742] = {.lex_state = 0},
  [18743] = {.lex_state = 0, .external_lex_state = 66},
  [18744] = {.lex_state = 0},
  [18745] = {.lex_state = 0},
  [18746] = {.lex_state = 0},
  [18747] = {.lex_state = 0},
  [18748] = {.lex_state = 0},
  [18749] = {.lex_state = 0},
  [18750] = {.lex_state = 0, .external_lex_state = 66},
  [18751] = {.lex_state = 0},
  [18752] = {.lex_state = 0},
  [18753] = {.lex_state = 0},
  [18754] = {.lex_state = 0},
  [18755] = {.lex_state = 0, .external_lex_state = 66},
  [18756] = {.lex_state = 0, .external_lex_state = 66},
  [18757] = {.lex_state = 0},
  [18758] = {.lex_state = 0},
  [18759] = {.lex_state = 0},
  [18760] = {.lex_state = 0, .external_lex_state = 66},
  [18761] = {.lex_state = 0},
  [18762] = {.lex_state = 64, .external_lex_state = 48},
  [18763] = {.lex_state = 64},
  [18764] = {.lex_state = 0},
  [18765] = {.lex_state = 0},
  [18766] = {.lex_state = 9},
  [18767] = {.lex_state = 0},
  [18768] = {.lex_state = 0, .external_lex_state = 66},
  [18769] = {.lex_state = 0},
  [18770] = {.lex_state = 0},
  [18771] = {.lex_state = 0},
  [18772] = {.lex_state = 0, .external_lex_state = 28},
  [18773] = {.lex_state = 0},
  [18774] = {.lex_state = 0},
  [18775] = {.lex_state = 0},
  [18776] = {.lex_state = 0},
  [18777] = {.lex_state = 0},
  [18778] = {.lex_state = 0},
  [18779] = {.lex_state = 0},
  [18780] = {.lex_state = 0},
  [18781] = {.lex_state = 9},
  [18782] = {.lex_state = 0},
  [18783] = {.lex_state = 64},
  [18784] = {.lex_state = 0},
  [18785] = {.lex_state = 0},
  [18786] = {.lex_state = 0},
  [18787] = {.lex_state = 9},
  [18788] = {.lex_state = 0},
  [18789] = {.lex_state = 0},
  [18790] = {.lex_state = 0},
  [18791] = {.lex_state = 9},
  [18792] = {.lex_state = 0},
  [18793] = {.lex_state = 0, .external_lex_state = 66},
  [18794] = {.lex_state = 0},
  [18795] = {.lex_state = 0},
  [18796] = {.lex_state = 64, .external_lex_state = 48},
  [18797] = {.lex_state = 0},
  [18798] = {.lex_state = 0, .external_lex_state = 66},
  [18799] = {.lex_state = 0, .external_lex_state = 66},
  [18800] = {.lex_state = 0},
  [18801] = {.lex_state = 0, .external_lex_state = 66},
  [18802] = {.lex_state = 64},
  [18803] = {.lex_state = 0},
  [18804] = {.lex_state = 0},
  [18805] = {.lex_state = 0},
  [18806] = {.lex_state = 0},
  [18807] = {.lex_state = 0},
  [18808] = {.lex_state = 0, .external_lex_state = 66},
  [18809] = {.lex_state = 0, .external_lex_state = 66},
  [18810] = {.lex_state = 0},
  [18811] = {.lex_state = 0},
  [18812] = {.lex_state = 0},
  [18813] = {.lex_state = 0},
  [18814] = {.lex_state = 0},
  [18815] = {.lex_state = 0},
  [18816] = {.lex_state = 64, .external_lex_state = 48},
  [18817] = {.lex_state = 0, .external_lex_state = 66},
  [18818] = {.lex_state = 0},
  [18819] = {.lex_state = 64, .external_lex_state = 48},
  [18820] = {.lex_state = 64},
  [18821] = {.lex_state = 0},
  [18822] = {.lex_state = 0},
  [18823] = {.lex_state = 0},
  [18824] = {.lex_state = 0},
  [18825] = {.lex_state = 0, .external_lex_state = 66},
  [18826] = {.lex_state = 0},
  [18827] = {.lex_state = 64},
  [18828] = {.lex_state = 0},
  [18829] = {.lex_state = 0},
  [18830] = {.lex_state = 0},
  [18831] = {.lex_state = 0},
  [18832] = {.lex_state = 0, .external_lex_state = 66},
  [18833] = {.lex_state = 0, .external_lex_state = 66},
  [18834] = {.lex_state = 0},
  [18835] = {.lex_state = 0},
  [18836] = {.lex_state = 0},
  [18837] = {.lex_state = 64},
  [18838] = {.lex_state = 0},
  [18839] = {.lex_state = 0, .external_lex_state = 66},
  [18840] = {.lex_state = 64},
  [18841] = {.lex_state = 0, .external_lex_state = 66},
  [18842] = {.lex_state = 0},
  [18843] = {.lex_state = 0, .external_lex_state = 66},
  [18844] = {.lex_state = 9},
  [18845] = {.lex_state = 64, .external_lex_state = 48},
  [18846] = {.lex_state = 0},
  [18847] = {.lex_state = 64, .external_lex_state = 48},
  [18848] = {.lex_state = 0},
  [18849] = {.lex_state = 9},
  [18850] = {.lex_state = 0, .external_lex_state = 66},
  [18851] = {.lex_state = 0},
  [18852] = {.lex_state = 0, .external_lex_state = 66},
  [18853] = {.lex_state = 0},
  [18854] = {.lex_state = 0},
  [18855] = {.lex_state = 0, .external_lex_state = 66},
  [18856] = {.lex_state = 64},
  [18857] = {.lex_state = 0},
  [18858] = {.lex_state = 0},
  [18859] = {.lex_state = 0, .external_lex_state = 66},
  [18860] = {.lex_state = 0},
  [18861] = {.lex_state = 0},
  [18862] = {.lex_state = 64, .external_lex_state = 48},
  [18863] = {.lex_state = 0},
  [18864] = {.lex_state = 0},
  [18865] = {.lex_state = 0},
  [18866] = {.lex_state = 0},
  [18867] = {.lex_state = 64},
  [18868] = {.lex_state = 0},
  [18869] = {.lex_state = 0},
  [18870] = {.lex_state = 0},
  [18871] = {.lex_state = 0},
  [18872] = {.lex_state = 0},
  [18873] = {.lex_state = 0},
  [18874] = {.lex_state = 0, .external_lex_state = 66},
  [18875] = {.lex_state = 0},
  [18876] = {.lex_state = 0},
  [18877] = {.lex_state = 0},
  [18878] = {.lex_state = 0, .external_lex_state = 66},
  [18879] = {.lex_state = 0},
  [18880] = {.lex_state = 0},
  [18881] = {.lex_state = 0},
  [18882] = {.lex_state = 0, .external_lex_state = 66},
  [18883] = {.lex_state = 0},
  [18884] = {.lex_state = 9},
  [18885] = {.lex_state = 0},
  [18886] = {.lex_state = 0, .external_lex_state = 66},
  [18887] = {.lex_state = 0},
  [18888] = {.lex_state = 0},
  [18889] = {.lex_state = 0},
  [18890] = {.lex_state = 0},
  [18891] = {.lex_state = 0},
  [18892] = {.lex_state = 0},
  [18893] = {.lex_state = 0},
  [18894] = {.lex_state = 0},
  [18895] = {.lex_state = 0},
  [18896] = {.lex_state = 0},
  [18897] = {.lex_state = 64, .external_lex_state = 48},
  [18898] = {.lex_state = 0},
  [18899] = {.lex_state = 9},
  [18900] = {.lex_state = 0},
  [18901] = {.lex_state = 0},
  [18902] = {.lex_state = 9},
  [18903] = {.lex_state = 0, .external_lex_state = 66},
  [18904] = {.lex_state = 0},
  [18905] = {.lex_state = 9},
  [18906] = {.lex_state = 0},
  [18907] = {.lex_state = 0},
  [18908] = {.lex_state = 0},
  [18909] = {.lex_state = 9},
  [18910] = {.lex_state = 0},
  [18911] = {.lex_state = 9},
  [18912] = {.lex_state = 0},
  [18913] = {.lex_state = 0},
  [18914] = {.lex_state = 0},
  [18915] = {.lex_state = 0, .external_lex_state = 66},
  [18916] = {.lex_state = 9},
  [18917] = {.lex_state = 9},
  [18918] = {.lex_state = 0, .external_lex_state = 66},
  [18919] = {.lex_state = 0},
  [18920] = {.lex_state = 64},
  [18921] = {.lex_state = 9},
  [18922] = {.lex_state = 0},
  [18923] = {.lex_state = 0},
  [18924] = {.lex_state = 0},
  [18925] = {.lex_state = 0},
  [18926] = {.lex_state = 64},
  [18927] = {.lex_state = 0, .external_lex_state = 66},
  [18928] = {.lex_state = 0},
  [18929] = {.lex_state = 9},
  [18930] = {.lex_state = 0},
  [18931] = {.lex_state = 0, .external_lex_state = 66},
  [18932] = {.lex_state = 0},
  [18933] = {.lex_state = 0},
  [18934] = {.lex_state = 0, .external_lex_state = 66},
  [18935] = {.lex_state = 0},
  [18936] = {.lex_state = 0},
  [18937] = {.lex_state = 64},
  [18938] = {.lex_state = 0},
  [18939] = {.lex_state = 0},
  [18940] = {.lex_state = 0},
  [18941] = {.lex_state = 0},
  [18942] = {.lex_state = 0},
  [18943] = {.lex_state = 0},
  [18944] = {.lex_state = 0},
  [18945] = {.lex_state = 0, .external_lex_state = 66},
  [18946] = {.lex_state = 0},
  [18947] = {.lex_state = 0},
  [18948] = {.lex_state = 0, .external_lex_state = 66},
  [18949] = {.lex_state = 0},
  [18950] = {.lex_state = 0, .external_lex_state = 66},
  [18951] = {.lex_state = 0},
  [18952] = {.lex_state = 0},
  [18953] = {.lex_state = 0},
  [18954] = {.lex_state = 0, .external_lex_state = 66},
  [18955] = {.lex_state = 0},
  [18956] = {.lex_state = 0},
  [18957] = {.lex_state = 64, .external_lex_state = 48},
  [18958] = {.lex_state = 0, .external_lex_state = 66},
  [18959] = {.lex_state = 0, .external_lex_state = 66},
  [18960] = {.lex_state = 0},
  [18961] = {.lex_state = 64},
  [18962] = {.lex_state = 0, .external_lex_state = 66},
  [18963] = {.lex_state = 0},
  [18964] = {.lex_state = 0},
  [18965] = {.lex_state = 0},
  [18966] = {.lex_state = 0},
  [18967] = {.lex_state = 0},
  [18968] = {.lex_state = 0},
  [18969] = {.lex_state = 0},
  [18970] = {.lex_state = 0},
  [18971] = {.lex_state = 0},
  [18972] = {.lex_state = 64},
  [18973] = {.lex_state = 0},
  [18974] = {.lex_state = 9},
  [18975] = {.lex_state = 0},
  [18976] = {.lex_state = 64},
  [18977] = {.lex_state = 64, .external_lex_state = 48},
  [18978] = {.lex_state = 0, .external_lex_state = 28},
  [18979] = {.lex_state = 64},
  [18980] = {.lex_state = 0},
  [18981] = {.lex_state = 0, .external_lex_state = 28},
  [18982] = {.lex_state = 0},
  [18983] = {.lex_state = 64},
  [18984] = {.lex_state = 0},
  [18985] = {.lex_state = 0, .external_lex_state = 66},
  [18986] = {.lex_state = 0, .external_lex_state = 66},
  [18987] = {.lex_state = 0},
  [18988] = {.lex_state = 0},
  [18989] = {.lex_state = 0},
  [18990] = {.lex_state = 0},
  [18991] = {.lex_state = 0},
  [18992] = {.lex_state = 0},
  [18993] = {.lex_state = 0},
  [18994] = {.lex_state = 0, .external_lex_state = 66},
  [18995] = {.lex_state = 0},
  [18996] = {.lex_state = 0},
  [18997] = {.lex_state = 0},
  [18998] = {.lex_state = 0, .external_lex_state = 66},
  [18999] = {.lex_state = 0},
  [19000] = {.lex_state = 0, .external_lex_state = 66},
  [19001] = {.lex_state = 0, .external_lex_state = 28},
  [19002] = {.lex_state = 0},
  [19003] = {.lex_state = 0},
  [19004] = {.lex_state = 0, .external_lex_state = 66},
  [19005] = {.lex_state = 0},
  [19006] = {.lex_state = 0, .external_lex_state = 66},
  [19007] = {.lex_state = 0, .external_lex_state = 66},
  [19008] = {.lex_state = 0},
  [19009] = {.lex_state = 0},
  [19010] = {.lex_state = 64, .external_lex_state = 48},
  [19011] = {.lex_state = 0, .external_lex_state = 28},
  [19012] = {.lex_state = 0, .external_lex_state = 66},
  [19013] = {.lex_state = 0},
  [19014] = {.lex_state = 0, .external_lex_state = 66},
  [19015] = {.lex_state = 0},
  [19016] = {.lex_state = 0, .external_lex_state = 66},
  [19017] = {.lex_state = 0},
  [19018] = {.lex_state = 0},
  [19019] = {.lex_state = 0, .external_lex_state = 66},
  [19020] = {.lex_state = 0},
  [19021] = {.lex_state = 0, .external_lex_state = 28},
  [19022] = {.lex_state = 0},
  [19023] = {.lex_state = 0},
  [19024] = {.lex_state = 0, .external_lex_state = 66},
  [19025] = {.lex_state = 0, .external_lex_state = 66},
  [19026] = {.lex_state = 0},
  [19027] = {.lex_state = 0},
  [19028] = {.lex_state = 64, .external_lex_state = 48},
  [19029] = {.lex_state = 0, .external_lex_state = 28},
  [19030] = {.lex_state = 64, .external_lex_state = 48},
  [19031] = {.lex_state = 0},
  [19032] = {.lex_state = 0},
  [19033] = {.lex_state = 0, .external_lex_state = 66},
  [19034] = {.lex_state = 64, .external_lex_state = 48},
  [19035] = {.lex_state = 0},
  [19036] = {.lex_state = 0},
  [19037] = {.lex_state = 0, .external_lex_state = 28},
  [19038] = {.lex_state = 0},
  [19039] = {.lex_state = 0},
  [19040] = {.lex_state = 0},
  [19041] = {.lex_state = 0, .external_lex_state = 66},
  [19042] = {.lex_state = 0},
  [19043] = {.lex_state = 0},
  [19044] = {.lex_state = 0, .external_lex_state = 66},
  [19045] = {.lex_state = 0, .external_lex_state = 28},
  [19046] = {.lex_state = 0, .external_lex_state = 66},
  [19047] = {.lex_state = 0},
  [19048] = {.lex_state = 0},
  [19049] = {.lex_state = 9},
  [19050] = {.lex_state = 9},
  [19051] = {.lex_state = 0},
  [19052] = {.lex_state = 0},
  [19053] = {.lex_state = 0, .external_lex_state = 28},
  [19054] = {.lex_state = 0, .external_lex_state = 66},
  [19055] = {.lex_state = 0},
  [19056] = {.lex_state = 0, .external_lex_state = 66},
  [19057] = {.lex_state = 0},
  [19058] = {.lex_state = 9},
  [19059] = {.lex_state = 0},
  [19060] = {.lex_state = 9},
  [19061] = {.lex_state = 0, .external_lex_state = 28},
  [19062] = {.lex_state = 0},
  [19063] = {.lex_state = 0},
  [19064] = {.lex_state = 9},
  [19065] = {.lex_state = 0, .external_lex_state = 66},
  [19066] = {.lex_state = 64, .external_lex_state = 48},
  [19067] = {.lex_state = 0},
  [19068] = {.lex_state = 0, .external_lex_state = 28},
  [19069] = {.lex_state = 0, .external_lex_state = 28},
  [19070] = {.lex_state = 9},
  [19071] = {.lex_state = 0},
  [19072] = {.lex_state = 0, .external_lex_state = 66},
  [19073] = {.lex_state = 0, .external_lex_state = 66},
  [19074] = {.lex_state = 0},
  [19075] = {.lex_state = 0},
  [19076] = {.lex_state = 0, .external_lex_state = 66},
  [19077] = {.lex_state = 0, .external_lex_state = 28},
  [19078] = {.lex_state = 0},
  [19079] = {.lex_state = 0},
  [19080] = {.lex_state = 9},
  [19081] = {.lex_state = 0},
  [19082] = {.lex_state = 0},
  [19083] = {.lex_state = 0},
  [19084] = {.lex_state = 0, .external_lex_state = 66},
  [19085] = {.lex_state = 0, .external_lex_state = 28},
  [19086] = {.lex_state = 9},
  [19087] = {.lex_state = 64, .external_lex_state = 48},
  [19088] = {.lex_state = 9},
  [19089] = {.lex_state = 0},
  [19090] = {.lex_state = 9},
  [19091] = {.lex_state = 0},
  [19092] = {.lex_state = 0, .external_lex_state = 66},
  [19093] = {.lex_state = 0, .external_lex_state = 28},
  [19094] = {.lex_state = 0},
  [19095] = {.lex_state = 0},
  [19096] = {.lex_state = 64, .external_lex_state = 48},
  [19097] = {.lex_state = 0},
  [19098] = {.lex_state = 0},
  [19099] = {.lex_state = 0},
  [19100] = {.lex_state = 0, .external_lex_state = 66},
  [19101] = {.lex_state = 0, .external_lex_state = 28},
  [19102] = {.lex_state = 0},
  [19103] = {.lex_state = 0, .external_lex_state = 66},
  [19104] = {.lex_state = 64},
  [19105] = {.lex_state = 0},
  [19106] = {.lex_state = 0},
  [19107] = {.lex_state = 0},
  [19108] = {.lex_state = 0},
  [19109] = {.lex_state = 0, .external_lex_state = 28},
  [19110] = {.lex_state = 64, .external_lex_state = 48},
  [19111] = {.lex_state = 0},
  [19112] = {.lex_state = 0},
  [19113] = {.lex_state = 0},
  [19114] = {.lex_state = 0},
  [19115] = {.lex_state = 0},
  [19116] = {.lex_state = 0},
  [19117] = {.lex_state = 0, .external_lex_state = 28},
  [19118] = {.lex_state = 0},
  [19119] = {.lex_state = 0, .external_lex_state = 66},
  [19120] = {.lex_state = 0},
  [19121] = {.lex_state = 0},
  [19122] = {.lex_state = 0},
  [19123] = {.lex_state = 0},
  [19124] = {.lex_state = 0},
  [19125] = {.lex_state = 0, .external_lex_state = 28},
  [19126] = {.lex_state = 0},
  [19127] = {.lex_state = 0},
  [19128] = {.lex_state = 0},
  [19129] = {.lex_state = 64},
  [19130] = {.lex_state = 0},
  [19131] = {.lex_state = 59},
  [19132] = {.lex_state = 0, .external_lex_state = 28},
  [19133] = {.lex_state = 0},
  [19134] = {.lex_state = 0, .external_lex_state = 66},
  [19135] = {.lex_state = 64},
  [19136] = {.lex_state = 0},
  [19137] = {.lex_state = 0},
  [19138] = {.lex_state = 0},
  [19139] = {.lex_state = 0, .external_lex_state = 28},
  [19140] = {.lex_state = 64, .external_lex_state = 48},
  [19141] = {.lex_state = 64},
  [19142] = {.lex_state = 0},
  [19143] = {.lex_state = 9},
  [19144] = {.lex_state = 0},
  [19145] = {.lex_state = 59},
  [19146] = {.lex_state = 0, .external_lex_state = 28},
  [19147] = {.lex_state = 0, .external_lex_state = 66},
  [19148] = {.lex_state = 64, .external_lex_state = 48},
  [19149] = {.lex_state = 0},
  [19150] = {.lex_state = 0, .external_lex_state = 66},
  [19151] = {.lex_state = 0},
  [19152] = {.lex_state = 0},
  [19153] = {.lex_state = 0, .external_lex_state = 28},
  [19154] = {.lex_state = 0},
  [19155] = {.lex_state = 0},
  [19156] = {.lex_state = 0},
  [19157] = {.lex_state = 0},
  [19158] = {.lex_state = 0},
  [19159] = {.lex_state = 0, .external_lex_state = 66},
  [19160] = {.lex_state = 0, .external_lex_state = 28},
  [19161] = {.lex_state = 0},
  [19162] = {.lex_state = 0, .external_lex_state = 66},
  [19163] = {.lex_state = 0},
  [19164] = {.lex_state = 9},
  [19165] = {.lex_state = 0},
  [19166] = {.lex_state = 0},
  [19167] = {.lex_state = 0, .external_lex_state = 28},
  [19168] = {.lex_state = 0},
  [19169] = {.lex_state = 0},
  [19170] = {.lex_state = 0, .external_lex_state = 66},
  [19171] = {.lex_state = 0},
  [19172] = {.lex_state = 0},
  [19173] = {.lex_state = 9},
  [19174] = {.lex_state = 0, .external_lex_state = 28},
  [19175] = {.lex_state = 0, .external_lex_state = 66},
  [19176] = {.lex_state = 0},
  [19177] = {.lex_state = 0},
  [19178] = {.lex_state = 0, .external_lex_state = 66},
  [19179] = {.lex_state = 0},
  [19180] = {.lex_state = 9},
  [19181] = {.lex_state = 0, .external_lex_state = 28},
  [19182] = {.lex_state = 9},
  [19183] = {.lex_state = 0, .external_lex_state = 66},
  [19184] = {.lex_state = 9},
  [19185] = {.lex_state = 0},
  [19186] = {.lex_state = 0},
  [19187] = {.lex_state = 0, .external_lex_state = 66},
  [19188] = {.lex_state = 0, .external_lex_state = 28},
  [19189] = {.lex_state = 0, .external_lex_state = 66},
  [19190] = {.lex_state = 0, .external_lex_state = 66},
  [19191] = {.lex_state = 0, .external_lex_state = 66},
  [19192] = {.lex_state = 0, .external_lex_state = 66},
  [19193] = {.lex_state = 0},
  [19194] = {.lex_state = 0, .external_lex_state = 66},
  [19195] = {.lex_state = 0, .external_lex_state = 28},
  [19196] = {.lex_state = 64, .external_lex_state = 48},
  [19197] = {.lex_state = 0},
  [19198] = {.lex_state = 0},
  [19199] = {.lex_state = 0},
  [19200] = {.lex_state = 0},
  [19201] = {.lex_state = 0},
  [19202] = {.lex_state = 0, .external_lex_state = 28},
  [19203] = {.lex_state = 0},
  [19204] = {.lex_state = 0, .external_lex_state = 66},
  [19205] = {.lex_state = 0},
  [19206] = {.lex_state = 59},
  [19207] = {.lex_state = 0},
  [19208] = {.lex_state = 0},
  [19209] = {.lex_state = 0, .external_lex_state = 28},
  [19210] = {.lex_state = 0, .external_lex_state = 66},
  [19211] = {.lex_state = 64, .external_lex_state = 48},
  [19212] = {.lex_state = 0, .external_lex_state = 66},
  [19213] = {.lex_state = 0, .external_lex_state = 66},
  [19214] = {.lex_state = 0},
  [19215] = {.lex_state = 9},
  [19216] = {.lex_state = 0, .external_lex_state = 28},
  [19217] = {.lex_state = 0},
  [19218] = {.lex_state = 0},
  [19219] = {.lex_state = 64, .external_lex_state = 48},
  [19220] = {.lex_state = 0, .external_lex_state = 66},
  [19221] = {.lex_state = 0},
  [19222] = {.lex_state = 0},
  [19223] = {.lex_state = 0, .external_lex_state = 28},
  [19224] = {.lex_state = 59},
  [19225] = {.lex_state = 64},
  [19226] = {.lex_state = 0},
  [19227] = {.lex_state = 0, .external_lex_state = 66},
  [19228] = {.lex_state = 0},
  [19229] = {.lex_state = 0},
  [19230] = {.lex_state = 0, .external_lex_state = 28},
  [19231] = {.lex_state = 0, .external_lex_state = 66},
  [19232] = {.lex_state = 0},
  [19233] = {.lex_state = 59},
  [19234] = {.lex_state = 0},
  [19235] = {.lex_state = 0},
  [19236] = {.lex_state = 64, .external_lex_state = 48},
  [19237] = {.lex_state = 0, .external_lex_state = 28},
  [19238] = {.lex_state = 0},
  [19239] = {.lex_state = 0},
  [19240] = {.lex_state = 160},
  [19241] = {.lex_state = 0, .external_lex_state = 66},
  [19242] = {.lex_state = 0},
  [19243] = {.lex_state = 0},
  [19244] = {.lex_state = 0, .external_lex_state = 28},
  [19245] = {.lex_state = 0},
  [19246] = {.lex_state = 0},
  [19247] = {.lex_state = 0},
  [19248] = {.lex_state = 64, .external_lex_state = 48},
  [19249] = {.lex_state = 0},
  [19250] = {.lex_state = 0},
  [19251] = {.lex_state = 0, .external_lex_state = 28},
  [19252] = {.lex_state = 0},
  [19253] = {.lex_state = 0},
  [19254] = {.lex_state = 9},
  [19255] = {.lex_state = 0},
  [19256] = {.lex_state = 0},
  [19257] = {.lex_state = 0},
  [19258] = {.lex_state = 0, .external_lex_state = 28},
  [19259] = {.lex_state = 0},
  [19260] = {.lex_state = 0},
  [19261] = {.lex_state = 9},
  [19262] = {.lex_state = 9},
  [19263] = {.lex_state = 0},
  [19264] = {.lex_state = 0},
  [19265] = {.lex_state = 0, .external_lex_state = 28},
  [19266] = {.lex_state = 9},
  [19267] = {.lex_state = 0},
  [19268] = {.lex_state = 9},
  [19269] = {.lex_state = 0},
  [19270] = {.lex_state = 0},
  [19271] = {.lex_state = 0},
  [19272] = {.lex_state = 0, .external_lex_state = 28},
  [19273] = {.lex_state = 0, .external_lex_state = 66},
  [19274] = {.lex_state = 0},
  [19275] = {.lex_state = 0},
  [19276] = {.lex_state = 0, .external_lex_state = 66},
  [19277] = {.lex_state = 0},
  [19278] = {.lex_state = 9},
  [19279] = {.lex_state = 0, .external_lex_state = 28},
  [19280] = {.lex_state = 0, .external_lex_state = 66},
  [19281] = {.lex_state = 0, .external_lex_state = 66},
  [19282] = {.lex_state = 0},
  [19283] = {.lex_state = 0},
  [19284] = {.lex_state = 0},
  [19285] = {.lex_state = 0},
  [19286] = {.lex_state = 0, .external_lex_state = 28},
  [19287] = {.lex_state = 64},
  [19288] = {.lex_state = 0, .external_lex_state = 66},
  [19289] = {.lex_state = 9},
  [19290] = {.lex_state = 0},
  [19291] = {.lex_state = 0},
  [19292] = {.lex_state = 0},
  [19293] = {.lex_state = 0, .external_lex_state = 28},
  [19294] = {.lex_state = 0},
  [19295] = {.lex_state = 0},
  [19296] = {.lex_state = 0},
  [19297] = {.lex_state = 0},
  [19298] = {.lex_state = 0},
  [19299] = {.lex_state = 0, .external_lex_state = 66},
  [19300] = {.lex_state = 0, .external_lex_state = 28},
  [19301] = {.lex_state = 0},
  [19302] = {.lex_state = 9},
  [19303] = {.lex_state = 0, .external_lex_state = 66},
  [19304] = {.lex_state = 64, .external_lex_state = 48},
  [19305] = {.lex_state = 0},
  [19306] = {.lex_state = 0, .external_lex_state = 66},
  [19307] = {.lex_state = 0, .external_lex_state = 28},
  [19308] = {.lex_state = 64},
  [19309] = {.lex_state = 0},
  [19310] = {.lex_state = 0},
  [19311] = {.lex_state = 9},
  [19312] = {.lex_state = 0},
  [19313] = {.lex_state = 0, .external_lex_state = 66},
  [19314] = {.lex_state = 0, .external_lex_state = 28},
  [19315] = {.lex_state = 64, .external_lex_state = 48},
  [19316] = {.lex_state = 64},
  [19317] = {.lex_state = 9},
  [19318] = {.lex_state = 0},
  [19319] = {.lex_state = 0},
  [19320] = {.lex_state = 0},
  [19321] = {.lex_state = 0, .external_lex_state = 28},
  [19322] = {.lex_state = 0},
  [19323] = {.lex_state = 0, .external_lex_state = 66},
  [19324] = {.lex_state = 0},
  [19325] = {.lex_state = 9},
  [19326] = {.lex_state = 0},
  [19327] = {.lex_state = 0},
  [19328] = {.lex_state = 0, .external_lex_state = 28},
  [19329] = {.lex_state = 9},
  [19330] = {.lex_state = 0},
  [19331] = {.lex_state = 0, .external_lex_state = 66},
  [19332] = {.lex_state = 0},
  [19333] = {.lex_state = 0},
  [19334] = {.lex_state = 0},
  [19335] = {.lex_state = 0, .external_lex_state = 28},
  [19336] = {.lex_state = 9},
  [19337] = {.lex_state = 0},
  [19338] = {.lex_state = 9},
  [19339] = {.lex_state = 0, .external_lex_state = 66},
  [19340] = {.lex_state = 0},
  [19341] = {.lex_state = 0},
  [19342] = {.lex_state = 0, .external_lex_state = 28},
  [19343] = {.lex_state = 9},
  [19344] = {.lex_state = 0},
  [19345] = {.lex_state = 0},
  [19346] = {.lex_state = 0},
  [19347] = {.lex_state = 0},
  [19348] = {.lex_state = 64},
  [19349] = {.lex_state = 0, .external_lex_state = 28},
  [19350] = {.lex_state = 0},
  [19351] = {.lex_state = 0},
  [19352] = {.lex_state = 0},
  [19353] = {.lex_state = 0},
  [19354] = {.lex_state = 0},
  [19355] = {.lex_state = 0, .external_lex_state = 66},
  [19356] = {.lex_state = 0, .external_lex_state = 28},
  [19357] = {.lex_state = 64, .external_lex_state = 48},
  [19358] = {.lex_state = 64, .external_lex_state = 48},
  [19359] = {.lex_state = 0},
  [19360] = {.lex_state = 0},
  [19361] = {.lex_state = 0},
  [19362] = {.lex_state = 0, .external_lex_state = 66},
  [19363] = {.lex_state = 0, .external_lex_state = 28},
  [19364] = {.lex_state = 0, .external_lex_state = 66},
  [19365] = {.lex_state = 0, .external_lex_state = 66},
  [19366] = {.lex_state = 0},
  [19367] = {.lex_state = 0, .external_lex_state = 66},
  [19368] = {.lex_state = 0},
  [19369] = {.lex_state = 0},
  [19370] = {.lex_state = 0, .external_lex_state = 28},
  [19371] = {.lex_state = 0},
  [19372] = {.lex_state = 0},
  [19373] = {.lex_state = 0},
  [19374] = {.lex_state = 0, .external_lex_state = 66},
  [19375] = {.lex_state = 0},
  [19376] = {.lex_state = 0},
  [19377] = {.lex_state = 0, .external_lex_state = 28},
  [19378] = {.lex_state = 64, .external_lex_state = 48},
  [19379] = {.lex_state = 0},
  [19380] = {.lex_state = 0},
  [19381] = {.lex_state = 0},
  [19382] = {.lex_state = 0},
  [19383] = {.lex_state = 0},
  [19384] = {.lex_state = 0, .external_lex_state = 28},
  [19385] = {.lex_state = 0},
  [19386] = {.lex_state = 0, .external_lex_state = 66},
  [19387] = {.lex_state = 0},
  [19388] = {.lex_state = 0},
  [19389] = {.lex_state = 0},
  [19390] = {.lex_state = 64, .external_lex_state = 48},
  [19391] = {.lex_state = 0, .external_lex_state = 28},
  [19392] = {.lex_state = 64},
  [19393] = {.lex_state = 0},
  [19394] = {.lex_state = 64},
  [19395] = {.lex_state = 9},
  [19396] = {.lex_state = 0, .external_lex_state = 28},
  [19397] = {.lex_state = 0},
  [19398] = {.lex_state = 0, .external_lex_state = 66},
  [19399] = {.lex_state = 0, .external_lex_state = 66},
  [19400] = {.lex_state = 9},
  [19401] = {.lex_state = 0, .external_lex_state = 28},
  [19402] = {.lex_state = 9},
  [19403] = {.lex_state = 0},
  [19404] = {.lex_state = 9},
  [19405] = {.lex_state = 0, .external_lex_state = 66},
  [19406] = {.lex_state = 0, .external_lex_state = 28},
  [19407] = {.lex_state = 0},
  [19408] = {.lex_state = 64, .external_lex_state = 48},
  [19409] = {.lex_state = 64},
  [19410] = {.lex_state = 0, .external_lex_state = 66},
  [19411] = {.lex_state = 0, .external_lex_state = 28},
  [19412] = {.lex_state = 0},
  [19413] = {.lex_state = 0, .external_lex_state = 66},
  [19414] = {.lex_state = 0},
  [19415] = {.lex_state = 0},
  [19416] = {.lex_state = 0, .external_lex_state = 28},
  [19417] = {.lex_state = 64, .external_lex_state = 48},
  [19418] = {.lex_state = 0, .external_lex_state = 66},
  [19419] = {.lex_state = 0},
  [19420] = {.lex_state = 0},
  [19421] = {.lex_state = 0, .external_lex_state = 28},
  [19422] = {.lex_state = 0},
  [19423] = {.lex_state = 0},
  [19424] = {.lex_state = 0},
  [19425] = {.lex_state = 0, .external_lex_state = 66},
  [19426] = {.lex_state = 0, .external_lex_state = 28},
  [19427] = {.lex_state = 0, .external_lex_state = 66},
  [19428] = {.lex_state = 64, .external_lex_state = 48},
  [19429] = {.lex_state = 0, .external_lex_state = 66},
  [19430] = {.lex_state = 0},
  [19431] = {.lex_state = 0, .external_lex_state = 28},
  [19432] = {.lex_state = 0},
  [19433] = {.lex_state = 64},
  [19434] = {.lex_state = 0},
  [19435] = {.lex_state = 0, .external_lex_state = 66},
  [19436] = {.lex_state = 0, .external_lex_state = 28},
  [19437] = {.lex_state = 0},
  [19438] = {.lex_state = 0},
  [19439] = {.lex_state = 0},
  [19440] = {.lex_state = 0},
  [19441] = {.lex_state = 0, .external_lex_state = 28},
  [19442] = {.lex_state = 64, .external_lex_state = 48},
  [19443] = {.lex_state = 0},
  [19444] = {.lex_state = 0},
  [19445] = {.lex_state = 0},
  [19446] = {.lex_state = 0, .external_lex_state = 28},
  [19447] = {.lex_state = 0, .external_lex_state = 28},
  [19448] = {.lex_state = 0, .external_lex_state = 28},
  [19449] = {.lex_state = 0, .external_lex_state = 28},
  [19450] = {.lex_state = 0, .external_lex_state = 28},
  [19451] = {.lex_state = 0, .external_lex_state = 28},
  [19452] = {.lex_state = 0, .external_lex_state = 28},
  [19453] = {.lex_state = 0, .external_lex_state = 28},
  [19454] = {.lex_state = 0, .external_lex_state = 28},
  [19455] = {.lex_state = 0, .external_lex_state = 28},
  [19456] = {.lex_state = 0, .external_lex_state = 28},
  [19457] = {.lex_state = 0, .external_lex_state = 28},
  [19458] = {.lex_state = 0, .external_lex_state = 28},
  [19459] = {.lex_state = 0, .external_lex_state = 28},
  [19460] = {.lex_state = 0, .external_lex_state = 28},
  [19461] = {.lex_state = 0, .external_lex_state = 28},
  [19462] = {.lex_state = 0, .external_lex_state = 28},
  [19463] = {.lex_state = 0, .external_lex_state = 28},
  [19464] = {.lex_state = 0, .external_lex_state = 28},
  [19465] = {.lex_state = 0, .external_lex_state = 28},
  [19466] = {.lex_state = 0, .external_lex_state = 28},
  [19467] = {.lex_state = 0, .external_lex_state = 28},
  [19468] = {.lex_state = 0, .external_lex_state = 28},
  [19469] = {.lex_state = 0, .external_lex_state = 28},
  [19470] = {.lex_state = 0, .external_lex_state = 28},
  [19471] = {.lex_state = 0, .external_lex_state = 28},
  [19472] = {.lex_state = 0, .external_lex_state = 28},
  [19473] = {.lex_state = 0, .external_lex_state = 28},
  [19474] = {.lex_state = 0, .external_lex_state = 28},
  [19475] = {.lex_state = 0, .external_lex_state = 28},
  [19476] = {.lex_state = 0, .external_lex_state = 28},
  [19477] = {.lex_state = 0, .external_lex_state = 28},
  [19478] = {.lex_state = 0, .external_lex_state = 28},
  [19479] = {.lex_state = 0, .external_lex_state = 28},
  [19480] = {.lex_state = 0, .external_lex_state = 28},
  [19481] = {.lex_state = 0, .external_lex_state = 28},
  [19482] = {.lex_state = 0, .external_lex_state = 28},
  [19483] = {.lex_state = 0, .external_lex_state = 28},
  [19484] = {.lex_state = 0, .external_lex_state = 28},
  [19485] = {.lex_state = 0, .external_lex_state = 28},
  [19486] = {.lex_state = 0, .external_lex_state = 28},
  [19487] = {.lex_state = 0, .external_lex_state = 28},
  [19488] = {.lex_state = 0, .external_lex_state = 28},
  [19489] = {.lex_state = 0, .external_lex_state = 28},
  [19490] = {.lex_state = 0, .external_lex_state = 28},
  [19491] = {.lex_state = 0, .external_lex_state = 28},
  [19492] = {.lex_state = 0, .external_lex_state = 28},
  [19493] = {.lex_state = 0, .external_lex_state = 28},
  [19494] = {.lex_state = 0, .external_lex_state = 28},
  [19495] = {.lex_state = 0, .external_lex_state = 28},
  [19496] = {.lex_state = 0, .external_lex_state = 28},
  [19497] = {.lex_state = 0, .external_lex_state = 28},
  [19498] = {.lex_state = 0},
  [19499] = {.lex_state = 0},
  [19500] = {.lex_state = 0},
  [19501] = {.lex_state = 0},
  [19502] = {.lex_state = 0, .external_lex_state = 66},
  [19503] = {.lex_state = 0, .external_lex_state = 66},
  [19504] = {.lex_state = 9},
  [19505] = {.lex_state = 0},
  [19506] = {.lex_state = 9},
  [19507] = {.lex_state = 0, .external_lex_state = 66},
  [19508] = {.lex_state = 64, .external_lex_state = 48},
  [19509] = {.lex_state = 0},
  [19510] = {.lex_state = 0, .external_lex_state = 66},
  [19511] = {.lex_state = 9},
  [19512] = {.lex_state = 0},
  [19513] = {.lex_state = 0},
  [19514] = {.lex_state = 0, .external_lex_state = 66},
  [19515] = {.lex_state = 9},
  [19516] = {.lex_state = 0},
  [19517] = {.lex_state = 0, .external_lex_state = 66},
  [19518] = {.lex_state = 0},
  [19519] = {.lex_state = 0},
  [19520] = {.lex_state = 0},
  [19521] = {.lex_state = 9},
  [19522] = {.lex_state = 9},
  [19523] = {.lex_state = 9},
  [19524] = {.lex_state = 64, .external_lex_state = 48},
  [19525] = {.lex_state = 0},
  [19526] = {.lex_state = 0},
  [19527] = {.lex_state = 0, .external_lex_state = 66},
  [19528] = {.lex_state = 0},
  [19529] = {.lex_state = 9},
  [19530] = {.lex_state = 0},
  [19531] = {.lex_state = 64, .external_lex_state = 48},
  [19532] = {.lex_state = 9},
  [19533] = {.lex_state = 0},
  [19534] = {.lex_state = 9},
  [19535] = {.lex_state = 0},
  [19536] = {.lex_state = 64},
  [19537] = {.lex_state = 0, .external_lex_state = 66},
  [19538] = {.lex_state = 9},
  [19539] = {.lex_state = 0},
  [19540] = {.lex_state = 0},
  [19541] = {.lex_state = 0, .external_lex_state = 66},
  [19542] = {.lex_state = 0, .external_lex_state = 66},
  [19543] = {.lex_state = 0, .external_lex_state = 66},
  [19544] = {.lex_state = 64, .external_lex_state = 48},
  [19545] = {.lex_state = 0},
  [19546] = {.lex_state = 0, .external_lex_state = 66},
  [19547] = {.lex_state = 0},
  [19548] = {.lex_state = 9},
  [19549] = {.lex_state = 0},
  [19550] = {.lex_state = 0},
  [19551] = {.lex_state = 0},
  [19552] = {.lex_state = 0},
  [19553] = {.lex_state = 64, .external_lex_state = 48},
  [19554] = {.lex_state = 0, .external_lex_state = 66},
  [19555] = {.lex_state = 0},
  [19556] = {.lex_state = 0, .external_lex_state = 66},
  [19557] = {.lex_state = 0},
  [19558] = {.lex_state = 64, .external_lex_state = 48},
  [19559] = {.lex_state = 64, .external_lex_state = 48},
  [19560] = {.lex_state = 64},
  [19561] = {.lex_state = 64, .external_lex_state = 48},
  [19562] = {.lex_state = 64, .external_lex_state = 48},
  [19563] = {.lex_state = 0},
  [19564] = {(TSStateId)(-1)},
  [19565] = {(TSStateId)(-1)},
  [19566] = {(TSStateId)(-1)},
  [19567] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_comment] = STATE(0),
    [sym_block_comment] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__alpha_identifier] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_given] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_trait] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_LT_COLON] = ACTIONS(1),
    [anon_sym_GT_COLON] = ACTIONS(1),
    [anon_sym_LT_PERCENT] = ACTIONS(1),
    [anon_sym_end] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_this] = ACTIONS(1),
    [anon_sym_extension] = ACTIONS(1),
    [anon_sym_val] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_def] = ACTIONS(1),
    [anon_sym_opaque] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_final] = ACTIONS(1),
    [anon_sym_sealed] = ACTIONS(1),
    [anon_sym_implicit] = ACTIONS(1),
    [anon_sym_lazy] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym_infix] = ACTIONS(1),
    [anon_sym_open] = ACTIONS(1),
    [anon_sym_transparent] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_derives] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_QMARK_EQ_GT] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_macro] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [sym__backquoted_id] = ACTIONS(1),
    [sym_integer_literal] = ACTIONS(1),
    [sym_floating_point_literal] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [sym_character_literal] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1),
    [sym_null_literal] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [sym__interpolated_string_middle] = ACTIONS(1),
    [sym__interpolated_string_end] = ACTIONS(1),
    [sym__interpolated_multiline_string_middle] = ACTIONS(1),
    [sym__interpolated_multiline_string_end] = ACTIONS(1),
    [sym__outdent] = ACTIONS(1),
    [sym__simple_multiline_string] = ACTIONS(1),
    [sym__simple_string] = ACTIONS(1),
  },
  [1] = {
    [sym_compilation_unit] = STATE(18195),
    [sym__top_level_definition] = STATE(15708),
    [sym_enum_definition] = STATE(16313),
    [sym_package_clause] = STATE(16313),
    [sym_package_object] = STATE(16313),
    [sym_import_declaration] = STATE(16313),
    [sym_export_declaration] = STATE(16313),
    [sym_object_definition] = STATE(16313),
    [sym_class_definition] = STATE(16313),
    [sym_trait_definition] = STATE(16313),
    [sym_type_parameters] = STATE(17944),
    [sym__end_marker] = STATE(16313),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(16313),
    [sym_val_declaration] = STATE(16313),
    [sym__start_val] = STATE(4323),
    [sym_var_declaration] = STATE(16313),
    [sym_var_definition] = STATE(16313),
    [sym__start_var] = STATE(4309),
    [sym_type_definition] = STATE(16313),
    [sym_function_definition] = STATE(16313),
    [sym_function_declaration] = STATE(16313),
    [sym__function_declaration] = STATE(15128),
    [sym_opaque_modifier] = STATE(18304),
    [sym_extension_definition] = STATE(16313),
    [sym_given_definition] = STATE(16313),
    [sym_modifiers] = STATE(13921),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(537),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym_block] = STATE(10944),
    [sym_expression] = STATE(15180),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym__shebang] = STATE(140),
    [sym_comment] = STATE(1),
    [sym_block_comment] = STATE(1),
    [aux_sym_enum_definition_repeat1] = STATE(4495),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_given] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_extension] = ACTIONS(49),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_def] = ACTIONS(59),
    [anon_sym_opaque] = ACTIONS(61),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(65),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_transparent] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [aux_sym__shebang_token1] = ACTIONS(103),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [2] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(17048),
    [sym_context_bound] = STATE(17049),
    [sym_template_body] = STATE(8040),
    [sym__indented_template_body] = STATE(8186),
    [sym__braced_template_body] = STATE(8186),
    [sym__braced_template_body1] = STATE(17968),
    [sym__braced_template_body2] = STATE(17968),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym__type] = STATE(15429),
    [sym__annotated_type] = STATE(4873),
    [sym_annotated_type] = STATE(7711),
    [sym__simple_type] = STATE(4932),
    [sym_compound_type] = STATE(8744),
    [sym__structural_type] = STATE(8303),
    [sym__infix_type_choice] = STATE(13556),
    [sym_infix_type] = STATE(8744),
    [sym_tuple_type] = STATE(5753),
    [sym_named_tuple_type] = STATE(5753),
    [sym_singleton_type] = STATE(5753),
    [sym_stable_type_identifier] = STATE(5753),
    [sym_stable_identifier] = STATE(19114),
    [sym_generic_type] = STATE(5753),
    [sym_projected_type] = STATE(5753),
    [sym_match_type] = STATE(8303),
    [sym_function_type] = STATE(8303),
    [sym_parameter_types] = STATE(16984),
    [sym__type_identifier] = STATE(5753),
    [sym_type_lambda] = STATE(8303),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(4651),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(6434),
    [sym__non_null_literal] = STATE(10230),
    [sym_literal_type] = STATE(9983),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(2),
    [sym_block_comment] = STATE(2),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(107),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_LBRACE] = ACTIONS(111),
    [anon_sym_RBRACE] = ACTIONS(113),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(115),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(119),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(141),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(145),
    [anon_sym_infix] = ACTIONS(147),
    [anon_sym_open] = ACTIONS(149),
    [anon_sym_transparent] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(163),
    [sym_operator_identifier] = ACTIONS(165),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [3] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(17048),
    [sym_context_bound] = STATE(17309),
    [sym_template_body] = STATE(8040),
    [sym__indented_template_body] = STATE(8186),
    [sym__braced_template_body] = STATE(8186),
    [sym__braced_template_body1] = STATE(18753),
    [sym__braced_template_body2] = STATE(18753),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym__type] = STATE(15429),
    [sym__annotated_type] = STATE(4873),
    [sym_annotated_type] = STATE(7711),
    [sym__simple_type] = STATE(4932),
    [sym_compound_type] = STATE(8744),
    [sym__structural_type] = STATE(8303),
    [sym__infix_type_choice] = STATE(13556),
    [sym_infix_type] = STATE(8744),
    [sym_tuple_type] = STATE(5753),
    [sym_named_tuple_type] = STATE(5753),
    [sym_singleton_type] = STATE(5753),
    [sym_stable_type_identifier] = STATE(5753),
    [sym_stable_identifier] = STATE(19114),
    [sym_generic_type] = STATE(5753),
    [sym_projected_type] = STATE(5753),
    [sym_match_type] = STATE(8303),
    [sym_function_type] = STATE(8303),
    [sym_parameter_types] = STATE(16984),
    [sym__type_identifier] = STATE(5753),
    [sym_type_lambda] = STATE(8303),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(4651),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(6434),
    [sym__non_null_literal] = STATE(10230),
    [sym_literal_type] = STATE(9983),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(3),
    [sym_block_comment] = STATE(3),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(107),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_LBRACE] = ACTIONS(111),
    [anon_sym_RBRACE] = ACTIONS(183),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(115),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(119),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(141),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(145),
    [anon_sym_infix] = ACTIONS(147),
    [anon_sym_open] = ACTIONS(149),
    [anon_sym_transparent] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(163),
    [sym_operator_identifier] = ACTIONS(165),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [4] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(17048),
    [sym_context_bound] = STATE(16334),
    [sym_template_body] = STATE(8040),
    [sym__indented_template_body] = STATE(8186),
    [sym__braced_template_body] = STATE(8186),
    [sym__braced_template_body1] = STATE(18057),
    [sym__braced_template_body2] = STATE(18057),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym__type] = STATE(15429),
    [sym__annotated_type] = STATE(4873),
    [sym_annotated_type] = STATE(7711),
    [sym__simple_type] = STATE(4932),
    [sym_compound_type] = STATE(8744),
    [sym__structural_type] = STATE(8303),
    [sym__infix_type_choice] = STATE(13556),
    [sym_infix_type] = STATE(8744),
    [sym_tuple_type] = STATE(5753),
    [sym_named_tuple_type] = STATE(5753),
    [sym_singleton_type] = STATE(5753),
    [sym_stable_type_identifier] = STATE(5753),
    [sym_stable_identifier] = STATE(19114),
    [sym_generic_type] = STATE(5753),
    [sym_projected_type] = STATE(5753),
    [sym_match_type] = STATE(8303),
    [sym_function_type] = STATE(8303),
    [sym_parameter_types] = STATE(16984),
    [sym__type_identifier] = STATE(5753),
    [sym_type_lambda] = STATE(8303),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(4651),
    [sym__soft_identifier] = STATE(4545),
    [sym_wildcard] = STATE(6434),
    [sym__non_null_literal] = STATE(10230),
    [sym_literal_type] = STATE(9983),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(4),
    [sym_block_comment] = STATE(4),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(107),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_LBRACE] = ACTIONS(111),
    [anon_sym_RBRACE] = ACTIONS(185),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(115),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(119),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(141),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(145),
    [anon_sym_infix] = ACTIONS(147),
    [anon_sym_open] = ACTIONS(149),
    [anon_sym_transparent] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(163),
    [sym_operator_identifier] = ACTIONS(165),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [5] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18184),
    [sym__braced_template_body2] = STATE(18184),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18893),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_case_clause] = STATE(17470),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(5),
    [sym_block_comment] = STATE(5),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15564),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [6] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(17968),
    [sym__braced_template_body2] = STATE(17968),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19550),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_case_clause] = STATE(17470),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(6),
    [sym_block_comment] = STATE(6),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15584),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(215),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [7] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(17966),
    [sym__braced_template_body2] = STATE(17966),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(7),
    [sym_block_comment] = STATE(7),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(217),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [8] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18894),
    [sym__braced_template_body2] = STATE(18894),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(8),
    [sym_block_comment] = STATE(8),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(219),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [9] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19152),
    [sym__braced_template_body2] = STATE(19152),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(9),
    [sym_block_comment] = STATE(9),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(221),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [10] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18184),
    [sym__braced_template_body2] = STATE(18184),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(10),
    [sym_block_comment] = STATE(10),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(223),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [11] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(17933),
    [sym__braced_template_body2] = STATE(17933),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(11),
    [sym_block_comment] = STATE(11),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(225),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [12] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18724),
    [sym__braced_template_body2] = STATE(18724),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(12),
    [sym_block_comment] = STATE(12),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [13] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18014),
    [sym__braced_template_body2] = STATE(18014),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(13),
    [sym_block_comment] = STATE(13),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(229),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [14] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18753),
    [sym__braced_template_body2] = STATE(18753),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(14),
    [sym_block_comment] = STATE(14),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(183),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [15] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18241),
    [sym__braced_template_body2] = STATE(18241),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(15),
    [sym_block_comment] = STATE(15),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(231),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [16] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18018),
    [sym__braced_template_body2] = STATE(18018),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(16),
    [sym_block_comment] = STATE(16),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(233),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [17] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18526),
    [sym__braced_template_body2] = STATE(18526),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(17),
    [sym_block_comment] = STATE(17),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(235),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [18] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19136),
    [sym__braced_template_body2] = STATE(19136),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(18),
    [sym_block_comment] = STATE(18),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(237),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [19] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(17968),
    [sym__braced_template_body2] = STATE(17968),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(19),
    [sym_block_comment] = STATE(19),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(113),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [20] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19032),
    [sym__braced_template_body2] = STATE(19032),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(20),
    [sym_block_comment] = STATE(20),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(239),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [21] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18243),
    [sym__braced_template_body2] = STATE(18243),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(21),
    [sym_block_comment] = STATE(21),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(241),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [22] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18995),
    [sym__braced_template_body2] = STATE(18995),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(22),
    [sym_block_comment] = STATE(22),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(243),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [23] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(17778),
    [sym__braced_template_body2] = STATE(17778),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(23),
    [sym_block_comment] = STATE(23),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(245),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [24] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18723),
    [sym__braced_template_body2] = STATE(18723),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(24),
    [sym_block_comment] = STATE(24),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(247),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [25] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(17834),
    [sym__braced_template_body2] = STATE(17834),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(25),
    [sym_block_comment] = STATE(25),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(249),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [26] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18059),
    [sym__braced_template_body2] = STATE(18059),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(26),
    [sym_block_comment] = STATE(26),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(251),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [27] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18280),
    [sym__braced_template_body2] = STATE(18280),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(27),
    [sym_block_comment] = STATE(27),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(253),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [28] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18508),
    [sym__braced_template_body2] = STATE(18508),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(28),
    [sym_block_comment] = STATE(28),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(255),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [29] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18736),
    [sym__braced_template_body2] = STATE(18736),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(29),
    [sym_block_comment] = STATE(29),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(257),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [30] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18970),
    [sym__braced_template_body2] = STATE(18970),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(30),
    [sym_block_comment] = STATE(30),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(259),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [31] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19372),
    [sym__braced_template_body2] = STATE(19372),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(31),
    [sym_block_comment] = STATE(31),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(261),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [32] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18906),
    [sym__braced_template_body2] = STATE(18906),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(32),
    [sym_block_comment] = STATE(32),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(263),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [33] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18013),
    [sym__braced_template_body2] = STATE(18013),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(33),
    [sym_block_comment] = STATE(33),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(265),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [34] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19443),
    [sym__braced_template_body2] = STATE(19443),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(34),
    [sym_block_comment] = STATE(34),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(267),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [35] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18140),
    [sym__braced_template_body2] = STATE(18140),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(35),
    [sym_block_comment] = STATE(35),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(269),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [36] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18939),
    [sym__braced_template_body2] = STATE(18939),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(36),
    [sym_block_comment] = STATE(36),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(271),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [37] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19381),
    [sym__braced_template_body2] = STATE(19381),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(37),
    [sym_block_comment] = STATE(37),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(273),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [38] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18696),
    [sym__braced_template_body2] = STATE(18696),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(38),
    [sym_block_comment] = STATE(38),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(275),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [39] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18057),
    [sym__braced_template_body2] = STATE(18057),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(39),
    [sym_block_comment] = STATE(39),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(185),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [40] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18299),
    [sym__braced_template_body2] = STATE(18299),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(40),
    [sym_block_comment] = STATE(40),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [41] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18525),
    [sym__braced_template_body2] = STATE(18525),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(41),
    [sym_block_comment] = STATE(41),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(279),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [42] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18786),
    [sym__braced_template_body2] = STATE(18786),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(42),
    [sym_block_comment] = STATE(42),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(281),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [43] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18988),
    [sym__braced_template_body2] = STATE(18988),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(43),
    [sym_block_comment] = STATE(43),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(283),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [44] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19149),
    [sym__braced_template_body2] = STATE(19149),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(44),
    [sym_block_comment] = STATE(44),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(285),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [45] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19295),
    [sym__braced_template_body2] = STATE(19295),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(45),
    [sym_block_comment] = STATE(45),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(287),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [46] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19420),
    [sym__braced_template_body2] = STATE(19420),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(46),
    [sym_block_comment] = STATE(46),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(289),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [47] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(17863),
    [sym__braced_template_body2] = STATE(17863),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(47),
    [sym_block_comment] = STATE(47),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [48] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(17776),
    [sym__braced_template_body2] = STATE(17776),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(48),
    [sym_block_comment] = STATE(48),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [49] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18114),
    [sym__braced_template_body2] = STATE(18114),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(49),
    [sym_block_comment] = STATE(49),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [50] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18497),
    [sym__braced_template_body2] = STATE(18497),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(50),
    [sym_block_comment] = STATE(50),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [51] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18857),
    [sym__braced_template_body2] = STATE(18857),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(51),
    [sym_block_comment] = STATE(51),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [52] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19222),
    [sym__braced_template_body2] = STATE(19222),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(52),
    [sym_block_comment] = STATE(52),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [53] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(17779),
    [sym__braced_template_body2] = STATE(17779),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(53),
    [sym_block_comment] = STATE(53),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(303),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [54] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(17841),
    [sym__braced_template_body2] = STATE(17841),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(54),
    [sym_block_comment] = STATE(54),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [55] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(17903),
    [sym__braced_template_body2] = STATE(17903),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(55),
    [sym_block_comment] = STATE(55),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(307),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [56] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18033),
    [sym__braced_template_body2] = STATE(18033),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(56),
    [sym_block_comment] = STATE(56),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [57] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18100),
    [sym__braced_template_body2] = STATE(18100),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(57),
    [sym_block_comment] = STATE(57),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(311),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [58] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18167),
    [sym__braced_template_body2] = STATE(18167),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(58),
    [sym_block_comment] = STATE(58),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(313),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [59] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18200),
    [sym__braced_template_body2] = STATE(18200),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(59),
    [sym_block_comment] = STATE(59),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(315),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [60] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18296),
    [sym__braced_template_body2] = STATE(18296),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(60),
    [sym_block_comment] = STATE(60),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(317),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [61] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18366),
    [sym__braced_template_body2] = STATE(18366),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(61),
    [sym_block_comment] = STATE(61),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(319),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [62] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18418),
    [sym__braced_template_body2] = STATE(18418),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(62),
    [sym_block_comment] = STATE(62),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(321),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [63] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18459),
    [sym__braced_template_body2] = STATE(18459),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(63),
    [sym_block_comment] = STATE(63),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(323),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [64] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18505),
    [sym__braced_template_body2] = STATE(18505),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(64),
    [sym_block_comment] = STATE(64),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [65] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18559),
    [sym__braced_template_body2] = STATE(18559),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(65),
    [sym_block_comment] = STATE(65),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(327),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [66] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18615),
    [sym__braced_template_body2] = STATE(18615),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(66),
    [sym_block_comment] = STATE(66),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(329),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [67] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18666),
    [sym__braced_template_body2] = STATE(18666),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(67),
    [sym_block_comment] = STATE(67),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(331),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [68] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18709),
    [sym__braced_template_body2] = STATE(18709),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(68),
    [sym_block_comment] = STATE(68),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(333),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [69] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18745),
    [sym__braced_template_body2] = STATE(18745),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(69),
    [sym_block_comment] = STATE(69),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(335),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [70] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18784),
    [sym__braced_template_body2] = STATE(18784),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(70),
    [sym_block_comment] = STATE(70),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(337),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [71] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18826),
    [sym__braced_template_body2] = STATE(18826),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(71),
    [sym_block_comment] = STATE(71),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(339),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [72] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18870),
    [sym__braced_template_body2] = STATE(18870),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(72),
    [sym_block_comment] = STATE(72),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(341),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [73] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18914),
    [sym__braced_template_body2] = STATE(18914),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(73),
    [sym_block_comment] = STATE(73),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(343),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [74] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18966),
    [sym__braced_template_body2] = STATE(18966),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(74),
    [sym_block_comment] = STATE(74),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(345),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [75] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19023),
    [sym__braced_template_body2] = STATE(19023),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(75),
    [sym_block_comment] = STATE(75),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(347),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [76] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19082),
    [sym__braced_template_body2] = STATE(19082),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(76),
    [sym_block_comment] = STATE(76),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(349),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [77] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19138),
    [sym__braced_template_body2] = STATE(19138),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(77),
    [sym_block_comment] = STATE(77),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(351),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [78] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19197),
    [sym__braced_template_body2] = STATE(19197),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(78),
    [sym_block_comment] = STATE(78),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(353),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [79] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19257),
    [sym__braced_template_body2] = STATE(19257),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(79),
    [sym_block_comment] = STATE(79),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(355),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [80] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19320),
    [sym__braced_template_body2] = STATE(19320),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(80),
    [sym_block_comment] = STATE(80),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(357),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [81] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19383),
    [sym__braced_template_body2] = STATE(19383),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(81),
    [sym_block_comment] = STATE(81),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(359),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [82] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19440),
    [sym__braced_template_body2] = STATE(19440),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(82),
    [sym_block_comment] = STATE(82),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(361),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [83] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19530),
    [sym__braced_template_body2] = STATE(19530),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(83),
    [sym_block_comment] = STATE(83),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(363),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [84] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19154),
    [sym__braced_template_body2] = STATE(19154),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(84),
    [sym_block_comment] = STATE(84),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(365),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [85] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19379),
    [sym__braced_template_body2] = STATE(19379),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(85),
    [sym_block_comment] = STATE(85),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(367),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [86] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18637),
    [sym__braced_template_body2] = STATE(18637),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(86),
    [sym_block_comment] = STATE(86),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(369),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [87] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18395),
    [sym__braced_template_body2] = STATE(18395),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(87),
    [sym_block_comment] = STATE(87),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(371),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [88] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18125),
    [sym__braced_template_body2] = STATE(18125),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(88),
    [sym_block_comment] = STATE(88),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(373),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [89] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18829),
    [sym__braced_template_body2] = STATE(18829),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(89),
    [sym_block_comment] = STATE(89),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(375),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [90] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19424),
    [sym__braced_template_body2] = STATE(19424),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(90),
    [sym_block_comment] = STATE(90),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [91] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18975),
    [sym__braced_template_body2] = STATE(18975),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(91),
    [sym_block_comment] = STATE(91),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [92] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18019),
    [sym__braced_template_body2] = STATE(18019),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(92),
    [sym_block_comment] = STATE(92),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(381),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [93] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18297),
    [sym__braced_template_body2] = STATE(18297),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(93),
    [sym_block_comment] = STATE(93),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(383),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [94] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18669),
    [sym__braced_template_body2] = STATE(18669),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(94),
    [sym_block_comment] = STATE(94),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [95] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18956),
    [sym__braced_template_body2] = STATE(18956),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(95),
    [sym_block_comment] = STATE(95),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(387),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [96] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19097),
    [sym__braced_template_body2] = STATE(19097),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(96),
    [sym_block_comment] = STATE(96),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(389),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [97] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19407),
    [sym__braced_template_body2] = STATE(19407),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(97),
    [sym_block_comment] = STATE(97),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(391),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [98] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18484),
    [sym__braced_template_body2] = STATE(18484),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(98),
    [sym_block_comment] = STATE(98),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(393),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [99] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18514),
    [sym__braced_template_body2] = STATE(18514),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(99),
    [sym_block_comment] = STATE(99),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(395),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [100] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(17813),
    [sym__braced_template_body2] = STATE(17813),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(100),
    [sym_block_comment] = STATE(100),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [101] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(17970),
    [sym__braced_template_body2] = STATE(17970),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(101),
    [sym_block_comment] = STATE(101),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(399),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [102] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18065),
    [sym__braced_template_body2] = STATE(18065),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(102),
    [sym_block_comment] = STATE(102),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(401),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [103] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18222),
    [sym__braced_template_body2] = STATE(18222),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(103),
    [sym_block_comment] = STATE(103),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(403),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [104] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18443),
    [sym__braced_template_body2] = STATE(18443),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(104),
    [sym_block_comment] = STATE(104),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [105] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18641),
    [sym__braced_template_body2] = STATE(18641),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(105),
    [sym_block_comment] = STATE(105),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(407),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [106] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18699),
    [sym__braced_template_body2] = STATE(18699),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(106),
    [sym_block_comment] = STATE(106),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(409),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [107] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18795),
    [sym__braced_template_body2] = STATE(18795),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(107),
    [sym_block_comment] = STATE(107),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(411),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [108] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18952),
    [sym__braced_template_body2] = STATE(18952),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(108),
    [sym_block_comment] = STATE(108),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(413),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [109] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19026),
    [sym__braced_template_body2] = STATE(19026),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(109),
    [sym_block_comment] = STATE(109),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(415),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [110] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19095),
    [sym__braced_template_body2] = STATE(19095),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(110),
    [sym_block_comment] = STATE(110),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(417),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [111] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19203),
    [sym__braced_template_body2] = STATE(19203),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(111),
    [sym_block_comment] = STATE(111),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(419),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [112] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19318),
    [sym__braced_template_body2] = STATE(19318),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(112),
    [sym_block_comment] = STATE(112),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [113] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19445),
    [sym__braced_template_body2] = STATE(19445),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(113),
    [sym_block_comment] = STATE(113),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [114] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(17899),
    [sym__braced_template_body2] = STATE(17899),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(114),
    [sym_block_comment] = STATE(114),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(425),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [115] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19128),
    [sym__braced_template_body2] = STATE(19128),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(115),
    [sym_block_comment] = STATE(115),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(427),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [116] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18008),
    [sym__braced_template_body2] = STATE(18008),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(116),
    [sym_block_comment] = STATE(116),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(429),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [117] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18313),
    [sym__braced_template_body2] = STATE(18313),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(117),
    [sym_block_comment] = STATE(117),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(431),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [118] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18744),
    [sym__braced_template_body2] = STATE(18744),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(118),
    [sym_block_comment] = STATE(118),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(433),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [119] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18923),
    [sym__braced_template_body2] = STATE(18923),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(119),
    [sym_block_comment] = STATE(119),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(435),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [120] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19078),
    [sym__braced_template_body2] = STATE(19078),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(120),
    [sym_block_comment] = STATE(120),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(437),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [121] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19359),
    [sym__braced_template_body2] = STATE(19359),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(121),
    [sym_block_comment] = STATE(121),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(439),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [122] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(19551),
    [sym__braced_template_body2] = STATE(19551),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(122),
    [sym_block_comment] = STATE(122),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(441),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [123] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(17801),
    [sym__braced_template_body2] = STATE(17801),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(123),
    [sym_block_comment] = STATE(123),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(443),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [124] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__braced_template_body1] = STATE(18233),
    [sym__braced_template_body2] = STATE(18233),
    [sym__end_marker] = STATE(15726),
    [sym_self_type] = STATE(271),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18210),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5945),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(124),
    [sym_block_comment] = STATE(124),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(213),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(179),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [125] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19509),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_case_clause] = STATE(17470),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(125),
    [sym_block_comment] = STATE(125),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15739),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(447),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [126] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18503),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_case_clause] = STATE(17470),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(126),
    [sym_block_comment] = STATE(126),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15598),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(451),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [127] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18423),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_case_clause] = STATE(17470),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(127),
    [sym_block_comment] = STATE(127),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15797),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(453),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [128] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19547),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_case_clause] = STATE(17470),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(128),
    [sym_block_comment] = STATE(128),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15701),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(455),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [129] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17804),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_case_clause] = STATE(17470),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(129),
    [sym_block_comment] = STATE(129),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15850),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(457),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [130] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17892),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_case_clause] = STATE(17470),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(130),
    [sym_block_comment] = STATE(130),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15651),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(459),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [131] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18482),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_case_clause] = STATE(17470),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(131),
    [sym_block_comment] = STATE(131),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15621),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(461),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [132] = {
    [sym__top_level_definition] = STATE(16806),
    [sym_enum_definition] = STATE(16313),
    [sym_package_clause] = STATE(16313),
    [sym_package_object] = STATE(16313),
    [sym_import_declaration] = STATE(16313),
    [sym_export_declaration] = STATE(16313),
    [sym_object_definition] = STATE(16313),
    [sym_class_definition] = STATE(16313),
    [sym_trait_definition] = STATE(16313),
    [sym_type_parameters] = STATE(17944),
    [sym__end_marker] = STATE(16313),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(16313),
    [sym_val_declaration] = STATE(16313),
    [sym__start_val] = STATE(4323),
    [sym_var_declaration] = STATE(16313),
    [sym_var_definition] = STATE(16313),
    [sym__start_var] = STATE(4309),
    [sym_type_definition] = STATE(16313),
    [sym_function_definition] = STATE(16313),
    [sym_function_declaration] = STATE(16313),
    [sym__function_declaration] = STATE(15128),
    [sym_opaque_modifier] = STATE(18304),
    [sym_extension_definition] = STATE(16313),
    [sym_given_definition] = STATE(16313),
    [sym_modifiers] = STATE(13921),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(537),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym_block] = STATE(10944),
    [sym_expression] = STATE(15180),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(132),
    [sym_block_comment] = STATE(132),
    [aux_sym_enum_definition_repeat1] = STATE(4495),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [ts_builtin_sym_end] = ACTIONS(463),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_given] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_extension] = ACTIONS(49),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_def] = ACTIONS(59),
    [anon_sym_opaque] = ACTIONS(61),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(65),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_transparent] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [133] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18702),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_case_clause] = STATE(17470),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(133),
    [sym_block_comment] = STATE(133),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15698),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(465),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [134] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17950),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_case_clause] = STATE(17470),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(134),
    [sym_block_comment] = STATE(134),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(467),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [135] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18910),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_case_clause] = STATE(17470),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(135),
    [sym_block_comment] = STATE(135),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15817),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(469),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [136] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18811),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_case_clause] = STATE(17470),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(136),
    [sym_block_comment] = STATE(136),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15564),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(471),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [137] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19290),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_case_clause] = STATE(17470),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(137),
    [sym_block_comment] = STATE(137),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15607),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(473),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [138] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18457),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_case_clause] = STATE(17470),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(138),
    [sym_block_comment] = STATE(138),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15694),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(475),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [139] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18506),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_case_clause] = STATE(17470),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(139),
    [sym_block_comment] = STATE(139),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15846),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [140] = {
    [sym__top_level_definition] = STATE(15792),
    [sym_enum_definition] = STATE(16313),
    [sym_package_clause] = STATE(16313),
    [sym_package_object] = STATE(16313),
    [sym_import_declaration] = STATE(16313),
    [sym_export_declaration] = STATE(16313),
    [sym_object_definition] = STATE(16313),
    [sym_class_definition] = STATE(16313),
    [sym_trait_definition] = STATE(16313),
    [sym_type_parameters] = STATE(17944),
    [sym__end_marker] = STATE(16313),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(16313),
    [sym_val_declaration] = STATE(16313),
    [sym__start_val] = STATE(4323),
    [sym_var_declaration] = STATE(16313),
    [sym_var_definition] = STATE(16313),
    [sym__start_var] = STATE(4309),
    [sym_type_definition] = STATE(16313),
    [sym_function_definition] = STATE(16313),
    [sym_function_declaration] = STATE(16313),
    [sym__function_declaration] = STATE(15128),
    [sym_opaque_modifier] = STATE(18304),
    [sym_extension_definition] = STATE(16313),
    [sym_given_definition] = STATE(16313),
    [sym_modifiers] = STATE(13921),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(537),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym_block] = STATE(10944),
    [sym_expression] = STATE(15180),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(140),
    [sym_block_comment] = STATE(140),
    [aux_sym_enum_definition_repeat1] = STATE(4495),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [ts_builtin_sym_end] = ACTIONS(479),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_given] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_extension] = ACTIONS(49),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_def] = ACTIONS(59),
    [anon_sym_opaque] = ACTIONS(61),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(65),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_transparent] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [141] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18828),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_case_clause] = STATE(17470),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(141),
    [sym_block_comment] = STATE(141),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15543),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [142] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19371),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_case_clause] = STATE(17470),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(142),
    [sym_block_comment] = STATE(142),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15764),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(483),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [143] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18912),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_case_clause] = STATE(17470),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(143),
    [sym_block_comment] = STATE(143),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15689),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(485),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [144] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19079),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_case_clause] = STATE(17470),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(144),
    [sym_block_comment] = STATE(144),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15584),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(487),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [145] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19217),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_case_clause] = STATE(17470),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(145),
    [sym_block_comment] = STATE(145),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15859),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(489),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [146] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18468),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_case_clause] = STATE(17470),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(146),
    [sym_block_comment] = STATE(146),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15563),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(491),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [147] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18705),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_case_clause] = STATE(17470),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(147),
    [sym_block_comment] = STATE(147),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15580),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(493),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [148] = {
    [sym__top_level_definition] = STATE(16806),
    [sym_enum_definition] = STATE(16313),
    [sym_package_clause] = STATE(16313),
    [sym_package_object] = STATE(16313),
    [sym_import_declaration] = STATE(16313),
    [sym_export_declaration] = STATE(16313),
    [sym_object_definition] = STATE(16313),
    [sym_class_definition] = STATE(16313),
    [sym_trait_definition] = STATE(16313),
    [sym_type_parameters] = STATE(17944),
    [sym__end_marker] = STATE(16313),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(16313),
    [sym_val_declaration] = STATE(16313),
    [sym__start_val] = STATE(4323),
    [sym_var_declaration] = STATE(16313),
    [sym_var_definition] = STATE(16313),
    [sym__start_var] = STATE(4309),
    [sym_type_definition] = STATE(16313),
    [sym_function_definition] = STATE(16313),
    [sym_function_declaration] = STATE(16313),
    [sym__function_declaration] = STATE(15128),
    [sym_opaque_modifier] = STATE(18304),
    [sym_extension_definition] = STATE(16313),
    [sym_given_definition] = STATE(16313),
    [sym_modifiers] = STATE(13921),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(537),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym_block] = STATE(10944),
    [sym_expression] = STATE(15180),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(148),
    [sym_block_comment] = STATE(148),
    [aux_sym_enum_definition_repeat1] = STATE(4495),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [ts_builtin_sym_end] = ACTIONS(495),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_given] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_extension] = ACTIONS(49),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_def] = ACTIONS(59),
    [anon_sym_opaque] = ACTIONS(61),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(65),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_transparent] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [149] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18124),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_case_clause] = STATE(17470),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(149),
    [sym_block_comment] = STATE(149),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15555),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(497),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [150] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18648),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_case_clause] = STATE(17470),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(150),
    [sym_block_comment] = STATE(150),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15679),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(499),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [151] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18891),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_case_clause] = STATE(17470),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(151),
    [sym_block_comment] = STATE(151),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15688),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(501),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [152] = {
    [sym__top_level_definition] = STATE(16806),
    [sym_enum_definition] = STATE(16313),
    [sym_package_clause] = STATE(16313),
    [sym_package_object] = STATE(16313),
    [sym_import_declaration] = STATE(16313),
    [sym_export_declaration] = STATE(16313),
    [sym_object_definition] = STATE(16313),
    [sym_class_definition] = STATE(16313),
    [sym_trait_definition] = STATE(16313),
    [sym_type_parameters] = STATE(17944),
    [sym__end_marker] = STATE(16313),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(16313),
    [sym_val_declaration] = STATE(16313),
    [sym__start_val] = STATE(4323),
    [sym_var_declaration] = STATE(16313),
    [sym_var_definition] = STATE(16313),
    [sym__start_var] = STATE(4309),
    [sym_type_definition] = STATE(16313),
    [sym_function_definition] = STATE(16313),
    [sym_function_declaration] = STATE(16313),
    [sym__function_declaration] = STATE(15128),
    [sym_opaque_modifier] = STATE(18304),
    [sym_extension_definition] = STATE(16313),
    [sym_given_definition] = STATE(16313),
    [sym_modifiers] = STATE(13921),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(537),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym_block] = STATE(10944),
    [sym_expression] = STATE(15180),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(152),
    [sym_block_comment] = STATE(152),
    [aux_sym_enum_definition_repeat1] = STATE(4495),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [ts_builtin_sym_end] = ACTIONS(503),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_given] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_extension] = ACTIONS(49),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_def] = ACTIONS(59),
    [anon_sym_opaque] = ACTIONS(61),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(65),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_transparent] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [153] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19512),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_case_clause] = STATE(17470),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(153),
    [sym_block_comment] = STATE(153),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15844),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [154] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18363),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(154),
    [sym_block_comment] = STATE(154),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15790),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [155] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18187),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(155),
    [sym_block_comment] = STATE(155),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15617),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [156] = {
    [sym__top_level_definition] = STATE(16806),
    [sym_enum_definition] = STATE(16313),
    [sym_package_clause] = STATE(16313),
    [sym_package_object] = STATE(16313),
    [sym_import_declaration] = STATE(16313),
    [sym_export_declaration] = STATE(16313),
    [sym_object_definition] = STATE(16313),
    [sym_class_definition] = STATE(16313),
    [sym_trait_definition] = STATE(16313),
    [sym_type_parameters] = STATE(17944),
    [sym__end_marker] = STATE(16313),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(16313),
    [sym_val_declaration] = STATE(16313),
    [sym__start_val] = STATE(4323),
    [sym_var_declaration] = STATE(16313),
    [sym_var_definition] = STATE(16313),
    [sym__start_var] = STATE(4309),
    [sym_type_definition] = STATE(16313),
    [sym_function_definition] = STATE(16313),
    [sym_function_declaration] = STATE(16313),
    [sym__function_declaration] = STATE(15128),
    [sym_opaque_modifier] = STATE(18304),
    [sym_extension_definition] = STATE(16313),
    [sym_given_definition] = STATE(16313),
    [sym_modifiers] = STATE(13921),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(537),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym_block] = STATE(10944),
    [sym_expression] = STATE(15180),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(156),
    [sym_block_comment] = STATE(156),
    [aux_sym_enum_definition_repeat1] = STATE(4495),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_given] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_extension] = ACTIONS(49),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_def] = ACTIONS(59),
    [anon_sym_opaque] = ACTIONS(61),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(65),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_transparent] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [157] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18918),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(157),
    [sym_block_comment] = STATE(157),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15625),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [158] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18701),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(158),
    [sym_block_comment] = STATE(158),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15851),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [159] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18365),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(159),
    [sym_block_comment] = STATE(159),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15585),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [160] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17976),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(160),
    [sym_block_comment] = STATE(160),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15712),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [161] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18855),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(161),
    [sym_block_comment] = STATE(161),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15712),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [162] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18540),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(162),
    [sym_block_comment] = STATE(162),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15681),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [163] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18833),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(163),
    [sym_block_comment] = STATE(163),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15717),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [164] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18083),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(164),
    [sym_block_comment] = STATE(164),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15648),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [165] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18606),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(165),
    [sym_block_comment] = STATE(165),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15617),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [166] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19213),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(166),
    [sym_block_comment] = STATE(166),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15765),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [167] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18642),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(167),
    [sym_block_comment] = STATE(167),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15625),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [168] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19191),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(168),
    [sym_block_comment] = STATE(168),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15806),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [169] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18298),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(169),
    [sym_block_comment] = STATE(169),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15794),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [170] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19073),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(170),
    [sym_block_comment] = STATE(170),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15731),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [171] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18050),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(171),
    [sym_block_comment] = STATE(171),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15851),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [172] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18799),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(172),
    [sym_block_comment] = STATE(172),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15636),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [173] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17862),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(173),
    [sym_block_comment] = STATE(173),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15592),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [174] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(249),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18415),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6179),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(174),
    [sym_block_comment] = STATE(174),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(593),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(595),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [175] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18307),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(175),
    [sym_block_comment] = STATE(175),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15585),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [176] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18527),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(176),
    [sym_block_comment] = STATE(176),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15700),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [177] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18760),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(177),
    [sym_block_comment] = STATE(177),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15717),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [178] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19014),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(178),
    [sym_block_comment] = STATE(178),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15751),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [179] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19413),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(179),
    [sym_block_comment] = STATE(179),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15808),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [180] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17971),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(180),
    [sym_block_comment] = STATE(180),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15790),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [181] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18219),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(181),
    [sym_block_comment] = STATE(181),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15871),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [182] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18254),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(182),
    [sym_block_comment] = STATE(182),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15648),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [183] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18255),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(183),
    [sym_block_comment] = STATE(183),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15765),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [184] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18958),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(184),
    [sym_block_comment] = STATE(184),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15667),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [185] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19514),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(185),
    [sym_block_comment] = STATE(185),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15776),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [186] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18859),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(186),
    [sym_block_comment] = STATE(186),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15720),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [187] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18081),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(187),
    [sym_block_comment] = STATE(187),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15654),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [188] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18324),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(188),
    [sym_block_comment] = STATE(188),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15794),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [189] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18552),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(189),
    [sym_block_comment] = STATE(189),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15731),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [190] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18798),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(190),
    [sym_block_comment] = STATE(190),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15636),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [191] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19000),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(191),
    [sym_block_comment] = STATE(191),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15541),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [192] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19162),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(192),
    [sym_block_comment] = STATE(192),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15751),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [193] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19306),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(193),
    [sym_block_comment] = STATE(193),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15808),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [194] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19435),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(194),
    [sym_block_comment] = STATE(194),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15871),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [195] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17987),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(195),
    [sym_block_comment] = STATE(195),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15589),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [196] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17810),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(196),
    [sym_block_comment] = STATE(196),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15654),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [197] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18153),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(197),
    [sym_block_comment] = STATE(197),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15541),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [198] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18082),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_case_clause] = STATE(17489),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(198),
    [sym_block_comment] = STATE(198),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [aux_sym_indented_cases_repeat1] = STATE(15592),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(513),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [199] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(483),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18515),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(199),
    [sym_block_comment] = STATE(199),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [200] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(497),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17775),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(200),
    [sym_block_comment] = STATE(200),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [201] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(364),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18878),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(201),
    [sym_block_comment] = STATE(201),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [202] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(505),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19016),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(202),
    [sym_block_comment] = STATE(202),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [203] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(391),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18832),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(203),
    [sym_block_comment] = STATE(203),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [204] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(513),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17911),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(204),
    [sym_block_comment] = STATE(204),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [205] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18935),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(205),
    [sym_block_comment] = STATE(205),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(599),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [206] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(333),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18129),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(206),
    [sym_block_comment] = STATE(206),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [207] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(399),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19427),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(207),
    [sym_block_comment] = STATE(207),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [208] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(336),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18361),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(208),
    [sym_block_comment] = STATE(208),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [209] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18016),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(209),
    [sym_block_comment] = STATE(209),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(601),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [210] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(339),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18584),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(210),
    [sym_block_comment] = STATE(210),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [211] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(408),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19190),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(211),
    [sym_block_comment] = STATE(211),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [212] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(341),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18801),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(212),
    [sym_block_comment] = STATE(212),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [213] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18648),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(213),
    [sym_block_comment] = STATE(213),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(603),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [214] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(346),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19092),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(214),
    [sym_block_comment] = STATE(214),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [215] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(416),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19194),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(215),
    [sym_block_comment] = STATE(215),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [216] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(350),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19527),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(216),
    [sym_block_comment] = STATE(216),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [217] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19512),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(217),
    [sym_block_comment] = STATE(217),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(605),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [218] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(354),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18524),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(218),
    [sym_block_comment] = STATE(218),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [219] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(426),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19170),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(219),
    [sym_block_comment] = STATE(219),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [220] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(356),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18639),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(220),
    [sym_block_comment] = STATE(220),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [221] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(330),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17806),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(221),
    [sym_block_comment] = STATE(221),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [222] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(359),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18498),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(222),
    [sym_block_comment] = STATE(222),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [223] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(433),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19033),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(223),
    [sym_block_comment] = STATE(223),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [224] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(361),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18528),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(224),
    [sym_block_comment] = STATE(224),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [225] = {
    [sym_enum_definition] = STATE(15350),
    [sym_import_declaration] = STATE(15350),
    [sym_export_declaration] = STATE(15350),
    [sym_object_definition] = STATE(15350),
    [sym_class_definition] = STATE(15350),
    [sym_trait_definition] = STATE(15350),
    [sym_type_parameters] = STATE(19083),
    [sym__end_marker] = STATE(15350),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15350),
    [sym_val_declaration] = STATE(15350),
    [sym__start_val] = STATE(4295),
    [sym_var_declaration] = STATE(15350),
    [sym_var_definition] = STATE(15350),
    [sym__start_var] = STATE(4302),
    [sym_type_definition] = STATE(15350),
    [sym_function_definition] = STATE(15350),
    [sym_function_declaration] = STATE(15350),
    [sym__function_declaration] = STATE(15044),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15350),
    [sym_given_definition] = STATE(15350),
    [sym_modifiers] = STATE(14002),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(536),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17452),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(14862),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(225),
    [sym_block_comment] = STATE(225),
    [aux_sym_enum_definition_repeat1] = STATE(4513),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(607),
    [anon_sym_case] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(611),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(623),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(625),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(627),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [226] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(363),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19024),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(226),
    [sym_block_comment] = STATE(226),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [227] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(441),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18214),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(227),
    [sym_block_comment] = STATE(227),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [228] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(365),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19150),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(228),
    [sym_block_comment] = STATE(228),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [229] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18250),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(229),
    [sym_block_comment] = STATE(229),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(637),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [230] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(366),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19288),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(230),
    [sym_block_comment] = STATE(230),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [231] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(449),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18687),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(231),
    [sym_block_comment] = STATE(231),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [232] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(367),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18150),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(232),
    [sym_block_comment] = STATE(232),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [233] = {
    [sym_enum_definition] = STATE(15491),
    [sym_import_declaration] = STATE(15491),
    [sym_export_declaration] = STATE(15491),
    [sym_object_definition] = STATE(15491),
    [sym_class_definition] = STATE(15491),
    [sym_trait_definition] = STATE(15491),
    [sym_type_parameters] = STATE(19179),
    [sym__end_marker] = STATE(15491),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15491),
    [sym_val_declaration] = STATE(15491),
    [sym__start_val] = STATE(4313),
    [sym_var_declaration] = STATE(15491),
    [sym_var_definition] = STATE(15491),
    [sym__start_var] = STATE(4316),
    [sym_type_definition] = STATE(15491),
    [sym_function_definition] = STATE(15491),
    [sym_function_declaration] = STATE(15491),
    [sym__function_declaration] = STATE(15034),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15491),
    [sym_given_definition] = STATE(15491),
    [sym_modifiers] = STATE(14000),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(533),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17716),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14732),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(233),
    [sym_block_comment] = STATE(233),
    [aux_sym_enum_definition_repeat1] = STATE(4512),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(639),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(651),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(653),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(655),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(607),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [234] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(368),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18371),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(234),
    [sym_block_comment] = STATE(234),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [235] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(457),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19398),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(235),
    [sym_block_comment] = STATE(235),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [236] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(370),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18574),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(236),
    [sym_block_comment] = STATE(236),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [237] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18741),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(237),
    [sym_block_comment] = STATE(237),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(665),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [238] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(373),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18825),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(238),
    [sym_block_comment] = STATE(238),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [239] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(465),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19192),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(239),
    [sym_block_comment] = STATE(239),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [240] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(375),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19019),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(240),
    [sym_block_comment] = STATE(240),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [241] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(376),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18998),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(241),
    [sym_block_comment] = STATE(241),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [242] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(378),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19187),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(242),
    [sym_block_comment] = STATE(242),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [243] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(473),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18385),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(243),
    [sym_block_comment] = STATE(243),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [244] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(381),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19323),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(244),
    [sym_block_comment] = STATE(244),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [245] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(379),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19503),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(245),
    [sym_block_comment] = STATE(245),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [246] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(384),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19502),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(246),
    [sym_block_comment] = STATE(246),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [247] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(481),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18509),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(247),
    [sym_block_comment] = STATE(247),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [248] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(386),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18086),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(248),
    [sym_block_comment] = STATE(248),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [249] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18464),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(249),
    [sym_block_comment] = STATE(249),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(667),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [250] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(388),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17875),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(250),
    [sym_block_comment] = STATE(250),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [251] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(489),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19204),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(251),
    [sym_block_comment] = STATE(251),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [252] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(390),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18220),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(252),
    [sym_block_comment] = STATE(252),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [253] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(392),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18613),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(253),
    [sym_block_comment] = STATE(253),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [254] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(393),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18927),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(254),
    [sym_block_comment] = STATE(254),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [255] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(395),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19331),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(255),
    [sym_block_comment] = STATE(255),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [256] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(397),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17797),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(256),
    [sym_block_comment] = STATE(256),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [257] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(398),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17861),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(257),
    [sym_block_comment] = STATE(257),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [258] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(401),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17920),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(258),
    [sym_block_comment] = STATE(258),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [259] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(342),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18406),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(259),
    [sym_block_comment] = STATE(259),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [260] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(403),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17985),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(260),
    [sym_block_comment] = STATE(260),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [261] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(405),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18053),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(261),
    [sym_block_comment] = STATE(261),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [262] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(407),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18112),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(262),
    [sym_block_comment] = STATE(262),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [263] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(409),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18183),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(263),
    [sym_block_comment] = STATE(263),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [264] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(410),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18249),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(264),
    [sym_block_comment] = STATE(264),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [265] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(412),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18317),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(265),
    [sym_block_comment] = STATE(265),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [266] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(414),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18382),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(266),
    [sym_block_comment] = STATE(266),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [267] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(415),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18425),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(267),
    [sym_block_comment] = STATE(267),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [268] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(417),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18475),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(268),
    [sym_block_comment] = STATE(268),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [269] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(419),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18518),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(269),
    [sym_block_comment] = STATE(269),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [270] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(421),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18573),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(270),
    [sym_block_comment] = STATE(270),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [271] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18454),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(271),
    [sym_block_comment] = STATE(271),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(669),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [272] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(425),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18678),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(272),
    [sym_block_comment] = STATE(272),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [273] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(427),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18719),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(273),
    [sym_block_comment] = STATE(273),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [274] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(428),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18755),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(274),
    [sym_block_comment] = STATE(274),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [275] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(429),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18793),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(275),
    [sym_block_comment] = STATE(275),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [276] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(431),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18839),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(276),
    [sym_block_comment] = STATE(276),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [277] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(432),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18886),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(277),
    [sym_block_comment] = STATE(277),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [278] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(434),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18931),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(278),
    [sym_block_comment] = STATE(278),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [279] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(435),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18985),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(279),
    [sym_block_comment] = STATE(279),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [280] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(437),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19044),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(280),
    [sym_block_comment] = STATE(280),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [281] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(439),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19103),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(281),
    [sym_block_comment] = STATE(281),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [282] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(440),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19159),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(282),
    [sym_block_comment] = STATE(282),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [283] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(442),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19220),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(283),
    [sym_block_comment] = STATE(283),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [284] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(443),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19276),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(284),
    [sym_block_comment] = STATE(284),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [285] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(445),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19339),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(285),
    [sym_block_comment] = STATE(285),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [286] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(447),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19405),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(286),
    [sym_block_comment] = STATE(286),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [287] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(448),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19507),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(287),
    [sym_block_comment] = STATE(287),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [288] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(450),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19542),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(288),
    [sym_block_comment] = STATE(288),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [289] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(451),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18130),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(289),
    [sym_block_comment] = STATE(289),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [290] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(453),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19041),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(290),
    [sym_block_comment] = STATE(290),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [291] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(455),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19046),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(291),
    [sym_block_comment] = STATE(291),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [292] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(456),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17835),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(292),
    [sym_block_comment] = STATE(292),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [293] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(458),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18438),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(293),
    [sym_block_comment] = STATE(293),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [294] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(459),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19056),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(294),
    [sym_block_comment] = STATE(294),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [295] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(461),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17925),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(295),
    [sym_block_comment] = STATE(295),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [296] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(463),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17822),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(296),
    [sym_block_comment] = STATE(296),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [297] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(464),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18079),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(297),
    [sym_block_comment] = STATE(297),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [298] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(466),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18483),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(298),
    [sym_block_comment] = STATE(298),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [299] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(467),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18720),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(299),
    [sym_block_comment] = STATE(299),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [300] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(469),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19025),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(300),
    [sym_block_comment] = STATE(300),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [301] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(471),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19175),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(301),
    [sym_block_comment] = STATE(301),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [302] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(472),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19554),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(302),
    [sym_block_comment] = STATE(302),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [303] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(474),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17851),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(303),
    [sym_block_comment] = STATE(303),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [304] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(475),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18945),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(304),
    [sym_block_comment] = STATE(304),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [305] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(477),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17852),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(305),
    [sym_block_comment] = STATE(305),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [306] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(479),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17999),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(306),
    [sym_block_comment] = STATE(306),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [307] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(480),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18102),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(307),
    [sym_block_comment] = STATE(307),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [308] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(482),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18258),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(308),
    [sym_block_comment] = STATE(308),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [309] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(385),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17913),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(309),
    [sym_block_comment] = STATE(309),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [310] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(485),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18664),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(310),
    [sym_block_comment] = STATE(310),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [311] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(487),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18712),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(311),
    [sym_block_comment] = STATE(311),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [312] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(488),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18843),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(312),
    [sym_block_comment] = STATE(312),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [313] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(490),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18962),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(313),
    [sym_block_comment] = STATE(313),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [314] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(491),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19054),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(314),
    [sym_block_comment] = STATE(314),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [315] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(493),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19147),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(315),
    [sym_block_comment] = STATE(315),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [316] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(495),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19231),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(316),
    [sym_block_comment] = STATE(316),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [317] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(496),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19364),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(317),
    [sym_block_comment] = STATE(317),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [318] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(498),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19537),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(318),
    [sym_block_comment] = STATE(318),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [319] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(499),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18096),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(319),
    [sym_block_comment] = STATE(319),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [320] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(501),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17818),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(320),
    [sym_block_comment] = STATE(320),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [321] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(503),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18126),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(321),
    [sym_block_comment] = STATE(321),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [322] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(504),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18466),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(322),
    [sym_block_comment] = STATE(322),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [323] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(506),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18756),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(323),
    [sym_block_comment] = STATE(323),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [324] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(507),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18950),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(324),
    [sym_block_comment] = STATE(324),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [325] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(509),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19134),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(325),
    [sym_block_comment] = STATE(325),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [326] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(511),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19386),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(326),
    [sym_block_comment] = STATE(326),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [327] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(512),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17777),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(327),
    [sym_block_comment] = STATE(327),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [328] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_self_type] = STATE(423),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18629),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6289),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(328),
    [sym_block_comment] = STATE(328),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(597),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [329] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18774),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(329),
    [sym_block_comment] = STATE(329),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [330] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17820),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(330),
    [sym_block_comment] = STATE(330),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [331] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18089),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(331),
    [sym_block_comment] = STATE(331),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [332] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18103),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(332),
    [sym_block_comment] = STATE(332),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [333] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18172),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(333),
    [sym_block_comment] = STATE(333),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [334] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18327),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(334),
    [sym_block_comment] = STATE(334),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [335] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18340),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(335),
    [sym_block_comment] = STATE(335),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [336] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18408),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(336),
    [sym_block_comment] = STATE(336),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [337] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18547),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(337),
    [sym_block_comment] = STATE(337),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [338] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18549),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(338),
    [sym_block_comment] = STATE(338),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [339] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18631),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(339),
    [sym_block_comment] = STATE(339),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [340] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18777),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(340),
    [sym_block_comment] = STATE(340),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [341] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18841),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(341),
    [sym_block_comment] = STATE(341),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [342] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18460),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(342),
    [sym_block_comment] = STATE(342),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [343] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19039),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(343),
    [sym_block_comment] = STATE(343),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [344] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19052),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(344),
    [sym_block_comment] = STATE(344),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [345] = {
    [sym_enum_definition] = STATE(15796),
    [sym_import_declaration] = STATE(15796),
    [sym_export_declaration] = STATE(15796),
    [sym_object_definition] = STATE(15796),
    [sym_class_definition] = STATE(15796),
    [sym_trait_definition] = STATE(15796),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15796),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15796),
    [sym_val_declaration] = STATE(15796),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15796),
    [sym_var_definition] = STATE(15796),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15796),
    [sym_function_definition] = STATE(15796),
    [sym_function_declaration] = STATE(15796),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15796),
    [sym_given_definition] = STATE(15796),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(14963),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(345),
    [sym_block_comment] = STATE(345),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(671),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(673),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [346] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19183),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(346),
    [sym_block_comment] = STATE(346),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [347] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19438),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(347),
    [sym_block_comment] = STATE(347),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [348] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19500),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(348),
    [sym_block_comment] = STATE(348),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [349] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18467),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(349),
    [sym_block_comment] = STATE(349),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [350] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18703),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(350),
    [sym_block_comment] = STATE(350),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [351] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17953),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(351),
    [sym_block_comment] = STATE(351),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [352] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18073),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(352),
    [sym_block_comment] = STATE(352),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [353] = {
    [sym_enum_definition] = STATE(15824),
    [sym__enum_block] = STATE(18991),
    [sym_enum_case_definitions] = STATE(15824),
    [sym_import_declaration] = STATE(15824),
    [sym_export_declaration] = STATE(15824),
    [sym_object_definition] = STATE(15824),
    [sym_class_definition] = STATE(15824),
    [sym_trait_definition] = STATE(15824),
    [sym_type_parameters] = STATE(18973),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15824),
    [sym_val_declaration] = STATE(15824),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15824),
    [sym_var_definition] = STATE(15824),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15824),
    [sym_function_definition] = STATE(15824),
    [sym_function_declaration] = STATE(15824),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15824),
    [sym_given_definition] = STATE(15824),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15051),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(353),
    [sym_block_comment] = STATE(353),
    [aux_sym_enum_definition_repeat1] = STATE(4517),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(675),
    [anon_sym_case] = ACTIONS(677),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [354] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19212),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(354),
    [sym_block_comment] = STATE(354),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [355] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18256),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(355),
    [sym_block_comment] = STATE(355),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [356] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18948),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(356),
    [sym_block_comment] = STATE(356),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [357] = {
    [sym_enum_definition] = STATE(15824),
    [sym__enum_block] = STATE(18815),
    [sym_enum_case_definitions] = STATE(15824),
    [sym_import_declaration] = STATE(15824),
    [sym_export_declaration] = STATE(15824),
    [sym_object_definition] = STATE(15824),
    [sym_class_definition] = STATE(15824),
    [sym_trait_definition] = STATE(15824),
    [sym_type_parameters] = STATE(18973),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15824),
    [sym_val_declaration] = STATE(15824),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15824),
    [sym_var_definition] = STATE(15824),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15824),
    [sym_function_definition] = STATE(15824),
    [sym_function_declaration] = STATE(15824),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15824),
    [sym_given_definition] = STATE(15824),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15051),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(357),
    [sym_block_comment] = STATE(357),
    [aux_sym_enum_definition_repeat1] = STATE(4517),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(681),
    [anon_sym_case] = ACTIONS(677),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [358] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17867),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(358),
    [sym_block_comment] = STATE(358),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [359] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17832),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(359),
    [sym_block_comment] = STATE(359),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [360] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18386),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(360),
    [sym_block_comment] = STATE(360),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [361] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18685),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(361),
    [sym_block_comment] = STATE(361),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [362] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17965),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(362),
    [sym_block_comment] = STATE(362),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [363] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19100),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(363),
    [sym_block_comment] = STATE(363),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [364] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18817),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(364),
    [sym_block_comment] = STATE(364),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [365] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18986),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(365),
    [sym_block_comment] = STATE(365),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [366] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17842),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(366),
    [sym_block_comment] = STATE(366),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [367] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18216),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(367),
    [sym_block_comment] = STATE(367),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [368] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18449),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(368),
    [sym_block_comment] = STATE(368),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [369] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18934),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(369),
    [sym_block_comment] = STATE(369),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [370] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18630),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(370),
    [sym_block_comment] = STATE(370),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [371] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18940),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(371),
    [sym_block_comment] = STATE(371),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [372] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18942),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(372),
    [sym_block_comment] = STATE(372),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [373] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18874),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(373),
    [sym_block_comment] = STATE(373),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [374] = {
    [sym_enum_definition] = STATE(15796),
    [sym_import_declaration] = STATE(15796),
    [sym_export_declaration] = STATE(15796),
    [sym_object_definition] = STATE(15796),
    [sym_class_definition] = STATE(15796),
    [sym_trait_definition] = STATE(15796),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15796),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15796),
    [sym_val_declaration] = STATE(15796),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15796),
    [sym_var_definition] = STATE(15796),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15796),
    [sym_function_definition] = STATE(15796),
    [sym_function_declaration] = STATE(15796),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15796),
    [sym_given_definition] = STATE(15796),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(14963),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(374),
    [sym_block_comment] = STATE(374),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(683),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(673),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [375] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19072),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(375),
    [sym_block_comment] = STATE(375),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [376] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19355),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(376),
    [sym_block_comment] = STATE(376),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [377] = {
    [sym_enum_definition] = STATE(15659),
    [sym_import_declaration] = STATE(15659),
    [sym_export_declaration] = STATE(15659),
    [sym_object_definition] = STATE(15659),
    [sym_class_definition] = STATE(15659),
    [sym_trait_definition] = STATE(15659),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15659),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15659),
    [sym_val_declaration] = STATE(15659),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15659),
    [sym_var_definition] = STATE(15659),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15659),
    [sym_function_definition] = STATE(15659),
    [sym_function_declaration] = STATE(15659),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15659),
    [sym_given_definition] = STATE(15659),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(15015),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(377),
    [sym_block_comment] = STATE(377),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(685),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(671),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [378] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19227),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(378),
    [sym_block_comment] = STATE(378),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [379] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19546),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(379),
    [sym_block_comment] = STATE(379),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [380] = {
    [sym_enum_definition] = STATE(15659),
    [sym_import_declaration] = STATE(15659),
    [sym_export_declaration] = STATE(15659),
    [sym_object_definition] = STATE(15659),
    [sym_class_definition] = STATE(15659),
    [sym_trait_definition] = STATE(15659),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15659),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15659),
    [sym_val_declaration] = STATE(15659),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15659),
    [sym_var_definition] = STATE(15659),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15659),
    [sym_function_definition] = STATE(15659),
    [sym_function_declaration] = STATE(15659),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15659),
    [sym_given_definition] = STATE(15659),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(15015),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(380),
    [sym_block_comment] = STATE(380),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(685),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(683),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [381] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19367),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(381),
    [sym_block_comment] = STATE(381),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [382] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18271),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(382),
    [sym_block_comment] = STATE(382),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [383] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18359),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(383),
    [sym_block_comment] = STATE(383),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [384] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19541),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(384),
    [sym_block_comment] = STATE(384),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [385] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18045),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(385),
    [sym_block_comment] = STATE(385),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [386] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18576),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(386),
    [sym_block_comment] = STATE(386),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [387] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18426),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(387),
    [sym_block_comment] = STATE(387),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [388] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17991),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(388),
    [sym_block_comment] = STATE(388),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [389] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18434),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(389),
    [sym_block_comment] = STATE(389),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [390] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18287),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(390),
    [sym_block_comment] = STATE(390),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [391] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17784),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(391),
    [sym_block_comment] = STATE(391),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [392] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18743),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(392),
    [sym_block_comment] = STATE(392),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [393] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19006),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(393),
    [sym_block_comment] = STATE(393),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [394] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18318),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(394),
    [sym_block_comment] = STATE(394),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [395] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19418),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(395),
    [sym_block_comment] = STATE(395),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [396] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18344),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(396),
    [sym_block_comment] = STATE(396),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [397] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17812),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(397),
    [sym_block_comment] = STATE(397),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [398] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17874),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(398),
    [sym_block_comment] = STATE(398),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [399] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18007),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(399),
    [sym_block_comment] = STATE(399),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [400] = {
    [sym_enum_definition] = STATE(15796),
    [sym_import_declaration] = STATE(15796),
    [sym_export_declaration] = STATE(15796),
    [sym_object_definition] = STATE(15796),
    [sym_class_definition] = STATE(15796),
    [sym_trait_definition] = STATE(15796),
    [sym_type_parameters] = STATE(19083),
    [sym__end_marker] = STATE(15796),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15796),
    [sym_val_declaration] = STATE(15796),
    [sym__start_val] = STATE(4295),
    [sym_var_declaration] = STATE(15796),
    [sym_var_definition] = STATE(15796),
    [sym__start_var] = STATE(4302),
    [sym_type_definition] = STATE(15796),
    [sym_function_definition] = STATE(15796),
    [sym_function_declaration] = STATE(15796),
    [sym__function_declaration] = STATE(15044),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15796),
    [sym_given_definition] = STATE(15796),
    [sym_modifiers] = STATE(14002),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(536),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(14963),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(400),
    [sym_block_comment] = STATE(400),
    [aux_sym_enum_definition_repeat1] = STATE(4513),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(671),
    [anon_sym_case] = ACTIONS(687),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(611),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(623),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(625),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(673),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [401] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17940),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(401),
    [sym_block_comment] = STATE(401),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [402] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18881),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(402),
    [sym_block_comment] = STATE(402),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [403] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18004),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(403),
    [sym_block_comment] = STATE(403),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [404] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18892),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(404),
    [sym_block_comment] = STATE(404),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [405] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18072),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(405),
    [sym_block_comment] = STATE(405),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [406] = {
    [sym_enum_definition] = STATE(15796),
    [sym_import_declaration] = STATE(15796),
    [sym_export_declaration] = STATE(15796),
    [sym_object_definition] = STATE(15796),
    [sym_class_definition] = STATE(15796),
    [sym_trait_definition] = STATE(15796),
    [sym_type_parameters] = STATE(19083),
    [sym__end_marker] = STATE(15796),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15796),
    [sym_val_declaration] = STATE(15796),
    [sym__start_val] = STATE(4295),
    [sym_var_declaration] = STATE(15796),
    [sym_var_definition] = STATE(15796),
    [sym__start_var] = STATE(4302),
    [sym_type_definition] = STATE(15796),
    [sym_function_definition] = STATE(15796),
    [sym_function_declaration] = STATE(15796),
    [sym__function_declaration] = STATE(15044),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15796),
    [sym_given_definition] = STATE(15796),
    [sym_modifiers] = STATE(14002),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(536),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(14963),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(406),
    [sym_block_comment] = STATE(406),
    [aux_sym_enum_definition_repeat1] = STATE(4513),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(683),
    [anon_sym_case] = ACTIONS(689),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(611),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(623),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(625),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(673),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [407] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18132),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(407),
    [sym_block_comment] = STATE(407),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [408] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19543),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(408),
    [sym_block_comment] = STATE(408),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [409] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18199),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(409),
    [sym_block_comment] = STATE(409),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [410] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18264),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(410),
    [sym_block_comment] = STATE(410),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [411] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18690),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(411),
    [sym_block_comment] = STATE(411),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [412] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18334),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(412),
    [sym_block_comment] = STATE(412),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [413] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18695),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(413),
    [sym_block_comment] = STATE(413),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [414] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18400),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(414),
    [sym_block_comment] = STATE(414),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [415] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18441),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(415),
    [sym_block_comment] = STATE(415),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [416] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17865),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(416),
    [sym_block_comment] = STATE(416),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [417] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18488),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(417),
    [sym_block_comment] = STATE(417),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [418] = {
    [sym_enum_definition] = STATE(15659),
    [sym_import_declaration] = STATE(15659),
    [sym_export_declaration] = STATE(15659),
    [sym_object_definition] = STATE(15659),
    [sym_class_definition] = STATE(15659),
    [sym_trait_definition] = STATE(15659),
    [sym_type_parameters] = STATE(19179),
    [sym__end_marker] = STATE(15659),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15659),
    [sym_val_declaration] = STATE(15659),
    [sym__start_val] = STATE(4313),
    [sym_var_declaration] = STATE(15659),
    [sym_var_definition] = STATE(15659),
    [sym__start_var] = STATE(4316),
    [sym_type_definition] = STATE(15659),
    [sym_function_definition] = STATE(15659),
    [sym_function_declaration] = STATE(15659),
    [sym__function_declaration] = STATE(15034),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15659),
    [sym_given_definition] = STATE(15659),
    [sym_modifiers] = STATE(14000),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(533),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(15015),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(418),
    [sym_block_comment] = STATE(418),
    [aux_sym_enum_definition_repeat1] = STATE(4512),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(687),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(639),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(651),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(653),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(685),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(671),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [419] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18535),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(419),
    [sym_block_comment] = STATE(419),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [420] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18900),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(420),
    [sym_block_comment] = STATE(420),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [421] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18593),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(421),
    [sym_block_comment] = STATE(421),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [422] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18967),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(422),
    [sym_block_comment] = STATE(422),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [423] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18650),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(423),
    [sym_block_comment] = STATE(423),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [424] = {
    [sym_enum_definition] = STATE(15659),
    [sym_import_declaration] = STATE(15659),
    [sym_export_declaration] = STATE(15659),
    [sym_object_definition] = STATE(15659),
    [sym_class_definition] = STATE(15659),
    [sym_trait_definition] = STATE(15659),
    [sym_type_parameters] = STATE(19179),
    [sym__end_marker] = STATE(15659),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15659),
    [sym_val_declaration] = STATE(15659),
    [sym__start_val] = STATE(4313),
    [sym_var_declaration] = STATE(15659),
    [sym_var_definition] = STATE(15659),
    [sym__start_var] = STATE(4316),
    [sym_type_definition] = STATE(15659),
    [sym_function_definition] = STATE(15659),
    [sym_function_declaration] = STATE(15659),
    [sym__function_declaration] = STATE(15034),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15659),
    [sym_given_definition] = STATE(15659),
    [sym_modifiers] = STATE(14000),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(533),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(15015),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(424),
    [sym_block_comment] = STATE(424),
    [aux_sym_enum_definition_repeat1] = STATE(4512),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(689),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(639),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(651),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(653),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(685),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(683),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [425] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18694),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(425),
    [sym_block_comment] = STATE(425),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [426] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19374),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(426),
    [sym_block_comment] = STATE(426),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [427] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18732),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(427),
    [sym_block_comment] = STATE(427),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [428] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18768),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(428),
    [sym_block_comment] = STATE(428),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [429] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18808),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(429),
    [sym_block_comment] = STATE(429),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [430] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18663),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(430),
    [sym_block_comment] = STATE(430),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [431] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18852),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(431),
    [sym_block_comment] = STATE(431),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [432] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18903),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(432),
    [sym_block_comment] = STATE(432),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [433] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17769),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(433),
    [sym_block_comment] = STATE(433),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [434] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18954),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(434),
    [sym_block_comment] = STATE(434),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [435] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19004),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(435),
    [sym_block_comment] = STATE(435),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [436] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18139),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(436),
    [sym_block_comment] = STATE(436),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [437] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19065),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(437),
    [sym_block_comment] = STATE(437),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [438] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18147),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(438),
    [sym_block_comment] = STATE(438),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [439] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19119),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(439),
    [sym_block_comment] = STATE(439),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [440] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19178),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(440),
    [sym_block_comment] = STATE(440),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [441] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18277),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(441),
    [sym_block_comment] = STATE(441),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [442] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19241),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(442),
    [sym_block_comment] = STATE(442),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [443] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19299),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(443),
    [sym_block_comment] = STATE(443),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [444] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18651),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(444),
    [sym_block_comment] = STATE(444),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [445] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19362),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(445),
    [sym_block_comment] = STATE(445),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [446] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18655),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(446),
    [sym_block_comment] = STATE(446),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [447] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19425),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(447),
    [sym_block_comment] = STATE(447),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [448] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19517),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(448),
    [sym_block_comment] = STATE(448),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [449] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18809),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(449),
    [sym_block_comment] = STATE(449),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [450] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19556),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(450),
    [sym_block_comment] = STATE(450),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [451] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17992),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(451),
    [sym_block_comment] = STATE(451),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [452] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19253),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(452),
    [sym_block_comment] = STATE(452),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [453] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18169),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(453),
    [sym_block_comment] = STATE(453),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [454] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19264),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(454),
    [sym_block_comment] = STATE(454),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [455] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19510),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(455),
    [sym_block_comment] = STATE(455),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [456] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18038),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(456),
    [sym_block_comment] = STATE(456),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [457] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18959),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(457),
    [sym_block_comment] = STATE(457),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [458] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18670),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(458),
    [sym_block_comment] = STATE(458),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [459] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19210),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(459),
    [sym_block_comment] = STATE(459),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [460] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18951),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(460),
    [sym_block_comment] = STATE(460),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [461] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18010),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(461),
    [sym_block_comment] = STATE(461),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [462] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18955),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(462),
    [sym_block_comment] = STATE(462),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [463] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17937),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(463),
    [sym_block_comment] = STATE(463),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [464] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18206),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(464),
    [sym_block_comment] = STATE(464),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [465] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17947),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(465),
    [sym_block_comment] = STATE(465),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [466] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18619),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(466),
    [sym_block_comment] = STATE(466),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [467] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18882),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(467),
    [sym_block_comment] = STATE(467),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [468] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19232),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(468),
    [sym_block_comment] = STATE(468),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [469] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19076),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(469),
    [sym_block_comment] = STATE(469),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [470] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19296),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(470),
    [sym_block_comment] = STATE(470),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [471] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19273),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(471),
    [sym_block_comment] = STATE(471),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [472] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17964),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(472),
    [sym_block_comment] = STATE(472),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [473] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19012),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(473),
    [sym_block_comment] = STATE(473),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [474] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18155),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(474),
    [sym_block_comment] = STATE(474),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [475] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19410),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(475),
    [sym_block_comment] = STATE(475),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [476] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18384),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(476),
    [sym_block_comment] = STATE(476),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [477] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17924),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(477),
    [sym_block_comment] = STATE(477),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [478] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18403),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(478),
    [sym_block_comment] = STATE(478),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [479] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18054),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(479),
    [sym_block_comment] = STATE(479),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [480] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18168),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(480),
    [sym_block_comment] = STATE(480),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [481] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18725),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(481),
    [sym_block_comment] = STATE(481),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [482] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18380),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(482),
    [sym_block_comment] = STATE(482),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [483] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18586),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(483),
    [sym_block_comment] = STATE(483),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [484] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19118),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(484),
    [sym_block_comment] = STATE(484),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [485] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18683),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(485),
    [sym_block_comment] = STATE(485),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [486] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19121),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(486),
    [sym_block_comment] = STATE(486),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [487] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18750),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(487),
    [sym_block_comment] = STATE(487),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [488] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18915),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(488),
    [sym_block_comment] = STATE(488),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [489] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19303),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(489),
    [sym_block_comment] = STATE(489),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [490] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18994),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(490),
    [sym_block_comment] = STATE(490),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [491] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19084),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(491),
    [sym_block_comment] = STATE(491),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [492] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18673),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(492),
    [sym_block_comment] = STATE(492),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [493] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19189),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(493),
    [sym_block_comment] = STATE(493),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [494] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18748),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(494),
    [sym_block_comment] = STATE(494),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [495] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19281),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(495),
    [sym_block_comment] = STATE(495),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [496] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19399),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(496),
    [sym_block_comment] = STATE(496),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [497] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18039),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(497),
    [sym_block_comment] = STATE(497),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [498] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18479),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(498),
    [sym_block_comment] = STATE(498),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [499] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18521),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(499),
    [sym_block_comment] = STATE(499),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [500] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18853),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(500),
    [sym_block_comment] = STATE(500),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [501] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17916),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(501),
    [sym_block_comment] = STATE(501),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [502] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18865),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(502),
    [sym_block_comment] = STATE(502),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [503] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18242),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(503),
    [sym_block_comment] = STATE(503),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [504] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18689),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(504),
    [sym_block_comment] = STATE(504),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [505] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19365),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(505),
    [sym_block_comment] = STATE(505),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [506] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18850),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(506),
    [sym_block_comment] = STATE(506),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [507] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19007),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(507),
    [sym_block_comment] = STATE(507),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [508] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17882),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(508),
    [sym_block_comment] = STATE(508),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [509] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19280),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(509),
    [sym_block_comment] = STATE(509),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [510] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17887),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(510),
    [sym_block_comment] = STATE(510),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [511] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(19429),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(511),
    [sym_block_comment] = STATE(511),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [512] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17783),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(512),
    [sym_block_comment] = STATE(512),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [513] = {
    [sym_enum_definition] = STATE(15782),
    [sym_import_declaration] = STATE(15782),
    [sym_export_declaration] = STATE(15782),
    [sym_object_definition] = STATE(15782),
    [sym_class_definition] = STATE(15782),
    [sym_trait_definition] = STATE(15782),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15782),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15782),
    [sym_val_declaration] = STATE(15782),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15782),
    [sym_var_definition] = STATE(15782),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15782),
    [sym_function_definition] = STATE(15782),
    [sym_function_declaration] = STATE(15782),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15782),
    [sym_given_definition] = STATE(15782),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(17948),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14933),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(513),
    [sym_block_comment] = STATE(513),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(563),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [514] = {
    [sym_enum_definition] = STATE(15726),
    [sym_import_declaration] = STATE(15726),
    [sym_export_declaration] = STATE(15726),
    [sym_object_definition] = STATE(15726),
    [sym_class_definition] = STATE(15726),
    [sym_trait_definition] = STATE(15726),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15726),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15726),
    [sym_val_declaration] = STATE(15726),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15726),
    [sym_var_definition] = STATE(15726),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15726),
    [sym_function_definition] = STATE(15726),
    [sym_function_declaration] = STATE(15726),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15726),
    [sym_given_definition] = STATE(15726),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym__block] = STATE(18537),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15062),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(514),
    [sym_block_comment] = STATE(514),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [515] = {
    [sym_enum_definition] = STATE(16441),
    [sym_enum_case_definitions] = STATE(16441),
    [sym_import_declaration] = STATE(16441),
    [sym_export_declaration] = STATE(16441),
    [sym_object_definition] = STATE(16441),
    [sym_class_definition] = STATE(16441),
    [sym_trait_definition] = STATE(16441),
    [sym_type_parameters] = STATE(18973),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(16441),
    [sym_val_declaration] = STATE(16441),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(16441),
    [sym_var_definition] = STATE(16441),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(16441),
    [sym_function_definition] = STATE(16441),
    [sym_function_declaration] = STATE(16441),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(16441),
    [sym_given_definition] = STATE(16441),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15189),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(515),
    [sym_block_comment] = STATE(515),
    [aux_sym_enum_definition_repeat1] = STATE(4517),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(691),
    [anon_sym_case] = ACTIONS(677),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [516] = {
    [sym_enum_definition] = STATE(15796),
    [sym_import_declaration] = STATE(15796),
    [sym_export_declaration] = STATE(15796),
    [sym_object_definition] = STATE(15796),
    [sym_class_definition] = STATE(15796),
    [sym_trait_definition] = STATE(15796),
    [sym_type_parameters] = STATE(19083),
    [sym__end_marker] = STATE(15796),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15796),
    [sym_val_declaration] = STATE(15796),
    [sym__start_val] = STATE(4295),
    [sym_var_declaration] = STATE(15796),
    [sym_var_definition] = STATE(15796),
    [sym__start_var] = STATE(4302),
    [sym_type_definition] = STATE(15796),
    [sym_function_definition] = STATE(15796),
    [sym_function_declaration] = STATE(15796),
    [sym__function_declaration] = STATE(15044),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15796),
    [sym_given_definition] = STATE(15796),
    [sym_modifiers] = STATE(14002),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(536),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(14963),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(516),
    [sym_block_comment] = STATE(516),
    [aux_sym_enum_definition_repeat1] = STATE(4513),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(611),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(623),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(625),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(673),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [517] = {
    [sym_enum_definition] = STATE(17013),
    [sym_enum_case_definitions] = STATE(17013),
    [sym_import_declaration] = STATE(17013),
    [sym_export_declaration] = STATE(17013),
    [sym_object_definition] = STATE(17013),
    [sym_class_definition] = STATE(17013),
    [sym_trait_definition] = STATE(17013),
    [sym_type_parameters] = STATE(19051),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(17013),
    [sym_val_declaration] = STATE(17013),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(17013),
    [sym_var_definition] = STATE(17013),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(17013),
    [sym_function_definition] = STATE(17013),
    [sym_function_declaration] = STATE(17013),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(17013),
    [sym_given_definition] = STATE(17013),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(15237),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(517),
    [sym_block_comment] = STATE(517),
    [aux_sym_enum_definition_repeat1] = STATE(4511),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(693),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(697),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [518] = {
    [sym_enum_definition] = STATE(15659),
    [sym_import_declaration] = STATE(15659),
    [sym_export_declaration] = STATE(15659),
    [sym_object_definition] = STATE(15659),
    [sym_class_definition] = STATE(15659),
    [sym_trait_definition] = STATE(15659),
    [sym_type_parameters] = STATE(19051),
    [sym__end_marker] = STATE(15659),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15659),
    [sym_val_declaration] = STATE(15659),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15659),
    [sym_var_definition] = STATE(15659),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15659),
    [sym_function_definition] = STATE(15659),
    [sym_function_declaration] = STATE(15659),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15659),
    [sym_given_definition] = STATE(15659),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(15015),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(518),
    [sym_block_comment] = STATE(518),
    [aux_sym_enum_definition_repeat1] = STATE(4491),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(685),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [519] = {
    [sym_enum_definition] = STATE(17013),
    [sym_enum_case_definitions] = STATE(17013),
    [sym_import_declaration] = STATE(17013),
    [sym_export_declaration] = STATE(17013),
    [sym_object_definition] = STATE(17013),
    [sym_class_definition] = STATE(17013),
    [sym_trait_definition] = STATE(17013),
    [sym_type_parameters] = STATE(19051),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(17013),
    [sym_val_declaration] = STATE(17013),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(17013),
    [sym_var_definition] = STATE(17013),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(17013),
    [sym_function_definition] = STATE(17013),
    [sym_function_declaration] = STATE(17013),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(17013),
    [sym_given_definition] = STATE(17013),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(15237),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(519),
    [sym_block_comment] = STATE(519),
    [aux_sym_enum_definition_repeat1] = STATE(4511),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(693),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(691),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [520] = {
    [sym_enum_definition] = STATE(15570),
    [sym__enum_block] = STATE(19313),
    [sym_enum_case_definitions] = STATE(15570),
    [sym_import_declaration] = STATE(15570),
    [sym_export_declaration] = STATE(15570),
    [sym_object_definition] = STATE(15570),
    [sym_class_definition] = STATE(15570),
    [sym_trait_definition] = STATE(15570),
    [sym_type_parameters] = STATE(19051),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15570),
    [sym_val_declaration] = STATE(15570),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15570),
    [sym_var_definition] = STATE(15570),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15570),
    [sym_function_definition] = STATE(15570),
    [sym_function_declaration] = STATE(15570),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15570),
    [sym_given_definition] = STATE(15570),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14997),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(520),
    [sym_block_comment] = STATE(520),
    [aux_sym_enum_definition_repeat1] = STATE(4511),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(693),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [521] = {
    [sym_enum_definition] = STATE(15659),
    [sym_import_declaration] = STATE(15659),
    [sym_export_declaration] = STATE(15659),
    [sym_object_definition] = STATE(15659),
    [sym_class_definition] = STATE(15659),
    [sym_trait_definition] = STATE(15659),
    [sym_type_parameters] = STATE(19179),
    [sym__end_marker] = STATE(15659),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15659),
    [sym_val_declaration] = STATE(15659),
    [sym__start_val] = STATE(4313),
    [sym_var_declaration] = STATE(15659),
    [sym_var_definition] = STATE(15659),
    [sym__start_var] = STATE(4316),
    [sym_type_definition] = STATE(15659),
    [sym_function_definition] = STATE(15659),
    [sym_function_declaration] = STATE(15659),
    [sym__function_declaration] = STATE(15034),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15659),
    [sym_given_definition] = STATE(15659),
    [sym_modifiers] = STATE(14000),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(533),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(15015),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(521),
    [sym_block_comment] = STATE(521),
    [aux_sym_enum_definition_repeat1] = STATE(4512),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(639),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(531),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(651),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(653),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(685),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [522] = {
    [sym_enum_definition] = STATE(16441),
    [sym_enum_case_definitions] = STATE(16441),
    [sym_import_declaration] = STATE(16441),
    [sym_export_declaration] = STATE(16441),
    [sym_object_definition] = STATE(16441),
    [sym_class_definition] = STATE(16441),
    [sym_trait_definition] = STATE(16441),
    [sym_type_parameters] = STATE(18973),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(16441),
    [sym_val_declaration] = STATE(16441),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(16441),
    [sym_var_definition] = STATE(16441),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(16441),
    [sym_function_definition] = STATE(16441),
    [sym_function_declaration] = STATE(16441),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(16441),
    [sym_given_definition] = STATE(16441),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15189),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(522),
    [sym_block_comment] = STATE(522),
    [aux_sym_enum_definition_repeat1] = STATE(4517),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(697),
    [anon_sym_case] = ACTIONS(677),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [523] = {
    [sym_enum_definition] = STATE(15796),
    [sym_import_declaration] = STATE(15796),
    [sym_export_declaration] = STATE(15796),
    [sym_object_definition] = STATE(15796),
    [sym_class_definition] = STATE(15796),
    [sym_trait_definition] = STATE(15796),
    [sym_type_parameters] = STATE(18973),
    [sym__end_marker] = STATE(15796),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15796),
    [sym_val_declaration] = STATE(15796),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(15796),
    [sym_var_definition] = STATE(15796),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(15796),
    [sym_function_definition] = STATE(15796),
    [sym_function_declaration] = STATE(15796),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(15796),
    [sym_given_definition] = STATE(15796),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(14963),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(523),
    [sym_block_comment] = STATE(523),
    [aux_sym_enum_definition_repeat1] = STATE(4506),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(673),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [524] = {
    [sym_enum_definition] = STATE(15570),
    [sym__enum_block] = STATE(18286),
    [sym_enum_case_definitions] = STATE(15570),
    [sym_import_declaration] = STATE(15570),
    [sym_export_declaration] = STATE(15570),
    [sym_object_definition] = STATE(15570),
    [sym_class_definition] = STATE(15570),
    [sym_trait_definition] = STATE(15570),
    [sym_type_parameters] = STATE(19051),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(15570),
    [sym_val_declaration] = STATE(15570),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(15570),
    [sym_var_definition] = STATE(15570),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(15570),
    [sym_function_definition] = STATE(15570),
    [sym_function_declaration] = STATE(15570),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(15570),
    [sym_given_definition] = STATE(15570),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14997),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(524),
    [sym_block_comment] = STATE(524),
    [aux_sym_enum_definition_repeat1] = STATE(4511),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(693),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [525] = {
    [sym_enum_definition] = STATE(16441),
    [sym_enum_case_definitions] = STATE(16441),
    [sym_import_declaration] = STATE(16441),
    [sym_export_declaration] = STATE(16441),
    [sym_object_definition] = STATE(16441),
    [sym_class_definition] = STATE(16441),
    [sym_trait_definition] = STATE(16441),
    [sym_type_parameters] = STATE(18973),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(16441),
    [sym_val_declaration] = STATE(16441),
    [sym__start_val] = STATE(4290),
    [sym_var_declaration] = STATE(16441),
    [sym_var_definition] = STATE(16441),
    [sym__start_var] = STATE(4304),
    [sym_type_definition] = STATE(16441),
    [sym_function_definition] = STATE(16441),
    [sym_function_declaration] = STATE(16441),
    [sym__function_declaration] = STATE(15195),
    [sym_opaque_modifier] = STATE(18189),
    [sym_extension_definition] = STATE(16441),
    [sym_given_definition] = STATE(16441),
    [sym_modifiers] = STATE(13768),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(538),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(15189),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(525),
    [sym_block_comment] = STATE(525),
    [aux_sym_enum_definition_repeat1] = STATE(4517),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(677),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_given] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_extension] = ACTIONS(135),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(137),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_opaque] = ACTIONS(199),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(143),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_transparent] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [526] = {
    [sym_enum_definition] = STATE(17013),
    [sym_enum_case_definitions] = STATE(17013),
    [sym_import_declaration] = STATE(17013),
    [sym_export_declaration] = STATE(17013),
    [sym_object_definition] = STATE(17013),
    [sym_class_definition] = STATE(17013),
    [sym_trait_definition] = STATE(17013),
    [sym_type_parameters] = STATE(19051),
    [sym_annotation] = STATE(7951),
    [sym_val_definition] = STATE(17013),
    [sym_val_declaration] = STATE(17013),
    [sym__start_val] = STATE(4297),
    [sym_var_declaration] = STATE(17013),
    [sym_var_definition] = STATE(17013),
    [sym__start_var] = STATE(4307),
    [sym_type_definition] = STATE(17013),
    [sym_function_definition] = STATE(17013),
    [sym_function_declaration] = STATE(17013),
    [sym__function_declaration] = STATE(15112),
    [sym_opaque_modifier] = STATE(18802),
    [sym_extension_definition] = STATE(17013),
    [sym_given_definition] = STATE(17013),
    [sym_modifiers] = STATE(13977),
    [sym_access_modifier] = STATE(6726),
    [sym_inline_modifier] = STATE(532),
    [sym_infix_modifier] = STATE(6726),
    [sym_open_modifier] = STATE(6726),
    [sym_transparent_modifier] = STATE(6726),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(15237),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(526),
    [sym_block_comment] = STATE(526),
    [aux_sym_enum_definition_repeat1] = STATE(4511),
    [aux_sym_modifiers_repeat1] = STATE(5615),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_enum] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(693),
    [anon_sym_object] = ACTIONS(515),
    [anon_sym_import] = ACTIONS(517),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_given] = ACTIONS(523),
    [anon_sym_class] = ACTIONS(525),
    [anon_sym_trait] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_extension] = ACTIONS(543),
    [anon_sym_val] = ACTIONS(51),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_var] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(545),
    [anon_sym_def] = ACTIONS(547),
    [anon_sym_opaque] = ACTIONS(549),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_final] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_implicit] = ACTIONS(551),
    [anon_sym_lazy] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(67),
    [anon_sym_protected] = ACTIONS(67),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(555),
    [anon_sym_open] = ACTIONS(557),
    [anon_sym_transparent] = ACTIONS(559),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [527] = {
    [sym_type_parameters] = STATE(17308),
    [sym_template_body] = STATE(12267),
    [sym__indented_template_body] = STATE(12449),
    [sym__braced_template_body] = STATE(12449),
    [sym_inline_modifier] = STATE(2313),
    [sym_name_and_type] = STATE(16632),
    [sym_block] = STATE(10214),
    [sym__type] = STATE(15301),
    [sym__annotated_type] = STATE(5524),
    [sym_annotated_type] = STATE(9116),
    [sym__simple_type] = STATE(5743),
    [sym_compound_type] = STATE(10560),
    [sym__structural_type] = STATE(12230),
    [sym__infix_type_choice] = STATE(13348),
    [sym_infix_type] = STATE(10560),
    [sym_tuple_type] = STATE(6506),
    [sym_named_tuple_type] = STATE(6506),
    [sym_singleton_type] = STATE(6506),
    [sym_stable_type_identifier] = STATE(6506),
    [sym_stable_identifier] = STATE(18445),
    [sym_generic_type] = STATE(6506),
    [sym_projected_type] = STATE(6506),
    [sym_match_type] = STATE(12230),
    [sym_function_type] = STATE(12230),
    [sym_parameter_types] = STATE(16565),
    [sym_lazy_parameter_type] = STATE(16954),
    [sym_repeated_parameter_type] = STATE(16954),
    [sym__type_identifier] = STATE(6506),
    [sym_type_lambda] = STATE(12230),
    [sym_expression] = STATE(15150),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_binding] = STATE(16903),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5065),
    [sym__soft_identifier] = STATE(5232),
    [sym_wildcard] = STATE(8553),
    [sym__non_null_literal] = STATE(10886),
    [sym_literal_type] = STATE(11284),
    [sym_boolean_literal] = STATE(9436),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(9436),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(527),
    [sym_block_comment] = STATE(527),
    [sym__alpha_identifier] = ACTIONS(699),
    [anon_sym_COLON] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym__] = ACTIONS(705),
    [anon_sym_EQ_GT] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(713),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(727),
    [anon_sym_infix] = ACTIONS(713),
    [anon_sym_open] = ACTIONS(713),
    [anon_sym_transparent] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(729),
    [anon_sym_RPAREN] = ACTIONS(731),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(739),
    [sym_operator_identifier] = ACTIONS(741),
    [sym_integer_literal] = ACTIONS(743),
    [sym_floating_point_literal] = ACTIONS(745),
    [anon_sym_true] = ACTIONS(747),
    [anon_sym_false] = ACTIONS(747),
    [sym_character_literal] = ACTIONS(745),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(757),
    [sym__simple_string] = ACTIONS(757),
  },
  [528] = {
    [sym_type_parameters] = STATE(17308),
    [sym_template_body] = STATE(12267),
    [sym__indented_template_body] = STATE(12449),
    [sym__braced_template_body] = STATE(12449),
    [sym_inline_modifier] = STATE(2313),
    [sym_name_and_type] = STATE(16559),
    [sym_block] = STATE(10214),
    [sym__type] = STATE(15481),
    [sym__annotated_type] = STATE(5524),
    [sym_annotated_type] = STATE(9116),
    [sym__simple_type] = STATE(5743),
    [sym_compound_type] = STATE(10560),
    [sym__structural_type] = STATE(12230),
    [sym__infix_type_choice] = STATE(13348),
    [sym_infix_type] = STATE(10560),
    [sym_tuple_type] = STATE(6506),
    [sym_named_tuple_type] = STATE(6506),
    [sym_singleton_type] = STATE(6506),
    [sym_stable_type_identifier] = STATE(6506),
    [sym_stable_identifier] = STATE(18445),
    [sym_generic_type] = STATE(6506),
    [sym_projected_type] = STATE(6506),
    [sym_match_type] = STATE(12230),
    [sym_function_type] = STATE(12230),
    [sym_parameter_types] = STATE(16565),
    [sym_lazy_parameter_type] = STATE(16954),
    [sym_repeated_parameter_type] = STATE(16954),
    [sym__type_identifier] = STATE(6506),
    [sym_type_lambda] = STATE(12230),
    [sym_expression] = STATE(15203),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_binding] = STATE(16903),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5065),
    [sym__soft_identifier] = STATE(5232),
    [sym_wildcard] = STATE(8553),
    [sym__non_null_literal] = STATE(10886),
    [sym_literal_type] = STATE(11284),
    [sym_boolean_literal] = STATE(9436),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(9436),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(528),
    [sym_block_comment] = STATE(528),
    [sym__alpha_identifier] = ACTIONS(699),
    [anon_sym_COLON] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym__] = ACTIONS(705),
    [anon_sym_EQ_GT] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(713),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(727),
    [anon_sym_infix] = ACTIONS(713),
    [anon_sym_open] = ACTIONS(713),
    [anon_sym_transparent] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(729),
    [anon_sym_RPAREN] = ACTIONS(759),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(739),
    [sym_operator_identifier] = ACTIONS(741),
    [sym_integer_literal] = ACTIONS(743),
    [sym_floating_point_literal] = ACTIONS(745),
    [anon_sym_true] = ACTIONS(747),
    [anon_sym_false] = ACTIONS(747),
    [sym_character_literal] = ACTIONS(745),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(757),
    [sym__simple_string] = ACTIONS(757),
  },
  [529] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym__indentable_expression] = STATE(15056),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(529),
    [sym_block_comment] = STATE(529),
    [sym__alpha_identifier] = ACTIONS(761),
    [anon_sym_enum] = ACTIONS(764),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_case] = ACTIONS(764),
    [anon_sym_object] = ACTIONS(764),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym__] = ACTIONS(769),
    [anon_sym_given] = ACTIONS(764),
    [anon_sym_class] = ACTIONS(764),
    [anon_sym_trait] = ACTIONS(764),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_end] = ACTIONS(778),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(787),
    [anon_sym_try] = ACTIONS(790),
    [anon_sym_new] = ACTIONS(793),
    [anon_sym_extension] = ACTIONS(764),
    [anon_sym_val] = ACTIONS(764),
    [anon_sym_AT] = ACTIONS(764),
    [anon_sym_var] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(764),
    [anon_sym_def] = ACTIONS(764),
    [anon_sym_opaque] = ACTIONS(778),
    [anon_sym_abstract] = ACTIONS(764),
    [anon_sym_final] = ACTIONS(764),
    [anon_sym_sealed] = ACTIONS(764),
    [anon_sym_implicit] = ACTIONS(796),
    [anon_sym_lazy] = ACTIONS(764),
    [anon_sym_override] = ACTIONS(764),
    [anon_sym_private] = ACTIONS(764),
    [anon_sym_protected] = ACTIONS(764),
    [anon_sym_inline] = ACTIONS(799),
    [anon_sym_infix] = ACTIONS(778),
    [anon_sym_open] = ACTIONS(778),
    [anon_sym_transparent] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(805),
    [anon_sym_macro] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_DOLLAR] = ACTIONS(810),
    [anon_sym_SQUOTE] = ACTIONS(813),
    [sym__backquoted_id] = ACTIONS(816),
    [sym_operator_identifier] = ACTIONS(819),
    [sym_integer_literal] = ACTIONS(822),
    [sym_floating_point_literal] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(828),
    [anon_sym_false] = ACTIONS(828),
    [sym_character_literal] = ACTIONS(825),
    [sym_null_literal] = ACTIONS(831),
    [anon_sym_return] = ACTIONS(834),
    [anon_sym_throw] = ACTIONS(837),
    [anon_sym_do] = ACTIONS(840),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__outdent] = ACTIONS(805),
    [sym__simple_multiline_string] = ACTIONS(845),
    [sym__simple_string] = ACTIONS(845),
  },
  [530] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym__indentable_expression] = STATE(15056),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(530),
    [sym_block_comment] = STATE(530),
    [sym__alpha_identifier] = ACTIONS(761),
    [anon_sym_enum] = ACTIONS(764),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_case] = ACTIONS(764),
    [anon_sym_object] = ACTIONS(764),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym__] = ACTIONS(769),
    [anon_sym_given] = ACTIONS(764),
    [anon_sym_class] = ACTIONS(764),
    [anon_sym_trait] = ACTIONS(764),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_end] = ACTIONS(778),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(787),
    [anon_sym_try] = ACTIONS(790),
    [anon_sym_new] = ACTIONS(793),
    [anon_sym_extension] = ACTIONS(764),
    [anon_sym_val] = ACTIONS(764),
    [anon_sym_AT] = ACTIONS(764),
    [anon_sym_var] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(764),
    [anon_sym_def] = ACTIONS(764),
    [anon_sym_opaque] = ACTIONS(778),
    [anon_sym_abstract] = ACTIONS(764),
    [anon_sym_final] = ACTIONS(764),
    [anon_sym_sealed] = ACTIONS(764),
    [anon_sym_implicit] = ACTIONS(796),
    [anon_sym_lazy] = ACTIONS(764),
    [anon_sym_override] = ACTIONS(764),
    [anon_sym_private] = ACTIONS(764),
    [anon_sym_protected] = ACTIONS(764),
    [anon_sym_inline] = ACTIONS(799),
    [anon_sym_infix] = ACTIONS(778),
    [anon_sym_open] = ACTIONS(778),
    [anon_sym_transparent] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(802),
    [anon_sym_SEMI] = ACTIONS(805),
    [anon_sym_macro] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_DOLLAR] = ACTIONS(810),
    [anon_sym_SQUOTE] = ACTIONS(813),
    [sym__backquoted_id] = ACTIONS(816),
    [sym_operator_identifier] = ACTIONS(819),
    [sym_integer_literal] = ACTIONS(822),
    [sym_floating_point_literal] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(828),
    [anon_sym_false] = ACTIONS(828),
    [sym_character_literal] = ACTIONS(825),
    [sym_null_literal] = ACTIONS(831),
    [anon_sym_return] = ACTIONS(834),
    [anon_sym_throw] = ACTIONS(837),
    [anon_sym_do] = ACTIONS(840),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(845),
    [sym__simple_string] = ACTIONS(845),
  },
  [531] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym__indentable_expression] = STATE(13955),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(531),
    [sym_block_comment] = STATE(531),
    [sym__alpha_identifier] = ACTIONS(848),
    [anon_sym_enum] = ACTIONS(764),
    [anon_sym_LBRACE] = ACTIONS(851),
    [anon_sym_case] = ACTIONS(764),
    [anon_sym_object] = ACTIONS(764),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym__] = ACTIONS(854),
    [anon_sym_given] = ACTIONS(764),
    [anon_sym_class] = ACTIONS(764),
    [anon_sym_trait] = ACTIONS(764),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_end] = ACTIONS(860),
    [anon_sym_if] = ACTIONS(863),
    [anon_sym_while] = ACTIONS(866),
    [anon_sym_for] = ACTIONS(869),
    [anon_sym_try] = ACTIONS(872),
    [anon_sym_new] = ACTIONS(875),
    [anon_sym_extension] = ACTIONS(764),
    [anon_sym_val] = ACTIONS(764),
    [anon_sym_AT] = ACTIONS(764),
    [anon_sym_var] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(764),
    [anon_sym_def] = ACTIONS(764),
    [anon_sym_opaque] = ACTIONS(860),
    [anon_sym_abstract] = ACTIONS(764),
    [anon_sym_final] = ACTIONS(764),
    [anon_sym_sealed] = ACTIONS(764),
    [anon_sym_implicit] = ACTIONS(878),
    [anon_sym_lazy] = ACTIONS(764),
    [anon_sym_override] = ACTIONS(764),
    [anon_sym_private] = ACTIONS(764),
    [anon_sym_protected] = ACTIONS(764),
    [anon_sym_inline] = ACTIONS(881),
    [anon_sym_infix] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(860),
    [anon_sym_transparent] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(884),
    [anon_sym_SEMI] = ACTIONS(805),
    [anon_sym_macro] = ACTIONS(887),
    [anon_sym_BANG] = ACTIONS(857),
    [anon_sym_TILDE] = ACTIONS(857),
    [anon_sym_DOLLAR] = ACTIONS(890),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [sym__backquoted_id] = ACTIONS(896),
    [sym_operator_identifier] = ACTIONS(899),
    [sym_integer_literal] = ACTIONS(902),
    [sym_floating_point_literal] = ACTIONS(905),
    [anon_sym_true] = ACTIONS(908),
    [anon_sym_false] = ACTIONS(908),
    [sym_character_literal] = ACTIONS(905),
    [sym_null_literal] = ACTIONS(911),
    [anon_sym_return] = ACTIONS(914),
    [anon_sym_throw] = ACTIONS(917),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(923),
    [sym__simple_multiline_string] = ACTIONS(926),
    [sym__simple_string] = ACTIONS(926),
  },
  [532] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16465),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(532),
    [sym_block_comment] = STATE(532),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_case] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_given] = ACTIONS(933),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_val] = ACTIONS(933),
    [anon_sym_var] = ACTIONS(933),
    [anon_sym_type] = ACTIONS(933),
    [anon_sym_def] = ACTIONS(933),
    [anon_sym_opaque] = ACTIONS(933),
    [anon_sym_abstract] = ACTIONS(933),
    [anon_sym_final] = ACTIONS(933),
    [anon_sym_sealed] = ACTIONS(933),
    [anon_sym_implicit] = ACTIONS(933),
    [anon_sym_lazy] = ACTIONS(933),
    [anon_sym_override] = ACTIONS(933),
    [anon_sym_private] = ACTIONS(933),
    [anon_sym_protected] = ACTIONS(933),
    [anon_sym_inline] = ACTIONS(933),
    [anon_sym_infix] = ACTIONS(933),
    [anon_sym_open] = ACTIONS(933),
    [anon_sym_transparent] = ACTIONS(933),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [533] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16465),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(533),
    [sym_block_comment] = STATE(533),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_case] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_given] = ACTIONS(933),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_val] = ACTIONS(933),
    [anon_sym_var] = ACTIONS(933),
    [anon_sym_type] = ACTIONS(933),
    [anon_sym_def] = ACTIONS(933),
    [anon_sym_opaque] = ACTIONS(933),
    [anon_sym_abstract] = ACTIONS(933),
    [anon_sym_final] = ACTIONS(933),
    [anon_sym_sealed] = ACTIONS(933),
    [anon_sym_implicit] = ACTIONS(933),
    [anon_sym_lazy] = ACTIONS(933),
    [anon_sym_override] = ACTIONS(933),
    [anon_sym_private] = ACTIONS(933),
    [anon_sym_protected] = ACTIONS(933),
    [anon_sym_inline] = ACTIONS(933),
    [anon_sym_infix] = ACTIONS(933),
    [anon_sym_open] = ACTIONS(933),
    [anon_sym_transparent] = ACTIONS(933),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [534] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_stable_type_identifier] = STATE(18234),
    [sym_stable_identifier] = STATE(11273),
    [sym__type_identifier] = STATE(18234),
    [sym_case_class_pattern] = STATE(11377),
    [sym_infix_pattern] = STATE(11377),
    [sym_capture_pattern] = STATE(11377),
    [sym_repeat_pattern] = STATE(11377),
    [sym_typed_pattern] = STATE(11377),
    [sym_given_pattern] = STATE(11377),
    [sym_alternative_pattern] = STATE(11377),
    [sym_tuple_pattern] = STATE(11377),
    [sym_named_pattern] = STATE(17040),
    [sym_named_tuple_pattern] = STATE(11377),
    [sym_expression] = STATE(15203),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_binding] = STATE(16903),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(8901),
    [sym_identifier] = STATE(4796),
    [sym__soft_identifier] = STATE(7159),
    [sym_wildcard] = STATE(6957),
    [sym__non_null_literal] = STATE(8901),
    [sym_boolean_literal] = STATE(10363),
    [sym_interpolated_string_expression] = STATE(8901),
    [sym_string] = STATE(10363),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(534),
    [sym_block_comment] = STATE(534),
    [sym__alpha_identifier] = ACTIONS(957),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(959),
    [anon_sym_given] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(963),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(963),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(965),
    [anon_sym_infix] = ACTIONS(963),
    [anon_sym_open] = ACTIONS(963),
    [anon_sym_transparent] = ACTIONS(963),
    [anon_sym_LPAREN] = ACTIONS(967),
    [anon_sym_RPAREN] = ACTIONS(969),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [sym__backquoted_id] = ACTIONS(973),
    [sym_operator_identifier] = ACTIONS(975),
    [sym_integer_literal] = ACTIONS(977),
    [sym_floating_point_literal] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [sym_character_literal] = ACTIONS(979),
    [sym_null_literal] = ACTIONS(983),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(985),
    [sym__simple_string] = ACTIONS(985),
  },
  [535] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_stable_type_identifier] = STATE(18234),
    [sym_stable_identifier] = STATE(11273),
    [sym__type_identifier] = STATE(18234),
    [sym_case_class_pattern] = STATE(11377),
    [sym_infix_pattern] = STATE(11377),
    [sym_capture_pattern] = STATE(11377),
    [sym_repeat_pattern] = STATE(11377),
    [sym_typed_pattern] = STATE(11377),
    [sym_given_pattern] = STATE(11377),
    [sym_alternative_pattern] = STATE(11377),
    [sym_tuple_pattern] = STATE(11377),
    [sym_named_pattern] = STATE(17040),
    [sym_named_tuple_pattern] = STATE(11377),
    [sym_expression] = STATE(15150),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_binding] = STATE(16903),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(8901),
    [sym_identifier] = STATE(4796),
    [sym__soft_identifier] = STATE(7159),
    [sym_wildcard] = STATE(6957),
    [sym__non_null_literal] = STATE(8901),
    [sym_boolean_literal] = STATE(10363),
    [sym_interpolated_string_expression] = STATE(8901),
    [sym_string] = STATE(10363),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(535),
    [sym_block_comment] = STATE(535),
    [sym__alpha_identifier] = ACTIONS(957),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(959),
    [anon_sym_given] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(963),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(963),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(965),
    [anon_sym_infix] = ACTIONS(963),
    [anon_sym_open] = ACTIONS(963),
    [anon_sym_transparent] = ACTIONS(963),
    [anon_sym_LPAREN] = ACTIONS(967),
    [anon_sym_RPAREN] = ACTIONS(987),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [sym__backquoted_id] = ACTIONS(973),
    [sym_operator_identifier] = ACTIONS(975),
    [sym_integer_literal] = ACTIONS(977),
    [sym_floating_point_literal] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [sym_character_literal] = ACTIONS(979),
    [sym_null_literal] = ACTIONS(983),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(985),
    [sym__simple_string] = ACTIONS(985),
  },
  [536] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16972),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(536),
    [sym_block_comment] = STATE(536),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_case] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_given] = ACTIONS(933),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(989),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_val] = ACTIONS(933),
    [anon_sym_var] = ACTIONS(933),
    [anon_sym_type] = ACTIONS(933),
    [anon_sym_def] = ACTIONS(933),
    [anon_sym_opaque] = ACTIONS(933),
    [anon_sym_abstract] = ACTIONS(933),
    [anon_sym_final] = ACTIONS(933),
    [anon_sym_sealed] = ACTIONS(933),
    [anon_sym_implicit] = ACTIONS(933),
    [anon_sym_lazy] = ACTIONS(933),
    [anon_sym_override] = ACTIONS(933),
    [anon_sym_private] = ACTIONS(933),
    [anon_sym_protected] = ACTIONS(933),
    [anon_sym_inline] = ACTIONS(933),
    [anon_sym_infix] = ACTIONS(933),
    [anon_sym_open] = ACTIONS(933),
    [anon_sym_transparent] = ACTIONS(933),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [537] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16972),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(537),
    [sym_block_comment] = STATE(537),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_case] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_given] = ACTIONS(933),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_val] = ACTIONS(933),
    [anon_sym_var] = ACTIONS(933),
    [anon_sym_type] = ACTIONS(933),
    [anon_sym_def] = ACTIONS(933),
    [anon_sym_opaque] = ACTIONS(933),
    [anon_sym_abstract] = ACTIONS(933),
    [anon_sym_final] = ACTIONS(933),
    [anon_sym_sealed] = ACTIONS(933),
    [anon_sym_implicit] = ACTIONS(933),
    [anon_sym_lazy] = ACTIONS(933),
    [anon_sym_override] = ACTIONS(933),
    [anon_sym_private] = ACTIONS(933),
    [anon_sym_protected] = ACTIONS(933),
    [anon_sym_inline] = ACTIONS(933),
    [anon_sym_infix] = ACTIONS(933),
    [anon_sym_open] = ACTIONS(933),
    [anon_sym_transparent] = ACTIONS(933),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [538] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16972),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(538),
    [sym_block_comment] = STATE(538),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_case] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_given] = ACTIONS(933),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_trait] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_val] = ACTIONS(933),
    [anon_sym_var] = ACTIONS(933),
    [anon_sym_type] = ACTIONS(933),
    [anon_sym_def] = ACTIONS(933),
    [anon_sym_opaque] = ACTIONS(933),
    [anon_sym_abstract] = ACTIONS(933),
    [anon_sym_final] = ACTIONS(933),
    [anon_sym_sealed] = ACTIONS(933),
    [anon_sym_implicit] = ACTIONS(933),
    [anon_sym_lazy] = ACTIONS(933),
    [anon_sym_override] = ACTIONS(933),
    [anon_sym_private] = ACTIONS(933),
    [anon_sym_protected] = ACTIONS(933),
    [anon_sym_inline] = ACTIONS(933),
    [anon_sym_infix] = ACTIONS(933),
    [anon_sym_open] = ACTIONS(933),
    [anon_sym_transparent] = ACTIONS(933),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [539] = {
    [sym_type_parameters] = STATE(19214),
    [sym_inline_modifier] = STATE(2465),
    [sym_block] = STATE(8582),
    [sym_stable_type_identifier] = STATE(18234),
    [sym_stable_identifier] = STATE(11604),
    [sym__type_identifier] = STATE(18234),
    [sym_case_class_pattern] = STATE(11846),
    [sym_infix_pattern] = STATE(11846),
    [sym_capture_pattern] = STATE(11846),
    [sym_repeat_pattern] = STATE(11846),
    [sym_typed_pattern] = STATE(11846),
    [sym_given_pattern] = STATE(11846),
    [sym_alternative_pattern] = STATE(11846),
    [sym_tuple_pattern] = STATE(11846),
    [sym_named_tuple_pattern] = STATE(11846),
    [sym_expression] = STATE(13828),
    [sym__simple_expression] = STATE(6878),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17725),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10612),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(7927),
    [sym_identifier] = STATE(4598),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(5572),
    [sym__non_null_literal] = STATE(7927),
    [sym_boolean_literal] = STATE(7892),
    [sym_interpolated_string_expression] = STATE(7927),
    [sym_string] = STATE(7892),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(539),
    [sym_block_comment] = STATE(539),
    [sym__alpha_identifier] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(997),
    [anon_sym_given] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(999),
    [anon_sym_if] = ACTIONS(1001),
    [anon_sym_while] = ACTIONS(1003),
    [anon_sym_for] = ACTIONS(1005),
    [anon_sym_try] = ACTIONS(1007),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(999),
    [anon_sym_implicit] = ACTIONS(1009),
    [anon_sym_inline] = ACTIONS(1011),
    [anon_sym_infix] = ACTIONS(999),
    [anon_sym_open] = ACTIONS(999),
    [anon_sym_transparent] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(1013),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [sym__backquoted_id] = ACTIONS(1017),
    [sym_operator_identifier] = ACTIONS(1019),
    [sym_integer_literal] = ACTIONS(1021),
    [sym_floating_point_literal] = ACTIONS(1023),
    [anon_sym_true] = ACTIONS(1025),
    [anon_sym_false] = ACTIONS(1025),
    [sym_character_literal] = ACTIONS(1023),
    [sym_null_literal] = ACTIONS(1027),
    [anon_sym_return] = ACTIONS(1029),
    [anon_sym_throw] = ACTIONS(1031),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1033),
    [sym__simple_string] = ACTIONS(1033),
  },
  [540] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(6011),
    [sym_expression] = STATE(16297),
    [sym__simple_expression] = STATE(4657),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18005),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(6846),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4515),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(5329),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(540),
    [sym_block_comment] = STATE(540),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_COLON] = ACTIONS(1037),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_case] = ACTIONS(1043),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_RPAREN] = ACTIONS(1041),
    [anon_sym_SEMI] = ACTIONS(1041),
    [anon_sym_else] = ACTIONS(1043),
    [anon_sym_catch] = ACTIONS(1043),
    [anon_sym_finally] = ACTIONS(1043),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1063),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_yield] = ACTIONS(1043),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1041),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [541] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(6679),
    [sym_expression] = STATE(16438),
    [sym__simple_expression] = STATE(4729),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(17770),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(7200),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4637),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(5740),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(541),
    [sym_block_comment] = STATE(541),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_COLON] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_case] = ACTIONS(1043),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_RPAREN] = ACTIONS(1041),
    [anon_sym_SEMI] = ACTIONS(1041),
    [anon_sym_catch] = ACTIONS(1043),
    [anon_sym_finally] = ACTIONS(1043),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1099),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_yield] = ACTIONS(1043),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1041),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [542] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(6526),
    [sym_expression] = STATE(16957),
    [sym__simple_expression] = STATE(4734),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18294),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(7652),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4565),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(5607),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(542),
    [sym_block_comment] = STATE(542),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_COLON] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_case] = ACTIONS(1043),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_RPAREN] = ACTIONS(1041),
    [anon_sym_SEMI] = ACTIONS(1041),
    [anon_sym_else] = ACTIONS(1043),
    [anon_sym_finally] = ACTIONS(1043),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1135),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_yield] = ACTIONS(1043),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1041),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [543] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(7275),
    [sym_expression] = STATE(16408),
    [sym__simple_expression] = STATE(4951),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18028),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(8297),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(4668),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(6324),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(543),
    [sym_block_comment] = STATE(543),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_COLON] = ACTIONS(1149),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_case] = ACTIONS(1043),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_RPAREN] = ACTIONS(1041),
    [anon_sym_SEMI] = ACTIONS(1041),
    [anon_sym_finally] = ACTIONS(1043),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(1171),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_yield] = ACTIONS(1043),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1041),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [544] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(8225),
    [sym_expression] = STATE(16747),
    [sym__simple_expression] = STATE(5219),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18229),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(8732),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4753),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(6812),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(544),
    [sym_block_comment] = STATE(544),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_COLON] = ACTIONS(1185),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym_case] = ACTIONS(1043),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_SEMI] = ACTIONS(1041),
    [anon_sym_else] = ACTIONS(1043),
    [anon_sym_catch] = ACTIONS(1043),
    [anon_sym_finally] = ACTIONS(1043),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1207),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1041),
    [sym__outdent] = ACTIONS(1041),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [545] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(7573),
    [sym_expression] = STATE(16734),
    [sym__simple_expression] = STATE(4924),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(19126),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(8056),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(4650),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(5829),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(545),
    [sym_block_comment] = STATE(545),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_COLON] = ACTIONS(1221),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_case] = ACTIONS(1043),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_RPAREN] = ACTIONS(1041),
    [anon_sym_SEMI] = ACTIONS(1041),
    [anon_sym_else] = ACTIONS(1043),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(1243),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_yield] = ACTIONS(1043),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1041),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [546] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(7344),
    [sym_expression] = STATE(16529),
    [sym__simple_expression] = STATE(4891),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18051),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(8555),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(4691),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(6178),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(546),
    [sym_block_comment] = STATE(546),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_COLON] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_COMMA] = ACTIONS(1041),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_RPAREN] = ACTIONS(1041),
    [anon_sym_SEMI] = ACTIONS(1041),
    [anon_sym_else] = ACTIONS(1043),
    [anon_sym_then] = ACTIONS(1043),
    [anon_sym_catch] = ACTIONS(1043),
    [anon_sym_finally] = ACTIONS(1043),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(1279),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [547] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9077),
    [sym_expression] = STATE(17232),
    [sym__simple_expression] = STATE(5627),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18357),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(9778),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(4926),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(7393),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(547),
    [sym_block_comment] = STATE(547),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_COLON] = ACTIONS(1293),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym_case] = ACTIONS(1043),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_SEMI] = ACTIONS(1041),
    [anon_sym_else] = ACTIONS(1043),
    [anon_sym_finally] = ACTIONS(1043),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(1315),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1041),
    [sym__outdent] = ACTIONS(1041),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [548] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9793),
    [sym_expression] = STATE(15937),
    [sym__simple_expression] = STATE(5872),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9793),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9793),
    [sym_call_expression] = STATE(9793),
    [sym_field_expression] = STATE(9793),
    [sym_instance_expression] = STATE(9793),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(17934),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(10323),
    [sym_tuple_expression] = STATE(9793),
    [sym_parenthesized_expression] = STATE(9793),
    [sym_splice_expression] = STATE(9793),
    [sym_quote_expression] = STATE(9793),
    [sym_identifier] = STATE(5309),
    [sym__soft_identifier] = STATE(4682),
    [sym_wildcard] = STATE(8383),
    [sym__non_null_literal] = STATE(9793),
    [sym_boolean_literal] = STATE(9544),
    [sym_interpolated_string_expression] = STATE(9793),
    [sym_string] = STATE(9544),
    [sym_unit] = STATE(9793),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(548),
    [sym_block_comment] = STATE(548),
    [ts_builtin_sym_end] = ACTIONS(1041),
    [sym__alpha_identifier] = ACTIONS(1327),
    [anon_sym_COLON] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym__] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_end] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1339),
    [anon_sym_opaque] = ACTIONS(1337),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1341),
    [anon_sym_infix] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_transparent] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_SEMI] = ACTIONS(1041),
    [anon_sym_else] = ACTIONS(1043),
    [anon_sym_catch] = ACTIONS(1043),
    [anon_sym_finally] = ACTIONS(1043),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_DOLLAR] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [sym__backquoted_id] = ACTIONS(1349),
    [sym_operator_identifier] = ACTIONS(1351),
    [sym_integer_literal] = ACTIONS(1353),
    [sym_floating_point_literal] = ACTIONS(1355),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [sym_character_literal] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1041),
    [sym__simple_multiline_string] = ACTIONS(1361),
    [sym__simple_string] = ACTIONS(1361),
  },
  [549] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9233),
    [sym_expression] = STATE(17055),
    [sym__simple_expression] = STATE(5776),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(17909),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(9685),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(4949),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(7783),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(549),
    [sym_block_comment] = STATE(549),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym_case] = ACTIONS(1043),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_SEMI] = ACTIONS(1041),
    [anon_sym_catch] = ACTIONS(1043),
    [anon_sym_finally] = ACTIONS(1043),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(1387),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1041),
    [sym__outdent] = ACTIONS(1041),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [550] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(8086),
    [sym_expression] = STATE(17039),
    [sym__simple_expression] = STATE(5248),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18315),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(9055),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(4736),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(6541),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(550),
    [sym_block_comment] = STATE(550),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_COLON] = ACTIONS(1401),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym_COMMA] = ACTIONS(1041),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_RPAREN] = ACTIONS(1041),
    [anon_sym_SEMI] = ACTIONS(1041),
    [anon_sym_else] = ACTIONS(1043),
    [anon_sym_then] = ACTIONS(1043),
    [anon_sym_finally] = ACTIONS(1043),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(1423),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [551] = {
    [sym_type_parameters] = STATE(19361),
    [sym_inline_modifier] = STATE(2487),
    [sym_block] = STATE(6011),
    [sym_expression] = STATE(12235),
    [sym__simple_expression] = STATE(5280),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17505),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8857),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4759),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6823),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(551),
    [sym_block_comment] = STATE(551),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym_RBRACE] = ACTIONS(1435),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1437),
    [anon_sym_while] = ACTIONS(1439),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(1443),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1445),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_RPAREN] = ACTIONS(1435),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_catch] = ACTIONS(1437),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1449),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1451),
    [anon_sym_throw] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [552] = {
    [sym_type_parameters] = STATE(19165),
    [sym_inline_modifier] = STATE(2459),
    [sym_block] = STATE(7344),
    [sym_expression] = STATE(13264),
    [sym__simple_expression] = STATE(5480),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17663),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(9905),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(4870),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(7665),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(552),
    [sym_block_comment] = STATE(552),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_COMMA] = ACTIONS(1435),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1459),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(1463),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(1465),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_RPAREN] = ACTIONS(1435),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_then] = ACTIONS(1437),
    [anon_sym_catch] = ACTIONS(1437),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(1469),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1471),
    [anon_sym_throw] = ACTIONS(1473),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [553] = {
    [sym_type_parameters] = STATE(19151),
    [sym_inline_modifier] = STATE(2457),
    [sym_block] = STATE(6011),
    [sym_expression] = STATE(12235),
    [sym__simple_expression] = STATE(5655),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17577),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(9915),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4803),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(7495),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(553),
    [sym_block_comment] = STATE(553),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym_RBRACE] = ACTIONS(1435),
    [anon_sym_case] = ACTIONS(1437),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(1483),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1485),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_catch] = ACTIONS(1437),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1487),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_throw] = ACTIONS(1491),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [554] = {
    [sym_type_parameters] = STATE(19242),
    [sym_inline_modifier] = STATE(2470),
    [sym_block] = STATE(8225),
    [sym_expression] = STATE(13771),
    [sym__simple_expression] = STATE(5573),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17585),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9764),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4962),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7178),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(554),
    [sym_block_comment] = STATE(554),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym_case] = ACTIONS(1437),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(1499),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1501),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_catch] = ACTIONS(1437),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1505),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__outdent] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [555] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9948),
    [sym_expression] = STATE(16567),
    [sym__simple_expression] = STATE(6725),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9948),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9948),
    [sym_call_expression] = STATE(9948),
    [sym_field_expression] = STATE(9948),
    [sym_instance_expression] = STATE(9948),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(17791),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(10412),
    [sym_tuple_expression] = STATE(9948),
    [sym_parenthesized_expression] = STATE(9948),
    [sym_splice_expression] = STATE(9948),
    [sym_quote_expression] = STATE(9948),
    [sym_identifier] = STATE(5605),
    [sym__soft_identifier] = STATE(4751),
    [sym_wildcard] = STATE(8855),
    [sym__non_null_literal] = STATE(9948),
    [sym_boolean_literal] = STATE(10000),
    [sym_interpolated_string_expression] = STATE(9948),
    [sym_string] = STATE(10000),
    [sym_unit] = STATE(9948),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(555),
    [sym_block_comment] = STATE(555),
    [ts_builtin_sym_end] = ACTIONS(1041),
    [sym__alpha_identifier] = ACTIONS(1513),
    [anon_sym_COLON] = ACTIONS(1515),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym__] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_end] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_opaque] = ACTIONS(1523),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1527),
    [anon_sym_infix] = ACTIONS(1523),
    [anon_sym_open] = ACTIONS(1523),
    [anon_sym_transparent] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [anon_sym_SEMI] = ACTIONS(1041),
    [anon_sym_catch] = ACTIONS(1043),
    [anon_sym_finally] = ACTIONS(1043),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [sym__backquoted_id] = ACTIONS(1535),
    [sym_operator_identifier] = ACTIONS(1537),
    [sym_integer_literal] = ACTIONS(1539),
    [sym_floating_point_literal] = ACTIONS(1541),
    [anon_sym_true] = ACTIONS(1543),
    [anon_sym_false] = ACTIONS(1543),
    [sym_character_literal] = ACTIONS(1541),
    [sym_null_literal] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1041),
    [sym__simple_multiline_string] = ACTIONS(1547),
    [sym__simple_string] = ACTIONS(1547),
  },
  [556] = {
    [sym_type_parameters] = STATE(19347),
    [sym_inline_modifier] = STATE(2485),
    [sym_block] = STATE(8225),
    [sym_expression] = STATE(13771),
    [sym__simple_expression] = STATE(5581),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17473),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4880),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7226),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(556),
    [sym_block_comment] = STATE(556),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(1437),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1551),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1555),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_catch] = ACTIONS(1437),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1557),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1559),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__outdent] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [557] = {
    [sym_type_parameters] = STATE(19340),
    [sym_inline_modifier] = STATE(2484),
    [sym_block] = STATE(9077),
    [sym_expression] = STATE(14164),
    [sym__simple_expression] = STATE(6257),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17461),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10092),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5331),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(7952),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(557),
    [sym_block_comment] = STATE(557),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym_case] = ACTIONS(1437),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1567),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(1571),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(1575),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__outdent] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [558] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9896),
    [sym_expression] = STATE(16691),
    [sym__simple_expression] = STATE(5795),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18097),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(10102),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5311),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(7995),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(558),
    [sym_block_comment] = STATE(558),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_COLON] = ACTIONS(1585),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym_case] = ACTIONS(1043),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_SEMI] = ACTIONS(1041),
    [anon_sym_else] = ACTIONS(1043),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(1607),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1041),
    [sym__outdent] = ACTIONS(1041),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [559] = {
    [sym_type_parameters] = STATE(19284),
    [sym_inline_modifier] = STATE(2476),
    [sym_block] = STATE(6526),
    [sym_expression] = STATE(12772),
    [sym__simple_expression] = STATE(6205),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17342),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9957),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(5057),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(8435),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(559),
    [sym_block_comment] = STATE(559),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_RBRACE] = ACTIONS(1435),
    [anon_sym_case] = ACTIONS(1437),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(1625),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1631),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1633),
    [anon_sym_throw] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [560] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9061),
    [sym_expression] = STATE(16876),
    [sym__simple_expression] = STATE(5714),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(17799),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(9876),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(4823),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(7608),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(560),
    [sym_block_comment] = STATE(560),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_COLON] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1041),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_RPAREN] = ACTIONS(1041),
    [anon_sym_SEMI] = ACTIONS(1041),
    [anon_sym_else] = ACTIONS(1043),
    [anon_sym_then] = ACTIONS(1043),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(1663),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [561] = {
    [sym_type_parameters] = STATE(19291),
    [sym_inline_modifier] = STATE(2477),
    [sym_block] = STATE(8086),
    [sym_expression] = STATE(13825),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17354),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10022),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(5125),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(8569),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(561),
    [sym_block_comment] = STATE(561),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym_COMMA] = ACTIONS(1435),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_while] = ACTIONS(1677),
    [anon_sym_for] = ACTIONS(1679),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(1681),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_RPAREN] = ACTIONS(1435),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_then] = ACTIONS(1437),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(1687),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(1689),
    [anon_sym_throw] = ACTIONS(1691),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [562] = {
    [sym_type_parameters] = STATE(19035),
    [sym_inline_modifier] = STATE(2429),
    [sym_block] = STATE(6679),
    [sym_expression] = STATE(12751),
    [sym__simple_expression] = STATE(5983),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17568),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10044),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(5062),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(8371),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(562),
    [sym_block_comment] = STATE(562),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_RBRACE] = ACTIONS(1435),
    [anon_sym_case] = ACTIONS(1437),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1695),
    [anon_sym_while] = ACTIONS(1697),
    [anon_sym_for] = ACTIONS(1699),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(1701),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1703),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_catch] = ACTIONS(1437),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1707),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1709),
    [anon_sym_throw] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [563] = {
    [sym_type_parameters] = STATE(19107),
    [sym_inline_modifier] = STATE(2445),
    [sym_block] = STATE(9233),
    [sym_expression] = STATE(14360),
    [sym__simple_expression] = STATE(5929),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17658),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10255),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5067),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8244),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(563),
    [sym_block_comment] = STATE(563),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym_case] = ACTIONS(1437),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(1721),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(1723),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_catch] = ACTIONS(1437),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(1727),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_throw] = ACTIONS(1731),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__outdent] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [564] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9867),
    [sym_expression] = STATE(16817),
    [sym__simple_expression] = STATE(5943),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18251),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5224),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(8259),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(564),
    [sym_block_comment] = STATE(564),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_COLON] = ACTIONS(1737),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym_case] = ACTIONS(1043),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_SEMI] = ACTIONS(1041),
    [anon_sym_finally] = ACTIONS(1043),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(1759),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1041),
    [sym__outdent] = ACTIONS(1041),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [565] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(17005),
    [sym__simple_expression] = STATE(5077),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(19205),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(9374),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(4748),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(6678),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(565),
    [sym_block_comment] = STATE(565),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_COLON] = ACTIONS(1771),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_RPAREN] = ACTIONS(1041),
    [anon_sym_SEMI] = ACTIONS(1041),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(1773),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_yield] = ACTIONS(1043),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1041),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [566] = {
    [sym_type_parameters] = STATE(19389),
    [sym_inline_modifier] = STATE(2239),
    [sym_block] = STATE(6526),
    [sym_expression] = STATE(12772),
    [sym__simple_expression] = STATE(5645),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17555),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4919),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7255),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(566),
    [sym_block_comment] = STATE(566),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_RBRACE] = ACTIONS(1435),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(1437),
    [anon_sym_while] = ACTIONS(1775),
    [anon_sym_for] = ACTIONS(1777),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(1779),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1781),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_RPAREN] = ACTIONS(1435),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1783),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_throw] = ACTIONS(1787),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [567] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10196),
    [sym_expression] = STATE(16881),
    [sym__simple_expression] = STATE(6974),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10196),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10196),
    [sym_call_expression] = STATE(10196),
    [sym_field_expression] = STATE(10196),
    [sym_instance_expression] = STATE(10196),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18273),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(10674),
    [sym_tuple_expression] = STATE(10196),
    [sym_parenthesized_expression] = STATE(10196),
    [sym_splice_expression] = STATE(10196),
    [sym_quote_expression] = STATE(10196),
    [sym_identifier] = STATE(5546),
    [sym__soft_identifier] = STATE(4721),
    [sym_wildcard] = STATE(9079),
    [sym__non_null_literal] = STATE(10196),
    [sym_boolean_literal] = STATE(10049),
    [sym_interpolated_string_expression] = STATE(10196),
    [sym_string] = STATE(10049),
    [sym_unit] = STATE(10196),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(567),
    [sym_block_comment] = STATE(567),
    [ts_builtin_sym_end] = ACTIONS(1041),
    [sym__alpha_identifier] = ACTIONS(1789),
    [anon_sym_COLON] = ACTIONS(1791),
    [anon_sym_LBRACE] = ACTIONS(1793),
    [anon_sym__] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_end] = ACTIONS(1799),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1801),
    [anon_sym_opaque] = ACTIONS(1799),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1803),
    [anon_sym_infix] = ACTIONS(1799),
    [anon_sym_open] = ACTIONS(1799),
    [anon_sym_transparent] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [anon_sym_SEMI] = ACTIONS(1041),
    [anon_sym_else] = ACTIONS(1043),
    [anon_sym_finally] = ACTIONS(1043),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1797),
    [anon_sym_TILDE] = ACTIONS(1797),
    [anon_sym_DOLLAR] = ACTIONS(1807),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [sym__backquoted_id] = ACTIONS(1811),
    [sym_operator_identifier] = ACTIONS(1813),
    [sym_integer_literal] = ACTIONS(1815),
    [sym_floating_point_literal] = ACTIONS(1817),
    [anon_sym_true] = ACTIONS(1819),
    [anon_sym_false] = ACTIONS(1819),
    [sym_character_literal] = ACTIONS(1817),
    [sym_null_literal] = ACTIONS(1821),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1041),
    [sym__simple_multiline_string] = ACTIONS(1823),
    [sym__simple_string] = ACTIONS(1823),
  },
  [568] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(8813),
    [sym_expression] = STATE(16883),
    [sym__simple_expression] = STATE(5372),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18061),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(9642),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(4971),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(7101),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(568),
    [sym_block_comment] = STATE(568),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_COLON] = ACTIONS(1827),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym_COMMA] = ACTIONS(1041),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_RPAREN] = ACTIONS(1041),
    [anon_sym_then] = ACTIONS(1043),
    [anon_sym_catch] = ACTIONS(1043),
    [anon_sym_finally] = ACTIONS(1043),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(1849),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [569] = {
    [sym_type_parameters] = STATE(19319),
    [sym_inline_modifier] = STATE(2481),
    [sym_block] = STATE(6011),
    [sym_expression] = STATE(12235),
    [sym__simple_expression] = STATE(5251),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17418),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4750),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6718),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(569),
    [sym_block_comment] = STATE(569),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1437),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(1865),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1867),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_catch] = ACTIONS(1437),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1869),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1871),
    [anon_sym_throw] = ACTIONS(1873),
    [anon_sym_do] = ACTIONS(1437),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [570] = {
    [sym_type_parameters] = STATE(19115),
    [sym_inline_modifier] = STATE(2449),
    [sym_block] = STATE(9793),
    [sym_expression] = STATE(14459),
    [sym__simple_expression] = STATE(6296),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17754),
    [sym_case_block] = STATE(9793),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(9793),
    [sym_call_expression] = STATE(9793),
    [sym_field_expression] = STATE(9793),
    [sym_instance_expression] = STATE(9793),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(10680),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(18810),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(10068),
    [sym_tuple_expression] = STATE(9793),
    [sym_parenthesized_expression] = STATE(9793),
    [sym_splice_expression] = STATE(9793),
    [sym_quote_expression] = STATE(9793),
    [sym_identifier] = STATE(5289),
    [sym__soft_identifier] = STATE(4682),
    [sym_wildcard] = STATE(8440),
    [sym__non_null_literal] = STATE(9793),
    [sym_boolean_literal] = STATE(9544),
    [sym_interpolated_string_expression] = STATE(9793),
    [sym_string] = STATE(9544),
    [sym_unit] = STATE(9793),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(570),
    [sym_block_comment] = STATE(570),
    [ts_builtin_sym_end] = ACTIONS(1435),
    [sym__alpha_identifier] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym__] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_end] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1875),
    [anon_sym_while] = ACTIONS(1877),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(1881),
    [anon_sym_new] = ACTIONS(1339),
    [anon_sym_opaque] = ACTIONS(1337),
    [anon_sym_implicit] = ACTIONS(1883),
    [anon_sym_inline] = ACTIONS(1341),
    [anon_sym_infix] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_transparent] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_catch] = ACTIONS(1437),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(1885),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_DOLLAR] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [sym__backquoted_id] = ACTIONS(1349),
    [sym_operator_identifier] = ACTIONS(1887),
    [sym_integer_literal] = ACTIONS(1353),
    [sym_floating_point_literal] = ACTIONS(1355),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [sym_character_literal] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_throw] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(1361),
    [sym__simple_string] = ACTIONS(1361),
  },
  [571] = {
    [sym_type_parameters] = STATE(19270),
    [sym_inline_modifier] = STATE(2474),
    [sym_block] = STATE(6679),
    [sym_expression] = STATE(12751),
    [sym__simple_expression] = STATE(5637),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17719),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9894),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7246),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(571),
    [sym_block_comment] = STATE(571),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_RBRACE] = ACTIONS(1435),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1437),
    [anon_sym_while] = ACTIONS(1893),
    [anon_sym_for] = ACTIONS(1895),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1899),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_RPAREN] = ACTIONS(1435),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_catch] = ACTIONS(1437),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1901),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1903),
    [anon_sym_throw] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [572] = {
    [sym_type_parameters] = STATE(19200),
    [sym_inline_modifier] = STATE(2463),
    [sym__indentable_expression] = STATE(14719),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(8734),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym__expr_case_clause] = STATE(14720),
    [sym_bindings] = STATE(17498),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11304),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7224),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10395),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(572),
    [sym_block_comment] = STATE(572),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym_case] = ACTIONS(1911),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1921),
    [anon_sym_for] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(1929),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(1943),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(1953),
    [anon_sym_throw] = ACTIONS(1955),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [573] = {
    [sym_type_parameters] = STATE(19249),
    [sym_inline_modifier] = STATE(2471),
    [sym_block] = STATE(9867),
    [sym_expression] = STATE(14409),
    [sym__simple_expression] = STATE(6536),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17625),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10510),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5560),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(9247),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(573),
    [sym_block_comment] = STATE(573),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym_case] = ACTIONS(1437),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_while] = ACTIONS(1965),
    [anon_sym_for] = ACTIONS(1967),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(1969),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(1971),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(1975),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(1977),
    [anon_sym_throw] = ACTIONS(1979),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__outdent] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [574] = {
    [sym_type_parameters] = STATE(19256),
    [sym_inline_modifier] = STATE(2472),
    [sym_block] = STATE(10196),
    [sym_expression] = STATE(14796),
    [sym__simple_expression] = STATE(6665),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17671),
    [sym_case_block] = STATE(10196),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(10196),
    [sym_call_expression] = STATE(10196),
    [sym_field_expression] = STATE(10196),
    [sym_instance_expression] = STATE(10196),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(10922),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18163),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(10591),
    [sym_tuple_expression] = STATE(10196),
    [sym_parenthesized_expression] = STATE(10196),
    [sym_splice_expression] = STATE(10196),
    [sym_quote_expression] = STATE(10196),
    [sym_identifier] = STATE(5739),
    [sym__soft_identifier] = STATE(4721),
    [sym_wildcard] = STATE(9421),
    [sym__non_null_literal] = STATE(10196),
    [sym_boolean_literal] = STATE(10049),
    [sym_interpolated_string_expression] = STATE(10196),
    [sym_string] = STATE(10049),
    [sym_unit] = STATE(10196),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(574),
    [sym_block_comment] = STATE(574),
    [ts_builtin_sym_end] = ACTIONS(1435),
    [sym__alpha_identifier] = ACTIONS(1789),
    [anon_sym_LBRACE] = ACTIONS(1793),
    [anon_sym__] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_end] = ACTIONS(1799),
    [anon_sym_if] = ACTIONS(1983),
    [anon_sym_while] = ACTIONS(1985),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1801),
    [anon_sym_opaque] = ACTIONS(1799),
    [anon_sym_implicit] = ACTIONS(1991),
    [anon_sym_inline] = ACTIONS(1803),
    [anon_sym_infix] = ACTIONS(1799),
    [anon_sym_open] = ACTIONS(1799),
    [anon_sym_transparent] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(1797),
    [anon_sym_TILDE] = ACTIONS(1797),
    [anon_sym_DOLLAR] = ACTIONS(1807),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [sym__backquoted_id] = ACTIONS(1811),
    [sym_operator_identifier] = ACTIONS(1995),
    [sym_integer_literal] = ACTIONS(1815),
    [sym_floating_point_literal] = ACTIONS(1817),
    [anon_sym_true] = ACTIONS(1819),
    [anon_sym_false] = ACTIONS(1819),
    [sym_character_literal] = ACTIONS(1817),
    [sym_null_literal] = ACTIONS(1821),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_throw] = ACTIONS(1999),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(1823),
    [sym__simple_string] = ACTIONS(1823),
  },
  [575] = {
    [sym_type_parameters] = STATE(19263),
    [sym_inline_modifier] = STATE(2473),
    [sym_block] = STATE(9233),
    [sym_expression] = STATE(14360),
    [sym__simple_expression] = STATE(6189),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17703),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10035),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5250),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(575),
    [sym_block_comment] = STATE(575),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1437),
    [anon_sym_while] = ACTIONS(2001),
    [anon_sym_for] = ACTIONS(2003),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(2005),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_catch] = ACTIONS(1437),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(2009),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(2011),
    [anon_sym_throw] = ACTIONS(2013),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__outdent] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [576] = {
    [sym_type_parameters] = STATE(19312),
    [sym_inline_modifier] = STATE(2480),
    [sym_block] = STATE(7573),
    [sym_expression] = STATE(13192),
    [sym__simple_expression] = STATE(6229),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17408),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9962),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5279),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8585),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(576),
    [sym_block_comment] = STATE(576),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym_RBRACE] = ACTIONS(1435),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(1437),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(2019),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2021),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_RPAREN] = ACTIONS(1435),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2025),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [577] = {
    [sym_type_parameters] = STATE(19368),
    [sym_inline_modifier] = STATE(2488),
    [sym_block] = STATE(7275),
    [sym_expression] = STATE(13261),
    [sym__simple_expression] = STATE(6230),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17517),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(9981),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5282),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8608),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(577),
    [sym_block_comment] = STATE(577),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym_RBRACE] = ACTIONS(1435),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(1437),
    [anon_sym_while] = ACTIONS(2033),
    [anon_sym_for] = ACTIONS(2035),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(2037),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2039),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_RPAREN] = ACTIONS(1435),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2043),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2047),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [578] = {
    [sym_type_parameters] = STATE(19375),
    [sym_inline_modifier] = STATE(2489),
    [sym_block] = STATE(6526),
    [sym_expression] = STATE(12772),
    [sym__simple_expression] = STATE(5584),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17531),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9590),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4881),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(578),
    [sym_block_comment] = STATE(578),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(1437),
    [anon_sym_while] = ACTIONS(2051),
    [anon_sym_for] = ACTIONS(2053),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(2057),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(2059),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_throw] = ACTIONS(2063),
    [anon_sym_do] = ACTIONS(1437),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [579] = {
    [sym_type_parameters] = STATE(19382),
    [sym_inline_modifier] = STATE(2178),
    [sym_block] = STATE(9077),
    [sym_expression] = STATE(14164),
    [sym__simple_expression] = STATE(6194),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17545),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10186),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5256),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(8424),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(579),
    [sym_block_comment] = STATE(579),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1437),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(2071),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(2073),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(2075),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__outdent] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [580] = {
    [sym_type_parameters] = STATE(19158),
    [sym_inline_modifier] = STATE(2458),
    [sym__indentable_expression] = STATE(13341),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6463),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym__expr_case_clause] = STATE(13342),
    [sym_bindings] = STATE(17611),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10419),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5576),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8828),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(580),
    [sym_block_comment] = STATE(580),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym_case] = ACTIONS(2079),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2083),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2089),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2091),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2095),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [581] = {
    [sym_type_parameters] = STATE(19172),
    [sym_inline_modifier] = STATE(2460),
    [sym__indentable_expression] = STATE(14719),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(7448),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym__expr_case_clause] = STATE(14720),
    [sym_bindings] = STATE(17722),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(10768),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6207),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(581),
    [sym_block_comment] = STATE(581),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym_case] = ACTIONS(2099),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2103),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2109),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2111),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_throw] = ACTIONS(2115),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [582] = {
    [sym_type_parameters] = STATE(19018),
    [sym_inline_modifier] = STATE(2423),
    [sym__indentable_expression] = STATE(12963),
    [sym_block] = STATE(9948),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(14917),
    [sym__simple_expression] = STATE(6984),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym__expr_case_clause] = STATE(12965),
    [sym_bindings] = STATE(17638),
    [sym_case_block] = STATE(9948),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(9948),
    [sym_call_expression] = STATE(9948),
    [sym_field_expression] = STATE(9948),
    [sym_instance_expression] = STATE(9948),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(10976),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19113),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10414),
    [sym_tuple_expression] = STATE(9948),
    [sym_parenthesized_expression] = STATE(9948),
    [sym_splice_expression] = STATE(9948),
    [sym_quote_expression] = STATE(9948),
    [sym_identifier] = STATE(5741),
    [sym__soft_identifier] = STATE(4751),
    [sym_wildcard] = STATE(9076),
    [sym__non_null_literal] = STATE(9948),
    [sym_boolean_literal] = STATE(10000),
    [sym_interpolated_string_expression] = STATE(9948),
    [sym_string] = STATE(10000),
    [sym_unit] = STATE(9948),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(582),
    [sym_block_comment] = STATE(582),
    [sym__alpha_identifier] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym_case] = ACTIONS(2117),
    [anon_sym__] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_end] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2123),
    [anon_sym_try] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_opaque] = ACTIONS(1523),
    [anon_sym_implicit] = ACTIONS(2127),
    [anon_sym_inline] = ACTIONS(1527),
    [anon_sym_infix] = ACTIONS(1523),
    [anon_sym_open] = ACTIONS(1523),
    [anon_sym_transparent] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [anon_sym_macro] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [sym__backquoted_id] = ACTIONS(1535),
    [sym_operator_identifier] = ACTIONS(2131),
    [sym_integer_literal] = ACTIONS(1539),
    [sym_floating_point_literal] = ACTIONS(1541),
    [anon_sym_true] = ACTIONS(1543),
    [anon_sym_false] = ACTIONS(1543),
    [sym_character_literal] = ACTIONS(1541),
    [sym_null_literal] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(2133),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1547),
    [sym__simple_string] = ACTIONS(1547),
  },
  [583] = {
    [sym_type_parameters] = STATE(19235),
    [sym_inline_modifier] = STATE(2468),
    [sym__indentable_expression] = STATE(14719),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(8861),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym__expr_case_clause] = STATE(14720),
    [sym_bindings] = STATE(17540),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7253),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10745),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(583),
    [sym_block_comment] = STATE(583),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym_case] = ACTIONS(2139),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2143),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2149),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2151),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2153),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [584] = {
    [sym_type_parameters] = STATE(19035),
    [sym_inline_modifier] = STATE(2429),
    [sym__indentable_expression] = STATE(12963),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5983),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym__expr_case_clause] = STATE(12965),
    [sym_bindings] = STATE(17568),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10044),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(5062),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(8371),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(584),
    [sym_block_comment] = STATE(584),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_case] = ACTIONS(2157),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1695),
    [anon_sym_while] = ACTIONS(1697),
    [anon_sym_for] = ACTIONS(1699),
    [anon_sym_try] = ACTIONS(1701),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1703),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1707),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1709),
    [anon_sym_throw] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [585] = {
    [sym_type_parameters] = STATE(19043),
    [sym_inline_modifier] = STATE(2433),
    [sym__indentable_expression] = STATE(14575),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(6777),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym__expr_case_clause] = STATE(14577),
    [sym_bindings] = STATE(17580),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(10498),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(5353),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(8805),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(585),
    [sym_block_comment] = STATE(585),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym_case] = ACTIONS(2159),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2169),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2173),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2175),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [586] = {
    [sym_type_parameters] = STATE(19249),
    [sym_inline_modifier] = STATE(2471),
    [sym__indentable_expression] = STATE(14777),
    [sym_block] = STATE(9867),
    [sym_indented_block] = STATE(14860),
    [sym_indented_cases] = STATE(14860),
    [sym_expression] = STATE(14402),
    [sym__simple_expression] = STATE(6536),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym__expr_case_clause] = STATE(14847),
    [sym_bindings] = STATE(17625),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10510),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5560),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(9247),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(586),
    [sym_block_comment] = STATE(586),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym_case] = ACTIONS(2183),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_while] = ACTIONS(1965),
    [anon_sym_for] = ACTIONS(1967),
    [anon_sym_try] = ACTIONS(1969),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(1971),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(1975),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(1977),
    [anon_sym_throw] = ACTIONS(1979),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2185),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [587] = {
    [sym_type_parameters] = STATE(19256),
    [sym_inline_modifier] = STATE(2472),
    [sym__indentable_expression] = STATE(12847),
    [sym_block] = STATE(10196),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(14785),
    [sym__simple_expression] = STATE(6665),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym__expr_case_clause] = STATE(12851),
    [sym_bindings] = STATE(17671),
    [sym_case_block] = STATE(10196),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(10196),
    [sym_call_expression] = STATE(10196),
    [sym_field_expression] = STATE(10196),
    [sym_instance_expression] = STATE(10196),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(10922),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18163),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(10591),
    [sym_tuple_expression] = STATE(10196),
    [sym_parenthesized_expression] = STATE(10196),
    [sym_splice_expression] = STATE(10196),
    [sym_quote_expression] = STATE(10196),
    [sym_identifier] = STATE(5739),
    [sym__soft_identifier] = STATE(4721),
    [sym_wildcard] = STATE(9421),
    [sym__non_null_literal] = STATE(10196),
    [sym_boolean_literal] = STATE(10049),
    [sym_interpolated_string_expression] = STATE(10196),
    [sym_string] = STATE(10049),
    [sym_unit] = STATE(10196),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(587),
    [sym_block_comment] = STATE(587),
    [sym__alpha_identifier] = ACTIONS(1789),
    [anon_sym_LBRACE] = ACTIONS(1793),
    [anon_sym_case] = ACTIONS(2187),
    [anon_sym__] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_end] = ACTIONS(1799),
    [anon_sym_if] = ACTIONS(1983),
    [anon_sym_while] = ACTIONS(1985),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1801),
    [anon_sym_opaque] = ACTIONS(1799),
    [anon_sym_implicit] = ACTIONS(1991),
    [anon_sym_inline] = ACTIONS(1803),
    [anon_sym_infix] = ACTIONS(1799),
    [anon_sym_open] = ACTIONS(1799),
    [anon_sym_transparent] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [anon_sym_macro] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(1797),
    [anon_sym_TILDE] = ACTIONS(1797),
    [anon_sym_DOLLAR] = ACTIONS(1807),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [sym__backquoted_id] = ACTIONS(1811),
    [sym_operator_identifier] = ACTIONS(1995),
    [sym_integer_literal] = ACTIONS(1815),
    [sym_floating_point_literal] = ACTIONS(1817),
    [anon_sym_true] = ACTIONS(1819),
    [anon_sym_false] = ACTIONS(1819),
    [sym_character_literal] = ACTIONS(1817),
    [sym_null_literal] = ACTIONS(1821),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_throw] = ACTIONS(1999),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1823),
    [sym__simple_string] = ACTIONS(1823),
  },
  [588] = {
    [sym_type_parameters] = STATE(19067),
    [sym_inline_modifier] = STATE(2437),
    [sym__indentable_expression] = STATE(14575),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8301),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym__expr_case_clause] = STATE(14577),
    [sym_bindings] = STATE(17572),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11110),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6708),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(10134),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(588),
    [sym_block_comment] = STATE(588),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym_case] = ACTIONS(2191),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2203),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2207),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [589] = {
    [sym_type_parameters] = STATE(19075),
    [sym_inline_modifier] = STATE(2439),
    [sym__indentable_expression] = STATE(14575),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8573),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym__expr_case_clause] = STATE(14577),
    [sym_bindings] = STATE(17664),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11137),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6815),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(9947),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(589),
    [sym_block_comment] = STATE(589),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym_case] = ACTIONS(2209),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2211),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2219),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2221),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [590] = {
    [sym_type_parameters] = STATE(19284),
    [sym_inline_modifier] = STATE(2476),
    [sym__indentable_expression] = STATE(12847),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(6205),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym__expr_case_clause] = STATE(12851),
    [sym_bindings] = STATE(17342),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9957),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(5057),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(8435),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(590),
    [sym_block_comment] = STATE(590),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_case] = ACTIONS(2227),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_try] = ACTIONS(1625),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1631),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1633),
    [anon_sym_throw] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [591] = {
    [sym_type_parameters] = STATE(19291),
    [sym_inline_modifier] = STATE(2477),
    [sym__indentable_expression] = STATE(14127),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym__expr_case_clause] = STATE(14130),
    [sym_bindings] = STATE(17354),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10022),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(5125),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(8569),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(591),
    [sym_block_comment] = STATE(591),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym_case] = ACTIONS(2229),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_while] = ACTIONS(1677),
    [anon_sym_for] = ACTIONS(1679),
    [anon_sym_try] = ACTIONS(1681),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(1687),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(1689),
    [anon_sym_throw] = ACTIONS(1691),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [592] = {
    [sym_type_parameters] = STATE(19107),
    [sym_inline_modifier] = STATE(2445),
    [sym__indentable_expression] = STATE(14614),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(5929),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym__expr_case_clause] = STATE(14639),
    [sym_bindings] = STATE(17658),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10255),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5067),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8244),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(592),
    [sym_block_comment] = STATE(592),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym_case] = ACTIONS(2233),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_try] = ACTIONS(1721),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(1723),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(1727),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_throw] = ACTIONS(1731),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [593] = {
    [sym_type_parameters] = STATE(19115),
    [sym_inline_modifier] = STATE(2449),
    [sym__indentable_expression] = STATE(12295),
    [sym_block] = STATE(9793),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(14690),
    [sym__simple_expression] = STATE(6296),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym__expr_case_clause] = STATE(12391),
    [sym_bindings] = STATE(17754),
    [sym_case_block] = STATE(9793),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(9793),
    [sym_call_expression] = STATE(9793),
    [sym_field_expression] = STATE(9793),
    [sym_instance_expression] = STATE(9793),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(10680),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(18810),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(10068),
    [sym_tuple_expression] = STATE(9793),
    [sym_parenthesized_expression] = STATE(9793),
    [sym_splice_expression] = STATE(9793),
    [sym_quote_expression] = STATE(9793),
    [sym_identifier] = STATE(5289),
    [sym__soft_identifier] = STATE(4682),
    [sym_wildcard] = STATE(8440),
    [sym__non_null_literal] = STATE(9793),
    [sym_boolean_literal] = STATE(9544),
    [sym_interpolated_string_expression] = STATE(9793),
    [sym_string] = STATE(9544),
    [sym_unit] = STATE(9793),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(593),
    [sym_block_comment] = STATE(593),
    [sym__alpha_identifier] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_case] = ACTIONS(2237),
    [anon_sym__] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_end] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1875),
    [anon_sym_while] = ACTIONS(1877),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_try] = ACTIONS(1881),
    [anon_sym_new] = ACTIONS(1339),
    [anon_sym_opaque] = ACTIONS(1337),
    [anon_sym_implicit] = ACTIONS(1883),
    [anon_sym_inline] = ACTIONS(1341),
    [anon_sym_infix] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_transparent] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_macro] = ACTIONS(1885),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_DOLLAR] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [sym__backquoted_id] = ACTIONS(1349),
    [sym_operator_identifier] = ACTIONS(1887),
    [sym_integer_literal] = ACTIONS(1353),
    [sym_floating_point_literal] = ACTIONS(1355),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [sym_character_literal] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_throw] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1361),
    [sym__simple_string] = ACTIONS(1361),
  },
  [594] = {
    [sym_type_parameters] = STATE(19298),
    [sym_inline_modifier] = STATE(2478),
    [sym__indentable_expression] = STATE(14127),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7225),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym__expr_case_clause] = STATE(14130),
    [sym_bindings] = STATE(17377),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10767),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6197),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9684),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(594),
    [sym_block_comment] = STATE(594),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym_case] = ACTIONS(2241),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(2245),
    [anon_sym_for] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2253),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2255),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [595] = {
    [sym_type_parameters] = STATE(19326),
    [sym_inline_modifier] = STATE(2482),
    [sym__indentable_expression] = STATE(13341),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6191),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym__expr_case_clause] = STATE(13342),
    [sym_bindings] = STATE(17429),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10076),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5253),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8347),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(595),
    [sym_block_comment] = STATE(595),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym_case] = ACTIONS(2259),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2263),
    [anon_sym_for] = ACTIONS(2265),
    [anon_sym_try] = ACTIONS(2267),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2269),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2271),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2273),
    [anon_sym_throw] = ACTIONS(2275),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [596] = {
    [sym_type_parameters] = STATE(19221),
    [sym_inline_modifier] = STATE(2466),
    [sym_block] = STATE(6679),
    [sym_expression] = STATE(12751),
    [sym__simple_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17385),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9917),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4878),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7216),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(596),
    [sym_block_comment] = STATE(596),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1437),
    [anon_sym_while] = ACTIONS(2277),
    [anon_sym_for] = ACTIONS(2279),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(2281),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(2283),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_catch] = ACTIONS(1437),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(2285),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(1437),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [597] = {
    [sym_type_parameters] = STATE(19151),
    [sym_inline_modifier] = STATE(2457),
    [sym__indentable_expression] = STATE(12295),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5655),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym__expr_case_clause] = STATE(12391),
    [sym_bindings] = STATE(17577),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(9915),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4803),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(7495),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(597),
    [sym_block_comment] = STATE(597),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym_case] = ACTIONS(2291),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_try] = ACTIONS(1483),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1485),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1487),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_throw] = ACTIONS(1491),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [598] = {
    [sym_type_parameters] = STATE(19165),
    [sym_inline_modifier] = STATE(2459),
    [sym__indentable_expression] = STATE(13777),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(5480),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym__expr_case_clause] = STATE(13783),
    [sym_bindings] = STATE(17663),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(9905),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(4870),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(7665),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(598),
    [sym_block_comment] = STATE(598),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_case] = ACTIONS(2293),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1459),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1463),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(1465),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(1469),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1471),
    [anon_sym_throw] = ACTIONS(1473),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [599] = {
    [sym_type_parameters] = STATE(19340),
    [sym_inline_modifier] = STATE(2484),
    [sym__indentable_expression] = STATE(14645),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6257),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym__expr_case_clause] = STATE(14646),
    [sym_bindings] = STATE(17461),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10092),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5331),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(7952),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(599),
    [sym_block_comment] = STATE(599),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym_case] = ACTIONS(2297),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(1571),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(1575),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [600] = {
    [sym_type_parameters] = STATE(19193),
    [sym_inline_modifier] = STATE(2462),
    [sym__indentable_expression] = STATE(13777),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6717),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym__expr_case_clause] = STATE(13783),
    [sym_bindings] = STATE(17709),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10599),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8740),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(600),
    [sym_block_comment] = STATE(600),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_case] = ACTIONS(2301),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(2305),
    [anon_sym_for] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2311),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2313),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [601] = {
    [sym_type_parameters] = STATE(19354),
    [sym_inline_modifier] = STATE(2486),
    [sym__indentable_expression] = STATE(14777),
    [sym_block] = STATE(9867),
    [sym_indented_block] = STATE(14860),
    [sym_indented_cases] = STATE(14860),
    [sym_expression] = STATE(14402),
    [sym__simple_expression] = STATE(6723),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym__expr_case_clause] = STATE(14847),
    [sym_bindings] = STATE(17488),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5587),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(8751),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(601),
    [sym_block_comment] = STATE(601),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym_case] = ACTIONS(2319),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(2321),
    [anon_sym_while] = ACTIONS(2323),
    [anon_sym_for] = ACTIONS(2325),
    [anon_sym_try] = ACTIONS(2327),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(2329),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(2331),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_throw] = ACTIONS(2335),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2185),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [602] = {
    [sym_type_parameters] = STATE(19368),
    [sym_inline_modifier] = STATE(2488),
    [sym__indentable_expression] = STATE(13341),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6230),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym__expr_case_clause] = STATE(13342),
    [sym_bindings] = STATE(17517),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(9981),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5282),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8608),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(602),
    [sym_block_comment] = STATE(602),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym_case] = ACTIONS(2337),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2033),
    [anon_sym_for] = ACTIONS(2035),
    [anon_sym_try] = ACTIONS(2037),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2039),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2043),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2047),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [603] = {
    [sym_type_parameters] = STATE(19221),
    [sym_inline_modifier] = STATE(2466),
    [sym__indentable_expression] = STATE(12963),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym__expr_case_clause] = STATE(12965),
    [sym_bindings] = STATE(17385),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9917),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4878),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7216),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(603),
    [sym_block_comment] = STATE(603),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_case] = ACTIONS(2341),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2343),
    [anon_sym_while] = ACTIONS(2277),
    [anon_sym_for] = ACTIONS(2279),
    [anon_sym_try] = ACTIONS(2281),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(2283),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(2285),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [604] = {
    [sym_type_parameters] = STATE(19228),
    [sym_inline_modifier] = STATE(2467),
    [sym__indentable_expression] = STATE(13777),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6822),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym__expr_case_clause] = STATE(13783),
    [sym_bindings] = STATE(17483),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10622),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5644),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(604),
    [sym_block_comment] = STATE(604),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_case] = ACTIONS(2345),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(2349),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_try] = ACTIONS(2353),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2357),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2359),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [605] = {
    [sym_type_parameters] = STATE(19242),
    [sym_inline_modifier] = STATE(2470),
    [sym__indentable_expression] = STATE(14380),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5573),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym__expr_case_clause] = STATE(14250),
    [sym_bindings] = STATE(17585),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9764),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4962),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7178),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(605),
    [sym_block_comment] = STATE(605),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym_case] = ACTIONS(2363),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_try] = ACTIONS(1499),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1501),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1505),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [606] = {
    [sym_type_parameters] = STATE(19263),
    [sym_inline_modifier] = STATE(2473),
    [sym__indentable_expression] = STATE(14614),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(6189),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym__expr_case_clause] = STATE(14639),
    [sym_bindings] = STATE(17703),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10035),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5250),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(606),
    [sym_block_comment] = STATE(606),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym_case] = ACTIONS(2367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(2369),
    [anon_sym_while] = ACTIONS(2001),
    [anon_sym_for] = ACTIONS(2003),
    [anon_sym_try] = ACTIONS(2005),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(2009),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(2011),
    [anon_sym_throw] = ACTIONS(2013),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [607] = {
    [sym_type_parameters] = STATE(19270),
    [sym_inline_modifier] = STATE(2474),
    [sym__indentable_expression] = STATE(12963),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5637),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym__expr_case_clause] = STATE(12965),
    [sym_bindings] = STATE(17719),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9894),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7246),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(607),
    [sym_block_comment] = STATE(607),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_case] = ACTIONS(2371),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1893),
    [anon_sym_for] = ACTIONS(1895),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1899),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1901),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1903),
    [anon_sym_throw] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [608] = {
    [sym_type_parameters] = STATE(19375),
    [sym_inline_modifier] = STATE(2489),
    [sym__indentable_expression] = STATE(12847),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5584),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym__expr_case_clause] = STATE(12851),
    [sym_bindings] = STATE(17531),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9590),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4881),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(608),
    [sym_block_comment] = STATE(608),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_case] = ACTIONS(2375),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2377),
    [anon_sym_while] = ACTIONS(2051),
    [anon_sym_for] = ACTIONS(2053),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(2057),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(2059),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_throw] = ACTIONS(2063),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [609] = {
    [sym_type_parameters] = STATE(19382),
    [sym_inline_modifier] = STATE(2178),
    [sym__indentable_expression] = STATE(14645),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6194),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym__expr_case_clause] = STATE(14646),
    [sym_bindings] = STATE(17545),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10186),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5256),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(8424),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(609),
    [sym_block_comment] = STATE(609),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym_case] = ACTIONS(2379),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(2071),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(2073),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(2075),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [610] = {
    [sym_type_parameters] = STATE(19389),
    [sym_inline_modifier] = STATE(2239),
    [sym__indentable_expression] = STATE(12847),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5645),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym__expr_case_clause] = STATE(12851),
    [sym_bindings] = STATE(17555),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4919),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7255),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(610),
    [sym_block_comment] = STATE(610),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_case] = ACTIONS(2383),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_while] = ACTIONS(1775),
    [anon_sym_for] = ACTIONS(1777),
    [anon_sym_try] = ACTIONS(1779),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1781),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1783),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_throw] = ACTIONS(1787),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [611] = {
    [sym_type_parameters] = STATE(19319),
    [sym_inline_modifier] = STATE(2481),
    [sym__indentable_expression] = STATE(12295),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5251),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym__expr_case_clause] = STATE(12391),
    [sym_bindings] = STATE(17418),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4750),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6718),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(611),
    [sym_block_comment] = STATE(611),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym_case] = ACTIONS(2387),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_try] = ACTIONS(1865),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1867),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1869),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1871),
    [anon_sym_throw] = ACTIONS(1873),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [612] = {
    [sym_type_parameters] = STATE(19347),
    [sym_inline_modifier] = STATE(2485),
    [sym__indentable_expression] = STATE(14380),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5581),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym__expr_case_clause] = STATE(14250),
    [sym_bindings] = STATE(17473),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4880),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7226),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(612),
    [sym_block_comment] = STATE(612),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym_case] = ACTIONS(2391),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1551),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1555),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1557),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1559),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [613] = {
    [sym_type_parameters] = STATE(19361),
    [sym_inline_modifier] = STATE(2487),
    [sym__indentable_expression] = STATE(12295),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5280),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym__expr_case_clause] = STATE(12391),
    [sym_bindings] = STATE(17505),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8857),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4759),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6823),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(613),
    [sym_block_comment] = STATE(613),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym_case] = ACTIONS(2395),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_while] = ACTIONS(1439),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1443),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1445),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1449),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1451),
    [anon_sym_throw] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [614] = {
    [sym_type_parameters] = STATE(19018),
    [sym_inline_modifier] = STATE(2423),
    [sym_block] = STATE(9948),
    [sym_expression] = STATE(14921),
    [sym__simple_expression] = STATE(6984),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17638),
    [sym_case_block] = STATE(9948),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(9948),
    [sym_call_expression] = STATE(9948),
    [sym_field_expression] = STATE(9948),
    [sym_instance_expression] = STATE(9948),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(10976),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19113),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10414),
    [sym_tuple_expression] = STATE(9948),
    [sym_parenthesized_expression] = STATE(9948),
    [sym_splice_expression] = STATE(9948),
    [sym_quote_expression] = STATE(9948),
    [sym_identifier] = STATE(5741),
    [sym__soft_identifier] = STATE(4751),
    [sym_wildcard] = STATE(9076),
    [sym__non_null_literal] = STATE(9948),
    [sym_boolean_literal] = STATE(10000),
    [sym_interpolated_string_expression] = STATE(9948),
    [sym_string] = STATE(10000),
    [sym_unit] = STATE(9948),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(614),
    [sym_block_comment] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(1435),
    [sym__alpha_identifier] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym__] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_end] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2123),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_opaque] = ACTIONS(1523),
    [anon_sym_implicit] = ACTIONS(2127),
    [anon_sym_inline] = ACTIONS(1527),
    [anon_sym_infix] = ACTIONS(1523),
    [anon_sym_open] = ACTIONS(1523),
    [anon_sym_transparent] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_catch] = ACTIONS(1437),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [sym__backquoted_id] = ACTIONS(1535),
    [sym_operator_identifier] = ACTIONS(2131),
    [sym_integer_literal] = ACTIONS(1539),
    [sym_floating_point_literal] = ACTIONS(1541),
    [anon_sym_true] = ACTIONS(1543),
    [anon_sym_false] = ACTIONS(1543),
    [sym_character_literal] = ACTIONS(1541),
    [sym_null_literal] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(2133),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(1547),
    [sym__simple_string] = ACTIONS(1547),
  },
  [615] = {
    [sym_type_parameters] = STATE(19043),
    [sym_inline_modifier] = STATE(2433),
    [sym_block] = STATE(8813),
    [sym_expression] = STATE(14184),
    [sym__simple_expression] = STATE(6777),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17580),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(10498),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(5353),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(8805),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(615),
    [sym_block_comment] = STATE(615),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym_COMMA] = ACTIONS(1435),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2169),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_RPAREN] = ACTIONS(1435),
    [anon_sym_then] = ACTIONS(1437),
    [anon_sym_catch] = ACTIONS(1437),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2173),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2175),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [616] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10530),
    [sym_expression] = STATE(16335),
    [sym__simple_expression] = STATE(7508),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10530),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10530),
    [sym_call_expression] = STATE(10530),
    [sym_field_expression] = STATE(10530),
    [sym_instance_expression] = STATE(10530),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18657),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(10790),
    [sym_tuple_expression] = STATE(10530),
    [sym_parenthesized_expression] = STATE(10530),
    [sym_splice_expression] = STATE(10530),
    [sym_quote_expression] = STATE(10530),
    [sym_identifier] = STATE(5809),
    [sym__soft_identifier] = STATE(4921),
    [sym_wildcard] = STATE(9671),
    [sym__non_null_literal] = STATE(10530),
    [sym_boolean_literal] = STATE(10615),
    [sym_interpolated_string_expression] = STATE(10530),
    [sym_string] = STATE(10615),
    [sym_unit] = STATE(10530),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(616),
    [sym_block_comment] = STATE(616),
    [ts_builtin_sym_end] = ACTIONS(1041),
    [sym__alpha_identifier] = ACTIONS(2399),
    [anon_sym_COLON] = ACTIONS(2401),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym__] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_end] = ACTIONS(2409),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_opaque] = ACTIONS(2409),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym_infix] = ACTIONS(2409),
    [anon_sym_open] = ACTIONS(2409),
    [anon_sym_transparent] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_SEMI] = ACTIONS(1041),
    [anon_sym_else] = ACTIONS(1043),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(2407),
    [anon_sym_TILDE] = ACTIONS(2407),
    [anon_sym_DOLLAR] = ACTIONS(2417),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [sym__backquoted_id] = ACTIONS(2421),
    [sym_operator_identifier] = ACTIONS(2423),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_floating_point_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2429),
    [anon_sym_false] = ACTIONS(2429),
    [sym_character_literal] = ACTIONS(2427),
    [sym_null_literal] = ACTIONS(2431),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1041),
    [sym__simple_multiline_string] = ACTIONS(2433),
    [sym__simple_string] = ACTIONS(2433),
  },
  [617] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(17005),
    [sym__simple_expression] = STATE(5077),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(19205),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(9374),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(4748),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(6678),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(617),
    [sym_block_comment] = STATE(617),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_COLON] = ACTIONS(1771),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_case] = ACTIONS(1043),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(1041),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(1773),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1041),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [618] = {
    [sym_type_parameters] = STATE(19091),
    [sym_inline_modifier] = STATE(2441),
    [sym_block] = STATE(7573),
    [sym_expression] = STATE(13192),
    [sym__simple_expression] = STATE(6891),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17610),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(10746),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5688),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(9054),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(618),
    [sym_block_comment] = STATE(618),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym_RBRACE] = ACTIONS(1435),
    [anon_sym_case] = ACTIONS(1437),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_while] = ACTIONS(2439),
    [anon_sym_for] = ACTIONS(2441),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(2443),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2445),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2447),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2449),
    [anon_sym_throw] = ACTIONS(2451),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [619] = {
    [sym_type_parameters] = STATE(19099),
    [sym_inline_modifier] = STATE(2443),
    [sym_block] = STATE(9061),
    [sym_expression] = STATE(14230),
    [sym__simple_expression] = STATE(6986),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17503),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(5790),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9373),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(619),
    [sym_block_comment] = STATE(619),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1435),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2453),
    [anon_sym_while] = ACTIONS(2455),
    [anon_sym_for] = ACTIONS(2457),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(2459),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2461),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_RPAREN] = ACTIONS(1435),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_then] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2465),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2467),
    [anon_sym_throw] = ACTIONS(2469),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [620] = {
    [sym_type_parameters] = STATE(19137),
    [sym_inline_modifier] = STATE(2454),
    [sym__indentable_expression] = STATE(13341),
    [sym_block] = STATE(10753),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(14984),
    [sym__simple_expression] = STATE(7215),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym__expr_case_clause] = STATE(13342),
    [sym_bindings] = STATE(17486),
    [sym_case_block] = STATE(10753),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(10753),
    [sym_call_expression] = STATE(10753),
    [sym_field_expression] = STATE(10753),
    [sym_instance_expression] = STATE(10753),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(11165),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(18932),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10969),
    [sym_tuple_expression] = STATE(10753),
    [sym_parenthesized_expression] = STATE(10753),
    [sym_splice_expression] = STATE(10753),
    [sym_quote_expression] = STATE(10753),
    [sym_identifier] = STATE(6109),
    [sym__soft_identifier] = STATE(4936),
    [sym_wildcard] = STATE(9648),
    [sym__non_null_literal] = STATE(10753),
    [sym_boolean_literal] = STATE(10697),
    [sym_interpolated_string_expression] = STATE(10753),
    [sym_string] = STATE(10697),
    [sym_unit] = STATE(10753),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(620),
    [sym_block_comment] = STATE(620),
    [sym__alpha_identifier] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(2475),
    [anon_sym_case] = ACTIONS(2477),
    [anon_sym__] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2481),
    [anon_sym_DASH] = ACTIONS(2481),
    [anon_sym_end] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(2487),
    [anon_sym_for] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_opaque] = ACTIONS(2483),
    [anon_sym_implicit] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2497),
    [anon_sym_infix] = ACTIONS(2483),
    [anon_sym_open] = ACTIONS(2483),
    [anon_sym_transparent] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_macro] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2481),
    [anon_sym_TILDE] = ACTIONS(2481),
    [anon_sym_DOLLAR] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2505),
    [sym__backquoted_id] = ACTIONS(2507),
    [sym_operator_identifier] = ACTIONS(2509),
    [sym_integer_literal] = ACTIONS(2511),
    [sym_floating_point_literal] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [sym_character_literal] = ACTIONS(2513),
    [sym_null_literal] = ACTIONS(2517),
    [anon_sym_return] = ACTIONS(2519),
    [anon_sym_throw] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(2523),
    [sym__simple_string] = ACTIONS(2523),
  },
  [621] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10753),
    [sym_expression] = STATE(16116),
    [sym__simple_expression] = STATE(7132),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10753),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10753),
    [sym_call_expression] = STATE(10753),
    [sym_field_expression] = STATE(10753),
    [sym_instance_expression] = STATE(10753),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(17959),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11005),
    [sym_tuple_expression] = STATE(10753),
    [sym_parenthesized_expression] = STATE(10753),
    [sym_splice_expression] = STATE(10753),
    [sym_quote_expression] = STATE(10753),
    [sym_identifier] = STATE(6292),
    [sym__soft_identifier] = STATE(4936),
    [sym_wildcard] = STATE(9698),
    [sym__non_null_literal] = STATE(10753),
    [sym_boolean_literal] = STATE(10697),
    [sym_interpolated_string_expression] = STATE(10753),
    [sym_string] = STATE(10697),
    [sym_unit] = STATE(10753),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(621),
    [sym_block_comment] = STATE(621),
    [ts_builtin_sym_end] = ACTIONS(1041),
    [sym__alpha_identifier] = ACTIONS(2473),
    [anon_sym_COLON] = ACTIONS(2525),
    [anon_sym_LBRACE] = ACTIONS(2475),
    [anon_sym__] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2481),
    [anon_sym_DASH] = ACTIONS(2481),
    [anon_sym_end] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_opaque] = ACTIONS(2483),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2497),
    [anon_sym_infix] = ACTIONS(2483),
    [anon_sym_open] = ACTIONS(2483),
    [anon_sym_transparent] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_SEMI] = ACTIONS(1041),
    [anon_sym_finally] = ACTIONS(1043),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(2481),
    [anon_sym_TILDE] = ACTIONS(2481),
    [anon_sym_DOLLAR] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2505),
    [sym__backquoted_id] = ACTIONS(2507),
    [sym_operator_identifier] = ACTIONS(2527),
    [sym_integer_literal] = ACTIONS(2511),
    [sym_floating_point_literal] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [sym_character_literal] = ACTIONS(2513),
    [sym_null_literal] = ACTIONS(2517),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1041),
    [sym__simple_multiline_string] = ACTIONS(2523),
    [sym__simple_string] = ACTIONS(2523),
  },
  [622] = {
    [sym_type_parameters] = STATE(19158),
    [sym_inline_modifier] = STATE(2458),
    [sym_block] = STATE(7275),
    [sym_expression] = STATE(13261),
    [sym__simple_expression] = STATE(6463),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17611),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10419),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5576),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8828),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(622),
    [sym_block_comment] = STATE(622),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym_RBRACE] = ACTIONS(1435),
    [anon_sym_case] = ACTIONS(1437),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2083),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2089),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2091),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2095),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [623] = {
    [sym_type_parameters] = STATE(19186),
    [sym_inline_modifier] = STATE(2461),
    [sym_block] = STATE(9896),
    [sym_expression] = STATE(14510),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17404),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10427),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5656),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(9159),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(623),
    [sym_block_comment] = STATE(623),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym_case] = ACTIONS(1437),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2529),
    [anon_sym_while] = ACTIONS(2531),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2541),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__outdent] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [624] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(16617),
    [sym__simple_expression] = STATE(6202),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18074),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(10222),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(8006),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(624),
    [sym_block_comment] = STATE(624),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_COLON] = ACTIONS(2549),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym_COMMA] = ACTIONS(1041),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_RPAREN] = ACTIONS(1041),
    [anon_sym_then] = ACTIONS(1043),
    [anon_sym_finally] = ACTIONS(1043),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2551),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [625] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(16001),
    [sym__simple_expression] = STATE(6578),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18232),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(10699),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(5523),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9068),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(625),
    [sym_block_comment] = STATE(625),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_COLON] = ACTIONS(2553),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(1043),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(1041),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(2557),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1041),
    [sym__outdent] = ACTIONS(1041),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [626] = {
    [sym_type_parameters] = STATE(19333),
    [sym_inline_modifier] = STATE(2483),
    [sym__indentable_expression] = STATE(14127),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7254),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym__expr_case_clause] = STATE(14130),
    [sym_bindings] = STATE(17445),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10814),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6232),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9529),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(626),
    [sym_block_comment] = STATE(626),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym_case] = ACTIONS(2559),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(2563),
    [anon_sym_for] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2569),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2571),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2573),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [627] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1270),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(627),
    [sym_block_comment] = STATE(627),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [628] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(954),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(628),
    [sym_block_comment] = STATE(628),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [629] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(979),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(629),
    [sym_block_comment] = STATE(629),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [630] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(982),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(630),
    [sym_block_comment] = STATE(630),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [631] = {
    [sym_type_parameters] = STATE(19059),
    [sym_inline_modifier] = STATE(2435),
    [sym_block] = STATE(10530),
    [sym_expression] = STATE(14972),
    [sym__simple_expression] = STATE(7452),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17472),
    [sym_case_block] = STATE(10530),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(10530),
    [sym_call_expression] = STATE(10530),
    [sym_field_expression] = STATE(10530),
    [sym_instance_expression] = STATE(10530),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(11241),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(19533),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(11075),
    [sym_tuple_expression] = STATE(10530),
    [sym_parenthesized_expression] = STATE(10530),
    [sym_splice_expression] = STATE(10530),
    [sym_quote_expression] = STATE(10530),
    [sym_identifier] = STATE(6021),
    [sym__soft_identifier] = STATE(4921),
    [sym_wildcard] = STATE(9558),
    [sym__non_null_literal] = STATE(10530),
    [sym_boolean_literal] = STATE(10615),
    [sym_interpolated_string_expression] = STATE(10530),
    [sym_string] = STATE(10615),
    [sym_unit] = STATE(10530),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(631),
    [sym_block_comment] = STATE(631),
    [ts_builtin_sym_end] = ACTIONS(1435),
    [sym__alpha_identifier] = ACTIONS(2399),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym__] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_end] = ACTIONS(2409),
    [anon_sym_if] = ACTIONS(2583),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_opaque] = ACTIONS(2409),
    [anon_sym_implicit] = ACTIONS(2591),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym_infix] = ACTIONS(2409),
    [anon_sym_open] = ACTIONS(2409),
    [anon_sym_transparent] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(2593),
    [anon_sym_BANG] = ACTIONS(2407),
    [anon_sym_TILDE] = ACTIONS(2407),
    [anon_sym_DOLLAR] = ACTIONS(2417),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [sym__backquoted_id] = ACTIONS(2421),
    [sym_operator_identifier] = ACTIONS(2595),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_floating_point_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2429),
    [anon_sym_false] = ACTIONS(2429),
    [sym_character_literal] = ACTIONS(2427),
    [sym_null_literal] = ACTIONS(2431),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_throw] = ACTIONS(2599),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(2433),
    [sym__simple_string] = ACTIONS(2433),
  },
  [632] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(988),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(632),
    [sym_block_comment] = STATE(632),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [633] = {
    [sym_type_parameters] = STATE(19326),
    [sym_inline_modifier] = STATE(2482),
    [sym_block] = STATE(7275),
    [sym_expression] = STATE(13261),
    [sym__simple_expression] = STATE(6191),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17429),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10076),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5253),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8347),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(633),
    [sym_block_comment] = STATE(633),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(1437),
    [anon_sym_while] = ACTIONS(2263),
    [anon_sym_for] = ACTIONS(2265),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(2267),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2269),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2271),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2273),
    [anon_sym_throw] = ACTIONS(2275),
    [anon_sym_do] = ACTIONS(1437),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [634] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(991),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(634),
    [sym_block_comment] = STATE(634),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [635] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(997),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(635),
    [sym_block_comment] = STATE(635),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [636] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(999),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(636),
    [sym_block_comment] = STATE(636),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [637] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1004),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(637),
    [sym_block_comment] = STATE(637),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [638] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1006),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(638),
    [sym_block_comment] = STATE(638),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [639] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1011),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(639),
    [sym_block_comment] = STATE(639),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [640] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1013),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(640),
    [sym_block_comment] = STATE(640),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [641] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1018),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(641),
    [sym_block_comment] = STATE(641),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [642] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1020),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(642),
    [sym_block_comment] = STATE(642),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [643] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1025),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(643),
    [sym_block_comment] = STATE(643),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [644] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1027),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(644),
    [sym_block_comment] = STATE(644),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [645] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1032),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(645),
    [sym_block_comment] = STATE(645),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [646] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(874),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(646),
    [sym_block_comment] = STATE(646),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [647] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1034),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(647),
    [sym_block_comment] = STATE(647),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [648] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1039),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(648),
    [sym_block_comment] = STATE(648),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [649] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1041),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(649),
    [sym_block_comment] = STATE(649),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [650] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1045),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(650),
    [sym_block_comment] = STATE(650),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [651] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1047),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(651),
    [sym_block_comment] = STATE(651),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [652] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(13980),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(652),
    [sym_block_comment] = STATE(652),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(1435),
    [anon_sym_case] = ACTIONS(1437),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [653] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1367),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(653),
    [sym_block_comment] = STATE(653),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [654] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1368),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(654),
    [sym_block_comment] = STATE(654),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [655] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1052),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(655),
    [sym_block_comment] = STATE(655),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [656] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1054),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(656),
    [sym_block_comment] = STATE(656),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [657] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1059),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(657),
    [sym_block_comment] = STATE(657),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [658] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1061),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(658),
    [sym_block_comment] = STATE(658),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [659] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10944),
    [sym_expression] = STATE(16775),
    [sym__simple_expression] = STATE(8319),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18739),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11272),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6585),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(10075),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(659),
    [sym_block_comment] = STATE(659),
    [ts_builtin_sym_end] = ACTIONS(1041),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_COLON] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_SEMI] = ACTIONS(1041),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(2607),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1041),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [660] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1066),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(660),
    [sym_block_comment] = STATE(660),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [661] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1068),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(661),
    [sym_block_comment] = STATE(661),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [662] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1072),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(662),
    [sym_block_comment] = STATE(662),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [663] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1074),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(663),
    [sym_block_comment] = STATE(663),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [664] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1079),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(664),
    [sym_block_comment] = STATE(664),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [665] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1081),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(665),
    [sym_block_comment] = STATE(665),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [666] = {
    [sym_type_parameters] = STATE(19354),
    [sym_inline_modifier] = STATE(2486),
    [sym_block] = STATE(9867),
    [sym_expression] = STATE(14409),
    [sym__simple_expression] = STATE(6723),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17488),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5587),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(8751),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(666),
    [sym_block_comment] = STATE(666),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(1437),
    [anon_sym_while] = ACTIONS(2323),
    [anon_sym_for] = ACTIONS(2325),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(2327),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(2329),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(2331),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_throw] = ACTIONS(2335),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__outdent] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [667] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1086),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(667),
    [sym_block_comment] = STATE(667),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [668] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1088),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(668),
    [sym_block_comment] = STATE(668),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [669] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1093),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(669),
    [sym_block_comment] = STATE(669),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [670] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1095),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(670),
    [sym_block_comment] = STATE(670),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [671] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1100),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(671),
    [sym_block_comment] = STATE(671),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [672] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1102),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(672),
    [sym_block_comment] = STATE(672),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [673] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16249),
    [sym__simple_expression] = STATE(6589),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(10481),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(673),
    [sym_block_comment] = STATE(673),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_COLON] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_COMMA] = ACTIONS(1041),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(1041),
    [anon_sym_then] = ACTIONS(1043),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [674] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1107),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(674),
    [sym_block_comment] = STATE(674),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [675] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1109),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(675),
    [sym_block_comment] = STATE(675),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [676] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1114),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(676),
    [sym_block_comment] = STATE(676),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [677] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1116),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(677),
    [sym_block_comment] = STATE(677),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [678] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1121),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(678),
    [sym_block_comment] = STATE(678),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [679] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1122),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(679),
    [sym_block_comment] = STATE(679),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [680] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1127),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(680),
    [sym_block_comment] = STATE(680),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [681] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1129),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(681),
    [sym_block_comment] = STATE(681),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [682] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1134),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(682),
    [sym_block_comment] = STATE(682),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [683] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1136),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(683),
    [sym_block_comment] = STATE(683),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [684] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1140),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(684),
    [sym_block_comment] = STATE(684),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [685] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1141),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(685),
    [sym_block_comment] = STATE(685),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [686] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1145),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(686),
    [sym_block_comment] = STATE(686),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [687] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1147),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(687),
    [sym_block_comment] = STATE(687),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [688] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1151),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(688),
    [sym_block_comment] = STATE(688),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [689] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1153),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(689),
    [sym_block_comment] = STATE(689),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [690] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1157),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(690),
    [sym_block_comment] = STATE(690),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [691] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(16001),
    [sym__simple_expression] = STATE(6578),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18232),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(10699),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(5523),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9068),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(691),
    [sym_block_comment] = STATE(691),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_COLON] = ACTIONS(2553),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(1041),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(2557),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1041),
    [sym__outdent] = ACTIONS(1041),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [692] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1163),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(692),
    [sym_block_comment] = STATE(692),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [693] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1165),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(693),
    [sym_block_comment] = STATE(693),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [694] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1169),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(694),
    [sym_block_comment] = STATE(694),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [695] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1171),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(695),
    [sym_block_comment] = STATE(695),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [696] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1175),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(696),
    [sym_block_comment] = STATE(696),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [697] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1177),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(697),
    [sym_block_comment] = STATE(697),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [698] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1181),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(698),
    [sym_block_comment] = STATE(698),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [699] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1183),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(699),
    [sym_block_comment] = STATE(699),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [700] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1187),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(700),
    [sym_block_comment] = STATE(700),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [701] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1189),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(701),
    [sym_block_comment] = STATE(701),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [702] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1193),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(702),
    [sym_block_comment] = STATE(702),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [703] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1195),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(703),
    [sym_block_comment] = STATE(703),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [704] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1199),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(704),
    [sym_block_comment] = STATE(704),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [705] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1201),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(705),
    [sym_block_comment] = STATE(705),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [706] = {
    [sym_type_parameters] = STATE(19137),
    [sym_inline_modifier] = STATE(2454),
    [sym_block] = STATE(10753),
    [sym_expression] = STATE(14965),
    [sym__simple_expression] = STATE(7215),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17486),
    [sym_case_block] = STATE(10753),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(10753),
    [sym_call_expression] = STATE(10753),
    [sym_field_expression] = STATE(10753),
    [sym_instance_expression] = STATE(10753),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(11165),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(18932),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10969),
    [sym_tuple_expression] = STATE(10753),
    [sym_parenthesized_expression] = STATE(10753),
    [sym_splice_expression] = STATE(10753),
    [sym_quote_expression] = STATE(10753),
    [sym_identifier] = STATE(6109),
    [sym__soft_identifier] = STATE(4936),
    [sym_wildcard] = STATE(9648),
    [sym__non_null_literal] = STATE(10753),
    [sym_boolean_literal] = STATE(10697),
    [sym_interpolated_string_expression] = STATE(10753),
    [sym_string] = STATE(10697),
    [sym_unit] = STATE(10753),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(706),
    [sym_block_comment] = STATE(706),
    [ts_builtin_sym_end] = ACTIONS(1435),
    [sym__alpha_identifier] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(2475),
    [anon_sym__] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(2481),
    [anon_sym_DASH] = ACTIONS(2481),
    [anon_sym_end] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(2487),
    [anon_sym_for] = ACTIONS(2489),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_opaque] = ACTIONS(2483),
    [anon_sym_implicit] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2497),
    [anon_sym_infix] = ACTIONS(2483),
    [anon_sym_open] = ACTIONS(2483),
    [anon_sym_transparent] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2481),
    [anon_sym_TILDE] = ACTIONS(2481),
    [anon_sym_DOLLAR] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2505),
    [sym__backquoted_id] = ACTIONS(2507),
    [sym_operator_identifier] = ACTIONS(2509),
    [sym_integer_literal] = ACTIONS(2511),
    [sym_floating_point_literal] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [sym_character_literal] = ACTIONS(2513),
    [sym_null_literal] = ACTIONS(2517),
    [anon_sym_return] = ACTIONS(2519),
    [anon_sym_throw] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(2523),
    [sym__simple_string] = ACTIONS(2523),
  },
  [707] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(754),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(707),
    [sym_block_comment] = STATE(707),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [708] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1206),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(708),
    [sym_block_comment] = STATE(708),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [709] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1210),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(709),
    [sym_block_comment] = STATE(709),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [710] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1211),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(710),
    [sym_block_comment] = STATE(710),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [711] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1215),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(711),
    [sym_block_comment] = STATE(711),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [712] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1216),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(712),
    [sym_block_comment] = STATE(712),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [713] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1220),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(713),
    [sym_block_comment] = STATE(713),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [714] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1221),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(714),
    [sym_block_comment] = STATE(714),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [715] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1225),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(715),
    [sym_block_comment] = STATE(715),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [716] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1226),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(716),
    [sym_block_comment] = STATE(716),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [717] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1230),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(717),
    [sym_block_comment] = STATE(717),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [718] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1231),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(718),
    [sym_block_comment] = STATE(718),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [719] = {
    [sym_type_parameters] = STATE(19277),
    [sym_inline_modifier] = STATE(2475),
    [sym_block] = STATE(7573),
    [sym_expression] = STATE(13192),
    [sym__simple_expression] = STATE(6187),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17744),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9999),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5249),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8308),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(719),
    [sym_block_comment] = STATE(719),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(1437),
    [anon_sym_while] = ACTIONS(2611),
    [anon_sym_for] = ACTIONS(2613),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2619),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2623),
    [anon_sym_do] = ACTIONS(1437),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [720] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1235),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(720),
    [sym_block_comment] = STATE(720),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [721] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1236),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(721),
    [sym_block_comment] = STATE(721),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [722] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1240),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(722),
    [sym_block_comment] = STATE(722),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [723] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1241),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(723),
    [sym_block_comment] = STATE(723),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [724] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1245),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(724),
    [sym_block_comment] = STATE(724),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [725] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1246),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(725),
    [sym_block_comment] = STATE(725),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [726] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1250),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(726),
    [sym_block_comment] = STATE(726),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [727] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1251),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(727),
    [sym_block_comment] = STATE(727),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [728] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1255),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(728),
    [sym_block_comment] = STATE(728),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [729] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1256),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(729),
    [sym_block_comment] = STATE(729),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [730] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1260),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(730),
    [sym_block_comment] = STATE(730),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [731] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1261),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(731),
    [sym_block_comment] = STATE(731),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [732] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1265),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(732),
    [sym_block_comment] = STATE(732),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [733] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1266),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(733),
    [sym_block_comment] = STATE(733),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [734] = {
    [sym_type_parameters] = STATE(19214),
    [sym_inline_modifier] = STATE(2465),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(13980),
    [sym__simple_expression] = STATE(6878),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17725),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10612),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5702),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8984),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(734),
    [sym_block_comment] = STATE(734),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(1435),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1437),
    [anon_sym_while] = ACTIONS(1003),
    [anon_sym_for] = ACTIONS(1005),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(1007),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(1009),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_RPAREN] = ACTIONS(1435),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(2625),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(1029),
    [anon_sym_throw] = ACTIONS(1031),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [735] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1271),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(735),
    [sym_block_comment] = STATE(735),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [736] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1275),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(736),
    [sym_block_comment] = STATE(736),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [737] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1276),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(737),
    [sym_block_comment] = STATE(737),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [738] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1279),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(738),
    [sym_block_comment] = STATE(738),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [739] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1280),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(739),
    [sym_block_comment] = STATE(739),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [740] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1283),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(740),
    [sym_block_comment] = STATE(740),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [741] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1284),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(741),
    [sym_block_comment] = STATE(741),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [742] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1287),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(742),
    [sym_block_comment] = STATE(742),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [743] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1288),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(743),
    [sym_block_comment] = STATE(743),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [744] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1291),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(744),
    [sym_block_comment] = STATE(744),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [745] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1292),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(745),
    [sym_block_comment] = STATE(745),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [746] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1312),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(746),
    [sym_block_comment] = STATE(746),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [747] = {
    [sym_type_parameters] = STATE(19172),
    [sym_inline_modifier] = STATE(2460),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(14406),
    [sym__simple_expression] = STATE(7448),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17722),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(10768),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6207),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(747),
    [sym_block_comment] = STATE(747),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym_COMMA] = ACTIONS(1435),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2103),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2109),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_RPAREN] = ACTIONS(1435),
    [anon_sym_then] = ACTIONS(1437),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2111),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_throw] = ACTIONS(2115),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [748] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14915),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(748),
    [sym_block_comment] = STATE(748),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym_case] = ACTIONS(1437),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__outdent] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [749] = {
    [sym_type_parameters] = STATE(19305),
    [sym_inline_modifier] = STATE(2479),
    [sym_block] = STATE(9896),
    [sym_expression] = STATE(14510),
    [sym__simple_expression] = STATE(6719),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17395),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10685),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5585),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(8745),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(749),
    [sym_block_comment] = STATE(749),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(1437),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2635),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2637),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2639),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__outdent] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [750] = {
    [sym_type_parameters] = STATE(19193),
    [sym_inline_modifier] = STATE(2462),
    [sym_block] = STATE(7344),
    [sym_expression] = STATE(13264),
    [sym__simple_expression] = STATE(6717),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17709),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10599),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8740),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(750),
    [sym_block_comment] = STATE(750),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(2305),
    [anon_sym_for] = ACTIONS(2307),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2311),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_catch] = ACTIONS(1437),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2313),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(1437),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [751] = {
    [sym_type_parameters] = STATE(19228),
    [sym_inline_modifier] = STATE(2467),
    [sym_block] = STATE(7344),
    [sym_expression] = STATE(13264),
    [sym__simple_expression] = STATE(6822),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17483),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10622),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5644),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(751),
    [sym_block_comment] = STATE(751),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(1437),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(2353),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_catch] = ACTIONS(1437),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2357),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2359),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [752] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(949),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(752),
    [sym_block_comment] = STATE(752),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [753] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(18341),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym__if_condition] = STATE(1159),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(4268),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(753),
    [sym_block_comment] = STATE(753),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [754] = {
    [sym_type_parameters] = STATE(19347),
    [sym_inline_modifier] = STATE(2485),
    [sym__indentable_expression] = STATE(14465),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5581),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17473),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4880),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7226),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(754),
    [sym_block_comment] = STATE(754),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1551),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1555),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1557),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1559),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [755] = {
    [sym_type_parameters] = STATE(19298),
    [sym_inline_modifier] = STATE(2478),
    [sym__indentable_expression] = STATE(14107),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7225),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17377),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10767),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6197),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9684),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(755),
    [sym_block_comment] = STATE(755),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(2245),
    [anon_sym_for] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2253),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2255),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [756] = {
    [sym_type_parameters] = STATE(19298),
    [sym_inline_modifier] = STATE(2478),
    [sym__indentable_expression] = STATE(14108),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7225),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17377),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10767),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6197),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9684),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(756),
    [sym_block_comment] = STATE(756),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(2245),
    [anon_sym_for] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2253),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2255),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [757] = {
    [sym_type_parameters] = STATE(19298),
    [sym_inline_modifier] = STATE(2478),
    [sym__indentable_expression] = STATE(14111),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7225),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17377),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10767),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6197),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9684),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(757),
    [sym_block_comment] = STATE(757),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(2245),
    [anon_sym_for] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2253),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2255),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [758] = {
    [sym_type_parameters] = STATE(19298),
    [sym_inline_modifier] = STATE(2478),
    [sym__indentable_expression] = STATE(14112),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7225),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17377),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10767),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6197),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9684),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(758),
    [sym_block_comment] = STATE(758),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(2245),
    [anon_sym_for] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2253),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2255),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [759] = {
    [sym_type_parameters] = STATE(19298),
    [sym_inline_modifier] = STATE(2478),
    [sym__indentable_expression] = STATE(14118),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7225),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17377),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10767),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6197),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9684),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(759),
    [sym_block_comment] = STATE(759),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(2245),
    [anon_sym_for] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2253),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2255),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [760] = {
    [sym_type_parameters] = STATE(19214),
    [sym_inline_modifier] = STATE(2465),
    [sym__indentable_expression] = STATE(13857),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(6878),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17725),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10612),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5702),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8984),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(760),
    [sym_block_comment] = STATE(760),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1001),
    [anon_sym_while] = ACTIONS(1003),
    [anon_sym_for] = ACTIONS(1005),
    [anon_sym_try] = ACTIONS(1007),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(1009),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(2625),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(1029),
    [anon_sym_throw] = ACTIONS(1031),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [761] = {
    [sym_type_parameters] = STATE(19305),
    [sym_inline_modifier] = STATE(2479),
    [sym_block] = STATE(9896),
    [sym_expression] = STATE(14526),
    [sym__simple_expression] = STATE(6719),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17395),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10685),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5585),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(8745),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(761),
    [sym_block_comment] = STATE(761),
    [sym__alpha_identifier] = ACTIONS(2645),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2650),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(2656),
    [anon_sym_if] = ACTIONS(2659),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2656),
    [anon_sym_implicit] = ACTIONS(2635),
    [anon_sym_inline] = ACTIONS(2661),
    [anon_sym_infix] = ACTIONS(2656),
    [anon_sym_open] = ACTIONS(2656),
    [anon_sym_transparent] = ACTIONS(2656),
    [anon_sym_LPAREN] = ACTIONS(2664),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(2667),
    [sym_operator_identifier] = ACTIONS(2670),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2639),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2673),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [762] = {
    [sym_type_parameters] = STATE(19305),
    [sym_inline_modifier] = STATE(2479),
    [sym__indentable_expression] = STATE(14745),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6719),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17395),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10685),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5585),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(8745),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(762),
    [sym_block_comment] = STATE(762),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2659),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2635),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2637),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2639),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [763] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym__indentable_expression] = STATE(15468),
    [sym_block] = STATE(10944),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(15239),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(763),
    [sym_block_comment] = STATE(763),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [764] = {
    [sym_type_parameters] = STATE(19305),
    [sym_inline_modifier] = STATE(2479),
    [sym__indentable_expression] = STATE(14761),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6719),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17395),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10685),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5585),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(8745),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(764),
    [sym_block_comment] = STATE(764),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2659),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2635),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2637),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2639),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [765] = {
    [sym_type_parameters] = STATE(19305),
    [sym_inline_modifier] = STATE(2479),
    [sym__indentable_expression] = STATE(14762),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6719),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17395),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10685),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5585),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(8745),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(765),
    [sym_block_comment] = STATE(765),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2659),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2635),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2637),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2639),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [766] = {
    [sym_type_parameters] = STATE(19305),
    [sym_inline_modifier] = STATE(2479),
    [sym__indentable_expression] = STATE(14763),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6719),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17395),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10685),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5585),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(8745),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(766),
    [sym_block_comment] = STATE(766),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2659),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2635),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2637),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2639),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [767] = {
    [sym_type_parameters] = STATE(19305),
    [sym_inline_modifier] = STATE(2479),
    [sym__indentable_expression] = STATE(14767),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6719),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17395),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10685),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5585),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(8745),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(767),
    [sym_block_comment] = STATE(767),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2659),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2635),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2637),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2639),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [768] = {
    [sym_type_parameters] = STATE(19305),
    [sym_inline_modifier] = STATE(2479),
    [sym__indentable_expression] = STATE(14795),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6719),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17395),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10685),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5585),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(8745),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(768),
    [sym_block_comment] = STATE(768),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2659),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2635),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2637),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2639),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [769] = {
    [sym_type_parameters] = STATE(19305),
    [sym_inline_modifier] = STATE(2479),
    [sym__indentable_expression] = STATE(14802),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6719),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17395),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10685),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5585),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(8745),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(769),
    [sym_block_comment] = STATE(769),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2659),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2635),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2637),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2639),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [770] = {
    [sym_type_parameters] = STATE(19305),
    [sym_inline_modifier] = STATE(2479),
    [sym__indentable_expression] = STATE(14811),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6719),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17395),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10685),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5585),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(8745),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(770),
    [sym_block_comment] = STATE(770),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2659),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2635),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2637),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2639),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [771] = {
    [sym_type_parameters] = STATE(19305),
    [sym_inline_modifier] = STATE(2479),
    [sym__indentable_expression] = STATE(14813),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6719),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17395),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10685),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5585),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(8745),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(771),
    [sym_block_comment] = STATE(771),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2659),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2635),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2637),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2639),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [772] = {
    [sym_type_parameters] = STATE(19305),
    [sym_inline_modifier] = STATE(2479),
    [sym__indentable_expression] = STATE(14816),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6719),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17395),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10685),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5585),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(8745),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(772),
    [sym_block_comment] = STATE(772),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2659),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2635),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2637),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2639),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [773] = {
    [sym_type_parameters] = STATE(19305),
    [sym_inline_modifier] = STATE(2479),
    [sym__indentable_expression] = STATE(14817),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6719),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17395),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10685),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5585),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(8745),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(773),
    [sym_block_comment] = STATE(773),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2659),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2635),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2637),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2639),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [774] = {
    [sym_type_parameters] = STATE(19305),
    [sym_inline_modifier] = STATE(2479),
    [sym__indentable_expression] = STATE(14821),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6719),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17395),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10685),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5585),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(8745),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(774),
    [sym_block_comment] = STATE(774),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2659),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2635),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2637),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2639),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [775] = {
    [sym_type_parameters] = STATE(19221),
    [sym_inline_modifier] = STATE(2466),
    [sym_block] = STATE(6679),
    [sym_expression] = STATE(12927),
    [sym__simple_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17385),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9917),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4878),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7216),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(775),
    [sym_block_comment] = STATE(775),
    [sym__alpha_identifier] = ACTIONS(2680),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2683),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(2686),
    [anon_sym_if] = ACTIONS(2343),
    [anon_sym_while] = ACTIONS(2277),
    [anon_sym_for] = ACTIONS(2279),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2281),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2686),
    [anon_sym_implicit] = ACTIONS(2283),
    [anon_sym_inline] = ACTIONS(2689),
    [anon_sym_infix] = ACTIONS(2686),
    [anon_sym_open] = ACTIONS(2686),
    [anon_sym_transparent] = ACTIONS(2686),
    [anon_sym_LPAREN] = ACTIONS(2692),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(2695),
    [sym_operator_identifier] = ACTIONS(2698),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(2701),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [776] = {
    [sym_type_parameters] = STATE(19312),
    [sym_inline_modifier] = STATE(2480),
    [sym_block] = STATE(7573),
    [sym_expression] = STATE(13276),
    [sym__simple_expression] = STATE(6229),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17408),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9962),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5279),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8585),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(776),
    [sym_block_comment] = STATE(776),
    [sym__alpha_identifier] = ACTIONS(2704),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2707),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(2710),
    [anon_sym_if] = ACTIONS(2713),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2019),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2710),
    [anon_sym_implicit] = ACTIONS(2021),
    [anon_sym_inline] = ACTIONS(2715),
    [anon_sym_infix] = ACTIONS(2710),
    [anon_sym_open] = ACTIONS(2710),
    [anon_sym_transparent] = ACTIONS(2710),
    [anon_sym_LPAREN] = ACTIONS(2718),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(2721),
    [sym_operator_identifier] = ACTIONS(2724),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_do] = ACTIONS(2727),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [777] = {
    [sym_type_parameters] = STATE(19312),
    [sym_inline_modifier] = STATE(2480),
    [sym__indentable_expression] = STATE(13491),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6229),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17408),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9962),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5279),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8585),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(777),
    [sym_block_comment] = STATE(777),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2713),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_try] = ACTIONS(2019),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2021),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2025),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [778] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(13980),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(778),
    [sym_block_comment] = STATE(778),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(1435),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [779] = {
    [sym_type_parameters] = STATE(19312),
    [sym_inline_modifier] = STATE(2480),
    [sym__indentable_expression] = STATE(13210),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6229),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17408),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9962),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5279),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8585),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(779),
    [sym_block_comment] = STATE(779),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2713),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_try] = ACTIONS(2019),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2021),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2025),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [780] = {
    [sym_type_parameters] = STATE(19312),
    [sym_inline_modifier] = STATE(2480),
    [sym__indentable_expression] = STATE(13227),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6229),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17408),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9962),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5279),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8585),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(780),
    [sym_block_comment] = STATE(780),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2713),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_try] = ACTIONS(2019),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2021),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2025),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [781] = {
    [sym_type_parameters] = STATE(19312),
    [sym_inline_modifier] = STATE(2480),
    [sym__indentable_expression] = STATE(13235),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6229),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17408),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9962),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5279),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8585),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(781),
    [sym_block_comment] = STATE(781),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2713),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_try] = ACTIONS(2019),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2021),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2025),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [782] = {
    [sym_type_parameters] = STATE(19312),
    [sym_inline_modifier] = STATE(2480),
    [sym__indentable_expression] = STATE(13278),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6229),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17408),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9962),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5279),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8585),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(782),
    [sym_block_comment] = STATE(782),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2713),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_try] = ACTIONS(2019),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2021),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2025),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [783] = {
    [sym_type_parameters] = STATE(19312),
    [sym_inline_modifier] = STATE(2480),
    [sym__indentable_expression] = STATE(13323),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6229),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17408),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9962),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5279),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8585),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(783),
    [sym_block_comment] = STATE(783),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2713),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_try] = ACTIONS(2019),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2021),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2025),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [784] = {
    [sym_type_parameters] = STATE(19312),
    [sym_inline_modifier] = STATE(2480),
    [sym__indentable_expression] = STATE(13331),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6229),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17408),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9962),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5279),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8585),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(784),
    [sym_block_comment] = STATE(784),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2713),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_try] = ACTIONS(2019),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2021),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2025),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [785] = {
    [sym_type_parameters] = STATE(19312),
    [sym_inline_modifier] = STATE(2480),
    [sym__indentable_expression] = STATE(13347),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6229),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17408),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9962),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5279),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8585),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(785),
    [sym_block_comment] = STATE(785),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2713),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_try] = ACTIONS(2019),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2021),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2025),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [786] = {
    [sym_type_parameters] = STATE(19312),
    [sym_inline_modifier] = STATE(2480),
    [sym__indentable_expression] = STATE(13350),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6229),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17408),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9962),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5279),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8585),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(786),
    [sym_block_comment] = STATE(786),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2713),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_try] = ACTIONS(2019),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2021),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2025),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [787] = {
    [sym_type_parameters] = STATE(19312),
    [sym_inline_modifier] = STATE(2480),
    [sym__indentable_expression] = STATE(13351),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6229),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17408),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9962),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5279),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8585),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(787),
    [sym_block_comment] = STATE(787),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2713),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_try] = ACTIONS(2019),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2021),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2025),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [788] = {
    [sym_type_parameters] = STATE(19312),
    [sym_inline_modifier] = STATE(2480),
    [sym__indentable_expression] = STATE(13352),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6229),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17408),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9962),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5279),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8585),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(788),
    [sym_block_comment] = STATE(788),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2713),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_try] = ACTIONS(2019),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2021),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2025),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [789] = {
    [sym_type_parameters] = STATE(19312),
    [sym_inline_modifier] = STATE(2480),
    [sym__indentable_expression] = STATE(13361),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6229),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17408),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9962),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5279),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8585),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(789),
    [sym_block_comment] = STATE(789),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2713),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_try] = ACTIONS(2019),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2021),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2025),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [790] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(13990),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(790),
    [sym_block_comment] = STATE(790),
    [sym__alpha_identifier] = ACTIONS(2734),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2737),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(2740),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2740),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(2743),
    [anon_sym_infix] = ACTIONS(2740),
    [anon_sym_open] = ACTIONS(2740),
    [anon_sym_transparent] = ACTIONS(2740),
    [anon_sym_LPAREN] = ACTIONS(2746),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(2749),
    [sym_operator_identifier] = ACTIONS(2752),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(2755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [791] = {
    [sym_type_parameters] = STATE(19319),
    [sym_inline_modifier] = STATE(2481),
    [sym_block] = STATE(6011),
    [sym_expression] = STATE(12232),
    [sym__simple_expression] = STATE(5251),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17418),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4750),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6718),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(791),
    [sym_block_comment] = STATE(791),
    [sym__alpha_identifier] = ACTIONS(2758),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(2764),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(1865),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2764),
    [anon_sym_implicit] = ACTIONS(1867),
    [anon_sym_inline] = ACTIONS(2767),
    [anon_sym_infix] = ACTIONS(2764),
    [anon_sym_open] = ACTIONS(2764),
    [anon_sym_transparent] = ACTIONS(2764),
    [anon_sym_LPAREN] = ACTIONS(2770),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(2773),
    [sym_operator_identifier] = ACTIONS(2776),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1871),
    [anon_sym_throw] = ACTIONS(1873),
    [anon_sym_do] = ACTIONS(2779),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [792] = {
    [sym_type_parameters] = STATE(19319),
    [sym_inline_modifier] = STATE(2481),
    [sym__indentable_expression] = STATE(12245),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5251),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17418),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4750),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6718),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(792),
    [sym_block_comment] = STATE(792),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_try] = ACTIONS(1865),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1867),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1869),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1871),
    [anon_sym_throw] = ACTIONS(1873),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [793] = {
    [sym_type_parameters] = STATE(19319),
    [sym_inline_modifier] = STATE(2481),
    [sym__indentable_expression] = STATE(12262),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5251),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17418),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4750),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6718),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(793),
    [sym_block_comment] = STATE(793),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_try] = ACTIONS(1865),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1867),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1869),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1871),
    [anon_sym_throw] = ACTIONS(1873),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [794] = {
    [sym_type_parameters] = STATE(19319),
    [sym_inline_modifier] = STATE(2481),
    [sym__indentable_expression] = STATE(12270),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5251),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17418),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4750),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6718),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(794),
    [sym_block_comment] = STATE(794),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_try] = ACTIONS(1865),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1867),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1869),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1871),
    [anon_sym_throw] = ACTIONS(1873),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [795] = {
    [sym_type_parameters] = STATE(19319),
    [sym_inline_modifier] = STATE(2481),
    [sym__indentable_expression] = STATE(12428),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5251),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17418),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4750),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6718),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(795),
    [sym_block_comment] = STATE(795),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_try] = ACTIONS(1865),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1867),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1869),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1871),
    [anon_sym_throw] = ACTIONS(1873),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [796] = {
    [sym_type_parameters] = STATE(19319),
    [sym_inline_modifier] = STATE(2481),
    [sym__indentable_expression] = STATE(12174),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5251),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17418),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4750),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6718),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(796),
    [sym_block_comment] = STATE(796),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_try] = ACTIONS(1865),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1867),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1869),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1871),
    [anon_sym_throw] = ACTIONS(1873),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [797] = {
    [sym_type_parameters] = STATE(19319),
    [sym_inline_modifier] = STATE(2481),
    [sym__indentable_expression] = STATE(12342),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5251),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17418),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4750),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6718),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(797),
    [sym_block_comment] = STATE(797),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_try] = ACTIONS(1865),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1867),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1869),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1871),
    [anon_sym_throw] = ACTIONS(1873),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [798] = {
    [sym_type_parameters] = STATE(19319),
    [sym_inline_modifier] = STATE(2481),
    [sym__indentable_expression] = STATE(12345),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5251),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17418),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4750),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6718),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(798),
    [sym_block_comment] = STATE(798),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_try] = ACTIONS(1865),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1867),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1869),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1871),
    [anon_sym_throw] = ACTIONS(1873),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [799] = {
    [sym_type_parameters] = STATE(19319),
    [sym_inline_modifier] = STATE(2481),
    [sym__indentable_expression] = STATE(12369),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5251),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17418),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4750),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6718),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(799),
    [sym_block_comment] = STATE(799),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_try] = ACTIONS(1865),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1867),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1869),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1871),
    [anon_sym_throw] = ACTIONS(1873),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [800] = {
    [sym_type_parameters] = STATE(19319),
    [sym_inline_modifier] = STATE(2481),
    [sym__indentable_expression] = STATE(12370),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5251),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17418),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4750),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6718),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(800),
    [sym_block_comment] = STATE(800),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_try] = ACTIONS(1865),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1867),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1869),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1871),
    [anon_sym_throw] = ACTIONS(1873),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [801] = {
    [sym_type_parameters] = STATE(19319),
    [sym_inline_modifier] = STATE(2481),
    [sym__indentable_expression] = STATE(12374),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5251),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17418),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4750),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6718),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(801),
    [sym_block_comment] = STATE(801),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_try] = ACTIONS(1865),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1867),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1869),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1871),
    [anon_sym_throw] = ACTIONS(1873),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [802] = {
    [sym_type_parameters] = STATE(19319),
    [sym_inline_modifier] = STATE(2481),
    [sym__indentable_expression] = STATE(12377),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5251),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17418),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4750),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6718),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(802),
    [sym_block_comment] = STATE(802),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_try] = ACTIONS(1865),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1867),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1869),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1871),
    [anon_sym_throw] = ACTIONS(1873),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [803] = {
    [sym_type_parameters] = STATE(19319),
    [sym_inline_modifier] = STATE(2481),
    [sym__indentable_expression] = STATE(12413),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5251),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17418),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4750),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6718),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(803),
    [sym_block_comment] = STATE(803),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_try] = ACTIONS(1865),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1867),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1869),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1871),
    [anon_sym_throw] = ACTIONS(1873),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [804] = {
    [sym_type_parameters] = STATE(19221),
    [sym_inline_modifier] = STATE(2466),
    [sym__indentable_expression] = STATE(12938),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17385),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9917),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4878),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7216),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(804),
    [sym_block_comment] = STATE(804),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2343),
    [anon_sym_while] = ACTIONS(2277),
    [anon_sym_for] = ACTIONS(2279),
    [anon_sym_try] = ACTIONS(2281),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(2283),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(2285),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [805] = {
    [sym_type_parameters] = STATE(19326),
    [sym_inline_modifier] = STATE(2482),
    [sym_block] = STATE(7275),
    [sym_expression] = STATE(13272),
    [sym__simple_expression] = STATE(6191),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17429),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10076),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5253),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8347),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(805),
    [sym_block_comment] = STATE(805),
    [sym__alpha_identifier] = ACTIONS(2782),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(2788),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2263),
    [anon_sym_for] = ACTIONS(2265),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2267),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2788),
    [anon_sym_implicit] = ACTIONS(2269),
    [anon_sym_inline] = ACTIONS(2791),
    [anon_sym_infix] = ACTIONS(2788),
    [anon_sym_open] = ACTIONS(2788),
    [anon_sym_transparent] = ACTIONS(2788),
    [anon_sym_LPAREN] = ACTIONS(2794),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(2797),
    [sym_operator_identifier] = ACTIONS(2800),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2273),
    [anon_sym_throw] = ACTIONS(2275),
    [anon_sym_do] = ACTIONS(2803),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [806] = {
    [sym_type_parameters] = STATE(19326),
    [sym_inline_modifier] = STATE(2482),
    [sym__indentable_expression] = STATE(13161),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6191),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17429),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10076),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5253),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8347),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(806),
    [sym_block_comment] = STATE(806),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2263),
    [anon_sym_for] = ACTIONS(2265),
    [anon_sym_try] = ACTIONS(2267),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2269),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2271),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2273),
    [anon_sym_throw] = ACTIONS(2275),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [807] = {
    [sym_type_parameters] = STATE(19326),
    [sym_inline_modifier] = STATE(2482),
    [sym__indentable_expression] = STATE(13181),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6191),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17429),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10076),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5253),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8347),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(807),
    [sym_block_comment] = STATE(807),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2263),
    [anon_sym_for] = ACTIONS(2265),
    [anon_sym_try] = ACTIONS(2267),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2269),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2271),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2273),
    [anon_sym_throw] = ACTIONS(2275),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [808] = {
    [sym_type_parameters] = STATE(19326),
    [sym_inline_modifier] = STATE(2482),
    [sym__indentable_expression] = STATE(13184),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6191),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17429),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10076),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5253),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8347),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(808),
    [sym_block_comment] = STATE(808),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2263),
    [anon_sym_for] = ACTIONS(2265),
    [anon_sym_try] = ACTIONS(2267),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2269),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2271),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2273),
    [anon_sym_throw] = ACTIONS(2275),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [809] = {
    [sym_type_parameters] = STATE(19326),
    [sym_inline_modifier] = STATE(2482),
    [sym__indentable_expression] = STATE(13187),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6191),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17429),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10076),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5253),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8347),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(809),
    [sym_block_comment] = STATE(809),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2263),
    [anon_sym_for] = ACTIONS(2265),
    [anon_sym_try] = ACTIONS(2267),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2269),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2271),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2273),
    [anon_sym_throw] = ACTIONS(2275),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [810] = {
    [sym_type_parameters] = STATE(19326),
    [sym_inline_modifier] = STATE(2482),
    [sym__indentable_expression] = STATE(13191),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6191),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17429),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10076),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5253),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8347),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(810),
    [sym_block_comment] = STATE(810),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2263),
    [anon_sym_for] = ACTIONS(2265),
    [anon_sym_try] = ACTIONS(2267),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2269),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2271),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2273),
    [anon_sym_throw] = ACTIONS(2275),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [811] = {
    [sym_type_parameters] = STATE(19326),
    [sym_inline_modifier] = STATE(2482),
    [sym__indentable_expression] = STATE(13217),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6191),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17429),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10076),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5253),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8347),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(811),
    [sym_block_comment] = STATE(811),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2263),
    [anon_sym_for] = ACTIONS(2265),
    [anon_sym_try] = ACTIONS(2267),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2269),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2271),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2273),
    [anon_sym_throw] = ACTIONS(2275),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [812] = {
    [sym_type_parameters] = STATE(19326),
    [sym_inline_modifier] = STATE(2482),
    [sym__indentable_expression] = STATE(13223),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6191),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17429),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10076),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5253),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8347),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(812),
    [sym_block_comment] = STATE(812),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2263),
    [anon_sym_for] = ACTIONS(2265),
    [anon_sym_try] = ACTIONS(2267),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2269),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2271),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2273),
    [anon_sym_throw] = ACTIONS(2275),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [813] = {
    [sym_type_parameters] = STATE(19326),
    [sym_inline_modifier] = STATE(2482),
    [sym__indentable_expression] = STATE(13231),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6191),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17429),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10076),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5253),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8347),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(813),
    [sym_block_comment] = STATE(813),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2263),
    [anon_sym_for] = ACTIONS(2265),
    [anon_sym_try] = ACTIONS(2267),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2269),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2271),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2273),
    [anon_sym_throw] = ACTIONS(2275),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [814] = {
    [sym_type_parameters] = STATE(19326),
    [sym_inline_modifier] = STATE(2482),
    [sym__indentable_expression] = STATE(13234),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6191),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17429),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10076),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5253),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8347),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(814),
    [sym_block_comment] = STATE(814),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2263),
    [anon_sym_for] = ACTIONS(2265),
    [anon_sym_try] = ACTIONS(2267),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2269),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2271),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2273),
    [anon_sym_throw] = ACTIONS(2275),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [815] = {
    [sym_type_parameters] = STATE(19326),
    [sym_inline_modifier] = STATE(2482),
    [sym__indentable_expression] = STATE(13238),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6191),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17429),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10076),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5253),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8347),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(815),
    [sym_block_comment] = STATE(815),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2263),
    [anon_sym_for] = ACTIONS(2265),
    [anon_sym_try] = ACTIONS(2267),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2269),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2271),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2273),
    [anon_sym_throw] = ACTIONS(2275),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [816] = {
    [sym_type_parameters] = STATE(19326),
    [sym_inline_modifier] = STATE(2482),
    [sym__indentable_expression] = STATE(13240),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6191),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17429),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10076),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5253),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8347),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(816),
    [sym_block_comment] = STATE(816),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2263),
    [anon_sym_for] = ACTIONS(2265),
    [anon_sym_try] = ACTIONS(2267),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2269),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2271),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2273),
    [anon_sym_throw] = ACTIONS(2275),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [817] = {
    [sym_type_parameters] = STATE(19326),
    [sym_inline_modifier] = STATE(2482),
    [sym__indentable_expression] = STATE(13241),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6191),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17429),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10076),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5253),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8347),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(817),
    [sym_block_comment] = STATE(817),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2263),
    [anon_sym_for] = ACTIONS(2265),
    [anon_sym_try] = ACTIONS(2267),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2269),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2271),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2273),
    [anon_sym_throw] = ACTIONS(2275),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [818] = {
    [sym_type_parameters] = STATE(19333),
    [sym_inline_modifier] = STATE(2483),
    [sym_block] = STATE(8086),
    [sym_expression] = STATE(13825),
    [sym__simple_expression] = STATE(7254),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17445),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10814),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6232),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9529),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(818),
    [sym_block_comment] = STATE(818),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(1437),
    [anon_sym_for] = ACTIONS(2565),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2569),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2571),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2573),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [819] = {
    [sym_type_parameters] = STATE(19333),
    [sym_inline_modifier] = STATE(2483),
    [sym_block] = STATE(8086),
    [sym_expression] = STATE(13847),
    [sym__simple_expression] = STATE(7254),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17445),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10814),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6232),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9529),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(819),
    [sym_block_comment] = STATE(819),
    [sym__alpha_identifier] = ACTIONS(2806),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2809),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(2812),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(2563),
    [anon_sym_for] = ACTIONS(2565),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2812),
    [anon_sym_implicit] = ACTIONS(2569),
    [anon_sym_inline] = ACTIONS(2815),
    [anon_sym_infix] = ACTIONS(2812),
    [anon_sym_open] = ACTIONS(2812),
    [anon_sym_transparent] = ACTIONS(2812),
    [anon_sym_LPAREN] = ACTIONS(2818),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(2821),
    [sym_operator_identifier] = ACTIONS(2824),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2573),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(2827),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [820] = {
    [sym_type_parameters] = STATE(19333),
    [sym_inline_modifier] = STATE(2483),
    [sym__indentable_expression] = STATE(14292),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7254),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17445),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10814),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6232),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9529),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(820),
    [sym_block_comment] = STATE(820),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(2563),
    [anon_sym_for] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2569),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2571),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2573),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [821] = {
    [sym_type_parameters] = STATE(19333),
    [sym_inline_modifier] = STATE(2483),
    [sym__indentable_expression] = STATE(14369),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7254),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17445),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10814),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6232),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9529),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(821),
    [sym_block_comment] = STATE(821),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(2563),
    [anon_sym_for] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2569),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2571),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2573),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [822] = {
    [sym_type_parameters] = STATE(19333),
    [sym_inline_modifier] = STATE(2483),
    [sym__indentable_expression] = STATE(14373),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7254),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17445),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10814),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6232),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9529),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(822),
    [sym_block_comment] = STATE(822),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(2563),
    [anon_sym_for] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2569),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2571),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2573),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [823] = {
    [sym_type_parameters] = STATE(19333),
    [sym_inline_modifier] = STATE(2483),
    [sym__indentable_expression] = STATE(14374),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7254),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17445),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10814),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6232),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9529),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(823),
    [sym_block_comment] = STATE(823),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(2563),
    [anon_sym_for] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2569),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2571),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2573),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [824] = {
    [sym_type_parameters] = STATE(19333),
    [sym_inline_modifier] = STATE(2483),
    [sym__indentable_expression] = STATE(14066),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7254),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17445),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10814),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6232),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9529),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(824),
    [sym_block_comment] = STATE(824),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(2563),
    [anon_sym_for] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2569),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2571),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2573),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [825] = {
    [sym_type_parameters] = STATE(19333),
    [sym_inline_modifier] = STATE(2483),
    [sym__indentable_expression] = STATE(14092),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7254),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17445),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10814),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6232),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9529),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(825),
    [sym_block_comment] = STATE(825),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(2563),
    [anon_sym_for] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2569),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2571),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2573),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [826] = {
    [sym_type_parameters] = STATE(19333),
    [sym_inline_modifier] = STATE(2483),
    [sym__indentable_expression] = STATE(14096),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7254),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17445),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10814),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6232),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9529),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(826),
    [sym_block_comment] = STATE(826),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(2563),
    [anon_sym_for] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2569),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2571),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2573),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [827] = {
    [sym_type_parameters] = STATE(19333),
    [sym_inline_modifier] = STATE(2483),
    [sym__indentable_expression] = STATE(14107),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7254),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17445),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10814),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6232),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9529),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(827),
    [sym_block_comment] = STATE(827),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(2563),
    [anon_sym_for] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2569),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2571),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2573),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [828] = {
    [sym_type_parameters] = STATE(19333),
    [sym_inline_modifier] = STATE(2483),
    [sym__indentable_expression] = STATE(14108),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7254),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17445),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10814),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6232),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9529),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(828),
    [sym_block_comment] = STATE(828),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(2563),
    [anon_sym_for] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2569),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2571),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2573),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [829] = {
    [sym_type_parameters] = STATE(19333),
    [sym_inline_modifier] = STATE(2483),
    [sym__indentable_expression] = STATE(14111),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7254),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17445),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10814),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6232),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9529),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(829),
    [sym_block_comment] = STATE(829),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(2563),
    [anon_sym_for] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2569),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2571),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2573),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [830] = {
    [sym_type_parameters] = STATE(19333),
    [sym_inline_modifier] = STATE(2483),
    [sym__indentable_expression] = STATE(14112),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7254),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17445),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10814),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6232),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9529),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(830),
    [sym_block_comment] = STATE(830),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(2563),
    [anon_sym_for] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2569),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2571),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2573),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [831] = {
    [sym_type_parameters] = STATE(19333),
    [sym_inline_modifier] = STATE(2483),
    [sym__indentable_expression] = STATE(14118),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7254),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17445),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10814),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6232),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9529),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(831),
    [sym_block_comment] = STATE(831),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(2563),
    [anon_sym_for] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2569),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2571),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2573),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [832] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym__indentable_expression] = STATE(13955),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(832),
    [sym_block_comment] = STATE(832),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [833] = {
    [sym_type_parameters] = STATE(19340),
    [sym_inline_modifier] = STATE(2484),
    [sym_block] = STATE(9077),
    [sym_expression] = STATE(14190),
    [sym__simple_expression] = STATE(6257),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17461),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10092),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5331),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(7952),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(833),
    [sym_block_comment] = STATE(833),
    [sym__alpha_identifier] = ACTIONS(2830),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2833),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(2836),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1567),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2836),
    [anon_sym_implicit] = ACTIONS(1571),
    [anon_sym_inline] = ACTIONS(2839),
    [anon_sym_infix] = ACTIONS(2836),
    [anon_sym_open] = ACTIONS(2836),
    [anon_sym_transparent] = ACTIONS(2836),
    [anon_sym_LPAREN] = ACTIONS(2842),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(2845),
    [sym_operator_identifier] = ACTIONS(2848),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_do] = ACTIONS(2851),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [834] = {
    [sym_type_parameters] = STATE(19340),
    [sym_inline_modifier] = STATE(2484),
    [sym__indentable_expression] = STATE(14617),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6257),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17461),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10092),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5331),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(7952),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(834),
    [sym_block_comment] = STATE(834),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(1571),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(1575),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [835] = {
    [sym_type_parameters] = STATE(19340),
    [sym_inline_modifier] = STATE(2484),
    [sym__indentable_expression] = STATE(14626),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6257),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17461),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10092),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5331),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(7952),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(835),
    [sym_block_comment] = STATE(835),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(1571),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(1575),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [836] = {
    [sym_type_parameters] = STATE(19340),
    [sym_inline_modifier] = STATE(2484),
    [sym__indentable_expression] = STATE(14627),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6257),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17461),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10092),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5331),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(7952),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(836),
    [sym_block_comment] = STATE(836),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(1571),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(1575),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [837] = {
    [sym_type_parameters] = STATE(19340),
    [sym_inline_modifier] = STATE(2484),
    [sym__indentable_expression] = STATE(14628),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6257),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17461),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10092),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5331),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(7952),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(837),
    [sym_block_comment] = STATE(837),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(1571),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(1575),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [838] = {
    [sym_type_parameters] = STATE(19340),
    [sym_inline_modifier] = STATE(2484),
    [sym__indentable_expression] = STATE(14631),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6257),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17461),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10092),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5331),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(7952),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(838),
    [sym_block_comment] = STATE(838),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(1571),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(1575),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [839] = {
    [sym_type_parameters] = STATE(19340),
    [sym_inline_modifier] = STATE(2484),
    [sym__indentable_expression] = STATE(14649),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6257),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17461),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10092),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5331),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(7952),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(839),
    [sym_block_comment] = STATE(839),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(1571),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(1575),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [840] = {
    [sym_type_parameters] = STATE(19340),
    [sym_inline_modifier] = STATE(2484),
    [sym__indentable_expression] = STATE(14651),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6257),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17461),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10092),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5331),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(7952),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(840),
    [sym_block_comment] = STATE(840),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(1571),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(1575),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [841] = {
    [sym_type_parameters] = STATE(19340),
    [sym_inline_modifier] = STATE(2484),
    [sym__indentable_expression] = STATE(14662),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6257),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17461),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10092),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5331),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(7952),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(841),
    [sym_block_comment] = STATE(841),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(1571),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(1575),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [842] = {
    [sym_type_parameters] = STATE(19340),
    [sym_inline_modifier] = STATE(2484),
    [sym__indentable_expression] = STATE(14663),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6257),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17461),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10092),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5331),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(7952),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(842),
    [sym_block_comment] = STATE(842),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(1571),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(1575),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [843] = {
    [sym_type_parameters] = STATE(19340),
    [sym_inline_modifier] = STATE(2484),
    [sym__indentable_expression] = STATE(14664),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6257),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17461),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10092),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5331),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(7952),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(843),
    [sym_block_comment] = STATE(843),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(1571),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(1575),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [844] = {
    [sym_type_parameters] = STATE(19340),
    [sym_inline_modifier] = STATE(2484),
    [sym__indentable_expression] = STATE(14665),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6257),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17461),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10092),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5331),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(7952),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(844),
    [sym_block_comment] = STATE(844),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(1571),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(1575),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [845] = {
    [sym_type_parameters] = STATE(19340),
    [sym_inline_modifier] = STATE(2484),
    [sym__indentable_expression] = STATE(14670),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6257),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17461),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10092),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5331),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(7952),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(845),
    [sym_block_comment] = STATE(845),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(1571),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(1575),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [846] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym__indentable_expression] = STATE(15467),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(846),
    [sym_block_comment] = STATE(846),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [847] = {
    [sym_type_parameters] = STATE(19347),
    [sym_inline_modifier] = STATE(2485),
    [sym_block] = STATE(8225),
    [sym_expression] = STATE(13816),
    [sym__simple_expression] = STATE(5581),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17473),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4880),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7226),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(847),
    [sym_block_comment] = STATE(847),
    [sym__alpha_identifier] = ACTIONS(2854),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2857),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(2860),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1551),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2860),
    [anon_sym_implicit] = ACTIONS(1555),
    [anon_sym_inline] = ACTIONS(2863),
    [anon_sym_infix] = ACTIONS(2860),
    [anon_sym_open] = ACTIONS(2860),
    [anon_sym_transparent] = ACTIONS(2860),
    [anon_sym_LPAREN] = ACTIONS(2866),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(2869),
    [sym_operator_identifier] = ACTIONS(2872),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1559),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(2875),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [848] = {
    [sym_type_parameters] = STATE(19347),
    [sym_inline_modifier] = STATE(2485),
    [sym__indentable_expression] = STATE(14262),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5581),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17473),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4880),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7226),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(848),
    [sym_block_comment] = STATE(848),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1551),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1555),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1557),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1559),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [849] = {
    [sym_type_parameters] = STATE(19347),
    [sym_inline_modifier] = STATE(2485),
    [sym__indentable_expression] = STATE(14125),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5581),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17473),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4880),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7226),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(849),
    [sym_block_comment] = STATE(849),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1551),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1555),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1557),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1559),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [850] = {
    [sym_type_parameters] = STATE(19347),
    [sym_inline_modifier] = STATE(2485),
    [sym__indentable_expression] = STATE(14135),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5581),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17473),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4880),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7226),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(850),
    [sym_block_comment] = STATE(850),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1551),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1555),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1557),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1559),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [851] = {
    [sym_type_parameters] = STATE(19347),
    [sym_inline_modifier] = STATE(2485),
    [sym__indentable_expression] = STATE(14136),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5581),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17473),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4880),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7226),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(851),
    [sym_block_comment] = STATE(851),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1551),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1555),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1557),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1559),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [852] = {
    [sym_type_parameters] = STATE(19347),
    [sym_inline_modifier] = STATE(2485),
    [sym__indentable_expression] = STATE(14146),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5581),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17473),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4880),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7226),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(852),
    [sym_block_comment] = STATE(852),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1551),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1555),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1557),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1559),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [853] = {
    [sym_type_parameters] = STATE(19347),
    [sym_inline_modifier] = STATE(2485),
    [sym__indentable_expression] = STATE(14187),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5581),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17473),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4880),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7226),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(853),
    [sym_block_comment] = STATE(853),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1551),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1555),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1557),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1559),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [854] = {
    [sym_type_parameters] = STATE(19347),
    [sym_inline_modifier] = STATE(2485),
    [sym__indentable_expression] = STATE(14195),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5581),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17473),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4880),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7226),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(854),
    [sym_block_comment] = STATE(854),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1551),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1555),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1557),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1559),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [855] = {
    [sym_type_parameters] = STATE(19347),
    [sym_inline_modifier] = STATE(2485),
    [sym__indentable_expression] = STATE(14233),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5581),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17473),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4880),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7226),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(855),
    [sym_block_comment] = STATE(855),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1551),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1555),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1557),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1559),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [856] = {
    [sym_type_parameters] = STATE(19347),
    [sym_inline_modifier] = STATE(2485),
    [sym__indentable_expression] = STATE(14234),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5581),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17473),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4880),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7226),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(856),
    [sym_block_comment] = STATE(856),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1551),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1555),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1557),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1559),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [857] = {
    [sym_type_parameters] = STATE(19347),
    [sym_inline_modifier] = STATE(2485),
    [sym__indentable_expression] = STATE(14239),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5581),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17473),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4880),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7226),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(857),
    [sym_block_comment] = STATE(857),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1551),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1555),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1557),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1559),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [858] = {
    [sym_type_parameters] = STATE(19347),
    [sym_inline_modifier] = STATE(2485),
    [sym__indentable_expression] = STATE(14241),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5581),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17473),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4880),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7226),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(858),
    [sym_block_comment] = STATE(858),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1551),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1555),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1557),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1559),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [859] = {
    [sym_type_parameters] = STATE(19347),
    [sym_inline_modifier] = STATE(2485),
    [sym__indentable_expression] = STATE(14259),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5581),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17473),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4880),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7226),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(859),
    [sym_block_comment] = STATE(859),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1551),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1555),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1557),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1559),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [860] = {
    [sym_type_parameters] = STATE(19354),
    [sym_inline_modifier] = STATE(2486),
    [sym_block] = STATE(9867),
    [sym_expression] = STATE(14416),
    [sym__simple_expression] = STATE(6723),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17488),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5587),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(8751),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(860),
    [sym_block_comment] = STATE(860),
    [sym__alpha_identifier] = ACTIONS(2878),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2881),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(2884),
    [anon_sym_if] = ACTIONS(2321),
    [anon_sym_while] = ACTIONS(2323),
    [anon_sym_for] = ACTIONS(2325),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2327),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2884),
    [anon_sym_implicit] = ACTIONS(2329),
    [anon_sym_inline] = ACTIONS(2887),
    [anon_sym_infix] = ACTIONS(2884),
    [anon_sym_open] = ACTIONS(2884),
    [anon_sym_transparent] = ACTIONS(2884),
    [anon_sym_LPAREN] = ACTIONS(2890),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(2893),
    [sym_operator_identifier] = ACTIONS(2896),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_throw] = ACTIONS(2335),
    [anon_sym_do] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [861] = {
    [sym_type_parameters] = STATE(19354),
    [sym_inline_modifier] = STATE(2486),
    [sym__indentable_expression] = STATE(14818),
    [sym_block] = STATE(9867),
    [sym_indented_block] = STATE(14860),
    [sym_indented_cases] = STATE(14860),
    [sym_expression] = STATE(14402),
    [sym__simple_expression] = STATE(6723),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17488),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5587),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(8751),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(861),
    [sym_block_comment] = STATE(861),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(2321),
    [anon_sym_while] = ACTIONS(2323),
    [anon_sym_for] = ACTIONS(2325),
    [anon_sym_try] = ACTIONS(2327),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(2329),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(2331),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_throw] = ACTIONS(2335),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2185),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [862] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym__indentable_expression] = STATE(15303),
    [sym_block] = STATE(10944),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(15239),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(862),
    [sym_block_comment] = STATE(862),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [863] = {
    [sym_type_parameters] = STATE(19354),
    [sym_inline_modifier] = STATE(2486),
    [sym__indentable_expression] = STATE(14885),
    [sym_block] = STATE(9867),
    [sym_indented_block] = STATE(14860),
    [sym_indented_cases] = STATE(14860),
    [sym_expression] = STATE(14402),
    [sym__simple_expression] = STATE(6723),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17488),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5587),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(8751),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(863),
    [sym_block_comment] = STATE(863),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(2321),
    [anon_sym_while] = ACTIONS(2323),
    [anon_sym_for] = ACTIONS(2325),
    [anon_sym_try] = ACTIONS(2327),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(2329),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(2331),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_throw] = ACTIONS(2335),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2185),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [864] = {
    [sym_type_parameters] = STATE(19354),
    [sym_inline_modifier] = STATE(2486),
    [sym__indentable_expression] = STATE(14886),
    [sym_block] = STATE(9867),
    [sym_indented_block] = STATE(14860),
    [sym_indented_cases] = STATE(14860),
    [sym_expression] = STATE(14402),
    [sym__simple_expression] = STATE(6723),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17488),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5587),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(8751),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(864),
    [sym_block_comment] = STATE(864),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(2321),
    [anon_sym_while] = ACTIONS(2323),
    [anon_sym_for] = ACTIONS(2325),
    [anon_sym_try] = ACTIONS(2327),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(2329),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(2331),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_throw] = ACTIONS(2335),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2185),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [865] = {
    [sym_type_parameters] = STATE(19354),
    [sym_inline_modifier] = STATE(2486),
    [sym__indentable_expression] = STATE(14892),
    [sym_block] = STATE(9867),
    [sym_indented_block] = STATE(14860),
    [sym_indented_cases] = STATE(14860),
    [sym_expression] = STATE(14402),
    [sym__simple_expression] = STATE(6723),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17488),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5587),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(8751),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(865),
    [sym_block_comment] = STATE(865),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(2321),
    [anon_sym_while] = ACTIONS(2323),
    [anon_sym_for] = ACTIONS(2325),
    [anon_sym_try] = ACTIONS(2327),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(2329),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(2331),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_throw] = ACTIONS(2335),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2185),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [866] = {
    [sym_type_parameters] = STATE(19354),
    [sym_inline_modifier] = STATE(2486),
    [sym__indentable_expression] = STATE(14908),
    [sym_block] = STATE(9867),
    [sym_indented_block] = STATE(14860),
    [sym_indented_cases] = STATE(14860),
    [sym_expression] = STATE(14402),
    [sym__simple_expression] = STATE(6723),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17488),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5587),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(8751),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(866),
    [sym_block_comment] = STATE(866),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(2321),
    [anon_sym_while] = ACTIONS(2323),
    [anon_sym_for] = ACTIONS(2325),
    [anon_sym_try] = ACTIONS(2327),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(2329),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(2331),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_throw] = ACTIONS(2335),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2185),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [867] = {
    [sym_type_parameters] = STATE(19354),
    [sym_inline_modifier] = STATE(2486),
    [sym__indentable_expression] = STATE(14723),
    [sym_block] = STATE(9867),
    [sym_indented_block] = STATE(14860),
    [sym_indented_cases] = STATE(14860),
    [sym_expression] = STATE(14402),
    [sym__simple_expression] = STATE(6723),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17488),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5587),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(8751),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(867),
    [sym_block_comment] = STATE(867),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(2321),
    [anon_sym_while] = ACTIONS(2323),
    [anon_sym_for] = ACTIONS(2325),
    [anon_sym_try] = ACTIONS(2327),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(2329),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(2331),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_throw] = ACTIONS(2335),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2185),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [868] = {
    [sym_type_parameters] = STATE(19354),
    [sym_inline_modifier] = STATE(2486),
    [sym__indentable_expression] = STATE(14728),
    [sym_block] = STATE(9867),
    [sym_indented_block] = STATE(14860),
    [sym_indented_cases] = STATE(14860),
    [sym_expression] = STATE(14402),
    [sym__simple_expression] = STATE(6723),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17488),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5587),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(8751),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(868),
    [sym_block_comment] = STATE(868),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(2321),
    [anon_sym_while] = ACTIONS(2323),
    [anon_sym_for] = ACTIONS(2325),
    [anon_sym_try] = ACTIONS(2327),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(2329),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(2331),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_throw] = ACTIONS(2335),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2185),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [869] = {
    [sym_type_parameters] = STATE(19354),
    [sym_inline_modifier] = STATE(2486),
    [sym__indentable_expression] = STATE(14734),
    [sym_block] = STATE(9867),
    [sym_indented_block] = STATE(14860),
    [sym_indented_cases] = STATE(14860),
    [sym_expression] = STATE(14402),
    [sym__simple_expression] = STATE(6723),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17488),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5587),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(8751),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(869),
    [sym_block_comment] = STATE(869),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(2321),
    [anon_sym_while] = ACTIONS(2323),
    [anon_sym_for] = ACTIONS(2325),
    [anon_sym_try] = ACTIONS(2327),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(2329),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(2331),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_throw] = ACTIONS(2335),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2185),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [870] = {
    [sym_type_parameters] = STATE(19354),
    [sym_inline_modifier] = STATE(2486),
    [sym__indentable_expression] = STATE(14735),
    [sym_block] = STATE(9867),
    [sym_indented_block] = STATE(14860),
    [sym_indented_cases] = STATE(14860),
    [sym_expression] = STATE(14402),
    [sym__simple_expression] = STATE(6723),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17488),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5587),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(8751),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(870),
    [sym_block_comment] = STATE(870),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(2321),
    [anon_sym_while] = ACTIONS(2323),
    [anon_sym_for] = ACTIONS(2325),
    [anon_sym_try] = ACTIONS(2327),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(2329),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(2331),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_throw] = ACTIONS(2335),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2185),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [871] = {
    [sym_type_parameters] = STATE(19354),
    [sym_inline_modifier] = STATE(2486),
    [sym__indentable_expression] = STATE(14736),
    [sym_block] = STATE(9867),
    [sym_indented_block] = STATE(14860),
    [sym_indented_cases] = STATE(14860),
    [sym_expression] = STATE(14402),
    [sym__simple_expression] = STATE(6723),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17488),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5587),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(8751),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(871),
    [sym_block_comment] = STATE(871),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(2321),
    [anon_sym_while] = ACTIONS(2323),
    [anon_sym_for] = ACTIONS(2325),
    [anon_sym_try] = ACTIONS(2327),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(2329),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(2331),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_throw] = ACTIONS(2335),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2185),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [872] = {
    [sym_type_parameters] = STATE(19354),
    [sym_inline_modifier] = STATE(2486),
    [sym__indentable_expression] = STATE(14738),
    [sym_block] = STATE(9867),
    [sym_indented_block] = STATE(14860),
    [sym_indented_cases] = STATE(14860),
    [sym_expression] = STATE(14402),
    [sym__simple_expression] = STATE(6723),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17488),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5587),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(8751),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(872),
    [sym_block_comment] = STATE(872),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(2321),
    [anon_sym_while] = ACTIONS(2323),
    [anon_sym_for] = ACTIONS(2325),
    [anon_sym_try] = ACTIONS(2327),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(2329),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(2331),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_throw] = ACTIONS(2335),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2185),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [873] = {
    [sym_type_parameters] = STATE(19354),
    [sym_inline_modifier] = STATE(2486),
    [sym__indentable_expression] = STATE(14749),
    [sym_block] = STATE(9867),
    [sym_indented_block] = STATE(14860),
    [sym_indented_cases] = STATE(14860),
    [sym_expression] = STATE(14402),
    [sym__simple_expression] = STATE(6723),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17488),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5587),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(8751),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(873),
    [sym_block_comment] = STATE(873),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(2321),
    [anon_sym_while] = ACTIONS(2323),
    [anon_sym_for] = ACTIONS(2325),
    [anon_sym_try] = ACTIONS(2327),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(2329),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(2331),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_throw] = ACTIONS(2335),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2185),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [874] = {
    [sym_type_parameters] = STATE(19059),
    [sym_inline_modifier] = STATE(2435),
    [sym__indentable_expression] = STATE(15168),
    [sym_block] = STATE(10530),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(15036),
    [sym__simple_expression] = STATE(7452),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17472),
    [sym_case_block] = STATE(10530),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(10530),
    [sym_call_expression] = STATE(10530),
    [sym_field_expression] = STATE(10530),
    [sym_instance_expression] = STATE(10530),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(11241),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(19533),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(11075),
    [sym_tuple_expression] = STATE(10530),
    [sym_parenthesized_expression] = STATE(10530),
    [sym_splice_expression] = STATE(10530),
    [sym_quote_expression] = STATE(10530),
    [sym_identifier] = STATE(6021),
    [sym__soft_identifier] = STATE(4921),
    [sym_wildcard] = STATE(9558),
    [sym__non_null_literal] = STATE(10530),
    [sym_boolean_literal] = STATE(10615),
    [sym_interpolated_string_expression] = STATE(10530),
    [sym_string] = STATE(10615),
    [sym_unit] = STATE(10530),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(874),
    [sym_block_comment] = STATE(874),
    [sym__alpha_identifier] = ACTIONS(2399),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym__] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_end] = ACTIONS(2409),
    [anon_sym_if] = ACTIONS(2583),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_opaque] = ACTIONS(2409),
    [anon_sym_implicit] = ACTIONS(2591),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym_infix] = ACTIONS(2409),
    [anon_sym_open] = ACTIONS(2409),
    [anon_sym_transparent] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_macro] = ACTIONS(2593),
    [anon_sym_BANG] = ACTIONS(2407),
    [anon_sym_TILDE] = ACTIONS(2407),
    [anon_sym_DOLLAR] = ACTIONS(2417),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [sym__backquoted_id] = ACTIONS(2421),
    [sym_operator_identifier] = ACTIONS(2595),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_floating_point_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2429),
    [anon_sym_false] = ACTIONS(2429),
    [sym_character_literal] = ACTIONS(2427),
    [sym_null_literal] = ACTIONS(2431),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_throw] = ACTIONS(2599),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(2433),
    [sym__simple_string] = ACTIONS(2433),
  },
  [875] = {
    [sym_type_parameters] = STATE(19361),
    [sym_inline_modifier] = STATE(2487),
    [sym_block] = STATE(6011),
    [sym_expression] = STATE(12232),
    [sym__simple_expression] = STATE(5280),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17505),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8857),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4759),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6823),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(875),
    [sym_block_comment] = STATE(875),
    [sym__alpha_identifier] = ACTIONS(2758),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(2764),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_while] = ACTIONS(1439),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(1443),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2764),
    [anon_sym_implicit] = ACTIONS(1445),
    [anon_sym_inline] = ACTIONS(2767),
    [anon_sym_infix] = ACTIONS(2764),
    [anon_sym_open] = ACTIONS(2764),
    [anon_sym_transparent] = ACTIONS(2764),
    [anon_sym_LPAREN] = ACTIONS(2770),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(2773),
    [sym_operator_identifier] = ACTIONS(2902),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1451),
    [anon_sym_throw] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(2779),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [876] = {
    [sym_type_parameters] = STATE(19361),
    [sym_inline_modifier] = STATE(2487),
    [sym__indentable_expression] = STATE(12245),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5280),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17505),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8857),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4759),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6823),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(876),
    [sym_block_comment] = STATE(876),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_while] = ACTIONS(1439),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1443),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1445),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1449),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1451),
    [anon_sym_throw] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [877] = {
    [sym_type_parameters] = STATE(19361),
    [sym_inline_modifier] = STATE(2487),
    [sym__indentable_expression] = STATE(12262),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5280),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17505),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8857),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4759),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6823),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(877),
    [sym_block_comment] = STATE(877),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_while] = ACTIONS(1439),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1443),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1445),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1449),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1451),
    [anon_sym_throw] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [878] = {
    [sym_type_parameters] = STATE(19361),
    [sym_inline_modifier] = STATE(2487),
    [sym__indentable_expression] = STATE(12270),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5280),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17505),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8857),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4759),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6823),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(878),
    [sym_block_comment] = STATE(878),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_while] = ACTIONS(1439),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1443),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1445),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1449),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1451),
    [anon_sym_throw] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [879] = {
    [sym_type_parameters] = STATE(19361),
    [sym_inline_modifier] = STATE(2487),
    [sym__indentable_expression] = STATE(12428),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5280),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17505),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8857),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4759),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6823),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(879),
    [sym_block_comment] = STATE(879),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_while] = ACTIONS(1439),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1443),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1445),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1449),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1451),
    [anon_sym_throw] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [880] = {
    [sym_type_parameters] = STATE(19361),
    [sym_inline_modifier] = STATE(2487),
    [sym__indentable_expression] = STATE(12174),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5280),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17505),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8857),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4759),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6823),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(880),
    [sym_block_comment] = STATE(880),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_while] = ACTIONS(1439),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1443),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1445),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1449),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1451),
    [anon_sym_throw] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [881] = {
    [sym_type_parameters] = STATE(19361),
    [sym_inline_modifier] = STATE(2487),
    [sym__indentable_expression] = STATE(12342),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5280),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17505),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8857),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4759),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6823),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(881),
    [sym_block_comment] = STATE(881),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_while] = ACTIONS(1439),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1443),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1445),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1449),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1451),
    [anon_sym_throw] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [882] = {
    [sym_type_parameters] = STATE(19361),
    [sym_inline_modifier] = STATE(2487),
    [sym__indentable_expression] = STATE(12345),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5280),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17505),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8857),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4759),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6823),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(882),
    [sym_block_comment] = STATE(882),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_while] = ACTIONS(1439),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1443),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1445),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1449),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1451),
    [anon_sym_throw] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [883] = {
    [sym_type_parameters] = STATE(19361),
    [sym_inline_modifier] = STATE(2487),
    [sym__indentable_expression] = STATE(12369),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5280),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17505),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8857),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4759),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6823),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(883),
    [sym_block_comment] = STATE(883),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_while] = ACTIONS(1439),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1443),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1445),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1449),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1451),
    [anon_sym_throw] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [884] = {
    [sym_type_parameters] = STATE(19361),
    [sym_inline_modifier] = STATE(2487),
    [sym__indentable_expression] = STATE(12370),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5280),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17505),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8857),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4759),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6823),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(884),
    [sym_block_comment] = STATE(884),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_while] = ACTIONS(1439),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1443),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1445),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1449),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1451),
    [anon_sym_throw] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [885] = {
    [sym_type_parameters] = STATE(19361),
    [sym_inline_modifier] = STATE(2487),
    [sym__indentable_expression] = STATE(12374),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5280),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17505),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8857),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4759),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6823),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(885),
    [sym_block_comment] = STATE(885),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_while] = ACTIONS(1439),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1443),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1445),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1449),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1451),
    [anon_sym_throw] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [886] = {
    [sym_type_parameters] = STATE(19361),
    [sym_inline_modifier] = STATE(2487),
    [sym__indentable_expression] = STATE(12377),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5280),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17505),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8857),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4759),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6823),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(886),
    [sym_block_comment] = STATE(886),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_while] = ACTIONS(1439),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1443),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1445),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1449),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1451),
    [anon_sym_throw] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [887] = {
    [sym_type_parameters] = STATE(19361),
    [sym_inline_modifier] = STATE(2487),
    [sym__indentable_expression] = STATE(12413),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5280),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17505),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8857),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4759),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6823),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(887),
    [sym_block_comment] = STATE(887),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_while] = ACTIONS(1439),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1443),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1445),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1449),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1451),
    [anon_sym_throw] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [888] = {
    [sym_type_parameters] = STATE(19221),
    [sym_inline_modifier] = STATE(2466),
    [sym__indentable_expression] = STATE(12953),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17385),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9917),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4878),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7216),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(888),
    [sym_block_comment] = STATE(888),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2343),
    [anon_sym_while] = ACTIONS(2277),
    [anon_sym_for] = ACTIONS(2279),
    [anon_sym_try] = ACTIONS(2281),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(2283),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(2285),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [889] = {
    [sym_type_parameters] = STATE(19368),
    [sym_inline_modifier] = STATE(2488),
    [sym_block] = STATE(7275),
    [sym_expression] = STATE(13272),
    [sym__simple_expression] = STATE(6230),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17517),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(9981),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5282),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8608),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(889),
    [sym_block_comment] = STATE(889),
    [sym__alpha_identifier] = ACTIONS(2782),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(2788),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2033),
    [anon_sym_for] = ACTIONS(2035),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2037),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2788),
    [anon_sym_implicit] = ACTIONS(2039),
    [anon_sym_inline] = ACTIONS(2791),
    [anon_sym_infix] = ACTIONS(2788),
    [anon_sym_open] = ACTIONS(2788),
    [anon_sym_transparent] = ACTIONS(2788),
    [anon_sym_LPAREN] = ACTIONS(2794),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(2797),
    [sym_operator_identifier] = ACTIONS(2905),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2047),
    [anon_sym_do] = ACTIONS(2803),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [890] = {
    [sym_type_parameters] = STATE(19368),
    [sym_inline_modifier] = STATE(2488),
    [sym__indentable_expression] = STATE(13161),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6230),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17517),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(9981),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5282),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8608),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(890),
    [sym_block_comment] = STATE(890),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2033),
    [anon_sym_for] = ACTIONS(2035),
    [anon_sym_try] = ACTIONS(2037),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2039),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2043),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2047),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [891] = {
    [sym_type_parameters] = STATE(19368),
    [sym_inline_modifier] = STATE(2488),
    [sym__indentable_expression] = STATE(13181),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6230),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17517),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(9981),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5282),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8608),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(891),
    [sym_block_comment] = STATE(891),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2033),
    [anon_sym_for] = ACTIONS(2035),
    [anon_sym_try] = ACTIONS(2037),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2039),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2043),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2047),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [892] = {
    [sym_type_parameters] = STATE(19368),
    [sym_inline_modifier] = STATE(2488),
    [sym__indentable_expression] = STATE(13184),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6230),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17517),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(9981),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5282),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8608),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(892),
    [sym_block_comment] = STATE(892),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2033),
    [anon_sym_for] = ACTIONS(2035),
    [anon_sym_try] = ACTIONS(2037),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2039),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2043),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2047),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [893] = {
    [sym_type_parameters] = STATE(19368),
    [sym_inline_modifier] = STATE(2488),
    [sym__indentable_expression] = STATE(13187),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6230),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17517),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(9981),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5282),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8608),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(893),
    [sym_block_comment] = STATE(893),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2033),
    [anon_sym_for] = ACTIONS(2035),
    [anon_sym_try] = ACTIONS(2037),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2039),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2043),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2047),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [894] = {
    [sym_type_parameters] = STATE(19368),
    [sym_inline_modifier] = STATE(2488),
    [sym__indentable_expression] = STATE(13191),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6230),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17517),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(9981),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5282),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8608),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(894),
    [sym_block_comment] = STATE(894),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2033),
    [anon_sym_for] = ACTIONS(2035),
    [anon_sym_try] = ACTIONS(2037),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2039),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2043),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2047),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [895] = {
    [sym_type_parameters] = STATE(19368),
    [sym_inline_modifier] = STATE(2488),
    [sym__indentable_expression] = STATE(13217),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6230),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17517),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(9981),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5282),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8608),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(895),
    [sym_block_comment] = STATE(895),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2033),
    [anon_sym_for] = ACTIONS(2035),
    [anon_sym_try] = ACTIONS(2037),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2039),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2043),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2047),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [896] = {
    [sym_type_parameters] = STATE(19368),
    [sym_inline_modifier] = STATE(2488),
    [sym__indentable_expression] = STATE(13223),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6230),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17517),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(9981),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5282),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8608),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(896),
    [sym_block_comment] = STATE(896),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2033),
    [anon_sym_for] = ACTIONS(2035),
    [anon_sym_try] = ACTIONS(2037),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2039),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2043),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2047),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [897] = {
    [sym_type_parameters] = STATE(19368),
    [sym_inline_modifier] = STATE(2488),
    [sym__indentable_expression] = STATE(13231),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6230),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17517),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(9981),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5282),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8608),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(897),
    [sym_block_comment] = STATE(897),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2033),
    [anon_sym_for] = ACTIONS(2035),
    [anon_sym_try] = ACTIONS(2037),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2039),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2043),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2047),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [898] = {
    [sym_type_parameters] = STATE(19368),
    [sym_inline_modifier] = STATE(2488),
    [sym__indentable_expression] = STATE(13234),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6230),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17517),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(9981),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5282),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8608),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(898),
    [sym_block_comment] = STATE(898),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2033),
    [anon_sym_for] = ACTIONS(2035),
    [anon_sym_try] = ACTIONS(2037),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2039),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2043),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2047),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [899] = {
    [sym_type_parameters] = STATE(19368),
    [sym_inline_modifier] = STATE(2488),
    [sym__indentable_expression] = STATE(13238),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6230),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17517),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(9981),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5282),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8608),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(899),
    [sym_block_comment] = STATE(899),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2033),
    [anon_sym_for] = ACTIONS(2035),
    [anon_sym_try] = ACTIONS(2037),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2039),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2043),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2047),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [900] = {
    [sym_type_parameters] = STATE(19368),
    [sym_inline_modifier] = STATE(2488),
    [sym__indentable_expression] = STATE(13240),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6230),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17517),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(9981),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5282),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8608),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(900),
    [sym_block_comment] = STATE(900),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2033),
    [anon_sym_for] = ACTIONS(2035),
    [anon_sym_try] = ACTIONS(2037),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2039),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2043),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2047),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [901] = {
    [sym_type_parameters] = STATE(19368),
    [sym_inline_modifier] = STATE(2488),
    [sym__indentable_expression] = STATE(13241),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6230),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17517),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(9981),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5282),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8608),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(901),
    [sym_block_comment] = STATE(901),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2033),
    [anon_sym_for] = ACTIONS(2035),
    [anon_sym_try] = ACTIONS(2037),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2039),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2043),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2047),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [902] = {
    [sym_type_parameters] = STATE(19221),
    [sym_inline_modifier] = STATE(2466),
    [sym__indentable_expression] = STATE(12962),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17385),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9917),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4878),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7216),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(902),
    [sym_block_comment] = STATE(902),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2343),
    [anon_sym_while] = ACTIONS(2277),
    [anon_sym_for] = ACTIONS(2279),
    [anon_sym_try] = ACTIONS(2281),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(2283),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(2285),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [903] = {
    [sym_type_parameters] = STATE(19375),
    [sym_inline_modifier] = STATE(2489),
    [sym_block] = STATE(6526),
    [sym_expression] = STATE(12786),
    [sym__simple_expression] = STATE(5584),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17531),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9590),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4881),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(903),
    [sym_block_comment] = STATE(903),
    [sym__alpha_identifier] = ACTIONS(2908),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(2914),
    [anon_sym_if] = ACTIONS(2377),
    [anon_sym_while] = ACTIONS(2051),
    [anon_sym_for] = ACTIONS(2053),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2914),
    [anon_sym_implicit] = ACTIONS(2057),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym_infix] = ACTIONS(2914),
    [anon_sym_open] = ACTIONS(2914),
    [anon_sym_transparent] = ACTIONS(2914),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(2923),
    [sym_operator_identifier] = ACTIONS(2926),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_throw] = ACTIONS(2063),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [904] = {
    [sym_type_parameters] = STATE(19375),
    [sym_inline_modifier] = STATE(2489),
    [sym__indentable_expression] = STATE(12999),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5584),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17531),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9590),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4881),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(904),
    [sym_block_comment] = STATE(904),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2377),
    [anon_sym_while] = ACTIONS(2051),
    [anon_sym_for] = ACTIONS(2053),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(2057),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(2059),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_throw] = ACTIONS(2063),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [905] = {
    [sym_type_parameters] = STATE(19375),
    [sym_inline_modifier] = STATE(2489),
    [sym__indentable_expression] = STATE(13008),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5584),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17531),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9590),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4881),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(905),
    [sym_block_comment] = STATE(905),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2377),
    [anon_sym_while] = ACTIONS(2051),
    [anon_sym_for] = ACTIONS(2053),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(2057),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(2059),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_throw] = ACTIONS(2063),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [906] = {
    [sym_type_parameters] = STATE(19375),
    [sym_inline_modifier] = STATE(2489),
    [sym__indentable_expression] = STATE(13009),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5584),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17531),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9590),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4881),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(906),
    [sym_block_comment] = STATE(906),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2377),
    [anon_sym_while] = ACTIONS(2051),
    [anon_sym_for] = ACTIONS(2053),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(2057),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(2059),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_throw] = ACTIONS(2063),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [907] = {
    [sym_type_parameters] = STATE(19375),
    [sym_inline_modifier] = STATE(2489),
    [sym__indentable_expression] = STATE(13010),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5584),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17531),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9590),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4881),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(907),
    [sym_block_comment] = STATE(907),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2377),
    [anon_sym_while] = ACTIONS(2051),
    [anon_sym_for] = ACTIONS(2053),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(2057),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(2059),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_throw] = ACTIONS(2063),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [908] = {
    [sym_type_parameters] = STATE(19375),
    [sym_inline_modifier] = STATE(2489),
    [sym__indentable_expression] = STATE(13012),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5584),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17531),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9590),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4881),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(908),
    [sym_block_comment] = STATE(908),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2377),
    [anon_sym_while] = ACTIONS(2051),
    [anon_sym_for] = ACTIONS(2053),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(2057),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(2059),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_throw] = ACTIONS(2063),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [909] = {
    [sym_type_parameters] = STATE(19375),
    [sym_inline_modifier] = STATE(2489),
    [sym__indentable_expression] = STATE(13018),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5584),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17531),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9590),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4881),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(909),
    [sym_block_comment] = STATE(909),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2377),
    [anon_sym_while] = ACTIONS(2051),
    [anon_sym_for] = ACTIONS(2053),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(2057),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(2059),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_throw] = ACTIONS(2063),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [910] = {
    [sym_type_parameters] = STATE(19375),
    [sym_inline_modifier] = STATE(2489),
    [sym__indentable_expression] = STATE(13023),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5584),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17531),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9590),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4881),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(910),
    [sym_block_comment] = STATE(910),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2377),
    [anon_sym_while] = ACTIONS(2051),
    [anon_sym_for] = ACTIONS(2053),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(2057),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(2059),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_throw] = ACTIONS(2063),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [911] = {
    [sym_type_parameters] = STATE(19375),
    [sym_inline_modifier] = STATE(2489),
    [sym__indentable_expression] = STATE(13025),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5584),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17531),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9590),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4881),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(911),
    [sym_block_comment] = STATE(911),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2377),
    [anon_sym_while] = ACTIONS(2051),
    [anon_sym_for] = ACTIONS(2053),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(2057),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(2059),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_throw] = ACTIONS(2063),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [912] = {
    [sym_type_parameters] = STATE(19375),
    [sym_inline_modifier] = STATE(2489),
    [sym__indentable_expression] = STATE(13026),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5584),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17531),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9590),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4881),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(912),
    [sym_block_comment] = STATE(912),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2377),
    [anon_sym_while] = ACTIONS(2051),
    [anon_sym_for] = ACTIONS(2053),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(2057),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(2059),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_throw] = ACTIONS(2063),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [913] = {
    [sym_type_parameters] = STATE(19375),
    [sym_inline_modifier] = STATE(2489),
    [sym__indentable_expression] = STATE(13027),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5584),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17531),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9590),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4881),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(913),
    [sym_block_comment] = STATE(913),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2377),
    [anon_sym_while] = ACTIONS(2051),
    [anon_sym_for] = ACTIONS(2053),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(2057),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(2059),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_throw] = ACTIONS(2063),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [914] = {
    [sym_type_parameters] = STATE(19375),
    [sym_inline_modifier] = STATE(2489),
    [sym__indentable_expression] = STATE(13030),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5584),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17531),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9590),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4881),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(914),
    [sym_block_comment] = STATE(914),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2377),
    [anon_sym_while] = ACTIONS(2051),
    [anon_sym_for] = ACTIONS(2053),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(2057),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(2059),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_throw] = ACTIONS(2063),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [915] = {
    [sym_type_parameters] = STATE(19375),
    [sym_inline_modifier] = STATE(2489),
    [sym__indentable_expression] = STATE(13031),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5584),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17531),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9590),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4881),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(915),
    [sym_block_comment] = STATE(915),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2377),
    [anon_sym_while] = ACTIONS(2051),
    [anon_sym_for] = ACTIONS(2053),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(2057),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(2059),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_throw] = ACTIONS(2063),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [916] = {
    [sym_type_parameters] = STATE(19221),
    [sym_inline_modifier] = STATE(2466),
    [sym__indentable_expression] = STATE(12966),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17385),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9917),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4878),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7216),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(916),
    [sym_block_comment] = STATE(916),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2343),
    [anon_sym_while] = ACTIONS(2277),
    [anon_sym_for] = ACTIONS(2279),
    [anon_sym_try] = ACTIONS(2281),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(2283),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(2285),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [917] = {
    [sym_type_parameters] = STATE(19382),
    [sym_inline_modifier] = STATE(2178),
    [sym_block] = STATE(9077),
    [sym_expression] = STATE(14190),
    [sym__simple_expression] = STATE(6194),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17545),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10186),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5256),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(8424),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(917),
    [sym_block_comment] = STATE(917),
    [sym__alpha_identifier] = ACTIONS(2830),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2833),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(2836),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2836),
    [anon_sym_implicit] = ACTIONS(2071),
    [anon_sym_inline] = ACTIONS(2839),
    [anon_sym_infix] = ACTIONS(2836),
    [anon_sym_open] = ACTIONS(2836),
    [anon_sym_transparent] = ACTIONS(2836),
    [anon_sym_LPAREN] = ACTIONS(2842),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(2845),
    [sym_operator_identifier] = ACTIONS(2932),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(2075),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(2851),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [918] = {
    [sym_type_parameters] = STATE(19382),
    [sym_inline_modifier] = STATE(2178),
    [sym__indentable_expression] = STATE(14617),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6194),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17545),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10186),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5256),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(8424),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(918),
    [sym_block_comment] = STATE(918),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(2071),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(2073),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(2075),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [919] = {
    [sym_type_parameters] = STATE(19382),
    [sym_inline_modifier] = STATE(2178),
    [sym__indentable_expression] = STATE(14626),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6194),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17545),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10186),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5256),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(8424),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(919),
    [sym_block_comment] = STATE(919),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(2071),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(2073),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(2075),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [920] = {
    [sym_type_parameters] = STATE(19382),
    [sym_inline_modifier] = STATE(2178),
    [sym__indentable_expression] = STATE(14627),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6194),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17545),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10186),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5256),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(8424),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(920),
    [sym_block_comment] = STATE(920),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(2071),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(2073),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(2075),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [921] = {
    [sym_type_parameters] = STATE(19382),
    [sym_inline_modifier] = STATE(2178),
    [sym__indentable_expression] = STATE(14628),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6194),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17545),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10186),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5256),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(8424),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(921),
    [sym_block_comment] = STATE(921),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(2071),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(2073),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(2075),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [922] = {
    [sym_type_parameters] = STATE(19382),
    [sym_inline_modifier] = STATE(2178),
    [sym__indentable_expression] = STATE(14631),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6194),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17545),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10186),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5256),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(8424),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(922),
    [sym_block_comment] = STATE(922),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(2071),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(2073),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(2075),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [923] = {
    [sym_type_parameters] = STATE(19382),
    [sym_inline_modifier] = STATE(2178),
    [sym__indentable_expression] = STATE(14649),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6194),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17545),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10186),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5256),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(8424),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(923),
    [sym_block_comment] = STATE(923),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(2071),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(2073),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(2075),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [924] = {
    [sym_type_parameters] = STATE(19382),
    [sym_inline_modifier] = STATE(2178),
    [sym__indentable_expression] = STATE(14651),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6194),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17545),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10186),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5256),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(8424),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(924),
    [sym_block_comment] = STATE(924),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(2071),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(2073),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(2075),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [925] = {
    [sym_type_parameters] = STATE(19382),
    [sym_inline_modifier] = STATE(2178),
    [sym__indentable_expression] = STATE(14662),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6194),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17545),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10186),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5256),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(8424),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(925),
    [sym_block_comment] = STATE(925),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(2071),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(2073),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(2075),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [926] = {
    [sym_type_parameters] = STATE(19382),
    [sym_inline_modifier] = STATE(2178),
    [sym__indentable_expression] = STATE(14663),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6194),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17545),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10186),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5256),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(8424),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(926),
    [sym_block_comment] = STATE(926),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(2071),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(2073),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(2075),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [927] = {
    [sym_type_parameters] = STATE(19382),
    [sym_inline_modifier] = STATE(2178),
    [sym__indentable_expression] = STATE(14664),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6194),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17545),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10186),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5256),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(8424),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(927),
    [sym_block_comment] = STATE(927),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(2071),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(2073),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(2075),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [928] = {
    [sym_type_parameters] = STATE(19382),
    [sym_inline_modifier] = STATE(2178),
    [sym__indentable_expression] = STATE(14665),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6194),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17545),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10186),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5256),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(8424),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(928),
    [sym_block_comment] = STATE(928),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(2071),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(2073),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(2075),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [929] = {
    [sym_type_parameters] = STATE(19382),
    [sym_inline_modifier] = STATE(2178),
    [sym__indentable_expression] = STATE(14670),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6194),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17545),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10186),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5256),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(8424),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(929),
    [sym_block_comment] = STATE(929),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(2071),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(2073),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(2075),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [930] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym__indentable_expression] = STATE(15467),
    [sym_block] = STATE(10944),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(15239),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(930),
    [sym_block_comment] = STATE(930),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [931] = {
    [sym_type_parameters] = STATE(19389),
    [sym_inline_modifier] = STATE(2239),
    [sym_block] = STATE(6526),
    [sym_expression] = STATE(12786),
    [sym__simple_expression] = STATE(5645),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17555),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4919),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7255),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(931),
    [sym_block_comment] = STATE(931),
    [sym__alpha_identifier] = ACTIONS(2908),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(2914),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_while] = ACTIONS(1775),
    [anon_sym_for] = ACTIONS(1777),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(1779),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2914),
    [anon_sym_implicit] = ACTIONS(1781),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym_infix] = ACTIONS(2914),
    [anon_sym_open] = ACTIONS(2914),
    [anon_sym_transparent] = ACTIONS(2914),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(2923),
    [sym_operator_identifier] = ACTIONS(2935),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_throw] = ACTIONS(1787),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [932] = {
    [sym_type_parameters] = STATE(19389),
    [sym_inline_modifier] = STATE(2239),
    [sym__indentable_expression] = STATE(12999),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5645),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17555),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4919),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7255),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(932),
    [sym_block_comment] = STATE(932),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_while] = ACTIONS(1775),
    [anon_sym_for] = ACTIONS(1777),
    [anon_sym_try] = ACTIONS(1779),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1781),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1783),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_throw] = ACTIONS(1787),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [933] = {
    [sym_type_parameters] = STATE(19389),
    [sym_inline_modifier] = STATE(2239),
    [sym__indentable_expression] = STATE(13008),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5645),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17555),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4919),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7255),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(933),
    [sym_block_comment] = STATE(933),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_while] = ACTIONS(1775),
    [anon_sym_for] = ACTIONS(1777),
    [anon_sym_try] = ACTIONS(1779),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1781),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1783),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_throw] = ACTIONS(1787),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [934] = {
    [sym_type_parameters] = STATE(19389),
    [sym_inline_modifier] = STATE(2239),
    [sym__indentable_expression] = STATE(13009),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5645),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17555),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4919),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7255),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(934),
    [sym_block_comment] = STATE(934),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_while] = ACTIONS(1775),
    [anon_sym_for] = ACTIONS(1777),
    [anon_sym_try] = ACTIONS(1779),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1781),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1783),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_throw] = ACTIONS(1787),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [935] = {
    [sym_type_parameters] = STATE(19389),
    [sym_inline_modifier] = STATE(2239),
    [sym__indentable_expression] = STATE(13010),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5645),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17555),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4919),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7255),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(935),
    [sym_block_comment] = STATE(935),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_while] = ACTIONS(1775),
    [anon_sym_for] = ACTIONS(1777),
    [anon_sym_try] = ACTIONS(1779),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1781),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1783),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_throw] = ACTIONS(1787),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [936] = {
    [sym_type_parameters] = STATE(19389),
    [sym_inline_modifier] = STATE(2239),
    [sym__indentable_expression] = STATE(13012),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5645),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17555),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4919),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7255),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(936),
    [sym_block_comment] = STATE(936),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_while] = ACTIONS(1775),
    [anon_sym_for] = ACTIONS(1777),
    [anon_sym_try] = ACTIONS(1779),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1781),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1783),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_throw] = ACTIONS(1787),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [937] = {
    [sym_type_parameters] = STATE(19389),
    [sym_inline_modifier] = STATE(2239),
    [sym__indentable_expression] = STATE(13018),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5645),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17555),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4919),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7255),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(937),
    [sym_block_comment] = STATE(937),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_while] = ACTIONS(1775),
    [anon_sym_for] = ACTIONS(1777),
    [anon_sym_try] = ACTIONS(1779),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1781),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1783),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_throw] = ACTIONS(1787),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [938] = {
    [sym_type_parameters] = STATE(19389),
    [sym_inline_modifier] = STATE(2239),
    [sym__indentable_expression] = STATE(13023),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5645),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17555),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4919),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7255),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(938),
    [sym_block_comment] = STATE(938),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_while] = ACTIONS(1775),
    [anon_sym_for] = ACTIONS(1777),
    [anon_sym_try] = ACTIONS(1779),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1781),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1783),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_throw] = ACTIONS(1787),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [939] = {
    [sym_type_parameters] = STATE(19389),
    [sym_inline_modifier] = STATE(2239),
    [sym__indentable_expression] = STATE(13025),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5645),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17555),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4919),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7255),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(939),
    [sym_block_comment] = STATE(939),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_while] = ACTIONS(1775),
    [anon_sym_for] = ACTIONS(1777),
    [anon_sym_try] = ACTIONS(1779),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1781),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1783),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_throw] = ACTIONS(1787),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [940] = {
    [sym_type_parameters] = STATE(19389),
    [sym_inline_modifier] = STATE(2239),
    [sym__indentable_expression] = STATE(13026),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5645),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17555),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4919),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7255),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(940),
    [sym_block_comment] = STATE(940),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_while] = ACTIONS(1775),
    [anon_sym_for] = ACTIONS(1777),
    [anon_sym_try] = ACTIONS(1779),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1781),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1783),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_throw] = ACTIONS(1787),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [941] = {
    [sym_type_parameters] = STATE(19389),
    [sym_inline_modifier] = STATE(2239),
    [sym__indentable_expression] = STATE(13027),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5645),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17555),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4919),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7255),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(941),
    [sym_block_comment] = STATE(941),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_while] = ACTIONS(1775),
    [anon_sym_for] = ACTIONS(1777),
    [anon_sym_try] = ACTIONS(1779),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1781),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1783),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_throw] = ACTIONS(1787),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [942] = {
    [sym_type_parameters] = STATE(19389),
    [sym_inline_modifier] = STATE(2239),
    [sym__indentable_expression] = STATE(13030),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5645),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17555),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4919),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7255),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(942),
    [sym_block_comment] = STATE(942),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_while] = ACTIONS(1775),
    [anon_sym_for] = ACTIONS(1777),
    [anon_sym_try] = ACTIONS(1779),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1781),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1783),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_throw] = ACTIONS(1787),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [943] = {
    [sym_type_parameters] = STATE(19389),
    [sym_inline_modifier] = STATE(2239),
    [sym__indentable_expression] = STATE(13031),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5645),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17555),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4919),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7255),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(943),
    [sym_block_comment] = STATE(943),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_while] = ACTIONS(1775),
    [anon_sym_for] = ACTIONS(1777),
    [anon_sym_try] = ACTIONS(1779),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1781),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1783),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_throw] = ACTIONS(1787),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [944] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym__indentable_expression] = STATE(15308),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(944),
    [sym_block_comment] = STATE(944),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [945] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym__indentable_expression] = STATE(13725),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(945),
    [sym_block_comment] = STATE(945),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [946] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18827),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(790),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(946),
    [sym_block_comment] = STATE(946),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [947] = {
    [sym_type_parameters] = STATE(19035),
    [sym_inline_modifier] = STATE(2429),
    [sym__indentable_expression] = STATE(14653),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5983),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17568),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10044),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(5062),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(8371),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(947),
    [sym_block_comment] = STATE(947),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1695),
    [anon_sym_while] = ACTIONS(1697),
    [anon_sym_for] = ACTIONS(1699),
    [anon_sym_try] = ACTIONS(1701),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1703),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1707),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1709),
    [anon_sym_throw] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [948] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym__indentable_expression] = STATE(13989),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(948),
    [sym_block_comment] = STATE(948),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [949] = {
    [sym_type_parameters] = STATE(19091),
    [sym_inline_modifier] = STATE(2441),
    [sym__indentable_expression] = STATE(15214),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6891),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17610),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(10746),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5688),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(9054),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(949),
    [sym_block_comment] = STATE(949),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_while] = ACTIONS(2439),
    [anon_sym_for] = ACTIONS(2441),
    [anon_sym_try] = ACTIONS(2443),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2445),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2447),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2449),
    [anon_sym_throw] = ACTIONS(2451),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [950] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym__indentable_expression] = STATE(14011),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(950),
    [sym_block_comment] = STATE(950),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [951] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym__indentable_expression] = STATE(13636),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(951),
    [sym_block_comment] = STATE(951),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [952] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym__indentable_expression] = STATE(15417),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(952),
    [sym_block_comment] = STATE(952),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [953] = {
    [sym_type_parameters] = STATE(19221),
    [sym_inline_modifier] = STATE(2466),
    [sym__indentable_expression] = STATE(12968),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17385),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9917),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4878),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7216),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(953),
    [sym_block_comment] = STATE(953),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2343),
    [anon_sym_while] = ACTIONS(2277),
    [anon_sym_for] = ACTIONS(2279),
    [anon_sym_try] = ACTIONS(2281),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(2283),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(2285),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [954] = {
    [sym_type_parameters] = STATE(19091),
    [sym_inline_modifier] = STATE(2441),
    [sym__indentable_expression] = STATE(15243),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6891),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17610),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(10746),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5688),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(9054),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(954),
    [sym_block_comment] = STATE(954),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_while] = ACTIONS(2439),
    [anon_sym_for] = ACTIONS(2441),
    [anon_sym_try] = ACTIONS(2443),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2445),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2447),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2449),
    [anon_sym_throw] = ACTIONS(2451),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [955] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym__indentable_expression] = STATE(15303),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(955),
    [sym_block_comment] = STATE(955),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [956] = {
    [sym_type_parameters] = STATE(19221),
    [sym_inline_modifier] = STATE(2466),
    [sym__indentable_expression] = STATE(12981),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17385),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9917),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4878),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7216),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(956),
    [sym_block_comment] = STATE(956),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2343),
    [anon_sym_while] = ACTIONS(2277),
    [anon_sym_for] = ACTIONS(2279),
    [anon_sym_try] = ACTIONS(2281),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(2283),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(2285),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [957] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym__indentable_expression] = STATE(15365),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(957),
    [sym_block_comment] = STATE(957),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [958] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym__indentable_expression] = STATE(15376),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(958),
    [sym_block_comment] = STATE(958),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [959] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym__indentable_expression] = STATE(14037),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(959),
    [sym_block_comment] = STATE(959),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [960] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym__indentable_expression] = STATE(15865),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(960),
    [sym_block_comment] = STATE(960),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [961] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym__indentable_expression] = STATE(15670),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(961),
    [sym_block_comment] = STATE(961),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [962] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym__indentable_expression] = STATE(15854),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(962),
    [sym_block_comment] = STATE(962),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [963] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym__indentable_expression] = STATE(15596),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(963),
    [sym_block_comment] = STATE(963),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [964] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym__indentable_expression] = STATE(15709),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(964),
    [sym_block_comment] = STATE(964),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [965] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym__indentable_expression] = STATE(15733),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(965),
    [sym_block_comment] = STATE(965),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [966] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym__indentable_expression] = STATE(15784),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(966),
    [sym_block_comment] = STATE(966),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [967] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym__indentable_expression] = STATE(15537),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(967),
    [sym_block_comment] = STATE(967),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [968] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym__indentable_expression] = STATE(15551),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(968),
    [sym_block_comment] = STATE(968),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [969] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym__indentable_expression] = STATE(15562),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(969),
    [sym_block_comment] = STATE(969),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [970] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym__indentable_expression] = STATE(15588),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(970),
    [sym_block_comment] = STATE(970),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [971] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym__indentable_expression] = STATE(15641),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(971),
    [sym_block_comment] = STATE(971),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [972] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym__indentable_expression] = STATE(15675),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(972),
    [sym_block_comment] = STATE(972),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [973] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym__indentable_expression] = STATE(15683),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(973),
    [sym_block_comment] = STATE(973),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [974] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym__indentable_expression] = STATE(15780),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(974),
    [sym_block_comment] = STATE(974),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [975] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym__indentable_expression] = STATE(13857),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(975),
    [sym_block_comment] = STATE(975),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [976] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(17997),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(976),
    [sym_block_comment] = STATE(976),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [977] = {
    [sym_type_parameters] = STATE(19043),
    [sym_inline_modifier] = STATE(2433),
    [sym__indentable_expression] = STATE(14452),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(6777),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17580),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(10498),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(5353),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(8805),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(977),
    [sym_block_comment] = STATE(977),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2169),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2173),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2175),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [978] = {
    [sym_type_parameters] = STATE(19221),
    [sym_inline_modifier] = STATE(2466),
    [sym__indentable_expression] = STATE(12984),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17385),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9917),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4878),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7216),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(978),
    [sym_block_comment] = STATE(978),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2343),
    [anon_sym_while] = ACTIONS(2277),
    [anon_sym_for] = ACTIONS(2279),
    [anon_sym_try] = ACTIONS(2281),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(2283),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(2285),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [979] = {
    [sym_type_parameters] = STATE(19099),
    [sym_inline_modifier] = STATE(2443),
    [sym__indentable_expression] = STATE(15054),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(6986),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17503),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(5790),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9373),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(979),
    [sym_block_comment] = STATE(979),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2453),
    [anon_sym_while] = ACTIONS(2455),
    [anon_sym_for] = ACTIONS(2457),
    [anon_sym_try] = ACTIONS(2459),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2461),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2465),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2467),
    [anon_sym_throw] = ACTIONS(2469),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [980] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18697),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1531),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(980),
    [sym_block_comment] = STATE(980),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [981] = {
    [sym_type_parameters] = STATE(19221),
    [sym_inline_modifier] = STATE(2466),
    [sym__indentable_expression] = STATE(12991),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17385),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9917),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4878),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7216),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(981),
    [sym_block_comment] = STATE(981),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2343),
    [anon_sym_while] = ACTIONS(2277),
    [anon_sym_for] = ACTIONS(2279),
    [anon_sym_try] = ACTIONS(2281),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(2283),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(2285),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [982] = {
    [sym_type_parameters] = STATE(19099),
    [sym_inline_modifier] = STATE(2443),
    [sym__indentable_expression] = STATE(15023),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(6986),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17503),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(5790),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9373),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(982),
    [sym_block_comment] = STATE(982),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2453),
    [anon_sym_while] = ACTIONS(2455),
    [anon_sym_for] = ACTIONS(2457),
    [anon_sym_try] = ACTIONS(2459),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2461),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2465),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2467),
    [anon_sym_throw] = ACTIONS(2469),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [983] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym__indentable_expression] = STATE(15503),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(983),
    [sym_block_comment] = STATE(983),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [984] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym__indentable_expression] = STATE(14058),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(984),
    [sym_block_comment] = STATE(984),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [985] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(17788),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1144),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(985),
    [sym_block_comment] = STATE(985),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [986] = {
    [sym_type_parameters] = STATE(19067),
    [sym_inline_modifier] = STATE(2437),
    [sym__indentable_expression] = STATE(15014),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8301),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17572),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11110),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6708),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(10134),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(986),
    [sym_block_comment] = STATE(986),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2203),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2207),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [987] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym__indentable_expression] = STATE(13643),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(987),
    [sym_block_comment] = STATE(987),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [988] = {
    [sym_type_parameters] = STATE(19123),
    [sym_inline_modifier] = STATE(2451),
    [sym__indentable_expression] = STATE(15465),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8318),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17393),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11156),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6713),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(10010),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(988),
    [sym_block_comment] = STATE(988),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2958),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2962),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2966),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2968),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [989] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym__indentable_expression] = STATE(13709),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(989),
    [sym_block_comment] = STATE(989),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [990] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym__indentable_expression] = STATE(15289),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(990),
    [sym_block_comment] = STATE(990),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [991] = {
    [sym_type_parameters] = STATE(19123),
    [sym_inline_modifier] = STATE(2451),
    [sym__indentable_expression] = STATE(15500),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8318),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17393),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11156),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6713),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(10010),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(991),
    [sym_block_comment] = STATE(991),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2958),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2962),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2966),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2968),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [992] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym__indentable_expression] = STATE(15378),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(992),
    [sym_block_comment] = STATE(992),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [993] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym__indentable_expression] = STATE(15390),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(993),
    [sym_block_comment] = STATE(993),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [994] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(19104),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1297),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(994),
    [sym_block_comment] = STATE(994),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [995] = {
    [sym_type_parameters] = STATE(19075),
    [sym_inline_modifier] = STATE(2439),
    [sym__indentable_expression] = STATE(15069),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8573),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17664),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11137),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6815),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(9947),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(995),
    [sym_block_comment] = STATE(995),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2211),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2219),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2221),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [996] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym__indentable_expression] = STATE(15403),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(996),
    [sym_block_comment] = STATE(996),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [997] = {
    [sym_type_parameters] = STATE(19115),
    [sym_inline_modifier] = STATE(2449),
    [sym__indentable_expression] = STATE(14877),
    [sym_block] = STATE(9793),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(14690),
    [sym__simple_expression] = STATE(6296),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17754),
    [sym_case_block] = STATE(9793),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(9793),
    [sym_call_expression] = STATE(9793),
    [sym_field_expression] = STATE(9793),
    [sym_instance_expression] = STATE(9793),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(10680),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(18810),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(10068),
    [sym_tuple_expression] = STATE(9793),
    [sym_parenthesized_expression] = STATE(9793),
    [sym_splice_expression] = STATE(9793),
    [sym_quote_expression] = STATE(9793),
    [sym_identifier] = STATE(5289),
    [sym__soft_identifier] = STATE(4682),
    [sym_wildcard] = STATE(8440),
    [sym__non_null_literal] = STATE(9793),
    [sym_boolean_literal] = STATE(9544),
    [sym_interpolated_string_expression] = STATE(9793),
    [sym_string] = STATE(9544),
    [sym_unit] = STATE(9793),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(997),
    [sym_block_comment] = STATE(997),
    [sym__alpha_identifier] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym__] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_end] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1875),
    [anon_sym_while] = ACTIONS(1877),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_try] = ACTIONS(1881),
    [anon_sym_new] = ACTIONS(1339),
    [anon_sym_opaque] = ACTIONS(1337),
    [anon_sym_implicit] = ACTIONS(1883),
    [anon_sym_inline] = ACTIONS(1341),
    [anon_sym_infix] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_transparent] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_macro] = ACTIONS(1885),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_DOLLAR] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [sym__backquoted_id] = ACTIONS(1349),
    [sym_operator_identifier] = ACTIONS(1887),
    [sym_integer_literal] = ACTIONS(1353),
    [sym_floating_point_literal] = ACTIONS(1355),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [sym_character_literal] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_throw] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1361),
    [sym__simple_string] = ACTIONS(1361),
  },
  [998] = {
    [sym_type_parameters] = STATE(19221),
    [sym_inline_modifier] = STATE(2466),
    [sym__indentable_expression] = STATE(12992),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17385),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9917),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4878),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7216),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(998),
    [sym_block_comment] = STATE(998),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2343),
    [anon_sym_while] = ACTIONS(2277),
    [anon_sym_for] = ACTIONS(2279),
    [anon_sym_try] = ACTIONS(2281),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(2283),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(2285),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [999] = {
    [sym_type_parameters] = STATE(19115),
    [sym_inline_modifier] = STATE(2449),
    [sym__indentable_expression] = STATE(14869),
    [sym_block] = STATE(9793),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(14690),
    [sym__simple_expression] = STATE(6296),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17754),
    [sym_case_block] = STATE(9793),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(9793),
    [sym_call_expression] = STATE(9793),
    [sym_field_expression] = STATE(9793),
    [sym_instance_expression] = STATE(9793),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(10680),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(18810),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(10068),
    [sym_tuple_expression] = STATE(9793),
    [sym_parenthesized_expression] = STATE(9793),
    [sym_splice_expression] = STATE(9793),
    [sym_quote_expression] = STATE(9793),
    [sym_identifier] = STATE(5289),
    [sym__soft_identifier] = STATE(4682),
    [sym_wildcard] = STATE(8440),
    [sym__non_null_literal] = STATE(9793),
    [sym_boolean_literal] = STATE(9544),
    [sym_interpolated_string_expression] = STATE(9793),
    [sym_string] = STATE(9544),
    [sym_unit] = STATE(9793),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(999),
    [sym_block_comment] = STATE(999),
    [sym__alpha_identifier] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym__] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_end] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1875),
    [anon_sym_while] = ACTIONS(1877),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_try] = ACTIONS(1881),
    [anon_sym_new] = ACTIONS(1339),
    [anon_sym_opaque] = ACTIONS(1337),
    [anon_sym_implicit] = ACTIONS(1883),
    [anon_sym_inline] = ACTIONS(1341),
    [anon_sym_infix] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_transparent] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_macro] = ACTIONS(1885),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_DOLLAR] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [sym__backquoted_id] = ACTIONS(1349),
    [sym_operator_identifier] = ACTIONS(1887),
    [sym_integer_literal] = ACTIONS(1353),
    [sym_floating_point_literal] = ACTIONS(1355),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [sym_character_literal] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_throw] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1361),
    [sym__simple_string] = ACTIONS(1361),
  },
  [1000] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym__indentable_expression] = STATE(13729),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1000),
    [sym_block_comment] = STATE(1000),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1001] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18594),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1310),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1001),
    [sym_block_comment] = STATE(1001),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1002] = {
    [sym_type_parameters] = STATE(19043),
    [sym_inline_modifier] = STATE(2433),
    [sym__indentable_expression] = STATE(14414),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(6777),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17580),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(10498),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(5353),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(8805),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1002),
    [sym_block_comment] = STATE(1002),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2169),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2173),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2175),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1003] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym__indentable_expression] = STATE(15365),
    [sym_block] = STATE(10944),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(15239),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1003),
    [sym_block_comment] = STATE(1003),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [1004] = {
    [sym_type_parameters] = STATE(19144),
    [sym_inline_modifier] = STATE(2455),
    [sym__indentable_expression] = STATE(15309),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8591),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17537),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11118),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6819),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1004),
    [sym_block_comment] = STATE(1004),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2974),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2978),
    [anon_sym_try] = ACTIONS(2980),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2982),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2984),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2986),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1005] = {
    [sym_type_parameters] = STATE(19221),
    [sym_inline_modifier] = STATE(2466),
    [sym__indentable_expression] = STATE(12994),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17385),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9917),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4878),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7216),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1005),
    [sym_block_comment] = STATE(1005),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2343),
    [anon_sym_while] = ACTIONS(2277),
    [anon_sym_for] = ACTIONS(2279),
    [anon_sym_try] = ACTIONS(2281),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(2283),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(2285),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1006] = {
    [sym_type_parameters] = STATE(19144),
    [sym_inline_modifier] = STATE(2455),
    [sym__indentable_expression] = STATE(15354),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8591),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17537),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11118),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6819),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1006),
    [sym_block_comment] = STATE(1006),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2974),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2978),
    [anon_sym_try] = ACTIONS(2980),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2982),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2984),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2986),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1007] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym__indentable_expression] = STATE(15271),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1007),
    [sym_block_comment] = STATE(1007),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1008] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(19348),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1325),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1008),
    [sym_block_comment] = STATE(1008),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1009] = {
    [sym_type_parameters] = STATE(19107),
    [sym_inline_modifier] = STATE(2445),
    [sym__indentable_expression] = STATE(14581),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(5929),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17658),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10255),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5067),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8244),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1009),
    [sym_block_comment] = STATE(1009),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_try] = ACTIONS(1721),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(1723),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(1727),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_throw] = ACTIONS(1731),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1010] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym__indentable_expression] = STATE(13982),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1010),
    [sym_block_comment] = STATE(1010),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1011] = {
    [sym_type_parameters] = STATE(19151),
    [sym_inline_modifier] = STATE(2457),
    [sym__indentable_expression] = STATE(14516),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5655),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17577),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(9915),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4803),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(7495),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1011),
    [sym_block_comment] = STATE(1011),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_try] = ACTIONS(1483),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1485),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1487),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_throw] = ACTIONS(1491),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1012] = {
    [sym_type_parameters] = STATE(19221),
    [sym_inline_modifier] = STATE(2466),
    [sym__indentable_expression] = STATE(12996),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17385),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9917),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4878),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7216),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1012),
    [sym_block_comment] = STATE(1012),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2343),
    [anon_sym_while] = ACTIONS(2277),
    [anon_sym_for] = ACTIONS(2279),
    [anon_sym_try] = ACTIONS(2281),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(2283),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(2285),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1013] = {
    [sym_type_parameters] = STATE(19151),
    [sym_inline_modifier] = STATE(2457),
    [sym__indentable_expression] = STATE(14422),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5655),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17577),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(9915),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4803),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(7495),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1013),
    [sym_block_comment] = STATE(1013),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_try] = ACTIONS(1483),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1485),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1487),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_throw] = ACTIONS(1491),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1014] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym__indentable_expression] = STATE(15368),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1014),
    [sym_block_comment] = STATE(1014),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1015] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18561),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1339),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1015),
    [sym_block_comment] = STATE(1015),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1016] = {
    [sym_type_parameters] = STATE(19115),
    [sym_inline_modifier] = STATE(2449),
    [sym__indentable_expression] = STATE(14147),
    [sym_block] = STATE(9793),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(14690),
    [sym__simple_expression] = STATE(6296),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17754),
    [sym_case_block] = STATE(9793),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(9793),
    [sym_call_expression] = STATE(9793),
    [sym_field_expression] = STATE(9793),
    [sym_instance_expression] = STATE(9793),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(10680),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(18810),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(10068),
    [sym_tuple_expression] = STATE(9793),
    [sym_parenthesized_expression] = STATE(9793),
    [sym_splice_expression] = STATE(9793),
    [sym_quote_expression] = STATE(9793),
    [sym_identifier] = STATE(5289),
    [sym__soft_identifier] = STATE(4682),
    [sym_wildcard] = STATE(8440),
    [sym__non_null_literal] = STATE(9793),
    [sym_boolean_literal] = STATE(9544),
    [sym_interpolated_string_expression] = STATE(9793),
    [sym_string] = STATE(9544),
    [sym_unit] = STATE(9793),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1016),
    [sym_block_comment] = STATE(1016),
    [sym__alpha_identifier] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym__] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_end] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1875),
    [anon_sym_while] = ACTIONS(1877),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_try] = ACTIONS(1881),
    [anon_sym_new] = ACTIONS(1339),
    [anon_sym_opaque] = ACTIONS(1337),
    [anon_sym_implicit] = ACTIONS(1883),
    [anon_sym_inline] = ACTIONS(1341),
    [anon_sym_infix] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_transparent] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_macro] = ACTIONS(1885),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_DOLLAR] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [sym__backquoted_id] = ACTIONS(1349),
    [sym_operator_identifier] = ACTIONS(1887),
    [sym_integer_literal] = ACTIONS(1353),
    [sym_floating_point_literal] = ACTIONS(1355),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [sym_character_literal] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_throw] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1361),
    [sym__simple_string] = ACTIONS(1361),
  },
  [1017] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym__indentable_expression] = STATE(15384),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1017),
    [sym_block_comment] = STATE(1017),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1018] = {
    [sym_type_parameters] = STATE(19165),
    [sym_inline_modifier] = STATE(2459),
    [sym__indentable_expression] = STATE(14535),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(5480),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17663),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(9905),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(4870),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(7665),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1018),
    [sym_block_comment] = STATE(1018),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1459),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1463),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(1465),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(1469),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1471),
    [anon_sym_throw] = ACTIONS(1473),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1019] = {
    [sym_type_parameters] = STATE(19221),
    [sym_inline_modifier] = STATE(2466),
    [sym__indentable_expression] = STATE(13005),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17385),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9917),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4878),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7216),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1019),
    [sym_block_comment] = STATE(1019),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2343),
    [anon_sym_while] = ACTIONS(2277),
    [anon_sym_for] = ACTIONS(2279),
    [anon_sym_try] = ACTIONS(2281),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(2283),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(2285),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1020] = {
    [sym_type_parameters] = STATE(19165),
    [sym_inline_modifier] = STATE(2459),
    [sym__indentable_expression] = STATE(14589),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(5480),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17663),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(9905),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(4870),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(7665),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1020),
    [sym_block_comment] = STATE(1020),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1459),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1463),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(1465),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(1469),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1471),
    [anon_sym_throw] = ACTIONS(1473),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1021] = {
    [sym_type_parameters] = STATE(19018),
    [sym_inline_modifier] = STATE(2423),
    [sym__indentable_expression] = STATE(14448),
    [sym_block] = STATE(9948),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(14917),
    [sym__simple_expression] = STATE(6984),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17638),
    [sym_case_block] = STATE(9948),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(9948),
    [sym_call_expression] = STATE(9948),
    [sym_field_expression] = STATE(9948),
    [sym_instance_expression] = STATE(9948),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(10976),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19113),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10414),
    [sym_tuple_expression] = STATE(9948),
    [sym_parenthesized_expression] = STATE(9948),
    [sym_splice_expression] = STATE(9948),
    [sym_quote_expression] = STATE(9948),
    [sym_identifier] = STATE(5741),
    [sym__soft_identifier] = STATE(4751),
    [sym_wildcard] = STATE(9076),
    [sym__non_null_literal] = STATE(9948),
    [sym_boolean_literal] = STATE(10000),
    [sym_interpolated_string_expression] = STATE(9948),
    [sym_string] = STATE(10000),
    [sym_unit] = STATE(9948),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1021),
    [sym_block_comment] = STATE(1021),
    [sym__alpha_identifier] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym__] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_end] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2123),
    [anon_sym_try] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_opaque] = ACTIONS(1523),
    [anon_sym_implicit] = ACTIONS(2127),
    [anon_sym_inline] = ACTIONS(1527),
    [anon_sym_infix] = ACTIONS(1523),
    [anon_sym_open] = ACTIONS(1523),
    [anon_sym_transparent] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [anon_sym_macro] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [sym__backquoted_id] = ACTIONS(1535),
    [sym_operator_identifier] = ACTIONS(2131),
    [sym_integer_literal] = ACTIONS(1539),
    [sym_floating_point_literal] = ACTIONS(1541),
    [anon_sym_true] = ACTIONS(1543),
    [anon_sym_false] = ACTIONS(1543),
    [sym_character_literal] = ACTIONS(1541),
    [sym_null_literal] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(2133),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1547),
    [sym__simple_string] = ACTIONS(1547),
  },
  [1022] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18055),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1354),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1022),
    [sym_block_comment] = STATE(1022),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1023] = {
    [sym_type_parameters] = STATE(19067),
    [sym_inline_modifier] = STATE(2437),
    [sym__indentable_expression] = STATE(15091),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8301),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17572),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11110),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6708),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(10134),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1023),
    [sym_block_comment] = STATE(1023),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2203),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2207),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1024] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym__indentable_expression] = STATE(15468),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1024),
    [sym_block_comment] = STATE(1024),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1025] = {
    [sym_type_parameters] = STATE(19186),
    [sym_inline_modifier] = STATE(2461),
    [sym__indentable_expression] = STATE(15229),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17404),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10427),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5656),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(9159),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(1025),
    [sym_block_comment] = STATE(1025),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2529),
    [anon_sym_while] = ACTIONS(2531),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2541),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [1026] = {
    [sym_type_parameters] = STATE(19214),
    [sym_inline_modifier] = STATE(2465),
    [sym__indentable_expression] = STATE(14058),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(6878),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17725),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10612),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5702),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8984),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1026),
    [sym_block_comment] = STATE(1026),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1001),
    [anon_sym_while] = ACTIONS(1003),
    [anon_sym_for] = ACTIONS(1005),
    [anon_sym_try] = ACTIONS(1007),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(1009),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(2625),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(1029),
    [anon_sym_throw] = ACTIONS(1031),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1027] = {
    [sym_type_parameters] = STATE(19186),
    [sym_inline_modifier] = STATE(2461),
    [sym__indentable_expression] = STATE(15210),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17404),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10427),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5656),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(9159),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(1027),
    [sym_block_comment] = STATE(1027),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2529),
    [anon_sym_while] = ACTIONS(2531),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2541),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [1028] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(14861),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1028),
    [sym_block_comment] = STATE(1028),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_COMMA] = ACTIONS(1435),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(1435),
    [anon_sym_then] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1029] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(17986),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1379),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1029),
    [sym_block_comment] = STATE(1029),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1030] = {
    [sym_type_parameters] = STATE(19075),
    [sym_inline_modifier] = STATE(2439),
    [sym__indentable_expression] = STATE(14983),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8573),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17664),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11137),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6815),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(9947),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1030),
    [sym_block_comment] = STATE(1030),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2211),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2219),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2221),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1031] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(14750),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1031),
    [sym_block_comment] = STATE(1031),
    [sym__alpha_identifier] = ACTIONS(2990),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2993),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(2996),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2996),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2999),
    [anon_sym_infix] = ACTIONS(2996),
    [anon_sym_open] = ACTIONS(2996),
    [anon_sym_transparent] = ACTIONS(2996),
    [anon_sym_LPAREN] = ACTIONS(3002),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(3005),
    [sym_operator_identifier] = ACTIONS(3008),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(3011),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1032] = {
    [sym_type_parameters] = STATE(19059),
    [sym_inline_modifier] = STATE(2435),
    [sym__indentable_expression] = STATE(15267),
    [sym_block] = STATE(10530),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(15036),
    [sym__simple_expression] = STATE(7452),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17472),
    [sym_case_block] = STATE(10530),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(10530),
    [sym_call_expression] = STATE(10530),
    [sym_field_expression] = STATE(10530),
    [sym_instance_expression] = STATE(10530),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(11241),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(19533),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(11075),
    [sym_tuple_expression] = STATE(10530),
    [sym_parenthesized_expression] = STATE(10530),
    [sym_splice_expression] = STATE(10530),
    [sym_quote_expression] = STATE(10530),
    [sym_identifier] = STATE(6021),
    [sym__soft_identifier] = STATE(4921),
    [sym_wildcard] = STATE(9558),
    [sym__non_null_literal] = STATE(10530),
    [sym_boolean_literal] = STATE(10615),
    [sym_interpolated_string_expression] = STATE(10530),
    [sym_string] = STATE(10615),
    [sym_unit] = STATE(10530),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1032),
    [sym_block_comment] = STATE(1032),
    [sym__alpha_identifier] = ACTIONS(2399),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym__] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_end] = ACTIONS(2409),
    [anon_sym_if] = ACTIONS(2583),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_opaque] = ACTIONS(2409),
    [anon_sym_implicit] = ACTIONS(2591),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym_infix] = ACTIONS(2409),
    [anon_sym_open] = ACTIONS(2409),
    [anon_sym_transparent] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_macro] = ACTIONS(2593),
    [anon_sym_BANG] = ACTIONS(2407),
    [anon_sym_TILDE] = ACTIONS(2407),
    [anon_sym_DOLLAR] = ACTIONS(2417),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [sym__backquoted_id] = ACTIONS(2421),
    [sym_operator_identifier] = ACTIONS(2595),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_floating_point_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2429),
    [anon_sym_false] = ACTIONS(2429),
    [sym_character_literal] = ACTIONS(2427),
    [sym_null_literal] = ACTIONS(2431),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_throw] = ACTIONS(2599),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(2433),
    [sym__simple_string] = ACTIONS(2433),
  },
  [1033] = {
    [sym_type_parameters] = STATE(19228),
    [sym_inline_modifier] = STATE(2467),
    [sym_block] = STATE(7344),
    [sym_expression] = STATE(13279),
    [sym__simple_expression] = STATE(6822),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17483),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10622),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5644),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1033),
    [sym_block_comment] = STATE(1033),
    [sym__alpha_identifier] = ACTIONS(3014),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(3017),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(3020),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(2349),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2353),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(3020),
    [anon_sym_implicit] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(3023),
    [anon_sym_infix] = ACTIONS(3020),
    [anon_sym_open] = ACTIONS(3020),
    [anon_sym_transparent] = ACTIONS(3020),
    [anon_sym_LPAREN] = ACTIONS(3026),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(3029),
    [sym_operator_identifier] = ACTIONS(3032),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2359),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(3035),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1034] = {
    [sym_type_parameters] = STATE(19059),
    [sym_inline_modifier] = STATE(2435),
    [sym__indentable_expression] = STATE(15174),
    [sym_block] = STATE(10530),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(15036),
    [sym__simple_expression] = STATE(7452),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17472),
    [sym_case_block] = STATE(10530),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(10530),
    [sym_call_expression] = STATE(10530),
    [sym_field_expression] = STATE(10530),
    [sym_instance_expression] = STATE(10530),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(11241),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(19533),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(11075),
    [sym_tuple_expression] = STATE(10530),
    [sym_parenthesized_expression] = STATE(10530),
    [sym_splice_expression] = STATE(10530),
    [sym_quote_expression] = STATE(10530),
    [sym_identifier] = STATE(6021),
    [sym__soft_identifier] = STATE(4921),
    [sym_wildcard] = STATE(9558),
    [sym__non_null_literal] = STATE(10530),
    [sym_boolean_literal] = STATE(10615),
    [sym_interpolated_string_expression] = STATE(10530),
    [sym_string] = STATE(10615),
    [sym_unit] = STATE(10530),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1034),
    [sym_block_comment] = STATE(1034),
    [sym__alpha_identifier] = ACTIONS(2399),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym__] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_end] = ACTIONS(2409),
    [anon_sym_if] = ACTIONS(2583),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_opaque] = ACTIONS(2409),
    [anon_sym_implicit] = ACTIONS(2591),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym_infix] = ACTIONS(2409),
    [anon_sym_open] = ACTIONS(2409),
    [anon_sym_transparent] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_macro] = ACTIONS(2593),
    [anon_sym_BANG] = ACTIONS(2407),
    [anon_sym_TILDE] = ACTIONS(2407),
    [anon_sym_DOLLAR] = ACTIONS(2417),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [sym__backquoted_id] = ACTIONS(2421),
    [sym_operator_identifier] = ACTIONS(2595),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_floating_point_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2429),
    [anon_sym_false] = ACTIONS(2429),
    [sym_character_literal] = ACTIONS(2427),
    [sym_null_literal] = ACTIONS(2431),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_throw] = ACTIONS(2599),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(2433),
    [sym__simple_string] = ACTIONS(2433),
  },
  [1035] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(14962),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1035),
    [sym_block_comment] = STATE(1035),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1036] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18477),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1400),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1036),
    [sym_block_comment] = STATE(1036),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1037] = {
    [sym_type_parameters] = STATE(19151),
    [sym_inline_modifier] = STATE(2457),
    [sym__indentable_expression] = STATE(14015),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5655),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17577),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(9915),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4803),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(7495),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1037),
    [sym_block_comment] = STATE(1037),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_try] = ACTIONS(1483),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1485),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1487),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_throw] = ACTIONS(1491),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1038] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym__indentable_expression] = STATE(15865),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1038),
    [sym_block_comment] = STATE(1038),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1039] = {
    [sym_type_parameters] = STATE(19193),
    [sym_inline_modifier] = STATE(2462),
    [sym__indentable_expression] = STATE(15047),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6717),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17709),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10599),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8740),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1039),
    [sym_block_comment] = STATE(1039),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(2305),
    [anon_sym_for] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2311),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2313),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1040] = {
    [sym_type_parameters] = STATE(19228),
    [sym_inline_modifier] = STATE(2467),
    [sym__indentable_expression] = STATE(13815),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6822),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17483),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10622),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5644),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1040),
    [sym_block_comment] = STATE(1040),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(2349),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_try] = ACTIONS(2353),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2357),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2359),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1041] = {
    [sym_type_parameters] = STATE(19193),
    [sym_inline_modifier] = STATE(2462),
    [sym__indentable_expression] = STATE(15053),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6717),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17709),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10599),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8740),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1041),
    [sym_block_comment] = STATE(1041),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(2305),
    [anon_sym_for] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2311),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2313),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1042] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18961),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1418),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1042),
    [sym_block_comment] = STATE(1042),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1043] = {
    [sym_type_parameters] = STATE(19165),
    [sym_inline_modifier] = STATE(2459),
    [sym__indentable_expression] = STATE(14031),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(5480),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17663),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(9905),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(4870),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(7665),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1043),
    [sym_block_comment] = STATE(1043),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1459),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1463),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(1465),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(1469),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1471),
    [anon_sym_throw] = ACTIONS(1473),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1044] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym__indentable_expression] = STATE(15376),
    [sym_block] = STATE(10944),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(15239),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1044),
    [sym_block_comment] = STATE(1044),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [1045] = {
    [sym_type_parameters] = STATE(19228),
    [sym_inline_modifier] = STATE(2467),
    [sym__indentable_expression] = STATE(14975),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6822),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17483),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10622),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5644),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1045),
    [sym_block_comment] = STATE(1045),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(2349),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_try] = ACTIONS(2353),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2357),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2359),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1046] = {
    [sym_type_parameters] = STATE(19228),
    [sym_inline_modifier] = STATE(2467),
    [sym__indentable_expression] = STATE(13866),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6822),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17483),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10622),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5644),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1046),
    [sym_block_comment] = STATE(1046),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(2349),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_try] = ACTIONS(2353),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2357),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2359),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1047] = {
    [sym_type_parameters] = STATE(19228),
    [sym_inline_modifier] = STATE(2467),
    [sym__indentable_expression] = STATE(15052),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6822),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17483),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10622),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5644),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1047),
    [sym_block_comment] = STATE(1047),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(2349),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_try] = ACTIONS(2353),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2357),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2359),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1048] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym__indentable_expression] = STATE(15670),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1048),
    [sym_block_comment] = STATE(1048),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1049] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(19560),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1439),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1049),
    [sym_block_comment] = STATE(1049),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1050] = {
    [sym_type_parameters] = STATE(19107),
    [sym_inline_modifier] = STATE(2445),
    [sym__indentable_expression] = STATE(14266),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(5929),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17658),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10255),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5067),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8244),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1050),
    [sym_block_comment] = STATE(1050),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_try] = ACTIONS(1721),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(1723),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(1727),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_throw] = ACTIONS(1731),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1051] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(14999),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1051),
    [sym_block_comment] = STATE(1051),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1052] = {
    [sym_type_parameters] = STATE(19091),
    [sym_inline_modifier] = STATE(2441),
    [sym__indentable_expression] = STATE(14991),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6891),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17610),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(10746),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5688),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(9054),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1052),
    [sym_block_comment] = STATE(1052),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_while] = ACTIONS(2439),
    [anon_sym_for] = ACTIONS(2441),
    [anon_sym_try] = ACTIONS(2443),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2445),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2447),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2449),
    [anon_sym_throw] = ACTIONS(2451),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1053] = {
    [sym_type_parameters] = STATE(19228),
    [sym_inline_modifier] = STATE(2467),
    [sym__indentable_expression] = STATE(13627),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6822),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17483),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10622),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5644),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1053),
    [sym_block_comment] = STATE(1053),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(2349),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_try] = ACTIONS(2353),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2357),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2359),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1054] = {
    [sym_type_parameters] = STATE(19091),
    [sym_inline_modifier] = STATE(2441),
    [sym__indentable_expression] = STATE(15080),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6891),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17610),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(10746),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5688),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(9054),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1054),
    [sym_block_comment] = STATE(1054),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_while] = ACTIONS(2439),
    [anon_sym_for] = ACTIONS(2441),
    [anon_sym_try] = ACTIONS(2443),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2445),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2447),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2449),
    [anon_sym_throw] = ACTIONS(2451),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1055] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(15045),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1055),
    [sym_block_comment] = STATE(1055),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1056] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18783),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1056),
    [sym_block_comment] = STATE(1056),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1057] = {
    [sym_type_parameters] = STATE(19115),
    [sym_inline_modifier] = STATE(2449),
    [sym__indentable_expression] = STATE(14303),
    [sym_block] = STATE(9793),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(14690),
    [sym__simple_expression] = STATE(6296),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17754),
    [sym_case_block] = STATE(9793),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(9793),
    [sym_call_expression] = STATE(9793),
    [sym_field_expression] = STATE(9793),
    [sym_instance_expression] = STATE(9793),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(10680),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(18810),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(10068),
    [sym_tuple_expression] = STATE(9793),
    [sym_parenthesized_expression] = STATE(9793),
    [sym_splice_expression] = STATE(9793),
    [sym_quote_expression] = STATE(9793),
    [sym_identifier] = STATE(5289),
    [sym__soft_identifier] = STATE(4682),
    [sym_wildcard] = STATE(8440),
    [sym__non_null_literal] = STATE(9793),
    [sym_boolean_literal] = STATE(9544),
    [sym_interpolated_string_expression] = STATE(9793),
    [sym_string] = STATE(9544),
    [sym_unit] = STATE(9793),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1057),
    [sym_block_comment] = STATE(1057),
    [sym__alpha_identifier] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym__] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_end] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1875),
    [anon_sym_while] = ACTIONS(1877),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_try] = ACTIONS(1881),
    [anon_sym_new] = ACTIONS(1339),
    [anon_sym_opaque] = ACTIONS(1337),
    [anon_sym_implicit] = ACTIONS(1883),
    [anon_sym_inline] = ACTIONS(1341),
    [anon_sym_infix] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_transparent] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_macro] = ACTIONS(1885),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_DOLLAR] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [sym__backquoted_id] = ACTIONS(1349),
    [sym_operator_identifier] = ACTIONS(1887),
    [sym_integer_literal] = ACTIONS(1353),
    [sym_floating_point_literal] = ACTIONS(1355),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [sym_character_literal] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_throw] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1361),
    [sym__simple_string] = ACTIONS(1361),
  },
  [1058] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(14964),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1058),
    [sym_block_comment] = STATE(1058),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1059] = {
    [sym_type_parameters] = STATE(19099),
    [sym_inline_modifier] = STATE(2443),
    [sym__indentable_expression] = STATE(15099),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(6986),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17503),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(5790),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9373),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1059),
    [sym_block_comment] = STATE(1059),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2453),
    [anon_sym_while] = ACTIONS(2455),
    [anon_sym_for] = ACTIONS(2457),
    [anon_sym_try] = ACTIONS(2459),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2461),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2465),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2467),
    [anon_sym_throw] = ACTIONS(2469),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1060] = {
    [sym_type_parameters] = STATE(19228),
    [sym_inline_modifier] = STATE(2467),
    [sym__indentable_expression] = STATE(13632),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6822),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17483),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10622),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5644),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1060),
    [sym_block_comment] = STATE(1060),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(2349),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_try] = ACTIONS(2353),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2357),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2359),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1061] = {
    [sym_type_parameters] = STATE(19099),
    [sym_inline_modifier] = STATE(2443),
    [sym__indentable_expression] = STATE(15078),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(6986),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17503),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(5790),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9373),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1061),
    [sym_block_comment] = STATE(1061),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2453),
    [anon_sym_while] = ACTIONS(2455),
    [anon_sym_for] = ACTIONS(2457),
    [anon_sym_try] = ACTIONS(2459),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2461),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2465),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2467),
    [anon_sym_throw] = ACTIONS(2469),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1062] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(15076),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1062),
    [sym_block_comment] = STATE(1062),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1063] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18171),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1479),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1063),
    [sym_block_comment] = STATE(1063),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1064] = {
    [sym_type_parameters] = STATE(19193),
    [sym_inline_modifier] = STATE(2462),
    [sym__indentable_expression] = STATE(14704),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6717),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17709),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10599),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8740),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1064),
    [sym_block_comment] = STATE(1064),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(2305),
    [anon_sym_for] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2311),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2313),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1065] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym__indentable_expression] = STATE(15854),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1065),
    [sym_block_comment] = STATE(1065),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1066] = {
    [sym_type_parameters] = STATE(19242),
    [sym_inline_modifier] = STATE(2470),
    [sym__indentable_expression] = STATE(14527),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5573),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17585),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9764),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4962),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7178),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(1066),
    [sym_block_comment] = STATE(1066),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_try] = ACTIONS(1499),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1501),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1505),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [1067] = {
    [sym_type_parameters] = STATE(19228),
    [sym_inline_modifier] = STATE(2467),
    [sym__indentable_expression] = STATE(13645),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6822),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17483),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10622),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5644),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1067),
    [sym_block_comment] = STATE(1067),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(2349),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_try] = ACTIONS(2353),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2357),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2359),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1068] = {
    [sym_type_parameters] = STATE(19242),
    [sym_inline_modifier] = STATE(2470),
    [sym__indentable_expression] = STATE(14397),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5573),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17585),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9764),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4962),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7178),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(1068),
    [sym_block_comment] = STATE(1068),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_try] = ACTIONS(1499),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1501),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1505),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [1069] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym__indentable_expression] = STATE(15596),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1069),
    [sym_block_comment] = STATE(1069),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1070] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18920),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1499),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1070),
    [sym_block_comment] = STATE(1070),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1071] = {
    [sym_type_parameters] = STATE(19221),
    [sym_inline_modifier] = STATE(2466),
    [sym__indentable_expression] = STATE(14062),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17385),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9917),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4878),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7216),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1071),
    [sym_block_comment] = STATE(1071),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2343),
    [anon_sym_while] = ACTIONS(2277),
    [anon_sym_for] = ACTIONS(2279),
    [anon_sym_try] = ACTIONS(2281),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(2283),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(2285),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1072] = {
    [sym_type_parameters] = STATE(19115),
    [sym_inline_modifier] = STATE(2449),
    [sym__indentable_expression] = STATE(14872),
    [sym_block] = STATE(9793),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(14690),
    [sym__simple_expression] = STATE(6296),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17754),
    [sym_case_block] = STATE(9793),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(9793),
    [sym_call_expression] = STATE(9793),
    [sym_field_expression] = STATE(9793),
    [sym_instance_expression] = STATE(9793),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(10680),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(18810),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(10068),
    [sym_tuple_expression] = STATE(9793),
    [sym_parenthesized_expression] = STATE(9793),
    [sym_splice_expression] = STATE(9793),
    [sym_quote_expression] = STATE(9793),
    [sym_identifier] = STATE(5289),
    [sym__soft_identifier] = STATE(4682),
    [sym_wildcard] = STATE(8440),
    [sym__non_null_literal] = STATE(9793),
    [sym_boolean_literal] = STATE(9544),
    [sym_interpolated_string_expression] = STATE(9793),
    [sym_string] = STATE(9544),
    [sym_unit] = STATE(9793),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1072),
    [sym_block_comment] = STATE(1072),
    [sym__alpha_identifier] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym__] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_end] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1875),
    [anon_sym_while] = ACTIONS(1877),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_try] = ACTIONS(1881),
    [anon_sym_new] = ACTIONS(1339),
    [anon_sym_opaque] = ACTIONS(1337),
    [anon_sym_implicit] = ACTIONS(1883),
    [anon_sym_inline] = ACTIONS(1341),
    [anon_sym_infix] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_transparent] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_macro] = ACTIONS(1885),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_DOLLAR] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [sym__backquoted_id] = ACTIONS(1349),
    [sym_operator_identifier] = ACTIONS(1887),
    [sym_integer_literal] = ACTIONS(1353),
    [sym_floating_point_literal] = ACTIONS(1355),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [sym_character_literal] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_throw] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1361),
    [sym__simple_string] = ACTIONS(1361),
  },
  [1073] = {
    [sym_type_parameters] = STATE(19228),
    [sym_inline_modifier] = STATE(2467),
    [sym__indentable_expression] = STATE(13710),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6822),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17483),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10622),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5644),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1073),
    [sym_block_comment] = STATE(1073),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(2349),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_try] = ACTIONS(2353),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2357),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2359),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1074] = {
    [sym_type_parameters] = STATE(19115),
    [sym_inline_modifier] = STATE(2449),
    [sym__indentable_expression] = STATE(14787),
    [sym_block] = STATE(9793),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(14690),
    [sym__simple_expression] = STATE(6296),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17754),
    [sym_case_block] = STATE(9793),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(9793),
    [sym_call_expression] = STATE(9793),
    [sym_field_expression] = STATE(9793),
    [sym_instance_expression] = STATE(9793),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(10680),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(18810),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(10068),
    [sym_tuple_expression] = STATE(9793),
    [sym_parenthesized_expression] = STATE(9793),
    [sym_splice_expression] = STATE(9793),
    [sym_quote_expression] = STATE(9793),
    [sym_identifier] = STATE(5289),
    [sym__soft_identifier] = STATE(4682),
    [sym_wildcard] = STATE(8440),
    [sym__non_null_literal] = STATE(9793),
    [sym_boolean_literal] = STATE(9544),
    [sym_interpolated_string_expression] = STATE(9793),
    [sym_string] = STATE(9544),
    [sym_unit] = STATE(9793),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1074),
    [sym_block_comment] = STATE(1074),
    [sym__alpha_identifier] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym__] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_end] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1875),
    [anon_sym_while] = ACTIONS(1877),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_try] = ACTIONS(1881),
    [anon_sym_new] = ACTIONS(1339),
    [anon_sym_opaque] = ACTIONS(1337),
    [anon_sym_implicit] = ACTIONS(1883),
    [anon_sym_inline] = ACTIONS(1341),
    [anon_sym_infix] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_transparent] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_macro] = ACTIONS(1885),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_DOLLAR] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [sym__backquoted_id] = ACTIONS(1349),
    [sym_operator_identifier] = ACTIONS(1887),
    [sym_integer_literal] = ACTIONS(1353),
    [sym_floating_point_literal] = ACTIONS(1355),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [sym_character_literal] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_throw] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1361),
    [sym__simple_string] = ACTIONS(1361),
  },
  [1075] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym__indentable_expression] = STATE(14037),
    [sym_block] = STATE(10944),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(15239),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1075),
    [sym_block_comment] = STATE(1075),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [1076] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(19536),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1519),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1076),
    [sym_block_comment] = STATE(1076),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1077] = {
    [sym_type_parameters] = STATE(19228),
    [sym_inline_modifier] = STATE(2467),
    [sym__indentable_expression] = STATE(14711),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6822),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17483),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10622),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5644),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1077),
    [sym_block_comment] = STATE(1077),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(2349),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_try] = ACTIONS(2353),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2357),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2359),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1078] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym__indentable_expression] = STATE(15709),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1078),
    [sym_block_comment] = STATE(1078),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1079] = {
    [sym_type_parameters] = STATE(19123),
    [sym_inline_modifier] = STATE(2451),
    [sym__indentable_expression] = STATE(15497),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8318),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17393),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11156),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6713),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(10010),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1079),
    [sym_block_comment] = STATE(1079),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2958),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2962),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2966),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2968),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1080] = {
    [sym_type_parameters] = STATE(19228),
    [sym_inline_modifier] = STATE(2467),
    [sym__indentable_expression] = STATE(13716),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6822),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17483),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10622),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5644),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1080),
    [sym_block_comment] = STATE(1080),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(2349),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_try] = ACTIONS(2353),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2357),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2359),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1081] = {
    [sym_type_parameters] = STATE(19123),
    [sym_inline_modifier] = STATE(2451),
    [sym__indentable_expression] = STATE(15437),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8318),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17393),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11156),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6713),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(10010),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1081),
    [sym_block_comment] = STATE(1081),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2958),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2962),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2966),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2968),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1082] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym__indentable_expression] = STATE(15733),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1082),
    [sym_block_comment] = STATE(1082),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1083] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18486),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1539),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1083),
    [sym_block_comment] = STATE(1083),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1084] = {
    [sym_type_parameters] = STATE(19151),
    [sym_inline_modifier] = STATE(2457),
    [sym__indentable_expression] = STATE(13962),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5655),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17577),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(9915),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4803),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(7495),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1084),
    [sym_block_comment] = STATE(1084),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_try] = ACTIONS(1483),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1485),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1487),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_throw] = ACTIONS(1491),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1085] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(15063),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1085),
    [sym_block_comment] = STATE(1085),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1086] = {
    [sym_type_parameters] = STATE(19277),
    [sym_inline_modifier] = STATE(2475),
    [sym__indentable_expression] = STATE(14883),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6187),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17744),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9999),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5249),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8308),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1086),
    [sym_block_comment] = STATE(1086),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(2611),
    [anon_sym_for] = ACTIONS(2613),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2619),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2623),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1087] = {
    [sym_type_parameters] = STATE(19228),
    [sym_inline_modifier] = STATE(2467),
    [sym__indentable_expression] = STATE(13730),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6822),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17483),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10622),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5644),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1087),
    [sym_block_comment] = STATE(1087),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(2349),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_try] = ACTIONS(2353),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2357),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2359),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1088] = {
    [sym_type_parameters] = STATE(19277),
    [sym_inline_modifier] = STATE(2475),
    [sym__indentable_expression] = STATE(14827),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6187),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17744),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9999),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5249),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8308),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1088),
    [sym_block_comment] = STATE(1088),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(2611),
    [anon_sym_for] = ACTIONS(2613),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2619),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2623),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1089] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(14940),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1089),
    [sym_block_comment] = STATE(1089),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1090] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(17815),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1562),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1090),
    [sym_block_comment] = STATE(1090),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1091] = {
    [sym_type_parameters] = STATE(19165),
    [sym_inline_modifier] = STATE(2459),
    [sym__indentable_expression] = STATE(13970),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(5480),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17663),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(9905),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(4870),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(7665),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1091),
    [sym_block_comment] = STATE(1091),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1459),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1463),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(1465),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(1469),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1471),
    [anon_sym_throw] = ACTIONS(1473),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1092] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym__indentable_expression] = STATE(15784),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1092),
    [sym_block_comment] = STATE(1092),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1093] = {
    [sym_type_parameters] = STATE(19256),
    [sym_inline_modifier] = STATE(2472),
    [sym__indentable_expression] = STATE(15081),
    [sym_block] = STATE(10196),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(14785),
    [sym__simple_expression] = STATE(6665),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17671),
    [sym_case_block] = STATE(10196),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(10196),
    [sym_call_expression] = STATE(10196),
    [sym_field_expression] = STATE(10196),
    [sym_instance_expression] = STATE(10196),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(10922),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18163),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(10591),
    [sym_tuple_expression] = STATE(10196),
    [sym_parenthesized_expression] = STATE(10196),
    [sym_splice_expression] = STATE(10196),
    [sym_quote_expression] = STATE(10196),
    [sym_identifier] = STATE(5739),
    [sym__soft_identifier] = STATE(4721),
    [sym_wildcard] = STATE(9421),
    [sym__non_null_literal] = STATE(10196),
    [sym_boolean_literal] = STATE(10049),
    [sym_interpolated_string_expression] = STATE(10196),
    [sym_string] = STATE(10049),
    [sym_unit] = STATE(10196),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1093),
    [sym_block_comment] = STATE(1093),
    [sym__alpha_identifier] = ACTIONS(1789),
    [anon_sym_LBRACE] = ACTIONS(1793),
    [anon_sym__] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_end] = ACTIONS(1799),
    [anon_sym_if] = ACTIONS(1983),
    [anon_sym_while] = ACTIONS(1985),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1801),
    [anon_sym_opaque] = ACTIONS(1799),
    [anon_sym_implicit] = ACTIONS(1991),
    [anon_sym_inline] = ACTIONS(1803),
    [anon_sym_infix] = ACTIONS(1799),
    [anon_sym_open] = ACTIONS(1799),
    [anon_sym_transparent] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [anon_sym_macro] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(1797),
    [anon_sym_TILDE] = ACTIONS(1797),
    [anon_sym_DOLLAR] = ACTIONS(1807),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [sym__backquoted_id] = ACTIONS(1811),
    [sym_operator_identifier] = ACTIONS(1995),
    [sym_integer_literal] = ACTIONS(1815),
    [sym_floating_point_literal] = ACTIONS(1817),
    [anon_sym_true] = ACTIONS(1819),
    [anon_sym_false] = ACTIONS(1819),
    [sym_character_literal] = ACTIONS(1817),
    [sym_null_literal] = ACTIONS(1821),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_throw] = ACTIONS(1999),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1823),
    [sym__simple_string] = ACTIONS(1823),
  },
  [1094] = {
    [sym_type_parameters] = STATE(19228),
    [sym_inline_modifier] = STATE(2467),
    [sym__indentable_expression] = STATE(13732),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6822),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17483),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10622),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5644),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1094),
    [sym_block_comment] = STATE(1094),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(2349),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_try] = ACTIONS(2353),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2357),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2359),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1095] = {
    [sym_type_parameters] = STATE(19256),
    [sym_inline_modifier] = STATE(2472),
    [sym__indentable_expression] = STATE(14952),
    [sym_block] = STATE(10196),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(14785),
    [sym__simple_expression] = STATE(6665),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17671),
    [sym_case_block] = STATE(10196),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(10196),
    [sym_call_expression] = STATE(10196),
    [sym_field_expression] = STATE(10196),
    [sym_instance_expression] = STATE(10196),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(10922),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18163),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(10591),
    [sym_tuple_expression] = STATE(10196),
    [sym_parenthesized_expression] = STATE(10196),
    [sym_splice_expression] = STATE(10196),
    [sym_quote_expression] = STATE(10196),
    [sym_identifier] = STATE(5739),
    [sym__soft_identifier] = STATE(4721),
    [sym_wildcard] = STATE(9421),
    [sym__non_null_literal] = STATE(10196),
    [sym_boolean_literal] = STATE(10049),
    [sym_interpolated_string_expression] = STATE(10196),
    [sym_string] = STATE(10049),
    [sym_unit] = STATE(10196),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1095),
    [sym_block_comment] = STATE(1095),
    [sym__alpha_identifier] = ACTIONS(1789),
    [anon_sym_LBRACE] = ACTIONS(1793),
    [anon_sym__] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_end] = ACTIONS(1799),
    [anon_sym_if] = ACTIONS(1983),
    [anon_sym_while] = ACTIONS(1985),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1801),
    [anon_sym_opaque] = ACTIONS(1799),
    [anon_sym_implicit] = ACTIONS(1991),
    [anon_sym_inline] = ACTIONS(1803),
    [anon_sym_infix] = ACTIONS(1799),
    [anon_sym_open] = ACTIONS(1799),
    [anon_sym_transparent] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [anon_sym_macro] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(1797),
    [anon_sym_TILDE] = ACTIONS(1797),
    [anon_sym_DOLLAR] = ACTIONS(1807),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [sym__backquoted_id] = ACTIONS(1811),
    [sym_operator_identifier] = ACTIONS(1995),
    [sym_integer_literal] = ACTIONS(1815),
    [sym_floating_point_literal] = ACTIONS(1817),
    [anon_sym_true] = ACTIONS(1819),
    [anon_sym_false] = ACTIONS(1819),
    [sym_character_literal] = ACTIONS(1817),
    [sym_null_literal] = ACTIONS(1821),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_throw] = ACTIONS(1999),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1823),
    [sym__simple_string] = ACTIONS(1823),
  },
  [1096] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(15068),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1096),
    [sym_block_comment] = STATE(1096),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1097] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18026),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1587),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1097),
    [sym_block_comment] = STATE(1097),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1098] = {
    [sym_type_parameters] = STATE(19043),
    [sym_inline_modifier] = STATE(2433),
    [sym__indentable_expression] = STATE(14388),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(6777),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17580),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(10498),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(5353),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(8805),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1098),
    [sym_block_comment] = STATE(1098),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2169),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2173),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2175),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1099] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(15094),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1099),
    [sym_block_comment] = STATE(1099),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1100] = {
    [sym_type_parameters] = STATE(19144),
    [sym_inline_modifier] = STATE(2455),
    [sym__indentable_expression] = STATE(15396),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8591),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17537),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11118),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6819),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1100),
    [sym_block_comment] = STATE(1100),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2974),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2978),
    [anon_sym_try] = ACTIONS(2980),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2982),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2984),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2986),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1101] = {
    [sym_type_parameters] = STATE(19228),
    [sym_inline_modifier] = STATE(2467),
    [sym__indentable_expression] = STATE(13735),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6822),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17483),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10622),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5644),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1101),
    [sym_block_comment] = STATE(1101),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(2349),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_try] = ACTIONS(2353),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2357),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2359),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1102] = {
    [sym_type_parameters] = STATE(19144),
    [sym_inline_modifier] = STATE(2455),
    [sym__indentable_expression] = STATE(15400),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8591),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17537),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11118),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6819),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1102),
    [sym_block_comment] = STATE(1102),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2974),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2978),
    [anon_sym_try] = ACTIONS(2980),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2982),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2984),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2986),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1103] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(14958),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1103),
    [sym_block_comment] = STATE(1103),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1104] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18261),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1609),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1104),
    [sym_block_comment] = STATE(1104),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1105] = {
    [sym_type_parameters] = STATE(19107),
    [sym_inline_modifier] = STATE(2445),
    [sym__indentable_expression] = STATE(14099),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(5929),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17658),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10255),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5067),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8244),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1105),
    [sym_block_comment] = STATE(1105),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_try] = ACTIONS(1721),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(1723),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(1727),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_throw] = ACTIONS(1731),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1106] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym__indentable_expression] = STATE(15537),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1106),
    [sym_block_comment] = STATE(1106),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1107] = {
    [sym_type_parameters] = STATE(19151),
    [sym_inline_modifier] = STATE(2457),
    [sym__indentable_expression] = STATE(14537),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5655),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17577),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(9915),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4803),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(7495),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1107),
    [sym_block_comment] = STATE(1107),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_try] = ACTIONS(1483),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1485),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1487),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_throw] = ACTIONS(1491),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1108] = {
    [sym_type_parameters] = STATE(19228),
    [sym_inline_modifier] = STATE(2467),
    [sym__indentable_expression] = STATE(13736),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6822),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17483),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10622),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5644),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1108),
    [sym_block_comment] = STATE(1108),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(2349),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_try] = ACTIONS(2353),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2357),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2359),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1109] = {
    [sym_type_parameters] = STATE(19151),
    [sym_inline_modifier] = STATE(2457),
    [sym__indentable_expression] = STATE(14701),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5655),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17577),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(9915),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4803),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(7495),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1109),
    [sym_block_comment] = STATE(1109),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_try] = ACTIONS(1483),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1485),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1487),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_throw] = ACTIONS(1491),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1110] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym__indentable_expression] = STATE(15551),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1110),
    [sym_block_comment] = STATE(1110),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1111] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18495),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1111),
    [sym_block_comment] = STATE(1111),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1112] = {
    [sym_type_parameters] = STATE(19242),
    [sym_inline_modifier] = STATE(2470),
    [sym__indentable_expression] = STATE(13760),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5573),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17585),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9764),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4962),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7178),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(1112),
    [sym_block_comment] = STATE(1112),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_try] = ACTIONS(1499),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1501),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1505),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [1113] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym__indentable_expression] = STATE(15562),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1113),
    [sym_block_comment] = STATE(1113),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1114] = {
    [sym_type_parameters] = STATE(19284),
    [sym_inline_modifier] = STATE(2476),
    [sym__indentable_expression] = STATE(14757),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(6205),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17342),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9957),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(5057),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(8435),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1114),
    [sym_block_comment] = STATE(1114),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_try] = ACTIONS(1625),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1631),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1633),
    [anon_sym_throw] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [1115] = {
    [sym_type_parameters] = STATE(19228),
    [sym_inline_modifier] = STATE(2467),
    [sym__indentable_expression] = STATE(13738),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6822),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17483),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10622),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5644),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1115),
    [sym_block_comment] = STATE(1115),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(2349),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_try] = ACTIONS(2353),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2357),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2359),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1116] = {
    [sym_type_parameters] = STATE(19284),
    [sym_inline_modifier] = STATE(2476),
    [sym__indentable_expression] = STATE(14887),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(6205),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17342),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9957),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(5057),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(8435),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1116),
    [sym_block_comment] = STATE(1116),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_try] = ACTIONS(1625),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1631),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1633),
    [anon_sym_throw] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [1117] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym__indentable_expression] = STATE(15588),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1117),
    [sym_block_comment] = STATE(1117),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1118] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18713),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1665),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1118),
    [sym_block_comment] = STATE(1118),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1119] = {
    [sym_type_parameters] = STATE(19193),
    [sym_inline_modifier] = STATE(2462),
    [sym__indentable_expression] = STATE(14529),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6717),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17709),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10599),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8740),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1119),
    [sym_block_comment] = STATE(1119),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(2305),
    [anon_sym_for] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2311),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2313),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1120] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(14980),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1120),
    [sym_block_comment] = STATE(1120),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1121] = {
    [sym_type_parameters] = STATE(19165),
    [sym_inline_modifier] = STATE(2459),
    [sym__indentable_expression] = STATE(14551),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(5480),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17663),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(9905),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(4870),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(7665),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1121),
    [sym_block_comment] = STATE(1121),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1459),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1463),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(1465),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(1469),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1471),
    [anon_sym_throw] = ACTIONS(1473),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1122] = {
    [sym_type_parameters] = STATE(19165),
    [sym_inline_modifier] = STATE(2459),
    [sym__indentable_expression] = STATE(14673),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(5480),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17663),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(9905),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(4870),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(7665),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1122),
    [sym_block_comment] = STATE(1122),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1459),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1463),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(1465),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(1469),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1471),
    [anon_sym_throw] = ACTIONS(1473),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1123] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym__indentable_expression] = STATE(15641),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1123),
    [sym_block_comment] = STATE(1123),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1124] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18926),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1679),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1124),
    [sym_block_comment] = STATE(1124),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1125] = {
    [sym_type_parameters] = STATE(19067),
    [sym_inline_modifier] = STATE(2437),
    [sym__indentable_expression] = STATE(14943),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8301),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17572),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11110),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6708),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(10134),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1125),
    [sym_block_comment] = STATE(1125),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2203),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2207),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1126] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(14973),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1126),
    [sym_block_comment] = STATE(1126),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1127] = {
    [sym_type_parameters] = STATE(19291),
    [sym_inline_modifier] = STATE(2477),
    [sym__indentable_expression] = STATE(14803),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17354),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10022),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(5125),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(8569),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1127),
    [sym_block_comment] = STATE(1127),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_while] = ACTIONS(1677),
    [anon_sym_for] = ACTIONS(1679),
    [anon_sym_try] = ACTIONS(1681),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(1687),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(1689),
    [anon_sym_throw] = ACTIONS(1691),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1128] = {
    [sym_type_parameters] = STATE(19235),
    [sym_inline_modifier] = STATE(2468),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(14420),
    [sym__simple_expression] = STATE(8861),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17540),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7253),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10745),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1128),
    [sym_block_comment] = STATE(1128),
    [sym__alpha_identifier] = ACTIONS(3042),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(3045),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(3048),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2143),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(3048),
    [anon_sym_implicit] = ACTIONS(2149),
    [anon_sym_inline] = ACTIONS(3051),
    [anon_sym_infix] = ACTIONS(3048),
    [anon_sym_open] = ACTIONS(3048),
    [anon_sym_transparent] = ACTIONS(3048),
    [anon_sym_LPAREN] = ACTIONS(3054),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(3057),
    [sym_operator_identifier] = ACTIONS(3060),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2153),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(3063),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1129] = {
    [sym_type_parameters] = STATE(19291),
    [sym_inline_modifier] = STATE(2477),
    [sym__indentable_expression] = STATE(14830),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17354),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10022),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(5125),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(8569),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1129),
    [sym_block_comment] = STATE(1129),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_while] = ACTIONS(1677),
    [anon_sym_for] = ACTIONS(1679),
    [anon_sym_try] = ACTIONS(1681),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(1687),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(1689),
    [anon_sym_throw] = ACTIONS(1691),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1130] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym__indentable_expression] = STATE(15675),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1130),
    [sym_block_comment] = STATE(1130),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1131] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(19316),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1694),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1131),
    [sym_block_comment] = STATE(1131),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1132] = {
    [sym_type_parameters] = STATE(19263),
    [sym_inline_modifier] = STATE(2473),
    [sym__indentable_expression] = STATE(14197),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(6189),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17703),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10035),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5250),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1132),
    [sym_block_comment] = STATE(1132),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(2369),
    [anon_sym_while] = ACTIONS(2001),
    [anon_sym_for] = ACTIONS(2003),
    [anon_sym_try] = ACTIONS(2005),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(2009),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(2011),
    [anon_sym_throw] = ACTIONS(2013),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1133] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym__indentable_expression] = STATE(15683),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1133),
    [sym_block_comment] = STATE(1133),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1134] = {
    [sym_type_parameters] = STATE(19186),
    [sym_inline_modifier] = STATE(2461),
    [sym__indentable_expression] = STATE(15070),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17404),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10427),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5656),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(9159),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(1134),
    [sym_block_comment] = STATE(1134),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2529),
    [anon_sym_while] = ACTIONS(2531),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2541),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [1135] = {
    [sym_type_parameters] = STATE(19235),
    [sym_inline_modifier] = STATE(2468),
    [sym__indentable_expression] = STATE(14724),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(8861),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17540),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7253),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10745),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1135),
    [sym_block_comment] = STATE(1135),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2143),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2149),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2151),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2153),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1136] = {
    [sym_type_parameters] = STATE(19186),
    [sym_inline_modifier] = STATE(2461),
    [sym__indentable_expression] = STATE(14956),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17404),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10427),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5656),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(9159),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(1136),
    [sym_block_comment] = STATE(1136),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2529),
    [anon_sym_while] = ACTIONS(2531),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2541),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [1137] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18730),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1708),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1137),
    [sym_block_comment] = STATE(1137),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1138] = {
    [sym_type_parameters] = STATE(19270),
    [sym_inline_modifier] = STATE(2474),
    [sym__indentable_expression] = STATE(13655),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5637),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17719),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9894),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7246),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1138),
    [sym_block_comment] = STATE(1138),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1893),
    [anon_sym_for] = ACTIONS(1895),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1899),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1901),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1903),
    [anon_sym_throw] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1139] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym__indentable_expression] = STATE(15780),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1139),
    [sym_block_comment] = STATE(1139),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1140] = {
    [sym_type_parameters] = STATE(19186),
    [sym_inline_modifier] = STATE(2461),
    [sym__indentable_expression] = STATE(14990),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17404),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10427),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5656),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(9159),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(1140),
    [sym_block_comment] = STATE(1140),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2529),
    [anon_sym_while] = ACTIONS(2531),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2541),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [1141] = {
    [sym_type_parameters] = STATE(19186),
    [sym_inline_modifier] = STATE(2461),
    [sym__indentable_expression] = STATE(14944),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17404),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10427),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5656),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(9159),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(1141),
    [sym_block_comment] = STATE(1141),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2529),
    [anon_sym_while] = ACTIONS(2531),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2541),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [1142] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(17823),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1723),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1142),
    [sym_block_comment] = STATE(1142),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1143] = {
    [sym_type_parameters] = STATE(19221),
    [sym_inline_modifier] = STATE(2466),
    [sym__indentable_expression] = STATE(13717),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17385),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9917),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4878),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7216),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1143),
    [sym_block_comment] = STATE(1143),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2343),
    [anon_sym_while] = ACTIONS(2277),
    [anon_sym_for] = ACTIONS(2279),
    [anon_sym_try] = ACTIONS(2281),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(2283),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(2285),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1144] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(14750),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1144),
    [sym_block_comment] = STATE(1144),
    [sym__alpha_identifier] = ACTIONS(2990),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2993),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(2996),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2996),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2999),
    [anon_sym_infix] = ACTIONS(2996),
    [anon_sym_open] = ACTIONS(2996),
    [anon_sym_transparent] = ACTIONS(2996),
    [anon_sym_LPAREN] = ACTIONS(3002),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(3005),
    [sym_operator_identifier] = ACTIONS(3066),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(3011),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1145] = {
    [sym_type_parameters] = STATE(19193),
    [sym_inline_modifier] = STATE(2462),
    [sym__indentable_expression] = STATE(14979),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6717),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17709),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10599),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8740),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1145),
    [sym_block_comment] = STATE(1145),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(2305),
    [anon_sym_for] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2311),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2313),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1146] = {
    [sym_type_parameters] = STATE(19235),
    [sym_inline_modifier] = STATE(2468),
    [sym__indentable_expression] = STATE(14799),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(8861),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17540),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7253),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10745),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1146),
    [sym_block_comment] = STATE(1146),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2143),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2149),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2151),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2153),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1147] = {
    [sym_type_parameters] = STATE(19193),
    [sym_inline_modifier] = STATE(2462),
    [sym__indentable_expression] = STATE(14954),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6717),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17709),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10599),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8740),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1147),
    [sym_block_comment] = STATE(1147),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(2305),
    [anon_sym_for] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2311),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2313),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1148] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(19225),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1738),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1148),
    [sym_block_comment] = STATE(1148),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1149] = {
    [sym_type_parameters] = STATE(19228),
    [sym_inline_modifier] = STATE(2467),
    [sym__indentable_expression] = STATE(14661),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6822),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17483),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10622),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5644),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1149),
    [sym_block_comment] = STATE(1149),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(2349),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_try] = ACTIONS(2353),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2357),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2359),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1150] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(14962),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1150),
    [sym_block_comment] = STATE(1150),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1151] = {
    [sym_type_parameters] = STATE(19298),
    [sym_inline_modifier] = STATE(2478),
    [sym__indentable_expression] = STATE(15217),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7225),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17377),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10767),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6197),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9684),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1151),
    [sym_block_comment] = STATE(1151),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(2245),
    [anon_sym_for] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2253),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2255),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1152] = {
    [sym_type_parameters] = STATE(19235),
    [sym_inline_modifier] = STATE(2468),
    [sym__indentable_expression] = STATE(14800),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(8861),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17540),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7253),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10745),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1152),
    [sym_block_comment] = STATE(1152),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2143),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2149),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2151),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2153),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1153] = {
    [sym_type_parameters] = STATE(19298),
    [sym_inline_modifier] = STATE(2478),
    [sym__indentable_expression] = STATE(15221),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7225),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17377),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10767),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6197),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9684),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1153),
    [sym_block_comment] = STATE(1153),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(2245),
    [anon_sym_for] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2253),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2255),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1154] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18060),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1751),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1154),
    [sym_block_comment] = STATE(1154),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1155] = {
    [sym_type_parameters] = STATE(19075),
    [sym_inline_modifier] = STATE(2439),
    [sym__indentable_expression] = STATE(15018),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8573),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17664),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11137),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6815),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(9947),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1155),
    [sym_block_comment] = STATE(1155),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2211),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2219),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2221),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1156] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym__indentable_expression] = STATE(15467),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1156),
    [sym_block_comment] = STATE(1156),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1157] = {
    [sym_type_parameters] = STATE(19305),
    [sym_inline_modifier] = STATE(2479),
    [sym__indentable_expression] = STATE(15009),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6719),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17395),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10685),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5585),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(8745),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(1157),
    [sym_block_comment] = STATE(1157),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2659),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2635),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2637),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2639),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [1158] = {
    [sym_type_parameters] = STATE(19235),
    [sym_inline_modifier] = STATE(2468),
    [sym__indentable_expression] = STATE(14808),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(8861),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17540),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7253),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10745),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1158),
    [sym_block_comment] = STATE(1158),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2143),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2149),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2151),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2153),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1159] = {
    [sym_type_parameters] = STATE(19305),
    [sym_inline_modifier] = STATE(2479),
    [sym__indentable_expression] = STATE(15037),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6719),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17395),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10685),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5585),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(8745),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(1159),
    [sym_block_comment] = STATE(1159),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2659),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2635),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2637),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2639),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [1160] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18820),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1766),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1160),
    [sym_block_comment] = STATE(1160),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1161] = {
    [sym_type_parameters] = STATE(19242),
    [sym_inline_modifier] = STATE(2470),
    [sym__indentable_expression] = STATE(13791),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5573),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17585),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9764),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4962),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7178),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(1161),
    [sym_block_comment] = STATE(1161),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_try] = ACTIONS(1499),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1501),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1505),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [1162] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym_block] = STATE(10944),
    [sym_expression] = STATE(15175),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1162),
    [sym_block_comment] = STATE(1162),
    [ts_builtin_sym_end] = ACTIONS(1435),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [1163] = {
    [sym_type_parameters] = STATE(19312),
    [sym_inline_modifier] = STATE(2480),
    [sym__indentable_expression] = STATE(14843),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6229),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17408),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9962),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5279),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8585),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1163),
    [sym_block_comment] = STATE(1163),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2713),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_try] = ACTIONS(2019),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2021),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2025),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1164] = {
    [sym_type_parameters] = STATE(19235),
    [sym_inline_modifier] = STATE(2468),
    [sym__indentable_expression] = STATE(14815),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(8861),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17540),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7253),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10745),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1164),
    [sym_block_comment] = STATE(1164),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2143),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2149),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2151),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2153),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1165] = {
    [sym_type_parameters] = STATE(19312),
    [sym_inline_modifier] = STATE(2480),
    [sym__indentable_expression] = STATE(14897),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6229),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17408),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9962),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5279),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8585),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1165),
    [sym_block_comment] = STATE(1165),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2713),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_try] = ACTIONS(2019),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2021),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2025),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1166] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(19308),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1781),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1166),
    [sym_block_comment] = STATE(1166),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1167] = {
    [sym_type_parameters] = STATE(19107),
    [sym_inline_modifier] = STATE(2445),
    [sym__indentable_expression] = STATE(14257),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(5929),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17658),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10255),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5067),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8244),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1167),
    [sym_block_comment] = STATE(1167),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_try] = ACTIONS(1721),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(1723),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(1727),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_throw] = ACTIONS(1731),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1168] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym__indentable_expression] = STATE(13955),
    [sym_block] = STATE(10944),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(15239),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1168),
    [sym_block_comment] = STATE(1168),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [1169] = {
    [sym_type_parameters] = STATE(19319),
    [sym_inline_modifier] = STATE(2481),
    [sym__indentable_expression] = STATE(14301),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5251),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17418),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4750),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6718),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1169),
    [sym_block_comment] = STATE(1169),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_try] = ACTIONS(1865),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1867),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1869),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1871),
    [anon_sym_throw] = ACTIONS(1873),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1170] = {
    [sym_type_parameters] = STATE(19235),
    [sym_inline_modifier] = STATE(2468),
    [sym__indentable_expression] = STATE(14848),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(8861),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17540),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7253),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10745),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1170),
    [sym_block_comment] = STATE(1170),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2143),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2149),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2151),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2153),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1171] = {
    [sym_type_parameters] = STATE(19319),
    [sym_inline_modifier] = STATE(2481),
    [sym__indentable_expression] = STATE(14211),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5251),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17418),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4750),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6718),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1171),
    [sym_block_comment] = STATE(1171),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_try] = ACTIONS(1865),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1867),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1869),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1871),
    [anon_sym_throw] = ACTIONS(1873),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1172] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18282),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(775),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1172),
    [sym_block_comment] = STATE(1172),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1173] = {
    [sym_type_parameters] = STATE(19115),
    [sym_inline_modifier] = STATE(2449),
    [sym__indentable_expression] = STATE(14364),
    [sym_block] = STATE(9793),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(14690),
    [sym__simple_expression] = STATE(6296),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17754),
    [sym_case_block] = STATE(9793),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(9793),
    [sym_call_expression] = STATE(9793),
    [sym_field_expression] = STATE(9793),
    [sym_instance_expression] = STATE(9793),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(10680),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(18810),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(10068),
    [sym_tuple_expression] = STATE(9793),
    [sym_parenthesized_expression] = STATE(9793),
    [sym_splice_expression] = STATE(9793),
    [sym_quote_expression] = STATE(9793),
    [sym_identifier] = STATE(5289),
    [sym__soft_identifier] = STATE(4682),
    [sym_wildcard] = STATE(8440),
    [sym__non_null_literal] = STATE(9793),
    [sym_boolean_literal] = STATE(9544),
    [sym_interpolated_string_expression] = STATE(9793),
    [sym_string] = STATE(9544),
    [sym_unit] = STATE(9793),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1173),
    [sym_block_comment] = STATE(1173),
    [sym__alpha_identifier] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym__] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_end] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1875),
    [anon_sym_while] = ACTIONS(1877),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_try] = ACTIONS(1881),
    [anon_sym_new] = ACTIONS(1339),
    [anon_sym_opaque] = ACTIONS(1337),
    [anon_sym_implicit] = ACTIONS(1883),
    [anon_sym_inline] = ACTIONS(1341),
    [anon_sym_infix] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_transparent] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_macro] = ACTIONS(1885),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_DOLLAR] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [sym__backquoted_id] = ACTIONS(1349),
    [sym_operator_identifier] = ACTIONS(1887),
    [sym_integer_literal] = ACTIONS(1353),
    [sym_floating_point_literal] = ACTIONS(1355),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [sym_character_literal] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_throw] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1361),
    [sym__simple_string] = ACTIONS(1361),
  },
  [1174] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym__indentable_expression] = STATE(15308),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1174),
    [sym_block_comment] = STATE(1174),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1175] = {
    [sym_type_parameters] = STATE(19228),
    [sym_inline_modifier] = STATE(2467),
    [sym__indentable_expression] = STATE(15096),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6822),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17483),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10622),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5644),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1175),
    [sym_block_comment] = STATE(1175),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(2349),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_try] = ACTIONS(2353),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2357),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2359),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1176] = {
    [sym_type_parameters] = STATE(19235),
    [sym_inline_modifier] = STATE(2468),
    [sym__indentable_expression] = STATE(14857),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(8861),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17540),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7253),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10745),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1176),
    [sym_block_comment] = STATE(1176),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2143),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2149),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2151),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2153),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1177] = {
    [sym_type_parameters] = STATE(19228),
    [sym_inline_modifier] = STATE(2467),
    [sym__indentable_expression] = STATE(14941),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6822),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17483),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10622),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5644),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1177),
    [sym_block_comment] = STATE(1177),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(2349),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_try] = ACTIONS(2353),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2357),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2359),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1178] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18034),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1178),
    [sym_block_comment] = STATE(1178),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1179] = {
    [sym_type_parameters] = STATE(19263),
    [sym_inline_modifier] = STATE(2473),
    [sym__indentable_expression] = STATE(14086),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(6189),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17703),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10035),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5250),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1179),
    [sym_block_comment] = STATE(1179),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(2369),
    [anon_sym_while] = ACTIONS(2001),
    [anon_sym_for] = ACTIONS(2003),
    [anon_sym_try] = ACTIONS(2005),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(2009),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(2011),
    [anon_sym_throw] = ACTIONS(2013),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1180] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(14999),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1180),
    [sym_block_comment] = STATE(1180),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1181] = {
    [sym_type_parameters] = STATE(19333),
    [sym_inline_modifier] = STATE(2483),
    [sym__indentable_expression] = STATE(15181),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7254),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17445),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10814),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6232),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9529),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1181),
    [sym_block_comment] = STATE(1181),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(2563),
    [anon_sym_for] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2569),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2571),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2573),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1182] = {
    [sym_type_parameters] = STATE(19235),
    [sym_inline_modifier] = STATE(2468),
    [sym__indentable_expression] = STATE(14864),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(8861),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17540),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7253),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10745),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1182),
    [sym_block_comment] = STATE(1182),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2143),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2149),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2151),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2153),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1183] = {
    [sym_type_parameters] = STATE(19333),
    [sym_inline_modifier] = STATE(2483),
    [sym__indentable_expression] = STATE(15186),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7254),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17445),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10814),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6232),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9529),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1183),
    [sym_block_comment] = STATE(1183),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(2563),
    [anon_sym_for] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2569),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2571),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2573),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1184] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18278),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1128),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1184),
    [sym_block_comment] = STATE(1184),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1185] = {
    [sym_type_parameters] = STATE(19270),
    [sym_inline_modifier] = STATE(2474),
    [sym__indentable_expression] = STATE(13751),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5637),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17719),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9894),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7246),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1185),
    [sym_block_comment] = STATE(1185),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1893),
    [anon_sym_for] = ACTIONS(1895),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1899),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1901),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1903),
    [anon_sym_throw] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1186] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(15045),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1186),
    [sym_block_comment] = STATE(1186),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1187] = {
    [sym_type_parameters] = STATE(19242),
    [sym_inline_modifier] = STATE(2470),
    [sym__indentable_expression] = STATE(14674),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5573),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17585),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9764),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4962),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7178),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(1187),
    [sym_block_comment] = STATE(1187),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_try] = ACTIONS(1499),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1501),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1505),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [1188] = {
    [sym_type_parameters] = STATE(19235),
    [sym_inline_modifier] = STATE(2468),
    [sym__indentable_expression] = STATE(14865),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(8861),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17540),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7253),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10745),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1188),
    [sym_block_comment] = STATE(1188),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2143),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2149),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2151),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2153),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1189] = {
    [sym_type_parameters] = STATE(19242),
    [sym_inline_modifier] = STATE(2470),
    [sym__indentable_expression] = STATE(14707),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5573),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17585),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9764),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4962),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7178),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(1189),
    [sym_block_comment] = STATE(1189),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_try] = ACTIONS(1499),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1501),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1505),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [1190] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18520),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1338),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1190),
    [sym_block_comment] = STATE(1190),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1191] = {
    [sym_type_parameters] = STATE(19319),
    [sym_inline_modifier] = STATE(2481),
    [sym__indentable_expression] = STATE(13298),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5251),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17418),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4750),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6718),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1191),
    [sym_block_comment] = STATE(1191),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_try] = ACTIONS(1865),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1867),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1869),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1871),
    [anon_sym_throw] = ACTIONS(1873),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1192] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(14964),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1192),
    [sym_block_comment] = STATE(1192),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1193] = {
    [sym_type_parameters] = STATE(19340),
    [sym_inline_modifier] = STATE(2484),
    [sym__indentable_expression] = STATE(14773),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6257),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17461),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10092),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5331),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(7952),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(1193),
    [sym_block_comment] = STATE(1193),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(1571),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(1575),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [1194] = {
    [sym_type_parameters] = STATE(19235),
    [sym_inline_modifier] = STATE(2468),
    [sym__indentable_expression] = STATE(14867),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(8861),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17540),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7253),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10745),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1194),
    [sym_block_comment] = STATE(1194),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2143),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2149),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2151),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2153),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1195] = {
    [sym_type_parameters] = STATE(19340),
    [sym_inline_modifier] = STATE(2484),
    [sym__indentable_expression] = STATE(14912),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6257),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17461),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10092),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5331),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(7952),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(1195),
    [sym_block_comment] = STATE(1195),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(1571),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(1575),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [1196] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18763),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1402),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1196),
    [sym_block_comment] = STATE(1196),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1197] = {
    [sym_type_parameters] = STATE(19151),
    [sym_inline_modifier] = STATE(2457),
    [sym__indentable_expression] = STATE(13957),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5655),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17577),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(9915),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4803),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(7495),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1197),
    [sym_block_comment] = STATE(1197),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_try] = ACTIONS(1483),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1485),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1487),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_throw] = ACTIONS(1491),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1198] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(15076),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1198),
    [sym_block_comment] = STATE(1198),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1199] = {
    [sym_type_parameters] = STATE(19256),
    [sym_inline_modifier] = STATE(2472),
    [sym__indentable_expression] = STATE(15092),
    [sym_block] = STATE(10196),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(14785),
    [sym__simple_expression] = STATE(6665),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17671),
    [sym_case_block] = STATE(10196),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(10196),
    [sym_call_expression] = STATE(10196),
    [sym_field_expression] = STATE(10196),
    [sym_instance_expression] = STATE(10196),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(10922),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18163),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(10591),
    [sym_tuple_expression] = STATE(10196),
    [sym_parenthesized_expression] = STATE(10196),
    [sym_splice_expression] = STATE(10196),
    [sym_quote_expression] = STATE(10196),
    [sym_identifier] = STATE(5739),
    [sym__soft_identifier] = STATE(4721),
    [sym_wildcard] = STATE(9421),
    [sym__non_null_literal] = STATE(10196),
    [sym_boolean_literal] = STATE(10049),
    [sym_interpolated_string_expression] = STATE(10196),
    [sym_string] = STATE(10049),
    [sym_unit] = STATE(10196),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1199),
    [sym_block_comment] = STATE(1199),
    [sym__alpha_identifier] = ACTIONS(1789),
    [anon_sym_LBRACE] = ACTIONS(1793),
    [anon_sym__] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_end] = ACTIONS(1799),
    [anon_sym_if] = ACTIONS(1983),
    [anon_sym_while] = ACTIONS(1985),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1801),
    [anon_sym_opaque] = ACTIONS(1799),
    [anon_sym_implicit] = ACTIONS(1991),
    [anon_sym_inline] = ACTIONS(1803),
    [anon_sym_infix] = ACTIONS(1799),
    [anon_sym_open] = ACTIONS(1799),
    [anon_sym_transparent] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [anon_sym_macro] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(1797),
    [anon_sym_TILDE] = ACTIONS(1797),
    [anon_sym_DOLLAR] = ACTIONS(1807),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [sym__backquoted_id] = ACTIONS(1811),
    [sym_operator_identifier] = ACTIONS(1995),
    [sym_integer_literal] = ACTIONS(1815),
    [sym_floating_point_literal] = ACTIONS(1817),
    [anon_sym_true] = ACTIONS(1819),
    [anon_sym_false] = ACTIONS(1819),
    [sym_character_literal] = ACTIONS(1817),
    [sym_null_literal] = ACTIONS(1821),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_throw] = ACTIONS(1999),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1823),
    [sym__simple_string] = ACTIONS(1823),
  },
  [1200] = {
    [sym_type_parameters] = STATE(19235),
    [sym_inline_modifier] = STATE(2468),
    [sym__indentable_expression] = STATE(14868),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(8861),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17540),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7253),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10745),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1200),
    [sym_block_comment] = STATE(1200),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2143),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2149),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2151),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2153),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1201] = {
    [sym_type_parameters] = STATE(19256),
    [sym_inline_modifier] = STATE(2472),
    [sym__indentable_expression] = STATE(14986),
    [sym_block] = STATE(10196),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(14785),
    [sym__simple_expression] = STATE(6665),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17671),
    [sym_case_block] = STATE(10196),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(10196),
    [sym_call_expression] = STATE(10196),
    [sym_field_expression] = STATE(10196),
    [sym_instance_expression] = STATE(10196),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(10922),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18163),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(10591),
    [sym_tuple_expression] = STATE(10196),
    [sym_parenthesized_expression] = STATE(10196),
    [sym_splice_expression] = STATE(10196),
    [sym_quote_expression] = STATE(10196),
    [sym_identifier] = STATE(5739),
    [sym__soft_identifier] = STATE(4721),
    [sym_wildcard] = STATE(9421),
    [sym__non_null_literal] = STATE(10196),
    [sym_boolean_literal] = STATE(10049),
    [sym_interpolated_string_expression] = STATE(10196),
    [sym_string] = STATE(10049),
    [sym_unit] = STATE(10196),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1201),
    [sym_block_comment] = STATE(1201),
    [sym__alpha_identifier] = ACTIONS(1789),
    [anon_sym_LBRACE] = ACTIONS(1793),
    [anon_sym__] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_end] = ACTIONS(1799),
    [anon_sym_if] = ACTIONS(1983),
    [anon_sym_while] = ACTIONS(1985),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1801),
    [anon_sym_opaque] = ACTIONS(1799),
    [anon_sym_implicit] = ACTIONS(1991),
    [anon_sym_inline] = ACTIONS(1803),
    [anon_sym_infix] = ACTIONS(1799),
    [anon_sym_open] = ACTIONS(1799),
    [anon_sym_transparent] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [anon_sym_macro] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(1797),
    [anon_sym_TILDE] = ACTIONS(1797),
    [anon_sym_DOLLAR] = ACTIONS(1807),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [sym__backquoted_id] = ACTIONS(1811),
    [sym_operator_identifier] = ACTIONS(1995),
    [sym_integer_literal] = ACTIONS(1815),
    [sym_floating_point_literal] = ACTIONS(1817),
    [anon_sym_true] = ACTIONS(1819),
    [anon_sym_false] = ACTIONS(1819),
    [sym_character_literal] = ACTIONS(1817),
    [sym_null_literal] = ACTIONS(1821),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_throw] = ACTIONS(1999),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1823),
    [sym__simple_string] = ACTIONS(1823),
  },
  [1202] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18972),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1445),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1202),
    [sym_block_comment] = STATE(1202),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1203] = {
    [sym_type_parameters] = STATE(19165),
    [sym_inline_modifier] = STATE(2459),
    [sym__indentable_expression] = STATE(13966),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(5480),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17663),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(9905),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(4870),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(7665),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1203),
    [sym_block_comment] = STATE(1203),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1459),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1463),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(1465),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(1469),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1471),
    [anon_sym_throw] = ACTIONS(1473),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1204] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym__indentable_expression] = STATE(15417),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1204),
    [sym_block_comment] = STATE(1204),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1205] = {
    [sym_type_parameters] = STATE(19235),
    [sym_inline_modifier] = STATE(2468),
    [sym__indentable_expression] = STATE(14874),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(8861),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17540),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7253),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10745),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1205),
    [sym_block_comment] = STATE(1205),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2143),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2149),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2151),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2153),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1206] = {
    [sym_type_parameters] = STATE(19347),
    [sym_inline_modifier] = STATE(2485),
    [sym__indentable_expression] = STATE(14473),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5581),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17473),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4880),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7226),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(1206),
    [sym_block_comment] = STATE(1206),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1551),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1555),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1557),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1559),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [1207] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(19135),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1489),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1207),
    [sym_block_comment] = STATE(1207),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1208] = {
    [sym_type_parameters] = STATE(19193),
    [sym_inline_modifier] = STATE(2462),
    [sym__indentable_expression] = STATE(14423),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6717),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17709),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10599),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8740),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1208),
    [sym_block_comment] = STATE(1208),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(2305),
    [anon_sym_for] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2311),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2313),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1209] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym__indentable_expression] = STATE(15303),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1209),
    [sym_block_comment] = STATE(1209),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1210] = {
    [sym_type_parameters] = STATE(19361),
    [sym_inline_modifier] = STATE(2487),
    [sym__indentable_expression] = STATE(14200),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5280),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17505),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8857),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4759),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6823),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1210),
    [sym_block_comment] = STATE(1210),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_while] = ACTIONS(1439),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1443),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1445),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1449),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1451),
    [anon_sym_throw] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1211] = {
    [sym_type_parameters] = STATE(19361),
    [sym_inline_modifier] = STATE(2487),
    [sym__indentable_expression] = STATE(14205),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5280),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17505),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8857),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4759),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6823),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1211),
    [sym_block_comment] = STATE(1211),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_while] = ACTIONS(1439),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1443),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1445),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1449),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1451),
    [anon_sym_throw] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1212] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(19287),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1534),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1212),
    [sym_block_comment] = STATE(1212),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1213] = {
    [sym_type_parameters] = STATE(19347),
    [sym_inline_modifier] = STATE(2485),
    [sym__indentable_expression] = STATE(13696),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5581),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17473),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4880),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7226),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(1213),
    [sym_block_comment] = STATE(1213),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1551),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1555),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1557),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1559),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [1214] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym__indentable_expression] = STATE(13857),
    [sym_block] = STATE(10944),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(15239),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1214),
    [sym_block_comment] = STATE(1214),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [1215] = {
    [sym_type_parameters] = STATE(19277),
    [sym_inline_modifier] = STATE(2475),
    [sym__indentable_expression] = STATE(14768),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6187),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17744),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9999),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5249),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8308),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1215),
    [sym_block_comment] = STATE(1215),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(2611),
    [anon_sym_for] = ACTIONS(2613),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2619),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2623),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1216] = {
    [sym_type_parameters] = STATE(19277),
    [sym_inline_modifier] = STATE(2475),
    [sym__indentable_expression] = STATE(14770),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6187),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17744),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9999),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5249),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8308),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1216),
    [sym_block_comment] = STATE(1216),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(2611),
    [anon_sym_for] = ACTIONS(2613),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2619),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2623),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1217] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(19409),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1571),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1217),
    [sym_block_comment] = STATE(1217),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1218] = {
    [sym_type_parameters] = STATE(19361),
    [sym_inline_modifier] = STATE(2487),
    [sym__indentable_expression] = STATE(13358),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5280),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17505),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8857),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4759),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6823),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1218),
    [sym_block_comment] = STATE(1218),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_while] = ACTIONS(1439),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1443),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1445),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1449),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1451),
    [anon_sym_throw] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1219] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym__indentable_expression] = STATE(15365),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1219),
    [sym_block_comment] = STATE(1219),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1220] = {
    [sym_type_parameters] = STATE(19284),
    [sym_inline_modifier] = STATE(2476),
    [sym__indentable_expression] = STATE(14870),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(6205),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17342),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9957),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(5057),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(8435),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1220),
    [sym_block_comment] = STATE(1220),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_try] = ACTIONS(1625),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1631),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1633),
    [anon_sym_throw] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [1221] = {
    [sym_type_parameters] = STATE(19284),
    [sym_inline_modifier] = STATE(2476),
    [sym__indentable_expression] = STATE(14879),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(6205),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17342),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9957),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(5057),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(8435),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1221),
    [sym_block_comment] = STATE(1221),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_try] = ACTIONS(1625),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1631),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1633),
    [anon_sym_throw] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [1222] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(19433),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1605),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1222),
    [sym_block_comment] = STATE(1222),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1223] = {
    [sym_type_parameters] = STATE(19319),
    [sym_inline_modifier] = STATE(2481),
    [sym__indentable_expression] = STATE(13396),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5251),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17418),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4750),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6718),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1223),
    [sym_block_comment] = STATE(1223),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_try] = ACTIONS(1865),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1867),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1869),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1871),
    [anon_sym_throw] = ACTIONS(1873),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1224] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym__indentable_expression] = STATE(15376),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1224),
    [sym_block_comment] = STATE(1224),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1225] = {
    [sym_type_parameters] = STATE(19291),
    [sym_inline_modifier] = STATE(2477),
    [sym__indentable_expression] = STATE(14737),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17354),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10022),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(5125),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(8569),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1225),
    [sym_block_comment] = STATE(1225),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_while] = ACTIONS(1677),
    [anon_sym_for] = ACTIONS(1679),
    [anon_sym_try] = ACTIONS(1681),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(1687),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(1689),
    [anon_sym_throw] = ACTIONS(1691),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1226] = {
    [sym_type_parameters] = STATE(19291),
    [sym_inline_modifier] = STATE(2477),
    [sym__indentable_expression] = STATE(14764),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17354),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10022),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(5125),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(8569),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1226),
    [sym_block_comment] = STATE(1226),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_while] = ACTIONS(1677),
    [anon_sym_for] = ACTIONS(1679),
    [anon_sym_try] = ACTIONS(1681),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(1687),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(1689),
    [anon_sym_throw] = ACTIONS(1691),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1227] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(19394),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1633),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1227),
    [sym_block_comment] = STATE(1227),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1228] = {
    [sym_type_parameters] = STATE(19221),
    [sym_inline_modifier] = STATE(2466),
    [sym__indentable_expression] = STATE(13806),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17385),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9917),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4878),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7216),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1228),
    [sym_block_comment] = STATE(1228),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2343),
    [anon_sym_while] = ACTIONS(2277),
    [anon_sym_for] = ACTIONS(2279),
    [anon_sym_try] = ACTIONS(2281),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(2283),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(2285),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1229] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(15063),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1229),
    [sym_block_comment] = STATE(1229),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1230] = {
    [sym_type_parameters] = STATE(19298),
    [sym_inline_modifier] = STATE(2478),
    [sym__indentable_expression] = STATE(15223),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7225),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17377),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10767),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6197),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9684),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1230),
    [sym_block_comment] = STATE(1230),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(2245),
    [anon_sym_for] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2253),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2255),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1231] = {
    [sym_type_parameters] = STATE(19298),
    [sym_inline_modifier] = STATE(2478),
    [sym__indentable_expression] = STATE(15245),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7225),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17377),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10767),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6197),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9684),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1231),
    [sym_block_comment] = STATE(1231),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(2245),
    [anon_sym_for] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2253),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2255),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1232] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18087),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(1662),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1232),
    [sym_block_comment] = STATE(1232),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1233] = {
    [sym_type_parameters] = STATE(19228),
    [sym_inline_modifier] = STATE(2467),
    [sym__indentable_expression] = STATE(14464),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6822),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17483),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10622),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5644),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1233),
    [sym_block_comment] = STATE(1233),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(2349),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_try] = ACTIONS(2353),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2357),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2359),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1234] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(14940),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1234),
    [sym_block_comment] = STATE(1234),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1235] = {
    [sym_type_parameters] = STATE(19305),
    [sym_inline_modifier] = STATE(2479),
    [sym__indentable_expression] = STATE(14959),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6719),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17395),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10685),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5585),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(8745),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(1235),
    [sym_block_comment] = STATE(1235),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2659),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2635),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2637),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2639),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [1236] = {
    [sym_type_parameters] = STATE(19305),
    [sym_inline_modifier] = STATE(2479),
    [sym__indentable_expression] = STATE(14971),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6719),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17395),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10685),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5585),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(8745),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(1236),
    [sym_block_comment] = STATE(1236),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2659),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2635),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2637),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2639),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [1237] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18480),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(761),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1237),
    [sym_block_comment] = STATE(1237),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1238] = {
    [sym_type_parameters] = STATE(19242),
    [sym_inline_modifier] = STATE(2470),
    [sym__indentable_expression] = STATE(13973),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5573),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17585),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9764),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4962),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7178),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(1238),
    [sym_block_comment] = STATE(1238),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_try] = ACTIONS(1499),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1501),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1505),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [1239] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym__indentable_expression] = STATE(15503),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1239),
    [sym_block_comment] = STATE(1239),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1240] = {
    [sym_type_parameters] = STATE(19312),
    [sym_inline_modifier] = STATE(2480),
    [sym__indentable_expression] = STATE(14845),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6229),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17408),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9962),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5279),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8585),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1240),
    [sym_block_comment] = STATE(1240),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2713),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_try] = ACTIONS(2019),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2021),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2025),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1241] = {
    [sym_type_parameters] = STATE(19312),
    [sym_inline_modifier] = STATE(2480),
    [sym__indentable_expression] = STATE(14851),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6229),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17408),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9962),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5279),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8585),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1241),
    [sym_block_comment] = STATE(1241),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2713),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_try] = ACTIONS(2019),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2021),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2025),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1242] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18840),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(776),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1242),
    [sym_block_comment] = STATE(1242),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1243] = {
    [sym_type_parameters] = STATE(19347),
    [sym_inline_modifier] = STATE(2485),
    [sym__indentable_expression] = STATE(13704),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5581),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17473),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4880),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7226),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(1243),
    [sym_block_comment] = STATE(1243),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1551),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1555),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1557),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1559),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [1244] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(15068),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1244),
    [sym_block_comment] = STATE(1244),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1245] = {
    [sym_type_parameters] = STATE(19319),
    [sym_inline_modifier] = STATE(2481),
    [sym__indentable_expression] = STATE(14378),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5251),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17418),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4750),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6718),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1245),
    [sym_block_comment] = STATE(1245),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_try] = ACTIONS(1865),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1867),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1869),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1871),
    [anon_sym_throw] = ACTIONS(1873),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1246] = {
    [sym_type_parameters] = STATE(19319),
    [sym_inline_modifier] = STATE(2481),
    [sym__indentable_expression] = STATE(14160),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5251),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17418),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4750),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6718),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1246),
    [sym_block_comment] = STATE(1246),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_try] = ACTIONS(1865),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1867),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1869),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1871),
    [anon_sym_throw] = ACTIONS(1873),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1247] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(19141),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(791),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1247),
    [sym_block_comment] = STATE(1247),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1248] = {
    [sym_type_parameters] = STATE(19263),
    [sym_inline_modifier] = STATE(2473),
    [sym__indentable_expression] = STATE(14182),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(6189),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17703),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10035),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5250),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1248),
    [sym_block_comment] = STATE(1248),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(2369),
    [anon_sym_while] = ACTIONS(2001),
    [anon_sym_for] = ACTIONS(2003),
    [anon_sym_try] = ACTIONS(2005),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(2009),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(2011),
    [anon_sym_throw] = ACTIONS(2013),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1249] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(15094),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1249),
    [sym_block_comment] = STATE(1249),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1250] = {
    [sym_type_parameters] = STATE(19375),
    [sym_inline_modifier] = STATE(2489),
    [sym__indentable_expression] = STATE(14593),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5584),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17531),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9590),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4881),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1250),
    [sym_block_comment] = STATE(1250),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2377),
    [anon_sym_while] = ACTIONS(2051),
    [anon_sym_for] = ACTIONS(2053),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(2057),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(2059),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_throw] = ACTIONS(2063),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [1251] = {
    [sym_type_parameters] = STATE(19375),
    [sym_inline_modifier] = STATE(2489),
    [sym__indentable_expression] = STATE(14598),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5584),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17531),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9590),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4881),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1251),
    [sym_block_comment] = STATE(1251),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2377),
    [anon_sym_while] = ACTIONS(2051),
    [anon_sym_for] = ACTIONS(2053),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(2057),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(2059),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_throw] = ACTIONS(2063),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [1252] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(17774),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(805),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1252),
    [sym_block_comment] = STATE(1252),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1253] = {
    [sym_type_parameters] = STATE(19361),
    [sym_inline_modifier] = STATE(2487),
    [sym__indentable_expression] = STATE(13421),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5280),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17505),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8857),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4759),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6823),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1253),
    [sym_block_comment] = STATE(1253),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_while] = ACTIONS(1439),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1443),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1445),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1449),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1451),
    [anon_sym_throw] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1254] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(14958),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1254),
    [sym_block_comment] = STATE(1254),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1255] = {
    [sym_type_parameters] = STATE(19333),
    [sym_inline_modifier] = STATE(2483),
    [sym__indentable_expression] = STATE(15218),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7254),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17445),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10814),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6232),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9529),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1255),
    [sym_block_comment] = STATE(1255),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(2563),
    [anon_sym_for] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2569),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2571),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2573),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1256] = {
    [sym_type_parameters] = STATE(19333),
    [sym_inline_modifier] = STATE(2483),
    [sym__indentable_expression] = STATE(15238),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7254),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17445),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10814),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6232),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9529),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1256),
    [sym_block_comment] = STATE(1256),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(2563),
    [anon_sym_for] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2569),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2571),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2573),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1257] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(17836),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(819),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1257),
    [sym_block_comment] = STATE(1257),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1258] = {
    [sym_type_parameters] = STATE(19270),
    [sym_inline_modifier] = STATE(2474),
    [sym__indentable_expression] = STATE(13867),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5637),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17719),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9894),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7246),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1258),
    [sym_block_comment] = STATE(1258),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1893),
    [anon_sym_for] = ACTIONS(1895),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1899),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1901),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1903),
    [anon_sym_throw] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1259] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym__indentable_expression] = STATE(15289),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1259),
    [sym_block_comment] = STATE(1259),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1260] = {
    [sym_type_parameters] = STATE(19340),
    [sym_inline_modifier] = STATE(2484),
    [sym__indentable_expression] = STATE(14837),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6257),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17461),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10092),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5331),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(7952),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(1260),
    [sym_block_comment] = STATE(1260),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(1571),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(1575),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [1261] = {
    [sym_type_parameters] = STATE(19340),
    [sym_inline_modifier] = STATE(2484),
    [sym__indentable_expression] = STATE(14849),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6257),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17461),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10092),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5331),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(7952),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(1261),
    [sym_block_comment] = STATE(1261),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(1571),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(1575),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [1262] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(17898),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(833),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1262),
    [sym_block_comment] = STATE(1262),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1263] = {
    [sym_type_parameters] = STATE(19319),
    [sym_inline_modifier] = STATE(2481),
    [sym__indentable_expression] = STATE(13451),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5251),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17418),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4750),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6718),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1263),
    [sym_block_comment] = STATE(1263),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_try] = ACTIONS(1865),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1867),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1869),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1871),
    [anon_sym_throw] = ACTIONS(1873),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1264] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym__indentable_expression] = STATE(15378),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1264),
    [sym_block_comment] = STATE(1264),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1265] = {
    [sym_type_parameters] = STATE(19347),
    [sym_inline_modifier] = STATE(2485),
    [sym__indentable_expression] = STATE(14460),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5581),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17473),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4880),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7226),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(1265),
    [sym_block_comment] = STATE(1265),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1551),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1555),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1557),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1559),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [1266] = {
    [sym_type_parameters] = STATE(19347),
    [sym_inline_modifier] = STATE(2485),
    [sym__indentable_expression] = STATE(14461),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5581),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17473),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4880),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7226),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(1266),
    [sym_block_comment] = STATE(1266),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1551),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1555),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1557),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1559),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [1267] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(17962),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(847),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1267),
    [sym_block_comment] = STATE(1267),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1268] = {
    [sym_type_parameters] = STATE(19347),
    [sym_inline_modifier] = STATE(2485),
    [sym__indentable_expression] = STATE(13813),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5581),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17473),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4880),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7226),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(1268),
    [sym_block_comment] = STATE(1268),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1551),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1555),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1557),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1559),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [1269] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym__indentable_expression] = STATE(15390),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1269),
    [sym_block_comment] = STATE(1269),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1270] = {
    [sym_type_parameters] = STATE(19382),
    [sym_inline_modifier] = STATE(2178),
    [sym__indentable_expression] = STATE(14822),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6194),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17545),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10186),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5256),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(8424),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(1270),
    [sym_block_comment] = STATE(1270),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(2071),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(2073),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(2075),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [1271] = {
    [sym_type_parameters] = STATE(19382),
    [sym_inline_modifier] = STATE(2178),
    [sym__indentable_expression] = STATE(14836),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6194),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17545),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10186),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5256),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(8424),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(1271),
    [sym_block_comment] = STATE(1271),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(2071),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(2073),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(2075),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [1272] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18027),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(860),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1272),
    [sym_block_comment] = STATE(1272),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1273] = {
    [sym_type_parameters] = STATE(19361),
    [sym_inline_modifier] = STATE(2487),
    [sym__indentable_expression] = STATE(13475),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5280),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17505),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8857),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4759),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6823),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1273),
    [sym_block_comment] = STATE(1273),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_while] = ACTIONS(1439),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1443),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1445),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1449),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1451),
    [anon_sym_throw] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1274] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym__indentable_expression] = STATE(15403),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1274),
    [sym_block_comment] = STATE(1274),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1275] = {
    [sym_type_parameters] = STATE(19361),
    [sym_inline_modifier] = STATE(2487),
    [sym__indentable_expression] = STATE(14235),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5280),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17505),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8857),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4759),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6823),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1275),
    [sym_block_comment] = STATE(1275),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_while] = ACTIONS(1439),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1443),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1445),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1449),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1451),
    [anon_sym_throw] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1276] = {
    [sym_type_parameters] = STATE(19361),
    [sym_inline_modifier] = STATE(2487),
    [sym__indentable_expression] = STATE(14240),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5280),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17505),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8857),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4759),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6823),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1276),
    [sym_block_comment] = STATE(1276),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_while] = ACTIONS(1439),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1443),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1445),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1449),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1451),
    [anon_sym_throw] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1277] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18091),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(875),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1277),
    [sym_block_comment] = STATE(1277),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1278] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(14980),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1278),
    [sym_block_comment] = STATE(1278),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1279] = {
    [sym_type_parameters] = STATE(19389),
    [sym_inline_modifier] = STATE(2239),
    [sym__indentable_expression] = STATE(14428),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5645),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17555),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4919),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7255),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1279),
    [sym_block_comment] = STATE(1279),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_while] = ACTIONS(1775),
    [anon_sym_for] = ACTIONS(1777),
    [anon_sym_try] = ACTIONS(1779),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1781),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1783),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_throw] = ACTIONS(1787),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [1280] = {
    [sym_type_parameters] = STATE(19389),
    [sym_inline_modifier] = STATE(2239),
    [sym__indentable_expression] = STATE(14429),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5645),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17555),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4919),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7255),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1280),
    [sym_block_comment] = STATE(1280),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_while] = ACTIONS(1775),
    [anon_sym_for] = ACTIONS(1777),
    [anon_sym_try] = ACTIONS(1779),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1781),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1783),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_throw] = ACTIONS(1787),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [1281] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18156),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(889),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1281),
    [sym_block_comment] = STATE(1281),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1282] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym__indentable_expression] = STATE(15271),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1282),
    [sym_block_comment] = STATE(1282),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1283] = {
    [sym_type_parameters] = STATE(19375),
    [sym_inline_modifier] = STATE(2489),
    [sym__indentable_expression] = STATE(14654),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5584),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17531),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9590),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4881),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1283),
    [sym_block_comment] = STATE(1283),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2377),
    [anon_sym_while] = ACTIONS(2051),
    [anon_sym_for] = ACTIONS(2053),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(2057),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(2059),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_throw] = ACTIONS(2063),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [1284] = {
    [sym_type_parameters] = STATE(19375),
    [sym_inline_modifier] = STATE(2489),
    [sym__indentable_expression] = STATE(14655),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5584),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17531),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9590),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4881),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1284),
    [sym_block_comment] = STATE(1284),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2377),
    [anon_sym_while] = ACTIONS(2051),
    [anon_sym_for] = ACTIONS(2053),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(2057),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(2059),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_throw] = ACTIONS(2063),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [1285] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18227),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(903),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1285),
    [sym_block_comment] = STATE(1285),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1286] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(14973),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1286),
    [sym_block_comment] = STATE(1286),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1287] = {
    [sym_type_parameters] = STATE(19382),
    [sym_inline_modifier] = STATE(2178),
    [sym__indentable_expression] = STATE(14855),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6194),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17545),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10186),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5256),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(8424),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(1287),
    [sym_block_comment] = STATE(1287),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(2071),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(2073),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(2075),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [1288] = {
    [sym_type_parameters] = STATE(19382),
    [sym_inline_modifier] = STATE(2178),
    [sym__indentable_expression] = STATE(14858),
    [sym_block] = STATE(9077),
    [sym_indented_block] = STATE(14586),
    [sym_indented_cases] = STATE(14586),
    [sym_expression] = STATE(14154),
    [sym__simple_expression] = STATE(6194),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17545),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10186),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5256),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(8424),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(1288),
    [sym_block_comment] = STATE(1288),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(2071),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(2073),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(2075),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2299),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [1289] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18285),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(917),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1289),
    [sym_block_comment] = STATE(1289),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1290] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym__indentable_expression] = STATE(15368),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1290),
    [sym_block_comment] = STATE(1290),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1291] = {
    [sym_type_parameters] = STATE(19389),
    [sym_inline_modifier] = STATE(2239),
    [sym__indentable_expression] = STATE(14432),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5645),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17555),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4919),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7255),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1291),
    [sym_block_comment] = STATE(1291),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_while] = ACTIONS(1775),
    [anon_sym_for] = ACTIONS(1777),
    [anon_sym_try] = ACTIONS(1779),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1781),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1783),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_throw] = ACTIONS(1787),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [1292] = {
    [sym_type_parameters] = STATE(19389),
    [sym_inline_modifier] = STATE(2239),
    [sym__indentable_expression] = STATE(14433),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(5645),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17555),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4919),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7255),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1292),
    [sym_block_comment] = STATE(1292),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_while] = ACTIONS(1775),
    [anon_sym_for] = ACTIONS(1777),
    [anon_sym_try] = ACTIONS(1779),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1781),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1783),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_throw] = ACTIONS(1787),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [1293] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym__indentable_expression] = STATE(18362),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(931),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1293),
    [sym_block_comment] = STATE(1293),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1294] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym__indentable_expression] = STATE(15384),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1294),
    [sym_block_comment] = STATE(1294),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1295] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym__indentable_expression] = STATE(15468),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1295),
    [sym_block_comment] = STATE(1295),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1296] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym__indentable_expression] = STATE(13729),
    [sym_block] = STATE(10944),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(15239),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1296),
    [sym_block_comment] = STATE(1296),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [1297] = {
    [sym_type_parameters] = STATE(19018),
    [sym_inline_modifier] = STATE(2423),
    [sym_block] = STATE(9948),
    [sym_expression] = STATE(14880),
    [sym__simple_expression] = STATE(6984),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17638),
    [sym_case_block] = STATE(9948),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(9948),
    [sym_call_expression] = STATE(9948),
    [sym_field_expression] = STATE(9948),
    [sym_instance_expression] = STATE(9948),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(10976),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19113),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10414),
    [sym_tuple_expression] = STATE(9948),
    [sym_parenthesized_expression] = STATE(9948),
    [sym_splice_expression] = STATE(9948),
    [sym_quote_expression] = STATE(9948),
    [sym_identifier] = STATE(5741),
    [sym__soft_identifier] = STATE(4751),
    [sym_wildcard] = STATE(9076),
    [sym__non_null_literal] = STATE(9948),
    [sym_boolean_literal] = STATE(10000),
    [sym_interpolated_string_expression] = STATE(9948),
    [sym_string] = STATE(10000),
    [sym_unit] = STATE(9948),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1297),
    [sym_block_comment] = STATE(1297),
    [sym__alpha_identifier] = ACTIONS(3069),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_end] = ACTIONS(3075),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2123),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(3075),
    [anon_sym_implicit] = ACTIONS(2127),
    [anon_sym_inline] = ACTIONS(3078),
    [anon_sym_infix] = ACTIONS(3075),
    [anon_sym_open] = ACTIONS(3075),
    [anon_sym_transparent] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(3081),
    [anon_sym_macro] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [sym__backquoted_id] = ACTIONS(3084),
    [sym_operator_identifier] = ACTIONS(3087),
    [sym_integer_literal] = ACTIONS(1539),
    [sym_floating_point_literal] = ACTIONS(1541),
    [anon_sym_true] = ACTIONS(1543),
    [anon_sym_false] = ACTIONS(1543),
    [sym_character_literal] = ACTIONS(1541),
    [sym_null_literal] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(2133),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2701),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1547),
    [sym__simple_string] = ACTIONS(1547),
  },
  [1298] = {
    [sym_type_parameters] = STATE(19018),
    [sym_inline_modifier] = STATE(2423),
    [sym__indentable_expression] = STATE(12938),
    [sym_block] = STATE(9948),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(14917),
    [sym__simple_expression] = STATE(6984),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17638),
    [sym_case_block] = STATE(9948),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(9948),
    [sym_call_expression] = STATE(9948),
    [sym_field_expression] = STATE(9948),
    [sym_instance_expression] = STATE(9948),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(10976),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19113),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10414),
    [sym_tuple_expression] = STATE(9948),
    [sym_parenthesized_expression] = STATE(9948),
    [sym_splice_expression] = STATE(9948),
    [sym_quote_expression] = STATE(9948),
    [sym_identifier] = STATE(5741),
    [sym__soft_identifier] = STATE(4751),
    [sym_wildcard] = STATE(9076),
    [sym__non_null_literal] = STATE(9948),
    [sym_boolean_literal] = STATE(10000),
    [sym_interpolated_string_expression] = STATE(9948),
    [sym_string] = STATE(10000),
    [sym_unit] = STATE(9948),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1298),
    [sym_block_comment] = STATE(1298),
    [sym__alpha_identifier] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym__] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_end] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2123),
    [anon_sym_try] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_opaque] = ACTIONS(1523),
    [anon_sym_implicit] = ACTIONS(2127),
    [anon_sym_inline] = ACTIONS(1527),
    [anon_sym_infix] = ACTIONS(1523),
    [anon_sym_open] = ACTIONS(1523),
    [anon_sym_transparent] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [anon_sym_macro] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [sym__backquoted_id] = ACTIONS(1535),
    [sym_operator_identifier] = ACTIONS(2131),
    [sym_integer_literal] = ACTIONS(1539),
    [sym_floating_point_literal] = ACTIONS(1541),
    [anon_sym_true] = ACTIONS(1543),
    [anon_sym_false] = ACTIONS(1543),
    [sym_character_literal] = ACTIONS(1541),
    [sym_null_literal] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(2133),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1547),
    [sym__simple_string] = ACTIONS(1547),
  },
  [1299] = {
    [sym_type_parameters] = STATE(19018),
    [sym_inline_modifier] = STATE(2423),
    [sym__indentable_expression] = STATE(12953),
    [sym_block] = STATE(9948),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(14917),
    [sym__simple_expression] = STATE(6984),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17638),
    [sym_case_block] = STATE(9948),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(9948),
    [sym_call_expression] = STATE(9948),
    [sym_field_expression] = STATE(9948),
    [sym_instance_expression] = STATE(9948),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(10976),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19113),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10414),
    [sym_tuple_expression] = STATE(9948),
    [sym_parenthesized_expression] = STATE(9948),
    [sym_splice_expression] = STATE(9948),
    [sym_quote_expression] = STATE(9948),
    [sym_identifier] = STATE(5741),
    [sym__soft_identifier] = STATE(4751),
    [sym_wildcard] = STATE(9076),
    [sym__non_null_literal] = STATE(9948),
    [sym_boolean_literal] = STATE(10000),
    [sym_interpolated_string_expression] = STATE(9948),
    [sym_string] = STATE(10000),
    [sym_unit] = STATE(9948),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1299),
    [sym_block_comment] = STATE(1299),
    [sym__alpha_identifier] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym__] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_end] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2123),
    [anon_sym_try] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_opaque] = ACTIONS(1523),
    [anon_sym_implicit] = ACTIONS(2127),
    [anon_sym_inline] = ACTIONS(1527),
    [anon_sym_infix] = ACTIONS(1523),
    [anon_sym_open] = ACTIONS(1523),
    [anon_sym_transparent] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [anon_sym_macro] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [sym__backquoted_id] = ACTIONS(1535),
    [sym_operator_identifier] = ACTIONS(2131),
    [sym_integer_literal] = ACTIONS(1539),
    [sym_floating_point_literal] = ACTIONS(1541),
    [anon_sym_true] = ACTIONS(1543),
    [anon_sym_false] = ACTIONS(1543),
    [sym_character_literal] = ACTIONS(1541),
    [sym_null_literal] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(2133),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1547),
    [sym__simple_string] = ACTIONS(1547),
  },
  [1300] = {
    [sym_type_parameters] = STATE(19018),
    [sym_inline_modifier] = STATE(2423),
    [sym__indentable_expression] = STATE(12962),
    [sym_block] = STATE(9948),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(14917),
    [sym__simple_expression] = STATE(6984),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17638),
    [sym_case_block] = STATE(9948),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(9948),
    [sym_call_expression] = STATE(9948),
    [sym_field_expression] = STATE(9948),
    [sym_instance_expression] = STATE(9948),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(10976),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19113),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10414),
    [sym_tuple_expression] = STATE(9948),
    [sym_parenthesized_expression] = STATE(9948),
    [sym_splice_expression] = STATE(9948),
    [sym_quote_expression] = STATE(9948),
    [sym_identifier] = STATE(5741),
    [sym__soft_identifier] = STATE(4751),
    [sym_wildcard] = STATE(9076),
    [sym__non_null_literal] = STATE(9948),
    [sym_boolean_literal] = STATE(10000),
    [sym_interpolated_string_expression] = STATE(9948),
    [sym_string] = STATE(10000),
    [sym_unit] = STATE(9948),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1300),
    [sym_block_comment] = STATE(1300),
    [sym__alpha_identifier] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym__] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_end] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2123),
    [anon_sym_try] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_opaque] = ACTIONS(1523),
    [anon_sym_implicit] = ACTIONS(2127),
    [anon_sym_inline] = ACTIONS(1527),
    [anon_sym_infix] = ACTIONS(1523),
    [anon_sym_open] = ACTIONS(1523),
    [anon_sym_transparent] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [anon_sym_macro] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [sym__backquoted_id] = ACTIONS(1535),
    [sym_operator_identifier] = ACTIONS(2131),
    [sym_integer_literal] = ACTIONS(1539),
    [sym_floating_point_literal] = ACTIONS(1541),
    [anon_sym_true] = ACTIONS(1543),
    [anon_sym_false] = ACTIONS(1543),
    [sym_character_literal] = ACTIONS(1541),
    [sym_null_literal] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(2133),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1547),
    [sym__simple_string] = ACTIONS(1547),
  },
  [1301] = {
    [sym_type_parameters] = STATE(19018),
    [sym_inline_modifier] = STATE(2423),
    [sym__indentable_expression] = STATE(12966),
    [sym_block] = STATE(9948),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(14917),
    [sym__simple_expression] = STATE(6984),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17638),
    [sym_case_block] = STATE(9948),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(9948),
    [sym_call_expression] = STATE(9948),
    [sym_field_expression] = STATE(9948),
    [sym_instance_expression] = STATE(9948),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(10976),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19113),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10414),
    [sym_tuple_expression] = STATE(9948),
    [sym_parenthesized_expression] = STATE(9948),
    [sym_splice_expression] = STATE(9948),
    [sym_quote_expression] = STATE(9948),
    [sym_identifier] = STATE(5741),
    [sym__soft_identifier] = STATE(4751),
    [sym_wildcard] = STATE(9076),
    [sym__non_null_literal] = STATE(9948),
    [sym_boolean_literal] = STATE(10000),
    [sym_interpolated_string_expression] = STATE(9948),
    [sym_string] = STATE(10000),
    [sym_unit] = STATE(9948),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1301),
    [sym_block_comment] = STATE(1301),
    [sym__alpha_identifier] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym__] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_end] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2123),
    [anon_sym_try] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_opaque] = ACTIONS(1523),
    [anon_sym_implicit] = ACTIONS(2127),
    [anon_sym_inline] = ACTIONS(1527),
    [anon_sym_infix] = ACTIONS(1523),
    [anon_sym_open] = ACTIONS(1523),
    [anon_sym_transparent] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [anon_sym_macro] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [sym__backquoted_id] = ACTIONS(1535),
    [sym_operator_identifier] = ACTIONS(2131),
    [sym_integer_literal] = ACTIONS(1539),
    [sym_floating_point_literal] = ACTIONS(1541),
    [anon_sym_true] = ACTIONS(1543),
    [anon_sym_false] = ACTIONS(1543),
    [sym_character_literal] = ACTIONS(1541),
    [sym_null_literal] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(2133),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1547),
    [sym__simple_string] = ACTIONS(1547),
  },
  [1302] = {
    [sym_type_parameters] = STATE(19018),
    [sym_inline_modifier] = STATE(2423),
    [sym__indentable_expression] = STATE(12968),
    [sym_block] = STATE(9948),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(14917),
    [sym__simple_expression] = STATE(6984),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17638),
    [sym_case_block] = STATE(9948),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(9948),
    [sym_call_expression] = STATE(9948),
    [sym_field_expression] = STATE(9948),
    [sym_instance_expression] = STATE(9948),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(10976),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19113),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10414),
    [sym_tuple_expression] = STATE(9948),
    [sym_parenthesized_expression] = STATE(9948),
    [sym_splice_expression] = STATE(9948),
    [sym_quote_expression] = STATE(9948),
    [sym_identifier] = STATE(5741),
    [sym__soft_identifier] = STATE(4751),
    [sym_wildcard] = STATE(9076),
    [sym__non_null_literal] = STATE(9948),
    [sym_boolean_literal] = STATE(10000),
    [sym_interpolated_string_expression] = STATE(9948),
    [sym_string] = STATE(10000),
    [sym_unit] = STATE(9948),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1302),
    [sym_block_comment] = STATE(1302),
    [sym__alpha_identifier] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym__] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_end] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2123),
    [anon_sym_try] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_opaque] = ACTIONS(1523),
    [anon_sym_implicit] = ACTIONS(2127),
    [anon_sym_inline] = ACTIONS(1527),
    [anon_sym_infix] = ACTIONS(1523),
    [anon_sym_open] = ACTIONS(1523),
    [anon_sym_transparent] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [anon_sym_macro] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [sym__backquoted_id] = ACTIONS(1535),
    [sym_operator_identifier] = ACTIONS(2131),
    [sym_integer_literal] = ACTIONS(1539),
    [sym_floating_point_literal] = ACTIONS(1541),
    [anon_sym_true] = ACTIONS(1543),
    [anon_sym_false] = ACTIONS(1543),
    [sym_character_literal] = ACTIONS(1541),
    [sym_null_literal] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(2133),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1547),
    [sym__simple_string] = ACTIONS(1547),
  },
  [1303] = {
    [sym_type_parameters] = STATE(19018),
    [sym_inline_modifier] = STATE(2423),
    [sym__indentable_expression] = STATE(12981),
    [sym_block] = STATE(9948),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(14917),
    [sym__simple_expression] = STATE(6984),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17638),
    [sym_case_block] = STATE(9948),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(9948),
    [sym_call_expression] = STATE(9948),
    [sym_field_expression] = STATE(9948),
    [sym_instance_expression] = STATE(9948),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(10976),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19113),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10414),
    [sym_tuple_expression] = STATE(9948),
    [sym_parenthesized_expression] = STATE(9948),
    [sym_splice_expression] = STATE(9948),
    [sym_quote_expression] = STATE(9948),
    [sym_identifier] = STATE(5741),
    [sym__soft_identifier] = STATE(4751),
    [sym_wildcard] = STATE(9076),
    [sym__non_null_literal] = STATE(9948),
    [sym_boolean_literal] = STATE(10000),
    [sym_interpolated_string_expression] = STATE(9948),
    [sym_string] = STATE(10000),
    [sym_unit] = STATE(9948),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1303),
    [sym_block_comment] = STATE(1303),
    [sym__alpha_identifier] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym__] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_end] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2123),
    [anon_sym_try] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_opaque] = ACTIONS(1523),
    [anon_sym_implicit] = ACTIONS(2127),
    [anon_sym_inline] = ACTIONS(1527),
    [anon_sym_infix] = ACTIONS(1523),
    [anon_sym_open] = ACTIONS(1523),
    [anon_sym_transparent] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [anon_sym_macro] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [sym__backquoted_id] = ACTIONS(1535),
    [sym_operator_identifier] = ACTIONS(2131),
    [sym_integer_literal] = ACTIONS(1539),
    [sym_floating_point_literal] = ACTIONS(1541),
    [anon_sym_true] = ACTIONS(1543),
    [anon_sym_false] = ACTIONS(1543),
    [sym_character_literal] = ACTIONS(1541),
    [sym_null_literal] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(2133),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1547),
    [sym__simple_string] = ACTIONS(1547),
  },
  [1304] = {
    [sym_type_parameters] = STATE(19018),
    [sym_inline_modifier] = STATE(2423),
    [sym__indentable_expression] = STATE(12984),
    [sym_block] = STATE(9948),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(14917),
    [sym__simple_expression] = STATE(6984),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17638),
    [sym_case_block] = STATE(9948),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(9948),
    [sym_call_expression] = STATE(9948),
    [sym_field_expression] = STATE(9948),
    [sym_instance_expression] = STATE(9948),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(10976),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19113),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10414),
    [sym_tuple_expression] = STATE(9948),
    [sym_parenthesized_expression] = STATE(9948),
    [sym_splice_expression] = STATE(9948),
    [sym_quote_expression] = STATE(9948),
    [sym_identifier] = STATE(5741),
    [sym__soft_identifier] = STATE(4751),
    [sym_wildcard] = STATE(9076),
    [sym__non_null_literal] = STATE(9948),
    [sym_boolean_literal] = STATE(10000),
    [sym_interpolated_string_expression] = STATE(9948),
    [sym_string] = STATE(10000),
    [sym_unit] = STATE(9948),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1304),
    [sym_block_comment] = STATE(1304),
    [sym__alpha_identifier] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym__] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_end] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2123),
    [anon_sym_try] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_opaque] = ACTIONS(1523),
    [anon_sym_implicit] = ACTIONS(2127),
    [anon_sym_inline] = ACTIONS(1527),
    [anon_sym_infix] = ACTIONS(1523),
    [anon_sym_open] = ACTIONS(1523),
    [anon_sym_transparent] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [anon_sym_macro] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [sym__backquoted_id] = ACTIONS(1535),
    [sym_operator_identifier] = ACTIONS(2131),
    [sym_integer_literal] = ACTIONS(1539),
    [sym_floating_point_literal] = ACTIONS(1541),
    [anon_sym_true] = ACTIONS(1543),
    [anon_sym_false] = ACTIONS(1543),
    [sym_character_literal] = ACTIONS(1541),
    [sym_null_literal] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(2133),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1547),
    [sym__simple_string] = ACTIONS(1547),
  },
  [1305] = {
    [sym_type_parameters] = STATE(19018),
    [sym_inline_modifier] = STATE(2423),
    [sym__indentable_expression] = STATE(12991),
    [sym_block] = STATE(9948),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(14917),
    [sym__simple_expression] = STATE(6984),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17638),
    [sym_case_block] = STATE(9948),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(9948),
    [sym_call_expression] = STATE(9948),
    [sym_field_expression] = STATE(9948),
    [sym_instance_expression] = STATE(9948),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(10976),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19113),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10414),
    [sym_tuple_expression] = STATE(9948),
    [sym_parenthesized_expression] = STATE(9948),
    [sym_splice_expression] = STATE(9948),
    [sym_quote_expression] = STATE(9948),
    [sym_identifier] = STATE(5741),
    [sym__soft_identifier] = STATE(4751),
    [sym_wildcard] = STATE(9076),
    [sym__non_null_literal] = STATE(9948),
    [sym_boolean_literal] = STATE(10000),
    [sym_interpolated_string_expression] = STATE(9948),
    [sym_string] = STATE(10000),
    [sym_unit] = STATE(9948),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1305),
    [sym_block_comment] = STATE(1305),
    [sym__alpha_identifier] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym__] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_end] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2123),
    [anon_sym_try] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_opaque] = ACTIONS(1523),
    [anon_sym_implicit] = ACTIONS(2127),
    [anon_sym_inline] = ACTIONS(1527),
    [anon_sym_infix] = ACTIONS(1523),
    [anon_sym_open] = ACTIONS(1523),
    [anon_sym_transparent] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [anon_sym_macro] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [sym__backquoted_id] = ACTIONS(1535),
    [sym_operator_identifier] = ACTIONS(2131),
    [sym_integer_literal] = ACTIONS(1539),
    [sym_floating_point_literal] = ACTIONS(1541),
    [anon_sym_true] = ACTIONS(1543),
    [anon_sym_false] = ACTIONS(1543),
    [sym_character_literal] = ACTIONS(1541),
    [sym_null_literal] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(2133),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1547),
    [sym__simple_string] = ACTIONS(1547),
  },
  [1306] = {
    [sym_type_parameters] = STATE(19018),
    [sym_inline_modifier] = STATE(2423),
    [sym__indentable_expression] = STATE(12992),
    [sym_block] = STATE(9948),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(14917),
    [sym__simple_expression] = STATE(6984),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17638),
    [sym_case_block] = STATE(9948),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(9948),
    [sym_call_expression] = STATE(9948),
    [sym_field_expression] = STATE(9948),
    [sym_instance_expression] = STATE(9948),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(10976),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19113),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10414),
    [sym_tuple_expression] = STATE(9948),
    [sym_parenthesized_expression] = STATE(9948),
    [sym_splice_expression] = STATE(9948),
    [sym_quote_expression] = STATE(9948),
    [sym_identifier] = STATE(5741),
    [sym__soft_identifier] = STATE(4751),
    [sym_wildcard] = STATE(9076),
    [sym__non_null_literal] = STATE(9948),
    [sym_boolean_literal] = STATE(10000),
    [sym_interpolated_string_expression] = STATE(9948),
    [sym_string] = STATE(10000),
    [sym_unit] = STATE(9948),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1306),
    [sym_block_comment] = STATE(1306),
    [sym__alpha_identifier] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym__] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_end] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2123),
    [anon_sym_try] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_opaque] = ACTIONS(1523),
    [anon_sym_implicit] = ACTIONS(2127),
    [anon_sym_inline] = ACTIONS(1527),
    [anon_sym_infix] = ACTIONS(1523),
    [anon_sym_open] = ACTIONS(1523),
    [anon_sym_transparent] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [anon_sym_macro] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [sym__backquoted_id] = ACTIONS(1535),
    [sym_operator_identifier] = ACTIONS(2131),
    [sym_integer_literal] = ACTIONS(1539),
    [sym_floating_point_literal] = ACTIONS(1541),
    [anon_sym_true] = ACTIONS(1543),
    [anon_sym_false] = ACTIONS(1543),
    [sym_character_literal] = ACTIONS(1541),
    [sym_null_literal] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(2133),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1547),
    [sym__simple_string] = ACTIONS(1547),
  },
  [1307] = {
    [sym_type_parameters] = STATE(19018),
    [sym_inline_modifier] = STATE(2423),
    [sym__indentable_expression] = STATE(12994),
    [sym_block] = STATE(9948),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(14917),
    [sym__simple_expression] = STATE(6984),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17638),
    [sym_case_block] = STATE(9948),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(9948),
    [sym_call_expression] = STATE(9948),
    [sym_field_expression] = STATE(9948),
    [sym_instance_expression] = STATE(9948),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(10976),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19113),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10414),
    [sym_tuple_expression] = STATE(9948),
    [sym_parenthesized_expression] = STATE(9948),
    [sym_splice_expression] = STATE(9948),
    [sym_quote_expression] = STATE(9948),
    [sym_identifier] = STATE(5741),
    [sym__soft_identifier] = STATE(4751),
    [sym_wildcard] = STATE(9076),
    [sym__non_null_literal] = STATE(9948),
    [sym_boolean_literal] = STATE(10000),
    [sym_interpolated_string_expression] = STATE(9948),
    [sym_string] = STATE(10000),
    [sym_unit] = STATE(9948),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1307),
    [sym_block_comment] = STATE(1307),
    [sym__alpha_identifier] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym__] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_end] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2123),
    [anon_sym_try] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_opaque] = ACTIONS(1523),
    [anon_sym_implicit] = ACTIONS(2127),
    [anon_sym_inline] = ACTIONS(1527),
    [anon_sym_infix] = ACTIONS(1523),
    [anon_sym_open] = ACTIONS(1523),
    [anon_sym_transparent] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [anon_sym_macro] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [sym__backquoted_id] = ACTIONS(1535),
    [sym_operator_identifier] = ACTIONS(2131),
    [sym_integer_literal] = ACTIONS(1539),
    [sym_floating_point_literal] = ACTIONS(1541),
    [anon_sym_true] = ACTIONS(1543),
    [anon_sym_false] = ACTIONS(1543),
    [sym_character_literal] = ACTIONS(1541),
    [sym_null_literal] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(2133),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1547),
    [sym__simple_string] = ACTIONS(1547),
  },
  [1308] = {
    [sym_type_parameters] = STATE(19018),
    [sym_inline_modifier] = STATE(2423),
    [sym__indentable_expression] = STATE(12996),
    [sym_block] = STATE(9948),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(14917),
    [sym__simple_expression] = STATE(6984),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17638),
    [sym_case_block] = STATE(9948),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(9948),
    [sym_call_expression] = STATE(9948),
    [sym_field_expression] = STATE(9948),
    [sym_instance_expression] = STATE(9948),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(10976),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19113),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10414),
    [sym_tuple_expression] = STATE(9948),
    [sym_parenthesized_expression] = STATE(9948),
    [sym_splice_expression] = STATE(9948),
    [sym_quote_expression] = STATE(9948),
    [sym_identifier] = STATE(5741),
    [sym__soft_identifier] = STATE(4751),
    [sym_wildcard] = STATE(9076),
    [sym__non_null_literal] = STATE(9948),
    [sym_boolean_literal] = STATE(10000),
    [sym_interpolated_string_expression] = STATE(9948),
    [sym_string] = STATE(10000),
    [sym_unit] = STATE(9948),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1308),
    [sym_block_comment] = STATE(1308),
    [sym__alpha_identifier] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym__] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_end] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2123),
    [anon_sym_try] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_opaque] = ACTIONS(1523),
    [anon_sym_implicit] = ACTIONS(2127),
    [anon_sym_inline] = ACTIONS(1527),
    [anon_sym_infix] = ACTIONS(1523),
    [anon_sym_open] = ACTIONS(1523),
    [anon_sym_transparent] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [anon_sym_macro] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [sym__backquoted_id] = ACTIONS(1535),
    [sym_operator_identifier] = ACTIONS(2131),
    [sym_integer_literal] = ACTIONS(1539),
    [sym_floating_point_literal] = ACTIONS(1541),
    [anon_sym_true] = ACTIONS(1543),
    [anon_sym_false] = ACTIONS(1543),
    [sym_character_literal] = ACTIONS(1541),
    [sym_null_literal] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(2133),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1547),
    [sym__simple_string] = ACTIONS(1547),
  },
  [1309] = {
    [sym_type_parameters] = STATE(19018),
    [sym_inline_modifier] = STATE(2423),
    [sym__indentable_expression] = STATE(13005),
    [sym_block] = STATE(9948),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(14917),
    [sym__simple_expression] = STATE(6984),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17638),
    [sym_case_block] = STATE(9948),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(9948),
    [sym_call_expression] = STATE(9948),
    [sym_field_expression] = STATE(9948),
    [sym_instance_expression] = STATE(9948),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(10976),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19113),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10414),
    [sym_tuple_expression] = STATE(9948),
    [sym_parenthesized_expression] = STATE(9948),
    [sym_splice_expression] = STATE(9948),
    [sym_quote_expression] = STATE(9948),
    [sym_identifier] = STATE(5741),
    [sym__soft_identifier] = STATE(4751),
    [sym_wildcard] = STATE(9076),
    [sym__non_null_literal] = STATE(9948),
    [sym_boolean_literal] = STATE(10000),
    [sym_interpolated_string_expression] = STATE(9948),
    [sym_string] = STATE(10000),
    [sym_unit] = STATE(9948),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1309),
    [sym_block_comment] = STATE(1309),
    [sym__alpha_identifier] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym__] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_end] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2123),
    [anon_sym_try] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_opaque] = ACTIONS(1523),
    [anon_sym_implicit] = ACTIONS(2127),
    [anon_sym_inline] = ACTIONS(1527),
    [anon_sym_infix] = ACTIONS(1523),
    [anon_sym_open] = ACTIONS(1523),
    [anon_sym_transparent] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [anon_sym_macro] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [sym__backquoted_id] = ACTIONS(1535),
    [sym_operator_identifier] = ACTIONS(2131),
    [sym_integer_literal] = ACTIONS(1539),
    [sym_floating_point_literal] = ACTIONS(1541),
    [anon_sym_true] = ACTIONS(1543),
    [anon_sym_false] = ACTIONS(1543),
    [sym_character_literal] = ACTIONS(1541),
    [sym_null_literal] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(2133),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1547),
    [sym__simple_string] = ACTIONS(1547),
  },
  [1310] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(14750),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1310),
    [sym_block_comment] = STATE(1310),
    [sym__alpha_identifier] = ACTIONS(2990),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2993),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(2996),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2996),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2999),
    [anon_sym_infix] = ACTIONS(2996),
    [anon_sym_open] = ACTIONS(2996),
    [anon_sym_transparent] = ACTIONS(2996),
    [anon_sym_LPAREN] = ACTIONS(3002),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(3005),
    [sym_operator_identifier] = ACTIONS(3100),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(3011),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1311] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym__indentable_expression] = STATE(14962),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1311),
    [sym_block_comment] = STATE(1311),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1312] = {
    [sym_type_parameters] = STATE(19059),
    [sym_inline_modifier] = STATE(2435),
    [sym__indentable_expression] = STATE(15191),
    [sym_block] = STATE(10530),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(15036),
    [sym__simple_expression] = STATE(7452),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17472),
    [sym_case_block] = STATE(10530),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(10530),
    [sym_call_expression] = STATE(10530),
    [sym_field_expression] = STATE(10530),
    [sym_instance_expression] = STATE(10530),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(11241),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(19533),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(11075),
    [sym_tuple_expression] = STATE(10530),
    [sym_parenthesized_expression] = STATE(10530),
    [sym_splice_expression] = STATE(10530),
    [sym_quote_expression] = STATE(10530),
    [sym_identifier] = STATE(6021),
    [sym__soft_identifier] = STATE(4921),
    [sym_wildcard] = STATE(9558),
    [sym__non_null_literal] = STATE(10530),
    [sym_boolean_literal] = STATE(10615),
    [sym_interpolated_string_expression] = STATE(10530),
    [sym_string] = STATE(10615),
    [sym_unit] = STATE(10530),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1312),
    [sym_block_comment] = STATE(1312),
    [sym__alpha_identifier] = ACTIONS(2399),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym__] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_end] = ACTIONS(2409),
    [anon_sym_if] = ACTIONS(2583),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_opaque] = ACTIONS(2409),
    [anon_sym_implicit] = ACTIONS(2591),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym_infix] = ACTIONS(2409),
    [anon_sym_open] = ACTIONS(2409),
    [anon_sym_transparent] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_macro] = ACTIONS(2593),
    [anon_sym_BANG] = ACTIONS(2407),
    [anon_sym_TILDE] = ACTIONS(2407),
    [anon_sym_DOLLAR] = ACTIONS(2417),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [sym__backquoted_id] = ACTIONS(2421),
    [sym_operator_identifier] = ACTIONS(2595),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_floating_point_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2429),
    [anon_sym_false] = ACTIONS(2429),
    [sym_character_literal] = ACTIONS(2427),
    [sym_null_literal] = ACTIONS(2431),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_throw] = ACTIONS(2599),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(2433),
    [sym__simple_string] = ACTIONS(2433),
  },
  [1313] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym__indentable_expression] = STATE(14999),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1313),
    [sym_block_comment] = STATE(1313),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1314] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym__indentable_expression] = STATE(15045),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1314),
    [sym_block_comment] = STATE(1314),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1315] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym__indentable_expression] = STATE(14964),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1315),
    [sym_block_comment] = STATE(1315),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1316] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym__indentable_expression] = STATE(15076),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1316),
    [sym_block_comment] = STATE(1316),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1317] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym__indentable_expression] = STATE(15063),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1317),
    [sym_block_comment] = STATE(1317),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1318] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym__indentable_expression] = STATE(14940),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1318),
    [sym_block_comment] = STATE(1318),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1319] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym__indentable_expression] = STATE(15068),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1319),
    [sym_block_comment] = STATE(1319),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1320] = {
    [sym_type_parameters] = STATE(19214),
    [sym_inline_modifier] = STATE(2465),
    [sym__indentable_expression] = STATE(14037),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(6878),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17725),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10612),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5702),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8984),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1320),
    [sym_block_comment] = STATE(1320),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1001),
    [anon_sym_while] = ACTIONS(1003),
    [anon_sym_for] = ACTIONS(1005),
    [anon_sym_try] = ACTIONS(1007),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(1009),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(2625),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(1029),
    [anon_sym_throw] = ACTIONS(1031),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1321] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym__indentable_expression] = STATE(14958),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1321),
    [sym_block_comment] = STATE(1321),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1322] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym__indentable_expression] = STATE(14980),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1322),
    [sym_block_comment] = STATE(1322),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1323] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym__indentable_expression] = STATE(14973),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1323),
    [sym_block_comment] = STATE(1323),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1324] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym__indentable_expression] = STATE(15308),
    [sym_block] = STATE(10944),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(15239),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1324),
    [sym_block_comment] = STATE(1324),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [1325] = {
    [sym_type_parameters] = STATE(19035),
    [sym_inline_modifier] = STATE(2429),
    [sym_block] = STATE(6679),
    [sym_expression] = STATE(12927),
    [sym__simple_expression] = STATE(5983),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17568),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10044),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(5062),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(8371),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1325),
    [sym_block_comment] = STATE(1325),
    [sym__alpha_identifier] = ACTIONS(2680),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2683),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(2686),
    [anon_sym_if] = ACTIONS(1695),
    [anon_sym_while] = ACTIONS(1697),
    [anon_sym_for] = ACTIONS(1699),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(1701),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2686),
    [anon_sym_implicit] = ACTIONS(1703),
    [anon_sym_inline] = ACTIONS(2689),
    [anon_sym_infix] = ACTIONS(2686),
    [anon_sym_open] = ACTIONS(2686),
    [anon_sym_transparent] = ACTIONS(2686),
    [anon_sym_LPAREN] = ACTIONS(2692),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(2695),
    [sym_operator_identifier] = ACTIONS(3109),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1709),
    [anon_sym_throw] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(2701),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1326] = {
    [sym_type_parameters] = STATE(19035),
    [sym_inline_modifier] = STATE(2429),
    [sym__indentable_expression] = STATE(12938),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5983),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17568),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10044),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(5062),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(8371),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1326),
    [sym_block_comment] = STATE(1326),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1695),
    [anon_sym_while] = ACTIONS(1697),
    [anon_sym_for] = ACTIONS(1699),
    [anon_sym_try] = ACTIONS(1701),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1703),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1707),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1709),
    [anon_sym_throw] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1327] = {
    [sym_type_parameters] = STATE(19035),
    [sym_inline_modifier] = STATE(2429),
    [sym__indentable_expression] = STATE(12953),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5983),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17568),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10044),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(5062),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(8371),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1327),
    [sym_block_comment] = STATE(1327),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1695),
    [anon_sym_while] = ACTIONS(1697),
    [anon_sym_for] = ACTIONS(1699),
    [anon_sym_try] = ACTIONS(1701),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1703),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1707),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1709),
    [anon_sym_throw] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1328] = {
    [sym_type_parameters] = STATE(19035),
    [sym_inline_modifier] = STATE(2429),
    [sym__indentable_expression] = STATE(12962),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5983),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17568),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10044),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(5062),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(8371),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1328),
    [sym_block_comment] = STATE(1328),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1695),
    [anon_sym_while] = ACTIONS(1697),
    [anon_sym_for] = ACTIONS(1699),
    [anon_sym_try] = ACTIONS(1701),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1703),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1707),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1709),
    [anon_sym_throw] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1329] = {
    [sym_type_parameters] = STATE(19035),
    [sym_inline_modifier] = STATE(2429),
    [sym__indentable_expression] = STATE(12966),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5983),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17568),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10044),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(5062),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(8371),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1329),
    [sym_block_comment] = STATE(1329),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1695),
    [anon_sym_while] = ACTIONS(1697),
    [anon_sym_for] = ACTIONS(1699),
    [anon_sym_try] = ACTIONS(1701),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1703),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1707),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1709),
    [anon_sym_throw] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1330] = {
    [sym_type_parameters] = STATE(19035),
    [sym_inline_modifier] = STATE(2429),
    [sym__indentable_expression] = STATE(12968),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5983),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17568),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10044),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(5062),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(8371),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1330),
    [sym_block_comment] = STATE(1330),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1695),
    [anon_sym_while] = ACTIONS(1697),
    [anon_sym_for] = ACTIONS(1699),
    [anon_sym_try] = ACTIONS(1701),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1703),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1707),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1709),
    [anon_sym_throw] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1331] = {
    [sym_type_parameters] = STATE(19035),
    [sym_inline_modifier] = STATE(2429),
    [sym__indentable_expression] = STATE(12981),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5983),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17568),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10044),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(5062),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(8371),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1331),
    [sym_block_comment] = STATE(1331),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1695),
    [anon_sym_while] = ACTIONS(1697),
    [anon_sym_for] = ACTIONS(1699),
    [anon_sym_try] = ACTIONS(1701),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1703),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1707),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1709),
    [anon_sym_throw] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1332] = {
    [sym_type_parameters] = STATE(19035),
    [sym_inline_modifier] = STATE(2429),
    [sym__indentable_expression] = STATE(12984),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5983),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17568),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10044),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(5062),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(8371),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1332),
    [sym_block_comment] = STATE(1332),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1695),
    [anon_sym_while] = ACTIONS(1697),
    [anon_sym_for] = ACTIONS(1699),
    [anon_sym_try] = ACTIONS(1701),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1703),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1707),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1709),
    [anon_sym_throw] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1333] = {
    [sym_type_parameters] = STATE(19035),
    [sym_inline_modifier] = STATE(2429),
    [sym__indentable_expression] = STATE(12991),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5983),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17568),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10044),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(5062),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(8371),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1333),
    [sym_block_comment] = STATE(1333),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1695),
    [anon_sym_while] = ACTIONS(1697),
    [anon_sym_for] = ACTIONS(1699),
    [anon_sym_try] = ACTIONS(1701),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1703),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1707),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1709),
    [anon_sym_throw] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1334] = {
    [sym_type_parameters] = STATE(19035),
    [sym_inline_modifier] = STATE(2429),
    [sym__indentable_expression] = STATE(12992),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5983),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17568),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10044),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(5062),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(8371),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1334),
    [sym_block_comment] = STATE(1334),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1695),
    [anon_sym_while] = ACTIONS(1697),
    [anon_sym_for] = ACTIONS(1699),
    [anon_sym_try] = ACTIONS(1701),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1703),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1707),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1709),
    [anon_sym_throw] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1335] = {
    [sym_type_parameters] = STATE(19035),
    [sym_inline_modifier] = STATE(2429),
    [sym__indentable_expression] = STATE(12994),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5983),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17568),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10044),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(5062),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(8371),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1335),
    [sym_block_comment] = STATE(1335),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1695),
    [anon_sym_while] = ACTIONS(1697),
    [anon_sym_for] = ACTIONS(1699),
    [anon_sym_try] = ACTIONS(1701),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1703),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1707),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1709),
    [anon_sym_throw] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1336] = {
    [sym_type_parameters] = STATE(19035),
    [sym_inline_modifier] = STATE(2429),
    [sym__indentable_expression] = STATE(12996),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5983),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17568),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10044),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(5062),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(8371),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1336),
    [sym_block_comment] = STATE(1336),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1695),
    [anon_sym_while] = ACTIONS(1697),
    [anon_sym_for] = ACTIONS(1699),
    [anon_sym_try] = ACTIONS(1701),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1703),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1707),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1709),
    [anon_sym_throw] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1337] = {
    [sym_type_parameters] = STATE(19035),
    [sym_inline_modifier] = STATE(2429),
    [sym__indentable_expression] = STATE(13005),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5983),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17568),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10044),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(5062),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(8371),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1337),
    [sym_block_comment] = STATE(1337),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1695),
    [anon_sym_while] = ACTIONS(1697),
    [anon_sym_for] = ACTIONS(1699),
    [anon_sym_try] = ACTIONS(1701),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1703),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1707),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1709),
    [anon_sym_throw] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1338] = {
    [sym_type_parameters] = STATE(19242),
    [sym_inline_modifier] = STATE(2470),
    [sym_block] = STATE(8225),
    [sym_expression] = STATE(13816),
    [sym__simple_expression] = STATE(5573),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17585),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9764),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4962),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7178),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(1338),
    [sym_block_comment] = STATE(1338),
    [sym__alpha_identifier] = ACTIONS(2854),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2857),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(2860),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(1499),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2860),
    [anon_sym_implicit] = ACTIONS(1501),
    [anon_sym_inline] = ACTIONS(2863),
    [anon_sym_infix] = ACTIONS(2860),
    [anon_sym_open] = ACTIONS(2860),
    [anon_sym_transparent] = ACTIONS(2860),
    [anon_sym_LPAREN] = ACTIONS(2866),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(2869),
    [sym_operator_identifier] = ACTIONS(3112),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(2875),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [1339] = {
    [sym_type_parameters] = STATE(19043),
    [sym_inline_modifier] = STATE(2433),
    [sym_block] = STATE(8813),
    [sym_expression] = STATE(14317),
    [sym__simple_expression] = STATE(6777),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17580),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(10498),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(5353),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(8805),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1339),
    [sym_block_comment] = STATE(1339),
    [sym__alpha_identifier] = ACTIONS(3115),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(3118),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(3121),
    [anon_sym_implicit] = ACTIONS(2169),
    [anon_sym_inline] = ACTIONS(3124),
    [anon_sym_infix] = ACTIONS(3121),
    [anon_sym_open] = ACTIONS(3121),
    [anon_sym_transparent] = ACTIONS(3121),
    [anon_sym_LPAREN] = ACTIONS(3127),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(3130),
    [sym_operator_identifier] = ACTIONS(3133),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2175),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(3136),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1340] = {
    [sym_type_parameters] = STATE(19043),
    [sym_inline_modifier] = STATE(2433),
    [sym__indentable_expression] = STATE(14543),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(6777),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17580),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(10498),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(5353),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(8805),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1340),
    [sym_block_comment] = STATE(1340),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2169),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2173),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2175),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1341] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym__indentable_expression] = STATE(13725),
    [sym_block] = STATE(10944),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(15239),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1341),
    [sym_block_comment] = STATE(1341),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [1342] = {
    [sym_type_parameters] = STATE(19043),
    [sym_inline_modifier] = STATE(2433),
    [sym__indentable_expression] = STATE(14571),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(6777),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17580),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(10498),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(5353),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(8805),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1342),
    [sym_block_comment] = STATE(1342),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2169),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2173),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2175),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1343] = {
    [sym_type_parameters] = STATE(19043),
    [sym_inline_modifier] = STATE(2433),
    [sym__indentable_expression] = STATE(14574),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(6777),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17580),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(10498),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(5353),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(8805),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1343),
    [sym_block_comment] = STATE(1343),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2169),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2173),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2175),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1344] = {
    [sym_type_parameters] = STATE(19043),
    [sym_inline_modifier] = STATE(2433),
    [sym__indentable_expression] = STATE(14578),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(6777),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17580),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(10498),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(5353),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(8805),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1344),
    [sym_block_comment] = STATE(1344),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2169),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2173),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2175),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1345] = {
    [sym_type_parameters] = STATE(19043),
    [sym_inline_modifier] = STATE(2433),
    [sym__indentable_expression] = STATE(14583),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(6777),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17580),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(10498),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(5353),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(8805),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1345),
    [sym_block_comment] = STATE(1345),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2169),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2173),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2175),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1346] = {
    [sym_type_parameters] = STATE(19043),
    [sym_inline_modifier] = STATE(2433),
    [sym__indentable_expression] = STATE(14612),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(6777),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17580),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(10498),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(5353),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(8805),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1346),
    [sym_block_comment] = STATE(1346),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2169),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2173),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2175),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1347] = {
    [sym_type_parameters] = STATE(19043),
    [sym_inline_modifier] = STATE(2433),
    [sym__indentable_expression] = STATE(14616),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(6777),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17580),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(10498),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(5353),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(8805),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1347),
    [sym_block_comment] = STATE(1347),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2169),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2173),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2175),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1348] = {
    [sym_type_parameters] = STATE(19043),
    [sym_inline_modifier] = STATE(2433),
    [sym__indentable_expression] = STATE(14632),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(6777),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17580),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(10498),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(5353),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(8805),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1348),
    [sym_block_comment] = STATE(1348),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2169),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2173),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2175),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1349] = {
    [sym_type_parameters] = STATE(19043),
    [sym_inline_modifier] = STATE(2433),
    [sym__indentable_expression] = STATE(14633),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(6777),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17580),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(10498),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(5353),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(8805),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1349),
    [sym_block_comment] = STATE(1349),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2169),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2173),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2175),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1350] = {
    [sym_type_parameters] = STATE(19043),
    [sym_inline_modifier] = STATE(2433),
    [sym__indentable_expression] = STATE(14635),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(6777),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17580),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(10498),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(5353),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(8805),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1350),
    [sym_block_comment] = STATE(1350),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2169),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2173),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2175),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1351] = {
    [sym_type_parameters] = STATE(19043),
    [sym_inline_modifier] = STATE(2433),
    [sym__indentable_expression] = STATE(14642),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(6777),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17580),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(10498),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(5353),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(8805),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1351),
    [sym_block_comment] = STATE(1351),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2169),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2173),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2175),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1352] = {
    [sym_type_parameters] = STATE(19043),
    [sym_inline_modifier] = STATE(2433),
    [sym__indentable_expression] = STATE(14650),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(6777),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17580),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(10498),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(5353),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(8805),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1352),
    [sym_block_comment] = STATE(1352),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2169),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2173),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2175),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1353] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14915),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1353),
    [sym_block_comment] = STATE(1353),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__outdent] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1354] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14913),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1354),
    [sym_block_comment] = STATE(1354),
    [sym__alpha_identifier] = ACTIONS(3139),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(3142),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(3145),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(3145),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(3148),
    [anon_sym_infix] = ACTIONS(3145),
    [anon_sym_open] = ACTIONS(3145),
    [anon_sym_transparent] = ACTIONS(3145),
    [anon_sym_LPAREN] = ACTIONS(3151),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(3154),
    [sym_operator_identifier] = ACTIONS(3157),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(3160),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1355] = {
    [sym_type_parameters] = STATE(19242),
    [sym_inline_modifier] = STATE(2470),
    [sym__indentable_expression] = STATE(14262),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5573),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17585),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9764),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4962),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7178),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(1355),
    [sym_block_comment] = STATE(1355),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_try] = ACTIONS(1499),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1501),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1505),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [1356] = {
    [sym_type_parameters] = STATE(19018),
    [sym_inline_modifier] = STATE(2423),
    [sym__indentable_expression] = STATE(14622),
    [sym_block] = STATE(9948),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(14917),
    [sym__simple_expression] = STATE(6984),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17638),
    [sym_case_block] = STATE(9948),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(9948),
    [sym_call_expression] = STATE(9948),
    [sym_field_expression] = STATE(9948),
    [sym_instance_expression] = STATE(9948),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(10976),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19113),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10414),
    [sym_tuple_expression] = STATE(9948),
    [sym_parenthesized_expression] = STATE(9948),
    [sym_splice_expression] = STATE(9948),
    [sym_quote_expression] = STATE(9948),
    [sym_identifier] = STATE(5741),
    [sym__soft_identifier] = STATE(4751),
    [sym_wildcard] = STATE(9076),
    [sym__non_null_literal] = STATE(9948),
    [sym_boolean_literal] = STATE(10000),
    [sym_interpolated_string_expression] = STATE(9948),
    [sym_string] = STATE(10000),
    [sym_unit] = STATE(9948),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1356),
    [sym_block_comment] = STATE(1356),
    [sym__alpha_identifier] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym__] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_end] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2123),
    [anon_sym_try] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_opaque] = ACTIONS(1523),
    [anon_sym_implicit] = ACTIONS(2127),
    [anon_sym_inline] = ACTIONS(1527),
    [anon_sym_infix] = ACTIONS(1523),
    [anon_sym_open] = ACTIONS(1523),
    [anon_sym_transparent] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [anon_sym_macro] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [sym__backquoted_id] = ACTIONS(1535),
    [sym_operator_identifier] = ACTIONS(2131),
    [sym_integer_literal] = ACTIONS(1539),
    [sym_floating_point_literal] = ACTIONS(1541),
    [anon_sym_true] = ACTIONS(1543),
    [anon_sym_false] = ACTIONS(1543),
    [sym_character_literal] = ACTIONS(1541),
    [sym_null_literal] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(2133),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1547),
    [sym__simple_string] = ACTIONS(1547),
  },
  [1357] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym__indentable_expression] = STATE(15056),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1357),
    [sym_block_comment] = STATE(1357),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1358] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym__indentable_expression] = STATE(15007),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1358),
    [sym_block_comment] = STATE(1358),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1359] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym__indentable_expression] = STATE(15017),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1359),
    [sym_block_comment] = STATE(1359),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1360] = {
    [sym_type_parameters] = STATE(19242),
    [sym_inline_modifier] = STATE(2470),
    [sym__indentable_expression] = STATE(14125),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5573),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17585),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9764),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4962),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7178),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(1360),
    [sym_block_comment] = STATE(1360),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_try] = ACTIONS(1499),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1501),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1505),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [1361] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym__indentable_expression] = STATE(14961),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1361),
    [sym_block_comment] = STATE(1361),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1362] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym__indentable_expression] = STATE(14989),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1362),
    [sym_block_comment] = STATE(1362),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1363] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym__indentable_expression] = STATE(15082),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1363),
    [sym_block_comment] = STATE(1363),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1364] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym__indentable_expression] = STATE(15095),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1364),
    [sym_block_comment] = STATE(1364),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1365] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym__indentable_expression] = STATE(15055),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1365),
    [sym_block_comment] = STATE(1365),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1366] = {
    [sym_type_parameters] = STATE(19035),
    [sym_inline_modifier] = STATE(2429),
    [sym__indentable_expression] = STATE(14207),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5983),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17568),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10044),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(5062),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(8371),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1366),
    [sym_block_comment] = STATE(1366),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1695),
    [anon_sym_while] = ACTIONS(1697),
    [anon_sym_for] = ACTIONS(1699),
    [anon_sym_try] = ACTIONS(1701),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1703),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1707),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1709),
    [anon_sym_throw] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1367] = {
    [sym_type_parameters] = STATE(19091),
    [sym_inline_modifier] = STATE(2441),
    [sym__indentable_expression] = STATE(15109),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6891),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17610),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(10746),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5688),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(9054),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1367),
    [sym_block_comment] = STATE(1367),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_while] = ACTIONS(2439),
    [anon_sym_for] = ACTIONS(2441),
    [anon_sym_try] = ACTIONS(2443),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2445),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2447),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2449),
    [anon_sym_throw] = ACTIONS(2451),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1368] = {
    [sym_type_parameters] = STATE(19091),
    [sym_inline_modifier] = STATE(2441),
    [sym__indentable_expression] = STATE(15073),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6891),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17610),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(10746),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5688),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(9054),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1368),
    [sym_block_comment] = STATE(1368),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_while] = ACTIONS(2439),
    [anon_sym_for] = ACTIONS(2441),
    [anon_sym_try] = ACTIONS(2443),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2445),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2447),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2449),
    [anon_sym_throw] = ACTIONS(2451),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1369] = {
    [sym_type_parameters] = STATE(19242),
    [sym_inline_modifier] = STATE(2470),
    [sym__indentable_expression] = STATE(14135),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5573),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17585),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9764),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4962),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7178),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(1369),
    [sym_block_comment] = STATE(1369),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_try] = ACTIONS(1499),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1501),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1505),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [1370] = {
    [sym_type_parameters] = STATE(19018),
    [sym_inline_modifier] = STATE(2423),
    [sym__indentable_expression] = STATE(14681),
    [sym_block] = STATE(9948),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(14917),
    [sym__simple_expression] = STATE(6984),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17638),
    [sym_case_block] = STATE(9948),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(9948),
    [sym_call_expression] = STATE(9948),
    [sym_field_expression] = STATE(9948),
    [sym_instance_expression] = STATE(9948),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(10976),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19113),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10414),
    [sym_tuple_expression] = STATE(9948),
    [sym_parenthesized_expression] = STATE(9948),
    [sym_splice_expression] = STATE(9948),
    [sym_quote_expression] = STATE(9948),
    [sym_identifier] = STATE(5741),
    [sym__soft_identifier] = STATE(4751),
    [sym_wildcard] = STATE(9076),
    [sym__non_null_literal] = STATE(9948),
    [sym_boolean_literal] = STATE(10000),
    [sym_interpolated_string_expression] = STATE(9948),
    [sym_string] = STATE(10000),
    [sym_unit] = STATE(9948),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1370),
    [sym_block_comment] = STATE(1370),
    [sym__alpha_identifier] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym__] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_end] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2123),
    [anon_sym_try] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_opaque] = ACTIONS(1523),
    [anon_sym_implicit] = ACTIONS(2127),
    [anon_sym_inline] = ACTIONS(1527),
    [anon_sym_infix] = ACTIONS(1523),
    [anon_sym_open] = ACTIONS(1523),
    [anon_sym_transparent] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [anon_sym_macro] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [sym__backquoted_id] = ACTIONS(1535),
    [sym_operator_identifier] = ACTIONS(2131),
    [sym_integer_literal] = ACTIONS(1539),
    [sym_floating_point_literal] = ACTIONS(1541),
    [anon_sym_true] = ACTIONS(1543),
    [anon_sym_false] = ACTIONS(1543),
    [sym_character_literal] = ACTIONS(1541),
    [sym_null_literal] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(2133),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1547),
    [sym__simple_string] = ACTIONS(1547),
  },
  [1371] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym__indentable_expression] = STATE(14936),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1371),
    [sym_block_comment] = STATE(1371),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1372] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym__indentable_expression] = STATE(15013),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1372),
    [sym_block_comment] = STATE(1372),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1373] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym__indentable_expression] = STATE(14948),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1373),
    [sym_block_comment] = STATE(1373),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1374] = {
    [sym_type_parameters] = STATE(19242),
    [sym_inline_modifier] = STATE(2470),
    [sym__indentable_expression] = STATE(14136),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5573),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17585),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9764),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4962),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7178),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(1374),
    [sym_block_comment] = STATE(1374),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_try] = ACTIONS(1499),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1501),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1505),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [1375] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym__indentable_expression] = STATE(15085),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1375),
    [sym_block_comment] = STATE(1375),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1376] = {
    [sym_type_parameters] = STATE(19242),
    [sym_inline_modifier] = STATE(2470),
    [sym__indentable_expression] = STATE(14146),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5573),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17585),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9764),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4962),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7178),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(1376),
    [sym_block_comment] = STATE(1376),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_try] = ACTIONS(1499),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1501),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1505),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [1377] = {
    [sym_type_parameters] = STATE(19035),
    [sym_inline_modifier] = STATE(2429),
    [sym__indentable_expression] = STATE(14331),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5983),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17568),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10044),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(5062),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(8371),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1377),
    [sym_block_comment] = STATE(1377),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1695),
    [anon_sym_while] = ACTIONS(1697),
    [anon_sym_for] = ACTIONS(1699),
    [anon_sym_try] = ACTIONS(1701),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1703),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1707),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1709),
    [anon_sym_throw] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1378] = {
    [sym_type_parameters] = STATE(19242),
    [sym_inline_modifier] = STATE(2470),
    [sym__indentable_expression] = STATE(14187),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5573),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17585),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9764),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4962),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7178),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(1378),
    [sym_block_comment] = STATE(1378),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_try] = ACTIONS(1499),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1501),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1505),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [1379] = {
    [sym_type_parameters] = STATE(19059),
    [sym_inline_modifier] = STATE(2435),
    [sym_block] = STATE(10530),
    [sym_expression] = STATE(15108),
    [sym__simple_expression] = STATE(7452),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17472),
    [sym_case_block] = STATE(10530),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(10530),
    [sym_call_expression] = STATE(10530),
    [sym_field_expression] = STATE(10530),
    [sym_instance_expression] = STATE(10530),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(11241),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(19533),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(11075),
    [sym_tuple_expression] = STATE(10530),
    [sym_parenthesized_expression] = STATE(10530),
    [sym_splice_expression] = STATE(10530),
    [sym_quote_expression] = STATE(10530),
    [sym_identifier] = STATE(6021),
    [sym__soft_identifier] = STATE(4921),
    [sym_wildcard] = STATE(9558),
    [sym__non_null_literal] = STATE(10530),
    [sym_boolean_literal] = STATE(10615),
    [sym_interpolated_string_expression] = STATE(10530),
    [sym_string] = STATE(10615),
    [sym_unit] = STATE(10530),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1379),
    [sym_block_comment] = STATE(1379),
    [sym__alpha_identifier] = ACTIONS(3163),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(3166),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_end] = ACTIONS(3169),
    [anon_sym_if] = ACTIONS(2583),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(3169),
    [anon_sym_implicit] = ACTIONS(2591),
    [anon_sym_inline] = ACTIONS(3172),
    [anon_sym_infix] = ACTIONS(3169),
    [anon_sym_open] = ACTIONS(3169),
    [anon_sym_transparent] = ACTIONS(3169),
    [anon_sym_LPAREN] = ACTIONS(3175),
    [anon_sym_macro] = ACTIONS(2593),
    [anon_sym_BANG] = ACTIONS(2407),
    [anon_sym_TILDE] = ACTIONS(2407),
    [anon_sym_DOLLAR] = ACTIONS(2417),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [sym__backquoted_id] = ACTIONS(3178),
    [sym_operator_identifier] = ACTIONS(3181),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_floating_point_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2429),
    [anon_sym_false] = ACTIONS(2429),
    [sym_character_literal] = ACTIONS(2427),
    [sym_null_literal] = ACTIONS(2431),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_throw] = ACTIONS(2599),
    [anon_sym_do] = ACTIONS(2727),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2433),
    [sym__simple_string] = ACTIONS(2433),
  },
  [1380] = {
    [sym_type_parameters] = STATE(19059),
    [sym_inline_modifier] = STATE(2435),
    [sym__indentable_expression] = STATE(13491),
    [sym_block] = STATE(10530),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(15036),
    [sym__simple_expression] = STATE(7452),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17472),
    [sym_case_block] = STATE(10530),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(10530),
    [sym_call_expression] = STATE(10530),
    [sym_field_expression] = STATE(10530),
    [sym_instance_expression] = STATE(10530),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(11241),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(19533),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(11075),
    [sym_tuple_expression] = STATE(10530),
    [sym_parenthesized_expression] = STATE(10530),
    [sym_splice_expression] = STATE(10530),
    [sym_quote_expression] = STATE(10530),
    [sym_identifier] = STATE(6021),
    [sym__soft_identifier] = STATE(4921),
    [sym_wildcard] = STATE(9558),
    [sym__non_null_literal] = STATE(10530),
    [sym_boolean_literal] = STATE(10615),
    [sym_interpolated_string_expression] = STATE(10530),
    [sym_string] = STATE(10615),
    [sym_unit] = STATE(10530),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1380),
    [sym_block_comment] = STATE(1380),
    [sym__alpha_identifier] = ACTIONS(2399),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym__] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_end] = ACTIONS(2409),
    [anon_sym_if] = ACTIONS(2583),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_opaque] = ACTIONS(2409),
    [anon_sym_implicit] = ACTIONS(2591),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym_infix] = ACTIONS(2409),
    [anon_sym_open] = ACTIONS(2409),
    [anon_sym_transparent] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_macro] = ACTIONS(2593),
    [anon_sym_BANG] = ACTIONS(2407),
    [anon_sym_TILDE] = ACTIONS(2407),
    [anon_sym_DOLLAR] = ACTIONS(2417),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [sym__backquoted_id] = ACTIONS(2421),
    [sym_operator_identifier] = ACTIONS(2595),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_floating_point_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2429),
    [anon_sym_false] = ACTIONS(2429),
    [sym_character_literal] = ACTIONS(2427),
    [sym_null_literal] = ACTIONS(2431),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_throw] = ACTIONS(2599),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(2433),
    [sym__simple_string] = ACTIONS(2433),
  },
  [1381] = {
    [sym_type_parameters] = STATE(19242),
    [sym_inline_modifier] = STATE(2470),
    [sym__indentable_expression] = STATE(14195),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5573),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17585),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9764),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4962),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7178),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(1381),
    [sym_block_comment] = STATE(1381),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_try] = ACTIONS(1499),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1501),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1505),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [1382] = {
    [sym_type_parameters] = STATE(19242),
    [sym_inline_modifier] = STATE(2470),
    [sym__indentable_expression] = STATE(14233),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5573),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17585),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9764),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4962),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7178),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(1382),
    [sym_block_comment] = STATE(1382),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_try] = ACTIONS(1499),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1501),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1505),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [1383] = {
    [sym_type_parameters] = STATE(19059),
    [sym_inline_modifier] = STATE(2435),
    [sym__indentable_expression] = STATE(13210),
    [sym_block] = STATE(10530),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(15036),
    [sym__simple_expression] = STATE(7452),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17472),
    [sym_case_block] = STATE(10530),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(10530),
    [sym_call_expression] = STATE(10530),
    [sym_field_expression] = STATE(10530),
    [sym_instance_expression] = STATE(10530),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(11241),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(19533),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(11075),
    [sym_tuple_expression] = STATE(10530),
    [sym_parenthesized_expression] = STATE(10530),
    [sym_splice_expression] = STATE(10530),
    [sym_quote_expression] = STATE(10530),
    [sym_identifier] = STATE(6021),
    [sym__soft_identifier] = STATE(4921),
    [sym_wildcard] = STATE(9558),
    [sym__non_null_literal] = STATE(10530),
    [sym_boolean_literal] = STATE(10615),
    [sym_interpolated_string_expression] = STATE(10530),
    [sym_string] = STATE(10615),
    [sym_unit] = STATE(10530),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1383),
    [sym_block_comment] = STATE(1383),
    [sym__alpha_identifier] = ACTIONS(2399),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym__] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_end] = ACTIONS(2409),
    [anon_sym_if] = ACTIONS(2583),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_opaque] = ACTIONS(2409),
    [anon_sym_implicit] = ACTIONS(2591),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym_infix] = ACTIONS(2409),
    [anon_sym_open] = ACTIONS(2409),
    [anon_sym_transparent] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_macro] = ACTIONS(2593),
    [anon_sym_BANG] = ACTIONS(2407),
    [anon_sym_TILDE] = ACTIONS(2407),
    [anon_sym_DOLLAR] = ACTIONS(2417),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [sym__backquoted_id] = ACTIONS(2421),
    [sym_operator_identifier] = ACTIONS(2595),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_floating_point_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2429),
    [anon_sym_false] = ACTIONS(2429),
    [sym_character_literal] = ACTIONS(2427),
    [sym_null_literal] = ACTIONS(2431),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_throw] = ACTIONS(2599),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(2433),
    [sym__simple_string] = ACTIONS(2433),
  },
  [1384] = {
    [sym_type_parameters] = STATE(19059),
    [sym_inline_modifier] = STATE(2435),
    [sym__indentable_expression] = STATE(13227),
    [sym_block] = STATE(10530),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(15036),
    [sym__simple_expression] = STATE(7452),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17472),
    [sym_case_block] = STATE(10530),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(10530),
    [sym_call_expression] = STATE(10530),
    [sym_field_expression] = STATE(10530),
    [sym_instance_expression] = STATE(10530),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(11241),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(19533),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(11075),
    [sym_tuple_expression] = STATE(10530),
    [sym_parenthesized_expression] = STATE(10530),
    [sym_splice_expression] = STATE(10530),
    [sym_quote_expression] = STATE(10530),
    [sym_identifier] = STATE(6021),
    [sym__soft_identifier] = STATE(4921),
    [sym_wildcard] = STATE(9558),
    [sym__non_null_literal] = STATE(10530),
    [sym_boolean_literal] = STATE(10615),
    [sym_interpolated_string_expression] = STATE(10530),
    [sym_string] = STATE(10615),
    [sym_unit] = STATE(10530),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1384),
    [sym_block_comment] = STATE(1384),
    [sym__alpha_identifier] = ACTIONS(2399),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym__] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_end] = ACTIONS(2409),
    [anon_sym_if] = ACTIONS(2583),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_opaque] = ACTIONS(2409),
    [anon_sym_implicit] = ACTIONS(2591),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym_infix] = ACTIONS(2409),
    [anon_sym_open] = ACTIONS(2409),
    [anon_sym_transparent] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_macro] = ACTIONS(2593),
    [anon_sym_BANG] = ACTIONS(2407),
    [anon_sym_TILDE] = ACTIONS(2407),
    [anon_sym_DOLLAR] = ACTIONS(2417),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [sym__backquoted_id] = ACTIONS(2421),
    [sym_operator_identifier] = ACTIONS(2595),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_floating_point_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2429),
    [anon_sym_false] = ACTIONS(2429),
    [sym_character_literal] = ACTIONS(2427),
    [sym_null_literal] = ACTIONS(2431),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_throw] = ACTIONS(2599),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(2433),
    [sym__simple_string] = ACTIONS(2433),
  },
  [1385] = {
    [sym_type_parameters] = STATE(19035),
    [sym_inline_modifier] = STATE(2429),
    [sym__indentable_expression] = STATE(14274),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5983),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17568),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10044),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(5062),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(8371),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1385),
    [sym_block_comment] = STATE(1385),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1695),
    [anon_sym_while] = ACTIONS(1697),
    [anon_sym_for] = ACTIONS(1699),
    [anon_sym_try] = ACTIONS(1701),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1703),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1707),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1709),
    [anon_sym_throw] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1386] = {
    [sym_type_parameters] = STATE(19242),
    [sym_inline_modifier] = STATE(2470),
    [sym__indentable_expression] = STATE(14234),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5573),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17585),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9764),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4962),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7178),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(1386),
    [sym_block_comment] = STATE(1386),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_try] = ACTIONS(1499),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1501),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1505),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [1387] = {
    [sym_type_parameters] = STATE(19059),
    [sym_inline_modifier] = STATE(2435),
    [sym__indentable_expression] = STATE(13235),
    [sym_block] = STATE(10530),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(15036),
    [sym__simple_expression] = STATE(7452),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17472),
    [sym_case_block] = STATE(10530),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(10530),
    [sym_call_expression] = STATE(10530),
    [sym_field_expression] = STATE(10530),
    [sym_instance_expression] = STATE(10530),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(11241),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(19533),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(11075),
    [sym_tuple_expression] = STATE(10530),
    [sym_parenthesized_expression] = STATE(10530),
    [sym_splice_expression] = STATE(10530),
    [sym_quote_expression] = STATE(10530),
    [sym_identifier] = STATE(6021),
    [sym__soft_identifier] = STATE(4921),
    [sym_wildcard] = STATE(9558),
    [sym__non_null_literal] = STATE(10530),
    [sym_boolean_literal] = STATE(10615),
    [sym_interpolated_string_expression] = STATE(10530),
    [sym_string] = STATE(10615),
    [sym_unit] = STATE(10530),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1387),
    [sym_block_comment] = STATE(1387),
    [sym__alpha_identifier] = ACTIONS(2399),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym__] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_end] = ACTIONS(2409),
    [anon_sym_if] = ACTIONS(2583),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_opaque] = ACTIONS(2409),
    [anon_sym_implicit] = ACTIONS(2591),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym_infix] = ACTIONS(2409),
    [anon_sym_open] = ACTIONS(2409),
    [anon_sym_transparent] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_macro] = ACTIONS(2593),
    [anon_sym_BANG] = ACTIONS(2407),
    [anon_sym_TILDE] = ACTIONS(2407),
    [anon_sym_DOLLAR] = ACTIONS(2417),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [sym__backquoted_id] = ACTIONS(2421),
    [sym_operator_identifier] = ACTIONS(2595),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_floating_point_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2429),
    [anon_sym_false] = ACTIONS(2429),
    [sym_character_literal] = ACTIONS(2427),
    [sym_null_literal] = ACTIONS(2431),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_throw] = ACTIONS(2599),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(2433),
    [sym__simple_string] = ACTIONS(2433),
  },
  [1388] = {
    [sym_type_parameters] = STATE(19059),
    [sym_inline_modifier] = STATE(2435),
    [sym__indentable_expression] = STATE(13278),
    [sym_block] = STATE(10530),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(15036),
    [sym__simple_expression] = STATE(7452),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17472),
    [sym_case_block] = STATE(10530),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(10530),
    [sym_call_expression] = STATE(10530),
    [sym_field_expression] = STATE(10530),
    [sym_instance_expression] = STATE(10530),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(11241),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(19533),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(11075),
    [sym_tuple_expression] = STATE(10530),
    [sym_parenthesized_expression] = STATE(10530),
    [sym_splice_expression] = STATE(10530),
    [sym_quote_expression] = STATE(10530),
    [sym_identifier] = STATE(6021),
    [sym__soft_identifier] = STATE(4921),
    [sym_wildcard] = STATE(9558),
    [sym__non_null_literal] = STATE(10530),
    [sym_boolean_literal] = STATE(10615),
    [sym_interpolated_string_expression] = STATE(10530),
    [sym_string] = STATE(10615),
    [sym_unit] = STATE(10530),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1388),
    [sym_block_comment] = STATE(1388),
    [sym__alpha_identifier] = ACTIONS(2399),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym__] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_end] = ACTIONS(2409),
    [anon_sym_if] = ACTIONS(2583),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_opaque] = ACTIONS(2409),
    [anon_sym_implicit] = ACTIONS(2591),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym_infix] = ACTIONS(2409),
    [anon_sym_open] = ACTIONS(2409),
    [anon_sym_transparent] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_macro] = ACTIONS(2593),
    [anon_sym_BANG] = ACTIONS(2407),
    [anon_sym_TILDE] = ACTIONS(2407),
    [anon_sym_DOLLAR] = ACTIONS(2417),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [sym__backquoted_id] = ACTIONS(2421),
    [sym_operator_identifier] = ACTIONS(2595),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_floating_point_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2429),
    [anon_sym_false] = ACTIONS(2429),
    [sym_character_literal] = ACTIONS(2427),
    [sym_null_literal] = ACTIONS(2431),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_throw] = ACTIONS(2599),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(2433),
    [sym__simple_string] = ACTIONS(2433),
  },
  [1389] = {
    [sym_type_parameters] = STATE(19059),
    [sym_inline_modifier] = STATE(2435),
    [sym__indentable_expression] = STATE(13323),
    [sym_block] = STATE(10530),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(15036),
    [sym__simple_expression] = STATE(7452),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17472),
    [sym_case_block] = STATE(10530),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(10530),
    [sym_call_expression] = STATE(10530),
    [sym_field_expression] = STATE(10530),
    [sym_instance_expression] = STATE(10530),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(11241),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(19533),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(11075),
    [sym_tuple_expression] = STATE(10530),
    [sym_parenthesized_expression] = STATE(10530),
    [sym_splice_expression] = STATE(10530),
    [sym_quote_expression] = STATE(10530),
    [sym_identifier] = STATE(6021),
    [sym__soft_identifier] = STATE(4921),
    [sym_wildcard] = STATE(9558),
    [sym__non_null_literal] = STATE(10530),
    [sym_boolean_literal] = STATE(10615),
    [sym_interpolated_string_expression] = STATE(10530),
    [sym_string] = STATE(10615),
    [sym_unit] = STATE(10530),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1389),
    [sym_block_comment] = STATE(1389),
    [sym__alpha_identifier] = ACTIONS(2399),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym__] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_end] = ACTIONS(2409),
    [anon_sym_if] = ACTIONS(2583),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_opaque] = ACTIONS(2409),
    [anon_sym_implicit] = ACTIONS(2591),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym_infix] = ACTIONS(2409),
    [anon_sym_open] = ACTIONS(2409),
    [anon_sym_transparent] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_macro] = ACTIONS(2593),
    [anon_sym_BANG] = ACTIONS(2407),
    [anon_sym_TILDE] = ACTIONS(2407),
    [anon_sym_DOLLAR] = ACTIONS(2417),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [sym__backquoted_id] = ACTIONS(2421),
    [sym_operator_identifier] = ACTIONS(2595),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_floating_point_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2429),
    [anon_sym_false] = ACTIONS(2429),
    [sym_character_literal] = ACTIONS(2427),
    [sym_null_literal] = ACTIONS(2431),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_throw] = ACTIONS(2599),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(2433),
    [sym__simple_string] = ACTIONS(2433),
  },
  [1390] = {
    [sym_type_parameters] = STATE(19242),
    [sym_inline_modifier] = STATE(2470),
    [sym__indentable_expression] = STATE(14239),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5573),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17585),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9764),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4962),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7178),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(1390),
    [sym_block_comment] = STATE(1390),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_try] = ACTIONS(1499),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1501),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1505),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [1391] = {
    [sym_type_parameters] = STATE(19059),
    [sym_inline_modifier] = STATE(2435),
    [sym__indentable_expression] = STATE(13331),
    [sym_block] = STATE(10530),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(15036),
    [sym__simple_expression] = STATE(7452),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17472),
    [sym_case_block] = STATE(10530),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(10530),
    [sym_call_expression] = STATE(10530),
    [sym_field_expression] = STATE(10530),
    [sym_instance_expression] = STATE(10530),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(11241),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(19533),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(11075),
    [sym_tuple_expression] = STATE(10530),
    [sym_parenthesized_expression] = STATE(10530),
    [sym_splice_expression] = STATE(10530),
    [sym_quote_expression] = STATE(10530),
    [sym_identifier] = STATE(6021),
    [sym__soft_identifier] = STATE(4921),
    [sym_wildcard] = STATE(9558),
    [sym__non_null_literal] = STATE(10530),
    [sym_boolean_literal] = STATE(10615),
    [sym_interpolated_string_expression] = STATE(10530),
    [sym_string] = STATE(10615),
    [sym_unit] = STATE(10530),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1391),
    [sym_block_comment] = STATE(1391),
    [sym__alpha_identifier] = ACTIONS(2399),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym__] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_end] = ACTIONS(2409),
    [anon_sym_if] = ACTIONS(2583),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_opaque] = ACTIONS(2409),
    [anon_sym_implicit] = ACTIONS(2591),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym_infix] = ACTIONS(2409),
    [anon_sym_open] = ACTIONS(2409),
    [anon_sym_transparent] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_macro] = ACTIONS(2593),
    [anon_sym_BANG] = ACTIONS(2407),
    [anon_sym_TILDE] = ACTIONS(2407),
    [anon_sym_DOLLAR] = ACTIONS(2417),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [sym__backquoted_id] = ACTIONS(2421),
    [sym_operator_identifier] = ACTIONS(2595),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_floating_point_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2429),
    [anon_sym_false] = ACTIONS(2429),
    [sym_character_literal] = ACTIONS(2427),
    [sym_null_literal] = ACTIONS(2431),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_throw] = ACTIONS(2599),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(2433),
    [sym__simple_string] = ACTIONS(2433),
  },
  [1392] = {
    [sym_type_parameters] = STATE(19059),
    [sym_inline_modifier] = STATE(2435),
    [sym__indentable_expression] = STATE(13347),
    [sym_block] = STATE(10530),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(15036),
    [sym__simple_expression] = STATE(7452),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17472),
    [sym_case_block] = STATE(10530),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(10530),
    [sym_call_expression] = STATE(10530),
    [sym_field_expression] = STATE(10530),
    [sym_instance_expression] = STATE(10530),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(11241),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(19533),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(11075),
    [sym_tuple_expression] = STATE(10530),
    [sym_parenthesized_expression] = STATE(10530),
    [sym_splice_expression] = STATE(10530),
    [sym_quote_expression] = STATE(10530),
    [sym_identifier] = STATE(6021),
    [sym__soft_identifier] = STATE(4921),
    [sym_wildcard] = STATE(9558),
    [sym__non_null_literal] = STATE(10530),
    [sym_boolean_literal] = STATE(10615),
    [sym_interpolated_string_expression] = STATE(10530),
    [sym_string] = STATE(10615),
    [sym_unit] = STATE(10530),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1392),
    [sym_block_comment] = STATE(1392),
    [sym__alpha_identifier] = ACTIONS(2399),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym__] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_end] = ACTIONS(2409),
    [anon_sym_if] = ACTIONS(2583),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_opaque] = ACTIONS(2409),
    [anon_sym_implicit] = ACTIONS(2591),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym_infix] = ACTIONS(2409),
    [anon_sym_open] = ACTIONS(2409),
    [anon_sym_transparent] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_macro] = ACTIONS(2593),
    [anon_sym_BANG] = ACTIONS(2407),
    [anon_sym_TILDE] = ACTIONS(2407),
    [anon_sym_DOLLAR] = ACTIONS(2417),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [sym__backquoted_id] = ACTIONS(2421),
    [sym_operator_identifier] = ACTIONS(2595),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_floating_point_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2429),
    [anon_sym_false] = ACTIONS(2429),
    [sym_character_literal] = ACTIONS(2427),
    [sym_null_literal] = ACTIONS(2431),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_throw] = ACTIONS(2599),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(2433),
    [sym__simple_string] = ACTIONS(2433),
  },
  [1393] = {
    [sym_type_parameters] = STATE(19242),
    [sym_inline_modifier] = STATE(2470),
    [sym__indentable_expression] = STATE(14241),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5573),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17585),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9764),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4962),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7178),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(1393),
    [sym_block_comment] = STATE(1393),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_try] = ACTIONS(1499),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1501),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1505),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [1394] = {
    [sym_type_parameters] = STATE(19059),
    [sym_inline_modifier] = STATE(2435),
    [sym__indentable_expression] = STATE(13350),
    [sym_block] = STATE(10530),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(15036),
    [sym__simple_expression] = STATE(7452),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17472),
    [sym_case_block] = STATE(10530),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(10530),
    [sym_call_expression] = STATE(10530),
    [sym_field_expression] = STATE(10530),
    [sym_instance_expression] = STATE(10530),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(11241),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(19533),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(11075),
    [sym_tuple_expression] = STATE(10530),
    [sym_parenthesized_expression] = STATE(10530),
    [sym_splice_expression] = STATE(10530),
    [sym_quote_expression] = STATE(10530),
    [sym_identifier] = STATE(6021),
    [sym__soft_identifier] = STATE(4921),
    [sym_wildcard] = STATE(9558),
    [sym__non_null_literal] = STATE(10530),
    [sym_boolean_literal] = STATE(10615),
    [sym_interpolated_string_expression] = STATE(10530),
    [sym_string] = STATE(10615),
    [sym_unit] = STATE(10530),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1394),
    [sym_block_comment] = STATE(1394),
    [sym__alpha_identifier] = ACTIONS(2399),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym__] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_end] = ACTIONS(2409),
    [anon_sym_if] = ACTIONS(2583),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_opaque] = ACTIONS(2409),
    [anon_sym_implicit] = ACTIONS(2591),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym_infix] = ACTIONS(2409),
    [anon_sym_open] = ACTIONS(2409),
    [anon_sym_transparent] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_macro] = ACTIONS(2593),
    [anon_sym_BANG] = ACTIONS(2407),
    [anon_sym_TILDE] = ACTIONS(2407),
    [anon_sym_DOLLAR] = ACTIONS(2417),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [sym__backquoted_id] = ACTIONS(2421),
    [sym_operator_identifier] = ACTIONS(2595),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_floating_point_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2429),
    [anon_sym_false] = ACTIONS(2429),
    [sym_character_literal] = ACTIONS(2427),
    [sym_null_literal] = ACTIONS(2431),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_throw] = ACTIONS(2599),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(2433),
    [sym__simple_string] = ACTIONS(2433),
  },
  [1395] = {
    [sym_type_parameters] = STATE(19059),
    [sym_inline_modifier] = STATE(2435),
    [sym__indentable_expression] = STATE(13351),
    [sym_block] = STATE(10530),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(15036),
    [sym__simple_expression] = STATE(7452),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17472),
    [sym_case_block] = STATE(10530),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(10530),
    [sym_call_expression] = STATE(10530),
    [sym_field_expression] = STATE(10530),
    [sym_instance_expression] = STATE(10530),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(11241),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(19533),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(11075),
    [sym_tuple_expression] = STATE(10530),
    [sym_parenthesized_expression] = STATE(10530),
    [sym_splice_expression] = STATE(10530),
    [sym_quote_expression] = STATE(10530),
    [sym_identifier] = STATE(6021),
    [sym__soft_identifier] = STATE(4921),
    [sym_wildcard] = STATE(9558),
    [sym__non_null_literal] = STATE(10530),
    [sym_boolean_literal] = STATE(10615),
    [sym_interpolated_string_expression] = STATE(10530),
    [sym_string] = STATE(10615),
    [sym_unit] = STATE(10530),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1395),
    [sym_block_comment] = STATE(1395),
    [sym__alpha_identifier] = ACTIONS(2399),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym__] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_end] = ACTIONS(2409),
    [anon_sym_if] = ACTIONS(2583),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_opaque] = ACTIONS(2409),
    [anon_sym_implicit] = ACTIONS(2591),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym_infix] = ACTIONS(2409),
    [anon_sym_open] = ACTIONS(2409),
    [anon_sym_transparent] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_macro] = ACTIONS(2593),
    [anon_sym_BANG] = ACTIONS(2407),
    [anon_sym_TILDE] = ACTIONS(2407),
    [anon_sym_DOLLAR] = ACTIONS(2417),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [sym__backquoted_id] = ACTIONS(2421),
    [sym_operator_identifier] = ACTIONS(2595),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_floating_point_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2429),
    [anon_sym_false] = ACTIONS(2429),
    [sym_character_literal] = ACTIONS(2427),
    [sym_null_literal] = ACTIONS(2431),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_throw] = ACTIONS(2599),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(2433),
    [sym__simple_string] = ACTIONS(2433),
  },
  [1396] = {
    [sym_type_parameters] = STATE(19059),
    [sym_inline_modifier] = STATE(2435),
    [sym__indentable_expression] = STATE(13352),
    [sym_block] = STATE(10530),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(15036),
    [sym__simple_expression] = STATE(7452),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17472),
    [sym_case_block] = STATE(10530),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(10530),
    [sym_call_expression] = STATE(10530),
    [sym_field_expression] = STATE(10530),
    [sym_instance_expression] = STATE(10530),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(11241),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(19533),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(11075),
    [sym_tuple_expression] = STATE(10530),
    [sym_parenthesized_expression] = STATE(10530),
    [sym_splice_expression] = STATE(10530),
    [sym_quote_expression] = STATE(10530),
    [sym_identifier] = STATE(6021),
    [sym__soft_identifier] = STATE(4921),
    [sym_wildcard] = STATE(9558),
    [sym__non_null_literal] = STATE(10530),
    [sym_boolean_literal] = STATE(10615),
    [sym_interpolated_string_expression] = STATE(10530),
    [sym_string] = STATE(10615),
    [sym_unit] = STATE(10530),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1396),
    [sym_block_comment] = STATE(1396),
    [sym__alpha_identifier] = ACTIONS(2399),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym__] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_end] = ACTIONS(2409),
    [anon_sym_if] = ACTIONS(2583),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_opaque] = ACTIONS(2409),
    [anon_sym_implicit] = ACTIONS(2591),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym_infix] = ACTIONS(2409),
    [anon_sym_open] = ACTIONS(2409),
    [anon_sym_transparent] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_macro] = ACTIONS(2593),
    [anon_sym_BANG] = ACTIONS(2407),
    [anon_sym_TILDE] = ACTIONS(2407),
    [anon_sym_DOLLAR] = ACTIONS(2417),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [sym__backquoted_id] = ACTIONS(2421),
    [sym_operator_identifier] = ACTIONS(2595),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_floating_point_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2429),
    [anon_sym_false] = ACTIONS(2429),
    [sym_character_literal] = ACTIONS(2427),
    [sym_null_literal] = ACTIONS(2431),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_throw] = ACTIONS(2599),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(2433),
    [sym__simple_string] = ACTIONS(2433),
  },
  [1397] = {
    [sym_type_parameters] = STATE(19242),
    [sym_inline_modifier] = STATE(2470),
    [sym__indentable_expression] = STATE(14259),
    [sym_block] = STATE(8225),
    [sym_indented_block] = STATE(14185),
    [sym_indented_cases] = STATE(14185),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(5573),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17585),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9764),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4962),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7178),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(1397),
    [sym_block_comment] = STATE(1397),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_try] = ACTIONS(1499),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1501),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1505),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2365),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [1398] = {
    [sym_type_parameters] = STATE(19059),
    [sym_inline_modifier] = STATE(2435),
    [sym__indentable_expression] = STATE(13361),
    [sym_block] = STATE(10530),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(15036),
    [sym__simple_expression] = STATE(7452),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17472),
    [sym_case_block] = STATE(10530),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(10530),
    [sym_call_expression] = STATE(10530),
    [sym_field_expression] = STATE(10530),
    [sym_instance_expression] = STATE(10530),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(11241),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(19533),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(11075),
    [sym_tuple_expression] = STATE(10530),
    [sym_parenthesized_expression] = STATE(10530),
    [sym_splice_expression] = STATE(10530),
    [sym_quote_expression] = STATE(10530),
    [sym_identifier] = STATE(6021),
    [sym__soft_identifier] = STATE(4921),
    [sym_wildcard] = STATE(9558),
    [sym__non_null_literal] = STATE(10530),
    [sym_boolean_literal] = STATE(10615),
    [sym_interpolated_string_expression] = STATE(10530),
    [sym_string] = STATE(10615),
    [sym_unit] = STATE(10530),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1398),
    [sym_block_comment] = STATE(1398),
    [sym__alpha_identifier] = ACTIONS(2399),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym__] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_end] = ACTIONS(2409),
    [anon_sym_if] = ACTIONS(2583),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_opaque] = ACTIONS(2409),
    [anon_sym_implicit] = ACTIONS(2591),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym_infix] = ACTIONS(2409),
    [anon_sym_open] = ACTIONS(2409),
    [anon_sym_transparent] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_macro] = ACTIONS(2593),
    [anon_sym_BANG] = ACTIONS(2407),
    [anon_sym_TILDE] = ACTIONS(2407),
    [anon_sym_DOLLAR] = ACTIONS(2417),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [sym__backquoted_id] = ACTIONS(2421),
    [sym_operator_identifier] = ACTIONS(2595),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_floating_point_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2429),
    [anon_sym_false] = ACTIONS(2429),
    [sym_character_literal] = ACTIONS(2427),
    [sym_null_literal] = ACTIONS(2431),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_throw] = ACTIONS(2599),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(2433),
    [sym__simple_string] = ACTIONS(2433),
  },
  [1399] = {
    [sym_type_parameters] = STATE(19214),
    [sym_inline_modifier] = STATE(2465),
    [sym__indentable_expression] = STATE(13643),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(6878),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17725),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10612),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5702),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8984),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1399),
    [sym_block_comment] = STATE(1399),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1001),
    [anon_sym_while] = ACTIONS(1003),
    [anon_sym_for] = ACTIONS(1005),
    [anon_sym_try] = ACTIONS(1007),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(1009),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(2625),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(1029),
    [anon_sym_throw] = ACTIONS(1031),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1400] = {
    [sym_type_parameters] = STATE(19067),
    [sym_inline_modifier] = STATE(2437),
    [sym_block] = STATE(8813),
    [sym_expression] = STATE(14317),
    [sym__simple_expression] = STATE(8301),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17572),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11110),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6708),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(10134),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1400),
    [sym_block_comment] = STATE(1400),
    [sym__alpha_identifier] = ACTIONS(3115),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(3118),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(3121),
    [anon_sym_implicit] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(3124),
    [anon_sym_infix] = ACTIONS(3121),
    [anon_sym_open] = ACTIONS(3121),
    [anon_sym_transparent] = ACTIONS(3121),
    [anon_sym_LPAREN] = ACTIONS(3127),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(3130),
    [sym_operator_identifier] = ACTIONS(3184),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2207),
    [anon_sym_do] = ACTIONS(3136),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1401] = {
    [sym_type_parameters] = STATE(19067),
    [sym_inline_modifier] = STATE(2437),
    [sym__indentable_expression] = STATE(14543),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8301),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17572),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11110),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6708),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(10134),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1401),
    [sym_block_comment] = STATE(1401),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2203),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2207),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1402] = {
    [sym_type_parameters] = STATE(19249),
    [sym_inline_modifier] = STATE(2471),
    [sym_block] = STATE(9867),
    [sym_expression] = STATE(14416),
    [sym__simple_expression] = STATE(6536),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17625),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10510),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5560),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(9247),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(1402),
    [sym_block_comment] = STATE(1402),
    [sym__alpha_identifier] = ACTIONS(2878),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2881),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(2884),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_while] = ACTIONS(1965),
    [anon_sym_for] = ACTIONS(1967),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(1969),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2884),
    [anon_sym_implicit] = ACTIONS(1971),
    [anon_sym_inline] = ACTIONS(2887),
    [anon_sym_infix] = ACTIONS(2884),
    [anon_sym_open] = ACTIONS(2884),
    [anon_sym_transparent] = ACTIONS(2884),
    [anon_sym_LPAREN] = ACTIONS(2890),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(2893),
    [sym_operator_identifier] = ACTIONS(3187),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(1977),
    [anon_sym_throw] = ACTIONS(1979),
    [anon_sym_do] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [1403] = {
    [sym_type_parameters] = STATE(19067),
    [sym_inline_modifier] = STATE(2437),
    [sym__indentable_expression] = STATE(14571),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8301),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17572),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11110),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6708),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(10134),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1403),
    [sym_block_comment] = STATE(1403),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2203),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2207),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1404] = {
    [sym_type_parameters] = STATE(19067),
    [sym_inline_modifier] = STATE(2437),
    [sym__indentable_expression] = STATE(14574),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8301),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17572),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11110),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6708),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(10134),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1404),
    [sym_block_comment] = STATE(1404),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2203),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2207),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1405] = {
    [sym_type_parameters] = STATE(19249),
    [sym_inline_modifier] = STATE(2471),
    [sym__indentable_expression] = STATE(14818),
    [sym_block] = STATE(9867),
    [sym_indented_block] = STATE(14860),
    [sym_indented_cases] = STATE(14860),
    [sym_expression] = STATE(14402),
    [sym__simple_expression] = STATE(6536),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17625),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10510),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5560),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(9247),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(1405),
    [sym_block_comment] = STATE(1405),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_while] = ACTIONS(1965),
    [anon_sym_for] = ACTIONS(1967),
    [anon_sym_try] = ACTIONS(1969),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(1971),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(1975),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(1977),
    [anon_sym_throw] = ACTIONS(1979),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2185),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [1406] = {
    [sym_type_parameters] = STATE(19067),
    [sym_inline_modifier] = STATE(2437),
    [sym__indentable_expression] = STATE(14578),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8301),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17572),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11110),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6708),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(10134),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1406),
    [sym_block_comment] = STATE(1406),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2203),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2207),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1407] = {
    [sym_type_parameters] = STATE(19067),
    [sym_inline_modifier] = STATE(2437),
    [sym__indentable_expression] = STATE(14583),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8301),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17572),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11110),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6708),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(10134),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1407),
    [sym_block_comment] = STATE(1407),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2203),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2207),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1408] = {
    [sym_type_parameters] = STATE(19067),
    [sym_inline_modifier] = STATE(2437),
    [sym__indentable_expression] = STATE(14612),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8301),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17572),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11110),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6708),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(10134),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1408),
    [sym_block_comment] = STATE(1408),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2203),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2207),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1409] = {
    [sym_type_parameters] = STATE(19067),
    [sym_inline_modifier] = STATE(2437),
    [sym__indentable_expression] = STATE(14616),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8301),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17572),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11110),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6708),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(10134),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1409),
    [sym_block_comment] = STATE(1409),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2203),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2207),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1410] = {
    [sym_type_parameters] = STATE(19067),
    [sym_inline_modifier] = STATE(2437),
    [sym__indentable_expression] = STATE(14632),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8301),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17572),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11110),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6708),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(10134),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1410),
    [sym_block_comment] = STATE(1410),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2203),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2207),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1411] = {
    [sym_type_parameters] = STATE(19249),
    [sym_inline_modifier] = STATE(2471),
    [sym__indentable_expression] = STATE(14885),
    [sym_block] = STATE(9867),
    [sym_indented_block] = STATE(14860),
    [sym_indented_cases] = STATE(14860),
    [sym_expression] = STATE(14402),
    [sym__simple_expression] = STATE(6536),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17625),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10510),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5560),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(9247),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(1411),
    [sym_block_comment] = STATE(1411),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_while] = ACTIONS(1965),
    [anon_sym_for] = ACTIONS(1967),
    [anon_sym_try] = ACTIONS(1969),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(1971),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(1975),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(1977),
    [anon_sym_throw] = ACTIONS(1979),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2185),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [1412] = {
    [sym_type_parameters] = STATE(19067),
    [sym_inline_modifier] = STATE(2437),
    [sym__indentable_expression] = STATE(14633),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8301),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17572),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11110),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6708),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(10134),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1412),
    [sym_block_comment] = STATE(1412),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2203),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2207),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1413] = {
    [sym_type_parameters] = STATE(19067),
    [sym_inline_modifier] = STATE(2437),
    [sym__indentable_expression] = STATE(14635),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8301),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17572),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11110),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6708),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(10134),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1413),
    [sym_block_comment] = STATE(1413),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2203),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2207),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1414] = {
    [sym_type_parameters] = STATE(19067),
    [sym_inline_modifier] = STATE(2437),
    [sym__indentable_expression] = STATE(14642),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8301),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17572),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11110),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6708),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(10134),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1414),
    [sym_block_comment] = STATE(1414),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2203),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2207),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1415] = {
    [sym_type_parameters] = STATE(19249),
    [sym_inline_modifier] = STATE(2471),
    [sym__indentable_expression] = STATE(14886),
    [sym_block] = STATE(9867),
    [sym_indented_block] = STATE(14860),
    [sym_indented_cases] = STATE(14860),
    [sym_expression] = STATE(14402),
    [sym__simple_expression] = STATE(6536),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17625),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10510),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5560),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(9247),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(1415),
    [sym_block_comment] = STATE(1415),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_while] = ACTIONS(1965),
    [anon_sym_for] = ACTIONS(1967),
    [anon_sym_try] = ACTIONS(1969),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(1971),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(1975),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(1977),
    [anon_sym_throw] = ACTIONS(1979),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2185),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [1416] = {
    [sym_type_parameters] = STATE(19067),
    [sym_inline_modifier] = STATE(2437),
    [sym__indentable_expression] = STATE(14650),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8301),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17572),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11110),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6708),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(10134),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1416),
    [sym_block_comment] = STATE(1416),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2203),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2207),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1417] = {
    [sym_type_parameters] = STATE(19249),
    [sym_inline_modifier] = STATE(2471),
    [sym__indentable_expression] = STATE(14892),
    [sym_block] = STATE(9867),
    [sym_indented_block] = STATE(14860),
    [sym_indented_cases] = STATE(14860),
    [sym_expression] = STATE(14402),
    [sym__simple_expression] = STATE(6536),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17625),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10510),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5560),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(9247),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(1417),
    [sym_block_comment] = STATE(1417),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_while] = ACTIONS(1965),
    [anon_sym_for] = ACTIONS(1967),
    [anon_sym_try] = ACTIONS(1969),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(1971),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(1975),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(1977),
    [anon_sym_throw] = ACTIONS(1979),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2185),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [1418] = {
    [sym_type_parameters] = STATE(19075),
    [sym_inline_modifier] = STATE(2439),
    [sym_block] = STATE(8813),
    [sym_expression] = STATE(14317),
    [sym__simple_expression] = STATE(8573),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17664),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11137),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6815),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(9947),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1418),
    [sym_block_comment] = STATE(1418),
    [sym__alpha_identifier] = ACTIONS(3115),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(3118),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(2211),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(3121),
    [anon_sym_implicit] = ACTIONS(2219),
    [anon_sym_inline] = ACTIONS(3124),
    [anon_sym_infix] = ACTIONS(3121),
    [anon_sym_open] = ACTIONS(3121),
    [anon_sym_transparent] = ACTIONS(3121),
    [anon_sym_LPAREN] = ACTIONS(3127),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(3130),
    [sym_operator_identifier] = ACTIONS(3190),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(3136),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1419] = {
    [sym_type_parameters] = STATE(19075),
    [sym_inline_modifier] = STATE(2439),
    [sym__indentable_expression] = STATE(14543),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8573),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17664),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11137),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6815),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(9947),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1419),
    [sym_block_comment] = STATE(1419),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2211),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2219),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2221),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1420] = {
    [sym_type_parameters] = STATE(19249),
    [sym_inline_modifier] = STATE(2471),
    [sym__indentable_expression] = STATE(14908),
    [sym_block] = STATE(9867),
    [sym_indented_block] = STATE(14860),
    [sym_indented_cases] = STATE(14860),
    [sym_expression] = STATE(14402),
    [sym__simple_expression] = STATE(6536),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17625),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10510),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5560),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(9247),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(1420),
    [sym_block_comment] = STATE(1420),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_while] = ACTIONS(1965),
    [anon_sym_for] = ACTIONS(1967),
    [anon_sym_try] = ACTIONS(1969),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(1971),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(1975),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(1977),
    [anon_sym_throw] = ACTIONS(1979),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2185),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [1421] = {
    [sym_type_parameters] = STATE(19249),
    [sym_inline_modifier] = STATE(2471),
    [sym__indentable_expression] = STATE(14723),
    [sym_block] = STATE(9867),
    [sym_indented_block] = STATE(14860),
    [sym_indented_cases] = STATE(14860),
    [sym_expression] = STATE(14402),
    [sym__simple_expression] = STATE(6536),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17625),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10510),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5560),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(9247),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(1421),
    [sym_block_comment] = STATE(1421),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_while] = ACTIONS(1965),
    [anon_sym_for] = ACTIONS(1967),
    [anon_sym_try] = ACTIONS(1969),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(1971),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(1975),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(1977),
    [anon_sym_throw] = ACTIONS(1979),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2185),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [1422] = {
    [sym_type_parameters] = STATE(19075),
    [sym_inline_modifier] = STATE(2439),
    [sym__indentable_expression] = STATE(14571),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8573),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17664),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11137),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6815),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(9947),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1422),
    [sym_block_comment] = STATE(1422),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2211),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2219),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2221),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1423] = {
    [sym_type_parameters] = STATE(19075),
    [sym_inline_modifier] = STATE(2439),
    [sym__indentable_expression] = STATE(14574),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8573),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17664),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11137),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6815),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(9947),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1423),
    [sym_block_comment] = STATE(1423),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2211),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2219),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2221),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1424] = {
    [sym_type_parameters] = STATE(19249),
    [sym_inline_modifier] = STATE(2471),
    [sym__indentable_expression] = STATE(14728),
    [sym_block] = STATE(9867),
    [sym_indented_block] = STATE(14860),
    [sym_indented_cases] = STATE(14860),
    [sym_expression] = STATE(14402),
    [sym__simple_expression] = STATE(6536),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17625),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10510),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5560),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(9247),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(1424),
    [sym_block_comment] = STATE(1424),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_while] = ACTIONS(1965),
    [anon_sym_for] = ACTIONS(1967),
    [anon_sym_try] = ACTIONS(1969),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(1971),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(1975),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(1977),
    [anon_sym_throw] = ACTIONS(1979),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2185),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [1425] = {
    [sym_type_parameters] = STATE(19075),
    [sym_inline_modifier] = STATE(2439),
    [sym__indentable_expression] = STATE(14578),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8573),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17664),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11137),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6815),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(9947),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1425),
    [sym_block_comment] = STATE(1425),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2211),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2219),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2221),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1426] = {
    [sym_type_parameters] = STATE(19075),
    [sym_inline_modifier] = STATE(2439),
    [sym__indentable_expression] = STATE(14583),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8573),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17664),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11137),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6815),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(9947),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1426),
    [sym_block_comment] = STATE(1426),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2211),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2219),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2221),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1427] = {
    [sym_type_parameters] = STATE(19075),
    [sym_inline_modifier] = STATE(2439),
    [sym__indentable_expression] = STATE(14612),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8573),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17664),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11137),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6815),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(9947),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1427),
    [sym_block_comment] = STATE(1427),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2211),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2219),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2221),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1428] = {
    [sym_type_parameters] = STATE(19249),
    [sym_inline_modifier] = STATE(2471),
    [sym__indentable_expression] = STATE(14734),
    [sym_block] = STATE(9867),
    [sym_indented_block] = STATE(14860),
    [sym_indented_cases] = STATE(14860),
    [sym_expression] = STATE(14402),
    [sym__simple_expression] = STATE(6536),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17625),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10510),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5560),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(9247),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(1428),
    [sym_block_comment] = STATE(1428),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_while] = ACTIONS(1965),
    [anon_sym_for] = ACTIONS(1967),
    [anon_sym_try] = ACTIONS(1969),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(1971),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(1975),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(1977),
    [anon_sym_throw] = ACTIONS(1979),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2185),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [1429] = {
    [sym_type_parameters] = STATE(19075),
    [sym_inline_modifier] = STATE(2439),
    [sym__indentable_expression] = STATE(14616),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8573),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17664),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11137),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6815),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(9947),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1429),
    [sym_block_comment] = STATE(1429),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2211),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2219),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2221),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1430] = {
    [sym_type_parameters] = STATE(19075),
    [sym_inline_modifier] = STATE(2439),
    [sym__indentable_expression] = STATE(14632),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8573),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17664),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11137),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6815),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(9947),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1430),
    [sym_block_comment] = STATE(1430),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2211),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2219),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2221),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1431] = {
    [sym_type_parameters] = STATE(19249),
    [sym_inline_modifier] = STATE(2471),
    [sym__indentable_expression] = STATE(14735),
    [sym_block] = STATE(9867),
    [sym_indented_block] = STATE(14860),
    [sym_indented_cases] = STATE(14860),
    [sym_expression] = STATE(14402),
    [sym__simple_expression] = STATE(6536),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17625),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10510),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5560),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(9247),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(1431),
    [sym_block_comment] = STATE(1431),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_while] = ACTIONS(1965),
    [anon_sym_for] = ACTIONS(1967),
    [anon_sym_try] = ACTIONS(1969),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(1971),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(1975),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(1977),
    [anon_sym_throw] = ACTIONS(1979),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2185),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [1432] = {
    [sym_type_parameters] = STATE(19075),
    [sym_inline_modifier] = STATE(2439),
    [sym__indentable_expression] = STATE(14633),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8573),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17664),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11137),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6815),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(9947),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1432),
    [sym_block_comment] = STATE(1432),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2211),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2219),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2221),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1433] = {
    [sym_type_parameters] = STATE(19075),
    [sym_inline_modifier] = STATE(2439),
    [sym__indentable_expression] = STATE(14635),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8573),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17664),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11137),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6815),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(9947),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1433),
    [sym_block_comment] = STATE(1433),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2211),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2219),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2221),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1434] = {
    [sym_type_parameters] = STATE(19075),
    [sym_inline_modifier] = STATE(2439),
    [sym__indentable_expression] = STATE(14642),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8573),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17664),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11137),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6815),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(9947),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1434),
    [sym_block_comment] = STATE(1434),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2211),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2219),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2221),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1435] = {
    [sym_type_parameters] = STATE(19249),
    [sym_inline_modifier] = STATE(2471),
    [sym__indentable_expression] = STATE(14736),
    [sym_block] = STATE(9867),
    [sym_indented_block] = STATE(14860),
    [sym_indented_cases] = STATE(14860),
    [sym_expression] = STATE(14402),
    [sym__simple_expression] = STATE(6536),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17625),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10510),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5560),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(9247),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(1435),
    [sym_block_comment] = STATE(1435),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_while] = ACTIONS(1965),
    [anon_sym_for] = ACTIONS(1967),
    [anon_sym_try] = ACTIONS(1969),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(1971),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(1975),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(1977),
    [anon_sym_throw] = ACTIONS(1979),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2185),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [1436] = {
    [sym_type_parameters] = STATE(19075),
    [sym_inline_modifier] = STATE(2439),
    [sym__indentable_expression] = STATE(14650),
    [sym_block] = STATE(8813),
    [sym_indented_block] = STATE(14572),
    [sym_indented_cases] = STATE(14572),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(8573),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17664),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11137),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6815),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(9947),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1436),
    [sym_block_comment] = STATE(1436),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2211),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2219),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2221),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2181),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1437] = {
    [sym_type_parameters] = STATE(19249),
    [sym_inline_modifier] = STATE(2471),
    [sym__indentable_expression] = STATE(14738),
    [sym_block] = STATE(9867),
    [sym_indented_block] = STATE(14860),
    [sym_indented_cases] = STATE(14860),
    [sym_expression] = STATE(14402),
    [sym__simple_expression] = STATE(6536),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17625),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10510),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5560),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(9247),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(1437),
    [sym_block_comment] = STATE(1437),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_while] = ACTIONS(1965),
    [anon_sym_for] = ACTIONS(1967),
    [anon_sym_try] = ACTIONS(1969),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(1971),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(1975),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(1977),
    [anon_sym_throw] = ACTIONS(1979),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2185),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [1438] = {
    [sym_type_parameters] = STATE(19249),
    [sym_inline_modifier] = STATE(2471),
    [sym__indentable_expression] = STATE(14749),
    [sym_block] = STATE(9867),
    [sym_indented_block] = STATE(14860),
    [sym_indented_cases] = STATE(14860),
    [sym_expression] = STATE(14402),
    [sym__simple_expression] = STATE(6536),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17625),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10510),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5560),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(9247),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(1438),
    [sym_block_comment] = STATE(1438),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_while] = ACTIONS(1965),
    [anon_sym_for] = ACTIONS(1967),
    [anon_sym_try] = ACTIONS(1969),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(1971),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(1975),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(1977),
    [anon_sym_throw] = ACTIONS(1979),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2185),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [1439] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(13990),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1439),
    [sym_block_comment] = STATE(1439),
    [sym__alpha_identifier] = ACTIONS(2734),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2737),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(2740),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2740),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(3193),
    [anon_sym_infix] = ACTIONS(2740),
    [anon_sym_open] = ACTIONS(2740),
    [anon_sym_transparent] = ACTIONS(2740),
    [anon_sym_LPAREN] = ACTIONS(2746),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(2749),
    [sym_operator_identifier] = ACTIONS(3196),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(2755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1440] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym__indentable_expression] = STATE(13955),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1440),
    [sym_block_comment] = STATE(1440),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1441] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym__indentable_expression] = STATE(15503),
    [sym_block] = STATE(10944),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(15239),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1441),
    [sym_block_comment] = STATE(1441),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [1442] = {
    [sym_type_parameters] = STATE(19214),
    [sym_inline_modifier] = STATE(2465),
    [sym__indentable_expression] = STATE(13709),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(6878),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17725),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10612),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5702),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8984),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1442),
    [sym_block_comment] = STATE(1442),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1001),
    [anon_sym_while] = ACTIONS(1003),
    [anon_sym_for] = ACTIONS(1005),
    [anon_sym_try] = ACTIONS(1007),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(1009),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(2625),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(1029),
    [anon_sym_throw] = ACTIONS(1031),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1443] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym__indentable_expression] = STATE(13725),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1443),
    [sym_block_comment] = STATE(1443),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1444] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym__indentable_expression] = STATE(13989),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1444),
    [sym_block_comment] = STATE(1444),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1445] = {
    [sym_type_parameters] = STATE(19256),
    [sym_inline_modifier] = STATE(2472),
    [sym_block] = STATE(10196),
    [sym_expression] = STATE(14829),
    [sym__simple_expression] = STATE(6665),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17671),
    [sym_case_block] = STATE(10196),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(10196),
    [sym_call_expression] = STATE(10196),
    [sym_field_expression] = STATE(10196),
    [sym_instance_expression] = STATE(10196),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(10922),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18163),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(10591),
    [sym_tuple_expression] = STATE(10196),
    [sym_parenthesized_expression] = STATE(10196),
    [sym_splice_expression] = STATE(10196),
    [sym_quote_expression] = STATE(10196),
    [sym_identifier] = STATE(5739),
    [sym__soft_identifier] = STATE(4721),
    [sym_wildcard] = STATE(9421),
    [sym__non_null_literal] = STATE(10196),
    [sym_boolean_literal] = STATE(10049),
    [sym_interpolated_string_expression] = STATE(10196),
    [sym_string] = STATE(10049),
    [sym_unit] = STATE(10196),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1445),
    [sym_block_comment] = STATE(1445),
    [sym__alpha_identifier] = ACTIONS(3199),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(3202),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_end] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(1983),
    [anon_sym_while] = ACTIONS(1985),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1801),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(3205),
    [anon_sym_implicit] = ACTIONS(1991),
    [anon_sym_inline] = ACTIONS(3208),
    [anon_sym_infix] = ACTIONS(3205),
    [anon_sym_open] = ACTIONS(3205),
    [anon_sym_transparent] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(3211),
    [anon_sym_macro] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(1797),
    [anon_sym_TILDE] = ACTIONS(1797),
    [anon_sym_DOLLAR] = ACTIONS(1807),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [sym__backquoted_id] = ACTIONS(3214),
    [sym_operator_identifier] = ACTIONS(3217),
    [sym_integer_literal] = ACTIONS(1815),
    [sym_floating_point_literal] = ACTIONS(1817),
    [anon_sym_true] = ACTIONS(1819),
    [anon_sym_false] = ACTIONS(1819),
    [sym_character_literal] = ACTIONS(1817),
    [sym_null_literal] = ACTIONS(1821),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_throw] = ACTIONS(1999),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1823),
    [sym__simple_string] = ACTIONS(1823),
  },
  [1446] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym__indentable_expression] = STATE(14011),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1446),
    [sym_block_comment] = STATE(1446),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1447] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym__indentable_expression] = STATE(13636),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1447),
    [sym_block_comment] = STATE(1447),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1448] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym__indentable_expression] = STATE(14037),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1448),
    [sym_block_comment] = STATE(1448),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1449] = {
    [sym_type_parameters] = STATE(19256),
    [sym_inline_modifier] = STATE(2472),
    [sym__indentable_expression] = STATE(12999),
    [sym_block] = STATE(10196),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(14785),
    [sym__simple_expression] = STATE(6665),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17671),
    [sym_case_block] = STATE(10196),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(10196),
    [sym_call_expression] = STATE(10196),
    [sym_field_expression] = STATE(10196),
    [sym_instance_expression] = STATE(10196),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(10922),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18163),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(10591),
    [sym_tuple_expression] = STATE(10196),
    [sym_parenthesized_expression] = STATE(10196),
    [sym_splice_expression] = STATE(10196),
    [sym_quote_expression] = STATE(10196),
    [sym_identifier] = STATE(5739),
    [sym__soft_identifier] = STATE(4721),
    [sym_wildcard] = STATE(9421),
    [sym__non_null_literal] = STATE(10196),
    [sym_boolean_literal] = STATE(10049),
    [sym_interpolated_string_expression] = STATE(10196),
    [sym_string] = STATE(10049),
    [sym_unit] = STATE(10196),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1449),
    [sym_block_comment] = STATE(1449),
    [sym__alpha_identifier] = ACTIONS(1789),
    [anon_sym_LBRACE] = ACTIONS(1793),
    [anon_sym__] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_end] = ACTIONS(1799),
    [anon_sym_if] = ACTIONS(1983),
    [anon_sym_while] = ACTIONS(1985),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1801),
    [anon_sym_opaque] = ACTIONS(1799),
    [anon_sym_implicit] = ACTIONS(1991),
    [anon_sym_inline] = ACTIONS(1803),
    [anon_sym_infix] = ACTIONS(1799),
    [anon_sym_open] = ACTIONS(1799),
    [anon_sym_transparent] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [anon_sym_macro] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(1797),
    [anon_sym_TILDE] = ACTIONS(1797),
    [anon_sym_DOLLAR] = ACTIONS(1807),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [sym__backquoted_id] = ACTIONS(1811),
    [sym_operator_identifier] = ACTIONS(1995),
    [sym_integer_literal] = ACTIONS(1815),
    [sym_floating_point_literal] = ACTIONS(1817),
    [anon_sym_true] = ACTIONS(1819),
    [anon_sym_false] = ACTIONS(1819),
    [sym_character_literal] = ACTIONS(1817),
    [sym_null_literal] = ACTIONS(1821),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_throw] = ACTIONS(1999),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1823),
    [sym__simple_string] = ACTIONS(1823),
  },
  [1450] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym__indentable_expression] = STATE(13857),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1450),
    [sym_block_comment] = STATE(1450),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1451] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym__indentable_expression] = STATE(14058),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1451),
    [sym_block_comment] = STATE(1451),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1452] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym__indentable_expression] = STATE(13643),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1452),
    [sym_block_comment] = STATE(1452),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1453] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym__indentable_expression] = STATE(13709),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1453),
    [sym_block_comment] = STATE(1453),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1454] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym__indentable_expression] = STATE(13729),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1454),
    [sym_block_comment] = STATE(1454),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1455] = {
    [sym_type_parameters] = STATE(19256),
    [sym_inline_modifier] = STATE(2472),
    [sym__indentable_expression] = STATE(13008),
    [sym_block] = STATE(10196),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(14785),
    [sym__simple_expression] = STATE(6665),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17671),
    [sym_case_block] = STATE(10196),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(10196),
    [sym_call_expression] = STATE(10196),
    [sym_field_expression] = STATE(10196),
    [sym_instance_expression] = STATE(10196),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(10922),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18163),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(10591),
    [sym_tuple_expression] = STATE(10196),
    [sym_parenthesized_expression] = STATE(10196),
    [sym_splice_expression] = STATE(10196),
    [sym_quote_expression] = STATE(10196),
    [sym_identifier] = STATE(5739),
    [sym__soft_identifier] = STATE(4721),
    [sym_wildcard] = STATE(9421),
    [sym__non_null_literal] = STATE(10196),
    [sym_boolean_literal] = STATE(10049),
    [sym_interpolated_string_expression] = STATE(10196),
    [sym_string] = STATE(10049),
    [sym_unit] = STATE(10196),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1455),
    [sym_block_comment] = STATE(1455),
    [sym__alpha_identifier] = ACTIONS(1789),
    [anon_sym_LBRACE] = ACTIONS(1793),
    [anon_sym__] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_end] = ACTIONS(1799),
    [anon_sym_if] = ACTIONS(1983),
    [anon_sym_while] = ACTIONS(1985),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1801),
    [anon_sym_opaque] = ACTIONS(1799),
    [anon_sym_implicit] = ACTIONS(1991),
    [anon_sym_inline] = ACTIONS(1803),
    [anon_sym_infix] = ACTIONS(1799),
    [anon_sym_open] = ACTIONS(1799),
    [anon_sym_transparent] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [anon_sym_macro] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(1797),
    [anon_sym_TILDE] = ACTIONS(1797),
    [anon_sym_DOLLAR] = ACTIONS(1807),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [sym__backquoted_id] = ACTIONS(1811),
    [sym_operator_identifier] = ACTIONS(1995),
    [sym_integer_literal] = ACTIONS(1815),
    [sym_floating_point_literal] = ACTIONS(1817),
    [anon_sym_true] = ACTIONS(1819),
    [anon_sym_false] = ACTIONS(1819),
    [sym_character_literal] = ACTIONS(1817),
    [sym_null_literal] = ACTIONS(1821),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_throw] = ACTIONS(1999),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1823),
    [sym__simple_string] = ACTIONS(1823),
  },
  [1456] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym__indentable_expression] = STATE(13982),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1456),
    [sym_block_comment] = STATE(1456),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1457] = {
    [sym_type_parameters] = STATE(19256),
    [sym_inline_modifier] = STATE(2472),
    [sym__indentable_expression] = STATE(13009),
    [sym_block] = STATE(10196),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(14785),
    [sym__simple_expression] = STATE(6665),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17671),
    [sym_case_block] = STATE(10196),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(10196),
    [sym_call_expression] = STATE(10196),
    [sym_field_expression] = STATE(10196),
    [sym_instance_expression] = STATE(10196),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(10922),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18163),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(10591),
    [sym_tuple_expression] = STATE(10196),
    [sym_parenthesized_expression] = STATE(10196),
    [sym_splice_expression] = STATE(10196),
    [sym_quote_expression] = STATE(10196),
    [sym_identifier] = STATE(5739),
    [sym__soft_identifier] = STATE(4721),
    [sym_wildcard] = STATE(9421),
    [sym__non_null_literal] = STATE(10196),
    [sym_boolean_literal] = STATE(10049),
    [sym_interpolated_string_expression] = STATE(10196),
    [sym_string] = STATE(10049),
    [sym_unit] = STATE(10196),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1457),
    [sym_block_comment] = STATE(1457),
    [sym__alpha_identifier] = ACTIONS(1789),
    [anon_sym_LBRACE] = ACTIONS(1793),
    [anon_sym__] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_end] = ACTIONS(1799),
    [anon_sym_if] = ACTIONS(1983),
    [anon_sym_while] = ACTIONS(1985),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1801),
    [anon_sym_opaque] = ACTIONS(1799),
    [anon_sym_implicit] = ACTIONS(1991),
    [anon_sym_inline] = ACTIONS(1803),
    [anon_sym_infix] = ACTIONS(1799),
    [anon_sym_open] = ACTIONS(1799),
    [anon_sym_transparent] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [anon_sym_macro] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(1797),
    [anon_sym_TILDE] = ACTIONS(1797),
    [anon_sym_DOLLAR] = ACTIONS(1807),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [sym__backquoted_id] = ACTIONS(1811),
    [sym_operator_identifier] = ACTIONS(1995),
    [sym_integer_literal] = ACTIONS(1815),
    [sym_floating_point_literal] = ACTIONS(1817),
    [anon_sym_true] = ACTIONS(1819),
    [anon_sym_false] = ACTIONS(1819),
    [sym_character_literal] = ACTIONS(1817),
    [sym_null_literal] = ACTIONS(1821),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_throw] = ACTIONS(1999),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1823),
    [sym__simple_string] = ACTIONS(1823),
  },
  [1458] = {
    [sym_type_parameters] = STATE(19256),
    [sym_inline_modifier] = STATE(2472),
    [sym__indentable_expression] = STATE(13010),
    [sym_block] = STATE(10196),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(14785),
    [sym__simple_expression] = STATE(6665),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17671),
    [sym_case_block] = STATE(10196),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(10196),
    [sym_call_expression] = STATE(10196),
    [sym_field_expression] = STATE(10196),
    [sym_instance_expression] = STATE(10196),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(10922),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18163),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(10591),
    [sym_tuple_expression] = STATE(10196),
    [sym_parenthesized_expression] = STATE(10196),
    [sym_splice_expression] = STATE(10196),
    [sym_quote_expression] = STATE(10196),
    [sym_identifier] = STATE(5739),
    [sym__soft_identifier] = STATE(4721),
    [sym_wildcard] = STATE(9421),
    [sym__non_null_literal] = STATE(10196),
    [sym_boolean_literal] = STATE(10049),
    [sym_interpolated_string_expression] = STATE(10196),
    [sym_string] = STATE(10049),
    [sym_unit] = STATE(10196),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1458),
    [sym_block_comment] = STATE(1458),
    [sym__alpha_identifier] = ACTIONS(1789),
    [anon_sym_LBRACE] = ACTIONS(1793),
    [anon_sym__] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_end] = ACTIONS(1799),
    [anon_sym_if] = ACTIONS(1983),
    [anon_sym_while] = ACTIONS(1985),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1801),
    [anon_sym_opaque] = ACTIONS(1799),
    [anon_sym_implicit] = ACTIONS(1991),
    [anon_sym_inline] = ACTIONS(1803),
    [anon_sym_infix] = ACTIONS(1799),
    [anon_sym_open] = ACTIONS(1799),
    [anon_sym_transparent] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [anon_sym_macro] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(1797),
    [anon_sym_TILDE] = ACTIONS(1797),
    [anon_sym_DOLLAR] = ACTIONS(1807),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [sym__backquoted_id] = ACTIONS(1811),
    [sym_operator_identifier] = ACTIONS(1995),
    [sym_integer_literal] = ACTIONS(1815),
    [sym_floating_point_literal] = ACTIONS(1817),
    [anon_sym_true] = ACTIONS(1819),
    [anon_sym_false] = ACTIONS(1819),
    [sym_character_literal] = ACTIONS(1817),
    [sym_null_literal] = ACTIONS(1821),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_throw] = ACTIONS(1999),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1823),
    [sym__simple_string] = ACTIONS(1823),
  },
  [1459] = {
    [sym_type_parameters] = STATE(19091),
    [sym_inline_modifier] = STATE(2441),
    [sym_block] = STATE(7573),
    [sym_expression] = STATE(13276),
    [sym__simple_expression] = STATE(6891),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17610),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(10746),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5688),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(9054),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1459),
    [sym_block_comment] = STATE(1459),
    [sym__alpha_identifier] = ACTIONS(2704),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2707),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(2710),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_while] = ACTIONS(2439),
    [anon_sym_for] = ACTIONS(2441),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2443),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2710),
    [anon_sym_implicit] = ACTIONS(2445),
    [anon_sym_inline] = ACTIONS(2715),
    [anon_sym_infix] = ACTIONS(2710),
    [anon_sym_open] = ACTIONS(2710),
    [anon_sym_transparent] = ACTIONS(2710),
    [anon_sym_LPAREN] = ACTIONS(2718),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(2721),
    [sym_operator_identifier] = ACTIONS(3220),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2449),
    [anon_sym_throw] = ACTIONS(2451),
    [anon_sym_do] = ACTIONS(2727),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1460] = {
    [sym_type_parameters] = STATE(19091),
    [sym_inline_modifier] = STATE(2441),
    [sym__indentable_expression] = STATE(13491),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6891),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17610),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(10746),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5688),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(9054),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1460),
    [sym_block_comment] = STATE(1460),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_while] = ACTIONS(2439),
    [anon_sym_for] = ACTIONS(2441),
    [anon_sym_try] = ACTIONS(2443),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2445),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2447),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2449),
    [anon_sym_throw] = ACTIONS(2451),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1461] = {
    [sym_type_parameters] = STATE(19256),
    [sym_inline_modifier] = STATE(2472),
    [sym__indentable_expression] = STATE(13012),
    [sym_block] = STATE(10196),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(14785),
    [sym__simple_expression] = STATE(6665),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17671),
    [sym_case_block] = STATE(10196),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(10196),
    [sym_call_expression] = STATE(10196),
    [sym_field_expression] = STATE(10196),
    [sym_instance_expression] = STATE(10196),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(10922),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18163),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(10591),
    [sym_tuple_expression] = STATE(10196),
    [sym_parenthesized_expression] = STATE(10196),
    [sym_splice_expression] = STATE(10196),
    [sym_quote_expression] = STATE(10196),
    [sym_identifier] = STATE(5739),
    [sym__soft_identifier] = STATE(4721),
    [sym_wildcard] = STATE(9421),
    [sym__non_null_literal] = STATE(10196),
    [sym_boolean_literal] = STATE(10049),
    [sym_interpolated_string_expression] = STATE(10196),
    [sym_string] = STATE(10049),
    [sym_unit] = STATE(10196),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1461),
    [sym_block_comment] = STATE(1461),
    [sym__alpha_identifier] = ACTIONS(1789),
    [anon_sym_LBRACE] = ACTIONS(1793),
    [anon_sym__] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_end] = ACTIONS(1799),
    [anon_sym_if] = ACTIONS(1983),
    [anon_sym_while] = ACTIONS(1985),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1801),
    [anon_sym_opaque] = ACTIONS(1799),
    [anon_sym_implicit] = ACTIONS(1991),
    [anon_sym_inline] = ACTIONS(1803),
    [anon_sym_infix] = ACTIONS(1799),
    [anon_sym_open] = ACTIONS(1799),
    [anon_sym_transparent] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [anon_sym_macro] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(1797),
    [anon_sym_TILDE] = ACTIONS(1797),
    [anon_sym_DOLLAR] = ACTIONS(1807),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [sym__backquoted_id] = ACTIONS(1811),
    [sym_operator_identifier] = ACTIONS(1995),
    [sym_integer_literal] = ACTIONS(1815),
    [sym_floating_point_literal] = ACTIONS(1817),
    [anon_sym_true] = ACTIONS(1819),
    [anon_sym_false] = ACTIONS(1819),
    [sym_character_literal] = ACTIONS(1817),
    [sym_null_literal] = ACTIONS(1821),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_throw] = ACTIONS(1999),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1823),
    [sym__simple_string] = ACTIONS(1823),
  },
  [1462] = {
    [sym_type_parameters] = STATE(19091),
    [sym_inline_modifier] = STATE(2441),
    [sym__indentable_expression] = STATE(13210),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6891),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17610),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(10746),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5688),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(9054),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1462),
    [sym_block_comment] = STATE(1462),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_while] = ACTIONS(2439),
    [anon_sym_for] = ACTIONS(2441),
    [anon_sym_try] = ACTIONS(2443),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2445),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2447),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2449),
    [anon_sym_throw] = ACTIONS(2451),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1463] = {
    [sym_type_parameters] = STATE(19091),
    [sym_inline_modifier] = STATE(2441),
    [sym__indentable_expression] = STATE(13227),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6891),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17610),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(10746),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5688),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(9054),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1463),
    [sym_block_comment] = STATE(1463),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_while] = ACTIONS(2439),
    [anon_sym_for] = ACTIONS(2441),
    [anon_sym_try] = ACTIONS(2443),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2445),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2447),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2449),
    [anon_sym_throw] = ACTIONS(2451),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1464] = {
    [sym_type_parameters] = STATE(19256),
    [sym_inline_modifier] = STATE(2472),
    [sym__indentable_expression] = STATE(13018),
    [sym_block] = STATE(10196),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(14785),
    [sym__simple_expression] = STATE(6665),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17671),
    [sym_case_block] = STATE(10196),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(10196),
    [sym_call_expression] = STATE(10196),
    [sym_field_expression] = STATE(10196),
    [sym_instance_expression] = STATE(10196),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(10922),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18163),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(10591),
    [sym_tuple_expression] = STATE(10196),
    [sym_parenthesized_expression] = STATE(10196),
    [sym_splice_expression] = STATE(10196),
    [sym_quote_expression] = STATE(10196),
    [sym_identifier] = STATE(5739),
    [sym__soft_identifier] = STATE(4721),
    [sym_wildcard] = STATE(9421),
    [sym__non_null_literal] = STATE(10196),
    [sym_boolean_literal] = STATE(10049),
    [sym_interpolated_string_expression] = STATE(10196),
    [sym_string] = STATE(10049),
    [sym_unit] = STATE(10196),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1464),
    [sym_block_comment] = STATE(1464),
    [sym__alpha_identifier] = ACTIONS(1789),
    [anon_sym_LBRACE] = ACTIONS(1793),
    [anon_sym__] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_end] = ACTIONS(1799),
    [anon_sym_if] = ACTIONS(1983),
    [anon_sym_while] = ACTIONS(1985),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1801),
    [anon_sym_opaque] = ACTIONS(1799),
    [anon_sym_implicit] = ACTIONS(1991),
    [anon_sym_inline] = ACTIONS(1803),
    [anon_sym_infix] = ACTIONS(1799),
    [anon_sym_open] = ACTIONS(1799),
    [anon_sym_transparent] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [anon_sym_macro] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(1797),
    [anon_sym_TILDE] = ACTIONS(1797),
    [anon_sym_DOLLAR] = ACTIONS(1807),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [sym__backquoted_id] = ACTIONS(1811),
    [sym_operator_identifier] = ACTIONS(1995),
    [sym_integer_literal] = ACTIONS(1815),
    [sym_floating_point_literal] = ACTIONS(1817),
    [anon_sym_true] = ACTIONS(1819),
    [anon_sym_false] = ACTIONS(1819),
    [sym_character_literal] = ACTIONS(1817),
    [sym_null_literal] = ACTIONS(1821),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_throw] = ACTIONS(1999),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1823),
    [sym__simple_string] = ACTIONS(1823),
  },
  [1465] = {
    [sym_type_parameters] = STATE(19091),
    [sym_inline_modifier] = STATE(2441),
    [sym__indentable_expression] = STATE(13235),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6891),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17610),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(10746),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5688),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(9054),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1465),
    [sym_block_comment] = STATE(1465),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_while] = ACTIONS(2439),
    [anon_sym_for] = ACTIONS(2441),
    [anon_sym_try] = ACTIONS(2443),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2445),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2447),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2449),
    [anon_sym_throw] = ACTIONS(2451),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1466] = {
    [sym_type_parameters] = STATE(19091),
    [sym_inline_modifier] = STATE(2441),
    [sym__indentable_expression] = STATE(13278),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6891),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17610),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(10746),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5688),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(9054),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1466),
    [sym_block_comment] = STATE(1466),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_while] = ACTIONS(2439),
    [anon_sym_for] = ACTIONS(2441),
    [anon_sym_try] = ACTIONS(2443),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2445),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2447),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2449),
    [anon_sym_throw] = ACTIONS(2451),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1467] = {
    [sym_type_parameters] = STATE(19091),
    [sym_inline_modifier] = STATE(2441),
    [sym__indentable_expression] = STATE(13323),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6891),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17610),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(10746),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5688),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(9054),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1467),
    [sym_block_comment] = STATE(1467),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_while] = ACTIONS(2439),
    [anon_sym_for] = ACTIONS(2441),
    [anon_sym_try] = ACTIONS(2443),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2445),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2447),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2449),
    [anon_sym_throw] = ACTIONS(2451),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1468] = {
    [sym_type_parameters] = STATE(19256),
    [sym_inline_modifier] = STATE(2472),
    [sym__indentable_expression] = STATE(13023),
    [sym_block] = STATE(10196),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(14785),
    [sym__simple_expression] = STATE(6665),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17671),
    [sym_case_block] = STATE(10196),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(10196),
    [sym_call_expression] = STATE(10196),
    [sym_field_expression] = STATE(10196),
    [sym_instance_expression] = STATE(10196),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(10922),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18163),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(10591),
    [sym_tuple_expression] = STATE(10196),
    [sym_parenthesized_expression] = STATE(10196),
    [sym_splice_expression] = STATE(10196),
    [sym_quote_expression] = STATE(10196),
    [sym_identifier] = STATE(5739),
    [sym__soft_identifier] = STATE(4721),
    [sym_wildcard] = STATE(9421),
    [sym__non_null_literal] = STATE(10196),
    [sym_boolean_literal] = STATE(10049),
    [sym_interpolated_string_expression] = STATE(10196),
    [sym_string] = STATE(10049),
    [sym_unit] = STATE(10196),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1468),
    [sym_block_comment] = STATE(1468),
    [sym__alpha_identifier] = ACTIONS(1789),
    [anon_sym_LBRACE] = ACTIONS(1793),
    [anon_sym__] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_end] = ACTIONS(1799),
    [anon_sym_if] = ACTIONS(1983),
    [anon_sym_while] = ACTIONS(1985),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1801),
    [anon_sym_opaque] = ACTIONS(1799),
    [anon_sym_implicit] = ACTIONS(1991),
    [anon_sym_inline] = ACTIONS(1803),
    [anon_sym_infix] = ACTIONS(1799),
    [anon_sym_open] = ACTIONS(1799),
    [anon_sym_transparent] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [anon_sym_macro] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(1797),
    [anon_sym_TILDE] = ACTIONS(1797),
    [anon_sym_DOLLAR] = ACTIONS(1807),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [sym__backquoted_id] = ACTIONS(1811),
    [sym_operator_identifier] = ACTIONS(1995),
    [sym_integer_literal] = ACTIONS(1815),
    [sym_floating_point_literal] = ACTIONS(1817),
    [anon_sym_true] = ACTIONS(1819),
    [anon_sym_false] = ACTIONS(1819),
    [sym_character_literal] = ACTIONS(1817),
    [sym_null_literal] = ACTIONS(1821),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_throw] = ACTIONS(1999),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1823),
    [sym__simple_string] = ACTIONS(1823),
  },
  [1469] = {
    [sym_type_parameters] = STATE(19091),
    [sym_inline_modifier] = STATE(2441),
    [sym__indentable_expression] = STATE(13331),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6891),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17610),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(10746),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5688),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(9054),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1469),
    [sym_block_comment] = STATE(1469),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_while] = ACTIONS(2439),
    [anon_sym_for] = ACTIONS(2441),
    [anon_sym_try] = ACTIONS(2443),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2445),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2447),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2449),
    [anon_sym_throw] = ACTIONS(2451),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1470] = {
    [sym_type_parameters] = STATE(19091),
    [sym_inline_modifier] = STATE(2441),
    [sym__indentable_expression] = STATE(13347),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6891),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17610),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(10746),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5688),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(9054),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1470),
    [sym_block_comment] = STATE(1470),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_while] = ACTIONS(2439),
    [anon_sym_for] = ACTIONS(2441),
    [anon_sym_try] = ACTIONS(2443),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2445),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2447),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2449),
    [anon_sym_throw] = ACTIONS(2451),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1471] = {
    [sym_type_parameters] = STATE(19256),
    [sym_inline_modifier] = STATE(2472),
    [sym__indentable_expression] = STATE(13025),
    [sym_block] = STATE(10196),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(14785),
    [sym__simple_expression] = STATE(6665),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17671),
    [sym_case_block] = STATE(10196),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(10196),
    [sym_call_expression] = STATE(10196),
    [sym_field_expression] = STATE(10196),
    [sym_instance_expression] = STATE(10196),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(10922),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18163),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(10591),
    [sym_tuple_expression] = STATE(10196),
    [sym_parenthesized_expression] = STATE(10196),
    [sym_splice_expression] = STATE(10196),
    [sym_quote_expression] = STATE(10196),
    [sym_identifier] = STATE(5739),
    [sym__soft_identifier] = STATE(4721),
    [sym_wildcard] = STATE(9421),
    [sym__non_null_literal] = STATE(10196),
    [sym_boolean_literal] = STATE(10049),
    [sym_interpolated_string_expression] = STATE(10196),
    [sym_string] = STATE(10049),
    [sym_unit] = STATE(10196),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1471),
    [sym_block_comment] = STATE(1471),
    [sym__alpha_identifier] = ACTIONS(1789),
    [anon_sym_LBRACE] = ACTIONS(1793),
    [anon_sym__] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_end] = ACTIONS(1799),
    [anon_sym_if] = ACTIONS(1983),
    [anon_sym_while] = ACTIONS(1985),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1801),
    [anon_sym_opaque] = ACTIONS(1799),
    [anon_sym_implicit] = ACTIONS(1991),
    [anon_sym_inline] = ACTIONS(1803),
    [anon_sym_infix] = ACTIONS(1799),
    [anon_sym_open] = ACTIONS(1799),
    [anon_sym_transparent] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [anon_sym_macro] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(1797),
    [anon_sym_TILDE] = ACTIONS(1797),
    [anon_sym_DOLLAR] = ACTIONS(1807),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [sym__backquoted_id] = ACTIONS(1811),
    [sym_operator_identifier] = ACTIONS(1995),
    [sym_integer_literal] = ACTIONS(1815),
    [sym_floating_point_literal] = ACTIONS(1817),
    [anon_sym_true] = ACTIONS(1819),
    [anon_sym_false] = ACTIONS(1819),
    [sym_character_literal] = ACTIONS(1817),
    [sym_null_literal] = ACTIONS(1821),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_throw] = ACTIONS(1999),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1823),
    [sym__simple_string] = ACTIONS(1823),
  },
  [1472] = {
    [sym_type_parameters] = STATE(19091),
    [sym_inline_modifier] = STATE(2441),
    [sym__indentable_expression] = STATE(13350),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6891),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17610),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(10746),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5688),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(9054),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1472),
    [sym_block_comment] = STATE(1472),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_while] = ACTIONS(2439),
    [anon_sym_for] = ACTIONS(2441),
    [anon_sym_try] = ACTIONS(2443),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2445),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2447),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2449),
    [anon_sym_throw] = ACTIONS(2451),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1473] = {
    [sym_type_parameters] = STATE(19091),
    [sym_inline_modifier] = STATE(2441),
    [sym__indentable_expression] = STATE(13351),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6891),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17610),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(10746),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5688),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(9054),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1473),
    [sym_block_comment] = STATE(1473),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_while] = ACTIONS(2439),
    [anon_sym_for] = ACTIONS(2441),
    [anon_sym_try] = ACTIONS(2443),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2445),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2447),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2449),
    [anon_sym_throw] = ACTIONS(2451),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1474] = {
    [sym_type_parameters] = STATE(19091),
    [sym_inline_modifier] = STATE(2441),
    [sym__indentable_expression] = STATE(13352),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6891),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17610),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(10746),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5688),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(9054),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1474),
    [sym_block_comment] = STATE(1474),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_while] = ACTIONS(2439),
    [anon_sym_for] = ACTIONS(2441),
    [anon_sym_try] = ACTIONS(2443),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2445),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2447),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2449),
    [anon_sym_throw] = ACTIONS(2451),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1475] = {
    [sym_type_parameters] = STATE(19256),
    [sym_inline_modifier] = STATE(2472),
    [sym__indentable_expression] = STATE(13026),
    [sym_block] = STATE(10196),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(14785),
    [sym__simple_expression] = STATE(6665),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17671),
    [sym_case_block] = STATE(10196),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(10196),
    [sym_call_expression] = STATE(10196),
    [sym_field_expression] = STATE(10196),
    [sym_instance_expression] = STATE(10196),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(10922),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18163),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(10591),
    [sym_tuple_expression] = STATE(10196),
    [sym_parenthesized_expression] = STATE(10196),
    [sym_splice_expression] = STATE(10196),
    [sym_quote_expression] = STATE(10196),
    [sym_identifier] = STATE(5739),
    [sym__soft_identifier] = STATE(4721),
    [sym_wildcard] = STATE(9421),
    [sym__non_null_literal] = STATE(10196),
    [sym_boolean_literal] = STATE(10049),
    [sym_interpolated_string_expression] = STATE(10196),
    [sym_string] = STATE(10049),
    [sym_unit] = STATE(10196),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1475),
    [sym_block_comment] = STATE(1475),
    [sym__alpha_identifier] = ACTIONS(1789),
    [anon_sym_LBRACE] = ACTIONS(1793),
    [anon_sym__] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_end] = ACTIONS(1799),
    [anon_sym_if] = ACTIONS(1983),
    [anon_sym_while] = ACTIONS(1985),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1801),
    [anon_sym_opaque] = ACTIONS(1799),
    [anon_sym_implicit] = ACTIONS(1991),
    [anon_sym_inline] = ACTIONS(1803),
    [anon_sym_infix] = ACTIONS(1799),
    [anon_sym_open] = ACTIONS(1799),
    [anon_sym_transparent] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [anon_sym_macro] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(1797),
    [anon_sym_TILDE] = ACTIONS(1797),
    [anon_sym_DOLLAR] = ACTIONS(1807),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [sym__backquoted_id] = ACTIONS(1811),
    [sym_operator_identifier] = ACTIONS(1995),
    [sym_integer_literal] = ACTIONS(1815),
    [sym_floating_point_literal] = ACTIONS(1817),
    [anon_sym_true] = ACTIONS(1819),
    [anon_sym_false] = ACTIONS(1819),
    [sym_character_literal] = ACTIONS(1817),
    [sym_null_literal] = ACTIONS(1821),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_throw] = ACTIONS(1999),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1823),
    [sym__simple_string] = ACTIONS(1823),
  },
  [1476] = {
    [sym_type_parameters] = STATE(19091),
    [sym_inline_modifier] = STATE(2441),
    [sym__indentable_expression] = STATE(13361),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6891),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17610),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(10746),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5688),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(9054),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1476),
    [sym_block_comment] = STATE(1476),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_while] = ACTIONS(2439),
    [anon_sym_for] = ACTIONS(2441),
    [anon_sym_try] = ACTIONS(2443),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2445),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2447),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2449),
    [anon_sym_throw] = ACTIONS(2451),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1477] = {
    [sym_type_parameters] = STATE(19256),
    [sym_inline_modifier] = STATE(2472),
    [sym__indentable_expression] = STATE(13027),
    [sym_block] = STATE(10196),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(14785),
    [sym__simple_expression] = STATE(6665),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17671),
    [sym_case_block] = STATE(10196),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(10196),
    [sym_call_expression] = STATE(10196),
    [sym_field_expression] = STATE(10196),
    [sym_instance_expression] = STATE(10196),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(10922),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18163),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(10591),
    [sym_tuple_expression] = STATE(10196),
    [sym_parenthesized_expression] = STATE(10196),
    [sym_splice_expression] = STATE(10196),
    [sym_quote_expression] = STATE(10196),
    [sym_identifier] = STATE(5739),
    [sym__soft_identifier] = STATE(4721),
    [sym_wildcard] = STATE(9421),
    [sym__non_null_literal] = STATE(10196),
    [sym_boolean_literal] = STATE(10049),
    [sym_interpolated_string_expression] = STATE(10196),
    [sym_string] = STATE(10049),
    [sym_unit] = STATE(10196),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1477),
    [sym_block_comment] = STATE(1477),
    [sym__alpha_identifier] = ACTIONS(1789),
    [anon_sym_LBRACE] = ACTIONS(1793),
    [anon_sym__] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_end] = ACTIONS(1799),
    [anon_sym_if] = ACTIONS(1983),
    [anon_sym_while] = ACTIONS(1985),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1801),
    [anon_sym_opaque] = ACTIONS(1799),
    [anon_sym_implicit] = ACTIONS(1991),
    [anon_sym_inline] = ACTIONS(1803),
    [anon_sym_infix] = ACTIONS(1799),
    [anon_sym_open] = ACTIONS(1799),
    [anon_sym_transparent] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [anon_sym_macro] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(1797),
    [anon_sym_TILDE] = ACTIONS(1797),
    [anon_sym_DOLLAR] = ACTIONS(1807),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [sym__backquoted_id] = ACTIONS(1811),
    [sym_operator_identifier] = ACTIONS(1995),
    [sym_integer_literal] = ACTIONS(1815),
    [sym_floating_point_literal] = ACTIONS(1817),
    [anon_sym_true] = ACTIONS(1819),
    [anon_sym_false] = ACTIONS(1819),
    [sym_character_literal] = ACTIONS(1817),
    [sym_null_literal] = ACTIONS(1821),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_throw] = ACTIONS(1999),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1823),
    [sym__simple_string] = ACTIONS(1823),
  },
  [1478] = {
    [sym_type_parameters] = STATE(19256),
    [sym_inline_modifier] = STATE(2472),
    [sym__indentable_expression] = STATE(13030),
    [sym_block] = STATE(10196),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(14785),
    [sym__simple_expression] = STATE(6665),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17671),
    [sym_case_block] = STATE(10196),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(10196),
    [sym_call_expression] = STATE(10196),
    [sym_field_expression] = STATE(10196),
    [sym_instance_expression] = STATE(10196),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(10922),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18163),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(10591),
    [sym_tuple_expression] = STATE(10196),
    [sym_parenthesized_expression] = STATE(10196),
    [sym_splice_expression] = STATE(10196),
    [sym_quote_expression] = STATE(10196),
    [sym_identifier] = STATE(5739),
    [sym__soft_identifier] = STATE(4721),
    [sym_wildcard] = STATE(9421),
    [sym__non_null_literal] = STATE(10196),
    [sym_boolean_literal] = STATE(10049),
    [sym_interpolated_string_expression] = STATE(10196),
    [sym_string] = STATE(10049),
    [sym_unit] = STATE(10196),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1478),
    [sym_block_comment] = STATE(1478),
    [sym__alpha_identifier] = ACTIONS(1789),
    [anon_sym_LBRACE] = ACTIONS(1793),
    [anon_sym__] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_end] = ACTIONS(1799),
    [anon_sym_if] = ACTIONS(1983),
    [anon_sym_while] = ACTIONS(1985),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1801),
    [anon_sym_opaque] = ACTIONS(1799),
    [anon_sym_implicit] = ACTIONS(1991),
    [anon_sym_inline] = ACTIONS(1803),
    [anon_sym_infix] = ACTIONS(1799),
    [anon_sym_open] = ACTIONS(1799),
    [anon_sym_transparent] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [anon_sym_macro] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(1797),
    [anon_sym_TILDE] = ACTIONS(1797),
    [anon_sym_DOLLAR] = ACTIONS(1807),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [sym__backquoted_id] = ACTIONS(1811),
    [sym_operator_identifier] = ACTIONS(1995),
    [sym_integer_literal] = ACTIONS(1815),
    [sym_floating_point_literal] = ACTIONS(1817),
    [anon_sym_true] = ACTIONS(1819),
    [anon_sym_false] = ACTIONS(1819),
    [sym_character_literal] = ACTIONS(1817),
    [sym_null_literal] = ACTIONS(1821),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_throw] = ACTIONS(1999),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1823),
    [sym__simple_string] = ACTIONS(1823),
  },
  [1479] = {
    [sym_type_parameters] = STATE(19099),
    [sym_inline_modifier] = STATE(2443),
    [sym_block] = STATE(9061),
    [sym_expression] = STATE(14128),
    [sym__simple_expression] = STATE(6986),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17503),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(5790),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9373),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1479),
    [sym_block_comment] = STATE(1479),
    [sym__alpha_identifier] = ACTIONS(3223),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(3229),
    [anon_sym_if] = ACTIONS(2453),
    [anon_sym_while] = ACTIONS(2455),
    [anon_sym_for] = ACTIONS(2457),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2459),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(3229),
    [anon_sym_implicit] = ACTIONS(2461),
    [anon_sym_inline] = ACTIONS(3232),
    [anon_sym_infix] = ACTIONS(3229),
    [anon_sym_open] = ACTIONS(3229),
    [anon_sym_transparent] = ACTIONS(3229),
    [anon_sym_LPAREN] = ACTIONS(3235),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(3238),
    [sym_operator_identifier] = ACTIONS(3241),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2467),
    [anon_sym_throw] = ACTIONS(2469),
    [anon_sym_do] = ACTIONS(3244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1480] = {
    [sym_type_parameters] = STATE(19099),
    [sym_inline_modifier] = STATE(2443),
    [sym__indentable_expression] = STATE(14517),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(6986),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17503),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(5790),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9373),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1480),
    [sym_block_comment] = STATE(1480),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2453),
    [anon_sym_while] = ACTIONS(2455),
    [anon_sym_for] = ACTIONS(2457),
    [anon_sym_try] = ACTIONS(2459),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2461),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2465),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2467),
    [anon_sym_throw] = ACTIONS(2469),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1481] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym__indentable_expression] = STATE(13989),
    [sym_block] = STATE(10944),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(15239),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1481),
    [sym_block_comment] = STATE(1481),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [1482] = {
    [sym_type_parameters] = STATE(19256),
    [sym_inline_modifier] = STATE(2472),
    [sym__indentable_expression] = STATE(13031),
    [sym_block] = STATE(10196),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(14785),
    [sym__simple_expression] = STATE(6665),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17671),
    [sym_case_block] = STATE(10196),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(10196),
    [sym_call_expression] = STATE(10196),
    [sym_field_expression] = STATE(10196),
    [sym_instance_expression] = STATE(10196),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(10922),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18163),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(10591),
    [sym_tuple_expression] = STATE(10196),
    [sym_parenthesized_expression] = STATE(10196),
    [sym_splice_expression] = STATE(10196),
    [sym_quote_expression] = STATE(10196),
    [sym_identifier] = STATE(5739),
    [sym__soft_identifier] = STATE(4721),
    [sym_wildcard] = STATE(9421),
    [sym__non_null_literal] = STATE(10196),
    [sym_boolean_literal] = STATE(10049),
    [sym_interpolated_string_expression] = STATE(10196),
    [sym_string] = STATE(10049),
    [sym_unit] = STATE(10196),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1482),
    [sym_block_comment] = STATE(1482),
    [sym__alpha_identifier] = ACTIONS(1789),
    [anon_sym_LBRACE] = ACTIONS(1793),
    [anon_sym__] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_end] = ACTIONS(1799),
    [anon_sym_if] = ACTIONS(1983),
    [anon_sym_while] = ACTIONS(1985),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1801),
    [anon_sym_opaque] = ACTIONS(1799),
    [anon_sym_implicit] = ACTIONS(1991),
    [anon_sym_inline] = ACTIONS(1803),
    [anon_sym_infix] = ACTIONS(1799),
    [anon_sym_open] = ACTIONS(1799),
    [anon_sym_transparent] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [anon_sym_macro] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(1797),
    [anon_sym_TILDE] = ACTIONS(1797),
    [anon_sym_DOLLAR] = ACTIONS(1807),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [sym__backquoted_id] = ACTIONS(1811),
    [sym_operator_identifier] = ACTIONS(1995),
    [sym_integer_literal] = ACTIONS(1815),
    [sym_floating_point_literal] = ACTIONS(1817),
    [anon_sym_true] = ACTIONS(1819),
    [anon_sym_false] = ACTIONS(1819),
    [sym_character_literal] = ACTIONS(1817),
    [sym_null_literal] = ACTIONS(1821),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_throw] = ACTIONS(1999),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1823),
    [sym__simple_string] = ACTIONS(1823),
  },
  [1483] = {
    [sym_type_parameters] = STATE(19099),
    [sym_inline_modifier] = STATE(2443),
    [sym__indentable_expression] = STATE(14558),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(6986),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17503),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(5790),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9373),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1483),
    [sym_block_comment] = STATE(1483),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2453),
    [anon_sym_while] = ACTIONS(2455),
    [anon_sym_for] = ACTIONS(2457),
    [anon_sym_try] = ACTIONS(2459),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2461),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2465),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2467),
    [anon_sym_throw] = ACTIONS(2469),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1484] = {
    [sym_type_parameters] = STATE(19099),
    [sym_inline_modifier] = STATE(2443),
    [sym__indentable_expression] = STATE(14565),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(6986),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17503),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(5790),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9373),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1484),
    [sym_block_comment] = STATE(1484),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2453),
    [anon_sym_while] = ACTIONS(2455),
    [anon_sym_for] = ACTIONS(2457),
    [anon_sym_try] = ACTIONS(2459),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2461),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2465),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2467),
    [anon_sym_throw] = ACTIONS(2469),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1485] = {
    [sym_type_parameters] = STATE(19214),
    [sym_inline_modifier] = STATE(2465),
    [sym__indentable_expression] = STATE(13729),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(6878),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17725),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10612),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5702),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8984),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1485),
    [sym_block_comment] = STATE(1485),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1001),
    [anon_sym_while] = ACTIONS(1003),
    [anon_sym_for] = ACTIONS(1005),
    [anon_sym_try] = ACTIONS(1007),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(1009),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(2625),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(1029),
    [anon_sym_throw] = ACTIONS(1031),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1486] = {
    [sym_type_parameters] = STATE(19099),
    [sym_inline_modifier] = STATE(2443),
    [sym__indentable_expression] = STATE(14569),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(6986),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17503),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(5790),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9373),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1486),
    [sym_block_comment] = STATE(1486),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2453),
    [anon_sym_while] = ACTIONS(2455),
    [anon_sym_for] = ACTIONS(2457),
    [anon_sym_try] = ACTIONS(2459),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2461),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2465),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2467),
    [anon_sym_throw] = ACTIONS(2469),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1487] = {
    [sym_type_parameters] = STATE(19099),
    [sym_inline_modifier] = STATE(2443),
    [sym__indentable_expression] = STATE(14584),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(6986),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17503),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(5790),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9373),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1487),
    [sym_block_comment] = STATE(1487),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2453),
    [anon_sym_while] = ACTIONS(2455),
    [anon_sym_for] = ACTIONS(2457),
    [anon_sym_try] = ACTIONS(2459),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2461),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2465),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2467),
    [anon_sym_throw] = ACTIONS(2469),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1488] = {
    [sym_type_parameters] = STATE(19099),
    [sym_inline_modifier] = STATE(2443),
    [sym__indentable_expression] = STATE(14659),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(6986),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17503),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(5790),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9373),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1488),
    [sym_block_comment] = STATE(1488),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2453),
    [anon_sym_while] = ACTIONS(2455),
    [anon_sym_for] = ACTIONS(2457),
    [anon_sym_try] = ACTIONS(2459),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2461),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2465),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2467),
    [anon_sym_throw] = ACTIONS(2469),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1489] = {
    [sym_type_parameters] = STATE(19263),
    [sym_inline_modifier] = STATE(2473),
    [sym_block] = STATE(9233),
    [sym_expression] = STATE(14133),
    [sym__simple_expression] = STATE(6189),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17703),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10035),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5250),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1489),
    [sym_block_comment] = STATE(1489),
    [sym__alpha_identifier] = ACTIONS(3247),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(3250),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(3253),
    [anon_sym_if] = ACTIONS(2369),
    [anon_sym_while] = ACTIONS(2001),
    [anon_sym_for] = ACTIONS(2003),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2005),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(3253),
    [anon_sym_implicit] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(3256),
    [anon_sym_infix] = ACTIONS(3253),
    [anon_sym_open] = ACTIONS(3253),
    [anon_sym_transparent] = ACTIONS(3253),
    [anon_sym_LPAREN] = ACTIONS(3259),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(3262),
    [sym_operator_identifier] = ACTIONS(3265),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(2011),
    [anon_sym_throw] = ACTIONS(2013),
    [anon_sym_do] = ACTIONS(3268),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1490] = {
    [sym_type_parameters] = STATE(19099),
    [sym_inline_modifier] = STATE(2443),
    [sym__indentable_expression] = STATE(14677),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(6986),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17503),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(5790),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9373),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1490),
    [sym_block_comment] = STATE(1490),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2453),
    [anon_sym_while] = ACTIONS(2455),
    [anon_sym_for] = ACTIONS(2457),
    [anon_sym_try] = ACTIONS(2459),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2461),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2465),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2467),
    [anon_sym_throw] = ACTIONS(2469),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1491] = {
    [sym_type_parameters] = STATE(19099),
    [sym_inline_modifier] = STATE(2443),
    [sym__indentable_expression] = STATE(14679),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(6986),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17503),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(5790),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9373),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1491),
    [sym_block_comment] = STATE(1491),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2453),
    [anon_sym_while] = ACTIONS(2455),
    [anon_sym_for] = ACTIONS(2457),
    [anon_sym_try] = ACTIONS(2459),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2461),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2465),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2467),
    [anon_sym_throw] = ACTIONS(2469),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1492] = {
    [sym_type_parameters] = STATE(19263),
    [sym_inline_modifier] = STATE(2473),
    [sym__indentable_expression] = STATE(14498),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(6189),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17703),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10035),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5250),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1492),
    [sym_block_comment] = STATE(1492),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(2369),
    [anon_sym_while] = ACTIONS(2001),
    [anon_sym_for] = ACTIONS(2003),
    [anon_sym_try] = ACTIONS(2005),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(2009),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(2011),
    [anon_sym_throw] = ACTIONS(2013),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1493] = {
    [sym_type_parameters] = STATE(19099),
    [sym_inline_modifier] = STATE(2443),
    [sym__indentable_expression] = STATE(14680),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(6986),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17503),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(5790),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9373),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1493),
    [sym_block_comment] = STATE(1493),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2453),
    [anon_sym_while] = ACTIONS(2455),
    [anon_sym_for] = ACTIONS(2457),
    [anon_sym_try] = ACTIONS(2459),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2461),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2465),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2467),
    [anon_sym_throw] = ACTIONS(2469),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1494] = {
    [sym_type_parameters] = STATE(19099),
    [sym_inline_modifier] = STATE(2443),
    [sym__indentable_expression] = STATE(14682),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(6986),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17503),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(5790),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9373),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1494),
    [sym_block_comment] = STATE(1494),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2453),
    [anon_sym_while] = ACTIONS(2455),
    [anon_sym_for] = ACTIONS(2457),
    [anon_sym_try] = ACTIONS(2459),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2461),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2465),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2467),
    [anon_sym_throw] = ACTIONS(2469),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1495] = {
    [sym_type_parameters] = STATE(19099),
    [sym_inline_modifier] = STATE(2443),
    [sym__indentable_expression] = STATE(14685),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(6986),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17503),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(5790),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9373),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1495),
    [sym_block_comment] = STATE(1495),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2453),
    [anon_sym_while] = ACTIONS(2455),
    [anon_sym_for] = ACTIONS(2457),
    [anon_sym_try] = ACTIONS(2459),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2461),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2465),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2467),
    [anon_sym_throw] = ACTIONS(2469),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1496] = {
    [sym_type_parameters] = STATE(19099),
    [sym_inline_modifier] = STATE(2443),
    [sym__indentable_expression] = STATE(14687),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(6986),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17503),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(5790),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9373),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1496),
    [sym_block_comment] = STATE(1496),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2453),
    [anon_sym_while] = ACTIONS(2455),
    [anon_sym_for] = ACTIONS(2457),
    [anon_sym_try] = ACTIONS(2459),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2461),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2465),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2467),
    [anon_sym_throw] = ACTIONS(2469),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1497] = {
    [sym_type_parameters] = STATE(19263),
    [sym_inline_modifier] = STATE(2473),
    [sym__indentable_expression] = STATE(14605),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(6189),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17703),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10035),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5250),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1497),
    [sym_block_comment] = STATE(1497),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(2369),
    [anon_sym_while] = ACTIONS(2001),
    [anon_sym_for] = ACTIONS(2003),
    [anon_sym_try] = ACTIONS(2005),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(2009),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(2011),
    [anon_sym_throw] = ACTIONS(2013),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1498] = {
    [sym_type_parameters] = STATE(19263),
    [sym_inline_modifier] = STATE(2473),
    [sym__indentable_expression] = STATE(14609),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(6189),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17703),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10035),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5250),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1498),
    [sym_block_comment] = STATE(1498),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(2369),
    [anon_sym_while] = ACTIONS(2001),
    [anon_sym_for] = ACTIONS(2003),
    [anon_sym_try] = ACTIONS(2005),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(2009),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(2011),
    [anon_sym_throw] = ACTIONS(2013),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1499] = {
    [sym_type_parameters] = STATE(19107),
    [sym_inline_modifier] = STATE(2445),
    [sym_block] = STATE(9233),
    [sym_expression] = STATE(14133),
    [sym__simple_expression] = STATE(5929),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17658),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10255),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5067),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8244),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1499),
    [sym_block_comment] = STATE(1499),
    [sym__alpha_identifier] = ACTIONS(3247),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(3250),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(3253),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(1721),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(3253),
    [anon_sym_implicit] = ACTIONS(1723),
    [anon_sym_inline] = ACTIONS(3256),
    [anon_sym_infix] = ACTIONS(3253),
    [anon_sym_open] = ACTIONS(3253),
    [anon_sym_transparent] = ACTIONS(3253),
    [anon_sym_LPAREN] = ACTIONS(3259),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(3262),
    [sym_operator_identifier] = ACTIONS(3271),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_throw] = ACTIONS(1731),
    [anon_sym_do] = ACTIONS(3268),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1500] = {
    [sym_type_parameters] = STATE(19107),
    [sym_inline_modifier] = STATE(2445),
    [sym__indentable_expression] = STATE(14498),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(5929),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17658),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10255),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5067),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8244),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1500),
    [sym_block_comment] = STATE(1500),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_try] = ACTIONS(1721),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(1723),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(1727),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_throw] = ACTIONS(1731),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1501] = {
    [sym_type_parameters] = STATE(19263),
    [sym_inline_modifier] = STATE(2473),
    [sym__indentable_expression] = STATE(14647),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(6189),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17703),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10035),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5250),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1501),
    [sym_block_comment] = STATE(1501),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(2369),
    [anon_sym_while] = ACTIONS(2001),
    [anon_sym_for] = ACTIONS(2003),
    [anon_sym_try] = ACTIONS(2005),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(2009),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(2011),
    [anon_sym_throw] = ACTIONS(2013),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1502] = {
    [sym_type_parameters] = STATE(19107),
    [sym_inline_modifier] = STATE(2445),
    [sym__indentable_expression] = STATE(14605),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(5929),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17658),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10255),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5067),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8244),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1502),
    [sym_block_comment] = STATE(1502),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_try] = ACTIONS(1721),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(1723),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(1727),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_throw] = ACTIONS(1731),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1503] = {
    [sym_type_parameters] = STATE(19107),
    [sym_inline_modifier] = STATE(2445),
    [sym__indentable_expression] = STATE(14609),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(5929),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17658),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10255),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5067),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8244),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1503),
    [sym_block_comment] = STATE(1503),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_try] = ACTIONS(1721),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(1723),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(1727),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_throw] = ACTIONS(1731),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1504] = {
    [sym_type_parameters] = STATE(19263),
    [sym_inline_modifier] = STATE(2473),
    [sym__indentable_expression] = STATE(14678),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(6189),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17703),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10035),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5250),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1504),
    [sym_block_comment] = STATE(1504),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(2369),
    [anon_sym_while] = ACTIONS(2001),
    [anon_sym_for] = ACTIONS(2003),
    [anon_sym_try] = ACTIONS(2005),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(2009),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(2011),
    [anon_sym_throw] = ACTIONS(2013),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1505] = {
    [sym_type_parameters] = STATE(19107),
    [sym_inline_modifier] = STATE(2445),
    [sym__indentable_expression] = STATE(14647),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(5929),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17658),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10255),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5067),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8244),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1505),
    [sym_block_comment] = STATE(1505),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_try] = ACTIONS(1721),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(1723),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(1727),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_throw] = ACTIONS(1731),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1506] = {
    [sym_type_parameters] = STATE(19107),
    [sym_inline_modifier] = STATE(2445),
    [sym__indentable_expression] = STATE(14678),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(5929),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17658),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10255),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5067),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8244),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1506),
    [sym_block_comment] = STATE(1506),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_try] = ACTIONS(1721),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(1723),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(1727),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_throw] = ACTIONS(1731),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1507] = {
    [sym_type_parameters] = STATE(19107),
    [sym_inline_modifier] = STATE(2445),
    [sym__indentable_expression] = STATE(14486),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(5929),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17658),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10255),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5067),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8244),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1507),
    [sym_block_comment] = STATE(1507),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_try] = ACTIONS(1721),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(1723),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(1727),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_throw] = ACTIONS(1731),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1508] = {
    [sym_type_parameters] = STATE(19263),
    [sym_inline_modifier] = STATE(2473),
    [sym__indentable_expression] = STATE(14486),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(6189),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17703),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10035),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5250),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1508),
    [sym_block_comment] = STATE(1508),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(2369),
    [anon_sym_while] = ACTIONS(2001),
    [anon_sym_for] = ACTIONS(2003),
    [anon_sym_try] = ACTIONS(2005),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(2009),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(2011),
    [anon_sym_throw] = ACTIONS(2013),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1509] = {
    [sym_type_parameters] = STATE(19107),
    [sym_inline_modifier] = STATE(2445),
    [sym__indentable_expression] = STATE(14502),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(5929),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17658),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10255),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5067),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8244),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1509),
    [sym_block_comment] = STATE(1509),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_try] = ACTIONS(1721),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(1723),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(1727),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_throw] = ACTIONS(1731),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1510] = {
    [sym_type_parameters] = STATE(19107),
    [sym_inline_modifier] = STATE(2445),
    [sym__indentable_expression] = STATE(14554),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(5929),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17658),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10255),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5067),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8244),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1510),
    [sym_block_comment] = STATE(1510),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_try] = ACTIONS(1721),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(1723),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(1727),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_throw] = ACTIONS(1731),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1511] = {
    [sym_type_parameters] = STATE(19263),
    [sym_inline_modifier] = STATE(2473),
    [sym__indentable_expression] = STATE(14502),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(6189),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17703),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10035),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5250),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1511),
    [sym_block_comment] = STATE(1511),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(2369),
    [anon_sym_while] = ACTIONS(2001),
    [anon_sym_for] = ACTIONS(2003),
    [anon_sym_try] = ACTIONS(2005),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(2009),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(2011),
    [anon_sym_throw] = ACTIONS(2013),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1512] = {
    [sym_type_parameters] = STATE(19107),
    [sym_inline_modifier] = STATE(2445),
    [sym__indentable_expression] = STATE(14559),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(5929),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17658),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10255),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5067),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8244),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1512),
    [sym_block_comment] = STATE(1512),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_try] = ACTIONS(1721),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(1723),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(1727),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_throw] = ACTIONS(1731),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1513] = {
    [sym_type_parameters] = STATE(19107),
    [sym_inline_modifier] = STATE(2445),
    [sym__indentable_expression] = STATE(14570),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(5929),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17658),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10255),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5067),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8244),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1513),
    [sym_block_comment] = STATE(1513),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_try] = ACTIONS(1721),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(1723),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(1727),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_throw] = ACTIONS(1731),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1514] = {
    [sym_type_parameters] = STATE(19107),
    [sym_inline_modifier] = STATE(2445),
    [sym__indentable_expression] = STATE(14602),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(5929),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17658),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10255),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5067),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8244),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1514),
    [sym_block_comment] = STATE(1514),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_try] = ACTIONS(1721),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(1723),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(1727),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_throw] = ACTIONS(1731),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1515] = {
    [sym_type_parameters] = STATE(19263),
    [sym_inline_modifier] = STATE(2473),
    [sym__indentable_expression] = STATE(14554),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(6189),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17703),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10035),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5250),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1515),
    [sym_block_comment] = STATE(1515),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(2369),
    [anon_sym_while] = ACTIONS(2001),
    [anon_sym_for] = ACTIONS(2003),
    [anon_sym_try] = ACTIONS(2005),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(2009),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(2011),
    [anon_sym_throw] = ACTIONS(2013),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1516] = {
    [sym_type_parameters] = STATE(19107),
    [sym_inline_modifier] = STATE(2445),
    [sym__indentable_expression] = STATE(14610),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(5929),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17658),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10255),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5067),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8244),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1516),
    [sym_block_comment] = STATE(1516),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_try] = ACTIONS(1721),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(1723),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(1727),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_throw] = ACTIONS(1731),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1517] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym__indentable_expression] = STATE(14011),
    [sym_block] = STATE(10944),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(15239),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1517),
    [sym_block_comment] = STATE(1517),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [1518] = {
    [sym_type_parameters] = STATE(19263),
    [sym_inline_modifier] = STATE(2473),
    [sym__indentable_expression] = STATE(14559),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(6189),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17703),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10035),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5250),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1518),
    [sym_block_comment] = STATE(1518),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(2369),
    [anon_sym_while] = ACTIONS(2001),
    [anon_sym_for] = ACTIONS(2003),
    [anon_sym_try] = ACTIONS(2005),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(2009),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(2011),
    [anon_sym_throw] = ACTIONS(2013),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1519] = {
    [sym_type_parameters] = STATE(19115),
    [sym_inline_modifier] = STATE(2449),
    [sym_block] = STATE(9793),
    [sym_expression] = STATE(14489),
    [sym__simple_expression] = STATE(6296),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17754),
    [sym_case_block] = STATE(9793),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(9793),
    [sym_call_expression] = STATE(9793),
    [sym_field_expression] = STATE(9793),
    [sym_instance_expression] = STATE(9793),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(10680),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(18810),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(10068),
    [sym_tuple_expression] = STATE(9793),
    [sym_parenthesized_expression] = STATE(9793),
    [sym_splice_expression] = STATE(9793),
    [sym_quote_expression] = STATE(9793),
    [sym_identifier] = STATE(5289),
    [sym__soft_identifier] = STATE(4682),
    [sym_wildcard] = STATE(8440),
    [sym__non_null_literal] = STATE(9793),
    [sym_boolean_literal] = STATE(9544),
    [sym_interpolated_string_expression] = STATE(9793),
    [sym_string] = STATE(9544),
    [sym_unit] = STATE(9793),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1519),
    [sym_block_comment] = STATE(1519),
    [sym__alpha_identifier] = ACTIONS(3274),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_end] = ACTIONS(3280),
    [anon_sym_if] = ACTIONS(1875),
    [anon_sym_while] = ACTIONS(1877),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(1881),
    [anon_sym_new] = ACTIONS(1339),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(3280),
    [anon_sym_implicit] = ACTIONS(1883),
    [anon_sym_inline] = ACTIONS(3283),
    [anon_sym_infix] = ACTIONS(3280),
    [anon_sym_open] = ACTIONS(3280),
    [anon_sym_transparent] = ACTIONS(3280),
    [anon_sym_LPAREN] = ACTIONS(3286),
    [anon_sym_macro] = ACTIONS(1885),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_DOLLAR] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [sym__backquoted_id] = ACTIONS(3289),
    [sym_operator_identifier] = ACTIONS(3292),
    [sym_integer_literal] = ACTIONS(1353),
    [sym_floating_point_literal] = ACTIONS(1355),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [sym_character_literal] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_throw] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(2779),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1361),
    [sym__simple_string] = ACTIONS(1361),
  },
  [1520] = {
    [sym_type_parameters] = STATE(19115),
    [sym_inline_modifier] = STATE(2449),
    [sym__indentable_expression] = STATE(12245),
    [sym_block] = STATE(9793),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(14690),
    [sym__simple_expression] = STATE(6296),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17754),
    [sym_case_block] = STATE(9793),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(9793),
    [sym_call_expression] = STATE(9793),
    [sym_field_expression] = STATE(9793),
    [sym_instance_expression] = STATE(9793),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(10680),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(18810),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(10068),
    [sym_tuple_expression] = STATE(9793),
    [sym_parenthesized_expression] = STATE(9793),
    [sym_splice_expression] = STATE(9793),
    [sym_quote_expression] = STATE(9793),
    [sym_identifier] = STATE(5289),
    [sym__soft_identifier] = STATE(4682),
    [sym_wildcard] = STATE(8440),
    [sym__non_null_literal] = STATE(9793),
    [sym_boolean_literal] = STATE(9544),
    [sym_interpolated_string_expression] = STATE(9793),
    [sym_string] = STATE(9544),
    [sym_unit] = STATE(9793),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1520),
    [sym_block_comment] = STATE(1520),
    [sym__alpha_identifier] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym__] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_end] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1875),
    [anon_sym_while] = ACTIONS(1877),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_try] = ACTIONS(1881),
    [anon_sym_new] = ACTIONS(1339),
    [anon_sym_opaque] = ACTIONS(1337),
    [anon_sym_implicit] = ACTIONS(1883),
    [anon_sym_inline] = ACTIONS(1341),
    [anon_sym_infix] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_transparent] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_macro] = ACTIONS(1885),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_DOLLAR] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [sym__backquoted_id] = ACTIONS(1349),
    [sym_operator_identifier] = ACTIONS(1887),
    [sym_integer_literal] = ACTIONS(1353),
    [sym_floating_point_literal] = ACTIONS(1355),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [sym_character_literal] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_throw] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1361),
    [sym__simple_string] = ACTIONS(1361),
  },
  [1521] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym__indentable_expression] = STATE(14058),
    [sym_block] = STATE(10944),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(15239),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1521),
    [sym_block_comment] = STATE(1521),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [1522] = {
    [sym_type_parameters] = STATE(19263),
    [sym_inline_modifier] = STATE(2473),
    [sym__indentable_expression] = STATE(14570),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(6189),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17703),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10035),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5250),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1522),
    [sym_block_comment] = STATE(1522),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(2369),
    [anon_sym_while] = ACTIONS(2001),
    [anon_sym_for] = ACTIONS(2003),
    [anon_sym_try] = ACTIONS(2005),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(2009),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(2011),
    [anon_sym_throw] = ACTIONS(2013),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1523] = {
    [sym_type_parameters] = STATE(19115),
    [sym_inline_modifier] = STATE(2449),
    [sym__indentable_expression] = STATE(12262),
    [sym_block] = STATE(9793),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(14690),
    [sym__simple_expression] = STATE(6296),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17754),
    [sym_case_block] = STATE(9793),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(9793),
    [sym_call_expression] = STATE(9793),
    [sym_field_expression] = STATE(9793),
    [sym_instance_expression] = STATE(9793),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(10680),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(18810),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(10068),
    [sym_tuple_expression] = STATE(9793),
    [sym_parenthesized_expression] = STATE(9793),
    [sym_splice_expression] = STATE(9793),
    [sym_quote_expression] = STATE(9793),
    [sym_identifier] = STATE(5289),
    [sym__soft_identifier] = STATE(4682),
    [sym_wildcard] = STATE(8440),
    [sym__non_null_literal] = STATE(9793),
    [sym_boolean_literal] = STATE(9544),
    [sym_interpolated_string_expression] = STATE(9793),
    [sym_string] = STATE(9544),
    [sym_unit] = STATE(9793),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1523),
    [sym_block_comment] = STATE(1523),
    [sym__alpha_identifier] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym__] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_end] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1875),
    [anon_sym_while] = ACTIONS(1877),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_try] = ACTIONS(1881),
    [anon_sym_new] = ACTIONS(1339),
    [anon_sym_opaque] = ACTIONS(1337),
    [anon_sym_implicit] = ACTIONS(1883),
    [anon_sym_inline] = ACTIONS(1341),
    [anon_sym_infix] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_transparent] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_macro] = ACTIONS(1885),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_DOLLAR] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [sym__backquoted_id] = ACTIONS(1349),
    [sym_operator_identifier] = ACTIONS(1887),
    [sym_integer_literal] = ACTIONS(1353),
    [sym_floating_point_literal] = ACTIONS(1355),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [sym_character_literal] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_throw] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1361),
    [sym__simple_string] = ACTIONS(1361),
  },
  [1524] = {
    [sym_type_parameters] = STATE(19115),
    [sym_inline_modifier] = STATE(2449),
    [sym__indentable_expression] = STATE(12270),
    [sym_block] = STATE(9793),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(14690),
    [sym__simple_expression] = STATE(6296),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17754),
    [sym_case_block] = STATE(9793),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(9793),
    [sym_call_expression] = STATE(9793),
    [sym_field_expression] = STATE(9793),
    [sym_instance_expression] = STATE(9793),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(10680),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(18810),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(10068),
    [sym_tuple_expression] = STATE(9793),
    [sym_parenthesized_expression] = STATE(9793),
    [sym_splice_expression] = STATE(9793),
    [sym_quote_expression] = STATE(9793),
    [sym_identifier] = STATE(5289),
    [sym__soft_identifier] = STATE(4682),
    [sym_wildcard] = STATE(8440),
    [sym__non_null_literal] = STATE(9793),
    [sym_boolean_literal] = STATE(9544),
    [sym_interpolated_string_expression] = STATE(9793),
    [sym_string] = STATE(9544),
    [sym_unit] = STATE(9793),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1524),
    [sym_block_comment] = STATE(1524),
    [sym__alpha_identifier] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym__] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_end] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1875),
    [anon_sym_while] = ACTIONS(1877),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_try] = ACTIONS(1881),
    [anon_sym_new] = ACTIONS(1339),
    [anon_sym_opaque] = ACTIONS(1337),
    [anon_sym_implicit] = ACTIONS(1883),
    [anon_sym_inline] = ACTIONS(1341),
    [anon_sym_infix] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_transparent] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_macro] = ACTIONS(1885),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_DOLLAR] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [sym__backquoted_id] = ACTIONS(1349),
    [sym_operator_identifier] = ACTIONS(1887),
    [sym_integer_literal] = ACTIONS(1353),
    [sym_floating_point_literal] = ACTIONS(1355),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [sym_character_literal] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_throw] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1361),
    [sym__simple_string] = ACTIONS(1361),
  },
  [1525] = {
    [sym_type_parameters] = STATE(19263),
    [sym_inline_modifier] = STATE(2473),
    [sym__indentable_expression] = STATE(14602),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(6189),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17703),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10035),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5250),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1525),
    [sym_block_comment] = STATE(1525),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(2369),
    [anon_sym_while] = ACTIONS(2001),
    [anon_sym_for] = ACTIONS(2003),
    [anon_sym_try] = ACTIONS(2005),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(2009),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(2011),
    [anon_sym_throw] = ACTIONS(2013),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1526] = {
    [sym_type_parameters] = STATE(19115),
    [sym_inline_modifier] = STATE(2449),
    [sym__indentable_expression] = STATE(12428),
    [sym_block] = STATE(9793),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(14690),
    [sym__simple_expression] = STATE(6296),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17754),
    [sym_case_block] = STATE(9793),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(9793),
    [sym_call_expression] = STATE(9793),
    [sym_field_expression] = STATE(9793),
    [sym_instance_expression] = STATE(9793),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(10680),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(18810),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(10068),
    [sym_tuple_expression] = STATE(9793),
    [sym_parenthesized_expression] = STATE(9793),
    [sym_splice_expression] = STATE(9793),
    [sym_quote_expression] = STATE(9793),
    [sym_identifier] = STATE(5289),
    [sym__soft_identifier] = STATE(4682),
    [sym_wildcard] = STATE(8440),
    [sym__non_null_literal] = STATE(9793),
    [sym_boolean_literal] = STATE(9544),
    [sym_interpolated_string_expression] = STATE(9793),
    [sym_string] = STATE(9544),
    [sym_unit] = STATE(9793),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1526),
    [sym_block_comment] = STATE(1526),
    [sym__alpha_identifier] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym__] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_end] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1875),
    [anon_sym_while] = ACTIONS(1877),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_try] = ACTIONS(1881),
    [anon_sym_new] = ACTIONS(1339),
    [anon_sym_opaque] = ACTIONS(1337),
    [anon_sym_implicit] = ACTIONS(1883),
    [anon_sym_inline] = ACTIONS(1341),
    [anon_sym_infix] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_transparent] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_macro] = ACTIONS(1885),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_DOLLAR] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [sym__backquoted_id] = ACTIONS(1349),
    [sym_operator_identifier] = ACTIONS(1887),
    [sym_integer_literal] = ACTIONS(1353),
    [sym_floating_point_literal] = ACTIONS(1355),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [sym_character_literal] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_throw] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1361),
    [sym__simple_string] = ACTIONS(1361),
  },
  [1527] = {
    [sym_type_parameters] = STATE(19115),
    [sym_inline_modifier] = STATE(2449),
    [sym__indentable_expression] = STATE(12174),
    [sym_block] = STATE(9793),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(14690),
    [sym__simple_expression] = STATE(6296),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17754),
    [sym_case_block] = STATE(9793),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(9793),
    [sym_call_expression] = STATE(9793),
    [sym_field_expression] = STATE(9793),
    [sym_instance_expression] = STATE(9793),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(10680),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(18810),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(10068),
    [sym_tuple_expression] = STATE(9793),
    [sym_parenthesized_expression] = STATE(9793),
    [sym_splice_expression] = STATE(9793),
    [sym_quote_expression] = STATE(9793),
    [sym_identifier] = STATE(5289),
    [sym__soft_identifier] = STATE(4682),
    [sym_wildcard] = STATE(8440),
    [sym__non_null_literal] = STATE(9793),
    [sym_boolean_literal] = STATE(9544),
    [sym_interpolated_string_expression] = STATE(9793),
    [sym_string] = STATE(9544),
    [sym_unit] = STATE(9793),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1527),
    [sym_block_comment] = STATE(1527),
    [sym__alpha_identifier] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym__] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_end] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1875),
    [anon_sym_while] = ACTIONS(1877),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_try] = ACTIONS(1881),
    [anon_sym_new] = ACTIONS(1339),
    [anon_sym_opaque] = ACTIONS(1337),
    [anon_sym_implicit] = ACTIONS(1883),
    [anon_sym_inline] = ACTIONS(1341),
    [anon_sym_infix] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_transparent] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_macro] = ACTIONS(1885),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_DOLLAR] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [sym__backquoted_id] = ACTIONS(1349),
    [sym_operator_identifier] = ACTIONS(1887),
    [sym_integer_literal] = ACTIONS(1353),
    [sym_floating_point_literal] = ACTIONS(1355),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [sym_character_literal] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_throw] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1361),
    [sym__simple_string] = ACTIONS(1361),
  },
  [1528] = {
    [sym_type_parameters] = STATE(19263),
    [sym_inline_modifier] = STATE(2473),
    [sym__indentable_expression] = STATE(14610),
    [sym_block] = STATE(9233),
    [sym_indented_block] = STATE(14472),
    [sym_indented_cases] = STATE(14472),
    [sym_expression] = STATE(14139),
    [sym__simple_expression] = STATE(6189),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17703),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10035),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5250),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1528),
    [sym_block_comment] = STATE(1528),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(2369),
    [anon_sym_while] = ACTIONS(2001),
    [anon_sym_for] = ACTIONS(2003),
    [anon_sym_try] = ACTIONS(2005),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(2009),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(2011),
    [anon_sym_throw] = ACTIONS(2013),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2235),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1529] = {
    [sym_type_parameters] = STATE(19115),
    [sym_inline_modifier] = STATE(2449),
    [sym__indentable_expression] = STATE(12342),
    [sym_block] = STATE(9793),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(14690),
    [sym__simple_expression] = STATE(6296),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17754),
    [sym_case_block] = STATE(9793),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(9793),
    [sym_call_expression] = STATE(9793),
    [sym_field_expression] = STATE(9793),
    [sym_instance_expression] = STATE(9793),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(10680),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(18810),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(10068),
    [sym_tuple_expression] = STATE(9793),
    [sym_parenthesized_expression] = STATE(9793),
    [sym_splice_expression] = STATE(9793),
    [sym_quote_expression] = STATE(9793),
    [sym_identifier] = STATE(5289),
    [sym__soft_identifier] = STATE(4682),
    [sym_wildcard] = STATE(8440),
    [sym__non_null_literal] = STATE(9793),
    [sym_boolean_literal] = STATE(9544),
    [sym_interpolated_string_expression] = STATE(9793),
    [sym_string] = STATE(9544),
    [sym_unit] = STATE(9793),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1529),
    [sym_block_comment] = STATE(1529),
    [sym__alpha_identifier] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym__] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_end] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1875),
    [anon_sym_while] = ACTIONS(1877),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_try] = ACTIONS(1881),
    [anon_sym_new] = ACTIONS(1339),
    [anon_sym_opaque] = ACTIONS(1337),
    [anon_sym_implicit] = ACTIONS(1883),
    [anon_sym_inline] = ACTIONS(1341),
    [anon_sym_infix] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_transparent] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_macro] = ACTIONS(1885),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_DOLLAR] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [sym__backquoted_id] = ACTIONS(1349),
    [sym_operator_identifier] = ACTIONS(1887),
    [sym_integer_literal] = ACTIONS(1353),
    [sym_floating_point_literal] = ACTIONS(1355),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [sym_character_literal] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_throw] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1361),
    [sym__simple_string] = ACTIONS(1361),
  },
  [1530] = {
    [sym_type_parameters] = STATE(19115),
    [sym_inline_modifier] = STATE(2449),
    [sym__indentable_expression] = STATE(12345),
    [sym_block] = STATE(9793),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(14690),
    [sym__simple_expression] = STATE(6296),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17754),
    [sym_case_block] = STATE(9793),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(9793),
    [sym_call_expression] = STATE(9793),
    [sym_field_expression] = STATE(9793),
    [sym_instance_expression] = STATE(9793),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(10680),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(18810),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(10068),
    [sym_tuple_expression] = STATE(9793),
    [sym_parenthesized_expression] = STATE(9793),
    [sym_splice_expression] = STATE(9793),
    [sym_quote_expression] = STATE(9793),
    [sym_identifier] = STATE(5289),
    [sym__soft_identifier] = STATE(4682),
    [sym_wildcard] = STATE(8440),
    [sym__non_null_literal] = STATE(9793),
    [sym_boolean_literal] = STATE(9544),
    [sym_interpolated_string_expression] = STATE(9793),
    [sym_string] = STATE(9544),
    [sym_unit] = STATE(9793),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1530),
    [sym_block_comment] = STATE(1530),
    [sym__alpha_identifier] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym__] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_end] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1875),
    [anon_sym_while] = ACTIONS(1877),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_try] = ACTIONS(1881),
    [anon_sym_new] = ACTIONS(1339),
    [anon_sym_opaque] = ACTIONS(1337),
    [anon_sym_implicit] = ACTIONS(1883),
    [anon_sym_inline] = ACTIONS(1341),
    [anon_sym_infix] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_transparent] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_macro] = ACTIONS(1885),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_DOLLAR] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [sym__backquoted_id] = ACTIONS(1349),
    [sym_operator_identifier] = ACTIONS(1887),
    [sym_integer_literal] = ACTIONS(1353),
    [sym_floating_point_literal] = ACTIONS(1355),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [sym_character_literal] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_throw] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1361),
    [sym__simple_string] = ACTIONS(1361),
  },
  [1531] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym_block] = STATE(10944),
    [sym_expression] = STATE(15232),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1531),
    [sym_block_comment] = STATE(1531),
    [sym__alpha_identifier] = ACTIONS(3295),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(3298),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(3301),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(3301),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(3304),
    [anon_sym_infix] = ACTIONS(3301),
    [anon_sym_open] = ACTIONS(3301),
    [anon_sym_transparent] = ACTIONS(3301),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(3310),
    [sym_operator_identifier] = ACTIONS(3313),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(2755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [1532] = {
    [sym_type_parameters] = STATE(19115),
    [sym_inline_modifier] = STATE(2449),
    [sym__indentable_expression] = STATE(12369),
    [sym_block] = STATE(9793),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(14690),
    [sym__simple_expression] = STATE(6296),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17754),
    [sym_case_block] = STATE(9793),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(9793),
    [sym_call_expression] = STATE(9793),
    [sym_field_expression] = STATE(9793),
    [sym_instance_expression] = STATE(9793),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(10680),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(18810),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(10068),
    [sym_tuple_expression] = STATE(9793),
    [sym_parenthesized_expression] = STATE(9793),
    [sym_splice_expression] = STATE(9793),
    [sym_quote_expression] = STATE(9793),
    [sym_identifier] = STATE(5289),
    [sym__soft_identifier] = STATE(4682),
    [sym_wildcard] = STATE(8440),
    [sym__non_null_literal] = STATE(9793),
    [sym_boolean_literal] = STATE(9544),
    [sym_interpolated_string_expression] = STATE(9793),
    [sym_string] = STATE(9544),
    [sym_unit] = STATE(9793),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1532),
    [sym_block_comment] = STATE(1532),
    [sym__alpha_identifier] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym__] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_end] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1875),
    [anon_sym_while] = ACTIONS(1877),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_try] = ACTIONS(1881),
    [anon_sym_new] = ACTIONS(1339),
    [anon_sym_opaque] = ACTIONS(1337),
    [anon_sym_implicit] = ACTIONS(1883),
    [anon_sym_inline] = ACTIONS(1341),
    [anon_sym_infix] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_transparent] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_macro] = ACTIONS(1885),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_DOLLAR] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [sym__backquoted_id] = ACTIONS(1349),
    [sym_operator_identifier] = ACTIONS(1887),
    [sym_integer_literal] = ACTIONS(1353),
    [sym_floating_point_literal] = ACTIONS(1355),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [sym_character_literal] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_throw] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1361),
    [sym__simple_string] = ACTIONS(1361),
  },
  [1533] = {
    [sym_type_parameters] = STATE(19115),
    [sym_inline_modifier] = STATE(2449),
    [sym__indentable_expression] = STATE(12370),
    [sym_block] = STATE(9793),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(14690),
    [sym__simple_expression] = STATE(6296),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17754),
    [sym_case_block] = STATE(9793),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(9793),
    [sym_call_expression] = STATE(9793),
    [sym_field_expression] = STATE(9793),
    [sym_instance_expression] = STATE(9793),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(10680),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(18810),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(10068),
    [sym_tuple_expression] = STATE(9793),
    [sym_parenthesized_expression] = STATE(9793),
    [sym_splice_expression] = STATE(9793),
    [sym_quote_expression] = STATE(9793),
    [sym_identifier] = STATE(5289),
    [sym__soft_identifier] = STATE(4682),
    [sym_wildcard] = STATE(8440),
    [sym__non_null_literal] = STATE(9793),
    [sym_boolean_literal] = STATE(9544),
    [sym_interpolated_string_expression] = STATE(9793),
    [sym_string] = STATE(9544),
    [sym_unit] = STATE(9793),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1533),
    [sym_block_comment] = STATE(1533),
    [sym__alpha_identifier] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym__] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_end] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1875),
    [anon_sym_while] = ACTIONS(1877),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_try] = ACTIONS(1881),
    [anon_sym_new] = ACTIONS(1339),
    [anon_sym_opaque] = ACTIONS(1337),
    [anon_sym_implicit] = ACTIONS(1883),
    [anon_sym_inline] = ACTIONS(1341),
    [anon_sym_infix] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_transparent] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_macro] = ACTIONS(1885),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_DOLLAR] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [sym__backquoted_id] = ACTIONS(1349),
    [sym_operator_identifier] = ACTIONS(1887),
    [sym_integer_literal] = ACTIONS(1353),
    [sym_floating_point_literal] = ACTIONS(1355),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [sym_character_literal] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_throw] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1361),
    [sym__simple_string] = ACTIONS(1361),
  },
  [1534] = {
    [sym_type_parameters] = STATE(19270),
    [sym_inline_modifier] = STATE(2474),
    [sym_block] = STATE(6679),
    [sym_expression] = STATE(12927),
    [sym__simple_expression] = STATE(5637),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17719),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9894),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7246),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1534),
    [sym_block_comment] = STATE(1534),
    [sym__alpha_identifier] = ACTIONS(2680),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2683),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(2686),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1893),
    [anon_sym_for] = ACTIONS(1895),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2686),
    [anon_sym_implicit] = ACTIONS(1899),
    [anon_sym_inline] = ACTIONS(2689),
    [anon_sym_infix] = ACTIONS(2686),
    [anon_sym_open] = ACTIONS(2686),
    [anon_sym_transparent] = ACTIONS(2686),
    [anon_sym_LPAREN] = ACTIONS(2692),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(2695),
    [sym_operator_identifier] = ACTIONS(3316),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1903),
    [anon_sym_throw] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(2701),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1535] = {
    [sym_type_parameters] = STATE(19115),
    [sym_inline_modifier] = STATE(2449),
    [sym__indentable_expression] = STATE(12374),
    [sym_block] = STATE(9793),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(14690),
    [sym__simple_expression] = STATE(6296),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17754),
    [sym_case_block] = STATE(9793),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(9793),
    [sym_call_expression] = STATE(9793),
    [sym_field_expression] = STATE(9793),
    [sym_instance_expression] = STATE(9793),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(10680),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(18810),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(10068),
    [sym_tuple_expression] = STATE(9793),
    [sym_parenthesized_expression] = STATE(9793),
    [sym_splice_expression] = STATE(9793),
    [sym_quote_expression] = STATE(9793),
    [sym_identifier] = STATE(5289),
    [sym__soft_identifier] = STATE(4682),
    [sym_wildcard] = STATE(8440),
    [sym__non_null_literal] = STATE(9793),
    [sym_boolean_literal] = STATE(9544),
    [sym_interpolated_string_expression] = STATE(9793),
    [sym_string] = STATE(9544),
    [sym_unit] = STATE(9793),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1535),
    [sym_block_comment] = STATE(1535),
    [sym__alpha_identifier] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym__] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_end] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1875),
    [anon_sym_while] = ACTIONS(1877),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_try] = ACTIONS(1881),
    [anon_sym_new] = ACTIONS(1339),
    [anon_sym_opaque] = ACTIONS(1337),
    [anon_sym_implicit] = ACTIONS(1883),
    [anon_sym_inline] = ACTIONS(1341),
    [anon_sym_infix] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_transparent] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_macro] = ACTIONS(1885),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_DOLLAR] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [sym__backquoted_id] = ACTIONS(1349),
    [sym_operator_identifier] = ACTIONS(1887),
    [sym_integer_literal] = ACTIONS(1353),
    [sym_floating_point_literal] = ACTIONS(1355),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [sym_character_literal] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_throw] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1361),
    [sym__simple_string] = ACTIONS(1361),
  },
  [1536] = {
    [sym_type_parameters] = STATE(19115),
    [sym_inline_modifier] = STATE(2449),
    [sym__indentable_expression] = STATE(12377),
    [sym_block] = STATE(9793),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(14690),
    [sym__simple_expression] = STATE(6296),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17754),
    [sym_case_block] = STATE(9793),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(9793),
    [sym_call_expression] = STATE(9793),
    [sym_field_expression] = STATE(9793),
    [sym_instance_expression] = STATE(9793),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(10680),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(18810),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(10068),
    [sym_tuple_expression] = STATE(9793),
    [sym_parenthesized_expression] = STATE(9793),
    [sym_splice_expression] = STATE(9793),
    [sym_quote_expression] = STATE(9793),
    [sym_identifier] = STATE(5289),
    [sym__soft_identifier] = STATE(4682),
    [sym_wildcard] = STATE(8440),
    [sym__non_null_literal] = STATE(9793),
    [sym_boolean_literal] = STATE(9544),
    [sym_interpolated_string_expression] = STATE(9793),
    [sym_string] = STATE(9544),
    [sym_unit] = STATE(9793),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1536),
    [sym_block_comment] = STATE(1536),
    [sym__alpha_identifier] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym__] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_end] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1875),
    [anon_sym_while] = ACTIONS(1877),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_try] = ACTIONS(1881),
    [anon_sym_new] = ACTIONS(1339),
    [anon_sym_opaque] = ACTIONS(1337),
    [anon_sym_implicit] = ACTIONS(1883),
    [anon_sym_inline] = ACTIONS(1341),
    [anon_sym_infix] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_transparent] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_macro] = ACTIONS(1885),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_DOLLAR] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [sym__backquoted_id] = ACTIONS(1349),
    [sym_operator_identifier] = ACTIONS(1887),
    [sym_integer_literal] = ACTIONS(1353),
    [sym_floating_point_literal] = ACTIONS(1355),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [sym_character_literal] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_throw] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1361),
    [sym__simple_string] = ACTIONS(1361),
  },
  [1537] = {
    [sym_type_parameters] = STATE(19270),
    [sym_inline_modifier] = STATE(2474),
    [sym__indentable_expression] = STATE(12938),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5637),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17719),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9894),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7246),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1537),
    [sym_block_comment] = STATE(1537),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1893),
    [anon_sym_for] = ACTIONS(1895),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1899),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1901),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1903),
    [anon_sym_throw] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1538] = {
    [sym_type_parameters] = STATE(19115),
    [sym_inline_modifier] = STATE(2449),
    [sym__indentable_expression] = STATE(12413),
    [sym_block] = STATE(9793),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(14690),
    [sym__simple_expression] = STATE(6296),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17754),
    [sym_case_block] = STATE(9793),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(9793),
    [sym_call_expression] = STATE(9793),
    [sym_field_expression] = STATE(9793),
    [sym_instance_expression] = STATE(9793),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(10680),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(18810),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(10068),
    [sym_tuple_expression] = STATE(9793),
    [sym_parenthesized_expression] = STATE(9793),
    [sym_splice_expression] = STATE(9793),
    [sym_quote_expression] = STATE(9793),
    [sym_identifier] = STATE(5289),
    [sym__soft_identifier] = STATE(4682),
    [sym_wildcard] = STATE(8440),
    [sym__non_null_literal] = STATE(9793),
    [sym_boolean_literal] = STATE(9544),
    [sym_interpolated_string_expression] = STATE(9793),
    [sym_string] = STATE(9544),
    [sym_unit] = STATE(9793),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1538),
    [sym_block_comment] = STATE(1538),
    [sym__alpha_identifier] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym__] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_end] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1875),
    [anon_sym_while] = ACTIONS(1877),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_try] = ACTIONS(1881),
    [anon_sym_new] = ACTIONS(1339),
    [anon_sym_opaque] = ACTIONS(1337),
    [anon_sym_implicit] = ACTIONS(1883),
    [anon_sym_inline] = ACTIONS(1341),
    [anon_sym_infix] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_transparent] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_macro] = ACTIONS(1885),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_DOLLAR] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [sym__backquoted_id] = ACTIONS(1349),
    [sym_operator_identifier] = ACTIONS(1887),
    [sym_integer_literal] = ACTIONS(1353),
    [sym_floating_point_literal] = ACTIONS(1355),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [sym_character_literal] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_throw] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1361),
    [sym__simple_string] = ACTIONS(1361),
  },
  [1539] = {
    [sym_type_parameters] = STATE(19123),
    [sym_inline_modifier] = STATE(2451),
    [sym_block] = STATE(9061),
    [sym_expression] = STATE(14128),
    [sym__simple_expression] = STATE(8318),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17393),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11156),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6713),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(10010),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1539),
    [sym_block_comment] = STATE(1539),
    [sym__alpha_identifier] = ACTIONS(3223),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(3229),
    [anon_sym_if] = ACTIONS(2958),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2962),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(3229),
    [anon_sym_implicit] = ACTIONS(2966),
    [anon_sym_inline] = ACTIONS(3232),
    [anon_sym_infix] = ACTIONS(3229),
    [anon_sym_open] = ACTIONS(3229),
    [anon_sym_transparent] = ACTIONS(3229),
    [anon_sym_LPAREN] = ACTIONS(3235),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(3238),
    [sym_operator_identifier] = ACTIONS(3319),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(3244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1540] = {
    [sym_type_parameters] = STATE(19123),
    [sym_inline_modifier] = STATE(2451),
    [sym__indentable_expression] = STATE(14517),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8318),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17393),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11156),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6713),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(10010),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1540),
    [sym_block_comment] = STATE(1540),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2958),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2962),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2966),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2968),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1541] = {
    [sym_type_parameters] = STATE(19270),
    [sym_inline_modifier] = STATE(2474),
    [sym__indentable_expression] = STATE(12953),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5637),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17719),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9894),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7246),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1541),
    [sym_block_comment] = STATE(1541),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1893),
    [anon_sym_for] = ACTIONS(1895),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1899),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1901),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1903),
    [anon_sym_throw] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1542] = {
    [sym_type_parameters] = STATE(19123),
    [sym_inline_modifier] = STATE(2451),
    [sym__indentable_expression] = STATE(14558),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8318),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17393),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11156),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6713),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(10010),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1542),
    [sym_block_comment] = STATE(1542),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2958),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2962),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2966),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2968),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1543] = {
    [sym_type_parameters] = STATE(19270),
    [sym_inline_modifier] = STATE(2474),
    [sym__indentable_expression] = STATE(12962),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5637),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17719),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9894),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7246),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1543),
    [sym_block_comment] = STATE(1543),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1893),
    [anon_sym_for] = ACTIONS(1895),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1899),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1901),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1903),
    [anon_sym_throw] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1544] = {
    [sym_type_parameters] = STATE(19123),
    [sym_inline_modifier] = STATE(2451),
    [sym__indentable_expression] = STATE(14565),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8318),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17393),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11156),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6713),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(10010),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1544),
    [sym_block_comment] = STATE(1544),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2958),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2962),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2966),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2968),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1545] = {
    [sym_type_parameters] = STATE(19123),
    [sym_inline_modifier] = STATE(2451),
    [sym__indentable_expression] = STATE(14569),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8318),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17393),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11156),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6713),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(10010),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1545),
    [sym_block_comment] = STATE(1545),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2958),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2962),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2966),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2968),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1546] = {
    [sym_type_parameters] = STATE(19270),
    [sym_inline_modifier] = STATE(2474),
    [sym__indentable_expression] = STATE(12966),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5637),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17719),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9894),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7246),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1546),
    [sym_block_comment] = STATE(1546),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1893),
    [anon_sym_for] = ACTIONS(1895),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1899),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1901),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1903),
    [anon_sym_throw] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1547] = {
    [sym_type_parameters] = STATE(19123),
    [sym_inline_modifier] = STATE(2451),
    [sym__indentable_expression] = STATE(14584),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8318),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17393),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11156),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6713),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(10010),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1547),
    [sym_block_comment] = STATE(1547),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2958),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2962),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2966),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2968),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1548] = {
    [sym_type_parameters] = STATE(19270),
    [sym_inline_modifier] = STATE(2474),
    [sym__indentable_expression] = STATE(12968),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5637),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17719),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9894),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7246),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1548),
    [sym_block_comment] = STATE(1548),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1893),
    [anon_sym_for] = ACTIONS(1895),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1899),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1901),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1903),
    [anon_sym_throw] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1549] = {
    [sym_type_parameters] = STATE(19123),
    [sym_inline_modifier] = STATE(2451),
    [sym__indentable_expression] = STATE(14659),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8318),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17393),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11156),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6713),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(10010),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1549),
    [sym_block_comment] = STATE(1549),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2958),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2962),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2966),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2968),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1550] = {
    [sym_type_parameters] = STATE(19123),
    [sym_inline_modifier] = STATE(2451),
    [sym__indentable_expression] = STATE(14677),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8318),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17393),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11156),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6713),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(10010),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1550),
    [sym_block_comment] = STATE(1550),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2958),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2962),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2966),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2968),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1551] = {
    [sym_type_parameters] = STATE(19270),
    [sym_inline_modifier] = STATE(2474),
    [sym__indentable_expression] = STATE(12981),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5637),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17719),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9894),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7246),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1551),
    [sym_block_comment] = STATE(1551),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1893),
    [anon_sym_for] = ACTIONS(1895),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1899),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1901),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1903),
    [anon_sym_throw] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1552] = {
    [sym_type_parameters] = STATE(19123),
    [sym_inline_modifier] = STATE(2451),
    [sym__indentable_expression] = STATE(14679),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8318),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17393),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11156),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6713),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(10010),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1552),
    [sym_block_comment] = STATE(1552),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2958),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2962),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2966),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2968),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1553] = {
    [sym_type_parameters] = STATE(19270),
    [sym_inline_modifier] = STATE(2474),
    [sym__indentable_expression] = STATE(12984),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5637),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17719),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9894),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7246),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1553),
    [sym_block_comment] = STATE(1553),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1893),
    [anon_sym_for] = ACTIONS(1895),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1899),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1901),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1903),
    [anon_sym_throw] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1554] = {
    [sym_type_parameters] = STATE(19123),
    [sym_inline_modifier] = STATE(2451),
    [sym__indentable_expression] = STATE(14680),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8318),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17393),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11156),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6713),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(10010),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1554),
    [sym_block_comment] = STATE(1554),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2958),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2962),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2966),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2968),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1555] = {
    [sym_type_parameters] = STATE(19123),
    [sym_inline_modifier] = STATE(2451),
    [sym__indentable_expression] = STATE(14682),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8318),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17393),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11156),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6713),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(10010),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1555),
    [sym_block_comment] = STATE(1555),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2958),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2962),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2966),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2968),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1556] = {
    [sym_type_parameters] = STATE(19270),
    [sym_inline_modifier] = STATE(2474),
    [sym__indentable_expression] = STATE(12991),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5637),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17719),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9894),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7246),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1556),
    [sym_block_comment] = STATE(1556),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1893),
    [anon_sym_for] = ACTIONS(1895),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1899),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1901),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1903),
    [anon_sym_throw] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1557] = {
    [sym_type_parameters] = STATE(19123),
    [sym_inline_modifier] = STATE(2451),
    [sym__indentable_expression] = STATE(14685),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8318),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17393),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11156),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6713),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(10010),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1557),
    [sym_block_comment] = STATE(1557),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2958),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2962),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2966),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2968),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1558] = {
    [sym_type_parameters] = STATE(19270),
    [sym_inline_modifier] = STATE(2474),
    [sym__indentable_expression] = STATE(12992),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5637),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17719),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9894),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7246),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1558),
    [sym_block_comment] = STATE(1558),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1893),
    [anon_sym_for] = ACTIONS(1895),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1899),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1901),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1903),
    [anon_sym_throw] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1559] = {
    [sym_type_parameters] = STATE(19123),
    [sym_inline_modifier] = STATE(2451),
    [sym__indentable_expression] = STATE(14687),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8318),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17393),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11156),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6713),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(10010),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1559),
    [sym_block_comment] = STATE(1559),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2958),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2962),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2966),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2968),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1560] = {
    [sym_type_parameters] = STATE(19130),
    [sym_inline_modifier] = STATE(2453),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(13980),
    [sym__simple_expression] = STATE(6803),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17438),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10695),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5679),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1560),
    [sym_block_comment] = STATE(1560),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1437),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(3328),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(3330),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3334),
    [anon_sym_do] = ACTIONS(1437),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1561] = {
    [sym_type_parameters] = STATE(19270),
    [sym_inline_modifier] = STATE(2474),
    [sym__indentable_expression] = STATE(12994),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5637),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17719),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9894),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7246),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1561),
    [sym_block_comment] = STATE(1561),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1893),
    [anon_sym_for] = ACTIONS(1895),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1899),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1901),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1903),
    [anon_sym_throw] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1562] = {
    [sym_type_parameters] = STATE(19130),
    [sym_inline_modifier] = STATE(2453),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(13990),
    [sym__simple_expression] = STATE(6803),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17438),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10695),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5679),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1562),
    [sym_block_comment] = STATE(1562),
    [sym__alpha_identifier] = ACTIONS(2734),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2737),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(2740),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2740),
    [anon_sym_implicit] = ACTIONS(3328),
    [anon_sym_inline] = ACTIONS(2743),
    [anon_sym_infix] = ACTIONS(2740),
    [anon_sym_open] = ACTIONS(2740),
    [anon_sym_transparent] = ACTIONS(2740),
    [anon_sym_LPAREN] = ACTIONS(2746),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(2749),
    [sym_operator_identifier] = ACTIONS(3338),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3334),
    [anon_sym_do] = ACTIONS(2755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1563] = {
    [sym_type_parameters] = STATE(19270),
    [sym_inline_modifier] = STATE(2474),
    [sym__indentable_expression] = STATE(12996),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5637),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17719),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9894),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7246),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1563),
    [sym_block_comment] = STATE(1563),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1893),
    [anon_sym_for] = ACTIONS(1895),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1899),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1901),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1903),
    [anon_sym_throw] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1564] = {
    [sym_type_parameters] = STATE(19130),
    [sym_inline_modifier] = STATE(2453),
    [sym__indentable_expression] = STATE(13955),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(6803),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17438),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10695),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5679),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1564),
    [sym_block_comment] = STATE(1564),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(3328),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(3330),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3334),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1565] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym__indentable_expression] = STATE(13643),
    [sym_block] = STATE(10944),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(15239),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1565),
    [sym_block_comment] = STATE(1565),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [1566] = {
    [sym_type_parameters] = STATE(19270),
    [sym_inline_modifier] = STATE(2474),
    [sym__indentable_expression] = STATE(13005),
    [sym_block] = STATE(6679),
    [sym_indented_block] = STATE(12508),
    [sym_indented_cases] = STATE(12508),
    [sym_expression] = STATE(12704),
    [sym__simple_expression] = STATE(5637),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17719),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9894),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7246),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1566),
    [sym_block_comment] = STATE(1566),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1893),
    [anon_sym_for] = ACTIONS(1895),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1899),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1901),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1903),
    [anon_sym_throw] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2137),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1567] = {
    [sym_type_parameters] = STATE(19130),
    [sym_inline_modifier] = STATE(2453),
    [sym__indentable_expression] = STATE(13725),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(6803),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17438),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10695),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5679),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1567),
    [sym_block_comment] = STATE(1567),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(3328),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(3330),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3334),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1568] = {
    [sym_type_parameters] = STATE(19214),
    [sym_inline_modifier] = STATE(2465),
    [sym__indentable_expression] = STATE(13982),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(6878),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17725),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10612),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5702),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8984),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1568),
    [sym_block_comment] = STATE(1568),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1001),
    [anon_sym_while] = ACTIONS(1003),
    [anon_sym_for] = ACTIONS(1005),
    [anon_sym_try] = ACTIONS(1007),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(1009),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(2625),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(1029),
    [anon_sym_throw] = ACTIONS(1031),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1569] = {
    [sym_type_parameters] = STATE(19130),
    [sym_inline_modifier] = STATE(2453),
    [sym__indentable_expression] = STATE(13989),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(6803),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17438),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10695),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5679),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1569),
    [sym_block_comment] = STATE(1569),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(3328),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(3330),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3334),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1570] = {
    [sym_type_parameters] = STATE(19130),
    [sym_inline_modifier] = STATE(2453),
    [sym__indentable_expression] = STATE(14011),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(6803),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17438),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10695),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5679),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1570),
    [sym_block_comment] = STATE(1570),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(3328),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(3330),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3334),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1571] = {
    [sym_type_parameters] = STATE(19277),
    [sym_inline_modifier] = STATE(2475),
    [sym_block] = STATE(7573),
    [sym_expression] = STATE(13276),
    [sym__simple_expression] = STATE(6187),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17744),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9999),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5249),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8308),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1571),
    [sym_block_comment] = STATE(1571),
    [sym__alpha_identifier] = ACTIONS(2704),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2707),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(2710),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(2611),
    [anon_sym_for] = ACTIONS(2613),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2710),
    [anon_sym_implicit] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(2715),
    [anon_sym_infix] = ACTIONS(2710),
    [anon_sym_open] = ACTIONS(2710),
    [anon_sym_transparent] = ACTIONS(2710),
    [anon_sym_LPAREN] = ACTIONS(2718),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(2721),
    [sym_operator_identifier] = ACTIONS(3341),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2623),
    [anon_sym_do] = ACTIONS(2727),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1572] = {
    [sym_type_parameters] = STATE(19130),
    [sym_inline_modifier] = STATE(2453),
    [sym__indentable_expression] = STATE(13636),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(6803),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17438),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10695),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5679),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1572),
    [sym_block_comment] = STATE(1572),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(3328),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(3330),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3334),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1573] = {
    [sym_type_parameters] = STATE(19277),
    [sym_inline_modifier] = STATE(2475),
    [sym__indentable_expression] = STATE(13491),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6187),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17744),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9999),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5249),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8308),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1573),
    [sym_block_comment] = STATE(1573),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(2611),
    [anon_sym_for] = ACTIONS(2613),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2619),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2623),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1574] = {
    [sym_type_parameters] = STATE(19130),
    [sym_inline_modifier] = STATE(2453),
    [sym__indentable_expression] = STATE(14037),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(6803),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17438),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10695),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5679),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1574),
    [sym_block_comment] = STATE(1574),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(3328),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(3330),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3334),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1575] = {
    [sym_type_parameters] = STATE(19130),
    [sym_inline_modifier] = STATE(2453),
    [sym__indentable_expression] = STATE(13857),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(6803),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17438),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10695),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5679),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1575),
    [sym_block_comment] = STATE(1575),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(3328),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(3330),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3334),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1576] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym__indentable_expression] = STATE(15271),
    [sym_block] = STATE(10944),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(15239),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1576),
    [sym_block_comment] = STATE(1576),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [1577] = {
    [sym_type_parameters] = STATE(19130),
    [sym_inline_modifier] = STATE(2453),
    [sym__indentable_expression] = STATE(14058),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(6803),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17438),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10695),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5679),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1577),
    [sym_block_comment] = STATE(1577),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(3328),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(3330),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3334),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1578] = {
    [sym_type_parameters] = STATE(19277),
    [sym_inline_modifier] = STATE(2475),
    [sym__indentable_expression] = STATE(13210),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6187),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17744),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9999),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5249),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8308),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1578),
    [sym_block_comment] = STATE(1578),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(2611),
    [anon_sym_for] = ACTIONS(2613),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2619),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2623),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1579] = {
    [sym_type_parameters] = STATE(19130),
    [sym_inline_modifier] = STATE(2453),
    [sym__indentable_expression] = STATE(13643),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(6803),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17438),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10695),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5679),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1579),
    [sym_block_comment] = STATE(1579),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(3328),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(3330),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3334),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1580] = {
    [sym_type_parameters] = STATE(19130),
    [sym_inline_modifier] = STATE(2453),
    [sym__indentable_expression] = STATE(13709),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(6803),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17438),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10695),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5679),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1580),
    [sym_block_comment] = STATE(1580),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(3328),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(3330),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3334),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1581] = {
    [sym_type_parameters] = STATE(19277),
    [sym_inline_modifier] = STATE(2475),
    [sym__indentable_expression] = STATE(13227),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6187),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17744),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9999),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5249),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8308),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1581),
    [sym_block_comment] = STATE(1581),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(2611),
    [anon_sym_for] = ACTIONS(2613),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2619),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2623),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1582] = {
    [sym_type_parameters] = STATE(19130),
    [sym_inline_modifier] = STATE(2453),
    [sym__indentable_expression] = STATE(13729),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(6803),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17438),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10695),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5679),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1582),
    [sym_block_comment] = STATE(1582),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(3328),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(3330),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3334),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1583] = {
    [sym_type_parameters] = STATE(19277),
    [sym_inline_modifier] = STATE(2475),
    [sym__indentable_expression] = STATE(13235),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6187),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17744),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9999),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5249),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8308),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1583),
    [sym_block_comment] = STATE(1583),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(2611),
    [anon_sym_for] = ACTIONS(2613),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2619),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2623),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1584] = {
    [sym_type_parameters] = STATE(19130),
    [sym_inline_modifier] = STATE(2453),
    [sym__indentable_expression] = STATE(13982),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(6803),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17438),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10695),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5679),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1584),
    [sym_block_comment] = STATE(1584),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(3328),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(3330),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3334),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1585] = {
    [sym_type_parameters] = STATE(19277),
    [sym_inline_modifier] = STATE(2475),
    [sym__indentable_expression] = STATE(13278),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6187),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17744),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9999),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5249),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8308),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1585),
    [sym_block_comment] = STATE(1585),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(2611),
    [anon_sym_for] = ACTIONS(2613),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2619),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2623),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1586] = {
    [sym_type_parameters] = STATE(19277),
    [sym_inline_modifier] = STATE(2475),
    [sym__indentable_expression] = STATE(13323),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6187),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17744),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9999),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5249),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8308),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1586),
    [sym_block_comment] = STATE(1586),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(2611),
    [anon_sym_for] = ACTIONS(2613),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2619),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2623),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1587] = {
    [sym_type_parameters] = STATE(19137),
    [sym_inline_modifier] = STATE(2454),
    [sym_block] = STATE(10753),
    [sym_expression] = STATE(15105),
    [sym__simple_expression] = STATE(7215),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17486),
    [sym_case_block] = STATE(10753),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(10753),
    [sym_call_expression] = STATE(10753),
    [sym_field_expression] = STATE(10753),
    [sym_instance_expression] = STATE(10753),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(11165),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(18932),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10969),
    [sym_tuple_expression] = STATE(10753),
    [sym_parenthesized_expression] = STATE(10753),
    [sym_splice_expression] = STATE(10753),
    [sym_quote_expression] = STATE(10753),
    [sym_identifier] = STATE(6109),
    [sym__soft_identifier] = STATE(4936),
    [sym_wildcard] = STATE(9648),
    [sym__non_null_literal] = STATE(10753),
    [sym_boolean_literal] = STATE(10697),
    [sym_interpolated_string_expression] = STATE(10753),
    [sym_string] = STATE(10697),
    [sym_unit] = STATE(10753),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(1587),
    [sym_block_comment] = STATE(1587),
    [sym__alpha_identifier] = ACTIONS(3344),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(3347),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2481),
    [anon_sym_DASH] = ACTIONS(2481),
    [anon_sym_end] = ACTIONS(3350),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(2487),
    [anon_sym_for] = ACTIONS(2489),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(3350),
    [anon_sym_implicit] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(3353),
    [anon_sym_infix] = ACTIONS(3350),
    [anon_sym_open] = ACTIONS(3350),
    [anon_sym_transparent] = ACTIONS(3350),
    [anon_sym_LPAREN] = ACTIONS(3356),
    [anon_sym_macro] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2481),
    [anon_sym_TILDE] = ACTIONS(2481),
    [anon_sym_DOLLAR] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2505),
    [sym__backquoted_id] = ACTIONS(3359),
    [sym_operator_identifier] = ACTIONS(3362),
    [sym_integer_literal] = ACTIONS(2511),
    [sym_floating_point_literal] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [sym_character_literal] = ACTIONS(2513),
    [sym_null_literal] = ACTIONS(2517),
    [anon_sym_return] = ACTIONS(2519),
    [anon_sym_throw] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2803),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2523),
    [sym__simple_string] = ACTIONS(2523),
  },
  [1588] = {
    [sym_type_parameters] = STATE(19277),
    [sym_inline_modifier] = STATE(2475),
    [sym__indentable_expression] = STATE(13331),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6187),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17744),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9999),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5249),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8308),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1588),
    [sym_block_comment] = STATE(1588),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(2611),
    [anon_sym_for] = ACTIONS(2613),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2619),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2623),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1589] = {
    [sym_type_parameters] = STATE(19137),
    [sym_inline_modifier] = STATE(2454),
    [sym__indentable_expression] = STATE(13161),
    [sym_block] = STATE(10753),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(14984),
    [sym__simple_expression] = STATE(7215),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17486),
    [sym_case_block] = STATE(10753),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(10753),
    [sym_call_expression] = STATE(10753),
    [sym_field_expression] = STATE(10753),
    [sym_instance_expression] = STATE(10753),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(11165),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(18932),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10969),
    [sym_tuple_expression] = STATE(10753),
    [sym_parenthesized_expression] = STATE(10753),
    [sym_splice_expression] = STATE(10753),
    [sym_quote_expression] = STATE(10753),
    [sym_identifier] = STATE(6109),
    [sym__soft_identifier] = STATE(4936),
    [sym_wildcard] = STATE(9648),
    [sym__non_null_literal] = STATE(10753),
    [sym_boolean_literal] = STATE(10697),
    [sym_interpolated_string_expression] = STATE(10753),
    [sym_string] = STATE(10697),
    [sym_unit] = STATE(10753),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(1589),
    [sym_block_comment] = STATE(1589),
    [sym__alpha_identifier] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(2475),
    [anon_sym__] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2481),
    [anon_sym_DASH] = ACTIONS(2481),
    [anon_sym_end] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(2487),
    [anon_sym_for] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_opaque] = ACTIONS(2483),
    [anon_sym_implicit] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2497),
    [anon_sym_infix] = ACTIONS(2483),
    [anon_sym_open] = ACTIONS(2483),
    [anon_sym_transparent] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_macro] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2481),
    [anon_sym_TILDE] = ACTIONS(2481),
    [anon_sym_DOLLAR] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2505),
    [sym__backquoted_id] = ACTIONS(2507),
    [sym_operator_identifier] = ACTIONS(2509),
    [sym_integer_literal] = ACTIONS(2511),
    [sym_floating_point_literal] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [sym_character_literal] = ACTIONS(2513),
    [sym_null_literal] = ACTIONS(2517),
    [anon_sym_return] = ACTIONS(2519),
    [anon_sym_throw] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(2523),
    [sym__simple_string] = ACTIONS(2523),
  },
  [1590] = {
    [sym_type_parameters] = STATE(19277),
    [sym_inline_modifier] = STATE(2475),
    [sym__indentable_expression] = STATE(13347),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6187),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17744),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9999),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5249),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8308),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1590),
    [sym_block_comment] = STATE(1590),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(2611),
    [anon_sym_for] = ACTIONS(2613),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2619),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2623),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1591] = {
    [sym_type_parameters] = STATE(19137),
    [sym_inline_modifier] = STATE(2454),
    [sym__indentable_expression] = STATE(13181),
    [sym_block] = STATE(10753),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(14984),
    [sym__simple_expression] = STATE(7215),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17486),
    [sym_case_block] = STATE(10753),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(10753),
    [sym_call_expression] = STATE(10753),
    [sym_field_expression] = STATE(10753),
    [sym_instance_expression] = STATE(10753),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(11165),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(18932),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10969),
    [sym_tuple_expression] = STATE(10753),
    [sym_parenthesized_expression] = STATE(10753),
    [sym_splice_expression] = STATE(10753),
    [sym_quote_expression] = STATE(10753),
    [sym_identifier] = STATE(6109),
    [sym__soft_identifier] = STATE(4936),
    [sym_wildcard] = STATE(9648),
    [sym__non_null_literal] = STATE(10753),
    [sym_boolean_literal] = STATE(10697),
    [sym_interpolated_string_expression] = STATE(10753),
    [sym_string] = STATE(10697),
    [sym_unit] = STATE(10753),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(1591),
    [sym_block_comment] = STATE(1591),
    [sym__alpha_identifier] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(2475),
    [anon_sym__] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2481),
    [anon_sym_DASH] = ACTIONS(2481),
    [anon_sym_end] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(2487),
    [anon_sym_for] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_opaque] = ACTIONS(2483),
    [anon_sym_implicit] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2497),
    [anon_sym_infix] = ACTIONS(2483),
    [anon_sym_open] = ACTIONS(2483),
    [anon_sym_transparent] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_macro] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2481),
    [anon_sym_TILDE] = ACTIONS(2481),
    [anon_sym_DOLLAR] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2505),
    [sym__backquoted_id] = ACTIONS(2507),
    [sym_operator_identifier] = ACTIONS(2509),
    [sym_integer_literal] = ACTIONS(2511),
    [sym_floating_point_literal] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [sym_character_literal] = ACTIONS(2513),
    [sym_null_literal] = ACTIONS(2517),
    [anon_sym_return] = ACTIONS(2519),
    [anon_sym_throw] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(2523),
    [sym__simple_string] = ACTIONS(2523),
  },
  [1592] = {
    [sym_type_parameters] = STATE(19277),
    [sym_inline_modifier] = STATE(2475),
    [sym__indentable_expression] = STATE(13350),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6187),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17744),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9999),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5249),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8308),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1592),
    [sym_block_comment] = STATE(1592),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(2611),
    [anon_sym_for] = ACTIONS(2613),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2619),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2623),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1593] = {
    [sym_type_parameters] = STATE(19137),
    [sym_inline_modifier] = STATE(2454),
    [sym__indentable_expression] = STATE(13184),
    [sym_block] = STATE(10753),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(14984),
    [sym__simple_expression] = STATE(7215),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17486),
    [sym_case_block] = STATE(10753),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(10753),
    [sym_call_expression] = STATE(10753),
    [sym_field_expression] = STATE(10753),
    [sym_instance_expression] = STATE(10753),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(11165),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(18932),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10969),
    [sym_tuple_expression] = STATE(10753),
    [sym_parenthesized_expression] = STATE(10753),
    [sym_splice_expression] = STATE(10753),
    [sym_quote_expression] = STATE(10753),
    [sym_identifier] = STATE(6109),
    [sym__soft_identifier] = STATE(4936),
    [sym_wildcard] = STATE(9648),
    [sym__non_null_literal] = STATE(10753),
    [sym_boolean_literal] = STATE(10697),
    [sym_interpolated_string_expression] = STATE(10753),
    [sym_string] = STATE(10697),
    [sym_unit] = STATE(10753),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(1593),
    [sym_block_comment] = STATE(1593),
    [sym__alpha_identifier] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(2475),
    [anon_sym__] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2481),
    [anon_sym_DASH] = ACTIONS(2481),
    [anon_sym_end] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(2487),
    [anon_sym_for] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_opaque] = ACTIONS(2483),
    [anon_sym_implicit] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2497),
    [anon_sym_infix] = ACTIONS(2483),
    [anon_sym_open] = ACTIONS(2483),
    [anon_sym_transparent] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_macro] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2481),
    [anon_sym_TILDE] = ACTIONS(2481),
    [anon_sym_DOLLAR] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2505),
    [sym__backquoted_id] = ACTIONS(2507),
    [sym_operator_identifier] = ACTIONS(2509),
    [sym_integer_literal] = ACTIONS(2511),
    [sym_floating_point_literal] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [sym_character_literal] = ACTIONS(2513),
    [sym_null_literal] = ACTIONS(2517),
    [anon_sym_return] = ACTIONS(2519),
    [anon_sym_throw] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(2523),
    [sym__simple_string] = ACTIONS(2523),
  },
  [1594] = {
    [sym_type_parameters] = STATE(19137),
    [sym_inline_modifier] = STATE(2454),
    [sym__indentable_expression] = STATE(13187),
    [sym_block] = STATE(10753),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(14984),
    [sym__simple_expression] = STATE(7215),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17486),
    [sym_case_block] = STATE(10753),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(10753),
    [sym_call_expression] = STATE(10753),
    [sym_field_expression] = STATE(10753),
    [sym_instance_expression] = STATE(10753),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(11165),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(18932),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10969),
    [sym_tuple_expression] = STATE(10753),
    [sym_parenthesized_expression] = STATE(10753),
    [sym_splice_expression] = STATE(10753),
    [sym_quote_expression] = STATE(10753),
    [sym_identifier] = STATE(6109),
    [sym__soft_identifier] = STATE(4936),
    [sym_wildcard] = STATE(9648),
    [sym__non_null_literal] = STATE(10753),
    [sym_boolean_literal] = STATE(10697),
    [sym_interpolated_string_expression] = STATE(10753),
    [sym_string] = STATE(10697),
    [sym_unit] = STATE(10753),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(1594),
    [sym_block_comment] = STATE(1594),
    [sym__alpha_identifier] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(2475),
    [anon_sym__] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2481),
    [anon_sym_DASH] = ACTIONS(2481),
    [anon_sym_end] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(2487),
    [anon_sym_for] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_opaque] = ACTIONS(2483),
    [anon_sym_implicit] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2497),
    [anon_sym_infix] = ACTIONS(2483),
    [anon_sym_open] = ACTIONS(2483),
    [anon_sym_transparent] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_macro] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2481),
    [anon_sym_TILDE] = ACTIONS(2481),
    [anon_sym_DOLLAR] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2505),
    [sym__backquoted_id] = ACTIONS(2507),
    [sym_operator_identifier] = ACTIONS(2509),
    [sym_integer_literal] = ACTIONS(2511),
    [sym_floating_point_literal] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [sym_character_literal] = ACTIONS(2513),
    [sym_null_literal] = ACTIONS(2517),
    [anon_sym_return] = ACTIONS(2519),
    [anon_sym_throw] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(2523),
    [sym__simple_string] = ACTIONS(2523),
  },
  [1595] = {
    [sym_type_parameters] = STATE(19277),
    [sym_inline_modifier] = STATE(2475),
    [sym__indentable_expression] = STATE(13351),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6187),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17744),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9999),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5249),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8308),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1595),
    [sym_block_comment] = STATE(1595),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(2611),
    [anon_sym_for] = ACTIONS(2613),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2619),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2623),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1596] = {
    [sym_type_parameters] = STATE(19137),
    [sym_inline_modifier] = STATE(2454),
    [sym__indentable_expression] = STATE(13191),
    [sym_block] = STATE(10753),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(14984),
    [sym__simple_expression] = STATE(7215),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17486),
    [sym_case_block] = STATE(10753),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(10753),
    [sym_call_expression] = STATE(10753),
    [sym_field_expression] = STATE(10753),
    [sym_instance_expression] = STATE(10753),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(11165),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(18932),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10969),
    [sym_tuple_expression] = STATE(10753),
    [sym_parenthesized_expression] = STATE(10753),
    [sym_splice_expression] = STATE(10753),
    [sym_quote_expression] = STATE(10753),
    [sym_identifier] = STATE(6109),
    [sym__soft_identifier] = STATE(4936),
    [sym_wildcard] = STATE(9648),
    [sym__non_null_literal] = STATE(10753),
    [sym_boolean_literal] = STATE(10697),
    [sym_interpolated_string_expression] = STATE(10753),
    [sym_string] = STATE(10697),
    [sym_unit] = STATE(10753),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(1596),
    [sym_block_comment] = STATE(1596),
    [sym__alpha_identifier] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(2475),
    [anon_sym__] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2481),
    [anon_sym_DASH] = ACTIONS(2481),
    [anon_sym_end] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(2487),
    [anon_sym_for] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_opaque] = ACTIONS(2483),
    [anon_sym_implicit] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2497),
    [anon_sym_infix] = ACTIONS(2483),
    [anon_sym_open] = ACTIONS(2483),
    [anon_sym_transparent] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_macro] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2481),
    [anon_sym_TILDE] = ACTIONS(2481),
    [anon_sym_DOLLAR] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2505),
    [sym__backquoted_id] = ACTIONS(2507),
    [sym_operator_identifier] = ACTIONS(2509),
    [sym_integer_literal] = ACTIONS(2511),
    [sym_floating_point_literal] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [sym_character_literal] = ACTIONS(2513),
    [sym_null_literal] = ACTIONS(2517),
    [anon_sym_return] = ACTIONS(2519),
    [anon_sym_throw] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(2523),
    [sym__simple_string] = ACTIONS(2523),
  },
  [1597] = {
    [sym_type_parameters] = STATE(19277),
    [sym_inline_modifier] = STATE(2475),
    [sym__indentable_expression] = STATE(13352),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6187),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17744),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9999),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5249),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8308),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1597),
    [sym_block_comment] = STATE(1597),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(2611),
    [anon_sym_for] = ACTIONS(2613),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2619),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2623),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1598] = {
    [sym_type_parameters] = STATE(19137),
    [sym_inline_modifier] = STATE(2454),
    [sym__indentable_expression] = STATE(13217),
    [sym_block] = STATE(10753),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(14984),
    [sym__simple_expression] = STATE(7215),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17486),
    [sym_case_block] = STATE(10753),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(10753),
    [sym_call_expression] = STATE(10753),
    [sym_field_expression] = STATE(10753),
    [sym_instance_expression] = STATE(10753),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(11165),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(18932),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10969),
    [sym_tuple_expression] = STATE(10753),
    [sym_parenthesized_expression] = STATE(10753),
    [sym_splice_expression] = STATE(10753),
    [sym_quote_expression] = STATE(10753),
    [sym_identifier] = STATE(6109),
    [sym__soft_identifier] = STATE(4936),
    [sym_wildcard] = STATE(9648),
    [sym__non_null_literal] = STATE(10753),
    [sym_boolean_literal] = STATE(10697),
    [sym_interpolated_string_expression] = STATE(10753),
    [sym_string] = STATE(10697),
    [sym_unit] = STATE(10753),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(1598),
    [sym_block_comment] = STATE(1598),
    [sym__alpha_identifier] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(2475),
    [anon_sym__] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2481),
    [anon_sym_DASH] = ACTIONS(2481),
    [anon_sym_end] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(2487),
    [anon_sym_for] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_opaque] = ACTIONS(2483),
    [anon_sym_implicit] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2497),
    [anon_sym_infix] = ACTIONS(2483),
    [anon_sym_open] = ACTIONS(2483),
    [anon_sym_transparent] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_macro] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2481),
    [anon_sym_TILDE] = ACTIONS(2481),
    [anon_sym_DOLLAR] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2505),
    [sym__backquoted_id] = ACTIONS(2507),
    [sym_operator_identifier] = ACTIONS(2509),
    [sym_integer_literal] = ACTIONS(2511),
    [sym_floating_point_literal] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [sym_character_literal] = ACTIONS(2513),
    [sym_null_literal] = ACTIONS(2517),
    [anon_sym_return] = ACTIONS(2519),
    [anon_sym_throw] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(2523),
    [sym__simple_string] = ACTIONS(2523),
  },
  [1599] = {
    [sym_type_parameters] = STATE(19137),
    [sym_inline_modifier] = STATE(2454),
    [sym__indentable_expression] = STATE(13223),
    [sym_block] = STATE(10753),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(14984),
    [sym__simple_expression] = STATE(7215),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17486),
    [sym_case_block] = STATE(10753),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(10753),
    [sym_call_expression] = STATE(10753),
    [sym_field_expression] = STATE(10753),
    [sym_instance_expression] = STATE(10753),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(11165),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(18932),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10969),
    [sym_tuple_expression] = STATE(10753),
    [sym_parenthesized_expression] = STATE(10753),
    [sym_splice_expression] = STATE(10753),
    [sym_quote_expression] = STATE(10753),
    [sym_identifier] = STATE(6109),
    [sym__soft_identifier] = STATE(4936),
    [sym_wildcard] = STATE(9648),
    [sym__non_null_literal] = STATE(10753),
    [sym_boolean_literal] = STATE(10697),
    [sym_interpolated_string_expression] = STATE(10753),
    [sym_string] = STATE(10697),
    [sym_unit] = STATE(10753),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(1599),
    [sym_block_comment] = STATE(1599),
    [sym__alpha_identifier] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(2475),
    [anon_sym__] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2481),
    [anon_sym_DASH] = ACTIONS(2481),
    [anon_sym_end] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(2487),
    [anon_sym_for] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_opaque] = ACTIONS(2483),
    [anon_sym_implicit] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2497),
    [anon_sym_infix] = ACTIONS(2483),
    [anon_sym_open] = ACTIONS(2483),
    [anon_sym_transparent] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_macro] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2481),
    [anon_sym_TILDE] = ACTIONS(2481),
    [anon_sym_DOLLAR] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2505),
    [sym__backquoted_id] = ACTIONS(2507),
    [sym_operator_identifier] = ACTIONS(2509),
    [sym_integer_literal] = ACTIONS(2511),
    [sym_floating_point_literal] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [sym_character_literal] = ACTIONS(2513),
    [sym_null_literal] = ACTIONS(2517),
    [anon_sym_return] = ACTIONS(2519),
    [anon_sym_throw] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(2523),
    [sym__simple_string] = ACTIONS(2523),
  },
  [1600] = {
    [sym_type_parameters] = STATE(19277),
    [sym_inline_modifier] = STATE(2475),
    [sym__indentable_expression] = STATE(13361),
    [sym_block] = STATE(7573),
    [sym_indented_block] = STATE(13456),
    [sym_indented_cases] = STATE(13456),
    [sym_expression] = STATE(13588),
    [sym__simple_expression] = STATE(6187),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17744),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9999),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5249),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8308),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1600),
    [sym_block_comment] = STATE(1600),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(2611),
    [anon_sym_for] = ACTIONS(2613),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2619),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2623),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2730),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1601] = {
    [sym_type_parameters] = STATE(19137),
    [sym_inline_modifier] = STATE(2454),
    [sym__indentable_expression] = STATE(13231),
    [sym_block] = STATE(10753),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(14984),
    [sym__simple_expression] = STATE(7215),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17486),
    [sym_case_block] = STATE(10753),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(10753),
    [sym_call_expression] = STATE(10753),
    [sym_field_expression] = STATE(10753),
    [sym_instance_expression] = STATE(10753),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(11165),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(18932),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10969),
    [sym_tuple_expression] = STATE(10753),
    [sym_parenthesized_expression] = STATE(10753),
    [sym_splice_expression] = STATE(10753),
    [sym_quote_expression] = STATE(10753),
    [sym_identifier] = STATE(6109),
    [sym__soft_identifier] = STATE(4936),
    [sym_wildcard] = STATE(9648),
    [sym__non_null_literal] = STATE(10753),
    [sym_boolean_literal] = STATE(10697),
    [sym_interpolated_string_expression] = STATE(10753),
    [sym_string] = STATE(10697),
    [sym_unit] = STATE(10753),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(1601),
    [sym_block_comment] = STATE(1601),
    [sym__alpha_identifier] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(2475),
    [anon_sym__] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2481),
    [anon_sym_DASH] = ACTIONS(2481),
    [anon_sym_end] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(2487),
    [anon_sym_for] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_opaque] = ACTIONS(2483),
    [anon_sym_implicit] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2497),
    [anon_sym_infix] = ACTIONS(2483),
    [anon_sym_open] = ACTIONS(2483),
    [anon_sym_transparent] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_macro] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2481),
    [anon_sym_TILDE] = ACTIONS(2481),
    [anon_sym_DOLLAR] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2505),
    [sym__backquoted_id] = ACTIONS(2507),
    [sym_operator_identifier] = ACTIONS(2509),
    [sym_integer_literal] = ACTIONS(2511),
    [sym_floating_point_literal] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [sym_character_literal] = ACTIONS(2513),
    [sym_null_literal] = ACTIONS(2517),
    [anon_sym_return] = ACTIONS(2519),
    [anon_sym_throw] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(2523),
    [sym__simple_string] = ACTIONS(2523),
  },
  [1602] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym__indentable_expression] = STATE(13982),
    [sym_block] = STATE(10944),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(15239),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1602),
    [sym_block_comment] = STATE(1602),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [1603] = {
    [sym_type_parameters] = STATE(19137),
    [sym_inline_modifier] = STATE(2454),
    [sym__indentable_expression] = STATE(13234),
    [sym_block] = STATE(10753),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(14984),
    [sym__simple_expression] = STATE(7215),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17486),
    [sym_case_block] = STATE(10753),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(10753),
    [sym_call_expression] = STATE(10753),
    [sym_field_expression] = STATE(10753),
    [sym_instance_expression] = STATE(10753),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(11165),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(18932),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10969),
    [sym_tuple_expression] = STATE(10753),
    [sym_parenthesized_expression] = STATE(10753),
    [sym_splice_expression] = STATE(10753),
    [sym_quote_expression] = STATE(10753),
    [sym_identifier] = STATE(6109),
    [sym__soft_identifier] = STATE(4936),
    [sym_wildcard] = STATE(9648),
    [sym__non_null_literal] = STATE(10753),
    [sym_boolean_literal] = STATE(10697),
    [sym_interpolated_string_expression] = STATE(10753),
    [sym_string] = STATE(10697),
    [sym_unit] = STATE(10753),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(1603),
    [sym_block_comment] = STATE(1603),
    [sym__alpha_identifier] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(2475),
    [anon_sym__] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2481),
    [anon_sym_DASH] = ACTIONS(2481),
    [anon_sym_end] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(2487),
    [anon_sym_for] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_opaque] = ACTIONS(2483),
    [anon_sym_implicit] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2497),
    [anon_sym_infix] = ACTIONS(2483),
    [anon_sym_open] = ACTIONS(2483),
    [anon_sym_transparent] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_macro] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2481),
    [anon_sym_TILDE] = ACTIONS(2481),
    [anon_sym_DOLLAR] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2505),
    [sym__backquoted_id] = ACTIONS(2507),
    [sym_operator_identifier] = ACTIONS(2509),
    [sym_integer_literal] = ACTIONS(2511),
    [sym_floating_point_literal] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [sym_character_literal] = ACTIONS(2513),
    [sym_null_literal] = ACTIONS(2517),
    [anon_sym_return] = ACTIONS(2519),
    [anon_sym_throw] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(2523),
    [sym__simple_string] = ACTIONS(2523),
  },
  [1604] = {
    [sym_type_parameters] = STATE(19137),
    [sym_inline_modifier] = STATE(2454),
    [sym__indentable_expression] = STATE(13238),
    [sym_block] = STATE(10753),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(14984),
    [sym__simple_expression] = STATE(7215),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17486),
    [sym_case_block] = STATE(10753),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(10753),
    [sym_call_expression] = STATE(10753),
    [sym_field_expression] = STATE(10753),
    [sym_instance_expression] = STATE(10753),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(11165),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(18932),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10969),
    [sym_tuple_expression] = STATE(10753),
    [sym_parenthesized_expression] = STATE(10753),
    [sym_splice_expression] = STATE(10753),
    [sym_quote_expression] = STATE(10753),
    [sym_identifier] = STATE(6109),
    [sym__soft_identifier] = STATE(4936),
    [sym_wildcard] = STATE(9648),
    [sym__non_null_literal] = STATE(10753),
    [sym_boolean_literal] = STATE(10697),
    [sym_interpolated_string_expression] = STATE(10753),
    [sym_string] = STATE(10697),
    [sym_unit] = STATE(10753),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(1604),
    [sym_block_comment] = STATE(1604),
    [sym__alpha_identifier] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(2475),
    [anon_sym__] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2481),
    [anon_sym_DASH] = ACTIONS(2481),
    [anon_sym_end] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(2487),
    [anon_sym_for] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_opaque] = ACTIONS(2483),
    [anon_sym_implicit] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2497),
    [anon_sym_infix] = ACTIONS(2483),
    [anon_sym_open] = ACTIONS(2483),
    [anon_sym_transparent] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_macro] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2481),
    [anon_sym_TILDE] = ACTIONS(2481),
    [anon_sym_DOLLAR] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2505),
    [sym__backquoted_id] = ACTIONS(2507),
    [sym_operator_identifier] = ACTIONS(2509),
    [sym_integer_literal] = ACTIONS(2511),
    [sym_floating_point_literal] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [sym_character_literal] = ACTIONS(2513),
    [sym_null_literal] = ACTIONS(2517),
    [anon_sym_return] = ACTIONS(2519),
    [anon_sym_throw] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(2523),
    [sym__simple_string] = ACTIONS(2523),
  },
  [1605] = {
    [sym_type_parameters] = STATE(19284),
    [sym_inline_modifier] = STATE(2476),
    [sym_block] = STATE(6526),
    [sym_expression] = STATE(12786),
    [sym__simple_expression] = STATE(6205),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17342),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9957),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(5057),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(8435),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1605),
    [sym_block_comment] = STATE(1605),
    [sym__alpha_identifier] = ACTIONS(2908),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(2914),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(1625),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2914),
    [anon_sym_implicit] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym_infix] = ACTIONS(2914),
    [anon_sym_open] = ACTIONS(2914),
    [anon_sym_transparent] = ACTIONS(2914),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(2923),
    [sym_operator_identifier] = ACTIONS(3365),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1633),
    [anon_sym_throw] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [1606] = {
    [sym_type_parameters] = STATE(19137),
    [sym_inline_modifier] = STATE(2454),
    [sym__indentable_expression] = STATE(13240),
    [sym_block] = STATE(10753),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(14984),
    [sym__simple_expression] = STATE(7215),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17486),
    [sym_case_block] = STATE(10753),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(10753),
    [sym_call_expression] = STATE(10753),
    [sym_field_expression] = STATE(10753),
    [sym_instance_expression] = STATE(10753),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(11165),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(18932),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10969),
    [sym_tuple_expression] = STATE(10753),
    [sym_parenthesized_expression] = STATE(10753),
    [sym_splice_expression] = STATE(10753),
    [sym_quote_expression] = STATE(10753),
    [sym_identifier] = STATE(6109),
    [sym__soft_identifier] = STATE(4936),
    [sym_wildcard] = STATE(9648),
    [sym__non_null_literal] = STATE(10753),
    [sym_boolean_literal] = STATE(10697),
    [sym_interpolated_string_expression] = STATE(10753),
    [sym_string] = STATE(10697),
    [sym_unit] = STATE(10753),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(1606),
    [sym_block_comment] = STATE(1606),
    [sym__alpha_identifier] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(2475),
    [anon_sym__] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2481),
    [anon_sym_DASH] = ACTIONS(2481),
    [anon_sym_end] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(2487),
    [anon_sym_for] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_opaque] = ACTIONS(2483),
    [anon_sym_implicit] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2497),
    [anon_sym_infix] = ACTIONS(2483),
    [anon_sym_open] = ACTIONS(2483),
    [anon_sym_transparent] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_macro] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2481),
    [anon_sym_TILDE] = ACTIONS(2481),
    [anon_sym_DOLLAR] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2505),
    [sym__backquoted_id] = ACTIONS(2507),
    [sym_operator_identifier] = ACTIONS(2509),
    [sym_integer_literal] = ACTIONS(2511),
    [sym_floating_point_literal] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [sym_character_literal] = ACTIONS(2513),
    [sym_null_literal] = ACTIONS(2517),
    [anon_sym_return] = ACTIONS(2519),
    [anon_sym_throw] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(2523),
    [sym__simple_string] = ACTIONS(2523),
  },
  [1607] = {
    [sym_type_parameters] = STATE(19284),
    [sym_inline_modifier] = STATE(2476),
    [sym__indentable_expression] = STATE(12999),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(6205),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17342),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9957),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(5057),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(8435),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1607),
    [sym_block_comment] = STATE(1607),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_try] = ACTIONS(1625),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1631),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1633),
    [anon_sym_throw] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [1608] = {
    [sym_type_parameters] = STATE(19137),
    [sym_inline_modifier] = STATE(2454),
    [sym__indentable_expression] = STATE(13241),
    [sym_block] = STATE(10753),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(14984),
    [sym__simple_expression] = STATE(7215),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17486),
    [sym_case_block] = STATE(10753),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(10753),
    [sym_call_expression] = STATE(10753),
    [sym_field_expression] = STATE(10753),
    [sym_instance_expression] = STATE(10753),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(11165),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(18932),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10969),
    [sym_tuple_expression] = STATE(10753),
    [sym_parenthesized_expression] = STATE(10753),
    [sym_splice_expression] = STATE(10753),
    [sym_quote_expression] = STATE(10753),
    [sym_identifier] = STATE(6109),
    [sym__soft_identifier] = STATE(4936),
    [sym_wildcard] = STATE(9648),
    [sym__non_null_literal] = STATE(10753),
    [sym_boolean_literal] = STATE(10697),
    [sym_interpolated_string_expression] = STATE(10753),
    [sym_string] = STATE(10697),
    [sym_unit] = STATE(10753),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(1608),
    [sym_block_comment] = STATE(1608),
    [sym__alpha_identifier] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(2475),
    [anon_sym__] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2481),
    [anon_sym_DASH] = ACTIONS(2481),
    [anon_sym_end] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(2487),
    [anon_sym_for] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_opaque] = ACTIONS(2483),
    [anon_sym_implicit] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2497),
    [anon_sym_infix] = ACTIONS(2483),
    [anon_sym_open] = ACTIONS(2483),
    [anon_sym_transparent] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_macro] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2481),
    [anon_sym_TILDE] = ACTIONS(2481),
    [anon_sym_DOLLAR] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2505),
    [sym__backquoted_id] = ACTIONS(2507),
    [sym_operator_identifier] = ACTIONS(2509),
    [sym_integer_literal] = ACTIONS(2511),
    [sym_floating_point_literal] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [sym_character_literal] = ACTIONS(2513),
    [sym_null_literal] = ACTIONS(2517),
    [anon_sym_return] = ACTIONS(2519),
    [anon_sym_throw] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(2523),
    [sym__simple_string] = ACTIONS(2523),
  },
  [1609] = {
    [sym_type_parameters] = STATE(19144),
    [sym_inline_modifier] = STATE(2455),
    [sym_block] = STATE(9061),
    [sym_expression] = STATE(14128),
    [sym__simple_expression] = STATE(8591),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17537),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11118),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6819),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1609),
    [sym_block_comment] = STATE(1609),
    [sym__alpha_identifier] = ACTIONS(3223),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(3229),
    [anon_sym_if] = ACTIONS(2974),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2978),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2980),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(3229),
    [anon_sym_implicit] = ACTIONS(2982),
    [anon_sym_inline] = ACTIONS(3232),
    [anon_sym_infix] = ACTIONS(3229),
    [anon_sym_open] = ACTIONS(3229),
    [anon_sym_transparent] = ACTIONS(3229),
    [anon_sym_LPAREN] = ACTIONS(3235),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(3238),
    [sym_operator_identifier] = ACTIONS(3368),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2986),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(3244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1610] = {
    [sym_type_parameters] = STATE(19284),
    [sym_inline_modifier] = STATE(2476),
    [sym__indentable_expression] = STATE(13008),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(6205),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17342),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9957),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(5057),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(8435),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1610),
    [sym_block_comment] = STATE(1610),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_try] = ACTIONS(1625),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1631),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1633),
    [anon_sym_throw] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [1611] = {
    [sym_type_parameters] = STATE(19144),
    [sym_inline_modifier] = STATE(2455),
    [sym__indentable_expression] = STATE(14517),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8591),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17537),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11118),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6819),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1611),
    [sym_block_comment] = STATE(1611),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2974),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2978),
    [anon_sym_try] = ACTIONS(2980),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2982),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2984),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2986),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1612] = {
    [sym_type_parameters] = STATE(19284),
    [sym_inline_modifier] = STATE(2476),
    [sym__indentable_expression] = STATE(13009),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(6205),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17342),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9957),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(5057),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(8435),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1612),
    [sym_block_comment] = STATE(1612),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_try] = ACTIONS(1625),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1631),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1633),
    [anon_sym_throw] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [1613] = {
    [sym_type_parameters] = STATE(19284),
    [sym_inline_modifier] = STATE(2476),
    [sym__indentable_expression] = STATE(13010),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(6205),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17342),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9957),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(5057),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(8435),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1613),
    [sym_block_comment] = STATE(1613),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_try] = ACTIONS(1625),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1631),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1633),
    [anon_sym_throw] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [1614] = {
    [sym_type_parameters] = STATE(19284),
    [sym_inline_modifier] = STATE(2476),
    [sym__indentable_expression] = STATE(13012),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(6205),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17342),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9957),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(5057),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(8435),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1614),
    [sym_block_comment] = STATE(1614),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_try] = ACTIONS(1625),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1631),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1633),
    [anon_sym_throw] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [1615] = {
    [sym_type_parameters] = STATE(19144),
    [sym_inline_modifier] = STATE(2455),
    [sym__indentable_expression] = STATE(14558),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8591),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17537),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11118),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6819),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1615),
    [sym_block_comment] = STATE(1615),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2974),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2978),
    [anon_sym_try] = ACTIONS(2980),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2982),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2984),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2986),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1616] = {
    [sym_type_parameters] = STATE(19144),
    [sym_inline_modifier] = STATE(2455),
    [sym__indentable_expression] = STATE(14565),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8591),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17537),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11118),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6819),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1616),
    [sym_block_comment] = STATE(1616),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2974),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2978),
    [anon_sym_try] = ACTIONS(2980),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2982),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2984),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2986),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1617] = {
    [sym_type_parameters] = STATE(19284),
    [sym_inline_modifier] = STATE(2476),
    [sym__indentable_expression] = STATE(13018),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(6205),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17342),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9957),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(5057),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(8435),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1617),
    [sym_block_comment] = STATE(1617),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_try] = ACTIONS(1625),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1631),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1633),
    [anon_sym_throw] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [1618] = {
    [sym_type_parameters] = STATE(19284),
    [sym_inline_modifier] = STATE(2476),
    [sym__indentable_expression] = STATE(13023),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(6205),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17342),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9957),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(5057),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(8435),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1618),
    [sym_block_comment] = STATE(1618),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_try] = ACTIONS(1625),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1631),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1633),
    [anon_sym_throw] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [1619] = {
    [sym_type_parameters] = STATE(19144),
    [sym_inline_modifier] = STATE(2455),
    [sym__indentable_expression] = STATE(14569),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8591),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17537),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11118),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6819),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1619),
    [sym_block_comment] = STATE(1619),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2974),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2978),
    [anon_sym_try] = ACTIONS(2980),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2982),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2984),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2986),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1620] = {
    [sym_type_parameters] = STATE(19144),
    [sym_inline_modifier] = STATE(2455),
    [sym__indentable_expression] = STATE(14584),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8591),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17537),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11118),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6819),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1620),
    [sym_block_comment] = STATE(1620),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2974),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2978),
    [anon_sym_try] = ACTIONS(2980),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2982),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2984),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2986),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1621] = {
    [sym_type_parameters] = STATE(19284),
    [sym_inline_modifier] = STATE(2476),
    [sym__indentable_expression] = STATE(13025),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(6205),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17342),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9957),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(5057),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(8435),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1621),
    [sym_block_comment] = STATE(1621),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_try] = ACTIONS(1625),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1631),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1633),
    [anon_sym_throw] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [1622] = {
    [sym_type_parameters] = STATE(19284),
    [sym_inline_modifier] = STATE(2476),
    [sym__indentable_expression] = STATE(13026),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(6205),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17342),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9957),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(5057),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(8435),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1622),
    [sym_block_comment] = STATE(1622),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_try] = ACTIONS(1625),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1631),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1633),
    [anon_sym_throw] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [1623] = {
    [sym_type_parameters] = STATE(19144),
    [sym_inline_modifier] = STATE(2455),
    [sym__indentable_expression] = STATE(14659),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8591),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17537),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11118),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6819),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1623),
    [sym_block_comment] = STATE(1623),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2974),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2978),
    [anon_sym_try] = ACTIONS(2980),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2982),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2984),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2986),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1624] = {
    [sym_type_parameters] = STATE(19144),
    [sym_inline_modifier] = STATE(2455),
    [sym__indentable_expression] = STATE(14677),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8591),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17537),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11118),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6819),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1624),
    [sym_block_comment] = STATE(1624),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2974),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2978),
    [anon_sym_try] = ACTIONS(2980),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2982),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2984),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2986),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1625] = {
    [sym_type_parameters] = STATE(19284),
    [sym_inline_modifier] = STATE(2476),
    [sym__indentable_expression] = STATE(13027),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(6205),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17342),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9957),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(5057),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(8435),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1625),
    [sym_block_comment] = STATE(1625),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_try] = ACTIONS(1625),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1631),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1633),
    [anon_sym_throw] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [1626] = {
    [sym_type_parameters] = STATE(19284),
    [sym_inline_modifier] = STATE(2476),
    [sym__indentable_expression] = STATE(13030),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(6205),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17342),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9957),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(5057),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(8435),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1626),
    [sym_block_comment] = STATE(1626),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_try] = ACTIONS(1625),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1631),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1633),
    [anon_sym_throw] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [1627] = {
    [sym_type_parameters] = STATE(19144),
    [sym_inline_modifier] = STATE(2455),
    [sym__indentable_expression] = STATE(14679),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8591),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17537),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11118),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6819),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1627),
    [sym_block_comment] = STATE(1627),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2974),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2978),
    [anon_sym_try] = ACTIONS(2980),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2982),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2984),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2986),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1628] = {
    [sym_type_parameters] = STATE(19144),
    [sym_inline_modifier] = STATE(2455),
    [sym__indentable_expression] = STATE(14680),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8591),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17537),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11118),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6819),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1628),
    [sym_block_comment] = STATE(1628),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2974),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2978),
    [anon_sym_try] = ACTIONS(2980),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2982),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2984),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2986),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1629] = {
    [sym_type_parameters] = STATE(19284),
    [sym_inline_modifier] = STATE(2476),
    [sym__indentable_expression] = STATE(13031),
    [sym_block] = STATE(6526),
    [sym_indented_block] = STATE(12986),
    [sym_indented_cases] = STATE(12986),
    [sym_expression] = STATE(12770),
    [sym__simple_expression] = STATE(6205),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17342),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9957),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(5057),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(8435),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1629),
    [sym_block_comment] = STATE(1629),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_try] = ACTIONS(1625),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1631),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1633),
    [anon_sym_throw] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2189),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [1630] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym__indentable_expression] = STATE(15368),
    [sym_block] = STATE(10944),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(15239),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1630),
    [sym_block_comment] = STATE(1630),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [1631] = {
    [sym_type_parameters] = STATE(19144),
    [sym_inline_modifier] = STATE(2455),
    [sym__indentable_expression] = STATE(14682),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8591),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17537),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11118),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6819),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1631),
    [sym_block_comment] = STATE(1631),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2974),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2978),
    [anon_sym_try] = ACTIONS(2980),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2982),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2984),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2986),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1632] = {
    [sym_type_parameters] = STATE(19144),
    [sym_inline_modifier] = STATE(2455),
    [sym__indentable_expression] = STATE(14685),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8591),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17537),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11118),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6819),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1632),
    [sym_block_comment] = STATE(1632),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2974),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2978),
    [anon_sym_try] = ACTIONS(2980),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2982),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2984),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2986),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1633] = {
    [sym_type_parameters] = STATE(19291),
    [sym_inline_modifier] = STATE(2477),
    [sym_block] = STATE(8086),
    [sym_expression] = STATE(13847),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17354),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10022),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(5125),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(8569),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1633),
    [sym_block_comment] = STATE(1633),
    [sym__alpha_identifier] = ACTIONS(2806),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2809),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(2812),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_while] = ACTIONS(1677),
    [anon_sym_for] = ACTIONS(1679),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(1681),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2812),
    [anon_sym_implicit] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(2815),
    [anon_sym_infix] = ACTIONS(2812),
    [anon_sym_open] = ACTIONS(2812),
    [anon_sym_transparent] = ACTIONS(2812),
    [anon_sym_LPAREN] = ACTIONS(2818),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(2821),
    [sym_operator_identifier] = ACTIONS(3371),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(1689),
    [anon_sym_throw] = ACTIONS(1691),
    [anon_sym_do] = ACTIONS(2827),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1634] = {
    [sym_type_parameters] = STATE(19291),
    [sym_inline_modifier] = STATE(2477),
    [sym__indentable_expression] = STATE(14292),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17354),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10022),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(5125),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(8569),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1634),
    [sym_block_comment] = STATE(1634),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_while] = ACTIONS(1677),
    [anon_sym_for] = ACTIONS(1679),
    [anon_sym_try] = ACTIONS(1681),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(1687),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(1689),
    [anon_sym_throw] = ACTIONS(1691),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1635] = {
    [sym_type_parameters] = STATE(19144),
    [sym_inline_modifier] = STATE(2455),
    [sym__indentable_expression] = STATE(14687),
    [sym_block] = STATE(9061),
    [sym_indented_block] = STATE(14564),
    [sym_indented_cases] = STATE(14564),
    [sym_expression] = STATE(14226),
    [sym__simple_expression] = STATE(8591),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17537),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11118),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6819),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1635),
    [sym_block_comment] = STATE(1635),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2974),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2978),
    [anon_sym_try] = ACTIONS(2980),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2982),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2984),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2986),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2956),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1636] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym__indentable_expression] = STATE(13636),
    [sym_block] = STATE(10944),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(15239),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1636),
    [sym_block_comment] = STATE(1636),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [1637] = {
    [sym_type_parameters] = STATE(19151),
    [sym_inline_modifier] = STATE(2457),
    [sym_block] = STATE(6011),
    [sym_expression] = STATE(12232),
    [sym__simple_expression] = STATE(5655),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17577),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(9915),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4803),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(7495),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1637),
    [sym_block_comment] = STATE(1637),
    [sym__alpha_identifier] = ACTIONS(2758),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(2764),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(1483),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2764),
    [anon_sym_implicit] = ACTIONS(1485),
    [anon_sym_inline] = ACTIONS(2767),
    [anon_sym_infix] = ACTIONS(2764),
    [anon_sym_open] = ACTIONS(2764),
    [anon_sym_transparent] = ACTIONS(2764),
    [anon_sym_LPAREN] = ACTIONS(2770),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(2773),
    [sym_operator_identifier] = ACTIONS(3374),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_throw] = ACTIONS(1491),
    [anon_sym_do] = ACTIONS(2779),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1638] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym__indentable_expression] = STATE(15384),
    [sym_block] = STATE(10944),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(15239),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1638),
    [sym_block_comment] = STATE(1638),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [1639] = {
    [sym_type_parameters] = STATE(19291),
    [sym_inline_modifier] = STATE(2477),
    [sym__indentable_expression] = STATE(14369),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17354),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10022),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(5125),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(8569),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1639),
    [sym_block_comment] = STATE(1639),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_while] = ACTIONS(1677),
    [anon_sym_for] = ACTIONS(1679),
    [anon_sym_try] = ACTIONS(1681),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(1687),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(1689),
    [anon_sym_throw] = ACTIONS(1691),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1640] = {
    [sym_type_parameters] = STATE(19151),
    [sym_inline_modifier] = STATE(2457),
    [sym__indentable_expression] = STATE(12245),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5655),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17577),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(9915),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4803),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(7495),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1640),
    [sym_block_comment] = STATE(1640),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_try] = ACTIONS(1483),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1485),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1487),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_throw] = ACTIONS(1491),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1641] = {
    [sym_type_parameters] = STATE(19291),
    [sym_inline_modifier] = STATE(2477),
    [sym__indentable_expression] = STATE(14373),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17354),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10022),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(5125),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(8569),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1641),
    [sym_block_comment] = STATE(1641),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_while] = ACTIONS(1677),
    [anon_sym_for] = ACTIONS(1679),
    [anon_sym_try] = ACTIONS(1681),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(1687),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(1689),
    [anon_sym_throw] = ACTIONS(1691),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1642] = {
    [sym_type_parameters] = STATE(19291),
    [sym_inline_modifier] = STATE(2477),
    [sym__indentable_expression] = STATE(14374),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17354),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10022),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(5125),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(8569),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1642),
    [sym_block_comment] = STATE(1642),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_while] = ACTIONS(1677),
    [anon_sym_for] = ACTIONS(1679),
    [anon_sym_try] = ACTIONS(1681),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(1687),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(1689),
    [anon_sym_throw] = ACTIONS(1691),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1643] = {
    [sym_type_parameters] = STATE(19151),
    [sym_inline_modifier] = STATE(2457),
    [sym__indentable_expression] = STATE(12262),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5655),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17577),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(9915),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4803),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(7495),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1643),
    [sym_block_comment] = STATE(1643),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_try] = ACTIONS(1483),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1485),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1487),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_throw] = ACTIONS(1491),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1644] = {
    [sym_type_parameters] = STATE(19151),
    [sym_inline_modifier] = STATE(2457),
    [sym__indentable_expression] = STATE(12270),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5655),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17577),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(9915),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4803),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(7495),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1644),
    [sym_block_comment] = STATE(1644),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_try] = ACTIONS(1483),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1485),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1487),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_throw] = ACTIONS(1491),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1645] = {
    [sym_type_parameters] = STATE(19291),
    [sym_inline_modifier] = STATE(2477),
    [sym__indentable_expression] = STATE(14066),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17354),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10022),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(5125),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(8569),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1645),
    [sym_block_comment] = STATE(1645),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_while] = ACTIONS(1677),
    [anon_sym_for] = ACTIONS(1679),
    [anon_sym_try] = ACTIONS(1681),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(1687),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(1689),
    [anon_sym_throw] = ACTIONS(1691),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1646] = {
    [sym_type_parameters] = STATE(19291),
    [sym_inline_modifier] = STATE(2477),
    [sym__indentable_expression] = STATE(14092),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17354),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10022),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(5125),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(8569),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1646),
    [sym_block_comment] = STATE(1646),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_while] = ACTIONS(1677),
    [anon_sym_for] = ACTIONS(1679),
    [anon_sym_try] = ACTIONS(1681),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(1687),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(1689),
    [anon_sym_throw] = ACTIONS(1691),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1647] = {
    [sym_type_parameters] = STATE(19151),
    [sym_inline_modifier] = STATE(2457),
    [sym__indentable_expression] = STATE(12428),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5655),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17577),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(9915),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4803),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(7495),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1647),
    [sym_block_comment] = STATE(1647),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_try] = ACTIONS(1483),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1485),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1487),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_throw] = ACTIONS(1491),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1648] = {
    [sym_type_parameters] = STATE(19151),
    [sym_inline_modifier] = STATE(2457),
    [sym__indentable_expression] = STATE(12174),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5655),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17577),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(9915),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4803),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(7495),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1648),
    [sym_block_comment] = STATE(1648),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_try] = ACTIONS(1483),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1485),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1487),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_throw] = ACTIONS(1491),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1649] = {
    [sym_type_parameters] = STATE(19291),
    [sym_inline_modifier] = STATE(2477),
    [sym__indentable_expression] = STATE(14096),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17354),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10022),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(5125),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(8569),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1649),
    [sym_block_comment] = STATE(1649),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_while] = ACTIONS(1677),
    [anon_sym_for] = ACTIONS(1679),
    [anon_sym_try] = ACTIONS(1681),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(1687),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(1689),
    [anon_sym_throw] = ACTIONS(1691),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1650] = {
    [sym_type_parameters] = STATE(19291),
    [sym_inline_modifier] = STATE(2477),
    [sym__indentable_expression] = STATE(14107),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17354),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10022),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(5125),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(8569),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1650),
    [sym_block_comment] = STATE(1650),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_while] = ACTIONS(1677),
    [anon_sym_for] = ACTIONS(1679),
    [anon_sym_try] = ACTIONS(1681),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(1687),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(1689),
    [anon_sym_throw] = ACTIONS(1691),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1651] = {
    [sym_type_parameters] = STATE(19151),
    [sym_inline_modifier] = STATE(2457),
    [sym__indentable_expression] = STATE(12342),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5655),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17577),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(9915),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4803),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(7495),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1651),
    [sym_block_comment] = STATE(1651),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_try] = ACTIONS(1483),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1485),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1487),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_throw] = ACTIONS(1491),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1652] = {
    [sym_type_parameters] = STATE(19151),
    [sym_inline_modifier] = STATE(2457),
    [sym__indentable_expression] = STATE(12345),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5655),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17577),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(9915),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4803),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(7495),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1652),
    [sym_block_comment] = STATE(1652),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_try] = ACTIONS(1483),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1485),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1487),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_throw] = ACTIONS(1491),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1653] = {
    [sym_type_parameters] = STATE(19291),
    [sym_inline_modifier] = STATE(2477),
    [sym__indentable_expression] = STATE(14108),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17354),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10022),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(5125),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(8569),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1653),
    [sym_block_comment] = STATE(1653),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_while] = ACTIONS(1677),
    [anon_sym_for] = ACTIONS(1679),
    [anon_sym_try] = ACTIONS(1681),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(1687),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(1689),
    [anon_sym_throw] = ACTIONS(1691),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1654] = {
    [sym_type_parameters] = STATE(19291),
    [sym_inline_modifier] = STATE(2477),
    [sym__indentable_expression] = STATE(14111),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17354),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10022),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(5125),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(8569),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1654),
    [sym_block_comment] = STATE(1654),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_while] = ACTIONS(1677),
    [anon_sym_for] = ACTIONS(1679),
    [anon_sym_try] = ACTIONS(1681),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(1687),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(1689),
    [anon_sym_throw] = ACTIONS(1691),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1655] = {
    [sym_type_parameters] = STATE(19151),
    [sym_inline_modifier] = STATE(2457),
    [sym__indentable_expression] = STATE(12369),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5655),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17577),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(9915),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4803),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(7495),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1655),
    [sym_block_comment] = STATE(1655),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_try] = ACTIONS(1483),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1485),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1487),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_throw] = ACTIONS(1491),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1656] = {
    [sym_type_parameters] = STATE(19151),
    [sym_inline_modifier] = STATE(2457),
    [sym__indentable_expression] = STATE(12370),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5655),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17577),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(9915),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4803),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(7495),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1656),
    [sym_block_comment] = STATE(1656),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_try] = ACTIONS(1483),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1485),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1487),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_throw] = ACTIONS(1491),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1657] = {
    [sym_type_parameters] = STATE(19291),
    [sym_inline_modifier] = STATE(2477),
    [sym__indentable_expression] = STATE(14112),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17354),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10022),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(5125),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(8569),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1657),
    [sym_block_comment] = STATE(1657),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_while] = ACTIONS(1677),
    [anon_sym_for] = ACTIONS(1679),
    [anon_sym_try] = ACTIONS(1681),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(1687),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(1689),
    [anon_sym_throw] = ACTIONS(1691),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1658] = {
    [sym_type_parameters] = STATE(19291),
    [sym_inline_modifier] = STATE(2477),
    [sym__indentable_expression] = STATE(14118),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17354),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10022),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(5125),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(8569),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1658),
    [sym_block_comment] = STATE(1658),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_while] = ACTIONS(1677),
    [anon_sym_for] = ACTIONS(1679),
    [anon_sym_try] = ACTIONS(1681),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(1687),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(1689),
    [anon_sym_throw] = ACTIONS(1691),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1659] = {
    [sym_type_parameters] = STATE(19151),
    [sym_inline_modifier] = STATE(2457),
    [sym__indentable_expression] = STATE(12374),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5655),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17577),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(9915),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4803),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(7495),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1659),
    [sym_block_comment] = STATE(1659),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_try] = ACTIONS(1483),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1485),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1487),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_throw] = ACTIONS(1491),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1660] = {
    [sym_type_parameters] = STATE(19151),
    [sym_inline_modifier] = STATE(2457),
    [sym__indentable_expression] = STATE(12377),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5655),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17577),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(9915),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4803),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(7495),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1660),
    [sym_block_comment] = STATE(1660),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_try] = ACTIONS(1483),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1485),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1487),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_throw] = ACTIONS(1491),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1661] = {
    [sym_type_parameters] = STATE(19298),
    [sym_inline_modifier] = STATE(2478),
    [sym_block] = STATE(8086),
    [sym_expression] = STATE(13825),
    [sym__simple_expression] = STATE(7225),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17377),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10767),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6197),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9684),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1661),
    [sym_block_comment] = STATE(1661),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(2245),
    [anon_sym_for] = ACTIONS(2247),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2253),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2255),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(1437),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1662] = {
    [sym_type_parameters] = STATE(19298),
    [sym_inline_modifier] = STATE(2478),
    [sym_block] = STATE(8086),
    [sym_expression] = STATE(13847),
    [sym__simple_expression] = STATE(7225),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17377),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10767),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6197),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9684),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1662),
    [sym_block_comment] = STATE(1662),
    [sym__alpha_identifier] = ACTIONS(2806),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2809),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(2812),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(2245),
    [anon_sym_for] = ACTIONS(2247),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2812),
    [anon_sym_implicit] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(2815),
    [anon_sym_infix] = ACTIONS(2812),
    [anon_sym_open] = ACTIONS(2812),
    [anon_sym_transparent] = ACTIONS(2812),
    [anon_sym_LPAREN] = ACTIONS(2818),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(2821),
    [sym_operator_identifier] = ACTIONS(3377),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2255),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(2827),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1663] = {
    [sym_type_parameters] = STATE(19151),
    [sym_inline_modifier] = STATE(2457),
    [sym__indentable_expression] = STATE(12413),
    [sym_block] = STATE(6011),
    [sym_indented_block] = STATE(12263),
    [sym_indented_cases] = STATE(12263),
    [sym_expression] = STATE(12201),
    [sym__simple_expression] = STATE(5655),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17577),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(9915),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4803),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(7495),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1663),
    [sym_block_comment] = STATE(1663),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_try] = ACTIONS(1483),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1485),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1487),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_throw] = ACTIONS(1491),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2239),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1664] = {
    [sym_type_parameters] = STATE(19298),
    [sym_inline_modifier] = STATE(2478),
    [sym__indentable_expression] = STATE(14292),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7225),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17377),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10767),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6197),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9684),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1664),
    [sym_block_comment] = STATE(1664),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(2245),
    [anon_sym_for] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2253),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2255),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1665] = {
    [sym_type_parameters] = STATE(19158),
    [sym_inline_modifier] = STATE(2458),
    [sym_block] = STATE(7275),
    [sym_expression] = STATE(13272),
    [sym__simple_expression] = STATE(6463),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17611),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10419),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5576),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8828),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(1665),
    [sym_block_comment] = STATE(1665),
    [sym__alpha_identifier] = ACTIONS(2782),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(2788),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2083),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2788),
    [anon_sym_implicit] = ACTIONS(2089),
    [anon_sym_inline] = ACTIONS(2791),
    [anon_sym_infix] = ACTIONS(2788),
    [anon_sym_open] = ACTIONS(2788),
    [anon_sym_transparent] = ACTIONS(2788),
    [anon_sym_LPAREN] = ACTIONS(2794),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(2797),
    [sym_operator_identifier] = ACTIONS(3380),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2095),
    [anon_sym_do] = ACTIONS(2803),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [1666] = {
    [sym_type_parameters] = STATE(19158),
    [sym_inline_modifier] = STATE(2458),
    [sym__indentable_expression] = STATE(13161),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6463),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17611),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10419),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5576),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8828),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(1666),
    [sym_block_comment] = STATE(1666),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2083),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2089),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2091),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2095),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [1667] = {
    [sym_type_parameters] = STATE(19158),
    [sym_inline_modifier] = STATE(2458),
    [sym__indentable_expression] = STATE(13181),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6463),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17611),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10419),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5576),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8828),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(1667),
    [sym_block_comment] = STATE(1667),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2083),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2089),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2091),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2095),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [1668] = {
    [sym_type_parameters] = STATE(19158),
    [sym_inline_modifier] = STATE(2458),
    [sym__indentable_expression] = STATE(13184),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6463),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17611),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10419),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5576),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8828),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(1668),
    [sym_block_comment] = STATE(1668),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2083),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2089),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2091),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2095),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [1669] = {
    [sym_type_parameters] = STATE(19158),
    [sym_inline_modifier] = STATE(2458),
    [sym__indentable_expression] = STATE(13187),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6463),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17611),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10419),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5576),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8828),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(1669),
    [sym_block_comment] = STATE(1669),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2083),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2089),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2091),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2095),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [1670] = {
    [sym_type_parameters] = STATE(19158),
    [sym_inline_modifier] = STATE(2458),
    [sym__indentable_expression] = STATE(13191),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6463),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17611),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10419),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5576),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8828),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(1670),
    [sym_block_comment] = STATE(1670),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2083),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2089),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2091),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2095),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [1671] = {
    [sym_type_parameters] = STATE(19158),
    [sym_inline_modifier] = STATE(2458),
    [sym__indentable_expression] = STATE(13217),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6463),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17611),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10419),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5576),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8828),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(1671),
    [sym_block_comment] = STATE(1671),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2083),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2089),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2091),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2095),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [1672] = {
    [sym_type_parameters] = STATE(19158),
    [sym_inline_modifier] = STATE(2458),
    [sym__indentable_expression] = STATE(13223),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6463),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17611),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10419),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5576),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8828),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(1672),
    [sym_block_comment] = STATE(1672),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2083),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2089),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2091),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2095),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [1673] = {
    [sym_type_parameters] = STATE(19158),
    [sym_inline_modifier] = STATE(2458),
    [sym__indentable_expression] = STATE(13231),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6463),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17611),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10419),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5576),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8828),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(1673),
    [sym_block_comment] = STATE(1673),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2083),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2089),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2091),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2095),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [1674] = {
    [sym_type_parameters] = STATE(19158),
    [sym_inline_modifier] = STATE(2458),
    [sym__indentable_expression] = STATE(13234),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6463),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17611),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10419),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5576),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8828),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(1674),
    [sym_block_comment] = STATE(1674),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2083),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2089),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2091),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2095),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [1675] = {
    [sym_type_parameters] = STATE(19158),
    [sym_inline_modifier] = STATE(2458),
    [sym__indentable_expression] = STATE(13238),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6463),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17611),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10419),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5576),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8828),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(1675),
    [sym_block_comment] = STATE(1675),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2083),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2089),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2091),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2095),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [1676] = {
    [sym_type_parameters] = STATE(19158),
    [sym_inline_modifier] = STATE(2458),
    [sym__indentable_expression] = STATE(13240),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6463),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17611),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10419),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5576),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8828),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(1676),
    [sym_block_comment] = STATE(1676),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2083),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2089),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2091),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2095),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [1677] = {
    [sym_type_parameters] = STATE(19158),
    [sym_inline_modifier] = STATE(2458),
    [sym__indentable_expression] = STATE(13241),
    [sym_block] = STATE(7275),
    [sym_indented_block] = STATE(13200),
    [sym_indented_cases] = STATE(13200),
    [sym_expression] = STATE(13265),
    [sym__simple_expression] = STATE(6463),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17611),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10419),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5576),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8828),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(1677),
    [sym_block_comment] = STATE(1677),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2083),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2089),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2091),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2095),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2097),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [1678] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym__indentable_expression] = STATE(13709),
    [sym_block] = STATE(10944),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(15239),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1678),
    [sym_block_comment] = STATE(1678),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [1679] = {
    [sym_type_parameters] = STATE(19165),
    [sym_inline_modifier] = STATE(2459),
    [sym_block] = STATE(7344),
    [sym_expression] = STATE(13279),
    [sym__simple_expression] = STATE(5480),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17663),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(9905),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(4870),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(7665),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1679),
    [sym_block_comment] = STATE(1679),
    [sym__alpha_identifier] = ACTIONS(3014),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(3017),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(3020),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1459),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(1463),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(3020),
    [anon_sym_implicit] = ACTIONS(1465),
    [anon_sym_inline] = ACTIONS(3023),
    [anon_sym_infix] = ACTIONS(3020),
    [anon_sym_open] = ACTIONS(3020),
    [anon_sym_transparent] = ACTIONS(3020),
    [anon_sym_LPAREN] = ACTIONS(3026),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(3029),
    [sym_operator_identifier] = ACTIONS(3383),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1471),
    [anon_sym_throw] = ACTIONS(1473),
    [anon_sym_do] = ACTIONS(3035),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1680] = {
    [sym_type_parameters] = STATE(19165),
    [sym_inline_modifier] = STATE(2459),
    [sym__indentable_expression] = STATE(13815),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(5480),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17663),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(9905),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(4870),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(7665),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1680),
    [sym_block_comment] = STATE(1680),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1459),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1463),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(1465),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(1469),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1471),
    [anon_sym_throw] = ACTIONS(1473),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1681] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym__indentable_expression] = STATE(15289),
    [sym_block] = STATE(10944),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(15239),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1681),
    [sym_block_comment] = STATE(1681),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [1682] = {
    [sym_type_parameters] = STATE(19165),
    [sym_inline_modifier] = STATE(2459),
    [sym__indentable_expression] = STATE(13866),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(5480),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17663),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(9905),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(4870),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(7665),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1682),
    [sym_block_comment] = STATE(1682),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1459),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1463),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(1465),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(1469),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1471),
    [anon_sym_throw] = ACTIONS(1473),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1683] = {
    [sym_type_parameters] = STATE(19165),
    [sym_inline_modifier] = STATE(2459),
    [sym__indentable_expression] = STATE(13627),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(5480),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17663),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(9905),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(4870),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(7665),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1683),
    [sym_block_comment] = STATE(1683),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1459),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1463),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(1465),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(1469),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1471),
    [anon_sym_throw] = ACTIONS(1473),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1684] = {
    [sym_type_parameters] = STATE(19165),
    [sym_inline_modifier] = STATE(2459),
    [sym__indentable_expression] = STATE(13632),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(5480),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17663),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(9905),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(4870),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(7665),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1684),
    [sym_block_comment] = STATE(1684),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1459),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1463),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(1465),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(1469),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1471),
    [anon_sym_throw] = ACTIONS(1473),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1685] = {
    [sym_type_parameters] = STATE(19165),
    [sym_inline_modifier] = STATE(2459),
    [sym__indentable_expression] = STATE(13645),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(5480),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17663),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(9905),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(4870),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(7665),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1685),
    [sym_block_comment] = STATE(1685),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1459),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1463),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(1465),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(1469),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1471),
    [anon_sym_throw] = ACTIONS(1473),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1686] = {
    [sym_type_parameters] = STATE(19165),
    [sym_inline_modifier] = STATE(2459),
    [sym__indentable_expression] = STATE(13710),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(5480),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17663),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(9905),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(4870),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(7665),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1686),
    [sym_block_comment] = STATE(1686),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1459),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1463),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(1465),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(1469),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1471),
    [anon_sym_throw] = ACTIONS(1473),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1687] = {
    [sym_type_parameters] = STATE(19165),
    [sym_inline_modifier] = STATE(2459),
    [sym__indentable_expression] = STATE(13716),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(5480),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17663),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(9905),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(4870),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(7665),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1687),
    [sym_block_comment] = STATE(1687),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1459),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1463),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(1465),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(1469),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1471),
    [anon_sym_throw] = ACTIONS(1473),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1688] = {
    [sym_type_parameters] = STATE(19165),
    [sym_inline_modifier] = STATE(2459),
    [sym__indentable_expression] = STATE(13730),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(5480),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17663),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(9905),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(4870),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(7665),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1688),
    [sym_block_comment] = STATE(1688),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1459),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1463),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(1465),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(1469),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1471),
    [anon_sym_throw] = ACTIONS(1473),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1689] = {
    [sym_type_parameters] = STATE(19165),
    [sym_inline_modifier] = STATE(2459),
    [sym__indentable_expression] = STATE(13732),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(5480),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17663),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(9905),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(4870),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(7665),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1689),
    [sym_block_comment] = STATE(1689),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1459),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1463),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(1465),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(1469),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1471),
    [anon_sym_throw] = ACTIONS(1473),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1690] = {
    [sym_type_parameters] = STATE(19165),
    [sym_inline_modifier] = STATE(2459),
    [sym__indentable_expression] = STATE(13735),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(5480),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17663),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(9905),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(4870),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(7665),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1690),
    [sym_block_comment] = STATE(1690),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1459),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1463),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(1465),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(1469),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1471),
    [anon_sym_throw] = ACTIONS(1473),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1691] = {
    [sym_type_parameters] = STATE(19165),
    [sym_inline_modifier] = STATE(2459),
    [sym__indentable_expression] = STATE(13736),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(5480),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17663),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(9905),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(4870),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(7665),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1691),
    [sym_block_comment] = STATE(1691),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1459),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1463),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(1465),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(1469),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1471),
    [anon_sym_throw] = ACTIONS(1473),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1692] = {
    [sym_type_parameters] = STATE(19165),
    [sym_inline_modifier] = STATE(2459),
    [sym__indentable_expression] = STATE(13738),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(5480),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17663),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(9905),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(4870),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(7665),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1692),
    [sym_block_comment] = STATE(1692),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1459),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1463),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(1465),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(1469),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1471),
    [anon_sym_throw] = ACTIONS(1473),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1693] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym__indentable_expression] = STATE(15417),
    [sym_block] = STATE(10944),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(15239),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1693),
    [sym_block_comment] = STATE(1693),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [1694] = {
    [sym_type_parameters] = STATE(19172),
    [sym_inline_modifier] = STATE(2460),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(14420),
    [sym__simple_expression] = STATE(7448),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17722),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(10768),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6207),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1694),
    [sym_block_comment] = STATE(1694),
    [sym__alpha_identifier] = ACTIONS(3042),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(3045),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(3048),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2103),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(3048),
    [anon_sym_implicit] = ACTIONS(2109),
    [anon_sym_inline] = ACTIONS(3051),
    [anon_sym_infix] = ACTIONS(3048),
    [anon_sym_open] = ACTIONS(3048),
    [anon_sym_transparent] = ACTIONS(3048),
    [anon_sym_LPAREN] = ACTIONS(3054),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(3057),
    [sym_operator_identifier] = ACTIONS(3386),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_throw] = ACTIONS(2115),
    [anon_sym_do] = ACTIONS(3063),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1695] = {
    [sym_type_parameters] = STATE(19172),
    [sym_inline_modifier] = STATE(2460),
    [sym__indentable_expression] = STATE(14724),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(7448),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17722),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(10768),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6207),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1695),
    [sym_block_comment] = STATE(1695),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2103),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2109),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2111),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_throw] = ACTIONS(2115),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1696] = {
    [sym_type_parameters] = STATE(19172),
    [sym_inline_modifier] = STATE(2460),
    [sym__indentable_expression] = STATE(14799),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(7448),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17722),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(10768),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6207),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1696),
    [sym_block_comment] = STATE(1696),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2103),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2109),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2111),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_throw] = ACTIONS(2115),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1697] = {
    [sym_type_parameters] = STATE(19172),
    [sym_inline_modifier] = STATE(2460),
    [sym__indentable_expression] = STATE(14800),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(7448),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17722),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(10768),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6207),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1697),
    [sym_block_comment] = STATE(1697),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2103),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2109),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2111),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_throw] = ACTIONS(2115),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1698] = {
    [sym_type_parameters] = STATE(19172),
    [sym_inline_modifier] = STATE(2460),
    [sym__indentable_expression] = STATE(14808),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(7448),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17722),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(10768),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6207),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1698),
    [sym_block_comment] = STATE(1698),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2103),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2109),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2111),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_throw] = ACTIONS(2115),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1699] = {
    [sym_type_parameters] = STATE(19172),
    [sym_inline_modifier] = STATE(2460),
    [sym__indentable_expression] = STATE(14815),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(7448),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17722),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(10768),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6207),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1699),
    [sym_block_comment] = STATE(1699),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2103),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2109),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2111),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_throw] = ACTIONS(2115),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1700] = {
    [sym_type_parameters] = STATE(19172),
    [sym_inline_modifier] = STATE(2460),
    [sym__indentable_expression] = STATE(14848),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(7448),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17722),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(10768),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6207),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1700),
    [sym_block_comment] = STATE(1700),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2103),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2109),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2111),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_throw] = ACTIONS(2115),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1701] = {
    [sym_type_parameters] = STATE(19172),
    [sym_inline_modifier] = STATE(2460),
    [sym__indentable_expression] = STATE(14857),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(7448),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17722),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(10768),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6207),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1701),
    [sym_block_comment] = STATE(1701),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2103),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2109),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2111),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_throw] = ACTIONS(2115),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1702] = {
    [sym_type_parameters] = STATE(19172),
    [sym_inline_modifier] = STATE(2460),
    [sym__indentable_expression] = STATE(14864),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(7448),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17722),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(10768),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6207),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1702),
    [sym_block_comment] = STATE(1702),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2103),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2109),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2111),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_throw] = ACTIONS(2115),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1703] = {
    [sym_type_parameters] = STATE(19172),
    [sym_inline_modifier] = STATE(2460),
    [sym__indentable_expression] = STATE(14865),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(7448),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17722),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(10768),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6207),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1703),
    [sym_block_comment] = STATE(1703),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2103),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2109),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2111),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_throw] = ACTIONS(2115),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1704] = {
    [sym_type_parameters] = STATE(19172),
    [sym_inline_modifier] = STATE(2460),
    [sym__indentable_expression] = STATE(14867),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(7448),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17722),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(10768),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6207),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1704),
    [sym_block_comment] = STATE(1704),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2103),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2109),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2111),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_throw] = ACTIONS(2115),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1705] = {
    [sym_type_parameters] = STATE(19172),
    [sym_inline_modifier] = STATE(2460),
    [sym__indentable_expression] = STATE(14868),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(7448),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17722),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(10768),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6207),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1705),
    [sym_block_comment] = STATE(1705),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2103),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2109),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2111),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_throw] = ACTIONS(2115),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1706] = {
    [sym_type_parameters] = STATE(19172),
    [sym_inline_modifier] = STATE(2460),
    [sym__indentable_expression] = STATE(14874),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(7448),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17722),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(10768),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6207),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1706),
    [sym_block_comment] = STATE(1706),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2103),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2109),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2111),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_throw] = ACTIONS(2115),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1707] = {
    [sym_type_parameters] = STATE(19298),
    [sym_inline_modifier] = STATE(2478),
    [sym__indentable_expression] = STATE(14369),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7225),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17377),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10767),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6197),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9684),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1707),
    [sym_block_comment] = STATE(1707),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(2245),
    [anon_sym_for] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2253),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2255),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1708] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14913),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1708),
    [sym_block_comment] = STATE(1708),
    [sym__alpha_identifier] = ACTIONS(3139),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(3142),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(3145),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(3145),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(3389),
    [anon_sym_infix] = ACTIONS(3145),
    [anon_sym_open] = ACTIONS(3145),
    [anon_sym_transparent] = ACTIONS(3145),
    [anon_sym_LPAREN] = ACTIONS(3151),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(3154),
    [sym_operator_identifier] = ACTIONS(3392),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(3160),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1709] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym__indentable_expression] = STATE(15056),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1709),
    [sym_block_comment] = STATE(1709),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1710] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym__indentable_expression] = STATE(15378),
    [sym_block] = STATE(10944),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(15239),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1710),
    [sym_block_comment] = STATE(1710),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [1711] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym__indentable_expression] = STATE(15007),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1711),
    [sym_block_comment] = STATE(1711),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1712] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym__indentable_expression] = STATE(15017),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1712),
    [sym_block_comment] = STATE(1712),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1713] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym__indentable_expression] = STATE(14961),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1713),
    [sym_block_comment] = STATE(1713),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1714] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym__indentable_expression] = STATE(14989),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1714),
    [sym_block_comment] = STATE(1714),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1715] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym__indentable_expression] = STATE(15082),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1715),
    [sym_block_comment] = STATE(1715),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1716] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym__indentable_expression] = STATE(15095),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1716),
    [sym_block_comment] = STATE(1716),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1717] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym__indentable_expression] = STATE(15055),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1717),
    [sym_block_comment] = STATE(1717),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1718] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym__indentable_expression] = STATE(14936),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1718),
    [sym_block_comment] = STATE(1718),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1719] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym__indentable_expression] = STATE(15013),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1719),
    [sym_block_comment] = STATE(1719),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1720] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym__indentable_expression] = STATE(14948),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1720),
    [sym_block_comment] = STATE(1720),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1721] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym__indentable_expression] = STATE(15085),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1721),
    [sym_block_comment] = STATE(1721),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1722] = {
    [sym_type_parameters] = STATE(19298),
    [sym_inline_modifier] = STATE(2478),
    [sym__indentable_expression] = STATE(14373),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7225),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17377),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10767),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6197),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9684),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1722),
    [sym_block_comment] = STATE(1722),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(2245),
    [anon_sym_for] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2253),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2255),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1723] = {
    [sym_type_parameters] = STATE(19186),
    [sym_inline_modifier] = STATE(2461),
    [sym_block] = STATE(9896),
    [sym_expression] = STATE(14526),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17404),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10427),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5656),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(9159),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(1723),
    [sym_block_comment] = STATE(1723),
    [sym__alpha_identifier] = ACTIONS(2645),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2650),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(2656),
    [anon_sym_if] = ACTIONS(2529),
    [anon_sym_while] = ACTIONS(2531),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2656),
    [anon_sym_implicit] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(2661),
    [anon_sym_infix] = ACTIONS(2656),
    [anon_sym_open] = ACTIONS(2656),
    [anon_sym_transparent] = ACTIONS(2656),
    [anon_sym_LPAREN] = ACTIONS(2664),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(2667),
    [sym_operator_identifier] = ACTIONS(3395),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2673),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [1724] = {
    [sym_type_parameters] = STATE(19186),
    [sym_inline_modifier] = STATE(2461),
    [sym__indentable_expression] = STATE(14745),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17404),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10427),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5656),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(9159),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(1724),
    [sym_block_comment] = STATE(1724),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2529),
    [anon_sym_while] = ACTIONS(2531),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2541),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [1725] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym__indentable_expression] = STATE(15390),
    [sym_block] = STATE(10944),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(15239),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1725),
    [sym_block_comment] = STATE(1725),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [1726] = {
    [sym_type_parameters] = STATE(19186),
    [sym_inline_modifier] = STATE(2461),
    [sym__indentable_expression] = STATE(14761),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17404),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10427),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5656),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(9159),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(1726),
    [sym_block_comment] = STATE(1726),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2529),
    [anon_sym_while] = ACTIONS(2531),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2541),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [1727] = {
    [sym_type_parameters] = STATE(19186),
    [sym_inline_modifier] = STATE(2461),
    [sym__indentable_expression] = STATE(14762),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17404),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10427),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5656),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(9159),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(1727),
    [sym_block_comment] = STATE(1727),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2529),
    [anon_sym_while] = ACTIONS(2531),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2541),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [1728] = {
    [sym_type_parameters] = STATE(19186),
    [sym_inline_modifier] = STATE(2461),
    [sym__indentable_expression] = STATE(14763),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17404),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10427),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5656),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(9159),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(1728),
    [sym_block_comment] = STATE(1728),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2529),
    [anon_sym_while] = ACTIONS(2531),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2541),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [1729] = {
    [sym_type_parameters] = STATE(19186),
    [sym_inline_modifier] = STATE(2461),
    [sym__indentable_expression] = STATE(14767),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17404),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10427),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5656),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(9159),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(1729),
    [sym_block_comment] = STATE(1729),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2529),
    [anon_sym_while] = ACTIONS(2531),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2541),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [1730] = {
    [sym_type_parameters] = STATE(19186),
    [sym_inline_modifier] = STATE(2461),
    [sym__indentable_expression] = STATE(14795),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17404),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10427),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5656),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(9159),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(1730),
    [sym_block_comment] = STATE(1730),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2529),
    [anon_sym_while] = ACTIONS(2531),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2541),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [1731] = {
    [sym_type_parameters] = STATE(19186),
    [sym_inline_modifier] = STATE(2461),
    [sym__indentable_expression] = STATE(14802),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17404),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10427),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5656),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(9159),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(1731),
    [sym_block_comment] = STATE(1731),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2529),
    [anon_sym_while] = ACTIONS(2531),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2541),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [1732] = {
    [sym_type_parameters] = STATE(19186),
    [sym_inline_modifier] = STATE(2461),
    [sym__indentable_expression] = STATE(14811),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17404),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10427),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5656),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(9159),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(1732),
    [sym_block_comment] = STATE(1732),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2529),
    [anon_sym_while] = ACTIONS(2531),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2541),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [1733] = {
    [sym_type_parameters] = STATE(19186),
    [sym_inline_modifier] = STATE(2461),
    [sym__indentable_expression] = STATE(14813),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17404),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10427),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5656),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(9159),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(1733),
    [sym_block_comment] = STATE(1733),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2529),
    [anon_sym_while] = ACTIONS(2531),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2541),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [1734] = {
    [sym_type_parameters] = STATE(19186),
    [sym_inline_modifier] = STATE(2461),
    [sym__indentable_expression] = STATE(14816),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17404),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10427),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5656),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(9159),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(1734),
    [sym_block_comment] = STATE(1734),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2529),
    [anon_sym_while] = ACTIONS(2531),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2541),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [1735] = {
    [sym_type_parameters] = STATE(19186),
    [sym_inline_modifier] = STATE(2461),
    [sym__indentable_expression] = STATE(14817),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17404),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10427),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5656),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(9159),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(1735),
    [sym_block_comment] = STATE(1735),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2529),
    [anon_sym_while] = ACTIONS(2531),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2541),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [1736] = {
    [sym_type_parameters] = STATE(19186),
    [sym_inline_modifier] = STATE(2461),
    [sym__indentable_expression] = STATE(14821),
    [sym_block] = STATE(9896),
    [sym_indented_block] = STATE(14842),
    [sym_indented_cases] = STATE(14842),
    [sym_expression] = STATE(14399),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17404),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10427),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5656),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(9159),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(1736),
    [sym_block_comment] = STATE(1736),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2529),
    [anon_sym_while] = ACTIONS(2531),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2541),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2676),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [1737] = {
    [sym_type_parameters] = STATE(19298),
    [sym_inline_modifier] = STATE(2478),
    [sym__indentable_expression] = STATE(14374),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7225),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17377),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10767),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6197),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9684),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1737),
    [sym_block_comment] = STATE(1737),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(2245),
    [anon_sym_for] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2253),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2255),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1738] = {
    [sym_type_parameters] = STATE(19193),
    [sym_inline_modifier] = STATE(2462),
    [sym_block] = STATE(7344),
    [sym_expression] = STATE(13279),
    [sym__simple_expression] = STATE(6717),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17709),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10599),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8740),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1738),
    [sym_block_comment] = STATE(1738),
    [sym__alpha_identifier] = ACTIONS(3014),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(3017),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(3020),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(2305),
    [anon_sym_for] = ACTIONS(2307),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(3020),
    [anon_sym_implicit] = ACTIONS(2311),
    [anon_sym_inline] = ACTIONS(3023),
    [anon_sym_infix] = ACTIONS(3020),
    [anon_sym_open] = ACTIONS(3020),
    [anon_sym_transparent] = ACTIONS(3020),
    [anon_sym_LPAREN] = ACTIONS(3026),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(3029),
    [sym_operator_identifier] = ACTIONS(3398),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(3035),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1739] = {
    [sym_type_parameters] = STATE(19193),
    [sym_inline_modifier] = STATE(2462),
    [sym__indentable_expression] = STATE(13815),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6717),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17709),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10599),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8740),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1739),
    [sym_block_comment] = STATE(1739),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(2305),
    [anon_sym_for] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2311),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2313),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1740] = {
    [sym_type_parameters] = STATE(19193),
    [sym_inline_modifier] = STATE(2462),
    [sym__indentable_expression] = STATE(13866),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6717),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17709),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10599),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8740),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1740),
    [sym_block_comment] = STATE(1740),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(2305),
    [anon_sym_for] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2311),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2313),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1741] = {
    [sym_type_parameters] = STATE(19193),
    [sym_inline_modifier] = STATE(2462),
    [sym__indentable_expression] = STATE(13627),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6717),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17709),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10599),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8740),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1741),
    [sym_block_comment] = STATE(1741),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(2305),
    [anon_sym_for] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2311),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2313),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1742] = {
    [sym_type_parameters] = STATE(19193),
    [sym_inline_modifier] = STATE(2462),
    [sym__indentable_expression] = STATE(13632),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6717),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17709),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10599),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8740),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1742),
    [sym_block_comment] = STATE(1742),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(2305),
    [anon_sym_for] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2311),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2313),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1743] = {
    [sym_type_parameters] = STATE(19193),
    [sym_inline_modifier] = STATE(2462),
    [sym__indentable_expression] = STATE(13645),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6717),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17709),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10599),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8740),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1743),
    [sym_block_comment] = STATE(1743),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(2305),
    [anon_sym_for] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2311),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2313),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1744] = {
    [sym_type_parameters] = STATE(19193),
    [sym_inline_modifier] = STATE(2462),
    [sym__indentable_expression] = STATE(13710),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6717),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17709),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10599),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8740),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1744),
    [sym_block_comment] = STATE(1744),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(2305),
    [anon_sym_for] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2311),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2313),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1745] = {
    [sym_type_parameters] = STATE(19193),
    [sym_inline_modifier] = STATE(2462),
    [sym__indentable_expression] = STATE(13716),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6717),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17709),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10599),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8740),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1745),
    [sym_block_comment] = STATE(1745),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(2305),
    [anon_sym_for] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2311),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2313),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1746] = {
    [sym_type_parameters] = STATE(19193),
    [sym_inline_modifier] = STATE(2462),
    [sym__indentable_expression] = STATE(13730),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6717),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17709),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10599),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8740),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1746),
    [sym_block_comment] = STATE(1746),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(2305),
    [anon_sym_for] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2311),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2313),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1747] = {
    [sym_type_parameters] = STATE(19193),
    [sym_inline_modifier] = STATE(2462),
    [sym__indentable_expression] = STATE(13732),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6717),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17709),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10599),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8740),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1747),
    [sym_block_comment] = STATE(1747),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(2305),
    [anon_sym_for] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2311),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2313),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1748] = {
    [sym_type_parameters] = STATE(19193),
    [sym_inline_modifier] = STATE(2462),
    [sym__indentable_expression] = STATE(13735),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6717),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17709),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10599),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8740),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1748),
    [sym_block_comment] = STATE(1748),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(2305),
    [anon_sym_for] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2311),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2313),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1749] = {
    [sym_type_parameters] = STATE(19193),
    [sym_inline_modifier] = STATE(2462),
    [sym__indentable_expression] = STATE(13736),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6717),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17709),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10599),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8740),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1749),
    [sym_block_comment] = STATE(1749),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(2305),
    [anon_sym_for] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2311),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2313),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1750] = {
    [sym_type_parameters] = STATE(19193),
    [sym_inline_modifier] = STATE(2462),
    [sym__indentable_expression] = STATE(13738),
    [sym_block] = STATE(7344),
    [sym_indented_block] = STATE(14035),
    [sym_indented_cases] = STATE(14035),
    [sym_expression] = STATE(13607),
    [sym__simple_expression] = STATE(6717),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17709),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10599),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8740),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1750),
    [sym_block_comment] = STATE(1750),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(2305),
    [anon_sym_for] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2311),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2313),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2295),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1751] = {
    [sym_type_parameters] = STATE(19200),
    [sym_inline_modifier] = STATE(2463),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(14420),
    [sym__simple_expression] = STATE(8734),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17498),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11304),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7224),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10395),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1751),
    [sym_block_comment] = STATE(1751),
    [sym__alpha_identifier] = ACTIONS(3042),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(3045),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(3048),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1921),
    [anon_sym_for] = ACTIONS(1923),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(3048),
    [anon_sym_implicit] = ACTIONS(1929),
    [anon_sym_inline] = ACTIONS(3051),
    [anon_sym_infix] = ACTIONS(3048),
    [anon_sym_open] = ACTIONS(3048),
    [anon_sym_transparent] = ACTIONS(3048),
    [anon_sym_LPAREN] = ACTIONS(3054),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(3057),
    [sym_operator_identifier] = ACTIONS(3401),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(1953),
    [anon_sym_throw] = ACTIONS(1955),
    [anon_sym_do] = ACTIONS(3063),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1752] = {
    [sym_type_parameters] = STATE(19200),
    [sym_inline_modifier] = STATE(2463),
    [sym__indentable_expression] = STATE(14724),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(8734),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17498),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11304),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7224),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10395),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1752),
    [sym_block_comment] = STATE(1752),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1921),
    [anon_sym_for] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(1929),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(1943),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(1953),
    [anon_sym_throw] = ACTIONS(1955),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1753] = {
    [sym_type_parameters] = STATE(19298),
    [sym_inline_modifier] = STATE(2478),
    [sym__indentable_expression] = STATE(14066),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7225),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17377),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10767),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6197),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9684),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1753),
    [sym_block_comment] = STATE(1753),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(2245),
    [anon_sym_for] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2253),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2255),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1754] = {
    [sym_type_parameters] = STATE(19200),
    [sym_inline_modifier] = STATE(2463),
    [sym__indentable_expression] = STATE(14799),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(8734),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17498),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11304),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7224),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10395),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1754),
    [sym_block_comment] = STATE(1754),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1921),
    [anon_sym_for] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(1929),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(1943),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(1953),
    [anon_sym_throw] = ACTIONS(1955),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1755] = {
    [sym_type_parameters] = STATE(19200),
    [sym_inline_modifier] = STATE(2463),
    [sym__indentable_expression] = STATE(14800),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(8734),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17498),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11304),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7224),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10395),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1755),
    [sym_block_comment] = STATE(1755),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1921),
    [anon_sym_for] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(1929),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(1943),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(1953),
    [anon_sym_throw] = ACTIONS(1955),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1756] = {
    [sym_type_parameters] = STATE(19200),
    [sym_inline_modifier] = STATE(2463),
    [sym__indentable_expression] = STATE(14808),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(8734),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17498),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11304),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7224),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10395),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1756),
    [sym_block_comment] = STATE(1756),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1921),
    [anon_sym_for] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(1929),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(1943),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(1953),
    [anon_sym_throw] = ACTIONS(1955),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1757] = {
    [sym_type_parameters] = STATE(19200),
    [sym_inline_modifier] = STATE(2463),
    [sym__indentable_expression] = STATE(14815),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(8734),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17498),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11304),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7224),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10395),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1757),
    [sym_block_comment] = STATE(1757),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1921),
    [anon_sym_for] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(1929),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(1943),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(1953),
    [anon_sym_throw] = ACTIONS(1955),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1758] = {
    [sym_type_parameters] = STATE(19200),
    [sym_inline_modifier] = STATE(2463),
    [sym__indentable_expression] = STATE(14848),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(8734),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17498),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11304),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7224),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10395),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1758),
    [sym_block_comment] = STATE(1758),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1921),
    [anon_sym_for] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(1929),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(1943),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(1953),
    [anon_sym_throw] = ACTIONS(1955),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1759] = {
    [sym_type_parameters] = STATE(19200),
    [sym_inline_modifier] = STATE(2463),
    [sym__indentable_expression] = STATE(14857),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(8734),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17498),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11304),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7224),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10395),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1759),
    [sym_block_comment] = STATE(1759),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1921),
    [anon_sym_for] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(1929),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(1943),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(1953),
    [anon_sym_throw] = ACTIONS(1955),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1760] = {
    [sym_type_parameters] = STATE(19200),
    [sym_inline_modifier] = STATE(2463),
    [sym__indentable_expression] = STATE(14864),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(8734),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17498),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11304),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7224),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10395),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1760),
    [sym_block_comment] = STATE(1760),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1921),
    [anon_sym_for] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(1929),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(1943),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(1953),
    [anon_sym_throw] = ACTIONS(1955),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1761] = {
    [sym_type_parameters] = STATE(19200),
    [sym_inline_modifier] = STATE(2463),
    [sym__indentable_expression] = STATE(14865),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(8734),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17498),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11304),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7224),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10395),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1761),
    [sym_block_comment] = STATE(1761),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1921),
    [anon_sym_for] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(1929),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(1943),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(1953),
    [anon_sym_throw] = ACTIONS(1955),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1762] = {
    [sym_type_parameters] = STATE(19200),
    [sym_inline_modifier] = STATE(2463),
    [sym__indentable_expression] = STATE(14867),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(8734),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17498),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11304),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7224),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10395),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1762),
    [sym_block_comment] = STATE(1762),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1921),
    [anon_sym_for] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(1929),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(1943),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(1953),
    [anon_sym_throw] = ACTIONS(1955),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1763] = {
    [sym_type_parameters] = STATE(19200),
    [sym_inline_modifier] = STATE(2463),
    [sym__indentable_expression] = STATE(14868),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(8734),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17498),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11304),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7224),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10395),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1763),
    [sym_block_comment] = STATE(1763),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1921),
    [anon_sym_for] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(1929),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(1943),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(1953),
    [anon_sym_throw] = ACTIONS(1955),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1764] = {
    [sym_type_parameters] = STATE(19200),
    [sym_inline_modifier] = STATE(2463),
    [sym__indentable_expression] = STATE(14874),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(14733),
    [sym_indented_cases] = STATE(14733),
    [sym_expression] = STATE(14530),
    [sym__simple_expression] = STATE(8734),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17498),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11304),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7224),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10395),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1764),
    [sym_block_comment] = STATE(1764),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1921),
    [anon_sym_for] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(1929),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(1943),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(1953),
    [anon_sym_throw] = ACTIONS(1955),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(1959),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1765] = {
    [sym_type_parameters] = STATE(19207),
    [sym_inline_modifier] = STATE(2464),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14915),
    [sym__simple_expression] = STATE(7248),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17632),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10970),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6228),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9914),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1765),
    [sym_block_comment] = STATE(1765),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(1437),
    [anon_sym_while] = ACTIONS(3404),
    [anon_sym_for] = ACTIONS(3406),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(3408),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3410),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(3412),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_throw] = ACTIONS(3416),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1435),
    [sym__outdent] = ACTIONS(1435),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1766] = {
    [sym_type_parameters] = STATE(19207),
    [sym_inline_modifier] = STATE(2464),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14913),
    [sym__simple_expression] = STATE(7248),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17632),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10970),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6228),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9914),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1766),
    [sym_block_comment] = STATE(1766),
    [sym__alpha_identifier] = ACTIONS(3139),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(3142),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(3145),
    [anon_sym_if] = ACTIONS(3418),
    [anon_sym_while] = ACTIONS(3404),
    [anon_sym_for] = ACTIONS(3406),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(3408),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(3145),
    [anon_sym_implicit] = ACTIONS(3410),
    [anon_sym_inline] = ACTIONS(3148),
    [anon_sym_infix] = ACTIONS(3145),
    [anon_sym_open] = ACTIONS(3145),
    [anon_sym_transparent] = ACTIONS(3145),
    [anon_sym_LPAREN] = ACTIONS(3151),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(3154),
    [sym_operator_identifier] = ACTIONS(3420),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_throw] = ACTIONS(3416),
    [anon_sym_do] = ACTIONS(3160),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1767] = {
    [sym_type_parameters] = STATE(19207),
    [sym_inline_modifier] = STATE(2464),
    [sym__indentable_expression] = STATE(15056),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7248),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17632),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10970),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6228),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9914),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1767),
    [sym_block_comment] = STATE(1767),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(3418),
    [anon_sym_while] = ACTIONS(3404),
    [anon_sym_for] = ACTIONS(3406),
    [anon_sym_try] = ACTIONS(3408),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3410),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(3412),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_throw] = ACTIONS(3416),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1768] = {
    [sym_type_parameters] = STATE(19298),
    [sym_inline_modifier] = STATE(2478),
    [sym__indentable_expression] = STATE(14092),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7225),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17377),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10767),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6197),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9684),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1768),
    [sym_block_comment] = STATE(1768),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(2245),
    [anon_sym_for] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2253),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2255),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1769] = {
    [sym_type_parameters] = STATE(19207),
    [sym_inline_modifier] = STATE(2464),
    [sym__indentable_expression] = STATE(15007),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7248),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17632),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10970),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6228),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9914),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1769),
    [sym_block_comment] = STATE(1769),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(3418),
    [anon_sym_while] = ACTIONS(3404),
    [anon_sym_for] = ACTIONS(3406),
    [anon_sym_try] = ACTIONS(3408),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3410),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(3412),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_throw] = ACTIONS(3416),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1770] = {
    [sym_type_parameters] = STATE(19207),
    [sym_inline_modifier] = STATE(2464),
    [sym__indentable_expression] = STATE(15017),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7248),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17632),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10970),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6228),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9914),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1770),
    [sym_block_comment] = STATE(1770),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(3418),
    [anon_sym_while] = ACTIONS(3404),
    [anon_sym_for] = ACTIONS(3406),
    [anon_sym_try] = ACTIONS(3408),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3410),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(3412),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_throw] = ACTIONS(3416),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1771] = {
    [sym_type_parameters] = STATE(19207),
    [sym_inline_modifier] = STATE(2464),
    [sym__indentable_expression] = STATE(14961),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7248),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17632),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10970),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6228),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9914),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1771),
    [sym_block_comment] = STATE(1771),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(3418),
    [anon_sym_while] = ACTIONS(3404),
    [anon_sym_for] = ACTIONS(3406),
    [anon_sym_try] = ACTIONS(3408),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3410),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(3412),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_throw] = ACTIONS(3416),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1772] = {
    [sym_type_parameters] = STATE(19207),
    [sym_inline_modifier] = STATE(2464),
    [sym__indentable_expression] = STATE(14989),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7248),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17632),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10970),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6228),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9914),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1772),
    [sym_block_comment] = STATE(1772),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(3418),
    [anon_sym_while] = ACTIONS(3404),
    [anon_sym_for] = ACTIONS(3406),
    [anon_sym_try] = ACTIONS(3408),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3410),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(3412),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_throw] = ACTIONS(3416),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1773] = {
    [sym_type_parameters] = STATE(19207),
    [sym_inline_modifier] = STATE(2464),
    [sym__indentable_expression] = STATE(15082),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7248),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17632),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10970),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6228),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9914),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1773),
    [sym_block_comment] = STATE(1773),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(3418),
    [anon_sym_while] = ACTIONS(3404),
    [anon_sym_for] = ACTIONS(3406),
    [anon_sym_try] = ACTIONS(3408),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3410),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(3412),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_throw] = ACTIONS(3416),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1774] = {
    [sym_type_parameters] = STATE(19207),
    [sym_inline_modifier] = STATE(2464),
    [sym__indentable_expression] = STATE(15095),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7248),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17632),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10970),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6228),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9914),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1774),
    [sym_block_comment] = STATE(1774),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(3418),
    [anon_sym_while] = ACTIONS(3404),
    [anon_sym_for] = ACTIONS(3406),
    [anon_sym_try] = ACTIONS(3408),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3410),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(3412),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_throw] = ACTIONS(3416),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1775] = {
    [sym_type_parameters] = STATE(19207),
    [sym_inline_modifier] = STATE(2464),
    [sym__indentable_expression] = STATE(15055),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7248),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17632),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10970),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6228),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9914),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1775),
    [sym_block_comment] = STATE(1775),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(3418),
    [anon_sym_while] = ACTIONS(3404),
    [anon_sym_for] = ACTIONS(3406),
    [anon_sym_try] = ACTIONS(3408),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3410),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(3412),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_throw] = ACTIONS(3416),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1776] = {
    [sym_type_parameters] = STATE(19207),
    [sym_inline_modifier] = STATE(2464),
    [sym__indentable_expression] = STATE(14936),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7248),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17632),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10970),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6228),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9914),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1776),
    [sym_block_comment] = STATE(1776),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(3418),
    [anon_sym_while] = ACTIONS(3404),
    [anon_sym_for] = ACTIONS(3406),
    [anon_sym_try] = ACTIONS(3408),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3410),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(3412),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_throw] = ACTIONS(3416),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1777] = {
    [sym_type_parameters] = STATE(19207),
    [sym_inline_modifier] = STATE(2464),
    [sym__indentable_expression] = STATE(15013),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7248),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17632),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10970),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6228),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9914),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1777),
    [sym_block_comment] = STATE(1777),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(3418),
    [anon_sym_while] = ACTIONS(3404),
    [anon_sym_for] = ACTIONS(3406),
    [anon_sym_try] = ACTIONS(3408),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3410),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(3412),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_throw] = ACTIONS(3416),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1778] = {
    [sym_type_parameters] = STATE(19207),
    [sym_inline_modifier] = STATE(2464),
    [sym__indentable_expression] = STATE(14948),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7248),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17632),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10970),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6228),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9914),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1778),
    [sym_block_comment] = STATE(1778),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(3418),
    [anon_sym_while] = ACTIONS(3404),
    [anon_sym_for] = ACTIONS(3406),
    [anon_sym_try] = ACTIONS(3408),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3410),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(3412),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_throw] = ACTIONS(3416),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1779] = {
    [sym_type_parameters] = STATE(19207),
    [sym_inline_modifier] = STATE(2464),
    [sym__indentable_expression] = STATE(15085),
    [sym_block] = STATE(10130),
    [sym_indented_block] = STATE(15093),
    [sym_indented_cases] = STATE(15093),
    [sym_expression] = STATE(14918),
    [sym__simple_expression] = STATE(7248),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17632),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10970),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6228),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9914),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1779),
    [sym_block_comment] = STATE(1779),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(3418),
    [anon_sym_while] = ACTIONS(3404),
    [anon_sym_for] = ACTIONS(3406),
    [anon_sym_try] = ACTIONS(3408),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3410),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(3412),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_throw] = ACTIONS(3416),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(843),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1780] = {
    [sym_type_parameters] = STATE(19298),
    [sym_inline_modifier] = STATE(2478),
    [sym__indentable_expression] = STATE(14096),
    [sym_block] = STATE(8086),
    [sym_indented_block] = STATE(14153),
    [sym_indented_cases] = STATE(14153),
    [sym_expression] = STATE(13808),
    [sym__simple_expression] = STATE(7225),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17377),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10767),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6197),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9684),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1780),
    [sym_block_comment] = STATE(1780),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(2245),
    [anon_sym_for] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2253),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2255),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2231),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1781] = {
    [sym_type_parameters] = STATE(19214),
    [sym_inline_modifier] = STATE(2465),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(13990),
    [sym__simple_expression] = STATE(6878),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17725),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10612),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5702),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8984),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1781),
    [sym_block_comment] = STATE(1781),
    [sym__alpha_identifier] = ACTIONS(2734),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2737),
    [anon_sym_DOT] = ACTIONS(2648),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(2740),
    [anon_sym_if] = ACTIONS(1001),
    [anon_sym_while] = ACTIONS(1003),
    [anon_sym_for] = ACTIONS(1005),
    [anon_sym_match] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(1007),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_EQ] = ACTIONS(2648),
    [anon_sym_opaque] = ACTIONS(2740),
    [anon_sym_implicit] = ACTIONS(1009),
    [anon_sym_inline] = ACTIONS(2743),
    [anon_sym_infix] = ACTIONS(2740),
    [anon_sym_open] = ACTIONS(2740),
    [anon_sym_transparent] = ACTIONS(2740),
    [anon_sym_LPAREN] = ACTIONS(2746),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(2749),
    [sym_operator_identifier] = ACTIONS(3423),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(1029),
    [anon_sym_throw] = ACTIONS(1031),
    [anon_sym_do] = ACTIONS(2755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1782] = {
    [sym_type_parameters] = STATE(19214),
    [sym_inline_modifier] = STATE(2465),
    [sym__indentable_expression] = STATE(13955),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(6878),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17725),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10612),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5702),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8984),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1782),
    [sym_block_comment] = STATE(1782),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1001),
    [anon_sym_while] = ACTIONS(1003),
    [anon_sym_for] = ACTIONS(1005),
    [anon_sym_try] = ACTIONS(1007),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(1009),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(2625),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(1029),
    [anon_sym_throw] = ACTIONS(1031),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1783] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym__indentable_expression] = STATE(15403),
    [sym_block] = STATE(10944),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(15239),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1783),
    [sym_block_comment] = STATE(1783),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [1784] = {
    [sym_type_parameters] = STATE(19214),
    [sym_inline_modifier] = STATE(2465),
    [sym__indentable_expression] = STATE(13725),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(6878),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17725),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10612),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5702),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8984),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1784),
    [sym_block_comment] = STATE(1784),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1001),
    [anon_sym_while] = ACTIONS(1003),
    [anon_sym_for] = ACTIONS(1005),
    [anon_sym_try] = ACTIONS(1007),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(1009),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(2625),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(1029),
    [anon_sym_throw] = ACTIONS(1031),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1785] = {
    [sym_type_parameters] = STATE(19214),
    [sym_inline_modifier] = STATE(2465),
    [sym__indentable_expression] = STATE(13989),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(6878),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17725),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10612),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5702),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8984),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1785),
    [sym_block_comment] = STATE(1785),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1001),
    [anon_sym_while] = ACTIONS(1003),
    [anon_sym_for] = ACTIONS(1005),
    [anon_sym_try] = ACTIONS(1007),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(1009),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(2625),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(1029),
    [anon_sym_throw] = ACTIONS(1031),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1786] = {
    [sym_type_parameters] = STATE(19214),
    [sym_inline_modifier] = STATE(2465),
    [sym__indentable_expression] = STATE(14011),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(6878),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17725),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10612),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5702),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8984),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1786),
    [sym_block_comment] = STATE(1786),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1001),
    [anon_sym_while] = ACTIONS(1003),
    [anon_sym_for] = ACTIONS(1005),
    [anon_sym_try] = ACTIONS(1007),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(1009),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(2625),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(1029),
    [anon_sym_throw] = ACTIONS(1031),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1787] = {
    [sym_type_parameters] = STATE(19214),
    [sym_inline_modifier] = STATE(2465),
    [sym__indentable_expression] = STATE(13636),
    [sym_block] = STATE(8582),
    [sym_indented_block] = STATE(14018),
    [sym_indented_cases] = STATE(14018),
    [sym_expression] = STATE(14052),
    [sym__simple_expression] = STATE(6878),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17725),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10612),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5702),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8984),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1787),
    [sym_block_comment] = STATE(1787),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1001),
    [anon_sym_while] = ACTIONS(1003),
    [anon_sym_for] = ACTIONS(1005),
    [anon_sym_try] = ACTIONS(1007),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(1009),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(2625),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(1029),
    [anon_sym_throw] = ACTIONS(1031),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2643),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1788] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym__indentable_expression] = STATE(15094),
    [sym_block] = STATE(10214),
    [sym_indented_block] = STATE(14928),
    [sym_indented_cases] = STATE(14928),
    [sym_expression] = STATE(14780),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1788),
    [sym_block_comment] = STATE(1788),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2581),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1789] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19013),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1789),
    [sym_block_comment] = STATE(1789),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3426),
    [anon_sym_RPAREN] = ACTIONS(3428),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1790] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18925),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1790),
    [sym_block_comment] = STATE(1790),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3430),
    [anon_sym_RPAREN] = ACTIONS(3432),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1791] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18461),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1791),
    [sym_block_comment] = STATE(1791),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3434),
    [anon_sym_RPAREN] = ACTIONS(3436),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1792] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18708),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1792),
    [sym_block_comment] = STATE(1792),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3438),
    [anon_sym_RPAREN] = ACTIONS(3440),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1793] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19156),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1793),
    [sym_block_comment] = STATE(1793),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3442),
    [anon_sym_RPAREN] = ACTIONS(3444),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1794] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19520),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1794),
    [sym_block_comment] = STATE(1794),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3446),
    [anon_sym_RPAREN] = ACTIONS(3448),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1795] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18145),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1795),
    [sym_block_comment] = STATE(1795),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3450),
    [anon_sym_RPAREN] = ACTIONS(3452),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1796] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17845),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1796),
    [sym_block_comment] = STATE(1796),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3454),
    [anon_sym_RPAREN] = ACTIONS(3456),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1797] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18804),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1797),
    [sym_block_comment] = STATE(1797),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_RPAREN] = ACTIONS(3460),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1798] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19330),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1798),
    [sym_block_comment] = STATE(1798),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3462),
    [anon_sym_RPAREN] = ACTIONS(3464),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1799] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17843),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1799),
    [sym_block_comment] = STATE(1799),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3466),
    [anon_sym_RPAREN] = ACTIONS(3468),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1800] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17996),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1800),
    [sym_block_comment] = STATE(1800),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3470),
    [anon_sym_RPAREN] = ACTIONS(3472),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1801] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19074),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1801),
    [sym_block_comment] = STATE(1801),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3474),
    [anon_sym_RPAREN] = ACTIONS(3476),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1802] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18088),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1802),
    [sym_block_comment] = STATE(1802),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3478),
    [anon_sym_RPAREN] = ACTIONS(3480),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1803] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19089),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1803),
    [sym_block_comment] = STATE(1803),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3482),
    [anon_sym_RPAREN] = ACTIONS(3484),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1804] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18257),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1804),
    [sym_block_comment] = STATE(1804),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3486),
    [anon_sym_RPAREN] = ACTIONS(3488),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1805] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18507),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1805),
    [sym_block_comment] = STATE(1805),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_RPAREN] = ACTIONS(3492),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1806] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18987),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1806),
    [sym_block_comment] = STATE(1806),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3494),
    [anon_sym_RPAREN] = ACTIONS(3496),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1807] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(11472),
    [sym_expression] = STATE(16591),
    [sym__simple_expression] = STATE(9603),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(11472),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(11472),
    [sym_call_expression] = STATE(11472),
    [sym_field_expression] = STATE(11472),
    [sym_instance_expression] = STATE(11472),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(17982),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11710),
    [sym_tuple_expression] = STATE(11472),
    [sym_parenthesized_expression] = STATE(11472),
    [sym_splice_expression] = STATE(11472),
    [sym_quote_expression] = STATE(11472),
    [sym_identifier] = STATE(9418),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11189),
    [sym__non_null_literal] = STATE(11472),
    [sym_boolean_literal] = STATE(11375),
    [sym_interpolated_string_expression] = STATE(11472),
    [sym_string] = STATE(11375),
    [sym_unit] = STATE(11472),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1807),
    [sym_block_comment] = STATE(1807),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_COLON] = ACTIONS(3498),
    [anon_sym_LBRACE] = ACTIONS(3500),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_EQ_GT] = ACTIONS(1043),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3502),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(3504),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(3506),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DOLLAR] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3510),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3512),
    [sym_integer_literal] = ACTIONS(3514),
    [sym_floating_point_literal] = ACTIONS(3516),
    [anon_sym_true] = ACTIONS(3518),
    [anon_sym_false] = ACTIONS(3518),
    [sym_character_literal] = ACTIONS(3516),
    [sym_null_literal] = ACTIONS(3520),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(3522),
    [sym__simple_string] = ACTIONS(3522),
  },
  [1808] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18662),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1808),
    [sym_block_comment] = STATE(1808),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3524),
    [anon_sym_RPAREN] = ACTIONS(3526),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1809] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17796),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1809),
    [sym_block_comment] = STATE(1809),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3528),
    [anon_sym_RPAREN] = ACTIONS(3530),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1810] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18711),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1810),
    [sym_block_comment] = STATE(1810),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3532),
    [anon_sym_RPAREN] = ACTIONS(3534),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1811] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18369),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1811),
    [sym_block_comment] = STATE(1811),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3536),
    [anon_sym_RPAREN] = ACTIONS(3538),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1812] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18835),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1812),
    [sym_block_comment] = STATE(1812),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3540),
    [anon_sym_RPAREN] = ACTIONS(3542),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1813] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18960),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1813),
    [sym_block_comment] = STATE(1813),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3544),
    [anon_sym_RPAREN] = ACTIONS(3546),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1814] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19048),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1814),
    [sym_block_comment] = STATE(1814),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3548),
    [anon_sym_RPAREN] = ACTIONS(3550),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1815] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19142),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1815),
    [sym_block_comment] = STATE(1815),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3552),
    [anon_sym_RPAREN] = ACTIONS(3554),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1816] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18989),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1816),
    [sym_block_comment] = STATE(1816),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3556),
    [anon_sym_RPAREN] = ACTIONS(3558),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1817] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19229),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1817),
    [sym_block_comment] = STATE(1817),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3560),
    [anon_sym_RPAREN] = ACTIONS(3562),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1818] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17860),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1818),
    [sym_block_comment] = STATE(1818),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3564),
    [anon_sym_RPAREN] = ACTIONS(3566),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1819] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19351),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1819),
    [sym_block_comment] = STATE(1819),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3568),
    [anon_sym_RPAREN] = ACTIONS(3570),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1820] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19526),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1820),
    [sym_block_comment] = STATE(1820),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3572),
    [anon_sym_RPAREN] = ACTIONS(3574),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1821] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19519),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1821),
    [sym_block_comment] = STATE(1821),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_RPAREN] = ACTIONS(3578),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1822] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18095),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1822),
    [sym_block_comment] = STATE(1822),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3580),
    [anon_sym_RPAREN] = ACTIONS(3582),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1823] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18571),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1823),
    [sym_block_comment] = STATE(1823),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3584),
    [anon_sym_RPAREN] = ACTIONS(3586),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1824] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17802),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1824),
    [sym_block_comment] = STATE(1824),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3588),
    [anon_sym_RPAREN] = ACTIONS(3590),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1825] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18123),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1825),
    [sym_block_comment] = STATE(1825),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3592),
    [anon_sym_RPAREN] = ACTIONS(3594),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1826] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18462),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1826),
    [sym_block_comment] = STATE(1826),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3596),
    [anon_sym_RPAREN] = ACTIONS(3598),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1827] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17919),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1827),
    [sym_block_comment] = STATE(1827),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3600),
    [anon_sym_RPAREN] = ACTIONS(3602),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1828] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18751),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1828),
    [sym_block_comment] = STATE(1828),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3604),
    [anon_sym_RPAREN] = ACTIONS(3606),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1829] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18196),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1829),
    [sym_block_comment] = STATE(1829),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3608),
    [anon_sym_RPAREN] = ACTIONS(3610),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1830] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18947),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1830),
    [sym_block_comment] = STATE(1830),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3612),
    [anon_sym_RPAREN] = ACTIONS(3614),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1831] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19102),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1831),
    [sym_block_comment] = STATE(1831),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3616),
    [anon_sym_RPAREN] = ACTIONS(3618),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1832] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19108),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1832),
    [sym_block_comment] = STATE(1832),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3620),
    [anon_sym_RPAREN] = ACTIONS(3622),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1833] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17893),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1833),
    [sym_block_comment] = STATE(1833),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3624),
    [anon_sym_RPAREN] = ACTIONS(3626),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1834] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19380),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1834),
    [sym_block_comment] = STATE(1834),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3628),
    [anon_sym_RPAREN] = ACTIONS(3630),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1835] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17809),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1835),
    [sym_block_comment] = STATE(1835),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3632),
    [anon_sym_RPAREN] = ACTIONS(3634),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1836] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17772),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1836),
    [sym_block_comment] = STATE(1836),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3636),
    [anon_sym_RPAREN] = ACTIONS(3638),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1837] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18823),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1837),
    [sym_block_comment] = STATE(1837),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3640),
    [anon_sym_RPAREN] = ACTIONS(3642),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1838] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17805),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1838),
    [sym_block_comment] = STATE(1838),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3644),
    [anon_sym_RPAREN] = ACTIONS(3646),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1839] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17831),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1839),
    [sym_block_comment] = STATE(1839),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3648),
    [anon_sym_RPAREN] = ACTIONS(3650),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1840] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17844),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1840),
    [sym_block_comment] = STATE(1840),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3652),
    [anon_sym_RPAREN] = ACTIONS(3654),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1841] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17877),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1841),
    [sym_block_comment] = STATE(1841),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3656),
    [anon_sym_RPAREN] = ACTIONS(3658),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1842] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17907),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1842),
    [sym_block_comment] = STATE(1842),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3660),
    [anon_sym_RPAREN] = ACTIONS(3662),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1843] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17984),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1843),
    [sym_block_comment] = STATE(1843),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3664),
    [anon_sym_RPAREN] = ACTIONS(3666),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1844] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18218),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1844),
    [sym_block_comment] = STATE(1844),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3668),
    [anon_sym_RPAREN] = ACTIONS(3670),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1845] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18919),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1845),
    [sym_block_comment] = STATE(1845),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3672),
    [anon_sym_RPAREN] = ACTIONS(3674),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1846] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18049),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1846),
    [sym_block_comment] = STATE(1846),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3676),
    [anon_sym_RPAREN] = ACTIONS(3678),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1847] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19015),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1847),
    [sym_block_comment] = STATE(1847),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3680),
    [anon_sym_RPAREN] = ACTIONS(3682),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1848] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18523),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1848),
    [sym_block_comment] = STATE(1848),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3684),
    [anon_sym_RPAREN] = ACTIONS(3686),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1849] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18111),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1849),
    [sym_block_comment] = STATE(1849),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3688),
    [anon_sym_RPAREN] = ACTIONS(3690),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1850] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18119),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1850),
    [sym_block_comment] = STATE(1850),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3692),
    [anon_sym_RPAREN] = ACTIONS(3694),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1851] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19185),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1851),
    [sym_block_comment] = STATE(1851),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3696),
    [anon_sym_RPAREN] = ACTIONS(3698),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1852] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18178),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1852),
    [sym_block_comment] = STATE(1852),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3700),
    [anon_sym_RPAREN] = ACTIONS(3702),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1853] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18501),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1853),
    [sym_block_comment] = STATE(1853),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3704),
    [anon_sym_RPAREN] = ACTIONS(3706),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1854] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18077),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1854),
    [sym_block_comment] = STATE(1854),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3708),
    [anon_sym_RPAREN] = ACTIONS(3710),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1855] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18244),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1855),
    [sym_block_comment] = STATE(1855),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3712),
    [anon_sym_RPAREN] = ACTIONS(3714),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1856] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18679),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1856),
    [sym_block_comment] = STATE(1856),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3716),
    [anon_sym_RPAREN] = ACTIONS(3718),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1857] = {
    [sym_type_parameters] = STATE(19123),
    [sym_inline_modifier] = STATE(2451),
    [sym_block] = STATE(9061),
    [sym_expression] = STATE(14230),
    [sym__simple_expression] = STATE(8318),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17393),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11156),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6713),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(10010),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1857),
    [sym_block_comment] = STATE(1857),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2958),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2962),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2966),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2968),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(1437),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1858] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19322),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1858),
    [sym_block_comment] = STATE(1858),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3720),
    [anon_sym_RPAREN] = ACTIONS(3722),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1859] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19111),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1859),
    [sym_block_comment] = STATE(1859),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3724),
    [anon_sym_RPAREN] = ACTIONS(3726),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1860] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18314),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1860),
    [sym_block_comment] = STATE(1860),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3728),
    [anon_sym_RPAREN] = ACTIONS(3730),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1861] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18349),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1861),
    [sym_block_comment] = STATE(1861),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3732),
    [anon_sym_RPAREN] = ACTIONS(3734),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1862] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18381),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1862),
    [sym_block_comment] = STATE(1862),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3736),
    [anon_sym_RPAREN] = ACTIONS(3738),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1863] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19499),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1863),
    [sym_block_comment] = STATE(1863),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3740),
    [anon_sym_RPAREN] = ACTIONS(3742),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1864] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18424),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1864),
    [sym_block_comment] = STATE(1864),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3744),
    [anon_sym_RPAREN] = ACTIONS(3746),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1865] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18489),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1865),
    [sym_block_comment] = STATE(1865),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3748),
    [anon_sym_RPAREN] = ACTIONS(3750),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1866] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18474),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1866),
    [sym_block_comment] = STATE(1866),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3752),
    [anon_sym_RPAREN] = ACTIONS(3754),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1867] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18665),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1867),
    [sym_block_comment] = STATE(1867),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3756),
    [anon_sym_RPAREN] = ACTIONS(3758),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1868] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18517),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1868),
    [sym_block_comment] = STATE(1868),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3760),
    [anon_sym_RPAREN] = ACTIONS(3762),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1869] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18572),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1869),
    [sym_block_comment] = STATE(1869),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3764),
    [anon_sym_RPAREN] = ACTIONS(3766),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1870] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18628),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1870),
    [sym_block_comment] = STATE(1870),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3768),
    [anon_sym_RPAREN] = ACTIONS(3770),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1871] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18677),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1871),
    [sym_block_comment] = STATE(1871),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3772),
    [anon_sym_RPAREN] = ACTIONS(3774),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1872] = {
    [sym_type_parameters] = STATE(19067),
    [sym_inline_modifier] = STATE(2437),
    [sym_block] = STATE(8813),
    [sym_expression] = STATE(14184),
    [sym__simple_expression] = STATE(8301),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17572),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11110),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6708),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(10134),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1872),
    [sym_block_comment] = STATE(1872),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_catch] = ACTIONS(1437),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2203),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2207),
    [anon_sym_do] = ACTIONS(1437),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1873] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18718),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1873),
    [sym_block_comment] = STATE(1873),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3776),
    [anon_sym_RPAREN] = ACTIONS(3778),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1874] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18068),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1874),
    [sym_block_comment] = STATE(1874),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3780),
    [anon_sym_RPAREN] = ACTIONS(3782),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1875] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18754),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1875),
    [sym_block_comment] = STATE(1875),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3784),
    [anon_sym_RPAREN] = ACTIONS(3786),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1876] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19161),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1876),
    [sym_block_comment] = STATE(1876),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3788),
    [anon_sym_RPAREN] = ACTIONS(3790),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1877] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18792),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1877),
    [sym_block_comment] = STATE(1877),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3792),
    [anon_sym_RPAREN] = ACTIONS(3794),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1878] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18838),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1878),
    [sym_block_comment] = STATE(1878),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3796),
    [anon_sym_RPAREN] = ACTIONS(3798),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1879] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19022),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1879),
    [sym_block_comment] = STATE(1879),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3800),
    [anon_sym_RPAREN] = ACTIONS(3802),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1880] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18885),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1880),
    [sym_block_comment] = STATE(1880),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3804),
    [anon_sym_RPAREN] = ACTIONS(3806),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1881] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18928),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1881),
    [sym_block_comment] = STATE(1881),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3808),
    [anon_sym_RPAREN] = ACTIONS(3810),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1882] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19031),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1882),
    [sym_block_comment] = STATE(1882),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3812),
    [anon_sym_RPAREN] = ACTIONS(3814),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1883] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18982),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1883),
    [sym_block_comment] = STATE(1883),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3816),
    [anon_sym_RPAREN] = ACTIONS(3818),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1884] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17870),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1884),
    [sym_block_comment] = STATE(1884),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3820),
    [anon_sym_RPAREN] = ACTIONS(3822),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1885] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19042),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1885),
    [sym_block_comment] = STATE(1885),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3824),
    [anon_sym_RPAREN] = ACTIONS(3826),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1886] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18565),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1886),
    [sym_block_comment] = STATE(1886),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3828),
    [anon_sym_RPAREN] = ACTIONS(3830),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1887] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19098),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1887),
    [sym_block_comment] = STATE(1887),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3832),
    [anon_sym_RPAREN] = ACTIONS(3834),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1888] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18968),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1888),
    [sym_block_comment] = STATE(1888),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3836),
    [anon_sym_RPAREN] = ACTIONS(3838),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1889] = {
    [sym_type_parameters] = STATE(19075),
    [sym_inline_modifier] = STATE(2439),
    [sym_block] = STATE(8813),
    [sym_expression] = STATE(14184),
    [sym__simple_expression] = STATE(8573),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17664),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11137),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6815),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(9947),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(1889),
    [sym_block_comment] = STATE(1889),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2211),
    [anon_sym_while] = ACTIONS(1437),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2219),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_catch] = ACTIONS(1437),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2221),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1890] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19157),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1890),
    [sym_block_comment] = STATE(1890),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3840),
    [anon_sym_RPAREN] = ACTIONS(3842),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1891] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19341),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1891),
    [sym_block_comment] = STATE(1891),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3844),
    [anon_sym_RPAREN] = ACTIONS(3846),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1892] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19218),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1892),
    [sym_block_comment] = STATE(1892),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3848),
    [anon_sym_RPAREN] = ACTIONS(3850),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1893] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19274),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1893),
    [sym_block_comment] = STATE(1893),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3852),
    [anon_sym_RPAREN] = ACTIONS(3854),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1894] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18797),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1894),
    [sym_block_comment] = STATE(1894),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3856),
    [anon_sym_RPAREN] = ACTIONS(3858),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1895] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19337),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1895),
    [sym_block_comment] = STATE(1895),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3860),
    [anon_sym_RPAREN] = ACTIONS(3862),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1896] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18217),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1896),
    [sym_block_comment] = STATE(1896),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3864),
    [anon_sym_RPAREN] = ACTIONS(3866),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1897] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19403),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1897),
    [sym_block_comment] = STATE(1897),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3868),
    [anon_sym_RPAREN] = ACTIONS(3870),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1898] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19505),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1898),
    [sym_block_comment] = STATE(1898),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3872),
    [anon_sym_RPAREN] = ACTIONS(3874),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1899] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18146),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1899),
    [sym_block_comment] = STATE(1899),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3876),
    [anon_sym_RPAREN] = ACTIONS(3878),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1900] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19540),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1900),
    [sym_block_comment] = STATE(1900),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3880),
    [anon_sym_RPAREN] = ACTIONS(3882),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1901] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18448),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1901),
    [sym_block_comment] = STATE(1901),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3884),
    [anon_sym_RPAREN] = ACTIONS(3886),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1902] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18595),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1902),
    [sym_block_comment] = STATE(1902),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3888),
    [anon_sym_RPAREN] = ACTIONS(3890),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1903] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19009),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1903),
    [sym_block_comment] = STATE(1903),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3892),
    [anon_sym_RPAREN] = ACTIONS(3894),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1904] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18964),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1904),
    [sym_block_comment] = STATE(1904),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3896),
    [anon_sym_RPAREN] = ACTIONS(3898),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1905] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18609),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1905),
    [sym_block_comment] = STATE(1905),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3900),
    [anon_sym_RPAREN] = ACTIONS(3902),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1906] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17781),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1906),
    [sym_block_comment] = STATE(1906),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3904),
    [anon_sym_RPAREN] = ACTIONS(3906),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1907] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18789),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1907),
    [sym_block_comment] = STATE(1907),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3908),
    [anon_sym_RPAREN] = ACTIONS(3910),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1908] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18321),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1908),
    [sym_block_comment] = STATE(1908),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3912),
    [anon_sym_RPAREN] = ACTIONS(3914),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1909] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19168),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1909),
    [sym_block_comment] = STATE(1909),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3916),
    [anon_sym_RPAREN] = ACTIONS(3918),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1910] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19055),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1910),
    [sym_block_comment] = STATE(1910),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3920),
    [anon_sym_RPAREN] = ACTIONS(3922),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1911] = {
    [sym_type_parameters] = STATE(19144),
    [sym_inline_modifier] = STATE(2455),
    [sym_block] = STATE(9061),
    [sym_expression] = STATE(14230),
    [sym__simple_expression] = STATE(8591),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17537),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11118),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6819),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1911),
    [sym_block_comment] = STATE(1911),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2974),
    [anon_sym_while] = ACTIONS(1437),
    [anon_sym_for] = ACTIONS(2978),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(2980),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2982),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2984),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2986),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1912] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18064),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1912),
    [sym_block_comment] = STATE(1912),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3924),
    [anon_sym_RPAREN] = ACTIONS(3926),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1913] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18944),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1913),
    [sym_block_comment] = STATE(1913),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3928),
    [anon_sym_RPAREN] = ACTIONS(3930),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1914] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17803),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1914),
    [sym_block_comment] = STATE(1914),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3932),
    [anon_sym_RPAREN] = ACTIONS(3934),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1915] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18356),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1915),
    [sym_block_comment] = STATE(1915),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(3936),
    [anon_sym_RPAREN] = ACTIONS(3938),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1916] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15244),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_binding] = STATE(16903),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(7922),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10668),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1916),
    [sym_block_comment] = STATE(1916),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(3940),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3942),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1917] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9948),
    [sym_expression] = STATE(16567),
    [sym__simple_expression] = STATE(6725),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9948),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9948),
    [sym_call_expression] = STATE(9948),
    [sym_field_expression] = STATE(9948),
    [sym_instance_expression] = STATE(9948),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(17791),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(10412),
    [sym_tuple_expression] = STATE(9948),
    [sym_parenthesized_expression] = STATE(9948),
    [sym_splice_expression] = STATE(9948),
    [sym_quote_expression] = STATE(9948),
    [sym_identifier] = STATE(5605),
    [sym__soft_identifier] = STATE(4751),
    [sym_wildcard] = STATE(8855),
    [sym__non_null_literal] = STATE(9948),
    [sym_boolean_literal] = STATE(10000),
    [sym_interpolated_string_expression] = STATE(9948),
    [sym_string] = STATE(10000),
    [sym_unit] = STATE(9948),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1917),
    [sym_block_comment] = STATE(1917),
    [sym__alpha_identifier] = ACTIONS(1513),
    [anon_sym_COLON] = ACTIONS(1515),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym__] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_end] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_opaque] = ACTIONS(1523),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1527),
    [anon_sym_infix] = ACTIONS(1523),
    [anon_sym_open] = ACTIONS(1523),
    [anon_sym_transparent] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [sym__backquoted_id] = ACTIONS(1535),
    [sym_operator_identifier] = ACTIONS(1537),
    [sym_integer_literal] = ACTIONS(1539),
    [sym_floating_point_literal] = ACTIONS(1541),
    [anon_sym_true] = ACTIONS(1543),
    [anon_sym_false] = ACTIONS(1543),
    [sym_character_literal] = ACTIONS(1541),
    [sym_null_literal] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1547),
    [sym__simple_string] = ACTIONS(1547),
  },
  [1918] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15140),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_binding] = STATE(16903),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(7922),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10668),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1918),
    [sym_block_comment] = STATE(1918),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(3944),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3942),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1919] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9061),
    [sym_expression] = STATE(16876),
    [sym__simple_expression] = STATE(5714),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(17799),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(9876),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(4823),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(7608),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1919),
    [sym_block_comment] = STATE(1919),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_COLON] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(1663),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1920] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15246),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_binding] = STATE(16903),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(7922),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10668),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1920),
    [sym_block_comment] = STATE(1920),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(3946),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3942),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1921] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15113),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_binding] = STATE(16903),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(7922),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10668),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1921),
    [sym_block_comment] = STATE(1921),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(3948),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3942),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1922] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15228),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_binding] = STATE(16903),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(7922),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10668),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1922),
    [sym_block_comment] = STATE(1922),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(987),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3942),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1923] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15129),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_binding] = STATE(16903),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(7922),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10668),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1923),
    [sym_block_comment] = STATE(1923),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(3950),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3942),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1924] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(7344),
    [sym_expression] = STATE(16529),
    [sym__simple_expression] = STATE(4891),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18051),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(8555),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(4691),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(6178),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1924),
    [sym_block_comment] = STATE(1924),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_COLON] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(1279),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1925] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15158),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_binding] = STATE(16903),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(7922),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10668),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1925),
    [sym_block_comment] = STATE(1925),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(3952),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3942),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1926] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(7275),
    [sym_expression] = STATE(16408),
    [sym__simple_expression] = STATE(4951),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18028),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(8297),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(4668),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(6324),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1926),
    [sym_block_comment] = STATE(1926),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_COLON] = ACTIONS(1149),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(1171),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [1927] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(6526),
    [sym_expression] = STATE(16957),
    [sym__simple_expression] = STATE(4734),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18294),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(7652),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4565),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(5607),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1927),
    [sym_block_comment] = STATE(1927),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_COLON] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1135),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [1928] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15199),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_binding] = STATE(16903),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(7922),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10668),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1928),
    [sym_block_comment] = STATE(1928),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(987),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3942),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1929] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(8225),
    [sym_expression] = STATE(16747),
    [sym__simple_expression] = STATE(5219),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18229),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(8732),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4753),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(6812),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1929),
    [sym_block_comment] = STATE(1929),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_COLON] = ACTIONS(1185),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1207),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [1930] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(17005),
    [sym__simple_expression] = STATE(5077),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(19205),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(9374),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(4748),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(6678),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1930),
    [sym_block_comment] = STATE(1930),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_COLON] = ACTIONS(1771),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(1773),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1931] = {
    [sym_type_parameters] = STATE(19200),
    [sym_inline_modifier] = STATE(2463),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(14406),
    [sym__simple_expression] = STATE(8734),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17498),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11304),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7224),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10395),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1931),
    [sym_block_comment] = STATE(1931),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1921),
    [anon_sym_for] = ACTIONS(1923),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(1929),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(1943),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(1953),
    [anon_sym_throw] = ACTIONS(1955),
    [anon_sym_do] = ACTIONS(1437),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1932] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9077),
    [sym_expression] = STATE(17232),
    [sym__simple_expression] = STATE(5627),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18357),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(9778),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(4926),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(7393),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1932),
    [sym_block_comment] = STATE(1932),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_COLON] = ACTIONS(1293),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(1315),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [1933] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15155),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_binding] = STATE(16903),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(7922),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10668),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1933),
    [sym_block_comment] = STATE(1933),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(3954),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3942),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1934] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15203),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_binding] = STATE(16903),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(7922),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10668),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1934),
    [sym_block_comment] = STATE(1934),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(969),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3942),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1935] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(6679),
    [sym_expression] = STATE(16438),
    [sym__simple_expression] = STATE(4729),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(17770),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(7200),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4637),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(5740),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1935),
    [sym_block_comment] = STATE(1935),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_COLON] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1099),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1936] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(16001),
    [sym__simple_expression] = STATE(6578),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18232),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(10699),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(5523),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9068),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1936),
    [sym_block_comment] = STATE(1936),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_COLON] = ACTIONS(2553),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(2557),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1937] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15150),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_binding] = STATE(16903),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(7922),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10668),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1937),
    [sym_block_comment] = STATE(1937),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(987),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3942),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1938] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15235),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_binding] = STATE(16903),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(7922),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10668),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1938),
    [sym_block_comment] = STATE(1938),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(3956),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3942),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1939] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(7573),
    [sym_expression] = STATE(16734),
    [sym__simple_expression] = STATE(4924),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(19126),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(8056),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(4650),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(5829),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1939),
    [sym_block_comment] = STATE(1939),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_COLON] = ACTIONS(1221),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(1243),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1940] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15166),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_binding] = STATE(16903),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(7922),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10668),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1940),
    [sym_block_comment] = STATE(1940),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(3958),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3942),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1941] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(16001),
    [sym__simple_expression] = STATE(6578),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18232),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(10699),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(5523),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9068),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1941),
    [sym_block_comment] = STATE(1941),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_COLON] = ACTIONS(2553),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(2557),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1942] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15124),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_binding] = STATE(16903),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(7922),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10668),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1942),
    [sym_block_comment] = STATE(1942),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(3960),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3942),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1943] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(16617),
    [sym__simple_expression] = STATE(6202),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18074),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(10222),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(8006),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1943),
    [sym_block_comment] = STATE(1943),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_COLON] = ACTIONS(2549),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2551),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1944] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10530),
    [sym_expression] = STATE(16335),
    [sym__simple_expression] = STATE(7508),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10530),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10530),
    [sym_call_expression] = STATE(10530),
    [sym_field_expression] = STATE(10530),
    [sym_instance_expression] = STATE(10530),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18657),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(10790),
    [sym_tuple_expression] = STATE(10530),
    [sym_parenthesized_expression] = STATE(10530),
    [sym_splice_expression] = STATE(10530),
    [sym_quote_expression] = STATE(10530),
    [sym_identifier] = STATE(5809),
    [sym__soft_identifier] = STATE(4921),
    [sym_wildcard] = STATE(9671),
    [sym__non_null_literal] = STATE(10530),
    [sym_boolean_literal] = STATE(10615),
    [sym_interpolated_string_expression] = STATE(10530),
    [sym_string] = STATE(10615),
    [sym_unit] = STATE(10530),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1944),
    [sym_block_comment] = STATE(1944),
    [sym__alpha_identifier] = ACTIONS(2399),
    [anon_sym_COLON] = ACTIONS(2401),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym__] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_end] = ACTIONS(2409),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_opaque] = ACTIONS(2409),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym_infix] = ACTIONS(2409),
    [anon_sym_open] = ACTIONS(2409),
    [anon_sym_transparent] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(2407),
    [anon_sym_TILDE] = ACTIONS(2407),
    [anon_sym_DOLLAR] = ACTIONS(2417),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [sym__backquoted_id] = ACTIONS(2421),
    [sym_operator_identifier] = ACTIONS(2423),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_floating_point_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2429),
    [anon_sym_false] = ACTIONS(2429),
    [sym_character_literal] = ACTIONS(2427),
    [sym_null_literal] = ACTIONS(2431),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2433),
    [sym__simple_string] = ACTIONS(2433),
  },
  [1945] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15171),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_binding] = STATE(16903),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(7922),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10668),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1945),
    [sym_block_comment] = STATE(1945),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(3962),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3942),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1946] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9793),
    [sym_expression] = STATE(15937),
    [sym__simple_expression] = STATE(5872),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9793),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9793),
    [sym_call_expression] = STATE(9793),
    [sym_field_expression] = STATE(9793),
    [sym_instance_expression] = STATE(9793),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(17934),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(10323),
    [sym_tuple_expression] = STATE(9793),
    [sym_parenthesized_expression] = STATE(9793),
    [sym_splice_expression] = STATE(9793),
    [sym_quote_expression] = STATE(9793),
    [sym_identifier] = STATE(5309),
    [sym__soft_identifier] = STATE(4682),
    [sym_wildcard] = STATE(8383),
    [sym__non_null_literal] = STATE(9793),
    [sym_boolean_literal] = STATE(9544),
    [sym_interpolated_string_expression] = STATE(9793),
    [sym_string] = STATE(9544),
    [sym_unit] = STATE(9793),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1946),
    [sym_block_comment] = STATE(1946),
    [sym__alpha_identifier] = ACTIONS(1327),
    [anon_sym_COLON] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym__] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_end] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1339),
    [anon_sym_opaque] = ACTIONS(1337),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1341),
    [anon_sym_infix] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_transparent] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_DOLLAR] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [sym__backquoted_id] = ACTIONS(1349),
    [sym_operator_identifier] = ACTIONS(1351),
    [sym_integer_literal] = ACTIONS(1353),
    [sym_floating_point_literal] = ACTIONS(1355),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [sym_character_literal] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1361),
    [sym__simple_string] = ACTIONS(1361),
  },
  [1947] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15265),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_binding] = STATE(16903),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(7922),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10668),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1947),
    [sym_block_comment] = STATE(1947),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(3964),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3942),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1948] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15143),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_binding] = STATE(16903),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(7922),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10668),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1948),
    [sym_block_comment] = STATE(1948),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(3966),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3942),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1949] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15234),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_binding] = STATE(16903),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(7922),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10668),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1949),
    [sym_block_comment] = STATE(1949),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(3968),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3942),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1950] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(17005),
    [sym__simple_expression] = STATE(5077),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(19205),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(9374),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(4748),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(6678),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1950),
    [sym_block_comment] = STATE(1950),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_COLON] = ACTIONS(1771),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(1773),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1951] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15188),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_binding] = STATE(16903),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(7922),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10668),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1951),
    [sym_block_comment] = STATE(1951),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(3970),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3942),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1952] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10753),
    [sym_expression] = STATE(16116),
    [sym__simple_expression] = STATE(7132),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10753),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10753),
    [sym_call_expression] = STATE(10753),
    [sym_field_expression] = STATE(10753),
    [sym_instance_expression] = STATE(10753),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(17959),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11005),
    [sym_tuple_expression] = STATE(10753),
    [sym_parenthesized_expression] = STATE(10753),
    [sym_splice_expression] = STATE(10753),
    [sym_quote_expression] = STATE(10753),
    [sym_identifier] = STATE(6292),
    [sym__soft_identifier] = STATE(4936),
    [sym_wildcard] = STATE(9698),
    [sym__non_null_literal] = STATE(10753),
    [sym_boolean_literal] = STATE(10697),
    [sym_interpolated_string_expression] = STATE(10753),
    [sym_string] = STATE(10697),
    [sym_unit] = STATE(10753),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1952),
    [sym_block_comment] = STATE(1952),
    [sym__alpha_identifier] = ACTIONS(2473),
    [anon_sym_COLON] = ACTIONS(2525),
    [anon_sym_LBRACE] = ACTIONS(2475),
    [anon_sym__] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2481),
    [anon_sym_DASH] = ACTIONS(2481),
    [anon_sym_end] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_opaque] = ACTIONS(2483),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2497),
    [anon_sym_infix] = ACTIONS(2483),
    [anon_sym_open] = ACTIONS(2483),
    [anon_sym_transparent] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(2481),
    [anon_sym_TILDE] = ACTIONS(2481),
    [anon_sym_DOLLAR] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2505),
    [sym__backquoted_id] = ACTIONS(2507),
    [sym_operator_identifier] = ACTIONS(2527),
    [sym_integer_literal] = ACTIONS(2511),
    [sym_floating_point_literal] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [sym_character_literal] = ACTIONS(2513),
    [sym_null_literal] = ACTIONS(2517),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2523),
    [sym__simple_string] = ACTIONS(2523),
  },
  [1953] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9867),
    [sym_expression] = STATE(16817),
    [sym__simple_expression] = STATE(5943),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18251),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(10105),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5224),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(8259),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1953),
    [sym_block_comment] = STATE(1953),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_COLON] = ACTIONS(1737),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(1759),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [1954] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(6011),
    [sym_expression] = STATE(16297),
    [sym__simple_expression] = STATE(4657),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18005),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(6846),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4515),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(5329),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1954),
    [sym_block_comment] = STATE(1954),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_COLON] = ACTIONS(1037),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1063),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1955] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15122),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_binding] = STATE(16903),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(7922),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10668),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1955),
    [sym_block_comment] = STATE(1955),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(3972),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3942),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1956] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15213),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_binding] = STATE(16903),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(7922),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10668),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1956),
    [sym_block_comment] = STATE(1956),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(3974),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3942),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1957] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10196),
    [sym_expression] = STATE(16881),
    [sym__simple_expression] = STATE(6974),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10196),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10196),
    [sym_call_expression] = STATE(10196),
    [sym_field_expression] = STATE(10196),
    [sym_instance_expression] = STATE(10196),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18273),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(10674),
    [sym_tuple_expression] = STATE(10196),
    [sym_parenthesized_expression] = STATE(10196),
    [sym_splice_expression] = STATE(10196),
    [sym_quote_expression] = STATE(10196),
    [sym_identifier] = STATE(5546),
    [sym__soft_identifier] = STATE(4721),
    [sym_wildcard] = STATE(9079),
    [sym__non_null_literal] = STATE(10196),
    [sym_boolean_literal] = STATE(10049),
    [sym_interpolated_string_expression] = STATE(10196),
    [sym_string] = STATE(10049),
    [sym_unit] = STATE(10196),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1957),
    [sym_block_comment] = STATE(1957),
    [sym__alpha_identifier] = ACTIONS(1789),
    [anon_sym_COLON] = ACTIONS(1791),
    [anon_sym_LBRACE] = ACTIONS(1793),
    [anon_sym__] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_end] = ACTIONS(1799),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1801),
    [anon_sym_opaque] = ACTIONS(1799),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1803),
    [anon_sym_infix] = ACTIONS(1799),
    [anon_sym_open] = ACTIONS(1799),
    [anon_sym_transparent] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1797),
    [anon_sym_TILDE] = ACTIONS(1797),
    [anon_sym_DOLLAR] = ACTIONS(1807),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [sym__backquoted_id] = ACTIONS(1811),
    [sym_operator_identifier] = ACTIONS(1813),
    [sym_integer_literal] = ACTIONS(1815),
    [sym_floating_point_literal] = ACTIONS(1817),
    [anon_sym_true] = ACTIONS(1819),
    [anon_sym_false] = ACTIONS(1819),
    [sym_character_literal] = ACTIONS(1817),
    [sym_null_literal] = ACTIONS(1821),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1823),
    [sym__simple_string] = ACTIONS(1823),
  },
  [1958] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15255),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_binding] = STATE(16903),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(7922),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10668),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1958),
    [sym_block_comment] = STATE(1958),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(3976),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3942),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1959] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9233),
    [sym_expression] = STATE(17055),
    [sym__simple_expression] = STATE(5776),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(17909),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(9685),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(4949),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(7783),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1959),
    [sym_block_comment] = STATE(1959),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(1387),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1960] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10944),
    [sym_expression] = STATE(16775),
    [sym__simple_expression] = STATE(8319),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18739),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11272),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6585),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(10075),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1960),
    [sym_block_comment] = STATE(1960),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_COLON] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(2607),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [1961] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15146),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_binding] = STATE(16903),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(7922),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10668),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1961),
    [sym_block_comment] = STATE(1961),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(3978),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3942),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1962] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15209),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_binding] = STATE(16903),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(7922),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10668),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1962),
    [sym_block_comment] = STATE(1962),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(3980),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3942),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1963] = {
    [sym_type_parameters] = STATE(19235),
    [sym_inline_modifier] = STATE(2468),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(14406),
    [sym__simple_expression] = STATE(8861),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17540),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7253),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10745),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1963),
    [sym_block_comment] = STATE(1963),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(1437),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2149),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_finally] = ACTIONS(1437),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2151),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2153),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1964] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15200),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_binding] = STATE(16903),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(7922),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10668),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1964),
    [sym_block_comment] = STATE(1964),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(3982),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3942),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1965] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9896),
    [sym_expression] = STATE(16691),
    [sym__simple_expression] = STATE(5795),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18097),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(10102),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5311),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(7995),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1965),
    [sym_block_comment] = STATE(1965),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_COLON] = ACTIONS(1585),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(1607),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [1966] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(8086),
    [sym_expression] = STATE(17039),
    [sym__simple_expression] = STATE(5248),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18315),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(9055),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(4736),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(6541),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1966),
    [sym_block_comment] = STATE(1966),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_COLON] = ACTIONS(1401),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(1423),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1967] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15194),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_binding] = STATE(16903),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(7922),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10668),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1967),
    [sym_block_comment] = STATE(1967),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(3984),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3942),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1968] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(8813),
    [sym_expression] = STATE(16883),
    [sym__simple_expression] = STATE(5372),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18061),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(9642),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(4971),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(7101),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1968),
    [sym_block_comment] = STATE(1968),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_COLON] = ACTIONS(1827),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_match] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(1849),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [1969] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15167),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_binding] = STATE(16903),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(7922),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10668),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1969),
    [sym_block_comment] = STATE(1969),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(3986),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3942),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1970] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17939),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1970),
    [sym_block_comment] = STATE(1970),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1971] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1971),
    [sym_block_comment] = STATE(1971),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(3988),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1972] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(14906),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1972),
    [sym_block_comment] = STATE(1972),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_yield] = ACTIONS(3990),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1973] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1973),
    [sym_block_comment] = STATE(1973),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(3992),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1974] = {
    [sym_type_parameters] = STATE(19326),
    [sym_inline_modifier] = STATE(2482),
    [sym_block] = STATE(7275),
    [sym_expression] = STATE(13408),
    [sym__simple_expression] = STATE(6191),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17429),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10076),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5253),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8347),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(1974),
    [sym_block_comment] = STATE(1974),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2263),
    [anon_sym_for] = ACTIONS(2265),
    [anon_sym_try] = ACTIONS(2267),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2269),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2271),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2273),
    [anon_sym_throw] = ACTIONS(2275),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_yield] = ACTIONS(3994),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [1975] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1975),
    [sym_block_comment] = STATE(1975),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(3996),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1976] = {
    [sym_type_parameters] = STATE(19193),
    [sym_inline_modifier] = STATE(2462),
    [sym_block] = STATE(7344),
    [sym_expression] = STATE(13403),
    [sym__simple_expression] = STATE(6717),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17709),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10599),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8740),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1976),
    [sym_block_comment] = STATE(1976),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(2305),
    [anon_sym_for] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2311),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2313),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_yield] = ACTIONS(3998),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1977] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(14056),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1977),
    [sym_block_comment] = STATE(1977),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(4000),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1978] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1978),
    [sym_block_comment] = STATE(1978),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(4002),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1979] = {
    [sym_type_parameters] = STATE(19333),
    [sym_inline_modifier] = STATE(2483),
    [sym_block] = STATE(8086),
    [sym_expression] = STATE(13900),
    [sym__simple_expression] = STATE(7254),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17445),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10814),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6232),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9529),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(1979),
    [sym_block_comment] = STATE(1979),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(2563),
    [anon_sym_for] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2569),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2571),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2573),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_yield] = ACTIONS(4004),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [1980] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1980),
    [sym_block_comment] = STATE(1980),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(4006),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1981] = {
    [sym_type_parameters] = STATE(19200),
    [sym_inline_modifier] = STATE(2463),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(14476),
    [sym__simple_expression] = STATE(8734),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17498),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11304),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7224),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10395),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(1981),
    [sym_block_comment] = STATE(1981),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1921),
    [anon_sym_for] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(1929),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(1943),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(1953),
    [anon_sym_throw] = ACTIONS(1955),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_yield] = ACTIONS(4008),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [1982] = {
    [sym_type_parameters] = STATE(19340),
    [sym_inline_modifier] = STATE(2484),
    [sym_block] = STATE(9077),
    [sym_expression] = STATE(14247),
    [sym__simple_expression] = STATE(6257),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17461),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10092),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5331),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(7952),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(1982),
    [sym_block_comment] = STATE(1982),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(1571),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(1575),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_yield] = ACTIONS(4010),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [1983] = {
    [sym_type_parameters] = STATE(19091),
    [sym_inline_modifier] = STATE(2441),
    [sym_block] = STATE(7573),
    [sym_expression] = STATE(13429),
    [sym__simple_expression] = STATE(6891),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17610),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(10746),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5688),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(9054),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(1983),
    [sym_block_comment] = STATE(1983),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_while] = ACTIONS(2439),
    [anon_sym_for] = ACTIONS(2441),
    [anon_sym_try] = ACTIONS(2443),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2445),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2447),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2449),
    [anon_sym_throw] = ACTIONS(2451),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_yield] = ACTIONS(4012),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [1984] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1984),
    [sym_block_comment] = STATE(1984),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(4014),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1985] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(14861),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1985),
    [sym_block_comment] = STATE(1985),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(1437),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1986] = {
    [sym_type_parameters] = STATE(19347),
    [sym_inline_modifier] = STATE(2485),
    [sym_block] = STATE(8225),
    [sym_expression] = STATE(13956),
    [sym__simple_expression] = STATE(5581),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17473),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4880),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7226),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(1986),
    [sym_block_comment] = STATE(1986),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1551),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1555),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1557),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1559),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_yield] = ACTIONS(4016),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [1987] = {
    [sym_type_parameters] = STATE(19207),
    [sym_inline_modifier] = STATE(2464),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14863),
    [sym__simple_expression] = STATE(7248),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17632),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10970),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6228),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9914),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(1987),
    [sym_block_comment] = STATE(1987),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(3418),
    [anon_sym_while] = ACTIONS(3404),
    [anon_sym_for] = ACTIONS(3406),
    [anon_sym_try] = ACTIONS(3408),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3410),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(3412),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_throw] = ACTIONS(3416),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(4018),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [1988] = {
    [sym_type_parameters] = STATE(19354),
    [sym_inline_modifier] = STATE(2486),
    [sym_block] = STATE(9867),
    [sym_expression] = STATE(14437),
    [sym__simple_expression] = STATE(6723),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17488),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5587),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(8751),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(1988),
    [sym_block_comment] = STATE(1988),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(2321),
    [anon_sym_while] = ACTIONS(2323),
    [anon_sym_for] = ACTIONS(2325),
    [anon_sym_try] = ACTIONS(2327),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(2329),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(2331),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_throw] = ACTIONS(2335),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_yield] = ACTIONS(4020),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [1989] = {
    [sym_type_parameters] = STATE(19099),
    [sym_inline_modifier] = STATE(2443),
    [sym_block] = STATE(9061),
    [sym_expression] = STATE(14263),
    [sym__simple_expression] = STATE(6986),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17503),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(5790),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9373),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(1989),
    [sym_block_comment] = STATE(1989),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2453),
    [anon_sym_while] = ACTIONS(2455),
    [anon_sym_for] = ACTIONS(2457),
    [anon_sym_try] = ACTIONS(2459),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2461),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2465),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2467),
    [anon_sym_throw] = ACTIONS(2469),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_yield] = ACTIONS(4022),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [1990] = {
    [sym_type_parameters] = STATE(19214),
    [sym_inline_modifier] = STATE(2465),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(14056),
    [sym__simple_expression] = STATE(6878),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17725),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10612),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5702),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8984),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(1990),
    [sym_block_comment] = STATE(1990),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1001),
    [anon_sym_while] = ACTIONS(1003),
    [anon_sym_for] = ACTIONS(1005),
    [anon_sym_try] = ACTIONS(1007),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(1009),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(2625),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(1029),
    [anon_sym_throw] = ACTIONS(1031),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(4024),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [1991] = {
    [sym_type_parameters] = STATE(19361),
    [sym_inline_modifier] = STATE(2487),
    [sym_block] = STATE(6011),
    [sym_expression] = STATE(12406),
    [sym__simple_expression] = STATE(5280),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17505),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8857),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4759),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6823),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1991),
    [sym_block_comment] = STATE(1991),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_while] = ACTIONS(1439),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1443),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1445),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1449),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1451),
    [anon_sym_throw] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_yield] = ACTIONS(4026),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [1992] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(14906),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1992),
    [sym_block_comment] = STATE(1992),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_yield] = ACTIONS(4028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1993] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(1993),
    [sym_block_comment] = STATE(1993),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(4030),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [1994] = {
    [sym_type_parameters] = STATE(19107),
    [sym_inline_modifier] = STATE(2445),
    [sym_block] = STATE(9233),
    [sym_expression] = STATE(14149),
    [sym__simple_expression] = STATE(5929),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17658),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10255),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5067),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8244),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(1994),
    [sym_block_comment] = STATE(1994),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_try] = ACTIONS(1721),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(1723),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(1727),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_throw] = ACTIONS(1731),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_yield] = ACTIONS(4032),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [1995] = {
    [sym_type_parameters] = STATE(19221),
    [sym_inline_modifier] = STATE(2466),
    [sym_block] = STATE(6679),
    [sym_expression] = STATE(12980),
    [sym__simple_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17385),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9917),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4878),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7216),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(1995),
    [sym_block_comment] = STATE(1995),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2343),
    [anon_sym_while] = ACTIONS(2277),
    [anon_sym_for] = ACTIONS(2279),
    [anon_sym_try] = ACTIONS(2281),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(2283),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(2285),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_yield] = ACTIONS(4034),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [1996] = {
    [sym_type_parameters] = STATE(19368),
    [sym_inline_modifier] = STATE(2488),
    [sym_block] = STATE(7275),
    [sym_expression] = STATE(13408),
    [sym__simple_expression] = STATE(6230),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17517),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(9981),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5282),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8608),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(1996),
    [sym_block_comment] = STATE(1996),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2033),
    [anon_sym_for] = ACTIONS(2035),
    [anon_sym_try] = ACTIONS(2037),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2039),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2043),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2047),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_yield] = ACTIONS(4036),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [1997] = {
    [sym_type_parameters] = STATE(19375),
    [sym_inline_modifier] = STATE(2489),
    [sym_block] = STATE(6526),
    [sym_expression] = STATE(12802),
    [sym__simple_expression] = STATE(5584),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17531),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9590),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4881),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(1997),
    [sym_block_comment] = STATE(1997),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2377),
    [anon_sym_while] = ACTIONS(2051),
    [anon_sym_for] = ACTIONS(2053),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(2057),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(2059),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_throw] = ACTIONS(2063),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_yield] = ACTIONS(4038),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [1998] = {
    [sym_type_parameters] = STATE(19228),
    [sym_inline_modifier] = STATE(2467),
    [sym_block] = STATE(7344),
    [sym_expression] = STATE(13403),
    [sym__simple_expression] = STATE(6822),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17483),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10622),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5644),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(1998),
    [sym_block_comment] = STATE(1998),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(2349),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_try] = ACTIONS(2353),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2357),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2359),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_yield] = ACTIONS(4040),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [1999] = {
    [sym_type_parameters] = STATE(19115),
    [sym_inline_modifier] = STATE(2449),
    [sym_block] = STATE(9793),
    [sym_expression] = STATE(14625),
    [sym__simple_expression] = STATE(6296),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17754),
    [sym_case_block] = STATE(9793),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(9793),
    [sym_call_expression] = STATE(9793),
    [sym_field_expression] = STATE(9793),
    [sym_instance_expression] = STATE(9793),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(10680),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(18810),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(10068),
    [sym_tuple_expression] = STATE(9793),
    [sym_parenthesized_expression] = STATE(9793),
    [sym_splice_expression] = STATE(9793),
    [sym_quote_expression] = STATE(9793),
    [sym_identifier] = STATE(5289),
    [sym__soft_identifier] = STATE(4682),
    [sym_wildcard] = STATE(8440),
    [sym__non_null_literal] = STATE(9793),
    [sym_boolean_literal] = STATE(9544),
    [sym_interpolated_string_expression] = STATE(9793),
    [sym_string] = STATE(9544),
    [sym_unit] = STATE(9793),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(1999),
    [sym_block_comment] = STATE(1999),
    [sym__alpha_identifier] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym__] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_end] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1875),
    [anon_sym_while] = ACTIONS(1877),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_try] = ACTIONS(1881),
    [anon_sym_new] = ACTIONS(1339),
    [anon_sym_opaque] = ACTIONS(1337),
    [anon_sym_implicit] = ACTIONS(1883),
    [anon_sym_inline] = ACTIONS(1341),
    [anon_sym_infix] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_transparent] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_macro] = ACTIONS(1885),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_DOLLAR] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [sym__backquoted_id] = ACTIONS(1349),
    [sym_operator_identifier] = ACTIONS(1887),
    [sym_integer_literal] = ACTIONS(1353),
    [sym_floating_point_literal] = ACTIONS(1355),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [sym_character_literal] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_throw] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_yield] = ACTIONS(4042),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1361),
    [sym__simple_string] = ACTIONS(1361),
  },
  [2000] = {
    [sym_type_parameters] = STATE(19382),
    [sym_inline_modifier] = STATE(2178),
    [sym_block] = STATE(9077),
    [sym_expression] = STATE(14247),
    [sym__simple_expression] = STATE(6194),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17545),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10186),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5256),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(8424),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(2000),
    [sym_block_comment] = STATE(2000),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(2071),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(2073),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(2075),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_yield] = ACTIONS(4044),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [2001] = {
    [sym_type_parameters] = STATE(19235),
    [sym_inline_modifier] = STATE(2468),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(14476),
    [sym__simple_expression] = STATE(8861),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17540),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7253),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10745),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(2001),
    [sym_block_comment] = STATE(2001),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2143),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2149),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2151),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2153),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_yield] = ACTIONS(4046),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [2002] = {
    [sym_type_parameters] = STATE(19018),
    [sym_inline_modifier] = STATE(2423),
    [sym_block] = STATE(9948),
    [sym_expression] = STATE(14755),
    [sym__simple_expression] = STATE(6984),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17638),
    [sym_case_block] = STATE(9948),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(9948),
    [sym_call_expression] = STATE(9948),
    [sym_field_expression] = STATE(9948),
    [sym_instance_expression] = STATE(9948),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(10976),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19113),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10414),
    [sym_tuple_expression] = STATE(9948),
    [sym_parenthesized_expression] = STATE(9948),
    [sym_splice_expression] = STATE(9948),
    [sym_quote_expression] = STATE(9948),
    [sym_identifier] = STATE(5741),
    [sym__soft_identifier] = STATE(4751),
    [sym_wildcard] = STATE(9076),
    [sym__non_null_literal] = STATE(9948),
    [sym_boolean_literal] = STATE(10000),
    [sym_interpolated_string_expression] = STATE(9948),
    [sym_string] = STATE(10000),
    [sym_unit] = STATE(9948),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(2002),
    [sym_block_comment] = STATE(2002),
    [sym__alpha_identifier] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym__] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_end] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2123),
    [anon_sym_try] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_opaque] = ACTIONS(1523),
    [anon_sym_implicit] = ACTIONS(2127),
    [anon_sym_inline] = ACTIONS(1527),
    [anon_sym_infix] = ACTIONS(1523),
    [anon_sym_open] = ACTIONS(1523),
    [anon_sym_transparent] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [anon_sym_macro] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [sym__backquoted_id] = ACTIONS(1535),
    [sym_operator_identifier] = ACTIONS(2131),
    [sym_integer_literal] = ACTIONS(1539),
    [sym_floating_point_literal] = ACTIONS(1541),
    [anon_sym_true] = ACTIONS(1543),
    [anon_sym_false] = ACTIONS(1543),
    [sym_character_literal] = ACTIONS(1541),
    [sym_null_literal] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(2133),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_yield] = ACTIONS(4048),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1547),
    [sym__simple_string] = ACTIONS(1547),
  },
  [2003] = {
    [sym_type_parameters] = STATE(19389),
    [sym_inline_modifier] = STATE(2239),
    [sym_block] = STATE(6526),
    [sym_expression] = STATE(12802),
    [sym__simple_expression] = STATE(5645),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17555),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4919),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7255),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(2003),
    [sym_block_comment] = STATE(2003),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_while] = ACTIONS(1775),
    [anon_sym_for] = ACTIONS(1777),
    [anon_sym_try] = ACTIONS(1779),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1781),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1783),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_throw] = ACTIONS(1787),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_yield] = ACTIONS(4050),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [2004] = {
    [sym_type_parameters] = STATE(19123),
    [sym_inline_modifier] = STATE(2451),
    [sym_block] = STATE(9061),
    [sym_expression] = STATE(14263),
    [sym__simple_expression] = STATE(8318),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17393),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11156),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6713),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(10010),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(2004),
    [sym_block_comment] = STATE(2004),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2958),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2962),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2966),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2968),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_yield] = ACTIONS(4052),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [2005] = {
    [sym_type_parameters] = STATE(19242),
    [sym_inline_modifier] = STATE(2470),
    [sym_block] = STATE(8225),
    [sym_expression] = STATE(13956),
    [sym__simple_expression] = STATE(5573),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17585),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9764),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4962),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7178),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(2005),
    [sym_block_comment] = STATE(2005),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_try] = ACTIONS(1499),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1501),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1505),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_yield] = ACTIONS(4054),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [2006] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(14861),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2006),
    [sym_block_comment] = STATE(2006),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(1437),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_match] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2007] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2007),
    [sym_block_comment] = STATE(2007),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(4056),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2008] = {
    [sym_type_parameters] = STATE(19130),
    [sym_inline_modifier] = STATE(2453),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(14056),
    [sym__simple_expression] = STATE(6803),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17438),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10695),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5679),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(2008),
    [sym_block_comment] = STATE(2008),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(3328),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(3330),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3334),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(4058),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [2009] = {
    [sym_type_parameters] = STATE(19249),
    [sym_inline_modifier] = STATE(2471),
    [sym_block] = STATE(9867),
    [sym_expression] = STATE(14437),
    [sym__simple_expression] = STATE(6536),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17625),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10510),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5560),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(9247),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(2009),
    [sym_block_comment] = STATE(2009),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_while] = ACTIONS(1965),
    [anon_sym_for] = ACTIONS(1967),
    [anon_sym_try] = ACTIONS(1969),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(1971),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(1975),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(1977),
    [anon_sym_throw] = ACTIONS(1979),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_yield] = ACTIONS(4060),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [2010] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(14906),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2010),
    [sym_block_comment] = STATE(2010),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_yield] = ACTIONS(4062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2011] = {
    [sym_type_parameters] = STATE(19256),
    [sym_inline_modifier] = STATE(2472),
    [sym_block] = STATE(10196),
    [sym_expression] = STATE(14878),
    [sym__simple_expression] = STATE(6665),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17671),
    [sym_case_block] = STATE(10196),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(10196),
    [sym_call_expression] = STATE(10196),
    [sym_field_expression] = STATE(10196),
    [sym_instance_expression] = STATE(10196),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(10922),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18163),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(10591),
    [sym_tuple_expression] = STATE(10196),
    [sym_parenthesized_expression] = STATE(10196),
    [sym_splice_expression] = STATE(10196),
    [sym_quote_expression] = STATE(10196),
    [sym_identifier] = STATE(5739),
    [sym__soft_identifier] = STATE(4721),
    [sym_wildcard] = STATE(9421),
    [sym__non_null_literal] = STATE(10196),
    [sym_boolean_literal] = STATE(10049),
    [sym_interpolated_string_expression] = STATE(10196),
    [sym_string] = STATE(10049),
    [sym_unit] = STATE(10196),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(2011),
    [sym_block_comment] = STATE(2011),
    [sym__alpha_identifier] = ACTIONS(1789),
    [anon_sym_LBRACE] = ACTIONS(1793),
    [anon_sym__] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_end] = ACTIONS(1799),
    [anon_sym_if] = ACTIONS(1983),
    [anon_sym_while] = ACTIONS(1985),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1801),
    [anon_sym_opaque] = ACTIONS(1799),
    [anon_sym_implicit] = ACTIONS(1991),
    [anon_sym_inline] = ACTIONS(1803),
    [anon_sym_infix] = ACTIONS(1799),
    [anon_sym_open] = ACTIONS(1799),
    [anon_sym_transparent] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [anon_sym_macro] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(1797),
    [anon_sym_TILDE] = ACTIONS(1797),
    [anon_sym_DOLLAR] = ACTIONS(1807),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [sym__backquoted_id] = ACTIONS(1811),
    [sym_operator_identifier] = ACTIONS(1995),
    [sym_integer_literal] = ACTIONS(1815),
    [sym_floating_point_literal] = ACTIONS(1817),
    [anon_sym_true] = ACTIONS(1819),
    [anon_sym_false] = ACTIONS(1819),
    [sym_character_literal] = ACTIONS(1817),
    [sym_null_literal] = ACTIONS(1821),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_throw] = ACTIONS(1999),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_yield] = ACTIONS(4064),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1823),
    [sym__simple_string] = ACTIONS(1823),
  },
  [2012] = {
    [sym_type_parameters] = STATE(19137),
    [sym_inline_modifier] = STATE(2454),
    [sym_block] = STATE(10753),
    [sym_expression] = STATE(15010),
    [sym__simple_expression] = STATE(7215),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17486),
    [sym_case_block] = STATE(10753),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(10753),
    [sym_call_expression] = STATE(10753),
    [sym_field_expression] = STATE(10753),
    [sym_instance_expression] = STATE(10753),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(11165),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(18932),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10969),
    [sym_tuple_expression] = STATE(10753),
    [sym_parenthesized_expression] = STATE(10753),
    [sym_splice_expression] = STATE(10753),
    [sym_quote_expression] = STATE(10753),
    [sym_identifier] = STATE(6109),
    [sym__soft_identifier] = STATE(4936),
    [sym_wildcard] = STATE(9648),
    [sym__non_null_literal] = STATE(10753),
    [sym_boolean_literal] = STATE(10697),
    [sym_interpolated_string_expression] = STATE(10753),
    [sym_string] = STATE(10697),
    [sym_unit] = STATE(10753),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(2012),
    [sym_block_comment] = STATE(2012),
    [sym__alpha_identifier] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(2475),
    [anon_sym__] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2481),
    [anon_sym_DASH] = ACTIONS(2481),
    [anon_sym_end] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(2487),
    [anon_sym_for] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_opaque] = ACTIONS(2483),
    [anon_sym_implicit] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2497),
    [anon_sym_infix] = ACTIONS(2483),
    [anon_sym_open] = ACTIONS(2483),
    [anon_sym_transparent] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_macro] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2481),
    [anon_sym_TILDE] = ACTIONS(2481),
    [anon_sym_DOLLAR] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2505),
    [sym__backquoted_id] = ACTIONS(2507),
    [sym_operator_identifier] = ACTIONS(2509),
    [sym_integer_literal] = ACTIONS(2511),
    [sym_floating_point_literal] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [sym_character_literal] = ACTIONS(2513),
    [sym_null_literal] = ACTIONS(2517),
    [anon_sym_return] = ACTIONS(2519),
    [anon_sym_throw] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_yield] = ACTIONS(4066),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2523),
    [sym__simple_string] = ACTIONS(2523),
  },
  [2013] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2013),
    [sym_block_comment] = STATE(2013),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(4068),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2014] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19201),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2014),
    [sym_block_comment] = STATE(2014),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2015] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2015),
    [sym_block_comment] = STATE(2015),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(4070),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2016] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19434),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2016),
    [sym_block_comment] = STATE(2016),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2017] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18672),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2017),
    [sym_block_comment] = STATE(2017),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2018] = {
    [sym_type_parameters] = STATE(19035),
    [sym_inline_modifier] = STATE(2429),
    [sym_block] = STATE(6679),
    [sym_expression] = STATE(12980),
    [sym__simple_expression] = STATE(5983),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17568),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10044),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(5062),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(8371),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(2018),
    [sym_block_comment] = STATE(2018),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1695),
    [anon_sym_while] = ACTIONS(1697),
    [anon_sym_for] = ACTIONS(1699),
    [anon_sym_try] = ACTIONS(1701),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1703),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1707),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1709),
    [anon_sym_throw] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_yield] = ACTIONS(4072),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [2019] = {
    [sym_type_parameters] = STATE(19263),
    [sym_inline_modifier] = STATE(2473),
    [sym_block] = STATE(9233),
    [sym_expression] = STATE(14149),
    [sym__simple_expression] = STATE(6189),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17703),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10035),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5250),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(2019),
    [sym_block_comment] = STATE(2019),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(2369),
    [anon_sym_while] = ACTIONS(2001),
    [anon_sym_for] = ACTIONS(2003),
    [anon_sym_try] = ACTIONS(2005),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(2009),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(2011),
    [anon_sym_throw] = ACTIONS(2013),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_yield] = ACTIONS(4074),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [2020] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17951),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2020),
    [sym_block_comment] = STATE(2020),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2021] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2021),
    [sym_block_comment] = STATE(2021),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(4076),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2022] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18228),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2022),
    [sym_block_comment] = STATE(2022),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2023] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17780),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2023),
    [sym_block_comment] = STATE(2023),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2024] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19369),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2024),
    [sym_block_comment] = STATE(2024),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2025] = {
    [sym_type_parameters] = STATE(19144),
    [sym_inline_modifier] = STATE(2455),
    [sym_block] = STATE(9061),
    [sym_expression] = STATE(14263),
    [sym__simple_expression] = STATE(8591),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17537),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11118),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6819),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(2025),
    [sym_block_comment] = STATE(2025),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2974),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2978),
    [anon_sym_try] = ACTIONS(2980),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2982),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2984),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2986),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_yield] = ACTIONS(4078),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [2026] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19545),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2026),
    [sym_block_comment] = STATE(2026),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2027] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17938),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2027),
    [sym_block_comment] = STATE(2027),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2028] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2028),
    [sym_block_comment] = STATE(2028),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(4080),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2029] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18272),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2029),
    [sym_block_comment] = STATE(2029),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2030] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18790),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2030),
    [sym_block_comment] = STATE(2030),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2031] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18681),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2031),
    [sym_block_comment] = STATE(2031),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2032] = {
    [sym_type_parameters] = STATE(19270),
    [sym_inline_modifier] = STATE(2474),
    [sym_block] = STATE(6679),
    [sym_expression] = STATE(12980),
    [sym__simple_expression] = STATE(5637),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17719),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9894),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7246),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(2032),
    [sym_block_comment] = STATE(2032),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1893),
    [anon_sym_for] = ACTIONS(1895),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1899),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1901),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1903),
    [anon_sym_throw] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_yield] = ACTIONS(4082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [2033] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17926),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2033),
    [sym_block_comment] = STATE(2033),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2034] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2034),
    [sym_block_comment] = STATE(2034),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(4084),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2035] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18779),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2035),
    [sym_block_comment] = STATE(2035),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2036] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18616),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2036),
    [sym_block_comment] = STATE(2036),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2037] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19294),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2037),
    [sym_block_comment] = STATE(2037),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2038] = {
    [sym_type_parameters] = STATE(19043),
    [sym_inline_modifier] = STATE(2433),
    [sym_block] = STATE(8813),
    [sym_expression] = STATE(14194),
    [sym__simple_expression] = STATE(6777),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17580),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(10498),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(5353),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(8805),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(2038),
    [sym_block_comment] = STATE(2038),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2169),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2173),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2175),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_yield] = ACTIONS(4086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [2039] = {
    [sym_type_parameters] = STATE(19151),
    [sym_inline_modifier] = STATE(2457),
    [sym_block] = STATE(6011),
    [sym_expression] = STATE(12406),
    [sym__simple_expression] = STATE(5655),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17577),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(9915),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4803),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(7495),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(2039),
    [sym_block_comment] = STATE(2039),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_try] = ACTIONS(1483),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1485),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1487),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_throw] = ACTIONS(1491),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_yield] = ACTIONS(4088),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [2040] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18020),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2040),
    [sym_block_comment] = STATE(2040),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2041] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2041),
    [sym_block_comment] = STATE(2041),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(4090),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2042] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19345),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2042),
    [sym_block_comment] = STATE(2042),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2043] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17946),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2043),
    [sym_block_comment] = STATE(2043),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2044] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(14056),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(2044),
    [sym_block_comment] = STATE(2044),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(4092),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [2045] = {
    [sym_type_parameters] = STATE(19277),
    [sym_inline_modifier] = STATE(2475),
    [sym_block] = STATE(7573),
    [sym_expression] = STATE(13429),
    [sym__simple_expression] = STATE(6187),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17744),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9999),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5249),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8308),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(2045),
    [sym_block_comment] = STATE(2045),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(2611),
    [anon_sym_for] = ACTIONS(2613),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2619),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2623),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_yield] = ACTIONS(4094),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [2046] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18170),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2046),
    [sym_block_comment] = STATE(2046),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2047] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18404),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2047),
    [sym_block_comment] = STATE(2047),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2048] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2048),
    [sym_block_comment] = STATE(2048),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(4096),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2049] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18620),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2049),
    [sym_block_comment] = STATE(2049),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2050] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18834),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2050),
    [sym_block_comment] = STATE(2050),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2051] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19171),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2051),
    [sym_block_comment] = STATE(2051),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2052] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2052),
    [sym_block_comment] = STATE(2052),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(4098),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2053] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19528),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2053),
    [sym_block_comment] = STATE(2053),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2054] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19112),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2054),
    [sym_block_comment] = STATE(2054),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2055] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18946),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2055),
    [sym_block_comment] = STATE(2055),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2056] = {
    [sym_type_parameters] = STATE(19284),
    [sym_inline_modifier] = STATE(2476),
    [sym_block] = STATE(6526),
    [sym_expression] = STATE(12802),
    [sym__simple_expression] = STATE(6205),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17342),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9957),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(5057),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(8435),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(2056),
    [sym_block_comment] = STATE(2056),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_try] = ACTIONS(1625),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1631),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1633),
    [anon_sym_throw] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_yield] = ACTIONS(4100),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [2057] = {
    [sym_type_parameters] = STATE(19158),
    [sym_inline_modifier] = STATE(2458),
    [sym_block] = STATE(7275),
    [sym_expression] = STATE(13408),
    [sym__simple_expression] = STATE(6463),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17611),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10419),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5576),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8828),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(2057),
    [sym_block_comment] = STATE(2057),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2083),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2089),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2091),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2095),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_yield] = ACTIONS(4102),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [2058] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17828),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2058),
    [sym_block_comment] = STATE(2058),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2059] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14863),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(2059),
    [sym_block_comment] = STATE(2059),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(4104),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [2060] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18684),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2060),
    [sym_block_comment] = STATE(2060),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2061] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2061),
    [sym_block_comment] = STATE(2061),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(4106),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2062] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19094),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2062),
    [sym_block_comment] = STATE(2062),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2063] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18930),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2063),
    [sym_block_comment] = STATE(2063),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2064] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17840),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2064),
    [sym_block_comment] = STATE(2064),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2065] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18212),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2065),
    [sym_block_comment] = STATE(2065),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2066] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18439),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2066),
    [sym_block_comment] = STATE(2066),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2067] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2067),
    [sym_block_comment] = STATE(2067),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(4108),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2068] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18627),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2068),
    [sym_block_comment] = STATE(2068),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2069] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18872),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2069),
    [sym_block_comment] = STATE(2069),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2070] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19062),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2070),
    [sym_block_comment] = STATE(2070),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2071] = {
    [sym_type_parameters] = STATE(19291),
    [sym_inline_modifier] = STATE(2477),
    [sym_block] = STATE(8086),
    [sym_expression] = STATE(13900),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17354),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10022),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(5125),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(8569),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(2071),
    [sym_block_comment] = STATE(2071),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_while] = ACTIONS(1677),
    [anon_sym_for] = ACTIONS(1679),
    [anon_sym_try] = ACTIONS(1681),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(1687),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(1689),
    [anon_sym_throw] = ACTIONS(1691),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_yield] = ACTIONS(4110),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [2072] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19226),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2072),
    [sym_block_comment] = STATE(2072),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2073] = {
    [sym_type_parameters] = STATE(19165),
    [sym_inline_modifier] = STATE(2459),
    [sym_block] = STATE(7344),
    [sym_expression] = STATE(13403),
    [sym__simple_expression] = STATE(5480),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17663),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(9905),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(4870),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(7665),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(2073),
    [sym_block_comment] = STATE(2073),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1459),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1463),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(1465),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(1469),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1471),
    [anon_sym_throw] = ACTIONS(1473),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_yield] = ACTIONS(4112),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [2074] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19366),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2074),
    [sym_block_comment] = STATE(2074),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2075] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2075),
    [sym_block_comment] = STATE(2075),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(4114),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2076] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19539),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2076),
    [sym_block_comment] = STATE(2076),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2077] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18522),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2077),
    [sym_block_comment] = STATE(2077),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2078] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17989),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2078),
    [sym_block_comment] = STATE(2078),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2079] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18283),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2079),
    [sym_block_comment] = STATE(2079),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2080] = {
    [sym_type_parameters] = STATE(19059),
    [sym_inline_modifier] = STATE(2435),
    [sym_block] = STATE(10530),
    [sym_expression] = STATE(15103),
    [sym__simple_expression] = STATE(7452),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17472),
    [sym_case_block] = STATE(10530),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(10530),
    [sym_call_expression] = STATE(10530),
    [sym_field_expression] = STATE(10530),
    [sym_instance_expression] = STATE(10530),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(11241),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(19533),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(11075),
    [sym_tuple_expression] = STATE(10530),
    [sym_parenthesized_expression] = STATE(10530),
    [sym_splice_expression] = STATE(10530),
    [sym_quote_expression] = STATE(10530),
    [sym_identifier] = STATE(6021),
    [sym__soft_identifier] = STATE(4921),
    [sym_wildcard] = STATE(9558),
    [sym__non_null_literal] = STATE(10530),
    [sym_boolean_literal] = STATE(10615),
    [sym_interpolated_string_expression] = STATE(10530),
    [sym_string] = STATE(10615),
    [sym_unit] = STATE(10530),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(2080),
    [sym_block_comment] = STATE(2080),
    [sym__alpha_identifier] = ACTIONS(2399),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym__] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_end] = ACTIONS(2409),
    [anon_sym_if] = ACTIONS(2583),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_opaque] = ACTIONS(2409),
    [anon_sym_implicit] = ACTIONS(2591),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym_infix] = ACTIONS(2409),
    [anon_sym_open] = ACTIONS(2409),
    [anon_sym_transparent] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_macro] = ACTIONS(2593),
    [anon_sym_BANG] = ACTIONS(2407),
    [anon_sym_TILDE] = ACTIONS(2407),
    [anon_sym_DOLLAR] = ACTIONS(2417),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [sym__backquoted_id] = ACTIONS(2421),
    [sym_operator_identifier] = ACTIONS(2595),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_floating_point_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2429),
    [anon_sym_false] = ACTIONS(2429),
    [sym_character_literal] = ACTIONS(2427),
    [sym_null_literal] = ACTIONS(2431),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_throw] = ACTIONS(2599),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_yield] = ACTIONS(4116),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2433),
    [sym__simple_string] = ACTIONS(2433),
  },
  [2081] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18742),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2081),
    [sym_block_comment] = STATE(2081),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2082] = {
    [sym_type_parameters] = STATE(19186),
    [sym_inline_modifier] = STATE(2461),
    [sym_block] = STATE(9896),
    [sym_expression] = STATE(14573),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17404),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10427),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5656),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(9159),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(2082),
    [sym_block_comment] = STATE(2082),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2529),
    [anon_sym_while] = ACTIONS(2531),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2541),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_yield] = ACTIONS(4118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [2083] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2083),
    [sym_block_comment] = STATE(2083),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(4120),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2084] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19412),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2084),
    [sym_block_comment] = STATE(2084),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2085] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17811),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2085),
    [sym_block_comment] = STATE(2085),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2086] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17873),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2086),
    [sym_block_comment] = STATE(2086),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2087] = {
    [sym_type_parameters] = STATE(19298),
    [sym_inline_modifier] = STATE(2478),
    [sym_block] = STATE(8086),
    [sym_expression] = STATE(13900),
    [sym__simple_expression] = STATE(7225),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17377),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10767),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6197),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9684),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(2087),
    [sym_block_comment] = STATE(2087),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(2245),
    [anon_sym_for] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2253),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2255),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_yield] = ACTIONS(4122),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [2088] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym_block] = STATE(10944),
    [sym_expression] = STATE(15261),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(2088),
    [sym_block_comment] = STATE(2088),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(4124),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [2089] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18003),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2089),
    [sym_block_comment] = STATE(2089),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2090] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18066),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2090),
    [sym_block_comment] = STATE(2090),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2091] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2091),
    [sym_block_comment] = STATE(2091),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(4126),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2092] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18131),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2092),
    [sym_block_comment] = STATE(2092),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2093] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18198),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2093),
    [sym_block_comment] = STATE(2093),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2094] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18263),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2094),
    [sym_block_comment] = STATE(2094),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2095] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18329),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2095),
    [sym_block_comment] = STATE(2095),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2096] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18399),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2096),
    [sym_block_comment] = STATE(2096),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2097] = {
    [sym_type_parameters] = STATE(19172),
    [sym_inline_modifier] = STATE(2460),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(14476),
    [sym__simple_expression] = STATE(7448),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17722),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(10768),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6207),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(2097),
    [sym_block_comment] = STATE(2097),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2103),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2109),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2111),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_throw] = ACTIONS(2115),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_yield] = ACTIONS(4128),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [2098] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18440),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2098),
    [sym_block_comment] = STATE(2098),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2099] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18487),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2099),
    [sym_block_comment] = STATE(2099),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2100] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18529),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2100),
    [sym_block_comment] = STATE(2100),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2101] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2101),
    [sym_block_comment] = STATE(2101),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(4130),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2102] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18587),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2102),
    [sym_block_comment] = STATE(2102),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2103] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18649),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2103),
    [sym_block_comment] = STATE(2103),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2104] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18691),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2104),
    [sym_block_comment] = STATE(2104),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2105] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18731),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2105),
    [sym_block_comment] = STATE(2105),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2106] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18767),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2106),
    [sym_block_comment] = STATE(2106),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2107] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18807),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2107),
    [sym_block_comment] = STATE(2107),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2108] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18851),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2108),
    [sym_block_comment] = STATE(2108),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2109] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18896),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2109),
    [sym_block_comment] = STATE(2109),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2110] = {
    [sym_type_parameters] = STATE(19305),
    [sym_inline_modifier] = STATE(2479),
    [sym_block] = STATE(9896),
    [sym_expression] = STATE(14573),
    [sym__simple_expression] = STATE(6719),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17395),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10685),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5585),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(8745),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(2110),
    [sym_block_comment] = STATE(2110),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2659),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2635),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2637),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2639),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [2111] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18949),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2111),
    [sym_block_comment] = STATE(2111),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2112] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19002),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2112),
    [sym_block_comment] = STATE(2112),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2113] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19063),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2113),
    [sym_block_comment] = STATE(2113),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2114] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19116),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2114),
    [sym_block_comment] = STATE(2114),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2115] = {
    [sym_type_parameters] = STATE(19067),
    [sym_inline_modifier] = STATE(2437),
    [sym_block] = STATE(8813),
    [sym_expression] = STATE(14194),
    [sym__simple_expression] = STATE(8301),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17572),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11110),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6708),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(10134),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(2115),
    [sym_block_comment] = STATE(2115),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2203),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2207),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_yield] = ACTIONS(4134),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [2116] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19176),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2116),
    [sym_block_comment] = STATE(2116),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2117] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2117),
    [sym_block_comment] = STATE(2117),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(4136),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2118] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19239),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2118),
    [sym_block_comment] = STATE(2118),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2119] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19297),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2119),
    [sym_block_comment] = STATE(2119),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2120] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19360),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2120),
    [sym_block_comment] = STATE(2120),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2121] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19423),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2121),
    [sym_block_comment] = STATE(2121),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2122] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19516),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2122),
    [sym_block_comment] = STATE(2122),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2123] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19555),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2123),
    [sym_block_comment] = STATE(2123),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2124] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17901),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2124),
    [sym_block_comment] = STATE(2124),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2125] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18151),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2125),
    [sym_block_comment] = STATE(2125),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2126] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19388),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2126),
    [sym_block_comment] = STATE(2126),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2127] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18035),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2127),
    [sym_block_comment] = STATE(2127),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2128] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2128),
    [sym_block_comment] = STATE(2128),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(4138),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2129] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18667),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2129),
    [sym_block_comment] = STATE(2129),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2130] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19155),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2130),
    [sym_block_comment] = STATE(2130),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2131] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17942),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2131),
    [sym_block_comment] = STATE(2131),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2132] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2132),
    [sym_block_comment] = STATE(2132),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(4140),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2133] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17918),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2133),
    [sym_block_comment] = STATE(2133),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2134] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18177),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2134),
    [sym_block_comment] = STATE(2134),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2135] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18596),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2135),
    [sym_block_comment] = STATE(2135),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2136] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18869),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2136),
    [sym_block_comment] = STATE(2136),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2137] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19071),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2137),
    [sym_block_comment] = STATE(2137),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2138] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19252),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2138),
    [sym_block_comment] = STATE(2138),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2139] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17943),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2139),
    [sym_block_comment] = STATE(2139),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2140] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14863),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(2140),
    [sym_block_comment] = STATE(2140),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(4142),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [2141] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18031),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2141),
    [sym_block_comment] = STATE(2141),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2142] = {
    [sym_type_parameters] = STATE(19312),
    [sym_inline_modifier] = STATE(2480),
    [sym_block] = STATE(7573),
    [sym_expression] = STATE(13429),
    [sym__simple_expression] = STATE(6229),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17408),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9962),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5279),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8585),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(2142),
    [sym_block_comment] = STATE(2142),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2713),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_try] = ACTIONS(2019),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2021),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2025),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_yield] = ACTIONS(4144),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [2143] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19387),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2143),
    [sym_block_comment] = STATE(2143),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2144] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17923),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2144),
    [sym_block_comment] = STATE(2144),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2145] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18043),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2145),
    [sym_block_comment] = STATE(2145),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2146] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18166),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2146),
    [sym_block_comment] = STATE(2146),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2147] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18368),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2147),
    [sym_block_comment] = STATE(2147),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2148] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2148),
    [sym_block_comment] = STATE(2148),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(4146),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2149] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18583),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2149),
    [sym_block_comment] = STATE(2149),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2150] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18682),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2150),
    [sym_block_comment] = STATE(2150),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2151] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18749),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2151),
    [sym_block_comment] = STATE(2151),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2152] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18898),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2152),
    [sym_block_comment] = STATE(2152),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2153] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18992),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2153),
    [sym_block_comment] = STATE(2153),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2154] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19081),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2154),
    [sym_block_comment] = STATE(2154),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2155] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19177),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2155),
    [sym_block_comment] = STATE(2155),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2156] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19275),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2156),
    [sym_block_comment] = STATE(2156),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2157] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19397),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2157),
    [sym_block_comment] = STATE(2157),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2158] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17816),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2158),
    [sym_block_comment] = STATE(2158),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2159] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18485),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2159),
    [sym_block_comment] = STATE(2159),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2160] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17896),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2160),
    [sym_block_comment] = STATE(2160),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2161] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18231),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2161),
    [sym_block_comment] = STATE(2161),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2162] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2162),
    [sym_block_comment] = STATE(2162),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_RPAREN] = ACTIONS(4148),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2163] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18608),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2163),
    [sym_block_comment] = STATE(2163),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2164] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18831),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2164),
    [sym_block_comment] = STATE(2164),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2165] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18990),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2165),
    [sym_block_comment] = STATE(2165),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2166] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19234),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2166),
    [sym_block_comment] = STATE(2166),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2167] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(19419),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2167),
    [sym_block_comment] = STATE(2167),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2168] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17782),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2168),
    [sym_block_comment] = STATE(2168),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2169] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17814),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2169),
    [sym_block_comment] = STATE(2169),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2170] = {
    [sym_type_parameters] = STATE(19075),
    [sym_inline_modifier] = STATE(2439),
    [sym_block] = STATE(8813),
    [sym_expression] = STATE(14194),
    [sym__simple_expression] = STATE(8573),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17664),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11137),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6815),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(9947),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(2170),
    [sym_block_comment] = STATE(2170),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2211),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2219),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2221),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_yield] = ACTIONS(4150),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [2171] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17839),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2171),
    [sym_block_comment] = STATE(2171),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2172] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17857),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2172),
    [sym_block_comment] = STATE(2172),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2173] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17894),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2173),
    [sym_block_comment] = STATE(2173),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2174] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(17921),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2174),
    [sym_block_comment] = STATE(2174),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2175] = {
    [sym_type_parameters] = STATE(19319),
    [sym_inline_modifier] = STATE(2481),
    [sym_block] = STATE(6011),
    [sym_expression] = STATE(12406),
    [sym__simple_expression] = STATE(5251),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17418),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4750),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6718),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(2175),
    [sym_block_comment] = STATE(2175),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_try] = ACTIONS(1865),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1867),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1869),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1871),
    [anon_sym_throw] = ACTIONS(1873),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_yield] = ACTIONS(4152),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [2176] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15197),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym__exprs_in_parens] = STATE(18993),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2176),
    [sym_block_comment] = STATE(2176),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2177] = {
    [sym_type_parameters] = STATE(19207),
    [sym_inline_modifier] = STATE(2464),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14916),
    [sym__simple_expression] = STATE(7248),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17632),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10970),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6228),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9914),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(2177),
    [sym_block_comment] = STATE(2177),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(3418),
    [anon_sym_while] = ACTIONS(3404),
    [anon_sym_for] = ACTIONS(3406),
    [anon_sym_try] = ACTIONS(3408),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3410),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(3412),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_throw] = ACTIONS(3416),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [2178] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16629),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2178),
    [sym_block_comment] = STATE(2178),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4154),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2179] = {
    [sym_type_parameters] = STATE(19228),
    [sym_inline_modifier] = STATE(2467),
    [sym_block] = STATE(7344),
    [sym_expression] = STATE(13266),
    [sym__simple_expression] = STATE(6822),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17483),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10622),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5644),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(2179),
    [sym_block_comment] = STATE(2179),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(2349),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_try] = ACTIONS(2353),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2357),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2359),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [2180] = {
    [sym_type_parameters] = STATE(19115),
    [sym_inline_modifier] = STATE(2449),
    [sym_block] = STATE(9793),
    [sym_expression] = STATE(14462),
    [sym__simple_expression] = STATE(6296),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17754),
    [sym_case_block] = STATE(9793),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(9793),
    [sym_call_expression] = STATE(9793),
    [sym_field_expression] = STATE(9793),
    [sym_instance_expression] = STATE(9793),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(10680),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(18810),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(10068),
    [sym_tuple_expression] = STATE(9793),
    [sym_parenthesized_expression] = STATE(9793),
    [sym_splice_expression] = STATE(9793),
    [sym_quote_expression] = STATE(9793),
    [sym_identifier] = STATE(5289),
    [sym__soft_identifier] = STATE(4682),
    [sym_wildcard] = STATE(8440),
    [sym__non_null_literal] = STATE(9793),
    [sym_boolean_literal] = STATE(9544),
    [sym_interpolated_string_expression] = STATE(9793),
    [sym_string] = STATE(9544),
    [sym_unit] = STATE(9793),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(2180),
    [sym_block_comment] = STATE(2180),
    [sym__alpha_identifier] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym__] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_end] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1875),
    [anon_sym_while] = ACTIONS(1877),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_try] = ACTIONS(1881),
    [anon_sym_new] = ACTIONS(1339),
    [anon_sym_opaque] = ACTIONS(1337),
    [anon_sym_implicit] = ACTIONS(1883),
    [anon_sym_inline] = ACTIONS(1341),
    [anon_sym_infix] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_transparent] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_macro] = ACTIONS(1885),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_DOLLAR] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [sym__backquoted_id] = ACTIONS(1349),
    [sym_operator_identifier] = ACTIONS(1887),
    [sym_integer_literal] = ACTIONS(1353),
    [sym_floating_point_literal] = ACTIONS(1355),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [sym_character_literal] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_throw] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1361),
    [sym__simple_string] = ACTIONS(1361),
  },
  [2181] = {
    [sym_type_parameters] = STATE(19375),
    [sym_inline_modifier] = STATE(2489),
    [sym_block] = STATE(6526),
    [sym_expression] = STATE(12775),
    [sym__simple_expression] = STATE(5584),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17531),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9590),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4881),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(2181),
    [sym_block_comment] = STATE(2181),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2377),
    [anon_sym_while] = ACTIONS(2051),
    [anon_sym_for] = ACTIONS(2053),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(2057),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(2059),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_throw] = ACTIONS(2063),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [2182] = {
    [sym_type_parameters] = STATE(19228),
    [sym_inline_modifier] = STATE(2467),
    [sym_block] = STATE(7344),
    [sym_expression] = STATE(13316),
    [sym__simple_expression] = STATE(6822),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17483),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10622),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5644),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(2182),
    [sym_block_comment] = STATE(2182),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(2349),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_try] = ACTIONS(2353),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2357),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2359),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [2183] = {
    [sym_type_parameters] = STATE(19375),
    [sym_inline_modifier] = STATE(2489),
    [sym_block] = STATE(6526),
    [sym_expression] = STATE(12789),
    [sym__simple_expression] = STATE(5584),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17531),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9590),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4881),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(2183),
    [sym_block_comment] = STATE(2183),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2377),
    [anon_sym_while] = ACTIONS(2051),
    [anon_sym_for] = ACTIONS(2053),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(2057),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(2059),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_throw] = ACTIONS(2063),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [2184] = {
    [sym_type_parameters] = STATE(19115),
    [sym_inline_modifier] = STATE(2449),
    [sym_block] = STATE(9793),
    [sym_expression] = STATE(14503),
    [sym__simple_expression] = STATE(6296),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17754),
    [sym_case_block] = STATE(9793),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(9793),
    [sym_call_expression] = STATE(9793),
    [sym_field_expression] = STATE(9793),
    [sym_instance_expression] = STATE(9793),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(10680),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(18810),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(10068),
    [sym_tuple_expression] = STATE(9793),
    [sym_parenthesized_expression] = STATE(9793),
    [sym_splice_expression] = STATE(9793),
    [sym_quote_expression] = STATE(9793),
    [sym_identifier] = STATE(5289),
    [sym__soft_identifier] = STATE(4682),
    [sym_wildcard] = STATE(8440),
    [sym__non_null_literal] = STATE(9793),
    [sym_boolean_literal] = STATE(9544),
    [sym_interpolated_string_expression] = STATE(9793),
    [sym_string] = STATE(9544),
    [sym_unit] = STATE(9793),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(2184),
    [sym_block_comment] = STATE(2184),
    [sym__alpha_identifier] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym__] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_end] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1875),
    [anon_sym_while] = ACTIONS(1877),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_try] = ACTIONS(1881),
    [anon_sym_new] = ACTIONS(1339),
    [anon_sym_opaque] = ACTIONS(1337),
    [anon_sym_implicit] = ACTIONS(1883),
    [anon_sym_inline] = ACTIONS(1341),
    [anon_sym_infix] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_transparent] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_macro] = ACTIONS(1885),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_DOLLAR] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [sym__backquoted_id] = ACTIONS(1349),
    [sym_operator_identifier] = ACTIONS(1887),
    [sym_integer_literal] = ACTIONS(1353),
    [sym_floating_point_literal] = ACTIONS(1355),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [sym_character_literal] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_throw] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1361),
    [sym__simple_string] = ACTIONS(1361),
  },
  [2185] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(11472),
    [sym_expression] = STATE(16591),
    [sym__simple_expression] = STATE(9906),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(11472),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(11472),
    [sym_call_expression] = STATE(11472),
    [sym_field_expression] = STATE(11472),
    [sym_instance_expression] = STATE(11472),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(17982),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(11472),
    [sym_parenthesized_expression] = STATE(11472),
    [sym_splice_expression] = STATE(11472),
    [sym_quote_expression] = STATE(11472),
    [sym_identifier] = STATE(9418),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11189),
    [sym__non_null_literal] = STATE(11472),
    [sym_boolean_literal] = STATE(11375),
    [sym_interpolated_string_expression] = STATE(11472),
    [sym_string] = STATE(11375),
    [sym_unit] = STATE(11472),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2185),
    [sym_block_comment] = STATE(2185),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(3500),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(3504),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(3506),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3510),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3512),
    [sym_integer_literal] = ACTIONS(3514),
    [sym_floating_point_literal] = ACTIONS(3516),
    [anon_sym_true] = ACTIONS(3518),
    [anon_sym_false] = ACTIONS(3518),
    [sym_character_literal] = ACTIONS(3516),
    [sym_null_literal] = ACTIONS(3520),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(3522),
    [sym__simple_string] = ACTIONS(3522),
  },
  [2186] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(13998),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(2186),
    [sym_block_comment] = STATE(2186),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [2187] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(6679),
    [sym_expression] = STATE(16438),
    [sym__simple_expression] = STATE(4783),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(8406),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(17770),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(7172),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4637),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(5740),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2187),
    [sym_block_comment] = STATE(2187),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1099),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [2188] = {
    [sym_type_parameters] = STATE(19382),
    [sym_inline_modifier] = STATE(2178),
    [sym_block] = STATE(9077),
    [sym_expression] = STATE(14165),
    [sym__simple_expression] = STATE(6194),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17545),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10186),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5256),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(8424),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(2188),
    [sym_block_comment] = STATE(2188),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(2071),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(2073),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(2075),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [2189] = {
    [sym_type_parameters] = STATE(19235),
    [sym_inline_modifier] = STATE(2468),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(14407),
    [sym__simple_expression] = STATE(8861),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17540),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7253),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10745),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(2189),
    [sym_block_comment] = STATE(2189),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2143),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2149),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2151),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2153),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [2190] = {
    [sym_type_parameters] = STATE(19382),
    [sym_inline_modifier] = STATE(2178),
    [sym_block] = STATE(9077),
    [sym_expression] = STATE(14198),
    [sym__simple_expression] = STATE(6194),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17545),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10186),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5256),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(8424),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(2190),
    [sym_block_comment] = STATE(2190),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(2071),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(2073),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(2075),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [2191] = {
    [sym_type_parameters] = STATE(19018),
    [sym_inline_modifier] = STATE(2423),
    [sym_block] = STATE(9948),
    [sym_expression] = STATE(14831),
    [sym__simple_expression] = STATE(6984),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17638),
    [sym_case_block] = STATE(9948),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(9948),
    [sym_call_expression] = STATE(9948),
    [sym_field_expression] = STATE(9948),
    [sym_instance_expression] = STATE(9948),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(10976),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19113),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10414),
    [sym_tuple_expression] = STATE(9948),
    [sym_parenthesized_expression] = STATE(9948),
    [sym_splice_expression] = STATE(9948),
    [sym_quote_expression] = STATE(9948),
    [sym_identifier] = STATE(5741),
    [sym__soft_identifier] = STATE(4751),
    [sym_wildcard] = STATE(9076),
    [sym__non_null_literal] = STATE(9948),
    [sym_boolean_literal] = STATE(10000),
    [sym_interpolated_string_expression] = STATE(9948),
    [sym_string] = STATE(10000),
    [sym_unit] = STATE(9948),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(2191),
    [sym_block_comment] = STATE(2191),
    [sym__alpha_identifier] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym__] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_end] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2123),
    [anon_sym_try] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_opaque] = ACTIONS(1523),
    [anon_sym_implicit] = ACTIONS(2127),
    [anon_sym_inline] = ACTIONS(1527),
    [anon_sym_infix] = ACTIONS(1523),
    [anon_sym_open] = ACTIONS(1523),
    [anon_sym_transparent] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [anon_sym_macro] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [sym__backquoted_id] = ACTIONS(1535),
    [sym_operator_identifier] = ACTIONS(2131),
    [sym_integer_literal] = ACTIONS(1539),
    [sym_floating_point_literal] = ACTIONS(1541),
    [anon_sym_true] = ACTIONS(1543),
    [anon_sym_false] = ACTIONS(1543),
    [sym_character_literal] = ACTIONS(1541),
    [sym_null_literal] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(2133),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1547),
    [sym__simple_string] = ACTIONS(1547),
  },
  [2192] = {
    [sym_type_parameters] = STATE(19235),
    [sym_inline_modifier] = STATE(2468),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(14438),
    [sym__simple_expression] = STATE(8861),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17540),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7253),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10745),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(2192),
    [sym_block_comment] = STATE(2192),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2143),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2149),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2151),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2153),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [2193] = {
    [sym_type_parameters] = STATE(19018),
    [sym_inline_modifier] = STATE(2423),
    [sym_block] = STATE(9948),
    [sym_expression] = STATE(14909),
    [sym__simple_expression] = STATE(6984),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17638),
    [sym_case_block] = STATE(9948),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(9948),
    [sym_call_expression] = STATE(9948),
    [sym_field_expression] = STATE(9948),
    [sym_instance_expression] = STATE(9948),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(10976),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19113),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10414),
    [sym_tuple_expression] = STATE(9948),
    [sym_parenthesized_expression] = STATE(9948),
    [sym_splice_expression] = STATE(9948),
    [sym_quote_expression] = STATE(9948),
    [sym_identifier] = STATE(5741),
    [sym__soft_identifier] = STATE(4751),
    [sym_wildcard] = STATE(9076),
    [sym__non_null_literal] = STATE(9948),
    [sym_boolean_literal] = STATE(10000),
    [sym_interpolated_string_expression] = STATE(9948),
    [sym_string] = STATE(10000),
    [sym_unit] = STATE(9948),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(2193),
    [sym_block_comment] = STATE(2193),
    [sym__alpha_identifier] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym__] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_end] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2123),
    [anon_sym_try] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_opaque] = ACTIONS(1523),
    [anon_sym_implicit] = ACTIONS(2127),
    [anon_sym_inline] = ACTIONS(1527),
    [anon_sym_infix] = ACTIONS(1523),
    [anon_sym_open] = ACTIONS(1523),
    [anon_sym_transparent] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [anon_sym_macro] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [sym__backquoted_id] = ACTIONS(1535),
    [sym_operator_identifier] = ACTIONS(2131),
    [sym_integer_literal] = ACTIONS(1539),
    [sym_floating_point_literal] = ACTIONS(1541),
    [anon_sym_true] = ACTIONS(1543),
    [anon_sym_false] = ACTIONS(1543),
    [sym_character_literal] = ACTIONS(1541),
    [sym_null_literal] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(2133),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1547),
    [sym__simple_string] = ACTIONS(1547),
  },
  [2194] = {
    [sym_type_parameters] = STATE(19123),
    [sym_inline_modifier] = STATE(2451),
    [sym_block] = STATE(9061),
    [sym_expression] = STATE(14244),
    [sym__simple_expression] = STATE(8318),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17393),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11156),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6713),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(10010),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(2194),
    [sym_block_comment] = STATE(2194),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2958),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2962),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2966),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2968),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [2195] = {
    [sym_type_parameters] = STATE(19389),
    [sym_inline_modifier] = STATE(2239),
    [sym_block] = STATE(6526),
    [sym_expression] = STATE(12775),
    [sym__simple_expression] = STATE(5645),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17555),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4919),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7255),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(2195),
    [sym_block_comment] = STATE(2195),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_while] = ACTIONS(1775),
    [anon_sym_for] = ACTIONS(1777),
    [anon_sym_try] = ACTIONS(1779),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1781),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1783),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_throw] = ACTIONS(1787),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [2196] = {
    [sym_type_parameters] = STATE(19123),
    [sym_inline_modifier] = STATE(2451),
    [sym_block] = STATE(9061),
    [sym_expression] = STATE(14246),
    [sym__simple_expression] = STATE(8318),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17393),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11156),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6713),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(10010),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(2196),
    [sym_block_comment] = STATE(2196),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2958),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2962),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2966),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2968),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_throw] = ACTIONS(2972),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [2197] = {
    [sym_type_parameters] = STATE(19389),
    [sym_inline_modifier] = STATE(2239),
    [sym_block] = STATE(6526),
    [sym_expression] = STATE(12789),
    [sym__simple_expression] = STATE(5645),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17555),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4919),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7255),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(2197),
    [sym_block_comment] = STATE(2197),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_while] = ACTIONS(1775),
    [anon_sym_for] = ACTIONS(1777),
    [anon_sym_try] = ACTIONS(1779),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1781),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1783),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_throw] = ACTIONS(1787),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [2198] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15422),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2198),
    [sym_block_comment] = STATE(2198),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2199] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15445),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2199),
    [sym_block_comment] = STATE(2199),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2200] = {
    [sym_type_parameters] = STATE(19242),
    [sym_inline_modifier] = STATE(2470),
    [sym_block] = STATE(8225),
    [sym_expression] = STATE(13772),
    [sym__simple_expression] = STATE(5573),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17585),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9764),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4962),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7178),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(2200),
    [sym_block_comment] = STATE(2200),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_try] = ACTIONS(1499),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1501),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1505),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [2201] = {
    [sym_type_parameters] = STATE(19242),
    [sym_inline_modifier] = STATE(2470),
    [sym_block] = STATE(8225),
    [sym_expression] = STATE(13862),
    [sym__simple_expression] = STATE(5573),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17585),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9764),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4962),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7178),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(2201),
    [sym_block_comment] = STATE(2201),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_try] = ACTIONS(1499),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1501),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1505),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [2202] = {
    [sym_type_parameters] = STATE(19193),
    [sym_inline_modifier] = STATE(2462),
    [sym_block] = STATE(7344),
    [sym_expression] = STATE(13237),
    [sym__simple_expression] = STATE(6717),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17709),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10599),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8740),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(2202),
    [sym_block_comment] = STATE(2202),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(2305),
    [anon_sym_for] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2311),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2313),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [2203] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15454),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2203),
    [sym_block_comment] = STATE(2203),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2204] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(8813),
    [sym_expression] = STATE(16883),
    [sym__simple_expression] = STATE(5479),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(10017),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18061),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(9550),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(4971),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(7101),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2204),
    [sym_block_comment] = STATE(2204),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(1849),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [2205] = {
    [sym_type_parameters] = STATE(19130),
    [sym_inline_modifier] = STATE(2453),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(13981),
    [sym__simple_expression] = STATE(6803),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17438),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10695),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5679),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(2205),
    [sym_block_comment] = STATE(2205),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(3328),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(3330),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3334),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [2206] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(16001),
    [sym__simple_expression] = STATE(7180),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11286),
    [sym_postfix_expression] = STATE(15012),
    [sym__postfix_expression_choice] = STATE(15291),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(10770),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(5523),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9068),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2206),
    [sym_block_comment] = STATE(2206),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(2557),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [2207] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(14876),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2207),
    [sym_block_comment] = STATE(2207),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2208] = {
    [sym_type_parameters] = STATE(19130),
    [sym_inline_modifier] = STATE(2453),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(13998),
    [sym__simple_expression] = STATE(6803),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17438),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10695),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5679),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(2208),
    [sym_block_comment] = STATE(2208),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(3328),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(3330),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3334),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [2209] = {
    [sym_type_parameters] = STATE(19249),
    [sym_inline_modifier] = STATE(2471),
    [sym_block] = STATE(9867),
    [sym_expression] = STATE(14410),
    [sym__simple_expression] = STATE(6536),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17625),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10510),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5560),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(9247),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(2209),
    [sym_block_comment] = STATE(2209),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_while] = ACTIONS(1965),
    [anon_sym_for] = ACTIONS(1967),
    [anon_sym_try] = ACTIONS(1969),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(1971),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(1975),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(1977),
    [anon_sym_throw] = ACTIONS(1979),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [2210] = {
    [sym_type_parameters] = STATE(19207),
    [sym_inline_modifier] = STATE(2464),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14896),
    [sym__simple_expression] = STATE(7248),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17632),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10970),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6228),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9914),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(2210),
    [sym_block_comment] = STATE(2210),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(3418),
    [anon_sym_while] = ACTIONS(3404),
    [anon_sym_for] = ACTIONS(3406),
    [anon_sym_try] = ACTIONS(3408),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3410),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(3412),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_throw] = ACTIONS(3416),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [2211] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15472),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2211),
    [sym_block_comment] = STATE(2211),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2212] = {
    [sym_type_parameters] = STATE(19249),
    [sym_inline_modifier] = STATE(2471),
    [sym_block] = STATE(9867),
    [sym_expression] = STATE(14419),
    [sym__simple_expression] = STATE(6536),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17625),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10510),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5560),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(9247),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(2212),
    [sym_block_comment] = STATE(2212),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_while] = ACTIONS(1965),
    [anon_sym_for] = ACTIONS(1967),
    [anon_sym_try] = ACTIONS(1969),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(1971),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(1975),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(1977),
    [anon_sym_throw] = ACTIONS(1979),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [2213] = {
    [sym_type_parameters] = STATE(19207),
    [sym_inline_modifier] = STATE(2464),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14919),
    [sym__simple_expression] = STATE(7248),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17632),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10970),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6228),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9914),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(2213),
    [sym_block_comment] = STATE(2213),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(3418),
    [anon_sym_while] = ACTIONS(3404),
    [anon_sym_for] = ACTIONS(3406),
    [anon_sym_try] = ACTIONS(3408),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3410),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(3412),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_throw] = ACTIONS(3416),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [2214] = {
    [sym_type_parameters] = STATE(19333),
    [sym_inline_modifier] = STATE(2483),
    [sym_block] = STATE(8086),
    [sym_expression] = STATE(13826),
    [sym__simple_expression] = STATE(7254),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17445),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10814),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6232),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9529),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(2214),
    [sym_block_comment] = STATE(2214),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(2563),
    [anon_sym_for] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2569),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2571),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2573),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [2215] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15599),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2215),
    [sym_block_comment] = STATE(2215),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2216] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(14899),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2216),
    [sym_block_comment] = STATE(2216),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2217] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15479),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2217),
    [sym_block_comment] = STATE(2217),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2218] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15480),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2218),
    [sym_block_comment] = STATE(2218),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2219] = {
    [sym_type_parameters] = STATE(19158),
    [sym_inline_modifier] = STATE(2458),
    [sym_block] = STATE(7275),
    [sym_expression] = STATE(13623),
    [sym__simple_expression] = STATE(6463),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17611),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10419),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5576),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8828),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(2219),
    [sym_block_comment] = STATE(2219),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2083),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2089),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2091),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2095),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [2220] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(17005),
    [sym__simple_expression] = STATE(5295),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(19205),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(4748),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(6678),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2220),
    [sym_block_comment] = STATE(2220),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(1773),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [2221] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15482),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2221),
    [sym_block_comment] = STATE(2221),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2222] = {
    [sym_type_parameters] = STATE(19333),
    [sym_inline_modifier] = STATE(2483),
    [sym_block] = STATE(8086),
    [sym_expression] = STATE(13856),
    [sym__simple_expression] = STATE(7254),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17445),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10814),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6232),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9529),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(2222),
    [sym_block_comment] = STATE(2222),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(2563),
    [anon_sym_for] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2569),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2571),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2573),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [2223] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15484),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2223),
    [sym_block_comment] = STATE(2223),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2224] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(17005),
    [sym__simple_expression] = STATE(5295),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(19205),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(4748),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(6678),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2224),
    [sym_block_comment] = STATE(2224),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(1773),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [2225] = {
    [sym_type_parameters] = STATE(19165),
    [sym_inline_modifier] = STATE(2459),
    [sym_block] = STATE(7344),
    [sym_expression] = STATE(13237),
    [sym__simple_expression] = STATE(5480),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17663),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(9905),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(4870),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(7665),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(2225),
    [sym_block_comment] = STATE(2225),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1459),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1463),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(1465),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(1469),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1471),
    [anon_sym_throw] = ACTIONS(1473),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [2226] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(17005),
    [sym__simple_expression] = STATE(5709),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(9949),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(19205),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(9659),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(4748),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(6678),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2226),
    [sym_block_comment] = STATE(2226),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(1773),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [2227] = {
    [sym_type_parameters] = STATE(19256),
    [sym_inline_modifier] = STATE(2472),
    [sym_block] = STATE(10196),
    [sym_expression] = STATE(14797),
    [sym__simple_expression] = STATE(6665),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17671),
    [sym_case_block] = STATE(10196),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(10196),
    [sym_call_expression] = STATE(10196),
    [sym_field_expression] = STATE(10196),
    [sym_instance_expression] = STATE(10196),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(10922),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18163),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(10591),
    [sym_tuple_expression] = STATE(10196),
    [sym_parenthesized_expression] = STATE(10196),
    [sym_splice_expression] = STATE(10196),
    [sym_quote_expression] = STATE(10196),
    [sym_identifier] = STATE(5739),
    [sym__soft_identifier] = STATE(4721),
    [sym_wildcard] = STATE(9421),
    [sym__non_null_literal] = STATE(10196),
    [sym_boolean_literal] = STATE(10049),
    [sym_interpolated_string_expression] = STATE(10196),
    [sym_string] = STATE(10049),
    [sym_unit] = STATE(10196),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(2227),
    [sym_block_comment] = STATE(2227),
    [sym__alpha_identifier] = ACTIONS(1789),
    [anon_sym_LBRACE] = ACTIONS(1793),
    [anon_sym__] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_end] = ACTIONS(1799),
    [anon_sym_if] = ACTIONS(1983),
    [anon_sym_while] = ACTIONS(1985),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1801),
    [anon_sym_opaque] = ACTIONS(1799),
    [anon_sym_implicit] = ACTIONS(1991),
    [anon_sym_inline] = ACTIONS(1803),
    [anon_sym_infix] = ACTIONS(1799),
    [anon_sym_open] = ACTIONS(1799),
    [anon_sym_transparent] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [anon_sym_macro] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(1797),
    [anon_sym_TILDE] = ACTIONS(1797),
    [anon_sym_DOLLAR] = ACTIONS(1807),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [sym__backquoted_id] = ACTIONS(1811),
    [sym_operator_identifier] = ACTIONS(1995),
    [sym_integer_literal] = ACTIONS(1815),
    [sym_floating_point_literal] = ACTIONS(1817),
    [anon_sym_true] = ACTIONS(1819),
    [anon_sym_false] = ACTIONS(1819),
    [sym_character_literal] = ACTIONS(1817),
    [sym_null_literal] = ACTIONS(1821),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_throw] = ACTIONS(1999),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1823),
    [sym__simple_string] = ACTIONS(1823),
  },
  [2228] = {
    [sym_type_parameters] = STATE(19137),
    [sym_inline_modifier] = STATE(2454),
    [sym_block] = STATE(10753),
    [sym_expression] = STATE(15100),
    [sym__simple_expression] = STATE(7215),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17486),
    [sym_case_block] = STATE(10753),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(10753),
    [sym_call_expression] = STATE(10753),
    [sym_field_expression] = STATE(10753),
    [sym_instance_expression] = STATE(10753),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(11165),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(18932),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10969),
    [sym_tuple_expression] = STATE(10753),
    [sym_parenthesized_expression] = STATE(10753),
    [sym_splice_expression] = STATE(10753),
    [sym_quote_expression] = STATE(10753),
    [sym_identifier] = STATE(6109),
    [sym__soft_identifier] = STATE(4936),
    [sym_wildcard] = STATE(9648),
    [sym__non_null_literal] = STATE(10753),
    [sym_boolean_literal] = STATE(10697),
    [sym_interpolated_string_expression] = STATE(10753),
    [sym_string] = STATE(10697),
    [sym_unit] = STATE(10753),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(2228),
    [sym_block_comment] = STATE(2228),
    [sym__alpha_identifier] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(2475),
    [anon_sym__] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2481),
    [anon_sym_DASH] = ACTIONS(2481),
    [anon_sym_end] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(2487),
    [anon_sym_for] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_opaque] = ACTIONS(2483),
    [anon_sym_implicit] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2497),
    [anon_sym_infix] = ACTIONS(2483),
    [anon_sym_open] = ACTIONS(2483),
    [anon_sym_transparent] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_macro] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2481),
    [anon_sym_TILDE] = ACTIONS(2481),
    [anon_sym_DOLLAR] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2505),
    [sym__backquoted_id] = ACTIONS(2507),
    [sym_operator_identifier] = ACTIONS(2509),
    [sym_integer_literal] = ACTIONS(2511),
    [sym_floating_point_literal] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [sym_character_literal] = ACTIONS(2513),
    [sym_null_literal] = ACTIONS(2517),
    [anon_sym_return] = ACTIONS(2519),
    [anon_sym_throw] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2523),
    [sym__simple_string] = ACTIONS(2523),
  },
  [2229] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(13981),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(2229),
    [sym_block_comment] = STATE(2229),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [2230] = {
    [sym_type_parameters] = STATE(19256),
    [sym_inline_modifier] = STATE(2472),
    [sym_block] = STATE(10196),
    [sym_expression] = STATE(14841),
    [sym__simple_expression] = STATE(6665),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17671),
    [sym_case_block] = STATE(10196),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(10196),
    [sym_call_expression] = STATE(10196),
    [sym_field_expression] = STATE(10196),
    [sym_instance_expression] = STATE(10196),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(10922),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18163),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(10591),
    [sym_tuple_expression] = STATE(10196),
    [sym_parenthesized_expression] = STATE(10196),
    [sym_splice_expression] = STATE(10196),
    [sym_quote_expression] = STATE(10196),
    [sym_identifier] = STATE(5739),
    [sym__soft_identifier] = STATE(4721),
    [sym_wildcard] = STATE(9421),
    [sym__non_null_literal] = STATE(10196),
    [sym_boolean_literal] = STATE(10049),
    [sym_interpolated_string_expression] = STATE(10196),
    [sym_string] = STATE(10049),
    [sym_unit] = STATE(10196),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(2230),
    [sym_block_comment] = STATE(2230),
    [sym__alpha_identifier] = ACTIONS(1789),
    [anon_sym_LBRACE] = ACTIONS(1793),
    [anon_sym__] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_end] = ACTIONS(1799),
    [anon_sym_if] = ACTIONS(1983),
    [anon_sym_while] = ACTIONS(1985),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1801),
    [anon_sym_opaque] = ACTIONS(1799),
    [anon_sym_implicit] = ACTIONS(1991),
    [anon_sym_inline] = ACTIONS(1803),
    [anon_sym_infix] = ACTIONS(1799),
    [anon_sym_open] = ACTIONS(1799),
    [anon_sym_transparent] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [anon_sym_macro] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(1797),
    [anon_sym_TILDE] = ACTIONS(1797),
    [anon_sym_DOLLAR] = ACTIONS(1807),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [sym__backquoted_id] = ACTIONS(1811),
    [sym_operator_identifier] = ACTIONS(1995),
    [sym_integer_literal] = ACTIONS(1815),
    [sym_floating_point_literal] = ACTIONS(1817),
    [anon_sym_true] = ACTIONS(1819),
    [anon_sym_false] = ACTIONS(1819),
    [sym_character_literal] = ACTIONS(1817),
    [sym_null_literal] = ACTIONS(1821),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_throw] = ACTIONS(1999),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1823),
    [sym__simple_string] = ACTIONS(1823),
  },
  [2231] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2231),
    [sym_block_comment] = STATE(2231),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2232] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(6679),
    [sym_expression] = STATE(16438),
    [sym__simple_expression] = STATE(4735),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(17770),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4637),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(5740),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2232),
    [sym_block_comment] = STATE(2232),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1099),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [2233] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(16001),
    [sym__simple_expression] = STATE(7399),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11172),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18232),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(10851),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(5523),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9068),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2233),
    [sym_block_comment] = STATE(2233),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(2557),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [2234] = {
    [sym_type_parameters] = STATE(19137),
    [sym_inline_modifier] = STATE(2454),
    [sym_block] = STATE(10753),
    [sym_expression] = STATE(15001),
    [sym__simple_expression] = STATE(7215),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17486),
    [sym_case_block] = STATE(10753),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(10753),
    [sym_call_expression] = STATE(10753),
    [sym_field_expression] = STATE(10753),
    [sym_instance_expression] = STATE(10753),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(11165),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(18932),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10969),
    [sym_tuple_expression] = STATE(10753),
    [sym_parenthesized_expression] = STATE(10753),
    [sym_splice_expression] = STATE(10753),
    [sym_quote_expression] = STATE(10753),
    [sym_identifier] = STATE(6109),
    [sym__soft_identifier] = STATE(4936),
    [sym_wildcard] = STATE(9648),
    [sym__non_null_literal] = STATE(10753),
    [sym_boolean_literal] = STATE(10697),
    [sym_interpolated_string_expression] = STATE(10753),
    [sym_string] = STATE(10697),
    [sym_unit] = STATE(10753),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(2234),
    [sym_block_comment] = STATE(2234),
    [sym__alpha_identifier] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(2475),
    [anon_sym__] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2481),
    [anon_sym_DASH] = ACTIONS(2481),
    [anon_sym_end] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(2487),
    [anon_sym_for] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_opaque] = ACTIONS(2483),
    [anon_sym_implicit] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2497),
    [anon_sym_infix] = ACTIONS(2483),
    [anon_sym_open] = ACTIONS(2483),
    [anon_sym_transparent] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_macro] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2481),
    [anon_sym_TILDE] = ACTIONS(2481),
    [anon_sym_DOLLAR] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2505),
    [sym__backquoted_id] = ACTIONS(2507),
    [sym_operator_identifier] = ACTIONS(2509),
    [sym_integer_literal] = ACTIONS(2511),
    [sym_floating_point_literal] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [sym_character_literal] = ACTIONS(2513),
    [sym_null_literal] = ACTIONS(2517),
    [anon_sym_return] = ACTIONS(2519),
    [anon_sym_throw] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2523),
    [sym__simple_string] = ACTIONS(2523),
  },
  [2235] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(17005),
    [sym__simple_expression] = STATE(7211),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11279),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(19205),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11098),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(4748),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(6678),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2235),
    [sym_block_comment] = STATE(2235),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(1773),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [2236] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(11472),
    [sym_expression] = STATE(16591),
    [sym__simple_expression] = STATE(9716),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(11472),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(11472),
    [sym_call_expression] = STATE(11472),
    [sym_field_expression] = STATE(11472),
    [sym_instance_expression] = STATE(11472),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11930),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(17564),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11750),
    [sym_tuple_expression] = STATE(11472),
    [sym_parenthesized_expression] = STATE(11472),
    [sym_splice_expression] = STATE(11472),
    [sym_quote_expression] = STATE(11472),
    [sym_identifier] = STATE(9418),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11189),
    [sym__non_null_literal] = STATE(11472),
    [sym_boolean_literal] = STATE(11375),
    [sym_interpolated_string_expression] = STATE(11472),
    [sym_string] = STATE(11375),
    [sym_unit] = STATE(11472),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2236),
    [sym_block_comment] = STATE(2236),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(3500),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3502),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(3504),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(3506),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_DOLLAR] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3510),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3512),
    [sym_integer_literal] = ACTIONS(3514),
    [sym_floating_point_literal] = ACTIONS(3516),
    [anon_sym_true] = ACTIONS(3518),
    [anon_sym_false] = ACTIONS(3518),
    [sym_character_literal] = ACTIONS(3516),
    [sym_null_literal] = ACTIONS(3520),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(3522),
    [sym__simple_string] = ACTIONS(3522),
  },
  [2237] = {
    [sym_type_parameters] = STATE(19035),
    [sym_inline_modifier] = STATE(2429),
    [sym_block] = STATE(6679),
    [sym_expression] = STATE(12756),
    [sym__simple_expression] = STATE(5983),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17568),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10044),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(5062),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(8371),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(2237),
    [sym_block_comment] = STATE(2237),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1695),
    [anon_sym_while] = ACTIONS(1697),
    [anon_sym_for] = ACTIONS(1699),
    [anon_sym_try] = ACTIONS(1701),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1703),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1707),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1709),
    [anon_sym_throw] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [2238] = {
    [sym_type_parameters] = STATE(19214),
    [sym_inline_modifier] = STATE(2465),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(13828),
    [sym__simple_expression] = STATE(6878),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17725),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10612),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5702),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8984),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(2238),
    [sym_block_comment] = STATE(2238),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1001),
    [anon_sym_while] = ACTIONS(1003),
    [anon_sym_for] = ACTIONS(1005),
    [anon_sym_try] = ACTIONS(1007),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(1009),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(2625),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(1029),
    [anon_sym_throw] = ACTIONS(1031),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [2239] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16611),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2239),
    [sym_block_comment] = STATE(2239),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4156),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2240] = {
    [sym_type_parameters] = STATE(18973),
    [sym_inline_modifier] = STATE(2431),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(13998),
    [sym__simple_expression] = STATE(7964),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17637),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11236),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6865),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9975),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(2240),
    [sym_block_comment] = STATE(2240),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_try] = ACTIONS(131),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(449),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(175),
    [anon_sym_throw] = ACTIONS(177),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [2241] = {
    [sym_type_parameters] = STATE(19035),
    [sym_inline_modifier] = STATE(2429),
    [sym_block] = STATE(6679),
    [sym_expression] = STATE(12930),
    [sym__simple_expression] = STATE(5983),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17568),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10044),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(5062),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(8371),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(2241),
    [sym_block_comment] = STATE(2241),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1695),
    [anon_sym_while] = ACTIONS(1697),
    [anon_sym_for] = ACTIONS(1699),
    [anon_sym_try] = ACTIONS(1701),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1703),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1707),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1709),
    [anon_sym_throw] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [2242] = {
    [sym_type_parameters] = STATE(19214),
    [sym_inline_modifier] = STATE(2465),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(14053),
    [sym__simple_expression] = STATE(6878),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17725),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10612),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5702),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8984),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(2242),
    [sym_block_comment] = STATE(2242),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1001),
    [anon_sym_while] = ACTIONS(1003),
    [anon_sym_for] = ACTIONS(1005),
    [anon_sym_try] = ACTIONS(1007),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(1009),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(2625),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(1029),
    [anon_sym_throw] = ACTIONS(1031),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [2243] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15616),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2243),
    [sym_block_comment] = STATE(2243),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2244] = {
    [sym_type_parameters] = STATE(19172),
    [sym_inline_modifier] = STATE(2460),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(14470),
    [sym__simple_expression] = STATE(7448),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17722),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(10768),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6207),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(2244),
    [sym_block_comment] = STATE(2244),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2103),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2109),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2111),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_throw] = ACTIONS(2115),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [2245] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(8813),
    [sym_expression] = STATE(16883),
    [sym__simple_expression] = STATE(5385),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18061),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(4971),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(7101),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2245),
    [sym_block_comment] = STATE(2245),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(1849),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [2246] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10530),
    [sym_expression] = STATE(16335),
    [sym__simple_expression] = STATE(7479),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10530),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10530),
    [sym_call_expression] = STATE(10530),
    [sym_field_expression] = STATE(10530),
    [sym_instance_expression] = STATE(10530),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11196),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18657),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(10797),
    [sym_tuple_expression] = STATE(10530),
    [sym_parenthesized_expression] = STATE(10530),
    [sym_splice_expression] = STATE(10530),
    [sym_quote_expression] = STATE(10530),
    [sym_identifier] = STATE(5809),
    [sym__soft_identifier] = STATE(4921),
    [sym_wildcard] = STATE(9671),
    [sym__non_null_literal] = STATE(10530),
    [sym_boolean_literal] = STATE(10615),
    [sym_interpolated_string_expression] = STATE(10530),
    [sym_string] = STATE(10615),
    [sym_unit] = STATE(10530),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2246),
    [sym_block_comment] = STATE(2246),
    [sym__alpha_identifier] = ACTIONS(2399),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym__] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_end] = ACTIONS(2409),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_opaque] = ACTIONS(2409),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym_infix] = ACTIONS(2409),
    [anon_sym_open] = ACTIONS(2409),
    [anon_sym_transparent] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(2407),
    [anon_sym_TILDE] = ACTIONS(2407),
    [anon_sym_DOLLAR] = ACTIONS(2417),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [sym__backquoted_id] = ACTIONS(2421),
    [sym_operator_identifier] = ACTIONS(2423),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_floating_point_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2429),
    [anon_sym_false] = ACTIONS(2429),
    [sym_character_literal] = ACTIONS(2427),
    [sym_null_literal] = ACTIONS(2431),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2433),
    [sym__simple_string] = ACTIONS(2433),
  },
  [2247] = {
    [sym_type_parameters] = STATE(19263),
    [sym_inline_modifier] = STATE(2473),
    [sym_block] = STATE(9233),
    [sym_expression] = STATE(14362),
    [sym__simple_expression] = STATE(6189),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17703),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10035),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5250),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(2247),
    [sym_block_comment] = STATE(2247),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(2369),
    [anon_sym_while] = ACTIONS(2001),
    [anon_sym_for] = ACTIONS(2003),
    [anon_sym_try] = ACTIONS(2005),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(2009),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(2011),
    [anon_sym_throw] = ACTIONS(2013),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [2248] = {
    [sym_type_parameters] = STATE(19263),
    [sym_inline_modifier] = STATE(2473),
    [sym_block] = STATE(9233),
    [sym_expression] = STATE(14242),
    [sym__simple_expression] = STATE(6189),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17703),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10035),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5250),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(2248),
    [sym_block_comment] = STATE(2248),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(2369),
    [anon_sym_while] = ACTIONS(2001),
    [anon_sym_for] = ACTIONS(2003),
    [anon_sym_try] = ACTIONS(2005),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(2009),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(2011),
    [anon_sym_throw] = ACTIONS(2013),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [2249] = {
    [sym_type_parameters] = STATE(19144),
    [sym_inline_modifier] = STATE(2455),
    [sym_block] = STATE(9061),
    [sym_expression] = STATE(14244),
    [sym__simple_expression] = STATE(8591),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17537),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11118),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6819),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(2249),
    [sym_block_comment] = STATE(2249),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2974),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2978),
    [anon_sym_try] = ACTIONS(2980),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2982),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2984),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2986),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [2250] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15652),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2250),
    [sym_block_comment] = STATE(2250),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2251] = {
    [sym_type_parameters] = STATE(19200),
    [sym_inline_modifier] = STATE(2463),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(14470),
    [sym__simple_expression] = STATE(8734),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17498),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11304),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7224),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10395),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(2251),
    [sym_block_comment] = STATE(2251),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1921),
    [anon_sym_for] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(1929),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(1943),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(1953),
    [anon_sym_throw] = ACTIONS(1955),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [2252] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(16001),
    [sym__simple_expression] = STATE(6345),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18232),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(5523),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9068),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2252),
    [sym_block_comment] = STATE(2252),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(2557),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [2253] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(7573),
    [sym_expression] = STATE(16734),
    [sym__simple_expression] = STATE(4908),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(8915),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(19126),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(7989),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(4650),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(5829),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2253),
    [sym_block_comment] = STATE(2253),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(1243),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [2254] = {
    [sym_type_parameters] = STATE(19354),
    [sym_inline_modifier] = STATE(2486),
    [sym_block] = STATE(9867),
    [sym_expression] = STATE(14391),
    [sym__simple_expression] = STATE(6723),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17488),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5587),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(8751),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(2254),
    [sym_block_comment] = STATE(2254),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(2321),
    [anon_sym_while] = ACTIONS(2323),
    [anon_sym_for] = ACTIONS(2325),
    [anon_sym_try] = ACTIONS(2327),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(2329),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(2331),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_throw] = ACTIONS(2335),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [2255] = {
    [sym_type_parameters] = STATE(19144),
    [sym_inline_modifier] = STATE(2455),
    [sym_block] = STATE(9061),
    [sym_expression] = STATE(14246),
    [sym__simple_expression] = STATE(8591),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17537),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(11118),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(6819),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9971),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(2255),
    [sym_block_comment] = STATE(2255),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2974),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2978),
    [anon_sym_try] = ACTIONS(2980),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2982),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2984),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2986),
    [anon_sym_throw] = ACTIONS(2988),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [2256] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(8086),
    [sym_expression] = STATE(17039),
    [sym__simple_expression] = STATE(5242),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18315),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(4736),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(6541),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2256),
    [sym_block_comment] = STATE(2256),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(1423),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [2257] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15702),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2257),
    [sym_block_comment] = STATE(2257),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2258] = {
    [sym_type_parameters] = STATE(19018),
    [sym_inline_modifier] = STATE(2423),
    [sym_block] = STATE(9948),
    [sym_expression] = STATE(14820),
    [sym__simple_expression] = STATE(6984),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17638),
    [sym_case_block] = STATE(9948),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(9948),
    [sym_call_expression] = STATE(9948),
    [sym_field_expression] = STATE(9948),
    [sym_instance_expression] = STATE(9948),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(10976),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19113),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10414),
    [sym_tuple_expression] = STATE(9948),
    [sym_parenthesized_expression] = STATE(9948),
    [sym_splice_expression] = STATE(9948),
    [sym_quote_expression] = STATE(9948),
    [sym_identifier] = STATE(5741),
    [sym__soft_identifier] = STATE(4751),
    [sym_wildcard] = STATE(9076),
    [sym__non_null_literal] = STATE(9948),
    [sym_boolean_literal] = STATE(10000),
    [sym_interpolated_string_expression] = STATE(9948),
    [sym_string] = STATE(10000),
    [sym_unit] = STATE(9948),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(2258),
    [sym_block_comment] = STATE(2258),
    [sym__alpha_identifier] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym__] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_end] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(2119),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2123),
    [anon_sym_try] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_opaque] = ACTIONS(1523),
    [anon_sym_implicit] = ACTIONS(2127),
    [anon_sym_inline] = ACTIONS(1527),
    [anon_sym_infix] = ACTIONS(1523),
    [anon_sym_open] = ACTIONS(1523),
    [anon_sym_transparent] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [anon_sym_macro] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [sym__backquoted_id] = ACTIONS(1535),
    [sym_operator_identifier] = ACTIONS(2131),
    [sym_integer_literal] = ACTIONS(1539),
    [sym_floating_point_literal] = ACTIONS(1541),
    [anon_sym_true] = ACTIONS(1543),
    [anon_sym_false] = ACTIONS(1543),
    [sym_character_literal] = ACTIONS(1541),
    [sym_null_literal] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(2133),
    [anon_sym_throw] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1547),
    [sym__simple_string] = ACTIONS(1547),
  },
  [2259] = {
    [sym_type_parameters] = STATE(19200),
    [sym_inline_modifier] = STATE(2463),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(14407),
    [sym__simple_expression] = STATE(8734),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17498),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11304),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7224),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10395),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(2259),
    [sym_block_comment] = STATE(2259),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1921),
    [anon_sym_for] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(1929),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(1943),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(1953),
    [anon_sym_throw] = ACTIONS(1955),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [2260] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10530),
    [sym_expression] = STATE(16335),
    [sym__simple_expression] = STATE(7458),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10530),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10530),
    [sym_call_expression] = STATE(10530),
    [sym_field_expression] = STATE(10530),
    [sym_instance_expression] = STATE(10530),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18657),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10530),
    [sym_parenthesized_expression] = STATE(10530),
    [sym_splice_expression] = STATE(10530),
    [sym_quote_expression] = STATE(10530),
    [sym_identifier] = STATE(5809),
    [sym__soft_identifier] = STATE(4921),
    [sym_wildcard] = STATE(9671),
    [sym__non_null_literal] = STATE(10530),
    [sym_boolean_literal] = STATE(10615),
    [sym_interpolated_string_expression] = STATE(10530),
    [sym_string] = STATE(10615),
    [sym_unit] = STATE(10530),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2260),
    [sym_block_comment] = STATE(2260),
    [sym__alpha_identifier] = ACTIONS(2399),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym__] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(2409),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_opaque] = ACTIONS(2409),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym_infix] = ACTIONS(2409),
    [anon_sym_open] = ACTIONS(2409),
    [anon_sym_transparent] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(2417),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [sym__backquoted_id] = ACTIONS(2421),
    [sym_operator_identifier] = ACTIONS(2423),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_floating_point_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2429),
    [anon_sym_false] = ACTIONS(2429),
    [sym_character_literal] = ACTIONS(2427),
    [sym_null_literal] = ACTIONS(2431),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2433),
    [sym__simple_string] = ACTIONS(2433),
  },
  [2261] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9061),
    [sym_expression] = STATE(16876),
    [sym__simple_expression] = STATE(5704),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(9961),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(17799),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(9706),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(4823),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(7608),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2261),
    [sym_block_comment] = STATE(2261),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(1663),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [2262] = {
    [sym_type_parameters] = STATE(19270),
    [sym_inline_modifier] = STATE(2474),
    [sym_block] = STATE(6679),
    [sym_expression] = STATE(12756),
    [sym__simple_expression] = STATE(5637),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17719),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9894),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7246),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(2262),
    [sym_block_comment] = STATE(2262),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1893),
    [anon_sym_for] = ACTIONS(1895),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1899),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1901),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1903),
    [anon_sym_throw] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [2263] = {
    [sym_type_parameters] = STATE(19270),
    [sym_inline_modifier] = STATE(2474),
    [sym_block] = STATE(6679),
    [sym_expression] = STATE(12930),
    [sym__simple_expression] = STATE(5637),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17719),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9894),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7246),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(2263),
    [sym_block_comment] = STATE(2263),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1893),
    [anon_sym_for] = ACTIONS(1895),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1899),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1901),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1903),
    [anon_sym_throw] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [2264] = {
    [sym_type_parameters] = STATE(19043),
    [sym_inline_modifier] = STATE(2433),
    [sym_block] = STATE(8813),
    [sym_expression] = STATE(14199),
    [sym__simple_expression] = STATE(6777),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17580),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(10498),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(5353),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(8805),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(2264),
    [sym_block_comment] = STATE(2264),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2169),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2173),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2175),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [2265] = {
    [sym_type_parameters] = STATE(19200),
    [sym_inline_modifier] = STATE(2463),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(14438),
    [sym__simple_expression] = STATE(8734),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17498),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11304),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7224),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10395),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(2265),
    [sym_block_comment] = STATE(2265),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1919),
    [anon_sym_while] = ACTIONS(1921),
    [anon_sym_for] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(1929),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(1943),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(1953),
    [anon_sym_throw] = ACTIONS(1955),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [2266] = {
    [sym_type_parameters] = STATE(19043),
    [sym_inline_modifier] = STATE(2433),
    [sym_block] = STATE(8813),
    [sym_expression] = STATE(14237),
    [sym__simple_expression] = STATE(6777),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17580),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(10498),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(5353),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(8805),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(2266),
    [sym_block_comment] = STATE(2266),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2169),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2173),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2175),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [2267] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15872),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2267),
    [sym_block_comment] = STATE(2267),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2268] = {
    [sym_type_parameters] = STATE(19235),
    [sym_inline_modifier] = STATE(2468),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(14470),
    [sym__simple_expression] = STATE(8861),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17540),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7253),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(10745),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(2268),
    [sym_block_comment] = STATE(2268),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2143),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2147),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2149),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2151),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2153),
    [anon_sym_throw] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [2269] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(7573),
    [sym_expression] = STATE(16734),
    [sym__simple_expression] = STATE(4898),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(19126),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(4650),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(5829),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2269),
    [sym_block_comment] = STATE(2269),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(1243),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [2270] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9233),
    [sym_expression] = STATE(17055),
    [sym__simple_expression] = STATE(5758),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(10125),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(17909),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(9593),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(4949),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(7783),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2270),
    [sym_block_comment] = STATE(2270),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(1387),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [2271] = {
    [sym_type_parameters] = STATE(19151),
    [sym_inline_modifier] = STATE(2457),
    [sym_block] = STATE(6011),
    [sym_expression] = STATE(12308),
    [sym__simple_expression] = STATE(5655),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17577),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(9915),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4803),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(7495),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(2271),
    [sym_block_comment] = STATE(2271),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_try] = ACTIONS(1483),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1485),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1487),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_throw] = ACTIONS(1491),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [2272] = {
    [sym_type_parameters] = STATE(19368),
    [sym_inline_modifier] = STATE(2488),
    [sym_block] = STATE(7275),
    [sym_expression] = STATE(13623),
    [sym__simple_expression] = STATE(6230),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17517),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(9981),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5282),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8608),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(2272),
    [sym_block_comment] = STATE(2272),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2033),
    [anon_sym_for] = ACTIONS(2035),
    [anon_sym_try] = ACTIONS(2037),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2039),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2043),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2047),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [2273] = {
    [sym_type_parameters] = STATE(19151),
    [sym_inline_modifier] = STATE(2457),
    [sym_block] = STATE(6011),
    [sym_expression] = STATE(12396),
    [sym__simple_expression] = STATE(5655),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17577),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(9915),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4803),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(7495),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(2273),
    [sym_block_comment] = STATE(2273),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_try] = ACTIONS(1483),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1485),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1487),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_throw] = ACTIONS(1491),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [2274] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15553),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2274),
    [sym_block_comment] = STATE(2274),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2275] = {
    [sym_type_parameters] = STATE(19035),
    [sym_inline_modifier] = STATE(2429),
    [sym_block] = STATE(6679),
    [sym_expression] = STATE(13063),
    [sym__simple_expression] = STATE(5983),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17568),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(10044),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(5062),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(8371),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(2275),
    [sym_block_comment] = STATE(2275),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1695),
    [anon_sym_while] = ACTIONS(1697),
    [anon_sym_for] = ACTIONS(1699),
    [anon_sym_try] = ACTIONS(1701),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1703),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1707),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1709),
    [anon_sym_throw] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [2276] = {
    [sym_type_parameters] = STATE(19091),
    [sym_inline_modifier] = STATE(2441),
    [sym_block] = STATE(7573),
    [sym_expression] = STATE(13273),
    [sym__simple_expression] = STATE(6891),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17610),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(10746),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5688),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(9054),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(2276),
    [sym_block_comment] = STATE(2276),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_while] = ACTIONS(2439),
    [anon_sym_for] = ACTIONS(2441),
    [anon_sym_try] = ACTIONS(2443),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2445),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2447),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2449),
    [anon_sym_throw] = ACTIONS(2451),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [2277] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9061),
    [sym_expression] = STATE(16876),
    [sym__simple_expression] = STATE(5692),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(17799),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(4823),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(7608),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2277),
    [sym_block_comment] = STATE(2277),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(1663),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [2278] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9793),
    [sym_expression] = STATE(15937),
    [sym__simple_expression] = STATE(5819),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9793),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9793),
    [sym_call_expression] = STATE(9793),
    [sym_field_expression] = STATE(9793),
    [sym_instance_expression] = STATE(9793),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(10644),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(17934),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(10286),
    [sym_tuple_expression] = STATE(9793),
    [sym_parenthesized_expression] = STATE(9793),
    [sym_splice_expression] = STATE(9793),
    [sym_quote_expression] = STATE(9793),
    [sym_identifier] = STATE(5309),
    [sym__soft_identifier] = STATE(4682),
    [sym_wildcard] = STATE(8383),
    [sym__non_null_literal] = STATE(9793),
    [sym_boolean_literal] = STATE(9544),
    [sym_interpolated_string_expression] = STATE(9793),
    [sym_string] = STATE(9544),
    [sym_unit] = STATE(9793),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2278),
    [sym_block_comment] = STATE(2278),
    [sym__alpha_identifier] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym__] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_end] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1339),
    [anon_sym_opaque] = ACTIONS(1337),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1341),
    [anon_sym_infix] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_transparent] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_DOLLAR] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [sym__backquoted_id] = ACTIONS(1349),
    [sym_operator_identifier] = ACTIONS(1351),
    [sym_integer_literal] = ACTIONS(1353),
    [sym_floating_point_literal] = ACTIONS(1355),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [sym_character_literal] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1361),
    [sym__simple_string] = ACTIONS(1361),
  },
  [2279] = {
    [sym_type_parameters] = STATE(19277),
    [sym_inline_modifier] = STATE(2475),
    [sym_block] = STATE(7573),
    [sym_expression] = STATE(13273),
    [sym__simple_expression] = STATE(6187),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17744),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9999),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5249),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8308),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(2279),
    [sym_block_comment] = STATE(2279),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(2611),
    [anon_sym_for] = ACTIONS(2613),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2619),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2623),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [2280] = {
    [sym_type_parameters] = STATE(19340),
    [sym_inline_modifier] = STATE(2484),
    [sym_block] = STATE(9077),
    [sym_expression] = STATE(14165),
    [sym__simple_expression] = STATE(6257),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17461),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10092),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5331),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(7952),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(2280),
    [sym_block_comment] = STATE(2280),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(1571),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(1575),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [2281] = {
    [sym_type_parameters] = STATE(19277),
    [sym_inline_modifier] = STATE(2475),
    [sym_block] = STATE(7573),
    [sym_expression] = STATE(13290),
    [sym__simple_expression] = STATE(6187),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17744),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9999),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5249),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8308),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(2281),
    [sym_block_comment] = STATE(2281),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(2611),
    [anon_sym_for] = ACTIONS(2613),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2617),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2619),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2623),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [2282] = {
    [sym_type_parameters] = STATE(19340),
    [sym_inline_modifier] = STATE(2484),
    [sym_block] = STATE(9077),
    [sym_expression] = STATE(14198),
    [sym__simple_expression] = STATE(6257),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17461),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10092),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5331),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(7952),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(2282),
    [sym_block_comment] = STATE(2282),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(1571),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(1575),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [2283] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15840),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2283),
    [sym_block_comment] = STATE(2283),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2284] = {
    [sym_type_parameters] = STATE(19043),
    [sym_inline_modifier] = STATE(2433),
    [sym_block] = STATE(8813),
    [sym_expression] = STATE(14218),
    [sym__simple_expression] = STATE(6777),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17580),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(10498),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(5353),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(8805),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(2284),
    [sym_block_comment] = STATE(2284),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2169),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2173),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2175),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [2285] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9233),
    [sym_expression] = STATE(17055),
    [sym__simple_expression] = STATE(5749),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(17909),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(4949),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(7783),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2285),
    [sym_block_comment] = STATE(2285),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(1387),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [2286] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10753),
    [sym_expression] = STATE(16116),
    [sym__simple_expression] = STATE(7115),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10753),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10753),
    [sym_call_expression] = STATE(10753),
    [sym_field_expression] = STATE(10753),
    [sym_instance_expression] = STATE(10753),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11214),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(17959),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(10910),
    [sym_tuple_expression] = STATE(10753),
    [sym_parenthesized_expression] = STATE(10753),
    [sym_splice_expression] = STATE(10753),
    [sym_quote_expression] = STATE(10753),
    [sym_identifier] = STATE(6292),
    [sym__soft_identifier] = STATE(4936),
    [sym_wildcard] = STATE(9698),
    [sym__non_null_literal] = STATE(10753),
    [sym_boolean_literal] = STATE(10697),
    [sym_interpolated_string_expression] = STATE(10753),
    [sym_string] = STATE(10697),
    [sym_unit] = STATE(10753),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2286),
    [sym_block_comment] = STATE(2286),
    [sym__alpha_identifier] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(2475),
    [anon_sym__] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2481),
    [anon_sym_DASH] = ACTIONS(2481),
    [anon_sym_end] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_opaque] = ACTIONS(2483),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2497),
    [anon_sym_infix] = ACTIONS(2483),
    [anon_sym_open] = ACTIONS(2483),
    [anon_sym_transparent] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(2481),
    [anon_sym_TILDE] = ACTIONS(2481),
    [anon_sym_DOLLAR] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2505),
    [sym__backquoted_id] = ACTIONS(2507),
    [sym_operator_identifier] = ACTIONS(2527),
    [sym_integer_literal] = ACTIONS(2511),
    [sym_floating_point_literal] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [sym_character_literal] = ACTIONS(2513),
    [sym_null_literal] = ACTIONS(2517),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2523),
    [sym__simple_string] = ACTIONS(2523),
  },
  [2287] = {
    [sym_type_parameters] = STATE(19221),
    [sym_inline_modifier] = STATE(2466),
    [sym_block] = STATE(6679),
    [sym_expression] = STATE(13063),
    [sym__simple_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17385),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9917),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4878),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7216),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(2287),
    [sym_block_comment] = STATE(2287),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2343),
    [anon_sym_while] = ACTIONS(2277),
    [anon_sym_for] = ACTIONS(2279),
    [anon_sym_try] = ACTIONS(2281),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(2283),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(2285),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [2288] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10944),
    [sym_expression] = STATE(16775),
    [sym__simple_expression] = STATE(8296),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11381),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18739),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11107),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6585),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(10075),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2288),
    [sym_block_comment] = STATE(2288),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(2607),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [2289] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14916),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(2289),
    [sym_block_comment] = STATE(2289),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [2290] = {
    [sym_type_parameters] = STATE(19091),
    [sym_inline_modifier] = STATE(2441),
    [sym_block] = STATE(7573),
    [sym_expression] = STATE(13290),
    [sym__simple_expression] = STATE(6891),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17610),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(10746),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5688),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(9054),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(2290),
    [sym_block_comment] = STATE(2290),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_while] = ACTIONS(2439),
    [anon_sym_for] = ACTIONS(2441),
    [anon_sym_try] = ACTIONS(2443),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2445),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2447),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2449),
    [anon_sym_throw] = ACTIONS(2451),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [2291] = {
    [sym_type_parameters] = STATE(19326),
    [sym_inline_modifier] = STATE(2482),
    [sym_block] = STATE(7275),
    [sym_expression] = STATE(13262),
    [sym__simple_expression] = STATE(6191),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17429),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10076),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5253),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8347),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(2291),
    [sym_block_comment] = STATE(2291),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2263),
    [anon_sym_for] = ACTIONS(2265),
    [anon_sym_try] = ACTIONS(2267),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2269),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2271),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2273),
    [anon_sym_throw] = ACTIONS(2275),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [2292] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15558),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2292),
    [sym_block_comment] = STATE(2292),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2293] = {
    [sym_type_parameters] = STATE(19249),
    [sym_inline_modifier] = STATE(2471),
    [sym_block] = STATE(9867),
    [sym_expression] = STATE(14391),
    [sym__simple_expression] = STATE(6536),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17625),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10510),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5560),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(9247),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(2293),
    [sym_block_comment] = STATE(2293),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_while] = ACTIONS(1965),
    [anon_sym_for] = ACTIONS(1967),
    [anon_sym_try] = ACTIONS(1969),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(1971),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(1975),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(1977),
    [anon_sym_throw] = ACTIONS(1979),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [2294] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9793),
    [sym_expression] = STATE(15937),
    [sym__simple_expression] = STATE(6022),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9793),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9793),
    [sym_call_expression] = STATE(9793),
    [sym_field_expression] = STATE(9793),
    [sym_instance_expression] = STATE(9793),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(17934),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(9793),
    [sym_parenthesized_expression] = STATE(9793),
    [sym_splice_expression] = STATE(9793),
    [sym_quote_expression] = STATE(9793),
    [sym_identifier] = STATE(5309),
    [sym__soft_identifier] = STATE(4682),
    [sym_wildcard] = STATE(8383),
    [sym__non_null_literal] = STATE(9793),
    [sym_boolean_literal] = STATE(9544),
    [sym_interpolated_string_expression] = STATE(9793),
    [sym_string] = STATE(9544),
    [sym_unit] = STATE(9793),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2294),
    [sym_block_comment] = STATE(2294),
    [sym__alpha_identifier] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym__] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1339),
    [anon_sym_opaque] = ACTIONS(1337),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1341),
    [anon_sym_infix] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_transparent] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [sym__backquoted_id] = ACTIONS(1349),
    [sym_operator_identifier] = ACTIONS(1351),
    [sym_integer_literal] = ACTIONS(1353),
    [sym_floating_point_literal] = ACTIONS(1355),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [sym_character_literal] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1361),
    [sym__simple_string] = ACTIONS(1361),
  },
  [2295] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(6011),
    [sym_expression] = STATE(16297),
    [sym__simple_expression] = STATE(4679),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(7185),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18005),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(6881),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4515),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(5329),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2295),
    [sym_block_comment] = STATE(2295),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1063),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [2296] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(17005),
    [sym__simple_expression] = STATE(5604),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(14138),
    [sym__postfix_expression_choice] = STATE(14715),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(9512),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(4748),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(6678),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2296),
    [sym_block_comment] = STATE(2296),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(1773),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [2297] = {
    [sym_type_parameters] = STATE(19158),
    [sym_inline_modifier] = STATE(2458),
    [sym_block] = STATE(7275),
    [sym_expression] = STATE(13262),
    [sym__simple_expression] = STATE(6463),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17611),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10419),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5576),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8828),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(2297),
    [sym_block_comment] = STATE(2297),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2083),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2089),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2091),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2095),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [2298] = {
    [sym_type_parameters] = STATE(19284),
    [sym_inline_modifier] = STATE(2476),
    [sym_block] = STATE(6526),
    [sym_expression] = STATE(12775),
    [sym__simple_expression] = STATE(6205),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17342),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9957),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(5057),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(8435),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(2298),
    [sym_block_comment] = STATE(2298),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_try] = ACTIONS(1625),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1631),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1633),
    [anon_sym_throw] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [2299] = {
    [sym_type_parameters] = STATE(19284),
    [sym_inline_modifier] = STATE(2476),
    [sym_block] = STATE(6526),
    [sym_expression] = STATE(12789),
    [sym__simple_expression] = STATE(6205),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17342),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9957),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(5057),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(8435),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(2299),
    [sym_block_comment] = STATE(2299),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_try] = ACTIONS(1625),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1631),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1633),
    [anon_sym_throw] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [2300] = {
    [sym_type_parameters] = STATE(19158),
    [sym_inline_modifier] = STATE(2458),
    [sym_block] = STATE(7275),
    [sym_expression] = STATE(13345),
    [sym__simple_expression] = STATE(6463),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17611),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10419),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5576),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8828),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(2300),
    [sym_block_comment] = STATE(2300),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2083),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2089),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2091),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2095),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [2301] = {
    [sym_type_parameters] = STATE(19051),
    [sym_inline_modifier] = STATE(2447),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14866),
    [sym__simple_expression] = STATE(7977),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17361),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(11192),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(10129),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(2301),
    [sym_block_comment] = STATE(2301),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(537),
    [anon_sym_try] = ACTIONS(539),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3038),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(573),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(585),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [2302] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15775),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2302),
    [sym_block_comment] = STATE(2302),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2303] = {
    [sym_type_parameters] = STATE(19326),
    [sym_inline_modifier] = STATE(2482),
    [sym_block] = STATE(7275),
    [sym_expression] = STATE(13345),
    [sym__simple_expression] = STATE(6191),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17429),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10076),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5253),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8347),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(2303),
    [sym_block_comment] = STATE(2303),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2263),
    [anon_sym_for] = ACTIONS(2265),
    [anon_sym_try] = ACTIONS(2267),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2269),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2271),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2273),
    [anon_sym_throw] = ACTIONS(2275),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [2304] = {
    [sym_type_parameters] = STATE(19256),
    [sym_inline_modifier] = STATE(2472),
    [sym_block] = STATE(10196),
    [sym_expression] = STATE(14730),
    [sym__simple_expression] = STATE(6665),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17671),
    [sym_case_block] = STATE(10196),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(10196),
    [sym_call_expression] = STATE(10196),
    [sym_field_expression] = STATE(10196),
    [sym_instance_expression] = STATE(10196),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(10922),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18163),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(10591),
    [sym_tuple_expression] = STATE(10196),
    [sym_parenthesized_expression] = STATE(10196),
    [sym_splice_expression] = STATE(10196),
    [sym_quote_expression] = STATE(10196),
    [sym_identifier] = STATE(5739),
    [sym__soft_identifier] = STATE(4721),
    [sym_wildcard] = STATE(9421),
    [sym__non_null_literal] = STATE(10196),
    [sym_boolean_literal] = STATE(10049),
    [sym_interpolated_string_expression] = STATE(10196),
    [sym_string] = STATE(10049),
    [sym_unit] = STATE(10196),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(2304),
    [sym_block_comment] = STATE(2304),
    [sym__alpha_identifier] = ACTIONS(1789),
    [anon_sym_LBRACE] = ACTIONS(1793),
    [anon_sym__] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_end] = ACTIONS(1799),
    [anon_sym_if] = ACTIONS(1983),
    [anon_sym_while] = ACTIONS(1985),
    [anon_sym_for] = ACTIONS(1987),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1801),
    [anon_sym_opaque] = ACTIONS(1799),
    [anon_sym_implicit] = ACTIONS(1991),
    [anon_sym_inline] = ACTIONS(1803),
    [anon_sym_infix] = ACTIONS(1799),
    [anon_sym_open] = ACTIONS(1799),
    [anon_sym_transparent] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [anon_sym_macro] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(1797),
    [anon_sym_TILDE] = ACTIONS(1797),
    [anon_sym_DOLLAR] = ACTIONS(1807),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [sym__backquoted_id] = ACTIONS(1811),
    [sym_operator_identifier] = ACTIONS(1995),
    [sym_integer_literal] = ACTIONS(1815),
    [sym_floating_point_literal] = ACTIONS(1817),
    [anon_sym_true] = ACTIONS(1819),
    [anon_sym_false] = ACTIONS(1819),
    [sym_character_literal] = ACTIONS(1817),
    [sym_null_literal] = ACTIONS(1821),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_throw] = ACTIONS(1999),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1823),
    [sym__simple_string] = ACTIONS(1823),
  },
  [2305] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10753),
    [sym_expression] = STATE(16116),
    [sym__simple_expression] = STATE(7110),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10753),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10753),
    [sym_call_expression] = STATE(10753),
    [sym_field_expression] = STATE(10753),
    [sym_instance_expression] = STATE(10753),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(17959),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10753),
    [sym_parenthesized_expression] = STATE(10753),
    [sym_splice_expression] = STATE(10753),
    [sym_quote_expression] = STATE(10753),
    [sym_identifier] = STATE(6292),
    [sym__soft_identifier] = STATE(4936),
    [sym_wildcard] = STATE(9698),
    [sym__non_null_literal] = STATE(10753),
    [sym_boolean_literal] = STATE(10697),
    [sym_interpolated_string_expression] = STATE(10753),
    [sym_string] = STATE(10697),
    [sym_unit] = STATE(10753),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2305),
    [sym_block_comment] = STATE(2305),
    [sym__alpha_identifier] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(2475),
    [anon_sym__] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_opaque] = ACTIONS(2483),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2497),
    [anon_sym_infix] = ACTIONS(2483),
    [anon_sym_open] = ACTIONS(2483),
    [anon_sym_transparent] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2505),
    [sym__backquoted_id] = ACTIONS(2507),
    [sym_operator_identifier] = ACTIONS(2527),
    [sym_integer_literal] = ACTIONS(2511),
    [sym_floating_point_literal] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [sym_character_literal] = ACTIONS(2513),
    [sym_null_literal] = ACTIONS(2517),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2523),
    [sym__simple_string] = ACTIONS(2523),
  },
  [2306] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(7275),
    [sym_expression] = STATE(16408),
    [sym__simple_expression] = STATE(4820),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(8752),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18028),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(8408),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(4668),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(6324),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2306),
    [sym_block_comment] = STATE(2306),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(1171),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [2307] = {
    [sym_type_parameters] = STATE(19228),
    [sym_inline_modifier] = STATE(2467),
    [sym_block] = STATE(7344),
    [sym_expression] = STATE(13237),
    [sym__simple_expression] = STATE(6822),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17483),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10622),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5644),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8866),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(2307),
    [sym_block_comment] = STATE(2307),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2347),
    [anon_sym_while] = ACTIONS(2349),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_try] = ACTIONS(2353),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2357),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2359),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [2308] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15431),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2308),
    [sym_block_comment] = STATE(2308),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2309] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15325),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2309),
    [sym_block_comment] = STATE(2309),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2310] = {
    [sym_type_parameters] = STATE(19067),
    [sym_inline_modifier] = STATE(2437),
    [sym_block] = STATE(8813),
    [sym_expression] = STATE(14218),
    [sym__simple_expression] = STATE(8301),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17572),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11110),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6708),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(10134),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(2310),
    [sym_block_comment] = STATE(2310),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2203),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2207),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [2311] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(6011),
    [sym_expression] = STATE(16297),
    [sym__simple_expression] = STATE(4648),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18005),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4515),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(5329),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2311),
    [sym_block_comment] = STATE(2311),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1063),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [2312] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(7344),
    [sym_expression] = STATE(16529),
    [sym__simple_expression] = STATE(4902),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(8975),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18051),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(8197),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(4691),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(6178),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2312),
    [sym_block_comment] = STATE(2312),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(1279),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [2313] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16314),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2313),
    [sym_block_comment] = STATE(2313),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4158),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2314] = {
    [sym_type_parameters] = STATE(19291),
    [sym_inline_modifier] = STATE(2477),
    [sym_block] = STATE(8086),
    [sym_expression] = STATE(13826),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17354),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10022),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(5125),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(8569),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(2314),
    [sym_block_comment] = STATE(2314),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_while] = ACTIONS(1677),
    [anon_sym_for] = ACTIONS(1679),
    [anon_sym_try] = ACTIONS(1681),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(1687),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(1689),
    [anon_sym_throw] = ACTIONS(1691),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [2315] = {
    [sym_type_parameters] = STATE(19291),
    [sym_inline_modifier] = STATE(2477),
    [sym_block] = STATE(8086),
    [sym_expression] = STATE(13856),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17354),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10022),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(5125),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(8569),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(2315),
    [sym_block_comment] = STATE(2315),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_while] = ACTIONS(1677),
    [anon_sym_for] = ACTIONS(1679),
    [anon_sym_try] = ACTIONS(1681),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(1687),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(1689),
    [anon_sym_throw] = ACTIONS(1691),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [2316] = {
    [sym_type_parameters] = STATE(19165),
    [sym_inline_modifier] = STATE(2459),
    [sym_block] = STATE(7344),
    [sym_expression] = STATE(13266),
    [sym__simple_expression] = STATE(5480),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17663),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(9905),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(4870),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(7665),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(2316),
    [sym_block_comment] = STATE(2316),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1459),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1463),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(1465),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(1469),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1471),
    [anon_sym_throw] = ACTIONS(1473),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [2317] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15629),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2317),
    [sym_block_comment] = STATE(2317),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2318] = {
    [sym_type_parameters] = STATE(19242),
    [sym_inline_modifier] = STATE(2470),
    [sym_block] = STATE(8225),
    [sym_expression] = STATE(13886),
    [sym__simple_expression] = STATE(5573),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17585),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9764),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4962),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7178),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(2318),
    [sym_block_comment] = STATE(2318),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_try] = ACTIONS(1499),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1501),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1505),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [2319] = {
    [sym_type_parameters] = STATE(19075),
    [sym_inline_modifier] = STATE(2439),
    [sym_block] = STATE(8813),
    [sym_expression] = STATE(14218),
    [sym__simple_expression] = STATE(8573),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17664),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11137),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6815),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(9947),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(2319),
    [sym_block_comment] = STATE(2319),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2211),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2219),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2221),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [2320] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(7275),
    [sym_expression] = STATE(16408),
    [sym__simple_expression] = STATE(4825),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18028),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(4668),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(6324),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2320),
    [sym_block_comment] = STATE(2320),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(1171),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [2321] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(16617),
    [sym__simple_expression] = STATE(5959),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(10748),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18074),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(10041),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(8006),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2321),
    [sym_block_comment] = STATE(2321),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2551),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [2322] = {
    [sym_type_parameters] = STATE(19347),
    [sym_inline_modifier] = STATE(2485),
    [sym_block] = STATE(8225),
    [sym_expression] = STATE(13772),
    [sym__simple_expression] = STATE(5581),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17473),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4880),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7226),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(2322),
    [sym_block_comment] = STATE(2322),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1551),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1555),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1557),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1559),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [2323] = {
    [sym_type_parameters] = STATE(19165),
    [sym_inline_modifier] = STATE(2459),
    [sym_block] = STATE(7344),
    [sym_expression] = STATE(13316),
    [sym__simple_expression] = STATE(5480),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17663),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(9905),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(4870),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(7665),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(2323),
    [sym_block_comment] = STATE(2323),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1459),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1463),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(1465),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(1469),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1471),
    [anon_sym_throw] = ACTIONS(1473),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [2324] = {
    [sym_type_parameters] = STATE(19059),
    [sym_inline_modifier] = STATE(2435),
    [sym_block] = STATE(10530),
    [sym_expression] = STATE(14981),
    [sym__simple_expression] = STATE(7452),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17472),
    [sym_case_block] = STATE(10530),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(10530),
    [sym_call_expression] = STATE(10530),
    [sym_field_expression] = STATE(10530),
    [sym_instance_expression] = STATE(10530),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(11241),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(19533),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(11075),
    [sym_tuple_expression] = STATE(10530),
    [sym_parenthesized_expression] = STATE(10530),
    [sym_splice_expression] = STATE(10530),
    [sym_quote_expression] = STATE(10530),
    [sym_identifier] = STATE(6021),
    [sym__soft_identifier] = STATE(4921),
    [sym_wildcard] = STATE(9558),
    [sym__non_null_literal] = STATE(10530),
    [sym_boolean_literal] = STATE(10615),
    [sym_interpolated_string_expression] = STATE(10530),
    [sym_string] = STATE(10615),
    [sym_unit] = STATE(10530),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(2324),
    [sym_block_comment] = STATE(2324),
    [sym__alpha_identifier] = ACTIONS(2399),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym__] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_end] = ACTIONS(2409),
    [anon_sym_if] = ACTIONS(2583),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_opaque] = ACTIONS(2409),
    [anon_sym_implicit] = ACTIONS(2591),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym_infix] = ACTIONS(2409),
    [anon_sym_open] = ACTIONS(2409),
    [anon_sym_transparent] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_macro] = ACTIONS(2593),
    [anon_sym_BANG] = ACTIONS(2407),
    [anon_sym_TILDE] = ACTIONS(2407),
    [anon_sym_DOLLAR] = ACTIONS(2417),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [sym__backquoted_id] = ACTIONS(2421),
    [sym_operator_identifier] = ACTIONS(2595),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_floating_point_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2429),
    [anon_sym_false] = ACTIONS(2429),
    [sym_character_literal] = ACTIONS(2427),
    [sym_null_literal] = ACTIONS(2431),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_throw] = ACTIONS(2599),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2433),
    [sym__simple_string] = ACTIONS(2433),
  },
  [2325] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9948),
    [sym_expression] = STATE(16567),
    [sym__simple_expression] = STATE(7014),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9948),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9948),
    [sym_call_expression] = STATE(9948),
    [sym_field_expression] = STATE(9948),
    [sym_instance_expression] = STATE(9948),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(17791),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(9948),
    [sym_parenthesized_expression] = STATE(9948),
    [sym_splice_expression] = STATE(9948),
    [sym_quote_expression] = STATE(9948),
    [sym_identifier] = STATE(5605),
    [sym__soft_identifier] = STATE(4751),
    [sym_wildcard] = STATE(8855),
    [sym__non_null_literal] = STATE(9948),
    [sym_boolean_literal] = STATE(10000),
    [sym_interpolated_string_expression] = STATE(9948),
    [sym_string] = STATE(10000),
    [sym_unit] = STATE(9948),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2325),
    [sym_block_comment] = STATE(2325),
    [sym__alpha_identifier] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym__] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_opaque] = ACTIONS(1523),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1527),
    [anon_sym_infix] = ACTIONS(1523),
    [anon_sym_open] = ACTIONS(1523),
    [anon_sym_transparent] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [sym__backquoted_id] = ACTIONS(1535),
    [sym_operator_identifier] = ACTIONS(1537),
    [sym_integer_literal] = ACTIONS(1539),
    [sym_floating_point_literal] = ACTIONS(1541),
    [anon_sym_true] = ACTIONS(1543),
    [anon_sym_false] = ACTIONS(1543),
    [sym_character_literal] = ACTIONS(1541),
    [sym_null_literal] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1547),
    [sym__simple_string] = ACTIONS(1547),
  },
  [2326] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym_block] = STATE(10944),
    [sym_expression] = STATE(15185),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(2326),
    [sym_block_comment] = STATE(2326),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [2327] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10944),
    [sym_expression] = STATE(16775),
    [sym__simple_expression] = STATE(8548),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18739),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6585),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(10075),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2327),
    [sym_block_comment] = STATE(2327),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(2607),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [2328] = {
    [sym_type_parameters] = STATE(19207),
    [sym_inline_modifier] = STATE(2464),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14866),
    [sym__simple_expression] = STATE(7248),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17632),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11130),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10970),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6228),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9914),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(2328),
    [sym_block_comment] = STATE(2328),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(3418),
    [anon_sym_while] = ACTIONS(3404),
    [anon_sym_for] = ACTIONS(3406),
    [anon_sym_try] = ACTIONS(3408),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(3410),
    [anon_sym_inline] = ACTIONS(553),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(3412),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_throw] = ACTIONS(3416),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [2329] = {
    [sym_type_parameters] = STATE(19059),
    [sym_inline_modifier] = STATE(2435),
    [sym_block] = STATE(10530),
    [sym_expression] = STATE(14949),
    [sym__simple_expression] = STATE(7452),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17472),
    [sym_case_block] = STATE(10530),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(10530),
    [sym_call_expression] = STATE(10530),
    [sym_field_expression] = STATE(10530),
    [sym_instance_expression] = STATE(10530),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(11241),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(19533),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(11075),
    [sym_tuple_expression] = STATE(10530),
    [sym_parenthesized_expression] = STATE(10530),
    [sym_splice_expression] = STATE(10530),
    [sym_quote_expression] = STATE(10530),
    [sym_identifier] = STATE(6021),
    [sym__soft_identifier] = STATE(4921),
    [sym_wildcard] = STATE(9558),
    [sym__non_null_literal] = STATE(10530),
    [sym_boolean_literal] = STATE(10615),
    [sym_interpolated_string_expression] = STATE(10530),
    [sym_string] = STATE(10615),
    [sym_unit] = STATE(10530),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(2329),
    [sym_block_comment] = STATE(2329),
    [sym__alpha_identifier] = ACTIONS(2399),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym__] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_end] = ACTIONS(2409),
    [anon_sym_if] = ACTIONS(2583),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_try] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_opaque] = ACTIONS(2409),
    [anon_sym_implicit] = ACTIONS(2591),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym_infix] = ACTIONS(2409),
    [anon_sym_open] = ACTIONS(2409),
    [anon_sym_transparent] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_macro] = ACTIONS(2593),
    [anon_sym_BANG] = ACTIONS(2407),
    [anon_sym_TILDE] = ACTIONS(2407),
    [anon_sym_DOLLAR] = ACTIONS(2417),
    [anon_sym_SQUOTE] = ACTIONS(2419),
    [sym__backquoted_id] = ACTIONS(2421),
    [sym_operator_identifier] = ACTIONS(2595),
    [sym_integer_literal] = ACTIONS(2425),
    [sym_floating_point_literal] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(2429),
    [anon_sym_false] = ACTIONS(2429),
    [sym_character_literal] = ACTIONS(2427),
    [sym_null_literal] = ACTIONS(2431),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_throw] = ACTIONS(2599),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2433),
    [sym__simple_string] = ACTIONS(2433),
  },
  [2330] = {
    [sym_type_parameters] = STATE(17944),
    [sym_inline_modifier] = STATE(2425),
    [sym_block] = STATE(10944),
    [sym_expression] = STATE(15187),
    [sym__simple_expression] = STATE(8216),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17651),
    [sym_case_block] = STATE(10944),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(10944),
    [sym_call_expression] = STATE(10944),
    [sym_field_expression] = STATE(10944),
    [sym_instance_expression] = STATE(10944),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11602),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(19549),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(10944),
    [sym_parenthesized_expression] = STATE(10944),
    [sym_splice_expression] = STATE(10944),
    [sym_quote_expression] = STATE(10944),
    [sym_identifier] = STATE(6509),
    [sym__soft_identifier] = STATE(4738),
    [sym_wildcard] = STATE(9968),
    [sym__non_null_literal] = STATE(10944),
    [sym_boolean_literal] = STATE(10554),
    [sym_interpolated_string_expression] = STATE(10944),
    [sym_string] = STATE(10554),
    [sym_unit] = STATE(10944),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(2330),
    [sym_block_comment] = STATE(2330),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_for] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(47),
    [anon_sym_opaque] = ACTIONS(2605),
    [anon_sym_implicit] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_transparent] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_macro] = ACTIONS(79),
    [anon_sym_BANG] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(35),
    [anon_sym_DOLLAR] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [sym__backquoted_id] = ACTIONS(85),
    [sym_operator_identifier] = ACTIONS(87),
    [sym_integer_literal] = ACTIONS(89),
    [sym_floating_point_literal] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(93),
    [anon_sym_false] = ACTIONS(93),
    [sym_character_literal] = ACTIONS(91),
    [sym_null_literal] = ACTIONS(95),
    [anon_sym_return] = ACTIONS(97),
    [anon_sym_throw] = ACTIONS(99),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(105),
    [sym__simple_string] = ACTIONS(105),
  },
  [2331] = {
    [sym_type_parameters] = STATE(19347),
    [sym_inline_modifier] = STATE(2485),
    [sym_block] = STATE(8225),
    [sym_expression] = STATE(13862),
    [sym__simple_expression] = STATE(5581),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17473),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4880),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7226),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(2331),
    [sym_block_comment] = STATE(2331),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1551),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1555),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1557),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1559),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [2332] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9948),
    [sym_expression] = STATE(16567),
    [sym__simple_expression] = STATE(7050),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9948),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9948),
    [sym_call_expression] = STATE(9948),
    [sym_field_expression] = STATE(9948),
    [sym_instance_expression] = STATE(9948),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(10839),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(17791),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(10407),
    [sym_tuple_expression] = STATE(9948),
    [sym_parenthesized_expression] = STATE(9948),
    [sym_splice_expression] = STATE(9948),
    [sym_quote_expression] = STATE(9948),
    [sym_identifier] = STATE(5605),
    [sym__soft_identifier] = STATE(4751),
    [sym_wildcard] = STATE(8855),
    [sym__non_null_literal] = STATE(9948),
    [sym_boolean_literal] = STATE(10000),
    [sym_interpolated_string_expression] = STATE(9948),
    [sym_string] = STATE(10000),
    [sym_unit] = STATE(9948),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2332),
    [sym_block_comment] = STATE(2332),
    [sym__alpha_identifier] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym__] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_end] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_opaque] = ACTIONS(1523),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1527),
    [anon_sym_infix] = ACTIONS(1523),
    [anon_sym_open] = ACTIONS(1523),
    [anon_sym_transparent] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [sym__backquoted_id] = ACTIONS(1535),
    [sym_operator_identifier] = ACTIONS(1537),
    [sym_integer_literal] = ACTIONS(1539),
    [sym_floating_point_literal] = ACTIONS(1541),
    [anon_sym_true] = ACTIONS(1543),
    [anon_sym_false] = ACTIONS(1543),
    [sym_character_literal] = ACTIONS(1541),
    [sym_null_literal] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1547),
    [sym__simple_string] = ACTIONS(1547),
  },
  [2333] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15839),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2333),
    [sym_block_comment] = STATE(2333),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2334] = {
    [sym_type_parameters] = STATE(19193),
    [sym_inline_modifier] = STATE(2462),
    [sym_block] = STATE(7344),
    [sym_expression] = STATE(13266),
    [sym__simple_expression] = STATE(6717),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17709),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10599),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8740),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(2334),
    [sym_block_comment] = STATE(2334),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(2305),
    [anon_sym_for] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2311),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2313),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [2335] = {
    [sym_type_parameters] = STATE(19284),
    [sym_inline_modifier] = STATE(2476),
    [sym_block] = STATE(6526),
    [sym_expression] = STATE(12532),
    [sym__simple_expression] = STATE(6205),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17342),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9957),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(5057),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(8435),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(2335),
    [sym_block_comment] = STATE(2335),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_try] = ACTIONS(1625),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1631),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1633),
    [anon_sym_throw] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [2336] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(7344),
    [sym_expression] = STATE(16529),
    [sym__simple_expression] = STATE(4843),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18051),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(4691),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(6178),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2336),
    [sym_block_comment] = STATE(2336),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(1279),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [2337] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(16001),
    [sym__simple_expression] = STATE(7220),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11231),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18232),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11072),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(5523),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9068),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2337),
    [sym_block_comment] = STATE(2337),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(2557),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [2338] = {
    [sym_type_parameters] = STATE(19298),
    [sym_inline_modifier] = STATE(2478),
    [sym_block] = STATE(8086),
    [sym_expression] = STATE(13826),
    [sym__simple_expression] = STATE(7225),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17377),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10767),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6197),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9684),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(2338),
    [sym_block_comment] = STATE(2338),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(2245),
    [anon_sym_for] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2253),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2255),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [2339] = {
    [sym_type_parameters] = STATE(19298),
    [sym_inline_modifier] = STATE(2478),
    [sym_block] = STATE(8086),
    [sym_expression] = STATE(13856),
    [sym__simple_expression] = STATE(7225),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17377),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10767),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6197),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9684),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(2339),
    [sym_block_comment] = STATE(2339),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(2245),
    [anon_sym_for] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2253),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2255),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [2340] = {
    [sym_type_parameters] = STATE(19263),
    [sym_inline_modifier] = STATE(2473),
    [sym_block] = STATE(9233),
    [sym_expression] = STATE(14229),
    [sym__simple_expression] = STATE(6189),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17703),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10035),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5250),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8326),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(2340),
    [sym_block_comment] = STATE(2340),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(2369),
    [anon_sym_while] = ACTIONS(2001),
    [anon_sym_for] = ACTIONS(2003),
    [anon_sym_try] = ACTIONS(2005),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(2007),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(2009),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(2011),
    [anon_sym_throw] = ACTIONS(2013),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [2341] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(14876),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2341),
    [sym_block_comment] = STATE(2341),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2342] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15768),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2342),
    [sym_block_comment] = STATE(2342),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2343] = {
    [sym_type_parameters] = STATE(19083),
    [sym_inline_modifier] = STATE(2456),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(13981),
    [sym__simple_expression] = STATE(7209),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17695),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(11260),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(11087),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(6223),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(9819),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(2343),
    [sym_block_comment] = STATE(2343),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(613),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(615),
    [anon_sym_while] = ACTIONS(617),
    [anon_sym_for] = ACTIONS(619),
    [anon_sym_try] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(2601),
    [anon_sym_inline] = ACTIONS(2435),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(629),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(631),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(633),
    [anon_sym_throw] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [2344] = {
    [sym_type_parameters] = STATE(19291),
    [sym_inline_modifier] = STATE(2477),
    [sym_block] = STATE(8086),
    [sym_expression] = STATE(14007),
    [sym__simple_expression] = STATE(6238),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17354),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10022),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(5125),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(8569),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(2344),
    [sym_block_comment] = STATE(2344),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_while] = ACTIONS(1677),
    [anon_sym_for] = ACTIONS(1679),
    [anon_sym_try] = ACTIONS(1681),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(1687),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(1689),
    [anon_sym_throw] = ACTIONS(1691),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [2345] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(16617),
    [sym__simple_expression] = STATE(6117),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18074),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(5172),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(8006),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2345),
    [sym_block_comment] = STATE(2345),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2551),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [2346] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9896),
    [sym_expression] = STATE(16691),
    [sym__simple_expression] = STATE(6148),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(10476),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18097),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(10195),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5311),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(7995),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2346),
    [sym_block_comment] = STATE(2346),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(1607),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [2347] = {
    [sym_type_parameters] = STATE(19172),
    [sym_inline_modifier] = STATE(2460),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(14407),
    [sym__simple_expression] = STATE(7448),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17722),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(10768),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6207),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(2347),
    [sym_block_comment] = STATE(2347),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2103),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2109),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2111),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_throw] = ACTIONS(2115),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [2348] = {
    [sym_type_parameters] = STATE(19099),
    [sym_inline_modifier] = STATE(2443),
    [sym_block] = STATE(9061),
    [sym_expression] = STATE(14244),
    [sym__simple_expression] = STATE(6986),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17503),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(5790),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9373),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(2348),
    [sym_block_comment] = STATE(2348),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2453),
    [anon_sym_while] = ACTIONS(2455),
    [anon_sym_for] = ACTIONS(2457),
    [anon_sym_try] = ACTIONS(2459),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2461),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2465),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2467),
    [anon_sym_throw] = ACTIONS(2469),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [2349] = {
    [sym_type_parameters] = STATE(19130),
    [sym_inline_modifier] = STATE(2453),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(14053),
    [sym__simple_expression] = STATE(6803),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17438),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10695),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5679),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(2349),
    [sym_block_comment] = STATE(2349),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(3328),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(3330),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3334),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [2350] = {
    [sym_type_parameters] = STATE(19172),
    [sym_inline_modifier] = STATE(2460),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(14438),
    [sym__simple_expression] = STATE(7448),
    [sym_lambda_expression] = STATE(14742),
    [sym_if_expression] = STATE(14742),
    [sym_match_expression] = STATE(14742),
    [sym_try_expression] = STATE(14742),
    [sym_bindings] = STATE(17722),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(14742),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(14742),
    [sym_infix_expression] = STATE(10431),
    [sym_postfix_expression] = STATE(14607),
    [sym__postfix_expression_choice] = STATE(17858),
    [sym_macro_body] = STATE(14742),
    [sym_prefix_expression] = STATE(10768),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6207),
    [sym__soft_identifier] = STATE(6337),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9787),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9787),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(14742),
    [sym_throw_expression] = STATE(14742),
    [sym_while_expression] = STATE(14742),
    [sym_do_while_expression] = STATE(14742),
    [sym_for_expression] = STATE(14742),
    [sym_comment] = STATE(2350),
    [sym_block_comment] = STATE(2350),
    [sym__alpha_identifier] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym__] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_end] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2103),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2107),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_opaque] = ACTIONS(1917),
    [anon_sym_implicit] = ACTIONS(2109),
    [anon_sym_inline] = ACTIONS(1931),
    [anon_sym_infix] = ACTIONS(1917),
    [anon_sym_open] = ACTIONS(1917),
    [anon_sym_transparent] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1933),
    [anon_sym_macro] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_DOLLAR] = ACTIONS(1937),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym__backquoted_id] = ACTIONS(1941),
    [sym_operator_identifier] = ACTIONS(2111),
    [sym_integer_literal] = ACTIONS(1945),
    [sym_floating_point_literal] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym_character_literal] = ACTIONS(1947),
    [sym_null_literal] = ACTIONS(1951),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_throw] = ACTIONS(2115),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1961),
    [sym__simple_string] = ACTIONS(1961),
  },
  [2351] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15785),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2351),
    [sym_block_comment] = STATE(2351),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2352] = {
    [sym_type_parameters] = STATE(19270),
    [sym_inline_modifier] = STATE(2474),
    [sym_block] = STATE(6679),
    [sym_expression] = STATE(13063),
    [sym__simple_expression] = STATE(5637),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17719),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9894),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7246),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(2352),
    [sym_block_comment] = STATE(2352),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1893),
    [anon_sym_for] = ACTIONS(1895),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(1899),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(1901),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1903),
    [anon_sym_throw] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [2353] = {
    [sym_type_parameters] = STATE(19107),
    [sym_inline_modifier] = STATE(2445),
    [sym_block] = STATE(9233),
    [sym_expression] = STATE(14229),
    [sym__simple_expression] = STATE(5929),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17658),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10255),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5067),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8244),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(2353),
    [sym_block_comment] = STATE(2353),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_try] = ACTIONS(1721),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(1723),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(1727),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_throw] = ACTIONS(1731),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [2354] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(16001),
    [sym__simple_expression] = STATE(6345),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18232),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(5523),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9068),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2354),
    [sym_block_comment] = STATE(2354),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(2557),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [2355] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(8225),
    [sym_expression] = STATE(16747),
    [sym__simple_expression] = STATE(5120),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(9924),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18229),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(9427),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4753),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(6812),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2355),
    [sym_block_comment] = STATE(2355),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1207),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [2356] = {
    [sym_type_parameters] = STATE(19099),
    [sym_inline_modifier] = STATE(2443),
    [sym_block] = STATE(9061),
    [sym_expression] = STATE(14246),
    [sym__simple_expression] = STATE(6986),
    [sym_lambda_expression] = STATE(14454),
    [sym_if_expression] = STATE(14454),
    [sym_match_expression] = STATE(14454),
    [sym_try_expression] = STATE(14454),
    [sym_bindings] = STATE(17503),
    [sym_case_block] = STATE(9061),
    [sym_assignment_expression] = STATE(14454),
    [sym_generic_function] = STATE(9061),
    [sym_call_expression] = STATE(9061),
    [sym_field_expression] = STATE(9061),
    [sym_instance_expression] = STATE(9061),
    [sym_ascription_expression] = STATE(14454),
    [sym_infix_expression] = STATE(10099),
    [sym_postfix_expression] = STATE(14325),
    [sym__postfix_expression_choice] = STATE(17900),
    [sym_macro_body] = STATE(14454),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9061),
    [sym_parenthesized_expression] = STATE(9061),
    [sym_splice_expression] = STATE(9061),
    [sym_quote_expression] = STATE(9061),
    [sym_identifier] = STATE(5790),
    [sym__soft_identifier] = STATE(6091),
    [sym_wildcard] = STATE(9373),
    [sym__non_null_literal] = STATE(9061),
    [sym_boolean_literal] = STATE(9301),
    [sym_interpolated_string_expression] = STATE(9061),
    [sym_string] = STATE(9301),
    [sym_unit] = STATE(9061),
    [sym_return_expression] = STATE(14454),
    [sym_throw_expression] = STATE(14454),
    [sym_while_expression] = STATE(14454),
    [sym_do_while_expression] = STATE(14454),
    [sym_for_expression] = STATE(14454),
    [sym_comment] = STATE(2356),
    [sym_block_comment] = STATE(2356),
    [sym__alpha_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym__] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_end] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(2453),
    [anon_sym_while] = ACTIONS(2455),
    [anon_sym_for] = ACTIONS(2457),
    [anon_sym_try] = ACTIONS(2459),
    [anon_sym_new] = ACTIONS(1651),
    [anon_sym_opaque] = ACTIONS(1649),
    [anon_sym_implicit] = ACTIONS(2461),
    [anon_sym_inline] = ACTIONS(1653),
    [anon_sym_infix] = ACTIONS(1649),
    [anon_sym_open] = ACTIONS(1649),
    [anon_sym_transparent] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_macro] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_DOLLAR] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1659),
    [sym__backquoted_id] = ACTIONS(1661),
    [sym_operator_identifier] = ACTIONS(2465),
    [sym_integer_literal] = ACTIONS(1665),
    [sym_floating_point_literal] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [sym_character_literal] = ACTIONS(1667),
    [sym_null_literal] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(2467),
    [anon_sym_throw] = ACTIONS(2469),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1673),
    [sym__simple_string] = ACTIONS(1673),
  },
  [2357] = {
    [sym_type_parameters] = STATE(19305),
    [sym_inline_modifier] = STATE(2479),
    [sym_block] = STATE(9896),
    [sym_expression] = STATE(14511),
    [sym__simple_expression] = STATE(6719),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17395),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10685),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5585),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(8745),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(2357),
    [sym_block_comment] = STATE(2357),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2659),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2635),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2637),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2639),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [2358] = {
    [sym_type_parameters] = STATE(19067),
    [sym_inline_modifier] = STATE(2437),
    [sym_block] = STATE(8813),
    [sym_expression] = STATE(14199),
    [sym__simple_expression] = STATE(8301),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17572),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11110),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6708),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(10134),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(2358),
    [sym_block_comment] = STATE(2358),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2203),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2207),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [2359] = {
    [sym_type_parameters] = STATE(19305),
    [sym_inline_modifier] = STATE(2479),
    [sym_block] = STATE(9896),
    [sym_expression] = STATE(14534),
    [sym__simple_expression] = STATE(6719),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17395),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10685),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5585),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(8745),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(2359),
    [sym_block_comment] = STATE(2359),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2659),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2635),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2637),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2639),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [2360] = {
    [sym_type_parameters] = STATE(19008),
    [sym_inline_modifier] = STATE(2421),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(14899),
    [sym__simple_expression] = STATE(9899),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17759),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11642),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8236),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(10953),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2360),
    [sym_block_comment] = STATE(2360),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(2938),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(2950),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2361] = {
    [sym_type_parameters] = STATE(19354),
    [sym_inline_modifier] = STATE(2486),
    [sym_block] = STATE(9867),
    [sym_expression] = STATE(14410),
    [sym__simple_expression] = STATE(6723),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17488),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5587),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(8751),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(2361),
    [sym_block_comment] = STATE(2361),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(2321),
    [anon_sym_while] = ACTIONS(2323),
    [anon_sym_for] = ACTIONS(2325),
    [anon_sym_try] = ACTIONS(2327),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(2329),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(2331),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_throw] = ACTIONS(2335),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [2362] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16249),
    [sym__simple_expression] = STATE(6900),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2362),
    [sym_block_comment] = STATE(2362),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2363] = {
    [sym_type_parameters] = STATE(19067),
    [sym_inline_modifier] = STATE(2437),
    [sym_block] = STATE(8813),
    [sym_expression] = STATE(14237),
    [sym__simple_expression] = STATE(8301),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17572),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11110),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6708),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(10134),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(2363),
    [sym_block_comment] = STATE(2363),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2201),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2203),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2207),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [2364] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15672),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2364),
    [sym_block_comment] = STATE(2364),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2365] = {
    [sym_type_parameters] = STATE(19375),
    [sym_inline_modifier] = STATE(2489),
    [sym_block] = STATE(6526),
    [sym_expression] = STATE(12532),
    [sym__simple_expression] = STATE(5584),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17531),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9590),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4881),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7227),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(2365),
    [sym_block_comment] = STATE(2365),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2377),
    [anon_sym_while] = ACTIONS(2051),
    [anon_sym_for] = ACTIONS(2053),
    [anon_sym_try] = ACTIONS(2055),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(2057),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(2059),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_throw] = ACTIONS(2063),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [2366] = {
    [sym_type_parameters] = STATE(19115),
    [sym_inline_modifier] = STATE(2449),
    [sym_block] = STATE(9793),
    [sym_expression] = STATE(14656),
    [sym__simple_expression] = STATE(6296),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17754),
    [sym_case_block] = STATE(9793),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(9793),
    [sym_call_expression] = STATE(9793),
    [sym_field_expression] = STATE(9793),
    [sym_instance_expression] = STATE(9793),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(10680),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(18810),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(10068),
    [sym_tuple_expression] = STATE(9793),
    [sym_parenthesized_expression] = STATE(9793),
    [sym_splice_expression] = STATE(9793),
    [sym_quote_expression] = STATE(9793),
    [sym_identifier] = STATE(5289),
    [sym__soft_identifier] = STATE(4682),
    [sym_wildcard] = STATE(8440),
    [sym__non_null_literal] = STATE(9793),
    [sym_boolean_literal] = STATE(9544),
    [sym_interpolated_string_expression] = STATE(9793),
    [sym_string] = STATE(9544),
    [sym_unit] = STATE(9793),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(2366),
    [sym_block_comment] = STATE(2366),
    [sym__alpha_identifier] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym__] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_end] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1875),
    [anon_sym_while] = ACTIONS(1877),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_try] = ACTIONS(1881),
    [anon_sym_new] = ACTIONS(1339),
    [anon_sym_opaque] = ACTIONS(1337),
    [anon_sym_implicit] = ACTIONS(1883),
    [anon_sym_inline] = ACTIONS(1341),
    [anon_sym_infix] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_transparent] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_macro] = ACTIONS(1885),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_DOLLAR] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [sym__backquoted_id] = ACTIONS(1349),
    [sym_operator_identifier] = ACTIONS(1887),
    [sym_integer_literal] = ACTIONS(1353),
    [sym_floating_point_literal] = ACTIONS(1355),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [sym_character_literal] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_throw] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1361),
    [sym__simple_string] = ACTIONS(1361),
  },
  [2367] = {
    [sym_type_parameters] = STATE(19354),
    [sym_inline_modifier] = STATE(2486),
    [sym_block] = STATE(9867),
    [sym_expression] = STATE(14419),
    [sym__simple_expression] = STATE(6723),
    [sym_lambda_expression] = STATE(14789),
    [sym_if_expression] = STATE(14789),
    [sym_match_expression] = STATE(14789),
    [sym_try_expression] = STATE(14789),
    [sym_bindings] = STATE(17488),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(14789),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(14789),
    [sym_infix_expression] = STATE(10479),
    [sym_postfix_expression] = STATE(14504),
    [sym__postfix_expression_choice] = STATE(18141),
    [sym_macro_body] = STATE(14789),
    [sym_prefix_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5587),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(8751),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(14789),
    [sym_throw_expression] = STATE(14789),
    [sym_while_expression] = STATE(14789),
    [sym_do_while_expression] = STATE(14789),
    [sym_for_expression] = STATE(14789),
    [sym_comment] = STATE(2367),
    [sym_block_comment] = STATE(2367),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(2321),
    [anon_sym_while] = ACTIONS(2323),
    [anon_sym_for] = ACTIONS(2325),
    [anon_sym_try] = ACTIONS(2327),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(2329),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(2331),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_throw] = ACTIONS(2335),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [2368] = {
    [sym_type_parameters] = STATE(19214),
    [sym_inline_modifier] = STATE(2465),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(13981),
    [sym__simple_expression] = STATE(6878),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17725),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10612),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5702),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8984),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(2368),
    [sym_block_comment] = STATE(2368),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1001),
    [anon_sym_while] = ACTIONS(1003),
    [anon_sym_for] = ACTIONS(1005),
    [anon_sym_try] = ACTIONS(1007),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(1009),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(2625),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(1029),
    [anon_sym_throw] = ACTIONS(1031),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [2369] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9896),
    [sym_expression] = STATE(16691),
    [sym__simple_expression] = STATE(6270),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18097),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5311),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(7995),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2369),
    [sym_block_comment] = STATE(2369),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(1607),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [2370] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9867),
    [sym_expression] = STATE(16817),
    [sym__simple_expression] = STATE(5862),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(10447),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18251),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(9978),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5224),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(8259),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2370),
    [sym_block_comment] = STATE(2370),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(1759),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [2371] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16249),
    [sym__simple_expression] = STATE(6376),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(10830),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(10502),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2371),
    [sym_block_comment] = STATE(2371),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2372] = {
    [sym_type_parameters] = STATE(19214),
    [sym_inline_modifier] = STATE(2465),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(13998),
    [sym__simple_expression] = STATE(6878),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17725),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10612),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5702),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8984),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(2372),
    [sym_block_comment] = STATE(2372),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1001),
    [anon_sym_while] = ACTIONS(1003),
    [anon_sym_for] = ACTIONS(1005),
    [anon_sym_try] = ACTIONS(1007),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(1009),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(2625),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(1029),
    [anon_sym_throw] = ACTIONS(1031),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [2373] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(14876),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2373),
    [sym_block_comment] = STATE(2373),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2374] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14916),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(2374),
    [sym_block_comment] = STATE(2374),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [2375] = {
    [sym_type_parameters] = STATE(19382),
    [sym_inline_modifier] = STATE(2178),
    [sym_block] = STATE(9077),
    [sym_expression] = STATE(14171),
    [sym__simple_expression] = STATE(6194),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17545),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10186),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5256),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(8424),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(2375),
    [sym_block_comment] = STATE(2375),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2067),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(2071),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(2073),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(2075),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [2376] = {
    [sym_type_parameters] = STATE(19137),
    [sym_inline_modifier] = STATE(2454),
    [sym_block] = STATE(10753),
    [sym_expression] = STATE(15006),
    [sym__simple_expression] = STATE(7215),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17486),
    [sym_case_block] = STATE(10753),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(10753),
    [sym_call_expression] = STATE(10753),
    [sym_field_expression] = STATE(10753),
    [sym_instance_expression] = STATE(10753),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(11165),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(18932),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10969),
    [sym_tuple_expression] = STATE(10753),
    [sym_parenthesized_expression] = STATE(10753),
    [sym_splice_expression] = STATE(10753),
    [sym_quote_expression] = STATE(10753),
    [sym_identifier] = STATE(6109),
    [sym__soft_identifier] = STATE(4936),
    [sym_wildcard] = STATE(9648),
    [sym__non_null_literal] = STATE(10753),
    [sym_boolean_literal] = STATE(10697),
    [sym_interpolated_string_expression] = STATE(10753),
    [sym_string] = STATE(10697),
    [sym_unit] = STATE(10753),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(2376),
    [sym_block_comment] = STATE(2376),
    [sym__alpha_identifier] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(2475),
    [anon_sym__] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(2481),
    [anon_sym_DASH] = ACTIONS(2481),
    [anon_sym_end] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(2487),
    [anon_sym_for] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_opaque] = ACTIONS(2483),
    [anon_sym_implicit] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2497),
    [anon_sym_infix] = ACTIONS(2483),
    [anon_sym_open] = ACTIONS(2483),
    [anon_sym_transparent] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_macro] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2481),
    [anon_sym_TILDE] = ACTIONS(2481),
    [anon_sym_DOLLAR] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2505),
    [sym__backquoted_id] = ACTIONS(2507),
    [sym_operator_identifier] = ACTIONS(2509),
    [sym_integer_literal] = ACTIONS(2511),
    [sym_floating_point_literal] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [sym_character_literal] = ACTIONS(2513),
    [sym_null_literal] = ACTIONS(2517),
    [anon_sym_return] = ACTIONS(2519),
    [anon_sym_throw] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2523),
    [sym__simple_string] = ACTIONS(2523),
  },
  [2377] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15727),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2377),
    [sym_block_comment] = STATE(2377),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2378] = {
    [sym_type_parameters] = STATE(19298),
    [sym_inline_modifier] = STATE(2478),
    [sym_block] = STATE(8086),
    [sym_expression] = STATE(14007),
    [sym__simple_expression] = STATE(7225),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17377),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10767),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6197),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9684),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(2378),
    [sym_block_comment] = STATE(2378),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(2245),
    [anon_sym_for] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2251),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2253),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2255),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [2379] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(8225),
    [sym_expression] = STATE(16747),
    [sym__simple_expression] = STATE(5198),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18229),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4753),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(6812),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2379),
    [sym_block_comment] = STATE(2379),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1207),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [2380] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10196),
    [sym_expression] = STATE(16881),
    [sym__simple_expression] = STATE(6438),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10196),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10196),
    [sym_call_expression] = STATE(10196),
    [sym_field_expression] = STATE(10196),
    [sym_instance_expression] = STATE(10196),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11077),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18273),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(10708),
    [sym_tuple_expression] = STATE(10196),
    [sym_parenthesized_expression] = STATE(10196),
    [sym_splice_expression] = STATE(10196),
    [sym_quote_expression] = STATE(10196),
    [sym_identifier] = STATE(5546),
    [sym__soft_identifier] = STATE(4721),
    [sym_wildcard] = STATE(9079),
    [sym__non_null_literal] = STATE(10196),
    [sym_boolean_literal] = STATE(10049),
    [sym_interpolated_string_expression] = STATE(10196),
    [sym_string] = STATE(10049),
    [sym_unit] = STATE(10196),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2380),
    [sym_block_comment] = STATE(2380),
    [sym__alpha_identifier] = ACTIONS(1789),
    [anon_sym_LBRACE] = ACTIONS(1793),
    [anon_sym__] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_end] = ACTIONS(1799),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1801),
    [anon_sym_opaque] = ACTIONS(1799),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1803),
    [anon_sym_infix] = ACTIONS(1799),
    [anon_sym_open] = ACTIONS(1799),
    [anon_sym_transparent] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1797),
    [anon_sym_TILDE] = ACTIONS(1797),
    [anon_sym_DOLLAR] = ACTIONS(1807),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [sym__backquoted_id] = ACTIONS(1811),
    [sym_operator_identifier] = ACTIONS(1813),
    [sym_integer_literal] = ACTIONS(1815),
    [sym_floating_point_literal] = ACTIONS(1817),
    [anon_sym_true] = ACTIONS(1819),
    [anon_sym_false] = ACTIONS(1819),
    [sym_character_literal] = ACTIONS(1817),
    [sym_null_literal] = ACTIONS(1821),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1823),
    [sym__simple_string] = ACTIONS(1823),
  },
  [2381] = {
    [sym_type_parameters] = STATE(19179),
    [sym_inline_modifier] = STATE(2469),
    [sym_block] = STATE(10130),
    [sym_expression] = STATE(14866),
    [sym__simple_expression] = STATE(7219),
    [sym_lambda_expression] = STATE(15020),
    [sym_if_expression] = STATE(15020),
    [sym_match_expression] = STATE(15020),
    [sym_try_expression] = STATE(15020),
    [sym_bindings] = STATE(17584),
    [sym_case_block] = STATE(10130),
    [sym_assignment_expression] = STATE(15020),
    [sym_generic_function] = STATE(10130),
    [sym_call_expression] = STATE(10130),
    [sym_field_expression] = STATE(10130),
    [sym_instance_expression] = STATE(10130),
    [sym_ascription_expression] = STATE(15020),
    [sym_infix_expression] = STATE(11146),
    [sym_postfix_expression] = STATE(14884),
    [sym__postfix_expression_choice] = STATE(19414),
    [sym_macro_body] = STATE(15020),
    [sym_prefix_expression] = STATE(10868),
    [sym_tuple_expression] = STATE(10130),
    [sym_parenthesized_expression] = STATE(10130),
    [sym_splice_expression] = STATE(10130),
    [sym_quote_expression] = STATE(10130),
    [sym_identifier] = STATE(6186),
    [sym__soft_identifier] = STATE(6129),
    [sym_wildcard] = STATE(9565),
    [sym__non_null_literal] = STATE(10130),
    [sym_boolean_literal] = STATE(9594),
    [sym_interpolated_string_expression] = STATE(10130),
    [sym_string] = STATE(9594),
    [sym_unit] = STATE(10130),
    [sym_return_expression] = STATE(15020),
    [sym_throw_expression] = STATE(15020),
    [sym_while_expression] = STATE(15020),
    [sym_do_while_expression] = STATE(15020),
    [sym_for_expression] = STATE(15020),
    [sym_comment] = STATE(2381),
    [sym_block_comment] = STATE(2381),
    [sym__alpha_identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(511),
    [anon_sym__] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(645),
    [anon_sym_for] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_opaque] = ACTIONS(695),
    [anon_sym_implicit] = ACTIONS(2627),
    [anon_sym_inline] = ACTIONS(2555),
    [anon_sym_infix] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(695),
    [anon_sym_transparent] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_macro] = ACTIONS(657),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_DOLLAR] = ACTIONS(567),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [sym__backquoted_id] = ACTIONS(571),
    [sym_operator_identifier] = ACTIONS(659),
    [sym_integer_literal] = ACTIONS(575),
    [sym_floating_point_literal] = ACTIONS(577),
    [anon_sym_true] = ACTIONS(579),
    [anon_sym_false] = ACTIONS(579),
    [sym_character_literal] = ACTIONS(577),
    [sym_null_literal] = ACTIONS(581),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(663),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(589),
    [sym__simple_string] = ACTIONS(589),
  },
  [2382] = {
    [sym_type_parameters] = STATE(19312),
    [sym_inline_modifier] = STATE(2480),
    [sym_block] = STATE(7573),
    [sym_expression] = STATE(13273),
    [sym__simple_expression] = STATE(6229),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17408),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9962),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5279),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8585),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(2382),
    [sym_block_comment] = STATE(2382),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2713),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_try] = ACTIONS(2019),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2021),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2025),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [2383] = {
    [sym_type_parameters] = STATE(19389),
    [sym_inline_modifier] = STATE(2239),
    [sym_block] = STATE(6526),
    [sym_expression] = STATE(12532),
    [sym__simple_expression] = STATE(5645),
    [sym_lambda_expression] = STATE(12983),
    [sym_if_expression] = STATE(12983),
    [sym_match_expression] = STATE(12983),
    [sym_try_expression] = STATE(12983),
    [sym_bindings] = STATE(17555),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(12983),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(12983),
    [sym_infix_expression] = STATE(8171),
    [sym_postfix_expression] = STATE(12254),
    [sym__postfix_expression_choice] = STATE(18185),
    [sym_macro_body] = STATE(12983),
    [sym_prefix_expression] = STATE(9511),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4919),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(7255),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(12983),
    [sym_throw_expression] = STATE(12983),
    [sym_while_expression] = STATE(12983),
    [sym_do_while_expression] = STATE(12983),
    [sym_for_expression] = STATE(12983),
    [sym_comment] = STATE(2383),
    [sym_block_comment] = STATE(2383),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_while] = ACTIONS(1775),
    [anon_sym_for] = ACTIONS(1777),
    [anon_sym_try] = ACTIONS(1779),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(1781),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1783),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_throw] = ACTIONS(1787),
    [anon_sym_do] = ACTIONS(1637),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [2384] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(14899),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2384),
    [sym_block_comment] = STATE(2384),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2385] = {
    [sym_type_parameters] = STATE(19312),
    [sym_inline_modifier] = STATE(2480),
    [sym_block] = STATE(7573),
    [sym_expression] = STATE(13290),
    [sym__simple_expression] = STATE(6229),
    [sym_lambda_expression] = STATE(13255),
    [sym_if_expression] = STATE(13255),
    [sym_match_expression] = STATE(13255),
    [sym_try_expression] = STATE(13255),
    [sym_bindings] = STATE(17408),
    [sym_case_block] = STATE(7573),
    [sym_assignment_expression] = STATE(13255),
    [sym_generic_function] = STATE(7573),
    [sym_call_expression] = STATE(7573),
    [sym_field_expression] = STATE(7573),
    [sym_instance_expression] = STATE(7573),
    [sym_ascription_expression] = STATE(13255),
    [sym_infix_expression] = STATE(9067),
    [sym_postfix_expression] = STATE(12552),
    [sym__postfix_expression_choice] = STATE(18447),
    [sym_macro_body] = STATE(13255),
    [sym_prefix_expression] = STATE(9962),
    [sym_tuple_expression] = STATE(7573),
    [sym_parenthesized_expression] = STATE(7573),
    [sym_splice_expression] = STATE(7573),
    [sym_quote_expression] = STATE(7573),
    [sym_identifier] = STATE(5279),
    [sym__soft_identifier] = STATE(5114),
    [sym_wildcard] = STATE(8585),
    [sym__non_null_literal] = STATE(7573),
    [sym_boolean_literal] = STATE(7102),
    [sym_interpolated_string_expression] = STATE(7573),
    [sym_string] = STATE(7102),
    [sym_unit] = STATE(7573),
    [sym_return_expression] = STATE(13255),
    [sym_throw_expression] = STATE(13255),
    [sym_while_expression] = STATE(13255),
    [sym_do_while_expression] = STATE(13255),
    [sym_for_expression] = STATE(13255),
    [sym_comment] = STATE(2385),
    [sym_block_comment] = STATE(2385),
    [sym__alpha_identifier] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym__] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_end] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(2713),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_try] = ACTIONS(2019),
    [anon_sym_new] = ACTIONS(1231),
    [anon_sym_opaque] = ACTIONS(1229),
    [anon_sym_implicit] = ACTIONS(2021),
    [anon_sym_inline] = ACTIONS(1233),
    [anon_sym_infix] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_transparent] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(2023),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_DOLLAR] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1239),
    [sym__backquoted_id] = ACTIONS(1241),
    [sym_operator_identifier] = ACTIONS(2025),
    [sym_integer_literal] = ACTIONS(1245),
    [sym_floating_point_literal] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_do] = ACTIONS(2031),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1253),
    [sym__simple_string] = ACTIONS(1253),
  },
  [2386] = {
    [sym_type_parameters] = STATE(19130),
    [sym_inline_modifier] = STATE(2453),
    [sym_block] = STATE(8582),
    [sym_expression] = STATE(13828),
    [sym__simple_expression] = STATE(6803),
    [sym_lambda_expression] = STATE(13984),
    [sym_if_expression] = STATE(13984),
    [sym_match_expression] = STATE(13984),
    [sym_try_expression] = STATE(13984),
    [sym_bindings] = STATE(17438),
    [sym_case_block] = STATE(8582),
    [sym_assignment_expression] = STATE(13984),
    [sym_generic_function] = STATE(8582),
    [sym_call_expression] = STATE(8582),
    [sym_field_expression] = STATE(8582),
    [sym_instance_expression] = STATE(8582),
    [sym_ascription_expression] = STATE(13984),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13619),
    [sym__postfix_expression_choice] = STATE(18192),
    [sym_macro_body] = STATE(13984),
    [sym_prefix_expression] = STATE(10695),
    [sym_tuple_expression] = STATE(8582),
    [sym_parenthesized_expression] = STATE(8582),
    [sym_splice_expression] = STATE(8582),
    [sym_quote_expression] = STATE(8582),
    [sym_identifier] = STATE(5679),
    [sym__soft_identifier] = STATE(5460),
    [sym_wildcard] = STATE(8924),
    [sym__non_null_literal] = STATE(8582),
    [sym_boolean_literal] = STATE(6796),
    [sym_interpolated_string_expression] = STATE(8582),
    [sym_string] = STATE(6796),
    [sym_unit] = STATE(8582),
    [sym_return_expression] = STATE(13984),
    [sym_throw_expression] = STATE(13984),
    [sym_while_expression] = STATE(13984),
    [sym_do_while_expression] = STATE(13984),
    [sym_for_expression] = STATE(13984),
    [sym_comment] = STATE(2386),
    [sym_block_comment] = STATE(2386),
    [sym__alpha_identifier] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym__] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(121),
    [anon_sym_DASH] = ACTIONS(121),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_implicit] = ACTIONS(3328),
    [anon_sym_inline] = ACTIONS(201),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_macro] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [sym__backquoted_id] = ACTIONS(211),
    [sym_operator_identifier] = ACTIONS(3330),
    [sym_integer_literal] = ACTIONS(167),
    [sym_floating_point_literal] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(171),
    [anon_sym_false] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(169),
    [sym_null_literal] = ACTIONS(173),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3334),
    [anon_sym_do] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(181),
    [sym__simple_string] = ACTIONS(181),
  },
  [2387] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15716),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2387),
    [sym_block_comment] = STATE(2387),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2388] = {
    [sym_type_parameters] = STATE(19361),
    [sym_inline_modifier] = STATE(2487),
    [sym_block] = STATE(6011),
    [sym_expression] = STATE(12308),
    [sym__simple_expression] = STATE(5280),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17505),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8857),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4759),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6823),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(2388),
    [sym_block_comment] = STATE(2388),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_while] = ACTIONS(1439),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1443),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1445),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1449),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1451),
    [anon_sym_throw] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [2389] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15552),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2389),
    [sym_block_comment] = STATE(2389),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2390] = {
    [sym_type_parameters] = STATE(19361),
    [sym_inline_modifier] = STATE(2487),
    [sym_block] = STATE(6011),
    [sym_expression] = STATE(12396),
    [sym__simple_expression] = STATE(5280),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17505),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8857),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4759),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6823),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(2390),
    [sym_block_comment] = STATE(2390),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_while] = ACTIONS(1439),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1443),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1445),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1449),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1451),
    [anon_sym_throw] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [2391] = {
    [sym_type_parameters] = STATE(19107),
    [sym_inline_modifier] = STATE(2445),
    [sym_block] = STATE(9233),
    [sym_expression] = STATE(14362),
    [sym__simple_expression] = STATE(5929),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17658),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10255),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5067),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8244),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(2391),
    [sym_block_comment] = STATE(2391),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_try] = ACTIONS(1721),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(1723),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(1727),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_throw] = ACTIONS(1731),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [2392] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15781),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2392),
    [sym_block_comment] = STATE(2392),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2393] = {
    [sym_type_parameters] = STATE(19326),
    [sym_inline_modifier] = STATE(2482),
    [sym_block] = STATE(7275),
    [sym_expression] = STATE(13623),
    [sym__simple_expression] = STATE(6191),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17429),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(10076),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5253),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8347),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(2393),
    [sym_block_comment] = STATE(2393),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2263),
    [anon_sym_for] = ACTIONS(2265),
    [anon_sym_try] = ACTIONS(2267),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2269),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2271),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2273),
    [anon_sym_throw] = ACTIONS(2275),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [2394] = {
    [sym_type_parameters] = STATE(19319),
    [sym_inline_modifier] = STATE(2481),
    [sym_block] = STATE(6011),
    [sym_expression] = STATE(12409),
    [sym__simple_expression] = STATE(5251),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17418),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4750),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6718),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(2394),
    [sym_block_comment] = STATE(2394),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_try] = ACTIONS(1865),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1867),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1869),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1871),
    [anon_sym_throw] = ACTIONS(1873),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [2395] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9867),
    [sym_expression] = STATE(16817),
    [sym__simple_expression] = STATE(5922),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9867),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9867),
    [sym_call_expression] = STATE(9867),
    [sym_field_expression] = STATE(9867),
    [sym_instance_expression] = STATE(9867),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18251),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(9867),
    [sym_parenthesized_expression] = STATE(9867),
    [sym_splice_expression] = STATE(9867),
    [sym_quote_expression] = STATE(9867),
    [sym_identifier] = STATE(5224),
    [sym__soft_identifier] = STATE(6458),
    [sym_wildcard] = STATE(8259),
    [sym__non_null_literal] = STATE(9867),
    [sym_boolean_literal] = STATE(9854),
    [sym_interpolated_string_expression] = STATE(9867),
    [sym_string] = STATE(9854),
    [sym_unit] = STATE(9867),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2395),
    [sym_block_comment] = STATE(2395),
    [sym__alpha_identifier] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_opaque] = ACTIONS(1745),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1749),
    [anon_sym_infix] = ACTIONS(1745),
    [anon_sym_open] = ACTIONS(1745),
    [anon_sym_transparent] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym__backquoted_id] = ACTIONS(1757),
    [sym_operator_identifier] = ACTIONS(1759),
    [sym_integer_literal] = ACTIONS(1761),
    [sym_floating_point_literal] = ACTIONS(1763),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym_character_literal] = ACTIONS(1763),
    [sym_null_literal] = ACTIONS(1767),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1769),
    [sym__simple_string] = ACTIONS(1769),
  },
  [2396] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(6526),
    [sym_expression] = STATE(16957),
    [sym__simple_expression] = STATE(4749),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(8500),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18294),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(7554),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4565),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(5607),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2396),
    [sym_block_comment] = STATE(2396),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1135),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [2397] = {
    [sym_type_parameters] = STATE(19221),
    [sym_inline_modifier] = STATE(2466),
    [sym_block] = STATE(6679),
    [sym_expression] = STATE(12756),
    [sym__simple_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17385),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9917),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4878),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7216),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(2397),
    [sym_block_comment] = STATE(2397),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2343),
    [anon_sym_while] = ACTIONS(2277),
    [anon_sym_for] = ACTIONS(2279),
    [anon_sym_try] = ACTIONS(2281),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(2283),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(2285),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [2398] = {
    [sym_type_parameters] = STATE(19107),
    [sym_inline_modifier] = STATE(2445),
    [sym_block] = STATE(9233),
    [sym_expression] = STATE(14242),
    [sym__simple_expression] = STATE(5929),
    [sym_lambda_expression] = STATE(14688),
    [sym_if_expression] = STATE(14688),
    [sym_match_expression] = STATE(14688),
    [sym_try_expression] = STATE(14688),
    [sym_bindings] = STATE(17658),
    [sym_case_block] = STATE(9233),
    [sym_assignment_expression] = STATE(14688),
    [sym_generic_function] = STATE(9233),
    [sym_call_expression] = STATE(9233),
    [sym_field_expression] = STATE(9233),
    [sym_instance_expression] = STATE(9233),
    [sym_ascription_expression] = STATE(14688),
    [sym_infix_expression] = STATE(10252),
    [sym_postfix_expression] = STATE(14265),
    [sym__postfix_expression_choice] = STATE(18437),
    [sym_macro_body] = STATE(14688),
    [sym_prefix_expression] = STATE(10255),
    [sym_tuple_expression] = STATE(9233),
    [sym_parenthesized_expression] = STATE(9233),
    [sym_splice_expression] = STATE(9233),
    [sym_quote_expression] = STATE(9233),
    [sym_identifier] = STATE(5067),
    [sym__soft_identifier] = STATE(5865),
    [sym_wildcard] = STATE(8244),
    [sym__non_null_literal] = STATE(9233),
    [sym_boolean_literal] = STATE(9410),
    [sym_interpolated_string_expression] = STATE(9233),
    [sym_string] = STATE(9410),
    [sym_unit] = STATE(9233),
    [sym_return_expression] = STATE(14688),
    [sym_throw_expression] = STATE(14688),
    [sym_while_expression] = STATE(14688),
    [sym_do_while_expression] = STATE(14688),
    [sym_for_expression] = STATE(14688),
    [sym_comment] = STATE(2398),
    [sym_block_comment] = STATE(2398),
    [sym__alpha_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym__] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_end] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1717),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_try] = ACTIONS(1721),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_opaque] = ACTIONS(1373),
    [anon_sym_implicit] = ACTIONS(1723),
    [anon_sym_inline] = ACTIONS(1377),
    [anon_sym_infix] = ACTIONS(1373),
    [anon_sym_open] = ACTIONS(1373),
    [anon_sym_transparent] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_macro] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_DOLLAR] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [sym__backquoted_id] = ACTIONS(1385),
    [sym_operator_identifier] = ACTIONS(1727),
    [sym_integer_literal] = ACTIONS(1389),
    [sym_floating_point_literal] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_character_literal] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(1729),
    [anon_sym_throw] = ACTIONS(1731),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1397),
    [sym__simple_string] = ACTIONS(1397),
  },
  [2399] = {
    [sym_type_parameters] = STATE(19075),
    [sym_inline_modifier] = STATE(2439),
    [sym_block] = STATE(8813),
    [sym_expression] = STATE(14199),
    [sym__simple_expression] = STATE(8573),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17664),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11137),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6815),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(9947),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(2399),
    [sym_block_comment] = STATE(2399),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2211),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2219),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2221),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [2400] = {
    [sym_type_parameters] = STATE(19075),
    [sym_inline_modifier] = STATE(2439),
    [sym_block] = STATE(8813),
    [sym_expression] = STATE(14237),
    [sym__simple_expression] = STATE(8573),
    [sym_lambda_expression] = STATE(14491),
    [sym_if_expression] = STATE(14491),
    [sym_match_expression] = STATE(14491),
    [sym_try_expression] = STATE(14491),
    [sym_bindings] = STATE(17664),
    [sym_case_block] = STATE(8813),
    [sym_assignment_expression] = STATE(14491),
    [sym_generic_function] = STATE(8813),
    [sym_call_expression] = STATE(8813),
    [sym_field_expression] = STATE(8813),
    [sym_instance_expression] = STATE(8813),
    [sym_ascription_expression] = STATE(14491),
    [sym_infix_expression] = STATE(10191),
    [sym_postfix_expression] = STATE(14357),
    [sym__postfix_expression_choice] = STATE(19352),
    [sym_macro_body] = STATE(14491),
    [sym_prefix_expression] = STATE(11137),
    [sym_tuple_expression] = STATE(8813),
    [sym_parenthesized_expression] = STATE(8813),
    [sym_splice_expression] = STATE(8813),
    [sym_quote_expression] = STATE(8813),
    [sym_identifier] = STATE(6815),
    [sym__soft_identifier] = STATE(5910),
    [sym_wildcard] = STATE(9947),
    [sym__non_null_literal] = STATE(8813),
    [sym_boolean_literal] = STATE(8856),
    [sym_interpolated_string_expression] = STATE(8813),
    [sym_string] = STATE(8856),
    [sym_unit] = STATE(8813),
    [sym_return_expression] = STATE(14491),
    [sym_throw_expression] = STATE(14491),
    [sym_while_expression] = STATE(14491),
    [sym_do_while_expression] = STATE(14491),
    [sym_for_expression] = STATE(14491),
    [sym_comment] = STATE(2400),
    [sym_block_comment] = STATE(2400),
    [sym__alpha_identifier] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym__] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_end] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(2211),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_opaque] = ACTIONS(1835),
    [anon_sym_implicit] = ACTIONS(2219),
    [anon_sym_inline] = ACTIONS(1839),
    [anon_sym_infix] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_transparent] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_macro] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym__backquoted_id] = ACTIONS(1847),
    [sym_operator_identifier] = ACTIONS(2221),
    [sym_integer_literal] = ACTIONS(1851),
    [sym_floating_point_literal] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1855),
    [anon_sym_false] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1853),
    [sym_null_literal] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1859),
    [sym__simple_string] = ACTIONS(1859),
  },
  [2401] = {
    [sym_type_parameters] = STATE(19347),
    [sym_inline_modifier] = STATE(2485),
    [sym_block] = STATE(8225),
    [sym_expression] = STATE(13886),
    [sym__simple_expression] = STATE(5581),
    [sym_lambda_expression] = STATE(14356),
    [sym_if_expression] = STATE(14356),
    [sym_match_expression] = STATE(14356),
    [sym_try_expression] = STATE(14356),
    [sym_bindings] = STATE(17473),
    [sym_case_block] = STATE(8225),
    [sym_assignment_expression] = STATE(14356),
    [sym_generic_function] = STATE(8225),
    [sym_call_expression] = STATE(8225),
    [sym_field_expression] = STATE(8225),
    [sym_instance_expression] = STATE(8225),
    [sym_ascription_expression] = STATE(14356),
    [sym_infix_expression] = STATE(9763),
    [sym_postfix_expression] = STATE(13683),
    [sym__postfix_expression_choice] = STATE(18120),
    [sym_macro_body] = STATE(14356),
    [sym_prefix_expression] = STATE(9483),
    [sym_tuple_expression] = STATE(8225),
    [sym_parenthesized_expression] = STATE(8225),
    [sym_splice_expression] = STATE(8225),
    [sym_quote_expression] = STATE(8225),
    [sym_identifier] = STATE(4880),
    [sym__soft_identifier] = STATE(5443),
    [sym_wildcard] = STATE(7226),
    [sym__non_null_literal] = STATE(8225),
    [sym_boolean_literal] = STATE(8013),
    [sym_interpolated_string_expression] = STATE(8225),
    [sym_string] = STATE(8013),
    [sym_unit] = STATE(8225),
    [sym_return_expression] = STATE(14356),
    [sym_throw_expression] = STATE(14356),
    [sym_while_expression] = STATE(14356),
    [sym_do_while_expression] = STATE(14356),
    [sym_for_expression] = STATE(14356),
    [sym_comment] = STATE(2401),
    [sym_block_comment] = STATE(2401),
    [sym__alpha_identifier] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym__] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_end] = ACTIONS(1193),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1551),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_opaque] = ACTIONS(1193),
    [anon_sym_implicit] = ACTIONS(1555),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_infix] = ACTIONS(1193),
    [anon_sym_open] = ACTIONS(1193),
    [anon_sym_transparent] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_macro] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1191),
    [anon_sym_DOLLAR] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym__backquoted_id] = ACTIONS(1205),
    [sym_operator_identifier] = ACTIONS(1557),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_floating_point_literal] = ACTIONS(1211),
    [anon_sym_true] = ACTIONS(1213),
    [anon_sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1559),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1217),
    [sym__simple_string] = ACTIONS(1217),
  },
  [2402] = {
    [sym_type_parameters] = STATE(19221),
    [sym_inline_modifier] = STATE(2466),
    [sym_block] = STATE(6679),
    [sym_expression] = STATE(12930),
    [sym__simple_expression] = STATE(5575),
    [sym_lambda_expression] = STATE(12858),
    [sym_if_expression] = STATE(12858),
    [sym_match_expression] = STATE(12858),
    [sym_try_expression] = STATE(12858),
    [sym_bindings] = STATE(17385),
    [sym_case_block] = STATE(6679),
    [sym_assignment_expression] = STATE(12858),
    [sym_generic_function] = STATE(6679),
    [sym_call_expression] = STATE(6679),
    [sym_field_expression] = STATE(6679),
    [sym_instance_expression] = STATE(6679),
    [sym_ascription_expression] = STATE(12858),
    [sym_infix_expression] = STATE(8120),
    [sym_postfix_expression] = STATE(12320),
    [sym__postfix_expression_choice] = STATE(19282),
    [sym_macro_body] = STATE(12858),
    [sym_prefix_expression] = STATE(9917),
    [sym_tuple_expression] = STATE(6679),
    [sym_parenthesized_expression] = STATE(6679),
    [sym_splice_expression] = STATE(6679),
    [sym_quote_expression] = STATE(6679),
    [sym_identifier] = STATE(4878),
    [sym__soft_identifier] = STATE(4887),
    [sym_wildcard] = STATE(7216),
    [sym__non_null_literal] = STATE(6679),
    [sym_boolean_literal] = STATE(6960),
    [sym_interpolated_string_expression] = STATE(6679),
    [sym_string] = STATE(6960),
    [sym_unit] = STATE(6679),
    [sym_return_expression] = STATE(12858),
    [sym_throw_expression] = STATE(12858),
    [sym_while_expression] = STATE(12858),
    [sym_do_while_expression] = STATE(12858),
    [sym_for_expression] = STATE(12858),
    [sym_comment] = STATE(2402),
    [sym_block_comment] = STATE(2402),
    [sym__alpha_identifier] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym__] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_end] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(2343),
    [anon_sym_while] = ACTIONS(2277),
    [anon_sym_for] = ACTIONS(2279),
    [anon_sym_try] = ACTIONS(2281),
    [anon_sym_new] = ACTIONS(1087),
    [anon_sym_opaque] = ACTIONS(1085),
    [anon_sym_implicit] = ACTIONS(2283),
    [anon_sym_inline] = ACTIONS(1089),
    [anon_sym_infix] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_transparent] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_macro] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1095),
    [sym__backquoted_id] = ACTIONS(1097),
    [sym_operator_identifier] = ACTIONS(2285),
    [sym_integer_literal] = ACTIONS(1101),
    [sym_floating_point_literal] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(1713),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1109),
    [sym__simple_string] = ACTIONS(1109),
  },
  [2403] = {
    [sym_type_parameters] = STATE(19333),
    [sym_inline_modifier] = STATE(2483),
    [sym_block] = STATE(8086),
    [sym_expression] = STATE(14007),
    [sym__simple_expression] = STATE(7254),
    [sym_lambda_expression] = STATE(14117),
    [sym_if_expression] = STATE(14117),
    [sym_match_expression] = STATE(14117),
    [sym_try_expression] = STATE(14117),
    [sym_bindings] = STATE(17445),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(14117),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(14117),
    [sym_infix_expression] = STATE(9937),
    [sym_postfix_expression] = STATE(13994),
    [sym__postfix_expression_choice] = STATE(18207),
    [sym_macro_body] = STATE(14117),
    [sym_prefix_expression] = STATE(10814),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(6232),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(9529),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(14117),
    [sym_throw_expression] = STATE(14117),
    [sym_while_expression] = STATE(14117),
    [sym_do_while_expression] = STATE(14117),
    [sym_for_expression] = STATE(14117),
    [sym_comment] = STATE(2403),
    [sym_block_comment] = STATE(2403),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(2563),
    [anon_sym_for] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(2569),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(2571),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(2573),
    [anon_sym_throw] = ACTIONS(2575),
    [anon_sym_do] = ACTIONS(1693),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [2404] = {
    [sym_type_parameters] = STATE(19340),
    [sym_inline_modifier] = STATE(2484),
    [sym_block] = STATE(9077),
    [sym_expression] = STATE(14171),
    [sym__simple_expression] = STATE(6257),
    [sym_lambda_expression] = STATE(14568),
    [sym_if_expression] = STATE(14568),
    [sym_match_expression] = STATE(14568),
    [sym_try_expression] = STATE(14568),
    [sym_bindings] = STATE(17461),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(14568),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(14568),
    [sym_infix_expression] = STATE(10091),
    [sym_postfix_expression] = STATE(14283),
    [sym__postfix_expression_choice] = STATE(18336),
    [sym_macro_body] = STATE(14568),
    [sym_prefix_expression] = STATE(10092),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(5331),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(7952),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(14568),
    [sym_throw_expression] = STATE(14568),
    [sym_while_expression] = STATE(14568),
    [sym_do_while_expression] = STATE(14568),
    [sym_for_expression] = STATE(14568),
    [sym_comment] = STATE(2404),
    [sym_block_comment] = STATE(2404),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(1571),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(1575),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [2405] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10196),
    [sym_expression] = STATE(16881),
    [sym__simple_expression] = STATE(6767),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10196),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10196),
    [sym_call_expression] = STATE(10196),
    [sym_field_expression] = STATE(10196),
    [sym_instance_expression] = STATE(10196),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18273),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10196),
    [sym_parenthesized_expression] = STATE(10196),
    [sym_splice_expression] = STATE(10196),
    [sym_quote_expression] = STATE(10196),
    [sym_identifier] = STATE(5546),
    [sym__soft_identifier] = STATE(4721),
    [sym_wildcard] = STATE(9079),
    [sym__non_null_literal] = STATE(10196),
    [sym_boolean_literal] = STATE(10049),
    [sym_interpolated_string_expression] = STATE(10196),
    [sym_string] = STATE(10049),
    [sym_unit] = STATE(10196),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2405),
    [sym_block_comment] = STATE(2405),
    [sym__alpha_identifier] = ACTIONS(1789),
    [anon_sym_LBRACE] = ACTIONS(1793),
    [anon_sym__] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(1799),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1801),
    [anon_sym_opaque] = ACTIONS(1799),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1803),
    [anon_sym_infix] = ACTIONS(1799),
    [anon_sym_open] = ACTIONS(1799),
    [anon_sym_transparent] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1805),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(1807),
    [anon_sym_SQUOTE] = ACTIONS(1809),
    [sym__backquoted_id] = ACTIONS(1811),
    [sym_operator_identifier] = ACTIONS(1813),
    [sym_integer_literal] = ACTIONS(1815),
    [sym_floating_point_literal] = ACTIONS(1817),
    [anon_sym_true] = ACTIONS(1819),
    [anon_sym_false] = ACTIONS(1819),
    [sym_character_literal] = ACTIONS(1817),
    [sym_null_literal] = ACTIONS(1821),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1823),
    [sym__simple_string] = ACTIONS(1823),
  },
  [2406] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(8086),
    [sym_expression] = STATE(17039),
    [sym__simple_expression] = STATE(5223),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(8086),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(8086),
    [sym_call_expression] = STATE(8086),
    [sym_field_expression] = STATE(8086),
    [sym_instance_expression] = STATE(8086),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(9752),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18315),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(8936),
    [sym_tuple_expression] = STATE(8086),
    [sym_parenthesized_expression] = STATE(8086),
    [sym_splice_expression] = STATE(8086),
    [sym_quote_expression] = STATE(8086),
    [sym_identifier] = STATE(4736),
    [sym__soft_identifier] = STATE(5475),
    [sym_wildcard] = STATE(6541),
    [sym__non_null_literal] = STATE(8086),
    [sym_boolean_literal] = STATE(8052),
    [sym_interpolated_string_expression] = STATE(8086),
    [sym_string] = STATE(8052),
    [sym_unit] = STATE(8086),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2406),
    [sym_block_comment] = STATE(2406),
    [sym__alpha_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym__] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_end] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_opaque] = ACTIONS(1409),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1413),
    [anon_sym_infix] = ACTIONS(1409),
    [anon_sym_open] = ACTIONS(1409),
    [anon_sym_transparent] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1419),
    [sym__backquoted_id] = ACTIONS(1421),
    [sym_operator_identifier] = ACTIONS(1423),
    [sym_integer_literal] = ACTIONS(1425),
    [sym_floating_point_literal] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [sym_character_literal] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1433),
    [sym__simple_string] = ACTIONS(1433),
  },
  [2407] = {
    [sym_type_parameters] = STATE(19319),
    [sym_inline_modifier] = STATE(2481),
    [sym_block] = STATE(6011),
    [sym_expression] = STATE(12308),
    [sym__simple_expression] = STATE(5251),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17418),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4750),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6718),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(2407),
    [sym_block_comment] = STATE(2407),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_try] = ACTIONS(1865),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1867),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1869),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1871),
    [anon_sym_throw] = ACTIONS(1873),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [2408] = {
    [sym_type_parameters] = STATE(19368),
    [sym_inline_modifier] = STATE(2488),
    [sym_block] = STATE(7275),
    [sym_expression] = STATE(13262),
    [sym__simple_expression] = STATE(6230),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17517),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(9981),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5282),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8608),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(2408),
    [sym_block_comment] = STATE(2408),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2033),
    [anon_sym_for] = ACTIONS(2035),
    [anon_sym_try] = ACTIONS(2037),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2039),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2043),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2047),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [2409] = {
    [sym_type_parameters] = STATE(19186),
    [sym_inline_modifier] = STATE(2461),
    [sym_block] = STATE(9896),
    [sym_expression] = STATE(14511),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17404),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10427),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5656),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(9159),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(2409),
    [sym_block_comment] = STATE(2409),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2529),
    [anon_sym_while] = ACTIONS(2531),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2541),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [2410] = {
    [sym_type_parameters] = STATE(19319),
    [sym_inline_modifier] = STATE(2481),
    [sym_block] = STATE(6011),
    [sym_expression] = STATE(12396),
    [sym__simple_expression] = STATE(5251),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17418),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8725),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4750),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6718),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(2410),
    [sym_block_comment] = STATE(2410),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_try] = ACTIONS(1865),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1867),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1869),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1871),
    [anon_sym_throw] = ACTIONS(1873),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [2411] = {
    [sym_type_parameters] = STATE(19186),
    [sym_inline_modifier] = STATE(2461),
    [sym_block] = STATE(9896),
    [sym_expression] = STATE(14534),
    [sym__simple_expression] = STATE(6378),
    [sym_lambda_expression] = STATE(14895),
    [sym_if_expression] = STATE(14895),
    [sym_match_expression] = STATE(14895),
    [sym_try_expression] = STATE(14895),
    [sym_bindings] = STATE(17404),
    [sym_case_block] = STATE(9896),
    [sym_assignment_expression] = STATE(14895),
    [sym_generic_function] = STATE(9896),
    [sym_call_expression] = STATE(9896),
    [sym_field_expression] = STATE(9896),
    [sym_instance_expression] = STATE(9896),
    [sym_ascription_expression] = STATE(14895),
    [sym_infix_expression] = STATE(10417),
    [sym_postfix_expression] = STATE(14398),
    [sym__postfix_expression_choice] = STATE(17884),
    [sym_macro_body] = STATE(14895),
    [sym_prefix_expression] = STATE(10427),
    [sym_tuple_expression] = STATE(9896),
    [sym_parenthesized_expression] = STATE(9896),
    [sym_splice_expression] = STATE(9896),
    [sym_quote_expression] = STATE(9896),
    [sym_identifier] = STATE(5656),
    [sym__soft_identifier] = STATE(6471),
    [sym_wildcard] = STATE(9159),
    [sym__non_null_literal] = STATE(9896),
    [sym_boolean_literal] = STATE(9637),
    [sym_interpolated_string_expression] = STATE(9896),
    [sym_string] = STATE(9637),
    [sym_unit] = STATE(9896),
    [sym_return_expression] = STATE(14895),
    [sym_throw_expression] = STATE(14895),
    [sym_while_expression] = STATE(14895),
    [sym_do_while_expression] = STATE(14895),
    [sym_for_expression] = STATE(14895),
    [sym_comment] = STATE(2411),
    [sym_block_comment] = STATE(2411),
    [sym__alpha_identifier] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym__] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_end] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(2529),
    [anon_sym_while] = ACTIONS(2531),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(1595),
    [anon_sym_opaque] = ACTIONS(1593),
    [anon_sym_implicit] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(1597),
    [anon_sym_infix] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_transparent] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_macro] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_DOLLAR] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1603),
    [sym__backquoted_id] = ACTIONS(1605),
    [sym_operator_identifier] = ACTIONS(2541),
    [sym_integer_literal] = ACTIONS(1609),
    [sym_floating_point_literal] = ACTIONS(1611),
    [anon_sym_true] = ACTIONS(1613),
    [anon_sym_false] = ACTIONS(1613),
    [sym_character_literal] = ACTIONS(1611),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1617),
    [sym__simple_string] = ACTIONS(1617),
  },
  [2412] = {
    [sym_type_parameters] = STATE(19361),
    [sym_inline_modifier] = STATE(2487),
    [sym_block] = STATE(6011),
    [sym_expression] = STATE(12409),
    [sym__simple_expression] = STATE(5280),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17505),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(8857),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4759),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(6823),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(2412),
    [sym_block_comment] = STATE(2412),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_while] = ACTIONS(1439),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1443),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1445),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1449),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1451),
    [anon_sym_throw] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [2413] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9077),
    [sym_expression] = STATE(17232),
    [sym__simple_expression] = STATE(5612),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18357),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(4926),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(7393),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2413),
    [sym_block_comment] = STATE(2413),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(1315),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [2414] = {
    [sym_type_parameters] = STATE(19151),
    [sym_inline_modifier] = STATE(2457),
    [sym_block] = STATE(6011),
    [sym_expression] = STATE(12409),
    [sym__simple_expression] = STATE(5655),
    [sym_lambda_expression] = STATE(12310),
    [sym_if_expression] = STATE(12310),
    [sym_match_expression] = STATE(12310),
    [sym_try_expression] = STATE(12310),
    [sym_bindings] = STATE(17577),
    [sym_case_block] = STATE(6011),
    [sym_assignment_expression] = STATE(12310),
    [sym_generic_function] = STATE(6011),
    [sym_call_expression] = STATE(6011),
    [sym_field_expression] = STATE(6011),
    [sym_instance_expression] = STATE(6011),
    [sym_ascription_expression] = STATE(12310),
    [sym_infix_expression] = STATE(7348),
    [sym_postfix_expression] = STATE(11985),
    [sym__postfix_expression_choice] = STATE(19334),
    [sym_macro_body] = STATE(12310),
    [sym_prefix_expression] = STATE(9915),
    [sym_tuple_expression] = STATE(6011),
    [sym_parenthesized_expression] = STATE(6011),
    [sym_splice_expression] = STATE(6011),
    [sym_quote_expression] = STATE(6011),
    [sym_identifier] = STATE(4803),
    [sym__soft_identifier] = STATE(4780),
    [sym_wildcard] = STATE(7495),
    [sym__non_null_literal] = STATE(6011),
    [sym_boolean_literal] = STATE(6235),
    [sym_interpolated_string_expression] = STATE(6011),
    [sym_string] = STATE(6235),
    [sym_unit] = STATE(6011),
    [sym_return_expression] = STATE(12310),
    [sym_throw_expression] = STATE(12310),
    [sym_while_expression] = STATE(12310),
    [sym_do_while_expression] = STATE(12310),
    [sym_for_expression] = STATE(12310),
    [sym_comment] = STATE(2414),
    [sym_block_comment] = STATE(2414),
    [sym__alpha_identifier] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_end] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_try] = ACTIONS(1483),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_opaque] = ACTIONS(1049),
    [anon_sym_implicit] = ACTIONS(1485),
    [anon_sym_inline] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_transparent] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_macro] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [sym__backquoted_id] = ACTIONS(1061),
    [sym_operator_identifier] = ACTIONS(1487),
    [sym_integer_literal] = ACTIONS(1065),
    [sym_floating_point_literal] = ACTIONS(1067),
    [anon_sym_true] = ACTIONS(1069),
    [anon_sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_throw] = ACTIONS(1491),
    [anon_sym_do] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1073),
    [sym__simple_string] = ACTIONS(1073),
  },
  [2415] = {
    [sym_type_parameters] = STATE(19368),
    [sym_inline_modifier] = STATE(2488),
    [sym_block] = STATE(7275),
    [sym_expression] = STATE(13345),
    [sym__simple_expression] = STATE(6230),
    [sym_lambda_expression] = STATE(13582),
    [sym_if_expression] = STATE(13582),
    [sym_match_expression] = STATE(13582),
    [sym_try_expression] = STATE(13582),
    [sym_bindings] = STATE(17517),
    [sym_case_block] = STATE(7275),
    [sym_assignment_expression] = STATE(13582),
    [sym_generic_function] = STATE(7275),
    [sym_call_expression] = STATE(7275),
    [sym_field_expression] = STATE(7275),
    [sym_instance_expression] = STATE(7275),
    [sym_ascription_expression] = STATE(13582),
    [sym_infix_expression] = STATE(9308),
    [sym_postfix_expression] = STATE(12706),
    [sym__postfix_expression_choice] = STATE(19557),
    [sym_macro_body] = STATE(13582),
    [sym_prefix_expression] = STATE(9981),
    [sym_tuple_expression] = STATE(7275),
    [sym_parenthesized_expression] = STATE(7275),
    [sym_splice_expression] = STATE(7275),
    [sym_quote_expression] = STATE(7275),
    [sym_identifier] = STATE(5282),
    [sym__soft_identifier] = STATE(5039),
    [sym_wildcard] = STATE(8608),
    [sym__non_null_literal] = STATE(7275),
    [sym_boolean_literal] = STATE(7784),
    [sym_interpolated_string_expression] = STATE(7275),
    [sym_string] = STATE(7784),
    [sym_unit] = STATE(7275),
    [sym_return_expression] = STATE(13582),
    [sym_throw_expression] = STATE(13582),
    [sym_while_expression] = STATE(13582),
    [sym_do_while_expression] = STATE(13582),
    [sym_for_expression] = STATE(13582),
    [sym_comment] = STATE(2415),
    [sym_block_comment] = STATE(2415),
    [sym__alpha_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym__] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_end] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2033),
    [anon_sym_for] = ACTIONS(2035),
    [anon_sym_try] = ACTIONS(2037),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_opaque] = ACTIONS(1157),
    [anon_sym_implicit] = ACTIONS(2039),
    [anon_sym_inline] = ACTIONS(1161),
    [anon_sym_infix] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_transparent] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_macro] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [sym__backquoted_id] = ACTIONS(1169),
    [sym_operator_identifier] = ACTIONS(2043),
    [sym_integer_literal] = ACTIONS(1173),
    [sym_floating_point_literal] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2047),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1181),
    [sym__simple_string] = ACTIONS(1181),
  },
  [2416] = {
    [sym_type_parameters] = STATE(19193),
    [sym_inline_modifier] = STATE(2462),
    [sym_block] = STATE(7344),
    [sym_expression] = STATE(13316),
    [sym__simple_expression] = STATE(6717),
    [sym_lambda_expression] = STATE(13934),
    [sym_if_expression] = STATE(13934),
    [sym_match_expression] = STATE(13934),
    [sym_try_expression] = STATE(13934),
    [sym_bindings] = STATE(17709),
    [sym_case_block] = STATE(7344),
    [sym_assignment_expression] = STATE(13934),
    [sym_generic_function] = STATE(7344),
    [sym_call_expression] = STATE(7344),
    [sym_field_expression] = STATE(7344),
    [sym_instance_expression] = STATE(7344),
    [sym_ascription_expression] = STATE(13934),
    [sym_infix_expression] = STATE(9417),
    [sym_postfix_expression] = STATE(13177),
    [sym__postfix_expression_choice] = STATE(17829),
    [sym_macro_body] = STATE(13934),
    [sym_prefix_expression] = STATE(10599),
    [sym_tuple_expression] = STATE(7344),
    [sym_parenthesized_expression] = STATE(7344),
    [sym_splice_expression] = STATE(7344),
    [sym_quote_expression] = STATE(7344),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(5058),
    [sym_wildcard] = STATE(8740),
    [sym__non_null_literal] = STATE(7344),
    [sym_boolean_literal] = STATE(7079),
    [sym_interpolated_string_expression] = STATE(7344),
    [sym_string] = STATE(7079),
    [sym_unit] = STATE(7344),
    [sym_return_expression] = STATE(13934),
    [sym_throw_expression] = STATE(13934),
    [sym_while_expression] = STATE(13934),
    [sym_do_while_expression] = STATE(13934),
    [sym_for_expression] = STATE(13934),
    [sym_comment] = STATE(2416),
    [sym_block_comment] = STATE(2416),
    [sym__alpha_identifier] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym__] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(2305),
    [anon_sym_for] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_new] = ACTIONS(1267),
    [anon_sym_opaque] = ACTIONS(1265),
    [anon_sym_implicit] = ACTIONS(2311),
    [anon_sym_inline] = ACTIONS(1269),
    [anon_sym_infix] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_transparent] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_macro] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [sym__backquoted_id] = ACTIONS(1277),
    [sym_operator_identifier] = ACTIONS(2313),
    [sym_integer_literal] = ACTIONS(1281),
    [sym_floating_point_literal] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_throw] = ACTIONS(2317),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1289),
    [sym__simple_string] = ACTIONS(1289),
  },
  [2417] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15342),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2417),
    [sym_block_comment] = STATE(2417),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2418] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(6526),
    [sym_expression] = STATE(16957),
    [sym__simple_expression] = STATE(4727),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(6526),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(6526),
    [sym_call_expression] = STATE(6526),
    [sym_field_expression] = STATE(6526),
    [sym_instance_expression] = STATE(6526),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18294),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_splice_expression] = STATE(6526),
    [sym_quote_expression] = STATE(6526),
    [sym_identifier] = STATE(4565),
    [sym__soft_identifier] = STATE(4812),
    [sym_wildcard] = STATE(5607),
    [sym__non_null_literal] = STATE(6526),
    [sym_boolean_literal] = STATE(6412),
    [sym_interpolated_string_expression] = STATE(6526),
    [sym_string] = STATE(6412),
    [sym_unit] = STATE(6526),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2418),
    [sym_block_comment] = STATE(2418),
    [sym__alpha_identifier] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym__] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1123),
    [anon_sym_opaque] = ACTIONS(1121),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1125),
    [anon_sym_infix] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_transparent] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1131),
    [sym__backquoted_id] = ACTIONS(1133),
    [sym_operator_identifier] = ACTIONS(1135),
    [sym_integer_literal] = ACTIONS(1137),
    [sym_floating_point_literal] = ACTIONS(1139),
    [anon_sym_true] = ACTIONS(1141),
    [anon_sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1145),
    [sym__simple_string] = ACTIONS(1145),
  },
  [2419] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(9077),
    [sym_expression] = STATE(17232),
    [sym__simple_expression] = STATE(5571),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(9077),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(9077),
    [sym_call_expression] = STATE(9077),
    [sym_field_expression] = STATE(9077),
    [sym_instance_expression] = STATE(9077),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(10284),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18357),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(9548),
    [sym_tuple_expression] = STATE(9077),
    [sym_parenthesized_expression] = STATE(9077),
    [sym_splice_expression] = STATE(9077),
    [sym_quote_expression] = STATE(9077),
    [sym_identifier] = STATE(4926),
    [sym__soft_identifier] = STATE(6135),
    [sym_wildcard] = STATE(7393),
    [sym__non_null_literal] = STATE(9077),
    [sym_boolean_literal] = STATE(9184),
    [sym_interpolated_string_expression] = STATE(9077),
    [sym_string] = STATE(9184),
    [sym_unit] = STATE(9077),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2419),
    [sym_block_comment] = STATE(2419),
    [sym__alpha_identifier] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(1303),
    [anon_sym_opaque] = ACTIONS(1301),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(1305),
    [anon_sym_infix] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_transparent] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(1299),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym__backquoted_id] = ACTIONS(1313),
    [sym_operator_identifier] = ACTIONS(1315),
    [sym_integer_literal] = ACTIONS(1317),
    [sym_floating_point_literal] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(1321),
    [anon_sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1325),
    [sym__simple_string] = ACTIONS(1325),
  },
  [2420] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15557),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2420),
    [sym_block_comment] = STATE(2420),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2421] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16314),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2421),
    [sym_block_comment] = STATE(2421),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4160),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2422] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15816),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2422),
    [sym_block_comment] = STATE(2422),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2423] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16396),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2423),
    [sym_block_comment] = STATE(2423),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4162),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2424] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15573),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2424),
    [sym_block_comment] = STATE(2424),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2425] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16972),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2425),
    [sym_block_comment] = STATE(2425),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2426] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15576),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2426),
    [sym_block_comment] = STATE(2426),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2427] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16314),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2427),
    [sym_block_comment] = STATE(2427),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4164),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2428] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15836),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2428),
    [sym_block_comment] = STATE(2428),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2429] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16396),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2429),
    [sym_block_comment] = STATE(2429),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4166),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2430] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15539),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2430),
    [sym_block_comment] = STATE(2430),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2431] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16972),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2431),
    [sym_block_comment] = STATE(2431),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2432] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15634),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2432),
    [sym_block_comment] = STATE(2432),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2433] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16431),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2433),
    [sym_block_comment] = STATE(2433),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4168),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2434] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15538),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2434),
    [sym_block_comment] = STATE(2434),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2435] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16489),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2435),
    [sym_block_comment] = STATE(2435),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4170),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2436] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15838),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2436),
    [sym_block_comment] = STATE(2436),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2437] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16431),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2437),
    [sym_block_comment] = STATE(2437),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4172),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2438] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15693),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2438),
    [sym_block_comment] = STATE(2438),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2439] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16431),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2439),
    [sym_block_comment] = STATE(2439),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4174),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2440] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15609),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2440),
    [sym_block_comment] = STATE(2440),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2441] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16489),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2441),
    [sym_block_comment] = STATE(2441),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4176),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2442] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15577),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2442),
    [sym_block_comment] = STATE(2442),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2443] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16501),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2443),
    [sym_block_comment] = STATE(2443),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4178),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2444] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15665),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2444),
    [sym_block_comment] = STATE(2444),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2445] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16514),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2445),
    [sym_block_comment] = STATE(2445),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4180),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2446] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15833),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2446),
    [sym_block_comment] = STATE(2446),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2447] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16465),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2447),
    [sym_block_comment] = STATE(2447),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2448] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15612),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2448),
    [sym_block_comment] = STATE(2448),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2449] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16524),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2449),
    [sym_block_comment] = STATE(2449),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4182),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2450] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15754),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2450),
    [sym_block_comment] = STATE(2450),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2451] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16501),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2451),
    [sym_block_comment] = STATE(2451),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4184),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2452] = {
    [sym_type_parameters] = STATE(19027),
    [sym_inline_modifier] = STATE(2427),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15639),
    [sym__simple_expression] = STATE(9871),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17575),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(8565),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(11053),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2452),
    [sym_block_comment] = STATE(2452),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2453] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16972),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2453),
    [sym_block_comment] = STATE(2453),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4186),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2454] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16536),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2454),
    [sym_block_comment] = STATE(2454),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4188),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2455] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16501),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2455),
    [sym_block_comment] = STATE(2455),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4190),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2456] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16972),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2456),
    [sym_block_comment] = STATE(2456),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(989),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2457] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16524),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2457),
    [sym_block_comment] = STATE(2457),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4192),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2458] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16536),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2458),
    [sym_block_comment] = STATE(2458),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4194),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2459] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16551),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2459),
    [sym_block_comment] = STATE(2459),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4196),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2460] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16563),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2460),
    [sym_block_comment] = STATE(2460),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4198),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2461] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16576),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2461),
    [sym_block_comment] = STATE(2461),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4200),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2462] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16551),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2462),
    [sym_block_comment] = STATE(2462),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4202),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2463] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16563),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2463),
    [sym_block_comment] = STATE(2463),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4204),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2464] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16465),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2464),
    [sym_block_comment] = STATE(2464),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4206),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2465] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16972),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2465),
    [sym_block_comment] = STATE(2465),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4208),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2466] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16396),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2466),
    [sym_block_comment] = STATE(2466),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4210),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2467] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16551),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2467),
    [sym_block_comment] = STATE(2467),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4212),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2468] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16563),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2468),
    [sym_block_comment] = STATE(2468),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4214),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2469] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16465),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2469),
    [sym_block_comment] = STATE(2469),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2470] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16589),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2470),
    [sym_block_comment] = STATE(2470),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4216),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2471] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16598),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2471),
    [sym_block_comment] = STATE(2471),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4218),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2472] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16611),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2472),
    [sym_block_comment] = STATE(2472),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4220),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2473] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16514),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2473),
    [sym_block_comment] = STATE(2473),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4222),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2474] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16396),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2474),
    [sym_block_comment] = STATE(2474),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4224),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2475] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16489),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2475),
    [sym_block_comment] = STATE(2475),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4226),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2476] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16611),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2476),
    [sym_block_comment] = STATE(2476),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4228),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2477] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16619),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2477),
    [sym_block_comment] = STATE(2477),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4230),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2478] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16619),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2478),
    [sym_block_comment] = STATE(2478),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4232),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2479] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16576),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2479),
    [sym_block_comment] = STATE(2479),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4234),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2480] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16489),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2480),
    [sym_block_comment] = STATE(2480),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4236),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2481] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16524),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2481),
    [sym_block_comment] = STATE(2481),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4238),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2482] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16536),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2482),
    [sym_block_comment] = STATE(2482),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4240),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2483] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16619),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2483),
    [sym_block_comment] = STATE(2483),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4242),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2484] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16629),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2484),
    [sym_block_comment] = STATE(2484),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4244),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2485] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16589),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2485),
    [sym_block_comment] = STATE(2485),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4246),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2486] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16598),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2486),
    [sym_block_comment] = STATE(2486),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4248),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2487] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16524),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2487),
    [sym_block_comment] = STATE(2487),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4250),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2488] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16536),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2488),
    [sym_block_comment] = STATE(2488),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4252),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2489] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(16611),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2489),
    [sym_block_comment] = STATE(2489),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(4254),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2490] = {
    [sym_type_parameters] = STATE(18997),
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(10214),
    [sym_expression] = STATE(15619),
    [sym__simple_expression] = STATE(8327),
    [sym_lambda_expression] = STATE(15104),
    [sym_if_expression] = STATE(15104),
    [sym_match_expression] = STATE(15104),
    [sym_try_expression] = STATE(15104),
    [sym_bindings] = STATE(17640),
    [sym_case_block] = STATE(10214),
    [sym_assignment_expression] = STATE(15104),
    [sym_generic_function] = STATE(10214),
    [sym_call_expression] = STATE(10214),
    [sym_field_expression] = STATE(10214),
    [sym_instance_expression] = STATE(10214),
    [sym_ascription_expression] = STATE(15104),
    [sym_infix_expression] = STATE(11000),
    [sym_postfix_expression] = STATE(14547),
    [sym__postfix_expression_choice] = STATE(18980),
    [sym_macro_body] = STATE(15104),
    [sym_prefix_expression] = STATE(11289),
    [sym_tuple_expression] = STATE(10214),
    [sym_parenthesized_expression] = STATE(10214),
    [sym_splice_expression] = STATE(10214),
    [sym_quote_expression] = STATE(10214),
    [sym_identifier] = STATE(5474),
    [sym__soft_identifier] = STATE(7389),
    [sym_wildcard] = STATE(8943),
    [sym__non_null_literal] = STATE(10214),
    [sym_boolean_literal] = STATE(8165),
    [sym_interpolated_string_expression] = STATE(10214),
    [sym_string] = STATE(8165),
    [sym_unit] = STATE(10214),
    [sym_return_expression] = STATE(15104),
    [sym_throw_expression] = STATE(15104),
    [sym_while_expression] = STATE(15104),
    [sym_do_while_expression] = STATE(15104),
    [sym_for_expression] = STATE(15104),
    [sym_comment] = STATE(2490),
    [sym_block_comment] = STATE(2490),
    [sym__alpha_identifier] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_end] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_new] = ACTIONS(723),
    [anon_sym_opaque] = ACTIONS(937),
    [anon_sym_implicit] = ACTIONS(725),
    [anon_sym_inline] = ACTIONS(2577),
    [anon_sym_infix] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_transparent] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_macro] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(735),
    [anon_sym_SQUOTE] = ACTIONS(737),
    [sym__backquoted_id] = ACTIONS(943),
    [sym_operator_identifier] = ACTIONS(945),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(751),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2491] = {
    [sym_comment] = STATE(2491),
    [sym_block_comment] = STATE(2491),
    [sym__alpha_identifier] = ACTIONS(4256),
    [anon_sym_COLON] = ACTIONS(4258),
    [anon_sym_LBRACE] = ACTIONS(4260),
    [anon_sym_RBRACE] = ACTIONS(4262),
    [anon_sym_case] = ACTIONS(4256),
    [anon_sym_COMMA] = ACTIONS(4262),
    [anon_sym_DOT] = ACTIONS(4258),
    [anon_sym_object] = ACTIONS(4256),
    [anon_sym__] = ACTIONS(4256),
    [anon_sym_given] = ACTIONS(4256),
    [anon_sym_EQ_GT] = ACTIONS(4258),
    [anon_sym_as] = ACTIONS(4258),
    [anon_sym_class] = ACTIONS(4256),
    [anon_sym_trait] = ACTIONS(4256),
    [anon_sym_LBRACK] = ACTIONS(4260),
    [anon_sym_PLUS] = ACTIONS(4256),
    [anon_sym_DASH] = ACTIONS(4256),
    [anon_sym_end] = ACTIONS(4256),
    [anon_sym_if] = ACTIONS(4256),
    [anon_sym_while] = ACTIONS(4256),
    [anon_sym_for] = ACTIONS(4256),
    [anon_sym_match] = ACTIONS(4258),
    [anon_sym_try] = ACTIONS(4256),
    [anon_sym_new] = ACTIONS(4256),
    [anon_sym_val] = ACTIONS(4256),
    [anon_sym_AT] = ACTIONS(4258),
    [anon_sym_EQ] = ACTIONS(4258),
    [anon_sym_var] = ACTIONS(4256),
    [anon_sym_type] = ACTIONS(4256),
    [anon_sym_def] = ACTIONS(4256),
    [anon_sym_opaque] = ACTIONS(4256),
    [anon_sym_with] = ACTIONS(4258),
    [anon_sym_abstract] = ACTIONS(4256),
    [anon_sym_final] = ACTIONS(4256),
    [anon_sym_sealed] = ACTIONS(4256),
    [anon_sym_implicit] = ACTIONS(4256),
    [anon_sym_lazy] = ACTIONS(4256),
    [anon_sym_override] = ACTIONS(4256),
    [anon_sym_private] = ACTIONS(4256),
    [anon_sym_protected] = ACTIONS(4256),
    [anon_sym_inline] = ACTIONS(4256),
    [anon_sym_infix] = ACTIONS(4256),
    [anon_sym_open] = ACTIONS(4256),
    [anon_sym_transparent] = ACTIONS(4256),
    [anon_sym_LPAREN] = ACTIONS(4260),
    [anon_sym_SEMI] = ACTIONS(4262),
    [anon_sym_POUND] = ACTIONS(4258),
    [anon_sym_QMARK_EQ_GT] = ACTIONS(4258),
    [anon_sym_macro] = ACTIONS(4256),
    [anon_sym_BANG] = ACTIONS(4256),
    [anon_sym_TILDE] = ACTIONS(4256),
    [anon_sym_DOLLAR] = ACTIONS(4256),
    [anon_sym_SQUOTE] = ACTIONS(4256),
    [sym__backquoted_id] = ACTIONS(4260),
    [sym_operator_identifier] = ACTIONS(4256),
    [sym_integer_literal] = ACTIONS(4256),
    [sym_floating_point_literal] = ACTIONS(4260),
    [anon_sym_true] = ACTIONS(4256),
    [anon_sym_false] = ACTIONS(4256),
    [sym_character_literal] = ACTIONS(4260),
    [anon_sym_DQUOTE] = ACTIONS(4258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4262),
    [sym_null_literal] = ACTIONS(4256),
    [anon_sym_return] = ACTIONS(4256),
    [anon_sym_throw] = ACTIONS(4256),
    [anon_sym_do] = ACTIONS(4256),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(4262),
    [sym__simple_multiline_string] = ACTIONS(4260),
    [sym__simple_string] = ACTIONS(4260),
  },
  [2492] = {
    [sym_comment] = STATE(2492),
    [sym_block_comment] = STATE(2492),
    [sym__alpha_identifier] = ACTIONS(4256),
    [anon_sym_COLON] = ACTIONS(4258),
    [anon_sym_LBRACE] = ACTIONS(4260),
    [anon_sym_RBRACE] = ACTIONS(4262),
    [anon_sym_case] = ACTIONS(4256),
    [anon_sym_DOT] = ACTIONS(4258),
    [anon_sym_object] = ACTIONS(4256),
    [anon_sym__] = ACTIONS(4256),
    [anon_sym_given] = ACTIONS(4256),
    [anon_sym_EQ_GT] = ACTIONS(4258),
    [anon_sym_class] = ACTIONS(4256),
    [anon_sym_trait] = ACTIONS(4256),
    [anon_sym_LBRACK] = ACTIONS(4260),
    [anon_sym_PLUS] = ACTIONS(4256),
    [anon_sym_DASH] = ACTIONS(4256),
    [anon_sym_end] = ACTIONS(4256),
    [anon_sym_if] = ACTIONS(4256),
    [anon_sym_while] = ACTIONS(4256),
    [anon_sym_for] = ACTIONS(4256),
    [anon_sym_match] = ACTIONS(4258),
    [anon_sym_try] = ACTIONS(4256),
    [anon_sym_new] = ACTIONS(4256),
    [anon_sym_val] = ACTIONS(4256),
    [anon_sym_EQ] = ACTIONS(4258),
    [anon_sym_var] = ACTIONS(4256),
    [anon_sym_type] = ACTIONS(4256),
    [anon_sym_def] = ACTIONS(4256),
    [anon_sym_opaque] = ACTIONS(4256),
    [anon_sym_abstract] = ACTIONS(4256),
    [anon_sym_final] = ACTIONS(4256),
    [anon_sym_sealed] = ACTIONS(4256),
    [anon_sym_implicit] = ACTIONS(4256),
    [anon_sym_lazy] = ACTIONS(4256),
    [anon_sym_override] = ACTIONS(4256),
    [anon_sym_private] = ACTIONS(4256),
    [anon_sym_protected] = ACTIONS(4256),
    [anon_sym_inline] = ACTIONS(4256),
    [anon_sym_infix] = ACTIONS(4256),
    [anon_sym_open] = ACTIONS(4256),
    [anon_sym_transparent] = ACTIONS(4256),
    [anon_sym_LPAREN] = ACTIONS(4260),
    [anon_sym_RPAREN] = ACTIONS(4262),
    [anon_sym_SEMI] = ACTIONS(4262),
    [anon_sym_QMARK_EQ_GT] = ACTIONS(4258),
    [anon_sym_macro] = ACTIONS(4256),
    [anon_sym_BANG] = ACTIONS(4256),
    [anon_sym_TILDE] = ACTIONS(4256),
    [anon_sym_DOLLAR] = ACTIONS(4256),
    [anon_sym_SQUOTE] = ACTIONS(4256),
    [sym__backquoted_id] = ACTIONS(4260),
    [sym_operator_identifier] = ACTIONS(4256),
    [sym_integer_literal] = ACTIONS(4256),
    [sym_floating_point_literal] = ACTIONS(4260),
    [anon_sym_true] = ACTIONS(4256),
    [anon_sym_false] = ACTIONS(4256),
    [sym_character_literal] = ACTIONS(4260),
    [anon_sym_DQUOTE] = ACTIONS(4258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4262),
    [sym_null_literal] = ACTIONS(4256),
    [anon_sym_return] = ACTIONS(4256),
    [anon_sym_throw] = ACTIONS(4256),
    [anon_sym_do] = ACTIONS(4256),
    [anon_sym_yield] = ACTIONS(4258),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(4262),
    [sym__simple_multiline_string] = ACTIONS(4260),
    [sym__simple_string] = ACTIONS(4260),
  },
  [2493] = {
    [sym_comment] = STATE(2493),
    [sym_block_comment] = STATE(2493),
    [ts_builtin_sym_end] = ACTIONS(4262),
    [sym__alpha_identifier] = ACTIONS(4256),
    [anon_sym_COLON] = ACTIONS(4258),
    [anon_sym_LBRACE] = ACTIONS(4260),
    [anon_sym_case] = ACTIONS(4256),
    [anon_sym_DOT] = ACTIONS(4258),
    [anon_sym_object] = ACTIONS(4256),
    [anon_sym__] = ACTIONS(4256),
    [anon_sym_given] = ACTIONS(4256),
    [anon_sym_EQ_GT] = ACTIONS(4258),
    [anon_sym_class] = ACTIONS(4256),
    [anon_sym_trait] = ACTIONS(4256),
    [anon_sym_LBRACK] = ACTIONS(4260),
    [anon_sym_PLUS] = ACTIONS(4256),
    [anon_sym_DASH] = ACTIONS(4256),
    [anon_sym_end] = ACTIONS(4256),
    [anon_sym_if] = ACTIONS(4256),
    [anon_sym_while] = ACTIONS(4256),
    [anon_sym_for] = ACTIONS(4256),
    [anon_sym_match] = ACTIONS(4258),
    [anon_sym_try] = ACTIONS(4256),
    [anon_sym_new] = ACTIONS(4256),
    [anon_sym_val] = ACTIONS(4256),
    [anon_sym_EQ] = ACTIONS(4258),
    [anon_sym_var] = ACTIONS(4256),
    [anon_sym_type] = ACTIONS(4256),
    [anon_sym_def] = ACTIONS(4256),
    [anon_sym_opaque] = ACTIONS(4256),
    [anon_sym_abstract] = ACTIONS(4256),
    [anon_sym_final] = ACTIONS(4256),
    [anon_sym_sealed] = ACTIONS(4256),
    [anon_sym_implicit] = ACTIONS(4256),
    [anon_sym_lazy] = ACTIONS(4256),
    [anon_sym_override] = ACTIONS(4256),
    [anon_sym_private] = ACTIONS(4256),
    [anon_sym_protected] = ACTIONS(4256),
    [anon_sym_inline] = ACTIONS(4256),
    [anon_sym_infix] = ACTIONS(4256),
    [anon_sym_open] = ACTIONS(4256),
    [anon_sym_transparent] = ACTIONS(4256),
    [anon_sym_LPAREN] = ACTIONS(4260),
    [anon_sym_SEMI] = ACTIONS(4262),
    [anon_sym_QMARK_EQ_GT] = ACTIONS(4258),
    [anon_sym_macro] = ACTIONS(4256),
    [anon_sym_BANG] = ACTIONS(4256),
    [anon_sym_TILDE] = ACTIONS(4256),
    [anon_sym_DOLLAR] = ACTIONS(4256),
    [anon_sym_SQUOTE] = ACTIONS(4256),
    [sym__backquoted_id] = ACTIONS(4260),
    [sym_operator_identifier] = ACTIONS(4256),
    [sym_integer_literal] = ACTIONS(4256),
    [sym_floating_point_literal] = ACTIONS(4260),
    [anon_sym_true] = ACTIONS(4256),
    [anon_sym_false] = ACTIONS(4256),
    [sym_character_literal] = ACTIONS(4260),
    [anon_sym_DQUOTE] = ACTIONS(4258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4262),
    [sym_null_literal] = ACTIONS(4256),
    [anon_sym_return] = ACTIONS(4256),
    [anon_sym_throw] = ACTIONS(4256),
    [anon_sym_do] = ACTIONS(4256),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(4262),
    [sym__simple_multiline_string] = ACTIONS(4260),
    [sym__simple_string] = ACTIONS(4260),
  },
  [2494] = {
    [sym_comment] = STATE(2494),
    [sym_block_comment] = STATE(2494),
    [sym__alpha_identifier] = ACTIONS(4256),
    [anon_sym_COLON] = ACTIONS(4258),
    [anon_sym_LBRACE] = ACTIONS(4260),
    [anon_sym_case] = ACTIONS(4256),
    [anon_sym_DOT] = ACTIONS(4258),
    [anon_sym_object] = ACTIONS(4256),
    [anon_sym__] = ACTIONS(4256),
    [anon_sym_given] = ACTIONS(4256),
    [anon_sym_EQ_GT] = ACTIONS(4258),
    [anon_sym_class] = ACTIONS(4256),
    [anon_sym_trait] = ACTIONS(4256),
    [anon_sym_LBRACK] = ACTIONS(4260),
    [anon_sym_PLUS] = ACTIONS(4256),
    [anon_sym_DASH] = ACTIONS(4256),
    [anon_sym_end] = ACTIONS(4256),
    [anon_sym_if] = ACTIONS(4256),
    [anon_sym_while] = ACTIONS(4256),
    [anon_sym_for] = ACTIONS(4256),
    [anon_sym_match] = ACTIONS(4258),
    [anon_sym_try] = ACTIONS(4256),
    [anon_sym_new] = ACTIONS(4256),
    [anon_sym_val] = ACTIONS(4256),
    [anon_sym_EQ] = ACTIONS(4258),
    [anon_sym_var] = ACTIONS(4256),
    [anon_sym_type] = ACTIONS(4256),
    [anon_sym_def] = ACTIONS(4256),
    [anon_sym_opaque] = ACTIONS(4256),
    [anon_sym_abstract] = ACTIONS(4256),
    [anon_sym_final] = ACTIONS(4256),
    [anon_sym_sealed] = ACTIONS(4256),
    [anon_sym_implicit] = ACTIONS(4256),
    [anon_sym_lazy] = ACTIONS(4256),
    [anon_sym_override] = ACTIONS(4256),
    [anon_sym_private] = ACTIONS(4256),
    [anon_sym_protected] = ACTIONS(4256),
    [anon_sym_inline] = ACTIONS(4256),
    [anon_sym_infix] = ACTIONS(4256),
    [anon_sym_open] = ACTIONS(4256),
    [anon_sym_transparent] = ACTIONS(4256),
    [anon_sym_LPAREN] = ACTIONS(4260),
    [anon_sym_SEMI] = ACTIONS(4262),
    [anon_sym_QMARK_EQ_GT] = ACTIONS(4258),
    [anon_sym_macro] = ACTIONS(4256),
    [anon_sym_BANG] = ACTIONS(4256),
    [anon_sym_TILDE] = ACTIONS(4256),
    [anon_sym_DOLLAR] = ACTIONS(4256),
    [anon_sym_SQUOTE] = ACTIONS(4256),
    [sym__backquoted_id] = ACTIONS(4260),
    [sym_operator_identifier] = ACTIONS(4256),
    [sym_integer_literal] = ACTIONS(4256),
    [sym_floating_point_literal] = ACTIONS(4260),
    [anon_sym_true] = ACTIONS(4256),
    [anon_sym_false] = ACTIONS(4256),
    [sym_character_literal] = ACTIONS(4260),
    [anon_sym_DQUOTE] = ACTIONS(4258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4262),
    [sym_null_literal] = ACTIONS(4256),
    [anon_sym_return] = ACTIONS(4256),
    [anon_sym_throw] = ACTIONS(4256),
    [anon_sym_do] = ACTIONS(4256),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(4262),
    [sym__outdent] = ACTIONS(4262),
    [sym__simple_multiline_string] = ACTIONS(4260),
    [sym__simple_string] = ACTIONS(4260),
  },
  [2495] = {
    [sym_type_parameters] = STATE(16550),
    [sym_template_body] = STATE(12267),
    [sym__indented_template_body] = STATE(12449),
    [sym__braced_template_body] = STATE(12449),
    [sym_annotation] = STATE(15072),
    [sym_indented_block] = STATE(10325),
    [sym_indented_cases] = STATE(10325),
    [sym__type] = STATE(14907),
    [sym__annotated_type] = STATE(5524),
    [sym_annotated_type] = STATE(9116),
    [sym__simple_type] = STATE(5743),
    [sym_compound_type] = STATE(10560),
    [sym__structural_type] = STATE(12230),
    [sym__infix_type_choice] = STATE(13348),
    [sym_infix_type] = STATE(10560),
    [sym_tuple_type] = STATE(6506),
    [sym_named_tuple_type] = STATE(6506),
    [sym_singleton_type] = STATE(6506),
    [sym_stable_type_identifier] = STATE(6506),
    [sym_stable_identifier] = STATE(18445),
    [sym_generic_type] = STATE(6506),
    [sym_projected_type] = STATE(6506),
    [sym_match_type] = STATE(12230),
    [sym_function_type] = STATE(12230),
    [sym_parameter_types] = STATE(16565),
    [sym_lazy_parameter_type] = STATE(15072),
    [sym_repeated_parameter_type] = STATE(15072),
    [sym__type_identifier] = STATE(6506),
    [sym_type_lambda] = STATE(12230),
    [sym_bindings] = STATE(19324),
    [sym_colon_argument] = STATE(10334),
    [sym_identifier] = STATE(10742),
    [sym__soft_identifier] = STATE(5232),
    [sym_wildcard] = STATE(10981),
    [sym__non_null_literal] = STATE(11219),
    [sym_literal_type] = STATE(11284),
    [sym_boolean_literal] = STATE(9436),
    [sym_string] = STATE(9436),
    [sym_comment] = STATE(2495),
    [sym_block_comment] = STATE(2495),
    [sym__alpha_identifier] = ACTIONS(699),
    [anon_sym_COLON] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(4264),
    [anon_sym__] = ACTIONS(705),
    [anon_sym_EQ_GT] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_end] = ACTIONS(713),
    [anon_sym_AT] = ACTIONS(4266),
    [anon_sym_opaque] = ACTIONS(713),
    [anon_sym_inline] = ACTIONS(713),
    [anon_sym_infix] = ACTIONS(713),
    [anon_sym_open] = ACTIONS(713),
    [anon_sym_transparent] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(4268),
    [sym__backquoted_id] = ACTIONS(739),
    [sym_operator_identifier] = ACTIONS(4270),
    [sym_integer_literal] = ACTIONS(743),
    [sym_floating_point_literal] = ACTIONS(745),
    [anon_sym_true] = ACTIONS(747),
    [anon_sym_false] = ACTIONS(747),
    [sym_character_literal] = ACTIONS(745),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4272),
    [sym__simple_multiline_string] = ACTIONS(757),
    [sym__simple_string] = ACTIONS(757),
  },
  [2496] = {
    [sym_type_parameters] = STATE(16825),
    [sym_template_body] = STATE(13574),
    [sym__indented_template_body] = STATE(13166),
    [sym__braced_template_body] = STATE(13166),
    [sym_annotation] = STATE(13905),
    [sym_indented_block] = STATE(7371),
    [sym_indented_cases] = STATE(7371),
    [sym__type] = STATE(13328),
    [sym__annotated_type] = STATE(4740),
    [sym_annotated_type] = STATE(6465),
    [sym__simple_type] = STATE(4788),
    [sym_compound_type] = STATE(8699),
    [sym__structural_type] = STATE(13305),
    [sym__infix_type_choice] = STATE(13500),
    [sym_infix_type] = STATE(8699),
    [sym_tuple_type] = STATE(5026),
    [sym_named_tuple_type] = STATE(5026),
    [sym_singleton_type] = STATE(5026),
    [sym_stable_type_identifier] = STATE(5026),
    [sym_stable_identifier] = STATE(18661),
    [sym_generic_type] = STATE(5026),
    [sym_projected_type] = STATE(5026),
    [sym_match_type] = STATE(13305),
    [sym_function_type] = STATE(13305),
    [sym_parameter_types] = STATE(16828),
    [sym_lazy_parameter_type] = STATE(13905),
    [sym_repeated_parameter_type] = STATE(13905),
    [sym__type_identifier] = STATE(5026),
    [sym_type_lambda] = STATE(13305),
    [sym_bindings] = STATE(18575),
    [sym_colon_argument] = STATE(7372),
    [sym_identifier] = STATE(5259),
    [sym__soft_identifier] = STATE(4817),
    [sym_wildcard] = STATE(5603),
    [sym__non_null_literal] = STATE(10347),
    [sym_literal_type] = STATE(10107),
    [sym_boolean_literal] = STATE(10203),
    [sym_string] = STATE(10203),
    [sym_comment] = STATE(2496),
    [sym_block_comment] = STATE(2496),
    [sym__alpha_identifier] = ACTIONS(4274),
    [anon_sym_COLON] = ACTIONS(4276),
    [anon_sym_LBRACE] = ACTIONS(4278),
    [anon_sym__] = ACTIONS(4280),
    [anon_sym_EQ_GT] = ACTIONS(4282),
    [anon_sym_LBRACK] = ACTIONS(4284),
    [anon_sym_end] = ACTIONS(4286),
    [anon_sym_AT] = ACTIONS(4288),
    [anon_sym_opaque] = ACTIONS(4286),
    [anon_sym_inline] = ACTIONS(4286),
    [anon_sym_infix] = ACTIONS(4286),
    [anon_sym_open] = ACTIONS(4286),
    [anon_sym_transparent] = ACTIONS(4286),
    [anon_sym_LPAREN] = ACTIONS(4290),
    [sym__backquoted_id] = ACTIONS(4292),
    [sym_operator_identifier] = ACTIONS(4294),
    [sym_integer_literal] = ACTIONS(4296),
    [sym_floating_point_literal] = ACTIONS(4298),
    [anon_sym_true] = ACTIONS(4300),
    [anon_sym_false] = ACTIONS(4300),
    [sym_character_literal] = ACTIONS(4298),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4302),
    [sym__simple_multiline_string] = ACTIONS(4304),
    [sym__simple_string] = ACTIONS(4304),
  },
  [2497] = {
    [sym_type_parameters] = STATE(16761),
    [sym_template_body] = STATE(13098),
    [sym__indented_template_body] = STATE(13083),
    [sym__braced_template_body] = STATE(13083),
    [sym_annotation] = STATE(13167),
    [sym_indented_block] = STATE(10689),
    [sym_indented_cases] = STATE(10689),
    [sym__type] = STATE(12605),
    [sym__annotated_type] = STATE(6853),
    [sym_annotated_type] = STATE(10152),
    [sym__simple_type] = STATE(7017),
    [sym_compound_type] = STATE(11239),
    [sym__structural_type] = STATE(12836),
    [sym__infix_type_choice] = STATE(13482),
    [sym_infix_type] = STATE(11239),
    [sym_tuple_type] = STATE(8054),
    [sym_named_tuple_type] = STATE(8054),
    [sym_singleton_type] = STATE(8054),
    [sym_stable_type_identifier] = STATE(8054),
    [sym_stable_identifier] = STATE(18625),
    [sym_generic_type] = STATE(8054),
    [sym_projected_type] = STATE(8054),
    [sym_match_type] = STATE(12836),
    [sym_function_type] = STATE(12836),
    [sym_parameter_types] = STATE(16766),
    [sym_lazy_parameter_type] = STATE(13167),
    [sym_repeated_parameter_type] = STATE(13167),
    [sym__type_identifier] = STATE(8054),
    [sym_type_lambda] = STATE(12836),
    [sym_bindings] = STATE(17868),
    [sym_colon_argument] = STATE(10691),
    [sym_identifier] = STATE(7981),
    [sym__soft_identifier] = STATE(7164),
    [sym_wildcard] = STATE(8848),
    [sym__non_null_literal] = STATE(11747),
    [sym_literal_type] = STATE(11664),
    [sym_boolean_literal] = STATE(11612),
    [sym_string] = STATE(11612),
    [sym_comment] = STATE(2497),
    [sym_block_comment] = STATE(2497),
    [sym__alpha_identifier] = ACTIONS(4306),
    [anon_sym_COLON] = ACTIONS(4308),
    [anon_sym_LBRACE] = ACTIONS(4310),
    [anon_sym__] = ACTIONS(4312),
    [anon_sym_EQ_GT] = ACTIONS(4314),
    [anon_sym_LBRACK] = ACTIONS(4316),
    [anon_sym_end] = ACTIONS(4318),
    [anon_sym_AT] = ACTIONS(4320),
    [anon_sym_opaque] = ACTIONS(4318),
    [anon_sym_inline] = ACTIONS(4318),
    [anon_sym_infix] = ACTIONS(4318),
    [anon_sym_open] = ACTIONS(4318),
    [anon_sym_transparent] = ACTIONS(4318),
    [anon_sym_LPAREN] = ACTIONS(4322),
    [sym__backquoted_id] = ACTIONS(4324),
    [sym_operator_identifier] = ACTIONS(4326),
    [sym_integer_literal] = ACTIONS(4328),
    [sym_floating_point_literal] = ACTIONS(4330),
    [anon_sym_true] = ACTIONS(4332),
    [anon_sym_false] = ACTIONS(4332),
    [sym_character_literal] = ACTIONS(4330),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4334),
    [sym__simple_multiline_string] = ACTIONS(4336),
    [sym__simple_string] = ACTIONS(4336),
  },
  [2498] = {
    [sym_type_parameters] = STATE(15956),
    [sym_template_body] = STATE(14223),
    [sym__indented_template_body] = STATE(14322),
    [sym__braced_template_body] = STATE(14322),
    [sym_annotation] = STATE(14552),
    [sym_indented_block] = STATE(9085),
    [sym_indented_cases] = STATE(9085),
    [sym__type] = STATE(14085),
    [sym__annotated_type] = STATE(5247),
    [sym_annotated_type] = STATE(8606),
    [sym__simple_type] = STATE(5208),
    [sym_compound_type] = STATE(9965),
    [sym__structural_type] = STATE(14100),
    [sym__infix_type_choice] = STATE(13426),
    [sym_infix_type] = STATE(9965),
    [sym_tuple_type] = STATE(5873),
    [sym_named_tuple_type] = STATE(5873),
    [sym_singleton_type] = STATE(5873),
    [sym_stable_type_identifier] = STATE(5873),
    [sym_stable_identifier] = STATE(18098),
    [sym_generic_type] = STATE(5873),
    [sym_projected_type] = STATE(5873),
    [sym_match_type] = STATE(14100),
    [sym_function_type] = STATE(14100),
    [sym_parameter_types] = STATE(15970),
    [sym_lazy_parameter_type] = STATE(14552),
    [sym_repeated_parameter_type] = STATE(14552),
    [sym__type_identifier] = STATE(5873),
    [sym_type_lambda] = STATE(14100),
    [sym_bindings] = STATE(19250),
    [sym_colon_argument] = STATE(9087),
    [sym_identifier] = STATE(5818),
    [sym__soft_identifier] = STATE(5377),
    [sym_wildcard] = STATE(6676),
    [sym__non_null_literal] = STATE(10892),
    [sym_literal_type] = STATE(10766),
    [sym_boolean_literal] = STATE(11102),
    [sym_string] = STATE(11102),
    [sym_comment] = STATE(2498),
    [sym_block_comment] = STATE(2498),
    [sym__alpha_identifier] = ACTIONS(4338),
    [anon_sym_COLON] = ACTIONS(4340),
    [anon_sym_LBRACE] = ACTIONS(4342),
    [anon_sym__] = ACTIONS(4344),
    [anon_sym_EQ_GT] = ACTIONS(4346),
    [anon_sym_LBRACK] = ACTIONS(4348),
    [anon_sym_end] = ACTIONS(4350),
    [anon_sym_AT] = ACTIONS(4352),
    [anon_sym_opaque] = ACTIONS(4350),
    [anon_sym_inline] = ACTIONS(4350),
    [anon_sym_infix] = ACTIONS(4350),
    [anon_sym_open] = ACTIONS(4350),
    [anon_sym_transparent] = ACTIONS(4350),
    [anon_sym_LPAREN] = ACTIONS(4354),
    [sym__backquoted_id] = ACTIONS(4356),
    [sym_operator_identifier] = ACTIONS(4358),
    [sym_integer_literal] = ACTIONS(4360),
    [sym_floating_point_literal] = ACTIONS(4362),
    [anon_sym_true] = ACTIONS(4364),
    [anon_sym_false] = ACTIONS(4364),
    [sym_character_literal] = ACTIONS(4362),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4366),
    [sym__simple_multiline_string] = ACTIONS(4368),
    [sym__simple_string] = ACTIONS(4368),
  },
  [2499] = {
    [sym_type_parameters] = STATE(16432),
    [sym_template_body] = STATE(14091),
    [sym__indented_template_body] = STATE(14253),
    [sym__braced_template_body] = STATE(14253),
    [sym_annotation] = STATE(14528),
    [sym_indented_block] = STATE(9147),
    [sym_indented_cases] = STATE(9147),
    [sym__type] = STATE(14280),
    [sym__annotated_type] = STATE(5333),
    [sym_annotated_type] = STATE(7953),
    [sym__simple_type] = STATE(5008),
    [sym_compound_type] = STATE(9977),
    [sym__structural_type] = STATE(14350),
    [sym__infix_type_choice] = STATE(13453),
    [sym_infix_type] = STATE(9977),
    [sym_tuple_type] = STATE(5830),
    [sym_named_tuple_type] = STATE(5830),
    [sym_singleton_type] = STATE(5830),
    [sym_stable_type_identifier] = STATE(5830),
    [sym_stable_identifier] = STATE(18397),
    [sym_generic_type] = STATE(5830),
    [sym_projected_type] = STATE(5830),
    [sym_match_type] = STATE(14350),
    [sym_function_type] = STATE(14350),
    [sym_parameter_types] = STATE(16436),
    [sym_lazy_parameter_type] = STATE(14528),
    [sym_repeated_parameter_type] = STATE(14528),
    [sym__type_identifier] = STATE(5830),
    [sym_type_lambda] = STATE(14350),
    [sym_bindings] = STATE(18042),
    [sym_colon_argument] = STATE(9151),
    [sym_identifier] = STATE(6275),
    [sym__soft_identifier] = STATE(5425),
    [sym_wildcard] = STATE(6950),
    [sym__non_null_literal] = STATE(10930),
    [sym_literal_type] = STATE(10780),
    [sym_boolean_literal] = STATE(11066),
    [sym_string] = STATE(11066),
    [sym_comment] = STATE(2499),
    [sym_block_comment] = STATE(2499),
    [sym__alpha_identifier] = ACTIONS(4370),
    [anon_sym_COLON] = ACTIONS(4372),
    [anon_sym_LBRACE] = ACTIONS(4374),
    [anon_sym__] = ACTIONS(4376),
    [anon_sym_EQ_GT] = ACTIONS(4378),
    [anon_sym_LBRACK] = ACTIONS(4380),
    [anon_sym_end] = ACTIONS(4382),
    [anon_sym_AT] = ACTIONS(4384),
    [anon_sym_opaque] = ACTIONS(4382),
    [anon_sym_inline] = ACTIONS(4382),
    [anon_sym_infix] = ACTIONS(4382),
    [anon_sym_open] = ACTIONS(4382),
    [anon_sym_transparent] = ACTIONS(4382),
    [anon_sym_LPAREN] = ACTIONS(4386),
    [sym__backquoted_id] = ACTIONS(4388),
    [sym_operator_identifier] = ACTIONS(4390),
    [sym_integer_literal] = ACTIONS(4392),
    [sym_floating_point_literal] = ACTIONS(4394),
    [anon_sym_true] = ACTIONS(4396),
    [anon_sym_false] = ACTIONS(4396),
    [sym_character_literal] = ACTIONS(4394),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4398),
    [sym__simple_multiline_string] = ACTIONS(4400),
    [sym__simple_string] = ACTIONS(4400),
  },
  [2500] = {
    [sym_type_parameters] = STATE(16550),
    [sym_template_body] = STATE(12267),
    [sym__indented_template_body] = STATE(12449),
    [sym__braced_template_body] = STATE(12449),
    [sym_annotation] = STATE(15072),
    [sym_indented_block] = STATE(6425),
    [sym_indented_cases] = STATE(6425),
    [sym__type] = STATE(14907),
    [sym__annotated_type] = STATE(5524),
    [sym_annotated_type] = STATE(9116),
    [sym__simple_type] = STATE(5743),
    [sym_compound_type] = STATE(10560),
    [sym__structural_type] = STATE(12230),
    [sym__infix_type_choice] = STATE(13348),
    [sym_infix_type] = STATE(10560),
    [sym_tuple_type] = STATE(6506),
    [sym_named_tuple_type] = STATE(6506),
    [sym_singleton_type] = STATE(6506),
    [sym_stable_type_identifier] = STATE(6506),
    [sym_stable_identifier] = STATE(18445),
    [sym_generic_type] = STATE(6506),
    [sym_projected_type] = STATE(6506),
    [sym_match_type] = STATE(12230),
    [sym_function_type] = STATE(12230),
    [sym_parameter_types] = STATE(16565),
    [sym_lazy_parameter_type] = STATE(15072),
    [sym_repeated_parameter_type] = STATE(15072),
    [sym__type_identifier] = STATE(6506),
    [sym_type_lambda] = STATE(12230),
    [sym_bindings] = STATE(19169),
    [sym_colon_argument] = STATE(6429),
    [sym_identifier] = STATE(10471),
    [sym__soft_identifier] = STATE(5232),
    [sym_wildcard] = STATE(10772),
    [sym__non_null_literal] = STATE(11219),
    [sym_literal_type] = STATE(11284),
    [sym_boolean_literal] = STATE(9436),
    [sym_string] = STATE(9436),
    [sym_comment] = STATE(2500),
    [sym_block_comment] = STATE(2500),
    [sym__alpha_identifier] = ACTIONS(699),
    [anon_sym_COLON] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(4264),
    [anon_sym__] = ACTIONS(705),
    [anon_sym_EQ_GT] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_end] = ACTIONS(713),
    [anon_sym_AT] = ACTIONS(4266),
    [anon_sym_opaque] = ACTIONS(713),
    [anon_sym_inline] = ACTIONS(713),
    [anon_sym_infix] = ACTIONS(713),
    [anon_sym_open] = ACTIONS(713),
    [anon_sym_transparent] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(4268),
    [sym__backquoted_id] = ACTIONS(739),
    [sym_operator_identifier] = ACTIONS(4402),
    [sym_integer_literal] = ACTIONS(743),
    [sym_floating_point_literal] = ACTIONS(745),
    [anon_sym_true] = ACTIONS(747),
    [anon_sym_false] = ACTIONS(747),
    [sym_character_literal] = ACTIONS(745),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4404),
    [sym__simple_multiline_string] = ACTIONS(757),
    [sym__simple_string] = ACTIONS(757),
  },
  [2501] = {
    [sym_type_parameters] = STATE(17065),
    [sym_template_body] = STATE(13878),
    [sym__indented_template_body] = STATE(13943),
    [sym__braced_template_body] = STATE(13943),
    [sym_annotation] = STATE(14312),
    [sym_indented_block] = STATE(8278),
    [sym_indented_cases] = STATE(8278),
    [sym__type] = STATE(13864),
    [sym__annotated_type] = STATE(4863),
    [sym_annotated_type] = STATE(7721),
    [sym__simple_type] = STATE(4885),
    [sym_compound_type] = STATE(9890),
    [sym__structural_type] = STATE(13843),
    [sym__infix_type_choice] = STATE(13525),
    [sym_infix_type] = STATE(9890),
    [sym_tuple_type] = STATE(5630),
    [sym_named_tuple_type] = STATE(5630),
    [sym_singleton_type] = STATE(5630),
    [sym_stable_type_identifier] = STATE(5630),
    [sym_stable_identifier] = STATE(18794),
    [sym_generic_type] = STATE(5630),
    [sym_projected_type] = STATE(5630),
    [sym_match_type] = STATE(13843),
    [sym_function_type] = STATE(13843),
    [sym_parameter_types] = STATE(17073),
    [sym_lazy_parameter_type] = STATE(14312),
    [sym_repeated_parameter_type] = STATE(14312),
    [sym__type_identifier] = STATE(5630),
    [sym_type_lambda] = STATE(13843),
    [sym_bindings] = STATE(19036),
    [sym_colon_argument] = STATE(8280),
    [sym_identifier] = STATE(5785),
    [sym__soft_identifier] = STATE(5218),
    [sym_wildcard] = STATE(5798),
    [sym__non_null_literal] = STATE(10384),
    [sym_literal_type] = STATE(10711),
    [sym_boolean_literal] = STATE(10408),
    [sym_string] = STATE(10408),
    [sym_comment] = STATE(2501),
    [sym_block_comment] = STATE(2501),
    [sym__alpha_identifier] = ACTIONS(4406),
    [anon_sym_COLON] = ACTIONS(4408),
    [anon_sym_LBRACE] = ACTIONS(4410),
    [anon_sym__] = ACTIONS(4412),
    [anon_sym_EQ_GT] = ACTIONS(4414),
    [anon_sym_LBRACK] = ACTIONS(4416),
    [anon_sym_end] = ACTIONS(4418),
    [anon_sym_AT] = ACTIONS(4420),
    [anon_sym_opaque] = ACTIONS(4418),
    [anon_sym_inline] = ACTIONS(4418),
    [anon_sym_infix] = ACTIONS(4418),
    [anon_sym_open] = ACTIONS(4418),
    [anon_sym_transparent] = ACTIONS(4418),
    [anon_sym_LPAREN] = ACTIONS(4422),
    [sym__backquoted_id] = ACTIONS(4424),
    [sym_operator_identifier] = ACTIONS(4426),
    [sym_integer_literal] = ACTIONS(4428),
    [sym_floating_point_literal] = ACTIONS(4430),
    [anon_sym_true] = ACTIONS(4432),
    [anon_sym_false] = ACTIONS(4432),
    [sym_character_literal] = ACTIONS(4430),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4434),
    [sym__simple_multiline_string] = ACTIONS(4436),
    [sym__simple_string] = ACTIONS(4436),
  },
  [2502] = {
    [sym_type_parameters] = STATE(16768),
    [sym_template_body] = STATE(10919),
    [sym__indented_template_body] = STATE(11328),
    [sym__braced_template_body] = STATE(11328),
    [sym_annotation] = STATE(13721),
    [sym_indented_block] = STATE(10793),
    [sym_indented_cases] = STATE(10793),
    [sym__type] = STATE(13434),
    [sym__annotated_type] = STATE(7794),
    [sym_annotated_type] = STATE(10589),
    [sym__simple_type] = STATE(7795),
    [sym_compound_type] = STATE(11555),
    [sym__structural_type] = STATE(11391),
    [sym__infix_type_choice] = STATE(13332),
    [sym_infix_type] = STATE(11555),
    [sym_tuple_type] = STATE(9256),
    [sym_named_tuple_type] = STATE(9256),
    [sym_singleton_type] = STATE(9256),
    [sym_stable_type_identifier] = STATE(9256),
    [sym_stable_identifier] = STATE(17798),
    [sym_generic_type] = STATE(9256),
    [sym_projected_type] = STATE(9256),
    [sym_match_type] = STATE(11391),
    [sym_function_type] = STATE(11391),
    [sym_parameter_types] = STATE(16850),
    [sym_lazy_parameter_type] = STATE(13721),
    [sym_repeated_parameter_type] = STATE(13721),
    [sym__type_identifier] = STATE(9256),
    [sym_type_lambda] = STATE(11391),
    [sym_bindings] = STATE(18308),
    [sym_colon_argument] = STATE(10798),
    [sym_identifier] = STATE(9315),
    [sym__soft_identifier] = STATE(8002),
    [sym_wildcard] = STATE(9727),
    [sym__non_null_literal] = STATE(11978),
    [sym_literal_type] = STATE(11979),
    [sym_boolean_literal] = STATE(11929),
    [sym_string] = STATE(11929),
    [sym_comment] = STATE(2502),
    [sym_block_comment] = STATE(2502),
    [sym__alpha_identifier] = ACTIONS(4438),
    [anon_sym_COLON] = ACTIONS(4440),
    [anon_sym_LBRACE] = ACTIONS(4442),
    [anon_sym__] = ACTIONS(4444),
    [anon_sym_EQ_GT] = ACTIONS(4446),
    [anon_sym_LBRACK] = ACTIONS(4448),
    [anon_sym_end] = ACTIONS(4450),
    [anon_sym_AT] = ACTIONS(4452),
    [anon_sym_opaque] = ACTIONS(4450),
    [anon_sym_inline] = ACTIONS(4450),
    [anon_sym_infix] = ACTIONS(4450),
    [anon_sym_open] = ACTIONS(4450),
    [anon_sym_transparent] = ACTIONS(4450),
    [anon_sym_LPAREN] = ACTIONS(4454),
    [sym__backquoted_id] = ACTIONS(4456),
    [sym_operator_identifier] = ACTIONS(4458),
    [sym_integer_literal] = ACTIONS(4460),
    [sym_floating_point_literal] = ACTIONS(4462),
    [anon_sym_true] = ACTIONS(4464),
    [anon_sym_false] = ACTIONS(4464),
    [sym_character_literal] = ACTIONS(4462),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4466),
    [sym__simple_multiline_string] = ACTIONS(4468),
    [sym__simple_string] = ACTIONS(4468),
  },
  [2503] = {
    [sym_type_parameters] = STATE(16363),
    [sym_template_body] = STATE(13098),
    [sym__indented_template_body] = STATE(13083),
    [sym__braced_template_body] = STATE(13083),
    [sym_annotation] = STATE(13167),
    [sym_indented_block] = STATE(7318),
    [sym_indented_cases] = STATE(7318),
    [sym__type] = STATE(12605),
    [sym__annotated_type] = STATE(4732),
    [sym_annotated_type] = STATE(6415),
    [sym__simple_type] = STATE(4765),
    [sym_compound_type] = STATE(9309),
    [sym__structural_type] = STATE(12836),
    [sym__infix_type_choice] = STATE(13494),
    [sym_infix_type] = STATE(9309),
    [sym_tuple_type] = STATE(5015),
    [sym_named_tuple_type] = STATE(5015),
    [sym_singleton_type] = STATE(5015),
    [sym_stable_type_identifier] = STATE(5015),
    [sym_stable_identifier] = STATE(18654),
    [sym_generic_type] = STATE(5015),
    [sym_projected_type] = STATE(5015),
    [sym_match_type] = STATE(12836),
    [sym_function_type] = STATE(12836),
    [sym_parameter_types] = STATE(16364),
    [sym_lazy_parameter_type] = STATE(13167),
    [sym_repeated_parameter_type] = STATE(13167),
    [sym__type_identifier] = STATE(5015),
    [sym_type_lambda] = STATE(12836),
    [sym_bindings] = STATE(18364),
    [sym_colon_argument] = STATE(7319),
    [sym_identifier] = STATE(5206),
    [sym__soft_identifier] = STATE(4815),
    [sym_wildcard] = STATE(5477),
    [sym__non_null_literal] = STATE(10329),
    [sym_literal_type] = STATE(10168),
    [sym_boolean_literal] = STATE(10020),
    [sym_string] = STATE(10020),
    [sym_comment] = STATE(2503),
    [sym_block_comment] = STATE(2503),
    [sym__alpha_identifier] = ACTIONS(4470),
    [anon_sym_COLON] = ACTIONS(4308),
    [anon_sym_LBRACE] = ACTIONS(4310),
    [anon_sym__] = ACTIONS(4472),
    [anon_sym_EQ_GT] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(4476),
    [anon_sym_end] = ACTIONS(4478),
    [anon_sym_AT] = ACTIONS(4320),
    [anon_sym_opaque] = ACTIONS(4478),
    [anon_sym_inline] = ACTIONS(4478),
    [anon_sym_infix] = ACTIONS(4478),
    [anon_sym_open] = ACTIONS(4478),
    [anon_sym_transparent] = ACTIONS(4478),
    [anon_sym_LPAREN] = ACTIONS(4480),
    [sym__backquoted_id] = ACTIONS(4482),
    [sym_operator_identifier] = ACTIONS(4484),
    [sym_integer_literal] = ACTIONS(4486),
    [sym_floating_point_literal] = ACTIONS(4488),
    [anon_sym_true] = ACTIONS(4490),
    [anon_sym_false] = ACTIONS(4490),
    [sym_character_literal] = ACTIONS(4488),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4492),
    [sym__simple_multiline_string] = ACTIONS(4494),
    [sym__simple_string] = ACTIONS(4494),
  },
  [2504] = {
    [sym_type_parameters] = STATE(16550),
    [sym_template_body] = STATE(12267),
    [sym__indented_template_body] = STATE(12449),
    [sym__braced_template_body] = STATE(12449),
    [sym_annotation] = STATE(15072),
    [sym_indented_block] = STATE(9891),
    [sym_indented_cases] = STATE(9891),
    [sym__type] = STATE(14907),
    [sym__annotated_type] = STATE(5524),
    [sym_annotated_type] = STATE(9116),
    [sym__simple_type] = STATE(5743),
    [sym_compound_type] = STATE(10560),
    [sym__structural_type] = STATE(12230),
    [sym__infix_type_choice] = STATE(13348),
    [sym_infix_type] = STATE(10560),
    [sym_tuple_type] = STATE(6506),
    [sym_named_tuple_type] = STATE(6506),
    [sym_singleton_type] = STATE(6506),
    [sym_stable_type_identifier] = STATE(6506),
    [sym_stable_identifier] = STATE(18445),
    [sym_generic_type] = STATE(6506),
    [sym_projected_type] = STATE(6506),
    [sym_match_type] = STATE(12230),
    [sym_function_type] = STATE(12230),
    [sym_parameter_types] = STATE(16565),
    [sym_lazy_parameter_type] = STATE(15072),
    [sym_repeated_parameter_type] = STATE(15072),
    [sym__type_identifier] = STATE(6506),
    [sym_type_lambda] = STATE(12230),
    [sym_bindings] = STATE(19122),
    [sym_colon_argument] = STATE(9892),
    [sym_identifier] = STATE(10468),
    [sym__soft_identifier] = STATE(5232),
    [sym_wildcard] = STATE(10853),
    [sym__non_null_literal] = STATE(11219),
    [sym_literal_type] = STATE(11284),
    [sym_boolean_literal] = STATE(9436),
    [sym_string] = STATE(9436),
    [sym_comment] = STATE(2504),
    [sym_block_comment] = STATE(2504),
    [sym__alpha_identifier] = ACTIONS(699),
    [anon_sym_COLON] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(4264),
    [anon_sym__] = ACTIONS(705),
    [anon_sym_EQ_GT] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_end] = ACTIONS(713),
    [anon_sym_AT] = ACTIONS(4266),
    [anon_sym_opaque] = ACTIONS(713),
    [anon_sym_inline] = ACTIONS(713),
    [anon_sym_infix] = ACTIONS(713),
    [anon_sym_open] = ACTIONS(713),
    [anon_sym_transparent] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(4268),
    [sym__backquoted_id] = ACTIONS(739),
    [sym_operator_identifier] = ACTIONS(4496),
    [sym_integer_literal] = ACTIONS(743),
    [sym_floating_point_literal] = ACTIONS(745),
    [anon_sym_true] = ACTIONS(747),
    [anon_sym_false] = ACTIONS(747),
    [sym_character_literal] = ACTIONS(745),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4498),
    [sym__simple_multiline_string] = ACTIONS(757),
    [sym__simple_string] = ACTIONS(757),
  },
  [2505] = {
    [sym_type_parameters] = STATE(16139),
    [sym_template_body] = STATE(11989),
    [sym__indented_template_body] = STATE(12935),
    [sym__braced_template_body] = STATE(12935),
    [sym_annotation] = STATE(15071),
    [sym_indented_block] = STATE(10325),
    [sym_indented_cases] = STATE(10325),
    [sym__type] = STATE(14731),
    [sym__annotated_type] = STATE(6214),
    [sym_annotated_type] = STATE(9528),
    [sym__simple_type] = STATE(5927),
    [sym_compound_type] = STATE(10887),
    [sym__structural_type] = STATE(13034),
    [sym__infix_type_choice] = STATE(13428),
    [sym_infix_type] = STATE(10887),
    [sym_tuple_type] = STATE(7249),
    [sym_named_tuple_type] = STATE(7249),
    [sym_singleton_type] = STATE(7249),
    [sym_stable_type_identifier] = STATE(7249),
    [sym_stable_identifier] = STATE(18142),
    [sym_generic_type] = STATE(7249),
    [sym_projected_type] = STATE(7249),
    [sym_match_type] = STATE(13034),
    [sym_function_type] = STATE(13034),
    [sym_parameter_types] = STATE(16148),
    [sym_lazy_parameter_type] = STATE(15071),
    [sym_repeated_parameter_type] = STATE(15071),
    [sym__type_identifier] = STATE(7249),
    [sym_type_lambda] = STATE(13034),
    [sym_bindings] = STATE(19324),
    [sym_colon_argument] = STATE(10334),
    [sym_identifier] = STATE(7416),
    [sym__soft_identifier] = STATE(6913),
    [sym_wildcard] = STATE(8095),
    [sym__non_null_literal] = STATE(11332),
    [sym_literal_type] = STATE(11312),
    [sym_boolean_literal] = STATE(11469),
    [sym_string] = STATE(11469),
    [sym_comment] = STATE(2505),
    [sym_block_comment] = STATE(2505),
    [sym__alpha_identifier] = ACTIONS(4500),
    [anon_sym_COLON] = ACTIONS(4502),
    [anon_sym_LBRACE] = ACTIONS(4504),
    [anon_sym__] = ACTIONS(4506),
    [anon_sym_EQ_GT] = ACTIONS(4508),
    [anon_sym_LBRACK] = ACTIONS(4510),
    [anon_sym_end] = ACTIONS(4512),
    [anon_sym_AT] = ACTIONS(4514),
    [anon_sym_opaque] = ACTIONS(4512),
    [anon_sym_inline] = ACTIONS(4512),
    [anon_sym_infix] = ACTIONS(4512),
    [anon_sym_open] = ACTIONS(4512),
    [anon_sym_transparent] = ACTIONS(4512),
    [anon_sym_LPAREN] = ACTIONS(4516),
    [sym__backquoted_id] = ACTIONS(4518),
    [sym_operator_identifier] = ACTIONS(4520),
    [sym_integer_literal] = ACTIONS(4522),
    [sym_floating_point_literal] = ACTIONS(4524),
    [anon_sym_true] = ACTIONS(4526),
    [anon_sym_false] = ACTIONS(4526),
    [sym_character_literal] = ACTIONS(4524),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4272),
    [sym__simple_multiline_string] = ACTIONS(4528),
    [sym__simple_string] = ACTIONS(4528),
  },
  [2506] = {
    [sym_type_parameters] = STATE(16978),
    [sym_template_body] = STATE(12478),
    [sym__indented_template_body] = STATE(12357),
    [sym__braced_template_body] = STATE(12357),
    [sym_annotation] = STATE(12946),
    [sym_indented_block] = STATE(10170),
    [sym_indented_cases] = STATE(10170),
    [sym__type] = STATE(12466),
    [sym__annotated_type] = STATE(6309),
    [sym_annotated_type] = STATE(9784),
    [sym__simple_type] = STATE(6272),
    [sym_compound_type] = STATE(10917),
    [sym__structural_type] = STATE(12202),
    [sym__infix_type_choice] = STATE(13363),
    [sym_infix_type] = STATE(10917),
    [sym_tuple_type] = STATE(7733),
    [sym_named_tuple_type] = STATE(7733),
    [sym_singleton_type] = STATE(7733),
    [sym_stable_type_identifier] = STATE(7733),
    [sym_stable_identifier] = STATE(17830),
    [sym_generic_type] = STATE(7733),
    [sym_projected_type] = STATE(7733),
    [sym_match_type] = STATE(12202),
    [sym_function_type] = STATE(12202),
    [sym_parameter_types] = STATE(17000),
    [sym_lazy_parameter_type] = STATE(12946),
    [sym_repeated_parameter_type] = STATE(12946),
    [sym__type_identifier] = STATE(7733),
    [sym_type_lambda] = STATE(12202),
    [sym_bindings] = STATE(19038),
    [sym_colon_argument] = STATE(10174),
    [sym_identifier] = STATE(7841),
    [sym__soft_identifier] = STATE(6552),
    [sym_wildcard] = STATE(8455),
    [sym__non_null_literal] = STATE(11407),
    [sym_literal_type] = STATE(11408),
    [sym_boolean_literal] = STATE(11351),
    [sym_string] = STATE(11351),
    [sym_comment] = STATE(2506),
    [sym_block_comment] = STATE(2506),
    [sym__alpha_identifier] = ACTIONS(4530),
    [anon_sym_COLON] = ACTIONS(4532),
    [anon_sym_LBRACE] = ACTIONS(4534),
    [anon_sym__] = ACTIONS(4536),
    [anon_sym_EQ_GT] = ACTIONS(4538),
    [anon_sym_LBRACK] = ACTIONS(4540),
    [anon_sym_end] = ACTIONS(4542),
    [anon_sym_AT] = ACTIONS(4544),
    [anon_sym_opaque] = ACTIONS(4542),
    [anon_sym_inline] = ACTIONS(4542),
    [anon_sym_infix] = ACTIONS(4542),
    [anon_sym_open] = ACTIONS(4542),
    [anon_sym_transparent] = ACTIONS(4542),
    [anon_sym_LPAREN] = ACTIONS(4546),
    [sym__backquoted_id] = ACTIONS(4548),
    [sym_operator_identifier] = ACTIONS(4550),
    [sym_integer_literal] = ACTIONS(4552),
    [sym_floating_point_literal] = ACTIONS(4554),
    [anon_sym_true] = ACTIONS(4556),
    [anon_sym_false] = ACTIONS(4556),
    [sym_character_literal] = ACTIONS(4554),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4558),
    [sym__simple_multiline_string] = ACTIONS(4560),
    [sym__simple_string] = ACTIONS(4560),
  },
  [2507] = {
    [sym_type_parameters] = STATE(16550),
    [sym_template_body] = STATE(12267),
    [sym__indented_template_body] = STATE(12449),
    [sym__braced_template_body] = STATE(12449),
    [sym_annotation] = STATE(15072),
    [sym_indented_block] = STATE(9085),
    [sym_indented_cases] = STATE(9085),
    [sym__type] = STATE(14907),
    [sym__annotated_type] = STATE(5524),
    [sym_annotated_type] = STATE(9116),
    [sym__simple_type] = STATE(5743),
    [sym_compound_type] = STATE(10560),
    [sym__structural_type] = STATE(12230),
    [sym__infix_type_choice] = STATE(13348),
    [sym_infix_type] = STATE(10560),
    [sym_tuple_type] = STATE(6506),
    [sym_named_tuple_type] = STATE(6506),
    [sym_singleton_type] = STATE(6506),
    [sym_stable_type_identifier] = STATE(6506),
    [sym_stable_identifier] = STATE(18445),
    [sym_generic_type] = STATE(6506),
    [sym_projected_type] = STATE(6506),
    [sym_match_type] = STATE(12230),
    [sym_function_type] = STATE(12230),
    [sym_parameter_types] = STATE(16565),
    [sym_lazy_parameter_type] = STATE(15072),
    [sym_repeated_parameter_type] = STATE(15072),
    [sym__type_identifier] = STATE(6506),
    [sym_type_lambda] = STATE(12230),
    [sym_bindings] = STATE(19250),
    [sym_colon_argument] = STATE(9087),
    [sym_identifier] = STATE(10452),
    [sym__soft_identifier] = STATE(5232),
    [sym_wildcard] = STATE(10813),
    [sym__non_null_literal] = STATE(11219),
    [sym_literal_type] = STATE(11284),
    [sym_boolean_literal] = STATE(9436),
    [sym_string] = STATE(9436),
    [sym_comment] = STATE(2507),
    [sym_block_comment] = STATE(2507),
    [sym__alpha_identifier] = ACTIONS(699),
    [anon_sym_COLON] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(4264),
    [anon_sym__] = ACTIONS(705),
    [anon_sym_EQ_GT] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_end] = ACTIONS(713),
    [anon_sym_AT] = ACTIONS(4266),
    [anon_sym_opaque] = ACTIONS(713),
    [anon_sym_inline] = ACTIONS(713),
    [anon_sym_infix] = ACTIONS(713),
    [anon_sym_open] = ACTIONS(713),
    [anon_sym_transparent] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(4268),
    [sym__backquoted_id] = ACTIONS(739),
    [sym_operator_identifier] = ACTIONS(4562),
    [sym_integer_literal] = ACTIONS(743),
    [sym_floating_point_literal] = ACTIONS(745),
    [anon_sym_true] = ACTIONS(747),
    [anon_sym_false] = ACTIONS(747),
    [sym_character_literal] = ACTIONS(745),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4366),
    [sym__simple_multiline_string] = ACTIONS(757),
    [sym__simple_string] = ACTIONS(757),
  },
  [2508] = {
    [sym_type_parameters] = STATE(16344),
    [sym_template_body] = STATE(10919),
    [sym__indented_template_body] = STATE(11328),
    [sym__braced_template_body] = STATE(11328),
    [sym_annotation] = STATE(13721),
    [sym_indented_block] = STATE(8550),
    [sym_indented_cases] = STATE(8550),
    [sym__type] = STATE(13434),
    [sym__annotated_type] = STATE(4839),
    [sym_annotated_type] = STATE(7911),
    [sym__simple_type] = STATE(4896),
    [sym_compound_type] = STATE(9877),
    [sym__structural_type] = STATE(11391),
    [sym__infix_type_choice] = STATE(13343),
    [sym_infix_type] = STATE(9877),
    [sym_tuple_type] = STATE(5566),
    [sym_named_tuple_type] = STATE(5566),
    [sym_singleton_type] = STATE(5566),
    [sym_stable_type_identifier] = STATE(5566),
    [sym_stable_identifier] = STATE(17908),
    [sym_generic_type] = STATE(5566),
    [sym_projected_type] = STATE(5566),
    [sym_match_type] = STATE(11391),
    [sym_function_type] = STATE(11391),
    [sym_parameter_types] = STATE(16345),
    [sym_lazy_parameter_type] = STATE(13721),
    [sym_repeated_parameter_type] = STATE(13721),
    [sym__type_identifier] = STATE(5566),
    [sym_type_lambda] = STATE(11391),
    [sym_bindings] = STATE(18416),
    [sym_colon_argument] = STATE(8552),
    [sym_identifier] = STATE(5469),
    [sym__soft_identifier] = STATE(5119),
    [sym_wildcard] = STATE(6078),
    [sym__non_null_literal] = STATE(10376),
    [sym_literal_type] = STATE(10379),
    [sym_boolean_literal] = STATE(10747),
    [sym_string] = STATE(10747),
    [sym_comment] = STATE(2508),
    [sym_block_comment] = STATE(2508),
    [sym__alpha_identifier] = ACTIONS(4564),
    [anon_sym_COLON] = ACTIONS(4440),
    [anon_sym_LBRACE] = ACTIONS(4442),
    [anon_sym__] = ACTIONS(4566),
    [anon_sym_EQ_GT] = ACTIONS(4568),
    [anon_sym_LBRACK] = ACTIONS(4570),
    [anon_sym_end] = ACTIONS(4572),
    [anon_sym_AT] = ACTIONS(4452),
    [anon_sym_opaque] = ACTIONS(4572),
    [anon_sym_inline] = ACTIONS(4572),
    [anon_sym_infix] = ACTIONS(4572),
    [anon_sym_open] = ACTIONS(4572),
    [anon_sym_transparent] = ACTIONS(4572),
    [anon_sym_LPAREN] = ACTIONS(4574),
    [sym__backquoted_id] = ACTIONS(4576),
    [sym_operator_identifier] = ACTIONS(4578),
    [sym_integer_literal] = ACTIONS(4580),
    [sym_floating_point_literal] = ACTIONS(4582),
    [anon_sym_true] = ACTIONS(4584),
    [anon_sym_false] = ACTIONS(4584),
    [sym_character_literal] = ACTIONS(4582),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4586),
    [sym__simple_multiline_string] = ACTIONS(4588),
    [sym__simple_string] = ACTIONS(4588),
  },
  [2509] = {
    [sym_type_parameters] = STATE(16550),
    [sym_template_body] = STATE(12267),
    [sym__indented_template_body] = STATE(12449),
    [sym__braced_template_body] = STATE(12449),
    [sym_annotation] = STATE(15072),
    [sym_indented_block] = STATE(8130),
    [sym_indented_cases] = STATE(8130),
    [sym__type] = STATE(14907),
    [sym__annotated_type] = STATE(5524),
    [sym_annotated_type] = STATE(9116),
    [sym__simple_type] = STATE(5743),
    [sym_compound_type] = STATE(10560),
    [sym__structural_type] = STATE(12230),
    [sym__infix_type_choice] = STATE(13348),
    [sym_infix_type] = STATE(10560),
    [sym_tuple_type] = STATE(6506),
    [sym_named_tuple_type] = STATE(6506),
    [sym_singleton_type] = STATE(6506),
    [sym_stable_type_identifier] = STATE(6506),
    [sym_stable_identifier] = STATE(18445),
    [sym_generic_type] = STATE(6506),
    [sym_projected_type] = STATE(6506),
    [sym_match_type] = STATE(12230),
    [sym_function_type] = STATE(12230),
    [sym_parameter_types] = STATE(16565),
    [sym_lazy_parameter_type] = STATE(15072),
    [sym_repeated_parameter_type] = STATE(15072),
    [sym__type_identifier] = STATE(6506),
    [sym_type_lambda] = STATE(12230),
    [sym_bindings] = STATE(17819),
    [sym_colon_argument] = STATE(8131),
    [sym_identifier] = STATE(10526),
    [sym__soft_identifier] = STATE(5232),
    [sym_wildcard] = STATE(10980),
    [sym__non_null_literal] = STATE(11219),
    [sym_literal_type] = STATE(11284),
    [sym_boolean_literal] = STATE(9436),
    [sym_string] = STATE(9436),
    [sym_comment] = STATE(2509),
    [sym_block_comment] = STATE(2509),
    [sym__alpha_identifier] = ACTIONS(699),
    [anon_sym_COLON] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(4264),
    [anon_sym__] = ACTIONS(705),
    [anon_sym_EQ_GT] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_end] = ACTIONS(713),
    [anon_sym_AT] = ACTIONS(4266),
    [anon_sym_opaque] = ACTIONS(713),
    [anon_sym_inline] = ACTIONS(713),
    [anon_sym_infix] = ACTIONS(713),
    [anon_sym_open] = ACTIONS(713),
    [anon_sym_transparent] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(4268),
    [sym__backquoted_id] = ACTIONS(739),
    [sym_operator_identifier] = ACTIONS(4590),
    [sym_integer_literal] = ACTIONS(743),
    [sym_floating_point_literal] = ACTIONS(745),
    [anon_sym_true] = ACTIONS(747),
    [anon_sym_false] = ACTIONS(747),
    [sym_character_literal] = ACTIONS(745),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4592),
    [sym__simple_multiline_string] = ACTIONS(757),
    [sym__simple_string] = ACTIONS(757),
  },
  [2510] = {
    [sym_type_parameters] = STATE(16550),
    [sym_template_body] = STATE(12267),
    [sym__indented_template_body] = STATE(12449),
    [sym__braced_template_body] = STATE(12449),
    [sym_annotation] = STATE(15072),
    [sym_indented_block] = STATE(10793),
    [sym_indented_cases] = STATE(10793),
    [sym__type] = STATE(14907),
    [sym__annotated_type] = STATE(5524),
    [sym_annotated_type] = STATE(9116),
    [sym__simple_type] = STATE(5743),
    [sym_compound_type] = STATE(10560),
    [sym__structural_type] = STATE(12230),
    [sym__infix_type_choice] = STATE(13348),
    [sym_infix_type] = STATE(10560),
    [sym_tuple_type] = STATE(6506),
    [sym_named_tuple_type] = STATE(6506),
    [sym_singleton_type] = STATE(6506),
    [sym_stable_type_identifier] = STATE(6506),
    [sym_stable_identifier] = STATE(18445),
    [sym_generic_type] = STATE(6506),
    [sym_projected_type] = STATE(6506),
    [sym_match_type] = STATE(12230),
    [sym_function_type] = STATE(12230),
    [sym_parameter_types] = STATE(16565),
    [sym_lazy_parameter_type] = STATE(15072),
    [sym_repeated_parameter_type] = STATE(15072),
    [sym__type_identifier] = STATE(6506),
    [sym_type_lambda] = STATE(12230),
    [sym_bindings] = STATE(18308),
    [sym_colon_argument] = STATE(10798),
    [sym_identifier] = STATE(10632),
    [sym__soft_identifier] = STATE(5232),
    [sym_wildcard] = STATE(10864),
    [sym__non_null_literal] = STATE(11219),
    [sym_literal_type] = STATE(11284),
    [sym_boolean_literal] = STATE(9436),
    [sym_string] = STATE(9436),
    [sym_comment] = STATE(2510),
    [sym_block_comment] = STATE(2510),
    [sym__alpha_identifier] = ACTIONS(699),
    [anon_sym_COLON] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(4264),
    [anon_sym__] = ACTIONS(705),
    [anon_sym_EQ_GT] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_end] = ACTIONS(713),
    [anon_sym_AT] = ACTIONS(4266),
    [anon_sym_opaque] = ACTIONS(713),
    [anon_sym_inline] = ACTIONS(713),
    [anon_sym_infix] = ACTIONS(713),
    [anon_sym_open] = ACTIONS(713),
    [anon_sym_transparent] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(4268),
    [sym__backquoted_id] = ACTIONS(739),
    [sym_operator_identifier] = ACTIONS(4594),
    [sym_integer_literal] = ACTIONS(743),
    [sym_floating_point_literal] = ACTIONS(745),
    [anon_sym_true] = ACTIONS(747),
    [anon_sym_false] = ACTIONS(747),
    [sym_character_literal] = ACTIONS(745),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4466),
    [sym__simple_multiline_string] = ACTIONS(757),
    [sym__simple_string] = ACTIONS(757),
  },
  [2511] = {
    [sym_type_parameters] = STATE(16550),
    [sym_template_body] = STATE(12267),
    [sym__indented_template_body] = STATE(12449),
    [sym__braced_template_body] = STATE(12449),
    [sym_annotation] = STATE(15072),
    [sym_indented_block] = STATE(9973),
    [sym_indented_cases] = STATE(9973),
    [sym__type] = STATE(14907),
    [sym__annotated_type] = STATE(5524),
    [sym_annotated_type] = STATE(9116),
    [sym__simple_type] = STATE(5743),
    [sym_compound_type] = STATE(10560),
    [sym__structural_type] = STATE(12230),
    [sym__infix_type_choice] = STATE(13348),
    [sym_infix_type] = STATE(10560),
    [sym_tuple_type] = STATE(6506),
    [sym_named_tuple_type] = STATE(6506),
    [sym_singleton_type] = STATE(6506),
    [sym_stable_type_identifier] = STATE(6506),
    [sym_stable_identifier] = STATE(18445),
    [sym_generic_type] = STATE(6506),
    [sym_projected_type] = STATE(6506),
    [sym_match_type] = STATE(12230),
    [sym_function_type] = STATE(12230),
    [sym_parameter_types] = STATE(16565),
    [sym_lazy_parameter_type] = STATE(15072),
    [sym_repeated_parameter_type] = STATE(15072),
    [sym__type_identifier] = STATE(6506),
    [sym_type_lambda] = STATE(12230),
    [sym_bindings] = STATE(19444),
    [sym_colon_argument] = STATE(9974),
    [sym_identifier] = STATE(10464),
    [sym__soft_identifier] = STATE(5232),
    [sym_wildcard] = STATE(10929),
    [sym__non_null_literal] = STATE(11219),
    [sym_literal_type] = STATE(11284),
    [sym_boolean_literal] = STATE(9436),
    [sym_string] = STATE(9436),
    [sym_comment] = STATE(2511),
    [sym_block_comment] = STATE(2511),
    [sym__alpha_identifier] = ACTIONS(699),
    [anon_sym_COLON] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(4264),
    [anon_sym__] = ACTIONS(705),
    [anon_sym_EQ_GT] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_end] = ACTIONS(713),
    [anon_sym_AT] = ACTIONS(4266),
    [anon_sym_opaque] = ACTIONS(713),
    [anon_sym_inline] = ACTIONS(713),
    [anon_sym_infix] = ACTIONS(713),
    [anon_sym_open] = ACTIONS(713),
    [anon_sym_transparent] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(4268),
    [sym__backquoted_id] = ACTIONS(739),
    [sym_operator_identifier] = ACTIONS(4596),
    [sym_integer_literal] = ACTIONS(743),
    [sym_floating_point_literal] = ACTIONS(745),
    [anon_sym_true] = ACTIONS(747),
    [anon_sym_false] = ACTIONS(747),
    [sym_character_literal] = ACTIONS(745),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4598),
    [sym__simple_multiline_string] = ACTIONS(757),
    [sym__simple_string] = ACTIONS(757),
  },
  [2512] = {
    [sym_type_parameters] = STATE(16015),
    [sym_template_body] = STATE(13995),
    [sym__indented_template_body] = STATE(13882),
    [sym__braced_template_body] = STATE(13882),
    [sym_annotation] = STATE(14309),
    [sym_indented_block] = STATE(8130),
    [sym_indented_cases] = STATE(8130),
    [sym__type] = STATE(13626),
    [sym__annotated_type] = STATE(4937),
    [sym_annotated_type] = STATE(7789),
    [sym__simple_type] = STATE(4988),
    [sym_compound_type] = STATE(9461),
    [sym__structural_type] = STATE(13693),
    [sym__infix_type_choice] = STATE(13535),
    [sym_infix_type] = STATE(9461),
    [sym_tuple_type] = STATE(5771),
    [sym_named_tuple_type] = STATE(5771),
    [sym_singleton_type] = STATE(5771),
    [sym_stable_type_identifier] = STATE(5771),
    [sym_stable_identifier] = STATE(18836),
    [sym_generic_type] = STATE(5771),
    [sym_projected_type] = STATE(5771),
    [sym_match_type] = STATE(13693),
    [sym_function_type] = STATE(13693),
    [sym_parameter_types] = STATE(16021),
    [sym_lazy_parameter_type] = STATE(14309),
    [sym_repeated_parameter_type] = STATE(14309),
    [sym__type_identifier] = STATE(5771),
    [sym_type_lambda] = STATE(13693),
    [sym_bindings] = STATE(17819),
    [sym_colon_argument] = STATE(8131),
    [sym_identifier] = STATE(5525),
    [sym__soft_identifier] = STATE(5221),
    [sym_wildcard] = STATE(6154),
    [sym__non_null_literal] = STATE(10385),
    [sym_literal_type] = STATE(10617),
    [sym_boolean_literal] = STATE(10506),
    [sym_string] = STATE(10506),
    [sym_comment] = STATE(2512),
    [sym_block_comment] = STATE(2512),
    [sym__alpha_identifier] = ACTIONS(4600),
    [anon_sym_COLON] = ACTIONS(4602),
    [anon_sym_LBRACE] = ACTIONS(4604),
    [anon_sym__] = ACTIONS(4606),
    [anon_sym_EQ_GT] = ACTIONS(4608),
    [anon_sym_LBRACK] = ACTIONS(4610),
    [anon_sym_end] = ACTIONS(4612),
    [anon_sym_AT] = ACTIONS(4614),
    [anon_sym_opaque] = ACTIONS(4612),
    [anon_sym_inline] = ACTIONS(4612),
    [anon_sym_infix] = ACTIONS(4612),
    [anon_sym_open] = ACTIONS(4612),
    [anon_sym_transparent] = ACTIONS(4612),
    [anon_sym_LPAREN] = ACTIONS(4616),
    [sym__backquoted_id] = ACTIONS(4618),
    [sym_operator_identifier] = ACTIONS(4620),
    [sym_integer_literal] = ACTIONS(4622),
    [sym_floating_point_literal] = ACTIONS(4624),
    [anon_sym_true] = ACTIONS(4626),
    [anon_sym_false] = ACTIONS(4626),
    [sym_character_literal] = ACTIONS(4624),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4592),
    [sym__simple_multiline_string] = ACTIONS(4628),
    [sym__simple_string] = ACTIONS(4628),
  },
  [2513] = {
    [sym_type_parameters] = STATE(16550),
    [sym_template_body] = STATE(12267),
    [sym__indented_template_body] = STATE(12449),
    [sym__braced_template_body] = STATE(12449),
    [sym_annotation] = STATE(15072),
    [sym_indented_block] = STATE(10689),
    [sym_indented_cases] = STATE(10689),
    [sym__type] = STATE(14907),
    [sym__annotated_type] = STATE(5524),
    [sym_annotated_type] = STATE(9116),
    [sym__simple_type] = STATE(5743),
    [sym_compound_type] = STATE(10560),
    [sym__structural_type] = STATE(12230),
    [sym__infix_type_choice] = STATE(13348),
    [sym_infix_type] = STATE(10560),
    [sym_tuple_type] = STATE(6506),
    [sym_named_tuple_type] = STATE(6506),
    [sym_singleton_type] = STATE(6506),
    [sym_stable_type_identifier] = STATE(6506),
    [sym_stable_identifier] = STATE(18445),
    [sym_generic_type] = STATE(6506),
    [sym_projected_type] = STATE(6506),
    [sym_match_type] = STATE(12230),
    [sym_function_type] = STATE(12230),
    [sym_parameter_types] = STATE(16565),
    [sym_lazy_parameter_type] = STATE(15072),
    [sym_repeated_parameter_type] = STATE(15072),
    [sym__type_identifier] = STATE(6506),
    [sym_type_lambda] = STATE(12230),
    [sym_bindings] = STATE(17868),
    [sym_colon_argument] = STATE(10691),
    [sym_identifier] = STATE(10548),
    [sym__soft_identifier] = STATE(5232),
    [sym_wildcard] = STATE(10901),
    [sym__non_null_literal] = STATE(11219),
    [sym_literal_type] = STATE(11284),
    [sym_boolean_literal] = STATE(9436),
    [sym_string] = STATE(9436),
    [sym_comment] = STATE(2513),
    [sym_block_comment] = STATE(2513),
    [sym__alpha_identifier] = ACTIONS(699),
    [anon_sym_COLON] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(4264),
    [anon_sym__] = ACTIONS(705),
    [anon_sym_EQ_GT] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_end] = ACTIONS(713),
    [anon_sym_AT] = ACTIONS(4266),
    [anon_sym_opaque] = ACTIONS(713),
    [anon_sym_inline] = ACTIONS(713),
    [anon_sym_infix] = ACTIONS(713),
    [anon_sym_open] = ACTIONS(713),
    [anon_sym_transparent] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(4268),
    [sym__backquoted_id] = ACTIONS(739),
    [sym_operator_identifier] = ACTIONS(4630),
    [sym_integer_literal] = ACTIONS(743),
    [sym_floating_point_literal] = ACTIONS(745),
    [anon_sym_true] = ACTIONS(747),
    [anon_sym_false] = ACTIONS(747),
    [sym_character_literal] = ACTIONS(745),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4334),
    [sym__simple_multiline_string] = ACTIONS(757),
    [sym__simple_string] = ACTIONS(757),
  },
  [2514] = {
    [sym_type_parameters] = STATE(16550),
    [sym_template_body] = STATE(12267),
    [sym__indented_template_body] = STATE(12449),
    [sym__braced_template_body] = STATE(12449),
    [sym_annotation] = STATE(15072),
    [sym_indented_block] = STATE(9566),
    [sym_indented_cases] = STATE(9566),
    [sym__type] = STATE(14907),
    [sym__annotated_type] = STATE(5524),
    [sym_annotated_type] = STATE(9116),
    [sym__simple_type] = STATE(5743),
    [sym_compound_type] = STATE(10560),
    [sym__structural_type] = STATE(12230),
    [sym__infix_type_choice] = STATE(13348),
    [sym_infix_type] = STATE(10560),
    [sym_tuple_type] = STATE(6506),
    [sym_named_tuple_type] = STATE(6506),
    [sym_singleton_type] = STATE(6506),
    [sym_stable_type_identifier] = STATE(6506),
    [sym_stable_identifier] = STATE(18445),
    [sym_generic_type] = STATE(6506),
    [sym_projected_type] = STATE(6506),
    [sym_match_type] = STATE(12230),
    [sym_function_type] = STATE(12230),
    [sym_parameter_types] = STATE(16565),
    [sym_lazy_parameter_type] = STATE(15072),
    [sym_repeated_parameter_type] = STATE(15072),
    [sym__type_identifier] = STATE(6506),
    [sym_type_lambda] = STATE(12230),
    [sym_bindings] = STATE(19283),
    [sym_colon_argument] = STATE(9580),
    [sym_identifier] = STATE(10441),
    [sym__soft_identifier] = STATE(5232),
    [sym_wildcard] = STATE(10896),
    [sym__non_null_literal] = STATE(11219),
    [sym_literal_type] = STATE(11284),
    [sym_boolean_literal] = STATE(9436),
    [sym_string] = STATE(9436),
    [sym_comment] = STATE(2514),
    [sym_block_comment] = STATE(2514),
    [sym__alpha_identifier] = ACTIONS(699),
    [anon_sym_COLON] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(4264),
    [anon_sym__] = ACTIONS(705),
    [anon_sym_EQ_GT] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_end] = ACTIONS(713),
    [anon_sym_AT] = ACTIONS(4266),
    [anon_sym_opaque] = ACTIONS(713),
    [anon_sym_inline] = ACTIONS(713),
    [anon_sym_infix] = ACTIONS(713),
    [anon_sym_open] = ACTIONS(713),
    [anon_sym_transparent] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(4268),
    [sym__backquoted_id] = ACTIONS(739),
    [sym_operator_identifier] = ACTIONS(4632),
    [sym_integer_literal] = ACTIONS(743),
    [sym_floating_point_literal] = ACTIONS(745),
    [anon_sym_true] = ACTIONS(747),
    [anon_sym_false] = ACTIONS(747),
    [sym_character_literal] = ACTIONS(745),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4634),
    [sym__simple_multiline_string] = ACTIONS(757),
    [sym__simple_string] = ACTIONS(757),
  },
  [2515] = {
    [sym_type_parameters] = STATE(16550),
    [sym_template_body] = STATE(12267),
    [sym__indented_template_body] = STATE(12449),
    [sym__braced_template_body] = STATE(12449),
    [sym_annotation] = STATE(15072),
    [sym_indented_block] = STATE(8278),
    [sym_indented_cases] = STATE(8278),
    [sym__type] = STATE(14907),
    [sym__annotated_type] = STATE(5524),
    [sym_annotated_type] = STATE(9116),
    [sym__simple_type] = STATE(5743),
    [sym_compound_type] = STATE(10560),
    [sym__structural_type] = STATE(12230),
    [sym__infix_type_choice] = STATE(13348),
    [sym_infix_type] = STATE(10560),
    [sym_tuple_type] = STATE(6506),
    [sym_named_tuple_type] = STATE(6506),
    [sym_singleton_type] = STATE(6506),
    [sym_stable_type_identifier] = STATE(6506),
    [sym_stable_identifier] = STATE(18445),
    [sym_generic_type] = STATE(6506),
    [sym_projected_type] = STATE(6506),
    [sym_match_type] = STATE(12230),
    [sym_function_type] = STATE(12230),
    [sym_parameter_types] = STATE(16565),
    [sym_lazy_parameter_type] = STATE(15072),
    [sym_repeated_parameter_type] = STATE(15072),
    [sym__type_identifier] = STATE(6506),
    [sym_type_lambda] = STATE(12230),
    [sym_bindings] = STATE(19036),
    [sym_colon_argument] = STATE(8280),
    [sym_identifier] = STATE(10406),
    [sym__soft_identifier] = STATE(5232),
    [sym_wildcard] = STATE(10860),
    [sym__non_null_literal] = STATE(11219),
    [sym_literal_type] = STATE(11284),
    [sym_boolean_literal] = STATE(9436),
    [sym_string] = STATE(9436),
    [sym_comment] = STATE(2515),
    [sym_block_comment] = STATE(2515),
    [sym__alpha_identifier] = ACTIONS(699),
    [anon_sym_COLON] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(4264),
    [anon_sym__] = ACTIONS(705),
    [anon_sym_EQ_GT] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_end] = ACTIONS(713),
    [anon_sym_AT] = ACTIONS(4266),
    [anon_sym_opaque] = ACTIONS(713),
    [anon_sym_inline] = ACTIONS(713),
    [anon_sym_infix] = ACTIONS(713),
    [anon_sym_open] = ACTIONS(713),
    [anon_sym_transparent] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(4268),
    [sym__backquoted_id] = ACTIONS(739),
    [sym_operator_identifier] = ACTIONS(4636),
    [sym_integer_literal] = ACTIONS(743),
    [sym_floating_point_literal] = ACTIONS(745),
    [anon_sym_true] = ACTIONS(747),
    [anon_sym_false] = ACTIONS(747),
    [sym_character_literal] = ACTIONS(745),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4434),
    [sym__simple_multiline_string] = ACTIONS(757),
    [sym__simple_string] = ACTIONS(757),
  },
  [2516] = {
    [sym_type_parameters] = STATE(16890),
    [sym_template_body] = STATE(14686),
    [sym__indented_template_body] = STATE(14658),
    [sym__braced_template_body] = STATE(14658),
    [sym_annotation] = STATE(14753),
    [sym_indented_block] = STATE(9771),
    [sym_indented_cases] = STATE(9771),
    [sym__type] = STATE(14451),
    [sym__annotated_type] = STATE(5380),
    [sym_annotated_type] = STATE(8912),
    [sym__simple_type] = STATE(5349),
    [sym_compound_type] = STATE(10463),
    [sym__structural_type] = STATE(14415),
    [sym__infix_type_choice] = STATE(13503),
    [sym_infix_type] = STATE(10463),
    [sym_tuple_type] = STATE(6954),
    [sym_named_tuple_type] = STATE(6954),
    [sym_singleton_type] = STATE(6954),
    [sym_stable_type_identifier] = STATE(6954),
    [sym_stable_identifier] = STATE(18680),
    [sym_generic_type] = STATE(6954),
    [sym_projected_type] = STATE(6954),
    [sym_match_type] = STATE(14415),
    [sym_function_type] = STATE(14415),
    [sym_parameter_types] = STATE(16894),
    [sym_lazy_parameter_type] = STATE(14753),
    [sym_repeated_parameter_type] = STATE(14753),
    [sym__type_identifier] = STATE(6954),
    [sym_type_lambda] = STATE(14415),
    [sym_bindings] = STATE(18757),
    [sym_colon_argument] = STATE(9774),
    [sym_identifier] = STATE(6947),
    [sym__soft_identifier] = STATE(6124),
    [sym_wildcard] = STATE(7373),
    [sym__non_null_literal] = STATE(11152),
    [sym_literal_type] = STATE(11154),
    [sym_boolean_literal] = STATE(11109),
    [sym_string] = STATE(11109),
    [sym_comment] = STATE(2516),
    [sym_block_comment] = STATE(2516),
    [sym__alpha_identifier] = ACTIONS(4638),
    [anon_sym_COLON] = ACTIONS(4640),
    [anon_sym_LBRACE] = ACTIONS(4642),
    [anon_sym__] = ACTIONS(4644),
    [anon_sym_EQ_GT] = ACTIONS(4646),
    [anon_sym_LBRACK] = ACTIONS(4648),
    [anon_sym_end] = ACTIONS(4650),
    [anon_sym_AT] = ACTIONS(4652),
    [anon_sym_opaque] = ACTIONS(4650),
    [anon_sym_inline] = ACTIONS(4650),
    [anon_sym_infix] = ACTIONS(4650),
    [anon_sym_open] = ACTIONS(4650),
    [anon_sym_transparent] = ACTIONS(4650),
    [anon_sym_LPAREN] = ACTIONS(4654),
    [sym__backquoted_id] = ACTIONS(4656),
    [sym_operator_identifier] = ACTIONS(4658),
    [sym_integer_literal] = ACTIONS(4660),
    [sym_floating_point_literal] = ACTIONS(4662),
    [anon_sym_true] = ACTIONS(4664),
    [anon_sym_false] = ACTIONS(4664),
    [sym_character_literal] = ACTIONS(4662),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4666),
    [sym__simple_multiline_string] = ACTIONS(4668),
    [sym__simple_string] = ACTIONS(4668),
  },
  [2517] = {
    [sym_type_parameters] = STATE(16308),
    [sym_template_body] = STATE(12633),
    [sym__indented_template_body] = STATE(13117),
    [sym__braced_template_body] = STATE(13117),
    [sym_annotation] = STATE(13578),
    [sym_indented_block] = STATE(10649),
    [sym_indented_cases] = STATE(10649),
    [sym__type] = STATE(12729),
    [sym__annotated_type] = STATE(6857),
    [sym_annotated_type] = STATE(10118),
    [sym__simple_type] = STATE(6600),
    [sym_compound_type] = STATE(11217),
    [sym__structural_type] = STATE(12855),
    [sym__infix_type_choice] = STATE(13432),
    [sym_infix_type] = STATE(11217),
    [sym_tuple_type] = STATE(8270),
    [sym_named_tuple_type] = STATE(8270),
    [sym_singleton_type] = STATE(8270),
    [sym_stable_type_identifier] = STATE(8270),
    [sym_stable_identifier] = STATE(18186),
    [sym_generic_type] = STATE(8270),
    [sym_projected_type] = STATE(8270),
    [sym_match_type] = STATE(12855),
    [sym_function_type] = STATE(12855),
    [sym_parameter_types] = STATE(16312),
    [sym_lazy_parameter_type] = STATE(13578),
    [sym_repeated_parameter_type] = STATE(13578),
    [sym__type_identifier] = STATE(8270),
    [sym_type_lambda] = STATE(12855),
    [sym_bindings] = STATE(19393),
    [sym_colon_argument] = STATE(10698),
    [sym_identifier] = STATE(8419),
    [sym__soft_identifier] = STATE(7831),
    [sym_wildcard] = STATE(8804),
    [sym__non_null_literal] = STATE(11670),
    [sym_literal_type] = STATE(11625),
    [sym_boolean_literal] = STATE(11691),
    [sym_string] = STATE(11691),
    [sym_comment] = STATE(2517),
    [sym_block_comment] = STATE(2517),
    [sym__alpha_identifier] = ACTIONS(4670),
    [anon_sym_COLON] = ACTIONS(4672),
    [anon_sym_LBRACE] = ACTIONS(4674),
    [anon_sym__] = ACTIONS(4676),
    [anon_sym_EQ_GT] = ACTIONS(4678),
    [anon_sym_LBRACK] = ACTIONS(4680),
    [anon_sym_end] = ACTIONS(4682),
    [anon_sym_AT] = ACTIONS(4684),
    [anon_sym_opaque] = ACTIONS(4682),
    [anon_sym_inline] = ACTIONS(4682),
    [anon_sym_infix] = ACTIONS(4682),
    [anon_sym_open] = ACTIONS(4682),
    [anon_sym_transparent] = ACTIONS(4682),
    [anon_sym_LPAREN] = ACTIONS(4686),
    [sym__backquoted_id] = ACTIONS(4688),
    [sym_operator_identifier] = ACTIONS(4690),
    [sym_integer_literal] = ACTIONS(4692),
    [sym_floating_point_literal] = ACTIONS(4694),
    [anon_sym_true] = ACTIONS(4696),
    [anon_sym_false] = ACTIONS(4696),
    [sym_character_literal] = ACTIONS(4694),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4698),
    [sym__simple_multiline_string] = ACTIONS(4700),
    [sym__simple_string] = ACTIONS(4700),
  },
  [2518] = {
    [sym_type_parameters] = STATE(16361),
    [sym_template_body] = STATE(11997),
    [sym__indented_template_body] = STATE(11996),
    [sym__braced_template_body] = STATE(11996),
    [sym_annotation] = STATE(12464),
    [sym_indented_block] = STATE(6244),
    [sym_indented_cases] = STATE(6244),
    [sym__type] = STATE(11850),
    [sym__annotated_type] = STATE(4554),
    [sym_annotated_type] = STATE(5614),
    [sym__simple_type] = STATE(4569),
    [sym_compound_type] = STATE(7150),
    [sym__structural_type] = STATE(11952),
    [sym__infix_type_choice] = STATE(13487),
    [sym_infix_type] = STATE(7150),
    [sym_tuple_type] = STATE(4781),
    [sym_named_tuple_type] = STATE(4781),
    [sym_singleton_type] = STATE(4781),
    [sym_stable_type_identifier] = STATE(4781),
    [sym_stable_identifier] = STATE(18636),
    [sym_generic_type] = STATE(4781),
    [sym_projected_type] = STATE(4781),
    [sym_match_type] = STATE(11952),
    [sym_function_type] = STATE(11952),
    [sym_parameter_types] = STATE(16362),
    [sym_lazy_parameter_type] = STATE(12464),
    [sym_repeated_parameter_type] = STATE(12464),
    [sym__type_identifier] = STATE(4781),
    [sym_type_lambda] = STATE(11952),
    [sym_bindings] = STATE(18175),
    [sym_colon_argument] = STATE(6248),
    [sym_identifier] = STATE(4793),
    [sym__soft_identifier] = STATE(4669),
    [sym_wildcard] = STATE(4965),
    [sym__non_null_literal] = STATE(9326),
    [sym_literal_type] = STATE(8910),
    [sym_boolean_literal] = STATE(8863),
    [sym_string] = STATE(8863),
    [sym_comment] = STATE(2518),
    [sym_block_comment] = STATE(2518),
    [sym__alpha_identifier] = ACTIONS(4702),
    [anon_sym_COLON] = ACTIONS(4704),
    [anon_sym_LBRACE] = ACTIONS(4706),
    [anon_sym__] = ACTIONS(4708),
    [anon_sym_EQ_GT] = ACTIONS(4710),
    [anon_sym_LBRACK] = ACTIONS(4712),
    [anon_sym_end] = ACTIONS(4714),
    [anon_sym_AT] = ACTIONS(4716),
    [anon_sym_opaque] = ACTIONS(4714),
    [anon_sym_inline] = ACTIONS(4714),
    [anon_sym_infix] = ACTIONS(4714),
    [anon_sym_open] = ACTIONS(4714),
    [anon_sym_transparent] = ACTIONS(4714),
    [anon_sym_LPAREN] = ACTIONS(4718),
    [sym__backquoted_id] = ACTIONS(4720),
    [sym_operator_identifier] = ACTIONS(4722),
    [sym_integer_literal] = ACTIONS(4724),
    [sym_floating_point_literal] = ACTIONS(4726),
    [anon_sym_true] = ACTIONS(4728),
    [anon_sym_false] = ACTIONS(4728),
    [sym_character_literal] = ACTIONS(4726),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4730),
    [sym__simple_multiline_string] = ACTIONS(4732),
    [sym__simple_string] = ACTIONS(4732),
  },
  [2519] = {
    [sym_type_parameters] = STATE(16550),
    [sym_template_body] = STATE(12267),
    [sym__indented_template_body] = STATE(12449),
    [sym__braced_template_body] = STATE(12449),
    [sym_annotation] = STATE(15072),
    [sym_indented_block] = STATE(6244),
    [sym_indented_cases] = STATE(6244),
    [sym__type] = STATE(14907),
    [sym__annotated_type] = STATE(5524),
    [sym_annotated_type] = STATE(9116),
    [sym__simple_type] = STATE(5743),
    [sym_compound_type] = STATE(10560),
    [sym__structural_type] = STATE(12230),
    [sym__infix_type_choice] = STATE(13348),
    [sym_infix_type] = STATE(10560),
    [sym_tuple_type] = STATE(6506),
    [sym_named_tuple_type] = STATE(6506),
    [sym_singleton_type] = STATE(6506),
    [sym_stable_type_identifier] = STATE(6506),
    [sym_stable_identifier] = STATE(18445),
    [sym_generic_type] = STATE(6506),
    [sym_projected_type] = STATE(6506),
    [sym_match_type] = STATE(12230),
    [sym_function_type] = STATE(12230),
    [sym_parameter_types] = STATE(16565),
    [sym_lazy_parameter_type] = STATE(15072),
    [sym_repeated_parameter_type] = STATE(15072),
    [sym__type_identifier] = STATE(6506),
    [sym_type_lambda] = STATE(12230),
    [sym_bindings] = STATE(18175),
    [sym_colon_argument] = STATE(6248),
    [sym_identifier] = STATE(10592),
    [sym__soft_identifier] = STATE(5232),
    [sym_wildcard] = STATE(10941),
    [sym__non_null_literal] = STATE(11219),
    [sym_literal_type] = STATE(11284),
    [sym_boolean_literal] = STATE(9436),
    [sym_string] = STATE(9436),
    [sym_comment] = STATE(2519),
    [sym_block_comment] = STATE(2519),
    [sym__alpha_identifier] = ACTIONS(699),
    [anon_sym_COLON] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(4264),
    [anon_sym__] = ACTIONS(705),
    [anon_sym_EQ_GT] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_end] = ACTIONS(713),
    [anon_sym_AT] = ACTIONS(4266),
    [anon_sym_opaque] = ACTIONS(713),
    [anon_sym_inline] = ACTIONS(713),
    [anon_sym_infix] = ACTIONS(713),
    [anon_sym_open] = ACTIONS(713),
    [anon_sym_transparent] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(4268),
    [sym__backquoted_id] = ACTIONS(739),
    [sym_operator_identifier] = ACTIONS(4734),
    [sym_integer_literal] = ACTIONS(743),
    [sym_floating_point_literal] = ACTIONS(745),
    [anon_sym_true] = ACTIONS(747),
    [anon_sym_false] = ACTIONS(747),
    [sym_character_literal] = ACTIONS(745),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4730),
    [sym__simple_multiline_string] = ACTIONS(757),
    [sym__simple_string] = ACTIONS(757),
  },
  [2520] = {
    [sym_type_parameters] = STATE(16550),
    [sym_template_body] = STATE(12267),
    [sym__indented_template_body] = STATE(12449),
    [sym__braced_template_body] = STATE(12449),
    [sym_annotation] = STATE(15072),
    [sym_indented_block] = STATE(9147),
    [sym_indented_cases] = STATE(9147),
    [sym__type] = STATE(14907),
    [sym__annotated_type] = STATE(5524),
    [sym_annotated_type] = STATE(9116),
    [sym__simple_type] = STATE(5743),
    [sym_compound_type] = STATE(10560),
    [sym__structural_type] = STATE(12230),
    [sym__infix_type_choice] = STATE(13348),
    [sym_infix_type] = STATE(10560),
    [sym_tuple_type] = STATE(6506),
    [sym_named_tuple_type] = STATE(6506),
    [sym_singleton_type] = STATE(6506),
    [sym_stable_type_identifier] = STATE(6506),
    [sym_stable_identifier] = STATE(18445),
    [sym_generic_type] = STATE(6506),
    [sym_projected_type] = STATE(6506),
    [sym_match_type] = STATE(12230),
    [sym_function_type] = STATE(12230),
    [sym_parameter_types] = STATE(16565),
    [sym_lazy_parameter_type] = STATE(15072),
    [sym_repeated_parameter_type] = STATE(15072),
    [sym__type_identifier] = STATE(6506),
    [sym_type_lambda] = STATE(12230),
    [sym_bindings] = STATE(18042),
    [sym_colon_argument] = STATE(9151),
    [sym_identifier] = STATE(10367),
    [sym__soft_identifier] = STATE(5232),
    [sym_wildcard] = STATE(11019),
    [sym__non_null_literal] = STATE(11219),
    [sym_literal_type] = STATE(11284),
    [sym_boolean_literal] = STATE(9436),
    [sym_string] = STATE(9436),
    [sym_comment] = STATE(2520),
    [sym_block_comment] = STATE(2520),
    [sym__alpha_identifier] = ACTIONS(699),
    [anon_sym_COLON] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(4264),
    [anon_sym__] = ACTIONS(705),
    [anon_sym_EQ_GT] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_end] = ACTIONS(713),
    [anon_sym_AT] = ACTIONS(4266),
    [anon_sym_opaque] = ACTIONS(713),
    [anon_sym_inline] = ACTIONS(713),
    [anon_sym_infix] = ACTIONS(713),
    [anon_sym_open] = ACTIONS(713),
    [anon_sym_transparent] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(4268),
    [sym__backquoted_id] = ACTIONS(739),
    [sym_operator_identifier] = ACTIONS(4736),
    [sym_integer_literal] = ACTIONS(743),
    [sym_floating_point_literal] = ACTIONS(745),
    [anon_sym_true] = ACTIONS(747),
    [anon_sym_false] = ACTIONS(747),
    [sym_character_literal] = ACTIONS(745),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4398),
    [sym__simple_multiline_string] = ACTIONS(757),
    [sym__simple_string] = ACTIONS(757),
  },
  [2521] = {
    [sym_type_parameters] = STATE(16074),
    [sym_template_body] = STATE(14170),
    [sym__indented_template_body] = STATE(14300),
    [sym__braced_template_body] = STATE(14300),
    [sym_annotation] = STATE(14384),
    [sym_indented_block] = STATE(9118),
    [sym_indented_cases] = STATE(9118),
    [sym__type] = STATE(14202),
    [sym__annotated_type] = STATE(5325),
    [sym_annotated_type] = STATE(8417),
    [sym__simple_type] = STATE(5109),
    [sym_compound_type] = STATE(9998),
    [sym__structural_type] = STATE(14216),
    [sym__infix_type_choice] = STATE(13548),
    [sym_infix_type] = STATE(9998),
    [sym_tuple_type] = STATE(6051),
    [sym_named_tuple_type] = STATE(6051),
    [sym_singleton_type] = STATE(6051),
    [sym_stable_type_identifier] = STATE(6051),
    [sym_stable_identifier] = STATE(18901),
    [sym_generic_type] = STATE(6051),
    [sym_projected_type] = STATE(6051),
    [sym_match_type] = STATE(14216),
    [sym_function_type] = STATE(14216),
    [sym_parameter_types] = STATE(16077),
    [sym_lazy_parameter_type] = STATE(14384),
    [sym_repeated_parameter_type] = STATE(14384),
    [sym__type_identifier] = STATE(6051),
    [sym_type_lambda] = STATE(14216),
    [sym_bindings] = STATE(17848),
    [sym_colon_argument] = STATE(9119),
    [sym_identifier] = STATE(6183),
    [sym__soft_identifier] = STATE(5504),
    [sym_wildcard] = STATE(6699),
    [sym__non_null_literal] = STATE(11064),
    [sym_literal_type] = STATE(11055),
    [sym_boolean_literal] = STATE(10856),
    [sym_string] = STATE(10856),
    [sym_comment] = STATE(2521),
    [sym_block_comment] = STATE(2521),
    [sym__alpha_identifier] = ACTIONS(4738),
    [anon_sym_COLON] = ACTIONS(4740),
    [anon_sym_LBRACE] = ACTIONS(4742),
    [anon_sym__] = ACTIONS(4744),
    [anon_sym_EQ_GT] = ACTIONS(4746),
    [anon_sym_LBRACK] = ACTIONS(4748),
    [anon_sym_end] = ACTIONS(4750),
    [anon_sym_AT] = ACTIONS(4752),
    [anon_sym_opaque] = ACTIONS(4750),
    [anon_sym_inline] = ACTIONS(4750),
    [anon_sym_infix] = ACTIONS(4750),
    [anon_sym_open] = ACTIONS(4750),
    [anon_sym_transparent] = ACTIONS(4750),
    [anon_sym_LPAREN] = ACTIONS(4754),
    [sym__backquoted_id] = ACTIONS(4756),
    [sym_operator_identifier] = ACTIONS(4758),
    [sym_integer_literal] = ACTIONS(4760),
    [sym_floating_point_literal] = ACTIONS(4762),
    [anon_sym_true] = ACTIONS(4764),
    [anon_sym_false] = ACTIONS(4764),
    [sym_character_literal] = ACTIONS(4762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4766),
    [sym__simple_multiline_string] = ACTIONS(4768),
    [sym__simple_string] = ACTIONS(4768),
  },
  [2522] = {
    [sym_type_parameters] = STATE(16550),
    [sym_template_body] = STATE(12267),
    [sym__indented_template_body] = STATE(12449),
    [sym__braced_template_body] = STATE(12449),
    [sym_annotation] = STATE(15072),
    [sym_indented_block] = STATE(11490),
    [sym_indented_cases] = STATE(11490),
    [sym__type] = STATE(14907),
    [sym__annotated_type] = STATE(5524),
    [sym_annotated_type] = STATE(9116),
    [sym__simple_type] = STATE(5743),
    [sym_compound_type] = STATE(10560),
    [sym__structural_type] = STATE(12230),
    [sym__infix_type_choice] = STATE(13348),
    [sym_infix_type] = STATE(10560),
    [sym_tuple_type] = STATE(6506),
    [sym_named_tuple_type] = STATE(6506),
    [sym_singleton_type] = STATE(6506),
    [sym_stable_type_identifier] = STATE(6506),
    [sym_stable_identifier] = STATE(18445),
    [sym_generic_type] = STATE(6506),
    [sym_projected_type] = STATE(6506),
    [sym_match_type] = STATE(12230),
    [sym_function_type] = STATE(12230),
    [sym_parameter_types] = STATE(16565),
    [sym_lazy_parameter_type] = STATE(15072),
    [sym_repeated_parameter_type] = STATE(15072),
    [sym__type_identifier] = STATE(6506),
    [sym_type_lambda] = STATE(12230),
    [sym_bindings] = STATE(18017),
    [sym_colon_argument] = STATE(11491),
    [sym_identifier] = STATE(10567),
    [sym__soft_identifier] = STATE(5232),
    [sym_wildcard] = STATE(10897),
    [sym__non_null_literal] = STATE(11219),
    [sym_literal_type] = STATE(11284),
    [sym_boolean_literal] = STATE(9436),
    [sym_string] = STATE(9436),
    [sym_comment] = STATE(2522),
    [sym_block_comment] = STATE(2522),
    [sym__alpha_identifier] = ACTIONS(699),
    [anon_sym_COLON] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(4264),
    [anon_sym__] = ACTIONS(705),
    [anon_sym_EQ_GT] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_end] = ACTIONS(713),
    [anon_sym_AT] = ACTIONS(4266),
    [anon_sym_opaque] = ACTIONS(713),
    [anon_sym_inline] = ACTIONS(713),
    [anon_sym_infix] = ACTIONS(713),
    [anon_sym_open] = ACTIONS(713),
    [anon_sym_transparent] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(4268),
    [sym__backquoted_id] = ACTIONS(739),
    [sym_operator_identifier] = ACTIONS(4770),
    [sym_integer_literal] = ACTIONS(743),
    [sym_floating_point_literal] = ACTIONS(745),
    [anon_sym_true] = ACTIONS(747),
    [anon_sym_false] = ACTIONS(747),
    [sym_character_literal] = ACTIONS(745),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4772),
    [sym__simple_multiline_string] = ACTIONS(757),
    [sym__simple_string] = ACTIONS(757),
  },
  [2523] = {
    [sym_type_parameters] = STATE(16542),
    [sym_template_body] = STATE(14101),
    [sym__indented_template_body] = STATE(14093),
    [sym__braced_template_body] = STATE(14093),
    [sym_annotation] = STATE(14699),
    [sym_indented_block] = STATE(9322),
    [sym_indented_cases] = STATE(9322),
    [sym__type] = STATE(14129),
    [sym__annotated_type] = STATE(5110),
    [sym_annotated_type] = STATE(8185),
    [sym__simple_type] = STATE(5051),
    [sym_compound_type] = STATE(10100),
    [sym__structural_type] = STATE(14228),
    [sym__infix_type_choice] = STATE(13460),
    [sym_infix_type] = STATE(10100),
    [sym_tuple_type] = STATE(6045),
    [sym_named_tuple_type] = STATE(6045),
    [sym_singleton_type] = STATE(6045),
    [sym_stable_type_identifier] = STATE(6045),
    [sym_stable_identifier] = STATE(18534),
    [sym_generic_type] = STATE(6045),
    [sym_projected_type] = STATE(6045),
    [sym_match_type] = STATE(14228),
    [sym_function_type] = STATE(14228),
    [sym_parameter_types] = STATE(16546),
    [sym_lazy_parameter_type] = STATE(14699),
    [sym_repeated_parameter_type] = STATE(14699),
    [sym__type_identifier] = STATE(6045),
    [sym_type_lambda] = STATE(14228),
    [sym_bindings] = STATE(18152),
    [sym_colon_argument] = STATE(9323),
    [sym_identifier] = STATE(6322),
    [sym__soft_identifier] = STATE(5453),
    [sym_wildcard] = STATE(7041),
    [sym__non_null_literal] = STATE(10983),
    [sym_literal_type] = STATE(10818),
    [sym_boolean_literal] = STATE(11091),
    [sym_string] = STATE(11091),
    [sym_comment] = STATE(2523),
    [sym_block_comment] = STATE(2523),
    [sym__alpha_identifier] = ACTIONS(4774),
    [anon_sym_COLON] = ACTIONS(4776),
    [anon_sym_LBRACE] = ACTIONS(4778),
    [anon_sym__] = ACTIONS(4780),
    [anon_sym_EQ_GT] = ACTIONS(4782),
    [anon_sym_LBRACK] = ACTIONS(4784),
    [anon_sym_end] = ACTIONS(4786),
    [anon_sym_AT] = ACTIONS(4788),
    [anon_sym_opaque] = ACTIONS(4786),
    [anon_sym_inline] = ACTIONS(4786),
    [anon_sym_infix] = ACTIONS(4786),
    [anon_sym_open] = ACTIONS(4786),
    [anon_sym_transparent] = ACTIONS(4786),
    [anon_sym_LPAREN] = ACTIONS(4790),
    [sym__backquoted_id] = ACTIONS(4792),
    [sym_operator_identifier] = ACTIONS(4794),
    [sym_integer_literal] = ACTIONS(4796),
    [sym_floating_point_literal] = ACTIONS(4798),
    [anon_sym_true] = ACTIONS(4800),
    [anon_sym_false] = ACTIONS(4800),
    [sym_character_literal] = ACTIONS(4798),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4802),
    [sym__simple_multiline_string] = ACTIONS(4804),
    [sym__simple_string] = ACTIONS(4804),
  },
  [2524] = {
    [sym_type_parameters] = STATE(16550),
    [sym_template_body] = STATE(12267),
    [sym__indented_template_body] = STATE(12449),
    [sym__braced_template_body] = STATE(12449),
    [sym_annotation] = STATE(15072),
    [sym_indented_block] = STATE(8550),
    [sym_indented_cases] = STATE(8550),
    [sym__type] = STATE(14907),
    [sym__annotated_type] = STATE(5524),
    [sym_annotated_type] = STATE(9116),
    [sym__simple_type] = STATE(5743),
    [sym_compound_type] = STATE(10560),
    [sym__structural_type] = STATE(12230),
    [sym__infix_type_choice] = STATE(13348),
    [sym_infix_type] = STATE(10560),
    [sym_tuple_type] = STATE(6506),
    [sym_named_tuple_type] = STATE(6506),
    [sym_singleton_type] = STATE(6506),
    [sym_stable_type_identifier] = STATE(6506),
    [sym_stable_identifier] = STATE(18445),
    [sym_generic_type] = STATE(6506),
    [sym_projected_type] = STATE(6506),
    [sym_match_type] = STATE(12230),
    [sym_function_type] = STATE(12230),
    [sym_parameter_types] = STATE(16565),
    [sym_lazy_parameter_type] = STATE(15072),
    [sym_repeated_parameter_type] = STATE(15072),
    [sym__type_identifier] = STATE(6506),
    [sym_type_lambda] = STATE(12230),
    [sym_bindings] = STATE(18416),
    [sym_colon_argument] = STATE(8552),
    [sym_identifier] = STATE(10734),
    [sym__soft_identifier] = STATE(5232),
    [sym_wildcard] = STATE(11078),
    [sym__non_null_literal] = STATE(11219),
    [sym_literal_type] = STATE(11284),
    [sym_boolean_literal] = STATE(9436),
    [sym_string] = STATE(9436),
    [sym_comment] = STATE(2524),
    [sym_block_comment] = STATE(2524),
    [sym__alpha_identifier] = ACTIONS(699),
    [anon_sym_COLON] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(4264),
    [anon_sym__] = ACTIONS(705),
    [anon_sym_EQ_GT] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_end] = ACTIONS(713),
    [anon_sym_AT] = ACTIONS(4266),
    [anon_sym_opaque] = ACTIONS(713),
    [anon_sym_inline] = ACTIONS(713),
    [anon_sym_infix] = ACTIONS(713),
    [anon_sym_open] = ACTIONS(713),
    [anon_sym_transparent] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(4268),
    [sym__backquoted_id] = ACTIONS(739),
    [sym_operator_identifier] = ACTIONS(4806),
    [sym_integer_literal] = ACTIONS(743),
    [sym_floating_point_literal] = ACTIONS(745),
    [anon_sym_true] = ACTIONS(747),
    [anon_sym_false] = ACTIONS(747),
    [sym_character_literal] = ACTIONS(745),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4586),
    [sym__simple_multiline_string] = ACTIONS(757),
    [sym__simple_string] = ACTIONS(757),
  },
  [2525] = {
    [sym_type_parameters] = STATE(16550),
    [sym_template_body] = STATE(12267),
    [sym__indented_template_body] = STATE(12449),
    [sym__braced_template_body] = STATE(12449),
    [sym_annotation] = STATE(15072),
    [sym_indented_block] = STATE(7318),
    [sym_indented_cases] = STATE(7318),
    [sym__type] = STATE(14907),
    [sym__annotated_type] = STATE(5524),
    [sym_annotated_type] = STATE(9116),
    [sym__simple_type] = STATE(5743),
    [sym_compound_type] = STATE(10560),
    [sym__structural_type] = STATE(12230),
    [sym__infix_type_choice] = STATE(13348),
    [sym_infix_type] = STATE(10560),
    [sym_tuple_type] = STATE(6506),
    [sym_named_tuple_type] = STATE(6506),
    [sym_singleton_type] = STATE(6506),
    [sym_stable_type_identifier] = STATE(6506),
    [sym_stable_identifier] = STATE(18445),
    [sym_generic_type] = STATE(6506),
    [sym_projected_type] = STATE(6506),
    [sym_match_type] = STATE(12230),
    [sym_function_type] = STATE(12230),
    [sym_parameter_types] = STATE(16565),
    [sym_lazy_parameter_type] = STATE(15072),
    [sym_repeated_parameter_type] = STATE(15072),
    [sym__type_identifier] = STATE(6506),
    [sym_type_lambda] = STATE(12230),
    [sym_bindings] = STATE(18364),
    [sym_colon_argument] = STATE(7319),
    [sym_identifier] = STATE(10657),
    [sym__soft_identifier] = STATE(5232),
    [sym_wildcard] = STATE(10988),
    [sym__non_null_literal] = STATE(11219),
    [sym_literal_type] = STATE(11284),
    [sym_boolean_literal] = STATE(9436),
    [sym_string] = STATE(9436),
    [sym_comment] = STATE(2525),
    [sym_block_comment] = STATE(2525),
    [sym__alpha_identifier] = ACTIONS(699),
    [anon_sym_COLON] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(4264),
    [anon_sym__] = ACTIONS(705),
    [anon_sym_EQ_GT] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_end] = ACTIONS(713),
    [anon_sym_AT] = ACTIONS(4266),
    [anon_sym_opaque] = ACTIONS(713),
    [anon_sym_inline] = ACTIONS(713),
    [anon_sym_infix] = ACTIONS(713),
    [anon_sym_open] = ACTIONS(713),
    [anon_sym_transparent] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(4268),
    [sym__backquoted_id] = ACTIONS(739),
    [sym_operator_identifier] = ACTIONS(4808),
    [sym_integer_literal] = ACTIONS(743),
    [sym_floating_point_literal] = ACTIONS(745),
    [anon_sym_true] = ACTIONS(747),
    [anon_sym_false] = ACTIONS(747),
    [sym_character_literal] = ACTIONS(745),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4492),
    [sym__simple_multiline_string] = ACTIONS(757),
    [sym__simple_string] = ACTIONS(757),
  },
  [2526] = {
    [sym_type_parameters] = STATE(16550),
    [sym_template_body] = STATE(12267),
    [sym__indented_template_body] = STATE(12449),
    [sym__braced_template_body] = STATE(12449),
    [sym_annotation] = STATE(15072),
    [sym_indented_block] = STATE(10170),
    [sym_indented_cases] = STATE(10170),
    [sym__type] = STATE(14907),
    [sym__annotated_type] = STATE(5524),
    [sym_annotated_type] = STATE(9116),
    [sym__simple_type] = STATE(5743),
    [sym_compound_type] = STATE(10560),
    [sym__structural_type] = STATE(12230),
    [sym__infix_type_choice] = STATE(13348),
    [sym_infix_type] = STATE(10560),
    [sym_tuple_type] = STATE(6506),
    [sym_named_tuple_type] = STATE(6506),
    [sym_singleton_type] = STATE(6506),
    [sym_stable_type_identifier] = STATE(6506),
    [sym_stable_identifier] = STATE(18445),
    [sym_generic_type] = STATE(6506),
    [sym_projected_type] = STATE(6506),
    [sym_match_type] = STATE(12230),
    [sym_function_type] = STATE(12230),
    [sym_parameter_types] = STATE(16565),
    [sym_lazy_parameter_type] = STATE(15072),
    [sym_repeated_parameter_type] = STATE(15072),
    [sym__type_identifier] = STATE(6506),
    [sym_type_lambda] = STATE(12230),
    [sym_bindings] = STATE(19038),
    [sym_colon_argument] = STATE(10174),
    [sym_identifier] = STATE(10738),
    [sym__soft_identifier] = STATE(5232),
    [sym_wildcard] = STATE(11081),
    [sym__non_null_literal] = STATE(11219),
    [sym_literal_type] = STATE(11284),
    [sym_boolean_literal] = STATE(9436),
    [sym_string] = STATE(9436),
    [sym_comment] = STATE(2526),
    [sym_block_comment] = STATE(2526),
    [sym__alpha_identifier] = ACTIONS(699),
    [anon_sym_COLON] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(4264),
    [anon_sym__] = ACTIONS(705),
    [anon_sym_EQ_GT] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_end] = ACTIONS(713),
    [anon_sym_AT] = ACTIONS(4266),
    [anon_sym_opaque] = ACTIONS(713),
    [anon_sym_inline] = ACTIONS(713),
    [anon_sym_infix] = ACTIONS(713),
    [anon_sym_open] = ACTIONS(713),
    [anon_sym_transparent] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(4268),
    [sym__backquoted_id] = ACTIONS(739),
    [sym_operator_identifier] = ACTIONS(4810),
    [sym_integer_literal] = ACTIONS(743),
    [sym_floating_point_literal] = ACTIONS(745),
    [anon_sym_true] = ACTIONS(747),
    [anon_sym_false] = ACTIONS(747),
    [sym_character_literal] = ACTIONS(745),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4558),
    [sym__simple_multiline_string] = ACTIONS(757),
    [sym__simple_string] = ACTIONS(757),
  },
  [2527] = {
    [sym_type_parameters] = STATE(16550),
    [sym_template_body] = STATE(12267),
    [sym__indented_template_body] = STATE(12449),
    [sym__braced_template_body] = STATE(12449),
    [sym_annotation] = STATE(15072),
    [sym_indented_block] = STATE(9322),
    [sym_indented_cases] = STATE(9322),
    [sym__type] = STATE(14907),
    [sym__annotated_type] = STATE(5524),
    [sym_annotated_type] = STATE(9116),
    [sym__simple_type] = STATE(5743),
    [sym_compound_type] = STATE(10560),
    [sym__structural_type] = STATE(12230),
    [sym__infix_type_choice] = STATE(13348),
    [sym_infix_type] = STATE(10560),
    [sym_tuple_type] = STATE(6506),
    [sym_named_tuple_type] = STATE(6506),
    [sym_singleton_type] = STATE(6506),
    [sym_stable_type_identifier] = STATE(6506),
    [sym_stable_identifier] = STATE(18445),
    [sym_generic_type] = STATE(6506),
    [sym_projected_type] = STATE(6506),
    [sym_match_type] = STATE(12230),
    [sym_function_type] = STATE(12230),
    [sym_parameter_types] = STATE(16565),
    [sym_lazy_parameter_type] = STATE(15072),
    [sym_repeated_parameter_type] = STATE(15072),
    [sym__type_identifier] = STATE(6506),
    [sym_type_lambda] = STATE(12230),
    [sym_bindings] = STATE(18152),
    [sym_colon_argument] = STATE(9323),
    [sym_identifier] = STATE(10446),
    [sym__soft_identifier] = STATE(5232),
    [sym_wildcard] = STATE(10787),
    [sym__non_null_literal] = STATE(11219),
    [sym_literal_type] = STATE(11284),
    [sym_boolean_literal] = STATE(9436),
    [sym_string] = STATE(9436),
    [sym_comment] = STATE(2527),
    [sym_block_comment] = STATE(2527),
    [sym__alpha_identifier] = ACTIONS(699),
    [anon_sym_COLON] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(4264),
    [anon_sym__] = ACTIONS(705),
    [anon_sym_EQ_GT] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_end] = ACTIONS(713),
    [anon_sym_AT] = ACTIONS(4266),
    [anon_sym_opaque] = ACTIONS(713),
    [anon_sym_inline] = ACTIONS(713),
    [anon_sym_infix] = ACTIONS(713),
    [anon_sym_open] = ACTIONS(713),
    [anon_sym_transparent] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(4268),
    [sym__backquoted_id] = ACTIONS(739),
    [sym_operator_identifier] = ACTIONS(4812),
    [sym_integer_literal] = ACTIONS(743),
    [sym_floating_point_literal] = ACTIONS(745),
    [anon_sym_true] = ACTIONS(747),
    [anon_sym_false] = ACTIONS(747),
    [sym_character_literal] = ACTIONS(745),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4802),
    [sym__simple_multiline_string] = ACTIONS(757),
    [sym__simple_string] = ACTIONS(757),
  },
  [2528] = {
    [sym_type_parameters] = STATE(16550),
    [sym_template_body] = STATE(12267),
    [sym__indented_template_body] = STATE(12449),
    [sym__braced_template_body] = STATE(12449),
    [sym_annotation] = STATE(15072),
    [sym_indented_block] = STATE(7658),
    [sym_indented_cases] = STATE(7658),
    [sym__type] = STATE(14907),
    [sym__annotated_type] = STATE(5524),
    [sym_annotated_type] = STATE(9116),
    [sym__simple_type] = STATE(5743),
    [sym_compound_type] = STATE(10560),
    [sym__structural_type] = STATE(12230),
    [sym__infix_type_choice] = STATE(13348),
    [sym_infix_type] = STATE(10560),
    [sym_tuple_type] = STATE(6506),
    [sym_named_tuple_type] = STATE(6506),
    [sym_singleton_type] = STATE(6506),
    [sym_stable_type_identifier] = STATE(6506),
    [sym_stable_identifier] = STATE(18445),
    [sym_generic_type] = STATE(6506),
    [sym_projected_type] = STATE(6506),
    [sym_match_type] = STATE(12230),
    [sym_function_type] = STATE(12230),
    [sym_parameter_types] = STATE(16565),
    [sym_lazy_parameter_type] = STATE(15072),
    [sym_repeated_parameter_type] = STATE(15072),
    [sym__type_identifier] = STATE(6506),
    [sym_type_lambda] = STATE(12230),
    [sym_bindings] = STATE(19513),
    [sym_colon_argument] = STATE(7659),
    [sym_identifier] = STATE(10693),
    [sym__soft_identifier] = STATE(5232),
    [sym_wildcard] = STATE(10955),
    [sym__non_null_literal] = STATE(11219),
    [sym_literal_type] = STATE(11284),
    [sym_boolean_literal] = STATE(9436),
    [sym_string] = STATE(9436),
    [sym_comment] = STATE(2528),
    [sym_block_comment] = STATE(2528),
    [sym__alpha_identifier] = ACTIONS(699),
    [anon_sym_COLON] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(4264),
    [anon_sym__] = ACTIONS(705),
    [anon_sym_EQ_GT] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_end] = ACTIONS(713),
    [anon_sym_AT] = ACTIONS(4266),
    [anon_sym_opaque] = ACTIONS(713),
    [anon_sym_inline] = ACTIONS(713),
    [anon_sym_infix] = ACTIONS(713),
    [anon_sym_open] = ACTIONS(713),
    [anon_sym_transparent] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(4268),
    [sym__backquoted_id] = ACTIONS(739),
    [sym_operator_identifier] = ACTIONS(4814),
    [sym_integer_literal] = ACTIONS(743),
    [sym_floating_point_literal] = ACTIONS(745),
    [anon_sym_true] = ACTIONS(747),
    [anon_sym_false] = ACTIONS(747),
    [sym_character_literal] = ACTIONS(745),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4816),
    [sym__simple_multiline_string] = ACTIONS(757),
    [sym__simple_string] = ACTIONS(757),
  },
  [2529] = {
    [sym_type_parameters] = STATE(16971),
    [sym_template_body] = STATE(14508),
    [sym__indented_template_body] = STATE(14520),
    [sym__braced_template_body] = STATE(14520),
    [sym_annotation] = STATE(14748),
    [sym_indented_block] = STATE(9600),
    [sym_indented_cases] = STATE(9600),
    [sym__type] = STATE(14536),
    [sym__annotated_type] = STATE(5643),
    [sym_annotated_type] = STATE(8953),
    [sym__simple_type] = STATE(5452),
    [sym_compound_type] = STATE(10716),
    [sym__structural_type] = STATE(14463),
    [sym__infix_type_choice] = STATE(13506),
    [sym_infix_type] = STATE(10716),
    [sym_tuple_type] = STATE(7048),
    [sym_named_tuple_type] = STATE(7048),
    [sym_singleton_type] = STATE(7048),
    [sym_stable_type_identifier] = STATE(7048),
    [sym_stable_identifier] = STATE(18692),
    [sym_generic_type] = STATE(7048),
    [sym_projected_type] = STATE(7048),
    [sym_match_type] = STATE(14463),
    [sym_function_type] = STATE(14463),
    [sym_parameter_types] = STATE(16977),
    [sym_lazy_parameter_type] = STATE(14748),
    [sym_repeated_parameter_type] = STATE(14748),
    [sym__type_identifier] = STATE(7048),
    [sym_type_lambda] = STATE(14463),
    [sym_bindings] = STATE(18890),
    [sym_colon_argument] = STATE(9601),
    [sym_identifier] = STATE(6746),
    [sym__soft_identifier] = STATE(6127),
    [sym_wildcard] = STATE(7402),
    [sym__non_null_literal] = STATE(11164),
    [sym_literal_type] = STATE(11138),
    [sym_boolean_literal] = STATE(11181),
    [sym_string] = STATE(11181),
    [sym_comment] = STATE(2529),
    [sym_block_comment] = STATE(2529),
    [sym__alpha_identifier] = ACTIONS(4818),
    [anon_sym_COLON] = ACTIONS(4820),
    [anon_sym_LBRACE] = ACTIONS(4822),
    [anon_sym__] = ACTIONS(4824),
    [anon_sym_EQ_GT] = ACTIONS(4826),
    [anon_sym_LBRACK] = ACTIONS(4828),
    [anon_sym_end] = ACTIONS(4830),
    [anon_sym_AT] = ACTIONS(4832),
    [anon_sym_opaque] = ACTIONS(4830),
    [anon_sym_inline] = ACTIONS(4830),
    [anon_sym_infix] = ACTIONS(4830),
    [anon_sym_open] = ACTIONS(4830),
    [anon_sym_transparent] = ACTIONS(4830),
    [anon_sym_LPAREN] = ACTIONS(4834),
    [sym__backquoted_id] = ACTIONS(4836),
    [sym_operator_identifier] = ACTIONS(4838),
    [sym_integer_literal] = ACTIONS(4840),
    [sym_floating_point_literal] = ACTIONS(4842),
    [anon_sym_true] = ACTIONS(4844),
    [anon_sym_false] = ACTIONS(4844),
    [sym_character_literal] = ACTIONS(4842),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4846),
    [sym__simple_multiline_string] = ACTIONS(4848),
    [sym__simple_string] = ACTIONS(4848),
  },
  [2530] = {
    [sym_type_parameters] = STATE(15902),
    [sym_template_body] = STATE(12329),
    [sym__indented_template_body] = STATE(12416),
    [sym__braced_template_body] = STATE(12416),
    [sym_annotation] = STATE(13002),
    [sym_indented_block] = STATE(9973),
    [sym_indented_cases] = STATE(9973),
    [sym__type] = STATE(12380),
    [sym__annotated_type] = STATE(6046),
    [sym_annotated_type] = STATE(9476),
    [sym__simple_type] = STATE(6264),
    [sym_compound_type] = STATE(11041),
    [sym__structural_type] = STATE(12472),
    [sym__infix_type_choice] = STATE(13529),
    [sym_infix_type] = STATE(11041),
    [sym_tuple_type] = STATE(7889),
    [sym_named_tuple_type] = STATE(7889),
    [sym_singleton_type] = STATE(7889),
    [sym_stable_type_identifier] = STATE(7889),
    [sym_stable_identifier] = STATE(18818),
    [sym_generic_type] = STATE(7889),
    [sym_projected_type] = STATE(7889),
    [sym_match_type] = STATE(12472),
    [sym_function_type] = STATE(12472),
    [sym_parameter_types] = STATE(15907),
    [sym_lazy_parameter_type] = STATE(13002),
    [sym_repeated_parameter_type] = STATE(13002),
    [sym__type_identifier] = STATE(7889),
    [sym_type_lambda] = STATE(12472),
    [sym_bindings] = STATE(19444),
    [sym_colon_argument] = STATE(9974),
    [sym_identifier] = STATE(7509),
    [sym__soft_identifier] = STATE(6558),
    [sym_wildcard] = STATE(8430),
    [sym__non_null_literal] = STATE(11424),
    [sym_literal_type] = STATE(11299),
    [sym_boolean_literal] = STATE(11449),
    [sym_string] = STATE(11449),
    [sym_comment] = STATE(2530),
    [sym_block_comment] = STATE(2530),
    [sym__alpha_identifier] = ACTIONS(4850),
    [anon_sym_COLON] = ACTIONS(4852),
    [anon_sym_LBRACE] = ACTIONS(4854),
    [anon_sym__] = ACTIONS(4856),
    [anon_sym_EQ_GT] = ACTIONS(4858),
    [anon_sym_LBRACK] = ACTIONS(4860),
    [anon_sym_end] = ACTIONS(4862),
    [anon_sym_AT] = ACTIONS(4864),
    [anon_sym_opaque] = ACTIONS(4862),
    [anon_sym_inline] = ACTIONS(4862),
    [anon_sym_infix] = ACTIONS(4862),
    [anon_sym_open] = ACTIONS(4862),
    [anon_sym_transparent] = ACTIONS(4862),
    [anon_sym_LPAREN] = ACTIONS(4866),
    [sym__backquoted_id] = ACTIONS(4868),
    [sym_operator_identifier] = ACTIONS(4870),
    [sym_integer_literal] = ACTIONS(4872),
    [sym_floating_point_literal] = ACTIONS(4874),
    [anon_sym_true] = ACTIONS(4876),
    [anon_sym_false] = ACTIONS(4876),
    [sym_character_literal] = ACTIONS(4874),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4598),
    [sym__simple_multiline_string] = ACTIONS(4878),
    [sym__simple_string] = ACTIONS(4878),
  },
  [2531] = {
    [sym_type_parameters] = STATE(16550),
    [sym_template_body] = STATE(12267),
    [sym__indented_template_body] = STATE(12449),
    [sym__braced_template_body] = STATE(12449),
    [sym_annotation] = STATE(15072),
    [sym_indented_block] = STATE(9118),
    [sym_indented_cases] = STATE(9118),
    [sym__type] = STATE(14907),
    [sym__annotated_type] = STATE(5524),
    [sym_annotated_type] = STATE(9116),
    [sym__simple_type] = STATE(5743),
    [sym_compound_type] = STATE(10560),
    [sym__structural_type] = STATE(12230),
    [sym__infix_type_choice] = STATE(13348),
    [sym_infix_type] = STATE(10560),
    [sym_tuple_type] = STATE(6506),
    [sym_named_tuple_type] = STATE(6506),
    [sym_singleton_type] = STATE(6506),
    [sym_stable_type_identifier] = STATE(6506),
    [sym_stable_identifier] = STATE(18445),
    [sym_generic_type] = STATE(6506),
    [sym_projected_type] = STATE(6506),
    [sym_match_type] = STATE(12230),
    [sym_function_type] = STATE(12230),
    [sym_parameter_types] = STATE(16565),
    [sym_lazy_parameter_type] = STATE(15072),
    [sym_repeated_parameter_type] = STATE(15072),
    [sym__type_identifier] = STATE(6506),
    [sym_type_lambda] = STATE(12230),
    [sym_bindings] = STATE(17848),
    [sym_colon_argument] = STATE(9119),
    [sym_identifier] = STATE(10557),
    [sym__soft_identifier] = STATE(5232),
    [sym_wildcard] = STATE(11009),
    [sym__non_null_literal] = STATE(11219),
    [sym_literal_type] = STATE(11284),
    [sym_boolean_literal] = STATE(9436),
    [sym_string] = STATE(9436),
    [sym_comment] = STATE(2531),
    [sym_block_comment] = STATE(2531),
    [sym__alpha_identifier] = ACTIONS(699),
    [anon_sym_COLON] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(4264),
    [anon_sym__] = ACTIONS(705),
    [anon_sym_EQ_GT] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_end] = ACTIONS(713),
    [anon_sym_AT] = ACTIONS(4266),
    [anon_sym_opaque] = ACTIONS(713),
    [anon_sym_inline] = ACTIONS(713),
    [anon_sym_infix] = ACTIONS(713),
    [anon_sym_open] = ACTIONS(713),
    [anon_sym_transparent] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(4268),
    [sym__backquoted_id] = ACTIONS(739),
    [sym_operator_identifier] = ACTIONS(4880),
    [sym_integer_literal] = ACTIONS(743),
    [sym_floating_point_literal] = ACTIONS(745),
    [anon_sym_true] = ACTIONS(747),
    [anon_sym_false] = ACTIONS(747),
    [sym_character_literal] = ACTIONS(745),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4766),
    [sym__simple_multiline_string] = ACTIONS(757),
    [sym__simple_string] = ACTIONS(757),
  },
  [2532] = {
    [sym_type_parameters] = STATE(16550),
    [sym_template_body] = STATE(12267),
    [sym__indented_template_body] = STATE(12449),
    [sym__braced_template_body] = STATE(12449),
    [sym_annotation] = STATE(15072),
    [sym_indented_block] = STATE(6615),
    [sym_indented_cases] = STATE(6615),
    [sym__type] = STATE(14907),
    [sym__annotated_type] = STATE(5524),
    [sym_annotated_type] = STATE(9116),
    [sym__simple_type] = STATE(5743),
    [sym_compound_type] = STATE(10560),
    [sym__structural_type] = STATE(12230),
    [sym__infix_type_choice] = STATE(13348),
    [sym_infix_type] = STATE(10560),
    [sym_tuple_type] = STATE(6506),
    [sym_named_tuple_type] = STATE(6506),
    [sym_singleton_type] = STATE(6506),
    [sym_stable_type_identifier] = STATE(6506),
    [sym_stable_identifier] = STATE(18445),
    [sym_generic_type] = STATE(6506),
    [sym_projected_type] = STATE(6506),
    [sym_match_type] = STATE(12230),
    [sym_function_type] = STATE(12230),
    [sym_parameter_types] = STATE(16565),
    [sym_lazy_parameter_type] = STATE(15072),
    [sym_repeated_parameter_type] = STATE(15072),
    [sym__type_identifier] = STATE(6506),
    [sym_type_lambda] = STATE(12230),
    [sym_bindings] = STATE(17787),
    [sym_colon_argument] = STATE(6616),
    [sym_identifier] = STATE(10499),
    [sym__soft_identifier] = STATE(5232),
    [sym_wildcard] = STATE(10948),
    [sym__non_null_literal] = STATE(11219),
    [sym_literal_type] = STATE(11284),
    [sym_boolean_literal] = STATE(9436),
    [sym_string] = STATE(9436),
    [sym_comment] = STATE(2532),
    [sym_block_comment] = STATE(2532),
    [sym__alpha_identifier] = ACTIONS(699),
    [anon_sym_COLON] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(4264),
    [anon_sym__] = ACTIONS(705),
    [anon_sym_EQ_GT] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_end] = ACTIONS(713),
    [anon_sym_AT] = ACTIONS(4266),
    [anon_sym_opaque] = ACTIONS(713),
    [anon_sym_inline] = ACTIONS(713),
    [anon_sym_infix] = ACTIONS(713),
    [anon_sym_open] = ACTIONS(713),
    [anon_sym_transparent] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(4268),
    [sym__backquoted_id] = ACTIONS(739),
    [sym_operator_identifier] = ACTIONS(4882),
    [sym_integer_literal] = ACTIONS(743),
    [sym_floating_point_literal] = ACTIONS(745),
    [anon_sym_true] = ACTIONS(747),
    [anon_sym_false] = ACTIONS(747),
    [sym_character_literal] = ACTIONS(745),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4884),
    [sym__simple_multiline_string] = ACTIONS(757),
    [sym__simple_string] = ACTIONS(757),
  },
  [2533] = {
    [sym_type_parameters] = STATE(16550),
    [sym_template_body] = STATE(12267),
    [sym__indented_template_body] = STATE(12449),
    [sym__braced_template_body] = STATE(12449),
    [sym_annotation] = STATE(15072),
    [sym_indented_block] = STATE(10649),
    [sym_indented_cases] = STATE(10649),
    [sym__type] = STATE(14907),
    [sym__annotated_type] = STATE(5524),
    [sym_annotated_type] = STATE(9116),
    [sym__simple_type] = STATE(5743),
    [sym_compound_type] = STATE(10560),
    [sym__structural_type] = STATE(12230),
    [sym__infix_type_choice] = STATE(13348),
    [sym_infix_type] = STATE(10560),
    [sym_tuple_type] = STATE(6506),
    [sym_named_tuple_type] = STATE(6506),
    [sym_singleton_type] = STATE(6506),
    [sym_stable_type_identifier] = STATE(6506),
    [sym_stable_identifier] = STATE(18445),
    [sym_generic_type] = STATE(6506),
    [sym_projected_type] = STATE(6506),
    [sym_match_type] = STATE(12230),
    [sym_function_type] = STATE(12230),
    [sym_parameter_types] = STATE(16565),
    [sym_lazy_parameter_type] = STATE(15072),
    [sym_repeated_parameter_type] = STATE(15072),
    [sym__type_identifier] = STATE(6506),
    [sym_type_lambda] = STATE(12230),
    [sym_bindings] = STATE(19393),
    [sym_colon_argument] = STATE(10698),
    [sym_identifier] = STATE(10454),
    [sym__soft_identifier] = STATE(5232),
    [sym_wildcard] = STATE(10786),
    [sym__non_null_literal] = STATE(11219),
    [sym_literal_type] = STATE(11284),
    [sym_boolean_literal] = STATE(9436),
    [sym_string] = STATE(9436),
    [sym_comment] = STATE(2533),
    [sym_block_comment] = STATE(2533),
    [sym__alpha_identifier] = ACTIONS(699),
    [anon_sym_COLON] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(4264),
    [anon_sym__] = ACTIONS(705),
    [anon_sym_EQ_GT] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_end] = ACTIONS(713),
    [anon_sym_AT] = ACTIONS(4266),
    [anon_sym_opaque] = ACTIONS(713),
    [anon_sym_inline] = ACTIONS(713),
    [anon_sym_infix] = ACTIONS(713),
    [anon_sym_open] = ACTIONS(713),
    [anon_sym_transparent] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(4268),
    [sym__backquoted_id] = ACTIONS(739),
    [sym_operator_identifier] = ACTIONS(4886),
    [sym_integer_literal] = ACTIONS(743),
    [sym_floating_point_literal] = ACTIONS(745),
    [anon_sym_true] = ACTIONS(747),
    [anon_sym_false] = ACTIONS(747),
    [sym_character_literal] = ACTIONS(745),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4698),
    [sym__simple_multiline_string] = ACTIONS(757),
    [sym__simple_string] = ACTIONS(757),
  },
  [2534] = {
    [sym_type_parameters] = STATE(17266),
    [sym_template_body] = STATE(14563),
    [sym__indented_template_body] = STATE(14697),
    [sym__braced_template_body] = STATE(14697),
    [sym_annotation] = STATE(14852),
    [sym_indented_block] = STATE(9566),
    [sym_indented_cases] = STATE(9566),
    [sym__type] = STATE(14424),
    [sym__annotated_type] = STATE(5616),
    [sym_annotated_type] = STATE(9187),
    [sym__simple_type] = STATE(5511),
    [sym_compound_type] = STATE(10690),
    [sym__structural_type] = STATE(14606),
    [sym__infix_type_choice] = STATE(13528),
    [sym_infix_type] = STATE(10690),
    [sym_tuple_type] = STATE(6557),
    [sym_named_tuple_type] = STATE(6557),
    [sym_singleton_type] = STATE(6557),
    [sym_stable_type_identifier] = STATE(6557),
    [sym_stable_identifier] = STATE(18812),
    [sym_generic_type] = STATE(6557),
    [sym_projected_type] = STATE(6557),
    [sym_match_type] = STATE(14606),
    [sym_function_type] = STATE(14606),
    [sym_parameter_types] = STATE(17277),
    [sym_lazy_parameter_type] = STATE(14852),
    [sym_repeated_parameter_type] = STATE(14852),
    [sym__type_identifier] = STATE(6557),
    [sym_type_lambda] = STATE(14606),
    [sym_bindings] = STATE(19283),
    [sym_colon_argument] = STATE(9580),
    [sym_identifier] = STATE(6964),
    [sym__soft_identifier] = STATE(6137),
    [sym_wildcard] = STATE(7467),
    [sym__non_null_literal] = STATE(11117),
    [sym_literal_type] = STATE(11205),
    [sym_boolean_literal] = STATE(11140),
    [sym_string] = STATE(11140),
    [sym_comment] = STATE(2534),
    [sym_block_comment] = STATE(2534),
    [sym__alpha_identifier] = ACTIONS(4888),
    [anon_sym_COLON] = ACTIONS(4890),
    [anon_sym_LBRACE] = ACTIONS(4892),
    [anon_sym__] = ACTIONS(4894),
    [anon_sym_EQ_GT] = ACTIONS(4896),
    [anon_sym_LBRACK] = ACTIONS(4898),
    [anon_sym_end] = ACTIONS(4900),
    [anon_sym_AT] = ACTIONS(4902),
    [anon_sym_opaque] = ACTIONS(4900),
    [anon_sym_inline] = ACTIONS(4900),
    [anon_sym_infix] = ACTIONS(4900),
    [anon_sym_open] = ACTIONS(4900),
    [anon_sym_transparent] = ACTIONS(4900),
    [anon_sym_LPAREN] = ACTIONS(4904),
    [sym__backquoted_id] = ACTIONS(4906),
    [sym_operator_identifier] = ACTIONS(4908),
    [sym_integer_literal] = ACTIONS(4910),
    [sym_floating_point_literal] = ACTIONS(4912),
    [anon_sym_true] = ACTIONS(4914),
    [anon_sym_false] = ACTIONS(4914),
    [sym_character_literal] = ACTIONS(4912),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4634),
    [sym__simple_multiline_string] = ACTIONS(4916),
    [sym__simple_string] = ACTIONS(4916),
  },
  [2535] = {
    [sym_type_parameters] = STATE(16550),
    [sym_template_body] = STATE(12267),
    [sym__indented_template_body] = STATE(12449),
    [sym__braced_template_body] = STATE(12449),
    [sym_annotation] = STATE(15072),
    [sym_indented_block] = STATE(7371),
    [sym_indented_cases] = STATE(7371),
    [sym__type] = STATE(14907),
    [sym__annotated_type] = STATE(5524),
    [sym_annotated_type] = STATE(9116),
    [sym__simple_type] = STATE(5743),
    [sym_compound_type] = STATE(10560),
    [sym__structural_type] = STATE(12230),
    [sym__infix_type_choice] = STATE(13348),
    [sym_infix_type] = STATE(10560),
    [sym_tuple_type] = STATE(6506),
    [sym_named_tuple_type] = STATE(6506),
    [sym_singleton_type] = STATE(6506),
    [sym_stable_type_identifier] = STATE(6506),
    [sym_stable_identifier] = STATE(18445),
    [sym_generic_type] = STATE(6506),
    [sym_projected_type] = STATE(6506),
    [sym_match_type] = STATE(12230),
    [sym_function_type] = STATE(12230),
    [sym_parameter_types] = STATE(16565),
    [sym_lazy_parameter_type] = STATE(15072),
    [sym_repeated_parameter_type] = STATE(15072),
    [sym__type_identifier] = STATE(6506),
    [sym_type_lambda] = STATE(12230),
    [sym_bindings] = STATE(18575),
    [sym_colon_argument] = STATE(7372),
    [sym_identifier] = STATE(10684),
    [sym__soft_identifier] = STATE(5232),
    [sym_wildcard] = STATE(11050),
    [sym__non_null_literal] = STATE(11219),
    [sym_literal_type] = STATE(11284),
    [sym_boolean_literal] = STATE(9436),
    [sym_string] = STATE(9436),
    [sym_comment] = STATE(2535),
    [sym_block_comment] = STATE(2535),
    [sym__alpha_identifier] = ACTIONS(699),
    [anon_sym_COLON] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(4264),
    [anon_sym__] = ACTIONS(705),
    [anon_sym_EQ_GT] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_end] = ACTIONS(713),
    [anon_sym_AT] = ACTIONS(4266),
    [anon_sym_opaque] = ACTIONS(713),
    [anon_sym_inline] = ACTIONS(713),
    [anon_sym_infix] = ACTIONS(713),
    [anon_sym_open] = ACTIONS(713),
    [anon_sym_transparent] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(4268),
    [sym__backquoted_id] = ACTIONS(739),
    [sym_operator_identifier] = ACTIONS(4918),
    [sym_integer_literal] = ACTIONS(743),
    [sym_floating_point_literal] = ACTIONS(745),
    [anon_sym_true] = ACTIONS(747),
    [anon_sym_false] = ACTIONS(747),
    [sym_character_literal] = ACTIONS(745),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4302),
    [sym__simple_multiline_string] = ACTIONS(757),
    [sym__simple_string] = ACTIONS(757),
  },
  [2536] = {
    [sym_type_parameters] = STATE(16355),
    [sym_template_body] = STATE(12633),
    [sym__indented_template_body] = STATE(13117),
    [sym__braced_template_body] = STATE(13117),
    [sym_annotation] = STATE(13578),
    [sym_indented_block] = STATE(7658),
    [sym_indented_cases] = STATE(7658),
    [sym__type] = STATE(12729),
    [sym__annotated_type] = STATE(4782),
    [sym_annotated_type] = STATE(7004),
    [sym__simple_type] = STATE(4776),
    [sym_compound_type] = STATE(8959),
    [sym__structural_type] = STATE(12855),
    [sym__infix_type_choice] = STATE(13446),
    [sym_infix_type] = STATE(8959),
    [sym_tuple_type] = STATE(5064),
    [sym_named_tuple_type] = STATE(5064),
    [sym_singleton_type] = STATE(5064),
    [sym_stable_type_identifier] = STATE(5064),
    [sym_stable_identifier] = STATE(18316),
    [sym_generic_type] = STATE(5064),
    [sym_projected_type] = STATE(5064),
    [sym_match_type] = STATE(12855),
    [sym_function_type] = STATE(12855),
    [sym_parameter_types] = STATE(16356),
    [sym_lazy_parameter_type] = STATE(13578),
    [sym_repeated_parameter_type] = STATE(13578),
    [sym__type_identifier] = STATE(5064),
    [sym_type_lambda] = STATE(12855),
    [sym_bindings] = STATE(19513),
    [sym_colon_argument] = STATE(7659),
    [sym_identifier] = STATE(5285),
    [sym__soft_identifier] = STATE(4983),
    [sym_wildcard] = STATE(5659),
    [sym__non_null_literal] = STATE(10101),
    [sym_literal_type] = STATE(10144),
    [sym_boolean_literal] = STATE(10232),
    [sym_string] = STATE(10232),
    [sym_comment] = STATE(2536),
    [sym_block_comment] = STATE(2536),
    [sym__alpha_identifier] = ACTIONS(4920),
    [anon_sym_COLON] = ACTIONS(4672),
    [anon_sym_LBRACE] = ACTIONS(4674),
    [anon_sym__] = ACTIONS(4922),
    [anon_sym_EQ_GT] = ACTIONS(4924),
    [anon_sym_LBRACK] = ACTIONS(4926),
    [anon_sym_end] = ACTIONS(4928),
    [anon_sym_AT] = ACTIONS(4684),
    [anon_sym_opaque] = ACTIONS(4928),
    [anon_sym_inline] = ACTIONS(4928),
    [anon_sym_infix] = ACTIONS(4928),
    [anon_sym_open] = ACTIONS(4928),
    [anon_sym_transparent] = ACTIONS(4928),
    [anon_sym_LPAREN] = ACTIONS(4930),
    [sym__backquoted_id] = ACTIONS(4932),
    [sym_operator_identifier] = ACTIONS(4934),
    [sym_integer_literal] = ACTIONS(4936),
    [sym_floating_point_literal] = ACTIONS(4938),
    [anon_sym_true] = ACTIONS(4940),
    [anon_sym_false] = ACTIONS(4940),
    [sym_character_literal] = ACTIONS(4938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4816),
    [sym__simple_multiline_string] = ACTIONS(4942),
    [sym__simple_string] = ACTIONS(4942),
  },
  [2537] = {
    [sym_type_parameters] = STATE(16349),
    [sym_template_body] = STATE(12478),
    [sym__indented_template_body] = STATE(12357),
    [sym__braced_template_body] = STATE(12357),
    [sym_annotation] = STATE(12946),
    [sym_indented_block] = STATE(6425),
    [sym_indented_cases] = STATE(6425),
    [sym__type] = STATE(12466),
    [sym__annotated_type] = STATE(4676),
    [sym_annotated_type] = STATE(6258),
    [sym__simple_type] = STATE(4653),
    [sym_compound_type] = STATE(8022),
    [sym__structural_type] = STATE(12202),
    [sym__infix_type_choice] = STATE(13394),
    [sym_infix_type] = STATE(8022),
    [sym_tuple_type] = STATE(4915),
    [sym_named_tuple_type] = STATE(4915),
    [sym_singleton_type] = STATE(4915),
    [sym_stable_type_identifier] = STATE(4915),
    [sym_stable_identifier] = STATE(17983),
    [sym_generic_type] = STATE(4915),
    [sym_projected_type] = STATE(4915),
    [sym_match_type] = STATE(12202),
    [sym_function_type] = STATE(12202),
    [sym_parameter_types] = STATE(16350),
    [sym_lazy_parameter_type] = STATE(12946),
    [sym_repeated_parameter_type] = STATE(12946),
    [sym__type_identifier] = STATE(4915),
    [sym_type_lambda] = STATE(12202),
    [sym_bindings] = STATE(19169),
    [sym_colon_argument] = STATE(6429),
    [sym_identifier] = STATE(4834),
    [sym__soft_identifier] = STATE(4757),
    [sym_wildcard] = STATE(5273),
    [sym__non_null_literal] = STATE(9518),
    [sym_literal_type] = STATE(9520),
    [sym_boolean_literal] = STATE(9605),
    [sym_string] = STATE(9605),
    [sym_comment] = STATE(2537),
    [sym_block_comment] = STATE(2537),
    [sym__alpha_identifier] = ACTIONS(4944),
    [anon_sym_COLON] = ACTIONS(4532),
    [anon_sym_LBRACE] = ACTIONS(4534),
    [anon_sym__] = ACTIONS(4946),
    [anon_sym_EQ_GT] = ACTIONS(4948),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [anon_sym_end] = ACTIONS(4952),
    [anon_sym_AT] = ACTIONS(4544),
    [anon_sym_opaque] = ACTIONS(4952),
    [anon_sym_inline] = ACTIONS(4952),
    [anon_sym_infix] = ACTIONS(4952),
    [anon_sym_open] = ACTIONS(4952),
    [anon_sym_transparent] = ACTIONS(4952),
    [anon_sym_LPAREN] = ACTIONS(4954),
    [sym__backquoted_id] = ACTIONS(4956),
    [sym_operator_identifier] = ACTIONS(4958),
    [sym_integer_literal] = ACTIONS(4960),
    [sym_floating_point_literal] = ACTIONS(4962),
    [anon_sym_true] = ACTIONS(4964),
    [anon_sym_false] = ACTIONS(4964),
    [sym_character_literal] = ACTIONS(4962),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4404),
    [sym__simple_multiline_string] = ACTIONS(4966),
    [sym__simple_string] = ACTIONS(4966),
  },
  [2538] = {
    [sym_type_parameters] = STATE(16375),
    [sym_template_body] = STATE(12329),
    [sym__indented_template_body] = STATE(12416),
    [sym__braced_template_body] = STATE(12416),
    [sym_annotation] = STATE(13002),
    [sym_indented_block] = STATE(6615),
    [sym_indented_cases] = STATE(6615),
    [sym__type] = STATE(12380),
    [sym__annotated_type] = STATE(4686),
    [sym_annotated_type] = STATE(5838),
    [sym__simple_type] = STATE(4646),
    [sym_compound_type] = STATE(8279),
    [sym__structural_type] = STATE(12472),
    [sym__infix_type_choice] = STATE(13533),
    [sym_infix_type] = STATE(8279),
    [sym_tuple_type] = STATE(4930),
    [sym_named_tuple_type] = STATE(4930),
    [sym_singleton_type] = STATE(4930),
    [sym_stable_type_identifier] = STATE(4930),
    [sym_stable_identifier] = STATE(18824),
    [sym_generic_type] = STATE(4930),
    [sym_projected_type] = STATE(4930),
    [sym_match_type] = STATE(12472),
    [sym_function_type] = STATE(12472),
    [sym_parameter_types] = STATE(16376),
    [sym_lazy_parameter_type] = STATE(13002),
    [sym_repeated_parameter_type] = STATE(13002),
    [sym__type_identifier] = STATE(4930),
    [sym_type_lambda] = STATE(12472),
    [sym_bindings] = STATE(17787),
    [sym_colon_argument] = STATE(6616),
    [sym_identifier] = STATE(4913),
    [sym__soft_identifier] = STATE(4726),
    [sym_wildcard] = STATE(5287),
    [sym__non_null_literal] = STATE(9551),
    [sym_literal_type] = STATE(9462),
    [sym_boolean_literal] = STATE(9653),
    [sym_string] = STATE(9653),
    [sym_comment] = STATE(2538),
    [sym_block_comment] = STATE(2538),
    [sym__alpha_identifier] = ACTIONS(4968),
    [anon_sym_COLON] = ACTIONS(4852),
    [anon_sym_LBRACE] = ACTIONS(4854),
    [anon_sym__] = ACTIONS(4970),
    [anon_sym_EQ_GT] = ACTIONS(4972),
    [anon_sym_LBRACK] = ACTIONS(4974),
    [anon_sym_end] = ACTIONS(4976),
    [anon_sym_AT] = ACTIONS(4864),
    [anon_sym_opaque] = ACTIONS(4976),
    [anon_sym_inline] = ACTIONS(4976),
    [anon_sym_infix] = ACTIONS(4976),
    [anon_sym_open] = ACTIONS(4976),
    [anon_sym_transparent] = ACTIONS(4976),
    [anon_sym_LPAREN] = ACTIONS(4978),
    [sym__backquoted_id] = ACTIONS(4980),
    [sym_operator_identifier] = ACTIONS(4982),
    [sym_integer_literal] = ACTIONS(4984),
    [sym_floating_point_literal] = ACTIONS(4986),
    [anon_sym_true] = ACTIONS(4988),
    [anon_sym_false] = ACTIONS(4988),
    [sym_character_literal] = ACTIONS(4986),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4884),
    [sym__simple_multiline_string] = ACTIONS(4990),
    [sym__simple_string] = ACTIONS(4990),
  },
  [2539] = {
    [sym_type_parameters] = STATE(16550),
    [sym_template_body] = STATE(12267),
    [sym__indented_template_body] = STATE(12449),
    [sym__braced_template_body] = STATE(12449),
    [sym_annotation] = STATE(15072),
    [sym_indented_block] = STATE(9771),
    [sym_indented_cases] = STATE(9771),
    [sym__type] = STATE(14907),
    [sym__annotated_type] = STATE(5524),
    [sym_annotated_type] = STATE(9116),
    [sym__simple_type] = STATE(5743),
    [sym_compound_type] = STATE(10560),
    [sym__structural_type] = STATE(12230),
    [sym__infix_type_choice] = STATE(13348),
    [sym_infix_type] = STATE(10560),
    [sym_tuple_type] = STATE(6506),
    [sym_named_tuple_type] = STATE(6506),
    [sym_singleton_type] = STATE(6506),
    [sym_stable_type_identifier] = STATE(6506),
    [sym_stable_identifier] = STATE(18445),
    [sym_generic_type] = STATE(6506),
    [sym_projected_type] = STATE(6506),
    [sym_match_type] = STATE(12230),
    [sym_function_type] = STATE(12230),
    [sym_parameter_types] = STATE(16565),
    [sym_lazy_parameter_type] = STATE(15072),
    [sym_repeated_parameter_type] = STATE(15072),
    [sym__type_identifier] = STATE(6506),
    [sym_type_lambda] = STATE(12230),
    [sym_bindings] = STATE(18757),
    [sym_colon_argument] = STATE(9774),
    [sym_identifier] = STATE(10715),
    [sym__soft_identifier] = STATE(5232),
    [sym_wildcard] = STATE(10771),
    [sym__non_null_literal] = STATE(11219),
    [sym_literal_type] = STATE(11284),
    [sym_boolean_literal] = STATE(9436),
    [sym_string] = STATE(9436),
    [sym_comment] = STATE(2539),
    [sym_block_comment] = STATE(2539),
    [sym__alpha_identifier] = ACTIONS(699),
    [anon_sym_COLON] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(4264),
    [anon_sym__] = ACTIONS(705),
    [anon_sym_EQ_GT] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_end] = ACTIONS(713),
    [anon_sym_AT] = ACTIONS(4266),
    [anon_sym_opaque] = ACTIONS(713),
    [anon_sym_inline] = ACTIONS(713),
    [anon_sym_infix] = ACTIONS(713),
    [anon_sym_open] = ACTIONS(713),
    [anon_sym_transparent] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(4268),
    [sym__backquoted_id] = ACTIONS(739),
    [sym_operator_identifier] = ACTIONS(4992),
    [sym_integer_literal] = ACTIONS(743),
    [sym_floating_point_literal] = ACTIONS(745),
    [anon_sym_true] = ACTIONS(747),
    [anon_sym_false] = ACTIONS(747),
    [sym_character_literal] = ACTIONS(745),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4666),
    [sym__simple_multiline_string] = ACTIONS(757),
    [sym__simple_string] = ACTIONS(757),
  },
  [2540] = {
    [sym_type_parameters] = STATE(16550),
    [sym_template_body] = STATE(12267),
    [sym__indented_template_body] = STATE(12449),
    [sym__braced_template_body] = STATE(12449),
    [sym_annotation] = STATE(15072),
    [sym_indented_block] = STATE(10104),
    [sym_indented_cases] = STATE(10104),
    [sym__type] = STATE(14907),
    [sym__annotated_type] = STATE(5524),
    [sym_annotated_type] = STATE(9116),
    [sym__simple_type] = STATE(5743),
    [sym_compound_type] = STATE(10560),
    [sym__structural_type] = STATE(12230),
    [sym__infix_type_choice] = STATE(13348),
    [sym_infix_type] = STATE(10560),
    [sym_tuple_type] = STATE(6506),
    [sym_named_tuple_type] = STATE(6506),
    [sym_singleton_type] = STATE(6506),
    [sym_stable_type_identifier] = STATE(6506),
    [sym_stable_identifier] = STATE(18445),
    [sym_generic_type] = STATE(6506),
    [sym_projected_type] = STATE(6506),
    [sym_match_type] = STATE(12230),
    [sym_function_type] = STATE(12230),
    [sym_parameter_types] = STATE(16565),
    [sym_lazy_parameter_type] = STATE(15072),
    [sym_repeated_parameter_type] = STATE(15072),
    [sym__type_identifier] = STATE(6506),
    [sym_type_lambda] = STATE(12230),
    [sym_bindings] = STATE(18873),
    [sym_colon_argument] = STATE(10311),
    [sym_identifier] = STATE(7214),
    [sym__soft_identifier] = STATE(5232),
    [sym_wildcard] = STATE(8254),
    [sym__non_null_literal] = STATE(11219),
    [sym_literal_type] = STATE(11284),
    [sym_boolean_literal] = STATE(9436),
    [sym_string] = STATE(9436),
    [sym_comment] = STATE(2540),
    [sym_block_comment] = STATE(2540),
    [sym__alpha_identifier] = ACTIONS(699),
    [anon_sym_COLON] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(4264),
    [anon_sym__] = ACTIONS(705),
    [anon_sym_EQ_GT] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_end] = ACTIONS(713),
    [anon_sym_AT] = ACTIONS(4266),
    [anon_sym_opaque] = ACTIONS(713),
    [anon_sym_inline] = ACTIONS(713),
    [anon_sym_infix] = ACTIONS(713),
    [anon_sym_open] = ACTIONS(713),
    [anon_sym_transparent] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(4268),
    [sym__backquoted_id] = ACTIONS(739),
    [sym_operator_identifier] = ACTIONS(4994),
    [sym_integer_literal] = ACTIONS(743),
    [sym_floating_point_literal] = ACTIONS(745),
    [anon_sym_true] = ACTIONS(747),
    [anon_sym_false] = ACTIONS(747),
    [sym_character_literal] = ACTIONS(745),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4996),
    [sym__simple_multiline_string] = ACTIONS(757),
    [sym__simple_string] = ACTIONS(757),
  },
  [2541] = {
    [sym_type_parameters] = STATE(16699),
    [sym_template_body] = STATE(11997),
    [sym__indented_template_body] = STATE(11996),
    [sym__braced_template_body] = STATE(11996),
    [sym_annotation] = STATE(12464),
    [sym_indented_block] = STATE(9891),
    [sym_indented_cases] = STATE(9891),
    [sym__type] = STATE(11850),
    [sym__annotated_type] = STATE(5629),
    [sym_annotated_type] = STATE(8778),
    [sym__simple_type] = STATE(5746),
    [sym_compound_type] = STATE(10659),
    [sym__structural_type] = STATE(11952),
    [sym__infix_type_choice] = STATE(13476),
    [sym_infix_type] = STATE(10659),
    [sym_tuple_type] = STATE(6576),
    [sym_named_tuple_type] = STATE(6576),
    [sym_singleton_type] = STATE(6576),
    [sym_stable_type_identifier] = STATE(6576),
    [sym_stable_identifier] = STATE(18592),
    [sym_generic_type] = STATE(6576),
    [sym_projected_type] = STATE(6576),
    [sym_match_type] = STATE(11952),
    [sym_function_type] = STATE(11952),
    [sym_parameter_types] = STATE(16704),
    [sym_lazy_parameter_type] = STATE(12464),
    [sym_repeated_parameter_type] = STATE(12464),
    [sym__type_identifier] = STATE(6576),
    [sym_type_lambda] = STATE(11952),
    [sym_bindings] = STATE(19122),
    [sym_colon_argument] = STATE(9892),
    [sym_identifier] = STATE(6924),
    [sym__soft_identifier] = STATE(6103),
    [sym_wildcard] = STATE(7944),
    [sym__non_null_literal] = STATE(11127),
    [sym_literal_type] = STATE(11291),
    [sym_boolean_literal] = STATE(11176),
    [sym_string] = STATE(11176),
    [sym_comment] = STATE(2541),
    [sym_block_comment] = STATE(2541),
    [sym__alpha_identifier] = ACTIONS(4998),
    [anon_sym_COLON] = ACTIONS(4704),
    [anon_sym_LBRACE] = ACTIONS(4706),
    [anon_sym__] = ACTIONS(5000),
    [anon_sym_EQ_GT] = ACTIONS(5002),
    [anon_sym_LBRACK] = ACTIONS(5004),
    [anon_sym_end] = ACTIONS(5006),
    [anon_sym_AT] = ACTIONS(4716),
    [anon_sym_opaque] = ACTIONS(5006),
    [anon_sym_inline] = ACTIONS(5006),
    [anon_sym_infix] = ACTIONS(5006),
    [anon_sym_open] = ACTIONS(5006),
    [anon_sym_transparent] = ACTIONS(5006),
    [anon_sym_LPAREN] = ACTIONS(5008),
    [sym__backquoted_id] = ACTIONS(5010),
    [sym_operator_identifier] = ACTIONS(5012),
    [sym_integer_literal] = ACTIONS(5014),
    [sym_floating_point_literal] = ACTIONS(5016),
    [anon_sym_true] = ACTIONS(5018),
    [anon_sym_false] = ACTIONS(5018),
    [sym_character_literal] = ACTIONS(5016),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4498),
    [sym__simple_multiline_string] = ACTIONS(5020),
    [sym__simple_string] = ACTIONS(5020),
  },
  [2542] = {
    [sym_type_parameters] = STATE(16550),
    [sym_template_body] = STATE(12267),
    [sym__indented_template_body] = STATE(12449),
    [sym__braced_template_body] = STATE(12449),
    [sym_annotation] = STATE(15072),
    [sym_indented_block] = STATE(9600),
    [sym_indented_cases] = STATE(9600),
    [sym__type] = STATE(14907),
    [sym__annotated_type] = STATE(5524),
    [sym_annotated_type] = STATE(9116),
    [sym__simple_type] = STATE(5743),
    [sym_compound_type] = STATE(10560),
    [sym__structural_type] = STATE(12230),
    [sym__infix_type_choice] = STATE(13348),
    [sym_infix_type] = STATE(10560),
    [sym_tuple_type] = STATE(6506),
    [sym_named_tuple_type] = STATE(6506),
    [sym_singleton_type] = STATE(6506),
    [sym_stable_type_identifier] = STATE(6506),
    [sym_stable_identifier] = STATE(18445),
    [sym_generic_type] = STATE(6506),
    [sym_projected_type] = STATE(6506),
    [sym_match_type] = STATE(12230),
    [sym_function_type] = STATE(12230),
    [sym_parameter_types] = STATE(16565),
    [sym_lazy_parameter_type] = STATE(15072),
    [sym_repeated_parameter_type] = STATE(15072),
    [sym__type_identifier] = STATE(6506),
    [sym_type_lambda] = STATE(12230),
    [sym_bindings] = STATE(18890),
    [sym_colon_argument] = STATE(9601),
    [sym_identifier] = STATE(10759),
    [sym__soft_identifier] = STATE(5232),
    [sym_wildcard] = STATE(10817),
    [sym__non_null_literal] = STATE(11219),
    [sym_literal_type] = STATE(11284),
    [sym_boolean_literal] = STATE(9436),
    [sym_string] = STATE(9436),
    [sym_comment] = STATE(2542),
    [sym_block_comment] = STATE(2542),
    [sym__alpha_identifier] = ACTIONS(699),
    [anon_sym_COLON] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(4264),
    [anon_sym__] = ACTIONS(705),
    [anon_sym_EQ_GT] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_end] = ACTIONS(713),
    [anon_sym_AT] = ACTIONS(4266),
    [anon_sym_opaque] = ACTIONS(713),
    [anon_sym_inline] = ACTIONS(713),
    [anon_sym_infix] = ACTIONS(713),
    [anon_sym_open] = ACTIONS(713),
    [anon_sym_transparent] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(4268),
    [sym__backquoted_id] = ACTIONS(739),
    [sym_operator_identifier] = ACTIONS(5022),
    [sym_integer_literal] = ACTIONS(743),
    [sym_floating_point_literal] = ACTIONS(745),
    [anon_sym_true] = ACTIONS(747),
    [anon_sym_false] = ACTIONS(747),
    [sym_character_literal] = ACTIONS(745),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(4846),
    [sym__simple_multiline_string] = ACTIONS(757),
    [sym__simple_string] = ACTIONS(757),
  },
  [2543] = {
    [sym_type_parameters] = STATE(16901),
    [sym_template_body] = STATE(8040),
    [sym__indented_template_body] = STATE(8186),
    [sym__braced_template_body] = STATE(8186),
    [sym_annotation] = STATE(10663),
    [sym_inline_modifier] = STATE(13935),
    [sym_parameter] = STATE(16815),
    [sym_name_and_type] = STATE(16932),
    [sym__type] = STATE(16936),
    [sym__annotated_type] = STATE(4873),
    [sym_annotated_type] = STATE(7711),
    [sym__simple_type] = STATE(4932),
    [sym_compound_type] = STATE(8744),
    [sym__structural_type] = STATE(8303),
    [sym__infix_type_choice] = STATE(13556),
    [sym_infix_type] = STATE(8744),
    [sym_tuple_type] = STATE(5753),
    [sym_named_tuple_type] = STATE(5753),
    [sym_singleton_type] = STATE(5753),
    [sym_stable_type_identifier] = STATE(5753),
    [sym_stable_identifier] = STATE(19114),
    [sym_generic_type] = STATE(5753),
    [sym_projected_type] = STATE(5753),
    [sym_match_type] = STATE(8303),
    [sym_function_type] = STATE(8303),
    [sym_parameter_types] = STATE(16984),
    [sym__type_identifier] = STATE(5753),
    [sym_type_lambda] = STATE(8303),
    [sym_identifier] = STATE(10304),
    [sym__soft_identifier] = STATE(5105),
    [sym_wildcard] = STATE(5753),
    [sym__non_null_literal] = STATE(9951),
    [sym_literal_type] = STATE(9983),
    [sym_boolean_literal] = STATE(8165),
    [sym_string] = STATE(8165),
    [sym_comment] = STATE(2543),
    [sym_block_comment] = STATE(2543),
    [aux_sym_enum_definition_repeat1] = STATE(12032),
    [sym__alpha_identifier] = ACTIONS(5024),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_LBRACE] = ACTIONS(5026),
    [anon_sym__] = ACTIONS(5028),
    [anon_sym_LBRACK] = ACTIONS(119),
    [anon_sym_end] = ACTIONS(5030),
    [anon_sym_AT] = ACTIONS(5032),
    [anon_sym_opaque] = ACTIONS(5030),
    [anon_sym_implicit] = ACTIONS(5034),
    [anon_sym_inline] = ACTIONS(5036),
    [anon_sym_infix] = ACTIONS(5030),
    [anon_sym_open] = ACTIONS(5030),
    [anon_sym_transparent] = ACTIONS(5030),
    [anon_sym_LPAREN] = ACTIONS(5038),
    [anon_sym_using] = ACTIONS(5040),
    [anon_sym_RPAREN] = ACTIONS(5042),
    [sym__backquoted_id] = ACTIONS(5044),
    [sym_operator_identifier] = ACTIONS(5046),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2544] = {
    [sym_type_parameters] = STATE(16901),
    [sym_template_body] = STATE(8040),
    [sym__indented_template_body] = STATE(8186),
    [sym__braced_template_body] = STATE(8186),
    [sym_annotation] = STATE(10663),
    [sym_inline_modifier] = STATE(13935),
    [sym_parameter] = STATE(16815),
    [sym_name_and_type] = STATE(16973),
    [sym__type] = STATE(16310),
    [sym__annotated_type] = STATE(4873),
    [sym_annotated_type] = STATE(7711),
    [sym__simple_type] = STATE(4932),
    [sym_compound_type] = STATE(8744),
    [sym__structural_type] = STATE(8303),
    [sym__infix_type_choice] = STATE(13556),
    [sym_infix_type] = STATE(8744),
    [sym_tuple_type] = STATE(5753),
    [sym_named_tuple_type] = STATE(5753),
    [sym_singleton_type] = STATE(5753),
    [sym_stable_type_identifier] = STATE(5753),
    [sym_stable_identifier] = STATE(19114),
    [sym_generic_type] = STATE(5753),
    [sym_projected_type] = STATE(5753),
    [sym_match_type] = STATE(8303),
    [sym_function_type] = STATE(8303),
    [sym_parameter_types] = STATE(16984),
    [sym__type_identifier] = STATE(5753),
    [sym_type_lambda] = STATE(8303),
    [sym_identifier] = STATE(10304),
    [sym__soft_identifier] = STATE(5105),
    [sym_wildcard] = STATE(5753),
    [sym__non_null_literal] = STATE(9951),
    [sym_literal_type] = STATE(9983),
    [sym_boolean_literal] = STATE(8165),
    [sym_string] = STATE(8165),
    [sym_comment] = STATE(2544),
    [sym_block_comment] = STATE(2544),
    [aux_sym_enum_definition_repeat1] = STATE(12032),
    [sym__alpha_identifier] = ACTIONS(5024),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_LBRACE] = ACTIONS(5026),
    [anon_sym__] = ACTIONS(5028),
    [anon_sym_LBRACK] = ACTIONS(119),
    [anon_sym_end] = ACTIONS(5030),
    [anon_sym_AT] = ACTIONS(5032),
    [anon_sym_opaque] = ACTIONS(5030),
    [anon_sym_implicit] = ACTIONS(5034),
    [anon_sym_inline] = ACTIONS(5036),
    [anon_sym_infix] = ACTIONS(5030),
    [anon_sym_open] = ACTIONS(5030),
    [anon_sym_transparent] = ACTIONS(5030),
    [anon_sym_LPAREN] = ACTIONS(5038),
    [anon_sym_using] = ACTIONS(5040),
    [anon_sym_RPAREN] = ACTIONS(5042),
    [sym__backquoted_id] = ACTIONS(5044),
    [sym_operator_identifier] = ACTIONS(5046),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2545] = {
    [sym_type_parameters] = STATE(16901),
    [sym_template_body] = STATE(8040),
    [sym__indented_template_body] = STATE(8186),
    [sym__braced_template_body] = STATE(8186),
    [sym_annotation] = STATE(10663),
    [sym_inline_modifier] = STATE(13935),
    [sym_parameter] = STATE(16908),
    [sym_name_and_type] = STATE(16973),
    [sym__type] = STATE(16310),
    [sym__annotated_type] = STATE(4873),
    [sym_annotated_type] = STATE(7711),
    [sym__simple_type] = STATE(4932),
    [sym_compound_type] = STATE(8744),
    [sym__structural_type] = STATE(8303),
    [sym__infix_type_choice] = STATE(13556),
    [sym_infix_type] = STATE(8744),
    [sym_tuple_type] = STATE(5753),
    [sym_named_tuple_type] = STATE(5753),
    [sym_singleton_type] = STATE(5753),
    [sym_stable_type_identifier] = STATE(5753),
    [sym_stable_identifier] = STATE(19114),
    [sym_generic_type] = STATE(5753),
    [sym_projected_type] = STATE(5753),
    [sym_match_type] = STATE(8303),
    [sym_function_type] = STATE(8303),
    [sym_parameter_types] = STATE(16984),
    [sym__type_identifier] = STATE(5753),
    [sym_type_lambda] = STATE(8303),
    [sym_identifier] = STATE(10304),
    [sym__soft_identifier] = STATE(5105),
    [sym_wildcard] = STATE(5753),
    [sym__non_null_literal] = STATE(9951),
    [sym_literal_type] = STATE(9983),
    [sym_boolean_literal] = STATE(8165),
    [sym_string] = STATE(8165),
    [sym_comment] = STATE(2545),
    [sym_block_comment] = STATE(2545),
    [aux_sym_enum_definition_repeat1] = STATE(12032),
    [sym__alpha_identifier] = ACTIONS(5024),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_LBRACE] = ACTIONS(5026),
    [anon_sym__] = ACTIONS(5028),
    [anon_sym_LBRACK] = ACTIONS(119),
    [anon_sym_end] = ACTIONS(5030),
    [anon_sym_AT] = ACTIONS(5032),
    [anon_sym_opaque] = ACTIONS(5030),
    [anon_sym_implicit] = ACTIONS(5048),
    [anon_sym_inline] = ACTIONS(5036),
    [anon_sym_infix] = ACTIONS(5030),
    [anon_sym_open] = ACTIONS(5030),
    [anon_sym_transparent] = ACTIONS(5030),
    [anon_sym_LPAREN] = ACTIONS(5038),
    [anon_sym_using] = ACTIONS(5050),
    [anon_sym_RPAREN] = ACTIONS(5052),
    [sym__backquoted_id] = ACTIONS(5044),
    [sym_operator_identifier] = ACTIONS(5046),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
  [2546] = {
    [sym_type_parameters] = STATE(16901),
    [sym_template_body] = STATE(8040),
    [sym__indented_template_body] = STATE(8186),
    [sym__braced_template_body] = STATE(8186),
    [sym_annotation] = STATE(10663),
    [sym_inline_modifier] = STATE(13935),
    [sym_parameter] = STATE(16908),
    [sym_name_and_type] = STATE(16932),
    [sym__type] = STATE(16936),
    [sym__annotated_type] = STATE(4873),
    [sym_annotated_type] = STATE(7711),
    [sym__simple_type] = STATE(4932),
    [sym_compound_type] = STATE(8744),
    [sym__structural_type] = STATE(8303),
    [sym__infix_type_choice] = STATE(13556),
    [sym_infix_type] = STATE(8744),
    [sym_tuple_type] = STATE(5753),
    [sym_named_tuple_type] = STATE(5753),
    [sym_singleton_type] = STATE(5753),
    [sym_stable_type_identifier] = STATE(5753),
    [sym_stable_identifier] = STATE(19114),
    [sym_generic_type] = STATE(5753),
    [sym_projected_type] = STATE(5753),
    [sym_match_type] = STATE(8303),
    [sym_function_type] = STATE(8303),
    [sym_parameter_types] = STATE(16984),
    [sym__type_identifier] = STATE(5753),
    [sym_type_lambda] = STATE(8303),
    [sym_identifier] = STATE(10304),
    [sym__soft_identifier] = STATE(5105),
    [sym_wildcard] = STATE(5753),
    [sym__non_null_literal] = STATE(9951),
    [sym_literal_type] = STATE(9983),
    [sym_boolean_literal] = STATE(8165),
    [sym_string] = STATE(8165),
    [sym_comment] = STATE(2546),
    [sym_block_comment] = STATE(2546),
    [aux_sym_enum_definition_repeat1] = STATE(12032),
    [sym__alpha_identifier] = ACTIONS(5024),
    [anon_sym_COLON] = ACTIONS(109),
    [anon_sym_LBRACE] = ACTIONS(5026),
    [anon_sym__] = ACTIONS(5028),
    [anon_sym_LBRACK] = ACTIONS(119),
    [anon_sym_end] = ACTIONS(5030),
    [anon_sym_AT] = ACTIONS(5032),
    [anon_sym_opaque] = ACTIONS(5030),
    [anon_sym_implicit] = ACTIONS(5048),
    [anon_sym_inline] = ACTIONS(5036),
    [anon_sym_infix] = ACTIONS(5030),
    [anon_sym_open] = ACTIONS(5030),
    [anon_sym_transparent] = ACTIONS(5030),
    [anon_sym_LPAREN] = ACTIONS(5038),
    [anon_sym_using] = ACTIONS(5050),
    [anon_sym_RPAREN] = ACTIONS(5052),
    [sym__backquoted_id] = ACTIONS(5044),
    [sym_operator_identifier] = ACTIONS(5046),
    [sym_integer_literal] = ACTIONS(947),
    [sym_floating_point_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_character_literal] = ACTIONS(949),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(953),
    [sym__simple_string] = ACTIONS(953),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5056), 10,
      sym__indent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5054), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [75] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5060), 10,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5058), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [150] = 42,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(5062), 1,
      anon_sym_inline,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5066), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9439), 1,
      sym_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(15647), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16677), 1,
      sym_parameter,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2549), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16681), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [299] = 42,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(5062), 1,
      anon_sym_inline,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5066), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9439), 1,
      sym_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(15807), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(17023), 1,
      sym_parameter,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2550), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17056), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [448] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5056), 10,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5054), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [523] = 42,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(5062), 1,
      anon_sym_inline,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5066), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9439), 1,
      sym_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(15868), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16965), 1,
      sym_parameter,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2552), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16970), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5060), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5058), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [747] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5070), 10,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5068), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [822] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5072), 9,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5074), 51,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [897] = 42,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(5062), 1,
      anon_sym_inline,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5066), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9439), 1,
      sym_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(15664), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(17081), 1,
      sym_parameter,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2556), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17082), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [1046] = 42,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(5062), 1,
      anon_sym_inline,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5066), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9439), 1,
      sym_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(15658), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16800), 1,
      sym_parameter,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2557), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16819), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [1195] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5070), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5068), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [1270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5056), 9,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5054), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [1344] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5076), 1,
      anon_sym_RPAREN,
    ACTIONS(5078), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9711), 1,
      sym_identifier,
    STATE(10359), 1,
      sym_wildcard,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15395), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16903), 1,
      sym_binding,
    STATE(17088), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2560), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 7,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1487] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5076), 1,
      anon_sym_RPAREN,
    ACTIONS(5078), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9711), 1,
      sym_identifier,
    STATE(10359), 1,
      sym_wildcard,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15314), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16903), 1,
      sym_binding,
    STATE(17061), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2561), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 7,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1630] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5076), 1,
      anon_sym_RPAREN,
    ACTIONS(5078), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9711), 1,
      sym_identifier,
    STATE(10359), 1,
      sym_wildcard,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15427), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16748), 1,
      sym_name_and_type,
    STATE(16903), 1,
      sym_binding,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2562), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 7,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1773] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5076), 1,
      anon_sym_RPAREN,
    ACTIONS(5078), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9711), 1,
      sym_identifier,
    STATE(10359), 1,
      sym_wildcard,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15341), 1,
      sym__type,
    STATE(16064), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16903), 1,
      sym_binding,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2563), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 7,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1916] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5076), 1,
      anon_sym_RPAREN,
    ACTIONS(5078), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9711), 1,
      sym_identifier,
    STATE(10359), 1,
      sym_wildcard,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15477), 1,
      sym__type,
    STATE(16197), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16903), 1,
      sym_binding,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2564), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 7,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2059] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5078), 1,
      sym_operator_identifier,
    ACTIONS(5080), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9711), 1,
      sym_identifier,
    STATE(10359), 1,
      sym_wildcard,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15301), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16632), 1,
      sym_name_and_type,
    STATE(16903), 1,
      sym_binding,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2565), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 7,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2202] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5076), 1,
      anon_sym_RPAREN,
    ACTIONS(5078), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9711), 1,
      sym_identifier,
    STATE(10359), 1,
      sym_wildcard,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15428), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16903), 1,
      sym_binding,
    STATE(17177), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2566), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 7,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2345] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5076), 1,
      anon_sym_RPAREN,
    ACTIONS(5078), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9711), 1,
      sym_identifier,
    STATE(10359), 1,
      sym_wildcard,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15405), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16873), 1,
      sym_name_and_type,
    STATE(16903), 1,
      sym_binding,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2567), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 7,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2488] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5076), 1,
      anon_sym_RPAREN,
    ACTIONS(5078), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9711), 1,
      sym_identifier,
    STATE(10359), 1,
      sym_wildcard,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15498), 1,
      sym__type,
    STATE(16498), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16903), 1,
      sym_binding,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2568), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 7,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2631] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5076), 1,
      anon_sym_RPAREN,
    ACTIONS(5078), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9711), 1,
      sym_identifier,
    STATE(10359), 1,
      sym_wildcard,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15496), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16903), 1,
      sym_binding,
    STATE(16905), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2569), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 7,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2774] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5076), 1,
      anon_sym_RPAREN,
    ACTIONS(5078), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9711), 1,
      sym_identifier,
    STATE(10359), 1,
      sym_wildcard,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15464), 1,
      sym__type,
    STATE(16090), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16903), 1,
      sym_binding,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2570), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 7,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2917] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5076), 1,
      anon_sym_RPAREN,
    ACTIONS(5078), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9711), 1,
      sym_identifier,
    STATE(10359), 1,
      sym_wildcard,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15526), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16903), 1,
      sym_binding,
    STATE(16959), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2571), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 7,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3060] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5076), 1,
      anon_sym_RPAREN,
    ACTIONS(5078), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9711), 1,
      sym_identifier,
    STATE(10359), 1,
      sym_wildcard,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15301), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16632), 1,
      sym_name_and_type,
    STATE(16903), 1,
      sym_binding,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2572), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 7,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3203] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5076), 1,
      anon_sym_RPAREN,
    ACTIONS(5078), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9711), 1,
      sym_identifier,
    STATE(10359), 1,
      sym_wildcard,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15525), 1,
      sym__type,
    STATE(16547), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16903), 1,
      sym_binding,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2573), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 7,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3346] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5076), 1,
      anon_sym_RPAREN,
    ACTIONS(5078), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9711), 1,
      sym_identifier,
    STATE(10359), 1,
      sym_wildcard,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15311), 1,
      sym__type,
    STATE(16219), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16903), 1,
      sym_binding,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2574), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 7,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3489] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5076), 1,
      anon_sym_RPAREN,
    ACTIONS(5078), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9711), 1,
      sym_identifier,
    STATE(10359), 1,
      sym_wildcard,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15513), 1,
      sym__type,
    STATE(16045), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16903), 1,
      sym_binding,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2575), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 7,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3632] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5076), 1,
      anon_sym_RPAREN,
    ACTIONS(5078), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9711), 1,
      sym_identifier,
    STATE(10359), 1,
      sym_wildcard,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15408), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16679), 1,
      sym_name_and_type,
    STATE(16903), 1,
      sym_binding,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2576), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 7,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3775] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5076), 1,
      anon_sym_RPAREN,
    ACTIONS(5078), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9711), 1,
      sym_identifier,
    STATE(10359), 1,
      sym_wildcard,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15425), 1,
      sym__type,
    STATE(16013), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16903), 1,
      sym_binding,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2577), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 7,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3918] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5076), 1,
      anon_sym_RPAREN,
    ACTIONS(5078), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9711), 1,
      sym_identifier,
    STATE(10359), 1,
      sym_wildcard,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15508), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16903), 1,
      sym_binding,
    STATE(17006), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2578), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 7,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4061] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5076), 1,
      anon_sym_RPAREN,
    ACTIONS(5078), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9711), 1,
      sym_identifier,
    STATE(10359), 1,
      sym_wildcard,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15324), 1,
      sym__type,
    STATE(15903), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16903), 1,
      sym_binding,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2579), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 7,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4204] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5076), 1,
      anon_sym_RPAREN,
    ACTIONS(5078), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9711), 1,
      sym_identifier,
    STATE(10359), 1,
      sym_wildcard,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15284), 1,
      sym__type,
    STATE(16055), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16903), 1,
      sym_binding,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2580), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 7,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4347] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5076), 1,
      anon_sym_RPAREN,
    ACTIONS(5078), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9711), 1,
      sym_identifier,
    STATE(10359), 1,
      sym_wildcard,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15531), 1,
      sym__type,
    STATE(16309), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16903), 1,
      sym_binding,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2581), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 7,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4490] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5078), 1,
      sym_operator_identifier,
    ACTIONS(5080), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9711), 1,
      sym_identifier,
    STATE(10359), 1,
      sym_wildcard,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15481), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16559), 1,
      sym_name_and_type,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16903), 1,
      sym_binding,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2582), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 7,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4633] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5076), 1,
      anon_sym_RPAREN,
    ACTIONS(5078), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9711), 1,
      sym_identifier,
    STATE(10359), 1,
      sym_wildcard,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15344), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16903), 1,
      sym_binding,
    STATE(17020), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2583), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 7,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4776] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5076), 1,
      anon_sym_RPAREN,
    ACTIONS(5078), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9711), 1,
      sym_identifier,
    STATE(10359), 1,
      sym_wildcard,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15415), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16903), 1,
      sym_binding,
    STATE(17239), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2584), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 7,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4919] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5076), 1,
      anon_sym_RPAREN,
    ACTIONS(5078), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9711), 1,
      sym_identifier,
    STATE(10359), 1,
      sym_wildcard,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15471), 1,
      sym__type,
    STATE(16427), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16903), 1,
      sym_binding,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2585), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 7,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [5062] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(17303), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2586), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [5200] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15416), 1,
      sym__type,
    STATE(16393), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2587), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [5338] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15318), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16751), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2588), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [5476] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15301), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16632), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2589), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [5614] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15493), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16762), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2590), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [5752] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15331), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16826), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2591), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [5890] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15432), 1,
      sym__type,
    STATE(15963), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2592), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [6028] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15329), 1,
      sym__type,
    STATE(16017), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2593), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [6166] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15502), 1,
      sym__type,
    STATE(16075), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2594), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [6304] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15272), 1,
      sym__type,
    STATE(16280), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2595), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [6442] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15382), 1,
      sym__type,
    STATE(16315), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2596), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [6580] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15442), 1,
      sym__type,
    STATE(16337), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2597), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [6718] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15470), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16596), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2598), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [6856] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15496), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16905), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2599), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [6994] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15506), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16718), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2600), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [7132] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15531), 1,
      sym__type,
    STATE(16309), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2601), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [7270] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15317), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16790), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2602), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [7408] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15366), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16888), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2603), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [7546] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15519), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16907), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2604), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [7684] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15298), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16923), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2605), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [7822] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15369), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16974), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2606), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [7960] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15324), 1,
      sym__type,
    STATE(15903), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2607), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [8098] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15490), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(17036), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2608), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [8236] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15311), 1,
      sym__type,
    STATE(16219), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2609), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [8374] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15481), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16559), 1,
      sym_name_and_type,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2610), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [8512] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15478), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(17117), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2611), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [8650] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15471), 1,
      sym__type,
    STATE(16427), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2612), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [8788] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15498), 1,
      sym__type,
    STATE(16498), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2613), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [8926] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15477), 1,
      sym__type,
    STATE(16197), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2614), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [9064] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15525), 1,
      sym__type,
    STATE(16547), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2615), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [9202] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15397), 1,
      sym__type,
    STATE(15905), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2616), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [9340] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15347), 1,
      sym__type,
    STATE(15938), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2617), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [9478] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15408), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16679), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2618), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [9616] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15424), 1,
      sym__type,
    STATE(15948), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2619), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [9754] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15285), 1,
      sym__type,
    STATE(15974), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2620), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [9892] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15427), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16748), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2621), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [10030] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15343), 1,
      sym__type,
    STATE(15993), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2622), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [10168] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15523), 1,
      sym__type,
    STATE(16024), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2623), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [10306] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15405), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16873), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2624), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [10444] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15526), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16959), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2625), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [10582] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15508), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(17006), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2626), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [10720] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15344), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(17020), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2627), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [10858] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15314), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(17061), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2628), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [10996] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15392), 1,
      sym__type,
    STATE(16080), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2629), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [11134] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15395), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(17088), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2630), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [11272] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15428), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(17177), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2631), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [11410] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15288), 1,
      sym__type,
    STATE(16111), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2632), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [11548] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15415), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(17239), 1,
      sym_name_and_type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2633), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [11686] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15322), 1,
      sym__type,
    STATE(16127), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2634), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [11824] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15359), 1,
      sym__type,
    STATE(16150), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2635), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [11962] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15532), 1,
      sym__type,
    STATE(16167), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2636), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12100] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15448), 1,
      sym__type,
    STATE(16177), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2637), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12238] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15425), 1,
      sym__type,
    STATE(16013), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2638), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12376] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15513), 1,
      sym__type,
    STATE(16045), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2639), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12514] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15284), 1,
      sym__type,
    STATE(16055), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2640), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12652] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15341), 1,
      sym__type,
    STATE(16064), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2641), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12790] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15464), 1,
      sym__type,
    STATE(16090), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2642), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12928] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15507), 1,
      sym__type,
    STATE(16207), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2643), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13066] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(5084), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9717), 1,
      sym_identifier,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15462), 1,
      sym__type,
    STATE(15887), 1,
      sym_name_and_type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2644), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16954), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13204] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5086), 1,
      anon_sym_RPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2645), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13339] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5090), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2646), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13474] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5092), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2647), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13609] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5094), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2648), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13744] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5096), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16277), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2649), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13879] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5098), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2650), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14014] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5100), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2651), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14149] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5102), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2652), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14284] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5104), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16277), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2653), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14419] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5106), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2654), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14554] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5108), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16277), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2655), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14689] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5110), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2656), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14824] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5112), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2657), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14959] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5114), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16277), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2658), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15094] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5116), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2659), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15229] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5118), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2660), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15364] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5120), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2661), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15499] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5122), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2662), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15634] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5124), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2663), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15769] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5126), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2664), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15904] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5128), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2665), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16039] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5130), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2666), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16174] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5132), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16277), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2667), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16309] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5134), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16277), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2668), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16444] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5136), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2669), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16579] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5138), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16277), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2670), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16714] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5140), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2671), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16849] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5142), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2672), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16984] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5144), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2673), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17119] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5146), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2674), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17254] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5148), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2675), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17389] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5150), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2676), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17524] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5152), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2677), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17659] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5154), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2678), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17794] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5156), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16277), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2679), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17929] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5158), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2680), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18064] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5160), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2681), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18199] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5162), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16277), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2682), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18334] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5164), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2683), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18469] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5166), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2684), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18604] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5168), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2685), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18739] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5170), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2686), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18874] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5172), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2687), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19009] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5174), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16277), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2688), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19144] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5176), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2689), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19279] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5178), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2690), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19414] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5180), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2691), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19549] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5182), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2692), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19684] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5184), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2693), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19819] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5186), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2694), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19954] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5188), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2695), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20089] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5190), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2696), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20224] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5192), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2697), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20359] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5194), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2698), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20494] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5196), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2699), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20629] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5198), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2700), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20764] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5200), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2701), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20899] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5202), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2702), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21034] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5204), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2703), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21169] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5206), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2704), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21304] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5208), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2705), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21439] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5210), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2706), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21574] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5212), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2707), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21709] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5214), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2708), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21844] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5216), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16277), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2709), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21979] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5218), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2710), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22114] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5220), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16277), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2711), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22249] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5222), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2712), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22384] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5224), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2713), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22519] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5226), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2714), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22654] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5228), 1,
      anon_sym_RPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16101), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2715), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22789] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5230), 1,
      anon_sym_EQ_GT,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15779), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2716), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16693), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22921] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5230), 1,
      anon_sym_EQ_GT,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15546), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2717), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16485), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23053] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5230), 1,
      anon_sym_EQ_GT,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15680), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2718), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16067), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23185] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5230), 1,
      anon_sym_EQ_GT,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15766), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2719), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16590), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23317] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16538), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2720), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17343), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23449] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16832), 1,
      sym__type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2721), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17551), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23581] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5230), 1,
      anon_sym_EQ_GT,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15791), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2722), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16938), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23713] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15973), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2723), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17694), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23845] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16277), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2724), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17675), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23977] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5230), 1,
      anon_sym_EQ_GT,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15711), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2725), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16935), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24109] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(707), 1,
      anon_sym_EQ_GT,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(16583), 1,
      sym__type,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2726), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17365), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24241] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5230), 1,
      anon_sym_EQ_GT,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15736), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2727), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16085), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24373] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(5230), 1,
      anon_sym_EQ_GT,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(15673), 1,
      sym__type,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2728), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16409), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24505] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5232), 1,
      anon_sym_RBRACE,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15429), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17373), 1,
      sym_context_bound,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2729), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24636] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5236), 1,
      anon_sym_implicit,
    ACTIONS(5238), 1,
      anon_sym_LPAREN,
    ACTIONS(5240), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9762), 1,
      sym_identifier,
    STATE(10277), 1,
      sym_wildcard,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(12293), 1,
      sym__type,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(17617), 1,
      sym_bindings,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2730), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 7,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [24769] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5242), 1,
      anon_sym_RBRACE,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15429), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17373), 1,
      sym_context_bound,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2731), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24900] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5244), 1,
      anon_sym_RBRACE,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15429), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17373), 1,
      sym_context_bound,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2732), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25031] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5246), 1,
      anon_sym_RBRACE,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15429), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17373), 1,
      sym_context_bound,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2733), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25162] = 37,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5248), 1,
      anon_sym_implicit,
    ACTIONS(5250), 1,
      anon_sym_LPAREN,
    ACTIONS(5252), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(8255), 1,
      sym__type,
    STATE(9571), 1,
      sym_identifier,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10045), 1,
      sym_wildcard,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17673), 1,
      sym_bindings,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2734), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 7,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [25295] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4260), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
      anon_sym_yield,
    ACTIONS(4256), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [25368] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17479), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    ACTIONS(5254), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2736), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25497] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5256), 1,
      anon_sym_RBRACE,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15429), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17373), 1,
      sym_context_bound,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2737), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25628] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5258), 1,
      anon_sym_RBRACE,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15429), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17373), 1,
      sym_context_bound,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2738), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25759] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5260), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2739), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25887] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5262), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2740), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26015] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5264), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2741), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26143] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5266), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2742), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26271] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5268), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2743), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26399] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5270), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2744), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26527] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5272), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2745), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26655] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15957), 1,
      sym_name_and_type,
    STATE(16609), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2746), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26783] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5276), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2747), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26911] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5278), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2748), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27039] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5280), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2749), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27167] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5282), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2750), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27295] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5284), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2751), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27423] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5286), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2752), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27551] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5288), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2753), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27679] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16143), 1,
      sym_name_and_type,
    STATE(16753), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2754), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27807] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5290), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2755), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27935] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5292), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2756), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28063] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5294), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2757), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28191] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5296), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2758), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28319] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5298), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2759), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28447] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5300), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2760), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28575] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5302), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2761), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28703] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5304), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2762), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28831] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16434), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16913), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2763), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28959] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5306), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2764), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [29087] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5308), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2765), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [29215] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5310), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2766), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [29343] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5312), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2767), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [29471] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5314), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2768), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [29599] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5316), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2769), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [29727] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5318), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2770), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [29855] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5320), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2771), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [29983] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5322), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2772), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30111] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16544), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17169), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2773), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30239] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5324), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2774), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30367] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5326), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2775), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30495] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5328), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2776), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30623] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5330), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2777), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30751] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5332), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2778), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30879] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5334), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2779), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31007] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15968), 1,
      sym__type,
    STATE(16700), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2780), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31135] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5336), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2781), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31263] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5338), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2782), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31391] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5340), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2783), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31519] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5342), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2784), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31647] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5344), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2785), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31775] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5346), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2786), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31903] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16932), 1,
      sym_name_and_type,
    STATE(16936), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2787), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32031] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5348), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2788), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32159] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5350), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2789), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32287] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5352), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2790), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32415] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5354), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2791), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32543] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5356), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2792), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32671] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5358), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2793), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32799] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5360), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2794), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32927] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16147), 1,
      sym__type,
    STATE(16891), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2795), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33055] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5362), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2796), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33183] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5364), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2797), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33311] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5366), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2798), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33439] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5368), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2799), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33567] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5370), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2800), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33695] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5372), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2801), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33823] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5374), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2802), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33951] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5376), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2803), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34079] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5378), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2804), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34207] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16435), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17066), 1,
      sym_name_and_type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2805), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34335] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5380), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2806), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34463] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5382), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2807), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34591] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5384), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2808), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34719] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5386), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2809), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34847] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5388), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2810), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34975] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5390), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2811), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35103] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16545), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17268), 1,
      sym_name_and_type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2812), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35231] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5392), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2813), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35359] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5394), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2814), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35487] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5396), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2815), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35615] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5398), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2816), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35743] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5400), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2817), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35871] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5402), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2818), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35999] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5404), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2819), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36127] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5406), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2820), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36255] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16124), 1,
      sym_name_and_type,
    STATE(16633), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2821), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36383] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5408), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2822), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36511] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(89), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5414), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 1,
      anon_sym_LPAREN,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7120), 1,
      sym__annotated_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11227), 1,
      sym__non_null_literal,
    STATE(11245), 1,
      sym_literal_type,
    STATE(13369), 1,
      sym__infix_type_choice,
    STATE(14846), 1,
      sym__type,
    STATE(14945), 1,
      sym_context_bound,
    STATE(16388), 1,
      sym_type_parameters,
    STATE(16395), 1,
      sym_parameter_types,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(91), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(93), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(105), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2823), 2,
      sym_comment,
      sym_block_comment,
    STATE(10368), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10554), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36639] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5424), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2824), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36767] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5426), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2825), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36895] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5428), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2826), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37023] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5430), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2827), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37151] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5432), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2828), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37279] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5434), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2829), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37407] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16173), 1,
      sym_name_and_type,
    STATE(16701), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2830), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37535] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5436), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2831), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37663] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5438), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2832), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37791] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5440), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2833), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37919] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5442), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2834), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38047] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5444), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2835), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38175] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5446), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2836), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38303] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5448), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2837), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38431] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5450), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2838), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38559] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5452), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2839), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38687] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16559), 1,
      sym_name_and_type,
    STATE(16765), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2840), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38815] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5454), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2841), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38943] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5456), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2842), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39071] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5458), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2843), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39199] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5460), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2844), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39327] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5462), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2845), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39455] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5464), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2846), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39583] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16391), 1,
      sym_name_and_type,
    STATE(16827), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2847), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39711] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5466), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2848), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39839] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5468), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2849), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39967] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5470), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2850), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40095] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5472), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2851), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40223] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5474), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2852), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40351] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5476), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2853), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40479] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(167), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(5478), 1,
      anon_sym_LBRACE,
    ACTIONS(5480), 1,
      anon_sym_LBRACK,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(7025), 1,
      sym__annotated_type,
    STATE(8788), 1,
      sym__non_null_literal,
    STATE(8790), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(13402), 1,
      sym__infix_type_choice,
    STATE(14846), 1,
      sym__type,
    STATE(14945), 1,
      sym_context_bound,
    STATE(16474), 1,
      sym_type_parameters,
    STATE(16475), 1,
      sym_parameter_types,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(169), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(171), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2854), 2,
      sym_comment,
      sym_block_comment,
    STATE(6796), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7234), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40607] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16467), 1,
      sym_name_and_type,
    STATE(16893), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2855), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40735] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5488), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2856), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40863] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5490), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2857), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40991] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5492), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2858), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41119] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5494), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2859), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41247] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5496), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2860), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41375] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5498), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2861), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41503] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5500), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2862), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41631] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5502), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2863), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41759] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16520), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16976), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2864), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41887] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5504), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2865), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42015] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5506), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2866), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42143] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5508), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2867), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42271] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5510), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2868), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42399] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5512), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2869), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42527] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5514), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2870), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42655] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5516), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2871), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42783] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16393), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17070), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2872), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42911] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5518), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2873), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43039] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5520), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2874), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43167] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5522), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2875), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43295] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5524), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2876), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43423] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5526), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2877), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43551] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5528), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2878), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43679] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5530), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2879), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43807] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16573), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17270), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2880), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43935] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5532), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2881), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44063] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5534), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2882), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44191] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5536), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2883), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44319] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5538), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2884), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44447] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5540), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2885), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44575] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5542), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2886), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44703] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5544), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2887), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44831] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15904), 1,
      sym__type,
    STATE(16620), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2888), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44959] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5546), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2889), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45087] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5548), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2890), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45215] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5550), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2891), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45343] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5552), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2892), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45471] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5554), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2893), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45599] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5556), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2894), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45727] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5558), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2895), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45855] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5560), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2896), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45983] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15964), 1,
      sym__type,
    STATE(16751), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2897), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46111] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5562), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2898), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46239] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5564), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2899), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46367] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5566), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2900), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46495] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5568), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2901), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46623] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16019), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16905), 1,
      sym_name_and_type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2902), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46751] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5570), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2903), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46879] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5572), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2904), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47007] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5574), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2905), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47135] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5576), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2906), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47263] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5578), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2907), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47391] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5580), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2908), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47519] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5582), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2909), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47647] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16076), 1,
      sym__type,
    STATE(16639), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2910), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47775] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5584), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2911), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47903] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5586), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2912), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48031] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5588), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2913), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48159] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5590), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2914), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48287] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5592), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2915), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48415] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5594), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2916), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48543] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16125), 1,
      sym__type,
    STATE(16658), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2917), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48671] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5596), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2918), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48799] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5598), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2919), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48927] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5600), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2920), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49055] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5602), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2921), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49183] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5604), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2922), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49311] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5606), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2923), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49439] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16174), 1,
      sym__type,
    STATE(16702), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2924), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49567] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5608), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2925), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49695] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5610), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2926), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49823] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5612), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2927), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49951] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5614), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2928), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50079] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(167), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(5480), 1,
      anon_sym_LBRACK,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(7025), 1,
      sym__annotated_type,
    STATE(8788), 1,
      sym__non_null_literal,
    STATE(8790), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(13402), 1,
      sym__infix_type_choice,
    STATE(14846), 1,
      sym__type,
    STATE(14945), 1,
      sym_context_bound,
    STATE(16474), 1,
      sym_type_parameters,
    STATE(16475), 1,
      sym_parameter_types,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(169), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(171), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2929), 2,
      sym_comment,
      sym_block_comment,
    STATE(6796), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7234), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50207] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5616), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2930), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50335] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16220), 1,
      sym__type,
    STATE(16309), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2931), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50463] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5618), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2932), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50591] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5620), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2933), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50719] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5622), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2934), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50847] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16282), 1,
      sym__type,
    STATE(16632), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2935), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50975] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5624), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2936), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51103] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5626), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2937), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51231] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5628), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2938), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51359] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5630), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2939), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51487] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5632), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2940), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51615] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5634), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2941), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51743] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16316), 1,
      sym__type,
    STATE(16762), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2942), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51871] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5636), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2943), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51999] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5638), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2944), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52127] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5640), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2945), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52255] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5642), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2946), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52383] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5644), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2947), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52511] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5646), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2948), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52639] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16338), 1,
      sym__type,
    STATE(16826), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2949), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52767] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5648), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2950), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52895] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5650), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2951), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53023] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5652), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2952), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53151] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5654), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2953), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53279] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5656), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2954), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53407] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16392), 1,
      sym__type,
    STATE(16730), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2955), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53535] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5658), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2956), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53663] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5660), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2957), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53791] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5662), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2958), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53919] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5664), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2959), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54047] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5666), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2960), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54175] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5668), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2961), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54303] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16428), 1,
      sym__type,
    STATE(16772), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2962), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54431] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5670), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2963), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54559] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5672), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2964), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54687] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5674), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2965), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54815] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5676), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2966), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54943] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16468), 1,
      sym__type,
    STATE(16810), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2967), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55071] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5678), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2968), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55199] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5680), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2969), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55327] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5682), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2970), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55455] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5684), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2971), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55583] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5686), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2972), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55711] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5688), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2973), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55839] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16499), 1,
      sym__type,
    STATE(16829), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2974), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55967] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5690), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2975), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56095] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5692), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2976), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56223] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5694), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2977), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56351] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5696), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2978), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56479] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5698), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2979), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56607] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5700), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2980), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56735] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16310), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16973), 1,
      sym_name_and_type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2981), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56863] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5702), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2982), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56991] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5704), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2983), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57119] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5706), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2984), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57247] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5708), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2985), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57375] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5710), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2986), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57503] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5712), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2987), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57631] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16521), 1,
      sym__type,
    STATE(16845), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2988), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57759] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5714), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2989), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57887] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5716), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2990), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58015] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5718), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2991), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58143] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5720), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2992), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58271] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5722), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2993), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58399] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5724), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2994), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58527] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16548), 1,
      sym__type,
    STATE(16860), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2995), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58655] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5726), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2996), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58783] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5728), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2997), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58911] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5730), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2998), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59039] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5732), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2999), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59167] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16574), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16939), 1,
      sym_name_and_type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3000), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59295] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5734), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3001), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59423] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5736), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3002), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59551] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5738), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3003), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59679] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5740), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3004), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59807] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5742), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3005), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59935] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16597), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(16989), 1,
      sym_name_and_type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3006), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60063] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5744), 1,
      anon_sym_LBRACK,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8775), 1,
      sym__annotated_type,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13355), 1,
      sym__infix_type_choice,
    STATE(15429), 1,
      sym__type,
    STATE(16175), 1,
      sym_context_bound,
    STATE(16347), 1,
      sym_type_parameters,
    STATE(16348), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3007), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60191] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5746), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3008), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60319] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5748), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3009), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60447] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5750), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3010), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60575] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15903), 1,
      sym_name_and_type,
    STATE(16621), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3011), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60703] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5752), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3012), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60831] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5754), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3013), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60959] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5756), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3014), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61087] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5758), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3015), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61215] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5760), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3016), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61343] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15963), 1,
      sym_name_and_type,
    STATE(16640), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3017), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61471] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5762), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3018), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61599] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16834), 1,
      sym_name_and_type,
    STATE(16837), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3019), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61727] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5764), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3020), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61855] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5766), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3021), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61983] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5768), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3022), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62111] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16017), 1,
      sym_name_and_type,
    STATE(16659), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3023), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62239] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5770), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3024), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62367] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5772), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3025), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62495] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5774), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3026), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62623] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15429), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17373), 1,
      sym_context_bound,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3027), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62751] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5776), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3028), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62879] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16075), 1,
      sym_name_and_type,
    STATE(16680), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3029), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63007] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5778), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3030), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63135] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5780), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3031), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63263] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5782), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3032), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63391] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5784), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3033), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63519] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16219), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17339), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3034), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63647] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5786), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3035), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63775] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5788), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3036), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63903] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5790), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3037), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64031] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5792), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3038), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64159] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16280), 1,
      sym_name_and_type,
    STATE(16719), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3039), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64287] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5794), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3040), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64415] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5796), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3041), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64543] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5798), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3042), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64671] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5800), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3043), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64799] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5802), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3044), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64927] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16315), 1,
      sym_name_and_type,
    STATE(16732), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3045), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65055] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5804), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3046), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65183] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5806), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3047), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65311] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5808), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3048), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65439] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5810), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3049), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65567] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16337), 1,
      sym_name_and_type,
    STATE(16749), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3050), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65695] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5812), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3051), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65823] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(89), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5414), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 1,
      anon_sym_LPAREN,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    ACTIONS(5478), 1,
      anon_sym_LBRACE,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7120), 1,
      sym__annotated_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11227), 1,
      sym__non_null_literal,
    STATE(11245), 1,
      sym_literal_type,
    STATE(13369), 1,
      sym__infix_type_choice,
    STATE(14846), 1,
      sym__type,
    STATE(14945), 1,
      sym_context_bound,
    STATE(16388), 1,
      sym_type_parameters,
    STATE(16395), 1,
      sym_parameter_types,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(91), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(93), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(105), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3052), 2,
      sym_comment,
      sym_block_comment,
    STATE(10368), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10554), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65951] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5814), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3053), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66079] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5816), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3054), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66207] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16773), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17146), 1,
      sym_name_and_type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3055), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66335] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5818), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3056), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66463] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5820), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3057), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66591] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5822), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3058), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66719] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5824), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3059), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66847] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5826), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3060), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66975] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5828), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3061), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67103] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16427), 1,
      sym_name_and_type,
    STATE(16791), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3062), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67231] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5830), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3063), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67359] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5832), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3064), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67487] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5834), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3065), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67615] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5836), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3066), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67743] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16811), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17207), 1,
      sym_name_and_type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3067), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67871] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16808), 1,
      sym_name_and_type,
    STATE(16812), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3068), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67999] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5744), 1,
      anon_sym_LBRACK,
    ACTIONS(5838), 1,
      anon_sym_LBRACE,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8775), 1,
      sym__annotated_type,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13355), 1,
      sym__infix_type_choice,
    STATE(15429), 1,
      sym__type,
    STATE(16175), 1,
      sym_context_bound,
    STATE(16347), 1,
      sym_type_parameters,
    STATE(16348), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3069), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68127] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5840), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3070), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68255] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16831), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17272), 1,
      sym_name_and_type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3071), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68383] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5842), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3072), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68511] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5844), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3073), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68639] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5846), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3074), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68767] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5848), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3075), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68895] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5850), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3076), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69023] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16846), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17322), 1,
      sym_name_and_type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3077), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69151] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5852), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3078), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69279] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(575), 1,
      sym_integer_literal,
    ACTIONS(4502), 1,
      anon_sym_COLON,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5858), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(6341), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(10380), 1,
      sym_literal_type,
    STATE(10428), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13467), 1,
      sym__infix_type_choice,
    STATE(14922), 1,
      sym__type,
    STATE(15253), 1,
      sym_context_bound,
    STATE(16416), 1,
      sym_type_parameters,
    STATE(16417), 1,
      sym_parameter_types,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(577), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(579), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(589), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3079), 2,
      sym_comment,
      sym_block_comment,
    STATE(9594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9632), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12935), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69407] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5868), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3080), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69535] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5870), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3081), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69663] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16498), 1,
      sym_name_and_type,
    STATE(16861), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3082), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69791] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5872), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3083), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69919] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5874), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3084), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70047] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5876), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3085), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70175] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5878), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3086), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70303] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5880), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3087), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70431] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5882), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3088), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70559] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5884), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3089), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70687] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4260), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 11,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_DQUOTE,
      anon_sym_yield,
    ACTIONS(4256), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [70759] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15894), 1,
      sym_name_and_type,
    STATE(16889), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3091), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70887] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5886), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3092), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71015] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5888), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3093), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71143] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5890), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3094), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71271] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16547), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16909), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3095), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71399] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5892), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3096), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71527] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5894), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3097), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71655] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5896), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3098), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71783] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15913), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16924), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3099), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71911] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5898), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3100), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72039] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5900), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3101), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72167] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5902), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3102), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72295] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16596), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16940), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3103), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72423] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5904), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3104), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72551] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5906), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3105), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72679] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15927), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16960), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3106), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72807] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5908), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3107), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72935] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5910), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3108), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73063] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5912), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3109), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73191] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16679), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16975), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3110), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73319] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5914), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3111), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73447] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16718), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(16990), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3112), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73575] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5916), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3113), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73703] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5918), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3114), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73831] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15960), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17007), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3115), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73959] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5920), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3116), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74087] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5922), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3117), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74215] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15984), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17022), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3118), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74343] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5924), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3119), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74471] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5926), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3120), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74599] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16748), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17038), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3121), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74727] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5928), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3122), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74855] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5930), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3123), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74983] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5932), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3124), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75111] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16003), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17062), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3125), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75239] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5934), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3126), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75367] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16790), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17090), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3127), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75495] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16564), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16980), 1,
      sym_name_and_type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3128), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75623] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5936), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3129), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75751] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5938), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3130), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75879] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16034), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17119), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3131), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76007] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5940), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3132), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76135] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5942), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3133), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76263] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5944), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3134), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76391] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16873), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17148), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3135), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76519] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5946), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3136), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76647] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5948), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3137), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76775] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16888), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17179), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3138), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76903] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5950), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3139), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77031] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5952), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3140), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77159] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5954), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3141), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77287] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16907), 1,
      sym_name_and_type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17209), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3142), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77415] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5956), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3143), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77543] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17033), 1,
      sym_name_and_type,
    STATE(17034), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3144), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77671] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5958), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3145), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77799] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16923), 1,
      sym_name_and_type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17241), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3146), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77927] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5960), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3147), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78055] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5962), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3148), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78183] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16959), 1,
      sym_name_and_type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17274), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3149), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78311] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5964), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3150), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78439] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5966), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3151), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78567] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5968), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3152), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78695] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16974), 1,
      sym_name_and_type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17305), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3153), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78823] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5970), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3154), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78951] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17006), 1,
      sym_name_and_type,
    STATE(17323), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3155), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79079] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5972), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3156), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79207] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5974), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3157), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79335] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15877), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17020), 1,
      sym_name_and_type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3158), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79463] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5976), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3159), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79591] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5978), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3160), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79719] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15888), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17036), 1,
      sym_name_and_type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3161), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79847] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5980), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3162), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79975] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5982), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3163), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80103] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5984), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3164), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80231] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15895), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17061), 1,
      sym_name_and_type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3165), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80359] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5986), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3166), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80487] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5988), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3167), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80615] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5990), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3168), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80743] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15906), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17088), 1,
      sym_name_and_type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3169), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80871] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5992), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3170), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80999] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5994), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3171), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81127] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5996), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3172), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81255] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15914), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17117), 1,
      sym_name_and_type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3173), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81383] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5998), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3174), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81511] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6000), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3175), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81639] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6002), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3176), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81767] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15928), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17177), 1,
      sym_name_and_type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3177), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81895] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6004), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3178), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82023] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6006), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3179), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82151] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15939), 1,
      sym__type,
    STATE(16102), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3180), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82279] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6008), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3181), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82407] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6010), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3182), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82535] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15949), 1,
      sym__type,
    STATE(16118), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3183), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82663] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6012), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3184), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82791] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6014), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3185), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82919] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6016), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3186), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83047] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15961), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17239), 1,
      sym_name_and_type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3187), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83175] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6018), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3188), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83303] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6020), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3189), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83431] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6022), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3190), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83559] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15975), 1,
      sym__type,
    STATE(16137), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3191), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83687] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6024), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3192), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83815] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16063), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16983), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3193), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83943] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15985), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17303), 1,
      sym_name_and_type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3194), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84071] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6026), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3195), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84199] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6028), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3196), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84327] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6030), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3197), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84455] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15994), 1,
      sym__type,
    STATE(16160), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3198), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84583] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6032), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3199), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84711] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15887), 1,
      sym_name_and_type,
    STATE(16004), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3200), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84839] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6034), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3201), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84967] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6036), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3202), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85095] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15905), 1,
      sym_name_and_type,
    STATE(16014), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3203), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85223] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6038), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3204), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85351] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6040), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3205), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85479] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15938), 1,
      sym_name_and_type,
    STATE(16025), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3206), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85607] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6042), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3207), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85735] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6044), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3208), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85863] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15948), 1,
      sym_name_and_type,
    STATE(16035), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3209), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85991] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6046), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3210), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86119] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6048), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3211), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86247] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6050), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3212), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86375] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16046), 1,
      sym__type,
    STATE(16186), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3213), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86503] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6052), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3214), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86631] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15974), 1,
      sym_name_and_type,
    STATE(16056), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3215), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86759] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6054), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3216), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86887] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6056), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3217), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87015] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15993), 1,
      sym_name_and_type,
    STATE(16065), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3218), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87143] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6058), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3219), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87271] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6060), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3220), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87399] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16013), 1,
      sym_name_and_type,
    STATE(16081), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3221), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87527] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6062), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3222), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87655] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6064), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3223), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87783] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16024), 1,
      sym_name_and_type,
    STATE(16091), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3224), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87911] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6066), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3225), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88039] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6068), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3226), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88167] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6070), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3227), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88295] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16045), 1,
      sym_name_and_type,
    STATE(16103), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3228), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88423] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6072), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3229), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88551] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6074), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3230), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88679] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6076), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3231), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88807] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16055), 1,
      sym_name_and_type,
    STATE(16112), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3232), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88935] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6078), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3233), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89063] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6080), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3234), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89191] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16064), 1,
      sym_name_and_type,
    STATE(16119), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3235), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89319] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6082), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3236), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89447] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6084), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3237), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89575] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16080), 1,
      sym_name_and_type,
    STATE(16128), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3238), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89703] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6086), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3239), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89831] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16090), 1,
      sym_name_and_type,
    STATE(16138), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3240), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89959] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6088), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3241), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90087] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6090), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3242), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90215] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16151), 1,
      sym__type,
    STATE(16213), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3243), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90343] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6092), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3244), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90471] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6094), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3245), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90599] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16111), 1,
      sym_name_and_type,
    STATE(16161), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3246), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90727] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6096), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3247), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90855] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6098), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3248), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90983] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6100), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3249), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91111] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16127), 1,
      sym_name_and_type,
    STATE(16168), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3250), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91239] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6102), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3251), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91367] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6104), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3252), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91495] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16150), 1,
      sym_name_and_type,
    STATE(16178), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3253), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91623] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6106), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3254), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91751] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6108), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3255), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91879] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16167), 1,
      sym_name_and_type,
    STATE(16187), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3256), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92007] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6110), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3257), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92135] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6112), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3258), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92263] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16177), 1,
      sym_name_and_type,
    STATE(16198), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3259), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92391] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16066), 1,
      sym__type,
    STATE(16608), 1,
      sym_name_and_type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3260), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92519] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16197), 1,
      sym_name_and_type,
    STATE(16208), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3261), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92647] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6114), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3262), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92775] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6116), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3263), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92903] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6118), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3264), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93031] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16207), 1,
      sym_name_and_type,
    STATE(16214), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3265), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93159] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6120), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3266), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93287] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6122), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3267), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93415] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6124), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3268), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93543] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6126), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3269), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93671] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6128), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3270), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93799] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6130), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3271), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93927] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6132), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3272), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94055] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6134), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3273), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94183] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6136), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3274), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94311] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6138), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3275), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94439] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6140), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3276), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94567] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6142), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3277), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94695] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6144), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3278), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94823] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6146), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3279), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94951] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3280), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95079] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6150), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3281), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95207] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6152), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3282), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95335] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6154), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3283), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95463] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6156), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3284), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95591] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6158), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3285), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95719] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6160), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3286), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95847] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6162), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3287), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95975] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6164), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3288), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96103] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6166), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3289), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96231] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6168), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3290), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96359] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6170), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3291), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96487] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6172), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3292), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96615] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6174), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3293), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96743] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6176), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3294), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96871] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6178), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3295), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96999] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6180), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3296), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97127] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6182), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3297), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97255] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6184), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3298), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97383] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6186), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3299), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97511] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6188), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3300), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97639] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6190), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3301), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97767] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6192), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3302), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97895] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6194), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3303), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98023] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6196), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3304), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98151] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6198), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3305), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98279] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6200), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3306), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98407] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6202), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3307), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98535] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6204), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3308), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98663] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6206), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3309), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98791] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6208), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3310), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98919] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6210), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3311), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99047] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6212), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3312), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99175] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6214), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3313), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99303] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16394), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17156), 1,
      sym_name_and_type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3314), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99431] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6216), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3315), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99559] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6218), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3316), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99687] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6220), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3317), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99815] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6222), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3318), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99943] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6224), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3319), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100071] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6226), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3320), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100199] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6228), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3321), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100327] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6230), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3322), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100455] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6232), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3323), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100583] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4260), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 11,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
      anon_sym_yield,
    ACTIONS(4256), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [100655] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6234), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3325), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100783] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6236), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3326), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100911] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6238), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3327), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101039] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6240), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3328), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101167] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6242), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3329), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101295] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(575), 1,
      sym_integer_literal,
    ACTIONS(4502), 1,
      anon_sym_COLON,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5858), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    ACTIONS(6244), 1,
      anon_sym_LBRACE,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(6341), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(10380), 1,
      sym_literal_type,
    STATE(10428), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13467), 1,
      sym__infix_type_choice,
    STATE(14922), 1,
      sym__type,
    STATE(15253), 1,
      sym_context_bound,
    STATE(16416), 1,
      sym_type_parameters,
    STATE(16417), 1,
      sym_parameter_types,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(577), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(579), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(589), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3330), 2,
      sym_comment,
      sym_block_comment,
    STATE(9594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9632), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12935), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101423] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6246), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3331), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101551] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6248), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3332), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101679] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6250), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3333), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101807] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6252), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3334), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101935] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6254), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3335), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102063] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6256), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3336), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102191] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6258), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3337), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102319] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6260), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3338), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102447] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6262), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3339), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102575] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6264), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3340), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102703] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6266), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3341), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102831] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6268), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3342), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102959] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6270), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3343), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103087] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6272), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3344), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103215] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6274), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3345), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103343] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6276), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3346), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103471] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6278), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3347), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103599] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6280), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3348), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103727] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6282), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3349), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103855] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6284), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3350), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103983] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6286), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3351), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104111] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6288), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3352), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104239] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6290), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3353), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104367] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6292), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3354), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104495] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6294), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3355), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104623] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6296), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3356), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104751] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6298), 1,
      anon_sym_RPAREN,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3357), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104879] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6300), 1,
      anon_sym_RBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3358), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105007] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5274), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(10208), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15876), 1,
      sym_name_and_type,
    STATE(16875), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3359), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105135] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18969), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3360), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105260] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(12399), 1,
      sym__type,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3361), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105385] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6302), 1,
      sym__alpha_identifier,
    ACTIONS(6304), 1,
      anon_sym_COLON,
    ACTIONS(6306), 1,
      anon_sym_LBRACE,
    ACTIONS(6308), 1,
      anon_sym__,
    ACTIONS(6310), 1,
      anon_sym_LBRACK,
    ACTIONS(6314), 1,
      anon_sym_LPAREN,
    ACTIONS(6316), 1,
      sym__backquoted_id,
    ACTIONS(6318), 1,
      sym_operator_identifier,
    ACTIONS(6320), 1,
      sym_integer_literal,
    STATE(5631), 1,
      sym__simple_type,
    STATE(5902), 1,
      sym_identifier,
    STATE(5903), 1,
      sym__annotated_type,
    STATE(6100), 1,
      sym__soft_identifier,
    STATE(9721), 1,
      sym_annotated_type,
    STATE(11203), 1,
      sym__non_null_literal,
    STATE(11282), 1,
      sym_literal_type,
    STATE(11438), 1,
      sym__type,
    STATE(11542), 1,
      sym_template_body,
    STATE(13474), 1,
      sym__infix_type_choice,
    STATE(16631), 1,
      sym_type_parameters,
    STATE(16634), 1,
      sym_parameter_types,
    STATE(18570), 1,
      sym_stable_identifier,
    ACTIONS(6322), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6324), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6326), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3362), 2,
      sym_comment,
      sym_block_comment,
    STATE(10578), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11128), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11552), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11421), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6312), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6504), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105510] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(89), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5418), 1,
      anon_sym_LPAREN,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    ACTIONS(6328), 1,
      anon_sym_LBRACK,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(8460), 1,
      sym__annotated_type,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11227), 1,
      sym__non_null_literal,
    STATE(11245), 1,
      sym_literal_type,
    STATE(13379), 1,
      sym__infix_type_choice,
    STATE(14925), 1,
      sym__type,
    STATE(16606), 1,
      sym_type_parameters,
    STATE(16612), 1,
      sym_parameter_types,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(91), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(93), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(105), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3363), 2,
      sym_comment,
      sym_block_comment,
    STATE(10368), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10554), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105635] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18388), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3364), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105760] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1851), 1,
      sym_integer_literal,
    ACTIONS(6330), 1,
      sym__alpha_identifier,
    ACTIONS(6332), 1,
      anon_sym_COLON,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    ACTIONS(6336), 1,
      anon_sym__,
    ACTIONS(6338), 1,
      anon_sym_LBRACK,
    ACTIONS(6342), 1,
      anon_sym_LPAREN,
    ACTIONS(6344), 1,
      sym__backquoted_id,
    ACTIONS(6346), 1,
      sym_operator_identifier,
    STATE(5473), 1,
      sym__simple_type,
    STATE(5789), 1,
      sym__annotated_type,
    STATE(6086), 1,
      sym__soft_identifier,
    STATE(6110), 1,
      sym_identifier,
    STATE(9362), 1,
      sym_annotated_type,
    STATE(11148), 1,
      sym__non_null_literal,
    STATE(11226), 1,
      sym_literal_type,
    STATE(13457), 1,
      sym__infix_type_choice,
    STATE(14223), 1,
      sym_template_body,
    STATE(14358), 1,
      sym__type,
    STATE(16351), 1,
      sym_type_parameters,
    STATE(16352), 1,
      sym_parameter_types,
    STATE(18436), 1,
      sym_stable_identifier,
    ACTIONS(1853), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1855), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1859), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3365), 2,
      sym_comment,
      sym_block_comment,
    STATE(8856), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9074), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10687), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14100), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6340), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6347), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105885] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18455), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3366), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106010] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(12471), 1,
      sym__type,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3367), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106135] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16329), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3368), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106260] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(12473), 1,
      sym__type,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3369), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106385] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(89), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5414), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 1,
      anon_sym_LPAREN,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7120), 1,
      sym__annotated_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11227), 1,
      sym__non_null_literal,
    STATE(11245), 1,
      sym_literal_type,
    STATE(11429), 1,
      sym__type,
    STATE(13369), 1,
      sym__infix_type_choice,
    STATE(16388), 1,
      sym_type_parameters,
    STATE(16395), 1,
      sym_parameter_types,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(91), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(93), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(105), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3370), 2,
      sym_comment,
      sym_block_comment,
    STATE(10368), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10554), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106510] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1317), 1,
      sym_integer_literal,
    ACTIONS(6348), 1,
      sym__alpha_identifier,
    ACTIONS(6350), 1,
      anon_sym_COLON,
    ACTIONS(6352), 1,
      anon_sym_LBRACE,
    ACTIONS(6354), 1,
      anon_sym__,
    ACTIONS(6356), 1,
      anon_sym_LBRACK,
    ACTIONS(6360), 1,
      anon_sym_LPAREN,
    ACTIONS(6362), 1,
      sym__backquoted_id,
    ACTIONS(6364), 1,
      sym_operator_identifier,
    STATE(5577), 1,
      sym__simple_type,
    STATE(5781), 1,
      sym__annotated_type,
    STATE(6052), 1,
      sym_identifier,
    STATE(6144), 1,
      sym__soft_identifier,
    STATE(9312), 1,
      sym_annotated_type,
    STATE(11198), 1,
      sym_literal_type,
    STATE(11257), 1,
      sym__non_null_literal,
    STATE(13549), 1,
      sym__infix_type_choice,
    STATE(14170), 1,
      sym_template_body,
    STATE(14640), 1,
      sym__type,
    STATE(16379), 1,
      sym_type_parameters,
    STATE(16380), 1,
      sym_parameter_types,
    STATE(18907), 1,
      sym_stable_identifier,
    ACTIONS(1319), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1321), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1325), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3371), 2,
      sym_comment,
      sym_block_comment,
    STATE(9184), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9330), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10683), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14216), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6358), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6385), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106635] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(12474), 1,
      sym__type,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3372), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106760] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1665), 1,
      sym_integer_literal,
    ACTIONS(6366), 1,
      sym__alpha_identifier,
    ACTIONS(6368), 1,
      anon_sym_COLON,
    ACTIONS(6370), 1,
      anon_sym_LBRACE,
    ACTIONS(6372), 1,
      anon_sym__,
    ACTIONS(6374), 1,
      anon_sym_LBRACK,
    ACTIONS(6378), 1,
      anon_sym_LPAREN,
    ACTIONS(6380), 1,
      sym__backquoted_id,
    ACTIONS(6382), 1,
      sym_operator_identifier,
    STATE(5586), 1,
      sym__simple_type,
    STATE(5783), 1,
      sym__annotated_type,
    STATE(6121), 1,
      sym__soft_identifier,
    STATE(6334), 1,
      sym_identifier,
    STATE(8881), 1,
      sym_annotated_type,
    STATE(11131), 1,
      sym_literal_type,
    STATE(11168), 1,
      sym__non_null_literal,
    STATE(13502), 1,
      sym__infix_type_choice,
    STATE(14091), 1,
      sym_template_body,
    STATE(14619), 1,
      sym__type,
    STATE(16357), 1,
      sym_type_parameters,
    STATE(16358), 1,
      sym_parameter_types,
    STATE(18668), 1,
      sym_stable_identifier,
    ACTIONS(1667), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1669), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1673), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3373), 2,
      sym_comment,
      sym_block_comment,
    STATE(9301), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9420), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10606), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14350), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6376), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6877), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106885] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(89), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5418), 1,
      anon_sym_LPAREN,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    ACTIONS(6328), 1,
      anon_sym_LBRACK,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(8460), 1,
      sym__annotated_type,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11227), 1,
      sym__non_null_literal,
    STATE(11245), 1,
      sym_literal_type,
    STATE(13379), 1,
      sym__infix_type_choice,
    STATE(14995), 1,
      sym__type,
    STATE(16606), 1,
      sym_type_parameters,
    STATE(16612), 1,
      sym_parameter_types,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(91), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(93), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(105), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3374), 2,
      sym_comment,
      sym_block_comment,
    STATE(10368), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10554), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107010] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1389), 1,
      sym_integer_literal,
    ACTIONS(6384), 1,
      sym__alpha_identifier,
    ACTIONS(6386), 1,
      anon_sym_COLON,
    ACTIONS(6388), 1,
      anon_sym_LBRACE,
    ACTIONS(6390), 1,
      anon_sym__,
    ACTIONS(6392), 1,
      anon_sym_LBRACK,
    ACTIONS(6396), 1,
      anon_sym_LPAREN,
    ACTIONS(6398), 1,
      sym__backquoted_id,
    ACTIONS(6400), 1,
      sym_operator_identifier,
    STATE(5392), 1,
      sym__annotated_type,
    STATE(5512), 1,
      sym__simple_type,
    STATE(6130), 1,
      sym__soft_identifier,
    STATE(6158), 1,
      sym_identifier,
    STATE(9001), 1,
      sym_annotated_type,
    STATE(11123), 1,
      sym_literal_type,
    STATE(11237), 1,
      sym__non_null_literal,
    STATE(13507), 1,
      sym__infix_type_choice,
    STATE(14101), 1,
      sym_template_body,
    STATE(14371), 1,
      sym__type,
    STATE(16359), 1,
      sym_type_parameters,
    STATE(16360), 1,
      sym_parameter_types,
    STATE(18704), 1,
      sym_stable_identifier,
    ACTIONS(1391), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1393), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1397), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3375), 2,
      sym_comment,
      sym_block_comment,
    STATE(8777), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9410), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10670), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14228), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6394), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6414), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107135] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    STATE(19120), 1,
      sym__type,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3376), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107260] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(89), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5414), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 1,
      anon_sym_LPAREN,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7120), 1,
      sym__annotated_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11227), 1,
      sym__non_null_literal,
    STATE(11245), 1,
      sym_literal_type,
    STATE(11447), 1,
      sym__type,
    STATE(13369), 1,
      sym__infix_type_choice,
    STATE(16388), 1,
      sym_type_parameters,
    STATE(16395), 1,
      sym_parameter_types,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(91), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(93), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(105), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3377), 2,
      sym_comment,
      sym_block_comment,
    STATE(10368), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10554), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107385] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    STATE(19124), 1,
      sym__type,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3378), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107510] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(89), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5414), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 1,
      anon_sym_LPAREN,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7120), 1,
      sym__annotated_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11227), 1,
      sym__non_null_literal,
    STATE(11245), 1,
      sym_literal_type,
    STATE(11462), 1,
      sym__type,
    STATE(13369), 1,
      sym__infix_type_choice,
    STATE(16388), 1,
      sym_type_parameters,
    STATE(16395), 1,
      sym_parameter_types,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(91), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(93), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(105), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3379), 2,
      sym_comment,
      sym_block_comment,
    STATE(10368), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10554), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107635] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16469), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3380), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107760] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(89), 1,
      sym_integer_literal,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5418), 1,
      anon_sym_LPAREN,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    ACTIONS(6402), 1,
      anon_sym_COLON,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(8575), 1,
      sym__annotated_type,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11227), 1,
      sym__non_null_literal,
    STATE(11245), 1,
      sym_literal_type,
    STATE(11429), 1,
      sym__type,
    STATE(13367), 1,
      sym__infix_type_choice,
    STATE(16061), 1,
      sym_type_parameters,
    STATE(16078), 1,
      sym_parameter_types,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(91), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(93), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(105), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3381), 2,
      sym_comment,
      sym_block_comment,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10368), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10554), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107885] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4672), 1,
      anon_sym_COLON,
    ACTIONS(4674), 1,
      anon_sym_LBRACE,
    ACTIONS(4920), 1,
      sym__alpha_identifier,
    ACTIONS(4922), 1,
      anon_sym__,
    ACTIONS(4926), 1,
      anon_sym_LBRACK,
    ACTIONS(4932), 1,
      sym__backquoted_id,
    ACTIONS(4936), 1,
      sym_integer_literal,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym_operator_identifier,
    STATE(4776), 1,
      sym__simple_type,
    STATE(4782), 1,
      sym__annotated_type,
    STATE(4883), 1,
      sym_identifier,
    STATE(4983), 1,
      sym__soft_identifier,
    STATE(7004), 1,
      sym_annotated_type,
    STATE(10101), 1,
      sym__non_null_literal,
    STATE(10144), 1,
      sym_literal_type,
    STATE(12515), 1,
      sym__type,
    STATE(12633), 1,
      sym_template_body,
    STATE(13446), 1,
      sym__infix_type_choice,
    STATE(16355), 1,
      sym_type_parameters,
    STATE(16356), 1,
      sym_parameter_types,
    STATE(18316), 1,
      sym_stable_identifier,
    ACTIONS(4938), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4940), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4942), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3382), 2,
      sym_comment,
      sym_block_comment,
    STATE(8959), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10232), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13117), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12855), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4928), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5064), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108010] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6412), 1,
      sym__alpha_identifier,
    ACTIONS(6414), 1,
      anon_sym_COLON,
    ACTIONS(6416), 1,
      anon_sym_LBRACE,
    ACTIONS(6418), 1,
      anon_sym__,
    ACTIONS(6420), 1,
      anon_sym_LBRACK,
    ACTIONS(6424), 1,
      anon_sym_LPAREN,
    ACTIONS(6426), 1,
      sym__backquoted_id,
    ACTIONS(6428), 1,
      sym_operator_identifier,
    ACTIONS(6430), 1,
      sym_integer_literal,
    STATE(6300), 1,
      sym__simple_type,
    STATE(6354), 1,
      sym_identifier,
    STATE(6890), 1,
      sym__soft_identifier,
    STATE(6977), 1,
      sym__annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(10256), 1,
      sym_annotated_type,
    STATE(11392), 1,
      sym__non_null_literal,
    STATE(11393), 1,
      sym_literal_type,
    STATE(11672), 1,
      sym__type,
    STATE(13140), 1,
      sym__infix_type_choice,
    STATE(16317), 1,
      sym_type_parameters,
    STATE(16318), 1,
      sym_parameter_types,
    STATE(19353), 1,
      sym_stable_identifier,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3383), 2,
      sym_comment,
      sym_block_comment,
    STATE(10871), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11765), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6422), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7457), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108135] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4670), 1,
      sym__alpha_identifier,
    ACTIONS(4672), 1,
      anon_sym_COLON,
    ACTIONS(4674), 1,
      anon_sym_LBRACE,
    ACTIONS(4676), 1,
      anon_sym__,
    ACTIONS(4680), 1,
      anon_sym_LBRACK,
    ACTIONS(4688), 1,
      sym__backquoted_id,
    ACTIONS(4692), 1,
      sym_integer_literal,
    ACTIONS(6438), 1,
      anon_sym_LPAREN,
    ACTIONS(6440), 1,
      sym_operator_identifier,
    STATE(6600), 1,
      sym__simple_type,
    STATE(6857), 1,
      sym__annotated_type,
    STATE(7686), 1,
      sym_identifier,
    STATE(7831), 1,
      sym__soft_identifier,
    STATE(10118), 1,
      sym_annotated_type,
    STATE(11625), 1,
      sym_literal_type,
    STATE(11670), 1,
      sym__non_null_literal,
    STATE(12515), 1,
      sym__type,
    STATE(12633), 1,
      sym_template_body,
    STATE(13432), 1,
      sym__infix_type_choice,
    STATE(16308), 1,
      sym_type_parameters,
    STATE(16312), 1,
      sym_parameter_types,
    STATE(18186), 1,
      sym_stable_identifier,
    ACTIONS(4694), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4696), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4700), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3384), 2,
      sym_comment,
      sym_block_comment,
    STATE(11217), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11691), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13117), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12855), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4682), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8270), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108260] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4704), 1,
      anon_sym_COLON,
    ACTIONS(4706), 1,
      anon_sym_LBRACE,
    ACTIONS(4998), 1,
      sym__alpha_identifier,
    ACTIONS(5000), 1,
      anon_sym__,
    ACTIONS(5004), 1,
      anon_sym_LBRACK,
    ACTIONS(5010), 1,
      sym__backquoted_id,
    ACTIONS(5014), 1,
      sym_integer_literal,
    ACTIONS(6442), 1,
      anon_sym_LPAREN,
    ACTIONS(6444), 1,
      sym_operator_identifier,
    STATE(5629), 1,
      sym__annotated_type,
    STATE(5746), 1,
      sym__simple_type,
    STATE(5881), 1,
      sym_identifier,
    STATE(6103), 1,
      sym__soft_identifier,
    STATE(8778), 1,
      sym_annotated_type,
    STATE(11127), 1,
      sym__non_null_literal,
    STATE(11291), 1,
      sym_literal_type,
    STATE(11995), 1,
      sym__type,
    STATE(11997), 1,
      sym_template_body,
    STATE(13476), 1,
      sym__infix_type_choice,
    STATE(16699), 1,
      sym_type_parameters,
    STATE(16704), 1,
      sym_parameter_types,
    STATE(18592), 1,
      sym_stable_identifier,
    ACTIONS(5016), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5018), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(5020), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3385), 2,
      sym_comment,
      sym_block_comment,
    STATE(10659), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11176), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11996), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11952), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5006), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6576), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108385] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(89), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5414), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 1,
      anon_sym_LPAREN,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7120), 1,
      sym__annotated_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11227), 1,
      sym__non_null_literal,
    STATE(11245), 1,
      sym_literal_type,
    STATE(11463), 1,
      sym__type,
    STATE(13369), 1,
      sym__infix_type_choice,
    STATE(16388), 1,
      sym_type_parameters,
    STATE(16395), 1,
      sym_parameter_types,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(91), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(93), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(105), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3386), 2,
      sym_comment,
      sym_block_comment,
    STATE(10368), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10554), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108510] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(89), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5414), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 1,
      anon_sym_LPAREN,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7120), 1,
      sym__annotated_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11227), 1,
      sym__non_null_literal,
    STATE(11245), 1,
      sym_literal_type,
    STATE(11464), 1,
      sym__type,
    STATE(13369), 1,
      sym__infix_type_choice,
    STATE(16388), 1,
      sym_type_parameters,
    STATE(16395), 1,
      sym_parameter_types,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(91), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(93), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(105), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3387), 2,
      sym_comment,
      sym_block_comment,
    STATE(10368), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10554), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108635] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18721), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3388), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108760] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1353), 1,
      sym_integer_literal,
    ACTIONS(6446), 1,
      sym__alpha_identifier,
    ACTIONS(6448), 1,
      anon_sym_COLON,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(6452), 1,
      anon_sym__,
    ACTIONS(6454), 1,
      anon_sym_LBRACK,
    ACTIONS(6458), 1,
      anon_sym_LPAREN,
    ACTIONS(6460), 1,
      sym__backquoted_id,
    ACTIONS(6462), 1,
      sym_operator_identifier,
    STATE(5956), 1,
      sym__simple_type,
    STATE(6282), 1,
      sym__annotated_type,
    STATE(6529), 1,
      sym__soft_identifier,
    STATE(6781), 1,
      sym_identifier,
    STATE(9535), 1,
      sym_annotated_type,
    STATE(11362), 1,
      sym__non_null_literal,
    STATE(11531), 1,
      sym_literal_type,
    STATE(11997), 1,
      sym_template_body,
    STATE(12013), 1,
      sym__type,
    STATE(13508), 1,
      sym__infix_type_choice,
    STATE(16420), 1,
      sym_type_parameters,
    STATE(16421), 1,
      sym_parameter_types,
    STATE(18722), 1,
      sym_stable_identifier,
    ACTIONS(1355), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1357), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1361), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3389), 2,
      sym_comment,
      sym_block_comment,
    STATE(5495), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9544), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10774), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11952), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6456), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7765), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108885] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18773), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3390), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109010] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(575), 1,
      sym_integer_literal,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    ACTIONS(6464), 1,
      anon_sym_COLON,
    ACTIONS(6466), 1,
      anon_sym_LBRACE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(6794), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(10380), 1,
      sym_literal_type,
    STATE(10428), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13462), 1,
      sym__infix_type_choice,
    STATE(15763), 1,
      sym__type,
    STATE(16353), 1,
      sym_type_parameters,
    STATE(16354), 1,
      sym_parameter_types,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(577), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(579), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(589), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3391), 2,
      sym_comment,
      sym_block_comment,
    STATE(9563), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9632), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109135] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16566), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3392), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109260] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1353), 1,
      sym_integer_literal,
    ACTIONS(6446), 1,
      sym__alpha_identifier,
    ACTIONS(6448), 1,
      anon_sym_COLON,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(6452), 1,
      anon_sym__,
    ACTIONS(6454), 1,
      anon_sym_LBRACK,
    ACTIONS(6458), 1,
      anon_sym_LPAREN,
    ACTIONS(6460), 1,
      sym__backquoted_id,
    ACTIONS(6462), 1,
      sym_operator_identifier,
    STATE(5956), 1,
      sym__simple_type,
    STATE(6282), 1,
      sym__annotated_type,
    STATE(6529), 1,
      sym__soft_identifier,
    STATE(6781), 1,
      sym_identifier,
    STATE(9535), 1,
      sym_annotated_type,
    STATE(11362), 1,
      sym__non_null_literal,
    STATE(11531), 1,
      sym_literal_type,
    STATE(11997), 1,
      sym_template_body,
    STATE(12018), 1,
      sym__type,
    STATE(13508), 1,
      sym__infix_type_choice,
    STATE(16420), 1,
      sym_type_parameters,
    STATE(16421), 1,
      sym_parameter_types,
    STATE(18722), 1,
      sym_stable_identifier,
    ACTIONS(1355), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1357), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1361), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3393), 2,
      sym_comment,
      sym_block_comment,
    STATE(5495), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9544), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10774), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11952), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6456), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7765), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109385] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1353), 1,
      sym_integer_literal,
    ACTIONS(6446), 1,
      sym__alpha_identifier,
    ACTIONS(6448), 1,
      anon_sym_COLON,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(6452), 1,
      anon_sym__,
    ACTIONS(6454), 1,
      anon_sym_LBRACK,
    ACTIONS(6458), 1,
      anon_sym_LPAREN,
    ACTIONS(6460), 1,
      sym__backquoted_id,
    ACTIONS(6462), 1,
      sym_operator_identifier,
    STATE(5956), 1,
      sym__simple_type,
    STATE(6282), 1,
      sym__annotated_type,
    STATE(6529), 1,
      sym__soft_identifier,
    STATE(6781), 1,
      sym_identifier,
    STATE(9535), 1,
      sym_annotated_type,
    STATE(11362), 1,
      sym__non_null_literal,
    STATE(11531), 1,
      sym_literal_type,
    STATE(11997), 1,
      sym_template_body,
    STATE(12019), 1,
      sym__type,
    STATE(13508), 1,
      sym__infix_type_choice,
    STATE(16420), 1,
      sym_type_parameters,
    STATE(16421), 1,
      sym_parameter_types,
    STATE(18722), 1,
      sym_stable_identifier,
    ACTIONS(1355), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1357), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1361), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3394), 2,
      sym_comment,
      sym_block_comment,
    STATE(5495), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9544), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10774), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11952), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6456), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7765), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109510] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1353), 1,
      sym_integer_literal,
    ACTIONS(6446), 1,
      sym__alpha_identifier,
    ACTIONS(6448), 1,
      anon_sym_COLON,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(6452), 1,
      anon_sym__,
    ACTIONS(6454), 1,
      anon_sym_LBRACK,
    ACTIONS(6458), 1,
      anon_sym_LPAREN,
    ACTIONS(6460), 1,
      sym__backquoted_id,
    ACTIONS(6462), 1,
      sym_operator_identifier,
    STATE(5956), 1,
      sym__simple_type,
    STATE(6282), 1,
      sym__annotated_type,
    STATE(6529), 1,
      sym__soft_identifier,
    STATE(6781), 1,
      sym_identifier,
    STATE(9535), 1,
      sym_annotated_type,
    STATE(11362), 1,
      sym__non_null_literal,
    STATE(11531), 1,
      sym_literal_type,
    STATE(11997), 1,
      sym_template_body,
    STATE(12020), 1,
      sym__type,
    STATE(13508), 1,
      sym__infix_type_choice,
    STATE(16420), 1,
      sym_type_parameters,
    STATE(16421), 1,
      sym_parameter_types,
    STATE(18722), 1,
      sym_stable_identifier,
    ACTIONS(1355), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1357), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1361), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3395), 2,
      sym_comment,
      sym_block_comment,
    STATE(5495), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9544), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10774), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11952), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6456), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7765), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109635] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(8339), 1,
      sym__type,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3396), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109760] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5744), 1,
      anon_sym_LBRACK,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8775), 1,
      sym__annotated_type,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(12293), 1,
      sym__type,
    STATE(13355), 1,
      sym__infix_type_choice,
    STATE(16347), 1,
      sym_type_parameters,
    STATE(16348), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3397), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109885] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18864), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3398), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110010] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18868), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3399), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110135] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16645), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3400), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110260] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1353), 1,
      sym_integer_literal,
    ACTIONS(6446), 1,
      sym__alpha_identifier,
    ACTIONS(6448), 1,
      anon_sym_COLON,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(6452), 1,
      anon_sym__,
    ACTIONS(6454), 1,
      anon_sym_LBRACK,
    ACTIONS(6458), 1,
      anon_sym_LPAREN,
    ACTIONS(6460), 1,
      sym__backquoted_id,
    ACTIONS(6462), 1,
      sym_operator_identifier,
    STATE(5956), 1,
      sym__simple_type,
    STATE(6282), 1,
      sym__annotated_type,
    STATE(6529), 1,
      sym__soft_identifier,
    STATE(6781), 1,
      sym_identifier,
    STATE(9535), 1,
      sym_annotated_type,
    STATE(11362), 1,
      sym__non_null_literal,
    STATE(11531), 1,
      sym_literal_type,
    STATE(11995), 1,
      sym__type,
    STATE(11997), 1,
      sym_template_body,
    STATE(13508), 1,
      sym__infix_type_choice,
    STATE(16420), 1,
      sym_type_parameters,
    STATE(16421), 1,
      sym_parameter_types,
    STATE(18722), 1,
      sym_stable_identifier,
    ACTIONS(1355), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1357), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1361), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3401), 2,
      sym_comment,
      sym_block_comment,
    STATE(5495), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9544), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10774), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11952), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6456), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7765), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110385] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4774), 1,
      sym__alpha_identifier,
    ACTIONS(4776), 1,
      anon_sym_COLON,
    ACTIONS(4778), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      anon_sym__,
    ACTIONS(4784), 1,
      anon_sym_LBRACK,
    ACTIONS(4792), 1,
      sym__backquoted_id,
    ACTIONS(4796), 1,
      sym_integer_literal,
    ACTIONS(6470), 1,
      anon_sym_LPAREN,
    ACTIONS(6472), 1,
      sym_operator_identifier,
    STATE(5051), 1,
      sym__simple_type,
    STATE(5110), 1,
      sym__annotated_type,
    STATE(5453), 1,
      sym__soft_identifier,
    STATE(5476), 1,
      sym_identifier,
    STATE(8185), 1,
      sym_annotated_type,
    STATE(10818), 1,
      sym_literal_type,
    STATE(10983), 1,
      sym__non_null_literal,
    STATE(13460), 1,
      sym__infix_type_choice,
    STATE(14101), 1,
      sym_template_body,
    STATE(14371), 1,
      sym__type,
    STATE(16542), 1,
      sym_type_parameters,
    STATE(16546), 1,
      sym_parameter_types,
    STATE(18534), 1,
      sym_stable_identifier,
    ACTIONS(4798), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4800), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4804), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3402), 2,
      sym_comment,
      sym_block_comment,
    STATE(10100), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11091), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14093), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14228), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4786), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6045), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110510] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4338), 1,
      sym__alpha_identifier,
    ACTIONS(4340), 1,
      anon_sym_COLON,
    ACTIONS(4342), 1,
      anon_sym_LBRACE,
    ACTIONS(4344), 1,
      anon_sym__,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      sym__backquoted_id,
    ACTIONS(4360), 1,
      sym_integer_literal,
    ACTIONS(6474), 1,
      anon_sym_LPAREN,
    ACTIONS(6476), 1,
      sym_operator_identifier,
    STATE(5208), 1,
      sym__simple_type,
    STATE(5247), 1,
      sym__annotated_type,
    STATE(5377), 1,
      sym__soft_identifier,
    STATE(5681), 1,
      sym_identifier,
    STATE(8606), 1,
      sym_annotated_type,
    STATE(10766), 1,
      sym_literal_type,
    STATE(10892), 1,
      sym__non_null_literal,
    STATE(13426), 1,
      sym__infix_type_choice,
    STATE(14223), 1,
      sym_template_body,
    STATE(14296), 1,
      sym__type,
    STATE(15956), 1,
      sym_type_parameters,
    STATE(15970), 1,
      sym_parameter_types,
    STATE(18098), 1,
      sym_stable_identifier,
    ACTIONS(4362), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4368), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3403), 2,
      sym_comment,
      sym_block_comment,
    STATE(9965), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11102), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14322), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14100), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4350), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5873), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110635] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4704), 1,
      anon_sym_COLON,
    ACTIONS(4706), 1,
      anon_sym_LBRACE,
    ACTIONS(4998), 1,
      sym__alpha_identifier,
    ACTIONS(5000), 1,
      anon_sym__,
    ACTIONS(5004), 1,
      anon_sym_LBRACK,
    ACTIONS(5010), 1,
      sym__backquoted_id,
    ACTIONS(5014), 1,
      sym_integer_literal,
    ACTIONS(6442), 1,
      anon_sym_LPAREN,
    ACTIONS(6444), 1,
      sym_operator_identifier,
    STATE(5629), 1,
      sym__annotated_type,
    STATE(5746), 1,
      sym__simple_type,
    STATE(5881), 1,
      sym_identifier,
    STATE(6103), 1,
      sym__soft_identifier,
    STATE(8778), 1,
      sym_annotated_type,
    STATE(11127), 1,
      sym__non_null_literal,
    STATE(11291), 1,
      sym_literal_type,
    STATE(11997), 1,
      sym_template_body,
    STATE(12013), 1,
      sym__type,
    STATE(13476), 1,
      sym__infix_type_choice,
    STATE(16699), 1,
      sym_type_parameters,
    STATE(16704), 1,
      sym_parameter_types,
    STATE(18592), 1,
      sym_stable_identifier,
    ACTIONS(5016), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5018), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(5020), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3404), 2,
      sym_comment,
      sym_block_comment,
    STATE(10659), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11176), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11996), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11952), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5006), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6576), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110760] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5744), 1,
      anon_sym_LBRACK,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8775), 1,
      sym__annotated_type,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(12399), 1,
      sym__type,
    STATE(13355), 1,
      sym__infix_type_choice,
    STATE(16347), 1,
      sym_type_parameters,
    STATE(16348), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3405), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110885] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6478), 1,
      anon_sym_LBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13392), 1,
      sym__infix_type_choice,
    STATE(14766), 1,
      sym__type,
    STATE(16476), 1,
      sym_type_parameters,
    STATE(16477), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3406), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111010] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4672), 1,
      anon_sym_COLON,
    ACTIONS(4674), 1,
      anon_sym_LBRACE,
    ACTIONS(4920), 1,
      sym__alpha_identifier,
    ACTIONS(4922), 1,
      anon_sym__,
    ACTIONS(4926), 1,
      anon_sym_LBRACK,
    ACTIONS(4932), 1,
      sym__backquoted_id,
    ACTIONS(4936), 1,
      sym_integer_literal,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym_operator_identifier,
    STATE(4776), 1,
      sym__simple_type,
    STATE(4782), 1,
      sym__annotated_type,
    STATE(4883), 1,
      sym_identifier,
    STATE(4983), 1,
      sym__soft_identifier,
    STATE(7004), 1,
      sym_annotated_type,
    STATE(10101), 1,
      sym__non_null_literal,
    STATE(10144), 1,
      sym_literal_type,
    STATE(12525), 1,
      sym__type,
    STATE(12633), 1,
      sym_template_body,
    STATE(13446), 1,
      sym__infix_type_choice,
    STATE(16355), 1,
      sym_type_parameters,
    STATE(16356), 1,
      sym_parameter_types,
    STATE(18316), 1,
      sym_stable_identifier,
    ACTIONS(4938), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4940), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4942), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3407), 2,
      sym_comment,
      sym_block_comment,
    STATE(8959), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10232), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13117), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12855), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4928), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5064), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111135] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2511), 1,
      sym_integer_literal,
    ACTIONS(6480), 1,
      sym__alpha_identifier,
    ACTIONS(6482), 1,
      anon_sym_COLON,
    ACTIONS(6484), 1,
      anon_sym_LBRACE,
    ACTIONS(6486), 1,
      anon_sym__,
    ACTIONS(6488), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      anon_sym_LPAREN,
    ACTIONS(6494), 1,
      sym__backquoted_id,
    ACTIONS(6496), 1,
      sym_operator_identifier,
    STATE(7439), 1,
      sym__annotated_type,
    STATE(7530), 1,
      sym__simple_type,
    STATE(8170), 1,
      sym_identifier,
    STATE(8580), 1,
      sym__soft_identifier,
    STATE(10665), 1,
      sym_annotated_type,
    STATE(11914), 1,
      sym__non_null_literal,
    STATE(11951), 1,
      sym_literal_type,
    STATE(12914), 1,
      sym__type,
    STATE(13098), 1,
      sym_template_body,
    STATE(13511), 1,
      sym__infix_type_choice,
    STATE(16422), 1,
      sym_type_parameters,
    STATE(16423), 1,
      sym_parameter_types,
    STATE(18734), 1,
      sym_stable_identifier,
    ACTIONS(2513), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2515), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2523), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3408), 2,
      sym_comment,
      sym_block_comment,
    STATE(6758), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10697), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11539), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12836), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6490), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9224), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111260] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5744), 1,
      anon_sym_LBRACK,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8775), 1,
      sym__annotated_type,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(12471), 1,
      sym__type,
    STATE(13355), 1,
      sym__infix_type_choice,
    STATE(16347), 1,
      sym_type_parameters,
    STATE(16348), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3409), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111385] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17883), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3410), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111510] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5744), 1,
      anon_sym_LBRACK,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8775), 1,
      sym__annotated_type,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(12473), 1,
      sym__type,
    STATE(13355), 1,
      sym__infix_type_choice,
    STATE(16347), 1,
      sym_type_parameters,
    STATE(16348), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3411), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111635] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17888), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3412), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111760] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(5744), 1,
      anon_sym_LBRACK,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8775), 1,
      sym__annotated_type,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(12474), 1,
      sym__type,
    STATE(13355), 1,
      sym__infix_type_choice,
    STATE(16347), 1,
      sym_type_parameters,
    STATE(16348), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3413), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111885] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16713), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3414), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112010] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(575), 1,
      sym_integer_literal,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    ACTIONS(6464), 1,
      anon_sym_COLON,
    ACTIONS(6466), 1,
      anon_sym_LBRACE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(6794), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(10380), 1,
      sym_literal_type,
    STATE(10428), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13462), 1,
      sym__infix_type_choice,
    STATE(15803), 1,
      sym__type,
    STATE(16353), 1,
      sym_type_parameters,
    STATE(16354), 1,
      sym_parameter_types,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(577), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(579), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(589), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3415), 2,
      sym_comment,
      sym_block_comment,
    STATE(9563), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9632), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112135] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2511), 1,
      sym_integer_literal,
    ACTIONS(6480), 1,
      sym__alpha_identifier,
    ACTIONS(6482), 1,
      anon_sym_COLON,
    ACTIONS(6484), 1,
      anon_sym_LBRACE,
    ACTIONS(6486), 1,
      anon_sym__,
    ACTIONS(6488), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      anon_sym_LPAREN,
    ACTIONS(6494), 1,
      sym__backquoted_id,
    ACTIONS(6496), 1,
      sym_operator_identifier,
    STATE(7439), 1,
      sym__annotated_type,
    STATE(7530), 1,
      sym__simple_type,
    STATE(8170), 1,
      sym_identifier,
    STATE(8580), 1,
      sym__soft_identifier,
    STATE(10665), 1,
      sym_annotated_type,
    STATE(11914), 1,
      sym__non_null_literal,
    STATE(11951), 1,
      sym_literal_type,
    STATE(12917), 1,
      sym__type,
    STATE(13098), 1,
      sym_template_body,
    STATE(13511), 1,
      sym__infix_type_choice,
    STATE(16422), 1,
      sym_type_parameters,
    STATE(16423), 1,
      sym_parameter_types,
    STATE(18734), 1,
      sym_stable_identifier,
    ACTIONS(2513), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2515), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2523), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3416), 2,
      sym_comment,
      sym_block_comment,
    STATE(6758), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10697), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11539), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12836), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6490), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9224), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112260] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2511), 1,
      sym_integer_literal,
    ACTIONS(6480), 1,
      sym__alpha_identifier,
    ACTIONS(6482), 1,
      anon_sym_COLON,
    ACTIONS(6484), 1,
      anon_sym_LBRACE,
    ACTIONS(6486), 1,
      anon_sym__,
    ACTIONS(6488), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      anon_sym_LPAREN,
    ACTIONS(6494), 1,
      sym__backquoted_id,
    ACTIONS(6496), 1,
      sym_operator_identifier,
    STATE(7439), 1,
      sym__annotated_type,
    STATE(7530), 1,
      sym__simple_type,
    STATE(8170), 1,
      sym_identifier,
    STATE(8580), 1,
      sym__soft_identifier,
    STATE(10665), 1,
      sym_annotated_type,
    STATE(11914), 1,
      sym__non_null_literal,
    STATE(11951), 1,
      sym_literal_type,
    STATE(12918), 1,
      sym__type,
    STATE(13098), 1,
      sym_template_body,
    STATE(13511), 1,
      sym__infix_type_choice,
    STATE(16422), 1,
      sym_type_parameters,
    STATE(16423), 1,
      sym_parameter_types,
    STATE(18734), 1,
      sym_stable_identifier,
    ACTIONS(2513), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2515), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2523), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3417), 2,
      sym_comment,
      sym_block_comment,
    STATE(6758), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10697), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11539), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12836), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6490), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9224), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112385] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2511), 1,
      sym_integer_literal,
    ACTIONS(6480), 1,
      sym__alpha_identifier,
    ACTIONS(6482), 1,
      anon_sym_COLON,
    ACTIONS(6484), 1,
      anon_sym_LBRACE,
    ACTIONS(6486), 1,
      anon_sym__,
    ACTIONS(6488), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      anon_sym_LPAREN,
    ACTIONS(6494), 1,
      sym__backquoted_id,
    ACTIONS(6496), 1,
      sym_operator_identifier,
    STATE(7439), 1,
      sym__annotated_type,
    STATE(7530), 1,
      sym__simple_type,
    STATE(8170), 1,
      sym_identifier,
    STATE(8580), 1,
      sym__soft_identifier,
    STATE(10665), 1,
      sym_annotated_type,
    STATE(11914), 1,
      sym__non_null_literal,
    STATE(11951), 1,
      sym_literal_type,
    STATE(12919), 1,
      sym__type,
    STATE(13098), 1,
      sym_template_body,
    STATE(13511), 1,
      sym__infix_type_choice,
    STATE(16422), 1,
      sym_type_parameters,
    STATE(16423), 1,
      sym_parameter_types,
    STATE(18734), 1,
      sym_stable_identifier,
    ACTIONS(2513), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2515), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2523), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3418), 2,
      sym_comment,
      sym_block_comment,
    STATE(6758), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10697), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11539), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12836), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6490), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9224), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112510] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1389), 1,
      sym_integer_literal,
    ACTIONS(6384), 1,
      sym__alpha_identifier,
    ACTIONS(6386), 1,
      anon_sym_COLON,
    ACTIONS(6388), 1,
      anon_sym_LBRACE,
    ACTIONS(6390), 1,
      anon_sym__,
    ACTIONS(6392), 1,
      anon_sym_LBRACK,
    ACTIONS(6396), 1,
      anon_sym_LPAREN,
    ACTIONS(6398), 1,
      sym__backquoted_id,
    ACTIONS(6400), 1,
      sym_operator_identifier,
    STATE(5392), 1,
      sym__annotated_type,
    STATE(5512), 1,
      sym__simple_type,
    STATE(6130), 1,
      sym__soft_identifier,
    STATE(6158), 1,
      sym_identifier,
    STATE(9001), 1,
      sym_annotated_type,
    STATE(11123), 1,
      sym_literal_type,
    STATE(11237), 1,
      sym__non_null_literal,
    STATE(13507), 1,
      sym__infix_type_choice,
    STATE(14101), 1,
      sym_template_body,
    STATE(14439), 1,
      sym__type,
    STATE(16359), 1,
      sym_type_parameters,
    STATE(16360), 1,
      sym_parameter_types,
    STATE(18704), 1,
      sym_stable_identifier,
    ACTIONS(1391), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1393), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1397), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3419), 2,
      sym_comment,
      sym_block_comment,
    STATE(8777), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9410), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10670), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14228), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6394), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6414), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112635] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18099), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3420), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112760] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18104), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3421), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112885] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16776), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3422), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113010] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(167), 1,
      sym_integer_literal,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    ACTIONS(6402), 1,
      anon_sym_COLON,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(6498), 1,
      anon_sym_LBRACK,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(5060), 1,
      sym__annotated_type,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(8788), 1,
      sym__non_null_literal,
    STATE(8790), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(13398), 1,
      sym__infix_type_choice,
    STATE(15277), 1,
      sym__type,
    STATE(16448), 1,
      sym_type_parameters,
    STATE(16449), 1,
      sym_parameter_types,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(169), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(171), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3423), 2,
      sym_comment,
      sym_block_comment,
    STATE(6796), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7234), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113135] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2511), 1,
      sym_integer_literal,
    ACTIONS(6480), 1,
      sym__alpha_identifier,
    ACTIONS(6482), 1,
      anon_sym_COLON,
    ACTIONS(6484), 1,
      anon_sym_LBRACE,
    ACTIONS(6486), 1,
      anon_sym__,
    ACTIONS(6488), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      anon_sym_LPAREN,
    ACTIONS(6494), 1,
      sym__backquoted_id,
    ACTIONS(6496), 1,
      sym_operator_identifier,
    STATE(7439), 1,
      sym__annotated_type,
    STATE(7530), 1,
      sym__simple_type,
    STATE(8170), 1,
      sym_identifier,
    STATE(8580), 1,
      sym__soft_identifier,
    STATE(10665), 1,
      sym_annotated_type,
    STATE(11914), 1,
      sym__non_null_literal,
    STATE(11951), 1,
      sym_literal_type,
    STATE(12900), 1,
      sym__type,
    STATE(13098), 1,
      sym_template_body,
    STATE(13511), 1,
      sym__infix_type_choice,
    STATE(16422), 1,
      sym_type_parameters,
    STATE(16423), 1,
      sym_parameter_types,
    STATE(18734), 1,
      sym_stable_identifier,
    ACTIONS(2513), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2515), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2523), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3424), 2,
      sym_comment,
      sym_block_comment,
    STATE(6758), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10697), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11539), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12836), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6490), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9224), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113260] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4704), 1,
      anon_sym_COLON,
    ACTIONS(4706), 1,
      anon_sym_LBRACE,
    ACTIONS(4998), 1,
      sym__alpha_identifier,
    ACTIONS(5000), 1,
      anon_sym__,
    ACTIONS(5004), 1,
      anon_sym_LBRACK,
    ACTIONS(5010), 1,
      sym__backquoted_id,
    ACTIONS(5014), 1,
      sym_integer_literal,
    ACTIONS(6442), 1,
      anon_sym_LPAREN,
    ACTIONS(6444), 1,
      sym_operator_identifier,
    STATE(5629), 1,
      sym__annotated_type,
    STATE(5746), 1,
      sym__simple_type,
    STATE(5881), 1,
      sym_identifier,
    STATE(6103), 1,
      sym__soft_identifier,
    STATE(8778), 1,
      sym_annotated_type,
    STATE(11127), 1,
      sym__non_null_literal,
    STATE(11291), 1,
      sym_literal_type,
    STATE(11997), 1,
      sym_template_body,
    STATE(12018), 1,
      sym__type,
    STATE(13476), 1,
      sym__infix_type_choice,
    STATE(16699), 1,
      sym_type_parameters,
    STATE(16704), 1,
      sym_parameter_types,
    STATE(18592), 1,
      sym_stable_identifier,
    ACTIONS(5016), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5018), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(5020), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3425), 2,
      sym_comment,
      sym_block_comment,
    STATE(10659), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11176), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11996), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11952), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5006), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6576), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113385] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4704), 1,
      anon_sym_COLON,
    ACTIONS(4706), 1,
      anon_sym_LBRACE,
    ACTIONS(4998), 1,
      sym__alpha_identifier,
    ACTIONS(5000), 1,
      anon_sym__,
    ACTIONS(5004), 1,
      anon_sym_LBRACK,
    ACTIONS(5010), 1,
      sym__backquoted_id,
    ACTIONS(5014), 1,
      sym_integer_literal,
    ACTIONS(6442), 1,
      anon_sym_LPAREN,
    ACTIONS(6444), 1,
      sym_operator_identifier,
    STATE(5629), 1,
      sym__annotated_type,
    STATE(5746), 1,
      sym__simple_type,
    STATE(5881), 1,
      sym_identifier,
    STATE(6103), 1,
      sym__soft_identifier,
    STATE(8778), 1,
      sym_annotated_type,
    STATE(11127), 1,
      sym__non_null_literal,
    STATE(11291), 1,
      sym_literal_type,
    STATE(11997), 1,
      sym_template_body,
    STATE(12019), 1,
      sym__type,
    STATE(13476), 1,
      sym__infix_type_choice,
    STATE(16699), 1,
      sym_type_parameters,
    STATE(16704), 1,
      sym_parameter_types,
    STATE(18592), 1,
      sym_stable_identifier,
    ACTIONS(5016), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5018), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(5020), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3426), 2,
      sym_comment,
      sym_block_comment,
    STATE(10659), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11176), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11996), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11952), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5006), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6576), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113510] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(167), 1,
      sym_integer_literal,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    ACTIONS(6402), 1,
      anon_sym_COLON,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(6498), 1,
      anon_sym_LBRACK,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(5060), 1,
      sym__annotated_type,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(8788), 1,
      sym__non_null_literal,
    STATE(8790), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(13398), 1,
      sym__infix_type_choice,
    STATE(15372), 1,
      sym__type,
    STATE(16448), 1,
      sym_type_parameters,
    STATE(16449), 1,
      sym_parameter_types,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(169), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(171), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3427), 2,
      sym_comment,
      sym_block_comment,
    STATE(6796), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7234), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113635] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4704), 1,
      anon_sym_COLON,
    ACTIONS(4706), 1,
      anon_sym_LBRACE,
    ACTIONS(4998), 1,
      sym__alpha_identifier,
    ACTIONS(5000), 1,
      anon_sym__,
    ACTIONS(5004), 1,
      anon_sym_LBRACK,
    ACTIONS(5010), 1,
      sym__backquoted_id,
    ACTIONS(5014), 1,
      sym_integer_literal,
    ACTIONS(6442), 1,
      anon_sym_LPAREN,
    ACTIONS(6444), 1,
      sym_operator_identifier,
    STATE(5629), 1,
      sym__annotated_type,
    STATE(5746), 1,
      sym__simple_type,
    STATE(5881), 1,
      sym_identifier,
    STATE(6103), 1,
      sym__soft_identifier,
    STATE(8778), 1,
      sym_annotated_type,
    STATE(11127), 1,
      sym__non_null_literal,
    STATE(11291), 1,
      sym_literal_type,
    STATE(11997), 1,
      sym_template_body,
    STATE(12020), 1,
      sym__type,
    STATE(13476), 1,
      sym__infix_type_choice,
    STATE(16699), 1,
      sym_type_parameters,
    STATE(16704), 1,
      sym_parameter_types,
    STATE(18592), 1,
      sym_stable_identifier,
    ACTIONS(5016), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(5018), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(5020), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3428), 2,
      sym_comment,
      sym_block_comment,
    STATE(10659), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11176), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11996), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11952), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5006), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6576), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113760] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(575), 1,
      sym_integer_literal,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    ACTIONS(6464), 1,
      anon_sym_COLON,
    ACTIONS(6466), 1,
      anon_sym_LBRACE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(6794), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(10380), 1,
      sym_literal_type,
    STATE(10428), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13462), 1,
      sym__infix_type_choice,
    STATE(15835), 1,
      sym__type,
    STATE(16353), 1,
      sym_type_parameters,
    STATE(16354), 1,
      sym_parameter_types,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(577), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(579), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(589), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3429), 2,
      sym_comment,
      sym_block_comment,
    STATE(9563), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9632), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113885] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18338), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3430), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114010] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1065), 1,
      sym_integer_literal,
    ACTIONS(6448), 1,
      anon_sym_COLON,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(6500), 1,
      sym__alpha_identifier,
    ACTIONS(6502), 1,
      anon_sym__,
    ACTIONS(6504), 1,
      anon_sym_LBRACK,
    ACTIONS(6508), 1,
      anon_sym_LPAREN,
    ACTIONS(6510), 1,
      sym__backquoted_id,
    ACTIONS(6512), 1,
      sym_operator_identifier,
    STATE(4652), 1,
      sym__annotated_type,
    STATE(4688), 1,
      sym__simple_type,
    STATE(4724), 1,
      sym__soft_identifier,
    STATE(4728), 1,
      sym_identifier,
    STATE(6250), 1,
      sym_annotated_type,
    STATE(9534), 1,
      sym_literal_type,
    STATE(9852), 1,
      sym__non_null_literal,
    STATE(11997), 1,
      sym_template_body,
    STATE(12013), 1,
      sym__type,
    STATE(13512), 1,
      sym__infix_type_choice,
    STATE(16458), 1,
      sym_type_parameters,
    STATE(16459), 1,
      sym_parameter_types,
    STATE(18752), 1,
      sym_stable_identifier,
    ACTIONS(1067), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1069), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1073), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3431), 2,
      sym_comment,
      sym_block_comment,
    STATE(5495), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6235), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8568), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11952), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6506), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4822), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114135] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18342), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3432), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114260] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(6514), 1,
      sym__alpha_identifier,
    ACTIONS(6516), 1,
      anon_sym__,
    ACTIONS(6518), 1,
      anon_sym_LBRACK,
    ACTIONS(6522), 1,
      anon_sym_LPAREN,
    ACTIONS(6524), 1,
      sym__backquoted_id,
    ACTIONS(6526), 1,
      sym_operator_identifier,
    ACTIONS(6528), 1,
      sym_integer_literal,
    STATE(8360), 1,
      sym__simple_type,
    STATE(8944), 1,
      sym__annotated_type,
    STATE(9171), 1,
      sym_identifier,
    STATE(9211), 1,
      sym__soft_identifier,
    STATE(11182), 1,
      sym_annotated_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(12293), 1,
      sym__type,
    STATE(12328), 1,
      sym__non_null_literal,
    STATE(12344), 1,
      sym_literal_type,
    STATE(13357), 1,
      sym__infix_type_choice,
    STATE(16412), 1,
      sym_type_parameters,
    STATE(16413), 1,
      sym_parameter_types,
    STATE(18813), 1,
      sym_stable_identifier,
    ACTIONS(6530), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6532), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6534), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3433), 2,
      sym_comment,
      sym_block_comment,
    STATE(11744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12338), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6520), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9592), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114385] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16842), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3434), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114510] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4774), 1,
      sym__alpha_identifier,
    ACTIONS(4776), 1,
      anon_sym_COLON,
    ACTIONS(4778), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      anon_sym__,
    ACTIONS(4784), 1,
      anon_sym_LBRACK,
    ACTIONS(4792), 1,
      sym__backquoted_id,
    ACTIONS(4796), 1,
      sym_integer_literal,
    ACTIONS(6470), 1,
      anon_sym_LPAREN,
    ACTIONS(6472), 1,
      sym_operator_identifier,
    STATE(5051), 1,
      sym__simple_type,
    STATE(5110), 1,
      sym__annotated_type,
    STATE(5453), 1,
      sym__soft_identifier,
    STATE(5476), 1,
      sym_identifier,
    STATE(8185), 1,
      sym_annotated_type,
    STATE(10818), 1,
      sym_literal_type,
    STATE(10983), 1,
      sym__non_null_literal,
    STATE(13460), 1,
      sym__infix_type_choice,
    STATE(14080), 1,
      sym__type,
    STATE(14101), 1,
      sym_template_body,
    STATE(16542), 1,
      sym_type_parameters,
    STATE(16546), 1,
      sym_parameter_types,
    STATE(18534), 1,
      sym_stable_identifier,
    ACTIONS(4798), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4800), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4804), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3435), 2,
      sym_comment,
      sym_block_comment,
    STATE(10100), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11091), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14093), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14228), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4786), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6045), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114635] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1065), 1,
      sym_integer_literal,
    ACTIONS(6448), 1,
      anon_sym_COLON,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(6500), 1,
      sym__alpha_identifier,
    ACTIONS(6502), 1,
      anon_sym__,
    ACTIONS(6504), 1,
      anon_sym_LBRACK,
    ACTIONS(6508), 1,
      anon_sym_LPAREN,
    ACTIONS(6510), 1,
      sym__backquoted_id,
    ACTIONS(6512), 1,
      sym_operator_identifier,
    STATE(4652), 1,
      sym__annotated_type,
    STATE(4688), 1,
      sym__simple_type,
    STATE(4724), 1,
      sym__soft_identifier,
    STATE(4728), 1,
      sym_identifier,
    STATE(6250), 1,
      sym_annotated_type,
    STATE(9534), 1,
      sym_literal_type,
    STATE(9852), 1,
      sym__non_null_literal,
    STATE(11997), 1,
      sym_template_body,
    STATE(12018), 1,
      sym__type,
    STATE(13512), 1,
      sym__infix_type_choice,
    STATE(16458), 1,
      sym_type_parameters,
    STATE(16459), 1,
      sym_parameter_types,
    STATE(18752), 1,
      sym_stable_identifier,
    ACTIONS(1067), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1069), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1073), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3436), 2,
      sym_comment,
      sym_block_comment,
    STATE(5495), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6235), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8568), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11952), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6506), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4822), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114760] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1065), 1,
      sym_integer_literal,
    ACTIONS(6448), 1,
      anon_sym_COLON,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(6500), 1,
      sym__alpha_identifier,
    ACTIONS(6502), 1,
      anon_sym__,
    ACTIONS(6504), 1,
      anon_sym_LBRACK,
    ACTIONS(6508), 1,
      anon_sym_LPAREN,
    ACTIONS(6510), 1,
      sym__backquoted_id,
    ACTIONS(6512), 1,
      sym_operator_identifier,
    STATE(4652), 1,
      sym__annotated_type,
    STATE(4688), 1,
      sym__simple_type,
    STATE(4724), 1,
      sym__soft_identifier,
    STATE(4728), 1,
      sym_identifier,
    STATE(6250), 1,
      sym_annotated_type,
    STATE(9534), 1,
      sym_literal_type,
    STATE(9852), 1,
      sym__non_null_literal,
    STATE(11997), 1,
      sym_template_body,
    STATE(12019), 1,
      sym__type,
    STATE(13512), 1,
      sym__infix_type_choice,
    STATE(16458), 1,
      sym_type_parameters,
    STATE(16459), 1,
      sym_parameter_types,
    STATE(18752), 1,
      sym_stable_identifier,
    ACTIONS(1067), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1069), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1073), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3437), 2,
      sym_comment,
      sym_block_comment,
    STATE(5495), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6235), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8568), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11952), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6506), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4822), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114885] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1065), 1,
      sym_integer_literal,
    ACTIONS(6448), 1,
      anon_sym_COLON,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(6500), 1,
      sym__alpha_identifier,
    ACTIONS(6502), 1,
      anon_sym__,
    ACTIONS(6504), 1,
      anon_sym_LBRACK,
    ACTIONS(6508), 1,
      anon_sym_LPAREN,
    ACTIONS(6510), 1,
      sym__backquoted_id,
    ACTIONS(6512), 1,
      sym_operator_identifier,
    STATE(4652), 1,
      sym__annotated_type,
    STATE(4688), 1,
      sym__simple_type,
    STATE(4724), 1,
      sym__soft_identifier,
    STATE(4728), 1,
      sym_identifier,
    STATE(6250), 1,
      sym_annotated_type,
    STATE(9534), 1,
      sym_literal_type,
    STATE(9852), 1,
      sym__non_null_literal,
    STATE(11997), 1,
      sym_template_body,
    STATE(12020), 1,
      sym__type,
    STATE(13512), 1,
      sym__infix_type_choice,
    STATE(16458), 1,
      sym_type_parameters,
    STATE(16459), 1,
      sym_parameter_types,
    STATE(18752), 1,
      sym_stable_identifier,
    ACTIONS(1067), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1069), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1073), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3438), 2,
      sym_comment,
      sym_block_comment,
    STATE(5495), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6235), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8568), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11952), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6506), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4822), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115010] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4672), 1,
      anon_sym_COLON,
    ACTIONS(4674), 1,
      anon_sym_LBRACE,
    ACTIONS(4920), 1,
      sym__alpha_identifier,
    ACTIONS(4922), 1,
      anon_sym__,
    ACTIONS(4926), 1,
      anon_sym_LBRACK,
    ACTIONS(4932), 1,
      sym__backquoted_id,
    ACTIONS(4936), 1,
      sym_integer_literal,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym_operator_identifier,
    STATE(4776), 1,
      sym__simple_type,
    STATE(4782), 1,
      sym__annotated_type,
    STATE(4883), 1,
      sym_identifier,
    STATE(4983), 1,
      sym__soft_identifier,
    STATE(7004), 1,
      sym_annotated_type,
    STATE(10101), 1,
      sym__non_null_literal,
    STATE(10144), 1,
      sym_literal_type,
    STATE(12529), 1,
      sym__type,
    STATE(12633), 1,
      sym_template_body,
    STATE(13446), 1,
      sym__infix_type_choice,
    STATE(16355), 1,
      sym_type_parameters,
    STATE(16356), 1,
      sym_parameter_types,
    STATE(18316), 1,
      sym_stable_identifier,
    ACTIONS(4938), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4940), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4942), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3439), 2,
      sym_comment,
      sym_block_comment,
    STATE(8959), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10232), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13117), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12855), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4928), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5064), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115135] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18548), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3440), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115260] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18550), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3441), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115385] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(6514), 1,
      sym__alpha_identifier,
    ACTIONS(6516), 1,
      anon_sym__,
    ACTIONS(6518), 1,
      anon_sym_LBRACK,
    ACTIONS(6522), 1,
      anon_sym_LPAREN,
    ACTIONS(6524), 1,
      sym__backquoted_id,
    ACTIONS(6526), 1,
      sym_operator_identifier,
    ACTIONS(6528), 1,
      sym_integer_literal,
    STATE(8360), 1,
      sym__simple_type,
    STATE(8944), 1,
      sym__annotated_type,
    STATE(9171), 1,
      sym_identifier,
    STATE(9211), 1,
      sym__soft_identifier,
    STATE(11182), 1,
      sym_annotated_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(12328), 1,
      sym__non_null_literal,
    STATE(12344), 1,
      sym_literal_type,
    STATE(12399), 1,
      sym__type,
    STATE(13357), 1,
      sym__infix_type_choice,
    STATE(16412), 1,
      sym_type_parameters,
    STATE(16413), 1,
      sym_parameter_types,
    STATE(18813), 1,
      sym_stable_identifier,
    ACTIONS(6530), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6532), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6534), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3442), 2,
      sym_comment,
      sym_block_comment,
    STATE(11744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12338), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6520), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9592), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115510] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16910), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3443), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115635] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1065), 1,
      sym_integer_literal,
    ACTIONS(6448), 1,
      anon_sym_COLON,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(6500), 1,
      sym__alpha_identifier,
    ACTIONS(6502), 1,
      anon_sym__,
    ACTIONS(6504), 1,
      anon_sym_LBRACK,
    ACTIONS(6508), 1,
      anon_sym_LPAREN,
    ACTIONS(6510), 1,
      sym__backquoted_id,
    ACTIONS(6512), 1,
      sym_operator_identifier,
    STATE(4652), 1,
      sym__annotated_type,
    STATE(4688), 1,
      sym__simple_type,
    STATE(4724), 1,
      sym__soft_identifier,
    STATE(4728), 1,
      sym_identifier,
    STATE(6250), 1,
      sym_annotated_type,
    STATE(9534), 1,
      sym_literal_type,
    STATE(9852), 1,
      sym__non_null_literal,
    STATE(11995), 1,
      sym__type,
    STATE(11997), 1,
      sym_template_body,
    STATE(13512), 1,
      sym__infix_type_choice,
    STATE(16458), 1,
      sym_type_parameters,
    STATE(16459), 1,
      sym_parameter_types,
    STATE(18752), 1,
      sym_stable_identifier,
    ACTIONS(1067), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1069), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1073), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3444), 2,
      sym_comment,
      sym_block_comment,
    STATE(5495), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6235), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8568), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11952), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6506), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4822), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115760] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4672), 1,
      anon_sym_COLON,
    ACTIONS(4674), 1,
      anon_sym_LBRACE,
    ACTIONS(4920), 1,
      sym__alpha_identifier,
    ACTIONS(4922), 1,
      anon_sym__,
    ACTIONS(4926), 1,
      anon_sym_LBRACK,
    ACTIONS(4932), 1,
      sym__backquoted_id,
    ACTIONS(4936), 1,
      sym_integer_literal,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym_operator_identifier,
    STATE(4776), 1,
      sym__simple_type,
    STATE(4782), 1,
      sym__annotated_type,
    STATE(4883), 1,
      sym_identifier,
    STATE(4983), 1,
      sym__soft_identifier,
    STATE(7004), 1,
      sym_annotated_type,
    STATE(10101), 1,
      sym__non_null_literal,
    STATE(10144), 1,
      sym_literal_type,
    STATE(12530), 1,
      sym__type,
    STATE(12633), 1,
      sym_template_body,
    STATE(13446), 1,
      sym__infix_type_choice,
    STATE(16355), 1,
      sym_type_parameters,
    STATE(16356), 1,
      sym_parameter_types,
    STATE(18316), 1,
      sym_stable_identifier,
    ACTIONS(4938), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4940), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4942), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3445), 2,
      sym_comment,
      sym_block_comment,
    STATE(8959), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10232), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13117), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12855), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4928), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5064), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115885] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4774), 1,
      sym__alpha_identifier,
    ACTIONS(4776), 1,
      anon_sym_COLON,
    ACTIONS(4778), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      anon_sym__,
    ACTIONS(4784), 1,
      anon_sym_LBRACK,
    ACTIONS(4792), 1,
      sym__backquoted_id,
    ACTIONS(4796), 1,
      sym_integer_literal,
    ACTIONS(6470), 1,
      anon_sym_LPAREN,
    ACTIONS(6472), 1,
      sym_operator_identifier,
    STATE(5051), 1,
      sym__simple_type,
    STATE(5110), 1,
      sym__annotated_type,
    STATE(5453), 1,
      sym__soft_identifier,
    STATE(5476), 1,
      sym_identifier,
    STATE(8185), 1,
      sym_annotated_type,
    STATE(10818), 1,
      sym_literal_type,
    STATE(10983), 1,
      sym__non_null_literal,
    STATE(13460), 1,
      sym__infix_type_choice,
    STATE(14101), 1,
      sym_template_body,
    STATE(14270), 1,
      sym__type,
    STATE(16542), 1,
      sym_type_parameters,
    STATE(16546), 1,
      sym_parameter_types,
    STATE(18534), 1,
      sym_stable_identifier,
    ACTIONS(4798), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4800), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4804), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3446), 2,
      sym_comment,
      sym_block_comment,
    STATE(10100), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11091), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14093), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14228), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4786), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6045), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116010] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(6514), 1,
      sym__alpha_identifier,
    ACTIONS(6516), 1,
      anon_sym__,
    ACTIONS(6518), 1,
      anon_sym_LBRACK,
    ACTIONS(6522), 1,
      anon_sym_LPAREN,
    ACTIONS(6524), 1,
      sym__backquoted_id,
    ACTIONS(6526), 1,
      sym_operator_identifier,
    ACTIONS(6528), 1,
      sym_integer_literal,
    STATE(8360), 1,
      sym__simple_type,
    STATE(8944), 1,
      sym__annotated_type,
    STATE(9171), 1,
      sym_identifier,
    STATE(9211), 1,
      sym__soft_identifier,
    STATE(11182), 1,
      sym_annotated_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(12328), 1,
      sym__non_null_literal,
    STATE(12344), 1,
      sym_literal_type,
    STATE(12471), 1,
      sym__type,
    STATE(13357), 1,
      sym__infix_type_choice,
    STATE(16412), 1,
      sym_type_parameters,
    STATE(16413), 1,
      sym_parameter_types,
    STATE(18813), 1,
      sym_stable_identifier,
    ACTIONS(6530), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6532), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6534), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3447), 2,
      sym_comment,
      sym_block_comment,
    STATE(11744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12338), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6520), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9592), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116135] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(6514), 1,
      sym__alpha_identifier,
    ACTIONS(6516), 1,
      anon_sym__,
    ACTIONS(6518), 1,
      anon_sym_LBRACK,
    ACTIONS(6522), 1,
      anon_sym_LPAREN,
    ACTIONS(6524), 1,
      sym__backquoted_id,
    ACTIONS(6526), 1,
      sym_operator_identifier,
    ACTIONS(6528), 1,
      sym_integer_literal,
    STATE(8360), 1,
      sym__simple_type,
    STATE(8944), 1,
      sym__annotated_type,
    STATE(9171), 1,
      sym_identifier,
    STATE(9211), 1,
      sym__soft_identifier,
    STATE(11182), 1,
      sym_annotated_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(12328), 1,
      sym__non_null_literal,
    STATE(12344), 1,
      sym_literal_type,
    STATE(12473), 1,
      sym__type,
    STATE(13357), 1,
      sym__infix_type_choice,
    STATE(16412), 1,
      sym_type_parameters,
    STATE(16413), 1,
      sym_parameter_types,
    STATE(18813), 1,
      sym_stable_identifier,
    ACTIONS(6530), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6532), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6534), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3448), 2,
      sym_comment,
      sym_block_comment,
    STATE(11744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12338), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6520), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9592), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116260] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4774), 1,
      sym__alpha_identifier,
    ACTIONS(4776), 1,
      anon_sym_COLON,
    ACTIONS(4778), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      anon_sym__,
    ACTIONS(4784), 1,
      anon_sym_LBRACK,
    ACTIONS(4792), 1,
      sym__backquoted_id,
    ACTIONS(4796), 1,
      sym_integer_literal,
    ACTIONS(6470), 1,
      anon_sym_LPAREN,
    ACTIONS(6472), 1,
      sym_operator_identifier,
    STATE(5051), 1,
      sym__simple_type,
    STATE(5110), 1,
      sym__annotated_type,
    STATE(5453), 1,
      sym__soft_identifier,
    STATE(5476), 1,
      sym_identifier,
    STATE(8185), 1,
      sym_annotated_type,
    STATE(10818), 1,
      sym_literal_type,
    STATE(10983), 1,
      sym__non_null_literal,
    STATE(13460), 1,
      sym__infix_type_choice,
    STATE(14101), 1,
      sym_template_body,
    STATE(14304), 1,
      sym__type,
    STATE(16542), 1,
      sym_type_parameters,
    STATE(16546), 1,
      sym_parameter_types,
    STATE(18534), 1,
      sym_stable_identifier,
    ACTIONS(4798), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4800), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4804), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3449), 2,
      sym_comment,
      sym_block_comment,
    STATE(10100), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11091), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14093), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14228), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4786), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6045), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116385] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(6514), 1,
      sym__alpha_identifier,
    ACTIONS(6516), 1,
      anon_sym__,
    ACTIONS(6518), 1,
      anon_sym_LBRACK,
    ACTIONS(6522), 1,
      anon_sym_LPAREN,
    ACTIONS(6524), 1,
      sym__backquoted_id,
    ACTIONS(6526), 1,
      sym_operator_identifier,
    ACTIONS(6528), 1,
      sym_integer_literal,
    STATE(8360), 1,
      sym__simple_type,
    STATE(8944), 1,
      sym__annotated_type,
    STATE(9171), 1,
      sym_identifier,
    STATE(9211), 1,
      sym__soft_identifier,
    STATE(11182), 1,
      sym_annotated_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(12328), 1,
      sym__non_null_literal,
    STATE(12344), 1,
      sym_literal_type,
    STATE(12474), 1,
      sym__type,
    STATE(13357), 1,
      sym__infix_type_choice,
    STATE(16412), 1,
      sym_type_parameters,
    STATE(16413), 1,
      sym_parameter_types,
    STATE(18813), 1,
      sym_stable_identifier,
    ACTIONS(6530), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6532), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6534), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3450), 2,
      sym_comment,
      sym_block_comment,
    STATE(11744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12338), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6520), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9592), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116510] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18775), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3451), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116635] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1173), 1,
      sym_integer_literal,
    ACTIONS(6482), 1,
      anon_sym_COLON,
    ACTIONS(6484), 1,
      anon_sym_LBRACE,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6538), 1,
      anon_sym__,
    ACTIONS(6540), 1,
      anon_sym_LBRACK,
    ACTIONS(6544), 1,
      anon_sym_LPAREN,
    ACTIONS(6546), 1,
      sym__backquoted_id,
    ACTIONS(6548), 1,
      sym_operator_identifier,
    STATE(4939), 1,
      sym__simple_type,
    STATE(5002), 1,
      sym__annotated_type,
    STATE(5069), 1,
      sym_identifier,
    STATE(5214), 1,
      sym__soft_identifier,
    STATE(7698), 1,
      sym_annotated_type,
    STATE(10461), 1,
      sym__non_null_literal,
    STATE(10736), 1,
      sym_literal_type,
    STATE(12914), 1,
      sym__type,
    STATE(13098), 1,
      sym_template_body,
    STATE(13513), 1,
      sym__infix_type_choice,
    STATE(16460), 1,
      sym_type_parameters,
    STATE(16461), 1,
      sym_parameter_types,
    STATE(18758), 1,
      sym_stable_identifier,
    ACTIONS(1175), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1177), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3452), 2,
      sym_comment,
      sym_block_comment,
    STATE(6758), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7784), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9609), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12836), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6542), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5471), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116760] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18780), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3453), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116885] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1353), 1,
      sym_integer_literal,
    ACTIONS(6446), 1,
      sym__alpha_identifier,
    ACTIONS(6448), 1,
      anon_sym_COLON,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(6452), 1,
      anon_sym__,
    ACTIONS(6454), 1,
      anon_sym_LBRACK,
    ACTIONS(6458), 1,
      anon_sym_LPAREN,
    ACTIONS(6460), 1,
      sym__backquoted_id,
    ACTIONS(6462), 1,
      sym_operator_identifier,
    STATE(5956), 1,
      sym__simple_type,
    STATE(6282), 1,
      sym__annotated_type,
    STATE(6529), 1,
      sym__soft_identifier,
    STATE(6781), 1,
      sym_identifier,
    STATE(9535), 1,
      sym_annotated_type,
    STATE(11362), 1,
      sym__non_null_literal,
    STATE(11531), 1,
      sym_literal_type,
    STATE(11997), 1,
      sym_template_body,
    STATE(12304), 1,
      sym__type,
    STATE(13508), 1,
      sym__infix_type_choice,
    STATE(16420), 1,
      sym_type_parameters,
    STATE(16421), 1,
      sym_parameter_types,
    STATE(18722), 1,
      sym_stable_identifier,
    ACTIONS(1355), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1357), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1361), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3454), 2,
      sym_comment,
      sym_block_comment,
    STATE(5495), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9544), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10774), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11952), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6456), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7765), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117010] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(16991), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3455), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117135] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2425), 1,
      sym_integer_literal,
    ACTIONS(6550), 1,
      sym__alpha_identifier,
    ACTIONS(6552), 1,
      anon_sym_COLON,
    ACTIONS(6554), 1,
      anon_sym_LBRACE,
    ACTIONS(6556), 1,
      anon_sym__,
    ACTIONS(6558), 1,
      anon_sym_LBRACK,
    ACTIONS(6562), 1,
      anon_sym_LPAREN,
    ACTIONS(6564), 1,
      sym__backquoted_id,
    ACTIONS(6566), 1,
      sym_operator_identifier,
    STATE(7252), 1,
      sym__annotated_type,
    STATE(7315), 1,
      sym__simple_type,
    STATE(8230), 1,
      sym__soft_identifier,
    STATE(8403), 1,
      sym_identifier,
    STATE(10593), 1,
      sym_annotated_type,
    STATE(11919), 1,
      sym__non_null_literal,
    STATE(11941), 1,
      sym_literal_type,
    STATE(12515), 1,
      sym__type,
    STATE(12633), 1,
      sym_template_body,
    STATE(13479), 1,
      sym__infix_type_choice,
    STATE(16418), 1,
      sym_type_parameters,
    STATE(16419), 1,
      sym_parameter_types,
    STATE(18603), 1,
      sym_stable_identifier,
    ACTIONS(2427), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2429), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2433), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3456), 2,
      sym_comment,
      sym_block_comment,
    STATE(6866), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10615), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11441), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12855), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6560), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8954), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117260] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1101), 1,
      sym_integer_literal,
    ACTIONS(6568), 1,
      sym__alpha_identifier,
    ACTIONS(6570), 1,
      anon_sym_COLON,
    ACTIONS(6572), 1,
      anon_sym_LBRACE,
    ACTIONS(6574), 1,
      anon_sym__,
    ACTIONS(6576), 1,
      anon_sym_LBRACK,
    ACTIONS(6580), 1,
      anon_sym_LPAREN,
    ACTIONS(6582), 1,
      sym__backquoted_id,
    ACTIONS(6584), 1,
      sym_operator_identifier,
    STATE(4785), 1,
      sym__annotated_type,
    STATE(4786), 1,
      sym__simple_type,
    STATE(4899), 1,
      sym_identifier,
    STATE(4989), 1,
      sym__soft_identifier,
    STATE(6973), 1,
      sym_annotated_type,
    STATE(10151), 1,
      sym__non_null_literal,
    STATE(10317), 1,
      sym_literal_type,
    STATE(12478), 1,
      sym_template_body,
    STATE(12976), 1,
      sym__type,
    STATE(13450), 1,
      sym__infix_type_choice,
    STATE(16452), 1,
      sym_type_parameters,
    STATE(16453), 1,
      sym_parameter_types,
    STATE(18358), 1,
      sym_stable_identifier,
    ACTIONS(1103), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1105), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1109), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3457), 2,
      sym_comment,
      sym_block_comment,
    STATE(6161), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6960), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9047), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6578), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5115), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117385] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1173), 1,
      sym_integer_literal,
    ACTIONS(6482), 1,
      anon_sym_COLON,
    ACTIONS(6484), 1,
      anon_sym_LBRACE,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6538), 1,
      anon_sym__,
    ACTIONS(6540), 1,
      anon_sym_LBRACK,
    ACTIONS(6544), 1,
      anon_sym_LPAREN,
    ACTIONS(6546), 1,
      sym__backquoted_id,
    ACTIONS(6548), 1,
      sym_operator_identifier,
    STATE(4939), 1,
      sym__simple_type,
    STATE(5002), 1,
      sym__annotated_type,
    STATE(5069), 1,
      sym_identifier,
    STATE(5214), 1,
      sym__soft_identifier,
    STATE(7698), 1,
      sym_annotated_type,
    STATE(10461), 1,
      sym__non_null_literal,
    STATE(10736), 1,
      sym_literal_type,
    STATE(12917), 1,
      sym__type,
    STATE(13098), 1,
      sym_template_body,
    STATE(13513), 1,
      sym__infix_type_choice,
    STATE(16460), 1,
      sym_type_parameters,
    STATE(16461), 1,
      sym_parameter_types,
    STATE(18758), 1,
      sym_stable_identifier,
    ACTIONS(1175), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1177), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3458), 2,
      sym_comment,
      sym_block_comment,
    STATE(6758), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7784), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9609), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12836), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6542), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5471), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117510] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1173), 1,
      sym_integer_literal,
    ACTIONS(6482), 1,
      anon_sym_COLON,
    ACTIONS(6484), 1,
      anon_sym_LBRACE,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6538), 1,
      anon_sym__,
    ACTIONS(6540), 1,
      anon_sym_LBRACK,
    ACTIONS(6544), 1,
      anon_sym_LPAREN,
    ACTIONS(6546), 1,
      sym__backquoted_id,
    ACTIONS(6548), 1,
      sym_operator_identifier,
    STATE(4939), 1,
      sym__simple_type,
    STATE(5002), 1,
      sym__annotated_type,
    STATE(5069), 1,
      sym_identifier,
    STATE(5214), 1,
      sym__soft_identifier,
    STATE(7698), 1,
      sym_annotated_type,
    STATE(10461), 1,
      sym__non_null_literal,
    STATE(10736), 1,
      sym_literal_type,
    STATE(12918), 1,
      sym__type,
    STATE(13098), 1,
      sym_template_body,
    STATE(13513), 1,
      sym__infix_type_choice,
    STATE(16460), 1,
      sym_type_parameters,
    STATE(16461), 1,
      sym_parameter_types,
    STATE(18758), 1,
      sym_stable_identifier,
    ACTIONS(1175), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1177), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3459), 2,
      sym_comment,
      sym_block_comment,
    STATE(6758), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7784), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9609), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12836), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6542), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5471), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117635] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1173), 1,
      sym_integer_literal,
    ACTIONS(6482), 1,
      anon_sym_COLON,
    ACTIONS(6484), 1,
      anon_sym_LBRACE,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6538), 1,
      anon_sym__,
    ACTIONS(6540), 1,
      anon_sym_LBRACK,
    ACTIONS(6544), 1,
      anon_sym_LPAREN,
    ACTIONS(6546), 1,
      sym__backquoted_id,
    ACTIONS(6548), 1,
      sym_operator_identifier,
    STATE(4939), 1,
      sym__simple_type,
    STATE(5002), 1,
      sym__annotated_type,
    STATE(5069), 1,
      sym_identifier,
    STATE(5214), 1,
      sym__soft_identifier,
    STATE(7698), 1,
      sym_annotated_type,
    STATE(10461), 1,
      sym__non_null_literal,
    STATE(10736), 1,
      sym_literal_type,
    STATE(12919), 1,
      sym__type,
    STATE(13098), 1,
      sym_template_body,
    STATE(13513), 1,
      sym__infix_type_choice,
    STATE(16460), 1,
      sym_type_parameters,
    STATE(16461), 1,
      sym_parameter_types,
    STATE(18758), 1,
      sym_stable_identifier,
    ACTIONS(1175), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1177), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3460), 2,
      sym_comment,
      sym_block_comment,
    STATE(6758), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7784), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9609), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12836), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6542), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5471), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117760] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(167), 1,
      sym_integer_literal,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    ACTIONS(6402), 1,
      anon_sym_COLON,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(6498), 1,
      anon_sym_LBRACK,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(5060), 1,
      sym__annotated_type,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(8788), 1,
      sym__non_null_literal,
    STATE(8790), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(13398), 1,
      sym__infix_type_choice,
    STATE(15524), 1,
      sym__type,
    STATE(16448), 1,
      sym_type_parameters,
    STATE(16449), 1,
      sym_parameter_types,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(169), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(171), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3461), 2,
      sym_comment,
      sym_block_comment,
    STATE(6796), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7234), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117885] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(167), 1,
      sym_integer_literal,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    ACTIONS(6402), 1,
      anon_sym_COLON,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(6498), 1,
      anon_sym_LBRACK,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(5060), 1,
      sym__annotated_type,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(8788), 1,
      sym__non_null_literal,
    STATE(8790), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(13398), 1,
      sym__infix_type_choice,
    STATE(15485), 1,
      sym__type,
    STATE(16448), 1,
      sym_type_parameters,
    STATE(16449), 1,
      sym_parameter_types,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(169), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(171), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3462), 2,
      sym_comment,
      sym_block_comment,
    STATE(6796), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7234), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118010] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19047), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3463), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118135] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19057), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3464), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118260] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17110), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3465), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118385] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1173), 1,
      sym_integer_literal,
    ACTIONS(6482), 1,
      anon_sym_COLON,
    ACTIONS(6484), 1,
      anon_sym_LBRACE,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6538), 1,
      anon_sym__,
    ACTIONS(6540), 1,
      anon_sym_LBRACK,
    ACTIONS(6544), 1,
      anon_sym_LPAREN,
    ACTIONS(6546), 1,
      sym__backquoted_id,
    ACTIONS(6548), 1,
      sym_operator_identifier,
    STATE(4939), 1,
      sym__simple_type,
    STATE(5002), 1,
      sym__annotated_type,
    STATE(5069), 1,
      sym_identifier,
    STATE(5214), 1,
      sym__soft_identifier,
    STATE(7698), 1,
      sym_annotated_type,
    STATE(10461), 1,
      sym__non_null_literal,
    STATE(10736), 1,
      sym_literal_type,
    STATE(12900), 1,
      sym__type,
    STATE(13098), 1,
      sym_template_body,
    STATE(13513), 1,
      sym__infix_type_choice,
    STATE(16460), 1,
      sym_type_parameters,
    STATE(16461), 1,
      sym_parameter_types,
    STATE(18758), 1,
      sym_stable_identifier,
    ACTIONS(1175), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1177), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3466), 2,
      sym_comment,
      sym_block_comment,
    STATE(6758), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7784), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9609), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12836), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6542), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5471), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118510] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4774), 1,
      sym__alpha_identifier,
    ACTIONS(4776), 1,
      anon_sym_COLON,
    ACTIONS(4778), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      anon_sym__,
    ACTIONS(4784), 1,
      anon_sym_LBRACK,
    ACTIONS(4792), 1,
      sym__backquoted_id,
    ACTIONS(4796), 1,
      sym_integer_literal,
    ACTIONS(6470), 1,
      anon_sym_LPAREN,
    ACTIONS(6472), 1,
      sym_operator_identifier,
    STATE(5051), 1,
      sym__simple_type,
    STATE(5110), 1,
      sym__annotated_type,
    STATE(5453), 1,
      sym__soft_identifier,
    STATE(5476), 1,
      sym_identifier,
    STATE(8185), 1,
      sym_annotated_type,
    STATE(10818), 1,
      sym_literal_type,
    STATE(10983), 1,
      sym__non_null_literal,
    STATE(13460), 1,
      sym__infix_type_choice,
    STATE(14101), 1,
      sym_template_body,
    STATE(14333), 1,
      sym__type,
    STATE(16542), 1,
      sym_type_parameters,
    STATE(16546), 1,
      sym_parameter_types,
    STATE(18534), 1,
      sym_stable_identifier,
    ACTIONS(4798), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4800), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4804), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3467), 2,
      sym_comment,
      sym_block_comment,
    STATE(10100), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11091), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14093), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14228), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4786), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6045), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118635] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(167), 1,
      sym_integer_literal,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    ACTIONS(6402), 1,
      anon_sym_COLON,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(6498), 1,
      anon_sym_LBRACK,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(5060), 1,
      sym__annotated_type,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(8788), 1,
      sym__non_null_literal,
    STATE(8790), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(13398), 1,
      sym__infix_type_choice,
    STATE(15351), 1,
      sym__type,
    STATE(16448), 1,
      sym_type_parameters,
    STATE(16449), 1,
      sym_parameter_types,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(169), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(171), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3468), 2,
      sym_comment,
      sym_block_comment,
    STATE(6796), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7234), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118760] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(167), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    ACTIONS(6586), 1,
      anon_sym_LBRACK,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(7504), 1,
      sym__annotated_type,
    STATE(8788), 1,
      sym__non_null_literal,
    STATE(8790), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(13412), 1,
      sym__infix_type_choice,
    STATE(15065), 1,
      sym__type,
    STATE(16507), 1,
      sym_type_parameters,
    STATE(16508), 1,
      sym_parameter_types,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(169), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(171), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3469), 2,
      sym_comment,
      sym_block_comment,
    STATE(6796), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7234), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118885] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4672), 1,
      anon_sym_COLON,
    ACTIONS(4674), 1,
      anon_sym_LBRACE,
    ACTIONS(4920), 1,
      sym__alpha_identifier,
    ACTIONS(4922), 1,
      anon_sym__,
    ACTIONS(4926), 1,
      anon_sym_LBRACK,
    ACTIONS(4932), 1,
      sym__backquoted_id,
    ACTIONS(4936), 1,
      sym_integer_literal,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym_operator_identifier,
    STATE(4776), 1,
      sym__simple_type,
    STATE(4782), 1,
      sym__annotated_type,
    STATE(4883), 1,
      sym_identifier,
    STATE(4983), 1,
      sym__soft_identifier,
    STATE(7004), 1,
      sym_annotated_type,
    STATE(10101), 1,
      sym__non_null_literal,
    STATE(10144), 1,
      sym_literal_type,
    STATE(12531), 1,
      sym__type,
    STATE(12633), 1,
      sym_template_body,
    STATE(13446), 1,
      sym__infix_type_choice,
    STATE(16355), 1,
      sym_type_parameters,
    STATE(16356), 1,
      sym_parameter_types,
    STATE(18316), 1,
      sym_stable_identifier,
    ACTIONS(4938), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4940), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4942), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3470), 2,
      sym_comment,
      sym_block_comment,
    STATE(8959), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10232), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13117), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12855), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4928), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5064), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119010] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(6588), 1,
      sym__alpha_identifier,
    ACTIONS(6590), 1,
      anon_sym__,
    ACTIONS(6592), 1,
      anon_sym_LBRACK,
    ACTIONS(6596), 1,
      anon_sym_LPAREN,
    ACTIONS(6598), 1,
      sym__backquoted_id,
    ACTIONS(6600), 1,
      sym_operator_identifier,
    ACTIONS(6602), 1,
      sym_integer_literal,
    STATE(7642), 1,
      sym__simple_type,
    STATE(7994), 1,
      sym_identifier,
    STATE(8198), 1,
      sym__annotated_type,
    STATE(8617), 1,
      sym__soft_identifier,
    STATE(10935), 1,
      sym_annotated_type,
    STATE(11886), 1,
      sym__non_null_literal,
    STATE(11910), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(12293), 1,
      sym__type,
    STATE(13359), 1,
      sym__infix_type_choice,
    STATE(16450), 1,
      sym_type_parameters,
    STATE(16451), 1,
      sym_parameter_types,
    STATE(18936), 1,
      sym_stable_identifier,
    ACTIONS(6604), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6606), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6608), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3471), 2,
      sym_comment,
      sym_block_comment,
    STATE(11394), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11960), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8780), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119135] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    STATE(19498), 1,
      sym__type,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3472), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119260] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3514), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6610), 1,
      anon_sym_COLON,
    ACTIONS(6612), 1,
      anon_sym_LBRACE,
    ACTIONS(6614), 1,
      anon_sym_LBRACK,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(10707), 1,
      sym__annotated_type,
    STATE(13420), 1,
      sym__infix_type_choice,
    STATE(13949), 1,
      sym__non_null_literal,
    STATE(13950), 1,
      sym_literal_type,
    STATE(17151), 1,
      sym_type_parameters,
    STATE(17170), 1,
      sym_parameter_types,
    STATE(18260), 1,
      sym_template_body,
    STATE(19114), 1,
      sym_stable_identifier,
    STATE(19245), 1,
      sym__type,
    ACTIONS(3516), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(3518), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3522), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3473), 2,
      sym_comment,
      sym_block_comment,
    STATE(11375), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13541), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(18335), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17990), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119385] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    STATE(19501), 1,
      sym__type,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3474), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119510] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17313), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3475), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119635] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1281), 1,
      sym_integer_literal,
    ACTIONS(6616), 1,
      sym__alpha_identifier,
    ACTIONS(6618), 1,
      anon_sym_COLON,
    ACTIONS(6620), 1,
      anon_sym_LBRACE,
    ACTIONS(6622), 1,
      anon_sym__,
    ACTIONS(6624), 1,
      anon_sym_LBRACK,
    ACTIONS(6628), 1,
      anon_sym_LPAREN,
    ACTIONS(6630), 1,
      sym__backquoted_id,
    ACTIONS(6632), 1,
      sym_operator_identifier,
    STATE(4942), 1,
      sym__simple_type,
    STATE(4954), 1,
      sym__annotated_type,
    STATE(5083), 1,
      sym_identifier,
    STATE(5216), 1,
      sym__soft_identifier,
    STATE(7710), 1,
      sym_annotated_type,
    STATE(10458), 1,
      sym_literal_type,
    STATE(10618), 1,
      sym__non_null_literal,
    STATE(13333), 1,
      sym__type,
    STATE(13518), 1,
      sym__infix_type_choice,
    STATE(13574), 1,
      sym_template_body,
    STATE(16365), 1,
      sym_type_parameters,
    STATE(16366), 1,
      sym_parameter_types,
    STATE(18770), 1,
      sym_stable_identifier,
    ACTIONS(1283), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1285), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1289), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3476), 2,
      sym_comment,
      sym_block_comment,
    STATE(7079), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7231), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9700), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13305), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6626), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5517), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119760] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2425), 1,
      sym_integer_literal,
    ACTIONS(6550), 1,
      sym__alpha_identifier,
    ACTIONS(6552), 1,
      anon_sym_COLON,
    ACTIONS(6554), 1,
      anon_sym_LBRACE,
    ACTIONS(6556), 1,
      anon_sym__,
    ACTIONS(6558), 1,
      anon_sym_LBRACK,
    ACTIONS(6562), 1,
      anon_sym_LPAREN,
    ACTIONS(6564), 1,
      sym__backquoted_id,
    ACTIONS(6566), 1,
      sym_operator_identifier,
    STATE(7252), 1,
      sym__annotated_type,
    STATE(7315), 1,
      sym__simple_type,
    STATE(8230), 1,
      sym__soft_identifier,
    STATE(8403), 1,
      sym_identifier,
    STATE(10593), 1,
      sym_annotated_type,
    STATE(11919), 1,
      sym__non_null_literal,
    STATE(11941), 1,
      sym_literal_type,
    STATE(12525), 1,
      sym__type,
    STATE(12633), 1,
      sym_template_body,
    STATE(13479), 1,
      sym__infix_type_choice,
    STATE(16418), 1,
      sym_type_parameters,
    STATE(16419), 1,
      sym_parameter_types,
    STATE(18603), 1,
      sym_stable_identifier,
    ACTIONS(2427), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2429), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2433), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3477), 2,
      sym_comment,
      sym_block_comment,
    STATE(6866), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10615), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11441), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12855), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6560), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8954), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119885] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1281), 1,
      sym_integer_literal,
    ACTIONS(6616), 1,
      sym__alpha_identifier,
    ACTIONS(6618), 1,
      anon_sym_COLON,
    ACTIONS(6620), 1,
      anon_sym_LBRACE,
    ACTIONS(6622), 1,
      anon_sym__,
    ACTIONS(6624), 1,
      anon_sym_LBRACK,
    ACTIONS(6628), 1,
      anon_sym_LPAREN,
    ACTIONS(6630), 1,
      sym__backquoted_id,
    ACTIONS(6632), 1,
      sym_operator_identifier,
    STATE(4942), 1,
      sym__simple_type,
    STATE(4954), 1,
      sym__annotated_type,
    STATE(5083), 1,
      sym_identifier,
    STATE(5216), 1,
      sym__soft_identifier,
    STATE(7710), 1,
      sym_annotated_type,
    STATE(10458), 1,
      sym_literal_type,
    STATE(10618), 1,
      sym__non_null_literal,
    STATE(13335), 1,
      sym__type,
    STATE(13518), 1,
      sym__infix_type_choice,
    STATE(13574), 1,
      sym_template_body,
    STATE(16365), 1,
      sym_type_parameters,
    STATE(16366), 1,
      sym_parameter_types,
    STATE(18770), 1,
      sym_stable_identifier,
    ACTIONS(1283), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1285), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1289), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3478), 2,
      sym_comment,
      sym_block_comment,
    STATE(7079), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7231), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9700), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13305), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6626), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5517), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120010] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1281), 1,
      sym_integer_literal,
    ACTIONS(6616), 1,
      sym__alpha_identifier,
    ACTIONS(6618), 1,
      anon_sym_COLON,
    ACTIONS(6620), 1,
      anon_sym_LBRACE,
    ACTIONS(6622), 1,
      anon_sym__,
    ACTIONS(6624), 1,
      anon_sym_LBRACK,
    ACTIONS(6628), 1,
      anon_sym_LPAREN,
    ACTIONS(6630), 1,
      sym__backquoted_id,
    ACTIONS(6632), 1,
      sym_operator_identifier,
    STATE(4942), 1,
      sym__simple_type,
    STATE(4954), 1,
      sym__annotated_type,
    STATE(5083), 1,
      sym_identifier,
    STATE(5216), 1,
      sym__soft_identifier,
    STATE(7710), 1,
      sym_annotated_type,
    STATE(10458), 1,
      sym_literal_type,
    STATE(10618), 1,
      sym__non_null_literal,
    STATE(13336), 1,
      sym__type,
    STATE(13518), 1,
      sym__infix_type_choice,
    STATE(13574), 1,
      sym_template_body,
    STATE(16365), 1,
      sym_type_parameters,
    STATE(16366), 1,
      sym_parameter_types,
    STATE(18770), 1,
      sym_stable_identifier,
    ACTIONS(1283), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1285), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1289), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3479), 2,
      sym_comment,
      sym_block_comment,
    STATE(7079), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7231), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9700), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13305), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6626), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5517), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120135] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1281), 1,
      sym_integer_literal,
    ACTIONS(6616), 1,
      sym__alpha_identifier,
    ACTIONS(6618), 1,
      anon_sym_COLON,
    ACTIONS(6620), 1,
      anon_sym_LBRACE,
    ACTIONS(6622), 1,
      anon_sym__,
    ACTIONS(6624), 1,
      anon_sym_LBRACK,
    ACTIONS(6628), 1,
      anon_sym_LPAREN,
    ACTIONS(6630), 1,
      sym__backquoted_id,
    ACTIONS(6632), 1,
      sym_operator_identifier,
    STATE(4942), 1,
      sym__simple_type,
    STATE(4954), 1,
      sym__annotated_type,
    STATE(5083), 1,
      sym_identifier,
    STATE(5216), 1,
      sym__soft_identifier,
    STATE(7710), 1,
      sym_annotated_type,
    STATE(10458), 1,
      sym_literal_type,
    STATE(10618), 1,
      sym__non_null_literal,
    STATE(13338), 1,
      sym__type,
    STATE(13518), 1,
      sym__infix_type_choice,
    STATE(13574), 1,
      sym_template_body,
    STATE(16365), 1,
      sym_type_parameters,
    STATE(16366), 1,
      sym_parameter_types,
    STATE(18770), 1,
      sym_stable_identifier,
    ACTIONS(1283), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1285), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1289), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3480), 2,
      sym_comment,
      sym_block_comment,
    STATE(7079), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7231), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9700), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13305), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6626), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5517), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120260] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(6588), 1,
      sym__alpha_identifier,
    ACTIONS(6590), 1,
      anon_sym__,
    ACTIONS(6592), 1,
      anon_sym_LBRACK,
    ACTIONS(6596), 1,
      anon_sym_LPAREN,
    ACTIONS(6598), 1,
      sym__backquoted_id,
    ACTIONS(6600), 1,
      sym_operator_identifier,
    ACTIONS(6602), 1,
      sym_integer_literal,
    STATE(7642), 1,
      sym__simple_type,
    STATE(7994), 1,
      sym_identifier,
    STATE(8198), 1,
      sym__annotated_type,
    STATE(8617), 1,
      sym__soft_identifier,
    STATE(10935), 1,
      sym_annotated_type,
    STATE(11886), 1,
      sym__non_null_literal,
    STATE(11910), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(12399), 1,
      sym__type,
    STATE(13359), 1,
      sym__infix_type_choice,
    STATE(16450), 1,
      sym_type_parameters,
    STATE(16451), 1,
      sym_parameter_types,
    STATE(18936), 1,
      sym_stable_identifier,
    ACTIONS(6604), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6606), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6608), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3481), 2,
      sym_comment,
      sym_block_comment,
    STATE(11394), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11960), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8780), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120385] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18076), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3482), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120510] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15915), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3483), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120635] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1281), 1,
      sym_integer_literal,
    ACTIONS(6616), 1,
      sym__alpha_identifier,
    ACTIONS(6618), 1,
      anon_sym_COLON,
    ACTIONS(6620), 1,
      anon_sym_LBRACE,
    ACTIONS(6622), 1,
      anon_sym__,
    ACTIONS(6624), 1,
      anon_sym_LBRACK,
    ACTIONS(6628), 1,
      anon_sym_LPAREN,
    ACTIONS(6630), 1,
      sym__backquoted_id,
    ACTIONS(6632), 1,
      sym_operator_identifier,
    STATE(4942), 1,
      sym__simple_type,
    STATE(4954), 1,
      sym__annotated_type,
    STATE(5083), 1,
      sym_identifier,
    STATE(5216), 1,
      sym__soft_identifier,
    STATE(7710), 1,
      sym_annotated_type,
    STATE(10458), 1,
      sym_literal_type,
    STATE(10618), 1,
      sym__non_null_literal,
    STATE(13368), 1,
      sym__type,
    STATE(13518), 1,
      sym__infix_type_choice,
    STATE(13574), 1,
      sym_template_body,
    STATE(16365), 1,
      sym_type_parameters,
    STATE(16366), 1,
      sym_parameter_types,
    STATE(18770), 1,
      sym_stable_identifier,
    ACTIONS(1283), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1285), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1289), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3484), 2,
      sym_comment,
      sym_block_comment,
    STATE(7079), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7231), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9700), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13305), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6626), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5517), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120760] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(6588), 1,
      sym__alpha_identifier,
    ACTIONS(6590), 1,
      anon_sym__,
    ACTIONS(6592), 1,
      anon_sym_LBRACK,
    ACTIONS(6596), 1,
      anon_sym_LPAREN,
    ACTIONS(6598), 1,
      sym__backquoted_id,
    ACTIONS(6600), 1,
      sym_operator_identifier,
    ACTIONS(6602), 1,
      sym_integer_literal,
    STATE(7642), 1,
      sym__simple_type,
    STATE(7994), 1,
      sym_identifier,
    STATE(8198), 1,
      sym__annotated_type,
    STATE(8617), 1,
      sym__soft_identifier,
    STATE(10935), 1,
      sym_annotated_type,
    STATE(11886), 1,
      sym__non_null_literal,
    STATE(11910), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(12471), 1,
      sym__type,
    STATE(13359), 1,
      sym__infix_type_choice,
    STATE(16450), 1,
      sym_type_parameters,
    STATE(16451), 1,
      sym_parameter_types,
    STATE(18936), 1,
      sym_stable_identifier,
    ACTIONS(6604), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6606), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6608), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3485), 2,
      sym_comment,
      sym_block_comment,
    STATE(11394), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11960), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8780), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120885] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(6588), 1,
      sym__alpha_identifier,
    ACTIONS(6590), 1,
      anon_sym__,
    ACTIONS(6592), 1,
      anon_sym_LBRACK,
    ACTIONS(6596), 1,
      anon_sym_LPAREN,
    ACTIONS(6598), 1,
      sym__backquoted_id,
    ACTIONS(6600), 1,
      sym_operator_identifier,
    ACTIONS(6602), 1,
      sym_integer_literal,
    STATE(7642), 1,
      sym__simple_type,
    STATE(7994), 1,
      sym_identifier,
    STATE(8198), 1,
      sym__annotated_type,
    STATE(8617), 1,
      sym__soft_identifier,
    STATE(10935), 1,
      sym_annotated_type,
    STATE(11886), 1,
      sym__non_null_literal,
    STATE(11910), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(12473), 1,
      sym__type,
    STATE(13359), 1,
      sym__infix_type_choice,
    STATE(16450), 1,
      sym_type_parameters,
    STATE(16451), 1,
      sym_parameter_types,
    STATE(18936), 1,
      sym_stable_identifier,
    ACTIONS(6604), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6606), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6608), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3486), 2,
      sym_comment,
      sym_block_comment,
    STATE(11394), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11960), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8780), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121010] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(6588), 1,
      sym__alpha_identifier,
    ACTIONS(6590), 1,
      anon_sym__,
    ACTIONS(6592), 1,
      anon_sym_LBRACK,
    ACTIONS(6596), 1,
      anon_sym_LPAREN,
    ACTIONS(6598), 1,
      sym__backquoted_id,
    ACTIONS(6600), 1,
      sym_operator_identifier,
    ACTIONS(6602), 1,
      sym_integer_literal,
    STATE(7642), 1,
      sym__simple_type,
    STATE(7994), 1,
      sym_identifier,
    STATE(8198), 1,
      sym__annotated_type,
    STATE(8617), 1,
      sym__soft_identifier,
    STATE(10935), 1,
      sym_annotated_type,
    STATE(11886), 1,
      sym__non_null_literal,
    STATE(11910), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(12474), 1,
      sym__type,
    STATE(13359), 1,
      sym__infix_type_choice,
    STATE(16450), 1,
      sym_type_parameters,
    STATE(16451), 1,
      sym_parameter_types,
    STATE(18936), 1,
      sym_stable_identifier,
    ACTIONS(6604), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6606), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6608), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3487), 2,
      sym_comment,
      sym_block_comment,
    STATE(11394), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11960), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8780), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121135] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4670), 1,
      sym__alpha_identifier,
    ACTIONS(4672), 1,
      anon_sym_COLON,
    ACTIONS(4674), 1,
      anon_sym_LBRACE,
    ACTIONS(4676), 1,
      anon_sym__,
    ACTIONS(4680), 1,
      anon_sym_LBRACK,
    ACTIONS(4688), 1,
      sym__backquoted_id,
    ACTIONS(4692), 1,
      sym_integer_literal,
    ACTIONS(6438), 1,
      anon_sym_LPAREN,
    ACTIONS(6440), 1,
      sym_operator_identifier,
    STATE(6600), 1,
      sym__simple_type,
    STATE(6857), 1,
      sym__annotated_type,
    STATE(7686), 1,
      sym_identifier,
    STATE(7831), 1,
      sym__soft_identifier,
    STATE(10118), 1,
      sym_annotated_type,
    STATE(11625), 1,
      sym_literal_type,
    STATE(11670), 1,
      sym__non_null_literal,
    STATE(12525), 1,
      sym__type,
    STATE(12633), 1,
      sym_template_body,
    STATE(13432), 1,
      sym__infix_type_choice,
    STATE(16308), 1,
      sym_type_parameters,
    STATE(16312), 1,
      sym_parameter_types,
    STATE(18186), 1,
      sym_stable_identifier,
    ACTIONS(4694), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4696), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4700), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3488), 2,
      sym_comment,
      sym_block_comment,
    STATE(11217), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11691), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13117), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12855), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4682), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8270), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121260] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2425), 1,
      sym_integer_literal,
    ACTIONS(6550), 1,
      sym__alpha_identifier,
    ACTIONS(6552), 1,
      anon_sym_COLON,
    ACTIONS(6554), 1,
      anon_sym_LBRACE,
    ACTIONS(6556), 1,
      anon_sym__,
    ACTIONS(6558), 1,
      anon_sym_LBRACK,
    ACTIONS(6562), 1,
      anon_sym_LPAREN,
    ACTIONS(6564), 1,
      sym__backquoted_id,
    ACTIONS(6566), 1,
      sym_operator_identifier,
    STATE(7252), 1,
      sym__annotated_type,
    STATE(7315), 1,
      sym__simple_type,
    STATE(8230), 1,
      sym__soft_identifier,
    STATE(8403), 1,
      sym_identifier,
    STATE(10593), 1,
      sym_annotated_type,
    STATE(11919), 1,
      sym__non_null_literal,
    STATE(11941), 1,
      sym_literal_type,
    STATE(12529), 1,
      sym__type,
    STATE(12633), 1,
      sym_template_body,
    STATE(13479), 1,
      sym__infix_type_choice,
    STATE(16418), 1,
      sym_type_parameters,
    STATE(16419), 1,
      sym_parameter_types,
    STATE(18603), 1,
      sym_stable_identifier,
    ACTIONS(2427), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2429), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2433), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3489), 2,
      sym_comment,
      sym_block_comment,
    STATE(6866), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10615), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11441), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12855), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6560), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8954), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121385] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18323), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3490), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121510] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2511), 1,
      sym_integer_literal,
    ACTIONS(6480), 1,
      sym__alpha_identifier,
    ACTIONS(6482), 1,
      anon_sym_COLON,
    ACTIONS(6484), 1,
      anon_sym_LBRACE,
    ACTIONS(6486), 1,
      anon_sym__,
    ACTIONS(6488), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      anon_sym_LPAREN,
    ACTIONS(6494), 1,
      sym__backquoted_id,
    ACTIONS(6496), 1,
      sym_operator_identifier,
    STATE(7439), 1,
      sym__annotated_type,
    STATE(7530), 1,
      sym__simple_type,
    STATE(8170), 1,
      sym_identifier,
    STATE(8580), 1,
      sym__soft_identifier,
    STATE(10665), 1,
      sym_annotated_type,
    STATE(11914), 1,
      sym__non_null_literal,
    STATE(11951), 1,
      sym_literal_type,
    STATE(13098), 1,
      sym_template_body,
    STATE(13205), 1,
      sym__type,
    STATE(13511), 1,
      sym__infix_type_choice,
    STATE(16422), 1,
      sym_type_parameters,
    STATE(16423), 1,
      sym_parameter_types,
    STATE(18734), 1,
      sym_stable_identifier,
    ACTIONS(2513), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2515), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2523), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3491), 2,
      sym_comment,
      sym_block_comment,
    STATE(6758), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10697), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11539), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12836), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6490), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9224), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121635] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15977), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3492), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121760] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6634), 1,
      sym__alpha_identifier,
    ACTIONS(6636), 1,
      anon_sym_COLON,
    ACTIONS(6638), 1,
      anon_sym_LBRACE,
    ACTIONS(6640), 1,
      anon_sym__,
    ACTIONS(6642), 1,
      anon_sym_LBRACK,
    ACTIONS(6646), 1,
      anon_sym_LPAREN,
    ACTIONS(6648), 1,
      sym__backquoted_id,
    ACTIONS(6650), 1,
      sym_operator_identifier,
    ACTIONS(6652), 1,
      sym_integer_literal,
    STATE(5952), 1,
      sym__simple_type,
    STATE(6655), 1,
      sym__soft_identifier,
    STATE(6914), 1,
      sym_identifier,
    STATE(9189), 1,
      sym__annotated_type,
    STATE(9996), 1,
      sym_annotated_type,
    STATE(11950), 1,
      sym_literal_type,
    STATE(12162), 1,
      sym__non_null_literal,
    STATE(12297), 1,
      sym__type,
    STATE(12439), 1,
      sym_template_body,
    STATE(13340), 1,
      sym__infix_type_choice,
    STATE(16804), 1,
      sym_type_parameters,
    STATE(16813), 1,
      sym_parameter_types,
    STATE(19535), 1,
      sym_stable_identifier,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3493), 2,
      sym_comment,
      sym_block_comment,
    STATE(11847), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12433), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12265), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6644), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7691), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121885] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2425), 1,
      sym_integer_literal,
    ACTIONS(6550), 1,
      sym__alpha_identifier,
    ACTIONS(6552), 1,
      anon_sym_COLON,
    ACTIONS(6554), 1,
      anon_sym_LBRACE,
    ACTIONS(6556), 1,
      anon_sym__,
    ACTIONS(6558), 1,
      anon_sym_LBRACK,
    ACTIONS(6562), 1,
      anon_sym_LPAREN,
    ACTIONS(6564), 1,
      sym__backquoted_id,
    ACTIONS(6566), 1,
      sym_operator_identifier,
    STATE(7252), 1,
      sym__annotated_type,
    STATE(7315), 1,
      sym__simple_type,
    STATE(8230), 1,
      sym__soft_identifier,
    STATE(8403), 1,
      sym_identifier,
    STATE(10593), 1,
      sym_annotated_type,
    STATE(11919), 1,
      sym__non_null_literal,
    STATE(11941), 1,
      sym_literal_type,
    STATE(12530), 1,
      sym__type,
    STATE(12633), 1,
      sym_template_body,
    STATE(13479), 1,
      sym__infix_type_choice,
    STATE(16418), 1,
      sym_type_parameters,
    STATE(16419), 1,
      sym_parameter_types,
    STATE(18603), 1,
      sym_stable_identifier,
    ACTIONS(2427), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2429), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2433), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3494), 2,
      sym_comment,
      sym_block_comment,
    STATE(6866), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10615), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11441), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12855), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6560), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8954), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122010] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2425), 1,
      sym_integer_literal,
    ACTIONS(6550), 1,
      sym__alpha_identifier,
    ACTIONS(6552), 1,
      anon_sym_COLON,
    ACTIONS(6554), 1,
      anon_sym_LBRACE,
    ACTIONS(6556), 1,
      anon_sym__,
    ACTIONS(6558), 1,
      anon_sym_LBRACK,
    ACTIONS(6562), 1,
      anon_sym_LPAREN,
    ACTIONS(6564), 1,
      sym__backquoted_id,
    ACTIONS(6566), 1,
      sym_operator_identifier,
    STATE(7252), 1,
      sym__annotated_type,
    STATE(7315), 1,
      sym__simple_type,
    STATE(8230), 1,
      sym__soft_identifier,
    STATE(8403), 1,
      sym_identifier,
    STATE(10593), 1,
      sym_annotated_type,
    STATE(11919), 1,
      sym__non_null_literal,
    STATE(11941), 1,
      sym_literal_type,
    STATE(12531), 1,
      sym__type,
    STATE(12633), 1,
      sym_template_body,
    STATE(13479), 1,
      sym__infix_type_choice,
    STATE(16418), 1,
      sym_type_parameters,
    STATE(16419), 1,
      sym_parameter_types,
    STATE(18603), 1,
      sym_stable_identifier,
    ACTIONS(2427), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2429), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2433), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3495), 2,
      sym_comment,
      sym_block_comment,
    STATE(6866), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10615), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11441), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12855), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6560), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8954), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122135] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1945), 1,
      sym_integer_literal,
    ACTIONS(6660), 1,
      sym__alpha_identifier,
    ACTIONS(6662), 1,
      anon_sym_COLON,
    ACTIONS(6664), 1,
      anon_sym_LBRACE,
    ACTIONS(6666), 1,
      anon_sym__,
    ACTIONS(6668), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_LPAREN,
    ACTIONS(6674), 1,
      sym__backquoted_id,
    ACTIONS(6676), 1,
      sym_operator_identifier,
    STATE(5932), 1,
      sym__annotated_type,
    STATE(6172), 1,
      sym__simple_type,
    STATE(6474), 1,
      sym_identifier,
    STATE(6547), 1,
      sym__soft_identifier,
    STATE(9841), 1,
      sym_annotated_type,
    STATE(11401), 1,
      sym__non_null_literal,
    STATE(11578), 1,
      sym_literal_type,
    STATE(13523), 1,
      sym__infix_type_choice,
    STATE(14441), 1,
      sym__type,
    STATE(14686), 1,
      sym_template_body,
    STATE(16367), 1,
      sym_type_parameters,
    STATE(16368), 1,
      sym_parameter_types,
    STATE(18782), 1,
      sym_stable_identifier,
    ACTIONS(1947), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1949), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1961), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3496), 2,
      sym_comment,
      sym_block_comment,
    STATE(9729), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9787), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10912), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14415), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6670), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7834), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122260] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(575), 1,
      sym_integer_literal,
    ACTIONS(4502), 1,
      anon_sym_COLON,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    ACTIONS(6678), 1,
      anon_sym_LBRACK,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(7199), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(10380), 1,
      sym_literal_type,
    STATE(10428), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13473), 1,
      sym__infix_type_choice,
    STATE(15173), 1,
      sym__type,
    STATE(16478), 1,
      sym_type_parameters,
    STATE(16479), 1,
      sym_parameter_types,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(577), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(579), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(589), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3497), 2,
      sym_comment,
      sym_block_comment,
    STATE(9594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9632), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12935), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122385] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1945), 1,
      sym_integer_literal,
    ACTIONS(6660), 1,
      sym__alpha_identifier,
    ACTIONS(6662), 1,
      anon_sym_COLON,
    ACTIONS(6664), 1,
      anon_sym_LBRACE,
    ACTIONS(6666), 1,
      anon_sym__,
    ACTIONS(6668), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_LPAREN,
    ACTIONS(6674), 1,
      sym__backquoted_id,
    ACTIONS(6676), 1,
      sym_operator_identifier,
    STATE(5932), 1,
      sym__annotated_type,
    STATE(6172), 1,
      sym__simple_type,
    STATE(6474), 1,
      sym_identifier,
    STATE(6547), 1,
      sym__soft_identifier,
    STATE(9841), 1,
      sym_annotated_type,
    STATE(11401), 1,
      sym__non_null_literal,
    STATE(11578), 1,
      sym_literal_type,
    STATE(13523), 1,
      sym__infix_type_choice,
    STATE(14445), 1,
      sym__type,
    STATE(14686), 1,
      sym_template_body,
    STATE(16367), 1,
      sym_type_parameters,
    STATE(16368), 1,
      sym_parameter_types,
    STATE(18782), 1,
      sym_stable_identifier,
    ACTIONS(1947), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1949), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1961), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3498), 2,
      sym_comment,
      sym_block_comment,
    STATE(9729), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9787), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10912), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14415), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6670), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7834), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122510] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1945), 1,
      sym_integer_literal,
    ACTIONS(6660), 1,
      sym__alpha_identifier,
    ACTIONS(6662), 1,
      anon_sym_COLON,
    ACTIONS(6664), 1,
      anon_sym_LBRACE,
    ACTIONS(6666), 1,
      anon_sym__,
    ACTIONS(6668), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_LPAREN,
    ACTIONS(6674), 1,
      sym__backquoted_id,
    ACTIONS(6676), 1,
      sym_operator_identifier,
    STATE(5932), 1,
      sym__annotated_type,
    STATE(6172), 1,
      sym__simple_type,
    STATE(6474), 1,
      sym_identifier,
    STATE(6547), 1,
      sym__soft_identifier,
    STATE(9841), 1,
      sym_annotated_type,
    STATE(11401), 1,
      sym__non_null_literal,
    STATE(11578), 1,
      sym_literal_type,
    STATE(13523), 1,
      sym__infix_type_choice,
    STATE(14446), 1,
      sym__type,
    STATE(14686), 1,
      sym_template_body,
    STATE(16367), 1,
      sym_type_parameters,
    STATE(16368), 1,
      sym_parameter_types,
    STATE(18782), 1,
      sym_stable_identifier,
    ACTIONS(1947), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1949), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1961), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3499), 2,
      sym_comment,
      sym_block_comment,
    STATE(9729), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9787), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10912), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14415), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6670), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7834), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122635] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17895), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3500), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122760] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16031), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3501), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122885] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1945), 1,
      sym_integer_literal,
    ACTIONS(6660), 1,
      sym__alpha_identifier,
    ACTIONS(6662), 1,
      anon_sym_COLON,
    ACTIONS(6664), 1,
      anon_sym_LBRACE,
    ACTIONS(6666), 1,
      anon_sym__,
    ACTIONS(6668), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_LPAREN,
    ACTIONS(6674), 1,
      sym__backquoted_id,
    ACTIONS(6676), 1,
      sym_operator_identifier,
    STATE(5932), 1,
      sym__annotated_type,
    STATE(6172), 1,
      sym__simple_type,
    STATE(6474), 1,
      sym_identifier,
    STATE(6547), 1,
      sym__soft_identifier,
    STATE(9841), 1,
      sym_annotated_type,
    STATE(11401), 1,
      sym__non_null_literal,
    STATE(11578), 1,
      sym_literal_type,
    STATE(13523), 1,
      sym__infix_type_choice,
    STATE(14447), 1,
      sym__type,
    STATE(14686), 1,
      sym_template_body,
    STATE(16367), 1,
      sym_type_parameters,
    STATE(16368), 1,
      sym_parameter_types,
    STATE(18782), 1,
      sym_stable_identifier,
    ACTIONS(1947), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1949), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1961), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3502), 2,
      sym_comment,
      sym_block_comment,
    STATE(9729), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9787), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10912), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14415), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6670), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7834), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123010] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3514), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6610), 1,
      anon_sym_COLON,
    ACTIONS(6612), 1,
      anon_sym_LBRACE,
    ACTIONS(6614), 1,
      anon_sym_LBRACK,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(10707), 1,
      sym__annotated_type,
    STATE(13420), 1,
      sym__infix_type_choice,
    STATE(13949), 1,
      sym__non_null_literal,
    STATE(13950), 1,
      sym_literal_type,
    STATE(17151), 1,
      sym_type_parameters,
    STATE(17170), 1,
      sym_parameter_types,
    STATE(18260), 1,
      sym_template_body,
    STATE(18478), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(3516), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(3518), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3522), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3503), 2,
      sym_comment,
      sym_block_comment,
    STATE(11375), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13541), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(18335), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17990), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123135] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(89), 1,
      sym_integer_literal,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5418), 1,
      anon_sym_LPAREN,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    ACTIONS(6402), 1,
      anon_sym_COLON,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(8575), 1,
      sym__annotated_type,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11227), 1,
      sym__non_null_literal,
    STATE(11245), 1,
      sym_literal_type,
    STATE(11447), 1,
      sym__type,
    STATE(13367), 1,
      sym__infix_type_choice,
    STATE(16061), 1,
      sym_type_parameters,
    STATE(16078), 1,
      sym_parameter_types,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(91), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(93), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(105), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3504), 2,
      sym_comment,
      sym_block_comment,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10368), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10554), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123260] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18398), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3505), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123385] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4530), 1,
      sym__alpha_identifier,
    ACTIONS(4532), 1,
      anon_sym_COLON,
    ACTIONS(4534), 1,
      anon_sym_LBRACE,
    ACTIONS(4536), 1,
      anon_sym__,
    ACTIONS(4540), 1,
      anon_sym_LBRACK,
    ACTIONS(4548), 1,
      sym__backquoted_id,
    ACTIONS(4552), 1,
      sym_integer_literal,
    ACTIONS(6680), 1,
      anon_sym_LPAREN,
    ACTIONS(6682), 1,
      sym_operator_identifier,
    STATE(6272), 1,
      sym__simple_type,
    STATE(6309), 1,
      sym__annotated_type,
    STATE(6552), 1,
      sym__soft_identifier,
    STATE(6995), 1,
      sym_identifier,
    STATE(9784), 1,
      sym_annotated_type,
    STATE(11407), 1,
      sym__non_null_literal,
    STATE(11408), 1,
      sym_literal_type,
    STATE(12325), 1,
      sym__type,
    STATE(12478), 1,
      sym_template_body,
    STATE(13363), 1,
      sym__infix_type_choice,
    STATE(16978), 1,
      sym_type_parameters,
    STATE(17000), 1,
      sym_parameter_types,
    STATE(17830), 1,
      sym_stable_identifier,
    ACTIONS(4554), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4556), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4560), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3506), 2,
      sym_comment,
      sym_block_comment,
    STATE(10917), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11351), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12357), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4542), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7733), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123510] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16088), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3507), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123635] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1945), 1,
      sym_integer_literal,
    ACTIONS(6660), 1,
      sym__alpha_identifier,
    ACTIONS(6662), 1,
      anon_sym_COLON,
    ACTIONS(6664), 1,
      anon_sym_LBRACE,
    ACTIONS(6666), 1,
      anon_sym__,
    ACTIONS(6668), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_LPAREN,
    ACTIONS(6674), 1,
      sym__backquoted_id,
    ACTIONS(6676), 1,
      sym_operator_identifier,
    STATE(5932), 1,
      sym__annotated_type,
    STATE(6172), 1,
      sym__simple_type,
    STATE(6474), 1,
      sym_identifier,
    STATE(6547), 1,
      sym__soft_identifier,
    STATE(9841), 1,
      sym_annotated_type,
    STATE(11401), 1,
      sym__non_null_literal,
    STATE(11578), 1,
      sym_literal_type,
    STATE(13523), 1,
      sym__infix_type_choice,
    STATE(14484), 1,
      sym__type,
    STATE(14686), 1,
      sym_template_body,
    STATE(16367), 1,
      sym_type_parameters,
    STATE(16368), 1,
      sym_parameter_types,
    STATE(18782), 1,
      sym_stable_identifier,
    ACTIONS(1947), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1949), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1961), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3508), 2,
      sym_comment,
      sym_block_comment,
    STATE(9729), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9787), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10912), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14415), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6670), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7834), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123760] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(575), 1,
      sym_integer_literal,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    ACTIONS(6464), 1,
      anon_sym_COLON,
    ACTIONS(6466), 1,
      anon_sym_LBRACE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(6794), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(10380), 1,
      sym_literal_type,
    STATE(10428), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13462), 1,
      sym__infix_type_choice,
    STATE(15863), 1,
      sym__type,
    STATE(16353), 1,
      sym_type_parameters,
    STATE(16354), 1,
      sym_parameter_types,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(577), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(579), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(589), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3509), 2,
      sym_comment,
      sym_block_comment,
    STATE(9563), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9632), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123885] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(575), 1,
      sym_integer_literal,
    ACTIONS(4502), 1,
      anon_sym_COLON,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    ACTIONS(6678), 1,
      anon_sym_LBRACK,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(7199), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(10380), 1,
      sym_literal_type,
    STATE(10428), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13473), 1,
      sym__infix_type_choice,
    STATE(15126), 1,
      sym__type,
    STATE(16478), 1,
      sym_type_parameters,
    STATE(16479), 1,
      sym_parameter_types,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(577), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(579), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(589), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3510), 2,
      sym_comment,
      sym_block_comment,
    STATE(9594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9632), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12935), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124010] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16952), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3511), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124135] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(575), 1,
      sym_integer_literal,
    ACTIONS(4502), 1,
      anon_sym_COLON,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5858), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(6341), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(10380), 1,
      sym_literal_type,
    STATE(10428), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13467), 1,
      sym__infix_type_choice,
    STATE(15257), 1,
      sym__type,
    STATE(16416), 1,
      sym_type_parameters,
    STATE(16417), 1,
      sym_parameter_types,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(577), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(579), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(589), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3512), 2,
      sym_comment,
      sym_block_comment,
    STATE(9594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9632), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12935), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124260] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(6684), 1,
      sym__alpha_identifier,
    ACTIONS(6686), 1,
      anon_sym__,
    ACTIONS(6688), 1,
      anon_sym_LBRACK,
    ACTIONS(6692), 1,
      anon_sym_LPAREN,
    ACTIONS(6694), 1,
      sym__backquoted_id,
    ACTIONS(6696), 1,
      sym_operator_identifier,
    ACTIONS(6698), 1,
      sym_integer_literal,
    STATE(6170), 1,
      sym__simple_type,
    STATE(6808), 1,
      sym__annotated_type,
    STATE(6983), 1,
      sym_identifier,
    STATE(6988), 1,
      sym__soft_identifier,
    STATE(10181), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11532), 1,
      sym__non_null_literal,
    STATE(11533), 1,
      sym_literal_type,
    STATE(13410), 1,
      sym__infix_type_choice,
    STATE(14853), 1,
      sym__type,
    STATE(16494), 1,
      sym_type_parameters,
    STATE(16495), 1,
      sym_parameter_types,
    STATE(18029), 1,
      sym_stable_identifier,
    ACTIONS(6700), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6702), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6704), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3513), 2,
      sym_comment,
      sym_block_comment,
    STATE(10926), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11413), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6690), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7146), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124385] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4406), 1,
      sym__alpha_identifier,
    ACTIONS(4408), 1,
      anon_sym_COLON,
    ACTIONS(4410), 1,
      anon_sym_LBRACE,
    ACTIONS(4412), 1,
      anon_sym__,
    ACTIONS(4416), 1,
      anon_sym_LBRACK,
    ACTIONS(4424), 1,
      sym__backquoted_id,
    ACTIONS(4428), 1,
      sym_integer_literal,
    ACTIONS(6706), 1,
      anon_sym_LPAREN,
    ACTIONS(6708), 1,
      sym_operator_identifier,
    STATE(4863), 1,
      sym__annotated_type,
    STATE(4885), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym_identifier,
    STATE(5218), 1,
      sym__soft_identifier,
    STATE(7721), 1,
      sym_annotated_type,
    STATE(10384), 1,
      sym__non_null_literal,
    STATE(10711), 1,
      sym_literal_type,
    STATE(13525), 1,
      sym__infix_type_choice,
    STATE(13878), 1,
      sym_template_body,
    STATE(13908), 1,
      sym__type,
    STATE(17065), 1,
      sym_type_parameters,
    STATE(17073), 1,
      sym_parameter_types,
    STATE(18794), 1,
      sym_stable_identifier,
    ACTIONS(4430), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4432), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3514), 2,
      sym_comment,
      sym_block_comment,
    STATE(9890), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10408), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13943), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13843), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4418), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5630), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124510] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16135), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3515), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124635] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4406), 1,
      sym__alpha_identifier,
    ACTIONS(4408), 1,
      anon_sym_COLON,
    ACTIONS(4410), 1,
      anon_sym_LBRACE,
    ACTIONS(4412), 1,
      anon_sym__,
    ACTIONS(4416), 1,
      anon_sym_LBRACK,
    ACTIONS(4424), 1,
      sym__backquoted_id,
    ACTIONS(4428), 1,
      sym_integer_literal,
    ACTIONS(6706), 1,
      anon_sym_LPAREN,
    ACTIONS(6708), 1,
      sym_operator_identifier,
    STATE(4863), 1,
      sym__annotated_type,
    STATE(4885), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym_identifier,
    STATE(5218), 1,
      sym__soft_identifier,
    STATE(7721), 1,
      sym_annotated_type,
    STATE(10384), 1,
      sym__non_null_literal,
    STATE(10711), 1,
      sym_literal_type,
    STATE(13525), 1,
      sym__infix_type_choice,
    STATE(13878), 1,
      sym_template_body,
    STATE(13911), 1,
      sym__type,
    STATE(17065), 1,
      sym_type_parameters,
    STATE(17073), 1,
      sym_parameter_types,
    STATE(18794), 1,
      sym_stable_identifier,
    ACTIONS(4430), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4432), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3516), 2,
      sym_comment,
      sym_block_comment,
    STATE(9890), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10408), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13943), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13843), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4418), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5630), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124760] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(6634), 1,
      sym__alpha_identifier,
    ACTIONS(6640), 1,
      anon_sym__,
    ACTIONS(6646), 1,
      anon_sym_LPAREN,
    ACTIONS(6648), 1,
      sym__backquoted_id,
    ACTIONS(6650), 1,
      sym_operator_identifier,
    ACTIONS(6710), 1,
      anon_sym_COLON,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    ACTIONS(6714), 1,
      anon_sym_LBRACK,
    STATE(5952), 1,
      sym__simple_type,
    STATE(6655), 1,
      sym__soft_identifier,
    STATE(6914), 1,
      sym_identifier,
    STATE(7419), 1,
      sym__annotated_type,
    STATE(9996), 1,
      sym_annotated_type,
    STATE(11698), 1,
      sym__non_null_literal,
    STATE(11700), 1,
      sym_literal_type,
    STATE(11909), 1,
      sym__type,
    STATE(11918), 1,
      sym_template_body,
    STATE(13320), 1,
      sym__infix_type_choice,
    STATE(17031), 1,
      sym_type_parameters,
    STATE(17035), 1,
      sym_parameter_types,
    STATE(19535), 1,
      sym_stable_identifier,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3517), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11276), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11953), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11882), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6644), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7691), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124885] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4530), 1,
      sym__alpha_identifier,
    ACTIONS(4532), 1,
      anon_sym_COLON,
    ACTIONS(4534), 1,
      anon_sym_LBRACE,
    ACTIONS(4536), 1,
      anon_sym__,
    ACTIONS(4540), 1,
      anon_sym_LBRACK,
    ACTIONS(4548), 1,
      sym__backquoted_id,
    ACTIONS(4552), 1,
      sym_integer_literal,
    ACTIONS(6680), 1,
      anon_sym_LPAREN,
    ACTIONS(6682), 1,
      sym_operator_identifier,
    STATE(6272), 1,
      sym__simple_type,
    STATE(6309), 1,
      sym__annotated_type,
    STATE(6552), 1,
      sym__soft_identifier,
    STATE(6995), 1,
      sym_identifier,
    STATE(9784), 1,
      sym_annotated_type,
    STATE(11407), 1,
      sym__non_null_literal,
    STATE(11408), 1,
      sym_literal_type,
    STATE(12351), 1,
      sym__type,
    STATE(12478), 1,
      sym_template_body,
    STATE(13363), 1,
      sym__infix_type_choice,
    STATE(16978), 1,
      sym_type_parameters,
    STATE(17000), 1,
      sym_parameter_types,
    STATE(17830), 1,
      sym_stable_identifier,
    ACTIONS(4554), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4556), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4560), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3518), 2,
      sym_comment,
      sym_block_comment,
    STATE(10917), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11351), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12357), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4542), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7733), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125010] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4406), 1,
      sym__alpha_identifier,
    ACTIONS(4408), 1,
      anon_sym_COLON,
    ACTIONS(4410), 1,
      anon_sym_LBRACE,
    ACTIONS(4412), 1,
      anon_sym__,
    ACTIONS(4416), 1,
      anon_sym_LBRACK,
    ACTIONS(4424), 1,
      sym__backquoted_id,
    ACTIONS(4428), 1,
      sym_integer_literal,
    ACTIONS(6706), 1,
      anon_sym_LPAREN,
    ACTIONS(6708), 1,
      sym_operator_identifier,
    STATE(4863), 1,
      sym__annotated_type,
    STATE(4885), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym_identifier,
    STATE(5218), 1,
      sym__soft_identifier,
    STATE(7721), 1,
      sym_annotated_type,
    STATE(10384), 1,
      sym__non_null_literal,
    STATE(10711), 1,
      sym_literal_type,
    STATE(13525), 1,
      sym__infix_type_choice,
    STATE(13878), 1,
      sym_template_body,
    STATE(13913), 1,
      sym__type,
    STATE(17065), 1,
      sym_type_parameters,
    STATE(17073), 1,
      sym_parameter_types,
    STATE(18794), 1,
      sym_stable_identifier,
    ACTIONS(4430), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4432), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3519), 2,
      sym_comment,
      sym_block_comment,
    STATE(9890), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10408), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13943), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13843), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4418), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5630), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125135] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4406), 1,
      sym__alpha_identifier,
    ACTIONS(4408), 1,
      anon_sym_COLON,
    ACTIONS(4410), 1,
      anon_sym_LBRACE,
    ACTIONS(4412), 1,
      anon_sym__,
    ACTIONS(4416), 1,
      anon_sym_LBRACK,
    ACTIONS(4424), 1,
      sym__backquoted_id,
    ACTIONS(4428), 1,
      sym_integer_literal,
    ACTIONS(6706), 1,
      anon_sym_LPAREN,
    ACTIONS(6708), 1,
      sym_operator_identifier,
    STATE(4863), 1,
      sym__annotated_type,
    STATE(4885), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym_identifier,
    STATE(5218), 1,
      sym__soft_identifier,
    STATE(7721), 1,
      sym_annotated_type,
    STATE(10384), 1,
      sym__non_null_literal,
    STATE(10711), 1,
      sym_literal_type,
    STATE(13525), 1,
      sym__infix_type_choice,
    STATE(13878), 1,
      sym_template_body,
    STATE(13915), 1,
      sym__type,
    STATE(17065), 1,
      sym_type_parameters,
    STATE(17073), 1,
      sym_parameter_types,
    STATE(18794), 1,
      sym_stable_identifier,
    ACTIONS(4430), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4432), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3520), 2,
      sym_comment,
      sym_block_comment,
    STATE(9890), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10408), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13943), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13843), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4418), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5630), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125260] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4530), 1,
      sym__alpha_identifier,
    ACTIONS(4532), 1,
      anon_sym_COLON,
    ACTIONS(4534), 1,
      anon_sym_LBRACE,
    ACTIONS(4536), 1,
      anon_sym__,
    ACTIONS(4540), 1,
      anon_sym_LBRACK,
    ACTIONS(4548), 1,
      sym__backquoted_id,
    ACTIONS(4552), 1,
      sym_integer_literal,
    ACTIONS(6680), 1,
      anon_sym_LPAREN,
    ACTIONS(6682), 1,
      sym_operator_identifier,
    STATE(6272), 1,
      sym__simple_type,
    STATE(6309), 1,
      sym__annotated_type,
    STATE(6552), 1,
      sym__soft_identifier,
    STATE(6995), 1,
      sym_identifier,
    STATE(9784), 1,
      sym_annotated_type,
    STATE(11407), 1,
      sym__non_null_literal,
    STATE(11408), 1,
      sym_literal_type,
    STATE(12384), 1,
      sym__type,
    STATE(12478), 1,
      sym_template_body,
    STATE(13363), 1,
      sym__infix_type_choice,
    STATE(16978), 1,
      sym_type_parameters,
    STATE(17000), 1,
      sym_parameter_types,
    STATE(17830), 1,
      sym_stable_identifier,
    ACTIONS(4554), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4556), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4560), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3521), 2,
      sym_comment,
      sym_block_comment,
    STATE(10917), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11351), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12357), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4542), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7733), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125385] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16185), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3522), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125510] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4530), 1,
      sym__alpha_identifier,
    ACTIONS(4532), 1,
      anon_sym_COLON,
    ACTIONS(4534), 1,
      anon_sym_LBRACE,
    ACTIONS(4536), 1,
      anon_sym__,
    ACTIONS(4540), 1,
      anon_sym_LBRACK,
    ACTIONS(4548), 1,
      sym__backquoted_id,
    ACTIONS(4552), 1,
      sym_integer_literal,
    ACTIONS(6680), 1,
      anon_sym_LPAREN,
    ACTIONS(6682), 1,
      sym_operator_identifier,
    STATE(6272), 1,
      sym__simple_type,
    STATE(6309), 1,
      sym__annotated_type,
    STATE(6552), 1,
      sym__soft_identifier,
    STATE(6995), 1,
      sym_identifier,
    STATE(9784), 1,
      sym_annotated_type,
    STATE(11407), 1,
      sym__non_null_literal,
    STATE(11408), 1,
      sym_literal_type,
    STATE(12385), 1,
      sym__type,
    STATE(12478), 1,
      sym_template_body,
    STATE(13363), 1,
      sym__infix_type_choice,
    STATE(16978), 1,
      sym_type_parameters,
    STATE(17000), 1,
      sym_parameter_types,
    STATE(17830), 1,
      sym_stable_identifier,
    ACTIONS(4554), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4556), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4560), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3523), 2,
      sym_comment,
      sym_block_comment,
    STATE(10917), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11351), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12357), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4542), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7733), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125635] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17958), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3524), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125760] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4530), 1,
      sym__alpha_identifier,
    ACTIONS(4532), 1,
      anon_sym_COLON,
    ACTIONS(4534), 1,
      anon_sym_LBRACE,
    ACTIONS(4536), 1,
      anon_sym__,
    ACTIONS(4540), 1,
      anon_sym_LBRACK,
    ACTIONS(4548), 1,
      sym__backquoted_id,
    ACTIONS(4552), 1,
      sym_integer_literal,
    ACTIONS(6680), 1,
      anon_sym_LPAREN,
    ACTIONS(6682), 1,
      sym_operator_identifier,
    STATE(6272), 1,
      sym__simple_type,
    STATE(6309), 1,
      sym__annotated_type,
    STATE(6552), 1,
      sym__soft_identifier,
    STATE(6995), 1,
      sym_identifier,
    STATE(9784), 1,
      sym_annotated_type,
    STATE(11407), 1,
      sym__non_null_literal,
    STATE(11408), 1,
      sym_literal_type,
    STATE(12402), 1,
      sym__type,
    STATE(12478), 1,
      sym_template_body,
    STATE(13363), 1,
      sym__infix_type_choice,
    STATE(16978), 1,
      sym_type_parameters,
    STATE(17000), 1,
      sym_parameter_types,
    STATE(17830), 1,
      sym_stable_identifier,
    ACTIONS(4554), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4556), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4560), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3525), 2,
      sym_comment,
      sym_block_comment,
    STATE(10917), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11351), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12357), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4542), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7733), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125885] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1065), 1,
      sym_integer_literal,
    ACTIONS(6448), 1,
      anon_sym_COLON,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(6500), 1,
      sym__alpha_identifier,
    ACTIONS(6502), 1,
      anon_sym__,
    ACTIONS(6504), 1,
      anon_sym_LBRACK,
    ACTIONS(6508), 1,
      anon_sym_LPAREN,
    ACTIONS(6510), 1,
      sym__backquoted_id,
    ACTIONS(6512), 1,
      sym_operator_identifier,
    STATE(4652), 1,
      sym__annotated_type,
    STATE(4688), 1,
      sym__simple_type,
    STATE(4724), 1,
      sym__soft_identifier,
    STATE(4728), 1,
      sym_identifier,
    STATE(6250), 1,
      sym_annotated_type,
    STATE(9534), 1,
      sym_literal_type,
    STATE(9852), 1,
      sym__non_null_literal,
    STATE(11997), 1,
      sym_template_body,
    STATE(12304), 1,
      sym__type,
    STATE(13512), 1,
      sym__infix_type_choice,
    STATE(16458), 1,
      sym_type_parameters,
    STATE(16459), 1,
      sym_parameter_types,
    STATE(18752), 1,
      sym_stable_identifier,
    ACTIONS(1067), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1069), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1073), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3526), 2,
      sym_comment,
      sym_block_comment,
    STATE(5495), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6235), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8568), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11952), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6506), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4822), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126010] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16227), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3527), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126135] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4406), 1,
      sym__alpha_identifier,
    ACTIONS(4408), 1,
      anon_sym_COLON,
    ACTIONS(4410), 1,
      anon_sym_LBRACE,
    ACTIONS(4412), 1,
      anon_sym__,
    ACTIONS(4416), 1,
      anon_sym_LBRACK,
    ACTIONS(4424), 1,
      sym__backquoted_id,
    ACTIONS(4428), 1,
      sym_integer_literal,
    ACTIONS(6706), 1,
      anon_sym_LPAREN,
    ACTIONS(6708), 1,
      sym_operator_identifier,
    STATE(4863), 1,
      sym__annotated_type,
    STATE(4885), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym_identifier,
    STATE(5218), 1,
      sym__soft_identifier,
    STATE(7721), 1,
      sym_annotated_type,
    STATE(10384), 1,
      sym__non_null_literal,
    STATE(10711), 1,
      sym_literal_type,
    STATE(13525), 1,
      sym__infix_type_choice,
    STATE(13878), 1,
      sym_template_body,
    STATE(13974), 1,
      sym__type,
    STATE(17065), 1,
      sym_type_parameters,
    STATE(17073), 1,
      sym_parameter_types,
    STATE(18794), 1,
      sym_stable_identifier,
    ACTIONS(4430), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4432), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3528), 2,
      sym_comment,
      sym_block_comment,
    STATE(9890), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10408), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13943), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13843), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4418), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5630), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126260] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4306), 1,
      sym__alpha_identifier,
    ACTIONS(4308), 1,
      anon_sym_COLON,
    ACTIONS(4310), 1,
      anon_sym_LBRACE,
    ACTIONS(4312), 1,
      anon_sym__,
    ACTIONS(4316), 1,
      anon_sym_LBRACK,
    ACTIONS(4324), 1,
      sym__backquoted_id,
    ACTIONS(4328), 1,
      sym_integer_literal,
    ACTIONS(6716), 1,
      anon_sym_LPAREN,
    ACTIONS(6718), 1,
      sym_operator_identifier,
    STATE(6853), 1,
      sym__annotated_type,
    STATE(7017), 1,
      sym__simple_type,
    STATE(7164), 1,
      sym__soft_identifier,
    STATE(7821), 1,
      sym_identifier,
    STATE(10152), 1,
      sym_annotated_type,
    STATE(11664), 1,
      sym_literal_type,
    STATE(11747), 1,
      sym__non_null_literal,
    STATE(12900), 1,
      sym__type,
    STATE(13098), 1,
      sym_template_body,
    STATE(13482), 1,
      sym__infix_type_choice,
    STATE(16761), 1,
      sym_type_parameters,
    STATE(16766), 1,
      sym_parameter_types,
    STATE(18625), 1,
      sym_stable_identifier,
    ACTIONS(4330), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4332), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4336), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3529), 2,
      sym_comment,
      sym_block_comment,
    STATE(11239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11612), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13083), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12836), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4318), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8054), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126385] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(575), 1,
      sym_integer_literal,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    ACTIONS(6464), 1,
      anon_sym_COLON,
    ACTIONS(6466), 1,
      anon_sym_LBRACE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(6794), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(10380), 1,
      sym_literal_type,
    STATE(10428), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13075), 1,
      sym__type,
    STATE(13462), 1,
      sym__infix_type_choice,
    STATE(16353), 1,
      sym_type_parameters,
    STATE(16354), 1,
      sym_parameter_types,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(577), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(579), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(589), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3530), 2,
      sym_comment,
      sym_block_comment,
    STATE(9563), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9632), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126510] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4670), 1,
      sym__alpha_identifier,
    ACTIONS(4672), 1,
      anon_sym_COLON,
    ACTIONS(4674), 1,
      anon_sym_LBRACE,
    ACTIONS(4676), 1,
      anon_sym__,
    ACTIONS(4680), 1,
      anon_sym_LBRACK,
    ACTIONS(4688), 1,
      sym__backquoted_id,
    ACTIONS(4692), 1,
      sym_integer_literal,
    ACTIONS(6438), 1,
      anon_sym_LPAREN,
    ACTIONS(6440), 1,
      sym_operator_identifier,
    STATE(6600), 1,
      sym__simple_type,
    STATE(6857), 1,
      sym__annotated_type,
    STATE(7686), 1,
      sym_identifier,
    STATE(7831), 1,
      sym__soft_identifier,
    STATE(10118), 1,
      sym_annotated_type,
    STATE(11625), 1,
      sym_literal_type,
    STATE(11670), 1,
      sym__non_null_literal,
    STATE(12529), 1,
      sym__type,
    STATE(12633), 1,
      sym_template_body,
    STATE(13432), 1,
      sym__infix_type_choice,
    STATE(16308), 1,
      sym_type_parameters,
    STATE(16312), 1,
      sym_parameter_types,
    STATE(18186), 1,
      sym_stable_identifier,
    ACTIONS(4694), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4696), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4700), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3531), 2,
      sym_comment,
      sym_block_comment,
    STATE(11217), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11691), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13117), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12855), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4682), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8270), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126635] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6302), 1,
      sym__alpha_identifier,
    ACTIONS(6304), 1,
      anon_sym_COLON,
    ACTIONS(6306), 1,
      anon_sym_LBRACE,
    ACTIONS(6308), 1,
      anon_sym__,
    ACTIONS(6310), 1,
      anon_sym_LBRACK,
    ACTIONS(6314), 1,
      anon_sym_LPAREN,
    ACTIONS(6316), 1,
      sym__backquoted_id,
    ACTIONS(6318), 1,
      sym_operator_identifier,
    ACTIONS(6320), 1,
      sym_integer_literal,
    STATE(5631), 1,
      sym__simple_type,
    STATE(5902), 1,
      sym_identifier,
    STATE(5903), 1,
      sym__annotated_type,
    STATE(6100), 1,
      sym__soft_identifier,
    STATE(9721), 1,
      sym_annotated_type,
    STATE(11203), 1,
      sym__non_null_literal,
    STATE(11282), 1,
      sym_literal_type,
    STATE(11542), 1,
      sym_template_body,
    STATE(11736), 1,
      sym__type,
    STATE(13474), 1,
      sym__infix_type_choice,
    STATE(16631), 1,
      sym_type_parameters,
    STATE(16634), 1,
      sym_parameter_types,
    STATE(18570), 1,
      sym_stable_identifier,
    ACTIONS(6322), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6324), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6326), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3532), 2,
      sym_comment,
      sym_block_comment,
    STATE(10578), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11128), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11552), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11421), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6312), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6504), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126760] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4260), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 10,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      anon_sym_DQUOTE,
    ACTIONS(4256), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [126831] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4670), 1,
      sym__alpha_identifier,
    ACTIONS(4672), 1,
      anon_sym_COLON,
    ACTIONS(4674), 1,
      anon_sym_LBRACE,
    ACTIONS(4676), 1,
      anon_sym__,
    ACTIONS(4680), 1,
      anon_sym_LBRACK,
    ACTIONS(4688), 1,
      sym__backquoted_id,
    ACTIONS(4692), 1,
      sym_integer_literal,
    ACTIONS(6438), 1,
      anon_sym_LPAREN,
    ACTIONS(6440), 1,
      sym_operator_identifier,
    STATE(6600), 1,
      sym__simple_type,
    STATE(6857), 1,
      sym__annotated_type,
    STATE(7686), 1,
      sym_identifier,
    STATE(7831), 1,
      sym__soft_identifier,
    STATE(10118), 1,
      sym_annotated_type,
    STATE(11625), 1,
      sym_literal_type,
    STATE(11670), 1,
      sym__non_null_literal,
    STATE(12530), 1,
      sym__type,
    STATE(12633), 1,
      sym_template_body,
    STATE(13432), 1,
      sym__infix_type_choice,
    STATE(16308), 1,
      sym_type_parameters,
    STATE(16312), 1,
      sym_parameter_types,
    STATE(18186), 1,
      sym_stable_identifier,
    ACTIONS(4694), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4696), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4700), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3534), 2,
      sym_comment,
      sym_block_comment,
    STATE(11217), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11691), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13117), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12855), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4682), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8270), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126956] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1609), 1,
      sym_integer_literal,
    ACTIONS(6720), 1,
      sym__alpha_identifier,
    ACTIONS(6722), 1,
      anon_sym_COLON,
    ACTIONS(6724), 1,
      anon_sym_LBRACE,
    ACTIONS(6726), 1,
      anon_sym__,
    ACTIONS(6728), 1,
      anon_sym_LBRACK,
    ACTIONS(6732), 1,
      anon_sym_LPAREN,
    ACTIONS(6734), 1,
      sym__backquoted_id,
    ACTIONS(6736), 1,
      sym_operator_identifier,
    STATE(5975), 1,
      sym__annotated_type,
    STATE(6237), 1,
      sym__simple_type,
    STATE(6553), 1,
      sym__soft_identifier,
    STATE(6668), 1,
      sym_identifier,
    STATE(9442), 1,
      sym_annotated_type,
    STATE(11406), 1,
      sym__non_null_literal,
    STATE(11587), 1,
      sym_literal_type,
    STATE(13527), 1,
      sym__infix_type_choice,
    STATE(14494), 1,
      sym__type,
    STATE(14508), 1,
      sym_template_body,
    STATE(16369), 1,
      sym_type_parameters,
    STATE(16370), 1,
      sym_parameter_types,
    STATE(18800), 1,
      sym_stable_identifier,
    ACTIONS(1611), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1613), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1617), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3535), 2,
      sym_comment,
      sym_block_comment,
    STATE(9447), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9637), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11101), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14463), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6730), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7856), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127081] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16295), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3536), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127206] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(8255), 1,
      sym__type,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3537), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127331] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4670), 1,
      sym__alpha_identifier,
    ACTIONS(4672), 1,
      anon_sym_COLON,
    ACTIONS(4674), 1,
      anon_sym_LBRACE,
    ACTIONS(4676), 1,
      anon_sym__,
    ACTIONS(4680), 1,
      anon_sym_LBRACK,
    ACTIONS(4688), 1,
      sym__backquoted_id,
    ACTIONS(4692), 1,
      sym_integer_literal,
    ACTIONS(6438), 1,
      anon_sym_LPAREN,
    ACTIONS(6440), 1,
      sym_operator_identifier,
    STATE(6600), 1,
      sym__simple_type,
    STATE(6857), 1,
      sym__annotated_type,
    STATE(7686), 1,
      sym_identifier,
    STATE(7831), 1,
      sym__soft_identifier,
    STATE(10118), 1,
      sym_annotated_type,
    STATE(11625), 1,
      sym_literal_type,
    STATE(11670), 1,
      sym__non_null_literal,
    STATE(12531), 1,
      sym__type,
    STATE(12633), 1,
      sym_template_body,
    STATE(13432), 1,
      sym__infix_type_choice,
    STATE(16308), 1,
      sym_type_parameters,
    STATE(16312), 1,
      sym_parameter_types,
    STATE(18186), 1,
      sym_stable_identifier,
    ACTIONS(4694), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4696), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4700), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3538), 2,
      sym_comment,
      sym_block_comment,
    STATE(11217), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11691), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13117), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12855), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4682), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8270), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127456] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1609), 1,
      sym_integer_literal,
    ACTIONS(6720), 1,
      sym__alpha_identifier,
    ACTIONS(6722), 1,
      anon_sym_COLON,
    ACTIONS(6724), 1,
      anon_sym_LBRACE,
    ACTIONS(6726), 1,
      anon_sym__,
    ACTIONS(6728), 1,
      anon_sym_LBRACK,
    ACTIONS(6732), 1,
      anon_sym_LPAREN,
    ACTIONS(6734), 1,
      sym__backquoted_id,
    ACTIONS(6736), 1,
      sym_operator_identifier,
    STATE(5975), 1,
      sym__annotated_type,
    STATE(6237), 1,
      sym__simple_type,
    STATE(6553), 1,
      sym__soft_identifier,
    STATE(6668), 1,
      sym_identifier,
    STATE(9442), 1,
      sym_annotated_type,
    STATE(11406), 1,
      sym__non_null_literal,
    STATE(11587), 1,
      sym_literal_type,
    STATE(13527), 1,
      sym__infix_type_choice,
    STATE(14497), 1,
      sym__type,
    STATE(14508), 1,
      sym_template_body,
    STATE(16369), 1,
      sym_type_parameters,
    STATE(16370), 1,
      sym_parameter_types,
    STATE(18800), 1,
      sym_stable_identifier,
    ACTIONS(1611), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1613), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1617), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3539), 2,
      sym_comment,
      sym_block_comment,
    STATE(9447), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9637), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11101), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14463), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6730), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7856), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127581] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6302), 1,
      sym__alpha_identifier,
    ACTIONS(6304), 1,
      anon_sym_COLON,
    ACTIONS(6306), 1,
      anon_sym_LBRACE,
    ACTIONS(6308), 1,
      anon_sym__,
    ACTIONS(6310), 1,
      anon_sym_LBRACK,
    ACTIONS(6314), 1,
      anon_sym_LPAREN,
    ACTIONS(6316), 1,
      sym__backquoted_id,
    ACTIONS(6318), 1,
      sym_operator_identifier,
    ACTIONS(6320), 1,
      sym_integer_literal,
    STATE(5631), 1,
      sym__simple_type,
    STATE(5902), 1,
      sym_identifier,
    STATE(5903), 1,
      sym__annotated_type,
    STATE(6100), 1,
      sym__soft_identifier,
    STATE(9721), 1,
      sym_annotated_type,
    STATE(11203), 1,
      sym__non_null_literal,
    STATE(11282), 1,
      sym_literal_type,
    STATE(11542), 1,
      sym_template_body,
    STATE(11738), 1,
      sym__type,
    STATE(13474), 1,
      sym__infix_type_choice,
    STATE(16631), 1,
      sym_type_parameters,
    STATE(16634), 1,
      sym_parameter_types,
    STATE(18570), 1,
      sym_stable_identifier,
    ACTIONS(6322), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6324), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6326), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3540), 2,
      sym_comment,
      sym_block_comment,
    STATE(10578), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11128), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11552), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11421), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6312), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6504), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127706] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1609), 1,
      sym_integer_literal,
    ACTIONS(6720), 1,
      sym__alpha_identifier,
    ACTIONS(6722), 1,
      anon_sym_COLON,
    ACTIONS(6724), 1,
      anon_sym_LBRACE,
    ACTIONS(6726), 1,
      anon_sym__,
    ACTIONS(6728), 1,
      anon_sym_LBRACK,
    ACTIONS(6732), 1,
      anon_sym_LPAREN,
    ACTIONS(6734), 1,
      sym__backquoted_id,
    ACTIONS(6736), 1,
      sym_operator_identifier,
    STATE(5975), 1,
      sym__annotated_type,
    STATE(6237), 1,
      sym__simple_type,
    STATE(6553), 1,
      sym__soft_identifier,
    STATE(6668), 1,
      sym_identifier,
    STATE(9442), 1,
      sym_annotated_type,
    STATE(11406), 1,
      sym__non_null_literal,
    STATE(11587), 1,
      sym_literal_type,
    STATE(13527), 1,
      sym__infix_type_choice,
    STATE(14499), 1,
      sym__type,
    STATE(14508), 1,
      sym_template_body,
    STATE(16369), 1,
      sym_type_parameters,
    STATE(16370), 1,
      sym_parameter_types,
    STATE(18800), 1,
      sym_stable_identifier,
    ACTIONS(1611), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1613), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1617), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3541), 2,
      sym_comment,
      sym_block_comment,
    STATE(9447), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9637), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11101), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14463), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6730), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7856), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127831] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1609), 1,
      sym_integer_literal,
    ACTIONS(6720), 1,
      sym__alpha_identifier,
    ACTIONS(6722), 1,
      anon_sym_COLON,
    ACTIONS(6724), 1,
      anon_sym_LBRACE,
    ACTIONS(6726), 1,
      anon_sym__,
    ACTIONS(6728), 1,
      anon_sym_LBRACK,
    ACTIONS(6732), 1,
      anon_sym_LPAREN,
    ACTIONS(6734), 1,
      sym__backquoted_id,
    ACTIONS(6736), 1,
      sym_operator_identifier,
    STATE(5975), 1,
      sym__annotated_type,
    STATE(6237), 1,
      sym__simple_type,
    STATE(6553), 1,
      sym__soft_identifier,
    STATE(6668), 1,
      sym_identifier,
    STATE(9442), 1,
      sym_annotated_type,
    STATE(11406), 1,
      sym__non_null_literal,
    STATE(11587), 1,
      sym_literal_type,
    STATE(13527), 1,
      sym__infix_type_choice,
    STATE(14500), 1,
      sym__type,
    STATE(14508), 1,
      sym_template_body,
    STATE(16369), 1,
      sym_type_parameters,
    STATE(16370), 1,
      sym_parameter_types,
    STATE(18800), 1,
      sym_stable_identifier,
    ACTIONS(1611), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1613), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1617), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3542), 2,
      sym_comment,
      sym_block_comment,
    STATE(9447), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9637), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11101), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14463), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6730), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7856), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127956] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4306), 1,
      sym__alpha_identifier,
    ACTIONS(4308), 1,
      anon_sym_COLON,
    ACTIONS(4310), 1,
      anon_sym_LBRACE,
    ACTIONS(4312), 1,
      anon_sym__,
    ACTIONS(4316), 1,
      anon_sym_LBRACK,
    ACTIONS(4324), 1,
      sym__backquoted_id,
    ACTIONS(4328), 1,
      sym_integer_literal,
    ACTIONS(6716), 1,
      anon_sym_LPAREN,
    ACTIONS(6718), 1,
      sym_operator_identifier,
    STATE(6853), 1,
      sym__annotated_type,
    STATE(7017), 1,
      sym__simple_type,
    STATE(7164), 1,
      sym__soft_identifier,
    STATE(7821), 1,
      sym_identifier,
    STATE(10152), 1,
      sym_annotated_type,
    STATE(11664), 1,
      sym_literal_type,
    STATE(11747), 1,
      sym__non_null_literal,
    STATE(12914), 1,
      sym__type,
    STATE(13098), 1,
      sym_template_body,
    STATE(13482), 1,
      sym__infix_type_choice,
    STATE(16761), 1,
      sym_type_parameters,
    STATE(16766), 1,
      sym_parameter_types,
    STATE(18625), 1,
      sym_stable_identifier,
    ACTIONS(4330), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4332), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4336), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3543), 2,
      sym_comment,
      sym_block_comment,
    STATE(11239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11612), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13083), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12836), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4318), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8054), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128081] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16042), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3544), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128206] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16319), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3545), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128331] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(6738), 1,
      sym__alpha_identifier,
    ACTIONS(6740), 1,
      anon_sym__,
    ACTIONS(6742), 1,
      anon_sym_LBRACK,
    ACTIONS(6746), 1,
      anon_sym_LPAREN,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(6750), 1,
      sym_operator_identifier,
    ACTIONS(6752), 1,
      sym_integer_literal,
    STATE(6406), 1,
      sym__simple_type,
    STATE(7187), 1,
      sym__annotated_type,
    STATE(7627), 1,
      sym_identifier,
    STATE(7645), 1,
      sym__soft_identifier,
    STATE(10603), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11429), 1,
      sym__type,
    STATE(11662), 1,
      sym__non_null_literal,
    STATE(11663), 1,
      sym_literal_type,
    STATE(13371), 1,
      sym__infix_type_choice,
    STATE(16410), 1,
      sym_type_parameters,
    STATE(16411), 1,
      sym_parameter_types,
    STATE(17885), 1,
      sym_stable_identifier,
    ACTIONS(6754), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6756), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6758), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3546), 2,
      sym_comment,
      sym_block_comment,
    STATE(11119), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8393), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128456] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4260), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 10,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      anon_sym_DQUOTE,
      anon_sym_yield,
    ACTIONS(4256), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [128527] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(6634), 1,
      sym__alpha_identifier,
    ACTIONS(6640), 1,
      anon_sym__,
    ACTIONS(6646), 1,
      anon_sym_LPAREN,
    ACTIONS(6648), 1,
      sym__backquoted_id,
    ACTIONS(6650), 1,
      sym_operator_identifier,
    ACTIONS(6710), 1,
      anon_sym_COLON,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    ACTIONS(6714), 1,
      anon_sym_LBRACK,
    STATE(5952), 1,
      sym__simple_type,
    STATE(6655), 1,
      sym__soft_identifier,
    STATE(6914), 1,
      sym_identifier,
    STATE(7419), 1,
      sym__annotated_type,
    STATE(9996), 1,
      sym_annotated_type,
    STATE(11698), 1,
      sym__non_null_literal,
    STATE(11700), 1,
      sym_literal_type,
    STATE(11890), 1,
      sym__type,
    STATE(11918), 1,
      sym_template_body,
    STATE(13320), 1,
      sym__infix_type_choice,
    STATE(17031), 1,
      sym_type_parameters,
    STATE(17035), 1,
      sym_parameter_types,
    STATE(19535), 1,
      sym_stable_identifier,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3548), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11276), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11953), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11882), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6644), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7691), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128652] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1101), 1,
      sym_integer_literal,
    ACTIONS(6568), 1,
      sym__alpha_identifier,
    ACTIONS(6570), 1,
      anon_sym_COLON,
    ACTIONS(6572), 1,
      anon_sym_LBRACE,
    ACTIONS(6574), 1,
      anon_sym__,
    ACTIONS(6576), 1,
      anon_sym_LBRACK,
    ACTIONS(6580), 1,
      anon_sym_LPAREN,
    ACTIONS(6582), 1,
      sym__backquoted_id,
    ACTIONS(6584), 1,
      sym_operator_identifier,
    STATE(4785), 1,
      sym__annotated_type,
    STATE(4786), 1,
      sym__simple_type,
    STATE(4899), 1,
      sym_identifier,
    STATE(4989), 1,
      sym__soft_identifier,
    STATE(6973), 1,
      sym_annotated_type,
    STATE(10151), 1,
      sym__non_null_literal,
    STATE(10317), 1,
      sym_literal_type,
    STATE(12325), 1,
      sym__type,
    STATE(12478), 1,
      sym_template_body,
    STATE(13450), 1,
      sym__infix_type_choice,
    STATE(16452), 1,
      sym_type_parameters,
    STATE(16453), 1,
      sym_parameter_types,
    STATE(18358), 1,
      sym_stable_identifier,
    ACTIONS(1103), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1105), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1109), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3549), 2,
      sym_comment,
      sym_block_comment,
    STATE(6161), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6960), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9047), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6578), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5115), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128777] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1609), 1,
      sym_integer_literal,
    ACTIONS(6720), 1,
      sym__alpha_identifier,
    ACTIONS(6722), 1,
      anon_sym_COLON,
    ACTIONS(6724), 1,
      anon_sym_LBRACE,
    ACTIONS(6726), 1,
      anon_sym__,
    ACTIONS(6728), 1,
      anon_sym_LBRACK,
    ACTIONS(6732), 1,
      anon_sym_LPAREN,
    ACTIONS(6734), 1,
      sym__backquoted_id,
    ACTIONS(6736), 1,
      sym_operator_identifier,
    STATE(5975), 1,
      sym__annotated_type,
    STATE(6237), 1,
      sym__simple_type,
    STATE(6553), 1,
      sym__soft_identifier,
    STATE(6668), 1,
      sym_identifier,
    STATE(9442), 1,
      sym_annotated_type,
    STATE(11406), 1,
      sym__non_null_literal,
    STATE(11587), 1,
      sym_literal_type,
    STATE(13527), 1,
      sym__infix_type_choice,
    STATE(14508), 1,
      sym_template_body,
    STATE(14553), 1,
      sym__type,
    STATE(16369), 1,
      sym_type_parameters,
    STATE(16370), 1,
      sym_parameter_types,
    STATE(18800), 1,
      sym_stable_identifier,
    ACTIONS(1611), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1613), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1617), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3550), 2,
      sym_comment,
      sym_block_comment,
    STATE(9447), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9637), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11101), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14463), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6730), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7856), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128902] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4306), 1,
      sym__alpha_identifier,
    ACTIONS(4308), 1,
      anon_sym_COLON,
    ACTIONS(4310), 1,
      anon_sym_LBRACE,
    ACTIONS(4312), 1,
      anon_sym__,
    ACTIONS(4316), 1,
      anon_sym_LBRACK,
    ACTIONS(4324), 1,
      sym__backquoted_id,
    ACTIONS(4328), 1,
      sym_integer_literal,
    ACTIONS(6716), 1,
      anon_sym_LPAREN,
    ACTIONS(6718), 1,
      sym_operator_identifier,
    STATE(6853), 1,
      sym__annotated_type,
    STATE(7017), 1,
      sym__simple_type,
    STATE(7164), 1,
      sym__soft_identifier,
    STATE(7821), 1,
      sym_identifier,
    STATE(10152), 1,
      sym_annotated_type,
    STATE(11664), 1,
      sym_literal_type,
    STATE(11747), 1,
      sym__non_null_literal,
    STATE(12917), 1,
      sym__type,
    STATE(13098), 1,
      sym_template_body,
    STATE(13482), 1,
      sym__infix_type_choice,
    STATE(16761), 1,
      sym_type_parameters,
    STATE(16766), 1,
      sym_parameter_types,
    STATE(18625), 1,
      sym_stable_identifier,
    ACTIONS(4330), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4332), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4336), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3551), 2,
      sym_comment,
      sym_block_comment,
    STATE(11239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11612), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13083), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12836), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4318), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8054), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129027] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16340), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3552), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129152] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4306), 1,
      sym__alpha_identifier,
    ACTIONS(4308), 1,
      anon_sym_COLON,
    ACTIONS(4310), 1,
      anon_sym_LBRACE,
    ACTIONS(4312), 1,
      anon_sym__,
    ACTIONS(4316), 1,
      anon_sym_LBRACK,
    ACTIONS(4324), 1,
      sym__backquoted_id,
    ACTIONS(4328), 1,
      sym_integer_literal,
    ACTIONS(6716), 1,
      anon_sym_LPAREN,
    ACTIONS(6718), 1,
      sym_operator_identifier,
    STATE(6853), 1,
      sym__annotated_type,
    STATE(7017), 1,
      sym__simple_type,
    STATE(7164), 1,
      sym__soft_identifier,
    STATE(7821), 1,
      sym_identifier,
    STATE(10152), 1,
      sym_annotated_type,
    STATE(11664), 1,
      sym_literal_type,
    STATE(11747), 1,
      sym__non_null_literal,
    STATE(12918), 1,
      sym__type,
    STATE(13098), 1,
      sym_template_body,
    STATE(13482), 1,
      sym__infix_type_choice,
    STATE(16761), 1,
      sym_type_parameters,
    STATE(16766), 1,
      sym_parameter_types,
    STATE(18625), 1,
      sym_stable_identifier,
    ACTIONS(4330), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4332), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4336), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3553), 2,
      sym_comment,
      sym_block_comment,
    STATE(11239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11612), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13083), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12836), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4318), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8054), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129277] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4306), 1,
      sym__alpha_identifier,
    ACTIONS(4308), 1,
      anon_sym_COLON,
    ACTIONS(4310), 1,
      anon_sym_LBRACE,
    ACTIONS(4312), 1,
      anon_sym__,
    ACTIONS(4316), 1,
      anon_sym_LBRACK,
    ACTIONS(4324), 1,
      sym__backquoted_id,
    ACTIONS(4328), 1,
      sym_integer_literal,
    ACTIONS(6716), 1,
      anon_sym_LPAREN,
    ACTIONS(6718), 1,
      sym_operator_identifier,
    STATE(6853), 1,
      sym__annotated_type,
    STATE(7017), 1,
      sym__simple_type,
    STATE(7164), 1,
      sym__soft_identifier,
    STATE(7821), 1,
      sym_identifier,
    STATE(10152), 1,
      sym_annotated_type,
    STATE(11664), 1,
      sym_literal_type,
    STATE(11747), 1,
      sym__non_null_literal,
    STATE(12919), 1,
      sym__type,
    STATE(13098), 1,
      sym_template_body,
    STATE(13482), 1,
      sym__infix_type_choice,
    STATE(16761), 1,
      sym_type_parameters,
    STATE(16766), 1,
      sym_parameter_types,
    STATE(18625), 1,
      sym_stable_identifier,
    ACTIONS(4330), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4332), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4336), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3554), 2,
      sym_comment,
      sym_block_comment,
    STATE(11239), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11612), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13083), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12836), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4318), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8054), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129402] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(575), 1,
      sym_integer_literal,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    ACTIONS(6464), 1,
      anon_sym_COLON,
    ACTIONS(6466), 1,
      anon_sym_LBRACE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(6794), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(10380), 1,
      sym_literal_type,
    STATE(10428), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13103), 1,
      sym__type,
    STATE(13462), 1,
      sym__infix_type_choice,
    STATE(16353), 1,
      sym_type_parameters,
    STATE(16354), 1,
      sym_parameter_types,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(577), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(579), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(589), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3555), 2,
      sym_comment,
      sym_block_comment,
    STATE(9563), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9632), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129527] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4898), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      sym__backquoted_id,
    ACTIONS(4910), 1,
      sym_integer_literal,
    ACTIONS(6760), 1,
      anon_sym_LPAREN,
    ACTIONS(6762), 1,
      sym_operator_identifier,
    STATE(5511), 1,
      sym__simple_type,
    STATE(5616), 1,
      sym__annotated_type,
    STATE(6013), 1,
      sym_identifier,
    STATE(6137), 1,
      sym__soft_identifier,
    STATE(9187), 1,
      sym_annotated_type,
    STATE(11117), 1,
      sym__non_null_literal,
    STATE(11205), 1,
      sym_literal_type,
    STATE(13528), 1,
      sym__infix_type_choice,
    STATE(14563), 1,
      sym_template_body,
    STATE(14660), 1,
      sym__type,
    STATE(17266), 1,
      sym_type_parameters,
    STATE(17277), 1,
      sym_parameter_types,
    STATE(18812), 1,
      sym_stable_identifier,
    ACTIONS(4912), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4914), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4916), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3556), 2,
      sym_comment,
      sym_block_comment,
    STATE(10690), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11140), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14697), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14606), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6557), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129652] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(6738), 1,
      sym__alpha_identifier,
    ACTIONS(6740), 1,
      anon_sym__,
    ACTIONS(6742), 1,
      anon_sym_LBRACK,
    ACTIONS(6746), 1,
      anon_sym_LPAREN,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(6750), 1,
      sym_operator_identifier,
    ACTIONS(6752), 1,
      sym_integer_literal,
    STATE(6406), 1,
      sym__simple_type,
    STATE(7187), 1,
      sym__annotated_type,
    STATE(7627), 1,
      sym_identifier,
    STATE(7645), 1,
      sym__soft_identifier,
    STATE(10603), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11447), 1,
      sym__type,
    STATE(11662), 1,
      sym__non_null_literal,
    STATE(11663), 1,
      sym_literal_type,
    STATE(13371), 1,
      sym__infix_type_choice,
    STATE(16410), 1,
      sym_type_parameters,
    STATE(16411), 1,
      sym_parameter_types,
    STATE(17885), 1,
      sym_stable_identifier,
    ACTIONS(6754), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6756), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6758), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3557), 2,
      sym_comment,
      sym_block_comment,
    STATE(11119), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8393), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129777] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4500), 1,
      sym__alpha_identifier,
    ACTIONS(4502), 1,
      anon_sym_COLON,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    ACTIONS(4506), 1,
      anon_sym__,
    ACTIONS(4510), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      sym__backquoted_id,
    ACTIONS(4522), 1,
      sym_integer_literal,
    ACTIONS(6764), 1,
      anon_sym_LPAREN,
    ACTIONS(6766), 1,
      sym_operator_identifier,
    STATE(5927), 1,
      sym__simple_type,
    STATE(6214), 1,
      sym__annotated_type,
    STATE(6705), 1,
      sym_identifier,
    STATE(6913), 1,
      sym__soft_identifier,
    STATE(9528), 1,
      sym_annotated_type,
    STATE(11312), 1,
      sym_literal_type,
    STATE(11332), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13075), 1,
      sym__type,
    STATE(13428), 1,
      sym__infix_type_choice,
    STATE(16139), 1,
      sym_type_parameters,
    STATE(16148), 1,
      sym_parameter_types,
    STATE(18142), 1,
      sym_stable_identifier,
    ACTIONS(4524), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4526), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4528), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3558), 2,
      sym_comment,
      sym_block_comment,
    STATE(10887), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11469), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12935), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4512), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7249), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129902] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4898), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      sym__backquoted_id,
    ACTIONS(4910), 1,
      sym_integer_literal,
    ACTIONS(6760), 1,
      anon_sym_LPAREN,
    ACTIONS(6762), 1,
      sym_operator_identifier,
    STATE(5511), 1,
      sym__simple_type,
    STATE(5616), 1,
      sym__annotated_type,
    STATE(6013), 1,
      sym_identifier,
    STATE(6137), 1,
      sym__soft_identifier,
    STATE(9187), 1,
      sym_annotated_type,
    STATE(11117), 1,
      sym__non_null_literal,
    STATE(11205), 1,
      sym_literal_type,
    STATE(13528), 1,
      sym__infix_type_choice,
    STATE(14563), 1,
      sym_template_body,
    STATE(14668), 1,
      sym__type,
    STATE(17266), 1,
      sym_type_parameters,
    STATE(17277), 1,
      sym_parameter_types,
    STATE(18812), 1,
      sym_stable_identifier,
    ACTIONS(4912), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4914), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4916), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3559), 2,
      sym_comment,
      sym_block_comment,
    STATE(10690), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11140), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14697), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14606), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6557), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130027] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4898), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      sym__backquoted_id,
    ACTIONS(4910), 1,
      sym_integer_literal,
    ACTIONS(6760), 1,
      anon_sym_LPAREN,
    ACTIONS(6762), 1,
      sym_operator_identifier,
    STATE(5511), 1,
      sym__simple_type,
    STATE(5616), 1,
      sym__annotated_type,
    STATE(6013), 1,
      sym_identifier,
    STATE(6137), 1,
      sym__soft_identifier,
    STATE(9187), 1,
      sym_annotated_type,
    STATE(11117), 1,
      sym__non_null_literal,
    STATE(11205), 1,
      sym_literal_type,
    STATE(13528), 1,
      sym__infix_type_choice,
    STATE(14563), 1,
      sym_template_body,
    STATE(14669), 1,
      sym__type,
    STATE(17266), 1,
      sym_type_parameters,
    STATE(17277), 1,
      sym_parameter_types,
    STATE(18812), 1,
      sym_stable_identifier,
    ACTIONS(4912), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4914), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4916), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3560), 2,
      sym_comment,
      sym_block_comment,
    STATE(10690), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11140), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14697), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14606), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6557), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130152] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16397), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3561), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130277] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(6738), 1,
      sym__alpha_identifier,
    ACTIONS(6740), 1,
      anon_sym__,
    ACTIONS(6742), 1,
      anon_sym_LBRACK,
    ACTIONS(6746), 1,
      anon_sym_LPAREN,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(6750), 1,
      sym_operator_identifier,
    ACTIONS(6752), 1,
      sym_integer_literal,
    STATE(6406), 1,
      sym__simple_type,
    STATE(7187), 1,
      sym__annotated_type,
    STATE(7627), 1,
      sym_identifier,
    STATE(7645), 1,
      sym__soft_identifier,
    STATE(10603), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11462), 1,
      sym__type,
    STATE(11662), 1,
      sym__non_null_literal,
    STATE(11663), 1,
      sym_literal_type,
    STATE(13371), 1,
      sym__infix_type_choice,
    STATE(16410), 1,
      sym_type_parameters,
    STATE(16411), 1,
      sym_parameter_types,
    STATE(17885), 1,
      sym_stable_identifier,
    ACTIONS(6754), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6756), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6758), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3562), 2,
      sym_comment,
      sym_block_comment,
    STATE(11119), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8393), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130402] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4898), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      sym__backquoted_id,
    ACTIONS(4910), 1,
      sym_integer_literal,
    ACTIONS(6760), 1,
      anon_sym_LPAREN,
    ACTIONS(6762), 1,
      sym_operator_identifier,
    STATE(5511), 1,
      sym__simple_type,
    STATE(5616), 1,
      sym__annotated_type,
    STATE(6013), 1,
      sym_identifier,
    STATE(6137), 1,
      sym__soft_identifier,
    STATE(9187), 1,
      sym_annotated_type,
    STATE(11117), 1,
      sym__non_null_literal,
    STATE(11205), 1,
      sym_literal_type,
    STATE(13528), 1,
      sym__infix_type_choice,
    STATE(14563), 1,
      sym_template_body,
    STATE(14671), 1,
      sym__type,
    STATE(17266), 1,
      sym_type_parameters,
    STATE(17277), 1,
      sym_parameter_types,
    STATE(18812), 1,
      sym_stable_identifier,
    ACTIONS(4912), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4914), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4916), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3563), 2,
      sym_comment,
      sym_block_comment,
    STATE(10690), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11140), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14697), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14606), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6557), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130527] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(6738), 1,
      sym__alpha_identifier,
    ACTIONS(6740), 1,
      anon_sym__,
    ACTIONS(6742), 1,
      anon_sym_LBRACK,
    ACTIONS(6746), 1,
      anon_sym_LPAREN,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(6750), 1,
      sym_operator_identifier,
    ACTIONS(6752), 1,
      sym_integer_literal,
    STATE(6406), 1,
      sym__simple_type,
    STATE(7187), 1,
      sym__annotated_type,
    STATE(7627), 1,
      sym_identifier,
    STATE(7645), 1,
      sym__soft_identifier,
    STATE(10603), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11463), 1,
      sym__type,
    STATE(11662), 1,
      sym__non_null_literal,
    STATE(11663), 1,
      sym_literal_type,
    STATE(13371), 1,
      sym__infix_type_choice,
    STATE(16410), 1,
      sym_type_parameters,
    STATE(16411), 1,
      sym_parameter_types,
    STATE(17885), 1,
      sym_stable_identifier,
    ACTIONS(6754), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6756), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6758), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3564), 2,
      sym_comment,
      sym_block_comment,
    STATE(11119), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8393), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130652] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(6738), 1,
      sym__alpha_identifier,
    ACTIONS(6740), 1,
      anon_sym__,
    ACTIONS(6742), 1,
      anon_sym_LBRACK,
    ACTIONS(6746), 1,
      anon_sym_LPAREN,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(6750), 1,
      sym_operator_identifier,
    ACTIONS(6752), 1,
      sym_integer_literal,
    STATE(6406), 1,
      sym__simple_type,
    STATE(7187), 1,
      sym__annotated_type,
    STATE(7627), 1,
      sym_identifier,
    STATE(7645), 1,
      sym__soft_identifier,
    STATE(10603), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11464), 1,
      sym__type,
    STATE(11662), 1,
      sym__non_null_literal,
    STATE(11663), 1,
      sym_literal_type,
    STATE(13371), 1,
      sym__infix_type_choice,
    STATE(16410), 1,
      sym_type_parameters,
    STATE(16411), 1,
      sym_parameter_types,
    STATE(17885), 1,
      sym_stable_identifier,
    ACTIONS(6754), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6756), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6758), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3565), 2,
      sym_comment,
      sym_block_comment,
    STATE(11119), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8393), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130777] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(6634), 1,
      sym__alpha_identifier,
    ACTIONS(6640), 1,
      anon_sym__,
    ACTIONS(6646), 1,
      anon_sym_LPAREN,
    ACTIONS(6648), 1,
      sym__backquoted_id,
    ACTIONS(6650), 1,
      sym_operator_identifier,
    ACTIONS(6710), 1,
      anon_sym_COLON,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    ACTIONS(6714), 1,
      anon_sym_LBRACK,
    STATE(5952), 1,
      sym__simple_type,
    STATE(6655), 1,
      sym__soft_identifier,
    STATE(6914), 1,
      sym_identifier,
    STATE(7419), 1,
      sym__annotated_type,
    STATE(9996), 1,
      sym_annotated_type,
    STATE(11698), 1,
      sym__non_null_literal,
    STATE(11700), 1,
      sym_literal_type,
    STATE(11861), 1,
      sym__type,
    STATE(11918), 1,
      sym_template_body,
    STATE(13320), 1,
      sym__infix_type_choice,
    STATE(17031), 1,
      sym_type_parameters,
    STATE(17035), 1,
      sym_parameter_types,
    STATE(19535), 1,
      sym_stable_identifier,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3566), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11276), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11953), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11882), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6644), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7691), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130902] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(575), 1,
      sym_integer_literal,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    ACTIONS(6464), 1,
      anon_sym_COLON,
    ACTIONS(6466), 1,
      anon_sym_LBRACE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(6794), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(10380), 1,
      sym_literal_type,
    STATE(10428), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13113), 1,
      sym__type,
    STATE(13462), 1,
      sym__infix_type_choice,
    STATE(16353), 1,
      sym_type_parameters,
    STATE(16354), 1,
      sym_parameter_types,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(577), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(579), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(589), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3567), 2,
      sym_comment,
      sym_block_comment,
    STATE(9563), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9632), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131027] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1173), 1,
      sym_integer_literal,
    ACTIONS(6482), 1,
      anon_sym_COLON,
    ACTIONS(6484), 1,
      anon_sym_LBRACE,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6538), 1,
      anon_sym__,
    ACTIONS(6540), 1,
      anon_sym_LBRACK,
    ACTIONS(6544), 1,
      anon_sym_LPAREN,
    ACTIONS(6546), 1,
      sym__backquoted_id,
    ACTIONS(6548), 1,
      sym_operator_identifier,
    STATE(4939), 1,
      sym__simple_type,
    STATE(5002), 1,
      sym__annotated_type,
    STATE(5069), 1,
      sym_identifier,
    STATE(5214), 1,
      sym__soft_identifier,
    STATE(7698), 1,
      sym_annotated_type,
    STATE(10461), 1,
      sym__non_null_literal,
    STATE(10736), 1,
      sym_literal_type,
    STATE(13098), 1,
      sym_template_body,
    STATE(13205), 1,
      sym__type,
    STATE(13513), 1,
      sym__infix_type_choice,
    STATE(16460), 1,
      sym_type_parameters,
    STATE(16461), 1,
      sym_parameter_types,
    STATE(18758), 1,
      sym_stable_identifier,
    ACTIONS(1175), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1177), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3568), 2,
      sym_comment,
      sym_block_comment,
    STATE(6758), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7784), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9609), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12836), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6542), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5471), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131152] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16433), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3569), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131277] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4890), 1,
      anon_sym_COLON,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4898), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      sym__backquoted_id,
    ACTIONS(4910), 1,
      sym_integer_literal,
    ACTIONS(6760), 1,
      anon_sym_LPAREN,
    ACTIONS(6762), 1,
      sym_operator_identifier,
    STATE(5511), 1,
      sym__simple_type,
    STATE(5616), 1,
      sym__annotated_type,
    STATE(6013), 1,
      sym_identifier,
    STATE(6137), 1,
      sym__soft_identifier,
    STATE(9187), 1,
      sym_annotated_type,
    STATE(11117), 1,
      sym__non_null_literal,
    STATE(11205), 1,
      sym_literal_type,
    STATE(13528), 1,
      sym__infix_type_choice,
    STATE(14563), 1,
      sym_template_body,
    STATE(14672), 1,
      sym__type,
    STATE(17266), 1,
      sym_type_parameters,
    STATE(17277), 1,
      sym_parameter_types,
    STATE(18812), 1,
      sym_stable_identifier,
    ACTIONS(4912), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4914), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4916), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3570), 2,
      sym_comment,
      sym_block_comment,
    STATE(10690), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11140), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14697), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14606), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6557), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131402] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(575), 1,
      sym_integer_literal,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    ACTIONS(6464), 1,
      anon_sym_COLON,
    ACTIONS(6466), 1,
      anon_sym_LBRACE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(6794), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(10380), 1,
      sym_literal_type,
    STATE(10428), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13114), 1,
      sym__type,
    STATE(13462), 1,
      sym__infix_type_choice,
    STATE(16353), 1,
      sym_type_parameters,
    STATE(16354), 1,
      sym_parameter_types,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(577), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(579), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(589), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3571), 2,
      sym_comment,
      sym_block_comment,
    STATE(9563), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9632), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131527] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(575), 1,
      sym_integer_literal,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    ACTIONS(6464), 1,
      anon_sym_COLON,
    ACTIONS(6466), 1,
      anon_sym_LBRACE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(6794), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(10380), 1,
      sym_literal_type,
    STATE(10428), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13116), 1,
      sym__type,
    STATE(13462), 1,
      sym__infix_type_choice,
    STATE(16353), 1,
      sym_type_parameters,
    STATE(16354), 1,
      sym_parameter_types,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(577), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(579), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(589), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3572), 2,
      sym_comment,
      sym_block_comment,
    STATE(9563), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9632), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131652] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4702), 1,
      sym__alpha_identifier,
    ACTIONS(4704), 1,
      anon_sym_COLON,
    ACTIONS(4706), 1,
      anon_sym_LBRACE,
    ACTIONS(4708), 1,
      anon_sym__,
    ACTIONS(4712), 1,
      anon_sym_LBRACK,
    ACTIONS(4720), 1,
      sym__backquoted_id,
    ACTIONS(4724), 1,
      sym_integer_literal,
    ACTIONS(6768), 1,
      anon_sym_LPAREN,
    ACTIONS(6770), 1,
      sym_operator_identifier,
    STATE(4554), 1,
      sym__annotated_type,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4664), 1,
      sym_identifier,
    STATE(4669), 1,
      sym__soft_identifier,
    STATE(5614), 1,
      sym_annotated_type,
    STATE(8910), 1,
      sym_literal_type,
    STATE(9326), 1,
      sym__non_null_literal,
    STATE(11995), 1,
      sym__type,
    STATE(11997), 1,
      sym_template_body,
    STATE(13487), 1,
      sym__infix_type_choice,
    STATE(16361), 1,
      sym_type_parameters,
    STATE(16362), 1,
      sym_parameter_types,
    STATE(18636), 1,
      sym_stable_identifier,
    ACTIONS(4726), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4728), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4732), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3573), 2,
      sym_comment,
      sym_block_comment,
    STATE(7150), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8863), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11996), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11952), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4714), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4781), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131777] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4850), 1,
      sym__alpha_identifier,
    ACTIONS(4852), 1,
      anon_sym_COLON,
    ACTIONS(4854), 1,
      anon_sym_LBRACE,
    ACTIONS(4856), 1,
      anon_sym__,
    ACTIONS(4860), 1,
      anon_sym_LBRACK,
    ACTIONS(4868), 1,
      sym__backquoted_id,
    ACTIONS(4872), 1,
      sym_integer_literal,
    ACTIONS(6772), 1,
      anon_sym_LPAREN,
    ACTIONS(6774), 1,
      sym_operator_identifier,
    STATE(6046), 1,
      sym__annotated_type,
    STATE(6264), 1,
      sym__simple_type,
    STATE(6558), 1,
      sym__soft_identifier,
    STATE(7032), 1,
      sym_identifier,
    STATE(9476), 1,
      sym_annotated_type,
    STATE(11299), 1,
      sym_literal_type,
    STATE(11424), 1,
      sym__non_null_literal,
    STATE(12259), 1,
      sym__type,
    STATE(12329), 1,
      sym_template_body,
    STATE(13529), 1,
      sym__infix_type_choice,
    STATE(15902), 1,
      sym_type_parameters,
    STATE(15907), 1,
      sym_parameter_types,
    STATE(18818), 1,
      sym_stable_identifier,
    ACTIONS(4874), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4876), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3574), 2,
      sym_comment,
      sym_block_comment,
    STATE(11041), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11449), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12416), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12472), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4862), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7889), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131902] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16472), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3575), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132027] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4850), 1,
      sym__alpha_identifier,
    ACTIONS(4852), 1,
      anon_sym_COLON,
    ACTIONS(4854), 1,
      anon_sym_LBRACE,
    ACTIONS(4856), 1,
      anon_sym__,
    ACTIONS(4860), 1,
      anon_sym_LBRACK,
    ACTIONS(4868), 1,
      sym__backquoted_id,
    ACTIONS(4872), 1,
      sym_integer_literal,
    ACTIONS(6772), 1,
      anon_sym_LPAREN,
    ACTIONS(6774), 1,
      sym_operator_identifier,
    STATE(6046), 1,
      sym__annotated_type,
    STATE(6264), 1,
      sym__simple_type,
    STATE(6558), 1,
      sym__soft_identifier,
    STATE(7032), 1,
      sym_identifier,
    STATE(9476), 1,
      sym_annotated_type,
    STATE(11299), 1,
      sym_literal_type,
    STATE(11424), 1,
      sym__non_null_literal,
    STATE(12329), 1,
      sym_template_body,
    STATE(12425), 1,
      sym__type,
    STATE(13529), 1,
      sym__infix_type_choice,
    STATE(15902), 1,
      sym_type_parameters,
    STATE(15907), 1,
      sym_parameter_types,
    STATE(18818), 1,
      sym_stable_identifier,
    ACTIONS(4874), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4876), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3576), 2,
      sym_comment,
      sym_block_comment,
    STATE(11041), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11449), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12416), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12472), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4862), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7889), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132152] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4850), 1,
      sym__alpha_identifier,
    ACTIONS(4852), 1,
      anon_sym_COLON,
    ACTIONS(4854), 1,
      anon_sym_LBRACE,
    ACTIONS(4856), 1,
      anon_sym__,
    ACTIONS(4860), 1,
      anon_sym_LBRACK,
    ACTIONS(4868), 1,
      sym__backquoted_id,
    ACTIONS(4872), 1,
      sym_integer_literal,
    ACTIONS(6772), 1,
      anon_sym_LPAREN,
    ACTIONS(6774), 1,
      sym_operator_identifier,
    STATE(6046), 1,
      sym__annotated_type,
    STATE(6264), 1,
      sym__simple_type,
    STATE(6558), 1,
      sym__soft_identifier,
    STATE(7032), 1,
      sym_identifier,
    STATE(9476), 1,
      sym_annotated_type,
    STATE(11299), 1,
      sym_literal_type,
    STATE(11424), 1,
      sym__non_null_literal,
    STATE(12329), 1,
      sym_template_body,
    STATE(12481), 1,
      sym__type,
    STATE(13529), 1,
      sym__infix_type_choice,
    STATE(15902), 1,
      sym_type_parameters,
    STATE(15907), 1,
      sym_parameter_types,
    STATE(18818), 1,
      sym_stable_identifier,
    ACTIONS(4874), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4876), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3577), 2,
      sym_comment,
      sym_block_comment,
    STATE(11041), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11449), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12416), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12472), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4862), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7889), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132277] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4850), 1,
      sym__alpha_identifier,
    ACTIONS(4852), 1,
      anon_sym_COLON,
    ACTIONS(4854), 1,
      anon_sym_LBRACE,
    ACTIONS(4856), 1,
      anon_sym__,
    ACTIONS(4860), 1,
      anon_sym_LBRACK,
    ACTIONS(4868), 1,
      sym__backquoted_id,
    ACTIONS(4872), 1,
      sym_integer_literal,
    ACTIONS(6772), 1,
      anon_sym_LPAREN,
    ACTIONS(6774), 1,
      sym_operator_identifier,
    STATE(6046), 1,
      sym__annotated_type,
    STATE(6264), 1,
      sym__simple_type,
    STATE(6558), 1,
      sym__soft_identifier,
    STATE(7032), 1,
      sym_identifier,
    STATE(9476), 1,
      sym_annotated_type,
    STATE(11299), 1,
      sym_literal_type,
    STATE(11424), 1,
      sym__non_null_literal,
    STATE(12171), 1,
      sym__type,
    STATE(12329), 1,
      sym_template_body,
    STATE(13529), 1,
      sym__infix_type_choice,
    STATE(15902), 1,
      sym_type_parameters,
    STATE(15907), 1,
      sym_parameter_types,
    STATE(18818), 1,
      sym_stable_identifier,
    ACTIONS(4874), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4876), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3578), 2,
      sym_comment,
      sym_block_comment,
    STATE(11041), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11449), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12416), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12472), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4862), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7889), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132402] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(6514), 1,
      sym__alpha_identifier,
    ACTIONS(6516), 1,
      anon_sym__,
    ACTIONS(6518), 1,
      anon_sym_LBRACK,
    ACTIONS(6522), 1,
      anon_sym_LPAREN,
    ACTIONS(6524), 1,
      sym__backquoted_id,
    ACTIONS(6526), 1,
      sym_operator_identifier,
    ACTIONS(6528), 1,
      sym_integer_literal,
    STATE(8360), 1,
      sym__simple_type,
    STATE(8944), 1,
      sym__annotated_type,
    STATE(9171), 1,
      sym_identifier,
    STATE(9211), 1,
      sym__soft_identifier,
    STATE(11182), 1,
      sym_annotated_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(12328), 1,
      sym__non_null_literal,
    STATE(12344), 1,
      sym_literal_type,
    STATE(13357), 1,
      sym__infix_type_choice,
    STATE(15856), 1,
      sym__type,
    STATE(16412), 1,
      sym_type_parameters,
    STATE(16413), 1,
      sym_parameter_types,
    STATE(18813), 1,
      sym_stable_identifier,
    ACTIONS(6530), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6532), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6534), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3579), 2,
      sym_comment,
      sym_block_comment,
    STATE(11744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12338), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6520), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9592), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132527] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(167), 1,
      sym_integer_literal,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    ACTIONS(6402), 1,
      anon_sym_COLON,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(6498), 1,
      anon_sym_LBRACK,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(5060), 1,
      sym__annotated_type,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(8788), 1,
      sym__non_null_literal,
    STATE(8790), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(13398), 1,
      sym__infix_type_choice,
    STATE(15434), 1,
      sym__type,
    STATE(16448), 1,
      sym_type_parameters,
    STATE(16449), 1,
      sym_parameter_types,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(169), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(171), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3580), 2,
      sym_comment,
      sym_block_comment,
    STATE(6796), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7234), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132652] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4850), 1,
      sym__alpha_identifier,
    ACTIONS(4852), 1,
      anon_sym_COLON,
    ACTIONS(4854), 1,
      anon_sym_LBRACE,
    ACTIONS(4856), 1,
      anon_sym__,
    ACTIONS(4860), 1,
      anon_sym_LBRACK,
    ACTIONS(4868), 1,
      sym__backquoted_id,
    ACTIONS(4872), 1,
      sym_integer_literal,
    ACTIONS(6772), 1,
      anon_sym_LPAREN,
    ACTIONS(6774), 1,
      sym_operator_identifier,
    STATE(6046), 1,
      sym__annotated_type,
    STATE(6264), 1,
      sym__simple_type,
    STATE(6558), 1,
      sym__soft_identifier,
    STATE(7032), 1,
      sym_identifier,
    STATE(9476), 1,
      sym_annotated_type,
    STATE(11299), 1,
      sym_literal_type,
    STATE(11424), 1,
      sym__non_null_literal,
    STATE(12231), 1,
      sym__type,
    STATE(12329), 1,
      sym_template_body,
    STATE(13529), 1,
      sym__infix_type_choice,
    STATE(15902), 1,
      sym_type_parameters,
    STATE(15907), 1,
      sym_parameter_types,
    STATE(18818), 1,
      sym_stable_identifier,
    ACTIONS(4874), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4876), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3581), 2,
      sym_comment,
      sym_block_comment,
    STATE(11041), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11449), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12416), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12472), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4862), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7889), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132777] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(6588), 1,
      sym__alpha_identifier,
    ACTIONS(6590), 1,
      anon_sym__,
    ACTIONS(6592), 1,
      anon_sym_LBRACK,
    ACTIONS(6596), 1,
      anon_sym_LPAREN,
    ACTIONS(6598), 1,
      sym__backquoted_id,
    ACTIONS(6600), 1,
      sym_operator_identifier,
    ACTIONS(6602), 1,
      sym_integer_literal,
    STATE(7642), 1,
      sym__simple_type,
    STATE(7994), 1,
      sym_identifier,
    STATE(8198), 1,
      sym__annotated_type,
    STATE(8617), 1,
      sym__soft_identifier,
    STATE(10935), 1,
      sym_annotated_type,
    STATE(11886), 1,
      sym__non_null_literal,
    STATE(11910), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13359), 1,
      sym__infix_type_choice,
    STATE(15457), 1,
      sym__type,
    STATE(16450), 1,
      sym_type_parameters,
    STATE(16451), 1,
      sym_parameter_types,
    STATE(18936), 1,
      sym_stable_identifier,
    ACTIONS(6604), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6606), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6608), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3582), 2,
      sym_comment,
      sym_block_comment,
    STATE(11394), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11960), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8780), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132902] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16502), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3583), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133027] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4702), 1,
      sym__alpha_identifier,
    ACTIONS(4704), 1,
      anon_sym_COLON,
    ACTIONS(4706), 1,
      anon_sym_LBRACE,
    ACTIONS(4708), 1,
      anon_sym__,
    ACTIONS(4712), 1,
      anon_sym_LBRACK,
    ACTIONS(4720), 1,
      sym__backquoted_id,
    ACTIONS(4724), 1,
      sym_integer_literal,
    ACTIONS(6768), 1,
      anon_sym_LPAREN,
    ACTIONS(6770), 1,
      sym_operator_identifier,
    STATE(4554), 1,
      sym__annotated_type,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4664), 1,
      sym_identifier,
    STATE(4669), 1,
      sym__soft_identifier,
    STATE(5614), 1,
      sym_annotated_type,
    STATE(8910), 1,
      sym_literal_type,
    STATE(9326), 1,
      sym__non_null_literal,
    STATE(11997), 1,
      sym_template_body,
    STATE(12013), 1,
      sym__type,
    STATE(13487), 1,
      sym__infix_type_choice,
    STATE(16361), 1,
      sym_type_parameters,
    STATE(16362), 1,
      sym_parameter_types,
    STATE(18636), 1,
      sym_stable_identifier,
    ACTIONS(4726), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4728), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4732), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3584), 2,
      sym_comment,
      sym_block_comment,
    STATE(7150), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8863), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11996), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11952), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4714), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4781), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133152] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4702), 1,
      sym__alpha_identifier,
    ACTIONS(4704), 1,
      anon_sym_COLON,
    ACTIONS(4706), 1,
      anon_sym_LBRACE,
    ACTIONS(4708), 1,
      anon_sym__,
    ACTIONS(4712), 1,
      anon_sym_LBRACK,
    ACTIONS(4720), 1,
      sym__backquoted_id,
    ACTIONS(4724), 1,
      sym_integer_literal,
    ACTIONS(6768), 1,
      anon_sym_LPAREN,
    ACTIONS(6770), 1,
      sym_operator_identifier,
    STATE(4554), 1,
      sym__annotated_type,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4664), 1,
      sym_identifier,
    STATE(4669), 1,
      sym__soft_identifier,
    STATE(5614), 1,
      sym_annotated_type,
    STATE(8910), 1,
      sym_literal_type,
    STATE(9326), 1,
      sym__non_null_literal,
    STATE(11997), 1,
      sym_template_body,
    STATE(12018), 1,
      sym__type,
    STATE(13487), 1,
      sym__infix_type_choice,
    STATE(16361), 1,
      sym_type_parameters,
    STATE(16362), 1,
      sym_parameter_types,
    STATE(18636), 1,
      sym_stable_identifier,
    ACTIONS(4726), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4728), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4732), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3585), 2,
      sym_comment,
      sym_block_comment,
    STATE(7150), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8863), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11996), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11952), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4714), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4781), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133277] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6776), 1,
      sym__alpha_identifier,
    ACTIONS(6778), 1,
      anon_sym_COLON,
    ACTIONS(6780), 1,
      anon_sym_LBRACE,
    ACTIONS(6782), 1,
      anon_sym__,
    ACTIONS(6784), 1,
      anon_sym_LBRACK,
    ACTIONS(6788), 1,
      anon_sym_LPAREN,
    ACTIONS(6790), 1,
      sym__backquoted_id,
    ACTIONS(6792), 1,
      sym_operator_identifier,
    ACTIONS(6794), 1,
      sym_integer_literal,
    STATE(6311), 1,
      sym__simple_type,
    STATE(6359), 1,
      sym__annotated_type,
    STATE(6632), 1,
      sym__soft_identifier,
    STATE(6764), 1,
      sym_identifier,
    STATE(9959), 1,
      sym_annotated_type,
    STATE(11465), 1,
      sym__non_null_literal,
    STATE(11466), 1,
      sym_literal_type,
    STATE(11678), 1,
      sym_template_body,
    STATE(11825), 1,
      sym__type,
    STATE(13387), 1,
      sym__infix_type_choice,
    STATE(16750), 1,
      sym_type_parameters,
    STATE(16756), 1,
      sym_parameter_types,
    STATE(17910), 1,
      sym_stable_identifier,
    ACTIONS(6796), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6798), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6800), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3586), 2,
      sym_comment,
      sym_block_comment,
    STATE(11023), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11365), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11689), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11795), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6786), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7852), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133402] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4852), 1,
      anon_sym_COLON,
    ACTIONS(4854), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym__alpha_identifier,
    ACTIONS(4970), 1,
      anon_sym__,
    ACTIONS(4974), 1,
      anon_sym_LBRACK,
    ACTIONS(4980), 1,
      sym__backquoted_id,
    ACTIONS(4984), 1,
      sym_integer_literal,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    ACTIONS(6804), 1,
      sym_operator_identifier,
    STATE(4646), 1,
      sym__simple_type,
    STATE(4686), 1,
      sym__annotated_type,
    STATE(4717), 1,
      sym_identifier,
    STATE(4726), 1,
      sym__soft_identifier,
    STATE(5838), 1,
      sym_annotated_type,
    STATE(9462), 1,
      sym_literal_type,
    STATE(9551), 1,
      sym__non_null_literal,
    STATE(12259), 1,
      sym__type,
    STATE(12329), 1,
      sym_template_body,
    STATE(13533), 1,
      sym__infix_type_choice,
    STATE(16375), 1,
      sym_type_parameters,
    STATE(16376), 1,
      sym_parameter_types,
    STATE(18824), 1,
      sym_stable_identifier,
    ACTIONS(4986), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4988), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4990), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3587), 2,
      sym_comment,
      sym_block_comment,
    STATE(8279), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9653), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12416), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12472), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4976), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4930), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133527] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4702), 1,
      sym__alpha_identifier,
    ACTIONS(4704), 1,
      anon_sym_COLON,
    ACTIONS(4706), 1,
      anon_sym_LBRACE,
    ACTIONS(4708), 1,
      anon_sym__,
    ACTIONS(4712), 1,
      anon_sym_LBRACK,
    ACTIONS(4720), 1,
      sym__backquoted_id,
    ACTIONS(4724), 1,
      sym_integer_literal,
    ACTIONS(6768), 1,
      anon_sym_LPAREN,
    ACTIONS(6770), 1,
      sym_operator_identifier,
    STATE(4554), 1,
      sym__annotated_type,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4664), 1,
      sym_identifier,
    STATE(4669), 1,
      sym__soft_identifier,
    STATE(5614), 1,
      sym_annotated_type,
    STATE(8910), 1,
      sym_literal_type,
    STATE(9326), 1,
      sym__non_null_literal,
    STATE(11997), 1,
      sym_template_body,
    STATE(12019), 1,
      sym__type,
    STATE(13487), 1,
      sym__infix_type_choice,
    STATE(16361), 1,
      sym_type_parameters,
    STATE(16362), 1,
      sym_parameter_types,
    STATE(18636), 1,
      sym_stable_identifier,
    ACTIONS(4726), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4728), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4732), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3588), 2,
      sym_comment,
      sym_block_comment,
    STATE(7150), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8863), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11996), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11952), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4714), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4781), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133652] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4852), 1,
      anon_sym_COLON,
    ACTIONS(4854), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym__alpha_identifier,
    ACTIONS(4970), 1,
      anon_sym__,
    ACTIONS(4974), 1,
      anon_sym_LBRACK,
    ACTIONS(4980), 1,
      sym__backquoted_id,
    ACTIONS(4984), 1,
      sym_integer_literal,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    ACTIONS(6804), 1,
      sym_operator_identifier,
    STATE(4646), 1,
      sym__simple_type,
    STATE(4686), 1,
      sym__annotated_type,
    STATE(4717), 1,
      sym_identifier,
    STATE(4726), 1,
      sym__soft_identifier,
    STATE(5838), 1,
      sym_annotated_type,
    STATE(9462), 1,
      sym_literal_type,
    STATE(9551), 1,
      sym__non_null_literal,
    STATE(12329), 1,
      sym_template_body,
    STATE(12425), 1,
      sym__type,
    STATE(13533), 1,
      sym__infix_type_choice,
    STATE(16375), 1,
      sym_type_parameters,
    STATE(16376), 1,
      sym_parameter_types,
    STATE(18824), 1,
      sym_stable_identifier,
    ACTIONS(4986), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4988), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4990), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3589), 2,
      sym_comment,
      sym_block_comment,
    STATE(8279), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9653), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12416), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12472), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4976), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4930), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133777] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(6634), 1,
      sym__alpha_identifier,
    ACTIONS(6640), 1,
      anon_sym__,
    ACTIONS(6646), 1,
      anon_sym_LPAREN,
    ACTIONS(6648), 1,
      sym__backquoted_id,
    ACTIONS(6650), 1,
      sym_operator_identifier,
    ACTIONS(6710), 1,
      anon_sym_COLON,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    ACTIONS(6714), 1,
      anon_sym_LBRACK,
    STATE(5952), 1,
      sym__simple_type,
    STATE(6655), 1,
      sym__soft_identifier,
    STATE(6914), 1,
      sym_identifier,
    STATE(7419), 1,
      sym__annotated_type,
    STATE(9996), 1,
      sym_annotated_type,
    STATE(11698), 1,
      sym__non_null_literal,
    STATE(11700), 1,
      sym_literal_type,
    STATE(11895), 1,
      sym__type,
    STATE(11918), 1,
      sym_template_body,
    STATE(13320), 1,
      sym__infix_type_choice,
    STATE(17031), 1,
      sym_type_parameters,
    STATE(17035), 1,
      sym_parameter_types,
    STATE(19535), 1,
      sym_stable_identifier,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3590), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11276), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11953), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11882), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6644), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7691), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133902] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16525), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3591), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134027] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4852), 1,
      anon_sym_COLON,
    ACTIONS(4854), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym__alpha_identifier,
    ACTIONS(4970), 1,
      anon_sym__,
    ACTIONS(4974), 1,
      anon_sym_LBRACK,
    ACTIONS(4980), 1,
      sym__backquoted_id,
    ACTIONS(4984), 1,
      sym_integer_literal,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    ACTIONS(6804), 1,
      sym_operator_identifier,
    STATE(4646), 1,
      sym__simple_type,
    STATE(4686), 1,
      sym__annotated_type,
    STATE(4717), 1,
      sym_identifier,
    STATE(4726), 1,
      sym__soft_identifier,
    STATE(5838), 1,
      sym_annotated_type,
    STATE(9462), 1,
      sym_literal_type,
    STATE(9551), 1,
      sym__non_null_literal,
    STATE(12329), 1,
      sym_template_body,
    STATE(12481), 1,
      sym__type,
    STATE(13533), 1,
      sym__infix_type_choice,
    STATE(16375), 1,
      sym_type_parameters,
    STATE(16376), 1,
      sym_parameter_types,
    STATE(18824), 1,
      sym_stable_identifier,
    ACTIONS(4986), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4988), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4990), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3592), 2,
      sym_comment,
      sym_block_comment,
    STATE(8279), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9653), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12416), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12472), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4976), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4930), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134152] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4852), 1,
      anon_sym_COLON,
    ACTIONS(4854), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym__alpha_identifier,
    ACTIONS(4970), 1,
      anon_sym__,
    ACTIONS(4974), 1,
      anon_sym_LBRACK,
    ACTIONS(4980), 1,
      sym__backquoted_id,
    ACTIONS(4984), 1,
      sym_integer_literal,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    ACTIONS(6804), 1,
      sym_operator_identifier,
    STATE(4646), 1,
      sym__simple_type,
    STATE(4686), 1,
      sym__annotated_type,
    STATE(4717), 1,
      sym_identifier,
    STATE(4726), 1,
      sym__soft_identifier,
    STATE(5838), 1,
      sym_annotated_type,
    STATE(9462), 1,
      sym_literal_type,
    STATE(9551), 1,
      sym__non_null_literal,
    STATE(12171), 1,
      sym__type,
    STATE(12329), 1,
      sym_template_body,
    STATE(13533), 1,
      sym__infix_type_choice,
    STATE(16375), 1,
      sym_type_parameters,
    STATE(16376), 1,
      sym_parameter_types,
    STATE(18824), 1,
      sym_stable_identifier,
    ACTIONS(4986), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4988), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4990), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3593), 2,
      sym_comment,
      sym_block_comment,
    STATE(8279), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9653), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12416), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12472), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4976), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4930), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134277] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4702), 1,
      sym__alpha_identifier,
    ACTIONS(4704), 1,
      anon_sym_COLON,
    ACTIONS(4706), 1,
      anon_sym_LBRACE,
    ACTIONS(4708), 1,
      anon_sym__,
    ACTIONS(4712), 1,
      anon_sym_LBRACK,
    ACTIONS(4720), 1,
      sym__backquoted_id,
    ACTIONS(4724), 1,
      sym_integer_literal,
    ACTIONS(6768), 1,
      anon_sym_LPAREN,
    ACTIONS(6770), 1,
      sym_operator_identifier,
    STATE(4554), 1,
      sym__annotated_type,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4664), 1,
      sym_identifier,
    STATE(4669), 1,
      sym__soft_identifier,
    STATE(5614), 1,
      sym_annotated_type,
    STATE(8910), 1,
      sym_literal_type,
    STATE(9326), 1,
      sym__non_null_literal,
    STATE(11997), 1,
      sym_template_body,
    STATE(12020), 1,
      sym__type,
    STATE(13487), 1,
      sym__infix_type_choice,
    STATE(16361), 1,
      sym_type_parameters,
    STATE(16362), 1,
      sym_parameter_types,
    STATE(18636), 1,
      sym_stable_identifier,
    ACTIONS(4726), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4728), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4732), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3594), 2,
      sym_comment,
      sym_block_comment,
    STATE(7150), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8863), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11996), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11952), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4714), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4781), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134402] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(8180), 1,
      sym__type,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3595), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134527] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6776), 1,
      sym__alpha_identifier,
    ACTIONS(6778), 1,
      anon_sym_COLON,
    ACTIONS(6780), 1,
      anon_sym_LBRACE,
    ACTIONS(6782), 1,
      anon_sym__,
    ACTIONS(6784), 1,
      anon_sym_LBRACK,
    ACTIONS(6788), 1,
      anon_sym_LPAREN,
    ACTIONS(6790), 1,
      sym__backquoted_id,
    ACTIONS(6792), 1,
      sym_operator_identifier,
    ACTIONS(6794), 1,
      sym_integer_literal,
    STATE(6311), 1,
      sym__simple_type,
    STATE(6359), 1,
      sym__annotated_type,
    STATE(6632), 1,
      sym__soft_identifier,
    STATE(6764), 1,
      sym_identifier,
    STATE(9959), 1,
      sym_annotated_type,
    STATE(11465), 1,
      sym__non_null_literal,
    STATE(11466), 1,
      sym_literal_type,
    STATE(11678), 1,
      sym_template_body,
    STATE(11829), 1,
      sym__type,
    STATE(13387), 1,
      sym__infix_type_choice,
    STATE(16750), 1,
      sym_type_parameters,
    STATE(16756), 1,
      sym_parameter_types,
    STATE(17910), 1,
      sym_stable_identifier,
    ACTIONS(6796), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6798), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6800), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3596), 2,
      sym_comment,
      sym_block_comment,
    STATE(11023), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11365), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11689), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11795), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6786), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7852), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134652] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4852), 1,
      anon_sym_COLON,
    ACTIONS(4854), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym__alpha_identifier,
    ACTIONS(4970), 1,
      anon_sym__,
    ACTIONS(4974), 1,
      anon_sym_LBRACK,
    ACTIONS(4980), 1,
      sym__backquoted_id,
    ACTIONS(4984), 1,
      sym_integer_literal,
    ACTIONS(6802), 1,
      anon_sym_LPAREN,
    ACTIONS(6804), 1,
      sym_operator_identifier,
    STATE(4646), 1,
      sym__simple_type,
    STATE(4686), 1,
      sym__annotated_type,
    STATE(4717), 1,
      sym_identifier,
    STATE(4726), 1,
      sym__soft_identifier,
    STATE(5838), 1,
      sym_annotated_type,
    STATE(9462), 1,
      sym_literal_type,
    STATE(9551), 1,
      sym__non_null_literal,
    STATE(12231), 1,
      sym__type,
    STATE(12329), 1,
      sym_template_body,
    STATE(13533), 1,
      sym__infix_type_choice,
    STATE(16375), 1,
      sym_type_parameters,
    STATE(16376), 1,
      sym_parameter_types,
    STATE(18824), 1,
      sym_stable_identifier,
    ACTIONS(4986), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4988), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4990), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3597), 2,
      sym_comment,
      sym_block_comment,
    STATE(8279), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9653), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12416), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12472), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4976), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4930), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134777] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16552), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3598), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134902] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1101), 1,
      sym_integer_literal,
    ACTIONS(6568), 1,
      sym__alpha_identifier,
    ACTIONS(6570), 1,
      anon_sym_COLON,
    ACTIONS(6572), 1,
      anon_sym_LBRACE,
    ACTIONS(6574), 1,
      anon_sym__,
    ACTIONS(6576), 1,
      anon_sym_LBRACK,
    ACTIONS(6580), 1,
      anon_sym_LPAREN,
    ACTIONS(6582), 1,
      sym__backquoted_id,
    ACTIONS(6584), 1,
      sym_operator_identifier,
    STATE(4785), 1,
      sym__annotated_type,
    STATE(4786), 1,
      sym__simple_type,
    STATE(4899), 1,
      sym_identifier,
    STATE(4989), 1,
      sym__soft_identifier,
    STATE(6973), 1,
      sym_annotated_type,
    STATE(10151), 1,
      sym__non_null_literal,
    STATE(10317), 1,
      sym_literal_type,
    STATE(12351), 1,
      sym__type,
    STATE(12478), 1,
      sym_template_body,
    STATE(13450), 1,
      sym__infix_type_choice,
    STATE(16452), 1,
      sym_type_parameters,
    STATE(16453), 1,
      sym_parameter_types,
    STATE(18358), 1,
      sym_stable_identifier,
    ACTIONS(1103), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1105), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1109), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3599), 2,
      sym_comment,
      sym_block_comment,
    STATE(6161), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6960), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9047), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6578), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5115), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135027] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(8187), 1,
      sym__type,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3600), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135152] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6776), 1,
      sym__alpha_identifier,
    ACTIONS(6778), 1,
      anon_sym_COLON,
    ACTIONS(6780), 1,
      anon_sym_LBRACE,
    ACTIONS(6782), 1,
      anon_sym__,
    ACTIONS(6784), 1,
      anon_sym_LBRACK,
    ACTIONS(6788), 1,
      anon_sym_LPAREN,
    ACTIONS(6790), 1,
      sym__backquoted_id,
    ACTIONS(6792), 1,
      sym_operator_identifier,
    ACTIONS(6794), 1,
      sym_integer_literal,
    STATE(6311), 1,
      sym__simple_type,
    STATE(6359), 1,
      sym__annotated_type,
    STATE(6632), 1,
      sym__soft_identifier,
    STATE(6764), 1,
      sym_identifier,
    STATE(9959), 1,
      sym_annotated_type,
    STATE(11465), 1,
      sym__non_null_literal,
    STATE(11466), 1,
      sym_literal_type,
    STATE(11678), 1,
      sym_template_body,
    STATE(11834), 1,
      sym__type,
    STATE(13387), 1,
      sym__infix_type_choice,
    STATE(16750), 1,
      sym_type_parameters,
    STATE(16756), 1,
      sym_parameter_types,
    STATE(17910), 1,
      sym_stable_identifier,
    ACTIONS(6796), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6798), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6800), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3601), 2,
      sym_comment,
      sym_block_comment,
    STATE(11023), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11365), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11689), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11795), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6786), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7852), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135277] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6776), 1,
      sym__alpha_identifier,
    ACTIONS(6778), 1,
      anon_sym_COLON,
    ACTIONS(6780), 1,
      anon_sym_LBRACE,
    ACTIONS(6782), 1,
      anon_sym__,
    ACTIONS(6784), 1,
      anon_sym_LBRACK,
    ACTIONS(6788), 1,
      anon_sym_LPAREN,
    ACTIONS(6790), 1,
      sym__backquoted_id,
    ACTIONS(6792), 1,
      sym_operator_identifier,
    ACTIONS(6794), 1,
      sym_integer_literal,
    STATE(6311), 1,
      sym__simple_type,
    STATE(6359), 1,
      sym__annotated_type,
    STATE(6632), 1,
      sym__soft_identifier,
    STATE(6764), 1,
      sym_identifier,
    STATE(9959), 1,
      sym_annotated_type,
    STATE(11465), 1,
      sym__non_null_literal,
    STATE(11466), 1,
      sym_literal_type,
    STATE(11678), 1,
      sym_template_body,
    STATE(11835), 1,
      sym__type,
    STATE(13387), 1,
      sym__infix_type_choice,
    STATE(16750), 1,
      sym_type_parameters,
    STATE(16756), 1,
      sym_parameter_types,
    STATE(17910), 1,
      sym_stable_identifier,
    ACTIONS(6796), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6798), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6800), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3602), 2,
      sym_comment,
      sym_block_comment,
    STATE(11023), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11365), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11689), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11795), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6786), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7852), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135402] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6776), 1,
      sym__alpha_identifier,
    ACTIONS(6778), 1,
      anon_sym_COLON,
    ACTIONS(6780), 1,
      anon_sym_LBRACE,
    ACTIONS(6782), 1,
      anon_sym__,
    ACTIONS(6784), 1,
      anon_sym_LBRACK,
    ACTIONS(6788), 1,
      anon_sym_LPAREN,
    ACTIONS(6790), 1,
      sym__backquoted_id,
    ACTIONS(6792), 1,
      sym_operator_identifier,
    ACTIONS(6794), 1,
      sym_integer_literal,
    STATE(6311), 1,
      sym__simple_type,
    STATE(6359), 1,
      sym__annotated_type,
    STATE(6632), 1,
      sym__soft_identifier,
    STATE(6764), 1,
      sym_identifier,
    STATE(9959), 1,
      sym_annotated_type,
    STATE(11465), 1,
      sym__non_null_literal,
    STATE(11466), 1,
      sym_literal_type,
    STATE(11678), 1,
      sym_template_body,
    STATE(11836), 1,
      sym__type,
    STATE(13387), 1,
      sym__infix_type_choice,
    STATE(16750), 1,
      sym_type_parameters,
    STATE(16756), 1,
      sym_parameter_types,
    STATE(17910), 1,
      sym_stable_identifier,
    ACTIONS(6796), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6798), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6800), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3603), 2,
      sym_comment,
      sym_block_comment,
    STATE(11023), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11365), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11689), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11795), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6786), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7852), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135527] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6806), 1,
      sym__alpha_identifier,
    ACTIONS(6808), 1,
      anon_sym_COLON,
    ACTIONS(6810), 1,
      anon_sym_LBRACE,
    ACTIONS(6812), 1,
      anon_sym__,
    ACTIONS(6814), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_LPAREN,
    ACTIONS(6820), 1,
      sym__backquoted_id,
    ACTIONS(6822), 1,
      sym_operator_identifier,
    ACTIONS(6824), 1,
      sym_integer_literal,
    STATE(9141), 1,
      sym__simple_type,
    STATE(9433), 1,
      sym__soft_identifier,
    STATE(9503), 1,
      sym__annotated_type,
    STATE(9695), 1,
      sym_identifier,
    STATE(11437), 1,
      sym_annotated_type,
    STATE(13188), 1,
      sym__non_null_literal,
    STATE(13228), 1,
      sym_literal_type,
    STATE(13534), 1,
      sym__infix_type_choice,
    STATE(15962), 1,
      sym_type_parameters,
    STATE(15966), 1,
      sym_parameter_types,
    STATE(17374), 1,
      sym_template_body,
    STATE(17687), 1,
      sym__type,
    STATE(18830), 1,
      sym_stable_identifier,
    ACTIONS(6826), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6828), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6830), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3604), 2,
      sym_comment,
      sym_block_comment,
    STATE(12322), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12453), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13300), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17765), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6816), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10241), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135652] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16579), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3605), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135777] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1281), 1,
      sym_integer_literal,
    ACTIONS(6616), 1,
      sym__alpha_identifier,
    ACTIONS(6618), 1,
      anon_sym_COLON,
    ACTIONS(6620), 1,
      anon_sym_LBRACE,
    ACTIONS(6622), 1,
      anon_sym__,
    ACTIONS(6624), 1,
      anon_sym_LBRACK,
    ACTIONS(6628), 1,
      anon_sym_LPAREN,
    ACTIONS(6630), 1,
      sym__backquoted_id,
    ACTIONS(6632), 1,
      sym_operator_identifier,
    STATE(4942), 1,
      sym__simple_type,
    STATE(4954), 1,
      sym__annotated_type,
    STATE(5083), 1,
      sym_identifier,
    STATE(5216), 1,
      sym__soft_identifier,
    STATE(7710), 1,
      sym_annotated_type,
    STATE(10458), 1,
      sym_literal_type,
    STATE(10618), 1,
      sym__non_null_literal,
    STATE(13518), 1,
      sym__infix_type_choice,
    STATE(13574), 1,
      sym_template_body,
    STATE(13687), 1,
      sym__type,
    STATE(16365), 1,
      sym_type_parameters,
    STATE(16366), 1,
      sym_parameter_types,
    STATE(18770), 1,
      sym_stable_identifier,
    ACTIONS(1283), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1285), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1289), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3606), 2,
      sym_comment,
      sym_block_comment,
    STATE(7079), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7231), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9700), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13305), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6626), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5517), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135902] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(575), 1,
      sym_integer_literal,
    ACTIONS(4502), 1,
      anon_sym_COLON,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5858), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(6341), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(10380), 1,
      sym_literal_type,
    STATE(10428), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13075), 1,
      sym__type,
    STATE(13467), 1,
      sym__infix_type_choice,
    STATE(16416), 1,
      sym_type_parameters,
    STATE(16417), 1,
      sym_parameter_types,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(577), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(579), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(589), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3607), 2,
      sym_comment,
      sym_block_comment,
    STATE(9594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9632), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12935), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136027] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6806), 1,
      sym__alpha_identifier,
    ACTIONS(6808), 1,
      anon_sym_COLON,
    ACTIONS(6810), 1,
      anon_sym_LBRACE,
    ACTIONS(6812), 1,
      anon_sym__,
    ACTIONS(6814), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_LPAREN,
    ACTIONS(6820), 1,
      sym__backquoted_id,
    ACTIONS(6822), 1,
      sym_operator_identifier,
    ACTIONS(6824), 1,
      sym_integer_literal,
    STATE(9141), 1,
      sym__simple_type,
    STATE(9433), 1,
      sym__soft_identifier,
    STATE(9503), 1,
      sym__annotated_type,
    STATE(9695), 1,
      sym_identifier,
    STATE(11437), 1,
      sym_annotated_type,
    STATE(13188), 1,
      sym__non_null_literal,
    STATE(13228), 1,
      sym_literal_type,
    STATE(13534), 1,
      sym__infix_type_choice,
    STATE(15962), 1,
      sym_type_parameters,
    STATE(15966), 1,
      sym_parameter_types,
    STATE(17374), 1,
      sym_template_body,
    STATE(17696), 1,
      sym__type,
    STATE(18830), 1,
      sym_stable_identifier,
    ACTIONS(6826), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6828), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6830), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3608), 2,
      sym_comment,
      sym_block_comment,
    STATE(12322), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12453), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13300), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17765), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6816), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10241), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136152] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6806), 1,
      sym__alpha_identifier,
    ACTIONS(6808), 1,
      anon_sym_COLON,
    ACTIONS(6810), 1,
      anon_sym_LBRACE,
    ACTIONS(6812), 1,
      anon_sym__,
    ACTIONS(6814), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_LPAREN,
    ACTIONS(6820), 1,
      sym__backquoted_id,
    ACTIONS(6822), 1,
      sym_operator_identifier,
    ACTIONS(6824), 1,
      sym_integer_literal,
    STATE(9141), 1,
      sym__simple_type,
    STATE(9433), 1,
      sym__soft_identifier,
    STATE(9503), 1,
      sym__annotated_type,
    STATE(9695), 1,
      sym_identifier,
    STATE(11437), 1,
      sym_annotated_type,
    STATE(13188), 1,
      sym__non_null_literal,
    STATE(13228), 1,
      sym_literal_type,
    STATE(13534), 1,
      sym__infix_type_choice,
    STATE(15962), 1,
      sym_type_parameters,
    STATE(15966), 1,
      sym_parameter_types,
    STATE(17374), 1,
      sym_template_body,
    STATE(17427), 1,
      sym__type,
    STATE(18830), 1,
      sym_stable_identifier,
    ACTIONS(6826), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6828), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6830), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3609), 2,
      sym_comment,
      sym_block_comment,
    STATE(12322), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12453), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13300), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17765), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6816), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10241), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136277] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(167), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    ACTIONS(6586), 1,
      anon_sym_LBRACK,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(7504), 1,
      sym__annotated_type,
    STATE(8788), 1,
      sym__non_null_literal,
    STATE(8790), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(13412), 1,
      sym__infix_type_choice,
    STATE(14995), 1,
      sym__type,
    STATE(16507), 1,
      sym_type_parameters,
    STATE(16508), 1,
      sym_parameter_types,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(169), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(171), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3610), 2,
      sym_comment,
      sym_block_comment,
    STATE(6796), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7234), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136402] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(6634), 1,
      sym__alpha_identifier,
    ACTIONS(6640), 1,
      anon_sym__,
    ACTIONS(6646), 1,
      anon_sym_LPAREN,
    ACTIONS(6648), 1,
      sym__backquoted_id,
    ACTIONS(6650), 1,
      sym_operator_identifier,
    ACTIONS(6710), 1,
      anon_sym_COLON,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    ACTIONS(6714), 1,
      anon_sym_LBRACK,
    STATE(5952), 1,
      sym__simple_type,
    STATE(6655), 1,
      sym__soft_identifier,
    STATE(6914), 1,
      sym_identifier,
    STATE(7419), 1,
      sym__annotated_type,
    STATE(9996), 1,
      sym_annotated_type,
    STATE(11698), 1,
      sym__non_null_literal,
    STATE(11700), 1,
      sym_literal_type,
    STATE(11897), 1,
      sym__type,
    STATE(11918), 1,
      sym_template_body,
    STATE(13320), 1,
      sym__infix_type_choice,
    STATE(17031), 1,
      sym_type_parameters,
    STATE(17035), 1,
      sym_parameter_types,
    STATE(19535), 1,
      sym_stable_identifier,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3611), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11276), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11953), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11882), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6644), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7691), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136527] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6806), 1,
      sym__alpha_identifier,
    ACTIONS(6808), 1,
      anon_sym_COLON,
    ACTIONS(6810), 1,
      anon_sym_LBRACE,
    ACTIONS(6812), 1,
      anon_sym__,
    ACTIONS(6814), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_LPAREN,
    ACTIONS(6820), 1,
      sym__backquoted_id,
    ACTIONS(6822), 1,
      sym_operator_identifier,
    ACTIONS(6824), 1,
      sym_integer_literal,
    STATE(9141), 1,
      sym__simple_type,
    STATE(9433), 1,
      sym__soft_identifier,
    STATE(9503), 1,
      sym__annotated_type,
    STATE(9695), 1,
      sym_identifier,
    STATE(11437), 1,
      sym_annotated_type,
    STATE(13188), 1,
      sym__non_null_literal,
    STATE(13228), 1,
      sym_literal_type,
    STATE(13534), 1,
      sym__infix_type_choice,
    STATE(15962), 1,
      sym_type_parameters,
    STATE(15966), 1,
      sym_parameter_types,
    STATE(17374), 1,
      sym_template_body,
    STATE(17502), 1,
      sym__type,
    STATE(18830), 1,
      sym_stable_identifier,
    ACTIONS(6826), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6828), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6830), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3612), 2,
      sym_comment,
      sym_block_comment,
    STATE(12322), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12453), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13300), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17765), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6816), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10241), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136652] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3514), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6610), 1,
      anon_sym_COLON,
    ACTIONS(6612), 1,
      anon_sym_LBRACE,
    ACTIONS(6614), 1,
      anon_sym_LBRACK,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(10707), 1,
      sym__annotated_type,
    STATE(13420), 1,
      sym__infix_type_choice,
    STATE(13949), 1,
      sym__non_null_literal,
    STATE(13950), 1,
      sym_literal_type,
    STATE(17151), 1,
      sym_type_parameters,
    STATE(17170), 1,
      sym_parameter_types,
    STATE(18260), 1,
      sym_template_body,
    STATE(18499), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(3516), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(3518), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3522), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3613), 2,
      sym_comment,
      sym_block_comment,
    STATE(11375), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13541), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(18335), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17990), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136777] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16601), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3614), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136902] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(89), 1,
      sym_integer_literal,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5418), 1,
      anon_sym_LPAREN,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    ACTIONS(6402), 1,
      anon_sym_COLON,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(8575), 1,
      sym__annotated_type,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11227), 1,
      sym__non_null_literal,
    STATE(11245), 1,
      sym_literal_type,
    STATE(11462), 1,
      sym__type,
    STATE(13367), 1,
      sym__infix_type_choice,
    STATE(16061), 1,
      sym_type_parameters,
    STATE(16078), 1,
      sym_parameter_types,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(91), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(93), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(105), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3615), 2,
      sym_comment,
      sym_block_comment,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10368), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10554), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137027] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(6634), 1,
      sym__alpha_identifier,
    ACTIONS(6640), 1,
      anon_sym__,
    ACTIONS(6646), 1,
      anon_sym_LPAREN,
    ACTIONS(6648), 1,
      sym__backquoted_id,
    ACTIONS(6650), 1,
      sym_operator_identifier,
    ACTIONS(6710), 1,
      anon_sym_COLON,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    ACTIONS(6714), 1,
      anon_sym_LBRACK,
    STATE(5952), 1,
      sym__simple_type,
    STATE(6655), 1,
      sym__soft_identifier,
    STATE(6914), 1,
      sym_identifier,
    STATE(7419), 1,
      sym__annotated_type,
    STATE(9996), 1,
      sym_annotated_type,
    STATE(11698), 1,
      sym__non_null_literal,
    STATE(11700), 1,
      sym_literal_type,
    STATE(11903), 1,
      sym__type,
    STATE(11918), 1,
      sym_template_body,
    STATE(13320), 1,
      sym__infix_type_choice,
    STATE(17031), 1,
      sym_type_parameters,
    STATE(17035), 1,
      sym_parameter_types,
    STATE(19535), 1,
      sym_stable_identifier,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3616), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11276), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11953), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11882), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6644), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7691), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137152] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4600), 1,
      sym__alpha_identifier,
    ACTIONS(4602), 1,
      anon_sym_COLON,
    ACTIONS(4604), 1,
      anon_sym_LBRACE,
    ACTIONS(4606), 1,
      anon_sym__,
    ACTIONS(4610), 1,
      anon_sym_LBRACK,
    ACTIONS(4618), 1,
      sym__backquoted_id,
    ACTIONS(4622), 1,
      sym_integer_literal,
    ACTIONS(6832), 1,
      anon_sym_LPAREN,
    ACTIONS(6834), 1,
      sym_operator_identifier,
    STATE(4937), 1,
      sym__annotated_type,
    STATE(4988), 1,
      sym__simple_type,
    STATE(5187), 1,
      sym_identifier,
    STATE(5221), 1,
      sym__soft_identifier,
    STATE(7789), 1,
      sym_annotated_type,
    STATE(10385), 1,
      sym__non_null_literal,
    STATE(10617), 1,
      sym_literal_type,
    STATE(13535), 1,
      sym__infix_type_choice,
    STATE(13778), 1,
      sym__type,
    STATE(13995), 1,
      sym_template_body,
    STATE(16015), 1,
      sym_type_parameters,
    STATE(16021), 1,
      sym_parameter_types,
    STATE(18836), 1,
      sym_stable_identifier,
    ACTIONS(4624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3617), 2,
      sym_comment,
      sym_block_comment,
    STATE(9461), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10506), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13882), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4612), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5771), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137277] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(89), 1,
      sym_integer_literal,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5418), 1,
      anon_sym_LPAREN,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    ACTIONS(6402), 1,
      anon_sym_COLON,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(8575), 1,
      sym__annotated_type,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11227), 1,
      sym__non_null_literal,
    STATE(11245), 1,
      sym_literal_type,
    STATE(11463), 1,
      sym__type,
    STATE(13367), 1,
      sym__infix_type_choice,
    STATE(16061), 1,
      sym_type_parameters,
    STATE(16078), 1,
      sym_parameter_types,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(91), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(93), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(105), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3618), 2,
      sym_comment,
      sym_block_comment,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10368), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10554), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137402] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1245), 1,
      sym_integer_literal,
    ACTIONS(6552), 1,
      anon_sym_COLON,
    ACTIONS(6554), 1,
      anon_sym_LBRACE,
    ACTIONS(6836), 1,
      sym__alpha_identifier,
    ACTIONS(6838), 1,
      anon_sym__,
    ACTIONS(6840), 1,
      anon_sym_LBRACK,
    ACTIONS(6844), 1,
      anon_sym_LPAREN,
    ACTIONS(6846), 1,
      sym__backquoted_id,
    ACTIONS(6848), 1,
      sym_operator_identifier,
    STATE(4901), 1,
      sym__simple_type,
    STATE(4922), 1,
      sym__annotated_type,
    STATE(5207), 1,
      sym__soft_identifier,
    STATE(5271), 1,
      sym_identifier,
    STATE(7549), 1,
      sym_annotated_type,
    STATE(10437), 1,
      sym_literal_type,
    STATE(10573), 1,
      sym__non_null_literal,
    STATE(12515), 1,
      sym__type,
    STATE(12633), 1,
      sym_template_body,
    STATE(13490), 1,
      sym__infix_type_choice,
    STATE(16456), 1,
      sym_type_parameters,
    STATE(16457), 1,
      sym_parameter_types,
    STATE(18647), 1,
      sym_stable_identifier,
    ACTIONS(1247), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1249), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1253), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3619), 2,
      sym_comment,
      sym_block_comment,
    STATE(6866), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7102), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9814), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12855), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6842), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5774), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137527] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16624), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3620), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137652] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(6634), 1,
      sym__alpha_identifier,
    ACTIONS(6640), 1,
      anon_sym__,
    ACTIONS(6646), 1,
      anon_sym_LPAREN,
    ACTIONS(6648), 1,
      sym__backquoted_id,
    ACTIONS(6650), 1,
      sym_operator_identifier,
    ACTIONS(6710), 1,
      anon_sym_COLON,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    ACTIONS(6714), 1,
      anon_sym_LBRACK,
    STATE(5952), 1,
      sym__simple_type,
    STATE(6655), 1,
      sym__soft_identifier,
    STATE(6914), 1,
      sym_identifier,
    STATE(7419), 1,
      sym__annotated_type,
    STATE(9996), 1,
      sym_annotated_type,
    STATE(11698), 1,
      sym__non_null_literal,
    STATE(11700), 1,
      sym_literal_type,
    STATE(11904), 1,
      sym__type,
    STATE(11918), 1,
      sym_template_body,
    STATE(13320), 1,
      sym__infix_type_choice,
    STATE(17031), 1,
      sym_type_parameters,
    STATE(17035), 1,
      sym_parameter_types,
    STATE(19535), 1,
      sym_stable_identifier,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3621), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11276), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11953), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11882), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6644), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7691), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137777] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1101), 1,
      sym_integer_literal,
    ACTIONS(6568), 1,
      sym__alpha_identifier,
    ACTIONS(6570), 1,
      anon_sym_COLON,
    ACTIONS(6572), 1,
      anon_sym_LBRACE,
    ACTIONS(6574), 1,
      anon_sym__,
    ACTIONS(6576), 1,
      anon_sym_LBRACK,
    ACTIONS(6580), 1,
      anon_sym_LPAREN,
    ACTIONS(6582), 1,
      sym__backquoted_id,
    ACTIONS(6584), 1,
      sym_operator_identifier,
    STATE(4785), 1,
      sym__annotated_type,
    STATE(4786), 1,
      sym__simple_type,
    STATE(4899), 1,
      sym_identifier,
    STATE(4989), 1,
      sym__soft_identifier,
    STATE(6973), 1,
      sym_annotated_type,
    STATE(10151), 1,
      sym__non_null_literal,
    STATE(10317), 1,
      sym_literal_type,
    STATE(12384), 1,
      sym__type,
    STATE(12478), 1,
      sym_template_body,
    STATE(13450), 1,
      sym__infix_type_choice,
    STATE(16452), 1,
      sym_type_parameters,
    STATE(16453), 1,
      sym_parameter_types,
    STATE(18358), 1,
      sym_stable_identifier,
    ACTIONS(1103), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1105), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1109), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3622), 2,
      sym_comment,
      sym_block_comment,
    STATE(6161), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6960), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9047), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6578), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5115), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137902] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1101), 1,
      sym_integer_literal,
    ACTIONS(6568), 1,
      sym__alpha_identifier,
    ACTIONS(6570), 1,
      anon_sym_COLON,
    ACTIONS(6572), 1,
      anon_sym_LBRACE,
    ACTIONS(6574), 1,
      anon_sym__,
    ACTIONS(6576), 1,
      anon_sym_LBRACK,
    ACTIONS(6580), 1,
      anon_sym_LPAREN,
    ACTIONS(6582), 1,
      sym__backquoted_id,
    ACTIONS(6584), 1,
      sym_operator_identifier,
    STATE(4785), 1,
      sym__annotated_type,
    STATE(4786), 1,
      sym__simple_type,
    STATE(4899), 1,
      sym_identifier,
    STATE(4989), 1,
      sym__soft_identifier,
    STATE(6973), 1,
      sym_annotated_type,
    STATE(10151), 1,
      sym__non_null_literal,
    STATE(10317), 1,
      sym_literal_type,
    STATE(12385), 1,
      sym__type,
    STATE(12478), 1,
      sym_template_body,
    STATE(13450), 1,
      sym__infix_type_choice,
    STATE(16452), 1,
      sym_type_parameters,
    STATE(16453), 1,
      sym_parameter_types,
    STATE(18358), 1,
      sym_stable_identifier,
    ACTIONS(1103), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1105), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1109), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3623), 2,
      sym_comment,
      sym_block_comment,
    STATE(6161), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6960), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9047), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6578), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5115), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138027] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1101), 1,
      sym_integer_literal,
    ACTIONS(6568), 1,
      sym__alpha_identifier,
    ACTIONS(6570), 1,
      anon_sym_COLON,
    ACTIONS(6572), 1,
      anon_sym_LBRACE,
    ACTIONS(6574), 1,
      anon_sym__,
    ACTIONS(6576), 1,
      anon_sym_LBRACK,
    ACTIONS(6580), 1,
      anon_sym_LPAREN,
    ACTIONS(6582), 1,
      sym__backquoted_id,
    ACTIONS(6584), 1,
      sym_operator_identifier,
    STATE(4785), 1,
      sym__annotated_type,
    STATE(4786), 1,
      sym__simple_type,
    STATE(4899), 1,
      sym_identifier,
    STATE(4989), 1,
      sym__soft_identifier,
    STATE(6973), 1,
      sym_annotated_type,
    STATE(10151), 1,
      sym__non_null_literal,
    STATE(10317), 1,
      sym_literal_type,
    STATE(12402), 1,
      sym__type,
    STATE(12478), 1,
      sym_template_body,
    STATE(13450), 1,
      sym__infix_type_choice,
    STATE(16452), 1,
      sym_type_parameters,
    STATE(16453), 1,
      sym_parameter_types,
    STATE(18358), 1,
      sym_stable_identifier,
    ACTIONS(1103), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1105), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1109), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3624), 2,
      sym_comment,
      sym_block_comment,
    STATE(6161), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6960), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9047), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6578), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5115), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138152] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(89), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5418), 1,
      anon_sym_LPAREN,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    ACTIONS(6328), 1,
      anon_sym_LBRACK,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(8460), 1,
      sym__annotated_type,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11227), 1,
      sym__non_null_literal,
    STATE(11245), 1,
      sym_literal_type,
    STATE(11429), 1,
      sym__type,
    STATE(13379), 1,
      sym__infix_type_choice,
    STATE(16606), 1,
      sym_type_parameters,
    STATE(16612), 1,
      sym_parameter_types,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(91), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(93), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(105), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3625), 2,
      sym_comment,
      sym_block_comment,
    STATE(10368), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10554), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138277] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6478), 1,
      anon_sym_LBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(12293), 1,
      sym__type,
    STATE(13392), 1,
      sym__infix_type_choice,
    STATE(16476), 1,
      sym_type_parameters,
    STATE(16477), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3626), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138402] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16642), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3627), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138527] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4600), 1,
      sym__alpha_identifier,
    ACTIONS(4602), 1,
      anon_sym_COLON,
    ACTIONS(4604), 1,
      anon_sym_LBRACE,
    ACTIONS(4606), 1,
      anon_sym__,
    ACTIONS(4610), 1,
      anon_sym_LBRACK,
    ACTIONS(4618), 1,
      sym__backquoted_id,
    ACTIONS(4622), 1,
      sym_integer_literal,
    ACTIONS(6832), 1,
      anon_sym_LPAREN,
    ACTIONS(6834), 1,
      sym_operator_identifier,
    STATE(4937), 1,
      sym__annotated_type,
    STATE(4988), 1,
      sym__simple_type,
    STATE(5187), 1,
      sym_identifier,
    STATE(5221), 1,
      sym__soft_identifier,
    STATE(7789), 1,
      sym_annotated_type,
    STATE(10385), 1,
      sym__non_null_literal,
    STATE(10617), 1,
      sym_literal_type,
    STATE(13535), 1,
      sym__infix_type_choice,
    STATE(13727), 1,
      sym__type,
    STATE(13995), 1,
      sym_template_body,
    STATE(16015), 1,
      sym_type_parameters,
    STATE(16021), 1,
      sym_parameter_types,
    STATE(18836), 1,
      sym_stable_identifier,
    ACTIONS(4624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3628), 2,
      sym_comment,
      sym_block_comment,
    STATE(9461), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10506), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13882), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4612), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5771), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138652] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(575), 1,
      sym_integer_literal,
    ACTIONS(4502), 1,
      anon_sym_COLON,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5858), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(6341), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(10380), 1,
      sym_literal_type,
    STATE(10428), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13103), 1,
      sym__type,
    STATE(13467), 1,
      sym__infix_type_choice,
    STATE(16416), 1,
      sym_type_parameters,
    STATE(16417), 1,
      sym_parameter_types,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(577), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(579), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(589), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3629), 2,
      sym_comment,
      sym_block_comment,
    STATE(9594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9632), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12935), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138777] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(89), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5418), 1,
      anon_sym_LPAREN,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    ACTIONS(6328), 1,
      anon_sym_LBRACK,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(8460), 1,
      sym__annotated_type,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11227), 1,
      sym__non_null_literal,
    STATE(11245), 1,
      sym_literal_type,
    STATE(11447), 1,
      sym__type,
    STATE(13379), 1,
      sym__infix_type_choice,
    STATE(16606), 1,
      sym_type_parameters,
    STATE(16612), 1,
      sym_parameter_types,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(91), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(93), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(105), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3630), 2,
      sym_comment,
      sym_block_comment,
    STATE(10368), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10554), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138902] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(89), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5418), 1,
      anon_sym_LPAREN,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    ACTIONS(6328), 1,
      anon_sym_LBRACK,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(8460), 1,
      sym__annotated_type,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11227), 1,
      sym__non_null_literal,
    STATE(11245), 1,
      sym_literal_type,
    STATE(11462), 1,
      sym__type,
    STATE(13379), 1,
      sym__infix_type_choice,
    STATE(16606), 1,
      sym_type_parameters,
    STATE(16612), 1,
      sym_parameter_types,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(91), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(93), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(105), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3631), 2,
      sym_comment,
      sym_block_comment,
    STATE(10368), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10554), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139027] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4600), 1,
      sym__alpha_identifier,
    ACTIONS(4602), 1,
      anon_sym_COLON,
    ACTIONS(4604), 1,
      anon_sym_LBRACE,
    ACTIONS(4606), 1,
      anon_sym__,
    ACTIONS(4610), 1,
      anon_sym_LBRACK,
    ACTIONS(4618), 1,
      sym__backquoted_id,
    ACTIONS(4622), 1,
      sym_integer_literal,
    ACTIONS(6832), 1,
      anon_sym_LPAREN,
    ACTIONS(6834), 1,
      sym_operator_identifier,
    STATE(4937), 1,
      sym__annotated_type,
    STATE(4988), 1,
      sym__simple_type,
    STATE(5187), 1,
      sym_identifier,
    STATE(5221), 1,
      sym__soft_identifier,
    STATE(7789), 1,
      sym_annotated_type,
    STATE(10385), 1,
      sym__non_null_literal,
    STATE(10617), 1,
      sym_literal_type,
    STATE(13535), 1,
      sym__infix_type_choice,
    STATE(13747), 1,
      sym__type,
    STATE(13995), 1,
      sym_template_body,
    STATE(16015), 1,
      sym_type_parameters,
    STATE(16021), 1,
      sym_parameter_types,
    STATE(18836), 1,
      sym_stable_identifier,
    ACTIONS(4624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3632), 2,
      sym_comment,
      sym_block_comment,
    STATE(9461), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10506), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13882), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4612), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5771), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139152] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4600), 1,
      sym__alpha_identifier,
    ACTIONS(4602), 1,
      anon_sym_COLON,
    ACTIONS(4604), 1,
      anon_sym_LBRACE,
    ACTIONS(4606), 1,
      anon_sym__,
    ACTIONS(4610), 1,
      anon_sym_LBRACK,
    ACTIONS(4618), 1,
      sym__backquoted_id,
    ACTIONS(4622), 1,
      sym_integer_literal,
    ACTIONS(6832), 1,
      anon_sym_LPAREN,
    ACTIONS(6834), 1,
      sym_operator_identifier,
    STATE(4937), 1,
      sym__annotated_type,
    STATE(4988), 1,
      sym__simple_type,
    STATE(5187), 1,
      sym_identifier,
    STATE(5221), 1,
      sym__soft_identifier,
    STATE(7789), 1,
      sym_annotated_type,
    STATE(10385), 1,
      sym__non_null_literal,
    STATE(10617), 1,
      sym_literal_type,
    STATE(13535), 1,
      sym__infix_type_choice,
    STATE(13762), 1,
      sym__type,
    STATE(13995), 1,
      sym_template_body,
    STATE(16015), 1,
      sym_type_parameters,
    STATE(16021), 1,
      sym_parameter_types,
    STATE(18836), 1,
      sym_stable_identifier,
    ACTIONS(4624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3633), 2,
      sym_comment,
      sym_block_comment,
    STATE(9461), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10506), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13882), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4612), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5771), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139277] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(89), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5418), 1,
      anon_sym_LPAREN,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    ACTIONS(6328), 1,
      anon_sym_LBRACK,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(8460), 1,
      sym__annotated_type,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11227), 1,
      sym__non_null_literal,
    STATE(11245), 1,
      sym_literal_type,
    STATE(11463), 1,
      sym__type,
    STATE(13379), 1,
      sym__infix_type_choice,
    STATE(16606), 1,
      sym_type_parameters,
    STATE(16612), 1,
      sym_parameter_types,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(91), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(93), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(105), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3634), 2,
      sym_comment,
      sym_block_comment,
    STATE(10368), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10554), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139402] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16662), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3635), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139527] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4600), 1,
      sym__alpha_identifier,
    ACTIONS(4602), 1,
      anon_sym_COLON,
    ACTIONS(4604), 1,
      anon_sym_LBRACE,
    ACTIONS(4606), 1,
      anon_sym__,
    ACTIONS(4610), 1,
      anon_sym_LBRACK,
    ACTIONS(4618), 1,
      sym__backquoted_id,
    ACTIONS(4622), 1,
      sym_integer_literal,
    ACTIONS(6832), 1,
      anon_sym_LPAREN,
    ACTIONS(6834), 1,
      sym_operator_identifier,
    STATE(4937), 1,
      sym__annotated_type,
    STATE(4988), 1,
      sym__simple_type,
    STATE(5187), 1,
      sym_identifier,
    STATE(5221), 1,
      sym__soft_identifier,
    STATE(7789), 1,
      sym_annotated_type,
    STATE(10385), 1,
      sym__non_null_literal,
    STATE(10617), 1,
      sym_literal_type,
    STATE(13535), 1,
      sym__infix_type_choice,
    STATE(13764), 1,
      sym__type,
    STATE(13995), 1,
      sym_template_body,
    STATE(16015), 1,
      sym_type_parameters,
    STATE(16021), 1,
      sym_parameter_types,
    STATE(18836), 1,
      sym_stable_identifier,
    ACTIONS(4624), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4626), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4628), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3636), 2,
      sym_comment,
      sym_block_comment,
    STATE(9461), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10506), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13882), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4612), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5771), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139652] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1245), 1,
      sym_integer_literal,
    ACTIONS(6552), 1,
      anon_sym_COLON,
    ACTIONS(6554), 1,
      anon_sym_LBRACE,
    ACTIONS(6836), 1,
      sym__alpha_identifier,
    ACTIONS(6838), 1,
      anon_sym__,
    ACTIONS(6840), 1,
      anon_sym_LBRACK,
    ACTIONS(6844), 1,
      anon_sym_LPAREN,
    ACTIONS(6846), 1,
      sym__backquoted_id,
    ACTIONS(6848), 1,
      sym_operator_identifier,
    STATE(4901), 1,
      sym__simple_type,
    STATE(4922), 1,
      sym__annotated_type,
    STATE(5207), 1,
      sym__soft_identifier,
    STATE(5271), 1,
      sym_identifier,
    STATE(7549), 1,
      sym_annotated_type,
    STATE(10437), 1,
      sym_literal_type,
    STATE(10573), 1,
      sym__non_null_literal,
    STATE(12525), 1,
      sym__type,
    STATE(12633), 1,
      sym_template_body,
    STATE(13490), 1,
      sym__infix_type_choice,
    STATE(16456), 1,
      sym_type_parameters,
    STATE(16457), 1,
      sym_parameter_types,
    STATE(18647), 1,
      sym_stable_identifier,
    ACTIONS(1247), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1249), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1253), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3637), 2,
      sym_comment,
      sym_block_comment,
    STATE(6866), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7102), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9814), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12855), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6842), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5774), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139777] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(89), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5418), 1,
      anon_sym_LPAREN,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    ACTIONS(6328), 1,
      anon_sym_LBRACK,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(8460), 1,
      sym__annotated_type,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11227), 1,
      sym__non_null_literal,
    STATE(11245), 1,
      sym_literal_type,
    STATE(11464), 1,
      sym__type,
    STATE(13379), 1,
      sym__infix_type_choice,
    STATE(16606), 1,
      sym_type_parameters,
    STATE(16612), 1,
      sym_parameter_types,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(91), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(93), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(105), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3638), 2,
      sym_comment,
      sym_block_comment,
    STATE(10368), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10554), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139902] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(167), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(5480), 1,
      anon_sym_LBRACK,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(7025), 1,
      sym__annotated_type,
    STATE(8788), 1,
      sym__non_null_literal,
    STATE(8790), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(13402), 1,
      sym__infix_type_choice,
    STATE(14968), 1,
      sym__type,
    STATE(16474), 1,
      sym_type_parameters,
    STATE(16475), 1,
      sym_parameter_types,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(169), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(171), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3639), 2,
      sym_comment,
      sym_block_comment,
    STATE(6796), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7234), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140027] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6478), 1,
      anon_sym_LBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(12399), 1,
      sym__type,
    STATE(13392), 1,
      sym__infix_type_choice,
    STATE(16476), 1,
      sym_type_parameters,
    STATE(16477), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3640), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140152] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1209), 1,
      sym_integer_literal,
    ACTIONS(6850), 1,
      sym__alpha_identifier,
    ACTIONS(6852), 1,
      anon_sym_COLON,
    ACTIONS(6854), 1,
      anon_sym_LBRACE,
    ACTIONS(6856), 1,
      anon_sym__,
    ACTIONS(6858), 1,
      anon_sym_LBRACK,
    ACTIONS(6862), 1,
      anon_sym_LPAREN,
    ACTIONS(6864), 1,
      sym__backquoted_id,
    ACTIONS(6866), 1,
      sym_operator_identifier,
    STATE(5082), 1,
      sym__simple_type,
    STATE(5297), 1,
      sym__annotated_type,
    STATE(5498), 1,
      sym__soft_identifier,
    STATE(5703), 1,
      sym_identifier,
    STATE(8349), 1,
      sym_annotated_type,
    STATE(10795), 1,
      sym__non_null_literal,
    STATE(10808), 1,
      sym_literal_type,
    STATE(13536), 1,
      sym__infix_type_choice,
    STATE(13878), 1,
      sym_template_body,
    STATE(13974), 1,
      sym__type,
    STATE(16371), 1,
      sym_type_parameters,
    STATE(16372), 1,
      sym_parameter_types,
    STATE(18848), 1,
      sym_stable_identifier,
    ACTIONS(1211), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1213), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1217), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3641), 2,
      sym_comment,
      sym_block_comment,
    STATE(8013), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8496), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10098), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13843), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5978), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140277] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(8477), 1,
      sym__type,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3642), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140402] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16684), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3643), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140527] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1245), 1,
      sym_integer_literal,
    ACTIONS(6552), 1,
      anon_sym_COLON,
    ACTIONS(6554), 1,
      anon_sym_LBRACE,
    ACTIONS(6836), 1,
      sym__alpha_identifier,
    ACTIONS(6838), 1,
      anon_sym__,
    ACTIONS(6840), 1,
      anon_sym_LBRACK,
    ACTIONS(6844), 1,
      anon_sym_LPAREN,
    ACTIONS(6846), 1,
      sym__backquoted_id,
    ACTIONS(6848), 1,
      sym_operator_identifier,
    STATE(4901), 1,
      sym__simple_type,
    STATE(4922), 1,
      sym__annotated_type,
    STATE(5207), 1,
      sym__soft_identifier,
    STATE(5271), 1,
      sym_identifier,
    STATE(7549), 1,
      sym_annotated_type,
    STATE(10437), 1,
      sym_literal_type,
    STATE(10573), 1,
      sym__non_null_literal,
    STATE(12529), 1,
      sym__type,
    STATE(12633), 1,
      sym_template_body,
    STATE(13490), 1,
      sym__infix_type_choice,
    STATE(16456), 1,
      sym_type_parameters,
    STATE(16457), 1,
      sym_parameter_types,
    STATE(18647), 1,
      sym_stable_identifier,
    ACTIONS(1247), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1249), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1253), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3644), 2,
      sym_comment,
      sym_block_comment,
    STATE(6866), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7102), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9814), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12855), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6842), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5774), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140652] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1245), 1,
      sym_integer_literal,
    ACTIONS(6552), 1,
      anon_sym_COLON,
    ACTIONS(6554), 1,
      anon_sym_LBRACE,
    ACTIONS(6836), 1,
      sym__alpha_identifier,
    ACTIONS(6838), 1,
      anon_sym__,
    ACTIONS(6840), 1,
      anon_sym_LBRACK,
    ACTIONS(6844), 1,
      anon_sym_LPAREN,
    ACTIONS(6846), 1,
      sym__backquoted_id,
    ACTIONS(6848), 1,
      sym_operator_identifier,
    STATE(4901), 1,
      sym__simple_type,
    STATE(4922), 1,
      sym__annotated_type,
    STATE(5207), 1,
      sym__soft_identifier,
    STATE(5271), 1,
      sym_identifier,
    STATE(7549), 1,
      sym_annotated_type,
    STATE(10437), 1,
      sym_literal_type,
    STATE(10573), 1,
      sym__non_null_literal,
    STATE(12530), 1,
      sym__type,
    STATE(12633), 1,
      sym_template_body,
    STATE(13490), 1,
      sym__infix_type_choice,
    STATE(16456), 1,
      sym_type_parameters,
    STATE(16457), 1,
      sym_parameter_types,
    STATE(18647), 1,
      sym_stable_identifier,
    ACTIONS(1247), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1249), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1253), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3645), 2,
      sym_comment,
      sym_block_comment,
    STATE(6866), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7102), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9814), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12855), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6842), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5774), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140777] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1851), 1,
      sym_integer_literal,
    ACTIONS(6330), 1,
      sym__alpha_identifier,
    ACTIONS(6332), 1,
      anon_sym_COLON,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    ACTIONS(6336), 1,
      anon_sym__,
    ACTIONS(6338), 1,
      anon_sym_LBRACK,
    ACTIONS(6342), 1,
      anon_sym_LPAREN,
    ACTIONS(6344), 1,
      sym__backquoted_id,
    ACTIONS(6346), 1,
      sym_operator_identifier,
    STATE(5473), 1,
      sym__simple_type,
    STATE(5789), 1,
      sym__annotated_type,
    STATE(6086), 1,
      sym__soft_identifier,
    STATE(6110), 1,
      sym_identifier,
    STATE(9362), 1,
      sym_annotated_type,
    STATE(11148), 1,
      sym__non_null_literal,
    STATE(11226), 1,
      sym_literal_type,
    STATE(13457), 1,
      sym__infix_type_choice,
    STATE(14223), 1,
      sym_template_body,
    STATE(14596), 1,
      sym__type,
    STATE(16351), 1,
      sym_type_parameters,
    STATE(16352), 1,
      sym_parameter_types,
    STATE(18436), 1,
      sym_stable_identifier,
    ACTIONS(1853), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1855), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1859), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3646), 2,
      sym_comment,
      sym_block_comment,
    STATE(8856), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9074), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10687), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14100), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6340), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6347), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140902] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6478), 1,
      anon_sym_LBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(12471), 1,
      sym__type,
    STATE(13392), 1,
      sym__infix_type_choice,
    STATE(16476), 1,
      sym_type_parameters,
    STATE(16477), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3647), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141027] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6478), 1,
      anon_sym_LBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(12473), 1,
      sym__type,
    STATE(13392), 1,
      sym__infix_type_choice,
    STATE(16476), 1,
      sym_type_parameters,
    STATE(16477), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3648), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141152] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1209), 1,
      sym_integer_literal,
    ACTIONS(6850), 1,
      sym__alpha_identifier,
    ACTIONS(6852), 1,
      anon_sym_COLON,
    ACTIONS(6854), 1,
      anon_sym_LBRACE,
    ACTIONS(6856), 1,
      anon_sym__,
    ACTIONS(6858), 1,
      anon_sym_LBRACK,
    ACTIONS(6862), 1,
      anon_sym_LPAREN,
    ACTIONS(6864), 1,
      sym__backquoted_id,
    ACTIONS(6866), 1,
      sym_operator_identifier,
    STATE(5082), 1,
      sym__simple_type,
    STATE(5297), 1,
      sym__annotated_type,
    STATE(5498), 1,
      sym__soft_identifier,
    STATE(5703), 1,
      sym_identifier,
    STATE(8349), 1,
      sym_annotated_type,
    STATE(10795), 1,
      sym__non_null_literal,
    STATE(10808), 1,
      sym_literal_type,
    STATE(13536), 1,
      sym__infix_type_choice,
    STATE(13878), 1,
      sym_template_body,
    STATE(13908), 1,
      sym__type,
    STATE(16371), 1,
      sym_type_parameters,
    STATE(16372), 1,
      sym_parameter_types,
    STATE(18848), 1,
      sym_stable_identifier,
    ACTIONS(1211), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1213), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1217), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3649), 2,
      sym_comment,
      sym_block_comment,
    STATE(8013), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8496), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10098), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13843), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5978), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141277] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6478), 1,
      anon_sym_LBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(12474), 1,
      sym__type,
    STATE(13392), 1,
      sym__infix_type_choice,
    STATE(16476), 1,
      sym_type_parameters,
    STATE(16477), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3650), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141402] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16707), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3651), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141527] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1245), 1,
      sym_integer_literal,
    ACTIONS(6552), 1,
      anon_sym_COLON,
    ACTIONS(6554), 1,
      anon_sym_LBRACE,
    ACTIONS(6836), 1,
      sym__alpha_identifier,
    ACTIONS(6838), 1,
      anon_sym__,
    ACTIONS(6840), 1,
      anon_sym_LBRACK,
    ACTIONS(6844), 1,
      anon_sym_LPAREN,
    ACTIONS(6846), 1,
      sym__backquoted_id,
    ACTIONS(6848), 1,
      sym_operator_identifier,
    STATE(4901), 1,
      sym__simple_type,
    STATE(4922), 1,
      sym__annotated_type,
    STATE(5207), 1,
      sym__soft_identifier,
    STATE(5271), 1,
      sym_identifier,
    STATE(7549), 1,
      sym_annotated_type,
    STATE(10437), 1,
      sym_literal_type,
    STATE(10573), 1,
      sym__non_null_literal,
    STATE(12531), 1,
      sym__type,
    STATE(12633), 1,
      sym_template_body,
    STATE(13490), 1,
      sym__infix_type_choice,
    STATE(16456), 1,
      sym_type_parameters,
    STATE(16457), 1,
      sym_parameter_types,
    STATE(18647), 1,
      sym_stable_identifier,
    ACTIONS(1247), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1249), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1253), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3652), 2,
      sym_comment,
      sym_block_comment,
    STATE(6866), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7102), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9814), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12855), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6842), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5774), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141652] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1209), 1,
      sym_integer_literal,
    ACTIONS(6850), 1,
      sym__alpha_identifier,
    ACTIONS(6852), 1,
      anon_sym_COLON,
    ACTIONS(6854), 1,
      anon_sym_LBRACE,
    ACTIONS(6856), 1,
      anon_sym__,
    ACTIONS(6858), 1,
      anon_sym_LBRACK,
    ACTIONS(6862), 1,
      anon_sym_LPAREN,
    ACTIONS(6864), 1,
      sym__backquoted_id,
    ACTIONS(6866), 1,
      sym_operator_identifier,
    STATE(5082), 1,
      sym__simple_type,
    STATE(5297), 1,
      sym__annotated_type,
    STATE(5498), 1,
      sym__soft_identifier,
    STATE(5703), 1,
      sym_identifier,
    STATE(8349), 1,
      sym_annotated_type,
    STATE(10795), 1,
      sym__non_null_literal,
    STATE(10808), 1,
      sym_literal_type,
    STATE(13536), 1,
      sym__infix_type_choice,
    STATE(13878), 1,
      sym_template_body,
    STATE(13911), 1,
      sym__type,
    STATE(16371), 1,
      sym_type_parameters,
    STATE(16372), 1,
      sym_parameter_types,
    STATE(18848), 1,
      sym_stable_identifier,
    ACTIONS(1211), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1213), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1217), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3653), 2,
      sym_comment,
      sym_block_comment,
    STATE(8013), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8496), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10098), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13843), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5978), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141777] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1209), 1,
      sym_integer_literal,
    ACTIONS(6850), 1,
      sym__alpha_identifier,
    ACTIONS(6852), 1,
      anon_sym_COLON,
    ACTIONS(6854), 1,
      anon_sym_LBRACE,
    ACTIONS(6856), 1,
      anon_sym__,
    ACTIONS(6858), 1,
      anon_sym_LBRACK,
    ACTIONS(6862), 1,
      anon_sym_LPAREN,
    ACTIONS(6864), 1,
      sym__backquoted_id,
    ACTIONS(6866), 1,
      sym_operator_identifier,
    STATE(5082), 1,
      sym__simple_type,
    STATE(5297), 1,
      sym__annotated_type,
    STATE(5498), 1,
      sym__soft_identifier,
    STATE(5703), 1,
      sym_identifier,
    STATE(8349), 1,
      sym_annotated_type,
    STATE(10795), 1,
      sym__non_null_literal,
    STATE(10808), 1,
      sym_literal_type,
    STATE(13536), 1,
      sym__infix_type_choice,
    STATE(13878), 1,
      sym_template_body,
    STATE(13913), 1,
      sym__type,
    STATE(16371), 1,
      sym_type_parameters,
    STATE(16372), 1,
      sym_parameter_types,
    STATE(18848), 1,
      sym_stable_identifier,
    ACTIONS(1211), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1213), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1217), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3654), 2,
      sym_comment,
      sym_block_comment,
    STATE(8013), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8496), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10098), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13843), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5978), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141902] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1945), 1,
      sym_integer_literal,
    ACTIONS(6660), 1,
      sym__alpha_identifier,
    ACTIONS(6662), 1,
      anon_sym_COLON,
    ACTIONS(6664), 1,
      anon_sym_LBRACE,
    ACTIONS(6666), 1,
      anon_sym__,
    ACTIONS(6668), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_LPAREN,
    ACTIONS(6674), 1,
      sym__backquoted_id,
    ACTIONS(6676), 1,
      sym_operator_identifier,
    STATE(5932), 1,
      sym__annotated_type,
    STATE(6172), 1,
      sym__simple_type,
    STATE(6474), 1,
      sym_identifier,
    STATE(6547), 1,
      sym__soft_identifier,
    STATE(9841), 1,
      sym_annotated_type,
    STATE(11401), 1,
      sym__non_null_literal,
    STATE(11578), 1,
      sym_literal_type,
    STATE(13523), 1,
      sym__infix_type_choice,
    STATE(14686), 1,
      sym_template_body,
    STATE(14838), 1,
      sym__type,
    STATE(16367), 1,
      sym_type_parameters,
    STATE(16368), 1,
      sym_parameter_types,
    STATE(18782), 1,
      sym_stable_identifier,
    ACTIONS(1947), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1949), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1961), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3655), 2,
      sym_comment,
      sym_block_comment,
    STATE(9729), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9787), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10912), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14415), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6670), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7834), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142027] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1209), 1,
      sym_integer_literal,
    ACTIONS(6850), 1,
      sym__alpha_identifier,
    ACTIONS(6852), 1,
      anon_sym_COLON,
    ACTIONS(6854), 1,
      anon_sym_LBRACE,
    ACTIONS(6856), 1,
      anon_sym__,
    ACTIONS(6858), 1,
      anon_sym_LBRACK,
    ACTIONS(6862), 1,
      anon_sym_LPAREN,
    ACTIONS(6864), 1,
      sym__backquoted_id,
    ACTIONS(6866), 1,
      sym_operator_identifier,
    STATE(5082), 1,
      sym__simple_type,
    STATE(5297), 1,
      sym__annotated_type,
    STATE(5498), 1,
      sym__soft_identifier,
    STATE(5703), 1,
      sym_identifier,
    STATE(8349), 1,
      sym_annotated_type,
    STATE(10795), 1,
      sym__non_null_literal,
    STATE(10808), 1,
      sym_literal_type,
    STATE(13536), 1,
      sym__infix_type_choice,
    STATE(13878), 1,
      sym_template_body,
    STATE(13915), 1,
      sym__type,
    STATE(16371), 1,
      sym_type_parameters,
    STATE(16372), 1,
      sym_parameter_types,
    STATE(18848), 1,
      sym_stable_identifier,
    ACTIONS(1211), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1213), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1217), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3656), 2,
      sym_comment,
      sym_block_comment,
    STATE(8013), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8496), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10098), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13843), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5978), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142152] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(6738), 1,
      sym__alpha_identifier,
    ACTIONS(6740), 1,
      anon_sym__,
    ACTIONS(6742), 1,
      anon_sym_LBRACK,
    ACTIONS(6746), 1,
      anon_sym_LPAREN,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(6750), 1,
      sym_operator_identifier,
    ACTIONS(6752), 1,
      sym_integer_literal,
    STATE(6406), 1,
      sym__simple_type,
    STATE(7187), 1,
      sym__annotated_type,
    STATE(7627), 1,
      sym_identifier,
    STATE(7645), 1,
      sym__soft_identifier,
    STATE(10603), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11662), 1,
      sym__non_null_literal,
    STATE(11663), 1,
      sym_literal_type,
    STATE(13371), 1,
      sym__infix_type_choice,
    STATE(14853), 1,
      sym__type,
    STATE(16410), 1,
      sym_type_parameters,
    STATE(16411), 1,
      sym_parameter_types,
    STATE(17885), 1,
      sym_stable_identifier,
    ACTIONS(6754), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6756), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6758), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3657), 2,
      sym_comment,
      sym_block_comment,
    STATE(11119), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11696), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8393), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142277] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16720), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3658), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142402] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6634), 1,
      sym__alpha_identifier,
    ACTIONS(6636), 1,
      anon_sym_COLON,
    ACTIONS(6638), 1,
      anon_sym_LBRACE,
    ACTIONS(6640), 1,
      anon_sym__,
    ACTIONS(6642), 1,
      anon_sym_LBRACK,
    ACTIONS(6646), 1,
      anon_sym_LPAREN,
    ACTIONS(6648), 1,
      sym__backquoted_id,
    ACTIONS(6650), 1,
      sym_operator_identifier,
    ACTIONS(6652), 1,
      sym_integer_literal,
    STATE(5952), 1,
      sym__simple_type,
    STATE(6655), 1,
      sym__soft_identifier,
    STATE(6914), 1,
      sym_identifier,
    STATE(9189), 1,
      sym__annotated_type,
    STATE(9996), 1,
      sym_annotated_type,
    STATE(11950), 1,
      sym_literal_type,
    STATE(12162), 1,
      sym__non_null_literal,
    STATE(12195), 1,
      sym__type,
    STATE(12439), 1,
      sym_template_body,
    STATE(13340), 1,
      sym__infix_type_choice,
    STATE(16804), 1,
      sym_type_parameters,
    STATE(16813), 1,
      sym_parameter_types,
    STATE(19535), 1,
      sym_stable_identifier,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3659), 2,
      sym_comment,
      sym_block_comment,
    STATE(11847), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12433), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12265), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6644), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7691), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142527] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1761), 1,
      sym_integer_literal,
    ACTIONS(6868), 1,
      sym__alpha_identifier,
    ACTIONS(6870), 1,
      anon_sym_COLON,
    ACTIONS(6872), 1,
      anon_sym_LBRACE,
    ACTIONS(6874), 1,
      anon_sym__,
    ACTIONS(6876), 1,
      anon_sym_LBRACK,
    ACTIONS(6880), 1,
      anon_sym_LPAREN,
    ACTIONS(6882), 1,
      sym__backquoted_id,
    ACTIONS(6884), 1,
      sym_operator_identifier,
    STATE(5839), 1,
      sym__simple_type,
    STATE(6147), 1,
      sym__annotated_type,
    STATE(6569), 1,
      sym__soft_identifier,
    STATE(6721), 1,
      sym_identifier,
    STATE(9577), 1,
      sym_annotated_type,
    STATE(11354), 1,
      sym_literal_type,
    STATE(11492), 1,
      sym__non_null_literal,
    STATE(13538), 1,
      sym__infix_type_choice,
    STATE(14563), 1,
      sym_template_body,
    STATE(14672), 1,
      sym__type,
    STATE(16373), 1,
      sym_type_parameters,
    STATE(16374), 1,
      sym_parameter_types,
    STATE(18860), 1,
      sym_stable_identifier,
    ACTIONS(1763), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1765), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1769), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3660), 2,
      sym_comment,
      sym_block_comment,
    STATE(9495), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9854), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11033), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14606), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6878), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7931), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142652] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(575), 1,
      sym_integer_literal,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    ACTIONS(6464), 1,
      anon_sym_COLON,
    ACTIONS(6466), 1,
      anon_sym_LBRACE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(6794), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(10380), 1,
      sym_literal_type,
    STATE(10428), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13462), 1,
      sym__infix_type_choice,
    STATE(15684), 1,
      sym__type,
    STATE(16353), 1,
      sym_type_parameters,
    STATE(16354), 1,
      sym_parameter_types,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(577), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(579), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(589), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3661), 2,
      sym_comment,
      sym_block_comment,
    STATE(9563), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9632), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142777] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(575), 1,
      sym_integer_literal,
    ACTIONS(4502), 1,
      anon_sym_COLON,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5858), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(6341), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(10380), 1,
      sym_literal_type,
    STATE(10428), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13113), 1,
      sym__type,
    STATE(13467), 1,
      sym__infix_type_choice,
    STATE(16416), 1,
      sym_type_parameters,
    STATE(16417), 1,
      sym_parameter_types,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(577), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(579), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(589), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3662), 2,
      sym_comment,
      sym_block_comment,
    STATE(9594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9632), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12935), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142902] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(575), 1,
      sym_integer_literal,
    ACTIONS(4502), 1,
      anon_sym_COLON,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5858), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(6341), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(10380), 1,
      sym_literal_type,
    STATE(10428), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13114), 1,
      sym__type,
    STATE(13467), 1,
      sym__infix_type_choice,
    STATE(16416), 1,
      sym_type_parameters,
    STATE(16417), 1,
      sym_parameter_types,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(577), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(579), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(589), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3663), 2,
      sym_comment,
      sym_block_comment,
    STATE(9594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9632), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12935), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143027] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1761), 1,
      sym_integer_literal,
    ACTIONS(6868), 1,
      sym__alpha_identifier,
    ACTIONS(6870), 1,
      anon_sym_COLON,
    ACTIONS(6872), 1,
      anon_sym_LBRACE,
    ACTIONS(6874), 1,
      anon_sym__,
    ACTIONS(6876), 1,
      anon_sym_LBRACK,
    ACTIONS(6880), 1,
      anon_sym_LPAREN,
    ACTIONS(6882), 1,
      sym__backquoted_id,
    ACTIONS(6884), 1,
      sym_operator_identifier,
    STATE(5839), 1,
      sym__simple_type,
    STATE(6147), 1,
      sym__annotated_type,
    STATE(6569), 1,
      sym__soft_identifier,
    STATE(6721), 1,
      sym_identifier,
    STATE(9577), 1,
      sym_annotated_type,
    STATE(11354), 1,
      sym_literal_type,
    STATE(11492), 1,
      sym__non_null_literal,
    STATE(13538), 1,
      sym__infix_type_choice,
    STATE(14563), 1,
      sym_template_body,
    STATE(14660), 1,
      sym__type,
    STATE(16373), 1,
      sym_type_parameters,
    STATE(16374), 1,
      sym_parameter_types,
    STATE(18860), 1,
      sym_stable_identifier,
    ACTIONS(1763), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1765), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1769), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3664), 2,
      sym_comment,
      sym_block_comment,
    STATE(9495), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9854), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11033), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14606), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6878), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7931), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143152] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(575), 1,
      sym_integer_literal,
    ACTIONS(4502), 1,
      anon_sym_COLON,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5858), 1,
      anon_sym_LBRACK,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(6341), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(10380), 1,
      sym_literal_type,
    STATE(10428), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13116), 1,
      sym__type,
    STATE(13467), 1,
      sym__infix_type_choice,
    STATE(16416), 1,
      sym_type_parameters,
    STATE(16417), 1,
      sym_parameter_types,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(577), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(579), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(589), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3665), 2,
      sym_comment,
      sym_block_comment,
    STATE(9594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9632), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12935), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143277] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16736), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3666), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143402] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(167), 1,
      sym_integer_literal,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    ACTIONS(6402), 1,
      anon_sym_COLON,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(6498), 1,
      anon_sym_LBRACK,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(5060), 1,
      sym__annotated_type,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(8788), 1,
      sym__non_null_literal,
    STATE(8790), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(13398), 1,
      sym__infix_type_choice,
    STATE(15412), 1,
      sym__type,
    STATE(16448), 1,
      sym_type_parameters,
    STATE(16449), 1,
      sym_parameter_types,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(169), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(171), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3667), 2,
      sym_comment,
      sym_block_comment,
    STATE(6796), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7234), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143527] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1761), 1,
      sym_integer_literal,
    ACTIONS(6868), 1,
      sym__alpha_identifier,
    ACTIONS(6870), 1,
      anon_sym_COLON,
    ACTIONS(6872), 1,
      anon_sym_LBRACE,
    ACTIONS(6874), 1,
      anon_sym__,
    ACTIONS(6876), 1,
      anon_sym_LBRACK,
    ACTIONS(6880), 1,
      anon_sym_LPAREN,
    ACTIONS(6882), 1,
      sym__backquoted_id,
    ACTIONS(6884), 1,
      sym_operator_identifier,
    STATE(5839), 1,
      sym__simple_type,
    STATE(6147), 1,
      sym__annotated_type,
    STATE(6569), 1,
      sym__soft_identifier,
    STATE(6721), 1,
      sym_identifier,
    STATE(9577), 1,
      sym_annotated_type,
    STATE(11354), 1,
      sym_literal_type,
    STATE(11492), 1,
      sym__non_null_literal,
    STATE(13538), 1,
      sym__infix_type_choice,
    STATE(14563), 1,
      sym_template_body,
    STATE(14668), 1,
      sym__type,
    STATE(16373), 1,
      sym_type_parameters,
    STATE(16374), 1,
      sym_parameter_types,
    STATE(18860), 1,
      sym_stable_identifier,
    ACTIONS(1763), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1765), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1769), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3668), 2,
      sym_comment,
      sym_block_comment,
    STATE(9495), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9854), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11033), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14606), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6878), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7931), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143652] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1761), 1,
      sym_integer_literal,
    ACTIONS(6868), 1,
      sym__alpha_identifier,
    ACTIONS(6870), 1,
      anon_sym_COLON,
    ACTIONS(6872), 1,
      anon_sym_LBRACE,
    ACTIONS(6874), 1,
      anon_sym__,
    ACTIONS(6876), 1,
      anon_sym_LBRACK,
    ACTIONS(6880), 1,
      anon_sym_LPAREN,
    ACTIONS(6882), 1,
      sym__backquoted_id,
    ACTIONS(6884), 1,
      sym_operator_identifier,
    STATE(5839), 1,
      sym__simple_type,
    STATE(6147), 1,
      sym__annotated_type,
    STATE(6569), 1,
      sym__soft_identifier,
    STATE(6721), 1,
      sym_identifier,
    STATE(9577), 1,
      sym_annotated_type,
    STATE(11354), 1,
      sym_literal_type,
    STATE(11492), 1,
      sym__non_null_literal,
    STATE(13538), 1,
      sym__infix_type_choice,
    STATE(14563), 1,
      sym_template_body,
    STATE(14669), 1,
      sym__type,
    STATE(16373), 1,
      sym_type_parameters,
    STATE(16374), 1,
      sym_parameter_types,
    STATE(18860), 1,
      sym_stable_identifier,
    ACTIONS(1763), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1765), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1769), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3669), 2,
      sym_comment,
      sym_block_comment,
    STATE(9495), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9854), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11033), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14606), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6878), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7931), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143777] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1761), 1,
      sym_integer_literal,
    ACTIONS(6868), 1,
      sym__alpha_identifier,
    ACTIONS(6870), 1,
      anon_sym_COLON,
    ACTIONS(6872), 1,
      anon_sym_LBRACE,
    ACTIONS(6874), 1,
      anon_sym__,
    ACTIONS(6876), 1,
      anon_sym_LBRACK,
    ACTIONS(6880), 1,
      anon_sym_LPAREN,
    ACTIONS(6882), 1,
      sym__backquoted_id,
    ACTIONS(6884), 1,
      sym_operator_identifier,
    STATE(5839), 1,
      sym__simple_type,
    STATE(6147), 1,
      sym__annotated_type,
    STATE(6569), 1,
      sym__soft_identifier,
    STATE(6721), 1,
      sym_identifier,
    STATE(9577), 1,
      sym_annotated_type,
    STATE(11354), 1,
      sym_literal_type,
    STATE(11492), 1,
      sym__non_null_literal,
    STATE(13538), 1,
      sym__infix_type_choice,
    STATE(14563), 1,
      sym_template_body,
    STATE(14671), 1,
      sym__type,
    STATE(16373), 1,
      sym_type_parameters,
    STATE(16374), 1,
      sym_parameter_types,
    STATE(18860), 1,
      sym_stable_identifier,
    ACTIONS(1763), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1765), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1769), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3670), 2,
      sym_comment,
      sym_block_comment,
    STATE(9495), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9854), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11033), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14606), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6878), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7931), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143902] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4260), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 10,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_DQUOTE,
      anon_sym_yield,
    ACTIONS(4256), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [143973] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16754), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3672), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144098] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4532), 1,
      anon_sym_COLON,
    ACTIONS(4534), 1,
      anon_sym_LBRACE,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym__,
    ACTIONS(4950), 1,
      anon_sym_LBRACK,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(4960), 1,
      sym_integer_literal,
    ACTIONS(6886), 1,
      anon_sym_LPAREN,
    ACTIONS(6888), 1,
      sym_operator_identifier,
    STATE(4653), 1,
      sym__simple_type,
    STATE(4676), 1,
      sym__annotated_type,
    STATE(4757), 1,
      sym__soft_identifier,
    STATE(4760), 1,
      sym_identifier,
    STATE(6258), 1,
      sym_annotated_type,
    STATE(9518), 1,
      sym__non_null_literal,
    STATE(9520), 1,
      sym_literal_type,
    STATE(12325), 1,
      sym__type,
    STATE(12478), 1,
      sym_template_body,
    STATE(13394), 1,
      sym__infix_type_choice,
    STATE(16349), 1,
      sym_type_parameters,
    STATE(16350), 1,
      sym_parameter_types,
    STATE(17983), 1,
      sym_stable_identifier,
    ACTIONS(4962), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4964), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4966), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3673), 2,
      sym_comment,
      sym_block_comment,
    STATE(8022), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9605), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12357), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4952), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4915), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144223] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1815), 1,
      sym_integer_literal,
    ACTIONS(6890), 1,
      sym__alpha_identifier,
    ACTIONS(6892), 1,
      anon_sym_COLON,
    ACTIONS(6894), 1,
      anon_sym_LBRACE,
    ACTIONS(6896), 1,
      anon_sym__,
    ACTIONS(6898), 1,
      anon_sym_LBRACK,
    ACTIONS(6902), 1,
      anon_sym_LPAREN,
    ACTIONS(6904), 1,
      sym__backquoted_id,
    ACTIONS(6906), 1,
      sym_operator_identifier,
    STATE(6477), 1,
      sym__simple_type,
    STATE(6620), 1,
      sym__annotated_type,
    STATE(7184), 1,
      sym__soft_identifier,
    STATE(7914), 1,
      sym_identifier,
    STATE(10126), 1,
      sym_annotated_type,
    STATE(11675), 1,
      sym_literal_type,
    STATE(11722), 1,
      sym__non_null_literal,
    STATE(12231), 1,
      sym__type,
    STATE(12329), 1,
      sym_template_body,
    STATE(13540), 1,
      sym__infix_type_choice,
    STATE(16424), 1,
      sym_type_parameters,
    STATE(16425), 1,
      sym_parameter_types,
    STATE(18871), 1,
      sym_stable_identifier,
    ACTIONS(1817), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1819), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1823), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3674), 2,
      sym_comment,
      sym_block_comment,
    STATE(6157), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10049), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11120), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12472), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8614), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144348] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4308), 1,
      anon_sym_COLON,
    ACTIONS(4310), 1,
      anon_sym_LBRACE,
    ACTIONS(4470), 1,
      sym__alpha_identifier,
    ACTIONS(4472), 1,
      anon_sym__,
    ACTIONS(4476), 1,
      anon_sym_LBRACK,
    ACTIONS(4482), 1,
      sym__backquoted_id,
    ACTIONS(4486), 1,
      sym_integer_literal,
    ACTIONS(6908), 1,
      anon_sym_LPAREN,
    ACTIONS(6910), 1,
      sym_operator_identifier,
    STATE(4732), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(4815), 1,
      sym__soft_identifier,
    STATE(4855), 1,
      sym_identifier,
    STATE(6415), 1,
      sym_annotated_type,
    STATE(10168), 1,
      sym_literal_type,
    STATE(10329), 1,
      sym__non_null_literal,
    STATE(12900), 1,
      sym__type,
    STATE(13098), 1,
      sym_template_body,
    STATE(13494), 1,
      sym__infix_type_choice,
    STATE(16363), 1,
      sym_type_parameters,
    STATE(16364), 1,
      sym_parameter_types,
    STATE(18654), 1,
      sym_stable_identifier,
    ACTIONS(4488), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4490), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4494), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3675), 2,
      sym_comment,
      sym_block_comment,
    STATE(9309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10020), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13083), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12836), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4478), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5015), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144473] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1815), 1,
      sym_integer_literal,
    ACTIONS(6890), 1,
      sym__alpha_identifier,
    ACTIONS(6892), 1,
      anon_sym_COLON,
    ACTIONS(6894), 1,
      anon_sym_LBRACE,
    ACTIONS(6896), 1,
      anon_sym__,
    ACTIONS(6898), 1,
      anon_sym_LBRACK,
    ACTIONS(6902), 1,
      anon_sym_LPAREN,
    ACTIONS(6904), 1,
      sym__backquoted_id,
    ACTIONS(6906), 1,
      sym_operator_identifier,
    STATE(6477), 1,
      sym__simple_type,
    STATE(6620), 1,
      sym__annotated_type,
    STATE(7184), 1,
      sym__soft_identifier,
    STATE(7914), 1,
      sym_identifier,
    STATE(10126), 1,
      sym_annotated_type,
    STATE(11675), 1,
      sym_literal_type,
    STATE(11722), 1,
      sym__non_null_literal,
    STATE(12259), 1,
      sym__type,
    STATE(12329), 1,
      sym_template_body,
    STATE(13540), 1,
      sym__infix_type_choice,
    STATE(16424), 1,
      sym_type_parameters,
    STATE(16425), 1,
      sym_parameter_types,
    STATE(18871), 1,
      sym_stable_identifier,
    ACTIONS(1817), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1819), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1823), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3676), 2,
      sym_comment,
      sym_block_comment,
    STATE(6157), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10049), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11120), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12472), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8614), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144598] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16774), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3677), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144723] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4338), 1,
      sym__alpha_identifier,
    ACTIONS(4340), 1,
      anon_sym_COLON,
    ACTIONS(4342), 1,
      anon_sym_LBRACE,
    ACTIONS(4344), 1,
      anon_sym__,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      sym__backquoted_id,
    ACTIONS(4360), 1,
      sym_integer_literal,
    ACTIONS(6474), 1,
      anon_sym_LPAREN,
    ACTIONS(6476), 1,
      sym_operator_identifier,
    STATE(5208), 1,
      sym__simple_type,
    STATE(5247), 1,
      sym__annotated_type,
    STATE(5377), 1,
      sym__soft_identifier,
    STATE(5681), 1,
      sym_identifier,
    STATE(8606), 1,
      sym_annotated_type,
    STATE(10766), 1,
      sym_literal_type,
    STATE(10892), 1,
      sym__non_null_literal,
    STATE(13426), 1,
      sym__infix_type_choice,
    STATE(14065), 1,
      sym__type,
    STATE(14223), 1,
      sym_template_body,
    STATE(15956), 1,
      sym_type_parameters,
    STATE(15970), 1,
      sym_parameter_types,
    STATE(18098), 1,
      sym_stable_identifier,
    ACTIONS(4362), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4368), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3678), 2,
      sym_comment,
      sym_block_comment,
    STATE(9965), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11102), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14322), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14100), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4350), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5873), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144848] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1815), 1,
      sym_integer_literal,
    ACTIONS(6890), 1,
      sym__alpha_identifier,
    ACTIONS(6892), 1,
      anon_sym_COLON,
    ACTIONS(6894), 1,
      anon_sym_LBRACE,
    ACTIONS(6896), 1,
      anon_sym__,
    ACTIONS(6898), 1,
      anon_sym_LBRACK,
    ACTIONS(6902), 1,
      anon_sym_LPAREN,
    ACTIONS(6904), 1,
      sym__backquoted_id,
    ACTIONS(6906), 1,
      sym_operator_identifier,
    STATE(6477), 1,
      sym__simple_type,
    STATE(6620), 1,
      sym__annotated_type,
    STATE(7184), 1,
      sym__soft_identifier,
    STATE(7914), 1,
      sym_identifier,
    STATE(10126), 1,
      sym_annotated_type,
    STATE(11675), 1,
      sym_literal_type,
    STATE(11722), 1,
      sym__non_null_literal,
    STATE(12329), 1,
      sym_template_body,
    STATE(12425), 1,
      sym__type,
    STATE(13540), 1,
      sym__infix_type_choice,
    STATE(16424), 1,
      sym_type_parameters,
    STATE(16425), 1,
      sym_parameter_types,
    STATE(18871), 1,
      sym_stable_identifier,
    ACTIONS(1817), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1819), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1823), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3679), 2,
      sym_comment,
      sym_block_comment,
    STATE(6157), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10049), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11120), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12472), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8614), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144973] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1815), 1,
      sym_integer_literal,
    ACTIONS(6890), 1,
      sym__alpha_identifier,
    ACTIONS(6892), 1,
      anon_sym_COLON,
    ACTIONS(6894), 1,
      anon_sym_LBRACE,
    ACTIONS(6896), 1,
      anon_sym__,
    ACTIONS(6898), 1,
      anon_sym_LBRACK,
    ACTIONS(6902), 1,
      anon_sym_LPAREN,
    ACTIONS(6904), 1,
      sym__backquoted_id,
    ACTIONS(6906), 1,
      sym_operator_identifier,
    STATE(6477), 1,
      sym__simple_type,
    STATE(6620), 1,
      sym__annotated_type,
    STATE(7184), 1,
      sym__soft_identifier,
    STATE(7914), 1,
      sym_identifier,
    STATE(10126), 1,
      sym_annotated_type,
    STATE(11675), 1,
      sym_literal_type,
    STATE(11722), 1,
      sym__non_null_literal,
    STATE(12329), 1,
      sym_template_body,
    STATE(12481), 1,
      sym__type,
    STATE(13540), 1,
      sym__infix_type_choice,
    STATE(16424), 1,
      sym_type_parameters,
    STATE(16425), 1,
      sym_parameter_types,
    STATE(18871), 1,
      sym_stable_identifier,
    ACTIONS(1817), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1819), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1823), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3680), 2,
      sym_comment,
      sym_block_comment,
    STATE(6157), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10049), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11120), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12472), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8614), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145098] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1815), 1,
      sym_integer_literal,
    ACTIONS(6890), 1,
      sym__alpha_identifier,
    ACTIONS(6892), 1,
      anon_sym_COLON,
    ACTIONS(6894), 1,
      anon_sym_LBRACE,
    ACTIONS(6896), 1,
      anon_sym__,
    ACTIONS(6898), 1,
      anon_sym_LBRACK,
    ACTIONS(6902), 1,
      anon_sym_LPAREN,
    ACTIONS(6904), 1,
      sym__backquoted_id,
    ACTIONS(6906), 1,
      sym_operator_identifier,
    STATE(6477), 1,
      sym__simple_type,
    STATE(6620), 1,
      sym__annotated_type,
    STATE(7184), 1,
      sym__soft_identifier,
    STATE(7914), 1,
      sym_identifier,
    STATE(10126), 1,
      sym_annotated_type,
    STATE(11675), 1,
      sym_literal_type,
    STATE(11722), 1,
      sym__non_null_literal,
    STATE(12171), 1,
      sym__type,
    STATE(12329), 1,
      sym_template_body,
    STATE(13540), 1,
      sym__infix_type_choice,
    STATE(16424), 1,
      sym_type_parameters,
    STATE(16425), 1,
      sym_parameter_types,
    STATE(18871), 1,
      sym_stable_identifier,
    ACTIONS(1817), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1819), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1823), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3681), 2,
      sym_comment,
      sym_block_comment,
    STATE(6157), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10049), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11120), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12472), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8614), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145223] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4500), 1,
      sym__alpha_identifier,
    ACTIONS(4502), 1,
      anon_sym_COLON,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    ACTIONS(4506), 1,
      anon_sym__,
    ACTIONS(4510), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      sym__backquoted_id,
    ACTIONS(4522), 1,
      sym_integer_literal,
    ACTIONS(6764), 1,
      anon_sym_LPAREN,
    ACTIONS(6766), 1,
      sym_operator_identifier,
    STATE(5927), 1,
      sym__simple_type,
    STATE(6214), 1,
      sym__annotated_type,
    STATE(6705), 1,
      sym_identifier,
    STATE(6913), 1,
      sym__soft_identifier,
    STATE(9528), 1,
      sym_annotated_type,
    STATE(11312), 1,
      sym_literal_type,
    STATE(11332), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13103), 1,
      sym__type,
    STATE(13428), 1,
      sym__infix_type_choice,
    STATE(16139), 1,
      sym_type_parameters,
    STATE(16148), 1,
      sym_parameter_types,
    STATE(18142), 1,
      sym_stable_identifier,
    ACTIONS(4524), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4526), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4528), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3682), 2,
      sym_comment,
      sym_block_comment,
    STATE(10887), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11469), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12935), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4512), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7249), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145348] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4532), 1,
      anon_sym_COLON,
    ACTIONS(4534), 1,
      anon_sym_LBRACE,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym__,
    ACTIONS(4950), 1,
      anon_sym_LBRACK,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(4960), 1,
      sym_integer_literal,
    ACTIONS(6886), 1,
      anon_sym_LPAREN,
    ACTIONS(6888), 1,
      sym_operator_identifier,
    STATE(4653), 1,
      sym__simple_type,
    STATE(4676), 1,
      sym__annotated_type,
    STATE(4757), 1,
      sym__soft_identifier,
    STATE(4760), 1,
      sym_identifier,
    STATE(6258), 1,
      sym_annotated_type,
    STATE(9518), 1,
      sym__non_null_literal,
    STATE(9520), 1,
      sym_literal_type,
    STATE(12351), 1,
      sym__type,
    STATE(12478), 1,
      sym_template_body,
    STATE(13394), 1,
      sym__infix_type_choice,
    STATE(16349), 1,
      sym_type_parameters,
    STATE(16350), 1,
      sym_parameter_types,
    STATE(17983), 1,
      sym_stable_identifier,
    ACTIONS(4962), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4964), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4966), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3683), 2,
      sym_comment,
      sym_block_comment,
    STATE(8022), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9605), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12357), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4952), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4915), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145473] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16793), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3684), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145598] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1137), 1,
      sym_integer_literal,
    ACTIONS(6892), 1,
      anon_sym_COLON,
    ACTIONS(6894), 1,
      anon_sym_LBRACE,
    ACTIONS(6912), 1,
      sym__alpha_identifier,
    ACTIONS(6914), 1,
      anon_sym__,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6920), 1,
      anon_sym_LPAREN,
    ACTIONS(6922), 1,
      sym__backquoted_id,
    ACTIONS(6924), 1,
      sym_operator_identifier,
    STATE(4700), 1,
      sym__simple_type,
    STATE(4774), 1,
      sym__annotated_type,
    STATE(4828), 1,
      sym__soft_identifier,
    STATE(4972), 1,
      sym_identifier,
    STATE(6993), 1,
      sym_annotated_type,
    STATE(10263), 1,
      sym__non_null_literal,
    STATE(10343), 1,
      sym_literal_type,
    STATE(12231), 1,
      sym__type,
    STATE(12329), 1,
      sym_template_body,
    STATE(13543), 1,
      sym__infix_type_choice,
    STATE(16462), 1,
      sym_type_parameters,
    STATE(16463), 1,
      sym_parameter_types,
    STATE(18883), 1,
      sym_stable_identifier,
    ACTIONS(1139), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1141), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1145), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3685), 2,
      sym_comment,
      sym_block_comment,
    STATE(6157), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6412), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8842), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12472), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6918), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5173), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145723] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(6514), 1,
      sym__alpha_identifier,
    ACTIONS(6516), 1,
      anon_sym__,
    ACTIONS(6518), 1,
      anon_sym_LBRACK,
    ACTIONS(6522), 1,
      anon_sym_LPAREN,
    ACTIONS(6524), 1,
      sym__backquoted_id,
    ACTIONS(6526), 1,
      sym_operator_identifier,
    ACTIONS(6528), 1,
      sym_integer_literal,
    STATE(8360), 1,
      sym__simple_type,
    STATE(8944), 1,
      sym__annotated_type,
    STATE(9171), 1,
      sym_identifier,
    STATE(9211), 1,
      sym__soft_identifier,
    STATE(11182), 1,
      sym_annotated_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(12328), 1,
      sym__non_null_literal,
    STATE(12344), 1,
      sym_literal_type,
    STATE(13357), 1,
      sym__infix_type_choice,
    STATE(15550), 1,
      sym__type,
    STATE(16412), 1,
      sym_type_parameters,
    STATE(16413), 1,
      sym_parameter_types,
    STATE(18813), 1,
      sym_stable_identifier,
    ACTIONS(6530), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6532), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6534), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3686), 2,
      sym_comment,
      sym_block_comment,
    STATE(11744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12338), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6520), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9592), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145848] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4532), 1,
      anon_sym_COLON,
    ACTIONS(4534), 1,
      anon_sym_LBRACE,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym__,
    ACTIONS(4950), 1,
      anon_sym_LBRACK,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(4960), 1,
      sym_integer_literal,
    ACTIONS(6886), 1,
      anon_sym_LPAREN,
    ACTIONS(6888), 1,
      sym_operator_identifier,
    STATE(4653), 1,
      sym__simple_type,
    STATE(4676), 1,
      sym__annotated_type,
    STATE(4757), 1,
      sym__soft_identifier,
    STATE(4760), 1,
      sym_identifier,
    STATE(6258), 1,
      sym_annotated_type,
    STATE(9518), 1,
      sym__non_null_literal,
    STATE(9520), 1,
      sym_literal_type,
    STATE(12384), 1,
      sym__type,
    STATE(12478), 1,
      sym_template_body,
    STATE(13394), 1,
      sym__infix_type_choice,
    STATE(16349), 1,
      sym_type_parameters,
    STATE(16350), 1,
      sym_parameter_types,
    STATE(17983), 1,
      sym_stable_identifier,
    ACTIONS(4962), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4964), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4966), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3687), 2,
      sym_comment,
      sym_block_comment,
    STATE(8022), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9605), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12357), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4952), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4915), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145973] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4308), 1,
      anon_sym_COLON,
    ACTIONS(4310), 1,
      anon_sym_LBRACE,
    ACTIONS(4470), 1,
      sym__alpha_identifier,
    ACTIONS(4472), 1,
      anon_sym__,
    ACTIONS(4476), 1,
      anon_sym_LBRACK,
    ACTIONS(4482), 1,
      sym__backquoted_id,
    ACTIONS(4486), 1,
      sym_integer_literal,
    ACTIONS(6908), 1,
      anon_sym_LPAREN,
    ACTIONS(6910), 1,
      sym_operator_identifier,
    STATE(4732), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(4815), 1,
      sym__soft_identifier,
    STATE(4855), 1,
      sym_identifier,
    STATE(6415), 1,
      sym_annotated_type,
    STATE(10168), 1,
      sym_literal_type,
    STATE(10329), 1,
      sym__non_null_literal,
    STATE(12914), 1,
      sym__type,
    STATE(13098), 1,
      sym_template_body,
    STATE(13494), 1,
      sym__infix_type_choice,
    STATE(16363), 1,
      sym_type_parameters,
    STATE(16364), 1,
      sym_parameter_types,
    STATE(18654), 1,
      sym_stable_identifier,
    ACTIONS(4488), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4490), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4494), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3688), 2,
      sym_comment,
      sym_block_comment,
    STATE(9309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10020), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13083), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12836), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4478), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5015), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146098] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4532), 1,
      anon_sym_COLON,
    ACTIONS(4534), 1,
      anon_sym_LBRACE,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym__,
    ACTIONS(4950), 1,
      anon_sym_LBRACK,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(4960), 1,
      sym_integer_literal,
    ACTIONS(6886), 1,
      anon_sym_LPAREN,
    ACTIONS(6888), 1,
      sym_operator_identifier,
    STATE(4653), 1,
      sym__simple_type,
    STATE(4676), 1,
      sym__annotated_type,
    STATE(4757), 1,
      sym__soft_identifier,
    STATE(4760), 1,
      sym_identifier,
    STATE(6258), 1,
      sym_annotated_type,
    STATE(9518), 1,
      sym__non_null_literal,
    STATE(9520), 1,
      sym_literal_type,
    STATE(12385), 1,
      sym__type,
    STATE(12478), 1,
      sym_template_body,
    STATE(13394), 1,
      sym__infix_type_choice,
    STATE(16349), 1,
      sym_type_parameters,
    STATE(16350), 1,
      sym_parameter_types,
    STATE(17983), 1,
      sym_stable_identifier,
    ACTIONS(4962), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4964), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4966), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3689), 2,
      sym_comment,
      sym_block_comment,
    STATE(8022), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9605), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12357), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4952), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4915), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146223] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16814), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3690), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146348] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4532), 1,
      anon_sym_COLON,
    ACTIONS(4534), 1,
      anon_sym_LBRACE,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym__,
    ACTIONS(4950), 1,
      anon_sym_LBRACK,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(4960), 1,
      sym_integer_literal,
    ACTIONS(6886), 1,
      anon_sym_LPAREN,
    ACTIONS(6888), 1,
      sym_operator_identifier,
    STATE(4653), 1,
      sym__simple_type,
    STATE(4676), 1,
      sym__annotated_type,
    STATE(4757), 1,
      sym__soft_identifier,
    STATE(4760), 1,
      sym_identifier,
    STATE(6258), 1,
      sym_annotated_type,
    STATE(9518), 1,
      sym__non_null_literal,
    STATE(9520), 1,
      sym_literal_type,
    STATE(12402), 1,
      sym__type,
    STATE(12478), 1,
      sym_template_body,
    STATE(13394), 1,
      sym__infix_type_choice,
    STATE(16349), 1,
      sym_type_parameters,
    STATE(16350), 1,
      sym_parameter_types,
    STATE(17983), 1,
      sym_stable_identifier,
    ACTIONS(4962), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4964), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4966), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3691), 2,
      sym_comment,
      sym_block_comment,
    STATE(8022), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9605), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12357), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4952), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4915), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146473] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1609), 1,
      sym_integer_literal,
    ACTIONS(6720), 1,
      sym__alpha_identifier,
    ACTIONS(6722), 1,
      anon_sym_COLON,
    ACTIONS(6724), 1,
      anon_sym_LBRACE,
    ACTIONS(6726), 1,
      anon_sym__,
    ACTIONS(6728), 1,
      anon_sym_LBRACK,
    ACTIONS(6732), 1,
      anon_sym_LPAREN,
    ACTIONS(6734), 1,
      sym__backquoted_id,
    ACTIONS(6736), 1,
      sym_operator_identifier,
    STATE(5975), 1,
      sym__annotated_type,
    STATE(6237), 1,
      sym__simple_type,
    STATE(6553), 1,
      sym__soft_identifier,
    STATE(6668), 1,
      sym_identifier,
    STATE(9442), 1,
      sym_annotated_type,
    STATE(11406), 1,
      sym__non_null_literal,
    STATE(11587), 1,
      sym_literal_type,
    STATE(13527), 1,
      sym__infix_type_choice,
    STATE(14508), 1,
      sym_template_body,
    STATE(14783), 1,
      sym__type,
    STATE(16369), 1,
      sym_type_parameters,
    STATE(16370), 1,
      sym_parameter_types,
    STATE(18800), 1,
      sym_stable_identifier,
    ACTIONS(1611), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1613), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1617), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3692), 2,
      sym_comment,
      sym_block_comment,
    STATE(9447), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9637), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11101), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14463), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6730), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7856), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146598] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1137), 1,
      sym_integer_literal,
    ACTIONS(6892), 1,
      anon_sym_COLON,
    ACTIONS(6894), 1,
      anon_sym_LBRACE,
    ACTIONS(6912), 1,
      sym__alpha_identifier,
    ACTIONS(6914), 1,
      anon_sym__,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6920), 1,
      anon_sym_LPAREN,
    ACTIONS(6922), 1,
      sym__backquoted_id,
    ACTIONS(6924), 1,
      sym_operator_identifier,
    STATE(4700), 1,
      sym__simple_type,
    STATE(4774), 1,
      sym__annotated_type,
    STATE(4828), 1,
      sym__soft_identifier,
    STATE(4972), 1,
      sym_identifier,
    STATE(6993), 1,
      sym_annotated_type,
    STATE(10263), 1,
      sym__non_null_literal,
    STATE(10343), 1,
      sym_literal_type,
    STATE(12259), 1,
      sym__type,
    STATE(12329), 1,
      sym_template_body,
    STATE(13543), 1,
      sym__infix_type_choice,
    STATE(16462), 1,
      sym_type_parameters,
    STATE(16463), 1,
      sym_parameter_types,
    STATE(18883), 1,
      sym_stable_identifier,
    ACTIONS(1139), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1141), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1145), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3693), 2,
      sym_comment,
      sym_block_comment,
    STATE(6157), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6412), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8842), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12472), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6918), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5173), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146723] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16835), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3694), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146848] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(89), 1,
      sym_integer_literal,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5418), 1,
      anon_sym_LPAREN,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    ACTIONS(6402), 1,
      anon_sym_COLON,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(8575), 1,
      sym__annotated_type,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11227), 1,
      sym__non_null_literal,
    STATE(11245), 1,
      sym_literal_type,
    STATE(11464), 1,
      sym__type,
    STATE(13367), 1,
      sym__infix_type_choice,
    STATE(16061), 1,
      sym_type_parameters,
    STATE(16078), 1,
      sym_parameter_types,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(91), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(93), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(105), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3695), 2,
      sym_comment,
      sym_block_comment,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10368), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10554), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146973] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17980), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3696), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147098] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16849), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3697), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147223] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1137), 1,
      sym_integer_literal,
    ACTIONS(6892), 1,
      anon_sym_COLON,
    ACTIONS(6894), 1,
      anon_sym_LBRACE,
    ACTIONS(6912), 1,
      sym__alpha_identifier,
    ACTIONS(6914), 1,
      anon_sym__,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6920), 1,
      anon_sym_LPAREN,
    ACTIONS(6922), 1,
      sym__backquoted_id,
    ACTIONS(6924), 1,
      sym_operator_identifier,
    STATE(4700), 1,
      sym__simple_type,
    STATE(4774), 1,
      sym__annotated_type,
    STATE(4828), 1,
      sym__soft_identifier,
    STATE(4972), 1,
      sym_identifier,
    STATE(6993), 1,
      sym_annotated_type,
    STATE(10263), 1,
      sym__non_null_literal,
    STATE(10343), 1,
      sym_literal_type,
    STATE(12329), 1,
      sym_template_body,
    STATE(12425), 1,
      sym__type,
    STATE(13543), 1,
      sym__infix_type_choice,
    STATE(16462), 1,
      sym_type_parameters,
    STATE(16463), 1,
      sym_parameter_types,
    STATE(18883), 1,
      sym_stable_identifier,
    ACTIONS(1139), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1141), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1145), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3698), 2,
      sym_comment,
      sym_block_comment,
    STATE(6157), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6412), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8842), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12472), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6918), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5173), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147348] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18941), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3699), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147473] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(6634), 1,
      sym__alpha_identifier,
    ACTIONS(6640), 1,
      anon_sym__,
    ACTIONS(6646), 1,
      anon_sym_LPAREN,
    ACTIONS(6648), 1,
      sym__backquoted_id,
    ACTIONS(6650), 1,
      sym_operator_identifier,
    ACTIONS(6710), 1,
      anon_sym_COLON,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    ACTIONS(6714), 1,
      anon_sym_LBRACK,
    STATE(5952), 1,
      sym__simple_type,
    STATE(6655), 1,
      sym__soft_identifier,
    STATE(6914), 1,
      sym_identifier,
    STATE(7419), 1,
      sym__annotated_type,
    STATE(9996), 1,
      sym_annotated_type,
    STATE(11698), 1,
      sym__non_null_literal,
    STATE(11700), 1,
      sym_literal_type,
    STATE(11918), 1,
      sym_template_body,
    STATE(12987), 1,
      sym__type,
    STATE(13320), 1,
      sym__infix_type_choice,
    STATE(17031), 1,
      sym_type_parameters,
    STATE(17035), 1,
      sym_parameter_types,
    STATE(19535), 1,
      sym_stable_identifier,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3700), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11276), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11953), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11882), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6644), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7691), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147598] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18943), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3701), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147723] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16864), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3702), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147848] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6478), 1,
      anon_sym_LBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13392), 1,
      sym__infix_type_choice,
    STATE(16476), 1,
      sym_type_parameters,
    STATE(16477), 1,
      sym_parameter_types,
    STATE(18727), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3703), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147973] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17059), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3704), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148098] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1137), 1,
      sym_integer_literal,
    ACTIONS(6892), 1,
      anon_sym_COLON,
    ACTIONS(6894), 1,
      anon_sym_LBRACE,
    ACTIONS(6912), 1,
      sym__alpha_identifier,
    ACTIONS(6914), 1,
      anon_sym__,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6920), 1,
      anon_sym_LPAREN,
    ACTIONS(6922), 1,
      sym__backquoted_id,
    ACTIONS(6924), 1,
      sym_operator_identifier,
    STATE(4700), 1,
      sym__simple_type,
    STATE(4774), 1,
      sym__annotated_type,
    STATE(4828), 1,
      sym__soft_identifier,
    STATE(4972), 1,
      sym_identifier,
    STATE(6993), 1,
      sym_annotated_type,
    STATE(10263), 1,
      sym__non_null_literal,
    STATE(10343), 1,
      sym_literal_type,
    STATE(12329), 1,
      sym_template_body,
    STATE(12481), 1,
      sym__type,
    STATE(13543), 1,
      sym__infix_type_choice,
    STATE(16462), 1,
      sym_type_parameters,
    STATE(16463), 1,
      sym_parameter_types,
    STATE(18883), 1,
      sym_stable_identifier,
    ACTIONS(1139), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1141), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1145), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3705), 2,
      sym_comment,
      sym_block_comment,
    STATE(6157), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6412), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8842), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12472), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6918), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5173), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148223] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1137), 1,
      sym_integer_literal,
    ACTIONS(6892), 1,
      anon_sym_COLON,
    ACTIONS(6894), 1,
      anon_sym_LBRACE,
    ACTIONS(6912), 1,
      sym__alpha_identifier,
    ACTIONS(6914), 1,
      anon_sym__,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6920), 1,
      anon_sym_LPAREN,
    ACTIONS(6922), 1,
      sym__backquoted_id,
    ACTIONS(6924), 1,
      sym_operator_identifier,
    STATE(4700), 1,
      sym__simple_type,
    STATE(4774), 1,
      sym__annotated_type,
    STATE(4828), 1,
      sym__soft_identifier,
    STATE(4972), 1,
      sym_identifier,
    STATE(6993), 1,
      sym_annotated_type,
    STATE(10263), 1,
      sym__non_null_literal,
    STATE(10343), 1,
      sym_literal_type,
    STATE(12171), 1,
      sym__type,
    STATE(12329), 1,
      sym_template_body,
    STATE(13543), 1,
      sym__infix_type_choice,
    STATE(16462), 1,
      sym_type_parameters,
    STATE(16463), 1,
      sym_parameter_types,
    STATE(18883), 1,
      sym_stable_identifier,
    ACTIONS(1139), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1141), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1145), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3706), 2,
      sym_comment,
      sym_block_comment,
    STATE(6157), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6412), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8842), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12472), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6918), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5173), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148348] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16877), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3707), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148473] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1021), 1,
      sym_integer_literal,
    ACTIONS(6926), 1,
      sym__alpha_identifier,
    ACTIONS(6928), 1,
      anon_sym_COLON,
    ACTIONS(6930), 1,
      anon_sym_LBRACE,
    ACTIONS(6932), 1,
      anon_sym__,
    ACTIONS(6934), 1,
      anon_sym_LBRACK,
    ACTIONS(6938), 1,
      anon_sym_LPAREN,
    ACTIONS(6940), 1,
      sym__backquoted_id,
    ACTIONS(6942), 1,
      sym_operator_identifier,
    STATE(5725), 1,
      sym__simple_type,
    STATE(5984), 1,
      sym__annotated_type,
    STATE(6312), 1,
      sym_identifier,
    STATE(6321), 1,
      sym__soft_identifier,
    STATE(9779), 1,
      sym_annotated_type,
    STATE(11126), 1,
      sym__non_null_literal,
    STATE(11139), 1,
      sym_literal_type,
    STATE(11367), 1,
      sym_template_body,
    STATE(11632), 1,
      sym__type,
    STATE(13416), 1,
      sym__infix_type_choice,
    STATE(16902), 1,
      sym_type_parameters,
    STATE(16918), 1,
      sym_parameter_types,
    STATE(18052), 1,
      sym_stable_identifier,
    ACTIONS(1023), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1025), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1033), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3708), 2,
      sym_comment,
      sym_block_comment,
    STATE(7892), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10462), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11543), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11467), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6936), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6768), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148598] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(6634), 1,
      sym__alpha_identifier,
    ACTIONS(6640), 1,
      anon_sym__,
    ACTIONS(6646), 1,
      anon_sym_LPAREN,
    ACTIONS(6648), 1,
      sym__backquoted_id,
    ACTIONS(6650), 1,
      sym_operator_identifier,
    ACTIONS(6710), 1,
      anon_sym_COLON,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    ACTIONS(6714), 1,
      anon_sym_LBRACK,
    STATE(5952), 1,
      sym__simple_type,
    STATE(6655), 1,
      sym__soft_identifier,
    STATE(6914), 1,
      sym_identifier,
    STATE(7419), 1,
      sym__annotated_type,
    STATE(9996), 1,
      sym_annotated_type,
    STATE(11698), 1,
      sym__non_null_literal,
    STATE(11700), 1,
      sym_literal_type,
    STATE(11918), 1,
      sym_template_body,
    STATE(13109), 1,
      sym__type,
    STATE(13320), 1,
      sym__infix_type_choice,
    STATE(17031), 1,
      sym_type_parameters,
    STATE(17035), 1,
      sym_parameter_types,
    STATE(19535), 1,
      sym_stable_identifier,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3709), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11276), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11953), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11882), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6644), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7691), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148723] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16892), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3710), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148848] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(167), 1,
      sym_integer_literal,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    ACTIONS(6402), 1,
      anon_sym_COLON,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(6498), 1,
      anon_sym_LBRACK,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(5060), 1,
      sym__annotated_type,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(8788), 1,
      sym__non_null_literal,
    STATE(8790), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11429), 1,
      sym__type,
    STATE(13398), 1,
      sym__infix_type_choice,
    STATE(16448), 1,
      sym_type_parameters,
    STATE(16449), 1,
      sym_parameter_types,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(169), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(171), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3711), 2,
      sym_comment,
      sym_block_comment,
    STATE(6796), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7234), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148973] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6478), 1,
      anon_sym_LBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13392), 1,
      sym__infix_type_choice,
    STATE(16476), 1,
      sym_type_parameters,
    STATE(16477), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    STATE(19131), 1,
      sym__type,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3712), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149098] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(6634), 1,
      sym__alpha_identifier,
    ACTIONS(6640), 1,
      anon_sym__,
    ACTIONS(6646), 1,
      anon_sym_LPAREN,
    ACTIONS(6648), 1,
      sym__backquoted_id,
    ACTIONS(6650), 1,
      sym_operator_identifier,
    ACTIONS(6710), 1,
      anon_sym_COLON,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    ACTIONS(6714), 1,
      anon_sym_LBRACK,
    STATE(5952), 1,
      sym__simple_type,
    STATE(6655), 1,
      sym__soft_identifier,
    STATE(6914), 1,
      sym_identifier,
    STATE(7419), 1,
      sym__annotated_type,
    STATE(9996), 1,
      sym_annotated_type,
    STATE(11698), 1,
      sym__non_null_literal,
    STATE(11700), 1,
      sym_literal_type,
    STATE(11918), 1,
      sym_template_body,
    STATE(13112), 1,
      sym__type,
    STATE(13320), 1,
      sym__infix_type_choice,
    STATE(17031), 1,
      sym_type_parameters,
    STATE(17035), 1,
      sym_parameter_types,
    STATE(19535), 1,
      sym_stable_identifier,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3713), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11276), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11953), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11882), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6644), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7691), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149223] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6478), 1,
      anon_sym_LBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13392), 1,
      sym__infix_type_choice,
    STATE(16476), 1,
      sym_type_parameters,
    STATE(16477), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    STATE(19145), 1,
      sym__type,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3714), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149348] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1021), 1,
      sym_integer_literal,
    ACTIONS(6926), 1,
      sym__alpha_identifier,
    ACTIONS(6928), 1,
      anon_sym_COLON,
    ACTIONS(6930), 1,
      anon_sym_LBRACE,
    ACTIONS(6932), 1,
      anon_sym__,
    ACTIONS(6934), 1,
      anon_sym_LBRACK,
    ACTIONS(6938), 1,
      anon_sym_LPAREN,
    ACTIONS(6940), 1,
      sym__backquoted_id,
    ACTIONS(6942), 1,
      sym_operator_identifier,
    STATE(5725), 1,
      sym__simple_type,
    STATE(5984), 1,
      sym__annotated_type,
    STATE(6312), 1,
      sym_identifier,
    STATE(6321), 1,
      sym__soft_identifier,
    STATE(9779), 1,
      sym_annotated_type,
    STATE(11126), 1,
      sym__non_null_literal,
    STATE(11139), 1,
      sym_literal_type,
    STATE(11367), 1,
      sym_template_body,
    STATE(11633), 1,
      sym__type,
    STATE(13416), 1,
      sym__infix_type_choice,
    STATE(16902), 1,
      sym_type_parameters,
    STATE(16918), 1,
      sym_parameter_types,
    STATE(18052), 1,
      sym_stable_identifier,
    ACTIONS(1023), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1025), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1033), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3715), 2,
      sym_comment,
      sym_block_comment,
    STATE(7892), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10462), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11543), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11467), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6936), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6768), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149473] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16912), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3716), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149598] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1425), 1,
      sym_integer_literal,
    ACTIONS(6944), 1,
      sym__alpha_identifier,
    ACTIONS(6946), 1,
      anon_sym_COLON,
    ACTIONS(6948), 1,
      anon_sym_LBRACE,
    ACTIONS(6950), 1,
      anon_sym__,
    ACTIONS(6952), 1,
      anon_sym_LBRACK,
    ACTIONS(6956), 1,
      anon_sym_LPAREN,
    ACTIONS(6958), 1,
      sym__backquoted_id,
    ACTIONS(6960), 1,
      sym_operator_identifier,
    STATE(5106), 1,
      sym__simple_type,
    STATE(5313), 1,
      sym__annotated_type,
    STATE(5365), 1,
      sym_identifier,
    STATE(5502), 1,
      sym__soft_identifier,
    STATE(8401), 1,
      sym_annotated_type,
    STATE(10954), 1,
      sym_literal_type,
    STATE(11008), 1,
      sym__non_null_literal,
    STATE(13546), 1,
      sym__infix_type_choice,
    STATE(13778), 1,
      sym__type,
    STATE(13995), 1,
      sym_template_body,
    STATE(16377), 1,
      sym_type_parameters,
    STATE(16378), 1,
      sym_parameter_types,
    STATE(18889), 1,
      sym_stable_identifier,
    ACTIONS(1427), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1429), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1433), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3717), 2,
      sym_comment,
      sym_block_comment,
    STATE(8052), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8196), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9967), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6029), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149723] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4260), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 11,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4256), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [149794] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4308), 1,
      anon_sym_COLON,
    ACTIONS(4310), 1,
      anon_sym_LBRACE,
    ACTIONS(4470), 1,
      sym__alpha_identifier,
    ACTIONS(4472), 1,
      anon_sym__,
    ACTIONS(4476), 1,
      anon_sym_LBRACK,
    ACTIONS(4482), 1,
      sym__backquoted_id,
    ACTIONS(4486), 1,
      sym_integer_literal,
    ACTIONS(6908), 1,
      anon_sym_LPAREN,
    ACTIONS(6910), 1,
      sym_operator_identifier,
    STATE(4732), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(4815), 1,
      sym__soft_identifier,
    STATE(4855), 1,
      sym_identifier,
    STATE(6415), 1,
      sym_annotated_type,
    STATE(10168), 1,
      sym_literal_type,
    STATE(10329), 1,
      sym__non_null_literal,
    STATE(12917), 1,
      sym__type,
    STATE(13098), 1,
      sym_template_body,
    STATE(13494), 1,
      sym__infix_type_choice,
    STATE(16363), 1,
      sym_type_parameters,
    STATE(16364), 1,
      sym_parameter_types,
    STATE(18654), 1,
      sym_stable_identifier,
    ACTIONS(4488), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4490), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4494), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3719), 2,
      sym_comment,
      sym_block_comment,
    STATE(9309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10020), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13083), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12836), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4478), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5015), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149919] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16927), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3720), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150044] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4502), 1,
      anon_sym_COLON,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    ACTIONS(6962), 1,
      sym__alpha_identifier,
    ACTIONS(6964), 1,
      anon_sym__,
    ACTIONS(6966), 1,
      anon_sym_LBRACK,
    ACTIONS(6970), 1,
      anon_sym_LPAREN,
    ACTIONS(6972), 1,
      sym__backquoted_id,
    ACTIONS(6974), 1,
      sym_operator_identifier,
    ACTIONS(6976), 1,
      sym_integer_literal,
    STATE(5905), 1,
      sym__simple_type,
    STATE(6472), 1,
      sym__soft_identifier,
    STATE(6873), 1,
      sym_identifier,
    STATE(7058), 1,
      sym__annotated_type,
    STATE(10073), 1,
      sym_annotated_type,
    STATE(11415), 1,
      sym_literal_type,
    STATE(11475), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13470), 1,
      sym__infix_type_choice,
    STATE(14955), 1,
      sym__type,
    STATE(16454), 1,
      sym_type_parameters,
    STATE(16455), 1,
      sym_parameter_types,
    STATE(18558), 1,
      sym_stable_identifier,
    ACTIONS(6978), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6980), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6982), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3721), 2,
      sym_comment,
      sym_block_comment,
    STATE(10806), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12935), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6968), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7578), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150169] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4308), 1,
      anon_sym_COLON,
    ACTIONS(4310), 1,
      anon_sym_LBRACE,
    ACTIONS(4470), 1,
      sym__alpha_identifier,
    ACTIONS(4472), 1,
      anon_sym__,
    ACTIONS(4476), 1,
      anon_sym_LBRACK,
    ACTIONS(4482), 1,
      sym__backquoted_id,
    ACTIONS(4486), 1,
      sym_integer_literal,
    ACTIONS(6908), 1,
      anon_sym_LPAREN,
    ACTIONS(6910), 1,
      sym_operator_identifier,
    STATE(4732), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(4815), 1,
      sym__soft_identifier,
    STATE(4855), 1,
      sym_identifier,
    STATE(6415), 1,
      sym_annotated_type,
    STATE(10168), 1,
      sym_literal_type,
    STATE(10329), 1,
      sym__non_null_literal,
    STATE(12918), 1,
      sym__type,
    STATE(13098), 1,
      sym_template_body,
    STATE(13494), 1,
      sym__infix_type_choice,
    STATE(16363), 1,
      sym_type_parameters,
    STATE(16364), 1,
      sym_parameter_types,
    STATE(18654), 1,
      sym_stable_identifier,
    ACTIONS(4488), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4490), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4494), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3722), 2,
      sym_comment,
      sym_block_comment,
    STATE(9309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10020), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13083), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12836), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4478), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5015), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150294] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16943), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3723), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150419] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1021), 1,
      sym_integer_literal,
    ACTIONS(6926), 1,
      sym__alpha_identifier,
    ACTIONS(6928), 1,
      anon_sym_COLON,
    ACTIONS(6930), 1,
      anon_sym_LBRACE,
    ACTIONS(6932), 1,
      anon_sym__,
    ACTIONS(6934), 1,
      anon_sym_LBRACK,
    ACTIONS(6938), 1,
      anon_sym_LPAREN,
    ACTIONS(6940), 1,
      sym__backquoted_id,
    ACTIONS(6942), 1,
      sym_operator_identifier,
    STATE(5725), 1,
      sym__simple_type,
    STATE(5984), 1,
      sym__annotated_type,
    STATE(6312), 1,
      sym_identifier,
    STATE(6321), 1,
      sym__soft_identifier,
    STATE(9779), 1,
      sym_annotated_type,
    STATE(11126), 1,
      sym__non_null_literal,
    STATE(11139), 1,
      sym_literal_type,
    STATE(11296), 1,
      sym__type,
    STATE(11367), 1,
      sym_template_body,
    STATE(13416), 1,
      sym__infix_type_choice,
    STATE(16902), 1,
      sym_type_parameters,
    STATE(16918), 1,
      sym_parameter_types,
    STATE(18052), 1,
      sym_stable_identifier,
    ACTIONS(1023), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1025), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1033), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3724), 2,
      sym_comment,
      sym_block_comment,
    STATE(7892), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10462), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11543), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11467), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6936), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6768), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150544] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(167), 1,
      sym_integer_literal,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    ACTIONS(6402), 1,
      anon_sym_COLON,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(6498), 1,
      anon_sym_LBRACK,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(5060), 1,
      sym__annotated_type,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(8788), 1,
      sym__non_null_literal,
    STATE(8790), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11447), 1,
      sym__type,
    STATE(13398), 1,
      sym__infix_type_choice,
    STATE(16448), 1,
      sym_type_parameters,
    STATE(16449), 1,
      sym_parameter_types,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(169), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(171), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3725), 2,
      sym_comment,
      sym_block_comment,
    STATE(6796), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7234), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150669] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1021), 1,
      sym_integer_literal,
    ACTIONS(6926), 1,
      sym__alpha_identifier,
    ACTIONS(6928), 1,
      anon_sym_COLON,
    ACTIONS(6930), 1,
      anon_sym_LBRACE,
    ACTIONS(6932), 1,
      anon_sym__,
    ACTIONS(6934), 1,
      anon_sym_LBRACK,
    ACTIONS(6938), 1,
      anon_sym_LPAREN,
    ACTIONS(6940), 1,
      sym__backquoted_id,
    ACTIONS(6942), 1,
      sym_operator_identifier,
    STATE(5725), 1,
      sym__simple_type,
    STATE(5984), 1,
      sym__annotated_type,
    STATE(6312), 1,
      sym_identifier,
    STATE(6321), 1,
      sym__soft_identifier,
    STATE(9779), 1,
      sym_annotated_type,
    STATE(11126), 1,
      sym__non_null_literal,
    STATE(11139), 1,
      sym_literal_type,
    STATE(11297), 1,
      sym__type,
    STATE(11367), 1,
      sym_template_body,
    STATE(13416), 1,
      sym__infix_type_choice,
    STATE(16902), 1,
      sym_type_parameters,
    STATE(16918), 1,
      sym_parameter_types,
    STATE(18052), 1,
      sym_stable_identifier,
    ACTIONS(1023), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1025), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1033), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3726), 2,
      sym_comment,
      sym_block_comment,
    STATE(7892), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10462), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11543), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11467), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6936), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6768), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150794] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16961), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3727), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150919] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4308), 1,
      anon_sym_COLON,
    ACTIONS(4310), 1,
      anon_sym_LBRACE,
    ACTIONS(4470), 1,
      sym__alpha_identifier,
    ACTIONS(4472), 1,
      anon_sym__,
    ACTIONS(4476), 1,
      anon_sym_LBRACK,
    ACTIONS(4482), 1,
      sym__backquoted_id,
    ACTIONS(4486), 1,
      sym_integer_literal,
    ACTIONS(6908), 1,
      anon_sym_LPAREN,
    ACTIONS(6910), 1,
      sym_operator_identifier,
    STATE(4732), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(4815), 1,
      sym__soft_identifier,
    STATE(4855), 1,
      sym_identifier,
    STATE(6415), 1,
      sym_annotated_type,
    STATE(10168), 1,
      sym_literal_type,
    STATE(10329), 1,
      sym__non_null_literal,
    STATE(12919), 1,
      sym__type,
    STATE(13098), 1,
      sym_template_body,
    STATE(13494), 1,
      sym__infix_type_choice,
    STATE(16363), 1,
      sym_type_parameters,
    STATE(16364), 1,
      sym_parameter_types,
    STATE(18654), 1,
      sym_stable_identifier,
    ACTIONS(4488), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4490), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4494), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3728), 2,
      sym_comment,
      sym_block_comment,
    STATE(9309), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10020), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13083), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12836), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4478), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5015), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151044] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4448), 1,
      anon_sym_LBRACK,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6984), 1,
      anon_sym_LPAREN,
    ACTIONS(6986), 1,
      sym_operator_identifier,
    STATE(7794), 1,
      sym__annotated_type,
    STATE(7795), 1,
      sym__simple_type,
    STATE(8002), 1,
      sym__soft_identifier,
    STATE(8453), 1,
      sym_identifier,
    STATE(10589), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11429), 1,
      sym__type,
    STATE(11978), 1,
      sym__non_null_literal,
    STATE(11979), 1,
      sym_literal_type,
    STATE(13332), 1,
      sym__infix_type_choice,
    STATE(16768), 1,
      sym_type_parameters,
    STATE(16850), 1,
      sym_parameter_types,
    STATE(17798), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3729), 2,
      sym_comment,
      sym_block_comment,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11555), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11929), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9256), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151169] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6302), 1,
      sym__alpha_identifier,
    ACTIONS(6304), 1,
      anon_sym_COLON,
    ACTIONS(6306), 1,
      anon_sym_LBRACE,
    ACTIONS(6308), 1,
      anon_sym__,
    ACTIONS(6310), 1,
      anon_sym_LBRACK,
    ACTIONS(6314), 1,
      anon_sym_LPAREN,
    ACTIONS(6316), 1,
      sym__backquoted_id,
    ACTIONS(6318), 1,
      sym_operator_identifier,
    ACTIONS(6320), 1,
      sym_integer_literal,
    STATE(5631), 1,
      sym__simple_type,
    STATE(5902), 1,
      sym_identifier,
    STATE(5903), 1,
      sym__annotated_type,
    STATE(6100), 1,
      sym__soft_identifier,
    STATE(9721), 1,
      sym_annotated_type,
    STATE(11203), 1,
      sym__non_null_literal,
    STATE(11282), 1,
      sym_literal_type,
    STATE(11487), 1,
      sym__type,
    STATE(11542), 1,
      sym_template_body,
    STATE(13474), 1,
      sym__infix_type_choice,
    STATE(16631), 1,
      sym_type_parameters,
    STATE(16634), 1,
      sym_parameter_types,
    STATE(18570), 1,
      sym_stable_identifier,
    ACTIONS(6322), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6324), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6326), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3730), 2,
      sym_comment,
      sym_block_comment,
    STATE(10578), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11128), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11552), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11421), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6312), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6504), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151294] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6302), 1,
      sym__alpha_identifier,
    ACTIONS(6304), 1,
      anon_sym_COLON,
    ACTIONS(6306), 1,
      anon_sym_LBRACE,
    ACTIONS(6308), 1,
      anon_sym__,
    ACTIONS(6310), 1,
      anon_sym_LBRACK,
    ACTIONS(6314), 1,
      anon_sym_LPAREN,
    ACTIONS(6316), 1,
      sym__backquoted_id,
    ACTIONS(6318), 1,
      sym_operator_identifier,
    ACTIONS(6320), 1,
      sym_integer_literal,
    STATE(5631), 1,
      sym__simple_type,
    STATE(5902), 1,
      sym_identifier,
    STATE(5903), 1,
      sym__annotated_type,
    STATE(6100), 1,
      sym__soft_identifier,
    STATE(9721), 1,
      sym_annotated_type,
    STATE(11203), 1,
      sym__non_null_literal,
    STATE(11282), 1,
      sym_literal_type,
    STATE(11488), 1,
      sym__type,
    STATE(11542), 1,
      sym_template_body,
    STATE(13474), 1,
      sym__infix_type_choice,
    STATE(16631), 1,
      sym_type_parameters,
    STATE(16634), 1,
      sym_parameter_types,
    STATE(18570), 1,
      sym_stable_identifier,
    ACTIONS(6322), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6324), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6326), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3731), 2,
      sym_comment,
      sym_block_comment,
    STATE(10578), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11128), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11552), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11421), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6312), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6504), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151419] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16979), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3732), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151544] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(167), 1,
      sym_integer_literal,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    ACTIONS(6402), 1,
      anon_sym_COLON,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(6498), 1,
      anon_sym_LBRACK,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(5060), 1,
      sym__annotated_type,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(8788), 1,
      sym__non_null_literal,
    STATE(8790), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11462), 1,
      sym__type,
    STATE(13398), 1,
      sym__infix_type_choice,
    STATE(16448), 1,
      sym_type_parameters,
    STATE(16449), 1,
      sym_parameter_types,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(169), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(171), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3733), 2,
      sym_comment,
      sym_block_comment,
    STATE(6796), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7234), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151669] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(167), 1,
      sym_integer_literal,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    ACTIONS(6402), 1,
      anon_sym_COLON,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(6498), 1,
      anon_sym_LBRACK,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(5060), 1,
      sym__annotated_type,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(8788), 1,
      sym__non_null_literal,
    STATE(8790), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11463), 1,
      sym__type,
    STATE(13398), 1,
      sym__infix_type_choice,
    STATE(16448), 1,
      sym_type_parameters,
    STATE(16449), 1,
      sym_parameter_types,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(169), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(171), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3734), 2,
      sym_comment,
      sym_block_comment,
    STATE(6796), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7234), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151794] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1425), 1,
      sym_integer_literal,
    ACTIONS(6944), 1,
      sym__alpha_identifier,
    ACTIONS(6946), 1,
      anon_sym_COLON,
    ACTIONS(6948), 1,
      anon_sym_LBRACE,
    ACTIONS(6950), 1,
      anon_sym__,
    ACTIONS(6952), 1,
      anon_sym_LBRACK,
    ACTIONS(6956), 1,
      anon_sym_LPAREN,
    ACTIONS(6958), 1,
      sym__backquoted_id,
    ACTIONS(6960), 1,
      sym_operator_identifier,
    STATE(5106), 1,
      sym__simple_type,
    STATE(5313), 1,
      sym__annotated_type,
    STATE(5365), 1,
      sym_identifier,
    STATE(5502), 1,
      sym__soft_identifier,
    STATE(8401), 1,
      sym_annotated_type,
    STATE(10954), 1,
      sym_literal_type,
    STATE(11008), 1,
      sym__non_null_literal,
    STATE(13546), 1,
      sym__infix_type_choice,
    STATE(13727), 1,
      sym__type,
    STATE(13995), 1,
      sym_template_body,
    STATE(16377), 1,
      sym_type_parameters,
    STATE(16378), 1,
      sym_parameter_types,
    STATE(18889), 1,
      sym_stable_identifier,
    ACTIONS(1427), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1429), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1433), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3735), 2,
      sym_comment,
      sym_block_comment,
    STATE(8052), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8196), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9967), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6029), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151919] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(16992), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3736), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152044] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(167), 1,
      sym_integer_literal,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    ACTIONS(6402), 1,
      anon_sym_COLON,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(6498), 1,
      anon_sym_LBRACK,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(5060), 1,
      sym__annotated_type,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(8788), 1,
      sym__non_null_literal,
    STATE(8790), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11464), 1,
      sym__type,
    STATE(13398), 1,
      sym__infix_type_choice,
    STATE(16448), 1,
      sym_type_parameters,
    STATE(16449), 1,
      sym_parameter_types,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(169), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(171), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3737), 2,
      sym_comment,
      sym_block_comment,
    STATE(6796), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7234), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152169] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6412), 1,
      sym__alpha_identifier,
    ACTIONS(6414), 1,
      anon_sym_COLON,
    ACTIONS(6416), 1,
      anon_sym_LBRACE,
    ACTIONS(6418), 1,
      anon_sym__,
    ACTIONS(6420), 1,
      anon_sym_LBRACK,
    ACTIONS(6424), 1,
      anon_sym_LPAREN,
    ACTIONS(6426), 1,
      sym__backquoted_id,
    ACTIONS(6428), 1,
      sym_operator_identifier,
    ACTIONS(6430), 1,
      sym_integer_literal,
    STATE(6300), 1,
      sym__simple_type,
    STATE(6354), 1,
      sym_identifier,
    STATE(6890), 1,
      sym__soft_identifier,
    STATE(6977), 1,
      sym__annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(10256), 1,
      sym_annotated_type,
    STATE(11392), 1,
      sym__non_null_literal,
    STATE(11393), 1,
      sym_literal_type,
    STATE(11707), 1,
      sym__type,
    STATE(13140), 1,
      sym__infix_type_choice,
    STATE(16317), 1,
      sym_type_parameters,
    STATE(16318), 1,
      sym_parameter_types,
    STATE(19353), 1,
      sym_stable_identifier,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3738), 2,
      sym_comment,
      sym_block_comment,
    STATE(10871), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11765), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6422), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7457), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152294] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17009), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3739), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152419] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1209), 1,
      sym_integer_literal,
    ACTIONS(6850), 1,
      sym__alpha_identifier,
    ACTIONS(6852), 1,
      anon_sym_COLON,
    ACTIONS(6854), 1,
      anon_sym_LBRACE,
    ACTIONS(6856), 1,
      anon_sym__,
    ACTIONS(6858), 1,
      anon_sym_LBRACK,
    ACTIONS(6862), 1,
      anon_sym_LPAREN,
    ACTIONS(6864), 1,
      sym__backquoted_id,
    ACTIONS(6866), 1,
      sym_operator_identifier,
    STATE(5082), 1,
      sym__simple_type,
    STATE(5297), 1,
      sym__annotated_type,
    STATE(5498), 1,
      sym__soft_identifier,
    STATE(5703), 1,
      sym_identifier,
    STATE(8349), 1,
      sym_annotated_type,
    STATE(10795), 1,
      sym__non_null_literal,
    STATE(10808), 1,
      sym_literal_type,
    STATE(13536), 1,
      sym__infix_type_choice,
    STATE(13878), 1,
      sym_template_body,
    STATE(14175), 1,
      sym__type,
    STATE(16371), 1,
      sym_type_parameters,
    STATE(16372), 1,
      sym_parameter_types,
    STATE(18848), 1,
      sym_stable_identifier,
    ACTIONS(1211), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1213), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1217), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3740), 2,
      sym_comment,
      sym_block_comment,
    STATE(8013), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8496), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10098), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13843), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5978), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152544] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1425), 1,
      sym_integer_literal,
    ACTIONS(6944), 1,
      sym__alpha_identifier,
    ACTIONS(6946), 1,
      anon_sym_COLON,
    ACTIONS(6948), 1,
      anon_sym_LBRACE,
    ACTIONS(6950), 1,
      anon_sym__,
    ACTIONS(6952), 1,
      anon_sym_LBRACK,
    ACTIONS(6956), 1,
      anon_sym_LPAREN,
    ACTIONS(6958), 1,
      sym__backquoted_id,
    ACTIONS(6960), 1,
      sym_operator_identifier,
    STATE(5106), 1,
      sym__simple_type,
    STATE(5313), 1,
      sym__annotated_type,
    STATE(5365), 1,
      sym_identifier,
    STATE(5502), 1,
      sym__soft_identifier,
    STATE(8401), 1,
      sym_annotated_type,
    STATE(10954), 1,
      sym_literal_type,
    STATE(11008), 1,
      sym__non_null_literal,
    STATE(13546), 1,
      sym__infix_type_choice,
    STATE(13747), 1,
      sym__type,
    STATE(13995), 1,
      sym_template_body,
    STATE(16377), 1,
      sym_type_parameters,
    STATE(16378), 1,
      sym_parameter_types,
    STATE(18889), 1,
      sym_stable_identifier,
    ACTIONS(1427), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1429), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1433), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3741), 2,
      sym_comment,
      sym_block_comment,
    STATE(8052), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8196), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9967), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6029), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152669] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17026), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3742), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152794] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1425), 1,
      sym_integer_literal,
    ACTIONS(6944), 1,
      sym__alpha_identifier,
    ACTIONS(6946), 1,
      anon_sym_COLON,
    ACTIONS(6948), 1,
      anon_sym_LBRACE,
    ACTIONS(6950), 1,
      anon_sym__,
    ACTIONS(6952), 1,
      anon_sym_LBRACK,
    ACTIONS(6956), 1,
      anon_sym_LPAREN,
    ACTIONS(6958), 1,
      sym__backquoted_id,
    ACTIONS(6960), 1,
      sym_operator_identifier,
    STATE(5106), 1,
      sym__simple_type,
    STATE(5313), 1,
      sym__annotated_type,
    STATE(5365), 1,
      sym_identifier,
    STATE(5502), 1,
      sym__soft_identifier,
    STATE(8401), 1,
      sym_annotated_type,
    STATE(10954), 1,
      sym_literal_type,
    STATE(11008), 1,
      sym__non_null_literal,
    STATE(13546), 1,
      sym__infix_type_choice,
    STATE(13762), 1,
      sym__type,
    STATE(13995), 1,
      sym_template_body,
    STATE(16377), 1,
      sym_type_parameters,
    STATE(16378), 1,
      sym_parameter_types,
    STATE(18889), 1,
      sym_stable_identifier,
    ACTIONS(1427), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1429), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1433), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3743), 2,
      sym_comment,
      sym_block_comment,
    STATE(8052), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8196), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9967), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6029), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152919] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1425), 1,
      sym_integer_literal,
    ACTIONS(6944), 1,
      sym__alpha_identifier,
    ACTIONS(6946), 1,
      anon_sym_COLON,
    ACTIONS(6948), 1,
      anon_sym_LBRACE,
    ACTIONS(6950), 1,
      anon_sym__,
    ACTIONS(6952), 1,
      anon_sym_LBRACK,
    ACTIONS(6956), 1,
      anon_sym_LPAREN,
    ACTIONS(6958), 1,
      sym__backquoted_id,
    ACTIONS(6960), 1,
      sym_operator_identifier,
    STATE(5106), 1,
      sym__simple_type,
    STATE(5313), 1,
      sym__annotated_type,
    STATE(5365), 1,
      sym_identifier,
    STATE(5502), 1,
      sym__soft_identifier,
    STATE(8401), 1,
      sym_annotated_type,
    STATE(10954), 1,
      sym_literal_type,
    STATE(11008), 1,
      sym__non_null_literal,
    STATE(13546), 1,
      sym__infix_type_choice,
    STATE(13764), 1,
      sym__type,
    STATE(13995), 1,
      sym_template_body,
    STATE(16377), 1,
      sym_type_parameters,
    STATE(16378), 1,
      sym_parameter_types,
    STATE(18889), 1,
      sym_stable_identifier,
    ACTIONS(1427), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1429), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1433), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3744), 2,
      sym_comment,
      sym_block_comment,
    STATE(8052), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8196), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9967), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6029), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153044] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17041), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3745), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153169] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18276), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3746), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153294] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18519), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3747), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153419] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17067), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3748), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153544] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17097), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3749), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153669] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16569), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3750), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153794] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4738), 1,
      sym__alpha_identifier,
    ACTIONS(4740), 1,
      anon_sym_COLON,
    ACTIONS(4742), 1,
      anon_sym_LBRACE,
    ACTIONS(4744), 1,
      anon_sym__,
    ACTIONS(4748), 1,
      anon_sym_LBRACK,
    ACTIONS(4756), 1,
      sym__backquoted_id,
    ACTIONS(4760), 1,
      sym_integer_literal,
    ACTIONS(6988), 1,
      anon_sym_LPAREN,
    ACTIONS(6990), 1,
      sym_operator_identifier,
    STATE(5109), 1,
      sym__simple_type,
    STATE(5325), 1,
      sym__annotated_type,
    STATE(5426), 1,
      sym_identifier,
    STATE(5504), 1,
      sym__soft_identifier,
    STATE(8417), 1,
      sym_annotated_type,
    STATE(11055), 1,
      sym_literal_type,
    STATE(11064), 1,
      sym__non_null_literal,
    STATE(13548), 1,
      sym__infix_type_choice,
    STATE(14170), 1,
      sym_template_body,
    STATE(14186), 1,
      sym__type,
    STATE(16074), 1,
      sym_type_parameters,
    STATE(16077), 1,
      sym_parameter_types,
    STATE(18901), 1,
      sym_stable_identifier,
    ACTIONS(4762), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4764), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4768), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3751), 2,
      sym_comment,
      sym_block_comment,
    STATE(9998), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10856), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14300), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14216), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6051), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153919] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4502), 1,
      anon_sym_COLON,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    ACTIONS(6962), 1,
      sym__alpha_identifier,
    ACTIONS(6964), 1,
      anon_sym__,
    ACTIONS(6966), 1,
      anon_sym_LBRACK,
    ACTIONS(6970), 1,
      anon_sym_LPAREN,
    ACTIONS(6972), 1,
      sym__backquoted_id,
    ACTIONS(6974), 1,
      sym_operator_identifier,
    ACTIONS(6976), 1,
      sym_integer_literal,
    STATE(5905), 1,
      sym__simple_type,
    STATE(6472), 1,
      sym__soft_identifier,
    STATE(6873), 1,
      sym_identifier,
    STATE(7058), 1,
      sym__annotated_type,
    STATE(10073), 1,
      sym_annotated_type,
    STATE(11415), 1,
      sym_literal_type,
    STATE(11475), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13075), 1,
      sym__type,
    STATE(13470), 1,
      sym__infix_type_choice,
    STATE(16454), 1,
      sym_type_parameters,
    STATE(16455), 1,
      sym_parameter_types,
    STATE(18558), 1,
      sym_stable_identifier,
    ACTIONS(6978), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6980), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6982), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3752), 2,
      sym_comment,
      sym_block_comment,
    STATE(10806), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12935), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6968), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7578), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154044] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17124), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3753), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154169] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(6634), 1,
      sym__alpha_identifier,
    ACTIONS(6640), 1,
      anon_sym__,
    ACTIONS(6646), 1,
      anon_sym_LPAREN,
    ACTIONS(6648), 1,
      sym__backquoted_id,
    ACTIONS(6650), 1,
      sym_operator_identifier,
    ACTIONS(6710), 1,
      anon_sym_COLON,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    ACTIONS(6714), 1,
      anon_sym_LBRACK,
    STATE(5952), 1,
      sym__simple_type,
    STATE(6655), 1,
      sym__soft_identifier,
    STATE(6914), 1,
      sym_identifier,
    STATE(7419), 1,
      sym__annotated_type,
    STATE(9996), 1,
      sym_annotated_type,
    STATE(11698), 1,
      sym__non_null_literal,
    STATE(11700), 1,
      sym_literal_type,
    STATE(11918), 1,
      sym_template_body,
    STATE(12512), 1,
      sym__type,
    STATE(13320), 1,
      sym__infix_type_choice,
    STATE(17031), 1,
      sym_type_parameters,
    STATE(17035), 1,
      sym_parameter_types,
    STATE(19535), 1,
      sym_stable_identifier,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3754), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11276), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11953), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11882), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6644), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7691), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154294] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6478), 1,
      anon_sym_LBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13392), 1,
      sym__infix_type_choice,
    STATE(16476), 1,
      sym_type_parameters,
    STATE(16477), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    STATE(19224), 1,
      sym__type,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3755), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154419] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(6634), 1,
      sym__alpha_identifier,
    ACTIONS(6640), 1,
      anon_sym__,
    ACTIONS(6646), 1,
      anon_sym_LPAREN,
    ACTIONS(6648), 1,
      sym__backquoted_id,
    ACTIONS(6650), 1,
      sym_operator_identifier,
    ACTIONS(6710), 1,
      anon_sym_COLON,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    ACTIONS(6714), 1,
      anon_sym_LBRACK,
    STATE(5952), 1,
      sym__simple_type,
    STATE(6655), 1,
      sym__soft_identifier,
    STATE(6914), 1,
      sym_identifier,
    STATE(7419), 1,
      sym__annotated_type,
    STATE(9996), 1,
      sym_annotated_type,
    STATE(11698), 1,
      sym__non_null_literal,
    STATE(11700), 1,
      sym_literal_type,
    STATE(11918), 1,
      sym_template_body,
    STATE(12514), 1,
      sym__type,
    STATE(13320), 1,
      sym__infix_type_choice,
    STATE(17031), 1,
      sym_type_parameters,
    STATE(17035), 1,
      sym_parameter_types,
    STATE(19535), 1,
      sym_stable_identifier,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3756), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11276), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11953), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11882), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6644), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7691), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154544] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6478), 1,
      anon_sym_LBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13392), 1,
      sym__infix_type_choice,
    STATE(16476), 1,
      sym_type_parameters,
    STATE(16477), 1,
      sym_parameter_types,
    STATE(18011), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3757), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154669] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17153), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3758), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154794] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(167), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(5480), 1,
      anon_sym_LBRACK,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(7025), 1,
      sym__annotated_type,
    STATE(8788), 1,
      sym__non_null_literal,
    STATE(8790), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11429), 1,
      sym__type,
    STATE(13402), 1,
      sym__infix_type_choice,
    STATE(16474), 1,
      sym_type_parameters,
    STATE(16475), 1,
      sym_parameter_types,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(169), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(171), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3759), 2,
      sym_comment,
      sym_block_comment,
    STATE(6796), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7234), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154919] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4370), 1,
      sym__alpha_identifier,
    ACTIONS(4372), 1,
      anon_sym_COLON,
    ACTIONS(4374), 1,
      anon_sym_LBRACE,
    ACTIONS(4376), 1,
      anon_sym__,
    ACTIONS(4380), 1,
      anon_sym_LBRACK,
    ACTIONS(4388), 1,
      sym__backquoted_id,
    ACTIONS(4392), 1,
      sym_integer_literal,
    ACTIONS(6992), 1,
      anon_sym_LPAREN,
    ACTIONS(6994), 1,
      sym_operator_identifier,
    STATE(5008), 1,
      sym__simple_type,
    STATE(5333), 1,
      sym__annotated_type,
    STATE(5378), 1,
      sym_identifier,
    STATE(5425), 1,
      sym__soft_identifier,
    STATE(7953), 1,
      sym_annotated_type,
    STATE(10780), 1,
      sym_literal_type,
    STATE(10930), 1,
      sym__non_null_literal,
    STATE(13453), 1,
      sym__infix_type_choice,
    STATE(14091), 1,
      sym_template_body,
    STATE(14348), 1,
      sym__type,
    STATE(16432), 1,
      sym_type_parameters,
    STATE(16436), 1,
      sym_parameter_types,
    STATE(18397), 1,
      sym_stable_identifier,
    ACTIONS(4394), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4396), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4400), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3760), 2,
      sym_comment,
      sym_block_comment,
    STATE(9977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11066), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14253), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14350), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4382), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5830), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155044] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4738), 1,
      sym__alpha_identifier,
    ACTIONS(4740), 1,
      anon_sym_COLON,
    ACTIONS(4742), 1,
      anon_sym_LBRACE,
    ACTIONS(4744), 1,
      anon_sym__,
    ACTIONS(4748), 1,
      anon_sym_LBRACK,
    ACTIONS(4756), 1,
      sym__backquoted_id,
    ACTIONS(4760), 1,
      sym_integer_literal,
    ACTIONS(6988), 1,
      anon_sym_LPAREN,
    ACTIONS(6990), 1,
      sym_operator_identifier,
    STATE(5109), 1,
      sym__simple_type,
    STATE(5325), 1,
      sym__annotated_type,
    STATE(5426), 1,
      sym_identifier,
    STATE(5504), 1,
      sym__soft_identifier,
    STATE(8417), 1,
      sym_annotated_type,
    STATE(11055), 1,
      sym_literal_type,
    STATE(11064), 1,
      sym__non_null_literal,
    STATE(13548), 1,
      sym__infix_type_choice,
    STATE(14170), 1,
      sym_template_body,
    STATE(14341), 1,
      sym__type,
    STATE(16074), 1,
      sym_type_parameters,
    STATE(16077), 1,
      sym_parameter_types,
    STATE(18901), 1,
      sym_stable_identifier,
    ACTIONS(4762), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4764), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4768), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3761), 2,
      sym_comment,
      sym_block_comment,
    STATE(9998), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10856), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14300), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14216), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6051), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155169] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17184), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3762), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155294] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4448), 1,
      anon_sym_LBRACK,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6984), 1,
      anon_sym_LPAREN,
    ACTIONS(6986), 1,
      sym_operator_identifier,
    STATE(7794), 1,
      sym__annotated_type,
    STATE(7795), 1,
      sym__simple_type,
    STATE(8002), 1,
      sym__soft_identifier,
    STATE(8453), 1,
      sym_identifier,
    STATE(10589), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11447), 1,
      sym__type,
    STATE(11978), 1,
      sym__non_null_literal,
    STATE(11979), 1,
      sym_literal_type,
    STATE(13332), 1,
      sym__infix_type_choice,
    STATE(16768), 1,
      sym_type_parameters,
    STATE(16850), 1,
      sym_parameter_types,
    STATE(17798), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3763), 2,
      sym_comment,
      sym_block_comment,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11555), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11929), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9256), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155419] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1539), 1,
      sym_integer_literal,
    ACTIONS(6570), 1,
      anon_sym_COLON,
    ACTIONS(6572), 1,
      anon_sym_LBRACE,
    ACTIONS(6996), 1,
      sym__alpha_identifier,
    ACTIONS(6998), 1,
      anon_sym__,
    ACTIONS(7000), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_LPAREN,
    ACTIONS(7006), 1,
      sym__backquoted_id,
    ACTIONS(7008), 1,
      sym_operator_identifier,
    STATE(6776), 1,
      sym__simple_type,
    STATE(6909), 1,
      sym__annotated_type,
    STATE(7198), 1,
      sym_identifier,
    STATE(7879), 1,
      sym__soft_identifier,
    STATE(10008), 1,
      sym_annotated_type,
    STATE(11671), 1,
      sym_literal_type,
    STATE(11730), 1,
      sym__non_null_literal,
    STATE(12325), 1,
      sym__type,
    STATE(12478), 1,
      sym_template_body,
    STATE(13438), 1,
      sym__infix_type_choice,
    STATE(16414), 1,
      sym_type_parameters,
    STATE(16415), 1,
      sym_parameter_types,
    STATE(18230), 1,
      sym_stable_identifier,
    ACTIONS(1541), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1543), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1547), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3764), 2,
      sym_comment,
      sym_block_comment,
    STATE(6161), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10000), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11252), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(7002), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8475), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155544] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4738), 1,
      sym__alpha_identifier,
    ACTIONS(4740), 1,
      anon_sym_COLON,
    ACTIONS(4742), 1,
      anon_sym_LBRACE,
    ACTIONS(4744), 1,
      anon_sym__,
    ACTIONS(4748), 1,
      anon_sym_LBRACK,
    ACTIONS(4756), 1,
      sym__backquoted_id,
    ACTIONS(4760), 1,
      sym_integer_literal,
    ACTIONS(6988), 1,
      anon_sym_LPAREN,
    ACTIONS(6990), 1,
      sym_operator_identifier,
    STATE(5109), 1,
      sym__simple_type,
    STATE(5325), 1,
      sym__annotated_type,
    STATE(5426), 1,
      sym_identifier,
    STATE(5504), 1,
      sym__soft_identifier,
    STATE(8417), 1,
      sym_annotated_type,
    STATE(11055), 1,
      sym_literal_type,
    STATE(11064), 1,
      sym__non_null_literal,
    STATE(13548), 1,
      sym__infix_type_choice,
    STATE(14070), 1,
      sym__type,
    STATE(14170), 1,
      sym_template_body,
    STATE(16074), 1,
      sym_type_parameters,
    STATE(16077), 1,
      sym_parameter_types,
    STATE(18901), 1,
      sym_stable_identifier,
    ACTIONS(4762), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4764), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4768), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3765), 2,
      sym_comment,
      sym_block_comment,
    STATE(9998), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10856), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14300), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14216), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6051), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155669] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17212), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3766), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155794] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(89), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5414), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 1,
      anon_sym_LPAREN,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7120), 1,
      sym__annotated_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11227), 1,
      sym__non_null_literal,
    STATE(11245), 1,
      sym_literal_type,
    STATE(13369), 1,
      sym__infix_type_choice,
    STATE(14968), 1,
      sym__type,
    STATE(16388), 1,
      sym_type_parameters,
    STATE(16395), 1,
      sym_parameter_types,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(91), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(93), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(105), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3767), 2,
      sym_comment,
      sym_block_comment,
    STATE(10368), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10554), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155919] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17244), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3768), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156044] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4738), 1,
      sym__alpha_identifier,
    ACTIONS(4740), 1,
      anon_sym_COLON,
    ACTIONS(4742), 1,
      anon_sym_LBRACE,
    ACTIONS(4744), 1,
      anon_sym__,
    ACTIONS(4748), 1,
      anon_sym_LBRACK,
    ACTIONS(4756), 1,
      sym__backquoted_id,
    ACTIONS(4760), 1,
      sym_integer_literal,
    ACTIONS(6988), 1,
      anon_sym_LPAREN,
    ACTIONS(6990), 1,
      sym_operator_identifier,
    STATE(5109), 1,
      sym__simple_type,
    STATE(5325), 1,
      sym__annotated_type,
    STATE(5426), 1,
      sym_identifier,
    STATE(5504), 1,
      sym__soft_identifier,
    STATE(8417), 1,
      sym_annotated_type,
    STATE(11055), 1,
      sym_literal_type,
    STATE(11064), 1,
      sym__non_null_literal,
    STATE(13548), 1,
      sym__infix_type_choice,
    STATE(14071), 1,
      sym__type,
    STATE(14170), 1,
      sym_template_body,
    STATE(16074), 1,
      sym_type_parameters,
    STATE(16077), 1,
      sym_parameter_types,
    STATE(18901), 1,
      sym_stable_identifier,
    ACTIONS(4762), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4764), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4768), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3769), 2,
      sym_comment,
      sym_block_comment,
    STATE(9998), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10856), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14300), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14216), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6051), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156169] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(167), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(5480), 1,
      anon_sym_LBRACK,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(7025), 1,
      sym__annotated_type,
    STATE(8788), 1,
      sym__non_null_literal,
    STATE(8790), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11447), 1,
      sym__type,
    STATE(13402), 1,
      sym__infix_type_choice,
    STATE(16474), 1,
      sym_type_parameters,
    STATE(16475), 1,
      sym_parameter_types,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(169), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(171), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3770), 2,
      sym_comment,
      sym_block_comment,
    STATE(6796), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7234), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156294] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17282), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3771), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156419] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4738), 1,
      sym__alpha_identifier,
    ACTIONS(4740), 1,
      anon_sym_COLON,
    ACTIONS(4742), 1,
      anon_sym_LBRACE,
    ACTIONS(4744), 1,
      anon_sym__,
    ACTIONS(4748), 1,
      anon_sym_LBRACK,
    ACTIONS(4756), 1,
      sym__backquoted_id,
    ACTIONS(4760), 1,
      sym_integer_literal,
    ACTIONS(6988), 1,
      anon_sym_LPAREN,
    ACTIONS(6990), 1,
      sym_operator_identifier,
    STATE(5109), 1,
      sym__simple_type,
    STATE(5325), 1,
      sym__annotated_type,
    STATE(5426), 1,
      sym_identifier,
    STATE(5504), 1,
      sym__soft_identifier,
    STATE(8417), 1,
      sym_annotated_type,
    STATE(11055), 1,
      sym_literal_type,
    STATE(11064), 1,
      sym__non_null_literal,
    STATE(13548), 1,
      sym__infix_type_choice,
    STATE(14073), 1,
      sym__type,
    STATE(14170), 1,
      sym_template_body,
    STATE(16074), 1,
      sym_type_parameters,
    STATE(16077), 1,
      sym_parameter_types,
    STATE(18901), 1,
      sym_stable_identifier,
    ACTIONS(4762), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4764), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4768), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3772), 2,
      sym_comment,
      sym_block_comment,
    STATE(9998), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10856), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14300), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14216), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6051), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156544] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4448), 1,
      anon_sym_LBRACK,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6984), 1,
      anon_sym_LPAREN,
    ACTIONS(6986), 1,
      sym_operator_identifier,
    STATE(7794), 1,
      sym__annotated_type,
    STATE(7795), 1,
      sym__simple_type,
    STATE(8002), 1,
      sym__soft_identifier,
    STATE(8453), 1,
      sym_identifier,
    STATE(10589), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11462), 1,
      sym__type,
    STATE(11978), 1,
      sym__non_null_literal,
    STATE(11979), 1,
      sym_literal_type,
    STATE(13332), 1,
      sym__infix_type_choice,
    STATE(16768), 1,
      sym_type_parameters,
    STATE(16850), 1,
      sym_parameter_types,
    STATE(17798), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3773), 2,
      sym_comment,
      sym_block_comment,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11555), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11929), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9256), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156669] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18428), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3774), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156794] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4448), 1,
      anon_sym_LBRACK,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6984), 1,
      anon_sym_LPAREN,
    ACTIONS(6986), 1,
      sym_operator_identifier,
    STATE(7794), 1,
      sym__annotated_type,
    STATE(7795), 1,
      sym__simple_type,
    STATE(8002), 1,
      sym__soft_identifier,
    STATE(8453), 1,
      sym_identifier,
    STATE(10589), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11463), 1,
      sym__type,
    STATE(11978), 1,
      sym__non_null_literal,
    STATE(11979), 1,
      sym_literal_type,
    STATE(13332), 1,
      sym__infix_type_choice,
    STATE(16768), 1,
      sym_type_parameters,
    STATE(16850), 1,
      sym_parameter_types,
    STATE(17798), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3775), 2,
      sym_comment,
      sym_block_comment,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11555), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11929), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9256), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156919] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17307), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3776), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157044] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(167), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(5480), 1,
      anon_sym_LBRACK,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(7025), 1,
      sym__annotated_type,
    STATE(8788), 1,
      sym__non_null_literal,
    STATE(8790), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11462), 1,
      sym__type,
    STATE(13402), 1,
      sym__infix_type_choice,
    STATE(16474), 1,
      sym_type_parameters,
    STATE(16475), 1,
      sym_parameter_types,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(169), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(171), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3777), 2,
      sym_comment,
      sym_block_comment,
    STATE(6796), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7234), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157169] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18444), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3778), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157294] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(167), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(5480), 1,
      anon_sym_LBRACK,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(7025), 1,
      sym__annotated_type,
    STATE(8788), 1,
      sym__non_null_literal,
    STATE(8790), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11463), 1,
      sym__type,
    STATE(13402), 1,
      sym__infix_type_choice,
    STATE(16474), 1,
      sym_type_parameters,
    STATE(16475), 1,
      sym_parameter_types,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(169), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(171), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3779), 2,
      sym_comment,
      sym_block_comment,
    STATE(6796), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7234), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157419] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4448), 1,
      anon_sym_LBRACK,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(4460), 1,
      sym_integer_literal,
    ACTIONS(6984), 1,
      anon_sym_LPAREN,
    ACTIONS(6986), 1,
      sym_operator_identifier,
    STATE(7794), 1,
      sym__annotated_type,
    STATE(7795), 1,
      sym__simple_type,
    STATE(8002), 1,
      sym__soft_identifier,
    STATE(8453), 1,
      sym_identifier,
    STATE(10589), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11464), 1,
      sym__type,
    STATE(11978), 1,
      sym__non_null_literal,
    STATE(11979), 1,
      sym_literal_type,
    STATE(13332), 1,
      sym__infix_type_choice,
    STATE(16768), 1,
      sym_type_parameters,
    STATE(16850), 1,
      sym_parameter_types,
    STATE(17798), 1,
      sym_stable_identifier,
    ACTIONS(4462), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4464), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4468), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3780), 2,
      sym_comment,
      sym_block_comment,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11555), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11929), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9256), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157544] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17328), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3781), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157669] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(167), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(5480), 1,
      anon_sym_LBRACK,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(7025), 1,
      sym__annotated_type,
    STATE(8788), 1,
      sym__non_null_literal,
    STATE(8790), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11464), 1,
      sym__type,
    STATE(13402), 1,
      sym__infix_type_choice,
    STATE(16474), 1,
      sym_type_parameters,
    STATE(16475), 1,
      sym_parameter_types,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(169), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(171), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3782), 2,
      sym_comment,
      sym_block_comment,
    STATE(6796), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7234), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157794] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16921), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3783), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157919] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6412), 1,
      sym__alpha_identifier,
    ACTIONS(6414), 1,
      anon_sym_COLON,
    ACTIONS(6416), 1,
      anon_sym_LBRACE,
    ACTIONS(6418), 1,
      anon_sym__,
    ACTIONS(6420), 1,
      anon_sym_LBRACK,
    ACTIONS(6424), 1,
      anon_sym_LPAREN,
    ACTIONS(6426), 1,
      sym__backquoted_id,
    ACTIONS(6428), 1,
      sym_operator_identifier,
    ACTIONS(6430), 1,
      sym_integer_literal,
    STATE(6300), 1,
      sym__simple_type,
    STATE(6354), 1,
      sym_identifier,
    STATE(6890), 1,
      sym__soft_identifier,
    STATE(6977), 1,
      sym__annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(8255), 1,
      sym__type,
    STATE(10256), 1,
      sym_annotated_type,
    STATE(11392), 1,
      sym__non_null_literal,
    STATE(11393), 1,
      sym_literal_type,
    STATE(13140), 1,
      sym__infix_type_choice,
    STATE(16317), 1,
      sym_type_parameters,
    STATE(16318), 1,
      sym_parameter_types,
    STATE(19353), 1,
      sym_stable_identifier,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3784), 2,
      sym_comment,
      sym_block_comment,
    STATE(10871), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11765), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6422), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7457), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158044] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6806), 1,
      sym__alpha_identifier,
    ACTIONS(6808), 1,
      anon_sym_COLON,
    ACTIONS(6810), 1,
      anon_sym_LBRACE,
    ACTIONS(6812), 1,
      anon_sym__,
    ACTIONS(6814), 1,
      anon_sym_LBRACK,
    ACTIONS(6818), 1,
      anon_sym_LPAREN,
    ACTIONS(6820), 1,
      sym__backquoted_id,
    ACTIONS(6822), 1,
      sym_operator_identifier,
    ACTIONS(6824), 1,
      sym_integer_literal,
    STATE(9141), 1,
      sym__simple_type,
    STATE(9433), 1,
      sym__soft_identifier,
    STATE(9503), 1,
      sym__annotated_type,
    STATE(9695), 1,
      sym_identifier,
    STATE(11437), 1,
      sym_annotated_type,
    STATE(13188), 1,
      sym__non_null_literal,
    STATE(13228), 1,
      sym_literal_type,
    STATE(13534), 1,
      sym__infix_type_choice,
    STATE(15962), 1,
      sym_type_parameters,
    STATE(15966), 1,
      sym_parameter_types,
    STATE(17374), 1,
      sym_template_body,
    STATE(17669), 1,
      sym__type,
    STATE(18830), 1,
      sym_stable_identifier,
    ACTIONS(6826), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6828), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6830), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3785), 2,
      sym_comment,
      sym_block_comment,
    STATE(12322), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12453), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13300), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17765), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6816), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10241), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158169] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15880), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3786), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158294] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1761), 1,
      sym_integer_literal,
    ACTIONS(6868), 1,
      sym__alpha_identifier,
    ACTIONS(6870), 1,
      anon_sym_COLON,
    ACTIONS(6872), 1,
      anon_sym_LBRACE,
    ACTIONS(6874), 1,
      anon_sym__,
    ACTIONS(6876), 1,
      anon_sym_LBRACK,
    ACTIONS(6880), 1,
      anon_sym_LPAREN,
    ACTIONS(6882), 1,
      sym__backquoted_id,
    ACTIONS(6884), 1,
      sym_operator_identifier,
    STATE(5839), 1,
      sym__simple_type,
    STATE(6147), 1,
      sym__annotated_type,
    STATE(6569), 1,
      sym__soft_identifier,
    STATE(6721), 1,
      sym_identifier,
    STATE(9577), 1,
      sym_annotated_type,
    STATE(11354), 1,
      sym_literal_type,
    STATE(11492), 1,
      sym__non_null_literal,
    STATE(13538), 1,
      sym__infix_type_choice,
    STATE(14563), 1,
      sym_template_body,
    STATE(14716), 1,
      sym__type,
    STATE(16373), 1,
      sym_type_parameters,
    STATE(16374), 1,
      sym_parameter_types,
    STATE(18860), 1,
      sym_stable_identifier,
    ACTIONS(1763), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1765), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1769), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3787), 2,
      sym_comment,
      sym_block_comment,
    STATE(9495), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9854), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11033), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14606), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6878), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7931), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158419] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1317), 1,
      sym_integer_literal,
    ACTIONS(6348), 1,
      sym__alpha_identifier,
    ACTIONS(6350), 1,
      anon_sym_COLON,
    ACTIONS(6352), 1,
      anon_sym_LBRACE,
    ACTIONS(6354), 1,
      anon_sym__,
    ACTIONS(6356), 1,
      anon_sym_LBRACK,
    ACTIONS(6360), 1,
      anon_sym_LPAREN,
    ACTIONS(6362), 1,
      sym__backquoted_id,
    ACTIONS(6364), 1,
      sym_operator_identifier,
    STATE(5577), 1,
      sym__simple_type,
    STATE(5781), 1,
      sym__annotated_type,
    STATE(6052), 1,
      sym_identifier,
    STATE(6144), 1,
      sym__soft_identifier,
    STATE(9312), 1,
      sym_annotated_type,
    STATE(11198), 1,
      sym_literal_type,
    STATE(11257), 1,
      sym__non_null_literal,
    STATE(13549), 1,
      sym__infix_type_choice,
    STATE(14170), 1,
      sym_template_body,
    STATE(14186), 1,
      sym__type,
    STATE(16379), 1,
      sym_type_parameters,
    STATE(16380), 1,
      sym_parameter_types,
    STATE(18907), 1,
      sym_stable_identifier,
    ACTIONS(1319), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1321), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1325), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3788), 2,
      sym_comment,
      sym_block_comment,
    STATE(9184), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9330), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10683), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14216), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6358), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6385), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158544] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(6634), 1,
      sym__alpha_identifier,
    ACTIONS(6640), 1,
      anon_sym__,
    ACTIONS(6646), 1,
      anon_sym_LPAREN,
    ACTIONS(6648), 1,
      sym__backquoted_id,
    ACTIONS(6650), 1,
      sym_operator_identifier,
    ACTIONS(6710), 1,
      anon_sym_COLON,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    ACTIONS(6714), 1,
      anon_sym_LBRACK,
    STATE(5952), 1,
      sym__simple_type,
    STATE(6655), 1,
      sym__soft_identifier,
    STATE(6914), 1,
      sym_identifier,
    STATE(7419), 1,
      sym__annotated_type,
    STATE(9996), 1,
      sym_annotated_type,
    STATE(11698), 1,
      sym__non_null_literal,
    STATE(11700), 1,
      sym_literal_type,
    STATE(11918), 1,
      sym_template_body,
    STATE(12693), 1,
      sym__type,
    STATE(13320), 1,
      sym__infix_type_choice,
    STATE(17031), 1,
      sym_type_parameters,
    STATE(17035), 1,
      sym_parameter_types,
    STATE(19535), 1,
      sym_stable_identifier,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3789), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11276), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11953), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11882), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6644), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7691), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158669] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6478), 1,
      anon_sym_LBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13392), 1,
      sym__infix_type_choice,
    STATE(16476), 1,
      sym_type_parameters,
    STATE(16477), 1,
      sym_parameter_types,
    STATE(18301), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3790), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158794] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15890), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3791), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158919] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(6634), 1,
      sym__alpha_identifier,
    ACTIONS(6640), 1,
      anon_sym__,
    ACTIONS(6646), 1,
      anon_sym_LPAREN,
    ACTIONS(6648), 1,
      sym__backquoted_id,
    ACTIONS(6650), 1,
      sym_operator_identifier,
    ACTIONS(6710), 1,
      anon_sym_COLON,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    ACTIONS(6714), 1,
      anon_sym_LBRACK,
    STATE(5952), 1,
      sym__simple_type,
    STATE(6655), 1,
      sym__soft_identifier,
    STATE(6914), 1,
      sym_identifier,
    STATE(7419), 1,
      sym__annotated_type,
    STATE(9996), 1,
      sym_annotated_type,
    STATE(11698), 1,
      sym__non_null_literal,
    STATE(11700), 1,
      sym_literal_type,
    STATE(11918), 1,
      sym_template_body,
    STATE(12695), 1,
      sym__type,
    STATE(13320), 1,
      sym__infix_type_choice,
    STATE(17031), 1,
      sym_type_parameters,
    STATE(17035), 1,
      sym_parameter_types,
    STATE(19535), 1,
      sym_stable_identifier,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3792), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11276), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11953), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11882), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6644), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7691), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159044] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6478), 1,
      anon_sym_LBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13392), 1,
      sym__infix_type_choice,
    STATE(16476), 1,
      sym_type_parameters,
    STATE(16477), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    STATE(19233), 1,
      sym__type,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3793), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159169] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3514), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6610), 1,
      anon_sym_COLON,
    ACTIONS(6612), 1,
      anon_sym_LBRACE,
    ACTIONS(6614), 1,
      anon_sym_LBRACK,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(10707), 1,
      sym__annotated_type,
    STATE(13420), 1,
      sym__infix_type_choice,
    STATE(13949), 1,
      sym__non_null_literal,
    STATE(13950), 1,
      sym_literal_type,
    STATE(17151), 1,
      sym_type_parameters,
    STATE(17170), 1,
      sym_parameter_types,
    STATE(18260), 1,
      sym_template_body,
    STATE(18541), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(3516), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(3518), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3522), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3794), 2,
      sym_comment,
      sym_block_comment,
    STATE(11375), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13541), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(18335), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17990), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159294] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4500), 1,
      sym__alpha_identifier,
    ACTIONS(4502), 1,
      anon_sym_COLON,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    ACTIONS(4506), 1,
      anon_sym__,
    ACTIONS(4510), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      sym__backquoted_id,
    ACTIONS(4522), 1,
      sym_integer_literal,
    ACTIONS(6764), 1,
      anon_sym_LPAREN,
    ACTIONS(6766), 1,
      sym_operator_identifier,
    STATE(5927), 1,
      sym__simple_type,
    STATE(6214), 1,
      sym__annotated_type,
    STATE(6705), 1,
      sym_identifier,
    STATE(6913), 1,
      sym__soft_identifier,
    STATE(9528), 1,
      sym_annotated_type,
    STATE(11312), 1,
      sym_literal_type,
    STATE(11332), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13113), 1,
      sym__type,
    STATE(13428), 1,
      sym__infix_type_choice,
    STATE(16139), 1,
      sym_type_parameters,
    STATE(16148), 1,
      sym_parameter_types,
    STATE(18142), 1,
      sym_stable_identifier,
    ACTIONS(4524), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4526), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4528), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3795), 2,
      sym_comment,
      sym_block_comment,
    STATE(10887), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11469), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12935), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4512), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7249), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159419] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15896), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3796), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159544] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(575), 1,
      sym_integer_literal,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    ACTIONS(6464), 1,
      anon_sym_COLON,
    ACTIONS(6466), 1,
      anon_sym_LBRACE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(6794), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(10380), 1,
      sym_literal_type,
    STATE(10428), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13462), 1,
      sym__infix_type_choice,
    STATE(14977), 1,
      sym__type,
    STATE(16353), 1,
      sym_type_parameters,
    STATE(16354), 1,
      sym_parameter_types,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(577), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(579), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(589), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3797), 2,
      sym_comment,
      sym_block_comment,
    STATE(9563), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9632), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159669] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4502), 1,
      anon_sym_COLON,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    ACTIONS(6962), 1,
      sym__alpha_identifier,
    ACTIONS(6964), 1,
      anon_sym__,
    ACTIONS(6966), 1,
      anon_sym_LBRACK,
    ACTIONS(6970), 1,
      anon_sym_LPAREN,
    ACTIONS(6972), 1,
      sym__backquoted_id,
    ACTIONS(6974), 1,
      sym_operator_identifier,
    ACTIONS(6976), 1,
      sym_integer_literal,
    STATE(5905), 1,
      sym__simple_type,
    STATE(6472), 1,
      sym__soft_identifier,
    STATE(6873), 1,
      sym_identifier,
    STATE(7058), 1,
      sym__annotated_type,
    STATE(10073), 1,
      sym_annotated_type,
    STATE(11415), 1,
      sym_literal_type,
    STATE(11475), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13103), 1,
      sym__type,
    STATE(13470), 1,
      sym__infix_type_choice,
    STATE(16454), 1,
      sym_type_parameters,
    STATE(16455), 1,
      sym_parameter_types,
    STATE(18558), 1,
      sym_stable_identifier,
    ACTIONS(6978), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6980), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6982), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3798), 2,
      sym_comment,
      sym_block_comment,
    STATE(10806), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12935), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6968), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7578), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159794] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1317), 1,
      sym_integer_literal,
    ACTIONS(6348), 1,
      sym__alpha_identifier,
    ACTIONS(6350), 1,
      anon_sym_COLON,
    ACTIONS(6352), 1,
      anon_sym_LBRACE,
    ACTIONS(6354), 1,
      anon_sym__,
    ACTIONS(6356), 1,
      anon_sym_LBRACK,
    ACTIONS(6360), 1,
      anon_sym_LPAREN,
    ACTIONS(6362), 1,
      sym__backquoted_id,
    ACTIONS(6364), 1,
      sym_operator_identifier,
    STATE(5577), 1,
      sym__simple_type,
    STATE(5781), 1,
      sym__annotated_type,
    STATE(6052), 1,
      sym_identifier,
    STATE(6144), 1,
      sym__soft_identifier,
    STATE(9312), 1,
      sym_annotated_type,
    STATE(11198), 1,
      sym_literal_type,
    STATE(11257), 1,
      sym__non_null_literal,
    STATE(13549), 1,
      sym__infix_type_choice,
    STATE(14170), 1,
      sym_template_body,
    STATE(14341), 1,
      sym__type,
    STATE(16379), 1,
      sym_type_parameters,
    STATE(16380), 1,
      sym_parameter_types,
    STATE(18907), 1,
      sym_stable_identifier,
    ACTIONS(1319), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1321), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1325), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3799), 2,
      sym_comment,
      sym_block_comment,
    STATE(9184), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9330), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10683), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14216), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6358), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6385), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159919] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15908), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3800), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160044] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4500), 1,
      sym__alpha_identifier,
    ACTIONS(4502), 1,
      anon_sym_COLON,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    ACTIONS(4506), 1,
      anon_sym__,
    ACTIONS(4510), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      sym__backquoted_id,
    ACTIONS(4522), 1,
      sym_integer_literal,
    ACTIONS(6764), 1,
      anon_sym_LPAREN,
    ACTIONS(6766), 1,
      sym_operator_identifier,
    STATE(5927), 1,
      sym__simple_type,
    STATE(6214), 1,
      sym__annotated_type,
    STATE(6705), 1,
      sym_identifier,
    STATE(6913), 1,
      sym__soft_identifier,
    STATE(9528), 1,
      sym_annotated_type,
    STATE(11312), 1,
      sym_literal_type,
    STATE(11332), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13114), 1,
      sym__type,
    STATE(13428), 1,
      sym__infix_type_choice,
    STATE(16139), 1,
      sym_type_parameters,
    STATE(16148), 1,
      sym_parameter_types,
    STATE(18142), 1,
      sym_stable_identifier,
    ACTIONS(4524), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4526), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4528), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3801), 2,
      sym_comment,
      sym_block_comment,
    STATE(10887), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11469), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12935), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4512), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7249), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160169] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15917), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3802), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160294] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1317), 1,
      sym_integer_literal,
    ACTIONS(6348), 1,
      sym__alpha_identifier,
    ACTIONS(6350), 1,
      anon_sym_COLON,
    ACTIONS(6352), 1,
      anon_sym_LBRACE,
    ACTIONS(6354), 1,
      anon_sym__,
    ACTIONS(6356), 1,
      anon_sym_LBRACK,
    ACTIONS(6360), 1,
      anon_sym_LPAREN,
    ACTIONS(6362), 1,
      sym__backquoted_id,
    ACTIONS(6364), 1,
      sym_operator_identifier,
    STATE(5577), 1,
      sym__simple_type,
    STATE(5781), 1,
      sym__annotated_type,
    STATE(6052), 1,
      sym_identifier,
    STATE(6144), 1,
      sym__soft_identifier,
    STATE(9312), 1,
      sym_annotated_type,
    STATE(11198), 1,
      sym_literal_type,
    STATE(11257), 1,
      sym__non_null_literal,
    STATE(13549), 1,
      sym__infix_type_choice,
    STATE(14070), 1,
      sym__type,
    STATE(14170), 1,
      sym_template_body,
    STATE(16379), 1,
      sym_type_parameters,
    STATE(16380), 1,
      sym_parameter_types,
    STATE(18907), 1,
      sym_stable_identifier,
    ACTIONS(1319), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1321), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1325), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3803), 2,
      sym_comment,
      sym_block_comment,
    STATE(9184), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9330), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10683), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14216), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6358), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6385), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160419] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1317), 1,
      sym_integer_literal,
    ACTIONS(6348), 1,
      sym__alpha_identifier,
    ACTIONS(6350), 1,
      anon_sym_COLON,
    ACTIONS(6352), 1,
      anon_sym_LBRACE,
    ACTIONS(6354), 1,
      anon_sym__,
    ACTIONS(6356), 1,
      anon_sym_LBRACK,
    ACTIONS(6360), 1,
      anon_sym_LPAREN,
    ACTIONS(6362), 1,
      sym__backquoted_id,
    ACTIONS(6364), 1,
      sym_operator_identifier,
    STATE(5577), 1,
      sym__simple_type,
    STATE(5781), 1,
      sym__annotated_type,
    STATE(6052), 1,
      sym_identifier,
    STATE(6144), 1,
      sym__soft_identifier,
    STATE(9312), 1,
      sym_annotated_type,
    STATE(11198), 1,
      sym_literal_type,
    STATE(11257), 1,
      sym__non_null_literal,
    STATE(13549), 1,
      sym__infix_type_choice,
    STATE(14071), 1,
      sym__type,
    STATE(14170), 1,
      sym_template_body,
    STATE(16379), 1,
      sym_type_parameters,
    STATE(16380), 1,
      sym_parameter_types,
    STATE(18907), 1,
      sym_stable_identifier,
    ACTIONS(1319), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1321), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1325), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3804), 2,
      sym_comment,
      sym_block_comment,
    STATE(9184), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9330), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10683), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14216), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6358), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6385), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160544] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15930), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3805), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160669] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18326), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3806), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160794] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6776), 1,
      sym__alpha_identifier,
    ACTIONS(6778), 1,
      anon_sym_COLON,
    ACTIONS(6780), 1,
      anon_sym_LBRACE,
    ACTIONS(6782), 1,
      anon_sym__,
    ACTIONS(6784), 1,
      anon_sym_LBRACK,
    ACTIONS(6788), 1,
      anon_sym_LPAREN,
    ACTIONS(6790), 1,
      sym__backquoted_id,
    ACTIONS(6792), 1,
      sym_operator_identifier,
    ACTIONS(6794), 1,
      sym_integer_literal,
    STATE(6311), 1,
      sym__simple_type,
    STATE(6359), 1,
      sym__annotated_type,
    STATE(6632), 1,
      sym__soft_identifier,
    STATE(6764), 1,
      sym_identifier,
    STATE(9959), 1,
      sym_annotated_type,
    STATE(11465), 1,
      sym__non_null_literal,
    STATE(11466), 1,
      sym_literal_type,
    STATE(11678), 1,
      sym_template_body,
    STATE(11756), 1,
      sym__type,
    STATE(13387), 1,
      sym__infix_type_choice,
    STATE(16750), 1,
      sym_type_parameters,
    STATE(16756), 1,
      sym_parameter_types,
    STATE(17910), 1,
      sym_stable_identifier,
    ACTIONS(6796), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6798), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6800), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3807), 2,
      sym_comment,
      sym_block_comment,
    STATE(11023), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11365), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11689), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11795), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6786), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7852), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160919] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18379), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3808), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161044] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15940), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3809), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161169] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(6684), 1,
      sym__alpha_identifier,
    ACTIONS(6686), 1,
      anon_sym__,
    ACTIONS(6688), 1,
      anon_sym_LBRACK,
    ACTIONS(6692), 1,
      anon_sym_LPAREN,
    ACTIONS(6694), 1,
      sym__backquoted_id,
    ACTIONS(6696), 1,
      sym_operator_identifier,
    ACTIONS(6698), 1,
      sym_integer_literal,
    STATE(6170), 1,
      sym__simple_type,
    STATE(6808), 1,
      sym__annotated_type,
    STATE(6983), 1,
      sym_identifier,
    STATE(6988), 1,
      sym__soft_identifier,
    STATE(10181), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11429), 1,
      sym__type,
    STATE(11532), 1,
      sym__non_null_literal,
    STATE(11533), 1,
      sym_literal_type,
    STATE(13410), 1,
      sym__infix_type_choice,
    STATE(16494), 1,
      sym_type_parameters,
    STATE(16495), 1,
      sym_parameter_types,
    STATE(18029), 1,
      sym_stable_identifier,
    ACTIONS(6700), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6702), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6704), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3810), 2,
      sym_comment,
      sym_block_comment,
    STATE(10926), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11413), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6690), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7146), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161294] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16643), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3811), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161419] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(6634), 1,
      sym__alpha_identifier,
    ACTIONS(6640), 1,
      anon_sym__,
    ACTIONS(6646), 1,
      anon_sym_LPAREN,
    ACTIONS(6648), 1,
      sym__backquoted_id,
    ACTIONS(6650), 1,
      sym_operator_identifier,
    ACTIONS(6710), 1,
      anon_sym_COLON,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    ACTIONS(6714), 1,
      anon_sym_LBRACK,
    STATE(5952), 1,
      sym__simple_type,
    STATE(6655), 1,
      sym__soft_identifier,
    STATE(6914), 1,
      sym_identifier,
    STATE(7419), 1,
      sym__annotated_type,
    STATE(9996), 1,
      sym_annotated_type,
    STATE(11698), 1,
      sym__non_null_literal,
    STATE(11700), 1,
      sym_literal_type,
    STATE(11918), 1,
      sym_template_body,
    STATE(13001), 1,
      sym__type,
    STATE(13320), 1,
      sym__infix_type_choice,
    STATE(17031), 1,
      sym_type_parameters,
    STATE(17035), 1,
      sym_parameter_types,
    STATE(19535), 1,
      sym_stable_identifier,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3812), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11276), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11953), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11882), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6644), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7691), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161544] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15952), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3813), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161669] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1317), 1,
      sym_integer_literal,
    ACTIONS(6348), 1,
      sym__alpha_identifier,
    ACTIONS(6350), 1,
      anon_sym_COLON,
    ACTIONS(6352), 1,
      anon_sym_LBRACE,
    ACTIONS(6354), 1,
      anon_sym__,
    ACTIONS(6356), 1,
      anon_sym_LBRACK,
    ACTIONS(6360), 1,
      anon_sym_LPAREN,
    ACTIONS(6362), 1,
      sym__backquoted_id,
    ACTIONS(6364), 1,
      sym_operator_identifier,
    STATE(5577), 1,
      sym__simple_type,
    STATE(5781), 1,
      sym__annotated_type,
    STATE(6052), 1,
      sym_identifier,
    STATE(6144), 1,
      sym__soft_identifier,
    STATE(9312), 1,
      sym_annotated_type,
    STATE(11198), 1,
      sym_literal_type,
    STATE(11257), 1,
      sym__non_null_literal,
    STATE(13549), 1,
      sym__infix_type_choice,
    STATE(14073), 1,
      sym__type,
    STATE(14170), 1,
      sym_template_body,
    STATE(16379), 1,
      sym_type_parameters,
    STATE(16380), 1,
      sym_parameter_types,
    STATE(18907), 1,
      sym_stable_identifier,
    ACTIONS(1319), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1321), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1325), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3814), 2,
      sym_comment,
      sym_block_comment,
    STATE(9184), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9330), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10683), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14216), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6358), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6385), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161794] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4274), 1,
      sym__alpha_identifier,
    ACTIONS(4276), 1,
      anon_sym_COLON,
    ACTIONS(4278), 1,
      anon_sym_LBRACE,
    ACTIONS(4280), 1,
      anon_sym__,
    ACTIONS(4284), 1,
      anon_sym_LBRACK,
    ACTIONS(4292), 1,
      sym__backquoted_id,
    ACTIONS(4296), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      anon_sym_LPAREN,
    ACTIONS(7012), 1,
      sym_operator_identifier,
    STATE(4740), 1,
      sym__annotated_type,
    STATE(4788), 1,
      sym__simple_type,
    STATE(4817), 1,
      sym__soft_identifier,
    STATE(4903), 1,
      sym_identifier,
    STATE(6465), 1,
      sym_annotated_type,
    STATE(10107), 1,
      sym_literal_type,
    STATE(10347), 1,
      sym__non_null_literal,
    STATE(13333), 1,
      sym__type,
    STATE(13500), 1,
      sym__infix_type_choice,
    STATE(13574), 1,
      sym_template_body,
    STATE(16825), 1,
      sym_type_parameters,
    STATE(16828), 1,
      sym_parameter_types,
    STATE(18661), 1,
      sym_stable_identifier,
    ACTIONS(4298), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4300), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4304), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3815), 2,
      sym_comment,
      sym_block_comment,
    STATE(8699), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10203), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13166), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13305), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4286), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5026), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161919] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(6634), 1,
      sym__alpha_identifier,
    ACTIONS(6640), 1,
      anon_sym__,
    ACTIONS(6646), 1,
      anon_sym_LPAREN,
    ACTIONS(6648), 1,
      sym__backquoted_id,
    ACTIONS(6650), 1,
      sym_operator_identifier,
    ACTIONS(6710), 1,
      anon_sym_COLON,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    ACTIONS(6714), 1,
      anon_sym_LBRACK,
    STATE(5952), 1,
      sym__simple_type,
    STATE(6655), 1,
      sym__soft_identifier,
    STATE(6914), 1,
      sym_identifier,
    STATE(7419), 1,
      sym__annotated_type,
    STATE(9996), 1,
      sym_annotated_type,
    STATE(11698), 1,
      sym__non_null_literal,
    STATE(11700), 1,
      sym_literal_type,
    STATE(11918), 1,
      sym_template_body,
    STATE(12794), 1,
      sym__type,
    STATE(13320), 1,
      sym__infix_type_choice,
    STATE(17031), 1,
      sym_type_parameters,
    STATE(17035), 1,
      sym_parameter_types,
    STATE(19535), 1,
      sym_stable_identifier,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3816), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11276), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11953), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11882), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6644), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7691), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162044] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6478), 1,
      anon_sym_LBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13392), 1,
      sym__infix_type_choice,
    STATE(16476), 1,
      sym_type_parameters,
    STATE(16477), 1,
      sym_parameter_types,
    STATE(17912), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3817), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162169] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15965), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3818), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162294] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(6634), 1,
      sym__alpha_identifier,
    ACTIONS(6640), 1,
      anon_sym__,
    ACTIONS(6646), 1,
      anon_sym_LPAREN,
    ACTIONS(6648), 1,
      sym__backquoted_id,
    ACTIONS(6650), 1,
      sym_operator_identifier,
    ACTIONS(6710), 1,
      anon_sym_COLON,
    ACTIONS(6712), 1,
      anon_sym_LBRACE,
    ACTIONS(6714), 1,
      anon_sym_LBRACK,
    STATE(5952), 1,
      sym__simple_type,
    STATE(6655), 1,
      sym__soft_identifier,
    STATE(6914), 1,
      sym_identifier,
    STATE(7419), 1,
      sym__annotated_type,
    STATE(9996), 1,
      sym_annotated_type,
    STATE(11698), 1,
      sym__non_null_literal,
    STATE(11700), 1,
      sym_literal_type,
    STATE(11918), 1,
      sym_template_body,
    STATE(12800), 1,
      sym__type,
    STATE(13320), 1,
      sym__infix_type_choice,
    STATE(17031), 1,
      sym_type_parameters,
    STATE(17035), 1,
      sym_parameter_types,
    STATE(19535), 1,
      sym_stable_identifier,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3819), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11276), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11953), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11882), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6644), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7691), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162419] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6478), 1,
      anon_sym_LBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13392), 1,
      sym__infix_type_choice,
    STATE(16476), 1,
      sym_type_parameters,
    STATE(16477), 1,
      sym_parameter_types,
    STATE(17917), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3820), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162544] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4370), 1,
      sym__alpha_identifier,
    ACTIONS(4372), 1,
      anon_sym_COLON,
    ACTIONS(4374), 1,
      anon_sym_LBRACE,
    ACTIONS(4376), 1,
      anon_sym__,
    ACTIONS(4380), 1,
      anon_sym_LBRACK,
    ACTIONS(4388), 1,
      sym__backquoted_id,
    ACTIONS(4392), 1,
      sym_integer_literal,
    ACTIONS(6992), 1,
      anon_sym_LPAREN,
    ACTIONS(6994), 1,
      sym_operator_identifier,
    STATE(5008), 1,
      sym__simple_type,
    STATE(5333), 1,
      sym__annotated_type,
    STATE(5378), 1,
      sym_identifier,
    STATE(5425), 1,
      sym__soft_identifier,
    STATE(7953), 1,
      sym_annotated_type,
    STATE(10780), 1,
      sym_literal_type,
    STATE(10930), 1,
      sym__non_null_literal,
    STATE(13453), 1,
      sym__infix_type_choice,
    STATE(14091), 1,
      sym_template_body,
    STATE(14370), 1,
      sym__type,
    STATE(16432), 1,
      sym_type_parameters,
    STATE(16436), 1,
      sym_parameter_types,
    STATE(18397), 1,
      sym_stable_identifier,
    ACTIONS(4394), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4396), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4400), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3821), 2,
      sym_comment,
      sym_block_comment,
    STATE(9977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11066), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14253), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14350), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4382), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5830), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162669] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4274), 1,
      sym__alpha_identifier,
    ACTIONS(4276), 1,
      anon_sym_COLON,
    ACTIONS(4278), 1,
      anon_sym_LBRACE,
    ACTIONS(4280), 1,
      anon_sym__,
    ACTIONS(4284), 1,
      anon_sym_LBRACK,
    ACTIONS(4292), 1,
      sym__backquoted_id,
    ACTIONS(4296), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      anon_sym_LPAREN,
    ACTIONS(7012), 1,
      sym_operator_identifier,
    STATE(4740), 1,
      sym__annotated_type,
    STATE(4788), 1,
      sym__simple_type,
    STATE(4817), 1,
      sym__soft_identifier,
    STATE(4903), 1,
      sym_identifier,
    STATE(6465), 1,
      sym_annotated_type,
    STATE(10107), 1,
      sym_literal_type,
    STATE(10347), 1,
      sym__non_null_literal,
    STATE(13335), 1,
      sym__type,
    STATE(13500), 1,
      sym__infix_type_choice,
    STATE(13574), 1,
      sym_template_body,
    STATE(16825), 1,
      sym_type_parameters,
    STATE(16828), 1,
      sym_parameter_types,
    STATE(18661), 1,
      sym_stable_identifier,
    ACTIONS(4298), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4300), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4304), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3822), 2,
      sym_comment,
      sym_block_comment,
    STATE(8699), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10203), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13166), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13305), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4286), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5026), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162794] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15976), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3823), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162919] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(167), 1,
      sym_integer_literal,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    ACTIONS(6402), 1,
      anon_sym_COLON,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(6498), 1,
      anon_sym_LBRACK,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(5060), 1,
      sym__annotated_type,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(8788), 1,
      sym__non_null_literal,
    STATE(8790), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(13398), 1,
      sym__infix_type_choice,
    STATE(15274), 1,
      sym__type,
    STATE(16448), 1,
      sym_type_parameters,
    STATE(16449), 1,
      sym_parameter_types,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(169), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(171), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3824), 2,
      sym_comment,
      sym_block_comment,
    STATE(6796), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7234), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163044] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(6684), 1,
      sym__alpha_identifier,
    ACTIONS(6686), 1,
      anon_sym__,
    ACTIONS(6688), 1,
      anon_sym_LBRACK,
    ACTIONS(6692), 1,
      anon_sym_LPAREN,
    ACTIONS(6694), 1,
      sym__backquoted_id,
    ACTIONS(6696), 1,
      sym_operator_identifier,
    ACTIONS(6698), 1,
      sym_integer_literal,
    STATE(6170), 1,
      sym__simple_type,
    STATE(6808), 1,
      sym__annotated_type,
    STATE(6983), 1,
      sym_identifier,
    STATE(6988), 1,
      sym__soft_identifier,
    STATE(10181), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11447), 1,
      sym__type,
    STATE(11532), 1,
      sym__non_null_literal,
    STATE(11533), 1,
      sym_literal_type,
    STATE(13410), 1,
      sym__infix_type_choice,
    STATE(16494), 1,
      sym_type_parameters,
    STATE(16495), 1,
      sym_parameter_types,
    STATE(18029), 1,
      sym_stable_identifier,
    ACTIONS(6700), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6702), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6704), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3825), 2,
      sym_comment,
      sym_block_comment,
    STATE(10926), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11413), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6690), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7146), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163169] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4274), 1,
      sym__alpha_identifier,
    ACTIONS(4276), 1,
      anon_sym_COLON,
    ACTIONS(4278), 1,
      anon_sym_LBRACE,
    ACTIONS(4280), 1,
      anon_sym__,
    ACTIONS(4284), 1,
      anon_sym_LBRACK,
    ACTIONS(4292), 1,
      sym__backquoted_id,
    ACTIONS(4296), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      anon_sym_LPAREN,
    ACTIONS(7012), 1,
      sym_operator_identifier,
    STATE(4740), 1,
      sym__annotated_type,
    STATE(4788), 1,
      sym__simple_type,
    STATE(4817), 1,
      sym__soft_identifier,
    STATE(4903), 1,
      sym_identifier,
    STATE(6465), 1,
      sym_annotated_type,
    STATE(10107), 1,
      sym_literal_type,
    STATE(10347), 1,
      sym__non_null_literal,
    STATE(13336), 1,
      sym__type,
    STATE(13500), 1,
      sym__infix_type_choice,
    STATE(13574), 1,
      sym_template_body,
    STATE(16825), 1,
      sym_type_parameters,
    STATE(16828), 1,
      sym_parameter_types,
    STATE(18661), 1,
      sym_stable_identifier,
    ACTIONS(4298), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4300), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4304), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3826), 2,
      sym_comment,
      sym_block_comment,
    STATE(8699), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10203), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13166), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13305), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4286), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5026), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163294] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15987), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3827), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163419] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(167), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    ACTIONS(6586), 1,
      anon_sym_LBRACK,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(7504), 1,
      sym__annotated_type,
    STATE(8788), 1,
      sym__non_null_literal,
    STATE(8790), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(13412), 1,
      sym__infix_type_choice,
    STATE(14925), 1,
      sym__type,
    STATE(16507), 1,
      sym_type_parameters,
    STATE(16508), 1,
      sym_parameter_types,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(169), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(171), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3828), 2,
      sym_comment,
      sym_block_comment,
    STATE(6796), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7234), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163544] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(15995), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3829), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163669] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(6684), 1,
      sym__alpha_identifier,
    ACTIONS(6686), 1,
      anon_sym__,
    ACTIONS(6688), 1,
      anon_sym_LBRACK,
    ACTIONS(6692), 1,
      anon_sym_LPAREN,
    ACTIONS(6694), 1,
      sym__backquoted_id,
    ACTIONS(6696), 1,
      sym_operator_identifier,
    ACTIONS(6698), 1,
      sym_integer_literal,
    STATE(6170), 1,
      sym__simple_type,
    STATE(6808), 1,
      sym__annotated_type,
    STATE(6983), 1,
      sym_identifier,
    STATE(6988), 1,
      sym__soft_identifier,
    STATE(10181), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11462), 1,
      sym__type,
    STATE(11532), 1,
      sym__non_null_literal,
    STATE(11533), 1,
      sym_literal_type,
    STATE(13410), 1,
      sym__infix_type_choice,
    STATE(16494), 1,
      sym_type_parameters,
    STATE(16495), 1,
      sym_parameter_types,
    STATE(18029), 1,
      sym_stable_identifier,
    ACTIONS(6700), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6702), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6704), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3830), 2,
      sym_comment,
      sym_block_comment,
    STATE(10926), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11413), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6690), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7146), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163794] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4274), 1,
      sym__alpha_identifier,
    ACTIONS(4276), 1,
      anon_sym_COLON,
    ACTIONS(4278), 1,
      anon_sym_LBRACE,
    ACTIONS(4280), 1,
      anon_sym__,
    ACTIONS(4284), 1,
      anon_sym_LBRACK,
    ACTIONS(4292), 1,
      sym__backquoted_id,
    ACTIONS(4296), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      anon_sym_LPAREN,
    ACTIONS(7012), 1,
      sym_operator_identifier,
    STATE(4740), 1,
      sym__annotated_type,
    STATE(4788), 1,
      sym__simple_type,
    STATE(4817), 1,
      sym__soft_identifier,
    STATE(4903), 1,
      sym_identifier,
    STATE(6465), 1,
      sym_annotated_type,
    STATE(10107), 1,
      sym_literal_type,
    STATE(10347), 1,
      sym__non_null_literal,
    STATE(13338), 1,
      sym__type,
    STATE(13500), 1,
      sym__infix_type_choice,
    STATE(13574), 1,
      sym_template_body,
    STATE(16825), 1,
      sym_type_parameters,
    STATE(16828), 1,
      sym_parameter_types,
    STATE(18661), 1,
      sym_stable_identifier,
    ACTIONS(4298), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4300), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4304), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3831), 2,
      sym_comment,
      sym_block_comment,
    STATE(8699), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10203), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13166), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13305), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4286), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5026), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163919] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(6684), 1,
      sym__alpha_identifier,
    ACTIONS(6686), 1,
      anon_sym__,
    ACTIONS(6688), 1,
      anon_sym_LBRACK,
    ACTIONS(6692), 1,
      anon_sym_LPAREN,
    ACTIONS(6694), 1,
      sym__backquoted_id,
    ACTIONS(6696), 1,
      sym_operator_identifier,
    ACTIONS(6698), 1,
      sym_integer_literal,
    STATE(6170), 1,
      sym__simple_type,
    STATE(6808), 1,
      sym__annotated_type,
    STATE(6983), 1,
      sym_identifier,
    STATE(6988), 1,
      sym__soft_identifier,
    STATE(10181), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11463), 1,
      sym__type,
    STATE(11532), 1,
      sym__non_null_literal,
    STATE(11533), 1,
      sym_literal_type,
    STATE(13410), 1,
      sym__infix_type_choice,
    STATE(16494), 1,
      sym_type_parameters,
    STATE(16495), 1,
      sym_parameter_types,
    STATE(18029), 1,
      sym_stable_identifier,
    ACTIONS(6700), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6702), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6704), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3832), 2,
      sym_comment,
      sym_block_comment,
    STATE(10926), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11413), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6690), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7146), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164044] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6478), 1,
      anon_sym_LBRACK,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(13392), 1,
      sym__infix_type_choice,
    STATE(16476), 1,
      sym_type_parameters,
    STATE(16477), 1,
      sym_parameter_types,
    STATE(17773), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3833), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164169] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16006), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3834), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164294] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(6684), 1,
      sym__alpha_identifier,
    ACTIONS(6686), 1,
      anon_sym__,
    ACTIONS(6688), 1,
      anon_sym_LBRACK,
    ACTIONS(6692), 1,
      anon_sym_LPAREN,
    ACTIONS(6694), 1,
      sym__backquoted_id,
    ACTIONS(6696), 1,
      sym_operator_identifier,
    ACTIONS(6698), 1,
      sym_integer_literal,
    STATE(6170), 1,
      sym__simple_type,
    STATE(6808), 1,
      sym__annotated_type,
    STATE(6983), 1,
      sym_identifier,
    STATE(6988), 1,
      sym__soft_identifier,
    STATE(10181), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11464), 1,
      sym__type,
    STATE(11532), 1,
      sym__non_null_literal,
    STATE(11533), 1,
      sym_literal_type,
    STATE(13410), 1,
      sym__infix_type_choice,
    STATE(16494), 1,
      sym_type_parameters,
    STATE(16495), 1,
      sym_parameter_types,
    STATE(18029), 1,
      sym_stable_identifier,
    ACTIONS(6700), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6702), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6704), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3835), 2,
      sym_comment,
      sym_block_comment,
    STATE(10926), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11413), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6690), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7146), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164419] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18887), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3836), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164544] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6634), 1,
      sym__alpha_identifier,
    ACTIONS(6636), 1,
      anon_sym_COLON,
    ACTIONS(6638), 1,
      anon_sym_LBRACE,
    ACTIONS(6640), 1,
      anon_sym__,
    ACTIONS(6642), 1,
      anon_sym_LBRACK,
    ACTIONS(6646), 1,
      anon_sym_LPAREN,
    ACTIONS(6648), 1,
      sym__backquoted_id,
    ACTIONS(6650), 1,
      sym_operator_identifier,
    ACTIONS(6652), 1,
      sym_integer_literal,
    STATE(5952), 1,
      sym__simple_type,
    STATE(6655), 1,
      sym__soft_identifier,
    STATE(6914), 1,
      sym_identifier,
    STATE(9189), 1,
      sym__annotated_type,
    STATE(9996), 1,
      sym_annotated_type,
    STATE(11950), 1,
      sym_literal_type,
    STATE(12162), 1,
      sym__non_null_literal,
    STATE(12364), 1,
      sym__type,
    STATE(12439), 1,
      sym_template_body,
    STATE(13340), 1,
      sym__infix_type_choice,
    STATE(16804), 1,
      sym_type_parameters,
    STATE(16813), 1,
      sym_parameter_types,
    STATE(19535), 1,
      sym_stable_identifier,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3837), 2,
      sym_comment,
      sym_block_comment,
    STATE(11847), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12433), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12265), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6644), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7691), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164669] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18904), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3838), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164794] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16016), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3839), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164919] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1815), 1,
      sym_integer_literal,
    ACTIONS(6890), 1,
      sym__alpha_identifier,
    ACTIONS(6892), 1,
      anon_sym_COLON,
    ACTIONS(6894), 1,
      anon_sym_LBRACE,
    ACTIONS(6896), 1,
      anon_sym__,
    ACTIONS(6898), 1,
      anon_sym_LBRACK,
    ACTIONS(6902), 1,
      anon_sym_LPAREN,
    ACTIONS(6904), 1,
      sym__backquoted_id,
    ACTIONS(6906), 1,
      sym_operator_identifier,
    STATE(6477), 1,
      sym__simple_type,
    STATE(6620), 1,
      sym__annotated_type,
    STATE(7184), 1,
      sym__soft_identifier,
    STATE(7914), 1,
      sym_identifier,
    STATE(10126), 1,
      sym_annotated_type,
    STATE(11675), 1,
      sym_literal_type,
    STATE(11722), 1,
      sym__non_null_literal,
    STATE(12329), 1,
      sym_template_body,
    STATE(13016), 1,
      sym__type,
    STATE(13540), 1,
      sym__infix_type_choice,
    STATE(16424), 1,
      sym_type_parameters,
    STATE(16425), 1,
      sym_parameter_types,
    STATE(18871), 1,
      sym_stable_identifier,
    ACTIONS(1817), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1819), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1823), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3840), 2,
      sym_comment,
      sym_block_comment,
    STATE(6157), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10049), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11120), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12472), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8614), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165044] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4502), 1,
      anon_sym_COLON,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    ACTIONS(6962), 1,
      sym__alpha_identifier,
    ACTIONS(6964), 1,
      anon_sym__,
    ACTIONS(6966), 1,
      anon_sym_LBRACK,
    ACTIONS(6970), 1,
      anon_sym_LPAREN,
    ACTIONS(6972), 1,
      sym__backquoted_id,
    ACTIONS(6974), 1,
      sym_operator_identifier,
    ACTIONS(6976), 1,
      sym_integer_literal,
    STATE(5905), 1,
      sym__simple_type,
    STATE(6472), 1,
      sym__soft_identifier,
    STATE(6873), 1,
      sym_identifier,
    STATE(7058), 1,
      sym__annotated_type,
    STATE(10073), 1,
      sym_annotated_type,
    STATE(11415), 1,
      sym_literal_type,
    STATE(11475), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13113), 1,
      sym__type,
    STATE(13470), 1,
      sym__infix_type_choice,
    STATE(16454), 1,
      sym_type_parameters,
    STATE(16455), 1,
      sym_parameter_types,
    STATE(18558), 1,
      sym_stable_identifier,
    ACTIONS(6978), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6980), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6982), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3841), 2,
      sym_comment,
      sym_block_comment,
    STATE(10806), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12935), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6968), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7578), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165169] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17080), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3842), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165294] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4502), 1,
      anon_sym_COLON,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    ACTIONS(6962), 1,
      sym__alpha_identifier,
    ACTIONS(6964), 1,
      anon_sym__,
    ACTIONS(6966), 1,
      anon_sym_LBRACK,
    ACTIONS(6970), 1,
      anon_sym_LPAREN,
    ACTIONS(6972), 1,
      sym__backquoted_id,
    ACTIONS(6974), 1,
      sym_operator_identifier,
    ACTIONS(6976), 1,
      sym_integer_literal,
    STATE(5905), 1,
      sym__simple_type,
    STATE(6472), 1,
      sym__soft_identifier,
    STATE(6873), 1,
      sym_identifier,
    STATE(7058), 1,
      sym__annotated_type,
    STATE(10073), 1,
      sym_annotated_type,
    STATE(11415), 1,
      sym_literal_type,
    STATE(11475), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13114), 1,
      sym__type,
    STATE(13470), 1,
      sym__infix_type_choice,
    STATE(16454), 1,
      sym_type_parameters,
    STATE(16455), 1,
      sym_parameter_types,
    STATE(18558), 1,
      sym_stable_identifier,
    ACTIONS(6978), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6980), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6982), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3843), 2,
      sym_comment,
      sym_block_comment,
    STATE(10806), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12935), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6968), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7578), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165419] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16027), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3844), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165544] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(89), 1,
      sym_integer_literal,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5418), 1,
      anon_sym_LPAREN,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    ACTIONS(6402), 1,
      anon_sym_COLON,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(8575), 1,
      sym__annotated_type,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11227), 1,
      sym__non_null_literal,
    STATE(11245), 1,
      sym_literal_type,
    STATE(13367), 1,
      sym__infix_type_choice,
    STATE(15277), 1,
      sym__type,
    STATE(16061), 1,
      sym_type_parameters,
    STATE(16078), 1,
      sym_parameter_types,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(91), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(93), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(105), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3845), 2,
      sym_comment,
      sym_block_comment,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10368), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10554), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165669] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4502), 1,
      anon_sym_COLON,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    ACTIONS(6962), 1,
      sym__alpha_identifier,
    ACTIONS(6964), 1,
      anon_sym__,
    ACTIONS(6966), 1,
      anon_sym_LBRACK,
    ACTIONS(6970), 1,
      anon_sym_LPAREN,
    ACTIONS(6972), 1,
      sym__backquoted_id,
    ACTIONS(6974), 1,
      sym_operator_identifier,
    ACTIONS(6976), 1,
      sym_integer_literal,
    STATE(5905), 1,
      sym__simple_type,
    STATE(6472), 1,
      sym__soft_identifier,
    STATE(6873), 1,
      sym_identifier,
    STATE(7058), 1,
      sym__annotated_type,
    STATE(10073), 1,
      sym_annotated_type,
    STATE(11415), 1,
      sym_literal_type,
    STATE(11475), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13116), 1,
      sym__type,
    STATE(13470), 1,
      sym__infix_type_choice,
    STATE(16454), 1,
      sym_type_parameters,
    STATE(16455), 1,
      sym_parameter_types,
    STATE(18558), 1,
      sym_stable_identifier,
    ACTIONS(6978), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6980), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6982), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3846), 2,
      sym_comment,
      sym_block_comment,
    STATE(10806), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12935), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6968), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7578), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165794] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16036), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3847), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165919] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4500), 1,
      sym__alpha_identifier,
    ACTIONS(4502), 1,
      anon_sym_COLON,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    ACTIONS(4506), 1,
      anon_sym__,
    ACTIONS(4510), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      sym__backquoted_id,
    ACTIONS(4522), 1,
      sym_integer_literal,
    ACTIONS(6764), 1,
      anon_sym_LPAREN,
    ACTIONS(6766), 1,
      sym_operator_identifier,
    STATE(5927), 1,
      sym__simple_type,
    STATE(6214), 1,
      sym__annotated_type,
    STATE(6705), 1,
      sym_identifier,
    STATE(6913), 1,
      sym__soft_identifier,
    STATE(9528), 1,
      sym_annotated_type,
    STATE(11312), 1,
      sym_literal_type,
    STATE(11332), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13116), 1,
      sym__type,
    STATE(13428), 1,
      sym__infix_type_choice,
    STATE(16139), 1,
      sym_type_parameters,
    STATE(16148), 1,
      sym_parameter_types,
    STATE(18142), 1,
      sym_stable_identifier,
    ACTIONS(4524), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4526), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4528), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3848), 2,
      sym_comment,
      sym_block_comment,
    STATE(10887), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11469), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12935), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4512), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7249), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166044] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16047), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3849), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166169] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4338), 1,
      sym__alpha_identifier,
    ACTIONS(4340), 1,
      anon_sym_COLON,
    ACTIONS(4342), 1,
      anon_sym_LBRACE,
    ACTIONS(4344), 1,
      anon_sym__,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      sym__backquoted_id,
    ACTIONS(4360), 1,
      sym_integer_literal,
    ACTIONS(6474), 1,
      anon_sym_LPAREN,
    ACTIONS(6476), 1,
      sym_operator_identifier,
    STATE(5208), 1,
      sym__simple_type,
    STATE(5247), 1,
      sym__annotated_type,
    STATE(5377), 1,
      sym__soft_identifier,
    STATE(5681), 1,
      sym_identifier,
    STATE(8606), 1,
      sym_annotated_type,
    STATE(10766), 1,
      sym_literal_type,
    STATE(10892), 1,
      sym__non_null_literal,
    STATE(13426), 1,
      sym__infix_type_choice,
    STATE(14223), 1,
      sym_template_body,
    STATE(14339), 1,
      sym__type,
    STATE(15956), 1,
      sym_type_parameters,
    STATE(15970), 1,
      sym_parameter_types,
    STATE(18098), 1,
      sym_stable_identifier,
    ACTIONS(4362), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4368), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3850), 2,
      sym_comment,
      sym_block_comment,
    STATE(9965), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11102), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14322), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14100), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4350), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5873), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166294] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(89), 1,
      sym_integer_literal,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5418), 1,
      anon_sym_LPAREN,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    ACTIONS(6402), 1,
      anon_sym_COLON,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(8575), 1,
      sym__annotated_type,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11227), 1,
      sym__non_null_literal,
    STATE(11245), 1,
      sym_literal_type,
    STATE(13367), 1,
      sym__infix_type_choice,
    STATE(15372), 1,
      sym__type,
    STATE(16061), 1,
      sym_type_parameters,
    STATE(16078), 1,
      sym_parameter_types,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(91), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(93), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(105), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3851), 2,
      sym_comment,
      sym_block_comment,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10368), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10554), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166419] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16058), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3852), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166544] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(575), 1,
      sym_integer_literal,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    ACTIONS(6464), 1,
      anon_sym_COLON,
    ACTIONS(6466), 1,
      anon_sym_LBRACE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(6794), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(10380), 1,
      sym_literal_type,
    STATE(10428), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13462), 1,
      sym__infix_type_choice,
    STATE(15855), 1,
      sym__type,
    STATE(16353), 1,
      sym_type_parameters,
    STATE(16354), 1,
      sym_parameter_types,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(577), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(579), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(589), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3853), 2,
      sym_comment,
      sym_block_comment,
    STATE(9563), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9632), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166669] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4274), 1,
      sym__alpha_identifier,
    ACTIONS(4276), 1,
      anon_sym_COLON,
    ACTIONS(4278), 1,
      anon_sym_LBRACE,
    ACTIONS(4280), 1,
      anon_sym__,
    ACTIONS(4284), 1,
      anon_sym_LBRACK,
    ACTIONS(4292), 1,
      sym__backquoted_id,
    ACTIONS(4296), 1,
      sym_integer_literal,
    ACTIONS(7010), 1,
      anon_sym_LPAREN,
    ACTIONS(7012), 1,
      sym_operator_identifier,
    STATE(4740), 1,
      sym__annotated_type,
    STATE(4788), 1,
      sym__simple_type,
    STATE(4817), 1,
      sym__soft_identifier,
    STATE(4903), 1,
      sym_identifier,
    STATE(6465), 1,
      sym_annotated_type,
    STATE(10107), 1,
      sym_literal_type,
    STATE(10347), 1,
      sym__non_null_literal,
    STATE(13368), 1,
      sym__type,
    STATE(13500), 1,
      sym__infix_type_choice,
    STATE(13574), 1,
      sym_template_body,
    STATE(16825), 1,
      sym_type_parameters,
    STATE(16828), 1,
      sym_parameter_types,
    STATE(18661), 1,
      sym_stable_identifier,
    ACTIONS(4298), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4300), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4304), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3854), 2,
      sym_comment,
      sym_block_comment,
    STATE(8699), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10203), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13166), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13305), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4286), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5026), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166794] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1539), 1,
      sym_integer_literal,
    ACTIONS(6570), 1,
      anon_sym_COLON,
    ACTIONS(6572), 1,
      anon_sym_LBRACE,
    ACTIONS(6996), 1,
      sym__alpha_identifier,
    ACTIONS(6998), 1,
      anon_sym__,
    ACTIONS(7000), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_LPAREN,
    ACTIONS(7006), 1,
      sym__backquoted_id,
    ACTIONS(7008), 1,
      sym_operator_identifier,
    STATE(6776), 1,
      sym__simple_type,
    STATE(6909), 1,
      sym__annotated_type,
    STATE(7198), 1,
      sym_identifier,
    STATE(7879), 1,
      sym__soft_identifier,
    STATE(10008), 1,
      sym_annotated_type,
    STATE(11671), 1,
      sym_literal_type,
    STATE(11730), 1,
      sym__non_null_literal,
    STATE(12478), 1,
      sym_template_body,
    STATE(12976), 1,
      sym__type,
    STATE(13438), 1,
      sym__infix_type_choice,
    STATE(16414), 1,
      sym_type_parameters,
    STATE(16415), 1,
      sym_parameter_types,
    STATE(18230), 1,
      sym_stable_identifier,
    ACTIONS(1541), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1543), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1547), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3855), 2,
      sym_comment,
      sym_block_comment,
    STATE(6161), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10000), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11252), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(7002), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8475), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166919] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16068), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3856), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167044] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18693), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3857), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167169] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4260), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 11,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4256), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [167240] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18717), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3859), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167365] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16082), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3860), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167490] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(167), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    ACTIONS(6586), 1,
      anon_sym_LBRACK,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(7504), 1,
      sym__annotated_type,
    STATE(8788), 1,
      sym__non_null_literal,
    STATE(8790), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11429), 1,
      sym__type,
    STATE(13412), 1,
      sym__infix_type_choice,
    STATE(16507), 1,
      sym_type_parameters,
    STATE(16508), 1,
      sym_parameter_types,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(169), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(171), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3861), 2,
      sym_comment,
      sym_block_comment,
    STATE(6796), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7234), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167615] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6634), 1,
      sym__alpha_identifier,
    ACTIONS(6636), 1,
      anon_sym_COLON,
    ACTIONS(6638), 1,
      anon_sym_LBRACE,
    ACTIONS(6640), 1,
      anon_sym__,
    ACTIONS(6642), 1,
      anon_sym_LBRACK,
    ACTIONS(6646), 1,
      anon_sym_LPAREN,
    ACTIONS(6648), 1,
      sym__backquoted_id,
    ACTIONS(6650), 1,
      sym_operator_identifier,
    ACTIONS(6652), 1,
      sym_integer_literal,
    STATE(5952), 1,
      sym__simple_type,
    STATE(6655), 1,
      sym__soft_identifier,
    STATE(6914), 1,
      sym_identifier,
    STATE(9189), 1,
      sym__annotated_type,
    STATE(9996), 1,
      sym_annotated_type,
    STATE(11950), 1,
      sym_literal_type,
    STATE(12162), 1,
      sym__non_null_literal,
    STATE(12439), 1,
      sym_template_body,
    STATE(12460), 1,
      sym__type,
    STATE(13340), 1,
      sym__infix_type_choice,
    STATE(16804), 1,
      sym_type_parameters,
    STATE(16813), 1,
      sym_parameter_types,
    STATE(19535), 1,
      sym_stable_identifier,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3862), 2,
      sym_comment,
      sym_block_comment,
    STATE(11847), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12433), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12265), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6644), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7691), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167740] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16126), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3863), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167865] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4370), 1,
      sym__alpha_identifier,
    ACTIONS(4372), 1,
      anon_sym_COLON,
    ACTIONS(4374), 1,
      anon_sym_LBRACE,
    ACTIONS(4376), 1,
      anon_sym__,
    ACTIONS(4380), 1,
      anon_sym_LBRACK,
    ACTIONS(4388), 1,
      sym__backquoted_id,
    ACTIONS(4392), 1,
      sym_integer_literal,
    ACTIONS(6992), 1,
      anon_sym_LPAREN,
    ACTIONS(6994), 1,
      sym_operator_identifier,
    STATE(5008), 1,
      sym__simple_type,
    STATE(5333), 1,
      sym__annotated_type,
    STATE(5378), 1,
      sym_identifier,
    STATE(5425), 1,
      sym__soft_identifier,
    STATE(7953), 1,
      sym_annotated_type,
    STATE(10780), 1,
      sym_literal_type,
    STATE(10930), 1,
      sym__non_null_literal,
    STATE(13453), 1,
      sym__infix_type_choice,
    STATE(14091), 1,
      sym_template_body,
    STATE(14224), 1,
      sym__type,
    STATE(16432), 1,
      sym_type_parameters,
    STATE(16436), 1,
      sym_parameter_types,
    STATE(18397), 1,
      sym_stable_identifier,
    ACTIONS(4394), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4396), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4400), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3864), 2,
      sym_comment,
      sym_block_comment,
    STATE(9977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11066), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14253), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14350), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4382), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5830), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167990] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16093), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3865), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168115] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4370), 1,
      sym__alpha_identifier,
    ACTIONS(4372), 1,
      anon_sym_COLON,
    ACTIONS(4374), 1,
      anon_sym_LBRACE,
    ACTIONS(4376), 1,
      anon_sym__,
    ACTIONS(4380), 1,
      anon_sym_LBRACK,
    ACTIONS(4388), 1,
      sym__backquoted_id,
    ACTIONS(4392), 1,
      sym_integer_literal,
    ACTIONS(6992), 1,
      anon_sym_LPAREN,
    ACTIONS(6994), 1,
      sym_operator_identifier,
    STATE(5008), 1,
      sym__simple_type,
    STATE(5333), 1,
      sym__annotated_type,
    STATE(5378), 1,
      sym_identifier,
    STATE(5425), 1,
      sym__soft_identifier,
    STATE(7953), 1,
      sym_annotated_type,
    STATE(10780), 1,
      sym_literal_type,
    STATE(10930), 1,
      sym__non_null_literal,
    STATE(13453), 1,
      sym__infix_type_choice,
    STATE(14091), 1,
      sym_template_body,
    STATE(14248), 1,
      sym__type,
    STATE(16432), 1,
      sym_type_parameters,
    STATE(16436), 1,
      sym_parameter_types,
    STATE(18397), 1,
      sym_stable_identifier,
    ACTIONS(4394), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4396), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4400), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3866), 2,
      sym_comment,
      sym_block_comment,
    STATE(9977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11066), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14253), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14350), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4382), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5830), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168240] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1665), 1,
      sym_integer_literal,
    ACTIONS(6366), 1,
      sym__alpha_identifier,
    ACTIONS(6368), 1,
      anon_sym_COLON,
    ACTIONS(6370), 1,
      anon_sym_LBRACE,
    ACTIONS(6372), 1,
      anon_sym__,
    ACTIONS(6374), 1,
      anon_sym_LBRACK,
    ACTIONS(6378), 1,
      anon_sym_LPAREN,
    ACTIONS(6380), 1,
      sym__backquoted_id,
    ACTIONS(6382), 1,
      sym_operator_identifier,
    STATE(5586), 1,
      sym__simple_type,
    STATE(5783), 1,
      sym__annotated_type,
    STATE(6121), 1,
      sym__soft_identifier,
    STATE(6334), 1,
      sym_identifier,
    STATE(8881), 1,
      sym_annotated_type,
    STATE(11131), 1,
      sym_literal_type,
    STATE(11168), 1,
      sym__non_null_literal,
    STATE(13502), 1,
      sym__infix_type_choice,
    STATE(14091), 1,
      sym_template_body,
    STATE(14370), 1,
      sym__type,
    STATE(16357), 1,
      sym_type_parameters,
    STATE(16358), 1,
      sym_parameter_types,
    STATE(18668), 1,
      sym_stable_identifier,
    ACTIONS(1667), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1669), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1673), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3867), 2,
      sym_comment,
      sym_block_comment,
    STATE(9301), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9420), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10606), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14350), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6376), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6877), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168365] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1665), 1,
      sym_integer_literal,
    ACTIONS(6366), 1,
      sym__alpha_identifier,
    ACTIONS(6368), 1,
      anon_sym_COLON,
    ACTIONS(6370), 1,
      anon_sym_LBRACE,
    ACTIONS(6372), 1,
      anon_sym__,
    ACTIONS(6374), 1,
      anon_sym_LBRACK,
    ACTIONS(6378), 1,
      anon_sym_LPAREN,
    ACTIONS(6380), 1,
      sym__backquoted_id,
    ACTIONS(6382), 1,
      sym_operator_identifier,
    STATE(5586), 1,
      sym__simple_type,
    STATE(5783), 1,
      sym__annotated_type,
    STATE(6121), 1,
      sym__soft_identifier,
    STATE(6334), 1,
      sym_identifier,
    STATE(8881), 1,
      sym_annotated_type,
    STATE(11131), 1,
      sym_literal_type,
    STATE(11168), 1,
      sym__non_null_literal,
    STATE(13502), 1,
      sym__infix_type_choice,
    STATE(14091), 1,
      sym_template_body,
    STATE(14224), 1,
      sym__type,
    STATE(16357), 1,
      sym_type_parameters,
    STATE(16358), 1,
      sym_parameter_types,
    STATE(18668), 1,
      sym_stable_identifier,
    ACTIONS(1667), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1669), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1673), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3868), 2,
      sym_comment,
      sym_block_comment,
    STATE(9301), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9420), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10606), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14350), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6376), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6877), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168490] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16104), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3869), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168615] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1665), 1,
      sym_integer_literal,
    ACTIONS(6366), 1,
      sym__alpha_identifier,
    ACTIONS(6368), 1,
      anon_sym_COLON,
    ACTIONS(6370), 1,
      anon_sym_LBRACE,
    ACTIONS(6372), 1,
      anon_sym__,
    ACTIONS(6374), 1,
      anon_sym_LBRACK,
    ACTIONS(6378), 1,
      anon_sym_LPAREN,
    ACTIONS(6380), 1,
      sym__backquoted_id,
    ACTIONS(6382), 1,
      sym_operator_identifier,
    STATE(5586), 1,
      sym__simple_type,
    STATE(5783), 1,
      sym__annotated_type,
    STATE(6121), 1,
      sym__soft_identifier,
    STATE(6334), 1,
      sym_identifier,
    STATE(8881), 1,
      sym_annotated_type,
    STATE(11131), 1,
      sym_literal_type,
    STATE(11168), 1,
      sym__non_null_literal,
    STATE(13502), 1,
      sym__infix_type_choice,
    STATE(14091), 1,
      sym_template_body,
    STATE(14248), 1,
      sym__type,
    STATE(16357), 1,
      sym_type_parameters,
    STATE(16358), 1,
      sym_parameter_types,
    STATE(18668), 1,
      sym_stable_identifier,
    ACTIONS(1667), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1669), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1673), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3870), 2,
      sym_comment,
      sym_block_comment,
    STATE(9301), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9420), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10606), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14350), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6376), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6877), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168740] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6634), 1,
      sym__alpha_identifier,
    ACTIONS(6636), 1,
      anon_sym_COLON,
    ACTIONS(6638), 1,
      anon_sym_LBRACE,
    ACTIONS(6640), 1,
      anon_sym__,
    ACTIONS(6642), 1,
      anon_sym_LBRACK,
    ACTIONS(6646), 1,
      anon_sym_LPAREN,
    ACTIONS(6648), 1,
      sym__backquoted_id,
    ACTIONS(6650), 1,
      sym_operator_identifier,
    ACTIONS(6652), 1,
      sym_integer_literal,
    STATE(5952), 1,
      sym__simple_type,
    STATE(6655), 1,
      sym__soft_identifier,
    STATE(6914), 1,
      sym_identifier,
    STATE(9189), 1,
      sym__annotated_type,
    STATE(9996), 1,
      sym_annotated_type,
    STATE(11950), 1,
      sym_literal_type,
    STATE(12162), 1,
      sym__non_null_literal,
    STATE(12185), 1,
      sym__type,
    STATE(12439), 1,
      sym_template_body,
    STATE(13340), 1,
      sym__infix_type_choice,
    STATE(16804), 1,
      sym_type_parameters,
    STATE(16813), 1,
      sym_parameter_types,
    STATE(19535), 1,
      sym_stable_identifier,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3871), 2,
      sym_comment,
      sym_block_comment,
    STATE(11847), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12433), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12265), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6644), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7691), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168865] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16113), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3872), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168990] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(167), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    ACTIONS(6586), 1,
      anon_sym_LBRACK,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(7504), 1,
      sym__annotated_type,
    STATE(8788), 1,
      sym__non_null_literal,
    STATE(8790), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11447), 1,
      sym__type,
    STATE(13412), 1,
      sym__infix_type_choice,
    STATE(16507), 1,
      sym_type_parameters,
    STATE(16508), 1,
      sym_parameter_types,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(169), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(171), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3873), 2,
      sym_comment,
      sym_block_comment,
    STATE(6796), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7234), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169115] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1665), 1,
      sym_integer_literal,
    ACTIONS(6366), 1,
      sym__alpha_identifier,
    ACTIONS(6368), 1,
      anon_sym_COLON,
    ACTIONS(6370), 1,
      anon_sym_LBRACE,
    ACTIONS(6372), 1,
      anon_sym__,
    ACTIONS(6374), 1,
      anon_sym_LBRACK,
    ACTIONS(6378), 1,
      anon_sym_LPAREN,
    ACTIONS(6380), 1,
      sym__backquoted_id,
    ACTIONS(6382), 1,
      sym_operator_identifier,
    STATE(5586), 1,
      sym__simple_type,
    STATE(5783), 1,
      sym__annotated_type,
    STATE(6121), 1,
      sym__soft_identifier,
    STATE(6334), 1,
      sym_identifier,
    STATE(8881), 1,
      sym_annotated_type,
    STATE(11131), 1,
      sym_literal_type,
    STATE(11168), 1,
      sym__non_null_literal,
    STATE(13502), 1,
      sym__infix_type_choice,
    STATE(14091), 1,
      sym_template_body,
    STATE(14252), 1,
      sym__type,
    STATE(16357), 1,
      sym_type_parameters,
    STATE(16358), 1,
      sym_parameter_types,
    STATE(18668), 1,
      sym_stable_identifier,
    ACTIONS(1667), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1669), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1673), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3874), 2,
      sym_comment,
      sym_block_comment,
    STATE(9301), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9420), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10606), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14350), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6376), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6877), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169240] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16120), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3875), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169365] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6634), 1,
      sym__alpha_identifier,
    ACTIONS(6636), 1,
      anon_sym_COLON,
    ACTIONS(6638), 1,
      anon_sym_LBRACE,
    ACTIONS(6640), 1,
      anon_sym__,
    ACTIONS(6642), 1,
      anon_sym_LBRACK,
    ACTIONS(6646), 1,
      anon_sym_LPAREN,
    ACTIONS(6648), 1,
      sym__backquoted_id,
    ACTIONS(6650), 1,
      sym_operator_identifier,
    ACTIONS(6652), 1,
      sym_integer_literal,
    STATE(5952), 1,
      sym__simple_type,
    STATE(6655), 1,
      sym__soft_identifier,
    STATE(6914), 1,
      sym_identifier,
    STATE(9189), 1,
      sym__annotated_type,
    STATE(9996), 1,
      sym_annotated_type,
    STATE(11950), 1,
      sym_literal_type,
    STATE(12162), 1,
      sym__non_null_literal,
    STATE(12186), 1,
      sym__type,
    STATE(12439), 1,
      sym_template_body,
    STATE(13340), 1,
      sym__infix_type_choice,
    STATE(16804), 1,
      sym_type_parameters,
    STATE(16813), 1,
      sym_parameter_types,
    STATE(19535), 1,
      sym_stable_identifier,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3876), 2,
      sym_comment,
      sym_block_comment,
    STATE(11847), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12433), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12265), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6644), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7691), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169490] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18933), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3877), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169615] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(167), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    ACTIONS(6586), 1,
      anon_sym_LBRACK,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(7504), 1,
      sym__annotated_type,
    STATE(8788), 1,
      sym__non_null_literal,
    STATE(8790), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11462), 1,
      sym__type,
    STATE(13412), 1,
      sym__infix_type_choice,
    STATE(16507), 1,
      sym_type_parameters,
    STATE(16508), 1,
      sym_parameter_types,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(169), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(171), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3878), 2,
      sym_comment,
      sym_block_comment,
    STATE(6796), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7234), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169740] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6634), 1,
      sym__alpha_identifier,
    ACTIONS(6636), 1,
      anon_sym_COLON,
    ACTIONS(6638), 1,
      anon_sym_LBRACE,
    ACTIONS(6640), 1,
      anon_sym__,
    ACTIONS(6642), 1,
      anon_sym_LBRACK,
    ACTIONS(6646), 1,
      anon_sym_LPAREN,
    ACTIONS(6648), 1,
      sym__backquoted_id,
    ACTIONS(6650), 1,
      sym_operator_identifier,
    ACTIONS(6652), 1,
      sym_integer_literal,
    STATE(5952), 1,
      sym__simple_type,
    STATE(6655), 1,
      sym__soft_identifier,
    STATE(6914), 1,
      sym_identifier,
    STATE(9189), 1,
      sym__annotated_type,
    STATE(9996), 1,
      sym_annotated_type,
    STATE(11950), 1,
      sym_literal_type,
    STATE(12162), 1,
      sym__non_null_literal,
    STATE(12188), 1,
      sym__type,
    STATE(12439), 1,
      sym_template_body,
    STATE(13340), 1,
      sym__infix_type_choice,
    STATE(16804), 1,
      sym_type_parameters,
    STATE(16813), 1,
      sym_parameter_types,
    STATE(19535), 1,
      sym_stable_identifier,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3879), 2,
      sym_comment,
      sym_block_comment,
    STATE(11847), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12433), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12265), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6644), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7691), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169865] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16130), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3880), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169990] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(167), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    ACTIONS(6586), 1,
      anon_sym_LBRACK,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(7504), 1,
      sym__annotated_type,
    STATE(8788), 1,
      sym__non_null_literal,
    STATE(8790), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11463), 1,
      sym__type,
    STATE(13412), 1,
      sym__infix_type_choice,
    STATE(16507), 1,
      sym_type_parameters,
    STATE(16508), 1,
      sym_parameter_types,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(169), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(171), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3881), 2,
      sym_comment,
      sym_block_comment,
    STATE(6796), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7234), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170115] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18971), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3882), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170240] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(167), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    ACTIONS(6586), 1,
      anon_sym_LBRACK,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(7504), 1,
      sym__annotated_type,
    STATE(8788), 1,
      sym__non_null_literal,
    STATE(8790), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11464), 1,
      sym__type,
    STATE(13412), 1,
      sym__infix_type_choice,
    STATE(16507), 1,
      sym_type_parameters,
    STATE(16508), 1,
      sym_parameter_types,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(169), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(171), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3883), 2,
      sym_comment,
      sym_block_comment,
    STATE(6796), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7234), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170365] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4370), 1,
      sym__alpha_identifier,
    ACTIONS(4372), 1,
      anon_sym_COLON,
    ACTIONS(4374), 1,
      anon_sym_LBRACE,
    ACTIONS(4376), 1,
      anon_sym__,
    ACTIONS(4380), 1,
      anon_sym_LBRACK,
    ACTIONS(4388), 1,
      sym__backquoted_id,
    ACTIONS(4392), 1,
      sym_integer_literal,
    ACTIONS(6992), 1,
      anon_sym_LPAREN,
    ACTIONS(6994), 1,
      sym_operator_identifier,
    STATE(5008), 1,
      sym__simple_type,
    STATE(5333), 1,
      sym__annotated_type,
    STATE(5378), 1,
      sym_identifier,
    STATE(5425), 1,
      sym__soft_identifier,
    STATE(7953), 1,
      sym_annotated_type,
    STATE(10780), 1,
      sym_literal_type,
    STATE(10930), 1,
      sym__non_null_literal,
    STATE(13453), 1,
      sym__infix_type_choice,
    STATE(14091), 1,
      sym_template_body,
    STATE(14252), 1,
      sym__type,
    STATE(16432), 1,
      sym_type_parameters,
    STATE(16436), 1,
      sym_parameter_types,
    STATE(18397), 1,
      sym_stable_identifier,
    ACTIONS(4394), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4396), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4400), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3884), 2,
      sym_comment,
      sym_block_comment,
    STATE(9977), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11066), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14253), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14350), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4382), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5830), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170490] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16140), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3885), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170615] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16443), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3886), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170740] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2425), 1,
      sym_integer_literal,
    ACTIONS(6550), 1,
      sym__alpha_identifier,
    ACTIONS(6552), 1,
      anon_sym_COLON,
    ACTIONS(6554), 1,
      anon_sym_LBRACE,
    ACTIONS(6556), 1,
      anon_sym__,
    ACTIONS(6558), 1,
      anon_sym_LBRACK,
    ACTIONS(6562), 1,
      anon_sym_LPAREN,
    ACTIONS(6564), 1,
      sym__backquoted_id,
    ACTIONS(6566), 1,
      sym_operator_identifier,
    STATE(7252), 1,
      sym__annotated_type,
    STATE(7315), 1,
      sym__simple_type,
    STATE(8230), 1,
      sym__soft_identifier,
    STATE(8403), 1,
      sym_identifier,
    STATE(10593), 1,
      sym_annotated_type,
    STATE(11919), 1,
      sym__non_null_literal,
    STATE(11941), 1,
      sym_literal_type,
    STATE(12633), 1,
      sym_template_body,
    STATE(13296), 1,
      sym__type,
    STATE(13479), 1,
      sym__infix_type_choice,
    STATE(16418), 1,
      sym_type_parameters,
    STATE(16419), 1,
      sym_parameter_types,
    STATE(18603), 1,
      sym_stable_identifier,
    ACTIONS(2427), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2429), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2433), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3887), 2,
      sym_comment,
      sym_block_comment,
    STATE(6866), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10615), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11441), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12855), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6560), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8954), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170865] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1137), 1,
      sym_integer_literal,
    ACTIONS(6892), 1,
      anon_sym_COLON,
    ACTIONS(6894), 1,
      anon_sym_LBRACE,
    ACTIONS(6912), 1,
      sym__alpha_identifier,
    ACTIONS(6914), 1,
      anon_sym__,
    ACTIONS(6916), 1,
      anon_sym_LBRACK,
    ACTIONS(6920), 1,
      anon_sym_LPAREN,
    ACTIONS(6922), 1,
      sym__backquoted_id,
    ACTIONS(6924), 1,
      sym_operator_identifier,
    STATE(4700), 1,
      sym__simple_type,
    STATE(4774), 1,
      sym__annotated_type,
    STATE(4828), 1,
      sym__soft_identifier,
    STATE(4972), 1,
      sym_identifier,
    STATE(6993), 1,
      sym_annotated_type,
    STATE(10263), 1,
      sym__non_null_literal,
    STATE(10343), 1,
      sym_literal_type,
    STATE(12329), 1,
      sym_template_body,
    STATE(13016), 1,
      sym__type,
    STATE(13543), 1,
      sym__infix_type_choice,
    STATE(16462), 1,
      sym_type_parameters,
    STATE(16463), 1,
      sym_parameter_types,
    STATE(18883), 1,
      sym_stable_identifier,
    ACTIONS(1139), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1141), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1145), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3888), 2,
      sym_comment,
      sym_block_comment,
    STATE(6157), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6412), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8842), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12472), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6918), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5173), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170990] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16153), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3889), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171115] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(575), 1,
      sym_integer_literal,
    ACTIONS(4502), 1,
      anon_sym_COLON,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    ACTIONS(6678), 1,
      anon_sym_LBRACK,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(7199), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(10380), 1,
      sym_literal_type,
    STATE(10428), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13075), 1,
      sym__type,
    STATE(13473), 1,
      sym__infix_type_choice,
    STATE(16478), 1,
      sym_type_parameters,
    STATE(16479), 1,
      sym_parameter_types,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(577), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(579), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(589), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3890), 2,
      sym_comment,
      sym_block_comment,
    STATE(9594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9632), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12935), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171240] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1539), 1,
      sym_integer_literal,
    ACTIONS(6570), 1,
      anon_sym_COLON,
    ACTIONS(6572), 1,
      anon_sym_LBRACE,
    ACTIONS(6996), 1,
      sym__alpha_identifier,
    ACTIONS(6998), 1,
      anon_sym__,
    ACTIONS(7000), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_LPAREN,
    ACTIONS(7006), 1,
      sym__backquoted_id,
    ACTIONS(7008), 1,
      sym_operator_identifier,
    STATE(6776), 1,
      sym__simple_type,
    STATE(6909), 1,
      sym__annotated_type,
    STATE(7198), 1,
      sym_identifier,
    STATE(7879), 1,
      sym__soft_identifier,
    STATE(10008), 1,
      sym_annotated_type,
    STATE(11671), 1,
      sym_literal_type,
    STATE(11730), 1,
      sym__non_null_literal,
    STATE(12351), 1,
      sym__type,
    STATE(12478), 1,
      sym_template_body,
    STATE(13438), 1,
      sym__infix_type_choice,
    STATE(16414), 1,
      sym_type_parameters,
    STATE(16415), 1,
      sym_parameter_types,
    STATE(18230), 1,
      sym_stable_identifier,
    ACTIONS(1541), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1543), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1547), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3891), 2,
      sym_comment,
      sym_block_comment,
    STATE(6161), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10000), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11252), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(7002), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8475), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171365] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(575), 1,
      sym_integer_literal,
    ACTIONS(4502), 1,
      anon_sym_COLON,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    ACTIONS(6678), 1,
      anon_sym_LBRACK,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(7199), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(10380), 1,
      sym_literal_type,
    STATE(10428), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13473), 1,
      sym__infix_type_choice,
    STATE(15127), 1,
      sym__type,
    STATE(16478), 1,
      sym_type_parameters,
    STATE(16479), 1,
      sym_parameter_types,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(577), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(579), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(589), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3892), 2,
      sym_comment,
      sym_block_comment,
    STATE(9594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9632), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12935), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171490] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16163), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3893), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171615] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4338), 1,
      sym__alpha_identifier,
    ACTIONS(4340), 1,
      anon_sym_COLON,
    ACTIONS(4342), 1,
      anon_sym_LBRACE,
    ACTIONS(4344), 1,
      anon_sym__,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      sym__backquoted_id,
    ACTIONS(4360), 1,
      sym_integer_literal,
    ACTIONS(6474), 1,
      anon_sym_LPAREN,
    ACTIONS(6476), 1,
      sym_operator_identifier,
    STATE(5208), 1,
      sym__simple_type,
    STATE(5247), 1,
      sym__annotated_type,
    STATE(5377), 1,
      sym__soft_identifier,
    STATE(5681), 1,
      sym_identifier,
    STATE(8606), 1,
      sym_annotated_type,
    STATE(10766), 1,
      sym_literal_type,
    STATE(10892), 1,
      sym__non_null_literal,
    STATE(13426), 1,
      sym__infix_type_choice,
    STATE(14220), 1,
      sym__type,
    STATE(14223), 1,
      sym_template_body,
    STATE(15956), 1,
      sym_type_parameters,
    STATE(15970), 1,
      sym_parameter_types,
    STATE(18098), 1,
      sym_stable_identifier,
    ACTIONS(4362), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4368), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3894), 2,
      sym_comment,
      sym_block_comment,
    STATE(9965), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11102), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14322), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14100), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4350), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5873), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171740] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16169), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3895), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171865] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(89), 1,
      sym_integer_literal,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5418), 1,
      anon_sym_LPAREN,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    ACTIONS(6402), 1,
      anon_sym_COLON,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(8575), 1,
      sym__annotated_type,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11227), 1,
      sym__non_null_literal,
    STATE(11245), 1,
      sym_literal_type,
    STATE(13367), 1,
      sym__infix_type_choice,
    STATE(15524), 1,
      sym__type,
    STATE(16061), 1,
      sym_type_parameters,
    STATE(16078), 1,
      sym_parameter_types,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(91), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(93), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(105), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3896), 2,
      sym_comment,
      sym_block_comment,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10368), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10554), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171990] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1665), 1,
      sym_integer_literal,
    ACTIONS(6366), 1,
      sym__alpha_identifier,
    ACTIONS(6368), 1,
      anon_sym_COLON,
    ACTIONS(6370), 1,
      anon_sym_LBRACE,
    ACTIONS(6372), 1,
      anon_sym__,
    ACTIONS(6374), 1,
      anon_sym_LBRACK,
    ACTIONS(6378), 1,
      anon_sym_LPAREN,
    ACTIONS(6380), 1,
      sym__backquoted_id,
    ACTIONS(6382), 1,
      sym_operator_identifier,
    STATE(5586), 1,
      sym__simple_type,
    STATE(5783), 1,
      sym__annotated_type,
    STATE(6121), 1,
      sym__soft_identifier,
    STATE(6334), 1,
      sym_identifier,
    STATE(8881), 1,
      sym_annotated_type,
    STATE(11131), 1,
      sym_literal_type,
    STATE(11168), 1,
      sym__non_null_literal,
    STATE(13502), 1,
      sym__infix_type_choice,
    STATE(14091), 1,
      sym_template_body,
    STATE(14348), 1,
      sym__type,
    STATE(16357), 1,
      sym_type_parameters,
    STATE(16358), 1,
      sym_parameter_types,
    STATE(18668), 1,
      sym_stable_identifier,
    ACTIONS(1667), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1669), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1673), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3897), 2,
      sym_comment,
      sym_block_comment,
    STATE(9301), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9420), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10606), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14350), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6376), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6877), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172115] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16179), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3898), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172240] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6412), 1,
      sym__alpha_identifier,
    ACTIONS(6414), 1,
      anon_sym_COLON,
    ACTIONS(6416), 1,
      anon_sym_LBRACE,
    ACTIONS(6418), 1,
      anon_sym__,
    ACTIONS(6420), 1,
      anon_sym_LBRACK,
    ACTIONS(6424), 1,
      anon_sym_LPAREN,
    ACTIONS(6426), 1,
      sym__backquoted_id,
    ACTIONS(6428), 1,
      sym_operator_identifier,
    ACTIONS(6430), 1,
      sym_integer_literal,
    STATE(6300), 1,
      sym__simple_type,
    STATE(6354), 1,
      sym_identifier,
    STATE(6890), 1,
      sym__soft_identifier,
    STATE(6977), 1,
      sym__annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(8477), 1,
      sym__type,
    STATE(10256), 1,
      sym_annotated_type,
    STATE(11392), 1,
      sym__non_null_literal,
    STATE(11393), 1,
      sym_literal_type,
    STATE(13140), 1,
      sym__infix_type_choice,
    STATE(16317), 1,
      sym_type_parameters,
    STATE(16318), 1,
      sym_parameter_types,
    STATE(19353), 1,
      sym_stable_identifier,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3899), 2,
      sym_comment,
      sym_block_comment,
    STATE(10871), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11765), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6422), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7457), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172365] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18585), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3900), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172490] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16190), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3901), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172615] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18671), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3902), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172740] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1539), 1,
      sym_integer_literal,
    ACTIONS(6570), 1,
      anon_sym_COLON,
    ACTIONS(6572), 1,
      anon_sym_LBRACE,
    ACTIONS(6996), 1,
      sym__alpha_identifier,
    ACTIONS(6998), 1,
      anon_sym__,
    ACTIONS(7000), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_LPAREN,
    ACTIONS(7006), 1,
      sym__backquoted_id,
    ACTIONS(7008), 1,
      sym_operator_identifier,
    STATE(6776), 1,
      sym__simple_type,
    STATE(6909), 1,
      sym__annotated_type,
    STATE(7198), 1,
      sym_identifier,
    STATE(7879), 1,
      sym__soft_identifier,
    STATE(10008), 1,
      sym_annotated_type,
    STATE(11671), 1,
      sym_literal_type,
    STATE(11730), 1,
      sym__non_null_literal,
    STATE(12384), 1,
      sym__type,
    STATE(12478), 1,
      sym_template_body,
    STATE(13438), 1,
      sym__infix_type_choice,
    STATE(16414), 1,
      sym_type_parameters,
    STATE(16415), 1,
      sym_parameter_types,
    STATE(18230), 1,
      sym_stable_identifier,
    ACTIONS(1541), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1543), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1547), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3903), 2,
      sym_comment,
      sym_block_comment,
    STATE(6161), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10000), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11252), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(7002), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8475), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172865] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(89), 1,
      sym_integer_literal,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5418), 1,
      anon_sym_LPAREN,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    ACTIONS(6402), 1,
      anon_sym_COLON,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(8575), 1,
      sym__annotated_type,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11227), 1,
      sym__non_null_literal,
    STATE(11245), 1,
      sym_literal_type,
    STATE(13367), 1,
      sym__infix_type_choice,
    STATE(15485), 1,
      sym__type,
    STATE(16061), 1,
      sym_type_parameters,
    STATE(16078), 1,
      sym_parameter_types,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(91), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(93), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(105), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3904), 2,
      sym_comment,
      sym_block_comment,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10368), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10554), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172990] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16636), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3905), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173115] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16200), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3906), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173240] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(89), 1,
      sym_integer_literal,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5418), 1,
      anon_sym_LPAREN,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    ACTIONS(6402), 1,
      anon_sym_COLON,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(8575), 1,
      sym__annotated_type,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11227), 1,
      sym__non_null_literal,
    STATE(11245), 1,
      sym_literal_type,
    STATE(13367), 1,
      sym__infix_type_choice,
    STATE(15351), 1,
      sym__type,
    STATE(16061), 1,
      sym_type_parameters,
    STATE(16078), 1,
      sym_parameter_types,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(91), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(93), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(105), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3907), 2,
      sym_comment,
      sym_block_comment,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10368), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10554), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173365] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(575), 1,
      sym_integer_literal,
    ACTIONS(4502), 1,
      anon_sym_COLON,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    ACTIONS(6678), 1,
      anon_sym_LBRACK,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(7199), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(10380), 1,
      sym_literal_type,
    STATE(10428), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13103), 1,
      sym__type,
    STATE(13473), 1,
      sym__infix_type_choice,
    STATE(16478), 1,
      sym_type_parameters,
    STATE(16479), 1,
      sym_parameter_types,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(577), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(579), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(589), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3908), 2,
      sym_comment,
      sym_block_comment,
    STATE(9594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9632), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12935), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173490] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1021), 1,
      sym_integer_literal,
    ACTIONS(6926), 1,
      sym__alpha_identifier,
    ACTIONS(6928), 1,
      anon_sym_COLON,
    ACTIONS(6930), 1,
      anon_sym_LBRACE,
    ACTIONS(6932), 1,
      anon_sym__,
    ACTIONS(6934), 1,
      anon_sym_LBRACK,
    ACTIONS(6938), 1,
      anon_sym_LPAREN,
    ACTIONS(6940), 1,
      sym__backquoted_id,
    ACTIONS(6942), 1,
      sym_operator_identifier,
    STATE(5725), 1,
      sym__simple_type,
    STATE(5984), 1,
      sym__annotated_type,
    STATE(6312), 1,
      sym_identifier,
    STATE(6321), 1,
      sym__soft_identifier,
    STATE(9779), 1,
      sym_annotated_type,
    STATE(11126), 1,
      sym__non_null_literal,
    STATE(11139), 1,
      sym_literal_type,
    STATE(11309), 1,
      sym__type,
    STATE(11367), 1,
      sym_template_body,
    STATE(13416), 1,
      sym__infix_type_choice,
    STATE(16902), 1,
      sym_type_parameters,
    STATE(16918), 1,
      sym_parameter_types,
    STATE(18052), 1,
      sym_stable_identifier,
    ACTIONS(1023), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1025), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1033), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3909), 2,
      sym_comment,
      sym_block_comment,
    STATE(7892), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10462), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11543), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11467), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6936), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6768), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173615] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16209), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3910), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173740] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1539), 1,
      sym_integer_literal,
    ACTIONS(6570), 1,
      anon_sym_COLON,
    ACTIONS(6572), 1,
      anon_sym_LBRACE,
    ACTIONS(6996), 1,
      sym__alpha_identifier,
    ACTIONS(6998), 1,
      anon_sym__,
    ACTIONS(7000), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_LPAREN,
    ACTIONS(7006), 1,
      sym__backquoted_id,
    ACTIONS(7008), 1,
      sym_operator_identifier,
    STATE(6776), 1,
      sym__simple_type,
    STATE(6909), 1,
      sym__annotated_type,
    STATE(7198), 1,
      sym_identifier,
    STATE(7879), 1,
      sym__soft_identifier,
    STATE(10008), 1,
      sym_annotated_type,
    STATE(11671), 1,
      sym_literal_type,
    STATE(11730), 1,
      sym__non_null_literal,
    STATE(12385), 1,
      sym__type,
    STATE(12478), 1,
      sym_template_body,
    STATE(13438), 1,
      sym__infix_type_choice,
    STATE(16414), 1,
      sym_type_parameters,
    STATE(16415), 1,
      sym_parameter_types,
    STATE(18230), 1,
      sym_stable_identifier,
    ACTIONS(1541), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1543), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1547), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3911), 2,
      sym_comment,
      sym_block_comment,
    STATE(6161), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10000), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11252), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(7002), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8475), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173865] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4638), 1,
      sym__alpha_identifier,
    ACTIONS(4640), 1,
      anon_sym_COLON,
    ACTIONS(4642), 1,
      anon_sym_LBRACE,
    ACTIONS(4644), 1,
      anon_sym__,
    ACTIONS(4648), 1,
      anon_sym_LBRACK,
    ACTIONS(4656), 1,
      sym__backquoted_id,
    ACTIONS(4660), 1,
      sym_integer_literal,
    ACTIONS(7014), 1,
      anon_sym_LPAREN,
    ACTIONS(7016), 1,
      sym_operator_identifier,
    STATE(5349), 1,
      sym__simple_type,
    STATE(5380), 1,
      sym__annotated_type,
    STATE(5940), 1,
      sym_identifier,
    STATE(6124), 1,
      sym__soft_identifier,
    STATE(8912), 1,
      sym_annotated_type,
    STATE(11152), 1,
      sym__non_null_literal,
    STATE(11154), 1,
      sym_literal_type,
    STATE(13503), 1,
      sym__infix_type_choice,
    STATE(14441), 1,
      sym__type,
    STATE(14686), 1,
      sym_template_body,
    STATE(16890), 1,
      sym_type_parameters,
    STATE(16894), 1,
      sym_parameter_types,
    STATE(18680), 1,
      sym_stable_identifier,
    ACTIONS(4662), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4664), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4668), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3912), 2,
      sym_comment,
      sym_block_comment,
    STATE(10463), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11109), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14658), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14415), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4650), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6954), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173990] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(575), 1,
      sym_integer_literal,
    ACTIONS(4502), 1,
      anon_sym_COLON,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    ACTIONS(6678), 1,
      anon_sym_LBRACK,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(7199), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(10380), 1,
      sym_literal_type,
    STATE(10428), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13113), 1,
      sym__type,
    STATE(13473), 1,
      sym__infix_type_choice,
    STATE(16478), 1,
      sym_type_parameters,
    STATE(16479), 1,
      sym_parameter_types,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(577), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(579), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(589), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3913), 2,
      sym_comment,
      sym_block_comment,
    STATE(9594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9632), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12935), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174115] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16215), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3914), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174240] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4638), 1,
      sym__alpha_identifier,
    ACTIONS(4640), 1,
      anon_sym_COLON,
    ACTIONS(4642), 1,
      anon_sym_LBRACE,
    ACTIONS(4644), 1,
      anon_sym__,
    ACTIONS(4648), 1,
      anon_sym_LBRACK,
    ACTIONS(4656), 1,
      sym__backquoted_id,
    ACTIONS(4660), 1,
      sym_integer_literal,
    ACTIONS(7014), 1,
      anon_sym_LPAREN,
    ACTIONS(7016), 1,
      sym_operator_identifier,
    STATE(5349), 1,
      sym__simple_type,
    STATE(5380), 1,
      sym__annotated_type,
    STATE(5940), 1,
      sym_identifier,
    STATE(6124), 1,
      sym__soft_identifier,
    STATE(8912), 1,
      sym_annotated_type,
    STATE(11152), 1,
      sym__non_null_literal,
    STATE(11154), 1,
      sym_literal_type,
    STATE(13503), 1,
      sym__infix_type_choice,
    STATE(14445), 1,
      sym__type,
    STATE(14686), 1,
      sym_template_body,
    STATE(16890), 1,
      sym_type_parameters,
    STATE(16894), 1,
      sym_parameter_types,
    STATE(18680), 1,
      sym_stable_identifier,
    ACTIONS(4662), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4664), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4668), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3915), 2,
      sym_comment,
      sym_block_comment,
    STATE(10463), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11109), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14658), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14415), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4650), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6954), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174365] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(167), 1,
      sym_integer_literal,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    ACTIONS(6402), 1,
      anon_sym_COLON,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(6498), 1,
      anon_sym_LBRACK,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(5060), 1,
      sym__annotated_type,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(8788), 1,
      sym__non_null_literal,
    STATE(8790), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(13398), 1,
      sym__infix_type_choice,
    STATE(13790), 1,
      sym__type,
    STATE(16448), 1,
      sym_type_parameters,
    STATE(16449), 1,
      sym_parameter_types,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(169), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(171), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(181), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3916), 2,
      sym_comment,
      sym_block_comment,
    STATE(6796), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7234), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174490] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16222), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3917), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174615] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1021), 1,
      sym_integer_literal,
    ACTIONS(6926), 1,
      sym__alpha_identifier,
    ACTIONS(6928), 1,
      anon_sym_COLON,
    ACTIONS(6930), 1,
      anon_sym_LBRACE,
    ACTIONS(6932), 1,
      anon_sym__,
    ACTIONS(6934), 1,
      anon_sym_LBRACK,
    ACTIONS(6938), 1,
      anon_sym_LPAREN,
    ACTIONS(6940), 1,
      sym__backquoted_id,
    ACTIONS(6942), 1,
      sym_operator_identifier,
    STATE(5725), 1,
      sym__simple_type,
    STATE(5984), 1,
      sym__annotated_type,
    STATE(6312), 1,
      sym_identifier,
    STATE(6321), 1,
      sym__soft_identifier,
    STATE(9779), 1,
      sym_annotated_type,
    STATE(11126), 1,
      sym__non_null_literal,
    STATE(11139), 1,
      sym_literal_type,
    STATE(11315), 1,
      sym__type,
    STATE(11367), 1,
      sym_template_body,
    STATE(13416), 1,
      sym__infix_type_choice,
    STATE(16902), 1,
      sym_type_parameters,
    STATE(16918), 1,
      sym_parameter_types,
    STATE(18052), 1,
      sym_stable_identifier,
    ACTIONS(1023), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1025), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1033), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3918), 2,
      sym_comment,
      sym_block_comment,
    STATE(7892), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10462), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11543), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11467), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6936), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6768), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174740] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16224), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3919), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174865] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4638), 1,
      sym__alpha_identifier,
    ACTIONS(4640), 1,
      anon_sym_COLON,
    ACTIONS(4642), 1,
      anon_sym_LBRACE,
    ACTIONS(4644), 1,
      anon_sym__,
    ACTIONS(4648), 1,
      anon_sym_LBRACK,
    ACTIONS(4656), 1,
      sym__backquoted_id,
    ACTIONS(4660), 1,
      sym_integer_literal,
    ACTIONS(7014), 1,
      anon_sym_LPAREN,
    ACTIONS(7016), 1,
      sym_operator_identifier,
    STATE(5349), 1,
      sym__simple_type,
    STATE(5380), 1,
      sym__annotated_type,
    STATE(5940), 1,
      sym_identifier,
    STATE(6124), 1,
      sym__soft_identifier,
    STATE(8912), 1,
      sym_annotated_type,
    STATE(11152), 1,
      sym__non_null_literal,
    STATE(11154), 1,
      sym_literal_type,
    STATE(13503), 1,
      sym__infix_type_choice,
    STATE(14446), 1,
      sym__type,
    STATE(14686), 1,
      sym_template_body,
    STATE(16890), 1,
      sym_type_parameters,
    STATE(16894), 1,
      sym_parameter_types,
    STATE(18680), 1,
      sym_stable_identifier,
    ACTIONS(4662), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4664), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4668), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3920), 2,
      sym_comment,
      sym_block_comment,
    STATE(10463), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11109), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14658), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14415), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4650), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6954), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174990] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4638), 1,
      sym__alpha_identifier,
    ACTIONS(4640), 1,
      anon_sym_COLON,
    ACTIONS(4642), 1,
      anon_sym_LBRACE,
    ACTIONS(4644), 1,
      anon_sym__,
    ACTIONS(4648), 1,
      anon_sym_LBRACK,
    ACTIONS(4656), 1,
      sym__backquoted_id,
    ACTIONS(4660), 1,
      sym_integer_literal,
    ACTIONS(7014), 1,
      anon_sym_LPAREN,
    ACTIONS(7016), 1,
      sym_operator_identifier,
    STATE(5349), 1,
      sym__simple_type,
    STATE(5380), 1,
      sym__annotated_type,
    STATE(5940), 1,
      sym_identifier,
    STATE(6124), 1,
      sym__soft_identifier,
    STATE(8912), 1,
      sym_annotated_type,
    STATE(11152), 1,
      sym__non_null_literal,
    STATE(11154), 1,
      sym_literal_type,
    STATE(13503), 1,
      sym__infix_type_choice,
    STATE(14447), 1,
      sym__type,
    STATE(14686), 1,
      sym_template_body,
    STATE(16890), 1,
      sym_type_parameters,
    STATE(16894), 1,
      sym_parameter_types,
    STATE(18680), 1,
      sym_stable_identifier,
    ACTIONS(4662), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4664), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4668), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3921), 2,
      sym_comment,
      sym_block_comment,
    STATE(10463), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11109), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14658), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14415), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4650), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6954), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175115] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18144), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3922), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175240] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16228), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3923), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175365] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1021), 1,
      sym_integer_literal,
    ACTIONS(6926), 1,
      sym__alpha_identifier,
    ACTIONS(6928), 1,
      anon_sym_COLON,
    ACTIONS(6930), 1,
      anon_sym_LBRACE,
    ACTIONS(6932), 1,
      anon_sym__,
    ACTIONS(6934), 1,
      anon_sym_LBRACK,
    ACTIONS(6938), 1,
      anon_sym_LPAREN,
    ACTIONS(6940), 1,
      sym__backquoted_id,
    ACTIONS(6942), 1,
      sym_operator_identifier,
    STATE(5725), 1,
      sym__simple_type,
    STATE(5984), 1,
      sym__annotated_type,
    STATE(6312), 1,
      sym_identifier,
    STATE(6321), 1,
      sym__soft_identifier,
    STATE(9779), 1,
      sym_annotated_type,
    STATE(11126), 1,
      sym__non_null_literal,
    STATE(11139), 1,
      sym_literal_type,
    STATE(11321), 1,
      sym__type,
    STATE(11367), 1,
      sym_template_body,
    STATE(13416), 1,
      sym__infix_type_choice,
    STATE(16902), 1,
      sym_type_parameters,
    STATE(16918), 1,
      sym_parameter_types,
    STATE(18052), 1,
      sym_stable_identifier,
    ACTIONS(1023), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1025), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1033), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3924), 2,
      sym_comment,
      sym_block_comment,
    STATE(7892), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10462), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11543), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11467), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6936), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6768), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175490] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4564), 1,
      sym__alpha_identifier,
    ACTIONS(4566), 1,
      anon_sym__,
    ACTIONS(4570), 1,
      anon_sym_LBRACK,
    ACTIONS(4576), 1,
      sym__backquoted_id,
    ACTIONS(4580), 1,
      sym_integer_literal,
    ACTIONS(7018), 1,
      anon_sym_LPAREN,
    ACTIONS(7020), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__annotated_type,
    STATE(4896), 1,
      sym__simple_type,
    STATE(5119), 1,
      sym__soft_identifier,
    STATE(5265), 1,
      sym_identifier,
    STATE(7911), 1,
      sym_annotated_type,
    STATE(10376), 1,
      sym__non_null_literal,
    STATE(10379), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11429), 1,
      sym__type,
    STATE(13343), 1,
      sym__infix_type_choice,
    STATE(16344), 1,
      sym_type_parameters,
    STATE(16345), 1,
      sym_parameter_types,
    STATE(17908), 1,
      sym_stable_identifier,
    ACTIONS(4582), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4584), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4588), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3925), 2,
      sym_comment,
      sym_block_comment,
    STATE(9877), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10747), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4572), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5566), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175615] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1021), 1,
      sym_integer_literal,
    ACTIONS(6926), 1,
      sym__alpha_identifier,
    ACTIONS(6928), 1,
      anon_sym_COLON,
    ACTIONS(6930), 1,
      anon_sym_LBRACE,
    ACTIONS(6932), 1,
      anon_sym__,
    ACTIONS(6934), 1,
      anon_sym_LBRACK,
    ACTIONS(6938), 1,
      anon_sym_LPAREN,
    ACTIONS(6940), 1,
      sym__backquoted_id,
    ACTIONS(6942), 1,
      sym_operator_identifier,
    STATE(5725), 1,
      sym__simple_type,
    STATE(5984), 1,
      sym__annotated_type,
    STATE(6312), 1,
      sym_identifier,
    STATE(6321), 1,
      sym__soft_identifier,
    STATE(9779), 1,
      sym_annotated_type,
    STATE(11126), 1,
      sym__non_null_literal,
    STATE(11139), 1,
      sym_literal_type,
    STATE(11322), 1,
      sym__type,
    STATE(11367), 1,
      sym_template_body,
    STATE(13416), 1,
      sym__infix_type_choice,
    STATE(16902), 1,
      sym_type_parameters,
    STATE(16918), 1,
      sym_parameter_types,
    STATE(18052), 1,
      sym_stable_identifier,
    ACTIONS(1023), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1025), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1033), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3926), 2,
      sym_comment,
      sym_block_comment,
    STATE(7892), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10462), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11543), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11467), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6936), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6768), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175740] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16230), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3927), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175865] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1021), 1,
      sym_integer_literal,
    ACTIONS(6926), 1,
      sym__alpha_identifier,
    ACTIONS(6928), 1,
      anon_sym_COLON,
    ACTIONS(6930), 1,
      anon_sym_LBRACE,
    ACTIONS(6932), 1,
      anon_sym__,
    ACTIONS(6934), 1,
      anon_sym_LBRACK,
    ACTIONS(6938), 1,
      anon_sym_LPAREN,
    ACTIONS(6940), 1,
      sym__backquoted_id,
    ACTIONS(6942), 1,
      sym_operator_identifier,
    STATE(5725), 1,
      sym__simple_type,
    STATE(5984), 1,
      sym__annotated_type,
    STATE(6312), 1,
      sym_identifier,
    STATE(6321), 1,
      sym__soft_identifier,
    STATE(9779), 1,
      sym_annotated_type,
    STATE(11126), 1,
      sym__non_null_literal,
    STATE(11139), 1,
      sym_literal_type,
    STATE(11323), 1,
      sym__type,
    STATE(11367), 1,
      sym_template_body,
    STATE(13416), 1,
      sym__infix_type_choice,
    STATE(16902), 1,
      sym_type_parameters,
    STATE(16918), 1,
      sym_parameter_types,
    STATE(18052), 1,
      sym_stable_identifier,
    ACTIONS(1023), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1025), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1033), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3928), 2,
      sym_comment,
      sym_block_comment,
    STATE(7892), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10462), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11543), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11467), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6936), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6768), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175990] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18149), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3929), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176115] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16236), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3930), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176240] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1425), 1,
      sym_integer_literal,
    ACTIONS(6944), 1,
      sym__alpha_identifier,
    ACTIONS(6946), 1,
      anon_sym_COLON,
    ACTIONS(6948), 1,
      anon_sym_LBRACE,
    ACTIONS(6950), 1,
      anon_sym__,
    ACTIONS(6952), 1,
      anon_sym_LBRACK,
    ACTIONS(6956), 1,
      anon_sym_LPAREN,
    ACTIONS(6958), 1,
      sym__backquoted_id,
    ACTIONS(6960), 1,
      sym_operator_identifier,
    STATE(5106), 1,
      sym__simple_type,
    STATE(5313), 1,
      sym__annotated_type,
    STATE(5365), 1,
      sym_identifier,
    STATE(5502), 1,
      sym__soft_identifier,
    STATE(8401), 1,
      sym_annotated_type,
    STATE(10954), 1,
      sym_literal_type,
    STATE(11008), 1,
      sym__non_null_literal,
    STATE(13546), 1,
      sym__infix_type_choice,
    STATE(13995), 1,
      sym_template_body,
    STATE(14077), 1,
      sym__type,
    STATE(16377), 1,
      sym_type_parameters,
    STATE(16378), 1,
      sym_parameter_types,
    STATE(18889), 1,
      sym_stable_identifier,
    ACTIONS(1427), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1429), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1433), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3931), 2,
      sym_comment,
      sym_block_comment,
    STATE(8052), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8196), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9967), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6029), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176365] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16794), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3932), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176490] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16238), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3933), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176615] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(14766), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3934), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176740] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(89), 1,
      sym_integer_literal,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5418), 1,
      anon_sym_LPAREN,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    ACTIONS(6402), 1,
      anon_sym_COLON,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(8575), 1,
      sym__annotated_type,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11227), 1,
      sym__non_null_literal,
    STATE(11245), 1,
      sym_literal_type,
    STATE(13367), 1,
      sym__infix_type_choice,
    STATE(15274), 1,
      sym__type,
    STATE(16061), 1,
      sym_type_parameters,
    STATE(16078), 1,
      sym_parameter_types,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(91), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(93), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(105), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3935), 2,
      sym_comment,
      sym_block_comment,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10368), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10554), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176865] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16242), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3936), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176990] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(575), 1,
      sym_integer_literal,
    ACTIONS(4502), 1,
      anon_sym_COLON,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    ACTIONS(6678), 1,
      anon_sym_LBRACK,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(7199), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(10380), 1,
      sym_literal_type,
    STATE(10428), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13114), 1,
      sym__type,
    STATE(13473), 1,
      sym__infix_type_choice,
    STATE(16478), 1,
      sym_type_parameters,
    STATE(16479), 1,
      sym_parameter_types,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(577), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(579), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(589), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3937), 2,
      sym_comment,
      sym_block_comment,
    STATE(9594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9632), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12935), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177115] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16245), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3938), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177240] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(575), 1,
      sym_integer_literal,
    ACTIONS(4502), 1,
      anon_sym_COLON,
    ACTIONS(4504), 1,
      anon_sym_LBRACE,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    ACTIONS(6678), 1,
      anon_sym_LBRACK,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(7199), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(10380), 1,
      sym_literal_type,
    STATE(10428), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13116), 1,
      sym__type,
    STATE(13473), 1,
      sym__infix_type_choice,
    STATE(16478), 1,
      sym_type_parameters,
    STATE(16479), 1,
      sym_parameter_types,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(577), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(579), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(589), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3939), 2,
      sym_comment,
      sym_block_comment,
    STATE(9594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9632), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12935), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177365] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16248), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3940), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177490] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16251), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3941), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177615] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(89), 1,
      sym_integer_literal,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5418), 1,
      anon_sym_LPAREN,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    ACTIONS(6402), 1,
      anon_sym_COLON,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(8575), 1,
      sym__annotated_type,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11227), 1,
      sym__non_null_literal,
    STATE(11245), 1,
      sym_literal_type,
    STATE(13367), 1,
      sym__infix_type_choice,
    STATE(15434), 1,
      sym__type,
    STATE(16061), 1,
      sym_type_parameters,
    STATE(16078), 1,
      sym_parameter_types,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(91), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(93), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(105), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3942), 2,
      sym_comment,
      sym_block_comment,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10368), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10554), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177740] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16253), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3943), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177865] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16257), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3944), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177990] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16260), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3945), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178115] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16263), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3946), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178240] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16267), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3947), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178365] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16269), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3948), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178490] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16272), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3949), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178615] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16274), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3950), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178740] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16276), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3951), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178865] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16279), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3952), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178990] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16283), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3953), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179115] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16287), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3954), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179240] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16289), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3955), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179365] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16291), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3956), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179490] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16293), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3957), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179615] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(89), 1,
      sym_integer_literal,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5418), 1,
      anon_sym_LPAREN,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    ACTIONS(6328), 1,
      anon_sym_LBRACK,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(8460), 1,
      sym__annotated_type,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11227), 1,
      sym__non_null_literal,
    STATE(11245), 1,
      sym_literal_type,
    STATE(13379), 1,
      sym__infix_type_choice,
    STATE(15065), 1,
      sym__type,
    STATE(16606), 1,
      sym_type_parameters,
    STATE(16612), 1,
      sym_parameter_types,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(91), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(93), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(105), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3958), 2,
      sym_comment,
      sym_block_comment,
    STATE(10368), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10554), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179740] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(89), 1,
      sym_integer_literal,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5418), 1,
      anon_sym_LPAREN,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    ACTIONS(6402), 1,
      anon_sym_COLON,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(8575), 1,
      sym__annotated_type,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11227), 1,
      sym__non_null_literal,
    STATE(11245), 1,
      sym_literal_type,
    STATE(13367), 1,
      sym__infix_type_choice,
    STATE(15412), 1,
      sym__type,
    STATE(16061), 1,
      sym_type_parameters,
    STATE(16078), 1,
      sym_parameter_types,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(91), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(93), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(105), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3959), 2,
      sym_comment,
      sym_block_comment,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10368), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10554), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179865] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4638), 1,
      sym__alpha_identifier,
    ACTIONS(4640), 1,
      anon_sym_COLON,
    ACTIONS(4642), 1,
      anon_sym_LBRACE,
    ACTIONS(4644), 1,
      anon_sym__,
    ACTIONS(4648), 1,
      anon_sym_LBRACK,
    ACTIONS(4656), 1,
      sym__backquoted_id,
    ACTIONS(4660), 1,
      sym_integer_literal,
    ACTIONS(7014), 1,
      anon_sym_LPAREN,
    ACTIONS(7016), 1,
      sym_operator_identifier,
    STATE(5349), 1,
      sym__simple_type,
    STATE(5380), 1,
      sym__annotated_type,
    STATE(5940), 1,
      sym_identifier,
    STATE(6124), 1,
      sym__soft_identifier,
    STATE(8912), 1,
      sym_annotated_type,
    STATE(11152), 1,
      sym__non_null_literal,
    STATE(11154), 1,
      sym_literal_type,
    STATE(13503), 1,
      sym__infix_type_choice,
    STATE(14484), 1,
      sym__type,
    STATE(14686), 1,
      sym_template_body,
    STATE(16890), 1,
      sym_type_parameters,
    STATE(16894), 1,
      sym_parameter_types,
    STATE(18680), 1,
      sym_stable_identifier,
    ACTIONS(4662), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4664), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4668), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3960), 2,
      sym_comment,
      sym_block_comment,
    STATE(10463), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11109), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14658), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14415), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4650), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6954), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179990] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18653), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3961), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180115] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4564), 1,
      sym__alpha_identifier,
    ACTIONS(4566), 1,
      anon_sym__,
    ACTIONS(4570), 1,
      anon_sym_LBRACK,
    ACTIONS(4576), 1,
      sym__backquoted_id,
    ACTIONS(4580), 1,
      sym_integer_literal,
    ACTIONS(7018), 1,
      anon_sym_LPAREN,
    ACTIONS(7020), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__annotated_type,
    STATE(4896), 1,
      sym__simple_type,
    STATE(5119), 1,
      sym__soft_identifier,
    STATE(5265), 1,
      sym_identifier,
    STATE(7911), 1,
      sym_annotated_type,
    STATE(10376), 1,
      sym__non_null_literal,
    STATE(10379), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11447), 1,
      sym__type,
    STATE(13343), 1,
      sym__infix_type_choice,
    STATE(16344), 1,
      sym_type_parameters,
    STATE(16345), 1,
      sym_parameter_types,
    STATE(17908), 1,
      sym_stable_identifier,
    ACTIONS(4582), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4584), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4588), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3962), 2,
      sym_comment,
      sym_block_comment,
    STATE(9877), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10747), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4572), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5566), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180240] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18658), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3963), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180365] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16941), 1,
      sym__type,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3964), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180490] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1539), 1,
      sym_integer_literal,
    ACTIONS(6570), 1,
      anon_sym_COLON,
    ACTIONS(6572), 1,
      anon_sym_LBRACE,
    ACTIONS(6996), 1,
      sym__alpha_identifier,
    ACTIONS(6998), 1,
      anon_sym__,
    ACTIONS(7000), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_LPAREN,
    ACTIONS(7006), 1,
      sym__backquoted_id,
    ACTIONS(7008), 1,
      sym_operator_identifier,
    STATE(6776), 1,
      sym__simple_type,
    STATE(6909), 1,
      sym__annotated_type,
    STATE(7198), 1,
      sym_identifier,
    STATE(7879), 1,
      sym__soft_identifier,
    STATE(10008), 1,
      sym_annotated_type,
    STATE(11671), 1,
      sym_literal_type,
    STATE(11730), 1,
      sym__non_null_literal,
    STATE(12402), 1,
      sym__type,
    STATE(12478), 1,
      sym_template_body,
    STATE(13438), 1,
      sym__infix_type_choice,
    STATE(16414), 1,
      sym_type_parameters,
    STATE(16415), 1,
      sym_parameter_types,
    STATE(18230), 1,
      sym_stable_identifier,
    ACTIONS(1541), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1543), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1547), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3965), 2,
      sym_comment,
      sym_block_comment,
    STATE(6161), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10000), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11252), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12202), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(7002), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8475), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180615] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4338), 1,
      sym__alpha_identifier,
    ACTIONS(4340), 1,
      anon_sym_COLON,
    ACTIONS(4342), 1,
      anon_sym_LBRACE,
    ACTIONS(4344), 1,
      anon_sym__,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      sym__backquoted_id,
    ACTIONS(4360), 1,
      sym_integer_literal,
    ACTIONS(6474), 1,
      anon_sym_LPAREN,
    ACTIONS(6476), 1,
      sym_operator_identifier,
    STATE(5208), 1,
      sym__simple_type,
    STATE(5247), 1,
      sym__annotated_type,
    STATE(5377), 1,
      sym__soft_identifier,
    STATE(5681), 1,
      sym_identifier,
    STATE(8606), 1,
      sym_annotated_type,
    STATE(10766), 1,
      sym_literal_type,
    STATE(10892), 1,
      sym__non_null_literal,
    STATE(13426), 1,
      sym__infix_type_choice,
    STATE(14223), 1,
      sym_template_body,
    STATE(14358), 1,
      sym__type,
    STATE(15956), 1,
      sym_type_parameters,
    STATE(15970), 1,
      sym_parameter_types,
    STATE(18098), 1,
      sym_stable_identifier,
    ACTIONS(4362), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4368), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3966), 2,
      sym_comment,
      sym_block_comment,
    STATE(9965), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11102), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14322), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14100), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4350), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5873), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180740] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1851), 1,
      sym_integer_literal,
    ACTIONS(6330), 1,
      sym__alpha_identifier,
    ACTIONS(6332), 1,
      anon_sym_COLON,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    ACTIONS(6336), 1,
      anon_sym__,
    ACTIONS(6338), 1,
      anon_sym_LBRACK,
    ACTIONS(6342), 1,
      anon_sym_LPAREN,
    ACTIONS(6344), 1,
      sym__backquoted_id,
    ACTIONS(6346), 1,
      sym_operator_identifier,
    STATE(5473), 1,
      sym__simple_type,
    STATE(5789), 1,
      sym__annotated_type,
    STATE(6086), 1,
      sym__soft_identifier,
    STATE(6110), 1,
      sym_identifier,
    STATE(9362), 1,
      sym_annotated_type,
    STATE(11148), 1,
      sym__non_null_literal,
    STATE(11226), 1,
      sym_literal_type,
    STATE(13457), 1,
      sym__infix_type_choice,
    STATE(14223), 1,
      sym_template_body,
    STATE(14296), 1,
      sym__type,
    STATE(16351), 1,
      sym_type_parameters,
    STATE(16352), 1,
      sym_parameter_types,
    STATE(18436), 1,
      sym_stable_identifier,
    ACTIONS(1853), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1855), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1859), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3967), 2,
      sym_comment,
      sym_block_comment,
    STATE(8856), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9074), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10687), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14100), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6340), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6347), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180865] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4818), 1,
      sym__alpha_identifier,
    ACTIONS(4820), 1,
      anon_sym_COLON,
    ACTIONS(4822), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym__,
    ACTIONS(4828), 1,
      anon_sym_LBRACK,
    ACTIONS(4836), 1,
      sym__backquoted_id,
    ACTIONS(4840), 1,
      sym_integer_literal,
    ACTIONS(7022), 1,
      anon_sym_LPAREN,
    ACTIONS(7024), 1,
      sym_operator_identifier,
    STATE(5452), 1,
      sym__simple_type,
    STATE(5643), 1,
      sym__annotated_type,
    STATE(5955), 1,
      sym_identifier,
    STATE(6127), 1,
      sym__soft_identifier,
    STATE(8953), 1,
      sym_annotated_type,
    STATE(11138), 1,
      sym_literal_type,
    STATE(11164), 1,
      sym__non_null_literal,
    STATE(13506), 1,
      sym__infix_type_choice,
    STATE(14494), 1,
      sym__type,
    STATE(14508), 1,
      sym_template_body,
    STATE(16971), 1,
      sym_type_parameters,
    STATE(16977), 1,
      sym_parameter_types,
    STATE(18692), 1,
      sym_stable_identifier,
    ACTIONS(4842), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4844), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4848), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3968), 2,
      sym_comment,
      sym_block_comment,
    STATE(10716), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11181), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14520), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14463), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4830), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7048), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180990] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4564), 1,
      sym__alpha_identifier,
    ACTIONS(4566), 1,
      anon_sym__,
    ACTIONS(4570), 1,
      anon_sym_LBRACK,
    ACTIONS(4576), 1,
      sym__backquoted_id,
    ACTIONS(4580), 1,
      sym_integer_literal,
    ACTIONS(7018), 1,
      anon_sym_LPAREN,
    ACTIONS(7020), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__annotated_type,
    STATE(4896), 1,
      sym__simple_type,
    STATE(5119), 1,
      sym__soft_identifier,
    STATE(5265), 1,
      sym_identifier,
    STATE(7911), 1,
      sym_annotated_type,
    STATE(10376), 1,
      sym__non_null_literal,
    STATE(10379), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11462), 1,
      sym__type,
    STATE(13343), 1,
      sym__infix_type_choice,
    STATE(16344), 1,
      sym_type_parameters,
    STATE(16345), 1,
      sym_parameter_types,
    STATE(17908), 1,
      sym_stable_identifier,
    ACTIONS(4582), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4584), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4588), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3969), 2,
      sym_comment,
      sym_block_comment,
    STATE(9877), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10747), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4572), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5566), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181115] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4564), 1,
      sym__alpha_identifier,
    ACTIONS(4566), 1,
      anon_sym__,
    ACTIONS(4570), 1,
      anon_sym_LBRACK,
    ACTIONS(4576), 1,
      sym__backquoted_id,
    ACTIONS(4580), 1,
      sym_integer_literal,
    ACTIONS(7018), 1,
      anon_sym_LPAREN,
    ACTIONS(7020), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__annotated_type,
    STATE(4896), 1,
      sym__simple_type,
    STATE(5119), 1,
      sym__soft_identifier,
    STATE(5265), 1,
      sym_identifier,
    STATE(7911), 1,
      sym_annotated_type,
    STATE(10376), 1,
      sym__non_null_literal,
    STATE(10379), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11463), 1,
      sym__type,
    STATE(13343), 1,
      sym__infix_type_choice,
    STATE(16344), 1,
      sym_type_parameters,
    STATE(16345), 1,
      sym_parameter_types,
    STATE(17908), 1,
      sym_stable_identifier,
    ACTIONS(4582), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4584), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4588), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3970), 2,
      sym_comment,
      sym_block_comment,
    STATE(9877), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10747), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4572), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5566), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181240] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    ACTIONS(4442), 1,
      anon_sym_LBRACE,
    ACTIONS(4564), 1,
      sym__alpha_identifier,
    ACTIONS(4566), 1,
      anon_sym__,
    ACTIONS(4570), 1,
      anon_sym_LBRACK,
    ACTIONS(4576), 1,
      sym__backquoted_id,
    ACTIONS(4580), 1,
      sym_integer_literal,
    ACTIONS(7018), 1,
      anon_sym_LPAREN,
    ACTIONS(7020), 1,
      sym_operator_identifier,
    STATE(4839), 1,
      sym__annotated_type,
    STATE(4896), 1,
      sym__simple_type,
    STATE(5119), 1,
      sym__soft_identifier,
    STATE(5265), 1,
      sym_identifier,
    STATE(7911), 1,
      sym_annotated_type,
    STATE(10376), 1,
      sym__non_null_literal,
    STATE(10379), 1,
      sym_literal_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11464), 1,
      sym__type,
    STATE(13343), 1,
      sym__infix_type_choice,
    STATE(16344), 1,
      sym_type_parameters,
    STATE(16345), 1,
      sym_parameter_types,
    STATE(17908), 1,
      sym_stable_identifier,
    ACTIONS(4582), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4584), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4588), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3971), 2,
      sym_comment,
      sym_block_comment,
    STATE(9877), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10747), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11328), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4572), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5566), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181365] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4818), 1,
      sym__alpha_identifier,
    ACTIONS(4820), 1,
      anon_sym_COLON,
    ACTIONS(4822), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym__,
    ACTIONS(4828), 1,
      anon_sym_LBRACK,
    ACTIONS(4836), 1,
      sym__backquoted_id,
    ACTIONS(4840), 1,
      sym_integer_literal,
    ACTIONS(7022), 1,
      anon_sym_LPAREN,
    ACTIONS(7024), 1,
      sym_operator_identifier,
    STATE(5452), 1,
      sym__simple_type,
    STATE(5643), 1,
      sym__annotated_type,
    STATE(5955), 1,
      sym_identifier,
    STATE(6127), 1,
      sym__soft_identifier,
    STATE(8953), 1,
      sym_annotated_type,
    STATE(11138), 1,
      sym_literal_type,
    STATE(11164), 1,
      sym__non_null_literal,
    STATE(13506), 1,
      sym__infix_type_choice,
    STATE(14497), 1,
      sym__type,
    STATE(14508), 1,
      sym_template_body,
    STATE(16971), 1,
      sym_type_parameters,
    STATE(16977), 1,
      sym_parameter_types,
    STATE(18692), 1,
      sym_stable_identifier,
    ACTIONS(4842), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4844), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4848), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3972), 2,
      sym_comment,
      sym_block_comment,
    STATE(10716), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11181), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14520), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14463), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4830), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7048), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181490] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    STATE(19255), 1,
      sym__type,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3973), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181615] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1245), 1,
      sym_integer_literal,
    ACTIONS(6552), 1,
      anon_sym_COLON,
    ACTIONS(6554), 1,
      anon_sym_LBRACE,
    ACTIONS(6836), 1,
      sym__alpha_identifier,
    ACTIONS(6838), 1,
      anon_sym__,
    ACTIONS(6840), 1,
      anon_sym_LBRACK,
    ACTIONS(6844), 1,
      anon_sym_LPAREN,
    ACTIONS(6846), 1,
      sym__backquoted_id,
    ACTIONS(6848), 1,
      sym_operator_identifier,
    STATE(4901), 1,
      sym__simple_type,
    STATE(4922), 1,
      sym__annotated_type,
    STATE(5207), 1,
      sym__soft_identifier,
    STATE(5271), 1,
      sym_identifier,
    STATE(7549), 1,
      sym_annotated_type,
    STATE(10437), 1,
      sym_literal_type,
    STATE(10573), 1,
      sym__non_null_literal,
    STATE(12633), 1,
      sym_template_body,
    STATE(13296), 1,
      sym__type,
    STATE(13490), 1,
      sym__infix_type_choice,
    STATE(16456), 1,
      sym_type_parameters,
    STATE(16457), 1,
      sym_parameter_types,
    STATE(18647), 1,
      sym_stable_identifier,
    ACTIONS(1247), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1249), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1253), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3974), 2,
      sym_comment,
      sym_block_comment,
    STATE(6866), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7102), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9814), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12855), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6842), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5774), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181740] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    STATE(19267), 1,
      sym__type,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3975), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181865] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4818), 1,
      sym__alpha_identifier,
    ACTIONS(4820), 1,
      anon_sym_COLON,
    ACTIONS(4822), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym__,
    ACTIONS(4828), 1,
      anon_sym_LBRACK,
    ACTIONS(4836), 1,
      sym__backquoted_id,
    ACTIONS(4840), 1,
      sym_integer_literal,
    ACTIONS(7022), 1,
      anon_sym_LPAREN,
    ACTIONS(7024), 1,
      sym_operator_identifier,
    STATE(5452), 1,
      sym__simple_type,
    STATE(5643), 1,
      sym__annotated_type,
    STATE(5955), 1,
      sym_identifier,
    STATE(6127), 1,
      sym__soft_identifier,
    STATE(8953), 1,
      sym_annotated_type,
    STATE(11138), 1,
      sym_literal_type,
    STATE(11164), 1,
      sym__non_null_literal,
    STATE(13506), 1,
      sym__infix_type_choice,
    STATE(14499), 1,
      sym__type,
    STATE(14508), 1,
      sym_template_body,
    STATE(16971), 1,
      sym_type_parameters,
    STATE(16977), 1,
      sym_parameter_types,
    STATE(18692), 1,
      sym_stable_identifier,
    ACTIONS(4842), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4844), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4848), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3976), 2,
      sym_comment,
      sym_block_comment,
    STATE(10716), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11181), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14520), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14463), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4830), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7048), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181990] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(17234), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3977), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182115] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4818), 1,
      sym__alpha_identifier,
    ACTIONS(4820), 1,
      anon_sym_COLON,
    ACTIONS(4822), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym__,
    ACTIONS(4828), 1,
      anon_sym_LBRACK,
    ACTIONS(4836), 1,
      sym__backquoted_id,
    ACTIONS(4840), 1,
      sym_integer_literal,
    ACTIONS(7022), 1,
      anon_sym_LPAREN,
    ACTIONS(7024), 1,
      sym_operator_identifier,
    STATE(5452), 1,
      sym__simple_type,
    STATE(5643), 1,
      sym__annotated_type,
    STATE(5955), 1,
      sym_identifier,
    STATE(6127), 1,
      sym__soft_identifier,
    STATE(8953), 1,
      sym_annotated_type,
    STATE(11138), 1,
      sym_literal_type,
    STATE(11164), 1,
      sym__non_null_literal,
    STATE(13506), 1,
      sym__infix_type_choice,
    STATE(14500), 1,
      sym__type,
    STATE(14508), 1,
      sym_template_body,
    STATE(16971), 1,
      sym_type_parameters,
    STATE(16977), 1,
      sym_parameter_types,
    STATE(18692), 1,
      sym_stable_identifier,
    ACTIONS(4842), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4844), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4848), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3978), 2,
      sym_comment,
      sym_block_comment,
    STATE(10716), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11181), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14520), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14463), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4830), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7048), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182240] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6412), 1,
      sym__alpha_identifier,
    ACTIONS(6414), 1,
      anon_sym_COLON,
    ACTIONS(6416), 1,
      anon_sym_LBRACE,
    ACTIONS(6418), 1,
      anon_sym__,
    ACTIONS(6420), 1,
      anon_sym_LBRACK,
    ACTIONS(6424), 1,
      anon_sym_LPAREN,
    ACTIONS(6426), 1,
      sym__backquoted_id,
    ACTIONS(6428), 1,
      sym_operator_identifier,
    ACTIONS(6430), 1,
      sym_integer_literal,
    STATE(6300), 1,
      sym__simple_type,
    STATE(6354), 1,
      sym_identifier,
    STATE(6890), 1,
      sym__soft_identifier,
    STATE(6977), 1,
      sym__annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(8180), 1,
      sym__type,
    STATE(10256), 1,
      sym_annotated_type,
    STATE(11392), 1,
      sym__non_null_literal,
    STATE(11393), 1,
      sym_literal_type,
    STATE(13140), 1,
      sym__infix_type_choice,
    STATE(16317), 1,
      sym_type_parameters,
    STATE(16318), 1,
      sym_parameter_types,
    STATE(19353), 1,
      sym_stable_identifier,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3979), 2,
      sym_comment,
      sym_block_comment,
    STATE(10871), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11765), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6422), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7457), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182365] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6412), 1,
      sym__alpha_identifier,
    ACTIONS(6414), 1,
      anon_sym_COLON,
    ACTIONS(6416), 1,
      anon_sym_LBRACE,
    ACTIONS(6418), 1,
      anon_sym__,
    ACTIONS(6420), 1,
      anon_sym_LBRACK,
    ACTIONS(6424), 1,
      anon_sym_LPAREN,
    ACTIONS(6426), 1,
      sym__backquoted_id,
    ACTIONS(6428), 1,
      sym_operator_identifier,
    ACTIONS(6430), 1,
      sym_integer_literal,
    STATE(6300), 1,
      sym__simple_type,
    STATE(6354), 1,
      sym_identifier,
    STATE(6890), 1,
      sym__soft_identifier,
    STATE(6977), 1,
      sym__annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(8187), 1,
      sym__type,
    STATE(10256), 1,
      sym_annotated_type,
    STATE(11392), 1,
      sym__non_null_literal,
    STATE(11393), 1,
      sym_literal_type,
    STATE(13140), 1,
      sym__infix_type_choice,
    STATE(16317), 1,
      sym_type_parameters,
    STATE(16318), 1,
      sym_parameter_types,
    STATE(19353), 1,
      sym_stable_identifier,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3980), 2,
      sym_comment,
      sym_block_comment,
    STATE(10871), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11765), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6422), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7457), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182490] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3514), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6610), 1,
      anon_sym_COLON,
    ACTIONS(6612), 1,
      anon_sym_LBRACE,
    ACTIONS(6614), 1,
      anon_sym_LBRACK,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(10707), 1,
      sym__annotated_type,
    STATE(13420), 1,
      sym__infix_type_choice,
    STATE(13949), 1,
      sym__non_null_literal,
    STATE(13950), 1,
      sym_literal_type,
    STATE(17151), 1,
      sym_type_parameters,
    STATE(17170), 1,
      sym_parameter_types,
    STATE(18260), 1,
      sym_template_body,
    STATE(18737), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(3516), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(3518), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3522), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3981), 2,
      sym_comment,
      sym_block_comment,
    STATE(11375), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13541), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(18335), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17990), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182615] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6302), 1,
      sym__alpha_identifier,
    ACTIONS(6304), 1,
      anon_sym_COLON,
    ACTIONS(6306), 1,
      anon_sym_LBRACE,
    ACTIONS(6308), 1,
      anon_sym__,
    ACTIONS(6310), 1,
      anon_sym_LBRACK,
    ACTIONS(6314), 1,
      anon_sym_LPAREN,
    ACTIONS(6316), 1,
      sym__backquoted_id,
    ACTIONS(6318), 1,
      sym_operator_identifier,
    ACTIONS(6320), 1,
      sym_integer_literal,
    STATE(5631), 1,
      sym__simple_type,
    STATE(5902), 1,
      sym_identifier,
    STATE(5903), 1,
      sym__annotated_type,
    STATE(6100), 1,
      sym__soft_identifier,
    STATE(9721), 1,
      sym_annotated_type,
    STATE(11203), 1,
      sym__non_null_literal,
    STATE(11282), 1,
      sym_literal_type,
    STATE(11430), 1,
      sym__type,
    STATE(11542), 1,
      sym_template_body,
    STATE(13474), 1,
      sym__infix_type_choice,
    STATE(16631), 1,
      sym_type_parameters,
    STATE(16634), 1,
      sym_parameter_types,
    STATE(18570), 1,
      sym_stable_identifier,
    ACTIONS(6322), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6324), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6326), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3982), 2,
      sym_comment,
      sym_block_comment,
    STATE(10578), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11128), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11552), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11421), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6312), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6504), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182740] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(18953), 1,
      sym__type,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3983), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182865] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(575), 1,
      sym_integer_literal,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    ACTIONS(6464), 1,
      anon_sym_COLON,
    ACTIONS(6466), 1,
      anon_sym_LBRACE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(6794), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(10380), 1,
      sym_literal_type,
    STATE(10428), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13462), 1,
      sym__infix_type_choice,
    STATE(15590), 1,
      sym__type,
    STATE(16353), 1,
      sym_type_parameters,
    STATE(16354), 1,
      sym_parameter_types,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(577), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(579), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(589), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3984), 2,
      sym_comment,
      sym_block_comment,
    STATE(9563), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9632), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182990] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16000), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3985), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [183115] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1851), 1,
      sym_integer_literal,
    ACTIONS(6330), 1,
      sym__alpha_identifier,
    ACTIONS(6332), 1,
      anon_sym_COLON,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    ACTIONS(6336), 1,
      anon_sym__,
    ACTIONS(6338), 1,
      anon_sym_LBRACK,
    ACTIONS(6342), 1,
      anon_sym_LPAREN,
    ACTIONS(6344), 1,
      sym__backquoted_id,
    ACTIONS(6346), 1,
      sym_operator_identifier,
    STATE(5473), 1,
      sym__simple_type,
    STATE(5789), 1,
      sym__annotated_type,
    STATE(6086), 1,
      sym__soft_identifier,
    STATE(6110), 1,
      sym_identifier,
    STATE(9362), 1,
      sym_annotated_type,
    STATE(11148), 1,
      sym__non_null_literal,
    STATE(11226), 1,
      sym_literal_type,
    STATE(13457), 1,
      sym__infix_type_choice,
    STATE(14065), 1,
      sym__type,
    STATE(14223), 1,
      sym_template_body,
    STATE(16351), 1,
      sym_type_parameters,
    STATE(16352), 1,
      sym_parameter_types,
    STATE(18436), 1,
      sym_stable_identifier,
    ACTIONS(1853), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1855), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1859), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3986), 2,
      sym_comment,
      sym_block_comment,
    STATE(8856), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9074), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10687), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14100), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6340), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6347), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [183240] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(575), 1,
      sym_integer_literal,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5862), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    ACTIONS(6464), 1,
      anon_sym_COLON,
    ACTIONS(6466), 1,
      anon_sym_LBRACE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(6794), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(10380), 1,
      sym_literal_type,
    STATE(10428), 1,
      sym__non_null_literal,
    STATE(11989), 1,
      sym_template_body,
    STATE(13462), 1,
      sym__infix_type_choice,
    STATE(15649), 1,
      sym__type,
    STATE(16353), 1,
      sym_type_parameters,
    STATE(16354), 1,
      sym_parameter_types,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(577), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(579), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(589), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3987), 2,
      sym_comment,
      sym_block_comment,
    STATE(9563), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9632), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13034), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [183365] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3514), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(6610), 1,
      anon_sym_COLON,
    ACTIONS(6612), 1,
      anon_sym_LBRACE,
    ACTIONS(6614), 1,
      anon_sym_LBRACK,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(10707), 1,
      sym__annotated_type,
    STATE(13420), 1,
      sym__infix_type_choice,
    STATE(13949), 1,
      sym__non_null_literal,
    STATE(13950), 1,
      sym_literal_type,
    STATE(17151), 1,
      sym_type_parameters,
    STATE(17170), 1,
      sym_parameter_types,
    STATE(18176), 1,
      sym__type,
    STATE(18260), 1,
      sym_template_body,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(3516), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(3518), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3522), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3988), 2,
      sym_comment,
      sym_block_comment,
    STATE(11375), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13541), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(18335), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17990), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [183490] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4818), 1,
      sym__alpha_identifier,
    ACTIONS(4820), 1,
      anon_sym_COLON,
    ACTIONS(4822), 1,
      anon_sym_LBRACE,
    ACTIONS(4824), 1,
      anon_sym__,
    ACTIONS(4828), 1,
      anon_sym_LBRACK,
    ACTIONS(4836), 1,
      sym__backquoted_id,
    ACTIONS(4840), 1,
      sym_integer_literal,
    ACTIONS(7022), 1,
      anon_sym_LPAREN,
    ACTIONS(7024), 1,
      sym_operator_identifier,
    STATE(5452), 1,
      sym__simple_type,
    STATE(5643), 1,
      sym__annotated_type,
    STATE(5955), 1,
      sym_identifier,
    STATE(6127), 1,
      sym__soft_identifier,
    STATE(8953), 1,
      sym_annotated_type,
    STATE(11138), 1,
      sym_literal_type,
    STATE(11164), 1,
      sym__non_null_literal,
    STATE(13506), 1,
      sym__infix_type_choice,
    STATE(14508), 1,
      sym_template_body,
    STATE(14553), 1,
      sym__type,
    STATE(16971), 1,
      sym_type_parameters,
    STATE(16977), 1,
      sym_parameter_types,
    STATE(18692), 1,
      sym_stable_identifier,
    ACTIONS(4842), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4844), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4848), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3989), 2,
      sym_comment,
      sym_block_comment,
    STATE(10716), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11181), 2,
      sym_boolean_literal,
      sym_string,
    STATE(14520), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14463), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4830), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7048), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [183615] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(89), 1,
      sym_integer_literal,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5418), 1,
      anon_sym_LPAREN,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    ACTIONS(6402), 1,
      anon_sym_COLON,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(6406), 1,
      anon_sym_LBRACK,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(8575), 1,
      sym__annotated_type,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11227), 1,
      sym__non_null_literal,
    STATE(11245), 1,
      sym_literal_type,
    STATE(13367), 1,
      sym__infix_type_choice,
    STATE(13790), 1,
      sym__type,
    STATE(16061), 1,
      sym_type_parameters,
    STATE(16078), 1,
      sym_parameter_types,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(91), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(93), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(105), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3990), 2,
      sym_comment,
      sym_block_comment,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10368), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10554), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11391), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [183740] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6302), 1,
      sym__alpha_identifier,
    ACTIONS(6304), 1,
      anon_sym_COLON,
    ACTIONS(6306), 1,
      anon_sym_LBRACE,
    ACTIONS(6308), 1,
      anon_sym__,
    ACTIONS(6310), 1,
      anon_sym_LBRACK,
    ACTIONS(6314), 1,
      anon_sym_LPAREN,
    ACTIONS(6316), 1,
      sym__backquoted_id,
    ACTIONS(6318), 1,
      sym_operator_identifier,
    ACTIONS(6320), 1,
      sym_integer_literal,
    STATE(5631), 1,
      sym__simple_type,
    STATE(5902), 1,
      sym_identifier,
    STATE(5903), 1,
      sym__annotated_type,
    STATE(6100), 1,
      sym__soft_identifier,
    STATE(9721), 1,
      sym_annotated_type,
    STATE(11203), 1,
      sym__non_null_literal,
    STATE(11282), 1,
      sym_literal_type,
    STATE(11433), 1,
      sym__type,
    STATE(11542), 1,
      sym_template_body,
    STATE(13474), 1,
      sym__infix_type_choice,
    STATE(16631), 1,
      sym_type_parameters,
    STATE(16634), 1,
      sym_parameter_types,
    STATE(18570), 1,
      sym_stable_identifier,
    ACTIONS(6322), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6324), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6326), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3991), 2,
      sym_comment,
      sym_block_comment,
    STATE(10578), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11128), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11552), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11421), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6312), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6504), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [183865] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(701), 1,
      anon_sym_COLON,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(743), 1,
      sym_integer_literal,
    ACTIONS(4264), 1,
      anon_sym_LBRACE,
    ACTIONS(5064), 1,
      anon_sym_LPAREN,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5524), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(11219), 1,
      sym__non_null_literal,
    STATE(11284), 1,
      sym_literal_type,
    STATE(12267), 1,
      sym_template_body,
    STATE(12293), 1,
      sym__type,
    STATE(13348), 1,
      sym__infix_type_choice,
    STATE(16550), 1,
      sym_type_parameters,
    STATE(16565), 1,
      sym_parameter_types,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(745), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(747), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(757), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3992), 2,
      sym_comment,
      sym_block_comment,
    STATE(9436), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10560), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12230), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [183990] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1851), 1,
      sym_integer_literal,
    ACTIONS(6330), 1,
      sym__alpha_identifier,
    ACTIONS(6332), 1,
      anon_sym_COLON,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    ACTIONS(6336), 1,
      anon_sym__,
    ACTIONS(6338), 1,
      anon_sym_LBRACK,
    ACTIONS(6342), 1,
      anon_sym_LPAREN,
    ACTIONS(6344), 1,
      sym__backquoted_id,
    ACTIONS(6346), 1,
      sym_operator_identifier,
    STATE(5473), 1,
      sym__simple_type,
    STATE(5789), 1,
      sym__annotated_type,
    STATE(6086), 1,
      sym__soft_identifier,
    STATE(6110), 1,
      sym_identifier,
    STATE(9362), 1,
      sym_annotated_type,
    STATE(11148), 1,
      sym__non_null_literal,
    STATE(11226), 1,
      sym_literal_type,
    STATE(13457), 1,
      sym__infix_type_choice,
    STATE(14223), 1,
      sym_template_body,
    STATE(14339), 1,
      sym__type,
    STATE(16351), 1,
      sym_type_parameters,
    STATE(16352), 1,
      sym_parameter_types,
    STATE(18436), 1,
      sym_stable_identifier,
    ACTIONS(1853), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1855), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1859), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3993), 2,
      sym_comment,
      sym_block_comment,
    STATE(8856), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9074), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10687), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14100), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6340), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6347), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [184115] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    STATE(19260), 1,
      sym__type,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3994), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [184240] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6412), 1,
      sym__alpha_identifier,
    ACTIONS(6414), 1,
      anon_sym_COLON,
    ACTIONS(6416), 1,
      anon_sym_LBRACE,
    ACTIONS(6418), 1,
      anon_sym__,
    ACTIONS(6420), 1,
      anon_sym_LBRACK,
    ACTIONS(6424), 1,
      anon_sym_LPAREN,
    ACTIONS(6426), 1,
      sym__backquoted_id,
    ACTIONS(6428), 1,
      sym_operator_identifier,
    ACTIONS(6430), 1,
      sym_integer_literal,
    STATE(6300), 1,
      sym__simple_type,
    STATE(6354), 1,
      sym_identifier,
    STATE(6890), 1,
      sym__soft_identifier,
    STATE(6977), 1,
      sym__annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(8339), 1,
      sym__type,
    STATE(10256), 1,
      sym_annotated_type,
    STATE(11392), 1,
      sym__non_null_literal,
    STATE(11393), 1,
      sym_literal_type,
    STATE(13140), 1,
      sym__infix_type_choice,
    STATE(16317), 1,
      sym_type_parameters,
    STATE(16318), 1,
      sym_parameter_types,
    STATE(19353), 1,
      sym_stable_identifier,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3995), 2,
      sym_comment,
      sym_block_comment,
    STATE(10871), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11765), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6422), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7457), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [184365] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    STATE(19301), 1,
      sym__type,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3996), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [184490] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1851), 1,
      sym_integer_literal,
    ACTIONS(6330), 1,
      sym__alpha_identifier,
    ACTIONS(6332), 1,
      anon_sym_COLON,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    ACTIONS(6336), 1,
      anon_sym__,
    ACTIONS(6338), 1,
      anon_sym_LBRACK,
    ACTIONS(6342), 1,
      anon_sym_LPAREN,
    ACTIONS(6344), 1,
      sym__backquoted_id,
    ACTIONS(6346), 1,
      sym_operator_identifier,
    STATE(5473), 1,
      sym__simple_type,
    STATE(5789), 1,
      sym__annotated_type,
    STATE(6086), 1,
      sym__soft_identifier,
    STATE(6110), 1,
      sym_identifier,
    STATE(9362), 1,
      sym_annotated_type,
    STATE(11148), 1,
      sym__non_null_literal,
    STATE(11226), 1,
      sym_literal_type,
    STATE(13457), 1,
      sym__infix_type_choice,
    STATE(14220), 1,
      sym__type,
    STATE(14223), 1,
      sym_template_body,
    STATE(16351), 1,
      sym_type_parameters,
    STATE(16352), 1,
      sym_parameter_types,
    STATE(18436), 1,
      sym_stable_identifier,
    ACTIONS(1853), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1855), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1859), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3997), 2,
      sym_comment,
      sym_block_comment,
    STATE(8856), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9074), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10687), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14100), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6340), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6347), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [184615] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(119), 1,
      anon_sym_LBRACK,
    ACTIONS(947), 1,
      sym_integer_literal,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5038), 1,
      anon_sym_LPAREN,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    STATE(4873), 1,
      sym__annotated_type,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8040), 1,
      sym_template_body,
    STATE(9951), 1,
      sym__non_null_literal,
    STATE(9983), 1,
      sym_literal_type,
    STATE(13556), 1,
      sym__infix_type_choice,
    STATE(16181), 1,
      sym__type,
    STATE(16901), 1,
      sym_type_parameters,
    STATE(16984), 1,
      sym_parameter_types,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(949), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(951), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(953), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3998), 2,
      sym_comment,
      sym_block_comment,
    STATE(8165), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8744), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8303), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [184740] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6302), 1,
      sym__alpha_identifier,
    ACTIONS(6304), 1,
      anon_sym_COLON,
    ACTIONS(6306), 1,
      anon_sym_LBRACE,
    ACTIONS(6308), 1,
      anon_sym__,
    ACTIONS(6310), 1,
      anon_sym_LBRACK,
    ACTIONS(6314), 1,
      anon_sym_LPAREN,
    ACTIONS(6316), 1,
      sym__backquoted_id,
    ACTIONS(6318), 1,
      sym_operator_identifier,
    ACTIONS(6320), 1,
      sym_integer_literal,
    STATE(5631), 1,
      sym__simple_type,
    STATE(5902), 1,
      sym_identifier,
    STATE(5903), 1,
      sym__annotated_type,
    STATE(6100), 1,
      sym__soft_identifier,
    STATE(9721), 1,
      sym_annotated_type,
    STATE(11203), 1,
      sym__non_null_literal,
    STATE(11282), 1,
      sym_literal_type,
    STATE(11435), 1,
      sym__type,
    STATE(11542), 1,
      sym_template_body,
    STATE(13474), 1,
      sym__infix_type_choice,
    STATE(16631), 1,
      sym_type_parameters,
    STATE(16634), 1,
      sym_parameter_types,
    STATE(18570), 1,
      sym_stable_identifier,
    ACTIONS(6322), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6324), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6326), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3999), 2,
      sym_comment,
      sym_block_comment,
    STATE(10578), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11128), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11552), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11421), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6312), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6504), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [184865] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1389), 1,
      sym_integer_literal,
    ACTIONS(6384), 1,
      sym__alpha_identifier,
    ACTIONS(6386), 1,
      anon_sym_COLON,
    ACTIONS(6388), 1,
      anon_sym_LBRACE,
    ACTIONS(6390), 1,
      anon_sym__,
    ACTIONS(6392), 1,
      anon_sym_LBRACK,
    ACTIONS(6396), 1,
      anon_sym_LPAREN,
    ACTIONS(6398), 1,
      sym__backquoted_id,
    ACTIONS(6400), 1,
      sym_operator_identifier,
    STATE(5392), 1,
      sym__annotated_type,
    STATE(5512), 1,
      sym__simple_type,
    STATE(6130), 1,
      sym__soft_identifier,
    STATE(6158), 1,
      sym_identifier,
    STATE(9001), 1,
      sym_annotated_type,
    STATE(11123), 1,
      sym_literal_type,
    STATE(11237), 1,
      sym__non_null_literal,
    STATE(13507), 1,
      sym__infix_type_choice,
    STATE(14080), 1,
      sym__type,
    STATE(14101), 1,
      sym_template_body,
    STATE(16359), 1,
      sym_type_parameters,
    STATE(16360), 1,
      sym_parameter_types,
    STATE(18704), 1,
      sym_stable_identifier,
    ACTIONS(1391), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1393), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1397), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4000), 2,
      sym_comment,
      sym_block_comment,
    STATE(8777), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9410), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10670), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14228), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6394), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6414), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [184990] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6302), 1,
      sym__alpha_identifier,
    ACTIONS(6304), 1,
      anon_sym_COLON,
    ACTIONS(6306), 1,
      anon_sym_LBRACE,
    ACTIONS(6308), 1,
      anon_sym__,
    ACTIONS(6310), 1,
      anon_sym_LBRACK,
    ACTIONS(6314), 1,
      anon_sym_LPAREN,
    ACTIONS(6316), 1,
      sym__backquoted_id,
    ACTIONS(6318), 1,
      sym_operator_identifier,
    ACTIONS(6320), 1,
      sym_integer_literal,
    STATE(5631), 1,
      sym__simple_type,
    STATE(5902), 1,
      sym_identifier,
    STATE(5903), 1,
      sym__annotated_type,
    STATE(6100), 1,
      sym__soft_identifier,
    STATE(9721), 1,
      sym_annotated_type,
    STATE(11203), 1,
      sym__non_null_literal,
    STATE(11282), 1,
      sym_literal_type,
    STATE(11436), 1,
      sym__type,
    STATE(11542), 1,
      sym_template_body,
    STATE(13474), 1,
      sym__infix_type_choice,
    STATE(16631), 1,
      sym_type_parameters,
    STATE(16634), 1,
      sym_parameter_types,
    STATE(18570), 1,
      sym_stable_identifier,
    ACTIONS(6322), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6324), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6326), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4001), 2,
      sym_comment,
      sym_block_comment,
    STATE(10578), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11128), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11552), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11421), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6312), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6504), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [185115] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1389), 1,
      sym_integer_literal,
    ACTIONS(6384), 1,
      sym__alpha_identifier,
    ACTIONS(6386), 1,
      anon_sym_COLON,
    ACTIONS(6388), 1,
      anon_sym_LBRACE,
    ACTIONS(6390), 1,
      anon_sym__,
    ACTIONS(6392), 1,
      anon_sym_LBRACK,
    ACTIONS(6396), 1,
      anon_sym_LPAREN,
    ACTIONS(6398), 1,
      sym__backquoted_id,
    ACTIONS(6400), 1,
      sym_operator_identifier,
    STATE(5392), 1,
      sym__annotated_type,
    STATE(5512), 1,
      sym__simple_type,
    STATE(6130), 1,
      sym__soft_identifier,
    STATE(6158), 1,
      sym_identifier,
    STATE(9001), 1,
      sym_annotated_type,
    STATE(11123), 1,
      sym_literal_type,
    STATE(11237), 1,
      sym__non_null_literal,
    STATE(13507), 1,
      sym__infix_type_choice,
    STATE(14101), 1,
      sym_template_body,
    STATE(14270), 1,
      sym__type,
    STATE(16359), 1,
      sym_type_parameters,
    STATE(16360), 1,
      sym_parameter_types,
    STATE(18704), 1,
      sym_stable_identifier,
    ACTIONS(1391), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1393), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1397), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4002), 2,
      sym_comment,
      sym_block_comment,
    STATE(8777), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9410), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10670), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14228), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6394), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6414), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [185240] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1389), 1,
      sym_integer_literal,
    ACTIONS(6384), 1,
      sym__alpha_identifier,
    ACTIONS(6386), 1,
      anon_sym_COLON,
    ACTIONS(6388), 1,
      anon_sym_LBRACE,
    ACTIONS(6390), 1,
      anon_sym__,
    ACTIONS(6392), 1,
      anon_sym_LBRACK,
    ACTIONS(6396), 1,
      anon_sym_LPAREN,
    ACTIONS(6398), 1,
      sym__backquoted_id,
    ACTIONS(6400), 1,
      sym_operator_identifier,
    STATE(5392), 1,
      sym__annotated_type,
    STATE(5512), 1,
      sym__simple_type,
    STATE(6130), 1,
      sym__soft_identifier,
    STATE(6158), 1,
      sym_identifier,
    STATE(9001), 1,
      sym_annotated_type,
    STATE(11123), 1,
      sym_literal_type,
    STATE(11237), 1,
      sym__non_null_literal,
    STATE(13507), 1,
      sym__infix_type_choice,
    STATE(14101), 1,
      sym_template_body,
    STATE(14304), 1,
      sym__type,
    STATE(16359), 1,
      sym_type_parameters,
    STATE(16360), 1,
      sym_parameter_types,
    STATE(18704), 1,
      sym_stable_identifier,
    ACTIONS(1391), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1393), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1397), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4003), 2,
      sym_comment,
      sym_block_comment,
    STATE(8777), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9410), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10670), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14228), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6394), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6414), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [185365] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1389), 1,
      sym_integer_literal,
    ACTIONS(6384), 1,
      sym__alpha_identifier,
    ACTIONS(6386), 1,
      anon_sym_COLON,
    ACTIONS(6388), 1,
      anon_sym_LBRACE,
    ACTIONS(6390), 1,
      anon_sym__,
    ACTIONS(6392), 1,
      anon_sym_LBRACK,
    ACTIONS(6396), 1,
      anon_sym_LPAREN,
    ACTIONS(6398), 1,
      sym__backquoted_id,
    ACTIONS(6400), 1,
      sym_operator_identifier,
    STATE(5392), 1,
      sym__annotated_type,
    STATE(5512), 1,
      sym__simple_type,
    STATE(6130), 1,
      sym__soft_identifier,
    STATE(6158), 1,
      sym_identifier,
    STATE(9001), 1,
      sym_annotated_type,
    STATE(11123), 1,
      sym_literal_type,
    STATE(11237), 1,
      sym__non_null_literal,
    STATE(13507), 1,
      sym__infix_type_choice,
    STATE(14101), 1,
      sym_template_body,
    STATE(14333), 1,
      sym__type,
    STATE(16359), 1,
      sym_type_parameters,
    STATE(16360), 1,
      sym_parameter_types,
    STATE(18704), 1,
      sym_stable_identifier,
    ACTIONS(1391), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1393), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1397), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4004), 2,
      sym_comment,
      sym_block_comment,
    STATE(8777), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9410), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10670), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(14228), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6394), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6414), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [185490] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6776), 1,
      sym__alpha_identifier,
    ACTIONS(6778), 1,
      anon_sym_COLON,
    ACTIONS(6780), 1,
      anon_sym_LBRACE,
    ACTIONS(6782), 1,
      anon_sym__,
    ACTIONS(6784), 1,
      anon_sym_LBRACK,
    ACTIONS(6788), 1,
      anon_sym_LPAREN,
    ACTIONS(6790), 1,
      sym__backquoted_id,
    ACTIONS(6792), 1,
      sym_operator_identifier,
    ACTIONS(6794), 1,
      sym_integer_literal,
    STATE(6311), 1,
      sym__simple_type,
    STATE(6359), 1,
      sym__annotated_type,
    STATE(6632), 1,
      sym__soft_identifier,
    STATE(6764), 1,
      sym_identifier,
    STATE(9959), 1,
      sym_annotated_type,
    STATE(11465), 1,
      sym__non_null_literal,
    STATE(11466), 1,
      sym_literal_type,
    STATE(11678), 1,
      sym_template_body,
    STATE(11752), 1,
      sym__type,
    STATE(13387), 1,
      sym__infix_type_choice,
    STATE(16750), 1,
      sym_type_parameters,
    STATE(16756), 1,
      sym_parameter_types,
    STATE(17910), 1,
      sym_stable_identifier,
    ACTIONS(6796), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6798), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6800), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4005), 2,
      sym_comment,
      sym_block_comment,
    STATE(11023), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11365), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11689), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11795), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6786), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7852), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [185615] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4260), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 10,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4256), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [185685] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4260), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 10,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4256), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [185755] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4260), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 10,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4256), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [185825] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4260), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 11,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_DQUOTE,
    ACTIONS(4256), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [185895] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4260), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 10,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4256), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [185965] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4260), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 10,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4256), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [186034] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4260), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 9,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_DQUOTE,
    ACTIONS(4256), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [186103] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4260), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 10,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      anon_sym_DQUOTE,
    ACTIONS(4256), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [186172] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4260), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 9,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4256), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [186241] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4260), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 9,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4256), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [186310] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4260), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 9,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4256), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [186379] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4260), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 9,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_DQUOTE,
    ACTIONS(4256), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [186448] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7028), 1,
      anon_sym_LBRACE,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7040), 1,
      anon_sym_LPAREN,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17586), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4018), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [186564] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(17837), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4019), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [186680] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18396), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4020), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [186796] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18769), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4021), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [186912] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18085), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4022), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187028] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7060), 1,
      anon_sym_LBRACE,
    ACTIONS(7062), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17379), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4023), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187144] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18161), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4024), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187260] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7064), 1,
      anon_sym_LBRACE,
    ACTIONS(7066), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17650), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4025), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187376] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18965), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4026), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187492] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_LBRACE,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17397), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4027), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187608] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18562), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4028), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187724] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7072), 1,
      anon_sym_LBRACE,
    ACTIONS(7074), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17666), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4029), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187840] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18009), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4030), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187956] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7076), 1,
      anon_sym_LBRACE,
    ACTIONS(7078), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17708), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4031), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188072] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7080), 1,
      anon_sym_LBRACE,
    ACTIONS(7082), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17409), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4032), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188188] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18134), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4033), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188304] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18888), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4034), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188420] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7084), 1,
      anon_sym_LBRACE,
    ACTIONS(7086), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17728), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4035), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188536] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7088), 1,
      anon_sym_LBRACE,
    ACTIONS(7090), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17670), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4036), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188652] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(19552), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4037), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188768] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7092), 1,
      anon_sym_LBRACE,
    ACTIONS(7094), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17456), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4038), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188884] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7096), 1,
      anon_sym_LBRACE,
    ACTIONS(7098), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17419), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4039), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189000] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(19271), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4040), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189116] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(19020), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4041), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189232] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7100), 1,
      anon_sym_LBRACE,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17431), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4042), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189348] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(17786), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4043), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189464] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7104), 1,
      anon_sym_LBRACE,
    ACTIONS(7106), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17390), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4044), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189580] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 8,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_DQUOTE,
    ACTIONS(4260), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4256), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [189648] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7108), 1,
      anon_sym_LBRACE,
    ACTIONS(7110), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17596), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4046), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189764] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18863), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4047), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189880] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18908), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4048), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189996] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 8,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_DQUOTE,
    ACTIONS(4260), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4256), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [190064] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7112), 1,
      anon_sym_LBRACE,
    ACTIONS(7114), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17446), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4050), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190180] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(17849), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4051), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190296] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(19106), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4052), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190412] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7116), 1,
      anon_sym_LBRACE,
    ACTIONS(7118), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17494), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4053), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190528] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17541), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4054), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190644] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17463), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4055), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190760] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(17915), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4056), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190876] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18118), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4057), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190992] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7128), 1,
      anon_sym_LBRACE,
    ACTIONS(7130), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17739), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4058), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191108] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18626), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4059), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191224] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7132), 1,
      anon_sym_LBRACE,
    ACTIONS(7134), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17730), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4060), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191340] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18320), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4061), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191456] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7136), 1,
      anon_sym_LBRACE,
    ACTIONS(7138), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17474), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4062), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191572] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 8,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4260), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4256), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [191640] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(17974), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4064), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191756] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(19432), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4065), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191872] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7140), 1,
      anon_sym_LBRACE,
    ACTIONS(7142), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17543), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4066), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191988] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7144), 1,
      anon_sym_LBRACE,
    ACTIONS(7146), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17762), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4067), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192104] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18347), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4068), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192220] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_LBRACE,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17490), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4069), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192336] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18041), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4070), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192452] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7152), 1,
      anon_sym_LBRACE,
    ACTIONS(7154), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17592), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4071), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192568] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7156), 1,
      anon_sym_LBRACE,
    ACTIONS(7158), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17442), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4072), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192684] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18879), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4073), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192800] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7160), 1,
      anon_sym_LBRACE,
    ACTIONS(7162), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17499), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4074), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192916] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7164), 1,
      anon_sym_LBRACE,
    ACTIONS(7166), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17506), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4075), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193032] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18107), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4076), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193148] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18348), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4077), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193264] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(17871), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4078), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193380] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7168), 1,
      anon_sym_LBRACE,
    ACTIONS(7170), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17524), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4079), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193496] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7172), 1,
      anon_sym_LBRACE,
    ACTIONS(7174), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17520), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4080), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193612] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18174), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4081), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193728] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18560), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4082), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193844] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7176), 1,
      anon_sym_LBRACE,
    ACTIONS(7178), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17376), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4083), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193960] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18292), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4084), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194076] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18435), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4085), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194192] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7180), 1,
      anon_sym_LBRACE,
    ACTIONS(7182), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17492), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4086), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194308] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7184), 1,
      anon_sym_LBRACE,
    ACTIONS(7186), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17532), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4087), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194424] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18240), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4088), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194540] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7188), 1,
      anon_sym_LBRACE,
    ACTIONS(7190), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17634), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4089), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194656] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7192), 1,
      anon_sym_LBRACE,
    ACTIONS(7194), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17644), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4090), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194772] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7196), 1,
      anon_sym_LBRACE,
    ACTIONS(7198), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17547), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4091), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194888] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18305), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4092), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195004] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7200), 1,
      anon_sym_LBRACE,
    ACTIONS(7202), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17628), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4093), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195120] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7204), 1,
      anon_sym_LBRACE,
    ACTIONS(7206), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17477), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4094), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195236] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18058), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4095), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195352] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18122), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4096), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195468] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18924), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4097), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195584] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7208), 1,
      anon_sym_LBRACE,
    ACTIONS(7210), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17556), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4098), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195700] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18377), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4099), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195816] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18805), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4100), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195932] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7212), 1,
      anon_sym_LBRACE,
    ACTIONS(7214), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17399), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4101), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196048] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7216), 1,
      anon_sym_LBRACE,
    ACTIONS(7218), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17356), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4102), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196164] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7220), 1,
      anon_sym_LBRACE,
    ACTIONS(7222), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17676), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4103), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196280] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7224), 1,
      anon_sym_LBRACE,
    ACTIONS(7226), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17582), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4104), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196396] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(19005), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4105), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196512] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7228), 1,
      anon_sym_LBRACE,
    ACTIONS(7230), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17454), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4106), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196628] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18539), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4107), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196744] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7232), 1,
      anon_sym_LBRACE,
    ACTIONS(7234), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17706), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4108), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196860] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18236), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4109), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196976] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(19166), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4110), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197092] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7236), 1,
      anon_sym_LBRACE,
    ACTIONS(7238), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17767), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4111), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197208] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18638), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4112), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197324] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18300), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4113), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197440] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18822), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4114), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197556] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7240), 1,
      anon_sym_LBRACE,
    ACTIONS(7242), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17723), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4115), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197672] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7244), 1,
      anon_sym_LBRACE,
    ACTIONS(7246), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17359), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4116), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197788] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7248), 1,
      anon_sym_LBRACE,
    ACTIONS(7250), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17682), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4117), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197904] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(19246), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4118), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198020] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(19310), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4119), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198136] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18370), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4120), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198252] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4260), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 9,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4256), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [198320] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7252), 1,
      anon_sym_LBRACE,
    ACTIONS(7254), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17645), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4122), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198436] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7256), 1,
      anon_sym_LBRACE,
    ACTIONS(7258), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17341), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4123), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198552] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18676), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4124), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198668] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7260), 1,
      anon_sym_LBRACE,
    ACTIONS(7262), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17734), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4125), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198784] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7264), 1,
      anon_sym_LBRACE,
    ACTIONS(7266), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17746), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4126), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198900] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(18253), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4127), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199016] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(19238), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4128), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199132] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(19439), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4129), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199248] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7268), 1,
      anon_sym_LBRACE,
    ACTIONS(7270), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17633), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4130), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199364] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7056), 1,
      sym_operator_identifier,
    ACTIONS(7058), 1,
      sym_null_literal,
    STATE(5960), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_stable_identifier,
    STATE(10424), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(16769), 1,
      sym_named_pattern,
    STATE(19199), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4131), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10902), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199480] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 8,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_DQUOTE,
    ACTIONS(4260), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4256), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [199548] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7274), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17613), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4133), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199664] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7276), 1,
      anon_sym_LBRACE,
    ACTIONS(7278), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15510), 1,
      sym_enumerator,
    STATE(17344), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4134), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199780] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(19163), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4135), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199893] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18110), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4136), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200006] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18410), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4137), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200119] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(17914), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4138), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200232] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18239), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4139), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200345] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18551), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4140), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200458] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18322), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4141), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200571] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18293), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4142), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200684] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(17981), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4143), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200797] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18303), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4144), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200910] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18617), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4145), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201023] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18319), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4146), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201136] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(19269), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4147), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201249] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18803), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4148), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201362] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18109), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4149), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201475] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18922), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4150), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201588] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(19017), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4151), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201701] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(17973), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4152), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201814] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18376), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4153), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201927] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18765), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4154), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202040] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(19430), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4155), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202153] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(17995), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4156), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202266] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(17785), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4157), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202379] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(19003), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4158), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202492] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15156), 1,
      sym_enumerator,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    ACTIONS(7284), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    STATE(4159), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202603] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 8,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_DQUOTE,
    ACTIONS(4260), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4256), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [202670] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18328), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4161), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202783] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18538), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4162), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202896] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(19105), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4163), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203009] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18221), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4164), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203122] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18040), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4165), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203235] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18154), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4166), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203348] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18084), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4167), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203461] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18387), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4168), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203574] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18618), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4169), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203687] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15156), 1,
      sym_enumerator,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    ACTIONS(7286), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    STATE(4170), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203798] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 36,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [203861] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7288), 36,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [203924] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18861), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4173), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [204037] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18814), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4174), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [204150] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18846), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4175), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [204263] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18858), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4176), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [204376] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(17864), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4177), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [204489] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18880), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4178), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [204602] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(19309), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4179), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [204715] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(19243), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4180), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [204828] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18105), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4181), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [204941] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18106), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4182), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205054] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(19292), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4183), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205167] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18660), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4184), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205280] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(17847), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4185), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205393] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15156), 1,
      sym_enumerator,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    ACTIONS(7292), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(4186), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205504] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18306), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4187), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205617] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18714), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4188), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205730] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18162), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4189), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205843] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15156), 1,
      sym_enumerator,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    ACTIONS(7294), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(4190), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205954] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(19437), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4191), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [206067] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18963), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4192), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [206180] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18173), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4193), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [206293] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(19198), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4194), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [206406] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(18553), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4195), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [206519] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(17833), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4196), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [206632] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7050), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15409), 1,
      sym_enumerator,
    STATE(19518), 1,
      sym_enumerators,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4197), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [206745] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7296), 1,
      anon_sym_case,
    ACTIONS(7298), 1,
      anon_sym_if,
    ACTIONS(7300), 1,
      sym_operator_identifier,
    ACTIONS(7302), 1,
      sym_null_literal,
    ACTIONS(7304), 1,
      sym__outdent,
    STATE(8116), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11478), 1,
      sym_stable_identifier,
    STATE(11480), 1,
      sym_wildcard,
    STATE(15165), 1,
      aux_sym_enumerator_repeat1,
    STATE(15595), 1,
      sym_guard,
    STATE(16671), 1,
      sym_enumerator,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4198), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11701), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [206855] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7296), 1,
      anon_sym_case,
    ACTIONS(7298), 1,
      anon_sym_if,
    ACTIONS(7300), 1,
      sym_operator_identifier,
    ACTIONS(7302), 1,
      sym_null_literal,
    ACTIONS(7306), 1,
      sym__outdent,
    STATE(8116), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11478), 1,
      sym_stable_identifier,
    STATE(11480), 1,
      sym_wildcard,
    STATE(15165), 1,
      aux_sym_enumerator_repeat1,
    STATE(15595), 1,
      sym_guard,
    STATE(16671), 1,
      sym_enumerator,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4199), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11701), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [206965] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 35,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [207027] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 35,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [207089] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7288), 35,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [207151] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7288), 35,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [207213] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7288), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [207274] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 11,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7288), 35,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [207335] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7288), 35,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [207396] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 11,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 35,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [207457] = 28,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7296), 1,
      anon_sym_case,
    ACTIONS(7298), 1,
      anon_sym_if,
    ACTIONS(7300), 1,
      sym_operator_identifier,
    ACTIONS(7302), 1,
      sym_null_literal,
    STATE(8116), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11478), 1,
      sym_stable_identifier,
    STATE(11480), 1,
      sym_wildcard,
    STATE(15165), 1,
      aux_sym_enumerator_repeat1,
    STATE(15595), 1,
      sym_guard,
    STATE(16671), 1,
      sym_enumerator,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4208), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11701), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207564] = 28,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7030), 1,
      anon_sym_case,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7046), 1,
      sym_operator_identifier,
    ACTIONS(7048), 1,
      sym_null_literal,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    STATE(8012), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11327), 1,
      sym_stable_identifier,
    STATE(11349), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15156), 1,
      sym_enumerator,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4209), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11680), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207671] = 28,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7296), 1,
      anon_sym_case,
    ACTIONS(7298), 1,
      anon_sym_if,
    ACTIONS(7300), 1,
      sym_operator_identifier,
    ACTIONS(7302), 1,
      sym_null_literal,
    STATE(8116), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11478), 1,
      sym_stable_identifier,
    STATE(11480), 1,
      sym_wildcard,
    STATE(15165), 1,
      aux_sym_enumerator_repeat1,
    STATE(15595), 1,
      sym_guard,
    STATE(15821), 1,
      sym_enumerator,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4210), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11701), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207778] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [207839] = 28,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7038), 1,
      anon_sym_if,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7052), 1,
      anon_sym_case,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7280), 1,
      sym_operator_identifier,
    ACTIONS(7282), 1,
      sym_null_literal,
    STATE(8150), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11493), 1,
      sym_stable_identifier,
    STATE(11494), 1,
      sym_wildcard,
    STATE(14392), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(15156), 1,
      sym_enumerator,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4212), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11713), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207946] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [208007] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7288), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [208068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 35,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [208129] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(7308), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [208191] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 34,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [208251] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 11,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7288), 34,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [208311] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7288), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [208371] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7288), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [208431] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(7310), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [208493] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7288), 34,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [208553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [208613] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 11,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 34,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [208673] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [208733] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7288), 33,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [208793] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(7312), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [208855] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 33,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [208915] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 44,
      anon_sym_enum,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_object,
      anon_sym_given,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_do,
  [208972] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 33,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [209031] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7316), 1,
      anon_sym_COLON,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(7326), 1,
      anon_sym_LPAREN,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7330), 1,
      sym_operator_identifier,
    ACTIONS(7332), 1,
      sym__automatic_semicolon,
    STATE(4423), 1,
      sym__given_constructor,
    STATE(4424), 1,
      aux_sym_given_definition_repeat1,
    STATE(11111), 1,
      sym_identifier,
    STATE(11607), 1,
      sym__simple_type,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12318), 1,
      sym__annotated_type,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15179), 1,
      sym_type_parameters,
    STATE(15206), 1,
      aux_sym__given_constructor_repeat1,
    STATE(15414), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(15677), 1,
      sym_parameters,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(4231), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [209148] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7288), 33,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [209207] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [209266] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_COLON,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(7332), 1,
      sym__automatic_semicolon,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7336), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      anon_sym_LPAREN,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(7344), 1,
      sym_operator_identifier,
    STATE(4448), 1,
      sym__given_constructor,
    STATE(4449), 1,
      aux_sym_given_definition_repeat1,
    STATE(11371), 1,
      sym_identifier,
    STATE(11623), 1,
      sym__simple_type,
    STATE(12191), 1,
      sym__annotated_type,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(12609), 1,
      sym__given_sig,
    STATE(14281), 1,
      sym_annotated_type,
    STATE(15179), 1,
      sym_type_parameters,
    STATE(15206), 1,
      aux_sym__given_constructor_repeat1,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(15677), 1,
      sym_parameters,
    STATE(15747), 1,
      sym__structural_instance,
    STATE(17529), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19344), 1,
      sym_stable_identifier,
    STATE(4234), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13039), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [209383] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7316), 1,
      anon_sym_COLON,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(7326), 1,
      anon_sym_LPAREN,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7330), 1,
      sym_operator_identifier,
    ACTIONS(7332), 1,
      sym__automatic_semicolon,
    STATE(4367), 1,
      aux_sym_given_definition_repeat1,
    STATE(4426), 1,
      sym__given_constructor,
    STATE(11111), 1,
      sym_identifier,
    STATE(11607), 1,
      sym__simple_type,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12376), 1,
      sym__annotated_type,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15179), 1,
      sym_type_parameters,
    STATE(15206), 1,
      aux_sym__given_constructor_repeat1,
    STATE(15488), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(15677), 1,
      sym_parameters,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(4235), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [209500] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 34,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [209559] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_COLON,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(7332), 1,
      sym__automatic_semicolon,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7336), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      anon_sym_LPAREN,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(7344), 1,
      sym_operator_identifier,
    STATE(4431), 1,
      sym__given_constructor,
    STATE(4432), 1,
      aux_sym_given_definition_repeat1,
    STATE(11371), 1,
      sym_identifier,
    STATE(11623), 1,
      sym__simple_type,
    STATE(11874), 1,
      sym__annotated_type,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(12609), 1,
      sym__given_sig,
    STATE(14281), 1,
      sym_annotated_type,
    STATE(15179), 1,
      sym_type_parameters,
    STATE(15206), 1,
      aux_sym__given_constructor_repeat1,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(15660), 1,
      sym__structural_instance,
    STATE(15677), 1,
      sym_parameters,
    STATE(17529), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19344), 1,
      sym_stable_identifier,
    STATE(4237), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13039), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [209676] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_COLON,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(7332), 1,
      sym__automatic_semicolon,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7336), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      anon_sym_LPAREN,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(7344), 1,
      sym_operator_identifier,
    STATE(4434), 1,
      sym__given_constructor,
    STATE(4435), 1,
      aux_sym_given_definition_repeat1,
    STATE(11371), 1,
      sym_identifier,
    STATE(11623), 1,
      sym__simple_type,
    STATE(11877), 1,
      sym__annotated_type,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(12609), 1,
      sym__given_sig,
    STATE(14281), 1,
      sym_annotated_type,
    STATE(15179), 1,
      sym_type_parameters,
    STATE(15206), 1,
      aux_sym__given_constructor_repeat1,
    STATE(15540), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(15677), 1,
      sym_parameters,
    STATE(17529), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19344), 1,
      sym_stable_identifier,
    STATE(4238), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13039), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [209793] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_COLON,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(7332), 1,
      sym__automatic_semicolon,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7336), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      anon_sym_LPAREN,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(7344), 1,
      sym_operator_identifier,
    STATE(4428), 1,
      sym__given_constructor,
    STATE(4429), 1,
      aux_sym_given_definition_repeat1,
    STATE(11371), 1,
      sym_identifier,
    STATE(11623), 1,
      sym__simple_type,
    STATE(11872), 1,
      sym__annotated_type,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(12609), 1,
      sym__given_sig,
    STATE(14281), 1,
      sym_annotated_type,
    STATE(15179), 1,
      sym_type_parameters,
    STATE(15206), 1,
      aux_sym__given_constructor_repeat1,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(15677), 1,
      sym_parameters,
    STATE(15747), 1,
      sym__structural_instance,
    STATE(17529), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19344), 1,
      sym_stable_identifier,
    STATE(4239), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13039), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [209910] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7316), 1,
      anon_sym_COLON,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(7326), 1,
      anon_sym_LPAREN,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7330), 1,
      sym_operator_identifier,
    ACTIONS(7332), 1,
      sym__automatic_semicolon,
    STATE(4420), 1,
      sym__given_constructor,
    STATE(4421), 1,
      aux_sym_given_definition_repeat1,
    STATE(11111), 1,
      sym_identifier,
    STATE(11607), 1,
      sym__simple_type,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12303), 1,
      sym__annotated_type,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15179), 1,
      sym_type_parameters,
    STATE(15206), 1,
      aux_sym__given_constructor_repeat1,
    STATE(15436), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(15677), 1,
      sym_parameters,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(4240), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [210027] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7288), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [210086] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7348), 1,
      anon_sym_object,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7354), 1,
      anon_sym_class,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(225), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4242), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [210187] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7288), 34,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [210246] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7316), 1,
      anon_sym_COLON,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(7326), 1,
      anon_sym_LPAREN,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7330), 1,
      sym_operator_identifier,
    ACTIONS(7332), 1,
      sym__automatic_semicolon,
    STATE(4437), 1,
      sym__given_constructor,
    STATE(4438), 1,
      aux_sym_given_definition_repeat1,
    STATE(11111), 1,
      sym_identifier,
    STATE(11607), 1,
      sym__simple_type,
    STATE(11898), 1,
      sym__annotated_type,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15179), 1,
      sym_type_parameters,
    STATE(15206), 1,
      aux_sym__given_constructor_repeat1,
    STATE(15436), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(15677), 1,
      sym_parameters,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(4244), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [210363] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 44,
      anon_sym_enum,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_object,
      anon_sym_given,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_do,
  [210420] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7316), 1,
      anon_sym_COLON,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(7326), 1,
      anon_sym_LPAREN,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7330), 1,
      sym_operator_identifier,
    ACTIONS(7332), 1,
      sym__automatic_semicolon,
    STATE(4443), 1,
      sym__given_constructor,
    STATE(4444), 1,
      aux_sym_given_definition_repeat1,
    STATE(11111), 1,
      sym_identifier,
    STATE(11607), 1,
      sym__simple_type,
    STATE(11907), 1,
      sym__annotated_type,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15179), 1,
      sym_type_parameters,
    STATE(15206), 1,
      aux_sym__given_constructor_repeat1,
    STATE(15488), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(15677), 1,
      sym_parameters,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(4246), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [210537] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 33,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [210596] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_COLON,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(7332), 1,
      sym__automatic_semicolon,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7336), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      anon_sym_LPAREN,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(7344), 1,
      sym_operator_identifier,
    STATE(4457), 1,
      sym__given_constructor,
    STATE(4458), 1,
      aux_sym_given_definition_repeat1,
    STATE(11371), 1,
      sym_identifier,
    STATE(11623), 1,
      sym__simple_type,
    STATE(12266), 1,
      sym__annotated_type,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(12609), 1,
      sym__given_sig,
    STATE(14281), 1,
      sym_annotated_type,
    STATE(15179), 1,
      sym_type_parameters,
    STATE(15206), 1,
      aux_sym__given_constructor_repeat1,
    STATE(15540), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(15677), 1,
      sym_parameters,
    STATE(17529), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19344), 1,
      sym_stable_identifier,
    STATE(4248), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13039), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [210713] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7288), 33,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [210772] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7316), 1,
      anon_sym_COLON,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(7326), 1,
      anon_sym_LPAREN,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7330), 1,
      sym_operator_identifier,
    ACTIONS(7332), 1,
      sym__automatic_semicolon,
    STATE(4467), 1,
      sym__given_constructor,
    STATE(4472), 1,
      aux_sym_given_definition_repeat1,
    STATE(11111), 1,
      sym_identifier,
    STATE(11607), 1,
      sym__simple_type,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12273), 1,
      sym__annotated_type,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15179), 1,
      sym_type_parameters,
    STATE(15206), 1,
      aux_sym__given_constructor_repeat1,
    STATE(15436), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(15677), 1,
      sym_parameters,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(4250), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [210889] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 11,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [210948] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7316), 1,
      anon_sym_COLON,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(7326), 1,
      anon_sym_LPAREN,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7330), 1,
      sym_operator_identifier,
    ACTIONS(7332), 1,
      sym__automatic_semicolon,
    STATE(4413), 1,
      sym__given_constructor,
    STATE(4415), 1,
      aux_sym_given_definition_repeat1,
    STATE(11111), 1,
      sym_identifier,
    STATE(11607), 1,
      sym__simple_type,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12422), 1,
      sym__annotated_type,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15179), 1,
      sym_type_parameters,
    STATE(15206), 1,
      aux_sym__given_constructor_repeat1,
    STATE(15488), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(15677), 1,
      sym_parameters,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(4252), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [211065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [211124] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7316), 1,
      anon_sym_COLON,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(7326), 1,
      anon_sym_LPAREN,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7330), 1,
      sym_operator_identifier,
    ACTIONS(7332), 1,
      sym__automatic_semicolon,
    STATE(4411), 1,
      sym__given_constructor,
    STATE(4447), 1,
      aux_sym_given_definition_repeat1,
    STATE(11111), 1,
      sym_identifier,
    STATE(11607), 1,
      sym__simple_type,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12394), 1,
      sym__annotated_type,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15179), 1,
      sym_type_parameters,
    STATE(15206), 1,
      aux_sym__given_constructor_repeat1,
    STATE(15414), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(15677), 1,
      sym_parameters,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(4254), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [211241] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7316), 1,
      anon_sym_COLON,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(7326), 1,
      anon_sym_LPAREN,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7330), 1,
      sym_operator_identifier,
    ACTIONS(7332), 1,
      sym__automatic_semicolon,
    STATE(4440), 1,
      sym__given_constructor,
    STATE(4441), 1,
      aux_sym_given_definition_repeat1,
    STATE(11111), 1,
      sym_identifier,
    STATE(11607), 1,
      sym__simple_type,
    STATE(11987), 1,
      sym__annotated_type,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15179), 1,
      sym_type_parameters,
    STATE(15206), 1,
      aux_sym__given_constructor_repeat1,
    STATE(15414), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(15677), 1,
      sym_parameters,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(4255), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [211358] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_COLON,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(7332), 1,
      sym__automatic_semicolon,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7336), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      anon_sym_LPAREN,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(7344), 1,
      sym_operator_identifier,
    STATE(4453), 1,
      sym__given_constructor,
    STATE(4454), 1,
      aux_sym_given_definition_repeat1,
    STATE(11371), 1,
      sym_identifier,
    STATE(11623), 1,
      sym__simple_type,
    STATE(12210), 1,
      sym__annotated_type,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(12609), 1,
      sym__given_sig,
    STATE(14281), 1,
      sym_annotated_type,
    STATE(15179), 1,
      sym_type_parameters,
    STATE(15206), 1,
      aux_sym__given_constructor_repeat1,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(15660), 1,
      sym__structural_instance,
    STATE(15677), 1,
      sym_parameters,
    STATE(17529), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19344), 1,
      sym_stable_identifier,
    STATE(4256), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13039), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [211475] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 11,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7288), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [211534] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7368), 1,
      anon_sym_object,
    ACTIONS(7370), 1,
      anon_sym_class,
    ACTIONS(7372), 1,
      sym_operator_identifier,
    ACTIONS(7374), 1,
      sym_null_literal,
    STATE(233), 1,
      sym__case_pattern,
    STATE(7193), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11122), 1,
      sym_wildcard,
    STATE(11265), 1,
      sym_stable_identifier,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4258), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11588), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [211635] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7288), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [211694] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [211752] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7288), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [211810] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [211868] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [211926] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 32,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [211984] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7384), 1,
      anon_sym_RPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7388), 1,
      sym_operator_identifier,
    ACTIONS(7390), 1,
      sym_null_literal,
    STATE(6635), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11159), 1,
      sym_wildcard,
    STATE(11253), 1,
      sym_stable_identifier,
    STATE(17125), 1,
      sym_named_pattern,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4265), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11593), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212082] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7392), 1,
      anon_sym_RPAREN,
    ACTIONS(7394), 1,
      sym_operator_identifier,
    ACTIONS(7396), 1,
      sym_null_literal,
    STATE(6775), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11256), 1,
      sym_stable_identifier,
    STATE(11267), 1,
      sym_wildcard,
    STATE(15944), 1,
      sym_named_pattern,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4266), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11316), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212180] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7288), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [212238] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7401), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 5,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_then,
    ACTIONS(7406), 5,
      sym__indent,
      sym__simple_multiline_string,
      sym__simple_string,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7398), 8,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
    ACTIONS(7404), 21,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_implicit,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [212302] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7408), 1,
      anon_sym_RPAREN,
    ACTIONS(7410), 1,
      sym_operator_identifier,
    ACTIONS(7412), 1,
      sym_null_literal,
    STATE(6478), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11215), 1,
      sym_stable_identifier,
    STATE(11292), 1,
      sym_wildcard,
    STATE(16426), 1,
      sym_named_pattern,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4269), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11502), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212400] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7288), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [212458] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7288), 32,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [212516] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7416), 9,
      sym__indent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7414), 34,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [212574] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2401), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4273), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212669] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7288), 31,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [212726] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2258), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4275), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212821] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2272), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4276), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212916] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2365), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4277), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [213011] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2287), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4278), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [213106] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2254), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4279), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [213201] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2414), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4280), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [213296] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2310), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4281), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [213391] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2244), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4282), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [213486] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2251), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4283), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [213581] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2340), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4284), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [213676] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7418), 1,
      anon_sym_RPAREN,
    ACTIONS(7420), 1,
      sym_operator_identifier,
    ACTIONS(7422), 1,
      sym_null_literal,
    STATE(8574), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11601), 1,
      sym_stable_identifier,
    STATE(11603), 1,
      sym_wildcard,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4285), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11845), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [213771] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7420), 1,
      sym_operator_identifier,
    ACTIONS(7422), 1,
      sym_null_literal,
    ACTIONS(7424), 1,
      anon_sym_RPAREN,
    STATE(8574), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11601), 1,
      sym_stable_identifier,
    STATE(11603), 1,
      sym_wildcard,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4286), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11845), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [213866] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2412), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4287), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [213961] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7420), 1,
      sym_operator_identifier,
    ACTIONS(7422), 1,
      sym_null_literal,
    ACTIONS(7426), 1,
      anon_sym_RPAREN,
    STATE(8574), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11601), 1,
      sym_stable_identifier,
    STATE(11603), 1,
      sym_wildcard,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4288), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11845), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [214056] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7420), 1,
      sym_operator_identifier,
    ACTIONS(7422), 1,
      sym_null_literal,
    ACTIONS(7428), 1,
      anon_sym_RPAREN,
    STATE(8574), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11601), 1,
      sym_stable_identifier,
    STATE(11603), 1,
      sym_wildcard,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4289), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11845), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [214151] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7430), 1,
      sym_operator_identifier,
    ACTIONS(7432), 1,
      sym_null_literal,
    STATE(7189), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11837), 1,
      sym_stable_identifier,
    STATE(11838), 1,
      sym_wildcard,
    STATE(17649), 1,
      sym_identifiers,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4290), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12025), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [214246] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2202), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4291), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [214341] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2307), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4292), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [214436] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2352), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4293), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [214531] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7434), 1,
      sym_operator_identifier,
    ACTIONS(7436), 1,
      sym_null_literal,
    STATE(6618), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11125), 1,
      sym_wildcard,
    STATE(11233), 1,
      sym_stable_identifier,
    STATE(16049), 1,
      sym_named_pattern,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4294), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11590), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [214626] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7438), 1,
      sym_operator_identifier,
    ACTIONS(7440), 1,
      sym_null_literal,
    STATE(7258), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11615), 1,
      sym_stable_identifier,
    STATE(11616), 1,
      sym_wildcard,
    STATE(17434), 1,
      sym_identifiers,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4295), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11867), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [214721] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7420), 1,
      sym_operator_identifier,
    ACTIONS(7422), 1,
      sym_null_literal,
    ACTIONS(7442), 1,
      anon_sym_RPAREN,
    STATE(8574), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11601), 1,
      sym_stable_identifier,
    STATE(11603), 1,
      sym_wildcard,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4296), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11845), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [214816] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7444), 1,
      sym_operator_identifier,
    ACTIONS(7446), 1,
      sym_null_literal,
    STATE(7229), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11646), 1,
      sym_stable_identifier,
    STATE(11647), 1,
      sym_wildcard,
    STATE(17348), 1,
      sym_identifiers,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4297), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11915), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [214911] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7288), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [214968] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2319), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4299), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [215063] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2275), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4300), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [215158] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2284), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4301), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [215253] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7448), 1,
      sym_operator_identifier,
    ACTIONS(7450), 1,
      sym_null_literal,
    STATE(7259), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11617), 1,
      sym_stable_identifier,
    STATE(11619), 1,
      sym_wildcard,
    STATE(17450), 1,
      sym_identifiers,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4302), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11911), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [215348] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2293), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4303), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [215443] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7452), 1,
      sym_operator_identifier,
    ACTIONS(7454), 1,
      sym_null_literal,
    STATE(7190), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11839), 1,
      sym_stable_identifier,
    STATE(11840), 1,
      sym_wildcard,
    STATE(17652), 1,
      sym_identifiers,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4304), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12027), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [215538] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2375), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4305), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [215633] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7420), 1,
      sym_operator_identifier,
    ACTIONS(7422), 1,
      sym_null_literal,
    ACTIONS(7456), 1,
      anon_sym_RPAREN,
    STATE(8574), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11601), 1,
      sym_stable_identifier,
    STATE(11603), 1,
      sym_wildcard,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4306), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11845), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [215728] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7458), 1,
      sym_operator_identifier,
    ACTIONS(7460), 1,
      sym_null_literal,
    STATE(7230), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11649), 1,
      sym_stable_identifier,
    STATE(11651), 1,
      sym_wildcard,
    STATE(17386), 1,
      sym_identifiers,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4307), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11920), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [215823] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [215880] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7462), 1,
      sym_operator_identifier,
    ACTIONS(7464), 1,
      sym_null_literal,
    STATE(7397), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11622), 1,
      sym_stable_identifier,
    STATE(11627), 1,
      sym_wildcard,
    STATE(17602), 1,
      sym_identifiers,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4309), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11986), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [215975] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7420), 1,
      sym_operator_identifier,
    ACTIONS(7422), 1,
      sym_null_literal,
    ACTIONS(7466), 1,
      anon_sym_RPAREN,
    STATE(8574), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11601), 1,
      sym_stable_identifier,
    STATE(11603), 1,
      sym_wildcard,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4310), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11845), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [216070] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2353), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4311), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [216165] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7420), 1,
      sym_operator_identifier,
    ACTIONS(7422), 1,
      sym_null_literal,
    ACTIONS(7468), 1,
      anon_sym_RPAREN,
    STATE(8574), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11601), 1,
      sym_stable_identifier,
    STATE(11603), 1,
      sym_wildcard,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4312), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11845), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [216260] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7470), 1,
      sym_operator_identifier,
    ACTIONS(7472), 1,
      sym_null_literal,
    STATE(7286), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11629), 1,
      sym_stable_identifier,
    STATE(11630), 1,
      sym_wildcard,
    STATE(17740), 1,
      sym_identifiers,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4313), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11856), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [216355] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7420), 1,
      sym_operator_identifier,
    ACTIONS(7422), 1,
      sym_null_literal,
    ACTIONS(7474), 1,
      anon_sym_RPAREN,
    STATE(8574), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11601), 1,
      sym_stable_identifier,
    STATE(11603), 1,
      sym_wildcard,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4314), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11845), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [216450] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7420), 1,
      sym_operator_identifier,
    ACTIONS(7422), 1,
      sym_null_literal,
    ACTIONS(7476), 1,
      anon_sym_RPAREN,
    STATE(8574), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11601), 1,
      sym_stable_identifier,
    STATE(11603), 1,
      sym_wildcard,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4315), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11845), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [216545] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7478), 1,
      sym_operator_identifier,
    ACTIONS(7480), 1,
      sym_null_literal,
    STATE(7287), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11631), 1,
      sym_stable_identifier,
    STATE(11634), 1,
      sym_wildcard,
    STATE(17750), 1,
      sym_identifiers,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4316), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11863), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [216640] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2335), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4317), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [216735] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2304), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4318), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [216830] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7372), 1,
      sym_operator_identifier,
    ACTIONS(7374), 1,
      sym_null_literal,
    STATE(233), 1,
      sym__case_pattern,
    STATE(7193), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11122), 1,
      sym_wildcard,
    STATE(11265), 1,
      sym_stable_identifier,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4319), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11588), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [216925] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2403), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4320), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [217020] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2318), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4321), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [217115] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2366), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4322), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [217210] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7482), 1,
      sym_operator_identifier,
    ACTIONS(7484), 1,
      sym_null_literal,
    STATE(7353), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11618), 1,
      sym_stable_identifier,
    STATE(11621), 1,
      sym_wildcard,
    STATE(17559), 1,
      sym_identifiers,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4323), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11869), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [217305] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7420), 1,
      sym_operator_identifier,
    ACTIONS(7422), 1,
      sym_null_literal,
    ACTIONS(7486), 1,
      anon_sym_RPAREN,
    STATE(8574), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11601), 1,
      sym_stable_identifier,
    STATE(11603), 1,
      sym_wildcard,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4324), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11845), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [217400] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2378), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4325), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [217495] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7488), 1,
      sym_operator_identifier,
    ACTIONS(7490), 1,
      sym_null_literal,
    STATE(6761), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11113), 1,
      sym_stable_identifier,
    STATE(11259), 1,
      sym_wildcard,
    STATE(16769), 1,
      sym_named_pattern,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4326), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11313), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [217590] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2404), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4327), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [217685] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7492), 1,
      sym_operator_identifier,
    ACTIONS(7494), 1,
      sym_null_literal,
    STATE(7019), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11194), 1,
      sym_wildcard,
    STATE(11273), 1,
      sym_stable_identifier,
    STATE(17040), 1,
      sym_named_pattern,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4328), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11377), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [217780] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2219), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4329), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [217875] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2376), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4330), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [217970] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2268), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4331), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [218065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 31,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [218122] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(225), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4333), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [218217] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2393), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4334), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [218312] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2344), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4335), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [218407] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2383), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4336), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [218502] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2225), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4337), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [218597] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7420), 1,
      sym_operator_identifier,
    ACTIONS(7422), 1,
      sym_null_literal,
    ACTIONS(7496), 1,
      anon_sym_RPAREN,
    STATE(8574), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11601), 1,
      sym_stable_identifier,
    STATE(11603), 1,
      sym_wildcard,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4338), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11845), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [218692] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7364), 1,
      sym_operator_identifier,
    ACTIONS(7366), 1,
      sym_null_literal,
    STATE(2394), 1,
      sym__case_pattern,
    STATE(7669), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11224), 1,
      sym_stable_identifier,
    STATE(11247), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4339), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11506), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [218787] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7498), 1,
      sym_operator_identifier,
    ACTIONS(7500), 1,
      sym_null_literal,
    STATE(8506), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11515), 1,
      sym_stable_identifier,
    STATE(11518), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4340), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11729), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [218879] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7502), 1,
      sym_operator_identifier,
    ACTIONS(7504), 1,
      sym_null_literal,
    STATE(8156), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11497), 1,
      sym_stable_identifier,
    STATE(11499), 1,
      sym_wildcard,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4341), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11715), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [218971] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7506), 1,
      sym_operator_identifier,
    ACTIONS(7508), 1,
      sym_null_literal,
    STATE(8601), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11305), 1,
      sym_wildcard,
    STATE(11604), 1,
      sym_stable_identifier,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4342), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11846), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [219063] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7420), 1,
      sym_operator_identifier,
    ACTIONS(7422), 1,
      sym_null_literal,
    STATE(8574), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11601), 1,
      sym_stable_identifier,
    STATE(11603), 1,
      sym_wildcard,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4343), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11845), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [219155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7416), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7414), 33,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [219211] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7510), 1,
      sym_operator_identifier,
    ACTIONS(7512), 1,
      sym_null_literal,
    STATE(6473), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10875), 1,
      sym_stable_identifier,
    STATE(10987), 1,
      sym_wildcard,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4345), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11281), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [219303] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7514), 1,
      sym_operator_identifier,
    ACTIONS(7516), 1,
      sym_null_literal,
    STATE(7020), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10906), 1,
      sym_stable_identifier,
    STATE(10982), 1,
      sym_wildcard,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4346), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11228), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [219395] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7518), 1,
      sym_operator_identifier,
    ACTIONS(7520), 1,
      sym_null_literal,
    STATE(8283), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11355), 1,
      sym_stable_identifier,
    STATE(11357), 1,
      sym_wildcard,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4347), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11667), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [219487] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7522), 1,
      sym_operator_identifier,
    ACTIONS(7524), 1,
      sym_null_literal,
    STATE(6367), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(10879), 1,
      sym_wildcard,
    STATE(10957), 1,
      sym_stable_identifier,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4348), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11248), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [219579] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6430), 1,
      sym_integer_literal,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7032), 1,
      anon_sym__,
    ACTIONS(7034), 1,
      anon_sym_given,
    ACTIONS(7042), 1,
      anon_sym_SQUOTE,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(7526), 1,
      sym_operator_identifier,
    ACTIONS(7528), 1,
      sym_null_literal,
    STATE(8125), 1,
      sym_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11483), 1,
      sym_stable_identifier,
    STATE(11484), 1,
      sym_wildcard,
    ACTIONS(6432), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6434), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6436), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4349), 2,
      sym_comment,
      sym_block_comment,
    STATE(11540), 2,
      sym_boolean_literal,
      sym_string,
    STATE(19385), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11708), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [219671] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7530), 1,
      sym_operator_identifier,
    ACTIONS(7532), 1,
      sym_null_literal,
    STATE(8470), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11513), 1,
      sym_stable_identifier,
    STATE(11514), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4350), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11728), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [219763] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7534), 1,
      sym_operator_identifier,
    ACTIONS(7536), 1,
      sym_null_literal,
    STATE(7118), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11155), 1,
      sym_stable_identifier,
    STATE(11202), 1,
      sym_wildcard,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4351), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11416), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [219855] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 41,
      anon_sym_enum,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_EQ_GT,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_do,
  [219909] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7540), 1,
      sym_operator_identifier,
    ACTIONS(7542), 1,
      sym_null_literal,
    STATE(7141), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11191), 1,
      sym_stable_identifier,
    STATE(11268), 1,
      sym_wildcard,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4353), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11417), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [220001] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_given,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(977), 1,
      sym_integer_literal,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7378), 1,
      anon_sym__,
    ACTIONS(7382), 1,
      anon_sym_LPAREN,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(7544), 1,
      sym_operator_identifier,
    ACTIONS(7546), 1,
      sym_null_literal,
    STATE(7161), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11160), 1,
      sym_wildcard,
    STATE(11220), 1,
      sym_stable_identifier,
    ACTIONS(979), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(985), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4354), 2,
      sym_comment,
      sym_block_comment,
    STATE(10363), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18234), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11418), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [220093] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6652), 1,
      sym_integer_literal,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7350), 1,
      anon_sym__,
    ACTIONS(7352), 1,
      anon_sym_given,
    ACTIONS(7358), 1,
      anon_sym_LPAREN,
    ACTIONS(7360), 1,
      anon_sym_SQUOTE,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(7548), 1,
      sym_operator_identifier,
    ACTIONS(7550), 1,
      sym_null_literal,
    STATE(8466), 1,
      sym_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11510), 1,
      sym_stable_identifier,
    STATE(11512), 1,
      sym_wildcard,
    ACTIONS(6654), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6656), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6658), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4355), 2,
      sym_comment,
      sym_block_comment,
    STATE(12028), 2,
      sym_boolean_literal,
      sym_string,
    STATE(18761), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11726), 12,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_named_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [220185] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4258), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7312), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [220242] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4258), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7308), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [220299] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4258), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7310), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [220356] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4258), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7310), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [220413] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4258), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7308), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [220470] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [220525] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7288), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [220580] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4258), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7308), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [220637] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4258), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7312), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [220694] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4258), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7310), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [220751] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4258), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7312), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [220808] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(7554), 1,
      anon_sym_LPAREN,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      aux_sym_given_definition_repeat1,
    STATE(11607), 1,
      sym__simple_type,
    STATE(11966), 1,
      sym_identifier,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12477), 1,
      sym__annotated_type,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15517), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4367), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220910] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4670), 1,
      sym__alpha_identifier,
    ACTIONS(4676), 1,
      anon_sym__,
    ACTIONS(4688), 1,
      sym__backquoted_id,
    ACTIONS(6440), 1,
      sym_operator_identifier,
    ACTIONS(7558), 1,
      anon_sym_LPAREN,
    ACTIONS(7560), 1,
      sym_integer_literal,
    STATE(6600), 1,
      sym__simple_type,
    STATE(6735), 1,
      sym__annotated_type,
    STATE(7686), 1,
      sym_identifier,
    STATE(7831), 1,
      sym__soft_identifier,
    STATE(10118), 1,
      sym_annotated_type,
    STATE(10432), 1,
      sym__infix_type_choice,
    STATE(11169), 1,
      sym__non_null_literal,
    STATE(18186), 1,
      sym_stable_identifier,
    ACTIONS(7562), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7564), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7566), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4368), 2,
      sym_comment,
      sym_block_comment,
    STATE(11264), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11212), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4682), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8270), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221002] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6996), 1,
      sym__alpha_identifier,
    ACTIONS(6998), 1,
      anon_sym__,
    ACTIONS(7006), 1,
      sym__backquoted_id,
    ACTIONS(7008), 1,
      sym_operator_identifier,
    ACTIONS(7568), 1,
      anon_sym_LPAREN,
    ACTIONS(7570), 1,
      sym_integer_literal,
    STATE(6776), 1,
      sym__simple_type,
    STATE(6801), 1,
      sym__annotated_type,
    STATE(7198), 1,
      sym_identifier,
    STATE(7879), 1,
      sym__soft_identifier,
    STATE(10008), 1,
      sym_annotated_type,
    STATE(10719), 1,
      sym__infix_type_choice,
    STATE(11213), 1,
      sym__non_null_literal,
    STATE(18230), 1,
      sym_stable_identifier,
    ACTIONS(7572), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7574), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7576), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4369), 2,
      sym_comment,
      sym_block_comment,
    STATE(11115), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11254), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(7002), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8475), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221094] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4920), 1,
      sym__alpha_identifier,
    ACTIONS(4922), 1,
      anon_sym__,
    ACTIONS(4932), 1,
      sym__backquoted_id,
    ACTIONS(6410), 1,
      sym_operator_identifier,
    ACTIONS(7578), 1,
      anon_sym_LPAREN,
    ACTIONS(7580), 1,
      sym_integer_literal,
    STATE(4770), 1,
      sym__annotated_type,
    STATE(4776), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym_identifier,
    STATE(4983), 1,
      sym__soft_identifier,
    STATE(7004), 1,
      sym_annotated_type,
    STATE(7520), 1,
      sym__infix_type_choice,
    STATE(8983), 1,
      sym__non_null_literal,
    STATE(18316), 1,
      sym_stable_identifier,
    ACTIONS(7582), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7584), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7586), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4370), 2,
      sym_comment,
      sym_block_comment,
    STATE(9111), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8818), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4928), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5064), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221186] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6568), 1,
      sym__alpha_identifier,
    ACTIONS(6574), 1,
      anon_sym__,
    ACTIONS(6582), 1,
      sym__backquoted_id,
    ACTIONS(6584), 1,
      sym_operator_identifier,
    ACTIONS(7588), 1,
      anon_sym_LPAREN,
    ACTIONS(7590), 1,
      sym_integer_literal,
    STATE(4779), 1,
      sym__annotated_type,
    STATE(4786), 1,
      sym__simple_type,
    STATE(4899), 1,
      sym_identifier,
    STATE(4989), 1,
      sym__soft_identifier,
    STATE(6973), 1,
      sym_annotated_type,
    STATE(7590), 1,
      sym__infix_type_choice,
    STATE(9018), 1,
      sym__non_null_literal,
    STATE(18358), 1,
      sym_stable_identifier,
    ACTIONS(7592), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7594), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7596), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4371), 2,
      sym_comment,
      sym_block_comment,
    STATE(9134), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8874), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6578), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5115), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221278] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4370), 1,
      sym__alpha_identifier,
    ACTIONS(4376), 1,
      anon_sym__,
    ACTIONS(4388), 1,
      sym__backquoted_id,
    ACTIONS(6994), 1,
      sym_operator_identifier,
    ACTIONS(7598), 1,
      anon_sym_LPAREN,
    ACTIONS(7600), 1,
      sym_integer_literal,
    STATE(5008), 1,
      sym__simple_type,
    STATE(5319), 1,
      sym__annotated_type,
    STATE(5378), 1,
      sym_identifier,
    STATE(5425), 1,
      sym__soft_identifier,
    STATE(7953), 1,
      sym_annotated_type,
    STATE(9015), 1,
      sym__infix_type_choice,
    STATE(10309), 1,
      sym__non_null_literal,
    STATE(18397), 1,
      sym_stable_identifier,
    ACTIONS(7602), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7604), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7606), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4372), 2,
      sym_comment,
      sym_block_comment,
    STATE(10013), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10207), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4382), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5830), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221370] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6330), 1,
      sym__alpha_identifier,
    ACTIONS(6336), 1,
      anon_sym__,
    ACTIONS(6344), 1,
      sym__backquoted_id,
    ACTIONS(6346), 1,
      sym_operator_identifier,
    ACTIONS(7608), 1,
      anon_sym_LPAREN,
    ACTIONS(7610), 1,
      sym_integer_literal,
    STATE(5473), 1,
      sym__simple_type,
    STATE(5754), 1,
      sym__annotated_type,
    STATE(6086), 1,
      sym__soft_identifier,
    STATE(6110), 1,
      sym_identifier,
    STATE(9362), 1,
      sym_annotated_type,
    STATE(9641), 1,
      sym__infix_type_choice,
    STATE(10598), 1,
      sym__non_null_literal,
    STATE(18436), 1,
      sym_stable_identifier,
    ACTIONS(7612), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7614), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7616), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4373), 2,
      sym_comment,
      sym_block_comment,
    STATE(10653), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10583), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6340), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6347), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221462] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4774), 1,
      sym__alpha_identifier,
    ACTIONS(4780), 1,
      anon_sym__,
    ACTIONS(4792), 1,
      sym__backquoted_id,
    ACTIONS(6472), 1,
      sym_operator_identifier,
    ACTIONS(7618), 1,
      anon_sym_LPAREN,
    ACTIONS(7620), 1,
      sym_integer_literal,
    STATE(5051), 1,
      sym__simple_type,
    STATE(5336), 1,
      sym__annotated_type,
    STATE(5453), 1,
      sym__soft_identifier,
    STATE(5476), 1,
      sym_identifier,
    STATE(8185), 1,
      sym_annotated_type,
    STATE(9143), 1,
      sym__infix_type_choice,
    STATE(10002), 1,
      sym__non_null_literal,
    STATE(18534), 1,
      sym_stable_identifier,
    ACTIONS(7622), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7624), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7626), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4374), 2,
      sym_comment,
      sym_block_comment,
    STATE(10083), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10003), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4786), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6045), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221554] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    ACTIONS(7628), 1,
      anon_sym_LPAREN,
    ACTIONS(7630), 1,
      sym_integer_literal,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(7029), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(9922), 1,
      sym__non_null_literal,
    STATE(10474), 1,
      sym__infix_type_choice,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(7632), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7634), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7636), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4375), 2,
      sym_comment,
      sym_block_comment,
    STATE(9524), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9494), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221646] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    ACTIONS(7628), 1,
      anon_sym_LPAREN,
    ACTIONS(7630), 1,
      sym_integer_literal,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(6996), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(9922), 1,
      sym__non_null_literal,
    STATE(10337), 1,
      sym__infix_type_choice,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(7632), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7634), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7636), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4376), 2,
      sym_comment,
      sym_block_comment,
    STATE(9524), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9494), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221738] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6962), 1,
      sym__alpha_identifier,
    ACTIONS(6964), 1,
      anon_sym__,
    ACTIONS(6972), 1,
      sym__backquoted_id,
    ACTIONS(6974), 1,
      sym_operator_identifier,
    ACTIONS(7638), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      sym_integer_literal,
    STATE(5905), 1,
      sym__simple_type,
    STATE(6472), 1,
      sym__soft_identifier,
    STATE(6820), 1,
      sym__annotated_type,
    STATE(6873), 1,
      sym_identifier,
    STATE(10073), 1,
      sym_annotated_type,
    STATE(10121), 1,
      sym__infix_type_choice,
    STATE(11020), 1,
      sym__non_null_literal,
    STATE(18558), 1,
      sym_stable_identifier,
    ACTIONS(7642), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7644), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7646), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4377), 2,
      sym_comment,
      sym_block_comment,
    STATE(10796), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10893), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6968), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7578), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221830] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    ACTIONS(7628), 1,
      anon_sym_LPAREN,
    ACTIONS(7630), 1,
      sym_integer_literal,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(7170), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(9922), 1,
      sym__non_null_literal,
    STATE(10433), 1,
      sym__infix_type_choice,
    STATE(18546), 1,
      sym_stable_identifier,
    ACTIONS(7632), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7634), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7636), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4378), 2,
      sym_comment,
      sym_block_comment,
    STATE(9524), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9494), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221922] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(7648), 1,
      anon_sym_LPAREN,
    ACTIONS(7650), 1,
      sym_integer_literal,
    STATE(4932), 1,
      sym__simple_type,
    STATE(4977), 1,
      sym__annotated_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(9400), 1,
      sym__non_null_literal,
    STATE(12307), 1,
      sym__infix_type_choice,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(7652), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7654), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7656), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4379), 2,
      sym_comment,
      sym_block_comment,
    STATE(9387), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9262), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [222014] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6302), 1,
      sym__alpha_identifier,
    ACTIONS(6308), 1,
      anon_sym__,
    ACTIONS(6316), 1,
      sym__backquoted_id,
    ACTIONS(6318), 1,
      sym_operator_identifier,
    ACTIONS(7658), 1,
      anon_sym_LPAREN,
    ACTIONS(7660), 1,
      sym_integer_literal,
    STATE(5631), 1,
      sym__simple_type,
    STATE(5902), 1,
      sym_identifier,
    STATE(6100), 1,
      sym__soft_identifier,
    STATE(6193), 1,
      sym__annotated_type,
    STATE(9679), 1,
      sym__infix_type_choice,
    STATE(9721), 1,
      sym_annotated_type,
    STATE(10584), 1,
      sym__non_null_literal,
    STATE(18570), 1,
      sym_stable_identifier,
    ACTIONS(7662), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7664), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7666), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4380), 2,
      sym_comment,
      sym_block_comment,
    STATE(10640), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10430), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6312), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6504), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [222106] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4998), 1,
      sym__alpha_identifier,
    ACTIONS(5000), 1,
      anon_sym__,
    ACTIONS(5010), 1,
      sym__backquoted_id,
    ACTIONS(6444), 1,
      sym_operator_identifier,
    ACTIONS(7668), 1,
      anon_sym_LPAREN,
    ACTIONS(7670), 1,
      sym_integer_literal,
    STATE(5677), 1,
      sym__annotated_type,
    STATE(5746), 1,
      sym__simple_type,
    STATE(5881), 1,
      sym_identifier,
    STATE(6103), 1,
      sym__soft_identifier,
    STATE(8778), 1,
      sym_annotated_type,
    STATE(9760), 1,
      sym__infix_type_choice,
    STATE(10497), 1,
      sym__non_null_literal,
    STATE(18592), 1,
      sym_stable_identifier,
    ACTIONS(7672), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7674), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7676), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4381), 2,
      sym_comment,
      sym_block_comment,
    STATE(10702), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10528), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(5006), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6576), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [222198] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6550), 1,
      sym__alpha_identifier,
    ACTIONS(6556), 1,
      anon_sym__,
    ACTIONS(6564), 1,
      sym__backquoted_id,
    ACTIONS(6566), 1,
      sym_operator_identifier,
    ACTIONS(7678), 1,
      anon_sym_LPAREN,
    ACTIONS(7680), 1,
      sym_integer_literal,
    STATE(7223), 1,
      sym__annotated_type,
    STATE(7315), 1,
      sym__simple_type,
    STATE(8230), 1,
      sym__soft_identifier,
    STATE(8403), 1,
      sym_identifier,
    STATE(10593), 1,
      sym_annotated_type,
    STATE(10956), 1,
      sym__infix_type_choice,
    STATE(11439), 1,
      sym__non_null_literal,
    STATE(18603), 1,
      sym_stable_identifier,
    ACTIONS(7682), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7684), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7686), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4382), 2,
      sym_comment,
      sym_block_comment,
    STATE(11459), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11422), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6560), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8954), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [222290] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4306), 1,
      sym__alpha_identifier,
    ACTIONS(4312), 1,
      anon_sym__,
    ACTIONS(4324), 1,
      sym__backquoted_id,
    ACTIONS(6718), 1,
      sym_operator_identifier,
    ACTIONS(7688), 1,
      anon_sym_LPAREN,
    ACTIONS(7690), 1,
      sym_integer_literal,
    STATE(6633), 1,
      sym__annotated_type,
    STATE(7017), 1,
      sym__simple_type,
    STATE(7164), 1,
      sym__soft_identifier,
    STATE(7821), 1,
      sym_identifier,
    STATE(10152), 1,
      sym_annotated_type,
    STATE(10705), 1,
      sym__infix_type_choice,
    STATE(11251), 1,
      sym__non_null_literal,
    STATE(18625), 1,
      sym_stable_identifier,
    ACTIONS(7692), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7694), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7696), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4383), 2,
      sym_comment,
      sym_block_comment,
    STATE(11262), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11185), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4318), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8054), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [222382] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4702), 1,
      sym__alpha_identifier,
    ACTIONS(4708), 1,
      anon_sym__,
    ACTIONS(4720), 1,
      sym__backquoted_id,
    ACTIONS(6770), 1,
      sym_operator_identifier,
    ACTIONS(7698), 1,
      anon_sym_LPAREN,
    ACTIONS(7700), 1,
      sym_integer_literal,
    STATE(4549), 1,
      sym__annotated_type,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4664), 1,
      sym_identifier,
    STATE(4669), 1,
      sym__soft_identifier,
    STATE(5614), 1,
      sym_annotated_type,
    STATE(6301), 1,
      sym__infix_type_choice,
    STATE(7801), 1,
      sym__non_null_literal,
    STATE(18636), 1,
      sym_stable_identifier,
    ACTIONS(7702), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7704), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7706), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4384), 2,
      sym_comment,
      sym_block_comment,
    STATE(7832), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7103), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4714), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4781), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [222474] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6836), 1,
      sym__alpha_identifier,
    ACTIONS(6838), 1,
      anon_sym__,
    ACTIONS(6846), 1,
      sym__backquoted_id,
    ACTIONS(6848), 1,
      sym_operator_identifier,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      sym_integer_literal,
    STATE(4901), 1,
      sym__simple_type,
    STATE(4935), 1,
      sym__annotated_type,
    STATE(5207), 1,
      sym__soft_identifier,
    STATE(5271), 1,
      sym_identifier,
    STATE(7549), 1,
      sym_annotated_type,
    STATE(8469), 1,
      sym__infix_type_choice,
    STATE(9581), 1,
      sym__non_null_literal,
    STATE(18647), 1,
      sym_stable_identifier,
    ACTIONS(7712), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7714), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7716), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4385), 2,
      sym_comment,
      sym_block_comment,
    STATE(9692), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9607), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6842), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5774), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [222566] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4470), 1,
      sym__alpha_identifier,
    ACTIONS(4472), 1,
      anon_sym__,
    ACTIONS(4482), 1,
      sym__backquoted_id,
    ACTIONS(6910), 1,
      sym_operator_identifier,
    ACTIONS(7718), 1,
      anon_sym_LPAREN,
    ACTIONS(7720), 1,
      sym_integer_literal,
    STATE(4697), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(4815), 1,
      sym__soft_identifier,
    STATE(4855), 1,
      sym_identifier,
    STATE(6415), 1,
      sym_annotated_type,
    STATE(7171), 1,
      sym__infix_type_choice,
    STATE(9270), 1,
      sym__non_null_literal,
    STATE(18654), 1,
      sym_stable_identifier,
    ACTIONS(7722), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7724), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7726), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4386), 2,
      sym_comment,
      sym_block_comment,
    STATE(9328), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9032), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4478), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5015), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [222658] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4274), 1,
      sym__alpha_identifier,
    ACTIONS(4280), 1,
      anon_sym__,
    ACTIONS(4292), 1,
      sym__backquoted_id,
    ACTIONS(7012), 1,
      sym_operator_identifier,
    ACTIONS(7728), 1,
      anon_sym_LPAREN,
    ACTIONS(7730), 1,
      sym_integer_literal,
    STATE(4707), 1,
      sym__annotated_type,
    STATE(4788), 1,
      sym__simple_type,
    STATE(4817), 1,
      sym__soft_identifier,
    STATE(4903), 1,
      sym_identifier,
    STATE(6465), 1,
      sym_annotated_type,
    STATE(7188), 1,
      sym__infix_type_choice,
    STATE(9303), 1,
      sym__non_null_literal,
    STATE(18661), 1,
      sym_stable_identifier,
    ACTIONS(7732), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7734), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7736), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4387), 2,
      sym_comment,
      sym_block_comment,
    STATE(9354), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9217), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4286), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5026), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [222750] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6366), 1,
      sym__alpha_identifier,
    ACTIONS(6372), 1,
      anon_sym__,
    ACTIONS(6380), 1,
      sym__backquoted_id,
    ACTIONS(6382), 1,
      sym_operator_identifier,
    ACTIONS(7738), 1,
      anon_sym_LPAREN,
    ACTIONS(7740), 1,
      sym_integer_literal,
    STATE(5586), 1,
      sym__simple_type,
    STATE(5662), 1,
      sym__annotated_type,
    STATE(6121), 1,
      sym__soft_identifier,
    STATE(6334), 1,
      sym_identifier,
    STATE(8881), 1,
      sym_annotated_type,
    STATE(9862), 1,
      sym__infix_type_choice,
    STATE(10425), 1,
      sym__non_null_literal,
    STATE(18668), 1,
      sym_stable_identifier,
    ACTIONS(7742), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7744), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7746), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4388), 2,
      sym_comment,
      sym_block_comment,
    STATE(10542), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10677), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6376), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6877), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [222842] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4638), 1,
      sym__alpha_identifier,
    ACTIONS(4644), 1,
      anon_sym__,
    ACTIONS(4656), 1,
      sym__backquoted_id,
    ACTIONS(7016), 1,
      sym_operator_identifier,
    ACTIONS(7748), 1,
      anon_sym_LPAREN,
    ACTIONS(7750), 1,
      sym_integer_literal,
    STATE(5349), 1,
      sym__simple_type,
    STATE(5747), 1,
      sym__annotated_type,
    STATE(5940), 1,
      sym_identifier,
    STATE(6124), 1,
      sym__soft_identifier,
    STATE(8912), 1,
      sym_annotated_type,
    STATE(9542), 1,
      sym__infix_type_choice,
    STATE(10443), 1,
      sym__non_null_literal,
    STATE(18680), 1,
      sym_stable_identifier,
    ACTIONS(7752), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7754), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7756), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4389), 2,
      sym_comment,
      sym_block_comment,
    STATE(10563), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10739), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4650), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6954), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [222934] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4818), 1,
      sym__alpha_identifier,
    ACTIONS(4824), 1,
      anon_sym__,
    ACTIONS(4836), 1,
      sym__backquoted_id,
    ACTIONS(7024), 1,
      sym_operator_identifier,
    ACTIONS(7758), 1,
      anon_sym_LPAREN,
    ACTIONS(7760), 1,
      sym_integer_literal,
    STATE(5452), 1,
      sym__simple_type,
    STATE(5695), 1,
      sym__annotated_type,
    STATE(5955), 1,
      sym_identifier,
    STATE(6127), 1,
      sym__soft_identifier,
    STATE(8953), 1,
      sym_annotated_type,
    STATE(9800), 1,
      sym__infix_type_choice,
    STATE(10484), 1,
      sym__non_null_literal,
    STATE(18692), 1,
      sym_stable_identifier,
    ACTIONS(7762), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7764), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7766), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4390), 2,
      sym_comment,
      sym_block_comment,
    STATE(10585), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10634), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4830), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7048), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [223026] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym__,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(6888), 1,
      sym_operator_identifier,
    ACTIONS(7768), 1,
      anon_sym_LPAREN,
    ACTIONS(7770), 1,
      sym_integer_literal,
    STATE(4653), 1,
      sym__simple_type,
    STATE(4671), 1,
      sym__annotated_type,
    STATE(4757), 1,
      sym__soft_identifier,
    STATE(4760), 1,
      sym_identifier,
    STATE(6258), 1,
      sym_annotated_type,
    STATE(6967), 1,
      sym__infix_type_choice,
    STATE(8151), 1,
      sym__non_null_literal,
    STATE(17983), 1,
      sym_stable_identifier,
    ACTIONS(7772), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7774), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7776), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4391), 2,
      sym_comment,
      sym_block_comment,
    STATE(7975), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8227), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4952), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4915), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [223118] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6384), 1,
      sym__alpha_identifier,
    ACTIONS(6390), 1,
      anon_sym__,
    ACTIONS(6398), 1,
      sym__backquoted_id,
    ACTIONS(6400), 1,
      sym_operator_identifier,
    ACTIONS(7778), 1,
      anon_sym_LPAREN,
    ACTIONS(7780), 1,
      sym_integer_literal,
    STATE(5512), 1,
      sym__simple_type,
    STATE(5561), 1,
      sym__annotated_type,
    STATE(6130), 1,
      sym__soft_identifier,
    STATE(6158), 1,
      sym_identifier,
    STATE(9001), 1,
      sym_annotated_type,
    STATE(9643), 1,
      sym__infix_type_choice,
    STATE(10523), 1,
      sym__non_null_literal,
    STATE(18704), 1,
      sym_stable_identifier,
    ACTIONS(7782), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7784), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7786), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4392), 2,
      sym_comment,
      sym_block_comment,
    STATE(10613), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10494), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6394), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6414), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [223210] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6446), 1,
      sym__alpha_identifier,
    ACTIONS(6452), 1,
      anon_sym__,
    ACTIONS(6460), 1,
      sym__backquoted_id,
    ACTIONS(6462), 1,
      sym_operator_identifier,
    ACTIONS(7788), 1,
      anon_sym_LPAREN,
    ACTIONS(7790), 1,
      sym_integer_literal,
    STATE(5956), 1,
      sym__simple_type,
    STATE(6212), 1,
      sym__annotated_type,
    STATE(6529), 1,
      sym__soft_identifier,
    STATE(6781), 1,
      sym_identifier,
    STATE(9535), 1,
      sym_annotated_type,
    STATE(10197), 1,
      sym__infix_type_choice,
    STATE(10908), 1,
      sym__non_null_literal,
    STATE(18722), 1,
      sym_stable_identifier,
    ACTIONS(7792), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7794), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7796), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4393), 2,
      sym_comment,
      sym_block_comment,
    STATE(10964), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10815), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6456), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7765), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [223302] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6738), 1,
      sym__alpha_identifier,
    ACTIONS(6740), 1,
      anon_sym__,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(6750), 1,
      sym_operator_identifier,
    ACTIONS(7798), 1,
      anon_sym_LPAREN,
    ACTIONS(7800), 1,
      sym_integer_literal,
    STATE(6406), 1,
      sym__simple_type,
    STATE(7156), 1,
      sym__annotated_type,
    STATE(7627), 1,
      sym_identifier,
    STATE(7645), 1,
      sym__soft_identifier,
    STATE(10541), 1,
      sym__infix_type_choice,
    STATE(10603), 1,
      sym_annotated_type,
    STATE(11280), 1,
      sym__non_null_literal,
    STATE(17885), 1,
      sym_stable_identifier,
    ACTIONS(7802), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7804), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7806), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4394), 2,
      sym_comment,
      sym_block_comment,
    STATE(11179), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11124), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8393), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [223394] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(7648), 1,
      anon_sym_LPAREN,
    ACTIONS(7650), 1,
      sym_integer_literal,
    STATE(4932), 1,
      sym__simple_type,
    STATE(4977), 1,
      sym__annotated_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8410), 1,
      sym__infix_type_choice,
    STATE(9400), 1,
      sym__non_null_literal,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(7652), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7654), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7656), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4395), 2,
      sym_comment,
      sym_block_comment,
    STATE(9387), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9262), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [223486] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    ACTIONS(7808), 1,
      anon_sym_LPAREN,
    ACTIONS(7810), 1,
      sym_integer_literal,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(5032), 1,
      sym__annotated_type,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(7441), 1,
      sym__non_null_literal,
    STATE(9399), 1,
      sym__infix_type_choice,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(7812), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7814), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7816), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4396), 2,
      sym_comment,
      sym_block_comment,
    STATE(7622), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7204), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [223578] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6480), 1,
      sym__alpha_identifier,
    ACTIONS(6486), 1,
      anon_sym__,
    ACTIONS(6494), 1,
      sym__backquoted_id,
    ACTIONS(6496), 1,
      sym_operator_identifier,
    ACTIONS(7818), 1,
      anon_sym_LPAREN,
    ACTIONS(7820), 1,
      sym_integer_literal,
    STATE(7422), 1,
      sym__annotated_type,
    STATE(7530), 1,
      sym__simple_type,
    STATE(8170), 1,
      sym_identifier,
    STATE(8580), 1,
      sym__soft_identifier,
    STATE(10665), 1,
      sym_annotated_type,
    STATE(11017), 1,
      sym__infix_type_choice,
    STATE(11511), 1,
      sym__non_null_literal,
    STATE(18734), 1,
      sym_stable_identifier,
    ACTIONS(7822), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7824), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7826), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4397), 2,
      sym_comment,
      sym_block_comment,
    STATE(11525), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11530), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6490), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9224), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [223670] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6500), 1,
      sym__alpha_identifier,
    ACTIONS(6502), 1,
      anon_sym__,
    ACTIONS(6510), 1,
      sym__backquoted_id,
    ACTIONS(6512), 1,
      sym_operator_identifier,
    ACTIONS(7828), 1,
      anon_sym_LPAREN,
    ACTIONS(7830), 1,
      sym_integer_literal,
    STATE(4672), 1,
      sym__annotated_type,
    STATE(4688), 1,
      sym__simple_type,
    STATE(4724), 1,
      sym__soft_identifier,
    STATE(4728), 1,
      sym_identifier,
    STATE(6250), 1,
      sym_annotated_type,
    STATE(6733), 1,
      sym__infix_type_choice,
    STATE(8554), 1,
      sym__non_null_literal,
    STATE(18752), 1,
      sym_stable_identifier,
    ACTIONS(7832), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7834), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7836), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4398), 2,
      sym_comment,
      sym_block_comment,
    STATE(8578), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8451), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6506), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4822), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [223762] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6538), 1,
      anon_sym__,
    ACTIONS(6546), 1,
      sym__backquoted_id,
    ACTIONS(6548), 1,
      sym_operator_identifier,
    ACTIONS(7838), 1,
      anon_sym_LPAREN,
    ACTIONS(7840), 1,
      sym_integer_literal,
    STATE(4882), 1,
      sym__annotated_type,
    STATE(4939), 1,
      sym__simple_type,
    STATE(5069), 1,
      sym_identifier,
    STATE(5214), 1,
      sym__soft_identifier,
    STATE(7698), 1,
      sym_annotated_type,
    STATE(8515), 1,
      sym__infix_type_choice,
    STATE(9835), 1,
      sym__non_null_literal,
    STATE(18758), 1,
      sym_stable_identifier,
    ACTIONS(7842), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7844), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7846), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4399), 2,
      sym_comment,
      sym_block_comment,
    STATE(9863), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9492), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6542), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5471), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [223854] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6616), 1,
      sym__alpha_identifier,
    ACTIONS(6622), 1,
      anon_sym__,
    ACTIONS(6630), 1,
      sym__backquoted_id,
    ACTIONS(6632), 1,
      sym_operator_identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      sym_integer_literal,
    STATE(4860), 1,
      sym__annotated_type,
    STATE(4942), 1,
      sym__simple_type,
    STATE(5083), 1,
      sym_identifier,
    STATE(5216), 1,
      sym__soft_identifier,
    STATE(7710), 1,
      sym_annotated_type,
    STATE(8605), 1,
      sym__infix_type_choice,
    STATE(9873), 1,
      sym__non_null_literal,
    STATE(18770), 1,
      sym_stable_identifier,
    ACTIONS(7852), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7854), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7856), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4400), 2,
      sym_comment,
      sym_block_comment,
    STATE(9888), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9570), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6626), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5517), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [223946] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6660), 1,
      sym__alpha_identifier,
    ACTIONS(6666), 1,
      anon_sym__,
    ACTIONS(6674), 1,
      sym__backquoted_id,
    ACTIONS(6676), 1,
      sym_operator_identifier,
    ACTIONS(7858), 1,
      anon_sym_LPAREN,
    ACTIONS(7860), 1,
      sym_integer_literal,
    STATE(5884), 1,
      sym__annotated_type,
    STATE(6172), 1,
      sym__simple_type,
    STATE(6474), 1,
      sym_identifier,
    STATE(6547), 1,
      sym__soft_identifier,
    STATE(9841), 1,
      sym_annotated_type,
    STATE(10159), 1,
      sym__infix_type_choice,
    STATE(11045), 1,
      sym__non_null_literal,
    STATE(18782), 1,
      sym_stable_identifier,
    ACTIONS(7862), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7864), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7866), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4401), 2,
      sym_comment,
      sym_block_comment,
    STATE(11059), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11026), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6670), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7834), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [224038] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4406), 1,
      sym__alpha_identifier,
    ACTIONS(4412), 1,
      anon_sym__,
    ACTIONS(4424), 1,
      sym__backquoted_id,
    ACTIONS(6708), 1,
      sym_operator_identifier,
    ACTIONS(7868), 1,
      anon_sym_LPAREN,
    ACTIONS(7870), 1,
      sym_integer_literal,
    STATE(4830), 1,
      sym__annotated_type,
    STATE(4885), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym_identifier,
    STATE(5218), 1,
      sym__soft_identifier,
    STATE(7721), 1,
      sym_annotated_type,
    STATE(8007), 1,
      sym__infix_type_choice,
    STATE(9786), 1,
      sym__non_null_literal,
    STATE(18794), 1,
      sym_stable_identifier,
    ACTIONS(7872), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7874), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7876), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4402), 2,
      sym_comment,
      sym_block_comment,
    STATE(9564), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9751), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4418), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5630), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [224130] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6720), 1,
      sym__alpha_identifier,
    ACTIONS(6726), 1,
      anon_sym__,
    ACTIONS(6734), 1,
      sym__backquoted_id,
    ACTIONS(6736), 1,
      sym_operator_identifier,
    ACTIONS(7878), 1,
      anon_sym_LPAREN,
    ACTIONS(7880), 1,
      sym_integer_literal,
    STATE(5944), 1,
      sym__annotated_type,
    STATE(6237), 1,
      sym__simple_type,
    STATE(6553), 1,
      sym__soft_identifier,
    STATE(6668), 1,
      sym_identifier,
    STATE(9442), 1,
      sym_annotated_type,
    STATE(10290), 1,
      sym__infix_type_choice,
    STATE(11047), 1,
      sym__non_null_literal,
    STATE(18800), 1,
      sym_stable_identifier,
    ACTIONS(7882), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7886), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4403), 2,
      sym_comment,
      sym_block_comment,
    STATE(11096), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10979), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6730), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7856), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [224222] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      sym__backquoted_id,
    ACTIONS(6762), 1,
      sym_operator_identifier,
    ACTIONS(7888), 1,
      anon_sym_LPAREN,
    ACTIONS(7890), 1,
      sym_integer_literal,
    STATE(5511), 1,
      sym__simple_type,
    STATE(5568), 1,
      sym__annotated_type,
    STATE(6013), 1,
      sym_identifier,
    STATE(6137), 1,
      sym__soft_identifier,
    STATE(9187), 1,
      sym_annotated_type,
    STATE(9916), 1,
      sym__infix_type_choice,
    STATE(10568), 1,
      sym__non_null_literal,
    STATE(18812), 1,
      sym_stable_identifier,
    ACTIONS(7892), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7894), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7896), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4404), 2,
      sym_comment,
      sym_block_comment,
    STATE(10470), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10735), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6557), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [224314] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4850), 1,
      sym__alpha_identifier,
    ACTIONS(4856), 1,
      anon_sym__,
    ACTIONS(4868), 1,
      sym__backquoted_id,
    ACTIONS(6774), 1,
      sym_operator_identifier,
    ACTIONS(7898), 1,
      anon_sym_LPAREN,
    ACTIONS(7900), 1,
      sym_integer_literal,
    STATE(6001), 1,
      sym__annotated_type,
    STATE(6264), 1,
      sym__simple_type,
    STATE(6558), 1,
      sym__soft_identifier,
    STATE(7032), 1,
      sym_identifier,
    STATE(9476), 1,
      sym_annotated_type,
    STATE(10136), 1,
      sym__infix_type_choice,
    STATE(10859), 1,
      sym__non_null_literal,
    STATE(18818), 1,
      sym_stable_identifier,
    ACTIONS(7902), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7904), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7906), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4405), 2,
      sym_comment,
      sym_block_comment,
    STATE(10937), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10877), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4862), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7889), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [224406] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(7554), 1,
      anon_sym_LPAREN,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      aux_sym_given_definition_repeat1,
    STATE(11607), 1,
      sym__simple_type,
    STATE(11966), 1,
      sym_identifier,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12286), 1,
      sym__annotated_type,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15335), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4406), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [224508] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4968), 1,
      sym__alpha_identifier,
    ACTIONS(4970), 1,
      anon_sym__,
    ACTIONS(4980), 1,
      sym__backquoted_id,
    ACTIONS(6804), 1,
      sym_operator_identifier,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    ACTIONS(7910), 1,
      sym_integer_literal,
    STATE(4646), 1,
      sym__simple_type,
    STATE(4684), 1,
      sym__annotated_type,
    STATE(4717), 1,
      sym_identifier,
    STATE(4726), 1,
      sym__soft_identifier,
    STATE(5838), 1,
      sym_annotated_type,
    STATE(6543), 1,
      sym__infix_type_choice,
    STATE(8570), 1,
      sym__non_null_literal,
    STATE(18824), 1,
      sym_stable_identifier,
    ACTIONS(7912), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7914), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7916), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4407), 2,
      sym_comment,
      sym_block_comment,
    STATE(8039), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8224), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4976), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4930), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [224600] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6806), 1,
      sym__alpha_identifier,
    ACTIONS(6812), 1,
      anon_sym__,
    ACTIONS(6820), 1,
      sym__backquoted_id,
    ACTIONS(6822), 1,
      sym_operator_identifier,
    ACTIONS(7918), 1,
      anon_sym_LPAREN,
    ACTIONS(7920), 1,
      sym_integer_literal,
    STATE(9141), 1,
      sym__simple_type,
    STATE(9433), 1,
      sym__soft_identifier,
    STATE(9695), 1,
      sym_identifier,
    STATE(9900), 1,
      sym__annotated_type,
    STATE(11437), 1,
      sym_annotated_type,
    STATE(11626), 1,
      sym__infix_type_choice,
    STATE(12467), 1,
      sym__non_null_literal,
    STATE(18830), 1,
      sym_stable_identifier,
    ACTIONS(7922), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7924), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7926), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4408), 2,
      sym_comment,
      sym_block_comment,
    STATE(12182), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12456), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6816), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10241), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [224692] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4600), 1,
      sym__alpha_identifier,
    ACTIONS(4606), 1,
      anon_sym__,
    ACTIONS(4618), 1,
      sym__backquoted_id,
    ACTIONS(6834), 1,
      sym_operator_identifier,
    ACTIONS(7928), 1,
      anon_sym_LPAREN,
    ACTIONS(7930), 1,
      sym_integer_literal,
    STATE(4927), 1,
      sym__annotated_type,
    STATE(4988), 1,
      sym__simple_type,
    STATE(5187), 1,
      sym_identifier,
    STATE(5221), 1,
      sym__soft_identifier,
    STATE(7789), 1,
      sym_annotated_type,
    STATE(8305), 1,
      sym__infix_type_choice,
    STATE(9451), 1,
      sym__non_null_literal,
    STATE(18836), 1,
      sym_stable_identifier,
    ACTIONS(7932), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7934), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7936), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4409), 2,
      sym_comment,
      sym_block_comment,
    STATE(9572), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9614), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4612), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5771), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [224784] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6850), 1,
      sym__alpha_identifier,
    ACTIONS(6856), 1,
      anon_sym__,
    ACTIONS(6864), 1,
      sym__backquoted_id,
    ACTIONS(6866), 1,
      sym_operator_identifier,
    ACTIONS(7938), 1,
      anon_sym_LPAREN,
    ACTIONS(7940), 1,
      sym_integer_literal,
    STATE(5082), 1,
      sym__simple_type,
    STATE(5292), 1,
      sym__annotated_type,
    STATE(5498), 1,
      sym__soft_identifier,
    STATE(5703), 1,
      sym_identifier,
    STATE(8349), 1,
      sym_annotated_type,
    STATE(8771), 1,
      sym__infix_type_choice,
    STATE(10342), 1,
      sym__non_null_literal,
    STATE(18848), 1,
      sym_stable_identifier,
    ACTIONS(7942), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7944), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7946), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4410), 2,
      sym_comment,
      sym_block_comment,
    STATE(10299), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9990), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5978), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [224876] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(7554), 1,
      anon_sym_LPAREN,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    STATE(4406), 1,
      aux_sym_given_definition_repeat1,
    STATE(11607), 1,
      sym__simple_type,
    STATE(11966), 1,
      sym_identifier,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12415), 1,
      sym__annotated_type,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15275), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4411), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [224978] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6868), 1,
      sym__alpha_identifier,
    ACTIONS(6874), 1,
      anon_sym__,
    ACTIONS(6882), 1,
      sym__backquoted_id,
    ACTIONS(6884), 1,
      sym_operator_identifier,
    ACTIONS(7948), 1,
      anon_sym_LPAREN,
    ACTIONS(7950), 1,
      sym_integer_literal,
    STATE(5839), 1,
      sym__simple_type,
    STATE(6133), 1,
      sym__annotated_type,
    STATE(6569), 1,
      sym__soft_identifier,
    STATE(6721), 1,
      sym_identifier,
    STATE(9577), 1,
      sym_annotated_type,
    STATE(10061), 1,
      sym__infix_type_choice,
    STATE(10909), 1,
      sym__non_null_literal,
    STATE(18860), 1,
      sym_stable_identifier,
    ACTIONS(7952), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7954), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7956), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4412), 2,
      sym_comment,
      sym_block_comment,
    STATE(11057), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10907), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6878), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7931), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [225070] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(7554), 1,
      anon_sym_LPAREN,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    STATE(4463), 1,
      aux_sym_given_definition_repeat1,
    STATE(11607), 1,
      sym__simple_type,
    STATE(11966), 1,
      sym_identifier,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12192), 1,
      sym__annotated_type,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15461), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4413), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [225172] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6890), 1,
      sym__alpha_identifier,
    ACTIONS(6896), 1,
      anon_sym__,
    ACTIONS(6904), 1,
      sym__backquoted_id,
    ACTIONS(6906), 1,
      sym_operator_identifier,
    ACTIONS(7958), 1,
      anon_sym_LPAREN,
    ACTIONS(7960), 1,
      sym_integer_literal,
    STATE(6477), 1,
      sym__simple_type,
    STATE(6571), 1,
      sym__annotated_type,
    STATE(7184), 1,
      sym__soft_identifier,
    STATE(7914), 1,
      sym_identifier,
    STATE(10126), 1,
      sym_annotated_type,
    STATE(10713), 1,
      sym__infix_type_choice,
    STATE(11108), 1,
      sym__non_null_literal,
    STATE(18871), 1,
      sym_stable_identifier,
    ACTIONS(7962), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7964), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7966), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4414), 2,
      sym_comment,
      sym_block_comment,
    STATE(11287), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11207), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8614), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [225264] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(7554), 1,
      anon_sym_LPAREN,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      aux_sym_given_definition_repeat1,
    STATE(11607), 1,
      sym__simple_type,
    STATE(11966), 1,
      sym_identifier,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12236), 1,
      sym__annotated_type,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15517), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4415), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [225366] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6912), 1,
      sym__alpha_identifier,
    ACTIONS(6914), 1,
      anon_sym__,
    ACTIONS(6922), 1,
      sym__backquoted_id,
    ACTIONS(6924), 1,
      sym_operator_identifier,
    ACTIONS(7968), 1,
      anon_sym_LPAREN,
    ACTIONS(7970), 1,
      sym_integer_literal,
    STATE(4700), 1,
      sym__simple_type,
    STATE(4769), 1,
      sym__annotated_type,
    STATE(4828), 1,
      sym__soft_identifier,
    STATE(4972), 1,
      sym_identifier,
    STATE(6993), 1,
      sym_annotated_type,
    STATE(7525), 1,
      sym__infix_type_choice,
    STATE(8742), 1,
      sym__non_null_literal,
    STATE(18883), 1,
      sym_stable_identifier,
    ACTIONS(7972), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7974), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7976), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4416), 2,
      sym_comment,
      sym_block_comment,
    STATE(8735), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8823), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6918), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5173), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [225458] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6944), 1,
      sym__alpha_identifier,
    ACTIONS(6950), 1,
      anon_sym__,
    ACTIONS(6958), 1,
      sym__backquoted_id,
    ACTIONS(6960), 1,
      sym_operator_identifier,
    ACTIONS(7978), 1,
      anon_sym_LPAREN,
    ACTIONS(7980), 1,
      sym_integer_literal,
    STATE(5106), 1,
      sym__simple_type,
    STATE(5304), 1,
      sym__annotated_type,
    STATE(5365), 1,
      sym_identifier,
    STATE(5502), 1,
      sym__soft_identifier,
    STATE(8401), 1,
      sym_annotated_type,
    STATE(8834), 1,
      sym__infix_type_choice,
    STATE(9995), 1,
      sym__non_null_literal,
    STATE(18889), 1,
      sym_stable_identifier,
    ACTIONS(7982), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7984), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7986), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4417), 2,
      sym_comment,
      sym_block_comment,
    STATE(9941), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10312), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6029), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [225550] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4738), 1,
      sym__alpha_identifier,
    ACTIONS(4744), 1,
      anon_sym__,
    ACTIONS(4756), 1,
      sym__backquoted_id,
    ACTIONS(6990), 1,
      sym_operator_identifier,
    ACTIONS(7988), 1,
      anon_sym_LPAREN,
    ACTIONS(7990), 1,
      sym_integer_literal,
    STATE(5109), 1,
      sym__simple_type,
    STATE(5310), 1,
      sym__annotated_type,
    STATE(5426), 1,
      sym_identifier,
    STATE(5504), 1,
      sym__soft_identifier,
    STATE(8417), 1,
      sym_annotated_type,
    STATE(8847), 1,
      sym__infix_type_choice,
    STATE(10157), 1,
      sym__non_null_literal,
    STATE(18901), 1,
      sym_stable_identifier,
    ACTIONS(7992), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7994), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7996), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4418), 2,
      sym_comment,
      sym_block_comment,
    STATE(10114), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9953), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6051), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [225642] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6348), 1,
      sym__alpha_identifier,
    ACTIONS(6354), 1,
      anon_sym__,
    ACTIONS(6362), 1,
      sym__backquoted_id,
    ACTIONS(6364), 1,
      sym_operator_identifier,
    ACTIONS(7998), 1,
      anon_sym_LPAREN,
    ACTIONS(8000), 1,
      sym_integer_literal,
    STATE(5577), 1,
      sym__simple_type,
    STATE(5728), 1,
      sym__annotated_type,
    STATE(6052), 1,
      sym_identifier,
    STATE(6144), 1,
      sym__soft_identifier,
    STATE(9312), 1,
      sym_annotated_type,
    STATE(9465), 1,
      sym__infix_type_choice,
    STATE(10658), 1,
      sym__non_null_literal,
    STATE(18907), 1,
      sym_stable_identifier,
    ACTIONS(8002), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(8004), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(8006), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4419), 2,
      sym_comment,
      sym_block_comment,
    STATE(10519), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10580), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6358), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6385), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [225734] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(7554), 1,
      anon_sym_LPAREN,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    STATE(4422), 1,
      aux_sym_given_definition_repeat1,
    STATE(11607), 1,
      sym__simple_type,
    STATE(11966), 1,
      sym_identifier,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12317), 1,
      sym__annotated_type,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15486), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4420), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [225836] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(7554), 1,
      anon_sym_LPAREN,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      aux_sym_given_definition_repeat1,
    STATE(11607), 1,
      sym__simple_type,
    STATE(11966), 1,
      sym_identifier,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12318), 1,
      sym__annotated_type,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15394), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4421), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [225938] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(7554), 1,
      anon_sym_LPAREN,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      aux_sym_given_definition_repeat1,
    STATE(11607), 1,
      sym__simple_type,
    STATE(11966), 1,
      sym_identifier,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12336), 1,
      sym__annotated_type,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15386), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4422), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [226040] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(7554), 1,
      anon_sym_LPAREN,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    STATE(4425), 1,
      aux_sym_given_definition_repeat1,
    STATE(11607), 1,
      sym__simple_type,
    STATE(11966), 1,
      sym_identifier,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12371), 1,
      sym__annotated_type,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15275), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4423), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [226142] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(7554), 1,
      anon_sym_LPAREN,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      aux_sym_given_definition_repeat1,
    STATE(11607), 1,
      sym__simple_type,
    STATE(11966), 1,
      sym_identifier,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12376), 1,
      sym__annotated_type,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15281), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4424), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [226244] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(7554), 1,
      anon_sym_LPAREN,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      aux_sym_given_definition_repeat1,
    STATE(11607), 1,
      sym__simple_type,
    STATE(11966), 1,
      sym_identifier,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12475), 1,
      sym__annotated_type,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15335), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4425), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [226346] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(7554), 1,
      anon_sym_LPAREN,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    STATE(4427), 1,
      aux_sym_given_definition_repeat1,
    STATE(11607), 1,
      sym__simple_type,
    STATE(11966), 1,
      sym_identifier,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12476), 1,
      sym__annotated_type,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15461), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4426), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [226448] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(7554), 1,
      anon_sym_LPAREN,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      aux_sym_given_definition_repeat1,
    STATE(11607), 1,
      sym__simple_type,
    STATE(11966), 1,
      sym_identifier,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12482), 1,
      sym__annotated_type,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15499), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4427), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [226550] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7336), 1,
      anon_sym__,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(8008), 1,
      anon_sym_LPAREN,
    ACTIONS(8010), 1,
      sym_operator_identifier,
    STATE(4430), 1,
      aux_sym_given_definition_repeat1,
    STATE(11623), 1,
      sym__simple_type,
    STATE(11873), 1,
      sym__annotated_type,
    STATE(12312), 1,
      sym_identifier,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(12609), 1,
      sym__given_sig,
    STATE(14281), 1,
      sym_annotated_type,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15635), 1,
      sym__structural_instance,
    STATE(17529), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19344), 1,
      sym_stable_identifier,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4428), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13039), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [226652] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7336), 1,
      anon_sym__,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(8008), 1,
      anon_sym_LPAREN,
    ACTIONS(8010), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      aux_sym_given_definition_repeat1,
    STATE(11623), 1,
      sym__simple_type,
    STATE(11874), 1,
      sym__annotated_type,
    STATE(12312), 1,
      sym_identifier,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(12609), 1,
      sym__given_sig,
    STATE(14281), 1,
      sym_annotated_type,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15627), 1,
      sym__structural_instance,
    STATE(17529), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19344), 1,
      sym_stable_identifier,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4429), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13039), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [226754] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7336), 1,
      anon_sym__,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(8008), 1,
      anon_sym_LPAREN,
    ACTIONS(8010), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      aux_sym_given_definition_repeat1,
    STATE(11623), 1,
      sym__simple_type,
    STATE(11875), 1,
      sym__annotated_type,
    STATE(12312), 1,
      sym_identifier,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(12609), 1,
      sym__given_sig,
    STATE(14281), 1,
      sym_annotated_type,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15789), 1,
      sym__structural_instance,
    STATE(17529), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19344), 1,
      sym_stable_identifier,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4430), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13039), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [226856] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7336), 1,
      anon_sym__,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(8008), 1,
      anon_sym_LPAREN,
    ACTIONS(8010), 1,
      sym_operator_identifier,
    STATE(4433), 1,
      aux_sym_given_definition_repeat1,
    STATE(11623), 1,
      sym__simple_type,
    STATE(11876), 1,
      sym__annotated_type,
    STATE(12312), 1,
      sym_identifier,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(12609), 1,
      sym__given_sig,
    STATE(14281), 1,
      sym_annotated_type,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15770), 1,
      sym__structural_instance,
    STATE(17529), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19344), 1,
      sym_stable_identifier,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4431), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13039), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [226958] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7336), 1,
      anon_sym__,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(8008), 1,
      anon_sym_LPAREN,
    ACTIONS(8010), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      aux_sym_given_definition_repeat1,
    STATE(11623), 1,
      sym__simple_type,
    STATE(11877), 1,
      sym__annotated_type,
    STATE(12312), 1,
      sym_identifier,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(12609), 1,
      sym__given_sig,
    STATE(14281), 1,
      sym_annotated_type,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15798), 1,
      sym__structural_instance,
    STATE(17529), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19344), 1,
      sym_stable_identifier,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4432), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13039), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [227060] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7336), 1,
      anon_sym__,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(8008), 1,
      anon_sym_LPAREN,
    ACTIONS(8010), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      aux_sym_given_definition_repeat1,
    STATE(11623), 1,
      sym__simple_type,
    STATE(11878), 1,
      sym__annotated_type,
    STATE(12312), 1,
      sym_identifier,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(12609), 1,
      sym__given_sig,
    STATE(14281), 1,
      sym_annotated_type,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15578), 1,
      sym__structural_instance,
    STATE(17529), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19344), 1,
      sym_stable_identifier,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4433), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13039), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [227162] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7336), 1,
      anon_sym__,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(8008), 1,
      anon_sym_LPAREN,
    ACTIONS(8010), 1,
      sym_operator_identifier,
    STATE(4436), 1,
      aux_sym_given_definition_repeat1,
    STATE(11623), 1,
      sym__simple_type,
    STATE(11879), 1,
      sym__annotated_type,
    STATE(12312), 1,
      sym_identifier,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(12609), 1,
      sym__given_sig,
    STATE(14281), 1,
      sym_annotated_type,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15848), 1,
      sym__structural_instance,
    STATE(17529), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19344), 1,
      sym_stable_identifier,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4434), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13039), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [227264] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7336), 1,
      anon_sym__,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(8008), 1,
      anon_sym_LPAREN,
    ACTIONS(8010), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      aux_sym_given_definition_repeat1,
    STATE(11623), 1,
      sym__simple_type,
    STATE(11880), 1,
      sym__annotated_type,
    STATE(12312), 1,
      sym_identifier,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(12609), 1,
      sym__given_sig,
    STATE(14281), 1,
      sym_annotated_type,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15560), 1,
      sym__structural_instance,
    STATE(17529), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19344), 1,
      sym_stable_identifier,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4435), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13039), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [227366] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7336), 1,
      anon_sym__,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(8008), 1,
      anon_sym_LPAREN,
    ACTIONS(8010), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      aux_sym_given_definition_repeat1,
    STATE(11623), 1,
      sym__simple_type,
    STATE(11881), 1,
      sym__annotated_type,
    STATE(12312), 1,
      sym_identifier,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(12609), 1,
      sym__given_sig,
    STATE(14281), 1,
      sym_annotated_type,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15687), 1,
      sym__structural_instance,
    STATE(17529), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19344), 1,
      sym_stable_identifier,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4436), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13039), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [227468] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(7554), 1,
      anon_sym_LPAREN,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    STATE(4479), 1,
      aux_sym_given_definition_repeat1,
    STATE(11607), 1,
      sym__simple_type,
    STATE(11966), 1,
      sym_identifier,
    STATE(11983), 1,
      sym__annotated_type,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15486), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4437), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [227570] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(7554), 1,
      anon_sym_LPAREN,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      aux_sym_given_definition_repeat1,
    STATE(11607), 1,
      sym__simple_type,
    STATE(11966), 1,
      sym_identifier,
    STATE(11987), 1,
      sym__annotated_type,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15394), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4438), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [227672] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    ACTIONS(8012), 1,
      anon_sym_LPAREN,
    ACTIONS(8014), 1,
      sym_integer_literal,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7089), 1,
      sym__annotated_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10361), 1,
      sym__non_null_literal,
    STATE(10717), 1,
      sym__infix_type_choice,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(8016), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(8018), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(8020), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4439), 2,
      sym_comment,
      sym_block_comment,
    STATE(10366), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10728), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [227764] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(7554), 1,
      anon_sym_LPAREN,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    STATE(4442), 1,
      aux_sym_given_definition_repeat1,
    STATE(11607), 1,
      sym__simple_type,
    STATE(11905), 1,
      sym__annotated_type,
    STATE(11966), 1,
      sym_identifier,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15275), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4440), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [227866] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(7554), 1,
      anon_sym_LPAREN,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      aux_sym_given_definition_repeat1,
    STATE(11607), 1,
      sym__simple_type,
    STATE(11907), 1,
      sym__annotated_type,
    STATE(11966), 1,
      sym_identifier,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15281), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4441), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [227968] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(7554), 1,
      anon_sym_LPAREN,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      aux_sym_given_definition_repeat1,
    STATE(11607), 1,
      sym__simple_type,
    STATE(11966), 1,
      sym_identifier,
    STATE(11972), 1,
      sym__annotated_type,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15335), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4442), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [228070] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(7554), 1,
      anon_sym_LPAREN,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    STATE(4445), 1,
      aux_sym_given_definition_repeat1,
    STATE(11607), 1,
      sym__simple_type,
    STATE(11966), 1,
      sym_identifier,
    STATE(11974), 1,
      sym__annotated_type,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15461), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4443), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [228172] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(7554), 1,
      anon_sym_LPAREN,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      aux_sym_given_definition_repeat1,
    STATE(11607), 1,
      sym__simple_type,
    STATE(11966), 1,
      sym_identifier,
    STATE(11981), 1,
      sym__annotated_type,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15517), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4444), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [228274] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(7554), 1,
      anon_sym_LPAREN,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      aux_sym_given_definition_repeat1,
    STATE(11607), 1,
      sym__simple_type,
    STATE(11966), 1,
      sym_identifier,
    STATE(12030), 1,
      sym__annotated_type,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15499), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4445), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [228376] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    ACTIONS(8012), 1,
      anon_sym_LPAREN,
    ACTIONS(8014), 1,
      sym_integer_literal,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(8164), 1,
      sym__annotated_type,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10361), 1,
      sym__non_null_literal,
    STATE(11007), 1,
      sym__infix_type_choice,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(8016), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(8018), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(8020), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4446), 2,
      sym_comment,
      sym_block_comment,
    STATE(10366), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10728), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [228468] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(7554), 1,
      anon_sym_LPAREN,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      aux_sym_given_definition_repeat1,
    STATE(11607), 1,
      sym__simple_type,
    STATE(11966), 1,
      sym_identifier,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12422), 1,
      sym__annotated_type,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15281), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4447), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [228570] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7336), 1,
      anon_sym__,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(8008), 1,
      anon_sym_LPAREN,
    ACTIONS(8010), 1,
      sym_operator_identifier,
    STATE(4450), 1,
      aux_sym_given_definition_repeat1,
    STATE(11623), 1,
      sym__simple_type,
    STATE(12312), 1,
      sym_identifier,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(12332), 1,
      sym__annotated_type,
    STATE(12609), 1,
      sym__given_sig,
    STATE(14281), 1,
      sym_annotated_type,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15635), 1,
      sym__structural_instance,
    STATE(17529), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19344), 1,
      sym_stable_identifier,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4448), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13039), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [228672] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7336), 1,
      anon_sym__,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(8008), 1,
      anon_sym_LPAREN,
    ACTIONS(8010), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      aux_sym_given_definition_repeat1,
    STATE(11623), 1,
      sym__simple_type,
    STATE(12210), 1,
      sym__annotated_type,
    STATE(12312), 1,
      sym_identifier,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(12609), 1,
      sym__given_sig,
    STATE(14281), 1,
      sym_annotated_type,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15627), 1,
      sym__structural_instance,
    STATE(17529), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19344), 1,
      sym_stable_identifier,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4449), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13039), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [228774] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7336), 1,
      anon_sym__,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(8008), 1,
      anon_sym_LPAREN,
    ACTIONS(8010), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      aux_sym_given_definition_repeat1,
    STATE(11623), 1,
      sym__simple_type,
    STATE(12312), 1,
      sym_identifier,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(12337), 1,
      sym__annotated_type,
    STATE(12609), 1,
      sym__given_sig,
    STATE(14281), 1,
      sym_annotated_type,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15789), 1,
      sym__structural_instance,
    STATE(17529), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19344), 1,
      sym_stable_identifier,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4450), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13039), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [228876] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6776), 1,
      sym__alpha_identifier,
    ACTIONS(6782), 1,
      anon_sym__,
    ACTIONS(6790), 1,
      sym__backquoted_id,
    ACTIONS(6792), 1,
      sym_operator_identifier,
    ACTIONS(8022), 1,
      anon_sym_LPAREN,
    ACTIONS(8024), 1,
      sym_integer_literal,
    STATE(6311), 1,
      sym__simple_type,
    STATE(6632), 1,
      sym__soft_identifier,
    STATE(6764), 1,
      sym_identifier,
    STATE(6997), 1,
      sym__annotated_type,
    STATE(9959), 1,
      sym_annotated_type,
    STATE(10182), 1,
      sym__infix_type_choice,
    STATE(10934), 1,
      sym__non_null_literal,
    STATE(17910), 1,
      sym_stable_identifier,
    ACTIONS(8026), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(8028), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(8030), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4451), 2,
      sym_comment,
      sym_block_comment,
    STATE(11031), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10971), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6786), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7852), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [228968] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    ACTIONS(7808), 1,
      anon_sym_LPAREN,
    ACTIONS(7810), 1,
      sym_integer_literal,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(6806), 1,
      sym__annotated_type,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(7441), 1,
      sym__non_null_literal,
    STATE(10335), 1,
      sym__infix_type_choice,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(7812), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7814), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7816), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4452), 2,
      sym_comment,
      sym_block_comment,
    STATE(7622), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7204), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [229060] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7336), 1,
      anon_sym__,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(8008), 1,
      anon_sym_LPAREN,
    ACTIONS(8010), 1,
      sym_operator_identifier,
    STATE(4456), 1,
      aux_sym_given_definition_repeat1,
    STATE(11623), 1,
      sym__simple_type,
    STATE(12264), 1,
      sym__annotated_type,
    STATE(12312), 1,
      sym_identifier,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(12609), 1,
      sym__given_sig,
    STATE(14281), 1,
      sym_annotated_type,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15770), 1,
      sym__structural_instance,
    STATE(17529), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19344), 1,
      sym_stable_identifier,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4453), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13039), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [229162] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7336), 1,
      anon_sym__,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(8008), 1,
      anon_sym_LPAREN,
    ACTIONS(8010), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      aux_sym_given_definition_repeat1,
    STATE(11623), 1,
      sym__simple_type,
    STATE(12266), 1,
      sym__annotated_type,
    STATE(12312), 1,
      sym_identifier,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(12609), 1,
      sym__given_sig,
    STATE(14281), 1,
      sym_annotated_type,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15798), 1,
      sym__structural_instance,
    STATE(17529), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19344), 1,
      sym_stable_identifier,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4454), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13039), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [229264] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6412), 1,
      sym__alpha_identifier,
    ACTIONS(6418), 1,
      anon_sym__,
    ACTIONS(6426), 1,
      sym__backquoted_id,
    ACTIONS(6428), 1,
      sym_operator_identifier,
    ACTIONS(8032), 1,
      anon_sym_LPAREN,
    ACTIONS(8034), 1,
      sym_integer_literal,
    STATE(6300), 1,
      sym__simple_type,
    STATE(6354), 1,
      sym_identifier,
    STATE(6757), 1,
      sym__annotated_type,
    STATE(6890), 1,
      sym__soft_identifier,
    STATE(10178), 1,
      sym__infix_type_choice,
    STATE(10256), 1,
      sym_annotated_type,
    STATE(10942), 1,
      sym__non_null_literal,
    STATE(19353), 1,
      sym_stable_identifier,
    ACTIONS(8036), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(8038), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(8040), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4455), 2,
      sym_comment,
      sym_block_comment,
    STATE(11046), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10775), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6422), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7457), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [229356] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7336), 1,
      anon_sym__,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(8008), 1,
      anon_sym_LPAREN,
    ACTIONS(8010), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      aux_sym_given_definition_repeat1,
    STATE(11623), 1,
      sym__simple_type,
    STATE(12312), 1,
      sym_identifier,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(12401), 1,
      sym__annotated_type,
    STATE(12609), 1,
      sym__given_sig,
    STATE(14281), 1,
      sym_annotated_type,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15578), 1,
      sym__structural_instance,
    STATE(17529), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19344), 1,
      sym_stable_identifier,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4456), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13039), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [229458] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7336), 1,
      anon_sym__,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(8008), 1,
      anon_sym_LPAREN,
    ACTIONS(8010), 1,
      sym_operator_identifier,
    STATE(4459), 1,
      aux_sym_given_definition_repeat1,
    STATE(11623), 1,
      sym__simple_type,
    STATE(12312), 1,
      sym_identifier,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(12403), 1,
      sym__annotated_type,
    STATE(12609), 1,
      sym__given_sig,
    STATE(14281), 1,
      sym_annotated_type,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15848), 1,
      sym__structural_instance,
    STATE(17529), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19344), 1,
      sym_stable_identifier,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4457), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13039), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [229560] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7336), 1,
      anon_sym__,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(8008), 1,
      anon_sym_LPAREN,
    ACTIONS(8010), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      aux_sym_given_definition_repeat1,
    STATE(11623), 1,
      sym__simple_type,
    STATE(12312), 1,
      sym_identifier,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(12404), 1,
      sym__annotated_type,
    STATE(12609), 1,
      sym__given_sig,
    STATE(14281), 1,
      sym_annotated_type,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15560), 1,
      sym__structural_instance,
    STATE(17529), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19344), 1,
      sym_stable_identifier,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4458), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13039), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [229662] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7336), 1,
      anon_sym__,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(8008), 1,
      anon_sym_LPAREN,
    ACTIONS(8010), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      aux_sym_given_definition_repeat1,
    STATE(11623), 1,
      sym__simple_type,
    STATE(12288), 1,
      sym__annotated_type,
    STATE(12312), 1,
      sym_identifier,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(12609), 1,
      sym__given_sig,
    STATE(14281), 1,
      sym_annotated_type,
    STATE(15545), 1,
      sym_compound_type,
    STATE(15687), 1,
      sym__structural_instance,
    STATE(17529), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19344), 1,
      sym_stable_identifier,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4459), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13039), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [229764] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6684), 1,
      sym__alpha_identifier,
    ACTIONS(6686), 1,
      anon_sym__,
    ACTIONS(6694), 1,
      sym__backquoted_id,
    ACTIONS(6696), 1,
      sym_operator_identifier,
    ACTIONS(8042), 1,
      anon_sym_LPAREN,
    ACTIONS(8044), 1,
      sym_integer_literal,
    STATE(6170), 1,
      sym__simple_type,
    STATE(6983), 1,
      sym_identifier,
    STATE(6988), 1,
      sym__soft_identifier,
    STATE(7069), 1,
      sym__annotated_type,
    STATE(10005), 1,
      sym__infix_type_choice,
    STATE(10181), 1,
      sym_annotated_type,
    STATE(11044), 1,
      sym__non_null_literal,
    STATE(18029), 1,
      sym_stable_identifier,
    ACTIONS(8046), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(8048), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(8050), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4460), 2,
      sym_comment,
      sym_block_comment,
    STATE(10924), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10943), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6690), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7146), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [229856] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    ACTIONS(7808), 1,
      anon_sym_LPAREN,
    ACTIONS(7810), 1,
      sym_integer_literal,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(7441), 1,
      sym__non_null_literal,
    STATE(7489), 1,
      sym__annotated_type,
    STATE(10392), 1,
      sym__infix_type_choice,
    STATE(18006), 1,
      sym_stable_identifier,
    ACTIONS(7812), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7814), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7816), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4461), 2,
      sym_comment,
      sym_block_comment,
    STATE(7622), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7204), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [229948] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6634), 1,
      sym__alpha_identifier,
    ACTIONS(6640), 1,
      anon_sym__,
    ACTIONS(6648), 1,
      sym__backquoted_id,
    ACTIONS(6650), 1,
      sym_operator_identifier,
    ACTIONS(8052), 1,
      anon_sym_LPAREN,
    ACTIONS(8054), 1,
      sym_integer_literal,
    STATE(5952), 1,
      sym__simple_type,
    STATE(6655), 1,
      sym__soft_identifier,
    STATE(6832), 1,
      sym__annotated_type,
    STATE(6914), 1,
      sym_identifier,
    STATE(9996), 1,
      sym_annotated_type,
    STATE(10054), 1,
      sym__infix_type_choice,
    STATE(10779), 1,
      sym__non_null_literal,
    STATE(19535), 1,
      sym_stable_identifier,
    ACTIONS(8056), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(8058), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(8060), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4462), 2,
      sym_comment,
      sym_block_comment,
    STATE(11095), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10878), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6644), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7691), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [230040] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(7554), 1,
      anon_sym_LPAREN,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      aux_sym_given_definition_repeat1,
    STATE(11607), 1,
      sym__simple_type,
    STATE(11966), 1,
      sym_identifier,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12341), 1,
      sym__annotated_type,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15499), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4463), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [230142] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    ACTIONS(8012), 1,
      anon_sym_LPAREN,
    ACTIONS(8014), 1,
      sym_integer_literal,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(8505), 1,
      sym__annotated_type,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10361), 1,
      sym__non_null_literal,
    STATE(11216), 1,
      sym__infix_type_choice,
    STATE(17859), 1,
      sym_stable_identifier,
    ACTIONS(8016), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(8018), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(8020), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4464), 2,
      sym_comment,
      sym_block_comment,
    STATE(10366), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10728), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [230234] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(6986), 1,
      sym_operator_identifier,
    ACTIONS(8062), 1,
      anon_sym_LPAREN,
    ACTIONS(8064), 1,
      sym_integer_literal,
    STATE(7795), 1,
      sym__simple_type,
    STATE(7913), 1,
      sym__annotated_type,
    STATE(8002), 1,
      sym__soft_identifier,
    STATE(8453), 1,
      sym_identifier,
    STATE(10589), 1,
      sym_annotated_type,
    STATE(10966), 1,
      sym__infix_type_choice,
    STATE(11395), 1,
      sym__non_null_literal,
    STATE(17798), 1,
      sym_stable_identifier,
    ACTIONS(8066), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(8068), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(8070), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4465), 2,
      sym_comment,
      sym_block_comment,
    STATE(11519), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11581), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9256), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [230326] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(7554), 1,
      anon_sym_LPAREN,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      aux_sym_given_definition_repeat1,
    STATE(11607), 1,
      sym__simple_type,
    STATE(11966), 1,
      sym_identifier,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12226), 1,
      sym__annotated_type,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15386), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4466), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [230428] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(7554), 1,
      anon_sym_LPAREN,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    STATE(4466), 1,
      aux_sym_given_definition_repeat1,
    STATE(11607), 1,
      sym__simple_type,
    STATE(11966), 1,
      sym_identifier,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12469), 1,
      sym__annotated_type,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15486), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4467), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [230530] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4564), 1,
      sym__alpha_identifier,
    ACTIONS(4566), 1,
      anon_sym__,
    ACTIONS(4576), 1,
      sym__backquoted_id,
    ACTIONS(7020), 1,
      sym_operator_identifier,
    ACTIONS(8072), 1,
      anon_sym_LPAREN,
    ACTIONS(8074), 1,
      sym_integer_literal,
    STATE(4896), 1,
      sym__simple_type,
    STATE(4904), 1,
      sym__annotated_type,
    STATE(5119), 1,
      sym__soft_identifier,
    STATE(5265), 1,
      sym_identifier,
    STATE(7911), 1,
      sym_annotated_type,
    STATE(8323), 1,
      sym__infix_type_choice,
    STATE(9723), 1,
      sym__non_null_literal,
    STATE(17908), 1,
      sym_stable_identifier,
    ACTIONS(8076), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(8078), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(8080), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4468), 2,
      sym_comment,
      sym_block_comment,
    STATE(9668), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9725), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4572), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5566), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [230622] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(8082), 1,
      anon_sym_LPAREN,
    ACTIONS(8084), 1,
      sym_integer_literal,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5415), 1,
      sym__annotated_type,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9513), 1,
      sym__infix_type_choice,
    STATE(10579), 1,
      sym__non_null_literal,
    STATE(18445), 1,
      sym_stable_identifier,
    ACTIONS(8086), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(8088), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(8090), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4469), 2,
      sym_comment,
      sym_block_comment,
    STATE(10625), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10546), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [230714] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6926), 1,
      sym__alpha_identifier,
    ACTIONS(6932), 1,
      anon_sym__,
    ACTIONS(6940), 1,
      sym__backquoted_id,
    ACTIONS(6942), 1,
      sym_operator_identifier,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    ACTIONS(8094), 1,
      sym_integer_literal,
    STATE(5725), 1,
      sym__simple_type,
    STATE(5946), 1,
      sym__annotated_type,
    STATE(6312), 1,
      sym_identifier,
    STATE(6321), 1,
      sym__soft_identifier,
    STATE(9683), 1,
      sym__infix_type_choice,
    STATE(9779), 1,
      sym_annotated_type,
    STATE(10678), 1,
      sym__non_null_literal,
    STATE(18052), 1,
      sym_stable_identifier,
    ACTIONS(8096), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(8098), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(8100), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4470), 2,
      sym_comment,
      sym_block_comment,
    STATE(10403), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10429), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6936), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6768), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [230806] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(7648), 1,
      anon_sym_LPAREN,
    ACTIONS(7650), 1,
      sym_integer_literal,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(8689), 1,
      sym__annotated_type,
    STATE(9400), 1,
      sym__non_null_literal,
    STATE(11235), 1,
      sym__infix_type_choice,
    STATE(19114), 1,
      sym_stable_identifier,
    ACTIONS(7652), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7654), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7656), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4471), 2,
      sym_comment,
      sym_block_comment,
    STATE(9387), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9262), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [230898] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(7554), 1,
      anon_sym_LPAREN,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      aux_sym_given_definition_repeat1,
    STATE(11607), 1,
      sym__simple_type,
    STATE(11966), 1,
      sym_identifier,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12394), 1,
      sym__annotated_type,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15394), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4472), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [231000] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(85), 1,
      sym__backquoted_id,
    ACTIONS(8106), 1,
      sym_operator_identifier,
    STATE(4738), 1,
      sym__soft_identifier,
    STATE(7668), 1,
      sym_identifier,
    STATE(4473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(4258), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_DQUOTE,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8102), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [231068] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6514), 1,
      sym__alpha_identifier,
    ACTIONS(6516), 1,
      anon_sym__,
    ACTIONS(6524), 1,
      sym__backquoted_id,
    ACTIONS(6526), 1,
      sym_operator_identifier,
    ACTIONS(8108), 1,
      anon_sym_LPAREN,
    ACTIONS(8110), 1,
      sym_integer_literal,
    STATE(8360), 1,
      sym__simple_type,
    STATE(8833), 1,
      sym__annotated_type,
    STATE(9171), 1,
      sym_identifier,
    STATE(9211), 1,
      sym__soft_identifier,
    STATE(11182), 1,
      sym_annotated_type,
    STATE(11221), 1,
      sym__infix_type_choice,
    STATE(11639), 1,
      sym__non_null_literal,
    STATE(18813), 1,
      sym_stable_identifier,
    ACTIONS(8112), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(8114), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(8116), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4474), 2,
      sym_comment,
      sym_block_comment,
    STATE(11779), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11717), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6520), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9592), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [231160] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4338), 1,
      sym__alpha_identifier,
    ACTIONS(4344), 1,
      anon_sym__,
    ACTIONS(4356), 1,
      sym__backquoted_id,
    ACTIONS(6476), 1,
      sym_operator_identifier,
    ACTIONS(8118), 1,
      anon_sym_LPAREN,
    ACTIONS(8120), 1,
      sym_integer_literal,
    STATE(5168), 1,
      sym__annotated_type,
    STATE(5208), 1,
      sym__simple_type,
    STATE(5377), 1,
      sym__soft_identifier,
    STATE(5681), 1,
      sym_identifier,
    STATE(8606), 1,
      sym_annotated_type,
    STATE(9267), 1,
      sym__infix_type_choice,
    STATE(10161), 1,
      sym__non_null_literal,
    STATE(18098), 1,
      sym_stable_identifier,
    ACTIONS(8122), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(8124), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(8126), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4475), 2,
      sym_comment,
      sym_block_comment,
    STATE(10296), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10123), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4350), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5873), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [231252] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4500), 1,
      sym__alpha_identifier,
    ACTIONS(4506), 1,
      anon_sym__,
    ACTIONS(4518), 1,
      sym__backquoted_id,
    ACTIONS(6766), 1,
      sym_operator_identifier,
    ACTIONS(8128), 1,
      anon_sym_LPAREN,
    ACTIONS(8130), 1,
      sym_integer_literal,
    STATE(5927), 1,
      sym__simple_type,
    STATE(6156), 1,
      sym__annotated_type,
    STATE(6705), 1,
      sym_identifier,
    STATE(6913), 1,
      sym__soft_identifier,
    STATE(9528), 1,
      sym_annotated_type,
    STATE(10288), 1,
      sym__infix_type_choice,
    STATE(10940), 1,
      sym__non_null_literal,
    STATE(18142), 1,
      sym_stable_identifier,
    ACTIONS(8132), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(8134), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(8136), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4476), 2,
      sym_comment,
      sym_block_comment,
    STATE(11097), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10977), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4512), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7249), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [231344] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6588), 1,
      sym__alpha_identifier,
    ACTIONS(6590), 1,
      anon_sym__,
    ACTIONS(6598), 1,
      sym__backquoted_id,
    ACTIONS(6600), 1,
      sym_operator_identifier,
    ACTIONS(8138), 1,
      anon_sym_LPAREN,
    ACTIONS(8140), 1,
      sym_integer_literal,
    STATE(7642), 1,
      sym__simple_type,
    STATE(7994), 1,
      sym_identifier,
    STATE(8097), 1,
      sym__annotated_type,
    STATE(8617), 1,
      sym__soft_identifier,
    STATE(10935), 1,
      sym_annotated_type,
    STATE(11025), 1,
      sym__infix_type_choice,
    STATE(11442), 1,
      sym__non_null_literal,
    STATE(18936), 1,
      sym_stable_identifier,
    ACTIONS(8142), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(8144), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(8146), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4477), 2,
      sym_comment,
      sym_block_comment,
    STATE(11549), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11380), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8780), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [231436] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4530), 1,
      sym__alpha_identifier,
    ACTIONS(4536), 1,
      anon_sym__,
    ACTIONS(4548), 1,
      sym__backquoted_id,
    ACTIONS(6682), 1,
      sym_operator_identifier,
    ACTIONS(8148), 1,
      anon_sym_LPAREN,
    ACTIONS(8150), 1,
      sym_integer_literal,
    STATE(6272), 1,
      sym__simple_type,
    STATE(6285), 1,
      sym__annotated_type,
    STATE(6552), 1,
      sym__soft_identifier,
    STATE(6995), 1,
      sym_identifier,
    STATE(9784), 1,
      sym_annotated_type,
    STATE(10270), 1,
      sym__infix_type_choice,
    STATE(10802), 1,
      sym__non_null_literal,
    STATE(17830), 1,
      sym_stable_identifier,
    ACTIONS(8152), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(8154), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(8156), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4478), 2,
      sym_comment,
      sym_block_comment,
    STATE(10994), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10959), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4542), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7733), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [231528] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7552), 1,
      anon_sym_COLON,
    ACTIONS(7554), 1,
      anon_sym_LPAREN,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      aux_sym_given_definition_repeat1,
    STATE(11607), 1,
      sym__simple_type,
    STATE(11865), 1,
      sym__annotated_type,
    STATE(11966), 1,
      sym_identifier,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12609), 1,
      sym__given_sig,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15386), 1,
      sym__structural_instance,
    STATE(15545), 1,
      sym_compound_type,
    STATE(17565), 1,
      sym__constructor_application,
    STATE(17648), 1,
      sym_template_body,
    STATE(17726), 1,
      sym__structural_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    STATE(4479), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [231630] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8160), 9,
      sym__indent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(8158), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [231683] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(4481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 35,
      anon_sym_enum,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [231734] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(85), 1,
      sym__backquoted_id,
    ACTIONS(8106), 1,
      sym_operator_identifier,
    STATE(4738), 1,
      sym__soft_identifier,
    STATE(7668), 1,
      sym_identifier,
    STATE(4482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4258), 6,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_DQUOTE,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8102), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [231798] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 35,
      anon_sym_enum,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [231846] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8168), 1,
      anon_sym_LBRACE,
    ACTIONS(8170), 1,
      anon_sym_LBRACK,
    ACTIONS(8172), 1,
      anon_sym_AT,
    ACTIONS(8174), 1,
      anon_sym_def,
    ACTIONS(8180), 1,
      anon_sym_inline,
    ACTIONS(8182), 1,
      anon_sym_infix,
    ACTIONS(8184), 1,
      anon_sym_open,
    ACTIONS(8186), 1,
      anon_sym_transparent,
    ACTIONS(8188), 1,
      anon_sym_LPAREN,
    ACTIONS(8190), 1,
      sym__indent,
    STATE(4531), 1,
      sym_type_parameters,
    STATE(4534), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5615), 1,
      aux_sym_modifiers_repeat1,
    STATE(7951), 1,
      sym_annotation,
    STATE(9038), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11363), 1,
      sym_parameters,
    STATE(11373), 1,
      sym__using_parameters_clause,
    STATE(15128), 1,
      sym__function_declaration,
    STATE(17838), 1,
      sym_modifiers,
    ACTIONS(8178), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4484), 2,
      sym_comment,
      sym_block_comment,
    STATE(15407), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8176), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [231938] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8168), 1,
      anon_sym_LBRACE,
    ACTIONS(8170), 1,
      anon_sym_LBRACK,
    ACTIONS(8172), 1,
      anon_sym_AT,
    ACTIONS(8180), 1,
      anon_sym_inline,
    ACTIONS(8182), 1,
      anon_sym_infix,
    ACTIONS(8184), 1,
      anon_sym_open,
    ACTIONS(8186), 1,
      anon_sym_transparent,
    ACTIONS(8188), 1,
      anon_sym_LPAREN,
    ACTIONS(8190), 1,
      sym__indent,
    ACTIONS(8192), 1,
      anon_sym_def,
    STATE(4613), 1,
      sym_type_parameters,
    STATE(4614), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5615), 1,
      aux_sym_modifiers_repeat1,
    STATE(7951), 1,
      sym_annotation,
    STATE(9396), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11363), 1,
      sym_parameters,
    STATE(11373), 1,
      sym__using_parameters_clause,
    STATE(15044), 1,
      sym__function_declaration,
    STATE(18979), 1,
      sym_modifiers,
    ACTIONS(8178), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4485), 2,
      sym_comment,
      sym_block_comment,
    STATE(15407), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8176), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [232030] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8168), 1,
      anon_sym_LBRACE,
    ACTIONS(8170), 1,
      anon_sym_LBRACK,
    ACTIONS(8172), 1,
      anon_sym_AT,
    ACTIONS(8180), 1,
      anon_sym_inline,
    ACTIONS(8182), 1,
      anon_sym_infix,
    ACTIONS(8184), 1,
      anon_sym_open,
    ACTIONS(8186), 1,
      anon_sym_transparent,
    ACTIONS(8188), 1,
      anon_sym_LPAREN,
    ACTIONS(8190), 1,
      sym__indent,
    ACTIONS(8192), 1,
      anon_sym_def,
    STATE(4567), 1,
      sym_type_parameters,
    STATE(4568), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5615), 1,
      aux_sym_modifiers_repeat1,
    STATE(7951), 1,
      sym_annotation,
    STATE(9396), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11363), 1,
      sym_parameters,
    STATE(11373), 1,
      sym__using_parameters_clause,
    STATE(15195), 1,
      sym__function_declaration,
    STATE(18979), 1,
      sym_modifiers,
    ACTIONS(8178), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4486), 2,
      sym_comment,
      sym_block_comment,
    STATE(15407), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8176), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [232122] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8170), 1,
      anon_sym_LBRACK,
    ACTIONS(8172), 1,
      anon_sym_AT,
    ACTIONS(8180), 1,
      anon_sym_inline,
    ACTIONS(8182), 1,
      anon_sym_infix,
    ACTIONS(8184), 1,
      anon_sym_open,
    ACTIONS(8186), 1,
      anon_sym_transparent,
    ACTIONS(8188), 1,
      anon_sym_LPAREN,
    ACTIONS(8194), 1,
      anon_sym_LBRACE,
    ACTIONS(8196), 1,
      anon_sym_def,
    ACTIONS(8198), 1,
      sym__indent,
    STATE(4555), 1,
      sym_type_parameters,
    STATE(4556), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5615), 1,
      aux_sym_modifiers_repeat1,
    STATE(7951), 1,
      sym_annotation,
    STATE(9223), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11363), 1,
      sym_parameters,
    STATE(11373), 1,
      sym__using_parameters_clause,
    STATE(15034), 1,
      sym__function_declaration,
    STATE(18837), 1,
      sym_modifiers,
    ACTIONS(8178), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4487), 2,
      sym_comment,
      sym_block_comment,
    STATE(15628), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8176), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [232214] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8170), 1,
      anon_sym_LBRACK,
    ACTIONS(8172), 1,
      anon_sym_AT,
    ACTIONS(8180), 1,
      anon_sym_inline,
    ACTIONS(8182), 1,
      anon_sym_infix,
    ACTIONS(8184), 1,
      anon_sym_open,
    ACTIONS(8186), 1,
      anon_sym_transparent,
    ACTIONS(8188), 1,
      anon_sym_LPAREN,
    ACTIONS(8194), 1,
      anon_sym_LBRACE,
    ACTIONS(8196), 1,
      anon_sym_def,
    ACTIONS(8198), 1,
      sym__indent,
    STATE(4596), 1,
      sym_type_parameters,
    STATE(4597), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5615), 1,
      aux_sym_modifiers_repeat1,
    STATE(7951), 1,
      sym_annotation,
    STATE(9223), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11363), 1,
      sym_parameters,
    STATE(11373), 1,
      sym__using_parameters_clause,
    STATE(15112), 1,
      sym__function_declaration,
    STATE(18837), 1,
      sym_modifiers,
    ACTIONS(8178), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4488), 2,
      sym_comment,
      sym_block_comment,
    STATE(15628), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8176), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [232306] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(507), 1,
      sym__alpha_identifier,
    ACTIONS(571), 1,
      sym__backquoted_id,
    ACTIONS(8202), 1,
      sym_operator_identifier,
    STATE(6129), 1,
      sym__soft_identifier,
    STATE(10271), 1,
      sym_identifier,
    STATE(4489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(695), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(4258), 6,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_DQUOTE,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8200), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [232370] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7336), 1,
      anon_sym__,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(8010), 1,
      sym_operator_identifier,
    ACTIONS(8204), 1,
      anon_sym_COLON,
    ACTIONS(8206), 1,
      anon_sym_LBRACE,
    ACTIONS(8208), 1,
      anon_sym_LPAREN,
    STATE(11912), 1,
      sym__simple_type,
    STATE(12312), 1,
      sym_identifier,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(12417), 1,
      sym__annotated_type,
    STATE(14281), 1,
      sym_annotated_type,
    STATE(14902), 1,
      sym__constructor_application,
    STATE(15008), 1,
      sym_compound_type,
    STATE(15119), 1,
      sym__structural_type,
    STATE(15241), 1,
      sym_template_body,
    STATE(15259), 1,
      sym__constructor_applications,
    STATE(19344), 1,
      sym_stable_identifier,
    STATE(4490), 2,
      sym_comment,
      sym_block_comment,
    STATE(15205), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13039), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [232457] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8172), 1,
      anon_sym_AT,
    ACTIONS(8180), 1,
      anon_sym_inline,
    ACTIONS(8182), 1,
      anon_sym_infix,
    ACTIONS(8184), 1,
      anon_sym_open,
    ACTIONS(8186), 1,
      anon_sym_transparent,
    ACTIONS(8210), 1,
      anon_sym_enum,
    ACTIONS(8212), 1,
      anon_sym_case,
    ACTIONS(8214), 1,
      anon_sym_object,
    ACTIONS(8216), 1,
      anon_sym_given,
    ACTIONS(8218), 1,
      anon_sym_class,
    ACTIONS(8220), 1,
      anon_sym_trait,
    ACTIONS(8222), 1,
      anon_sym_val,
    ACTIONS(8224), 1,
      anon_sym_var,
    ACTIONS(8226), 1,
      anon_sym_type,
    ACTIONS(8228), 1,
      anon_sym_def,
    ACTIONS(8230), 1,
      anon_sym_opaque,
    STATE(5615), 1,
      aux_sym_modifiers_repeat1,
    STATE(6711), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7951), 1,
      sym_annotation,
    STATE(13987), 1,
      sym_modifiers,
    STATE(18867), 1,
      sym_opaque_modifier,
    ACTIONS(8178), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4491), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8176), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [232550] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8238), 1,
      anon_sym_implicit,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8248), 1,
      anon_sym_using,
    ACTIONS(8250), 1,
      anon_sym_RPAREN,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17003), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(63), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [232641] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    ACTIONS(8256), 1,
      anon_sym_COLON,
    ACTIONS(8258), 1,
      anon_sym_LBRACE,
    ACTIONS(8260), 1,
      anon_sym_LPAREN,
    STATE(11966), 1,
      sym_identifier,
    STATE(12024), 1,
      sym__simple_type,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12220), 1,
      sym__annotated_type,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(14776), 1,
      sym__constructor_application,
    STATE(14992), 1,
      sym_compound_type,
    STATE(15121), 1,
      sym__structural_type,
    STATE(15149), 1,
      sym__constructor_applications,
    STATE(15230), 1,
      sym_template_body,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(4493), 2,
      sym_comment,
      sym_block_comment,
    STATE(15162), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [232728] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      anon_sym_LBRACK,
    ACTIONS(8268), 1,
      anon_sym_LPAREN,
    ACTIONS(8270), 1,
      anon_sym_POUND,
    STATE(4647), 1,
      aux_sym_annotation_repeat1,
    STATE(4792), 1,
      sym_type_arguments,
    STATE(4851), 1,
      sym_arguments,
    STATE(4494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [232789] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8172), 1,
      anon_sym_AT,
    ACTIONS(8180), 1,
      anon_sym_inline,
    ACTIONS(8182), 1,
      anon_sym_infix,
    ACTIONS(8184), 1,
      anon_sym_open,
    ACTIONS(8186), 1,
      anon_sym_transparent,
    ACTIONS(8222), 1,
      anon_sym_val,
    ACTIONS(8224), 1,
      anon_sym_var,
    ACTIONS(8230), 1,
      anon_sym_opaque,
    ACTIONS(8272), 1,
      anon_sym_enum,
    ACTIONS(8274), 1,
      anon_sym_case,
    ACTIONS(8276), 1,
      anon_sym_object,
    ACTIONS(8278), 1,
      anon_sym_given,
    ACTIONS(8280), 1,
      anon_sym_class,
    ACTIONS(8282), 1,
      anon_sym_trait,
    ACTIONS(8284), 1,
      anon_sym_type,
    ACTIONS(8286), 1,
      anon_sym_def,
    STATE(5615), 1,
      aux_sym_modifiers_repeat1,
    STATE(6711), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7951), 1,
      sym_annotation,
    STATE(13746), 1,
      sym_modifiers,
    STATE(18707), 1,
      sym_opaque_modifier,
    ACTIONS(8178), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4495), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8176), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [232882] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8288), 1,
      anon_sym_implicit,
    ACTIONS(8290), 1,
      anon_sym_using,
    ACTIONS(8292), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17072), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(63), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [232973] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8294), 1,
      anon_sym_implicit,
    ACTIONS(8296), 1,
      anon_sym_using,
    ACTIONS(8298), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(15929), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(63), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [233064] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8300), 1,
      sym__alpha_identifier,
    ACTIONS(8302), 1,
      anon_sym_COLON,
    ACTIONS(8304), 1,
      anon_sym_LBRACE,
    ACTIONS(8306), 1,
      anon_sym__,
    ACTIONS(8310), 1,
      anon_sym_LPAREN,
    ACTIONS(8312), 1,
      sym__backquoted_id,
    ACTIONS(8314), 1,
      sym_operator_identifier,
    STATE(11243), 1,
      sym__simple_type,
    STATE(11358), 1,
      sym__annotated_type,
    STATE(11860), 1,
      sym_identifier,
    STATE(11917), 1,
      sym__soft_identifier,
    STATE(12595), 1,
      sym__constructor_application,
    STATE(13601), 1,
      sym_compound_type,
    STATE(13718), 1,
      sym_annotated_type,
    STATE(13997), 1,
      sym_template_body,
    STATE(14034), 1,
      sym__structural_type,
    STATE(14376), 1,
      sym__constructor_applications,
    STATE(18063), 1,
      sym_stable_identifier,
    STATE(4498), 2,
      sym_comment,
      sym_block_comment,
    STATE(14008), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8308), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12347), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [233151] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8316), 1,
      anon_sym_DOT,
    STATE(4499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [233200] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8318), 1,
      anon_sym_implicit,
    ACTIONS(8320), 1,
      anon_sym_using,
    ACTIONS(8322), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(16247), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(63), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [233291] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8324), 1,
      anon_sym_implicit,
    ACTIONS(8326), 1,
      anon_sym_using,
    ACTIONS(8328), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(16715), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(63), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [233382] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    ACTIONS(8256), 1,
      anon_sym_COLON,
    ACTIONS(8258), 1,
      anon_sym_LBRACE,
    ACTIONS(8260), 1,
      anon_sym_LPAREN,
    STATE(11966), 1,
      sym_identifier,
    STATE(12024), 1,
      sym__simple_type,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12220), 1,
      sym__annotated_type,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(14778), 1,
      sym__constructor_application,
    STATE(14992), 1,
      sym_compound_type,
    STATE(15121), 1,
      sym__structural_type,
    STATE(15149), 1,
      sym__constructor_applications,
    STATE(15230), 1,
      sym_template_body,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(4502), 2,
      sym_comment,
      sym_block_comment,
    STATE(15162), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [233469] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8330), 1,
      sym__alpha_identifier,
    ACTIONS(8332), 1,
      anon_sym_COLON,
    ACTIONS(8334), 1,
      anon_sym_LBRACE,
    ACTIONS(8336), 1,
      anon_sym__,
    ACTIONS(8340), 1,
      anon_sym_LPAREN,
    ACTIONS(8342), 1,
      sym__backquoted_id,
    ACTIONS(8344), 1,
      sym_operator_identifier,
    STATE(11360), 1,
      sym__simple_type,
    STATE(11703), 1,
      sym__annotated_type,
    STATE(12233), 1,
      sym__soft_identifier,
    STATE(12282), 1,
      sym_identifier,
    STATE(13330), 1,
      sym__constructor_application,
    STATE(14025), 1,
      sym_compound_type,
    STATE(14196), 1,
      sym_annotated_type,
    STATE(14307), 1,
      sym_template_body,
    STATE(14318), 1,
      sym__structural_type,
    STATE(14394), 1,
      sym__constructor_applications,
    STATE(18476), 1,
      sym_stable_identifier,
    STATE(4503), 2,
      sym_comment,
      sym_block_comment,
    STATE(14177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12740), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [233556] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8346), 1,
      anon_sym_implicit,
    ACTIONS(8348), 1,
      anon_sym_using,
    ACTIONS(8350), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(16789), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(63), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [233647] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7336), 1,
      anon_sym__,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(8010), 1,
      sym_operator_identifier,
    ACTIONS(8204), 1,
      anon_sym_COLON,
    ACTIONS(8206), 1,
      anon_sym_LBRACE,
    ACTIONS(8208), 1,
      anon_sym_LPAREN,
    STATE(11912), 1,
      sym__simple_type,
    STATE(12312), 1,
      sym_identifier,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(12417), 1,
      sym__annotated_type,
    STATE(14281), 1,
      sym_annotated_type,
    STATE(14747), 1,
      sym__constructor_application,
    STATE(15008), 1,
      sym_compound_type,
    STATE(15119), 1,
      sym__structural_type,
    STATE(15241), 1,
      sym_template_body,
    STATE(15259), 1,
      sym__constructor_applications,
    STATE(19344), 1,
      sym_stable_identifier,
    STATE(4505), 2,
      sym_comment,
      sym_block_comment,
    STATE(15205), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13039), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [233734] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8172), 1,
      anon_sym_AT,
    ACTIONS(8180), 1,
      anon_sym_inline,
    ACTIONS(8182), 1,
      anon_sym_infix,
    ACTIONS(8184), 1,
      anon_sym_open,
    ACTIONS(8186), 1,
      anon_sym_transparent,
    ACTIONS(8222), 1,
      anon_sym_val,
    ACTIONS(8224), 1,
      anon_sym_var,
    ACTIONS(8230), 1,
      anon_sym_opaque,
    ACTIONS(8272), 1,
      anon_sym_enum,
    ACTIONS(8274), 1,
      anon_sym_case,
    ACTIONS(8276), 1,
      anon_sym_object,
    ACTIONS(8280), 1,
      anon_sym_class,
    ACTIONS(8282), 1,
      anon_sym_trait,
    ACTIONS(8352), 1,
      anon_sym_given,
    ACTIONS(8354), 1,
      anon_sym_type,
    ACTIONS(8356), 1,
      anon_sym_def,
    STATE(5615), 1,
      aux_sym_modifiers_repeat1,
    STATE(6711), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7951), 1,
      sym_annotation,
    STATE(13793), 1,
      sym_modifiers,
    STATE(18284), 1,
      sym_opaque_modifier,
    ACTIONS(8178), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4506), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8176), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [233827] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8362), 1,
      anon_sym_LBRACK,
    ACTIONS(8364), 1,
      anon_sym_AT,
    ACTIONS(8366), 1,
      anon_sym_LPAREN,
    ACTIONS(8368), 1,
      anon_sym_POUND,
    STATE(4761), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4944), 1,
      sym_type_arguments,
    STATE(5264), 1,
      sym_annotation,
    STATE(6332), 1,
      sym_arguments,
    STATE(4507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [233892] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8374), 1,
      anon_sym_with,
    STATE(4576), 1,
      aux_sym_compound_type_repeat1,
    STATE(6198), 1,
      sym_template_body,
    STATE(6199), 1,
      sym__refinement,
    STATE(6332), 1,
      sym_arguments,
    STATE(4508), 2,
      sym_comment,
      sym_block_comment,
    STATE(6327), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [233953] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8376), 1,
      anon_sym_implicit,
    ACTIONS(8378), 1,
      anon_sym_using,
    ACTIONS(8380), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17222), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(63), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [234044] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8382), 1,
      anon_sym_implicit,
    ACTIONS(8384), 1,
      anon_sym_using,
    ACTIONS(8386), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17218), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(63), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [234135] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8172), 1,
      anon_sym_AT,
    ACTIONS(8180), 1,
      anon_sym_inline,
    ACTIONS(8182), 1,
      anon_sym_infix,
    ACTIONS(8184), 1,
      anon_sym_open,
    ACTIONS(8186), 1,
      anon_sym_transparent,
    ACTIONS(8210), 1,
      anon_sym_enum,
    ACTIONS(8214), 1,
      anon_sym_object,
    ACTIONS(8216), 1,
      anon_sym_given,
    ACTIONS(8218), 1,
      anon_sym_class,
    ACTIONS(8220), 1,
      anon_sym_trait,
    ACTIONS(8222), 1,
      anon_sym_val,
    ACTIONS(8224), 1,
      anon_sym_var,
    ACTIONS(8226), 1,
      anon_sym_type,
    ACTIONS(8228), 1,
      anon_sym_def,
    ACTIONS(8230), 1,
      anon_sym_opaque,
    ACTIONS(8388), 1,
      anon_sym_case,
    STATE(5615), 1,
      aux_sym_modifiers_repeat1,
    STATE(6711), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7951), 1,
      sym_annotation,
    STATE(13987), 1,
      sym_modifiers,
    STATE(18867), 1,
      sym_opaque_modifier,
    ACTIONS(8178), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4511), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8176), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [234228] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8172), 1,
      anon_sym_AT,
    ACTIONS(8180), 1,
      anon_sym_inline,
    ACTIONS(8182), 1,
      anon_sym_infix,
    ACTIONS(8184), 1,
      anon_sym_open,
    ACTIONS(8186), 1,
      anon_sym_transparent,
    ACTIONS(8210), 1,
      anon_sym_enum,
    ACTIONS(8212), 1,
      anon_sym_case,
    ACTIONS(8214), 1,
      anon_sym_object,
    ACTIONS(8218), 1,
      anon_sym_class,
    ACTIONS(8220), 1,
      anon_sym_trait,
    ACTIONS(8222), 1,
      anon_sym_val,
    ACTIONS(8224), 1,
      anon_sym_var,
    ACTIONS(8226), 1,
      anon_sym_type,
    ACTIONS(8228), 1,
      anon_sym_def,
    ACTIONS(8230), 1,
      anon_sym_opaque,
    ACTIONS(8390), 1,
      anon_sym_given,
    STATE(5615), 1,
      aux_sym_modifiers_repeat1,
    STATE(6711), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7951), 1,
      sym_annotation,
    STATE(14001), 1,
      sym_modifiers,
    STATE(18867), 1,
      sym_opaque_modifier,
    ACTIONS(8178), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4512), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8176), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [234321] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8172), 1,
      anon_sym_AT,
    ACTIONS(8180), 1,
      anon_sym_inline,
    ACTIONS(8182), 1,
      anon_sym_infix,
    ACTIONS(8184), 1,
      anon_sym_open,
    ACTIONS(8186), 1,
      anon_sym_transparent,
    ACTIONS(8222), 1,
      anon_sym_val,
    ACTIONS(8224), 1,
      anon_sym_var,
    ACTIONS(8230), 1,
      anon_sym_opaque,
    ACTIONS(8272), 1,
      anon_sym_enum,
    ACTIONS(8274), 1,
      anon_sym_case,
    ACTIONS(8276), 1,
      anon_sym_object,
    ACTIONS(8280), 1,
      anon_sym_class,
    ACTIONS(8282), 1,
      anon_sym_trait,
    ACTIONS(8354), 1,
      anon_sym_type,
    ACTIONS(8356), 1,
      anon_sym_def,
    ACTIONS(8392), 1,
      anon_sym_given,
    STATE(5615), 1,
      aux_sym_modifiers_repeat1,
    STATE(6711), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7951), 1,
      sym_annotation,
    STATE(14003), 1,
      sym_modifiers,
    STATE(18284), 1,
      sym_opaque_modifier,
    ACTIONS(8178), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4513), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8176), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [234414] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8394), 1,
      sym__alpha_identifier,
    ACTIONS(8396), 1,
      anon_sym_COLON,
    ACTIONS(8398), 1,
      anon_sym_LBRACE,
    ACTIONS(8400), 1,
      anon_sym__,
    ACTIONS(8404), 1,
      anon_sym_LPAREN,
    ACTIONS(8406), 1,
      sym__backquoted_id,
    ACTIONS(8408), 1,
      sym_operator_identifier,
    STATE(12569), 1,
      sym__simple_type,
    STATE(13602), 1,
      sym__annotated_type,
    STATE(14225), 1,
      sym__soft_identifier,
    STATE(14366), 1,
      sym_identifier,
    STATE(14901), 1,
      sym__constructor_application,
    STATE(15097), 1,
      sym_compound_type,
    STATE(15147), 1,
      sym__structural_type,
    STATE(15208), 1,
      sym_template_body,
    STATE(15263), 1,
      sym_annotated_type,
    STATE(15349), 1,
      sym__constructor_applications,
    STATE(18465), 1,
      sym_stable_identifier,
    STATE(4514), 2,
      sym_comment,
      sym_block_comment,
    STATE(15135), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8402), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(14501), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [234501] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6169), 1,
      sym_interpolated_string,
    STATE(16626), 1,
      sym__interpolated_string_start,
    STATE(16628), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [234562] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8418), 1,
      anon_sym_implicit,
    ACTIONS(8420), 1,
      anon_sym_using,
    ACTIONS(8422), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(16555), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(63), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [234653] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8172), 1,
      anon_sym_AT,
    ACTIONS(8180), 1,
      anon_sym_inline,
    ACTIONS(8182), 1,
      anon_sym_infix,
    ACTIONS(8184), 1,
      anon_sym_open,
    ACTIONS(8186), 1,
      anon_sym_transparent,
    ACTIONS(8222), 1,
      anon_sym_val,
    ACTIONS(8224), 1,
      anon_sym_var,
    ACTIONS(8230), 1,
      anon_sym_opaque,
    ACTIONS(8272), 1,
      anon_sym_enum,
    ACTIONS(8276), 1,
      anon_sym_object,
    ACTIONS(8280), 1,
      anon_sym_class,
    ACTIONS(8282), 1,
      anon_sym_trait,
    ACTIONS(8352), 1,
      anon_sym_given,
    ACTIONS(8354), 1,
      anon_sym_type,
    ACTIONS(8356), 1,
      anon_sym_def,
    ACTIONS(8424), 1,
      anon_sym_case,
    STATE(5615), 1,
      aux_sym_modifiers_repeat1,
    STATE(6711), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7951), 1,
      sym_annotation,
    STATE(13793), 1,
      sym_modifiers,
    STATE(18284), 1,
      sym_opaque_modifier,
    ACTIONS(8178), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4517), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8176), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [234746] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8426), 1,
      anon_sym_implicit,
    ACTIONS(8428), 1,
      anon_sym_using,
    ACTIONS(8430), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(16795), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(63), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [234837] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(85), 1,
      sym__backquoted_id,
    ACTIONS(8106), 1,
      sym_operator_identifier,
    STATE(4738), 1,
      sym__soft_identifier,
    STATE(7668), 1,
      sym_identifier,
    STATE(4519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4258), 5,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_DQUOTE,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8102), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [234900] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8298), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(15929), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4520), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [234986] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6402), 1,
      anon_sym_COLON,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(8432), 1,
      sym__alpha_identifier,
    ACTIONS(8434), 1,
      anon_sym__,
    ACTIONS(8438), 1,
      anon_sym_LPAREN,
    ACTIONS(8440), 1,
      sym__backquoted_id,
    ACTIONS(8442), 1,
      sym_operator_identifier,
    STATE(6783), 1,
      sym__annotated_type,
    STATE(6876), 1,
      sym__simple_type,
    STATE(9517), 1,
      sym_compound_type,
    STATE(9586), 1,
      sym__soft_identifier,
    STATE(9821), 1,
      sym_identifier,
    STATE(9822), 1,
      sym__constructor_application,
    STATE(10220), 1,
      sym__structural_type,
    STATE(10426), 1,
      sym_annotated_type,
    STATE(10784), 1,
      sym_template_body,
    STATE(18211), 1,
      sym_stable_identifier,
    STATE(4521), 2,
      sym_comment,
      sym_block_comment,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9521), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [235070] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6722), 1,
      anon_sym_COLON,
    ACTIONS(6724), 1,
      anon_sym_LBRACE,
    ACTIONS(8444), 1,
      sym__alpha_identifier,
    ACTIONS(8446), 1,
      anon_sym__,
    ACTIONS(8450), 1,
      anon_sym_LPAREN,
    ACTIONS(8452), 1,
      sym__backquoted_id,
    ACTIONS(8454), 1,
      sym_operator_identifier,
    STATE(5241), 1,
      sym__simple_type,
    STATE(5245), 1,
      sym__annotated_type,
    STATE(7134), 1,
      sym__soft_identifier,
    STATE(7426), 1,
      sym__constructor_application,
    STATE(7437), 1,
      sym_identifier,
    STATE(9086), 1,
      sym_compound_type,
    STATE(9428), 1,
      sym_annotated_type,
    STATE(9699), 1,
      sym__structural_type,
    STATE(9920), 1,
      sym_template_body,
    STATE(18516), 1,
      sym_stable_identifier,
    STATE(4522), 2,
      sym_comment,
      sym_block_comment,
    STATE(9447), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8448), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7529), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [235154] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8456), 1,
      sym__alpha_identifier,
    ACTIONS(8458), 1,
      anon_sym_COLON,
    ACTIONS(8460), 1,
      anon_sym_LBRACE,
    ACTIONS(8462), 1,
      anon_sym__,
    ACTIONS(8466), 1,
      anon_sym_LPAREN,
    ACTIONS(8468), 1,
      sym__backquoted_id,
    ACTIONS(8470), 1,
      sym_operator_identifier,
    STATE(7986), 1,
      sym__simple_type,
    STATE(8478), 1,
      sym__annotated_type,
    STATE(10465), 1,
      sym_identifier,
    STATE(10574), 1,
      sym__constructor_application,
    STATE(10760), 1,
      sym__soft_identifier,
    STATE(11222), 1,
      sym_annotated_type,
    STATE(11271), 1,
      sym_compound_type,
    STATE(11474), 1,
      sym_template_body,
    STATE(11577), 1,
      sym__structural_type,
    STATE(18274), 1,
      sym_stable_identifier,
    STATE(4523), 2,
      sym_comment,
      sym_block_comment,
    STATE(11566), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8464), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10704), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [235238] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6852), 1,
      anon_sym_COLON,
    ACTIONS(6854), 1,
      anon_sym_LBRACE,
    ACTIONS(8472), 1,
      sym__alpha_identifier,
    ACTIONS(8474), 1,
      anon_sym__,
    ACTIONS(8478), 1,
      anon_sym_LPAREN,
    ACTIONS(8480), 1,
      sym__backquoted_id,
    ACTIONS(8482), 1,
      sym_operator_identifier,
    STATE(4752), 1,
      sym__simple_type,
    STATE(4763), 1,
      sym__annotated_type,
    STATE(5855), 1,
      sym__constructor_application,
    STATE(6125), 1,
      sym__soft_identifier,
    STATE(6145), 1,
      sym_identifier,
    STATE(7625), 1,
      sym_annotated_type,
    STATE(7792), 1,
      sym_compound_type,
    STATE(8239), 1,
      sym_template_body,
    STATE(8331), 1,
      sym__structural_type,
    STATE(18686), 1,
      sym_stable_identifier,
    STATE(4524), 2,
      sym_comment,
      sym_block_comment,
    STATE(8496), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8476), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6294), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [235322] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8168), 1,
      anon_sym_LBRACE,
    ACTIONS(8172), 1,
      anon_sym_AT,
    ACTIONS(8174), 1,
      anon_sym_def,
    ACTIONS(8180), 1,
      anon_sym_inline,
    ACTIONS(8182), 1,
      anon_sym_infix,
    ACTIONS(8184), 1,
      anon_sym_open,
    ACTIONS(8186), 1,
      anon_sym_transparent,
    ACTIONS(8188), 1,
      anon_sym_LPAREN,
    ACTIONS(8190), 1,
      sym__indent,
    STATE(5615), 1,
      aux_sym_modifiers_repeat1,
    STATE(7951), 1,
      sym_annotation,
    STATE(9038), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10457), 1,
      aux_sym_extension_definition_repeat1,
    STATE(11363), 1,
      sym_parameters,
    STATE(11373), 1,
      sym__using_parameters_clause,
    STATE(15128), 1,
      sym__function_declaration,
    STATE(17838), 1,
      sym_modifiers,
    ACTIONS(8178), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4525), 2,
      sym_comment,
      sym_block_comment,
    STATE(15410), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8176), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [235408] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8484), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17471), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4526), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [235494] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [235540] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8488), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17471), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4528), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [235626] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8490), 1,
      anon_sym_LBRACK,
    ACTIONS(8492), 1,
      anon_sym_AT,
    ACTIONS(8494), 1,
      anon_sym_LPAREN,
    ACTIONS(8496), 1,
      anon_sym_POUND,
    STATE(4995), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5272), 1,
      sym_type_arguments,
    STATE(5508), 1,
      sym_annotation,
    STATE(6475), 1,
      sym_arguments,
    STATE(4529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235690] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8498), 1,
      anon_sym_LBRACK,
    ACTIONS(8500), 1,
      anon_sym_LPAREN,
    ACTIONS(8502), 1,
      anon_sym_POUND,
    STATE(4737), 1,
      aux_sym_annotation_repeat1,
    STATE(4858), 1,
      sym_type_arguments,
    STATE(5025), 1,
      sym_arguments,
    STATE(4530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235750] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8168), 1,
      anon_sym_LBRACE,
    ACTIONS(8172), 1,
      anon_sym_AT,
    ACTIONS(8174), 1,
      anon_sym_def,
    ACTIONS(8180), 1,
      anon_sym_inline,
    ACTIONS(8182), 1,
      anon_sym_infix,
    ACTIONS(8184), 1,
      anon_sym_open,
    ACTIONS(8186), 1,
      anon_sym_transparent,
    ACTIONS(8188), 1,
      anon_sym_LPAREN,
    ACTIONS(8190), 1,
      sym__indent,
    STATE(4525), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5615), 1,
      aux_sym_modifiers_repeat1,
    STATE(7951), 1,
      sym_annotation,
    STATE(9038), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11363), 1,
      sym_parameters,
    STATE(11373), 1,
      sym__using_parameters_clause,
    STATE(15128), 1,
      sym__function_declaration,
    STATE(17838), 1,
      sym_modifiers,
    ACTIONS(8178), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4531), 2,
      sym_comment,
      sym_block_comment,
    STATE(15451), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8176), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [235836] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6870), 1,
      anon_sym_COLON,
    ACTIONS(6872), 1,
      anon_sym_LBRACE,
    ACTIONS(8504), 1,
      sym__alpha_identifier,
    ACTIONS(8506), 1,
      anon_sym__,
    ACTIONS(8510), 1,
      anon_sym_LPAREN,
    ACTIONS(8512), 1,
      sym__backquoted_id,
    ACTIONS(8514), 1,
      sym_operator_identifier,
    STATE(5286), 1,
      sym__simple_type,
    STATE(5301), 1,
      sym__annotated_type,
    STATE(7176), 1,
      sym__soft_identifier,
    STATE(7502), 1,
      sym__constructor_application,
    STATE(7647), 1,
      sym_identifier,
    STATE(8978), 1,
      sym_annotated_type,
    STATE(9282), 1,
      sym_compound_type,
    STATE(9459), 1,
      sym_template_body,
    STATE(9619), 1,
      sym__structural_type,
    STATE(18698), 1,
      sym_stable_identifier,
    STATE(4532), 2,
      sym_comment,
      sym_block_comment,
    STATE(9495), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8508), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7722), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [235920] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8362), 1,
      anon_sym_LBRACK,
    ACTIONS(8368), 1,
      anon_sym_POUND,
    ACTIONS(8516), 1,
      anon_sym_LPAREN,
    STATE(4741), 1,
      aux_sym_annotation_repeat1,
    STATE(4944), 1,
      sym_type_arguments,
    STATE(5229), 1,
      sym_arguments,
    STATE(4533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235980] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8168), 1,
      anon_sym_LBRACE,
    ACTIONS(8172), 1,
      anon_sym_AT,
    ACTIONS(8174), 1,
      anon_sym_def,
    ACTIONS(8180), 1,
      anon_sym_inline,
    ACTIONS(8182), 1,
      anon_sym_infix,
    ACTIONS(8184), 1,
      anon_sym_open,
    ACTIONS(8186), 1,
      anon_sym_transparent,
    ACTIONS(8188), 1,
      anon_sym_LPAREN,
    ACTIONS(8190), 1,
      sym__indent,
    STATE(5615), 1,
      aux_sym_modifiers_repeat1,
    STATE(7951), 1,
      sym_annotation,
    STATE(9038), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10457), 1,
      aux_sym_extension_definition_repeat1,
    STATE(11363), 1,
      sym_parameters,
    STATE(11373), 1,
      sym__using_parameters_clause,
    STATE(15128), 1,
      sym__function_declaration,
    STATE(17838), 1,
      sym_modifiers,
    ACTIONS(8178), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4534), 2,
      sym_comment,
      sym_block_comment,
    STATE(15460), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8176), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [236066] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [236112] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8520), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(16867), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4536), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [236198] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [236244] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8520), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(16867), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4538), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [236330] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6892), 1,
      anon_sym_COLON,
    ACTIONS(6894), 1,
      anon_sym_LBRACE,
    ACTIONS(8524), 1,
      sym__alpha_identifier,
    ACTIONS(8526), 1,
      anon_sym__,
    ACTIONS(8530), 1,
      anon_sym_LPAREN,
    ACTIONS(8532), 1,
      sym__backquoted_id,
    ACTIONS(8534), 1,
      sym_operator_identifier,
    STATE(5691), 1,
      sym__simple_type,
    STATE(5718), 1,
      sym__annotated_type,
    STATE(8089), 1,
      sym_identifier,
    STATE(8490), 1,
      sym__constructor_application,
    STATE(8549), 1,
      sym__soft_identifier,
    STATE(9507), 1,
      sym_annotated_type,
    STATE(9703), 1,
      sym_compound_type,
    STATE(10184), 1,
      sym__structural_type,
    STATE(10316), 1,
      sym_template_body,
    STATE(18716), 1,
      sym_stable_identifier,
    STATE(4539), 2,
      sym_comment,
      sym_block_comment,
    STATE(6157), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8528), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8273), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [236414] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [236460] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [236506] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8540), 1,
      sym__alpha_identifier,
    ACTIONS(8542), 1,
      anon_sym_COLON,
    ACTIONS(8544), 1,
      anon_sym_LBRACE,
    ACTIONS(8546), 1,
      anon_sym__,
    ACTIONS(8550), 1,
      anon_sym_LPAREN,
    ACTIONS(8552), 1,
      sym__backquoted_id,
    ACTIONS(8554), 1,
      sym_operator_identifier,
    STATE(4634), 1,
      sym__simple_type,
    STATE(4639), 1,
      sym__annotated_type,
    STATE(5048), 1,
      sym_identifier,
    STATE(5211), 1,
      sym__soft_identifier,
    STATE(5222), 1,
      sym__constructor_application,
    STATE(6231), 1,
      sym_annotated_type,
    STATE(6328), 1,
      sym_compound_type,
    STATE(6335), 1,
      sym_template_body,
    STATE(7059), 1,
      sym__structural_type,
    STATE(18746), 1,
      sym_stable_identifier,
    STATE(4542), 2,
      sym_comment,
      sym_block_comment,
    STATE(6827), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8548), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5092), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [236590] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8362), 1,
      anon_sym_LBRACK,
    ACTIONS(8364), 1,
      anon_sym_AT,
    ACTIONS(8368), 1,
      anon_sym_POUND,
    STATE(4761), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4944), 1,
      sym_type_arguments,
    STATE(5264), 1,
      sym_annotation,
    STATE(4543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236650] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8558), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      anon_sym_LBRACE,
    ACTIONS(8564), 1,
      anon_sym_with,
    STATE(5262), 1,
      aux_sym_compound_type_repeat1,
    STATE(7552), 1,
      sym_template_body,
    STATE(7556), 1,
      sym__refinement,
    STATE(4544), 2,
      sym_comment,
      sym_block_comment,
    STATE(7685), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236712] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 11,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7288), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [236760] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6946), 1,
      anon_sym_COLON,
    ACTIONS(6948), 1,
      anon_sym_LBRACE,
    ACTIONS(8566), 1,
      sym__alpha_identifier,
    ACTIONS(8568), 1,
      anon_sym__,
    ACTIONS(8572), 1,
      anon_sym_LPAREN,
    ACTIONS(8574), 1,
      sym__backquoted_id,
    ACTIONS(8576), 1,
      sym_operator_identifier,
    STATE(4695), 1,
      sym__simple_type,
    STATE(4797), 1,
      sym__annotated_type,
    STATE(5823), 1,
      sym_identifier,
    STATE(6132), 1,
      sym__soft_identifier,
    STATE(6177), 1,
      sym__constructor_application,
    STATE(7083), 1,
      sym_compound_type,
    STATE(7703), 1,
      sym_annotated_type,
    STATE(8008), 1,
      sym__structural_type,
    STATE(8098), 1,
      sym_template_body,
    STATE(18764), 1,
      sym_stable_identifier,
    STATE(4546), 2,
      sym_comment,
      sym_block_comment,
    STATE(8196), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8570), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5880), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [236844] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8578), 1,
      sym__alpha_identifier,
    ACTIONS(8580), 1,
      anon_sym_COLON,
    ACTIONS(8582), 1,
      anon_sym_LBRACE,
    ACTIONS(8584), 1,
      anon_sym__,
    ACTIONS(8588), 1,
      anon_sym_LPAREN,
    ACTIONS(8590), 1,
      sym__backquoted_id,
    ACTIONS(8592), 1,
      sym_operator_identifier,
    STATE(4507), 1,
      sym__simple_type,
    STATE(4508), 1,
      sym__annotated_type,
    STATE(4811), 1,
      sym__constructor_application,
    STATE(4900), 1,
      sym_identifier,
    STATE(4960), 1,
      sym__soft_identifier,
    STATE(5450), 1,
      sym_annotated_type,
    STATE(5570), 1,
      sym_compound_type,
    STATE(6162), 1,
      sym_template_body,
    STATE(6267), 1,
      sym__structural_type,
    STATE(18295), 1,
      sym_stable_identifier,
    STATE(4547), 2,
      sym_comment,
      sym_block_comment,
    STATE(6327), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8586), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4928), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [236928] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6350), 1,
      anon_sym_COLON,
    ACTIONS(6352), 1,
      anon_sym_LBRACE,
    ACTIONS(8594), 1,
      sym__alpha_identifier,
    ACTIONS(8596), 1,
      anon_sym__,
    ACTIONS(8600), 1,
      anon_sym_LPAREN,
    ACTIONS(8602), 1,
      sym__backquoted_id,
    ACTIONS(8604), 1,
      sym_operator_identifier,
    STATE(4920), 1,
      sym__annotated_type,
    STATE(4991), 1,
      sym__simple_type,
    STATE(6539), 1,
      sym_identifier,
    STATE(6563), 1,
      sym__soft_identifier,
    STATE(6765), 1,
      sym__constructor_application,
    STATE(8085), 1,
      sym_compound_type,
    STATE(8336), 1,
      sym_annotated_type,
    STATE(8877), 1,
      sym__structural_type,
    STATE(9090), 1,
      sym_template_body,
    STATE(18842), 1,
      sym_stable_identifier,
    STATE(4548), 2,
      sym_comment,
      sym_block_comment,
    STATE(9330), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8598), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6809), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [237012] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8558), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      anon_sym_LBRACE,
    ACTIONS(8564), 1,
      anon_sym_with,
    STATE(4544), 1,
      aux_sym_compound_type_repeat1,
    STATE(7552), 1,
      sym_template_body,
    STATE(7553), 1,
      sym__refinement,
    STATE(4549), 2,
      sym_comment,
      sym_block_comment,
    STATE(7685), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [237074] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8610), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17471), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4550), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [237160] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6482), 1,
      anon_sym_COLON,
    ACTIONS(6484), 1,
      anon_sym_LBRACE,
    ACTIONS(8612), 1,
      sym__alpha_identifier,
    ACTIONS(8614), 1,
      anon_sym__,
    ACTIONS(8618), 1,
      anon_sym_LPAREN,
    ACTIONS(8620), 1,
      sym__backquoted_id,
    ACTIONS(8622), 1,
      sym_operator_identifier,
    STATE(5938), 1,
      sym__simple_type,
    STATE(6171), 1,
      sym__annotated_type,
    STATE(9033), 1,
      sym__constructor_application,
    STATE(9099), 1,
      sym_identifier,
    STATE(9327), 1,
      sym__soft_identifier,
    STATE(10072), 1,
      sym_annotated_type,
    STATE(10112), 1,
      sym_compound_type,
    STATE(10624), 1,
      sym_template_body,
    STATE(10676), 1,
      sym__structural_type,
    STATE(18208), 1,
      sym_stable_identifier,
    STATE(4551), 2,
      sym_comment,
      sym_block_comment,
    STATE(6758), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8616), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9084), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [237244] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [237290] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6448), 1,
      anon_sym_COLON,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(8624), 1,
      sym__alpha_identifier,
    ACTIONS(8626), 1,
      anon_sym__,
    ACTIONS(8630), 1,
      anon_sym_LPAREN,
    ACTIONS(8632), 1,
      sym__backquoted_id,
    ACTIONS(8634), 1,
      sym_operator_identifier,
    STATE(5231), 1,
      sym__simple_type,
    STATE(5240), 1,
      sym__annotated_type,
    STATE(7147), 1,
      sym_identifier,
    STATE(7815), 1,
      sym__soft_identifier,
    STATE(7915), 1,
      sym__constructor_application,
    STATE(8710), 1,
      sym_compound_type,
    STATE(9083), 1,
      sym_annotated_type,
    STATE(9463), 1,
      sym__structural_type,
    STATE(9827), 1,
      sym_template_body,
    STATE(18164), 1,
      sym_stable_identifier,
    STATE(4553), 2,
      sym_comment,
      sym_block_comment,
    STATE(5495), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8628), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7283), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [237374] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8558), 1,
      anon_sym_COLON,
    ACTIONS(8560), 1,
      anon_sym_LBRACE,
    ACTIONS(8564), 1,
      anon_sym_with,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(4544), 1,
      aux_sym_compound_type_repeat1,
    STATE(7552), 1,
      sym_template_body,
    STATE(7553), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4554), 2,
      sym_comment,
      sym_block_comment,
    STATE(7685), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 8,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [237442] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8172), 1,
      anon_sym_AT,
    ACTIONS(8180), 1,
      anon_sym_inline,
    ACTIONS(8182), 1,
      anon_sym_infix,
    ACTIONS(8184), 1,
      anon_sym_open,
    ACTIONS(8186), 1,
      anon_sym_transparent,
    ACTIONS(8188), 1,
      anon_sym_LPAREN,
    ACTIONS(8194), 1,
      anon_sym_LBRACE,
    ACTIONS(8196), 1,
      anon_sym_def,
    ACTIONS(8198), 1,
      sym__indent,
    STATE(4557), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5615), 1,
      aux_sym_modifiers_repeat1,
    STATE(7951), 1,
      sym_annotation,
    STATE(9223), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11363), 1,
      sym_parameters,
    STATE(11373), 1,
      sym__using_parameters_clause,
    STATE(15034), 1,
      sym__function_declaration,
    STATE(18837), 1,
      sym_modifiers,
    ACTIONS(8178), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4555), 2,
      sym_comment,
      sym_block_comment,
    STATE(15561), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8176), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [237528] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8172), 1,
      anon_sym_AT,
    ACTIONS(8180), 1,
      anon_sym_inline,
    ACTIONS(8182), 1,
      anon_sym_infix,
    ACTIONS(8184), 1,
      anon_sym_open,
    ACTIONS(8186), 1,
      anon_sym_transparent,
    ACTIONS(8188), 1,
      anon_sym_LPAREN,
    ACTIONS(8194), 1,
      anon_sym_LBRACE,
    ACTIONS(8196), 1,
      anon_sym_def,
    ACTIONS(8198), 1,
      sym__indent,
    STATE(5615), 1,
      aux_sym_modifiers_repeat1,
    STATE(7951), 1,
      sym_annotation,
    STATE(9223), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10457), 1,
      aux_sym_extension_definition_repeat1,
    STATE(11363), 1,
      sym_parameters,
    STATE(11373), 1,
      sym__using_parameters_clause,
    STATE(15034), 1,
      sym__function_declaration,
    STATE(18837), 1,
      sym_modifiers,
    ACTIONS(8178), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4556), 2,
      sym_comment,
      sym_block_comment,
    STATE(15587), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8176), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [237614] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8172), 1,
      anon_sym_AT,
    ACTIONS(8180), 1,
      anon_sym_inline,
    ACTIONS(8182), 1,
      anon_sym_infix,
    ACTIONS(8184), 1,
      anon_sym_open,
    ACTIONS(8186), 1,
      anon_sym_transparent,
    ACTIONS(8188), 1,
      anon_sym_LPAREN,
    ACTIONS(8194), 1,
      anon_sym_LBRACE,
    ACTIONS(8196), 1,
      anon_sym_def,
    ACTIONS(8198), 1,
      sym__indent,
    STATE(5615), 1,
      aux_sym_modifiers_repeat1,
    STATE(7951), 1,
      sym_annotation,
    STATE(9223), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10457), 1,
      aux_sym_extension_definition_repeat1,
    STATE(11363), 1,
      sym_parameters,
    STATE(11373), 1,
      sym__using_parameters_clause,
    STATE(15034), 1,
      sym__function_declaration,
    STATE(18837), 1,
      sym_modifiers,
    ACTIONS(8178), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4557), 2,
      sym_comment,
      sym_block_comment,
    STATE(15828), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8176), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [237700] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8642), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17471), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4558), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [237786] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8644), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17471), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4559), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [237872] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8646), 1,
      anon_sym_LBRACK,
    ACTIONS(8648), 1,
      anon_sym_LPAREN,
    ACTIONS(8650), 1,
      anon_sym_POUND,
    STATE(4705), 1,
      aux_sym_annotation_repeat1,
    STATE(4826), 1,
      sym_type_arguments,
    STATE(5121), 1,
      sym_arguments,
    STATE(4560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [237932] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8652), 1,
      sym__alpha_identifier,
    ACTIONS(8654), 1,
      anon_sym_COLON,
    ACTIONS(8656), 1,
      anon_sym_LBRACE,
    ACTIONS(8658), 1,
      anon_sym__,
    ACTIONS(8662), 1,
      anon_sym_LPAREN,
    ACTIONS(8664), 1,
      sym__backquoted_id,
    ACTIONS(8666), 1,
      sym_operator_identifier,
    STATE(4644), 1,
      sym__simple_type,
    STATE(4658), 1,
      sym__annotated_type,
    STATE(5376), 1,
      sym__soft_identifier,
    STATE(5520), 1,
      sym_identifier,
    STATE(5547), 1,
      sym__constructor_application,
    STATE(6356), 1,
      sym_compound_type,
    STATE(6493), 1,
      sym_annotated_type,
    STATE(7294), 1,
      sym_template_body,
    STATE(7451), 1,
      sym__structural_type,
    STATE(18337), 1,
      sym_stable_identifier,
    STATE(4561), 2,
      sym_comment,
      sym_block_comment,
    STATE(7082), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8660), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5367), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [238016] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8668), 1,
      anon_sym_LBRACK,
    ACTIONS(8670), 1,
      anon_sym_LPAREN,
    ACTIONS(8672), 1,
      anon_sym_POUND,
    STATE(4714), 1,
      aux_sym_annotation_repeat1,
    STATE(4934), 1,
      sym_type_arguments,
    STATE(5160), 1,
      sym_arguments,
    STATE(4562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238076] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8674), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(16722), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4563), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [238162] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8674), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(16722), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4564), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [238248] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6908), 1,
      sym_interpolated_string,
    STATE(15958), 1,
      sym__interpolated_string_start,
    STATE(15959), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238308] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8676), 1,
      sym__alpha_identifier,
    ACTIONS(8678), 1,
      anon_sym_COLON,
    ACTIONS(8680), 1,
      anon_sym_LBRACE,
    ACTIONS(8682), 1,
      anon_sym__,
    ACTIONS(8686), 1,
      anon_sym_LPAREN,
    ACTIONS(8688), 1,
      sym__backquoted_id,
    ACTIONS(8690), 1,
      sym_operator_identifier,
    STATE(4762), 1,
      sym__simple_type,
    STATE(4772), 1,
      sym__annotated_type,
    STATE(5801), 1,
      sym__soft_identifier,
    STATE(5901), 1,
      sym_identifier,
    STATE(6255), 1,
      sym__constructor_application,
    STATE(7368), 1,
      sym_annotated_type,
    STATE(7370), 1,
      sym_compound_type,
    STATE(8102), 1,
      sym_template_body,
    STATE(8604), 1,
      sym__structural_type,
    STATE(18984), 1,
      sym_stable_identifier,
    STATE(4566), 2,
      sym_comment,
      sym_block_comment,
    STATE(8537), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8684), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6308), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [238392] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8168), 1,
      anon_sym_LBRACE,
    ACTIONS(8172), 1,
      anon_sym_AT,
    ACTIONS(8180), 1,
      anon_sym_inline,
    ACTIONS(8182), 1,
      anon_sym_infix,
    ACTIONS(8184), 1,
      anon_sym_open,
    ACTIONS(8186), 1,
      anon_sym_transparent,
    ACTIONS(8188), 1,
      anon_sym_LPAREN,
    ACTIONS(8190), 1,
      sym__indent,
    ACTIONS(8192), 1,
      anon_sym_def,
    STATE(4571), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5615), 1,
      aux_sym_modifiers_repeat1,
    STATE(7951), 1,
      sym_annotation,
    STATE(9396), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11363), 1,
      sym_parameters,
    STATE(11373), 1,
      sym__using_parameters_clause,
    STATE(15195), 1,
      sym__function_declaration,
    STATE(18979), 1,
      sym_modifiers,
    ACTIONS(8178), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4567), 2,
      sym_comment,
      sym_block_comment,
    STATE(15451), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8176), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [238478] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8168), 1,
      anon_sym_LBRACE,
    ACTIONS(8172), 1,
      anon_sym_AT,
    ACTIONS(8180), 1,
      anon_sym_inline,
    ACTIONS(8182), 1,
      anon_sym_infix,
    ACTIONS(8184), 1,
      anon_sym_open,
    ACTIONS(8186), 1,
      anon_sym_transparent,
    ACTIONS(8188), 1,
      anon_sym_LPAREN,
    ACTIONS(8190), 1,
      sym__indent,
    ACTIONS(8192), 1,
      anon_sym_def,
    STATE(5615), 1,
      aux_sym_modifiers_repeat1,
    STATE(7951), 1,
      sym_annotation,
    STATE(9396), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10457), 1,
      aux_sym_extension_definition_repeat1,
    STATE(11363), 1,
      sym_parameters,
    STATE(11373), 1,
      sym__using_parameters_clause,
    STATE(15195), 1,
      sym__function_declaration,
    STATE(18979), 1,
      sym_modifiers,
    ACTIONS(8178), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4568), 2,
      sym_comment,
      sym_block_comment,
    STATE(15460), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8176), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [238564] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      anon_sym_LBRACK,
    ACTIONS(8270), 1,
      anon_sym_POUND,
    ACTIONS(8692), 1,
      anon_sym_AT,
    STATE(4756), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4792), 1,
      sym_type_arguments,
    STATE(5288), 1,
      sym_annotation,
    STATE(4569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238624] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8694), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17471), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4570), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [238710] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8168), 1,
      anon_sym_LBRACE,
    ACTIONS(8172), 1,
      anon_sym_AT,
    ACTIONS(8180), 1,
      anon_sym_inline,
    ACTIONS(8182), 1,
      anon_sym_infix,
    ACTIONS(8184), 1,
      anon_sym_open,
    ACTIONS(8186), 1,
      anon_sym_transparent,
    ACTIONS(8188), 1,
      anon_sym_LPAREN,
    ACTIONS(8190), 1,
      sym__indent,
    ACTIONS(8192), 1,
      anon_sym_def,
    STATE(5615), 1,
      aux_sym_modifiers_repeat1,
    STATE(7951), 1,
      sym_annotation,
    STATE(9396), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10457), 1,
      aux_sym_extension_definition_repeat1,
    STATE(11363), 1,
      sym_parameters,
    STATE(11373), 1,
      sym__using_parameters_clause,
    STATE(15195), 1,
      sym__function_declaration,
    STATE(18979), 1,
      sym_modifiers,
    ACTIONS(8178), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4571), 2,
      sym_comment,
      sym_block_comment,
    STATE(15410), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8176), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [238796] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8520), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17471), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4572), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [238882] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8380), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17222), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4573), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [238968] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8380), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17222), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4574), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [239054] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [239100] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8374), 1,
      anon_sym_with,
    STATE(5103), 1,
      aux_sym_compound_type_repeat1,
    STATE(6198), 1,
      sym_template_body,
    STATE(6203), 1,
      sym__refinement,
    STATE(4576), 2,
      sym_comment,
      sym_block_comment,
    STATE(6327), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239158] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8698), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17324), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4577), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [239244] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8698), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17324), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4578), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [239330] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8700), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17471), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4579), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [239416] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8300), 1,
      sym__alpha_identifier,
    ACTIONS(8306), 1,
      anon_sym__,
    ACTIONS(8310), 1,
      anon_sym_LPAREN,
    ACTIONS(8312), 1,
      sym__backquoted_id,
    ACTIONS(8314), 1,
      sym_operator_identifier,
    ACTIONS(8702), 1,
      anon_sym_COLON,
    ACTIONS(8704), 1,
      anon_sym_LBRACE,
    STATE(11158), 1,
      sym__simple_type,
    STATE(11308), 1,
      sym__annotated_type,
    STATE(11860), 1,
      sym_identifier,
    STATE(11917), 1,
      sym__soft_identifier,
    STATE(13718), 1,
      sym_annotated_type,
    STATE(14019), 1,
      sym_compound_type,
    STATE(14148), 1,
      sym_template_body,
    STATE(14268), 1,
      sym__constructor_application,
    STATE(14311), 1,
      sym__structural_type,
    STATE(18063), 1,
      sym_stable_identifier,
    STATE(4580), 2,
      sym_comment,
      sym_block_comment,
    STATE(14179), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8308), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12347), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [239500] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8300), 1,
      sym__alpha_identifier,
    ACTIONS(8302), 1,
      anon_sym_COLON,
    ACTIONS(8304), 1,
      anon_sym_LBRACE,
    ACTIONS(8306), 1,
      anon_sym__,
    ACTIONS(8310), 1,
      anon_sym_LPAREN,
    ACTIONS(8312), 1,
      sym__backquoted_id,
    ACTIONS(8314), 1,
      sym_operator_identifier,
    STATE(11243), 1,
      sym__simple_type,
    STATE(11358), 1,
      sym__annotated_type,
    STATE(11860), 1,
      sym_identifier,
    STATE(11917), 1,
      sym__soft_identifier,
    STATE(13601), 1,
      sym_compound_type,
    STATE(13718), 1,
      sym_annotated_type,
    STATE(13997), 1,
      sym_template_body,
    STATE(14034), 1,
      sym__structural_type,
    STATE(14287), 1,
      sym__constructor_application,
    STATE(18063), 1,
      sym_stable_identifier,
    STATE(4581), 2,
      sym_comment,
      sym_block_comment,
    STATE(14008), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8308), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12347), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [239584] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [239630] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [239676] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8710), 1,
      anon_sym_with,
    STATE(4693), 1,
      aux_sym_compound_type_repeat1,
    STATE(6475), 1,
      sym_arguments,
    STATE(7018), 1,
      sym_template_body,
    STATE(7021), 1,
      sym__refinement,
    STATE(4584), 2,
      sym_comment,
      sym_block_comment,
    STATE(6384), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239736] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8712), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17337), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4585), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [239822] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8714), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17471), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4586), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [239908] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8716), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17471), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4587), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [239994] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8718), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17471), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4588), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [240080] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8720), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17471), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4589), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [240166] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8722), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17471), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4590), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [240252] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8724), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17471), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4591), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [240338] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [240384] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8394), 1,
      sym__alpha_identifier,
    ACTIONS(8400), 1,
      anon_sym__,
    ACTIONS(8404), 1,
      anon_sym_LPAREN,
    ACTIONS(8406), 1,
      sym__backquoted_id,
    ACTIONS(8408), 1,
      sym_operator_identifier,
    ACTIONS(8728), 1,
      anon_sym_COLON,
    ACTIONS(8730), 1,
      anon_sym_LBRACE,
    STATE(12507), 1,
      sym__simple_type,
    STATE(13390), 1,
      sym__annotated_type,
    STATE(14225), 1,
      sym__soft_identifier,
    STATE(14366), 1,
      sym_identifier,
    STATE(15231), 1,
      sym_compound_type,
    STATE(15263), 1,
      sym_annotated_type,
    STATE(15282), 1,
      sym_template_body,
    STATE(15286), 1,
      sym__constructor_application,
    STATE(15435), 1,
      sym__structural_type,
    STATE(18465), 1,
      sym_stable_identifier,
    STATE(4593), 2,
      sym_comment,
      sym_block_comment,
    STATE(15355), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8402), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(14501), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [240468] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(8732), 1,
      sym__alpha_identifier,
    ACTIONS(8734), 1,
      anon_sym__,
    ACTIONS(8738), 1,
      anon_sym_LPAREN,
    ACTIONS(8740), 1,
      sym__backquoted_id,
    ACTIONS(8742), 1,
      sym_operator_identifier,
    STATE(5513), 1,
      sym__annotated_type,
    STATE(5759), 1,
      sym__simple_type,
    STATE(7991), 1,
      sym__constructor_application,
    STATE(8084), 1,
      sym__soft_identifier,
    STATE(8559), 1,
      sym_identifier,
    STATE(9620), 1,
      sym_annotated_type,
    STATE(9815), 1,
      sym_compound_type,
    STATE(9993), 1,
      sym__structural_type,
    STATE(10171), 1,
      sym_template_body,
    STATE(19285), 1,
      sym_stable_identifier,
    STATE(4594), 2,
      sym_comment,
      sym_block_comment,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8736), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7996), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [240552] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8394), 1,
      sym__alpha_identifier,
    ACTIONS(8396), 1,
      anon_sym_COLON,
    ACTIONS(8398), 1,
      anon_sym_LBRACE,
    ACTIONS(8400), 1,
      anon_sym__,
    ACTIONS(8404), 1,
      anon_sym_LPAREN,
    ACTIONS(8406), 1,
      sym__backquoted_id,
    ACTIONS(8408), 1,
      sym_operator_identifier,
    STATE(12569), 1,
      sym__simple_type,
    STATE(13602), 1,
      sym__annotated_type,
    STATE(14225), 1,
      sym__soft_identifier,
    STATE(14366), 1,
      sym_identifier,
    STATE(15097), 1,
      sym_compound_type,
    STATE(15147), 1,
      sym__structural_type,
    STATE(15208), 1,
      sym_template_body,
    STATE(15263), 1,
      sym_annotated_type,
    STATE(15326), 1,
      sym__constructor_application,
    STATE(18465), 1,
      sym_stable_identifier,
    STATE(4595), 2,
      sym_comment,
      sym_block_comment,
    STATE(15135), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8402), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(14501), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [240636] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8172), 1,
      anon_sym_AT,
    ACTIONS(8180), 1,
      anon_sym_inline,
    ACTIONS(8182), 1,
      anon_sym_infix,
    ACTIONS(8184), 1,
      anon_sym_open,
    ACTIONS(8186), 1,
      anon_sym_transparent,
    ACTIONS(8188), 1,
      anon_sym_LPAREN,
    ACTIONS(8194), 1,
      anon_sym_LBRACE,
    ACTIONS(8196), 1,
      anon_sym_def,
    ACTIONS(8198), 1,
      sym__indent,
    STATE(4599), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5615), 1,
      aux_sym_modifiers_repeat1,
    STATE(7951), 1,
      sym_annotation,
    STATE(9223), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11363), 1,
      sym_parameters,
    STATE(11373), 1,
      sym__using_parameters_clause,
    STATE(15112), 1,
      sym__function_declaration,
    STATE(18837), 1,
      sym_modifiers,
    ACTIONS(8178), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4596), 2,
      sym_comment,
      sym_block_comment,
    STATE(15561), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8176), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [240722] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8172), 1,
      anon_sym_AT,
    ACTIONS(8180), 1,
      anon_sym_inline,
    ACTIONS(8182), 1,
      anon_sym_infix,
    ACTIONS(8184), 1,
      anon_sym_open,
    ACTIONS(8186), 1,
      anon_sym_transparent,
    ACTIONS(8188), 1,
      anon_sym_LPAREN,
    ACTIONS(8194), 1,
      anon_sym_LBRACE,
    ACTIONS(8196), 1,
      anon_sym_def,
    ACTIONS(8198), 1,
      sym__indent,
    STATE(5615), 1,
      aux_sym_modifiers_repeat1,
    STATE(7951), 1,
      sym_annotation,
    STATE(9223), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10457), 1,
      aux_sym_extension_definition_repeat1,
    STATE(11363), 1,
      sym_parameters,
    STATE(11373), 1,
      sym__using_parameters_clause,
    STATE(15112), 1,
      sym__function_declaration,
    STATE(18837), 1,
      sym_modifiers,
    ACTIONS(8178), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4597), 2,
      sym_comment,
      sym_block_comment,
    STATE(15587), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8176), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [240808] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8746), 1,
      anon_sym_COMMA,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8758), 1,
      anon_sym_LPAREN,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    STATE(4354), 1,
      sym_identifier,
    STATE(8945), 1,
      sym_interpolated_string,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(16968), 1,
      sym__interpolated_string_start,
    STATE(16969), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8752), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2648), 4,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
    ACTIONS(8410), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [240892] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8172), 1,
      anon_sym_AT,
    ACTIONS(8180), 1,
      anon_sym_inline,
    ACTIONS(8182), 1,
      anon_sym_infix,
    ACTIONS(8184), 1,
      anon_sym_open,
    ACTIONS(8186), 1,
      anon_sym_transparent,
    ACTIONS(8188), 1,
      anon_sym_LPAREN,
    ACTIONS(8194), 1,
      anon_sym_LBRACE,
    ACTIONS(8196), 1,
      anon_sym_def,
    ACTIONS(8198), 1,
      sym__indent,
    STATE(5615), 1,
      aux_sym_modifiers_repeat1,
    STATE(7951), 1,
      sym_annotation,
    STATE(9223), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10457), 1,
      aux_sym_extension_definition_repeat1,
    STATE(11363), 1,
      sym_parameters,
    STATE(11373), 1,
      sym__using_parameters_clause,
    STATE(15112), 1,
      sym__function_declaration,
    STATE(18837), 1,
      sym_modifiers,
    ACTIONS(8178), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4599), 2,
      sym_comment,
      sym_block_comment,
    STATE(15828), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8176), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [240978] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8322), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(16247), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4600), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [241064] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8322), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(16247), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4601), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [241150] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8712), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17471), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4602), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [241236] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8330), 1,
      sym__alpha_identifier,
    ACTIONS(8336), 1,
      anon_sym__,
    ACTIONS(8340), 1,
      anon_sym_LPAREN,
    ACTIONS(8342), 1,
      sym__backquoted_id,
    ACTIONS(8344), 1,
      sym_operator_identifier,
    ACTIONS(8767), 1,
      anon_sym_COLON,
    ACTIONS(8769), 1,
      anon_sym_LBRACE,
    STATE(11306), 1,
      sym__simple_type,
    STATE(11652), 1,
      sym__annotated_type,
    STATE(12233), 1,
      sym__soft_identifier,
    STATE(12282), 1,
      sym_identifier,
    STATE(14196), 1,
      sym_annotated_type,
    STATE(14251), 1,
      sym_compound_type,
    STATE(14426), 1,
      sym__structural_type,
    STATE(14456), 1,
      sym__constructor_application,
    STATE(14611), 1,
      sym_template_body,
    STATE(18476), 1,
      sym_stable_identifier,
    STATE(4603), 2,
      sym_comment,
      sym_block_comment,
    STATE(14550), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12740), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [241320] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8330), 1,
      sym__alpha_identifier,
    ACTIONS(8332), 1,
      anon_sym_COLON,
    ACTIONS(8334), 1,
      anon_sym_LBRACE,
    ACTIONS(8336), 1,
      anon_sym__,
    ACTIONS(8340), 1,
      anon_sym_LPAREN,
    ACTIONS(8342), 1,
      sym__backquoted_id,
    ACTIONS(8344), 1,
      sym_operator_identifier,
    STATE(11360), 1,
      sym__simple_type,
    STATE(11703), 1,
      sym__annotated_type,
    STATE(12233), 1,
      sym__soft_identifier,
    STATE(12282), 1,
      sym_identifier,
    STATE(14025), 1,
      sym_compound_type,
    STATE(14196), 1,
      sym_annotated_type,
    STATE(14307), 1,
      sym_template_body,
    STATE(14318), 1,
      sym__structural_type,
    STATE(14458), 1,
      sym__constructor_application,
    STATE(18476), 1,
      sym_stable_identifier,
    STATE(4604), 2,
      sym_comment,
      sym_block_comment,
    STATE(14177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12740), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [241404] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8700), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(16678), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4605), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [241490] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8700), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(16678), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4606), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [241576] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8771), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17471), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4607), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [241662] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8773), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17471), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4608), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [241748] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8775), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17471), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4609), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [241834] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [241880] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [241926] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6570), 1,
      anon_sym_COLON,
    ACTIONS(6572), 1,
      anon_sym_LBRACE,
    ACTIONS(8781), 1,
      sym__alpha_identifier,
    ACTIONS(8783), 1,
      anon_sym__,
    ACTIONS(8787), 1,
      anon_sym_LPAREN,
    ACTIONS(8789), 1,
      sym__backquoted_id,
    ACTIONS(8791), 1,
      sym_operator_identifier,
    STATE(5732), 1,
      sym__simple_type,
    STATE(5772), 1,
      sym__annotated_type,
    STATE(8226), 1,
      sym__constructor_application,
    STATE(8260), 1,
      sym_identifier,
    STATE(8454), 1,
      sym__soft_identifier,
    STATE(9672), 1,
      sym_annotated_type,
    STATE(9805), 1,
      sym_compound_type,
    STATE(10012), 1,
      sym_template_body,
    STATE(10236), 1,
      sym__structural_type,
    STATE(19415), 1,
      sym_stable_identifier,
    STATE(4612), 2,
      sym_comment,
      sym_block_comment,
    STATE(6161), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8785), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7955), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [242010] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8168), 1,
      anon_sym_LBRACE,
    ACTIONS(8172), 1,
      anon_sym_AT,
    ACTIONS(8180), 1,
      anon_sym_inline,
    ACTIONS(8182), 1,
      anon_sym_infix,
    ACTIONS(8184), 1,
      anon_sym_open,
    ACTIONS(8186), 1,
      anon_sym_transparent,
    ACTIONS(8188), 1,
      anon_sym_LPAREN,
    ACTIONS(8190), 1,
      sym__indent,
    ACTIONS(8192), 1,
      anon_sym_def,
    STATE(4615), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5615), 1,
      aux_sym_modifiers_repeat1,
    STATE(7951), 1,
      sym_annotation,
    STATE(9396), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11363), 1,
      sym_parameters,
    STATE(11373), 1,
      sym__using_parameters_clause,
    STATE(15044), 1,
      sym__function_declaration,
    STATE(18979), 1,
      sym_modifiers,
    ACTIONS(8178), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4613), 2,
      sym_comment,
      sym_block_comment,
    STATE(15451), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8176), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [242096] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8168), 1,
      anon_sym_LBRACE,
    ACTIONS(8172), 1,
      anon_sym_AT,
    ACTIONS(8180), 1,
      anon_sym_inline,
    ACTIONS(8182), 1,
      anon_sym_infix,
    ACTIONS(8184), 1,
      anon_sym_open,
    ACTIONS(8186), 1,
      anon_sym_transparent,
    ACTIONS(8188), 1,
      anon_sym_LPAREN,
    ACTIONS(8190), 1,
      sym__indent,
    ACTIONS(8192), 1,
      anon_sym_def,
    STATE(5615), 1,
      aux_sym_modifiers_repeat1,
    STATE(7951), 1,
      sym_annotation,
    STATE(9396), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10457), 1,
      aux_sym_extension_definition_repeat1,
    STATE(11363), 1,
      sym_parameters,
    STATE(11373), 1,
      sym__using_parameters_clause,
    STATE(15044), 1,
      sym__function_declaration,
    STATE(18979), 1,
      sym_modifiers,
    ACTIONS(8178), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4614), 2,
      sym_comment,
      sym_block_comment,
    STATE(15460), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8176), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [242182] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8168), 1,
      anon_sym_LBRACE,
    ACTIONS(8172), 1,
      anon_sym_AT,
    ACTIONS(8180), 1,
      anon_sym_inline,
    ACTIONS(8182), 1,
      anon_sym_infix,
    ACTIONS(8184), 1,
      anon_sym_open,
    ACTIONS(8186), 1,
      anon_sym_transparent,
    ACTIONS(8188), 1,
      anon_sym_LPAREN,
    ACTIONS(8190), 1,
      sym__indent,
    ACTIONS(8192), 1,
      anon_sym_def,
    STATE(5615), 1,
      aux_sym_modifiers_repeat1,
    STATE(7951), 1,
      sym_annotation,
    STATE(9396), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10457), 1,
      aux_sym_extension_definition_repeat1,
    STATE(11363), 1,
      sym_parameters,
    STATE(11373), 1,
      sym__using_parameters_clause,
    STATE(15044), 1,
      sym__function_declaration,
    STATE(18979), 1,
      sym_modifiers,
    ACTIONS(8178), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4615), 2,
      sym_comment,
      sym_block_comment,
    STATE(15410), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8176), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [242268] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8298), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(15929), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4616), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [242354] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6618), 1,
      anon_sym_COLON,
    ACTIONS(6620), 1,
      anon_sym_LBRACE,
    ACTIONS(8793), 1,
      sym__alpha_identifier,
    ACTIONS(8795), 1,
      anon_sym__,
    ACTIONS(8799), 1,
      anon_sym_LPAREN,
    ACTIONS(8801), 1,
      sym__backquoted_id,
    ACTIONS(8803), 1,
      sym_operator_identifier,
    STATE(4670), 1,
      sym__simple_type,
    STATE(4673), 1,
      sym__annotated_type,
    STATE(5401), 1,
      sym__soft_identifier,
    STATE(5676), 1,
      sym__constructor_application,
    STATE(5700), 1,
      sym_identifier,
    STATE(6657), 1,
      sym_annotated_type,
    STATE(6754), 1,
      sym_compound_type,
    STATE(7354), 1,
      sym_template_body,
    STATE(7537), 1,
      sym__structural_type,
    STATE(18378), 1,
      sym_stable_identifier,
    STATE(4617), 2,
      sym_comment,
      sym_block_comment,
    STATE(7231), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8797), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5761), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [242438] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8805), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17471), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4618), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [242524] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6402), 1,
      anon_sym_COLON,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    ACTIONS(8260), 1,
      anon_sym_LPAREN,
    STATE(9517), 1,
      sym_compound_type,
    STATE(10220), 1,
      sym__structural_type,
    STATE(10919), 1,
      sym_template_body,
    STATE(11906), 1,
      sym__simple_type,
    STATE(11966), 1,
      sym_identifier,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12459), 1,
      sym__annotated_type,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(15307), 1,
      sym__constructor_application,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(4619), 2,
      sym_comment,
      sym_block_comment,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [242608] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    ACTIONS(8256), 1,
      anon_sym_COLON,
    ACTIONS(8258), 1,
      anon_sym_LBRACE,
    ACTIONS(8260), 1,
      anon_sym_LPAREN,
    STATE(11966), 1,
      sym_identifier,
    STATE(12024), 1,
      sym__simple_type,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12220), 1,
      sym__annotated_type,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(14992), 1,
      sym_compound_type,
    STATE(15121), 1,
      sym__structural_type,
    STATE(15177), 1,
      sym__constructor_application,
    STATE(15230), 1,
      sym_template_body,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(4620), 2,
      sym_comment,
      sym_block_comment,
    STATE(15162), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [242692] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8805), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(16176), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4621), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [242778] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8805), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(16176), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4622), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [242864] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8807), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17471), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4623), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [242950] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8809), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17471), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4624), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [243036] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8811), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17471), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4625), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [243122] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8813), 1,
      sym__alpha_identifier,
    ACTIONS(8815), 1,
      anon_sym_COLON,
    ACTIONS(8817), 1,
      anon_sym_LBRACE,
    ACTIONS(8819), 1,
      anon_sym__,
    ACTIONS(8823), 1,
      anon_sym_LPAREN,
    ACTIONS(8825), 1,
      sym__backquoted_id,
    ACTIONS(8827), 1,
      sym_operator_identifier,
    STATE(4529), 1,
      sym__simple_type,
    STATE(4584), 1,
      sym__annotated_type,
    STATE(5043), 1,
      sym_identifier,
    STATE(5191), 1,
      sym__constructor_application,
    STATE(5236), 1,
      sym__soft_identifier,
    STATE(5899), 1,
      sym_compound_type,
    STATE(6295), 1,
      sym_annotated_type,
    STATE(6344), 1,
      sym__structural_type,
    STATE(6790), 1,
      sym_template_body,
    STATE(17771), 1,
      sym_stable_identifier,
    STATE(4626), 2,
      sym_comment,
      sym_block_comment,
    STATE(6384), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8821), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5233), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [243206] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6464), 1,
      anon_sym_COLON,
    ACTIONS(6466), 1,
      anon_sym_LBRACE,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7336), 1,
      anon_sym__,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(8010), 1,
      sym_operator_identifier,
    ACTIONS(8208), 1,
      anon_sym_LPAREN,
    STATE(9075), 1,
      sym_compound_type,
    STATE(9647), 1,
      sym__structural_type,
    STATE(11853), 1,
      sym__simple_type,
    STATE(11989), 1,
      sym_template_body,
    STATE(12312), 1,
      sym_identifier,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(12451), 1,
      sym__annotated_type,
    STATE(14281), 1,
      sym_annotated_type,
    STATE(15323), 1,
      sym__constructor_application,
    STATE(19344), 1,
      sym_stable_identifier,
    STATE(4627), 2,
      sym_comment,
      sym_block_comment,
    STATE(9563), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13039), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [243290] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7336), 1,
      anon_sym__,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(8010), 1,
      sym_operator_identifier,
    ACTIONS(8204), 1,
      anon_sym_COLON,
    ACTIONS(8206), 1,
      anon_sym_LBRACE,
    ACTIONS(8208), 1,
      anon_sym_LPAREN,
    STATE(11912), 1,
      sym__simple_type,
    STATE(12312), 1,
      sym_identifier,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(12417), 1,
      sym__annotated_type,
    STATE(14281), 1,
      sym_annotated_type,
    STATE(15008), 1,
      sym_compound_type,
    STATE(15114), 1,
      sym__constructor_application,
    STATE(15119), 1,
      sym__structural_type,
    STATE(15241), 1,
      sym_template_body,
    STATE(19344), 1,
      sym_stable_identifier,
    STATE(4628), 2,
      sym_comment,
      sym_block_comment,
    STATE(15205), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13039), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [243374] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6332), 1,
      anon_sym_COLON,
    ACTIONS(6334), 1,
      anon_sym_LBRACE,
    ACTIONS(8829), 1,
      sym__alpha_identifier,
    ACTIONS(8831), 1,
      anon_sym__,
    ACTIONS(8835), 1,
      anon_sym_LPAREN,
    ACTIONS(8837), 1,
      sym__backquoted_id,
    ACTIONS(8839), 1,
      sym_operator_identifier,
    STATE(4818), 1,
      sym__annotated_type,
    STATE(4892), 1,
      sym__simple_type,
    STATE(6697), 1,
      sym__soft_identifier,
    STATE(6850), 1,
      sym__constructor_application,
    STATE(6989), 1,
      sym_identifier,
    STATE(7985), 1,
      sym_annotated_type,
    STATE(8363), 1,
      sym_compound_type,
    STATE(8840), 1,
      sym_template_body,
    STATE(8884), 1,
      sym__structural_type,
    STATE(19127), 1,
      sym_stable_identifier,
    STATE(4629), 2,
      sym_comment,
      sym_block_comment,
    STATE(9074), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8833), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6763), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [243458] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [243504] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [243550] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8430), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(16795), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4632), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [243636] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8430), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(16795), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4633), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [243722] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8845), 1,
      anon_sym_LBRACK,
    ACTIONS(8847), 1,
      anon_sym_AT,
    ACTIONS(8849), 1,
      anon_sym_LPAREN,
    ACTIONS(8851), 1,
      anon_sym_POUND,
    STATE(4836), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5094), 1,
      sym_type_arguments,
    STATE(5699), 1,
      sym_annotation,
    STATE(7072), 1,
      sym_arguments,
    STATE(4634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243786] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6464), 1,
      anon_sym_COLON,
    ACTIONS(6466), 1,
      anon_sym_LBRACE,
    ACTIONS(8853), 1,
      sym__alpha_identifier,
    ACTIONS(8855), 1,
      anon_sym__,
    ACTIONS(8859), 1,
      anon_sym_LPAREN,
    ACTIONS(8861), 1,
      sym__backquoted_id,
    ACTIONS(8863), 1,
      sym_operator_identifier,
    STATE(5620), 1,
      sym__annotated_type,
    STATE(5748), 1,
      sym__simple_type,
    STATE(8005), 1,
      sym__constructor_application,
    STATE(8238), 1,
      sym_identifier,
    STATE(8317), 1,
      sym__soft_identifier,
    STATE(9075), 1,
      sym_compound_type,
    STATE(9591), 1,
      sym_annotated_type,
    STATE(9647), 1,
      sym__structural_type,
    STATE(10199), 1,
      sym_template_body,
    STATE(18785), 1,
      sym_stable_identifier,
    STATE(4635), 2,
      sym_comment,
      sym_block_comment,
    STATE(9563), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8857), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8092), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [243870] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6552), 1,
      anon_sym_COLON,
    ACTIONS(6554), 1,
      anon_sym_LBRACE,
    ACTIONS(8865), 1,
      sym__alpha_identifier,
    ACTIONS(8867), 1,
      anon_sym__,
    ACTIONS(8871), 1,
      anon_sym_LPAREN,
    ACTIONS(8873), 1,
      sym__backquoted_id,
    ACTIONS(8875), 1,
      sym_operator_identifier,
    STATE(5821), 1,
      sym__simple_type,
    STATE(6265), 1,
      sym__annotated_type,
    STATE(8729), 1,
      sym__constructor_application,
    STATE(8782), 1,
      sym_identifier,
    STATE(8836), 1,
      sym__soft_identifier,
    STATE(10006), 1,
      sym_annotated_type,
    STATE(10106), 1,
      sym_compound_type,
    STATE(10360), 1,
      sym_template_body,
    STATE(10652), 1,
      sym__structural_type,
    STATE(17800), 1,
      sym_stable_identifier,
    STATE(4636), 2,
      sym_comment,
      sym_block_comment,
    STATE(6866), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8869), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9088), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [243954] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6593), 1,
      sym_interpolated_string,
    STATE(16385), 1,
      sym__interpolated_string_start,
    STATE(16386), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244014] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8877), 1,
      sym__alpha_identifier,
    ACTIONS(8879), 1,
      anon_sym_COLON,
    ACTIONS(8881), 1,
      anon_sym_LBRACE,
    ACTIONS(8883), 1,
      anon_sym__,
    ACTIONS(8887), 1,
      anon_sym_LPAREN,
    ACTIONS(8889), 1,
      sym__backquoted_id,
    ACTIONS(8891), 1,
      sym_operator_identifier,
    STATE(4659), 1,
      sym__simple_type,
    STATE(4692), 1,
      sym__annotated_type,
    STATE(5619), 1,
      sym__constructor_application,
    STATE(5693), 1,
      sym_identifier,
    STATE(5773), 1,
      sym__soft_identifier,
    STATE(6728), 1,
      sym_compound_type,
    STATE(6847), 1,
      sym_annotated_type,
    STATE(7606), 1,
      sym_template_body,
    STATE(7912), 1,
      sym__structural_type,
    STATE(17960), 1,
      sym_stable_identifier,
    STATE(4638), 2,
      sym_comment,
      sym_block_comment,
    STATE(7284), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8885), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5782), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [244098] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8893), 1,
      anon_sym_with,
    STATE(4661), 1,
      aux_sym_compound_type_repeat1,
    STATE(6920), 1,
      sym_template_body,
    STATE(6921), 1,
      sym__refinement,
    STATE(7072), 1,
      sym_arguments,
    STATE(4639), 2,
      sym_comment,
      sym_block_comment,
    STATE(6827), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244158] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6662), 1,
      anon_sym_COLON,
    ACTIONS(6664), 1,
      anon_sym_LBRACE,
    ACTIONS(8895), 1,
      sym__alpha_identifier,
    ACTIONS(8897), 1,
      anon_sym__,
    ACTIONS(8901), 1,
      anon_sym_LPAREN,
    ACTIONS(8903), 1,
      sym__backquoted_id,
    ACTIONS(8905), 1,
      sym_operator_identifier,
    STATE(5252), 1,
      sym__simple_type,
    STATE(5257), 1,
      sym__annotated_type,
    STATE(7119), 1,
      sym__soft_identifier,
    STATE(7388), 1,
      sym_identifier,
    STATE(7395), 1,
      sym__constructor_application,
    STATE(8917), 1,
      sym_compound_type,
    STATE(9319), 1,
      sym_annotated_type,
    STATE(9694), 1,
      sym_template_body,
    STATE(9697), 1,
      sym__structural_type,
    STATE(18417), 1,
      sym_stable_identifier,
    STATE(4640), 2,
      sym_comment,
      sym_block_comment,
    STATE(9729), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8899), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7463), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [244242] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6368), 1,
      anon_sym_COLON,
    ACTIONS(6370), 1,
      anon_sym_LBRACE,
    ACTIONS(8907), 1,
      sym__alpha_identifier,
    ACTIONS(8909), 1,
      anon_sym__,
    ACTIONS(8913), 1,
      anon_sym_LPAREN,
    ACTIONS(8915), 1,
      sym__backquoted_id,
    ACTIONS(8917), 1,
      sym_operator_identifier,
    STATE(4845), 1,
      sym__annotated_type,
    STATE(4879), 1,
      sym__simple_type,
    STATE(6371), 1,
      sym__soft_identifier,
    STATE(6915), 1,
      sym__constructor_application,
    STATE(7062), 1,
      sym_identifier,
    STATE(7959), 1,
      sym_compound_type,
    STATE(8561), 1,
      sym_annotated_type,
    STATE(8961), 1,
      sym__structural_type,
    STATE(9078), 1,
      sym_template_body,
    STATE(18075), 1,
      sym_stable_identifier,
    STATE(4641), 2,
      sym_comment,
      sym_block_comment,
    STATE(9420), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8911), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6839), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [244326] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6386), 1,
      anon_sym_COLON,
    ACTIONS(6388), 1,
      anon_sym_LBRACE,
    ACTIONS(8919), 1,
      sym__alpha_identifier,
    ACTIONS(8921), 1,
      anon_sym__,
    ACTIONS(8925), 1,
      anon_sym_LPAREN,
    ACTIONS(8927), 1,
      sym__backquoted_id,
    ACTIONS(8929), 1,
      sym_operator_identifier,
    STATE(4844), 1,
      sym__annotated_type,
    STATE(4911), 1,
      sym__simple_type,
    STATE(6512), 1,
      sym__soft_identifier,
    STATE(6556), 1,
      sym_identifier,
    STATE(7005), 1,
      sym__constructor_application,
    STATE(7961), 1,
      sym_compound_type,
    STATE(8096), 1,
      sym_annotated_type,
    STATE(9127), 1,
      sym__structural_type,
    STATE(9261), 1,
      sym_template_body,
    STATE(18121), 1,
      sym_stable_identifier,
    STATE(4642), 2,
      sym_comment,
      sym_block_comment,
    STATE(8777), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8923), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6863), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [244410] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    ACTIONS(8712), 1,
      anon_sym_RPAREN,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17337), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4643), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [244496] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8931), 1,
      anon_sym_LBRACK,
    ACTIONS(8933), 1,
      anon_sym_AT,
    ACTIONS(8935), 1,
      anon_sym_LPAREN,
    ACTIONS(8937), 1,
      anon_sym_POUND,
    STATE(5243), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5394), 1,
      sym_type_arguments,
    STATE(6004), 1,
      sym_annotation,
    STATE(7459), 1,
      sym_arguments,
    STATE(4644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244559] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(4645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244608] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8668), 1,
      anon_sym_LBRACK,
    ACTIONS(8672), 1,
      anon_sym_POUND,
    ACTIONS(8941), 1,
      anon_sym_AT,
    STATE(4934), 1,
      sym_type_arguments,
    STATE(4992), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5390), 1,
      sym_annotation,
    STATE(4646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244667] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8268), 1,
      anon_sym_LPAREN,
    STATE(4649), 1,
      aux_sym_annotation_repeat1,
    STATE(4851), 1,
      sym_arguments,
    STATE(4647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244720] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1039), 1,
      anon_sym_LBRACE,
    ACTIONS(8366), 1,
      anon_sym_LPAREN,
    ACTIONS(8951), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(4648), 2,
      sym_comment,
      sym_block_comment,
    STATE(6201), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8949), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8947), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244779] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8957), 1,
      anon_sym_LPAREN,
    STATE(4851), 1,
      sym_arguments,
    STATE(4649), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244830] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7923), 1,
      sym_interpolated_string,
    STATE(17133), 1,
      sym__interpolated_string_start,
    STATE(17140), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244889] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2648), 1,
      anon_sym_EQ,
    ACTIONS(8162), 1,
      anon_sym_COMMA,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8963), 1,
      anon_sym_COLON,
    ACTIONS(8967), 1,
      anon_sym_DOT,
    ACTIONS(8969), 1,
      anon_sym_EQ_GT,
    ACTIONS(8972), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(8228), 1,
      sym_interpolated_string,
    STATE(17018), 1,
      sym__interpolated_string_start,
    STATE(17019), 1,
      sym__interpolated_multiline_string_start,
    STATE(18446), 1,
      sym__self_type_ascription,
    STATE(4651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 3,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(8758), 4,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8939), 4,
      anon_sym_as,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
    ACTIONS(8960), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [244964] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8975), 1,
      anon_sym_COLON,
    ACTIONS(8977), 1,
      anon_sym_LBRACE,
    ACTIONS(8979), 1,
      anon_sym_with,
    STATE(4662), 1,
      aux_sym_compound_type_repeat1,
    STATE(8182), 1,
      sym_template_body,
    STATE(8183), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4652), 2,
      sym_comment,
      sym_block_comment,
    STATE(8374), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [245031] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8498), 1,
      anon_sym_LBRACK,
    ACTIONS(8502), 1,
      anon_sym_POUND,
    ACTIONS(8981), 1,
      anon_sym_AT,
    STATE(4858), 1,
      sym_type_arguments,
    STATE(4955), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5762), 1,
      sym_annotation,
    STATE(4653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8983), 25,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [245137] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 32,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [245182] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8989), 1,
      anon_sym_LBRACK,
    ACTIONS(8991), 1,
      anon_sym_LPAREN,
    ACTIONS(8993), 1,
      anon_sym_POUND,
    STATE(4821), 1,
      aux_sym_annotation_repeat1,
    STATE(5017), 1,
      sym_type_arguments,
    STATE(5642), 1,
      sym_arguments,
    STATE(4656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245241] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1039), 1,
      anon_sym_LBRACE,
    ACTIONS(8366), 1,
      anon_sym_LPAREN,
    ACTIONS(8951), 1,
      anon_sym_DOT,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(4657), 2,
      sym_comment,
      sym_block_comment,
    STATE(6201), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8997), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245302] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9001), 1,
      anon_sym_with,
    STATE(4766), 1,
      aux_sym_compound_type_repeat1,
    STATE(7316), 1,
      sym_template_body,
    STATE(7317), 1,
      sym__refinement,
    STATE(7459), 1,
      sym_arguments,
    STATE(4658), 2,
      sym_comment,
      sym_block_comment,
    STATE(7082), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245361] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9003), 1,
      anon_sym_LBRACK,
    ACTIONS(9005), 1,
      anon_sym_AT,
    ACTIONS(9007), 1,
      anon_sym_LPAREN,
    ACTIONS(9009), 1,
      anon_sym_POUND,
    STATE(5293), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5601), 1,
      sym_type_arguments,
    STATE(6291), 1,
      sym_annotation,
    STATE(7926), 1,
      sym_arguments,
    STATE(4659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245424] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9011), 1,
      anon_sym_LBRACK,
    ACTIONS(9013), 1,
      anon_sym_LPAREN,
    ACTIONS(9015), 1,
      anon_sym_POUND,
    STATE(4877), 1,
      aux_sym_annotation_repeat1,
    STATE(5029), 1,
      sym_type_arguments,
    STATE(5705), 1,
      sym_arguments,
    STATE(4660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [245483] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8893), 1,
      anon_sym_with,
    STATE(5731), 1,
      aux_sym_compound_type_repeat1,
    STATE(6920), 1,
      sym_template_body,
    STATE(6933), 1,
      sym__refinement,
    STATE(4661), 2,
      sym_comment,
      sym_block_comment,
    STATE(6827), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245540] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8975), 1,
      anon_sym_COLON,
    ACTIONS(8977), 1,
      anon_sym_LBRACE,
    ACTIONS(8979), 1,
      anon_sym_with,
    STATE(5579), 1,
      aux_sym_compound_type_repeat1,
    STATE(8182), 1,
      sym_template_body,
    STATE(8189), 1,
      sym__refinement,
    STATE(4662), 2,
      sym_comment,
      sym_block_comment,
    STATE(8374), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245601] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8845), 1,
      anon_sym_LBRACK,
    ACTIONS(8847), 1,
      anon_sym_AT,
    ACTIONS(8851), 1,
      anon_sym_POUND,
    STATE(4836), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5094), 1,
      sym_type_arguments,
    STATE(5699), 1,
      sym_annotation,
    STATE(4663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245660] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9017), 1,
      anon_sym_DOT,
    STATE(4664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245709] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8845), 1,
      anon_sym_LBRACK,
    ACTIONS(8851), 1,
      anon_sym_POUND,
    ACTIONS(9019), 1,
      anon_sym_LPAREN,
    STATE(4865), 1,
      aux_sym_annotation_repeat1,
    STATE(5094), 1,
      sym_type_arguments,
    STATE(5578), 1,
      sym_arguments,
    STATE(4665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245768] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9021), 1,
      anon_sym_COLON,
    ACTIONS(9023), 1,
      anon_sym_LBRACE,
    ACTIONS(9025), 1,
      anon_sym_with,
    STATE(5371), 1,
      aux_sym_compound_type_repeat1,
    STATE(8337), 1,
      sym_template_body,
    STATE(8343), 1,
      sym__refinement,
    STATE(4666), 2,
      sym_comment,
      sym_block_comment,
    STATE(8524), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245829] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9027), 1,
      anon_sym_LBRACK,
    ACTIONS(9029), 1,
      anon_sym_LPAREN,
    ACTIONS(9031), 1,
      anon_sym_POUND,
    STATE(4997), 1,
      aux_sym_annotation_repeat1,
    STATE(5175), 1,
      sym_type_arguments,
    STATE(5405), 1,
      sym_arguments,
    STATE(4667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245888] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7429), 1,
      sym_interpolated_string,
    STATE(16697), 1,
      sym__interpolated_string_start,
    STATE(16698), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245947] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245994] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9033), 1,
      anon_sym_LBRACK,
    ACTIONS(9035), 1,
      anon_sym_AT,
    ACTIONS(9037), 1,
      anon_sym_LPAREN,
    ACTIONS(9039), 1,
      anon_sym_POUND,
    STATE(5314), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5354), 1,
      sym_type_arguments,
    STATE(6190), 1,
      sym_annotation,
    STATE(7558), 1,
      sym_arguments,
    STATE(4670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [246057] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9041), 1,
      anon_sym_COLON,
    ACTIONS(9043), 1,
      anon_sym_LBRACE,
    ACTIONS(9045), 1,
      anon_sym_with,
    STATE(4690), 1,
      aux_sym_compound_type_repeat1,
    STATE(8191), 1,
      sym_template_body,
    STATE(8192), 1,
      sym__refinement,
    STATE(4671), 2,
      sym_comment,
      sym_block_comment,
    STATE(8081), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246118] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8975), 1,
      anon_sym_COLON,
    ACTIONS(8977), 1,
      anon_sym_LBRACE,
    ACTIONS(8979), 1,
      anon_sym_with,
    STATE(4662), 1,
      aux_sym_compound_type_repeat1,
    STATE(8182), 1,
      sym_template_body,
    STATE(8183), 1,
      sym__refinement,
    STATE(4672), 2,
      sym_comment,
      sym_block_comment,
    STATE(8374), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246179] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9047), 1,
      anon_sym_with,
    STATE(4746), 1,
      aux_sym_compound_type_repeat1,
    STATE(7374), 1,
      sym_template_body,
    STATE(7375), 1,
      sym__refinement,
    STATE(7558), 1,
      sym_arguments,
    STATE(4673), 2,
      sym_comment,
      sym_block_comment,
    STATE(7231), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [246238] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8490), 1,
      anon_sym_LBRACK,
    ACTIONS(8496), 1,
      anon_sym_POUND,
    ACTIONS(9049), 1,
      anon_sym_LPAREN,
    STATE(4890), 1,
      aux_sym_annotation_repeat1,
    STATE(5272), 1,
      sym_type_arguments,
    STATE(5752), 1,
      sym_arguments,
    STATE(4674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246297] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(8254), 1,
      sym_operator_identifier,
    STATE(4784), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(12607), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15593), 1,
      sym_identifier,
    STATE(17471), 1,
      sym_class_parameter,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8236), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4675), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [246380] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(9041), 1,
      anon_sym_COLON,
    ACTIONS(9043), 1,
      anon_sym_LBRACE,
    ACTIONS(9045), 1,
      anon_sym_with,
    STATE(4690), 1,
      aux_sym_compound_type_repeat1,
    STATE(8191), 1,
      sym_template_body,
    STATE(8192), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4676), 2,
      sym_comment,
      sym_block_comment,
    STATE(8081), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 7,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [246447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [246494] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9051), 1,
      anon_sym_LBRACK,
    ACTIONS(9053), 1,
      anon_sym_LPAREN,
    ACTIONS(9055), 1,
      anon_sym_POUND,
    STATE(4866), 1,
      aux_sym_annotation_repeat1,
    STATE(5068), 1,
      sym_type_arguments,
    STATE(5559), 1,
      sym_arguments,
    STATE(4678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246553] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1039), 1,
      anon_sym_LBRACE,
    ACTIONS(8366), 1,
      anon_sym_LPAREN,
    ACTIONS(8951), 1,
      anon_sym_DOT,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9069), 1,
      sym_operator_identifier,
    STATE(1954), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(4679), 2,
      sym_comment,
      sym_block_comment,
    STATE(6201), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9061), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9063), 8,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [246624] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9071), 1,
      anon_sym_LBRACK,
    ACTIONS(9073), 1,
      anon_sym_LPAREN,
    ACTIONS(9075), 1,
      anon_sym_POUND,
    STATE(4893), 1,
      aux_sym_annotation_repeat1,
    STATE(5209), 1,
      sym_type_arguments,
    STATE(5671), 1,
      sym_arguments,
    STATE(4680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246683] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9085), 1,
      anon_sym_inline,
    ACTIONS(9088), 1,
      anon_sym_infix,
    ACTIONS(9091), 1,
      anon_sym_open,
    ACTIONS(9094), 1,
      anon_sym_transparent,
    ACTIONS(9097), 1,
      sym__backquoted_id,
    ACTIONS(9082), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4681), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_modifiers_repeat1,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(9079), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
    ACTIONS(9077), 13,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      sym__alpha_identifier,
      sym_operator_identifier,
  [246744] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7288), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [246791] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9101), 1,
      anon_sym_LPAREN,
    ACTIONS(9103), 1,
      anon_sym_POUND,
    STATE(4907), 1,
      aux_sym_annotation_repeat1,
    STATE(5118), 1,
      sym_type_arguments,
    STATE(5621), 1,
      sym_arguments,
    STATE(4683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246850] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9021), 1,
      anon_sym_COLON,
    ACTIONS(9023), 1,
      anon_sym_LBRACE,
    ACTIONS(9025), 1,
      anon_sym_with,
    STATE(4666), 1,
      aux_sym_compound_type_repeat1,
    STATE(8337), 1,
      sym_template_body,
    STATE(8338), 1,
      sym__refinement,
    STATE(4684), 2,
      sym_comment,
      sym_block_comment,
    STATE(8524), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246911] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9105), 25,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [246958] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(9021), 1,
      anon_sym_COLON,
    ACTIONS(9023), 1,
      anon_sym_LBRACE,
    ACTIONS(9025), 1,
      anon_sym_with,
    STATE(4666), 1,
      aux_sym_compound_type_repeat1,
    STATE(8337), 1,
      sym_template_body,
    STATE(8338), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4686), 2,
      sym_comment,
      sym_block_comment,
    STATE(8524), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 7,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [247025] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9109), 25,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [247072] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8646), 1,
      anon_sym_LBRACK,
    ACTIONS(8650), 1,
      anon_sym_POUND,
    ACTIONS(9113), 1,
      anon_sym_AT,
    STATE(4826), 1,
      sym_type_arguments,
    STATE(4889), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5729), 1,
      sym_annotation,
    STATE(4688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247131] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8490), 1,
      anon_sym_LBRACK,
    ACTIONS(8492), 1,
      anon_sym_AT,
    ACTIONS(8496), 1,
      anon_sym_POUND,
    STATE(4995), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5272), 1,
      sym_type_arguments,
    STATE(5508), 1,
      sym_annotation,
    STATE(4689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247190] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9041), 1,
      anon_sym_COLON,
    ACTIONS(9043), 1,
      anon_sym_LBRACE,
    ACTIONS(9045), 1,
      anon_sym_with,
    STATE(5628), 1,
      aux_sym_compound_type_repeat1,
    STATE(8191), 1,
      sym_template_body,
    STATE(8208), 1,
      sym__refinement,
    STATE(4690), 2,
      sym_comment,
      sym_block_comment,
    STATE(8081), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247251] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7456), 1,
      sym_interpolated_string,
    STATE(16757), 1,
      sym__interpolated_string_start,
    STATE(16758), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [247310] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9115), 1,
      anon_sym_with,
    STATE(4777), 1,
      aux_sym_compound_type_repeat1,
    STATE(7675), 1,
      sym_template_body,
    STATE(7677), 1,
      sym__refinement,
    STATE(7926), 1,
      sym_arguments,
    STATE(4692), 2,
      sym_comment,
      sym_block_comment,
    STATE(7284), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247369] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8710), 1,
      anon_sym_with,
    STATE(5778), 1,
      aux_sym_compound_type_repeat1,
    STATE(7018), 1,
      sym_template_body,
    STATE(7045), 1,
      sym__refinement,
    STATE(4693), 2,
      sym_comment,
      sym_block_comment,
    STATE(6384), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247473] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    ACTIONS(9119), 1,
      anon_sym_AT,
    ACTIONS(9121), 1,
      anon_sym_LPAREN,
    ACTIONS(9123), 1,
      anon_sym_POUND,
    STATE(5712), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5886), 1,
      sym_type_arguments,
    STATE(7055), 1,
      sym_annotation,
    STATE(8447), 1,
      sym_arguments,
    STATE(4695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [247535] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247581] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9127), 1,
      anon_sym_COLON,
    ACTIONS(9129), 1,
      anon_sym_LBRACE,
    ACTIONS(9131), 1,
      anon_sym_with,
    STATE(4790), 1,
      aux_sym_compound_type_repeat1,
    STATE(8867), 1,
      sym_template_body,
    STATE(8869), 1,
      sym__refinement,
    STATE(4697), 2,
      sym_comment,
      sym_block_comment,
    STATE(9092), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247641] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247687] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247733] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9027), 1,
      anon_sym_LBRACK,
    ACTIONS(9031), 1,
      anon_sym_POUND,
    ACTIONS(9137), 1,
      anon_sym_AT,
    STATE(5107), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5175), 1,
      sym_type_arguments,
    STATE(5912), 1,
      sym_annotation,
    STATE(4700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247791] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(4701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247839] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247885] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247931] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247977] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8648), 1,
      anon_sym_LPAREN,
    STATE(4706), 1,
      aux_sym_annotation_repeat1,
    STATE(5121), 1,
      sym_arguments,
    STATE(4705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248029] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9145), 1,
      anon_sym_LPAREN,
    STATE(5121), 1,
      sym_arguments,
    STATE(4706), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248079] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9148), 1,
      anon_sym_COLON,
    ACTIONS(9150), 1,
      anon_sym_LBRACE,
    ACTIONS(9152), 1,
      anon_sym_with,
    STATE(4719), 1,
      aux_sym_compound_type_repeat1,
    STATE(8886), 1,
      sym_template_body,
    STATE(8887), 1,
      sym__refinement,
    STATE(4707), 2,
      sym_comment,
      sym_block_comment,
    STATE(9136), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [248139] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9154), 1,
      anon_sym_LBRACK,
    ACTIONS(9156), 1,
      anon_sym_LPAREN,
    ACTIONS(9158), 1,
      anon_sym_POUND,
    STATE(5128), 1,
      aux_sym_annotation_repeat1,
    STATE(5483), 1,
      sym_type_arguments,
    STATE(5928), 1,
      sym_arguments,
    STATE(4708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248197] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248243] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9162), 1,
      anon_sym_LBRACK,
    ACTIONS(9164), 1,
      anon_sym_LPAREN,
    ACTIONS(9166), 1,
      anon_sym_POUND,
    STATE(5142), 1,
      aux_sym_annotation_repeat1,
    STATE(5534), 1,
      sym_type_arguments,
    STATE(5947), 1,
      sym_arguments,
    STATE(4710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [248301] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9168), 1,
      anon_sym_LBRACK,
    ACTIONS(9170), 1,
      anon_sym_LPAREN,
    ACTIONS(9172), 1,
      anon_sym_POUND,
    STATE(5149), 1,
      aux_sym_annotation_repeat1,
    STATE(5635), 1,
      sym_type_arguments,
    STATE(5958), 1,
      sym_arguments,
    STATE(4711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [248359] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9174), 1,
      anon_sym_COLON,
    ACTIONS(9176), 1,
      anon_sym_LBRACE,
    ACTIONS(9178), 1,
      anon_sym_with,
    STATE(5890), 1,
      aux_sym_compound_type_repeat1,
    STATE(9313), 1,
      sym_template_body,
    STATE(9318), 1,
      sym__refinement,
    STATE(4712), 2,
      sym_comment,
      sym_block_comment,
    STATE(9398), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248419] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(4713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248467] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8670), 1,
      anon_sym_LPAREN,
    STATE(4715), 1,
      aux_sym_annotation_repeat1,
    STATE(5160), 1,
      sym_arguments,
    STATE(4714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248519] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9180), 1,
      anon_sym_LPAREN,
    STATE(5160), 1,
      sym_arguments,
    STATE(4715), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248569] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9183), 1,
      anon_sym_LBRACK,
    ACTIONS(9185), 1,
      anon_sym_LPAREN,
    ACTIONS(9187), 1,
      anon_sym_POUND,
    STATE(5162), 1,
      aux_sym_annotation_repeat1,
    STATE(5788), 1,
      sym_type_arguments,
    STATE(6002), 1,
      sym_arguments,
    STATE(4716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [248627] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9189), 1,
      anon_sym_DOT,
    STATE(4717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248675] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [248721] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9148), 1,
      anon_sym_COLON,
    ACTIONS(9150), 1,
      anon_sym_LBRACE,
    ACTIONS(9152), 1,
      anon_sym_with,
    STATE(6088), 1,
      aux_sym_compound_type_repeat1,
    STATE(8886), 1,
      sym_template_body,
    STATE(8897), 1,
      sym__refinement,
    STATE(4719), 2,
      sym_comment,
      sym_block_comment,
    STATE(9136), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [248781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [248827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7288), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [248873] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248919] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248965] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249011] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249057] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249103] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1115), 1,
      anon_sym_LBRACE,
    ACTIONS(8849), 1,
      anon_sym_LPAREN,
    ACTIONS(9191), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(4727), 2,
      sym_comment,
      sym_block_comment,
    STATE(6595), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8949), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8947), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249161] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9193), 1,
      anon_sym_DOT,
    STATE(4728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249209] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1079), 1,
      anon_sym_LBRACE,
    ACTIONS(8494), 1,
      anon_sym_LPAREN,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9195), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(4729), 2,
      sym_comment,
      sym_block_comment,
    STATE(6418), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8997), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249269] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9197), 1,
      anon_sym_LBRACK,
    ACTIONS(9199), 1,
      anon_sym_LPAREN,
    ACTIONS(9201), 1,
      anon_sym_POUND,
    STATE(5054), 1,
      aux_sym_annotation_repeat1,
    STATE(5786), 1,
      sym_type_arguments,
    STATE(6331), 1,
      sym_arguments,
    STATE(4730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249327] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9207), 1,
      anon_sym_AT,
    STATE(5264), 1,
      sym_annotation,
    STATE(4731), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249377] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(9127), 1,
      anon_sym_COLON,
    ACTIONS(9129), 1,
      anon_sym_LBRACE,
    ACTIONS(9131), 1,
      anon_sym_with,
    STATE(4790), 1,
      aux_sym_compound_type_repeat1,
    STATE(8867), 1,
      sym_template_body,
    STATE(8869), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4732), 2,
      sym_comment,
      sym_block_comment,
    STATE(9092), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [249443] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9003), 1,
      anon_sym_LBRACK,
    ACTIONS(9009), 1,
      anon_sym_POUND,
    ACTIONS(9210), 1,
      anon_sym_LPAREN,
    STATE(5269), 1,
      aux_sym_annotation_repeat1,
    STATE(5601), 1,
      sym_type_arguments,
    STATE(6298), 1,
      sym_arguments,
    STATE(4733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249501] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1115), 1,
      anon_sym_LBRACE,
    ACTIONS(8849), 1,
      anon_sym_LPAREN,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9191), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(4734), 2,
      sym_comment,
      sym_block_comment,
    STATE(6595), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8997), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249561] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1079), 1,
      anon_sym_LBRACE,
    ACTIONS(8494), 1,
      anon_sym_LPAREN,
    ACTIONS(9195), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(4735), 2,
      sym_comment,
      sym_block_comment,
    STATE(6418), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8949), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8947), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249619] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8397), 1,
      sym_interpolated_string,
    STATE(16011), 1,
      sym__interpolated_string_start,
    STATE(16012), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [249677] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8500), 1,
      anon_sym_LPAREN,
    STATE(4744), 1,
      aux_sym_annotation_repeat1,
    STATE(5025), 1,
      sym_arguments,
    STATE(4737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249729] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7288), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [249775] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249821] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(9148), 1,
      anon_sym_COLON,
    ACTIONS(9150), 1,
      anon_sym_LBRACE,
    ACTIONS(9152), 1,
      anon_sym_with,
    STATE(4719), 1,
      aux_sym_compound_type_repeat1,
    STATE(8886), 1,
      sym_template_body,
    STATE(8887), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4740), 2,
      sym_comment,
      sym_block_comment,
    STATE(9136), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 7,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [249887] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8516), 1,
      anon_sym_LPAREN,
    STATE(4743), 1,
      aux_sym_annotation_repeat1,
    STATE(5229), 1,
      sym_arguments,
    STATE(4741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249939] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9003), 1,
      anon_sym_LBRACK,
    ACTIONS(9005), 1,
      anon_sym_AT,
    ACTIONS(9009), 1,
      anon_sym_POUND,
    STATE(5293), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5601), 1,
      sym_type_arguments,
    STATE(6291), 1,
      sym_annotation,
    STATE(4742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249997] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9214), 1,
      anon_sym_LPAREN,
    STATE(5229), 1,
      sym_arguments,
    STATE(4743), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250047] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9217), 1,
      anon_sym_LPAREN,
    STATE(5025), 1,
      sym_arguments,
    STATE(4744), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250097] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9071), 1,
      anon_sym_LBRACK,
    ACTIONS(9075), 1,
      anon_sym_POUND,
    ACTIONS(9220), 1,
      anon_sym_AT,
    STATE(5209), 1,
      sym_type_arguments,
    STATE(5315), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6325), 1,
      sym_annotation,
    STATE(4745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250155] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9047), 1,
      anon_sym_with,
    STATE(5843), 1,
      aux_sym_compound_type_repeat1,
    STATE(7374), 1,
      sym_template_body,
    STATE(7382), 1,
      sym__refinement,
    STATE(4746), 2,
      sym_comment,
      sym_block_comment,
    STATE(7231), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [250211] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8931), 1,
      anon_sym_LBRACK,
    ACTIONS(8937), 1,
      anon_sym_POUND,
    ACTIONS(9222), 1,
      anon_sym_LPAREN,
    STATE(5261), 1,
      aux_sym_annotation_repeat1,
    STATE(5394), 1,
      sym_type_arguments,
    STATE(5981), 1,
      sym_arguments,
    STATE(4747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250269] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8228), 1,
      sym_interpolated_string,
    STATE(17018), 1,
      sym__interpolated_string_start,
    STATE(17019), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250327] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1115), 1,
      anon_sym_LBRACE,
    ACTIONS(8849), 1,
      anon_sym_LPAREN,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9191), 1,
      anon_sym_DOT,
    ACTIONS(9224), 1,
      sym_operator_identifier,
    STATE(1927), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(4749), 2,
      sym_comment,
      sym_block_comment,
    STATE(6595), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9061), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9063), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [250397] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6169), 1,
      sym_interpolated_string,
    STATE(16626), 1,
      sym__interpolated_string_start,
    STATE(16628), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9226), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250455] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7288), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [250501] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9228), 1,
      anon_sym_LBRACK,
    ACTIONS(9230), 1,
      anon_sym_AT,
    ACTIONS(9232), 1,
      anon_sym_LPAREN,
    ACTIONS(9234), 1,
      anon_sym_POUND,
    STATE(5694), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6299), 1,
      sym_type_arguments,
    STATE(6664), 1,
      sym_annotation,
    STATE(8348), 1,
      sym_arguments,
    STATE(4752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [250563] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8111), 1,
      sym_interpolated_string,
    STATE(17057), 1,
      sym__interpolated_string_start,
    STATE(17058), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [250621] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9236), 1,
      anon_sym_COLON,
    ACTIONS(9238), 1,
      anon_sym_LBRACE,
    ACTIONS(9240), 1,
      anon_sym_with,
    STATE(6210), 1,
      aux_sym_compound_type_repeat1,
    STATE(8957), 1,
      sym_template_body,
    STATE(8992), 1,
      sym__refinement,
    STATE(4754), 2,
      sym_comment,
      sym_block_comment,
    STATE(8727), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250681] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9242), 1,
      anon_sym_LBRACK,
    ACTIONS(9244), 1,
      anon_sym_LPAREN,
    ACTIONS(9246), 1,
      anon_sym_POUND,
    STATE(5278), 1,
      aux_sym_annotation_repeat1,
    STATE(5565), 1,
      sym_type_arguments,
    STATE(6225), 1,
      sym_arguments,
    STATE(4755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 6,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8262), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [250739] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8692), 1,
      anon_sym_AT,
    STATE(4764), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5288), 1,
      sym_annotation,
    STATE(4756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250791] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250837] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9033), 1,
      anon_sym_LBRACK,
    ACTIONS(9039), 1,
      anon_sym_POUND,
    ACTIONS(9252), 1,
      anon_sym_LPAREN,
    STATE(5274), 1,
      aux_sym_annotation_repeat1,
    STATE(5354), 1,
      sym_type_arguments,
    STATE(6048), 1,
      sym_arguments,
    STATE(4758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [250895] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6169), 1,
      sym_interpolated_string,
    STATE(16626), 1,
      sym__interpolated_string_start,
    STATE(16628), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9254), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [250953] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9256), 1,
      anon_sym_DOT,
    STATE(4760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251001] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8364), 1,
      anon_sym_AT,
    STATE(4731), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5264), 1,
      sym_annotation,
    STATE(4761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251053] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9258), 1,
      anon_sym_LBRACK,
    ACTIONS(9260), 1,
      anon_sym_AT,
    ACTIONS(9262), 1,
      anon_sym_LPAREN,
    ACTIONS(9264), 1,
      anon_sym_POUND,
    STATE(5567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5799), 1,
      sym_type_arguments,
    STATE(6771), 1,
      sym_annotation,
    STATE(8172), 1,
      sym_arguments,
    STATE(4762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251115] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9266), 1,
      anon_sym_with,
    STATE(4859), 1,
      aux_sym_compound_type_repeat1,
    STATE(8028), 1,
      sym_template_body,
    STATE(8029), 1,
      sym__refinement,
    STATE(8348), 1,
      sym_arguments,
    STATE(4763), 2,
      sym_comment,
      sym_block_comment,
    STATE(8496), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [251173] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9268), 1,
      anon_sym_AT,
    STATE(5288), 1,
      sym_annotation,
    STATE(4764), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251223] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8989), 1,
      anon_sym_LBRACK,
    ACTIONS(8993), 1,
      anon_sym_POUND,
    ACTIONS(9271), 1,
      anon_sym_AT,
    STATE(5017), 1,
      sym_type_arguments,
    STATE(5284), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6138), 1,
      sym_annotation,
    STATE(4765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251281] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9001), 1,
      anon_sym_with,
    STATE(6262), 1,
      aux_sym_compound_type_repeat1,
    STATE(7316), 1,
      sym_template_body,
    STATE(7324), 1,
      sym__refinement,
    STATE(4766), 2,
      sym_comment,
      sym_block_comment,
    STATE(7082), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251337] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8931), 1,
      anon_sym_LBRACK,
    ACTIONS(8933), 1,
      anon_sym_AT,
    ACTIONS(8937), 1,
      anon_sym_POUND,
    STATE(5243), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5394), 1,
      sym_type_arguments,
    STATE(6004), 1,
      sym_annotation,
    STATE(4767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251395] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9033), 1,
      anon_sym_LBRACK,
    ACTIONS(9035), 1,
      anon_sym_AT,
    ACTIONS(9039), 1,
      anon_sym_POUND,
    STATE(5314), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5354), 1,
      sym_type_arguments,
    STATE(6190), 1,
      sym_annotation,
    STATE(4768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [251453] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9174), 1,
      anon_sym_COLON,
    ACTIONS(9176), 1,
      anon_sym_LBRACE,
    ACTIONS(9178), 1,
      anon_sym_with,
    STATE(4712), 1,
      aux_sym_compound_type_repeat1,
    STATE(9313), 1,
      sym_template_body,
    STATE(9314), 1,
      sym__refinement,
    STATE(4769), 2,
      sym_comment,
      sym_block_comment,
    STATE(9398), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251513] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9236), 1,
      anon_sym_COLON,
    ACTIONS(9238), 1,
      anon_sym_LBRACE,
    ACTIONS(9240), 1,
      anon_sym_with,
    STATE(4754), 1,
      aux_sym_compound_type_repeat1,
    STATE(8957), 1,
      sym_template_body,
    STATE(8958), 1,
      sym__refinement,
    STATE(4770), 2,
      sym_comment,
      sym_block_comment,
    STATE(8727), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251573] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [251619] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9273), 1,
      anon_sym_with,
    STATE(4864), 1,
      aux_sym_compound_type_repeat1,
    STATE(8152), 1,
      sym_template_body,
    STATE(8157), 1,
      sym__refinement,
    STATE(8172), 1,
      sym_arguments,
    STATE(4772), 2,
      sym_comment,
      sym_block_comment,
    STATE(8537), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251677] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9275), 1,
      anon_sym_LBRACK,
    ACTIONS(9277), 1,
      anon_sym_LPAREN,
    ACTIONS(9279), 1,
      anon_sym_POUND,
    STATE(5070), 1,
      aux_sym_annotation_repeat1,
    STATE(5404), 1,
      sym_type_arguments,
    STATE(6196), 1,
      sym_arguments,
    STATE(4773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251735] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(9174), 1,
      anon_sym_COLON,
    ACTIONS(9176), 1,
      anon_sym_LBRACE,
    ACTIONS(9178), 1,
      anon_sym_with,
    STATE(4712), 1,
      aux_sym_compound_type_repeat1,
    STATE(9313), 1,
      sym_template_body,
    STATE(9314), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4774), 2,
      sym_comment,
      sym_block_comment,
    STATE(9398), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [251801] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251847] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9051), 1,
      anon_sym_LBRACK,
    ACTIONS(9055), 1,
      anon_sym_POUND,
    ACTIONS(9281), 1,
      anon_sym_AT,
    STATE(5068), 1,
      sym_type_arguments,
    STATE(5228), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5950), 1,
      sym_annotation,
    STATE(4776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251905] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9115), 1,
      anon_sym_with,
    STATE(6184), 1,
      aux_sym_compound_type_repeat1,
    STATE(7675), 1,
      sym_template_body,
    STATE(7682), 1,
      sym__refinement,
    STATE(4777), 2,
      sym_comment,
      sym_block_comment,
    STATE(7284), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251961] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252007] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9285), 1,
      anon_sym_COLON,
    ACTIONS(9287), 1,
      anon_sym_LBRACE,
    ACTIONS(9289), 1,
      anon_sym_with,
    STATE(4789), 1,
      aux_sym_compound_type_repeat1,
    STATE(9103), 1,
      sym_template_body,
    STATE(9105), 1,
      sym__refinement,
    STATE(4779), 2,
      sym_comment,
      sym_block_comment,
    STATE(8756), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252067] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7288), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [252113] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252159] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(9236), 1,
      anon_sym_COLON,
    ACTIONS(9238), 1,
      anon_sym_LBRACE,
    ACTIONS(9240), 1,
      anon_sym_with,
    STATE(4754), 1,
      aux_sym_compound_type_repeat1,
    STATE(8957), 1,
      sym_template_body,
    STATE(8958), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4782), 2,
      sym_comment,
      sym_block_comment,
    STATE(8727), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [252225] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1079), 1,
      anon_sym_LBRACE,
    ACTIONS(8494), 1,
      anon_sym_LPAREN,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9195), 1,
      anon_sym_DOT,
    ACTIONS(9293), 1,
      sym_operator_identifier,
    STATE(1935), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(4783), 2,
      sym_comment,
      sym_block_comment,
    STATE(6418), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9061), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9063), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [252295] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(8242), 1,
      anon_sym_infix,
    ACTIONS(8244), 1,
      anon_sym_open,
    ACTIONS(8246), 1,
      anon_sym_transparent,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(9297), 1,
      sym_operator_identifier,
    STATE(7630), 1,
      aux_sym_modifiers_repeat1,
    STATE(9830), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(13048), 1,
      sym_modifiers,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15737), 1,
      sym_identifier,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8234), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(9295), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4784), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [252375] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(9285), 1,
      anon_sym_COLON,
    ACTIONS(9287), 1,
      anon_sym_LBRACE,
    ACTIONS(9289), 1,
      anon_sym_with,
    STATE(4789), 1,
      aux_sym_compound_type_repeat1,
    STATE(9103), 1,
      sym_template_body,
    STATE(9105), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4785), 2,
      sym_comment,
      sym_block_comment,
    STATE(8756), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [252441] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9099), 1,
      anon_sym_LBRACK,
    ACTIONS(9103), 1,
      anon_sym_POUND,
    ACTIONS(9299), 1,
      anon_sym_AT,
    STATE(5118), 1,
      sym_type_arguments,
    STATE(5270), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6096), 1,
      sym_annotation,
    STATE(4786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252499] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252545] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9011), 1,
      anon_sym_LBRACK,
    ACTIONS(9015), 1,
      anon_sym_POUND,
    ACTIONS(9301), 1,
      anon_sym_AT,
    STATE(5029), 1,
      sym_type_arguments,
    STATE(5291), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6142), 1,
      sym_annotation,
    STATE(4788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [252603] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9285), 1,
      anon_sym_COLON,
    ACTIONS(9287), 1,
      anon_sym_LBRACE,
    ACTIONS(9289), 1,
      anon_sym_with,
    STATE(5796), 1,
      aux_sym_compound_type_repeat1,
    STATE(9103), 1,
      sym_template_body,
    STATE(9126), 1,
      sym__refinement,
    STATE(4789), 2,
      sym_comment,
      sym_block_comment,
    STATE(8756), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252663] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9127), 1,
      anon_sym_COLON,
    ACTIONS(9129), 1,
      anon_sym_LBRACE,
    ACTIONS(9131), 1,
      anon_sym_with,
    STATE(6060), 1,
      aux_sym_compound_type_repeat1,
    STATE(8867), 1,
      sym_template_body,
    STATE(8873), 1,
      sym__refinement,
    STATE(4790), 2,
      sym_comment,
      sym_block_comment,
    STATE(9092), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252723] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(4791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252771] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252817] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9017), 1,
      anon_sym_DOT,
    ACTIONS(9305), 1,
      anon_sym_EQ_GT,
    STATE(4793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252867] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252913] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252959] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8758), 1,
      anon_sym_LPAREN,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(9311), 1,
      anon_sym_COMMA,
    ACTIONS(9315), 1,
      anon_sym_RPAREN,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10605), 1,
      sym_interpolated_string,
    STATE(16953), 1,
      sym__interpolated_string_start,
    STATE(16955), 1,
      sym__interpolated_multiline_string_start,
    STATE(17111), 1,
      aux_sym_case_class_pattern_repeat1,
    ACTIONS(8410), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2648), 3,
      anon_sym_COLON,
      anon_sym_match,
      anon_sym_EQ,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [253045] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      anon_sym_with,
    STATE(4994), 1,
      aux_sym_compound_type_repeat1,
    STATE(8213), 1,
      sym_template_body,
    STATE(8214), 1,
      sym__refinement,
    STATE(8447), 1,
      sym_arguments,
    STATE(4797), 2,
      sym_comment,
      sym_block_comment,
    STATE(8196), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [253103] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253149] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253195] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(4800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253242] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9325), 1,
      anon_sym_LBRACK,
    ACTIONS(9327), 1,
      anon_sym_LPAREN,
    ACTIONS(9329), 1,
      anon_sym_POUND,
    STATE(5421), 1,
      aux_sym_annotation_repeat1,
    STATE(6055), 1,
      sym_type_arguments,
    STATE(6389), 1,
      sym_arguments,
    STATE(4801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [253299] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253344] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6169), 1,
      sym_interpolated_string,
    STATE(16626), 1,
      sym__interpolated_string_start,
    STATE(16628), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9331), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [253401] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253446] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253491] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253581] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9333), 1,
      anon_sym_AT,
    STATE(5390), 1,
      sym_annotation,
    STATE(4808), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253630] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9336), 1,
      anon_sym_COLON,
    ACTIONS(9338), 1,
      anon_sym_LBRACE,
    ACTIONS(9340), 1,
      anon_sym_with,
    STATE(7013), 1,
      aux_sym_compound_type_repeat1,
    STATE(9434), 1,
      sym__refinement,
    STATE(9923), 1,
      sym_template_body,
    STATE(4809), 2,
      sym_comment,
      sym_block_comment,
    STATE(9670), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [253689] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [253734] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9344), 1,
      anon_sym_COLON,
    ACTIONS(9347), 1,
      anon_sym_LBRACE,
    STATE(6224), 1,
      sym_template_body,
    STATE(4811), 2,
      sym_comment,
      sym_block_comment,
    STATE(6327), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9350), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9342), 17,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7288), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [253832] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253877] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253922] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [254012] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [254057] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9352), 1,
      anon_sym_with,
    STATE(5061), 1,
      aux_sym_compound_type_repeat1,
    STATE(8949), 1,
      sym_arguments,
    STATE(9201), 1,
      sym_template_body,
    STATE(9202), 1,
      sym__refinement,
    STATE(4818), 2,
      sym_comment,
      sym_block_comment,
    STATE(9074), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8370), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [254114] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9258), 1,
      anon_sym_LBRACK,
    ACTIONS(9264), 1,
      anon_sym_POUND,
    ACTIONS(9354), 1,
      anon_sym_LPAREN,
    STATE(5535), 1,
      aux_sym_annotation_repeat1,
    STATE(5799), 1,
      sym_type_arguments,
    STATE(6624), 1,
      sym_arguments,
    STATE(4819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254171] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1151), 1,
      anon_sym_LBRACE,
    ACTIONS(8935), 1,
      anon_sym_LPAREN,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9356), 1,
      anon_sym_DOT,
    ACTIONS(9358), 1,
      sym_operator_identifier,
    STATE(1926), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(4820), 2,
      sym_comment,
      sym_block_comment,
    STATE(7304), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9061), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9063), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [254240] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8991), 1,
      anon_sym_LPAREN,
    STATE(4848), 1,
      aux_sym_annotation_repeat1,
    STATE(5642), 1,
      sym_arguments,
    STATE(4821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254291] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254336] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9246), 1,
      sym_interpolated_string,
    STATE(15950), 1,
      sym__interpolated_string_start,
    STATE(15951), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [254393] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254438] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1151), 1,
      anon_sym_LBRACE,
    ACTIONS(8935), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(4825), 2,
      sym_comment,
      sym_block_comment,
    STATE(7304), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8949), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8947), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254495] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254540] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254585] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254630] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(4829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254677] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9360), 1,
      anon_sym_COLON,
    ACTIONS(9362), 1,
      anon_sym_LBRACE,
    ACTIONS(9364), 1,
      anon_sym_with,
    STATE(4847), 1,
      aux_sym_compound_type_repeat1,
    STATE(9480), 1,
      sym_template_body,
    STATE(9481), 1,
      sym__refinement,
    STATE(4830), 2,
      sym_comment,
      sym_block_comment,
    STATE(9731), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [254736] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9368), 1,
      anon_sym_LPAREN,
    ACTIONS(9370), 1,
      anon_sym_POUND,
    STATE(5646), 1,
      aux_sym_annotation_repeat1,
    STATE(5907), 1,
      sym_type_arguments,
    STATE(6466), 1,
      sym_arguments,
    STATE(4831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8262), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [254793] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254883] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9256), 1,
      anon_sym_DOT,
    ACTIONS(9372), 1,
      anon_sym_EQ_GT,
    STATE(4834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254932] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254977] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8847), 1,
      anon_sym_AT,
    STATE(4967), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5699), 1,
      sym_annotation,
    STATE(4836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255028] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255073] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255118] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(9374), 1,
      anon_sym_COLON,
    ACTIONS(9376), 1,
      anon_sym_LBRACE,
    ACTIONS(9378), 1,
      anon_sym_with,
    STATE(4974), 1,
      aux_sym_compound_type_repeat1,
    STATE(9845), 1,
      sym_template_body,
    STATE(9847), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4839), 2,
      sym_comment,
      sym_block_comment,
    STATE(9675), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [255183] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255228] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255273] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255318] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1259), 1,
      anon_sym_LBRACE,
    ACTIONS(9037), 1,
      anon_sym_LPAREN,
    ACTIONS(9380), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(4843), 2,
      sym_comment,
      sym_block_comment,
    STATE(7359), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8949), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8947), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [255375] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9382), 1,
      anon_sym_with,
    STATE(5258), 1,
      aux_sym_compound_type_repeat1,
    STATE(9244), 1,
      sym_arguments,
    STATE(9390), 1,
      sym_template_body,
    STATE(9391), 1,
      sym__refinement,
    STATE(4844), 2,
      sym_comment,
      sym_block_comment,
    STATE(8777), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [255432] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9384), 1,
      anon_sym_with,
    STATE(5052), 1,
      aux_sym_compound_type_repeat1,
    STATE(8697), 1,
      sym_arguments,
    STATE(9340), 1,
      sym_template_body,
    STATE(9341), 1,
      sym__refinement,
    STATE(4845), 2,
      sym_comment,
      sym_block_comment,
    STATE(9420), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [255489] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    ACTIONS(9119), 1,
      anon_sym_AT,
    ACTIONS(9123), 1,
      anon_sym_POUND,
    STATE(5712), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5886), 1,
      sym_type_arguments,
    STATE(7055), 1,
      sym_annotation,
    STATE(4846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [255546] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9360), 1,
      anon_sym_COLON,
    ACTIONS(9362), 1,
      anon_sym_LBRACE,
    ACTIONS(9364), 1,
      anon_sym_with,
    STATE(7067), 1,
      aux_sym_compound_type_repeat1,
    STATE(9480), 1,
      sym_template_body,
    STATE(9487), 1,
      sym__refinement,
    STATE(4847), 2,
      sym_comment,
      sym_block_comment,
    STATE(9731), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [255605] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9386), 1,
      anon_sym_LPAREN,
    STATE(5642), 1,
      sym_arguments,
    STATE(4848), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255654] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255699] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255744] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255834] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255879] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255924] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9391), 1,
      anon_sym_DOT,
    STATE(4855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255971] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256016] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256061] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256106] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9266), 1,
      anon_sym_with,
    STATE(6570), 1,
      aux_sym_compound_type_repeat1,
    STATE(8028), 1,
      sym_template_body,
    STATE(8031), 1,
      sym__refinement,
    STATE(4859), 2,
      sym_comment,
      sym_block_comment,
    STATE(8496), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [256161] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9336), 1,
      anon_sym_COLON,
    ACTIONS(9338), 1,
      anon_sym_LBRACE,
    ACTIONS(9340), 1,
      anon_sym_with,
    STATE(4809), 1,
      aux_sym_compound_type_repeat1,
    STATE(9923), 1,
      sym_template_body,
    STATE(9925), 1,
      sym__refinement,
    STATE(4860), 2,
      sym_comment,
      sym_block_comment,
    STATE(9670), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [256220] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256265] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9393), 1,
      anon_sym_LBRACK,
    ACTIONS(9395), 1,
      anon_sym_LPAREN,
    ACTIONS(9397), 1,
      anon_sym_POUND,
    STATE(4537), 1,
      sym_type_arguments,
    STATE(4655), 1,
      sym_arguments,
    STATE(5914), 1,
      aux_sym_annotation_repeat1,
    STATE(4862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 24,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [256320] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(9360), 1,
      anon_sym_COLON,
    ACTIONS(9362), 1,
      anon_sym_LBRACE,
    ACTIONS(9364), 1,
      anon_sym_with,
    STATE(4847), 1,
      aux_sym_compound_type_repeat1,
    STATE(9480), 1,
      sym_template_body,
    STATE(9481), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4863), 2,
      sym_comment,
      sym_block_comment,
    STATE(9731), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8638), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [256385] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9273), 1,
      anon_sym_with,
    STATE(6691), 1,
      aux_sym_compound_type_repeat1,
    STATE(8152), 1,
      sym_template_body,
    STATE(8400), 1,
      sym__refinement,
    STATE(4864), 2,
      sym_comment,
      sym_block_comment,
    STATE(8537), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256440] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9019), 1,
      anon_sym_LPAREN,
    STATE(4867), 1,
      aux_sym_annotation_repeat1,
    STATE(5578), 1,
      sym_arguments,
    STATE(4865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256491] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9053), 1,
      anon_sym_LPAREN,
    STATE(4871), 1,
      aux_sym_annotation_repeat1,
    STATE(5559), 1,
      sym_arguments,
    STATE(4866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256542] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9399), 1,
      anon_sym_LPAREN,
    STATE(5578), 1,
      sym_arguments,
    STATE(4867), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256681] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7456), 1,
      sym_interpolated_string,
    STATE(16757), 1,
      sym__interpolated_string_start,
    STATE(16758), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9402), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [256738] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9404), 1,
      anon_sym_LPAREN,
    STATE(5559), 1,
      sym_arguments,
    STATE(4871), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256787] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(4872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256834] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(9407), 1,
      anon_sym_COLON,
    ACTIONS(9409), 1,
      anon_sym_LBRACE,
    ACTIONS(9411), 1,
      anon_sym_with,
    STATE(4945), 1,
      aux_sym_compound_type_repeat1,
    STATE(9253), 1,
      sym_template_body,
    STATE(9260), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4873), 2,
      sym_comment,
      sym_block_comment,
    STATE(8998), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(8638), 5,
      anon_sym_as,
      anon_sym_while,
      anon_sym_EQ,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [256899] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9413), 1,
      anon_sym_AT,
    STATE(5508), 1,
      sym_annotation,
    STATE(4874), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256948] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(4875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [256995] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9228), 1,
      anon_sym_LBRACK,
    ACTIONS(9230), 1,
      anon_sym_AT,
    ACTIONS(9234), 1,
      anon_sym_POUND,
    STATE(5694), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6299), 1,
      sym_type_arguments,
    STATE(6664), 1,
      sym_annotation,
    STATE(4876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [257052] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9013), 1,
      anon_sym_LPAREN,
    STATE(4905), 1,
      aux_sym_annotation_repeat1,
    STATE(5705), 1,
      sym_arguments,
    STATE(4877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [257103] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6593), 1,
      sym_interpolated_string,
    STATE(16385), 1,
      sym__interpolated_string_start,
    STATE(16386), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9416), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257160] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9418), 1,
      anon_sym_LBRACK,
    ACTIONS(9420), 1,
      anon_sym_AT,
    ACTIONS(9422), 1,
      anon_sym_LPAREN,
    ACTIONS(9424), 1,
      anon_sym_POUND,
    STATE(6146), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6944), 1,
      sym_type_arguments,
    STATE(7140), 1,
      sym_annotation,
    STATE(8697), 1,
      sym_arguments,
    STATE(4879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [257221] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8111), 1,
      sym_interpolated_string,
    STATE(17057), 1,
      sym__interpolated_string_start,
    STATE(17058), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9426), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [257278] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6908), 1,
      sym_interpolated_string,
    STATE(15958), 1,
      sym__interpolated_string_start,
    STATE(15959), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9428), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257335] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9430), 1,
      anon_sym_COLON,
    ACTIONS(9432), 1,
      anon_sym_LBRACE,
    ACTIONS(9434), 1,
      anon_sym_with,
    STATE(4993), 1,
      aux_sym_compound_type_repeat1,
    STATE(9775), 1,
      sym_template_body,
    STATE(9777), 1,
      sym__refinement,
    STATE(4882), 2,
      sym_comment,
      sym_block_comment,
    STATE(9617), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257394] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9436), 1,
      anon_sym_DOT,
    STATE(4883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257441] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257486] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9168), 1,
      anon_sym_LBRACK,
    ACTIONS(9172), 1,
      anon_sym_POUND,
    ACTIONS(9438), 1,
      anon_sym_AT,
    STATE(5635), 1,
      sym_type_arguments,
    STATE(5636), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7012), 1,
      sym_annotation,
    STATE(4885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [257543] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257588] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7288), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [257633] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257678] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9113), 1,
      anon_sym_AT,
    STATE(4982), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5729), 1,
      sym_annotation,
    STATE(4889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257729] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9049), 1,
      anon_sym_LPAREN,
    STATE(4894), 1,
      aux_sym_annotation_repeat1,
    STATE(5752), 1,
      sym_arguments,
    STATE(4890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257780] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1259), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9037), 1,
      anon_sym_LPAREN,
    ACTIONS(9380), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(4891), 2,
      sym_comment,
      sym_block_comment,
    STATE(7359), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8997), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [257839] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9440), 1,
      anon_sym_LBRACK,
    ACTIONS(9442), 1,
      anon_sym_AT,
    ACTIONS(9444), 1,
      anon_sym_LPAREN,
    ACTIONS(9446), 1,
      anon_sym_POUND,
    STATE(6188), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6929), 1,
      sym_type_arguments,
    STATE(7497), 1,
      sym_annotation,
    STATE(8949), 1,
      sym_arguments,
    STATE(4892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [257900] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9073), 1,
      anon_sym_LPAREN,
    STATE(4956), 1,
      aux_sym_annotation_repeat1,
    STATE(5671), 1,
      sym_arguments,
    STATE(4893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257951] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9448), 1,
      anon_sym_LPAREN,
    STATE(5752), 1,
      sym_arguments,
    STATE(4894), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258000] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [258045] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9275), 1,
      anon_sym_LBRACK,
    ACTIONS(9279), 1,
      anon_sym_POUND,
    ACTIONS(9451), 1,
      anon_sym_AT,
    STATE(5404), 1,
      sym_type_arguments,
    STATE(5755), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6357), 1,
      sym_annotation,
    STATE(4896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258102] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [258147] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(9007), 1,
      anon_sym_LPAREN,
    ACTIONS(9453), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(4898), 2,
      sym_comment,
      sym_block_comment,
    STATE(7632), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8949), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8947), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258204] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9455), 1,
      anon_sym_DOT,
    STATE(4899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258251] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9457), 1,
      anon_sym_DOT,
    STATE(4900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258298] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9197), 1,
      anon_sym_LBRACK,
    ACTIONS(9201), 1,
      anon_sym_POUND,
    ACTIONS(9459), 1,
      anon_sym_AT,
    STATE(5632), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5786), 1,
      sym_type_arguments,
    STATE(6499), 1,
      sym_annotation,
    STATE(4901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258355] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1259), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9037), 1,
      anon_sym_LPAREN,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9380), 1,
      anon_sym_DOT,
    ACTIONS(9461), 1,
      sym_operator_identifier,
    STATE(1924), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(4902), 2,
      sym_comment,
      sym_block_comment,
    STATE(7359), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9061), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9063), 7,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [258424] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9463), 1,
      anon_sym_DOT,
    STATE(4903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [258471] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9374), 1,
      anon_sym_COLON,
    ACTIONS(9376), 1,
      anon_sym_LBRACE,
    ACTIONS(9378), 1,
      anon_sym_with,
    STATE(4974), 1,
      aux_sym_compound_type_repeat1,
    STATE(9845), 1,
      sym_template_body,
    STATE(9847), 1,
      sym__refinement,
    STATE(4904), 2,
      sym_comment,
      sym_block_comment,
    STATE(9675), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258530] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9465), 1,
      anon_sym_LPAREN,
    STATE(5705), 1,
      sym_arguments,
    STATE(4905), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [258579] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(4906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258626] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9101), 1,
      anon_sym_LPAREN,
    STATE(4909), 1,
      aux_sym_annotation_repeat1,
    STATE(5621), 1,
      sym_arguments,
    STATE(4907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258677] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9007), 1,
      anon_sym_LPAREN,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9453), 1,
      anon_sym_DOT,
    ACTIONS(9468), 1,
      sym_operator_identifier,
    STATE(1939), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(4908), 2,
      sym_comment,
      sym_block_comment,
    STATE(7632), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9061), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9063), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [258746] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9470), 1,
      anon_sym_LPAREN,
    STATE(5621), 1,
      sym_arguments,
    STATE(4909), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258795] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    ACTIONS(9123), 1,
      anon_sym_POUND,
    ACTIONS(9473), 1,
      anon_sym_LPAREN,
    STATE(5672), 1,
      aux_sym_annotation_repeat1,
    STATE(5886), 1,
      sym_type_arguments,
    STATE(6515), 1,
      sym_arguments,
    STATE(4910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [258852] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9475), 1,
      anon_sym_LBRACK,
    ACTIONS(9477), 1,
      anon_sym_AT,
    ACTIONS(9479), 1,
      anon_sym_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_POUND,
    STATE(6023), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6350), 1,
      sym_type_arguments,
    STATE(7194), 1,
      sym_annotation,
    STATE(9244), 1,
      sym_arguments,
    STATE(4911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [258913] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(4912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258960] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9189), 1,
      anon_sym_DOT,
    ACTIONS(9483), 1,
      anon_sym_EQ_GT,
    STATE(4913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259009] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9485), 1,
      anon_sym_COLON,
    ACTIONS(9487), 1,
      anon_sym_LBRACE,
    ACTIONS(9489), 1,
      anon_sym_with,
    STATE(6491), 1,
      aux_sym_compound_type_repeat1,
    STATE(9582), 1,
      sym_template_body,
    STATE(9588), 1,
      sym__refinement,
    STATE(4914), 2,
      sym_comment,
      sym_block_comment,
    STATE(9794), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [259068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259113] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [259158] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6593), 1,
      sym_interpolated_string,
    STATE(16385), 1,
      sym__interpolated_string_start,
    STATE(16386), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9491), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [259215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259260] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6908), 1,
      sym_interpolated_string,
    STATE(15958), 1,
      sym__interpolated_string_start,
    STATE(15959), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9493), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [259317] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9495), 1,
      anon_sym_with,
    STATE(5136), 1,
      aux_sym_compound_type_repeat1,
    STATE(8920), 1,
      sym_arguments,
    STATE(9271), 1,
      sym_template_body,
    STATE(9272), 1,
      sym__refinement,
    STATE(4920), 2,
      sym_comment,
      sym_block_comment,
    STATE(9330), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [259374] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7288), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [259419] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(9497), 1,
      anon_sym_COLON,
    ACTIONS(9499), 1,
      anon_sym_LBRACE,
    ACTIONS(9501), 1,
      anon_sym_with,
    STATE(4964), 1,
      aux_sym_compound_type_repeat1,
    STATE(9449), 1,
      sym_template_body,
    STATE(9450), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4922), 2,
      sym_comment,
      sym_block_comment,
    STATE(9667), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [259484] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259529] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9007), 1,
      anon_sym_LPAREN,
    ACTIONS(9453), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(4924), 2,
      sym_comment,
      sym_block_comment,
    STATE(7632), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8997), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259588] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259633] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9335), 1,
      sym_interpolated_string,
    STATE(16069), 1,
      sym__interpolated_string_start,
    STATE(16071), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [259690] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9485), 1,
      anon_sym_COLON,
    ACTIONS(9487), 1,
      anon_sym_LBRACE,
    ACTIONS(9489), 1,
      anon_sym_with,
    STATE(4914), 1,
      aux_sym_compound_type_repeat1,
    STATE(9582), 1,
      sym_template_body,
    STATE(9583), 1,
      sym__refinement,
    STATE(4927), 2,
      sym_comment,
      sym_block_comment,
    STATE(9794), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [259749] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259794] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9503), 1,
      anon_sym_LBRACK,
    ACTIONS(9505), 1,
      anon_sym_LPAREN,
    ACTIONS(9507), 1,
      anon_sym_POUND,
    STATE(5667), 1,
      aux_sym_annotation_repeat1,
    STATE(5842), 1,
      sym_type_arguments,
    STATE(6487), 1,
      sym_arguments,
    STATE(4929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [259851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259896] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(4931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259943] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9242), 1,
      anon_sym_LBRACK,
    ACTIONS(9246), 1,
      anon_sym_POUND,
    ACTIONS(9509), 1,
      anon_sym_AT,
    STATE(5541), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5565), 1,
      sym_type_arguments,
    STATE(6979), 1,
      sym_annotation,
    STATE(4932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [260000] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260045] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260090] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9497), 1,
      anon_sym_COLON,
    ACTIONS(9499), 1,
      anon_sym_LBRACE,
    ACTIONS(9501), 1,
      anon_sym_with,
    STATE(4964), 1,
      aux_sym_compound_type_repeat1,
    STATE(9449), 1,
      sym_template_body,
    STATE(9450), 1,
      sym__refinement,
    STATE(4935), 2,
      sym_comment,
      sym_block_comment,
    STATE(9667), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260149] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7288), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [260194] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(9485), 1,
      anon_sym_COLON,
    ACTIONS(9487), 1,
      anon_sym_LBRACE,
    ACTIONS(9489), 1,
      anon_sym_with,
    STATE(4914), 1,
      aux_sym_compound_type_repeat1,
    STATE(9582), 1,
      sym_template_body,
    STATE(9583), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4937), 2,
      sym_comment,
      sym_block_comment,
    STATE(9794), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 6,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [260259] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260304] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9154), 1,
      anon_sym_LBRACK,
    ACTIONS(9158), 1,
      anon_sym_POUND,
    ACTIONS(9511), 1,
      anon_sym_AT,
    STATE(5483), 1,
      sym_type_arguments,
    STATE(5606), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7042), 1,
      sym_annotation,
    STATE(4939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260361] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260406] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260451] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9162), 1,
      anon_sym_LBRACK,
    ACTIONS(9166), 1,
      anon_sym_POUND,
    ACTIONS(9513), 1,
      anon_sym_AT,
    STATE(5368), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5534), 1,
      sym_type_arguments,
    STATE(6400), 1,
      sym_annotation,
    STATE(4942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [260508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260598] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9407), 1,
      anon_sym_COLON,
    ACTIONS(9409), 1,
      anon_sym_LBRACE,
    ACTIONS(9411), 1,
      anon_sym_with,
    STATE(6870), 1,
      aux_sym_compound_type_repeat1,
    STATE(9253), 1,
      sym_template_body,
    STATE(9360), 1,
      sym__refinement,
    STATE(4945), 2,
      sym_comment,
      sym_block_comment,
    STATE(8998), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8556), 16,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [260657] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260702] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260747] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260792] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9209), 1,
      sym_interpolated_string,
    STATE(16134), 1,
      sym__interpolated_string_start,
    STATE(16136), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [260849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260894] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1151), 1,
      anon_sym_LBRACE,
    ACTIONS(8935), 1,
      anon_sym_LPAREN,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9356), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(4951), 2,
      sym_comment,
      sym_block_comment,
    STATE(7304), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8997), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260953] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260998] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9258), 1,
      anon_sym_LBRACK,
    ACTIONS(9260), 1,
      anon_sym_AT,
    ACTIONS(9264), 1,
      anon_sym_POUND,
    STATE(5567), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5799), 1,
      sym_type_arguments,
    STATE(6771), 1,
      sym_annotation,
    STATE(4953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261055] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(9336), 1,
      anon_sym_COLON,
    ACTIONS(9338), 1,
      anon_sym_LBRACE,
    ACTIONS(9340), 1,
      anon_sym_with,
    STATE(4809), 1,
      aux_sym_compound_type_repeat1,
    STATE(9923), 1,
      sym_template_body,
    STATE(9925), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4954), 2,
      sym_comment,
      sym_block_comment,
    STATE(9670), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 6,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [261120] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8981), 1,
      anon_sym_AT,
    STATE(4996), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5762), 1,
      sym_annotation,
    STATE(4955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261171] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9515), 1,
      anon_sym_LPAREN,
    STATE(5671), 1,
      sym_arguments,
    STATE(4956), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261220] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261265] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261310] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261400] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261445] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8111), 1,
      sym_interpolated_string,
    STATE(17057), 1,
      sym__interpolated_string_start,
    STATE(17058), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9518), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [261502] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261547] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9497), 1,
      anon_sym_COLON,
    ACTIONS(9499), 1,
      anon_sym_LBRACE,
    ACTIONS(9501), 1,
      anon_sym_with,
    STATE(7040), 1,
      aux_sym_compound_type_repeat1,
    STATE(9449), 1,
      sym_template_body,
    STATE(9456), 1,
      sym__refinement,
    STATE(4964), 2,
      sym_comment,
      sym_block_comment,
    STATE(9667), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261606] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9305), 1,
      anon_sym_EQ_GT,
    STATE(4965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261653] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9520), 1,
      anon_sym_DOT,
    STATE(4966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261700] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9522), 1,
      anon_sym_AT,
    STATE(5699), 1,
      sym_annotation,
    STATE(4967), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261749] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9228), 1,
      anon_sym_LBRACK,
    ACTIONS(9234), 1,
      anon_sym_POUND,
    ACTIONS(9525), 1,
      anon_sym_LPAREN,
    STATE(5369), 1,
      aux_sym_annotation_repeat1,
    STATE(6299), 1,
      sym_type_arguments,
    STATE(6360), 1,
      sym_arguments,
    STATE(4968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [261806] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261896] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8940), 1,
      sym_interpolated_string,
    STATE(16603), 1,
      sym__interpolated_string_start,
    STATE(16604), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [261953] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9527), 1,
      anon_sym_DOT,
    STATE(4972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262000] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262045] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9374), 1,
      anon_sym_COLON,
    ACTIONS(9376), 1,
      anon_sym_LBRACE,
    ACTIONS(9378), 1,
      anon_sym_with,
    STATE(6523), 1,
      aux_sym_compound_type_repeat1,
    STATE(9623), 1,
      sym__refinement,
    STATE(9845), 1,
      sym_template_body,
    STATE(4974), 2,
      sym_comment,
      sym_block_comment,
    STATE(9675), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262149] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262194] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9407), 1,
      anon_sym_COLON,
    ACTIONS(9409), 1,
      anon_sym_LBRACE,
    ACTIONS(9411), 1,
      anon_sym_with,
    STATE(4945), 1,
      aux_sym_compound_type_repeat1,
    STATE(9253), 1,
      sym_template_body,
    STATE(9260), 1,
      sym__refinement,
    STATE(4977), 2,
      sym_comment,
      sym_block_comment,
    STATE(8998), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [262253] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9529), 1,
      anon_sym_LBRACK,
    ACTIONS(9531), 1,
      anon_sym_LPAREN,
    ACTIONS(9533), 1,
      anon_sym_POUND,
    STATE(5750), 1,
      aux_sym_annotation_repeat1,
    STATE(6047), 1,
      sym_type_arguments,
    STATE(6722), 1,
      sym_arguments,
    STATE(4978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [262310] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262400] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262445] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9535), 1,
      anon_sym_AT,
    STATE(5729), 1,
      sym_annotation,
    STATE(4982), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262494] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262539] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262584] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262674] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9538), 1,
      anon_sym_LBRACK,
    ACTIONS(9540), 1,
      anon_sym_LPAREN,
    ACTIONS(9542), 1,
      anon_sym_POUND,
    STATE(5382), 1,
      aux_sym_annotation_repeat1,
    STATE(5982), 1,
      sym_type_arguments,
    STATE(7009), 1,
      sym_arguments,
    STATE(4987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [262731] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9183), 1,
      anon_sym_LBRACK,
    ACTIONS(9187), 1,
      anon_sym_POUND,
    ACTIONS(9544), 1,
      anon_sym_AT,
    STATE(5387), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5788), 1,
      sym_type_arguments,
    STATE(6774), 1,
      sym_annotation,
    STATE(4988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [262788] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262833] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262878] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9546), 1,
      anon_sym_LBRACK,
    ACTIONS(9548), 1,
      anon_sym_AT,
    ACTIONS(9550), 1,
      anon_sym_LPAREN,
    ACTIONS(9552), 1,
      anon_sym_POUND,
    STATE(5857), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6821), 1,
      sym_type_arguments,
    STATE(7809), 1,
      sym_annotation,
    STATE(8920), 1,
      sym_arguments,
    STATE(4991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [262939] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8941), 1,
      anon_sym_AT,
    STATE(4808), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5390), 1,
      sym_annotation,
    STATE(4992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262990] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9430), 1,
      anon_sym_COLON,
    ACTIONS(9432), 1,
      anon_sym_LBRACE,
    ACTIONS(9434), 1,
      anon_sym_with,
    STATE(6937), 1,
      aux_sym_compound_type_repeat1,
    STATE(9775), 1,
      sym_template_body,
    STATE(9808), 1,
      sym__refinement,
    STATE(4993), 2,
      sym_comment,
      sym_block_comment,
    STATE(9617), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263049] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9319), 1,
      anon_sym_with,
    STATE(6972), 1,
      aux_sym_compound_type_repeat1,
    STATE(8213), 1,
      sym_template_body,
    STATE(8217), 1,
      sym__refinement,
    STATE(4994), 2,
      sym_comment,
      sym_block_comment,
    STATE(8196), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [263104] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8492), 1,
      anon_sym_AT,
    STATE(4874), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5508), 1,
      sym_annotation,
    STATE(4995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263155] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9554), 1,
      anon_sym_AT,
    STATE(5762), 1,
      sym_annotation,
    STATE(4996), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263204] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9029), 1,
      anon_sym_LPAREN,
    STATE(5000), 1,
      aux_sym_annotation_repeat1,
    STATE(5405), 1,
      sym_arguments,
    STATE(4997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263255] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263300] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263345] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9557), 1,
      anon_sym_LPAREN,
    STATE(5405), 1,
      sym_arguments,
    STATE(5000), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263394] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263439] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(9430), 1,
      anon_sym_COLON,
    ACTIONS(9432), 1,
      anon_sym_LBRACE,
    ACTIONS(9434), 1,
      anon_sym_with,
    STATE(4993), 1,
      aux_sym_compound_type_repeat1,
    STATE(9775), 1,
      sym_template_body,
    STATE(9777), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5002), 2,
      sym_comment,
      sym_block_comment,
    STATE(9617), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [263504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263549] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263594] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263639] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9560), 1,
      anon_sym_LBRACK,
    ACTIONS(9562), 1,
      anon_sym_LPAREN,
    ACTIONS(9564), 1,
      anon_sym_POUND,
    STATE(5414), 1,
      aux_sym_annotation_repeat1,
    STATE(6033), 1,
      sym_type_arguments,
    STATE(6369), 1,
      sym_arguments,
    STATE(5006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [263696] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263741] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9503), 1,
      anon_sym_LBRACK,
    ACTIONS(9507), 1,
      anon_sym_POUND,
    ACTIONS(9566), 1,
      anon_sym_AT,
    STATE(5842), 1,
      sym_type_arguments,
    STATE(6030), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7413), 1,
      sym_annotation,
    STATE(5008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [263797] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [263841] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263885] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263929] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263973] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264017] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [264061] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264105] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264149] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264237] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264281] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264325] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264369] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264413] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264457] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264501] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264545] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [264589] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9568), 1,
      anon_sym_LBRACK,
    ACTIONS(9570), 1,
      anon_sym_LPAREN,
    ACTIONS(9572), 1,
      anon_sym_POUND,
    STATE(6520), 1,
      sym_type_arguments,
    STATE(6843), 1,
      aux_sym_annotation_repeat1,
    STATE(8133), 1,
      sym_arguments,
    STATE(5027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [264645] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [264689] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [264733] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [264777] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [264821] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9574), 1,
      anon_sym_COLON,
    ACTIONS(9576), 1,
      anon_sym_LBRACE,
    ACTIONS(9578), 1,
      anon_sym_with,
    STATE(5326), 1,
      aux_sym_compound_type_repeat1,
    STATE(7738), 1,
      sym_template_body,
    STATE(7739), 1,
      sym__refinement,
    STATE(5032), 2,
      sym_comment,
      sym_block_comment,
    STATE(7144), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264879] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [264923] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [264967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265011] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265055] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265099] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265143] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7288), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [265187] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265231] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(5041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265277] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265321] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9580), 1,
      anon_sym_DOT,
    STATE(5043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265367] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265411] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265455] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265499] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [265543] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9582), 1,
      anon_sym_DOT,
    STATE(5048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265589] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9584), 1,
      anon_sym_AT,
    STATE(6096), 1,
      sym_annotation,
    STATE(5049), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265637] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265681] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9529), 1,
      anon_sym_LBRACK,
    ACTIONS(9533), 1,
      anon_sym_POUND,
    ACTIONS(9587), 1,
      anon_sym_AT,
    STATE(5802), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6047), 1,
      sym_type_arguments,
    STATE(7486), 1,
      sym_annotation,
    STATE(5051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [265737] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9384), 1,
      anon_sym_with,
    STATE(7872), 1,
      aux_sym_compound_type_repeat1,
    STATE(9340), 1,
      sym_template_body,
    STATE(9350), 1,
      sym__refinement,
    STATE(5052), 2,
      sym_comment,
      sym_block_comment,
    STATE(9420), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265791] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265835] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9199), 1,
      anon_sym_LPAREN,
    STATE(5056), 1,
      aux_sym_annotation_repeat1,
    STATE(6331), 1,
      sym_arguments,
    STATE(5054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265885] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265929] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9589), 1,
      anon_sym_LPAREN,
    STATE(6331), 1,
      sym_arguments,
    STATE(5056), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265977] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6908), 1,
      sym_interpolated_string,
    STATE(15958), 1,
      sym__interpolated_string_start,
    STATE(15959), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9592), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [266033] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7288), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [266077] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266121] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(9574), 1,
      anon_sym_COLON,
    ACTIONS(9576), 1,
      anon_sym_LBRACE,
    ACTIONS(9578), 1,
      anon_sym_with,
    STATE(5326), 1,
      aux_sym_compound_type_repeat1,
    STATE(7738), 1,
      sym_template_body,
    STATE(7739), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5060), 2,
      sym_comment,
      sym_block_comment,
    STATE(7144), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8638), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [266185] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9352), 1,
      anon_sym_with,
    STATE(7380), 1,
      aux_sym_compound_type_repeat1,
    STATE(9201), 1,
      sym_template_body,
    STATE(9245), 1,
      sym__refinement,
    STATE(5061), 2,
      sym_comment,
      sym_block_comment,
    STATE(9074), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8556), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [266239] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6593), 1,
      sym_interpolated_string,
    STATE(16385), 1,
      sym__interpolated_string_start,
    STATE(16386), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9594), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [266295] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266339] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266383] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2648), 1,
      anon_sym_EQ,
    ACTIONS(8410), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(9596), 1,
      anon_sym_COLON,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    STATE(10280), 1,
      sym_interpolated_string,
    STATE(16496), 1,
      sym__interpolated_string_start,
    STATE(16527), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9598), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(9604), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8758), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8939), 4,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
    ACTIONS(8960), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [266451] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9607), 1,
      anon_sym_AT,
    STATE(6190), 1,
      sym_annotation,
    STATE(5066), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [266499] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9209), 1,
      sym_interpolated_string,
    STATE(16134), 1,
      sym__interpolated_string_start,
    STATE(16136), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9610), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [266555] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266599] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9612), 1,
      anon_sym_DOT,
    STATE(5069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266645] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9277), 1,
      anon_sym_LPAREN,
    STATE(5085), 1,
      aux_sym_annotation_repeat1,
    STATE(6196), 1,
      sym_arguments,
    STATE(5070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266695] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266739] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266783] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266871] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266915] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266959] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(189), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9262), 1,
      anon_sym_LPAREN,
    ACTIONS(9614), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(5077), 2,
      sym_comment,
      sym_block_comment,
    STATE(8218), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8997), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267017] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(5078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267063] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267151] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9616), 1,
      anon_sym_LBRACK,
    ACTIONS(9618), 1,
      anon_sym_LPAREN,
    ACTIONS(9620), 1,
      anon_sym_POUND,
    STATE(5825), 1,
      aux_sym_annotation_repeat1,
    STATE(6884), 1,
      sym_type_arguments,
    STATE(7750), 1,
      sym_arguments,
    STATE(5081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [267207] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9538), 1,
      anon_sym_LBRACK,
    ACTIONS(9542), 1,
      anon_sym_POUND,
    ACTIONS(9622), 1,
      anon_sym_AT,
    STATE(5861), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5982), 1,
      sym_type_arguments,
    STATE(7816), 1,
      sym_annotation,
    STATE(5082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [267263] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9624), 1,
      anon_sym_DOT,
    STATE(5083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [267309] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9626), 1,
      anon_sym_LBRACK,
    ACTIONS(9628), 1,
      anon_sym_LPAREN,
    ACTIONS(9630), 1,
      anon_sym_POUND,
    STATE(5832), 1,
      aux_sym_annotation_repeat1,
    STATE(6959), 1,
      sym_type_arguments,
    STATE(7755), 1,
      sym_arguments,
    STATE(5084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8262), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [267365] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9632), 1,
      anon_sym_LPAREN,
    STATE(6196), 1,
      sym_arguments,
    STATE(5085), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267413] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267457] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267501] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9635), 1,
      anon_sym_LBRACK,
    ACTIONS(9637), 1,
      anon_sym_LPAREN,
    ACTIONS(9639), 1,
      anon_sym_POUND,
    STATE(5850), 1,
      aux_sym_annotation_repeat1,
    STATE(7065), 1,
      sym_type_arguments,
    STATE(7791), 1,
      sym_arguments,
    STATE(5088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [267557] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [267601] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267645] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9418), 1,
      anon_sym_LBRACK,
    ACTIONS(9420), 1,
      anon_sym_AT,
    ACTIONS(9424), 1,
      anon_sym_POUND,
    STATE(6146), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6944), 1,
      sym_type_arguments,
    STATE(7140), 1,
      sym_annotation,
    STATE(5091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [267701] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267745] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267833] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267877] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267965] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268009] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268053] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268097] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268141] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9641), 1,
      anon_sym_LBRACK,
    ACTIONS(9643), 1,
      anon_sym_LPAREN,
    ACTIONS(9645), 1,
      anon_sym_POUND,
    STATE(5867), 1,
      aux_sym_annotation_repeat1,
    STATE(6488), 1,
      sym_type_arguments,
    STATE(7806), 1,
      sym_arguments,
    STATE(5102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [268197] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9651), 1,
      anon_sym_with,
    STATE(5103), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268243] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268287] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7288), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [268331] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9560), 1,
      anon_sym_LBRACK,
    ACTIONS(9564), 1,
      anon_sym_POUND,
    ACTIONS(9654), 1,
      anon_sym_AT,
    STATE(5900), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6033), 1,
      sym_type_arguments,
    STATE(7848), 1,
      sym_annotation,
    STATE(5106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [268387] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9137), 1,
      anon_sym_AT,
    STATE(5116), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5912), 1,
      sym_annotation,
    STATE(5107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268437] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(5108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268483] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9325), 1,
      anon_sym_LBRACK,
    ACTIONS(9329), 1,
      anon_sym_POUND,
    ACTIONS(9656), 1,
      anon_sym_AT,
    STATE(5909), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6055), 1,
      sym_type_arguments,
    STATE(7851), 1,
      sym_annotation,
    STATE(5109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [268539] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(9658), 1,
      anon_sym_COLON,
    ACTIONS(9660), 1,
      anon_sym_LBRACE,
    ACTIONS(9662), 1,
      anon_sym_with,
    STATE(5239), 1,
      aux_sym_compound_type_repeat1,
    STATE(10331), 1,
      sym_template_body,
    STATE(10340), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5110), 2,
      sym_comment,
      sym_block_comment,
    STATE(10023), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8638), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [268603] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9546), 1,
      anon_sym_LBRACK,
    ACTIONS(9548), 1,
      anon_sym_AT,
    ACTIONS(9552), 1,
      anon_sym_POUND,
    STATE(5857), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6821), 1,
      sym_type_arguments,
    STATE(7809), 1,
      sym_annotation,
    STATE(5111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [268659] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4258), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [268703] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(5113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268749] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7288), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [268793] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268837] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9664), 1,
      anon_sym_AT,
    STATE(5912), 1,
      sym_annotation,
    STATE(5116), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268885] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9440), 1,
      anon_sym_LBRACK,
    ACTIONS(9442), 1,
      anon_sym_AT,
    ACTIONS(9446), 1,
      anon_sym_POUND,
    STATE(6188), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6929), 1,
      sym_type_arguments,
    STATE(7497), 1,
      sym_annotation,
    STATE(5117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [268941] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268985] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269029] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9232), 1,
      anon_sym_LPAREN,
    ACTIONS(9667), 1,
      anon_sym_DOT,
    ACTIONS(9669), 1,
      sym_operator_identifier,
    STATE(1929), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(5120), 2,
      sym_comment,
      sym_block_comment,
    STATE(8248), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9063), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [269097] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269141] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9675), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9673), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9671), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269187] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(5123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [269233] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269277] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8397), 1,
      sym_interpolated_string,
    STATE(16011), 1,
      sym__interpolated_string_start,
    STATE(16012), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9677), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [269333] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269421] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9156), 1,
      anon_sym_LPAREN,
    STATE(5129), 1,
      aux_sym_annotation_repeat1,
    STATE(5928), 1,
      sym_arguments,
    STATE(5128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269471] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9679), 1,
      anon_sym_LPAREN,
    STATE(5928), 1,
      sym_arguments,
    STATE(5129), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269519] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269563] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269607] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269651] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269695] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269739] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269783] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9495), 1,
      anon_sym_with,
    STATE(7797), 1,
      aux_sym_compound_type_repeat1,
    STATE(9271), 1,
      sym_template_body,
    STATE(9275), 1,
      sym__refinement,
    STATE(5136), 2,
      sym_comment,
      sym_block_comment,
    STATE(9330), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [269837] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [269881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [269925] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [269969] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270013] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9682), 1,
      anon_sym_COLON,
    ACTIONS(9684), 1,
      anon_sym_LBRACE,
    ACTIONS(9686), 1,
      anon_sym_with,
    STATE(7802), 1,
      aux_sym_compound_type_repeat1,
    STATE(10145), 1,
      sym_template_body,
    STATE(10150), 1,
      sym__refinement,
    STATE(5141), 2,
      sym_comment,
      sym_block_comment,
    STATE(10274), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270071] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9164), 1,
      anon_sym_LPAREN,
    STATE(5145), 1,
      aux_sym_annotation_repeat1,
    STATE(5947), 1,
      sym_arguments,
    STATE(5142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [270121] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(5143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270167] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270211] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9688), 1,
      anon_sym_LPAREN,
    STATE(5947), 1,
      sym_arguments,
    STATE(5145), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [270259] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270303] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270347] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270391] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9170), 1,
      anon_sym_LPAREN,
    STATE(5152), 1,
      aux_sym_annotation_repeat1,
    STATE(5958), 1,
      sym_arguments,
    STATE(5149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270441] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270485] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270529] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9691), 1,
      anon_sym_LPAREN,
    STATE(5958), 1,
      sym_arguments,
    STATE(5152), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270577] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270621] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [270665] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270709] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9694), 1,
      anon_sym_LBRACK,
    ACTIONS(9696), 1,
      anon_sym_LPAREN,
    ACTIONS(9698), 1,
      anon_sym_POUND,
    STATE(5971), 1,
      aux_sym_annotation_repeat1,
    STATE(6575), 1,
      sym_type_arguments,
    STATE(7909), 1,
      sym_arguments,
    STATE(5156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270765] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9700), 1,
      anon_sym_COLON,
    ACTIONS(9702), 1,
      anon_sym_LBRACE,
    ACTIONS(9704), 1,
      anon_sym_with,
    STATE(7824), 1,
      aux_sym_compound_type_repeat1,
    STATE(10175), 1,
      sym_template_body,
    STATE(10179), 1,
      sym__refinement,
    STATE(5157), 2,
      sym_comment,
      sym_block_comment,
    STATE(10327), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [270823] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9706), 1,
      anon_sym_COLON,
    ACTIONS(9708), 1,
      anon_sym_LBRACE,
    ACTIONS(9710), 1,
      anon_sym_with,
    STATE(7361), 1,
      aux_sym_compound_type_repeat1,
    STATE(10138), 1,
      sym_template_body,
    STATE(10153), 1,
      sym__refinement,
    STATE(5158), 2,
      sym_comment,
      sym_block_comment,
    STATE(10090), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [270881] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9712), 1,
      anon_sym_COLON,
    ACTIONS(9714), 1,
      anon_sym_LBRACE,
    ACTIONS(9716), 1,
      anon_sym_with,
    STATE(7827), 1,
      aux_sym_compound_type_repeat1,
    STATE(10187), 1,
      sym_template_body,
    STATE(10190), 1,
      sym__refinement,
    STATE(5159), 2,
      sym_comment,
      sym_block_comment,
    STATE(10336), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270983] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(5161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [271029] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9185), 1,
      anon_sym_LPAREN,
    STATE(5164), 1,
      aux_sym_annotation_repeat1,
    STATE(6002), 1,
      sym_arguments,
    STATE(5162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [271079] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271123] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9718), 1,
      anon_sym_LPAREN,
    STATE(6002), 1,
      sym_arguments,
    STATE(5164), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [271171] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271259] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9546), 1,
      anon_sym_LBRACK,
    ACTIONS(9552), 1,
      anon_sym_POUND,
    ACTIONS(9721), 1,
      anon_sym_LPAREN,
    STATE(6005), 1,
      aux_sym_annotation_repeat1,
    STATE(6821), 1,
      sym_type_arguments,
    STATE(7943), 1,
      sym_arguments,
    STATE(5167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [271315] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9723), 1,
      anon_sym_COLON,
    ACTIONS(9725), 1,
      anon_sym_LBRACE,
    ACTIONS(9727), 1,
      anon_sym_with,
    STATE(5188), 1,
      aux_sym_compound_type_repeat1,
    STATE(10238), 1,
      sym_template_body,
    STATE(10239), 1,
      sym__refinement,
    STATE(5168), 2,
      sym_comment,
      sym_block_comment,
    STATE(10266), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8606), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [271373] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9729), 1,
      anon_sym_DOT,
    STATE(5169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [271419] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271463] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271507] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9508), 1,
      sym_interpolated_string,
    STATE(16823), 1,
      sym__interpolated_string_start,
    STATE(16824), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [271563] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271607] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271651] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271695] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271739] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271783] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271871] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271915] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271959] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272003] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272047] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272091] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272135] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272179] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9731), 1,
      anon_sym_DOT,
    STATE(5187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [272225] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9723), 1,
      anon_sym_COLON,
    ACTIONS(9725), 1,
      anon_sym_LBRACE,
    ACTIONS(9727), 1,
      anon_sym_with,
    STATE(7908), 1,
      aux_sym_compound_type_repeat1,
    STATE(10238), 1,
      sym_template_body,
    STATE(10259), 1,
      sym__refinement,
    STATE(5188), 2,
      sym_comment,
      sym_block_comment,
    STATE(10266), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8556), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [272283] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272327] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272371] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9733), 1,
      anon_sym_COLON,
    ACTIONS(9736), 1,
      anon_sym_LBRACE,
    STATE(6739), 1,
      sym_template_body,
    STATE(5191), 2,
      sym_comment,
      sym_block_comment,
    STATE(6384), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9350), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9342), 16,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272423] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272467] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272511] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9739), 1,
      anon_sym_LBRACK,
    ACTIONS(9741), 1,
      anon_sym_LPAREN,
    ACTIONS(9743), 1,
      anon_sym_POUND,
    STATE(6076), 1,
      aux_sym_annotation_repeat1,
    STATE(6388), 1,
      sym_type_arguments,
    STATE(7116), 1,
      sym_arguments,
    STATE(5194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [272567] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272611] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272655] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272699] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_LBRACE,
    ACTIONS(9232), 1,
      anon_sym_LPAREN,
    ACTIONS(9667), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(5198), 2,
      sym_comment,
      sym_block_comment,
    STATE(8248), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8949), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8947), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [272755] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272799] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272843] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272887] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9745), 1,
      anon_sym_LBRACK,
    ACTIONS(9747), 1,
      anon_sym_LPAREN,
    ACTIONS(9749), 1,
      anon_sym_POUND,
    STATE(6362), 1,
      sym_type_arguments,
    STATE(6879), 1,
      aux_sym_annotation_repeat1,
    STATE(8188), 1,
      sym_arguments,
    STATE(5202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [272943] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9751), 1,
      anon_sym_LBRACK,
    ACTIONS(9753), 1,
      anon_sym_LPAREN,
    ACTIONS(9755), 1,
      anon_sym_POUND,
    STATE(5877), 1,
      aux_sym_annotation_repeat1,
    STATE(6706), 1,
      sym_type_arguments,
    STATE(7464), 1,
      sym_arguments,
    STATE(5203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8262), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [272999] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273043] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273087] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9391), 1,
      anon_sym_DOT,
    ACTIONS(9757), 1,
      anon_sym_EQ_GT,
    STATE(5206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273135] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273179] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9366), 1,
      anon_sym_LBRACK,
    ACTIONS(9370), 1,
      anon_sym_POUND,
    ACTIONS(9759), 1,
      anon_sym_AT,
    STATE(5856), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5907), 1,
      sym_type_arguments,
    STATE(7179), 1,
      sym_annotation,
    STATE(5208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [273235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273279] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273323] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273367] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273411] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9475), 1,
      anon_sym_LBRACK,
    ACTIONS(9477), 1,
      anon_sym_AT,
    ACTIONS(9481), 1,
      anon_sym_POUND,
    STATE(6023), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6350), 1,
      sym_type_arguments,
    STATE(7194), 1,
      sym_annotation,
    STATE(5213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [273467] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273511] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [273555] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [273599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [273643] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [273687] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9232), 1,
      anon_sym_LPAREN,
    ACTIONS(9667), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(5219), 2,
      sym_comment,
      sym_block_comment,
    STATE(8248), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8997), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [273745] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [273789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [273833] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9761), 1,
      anon_sym_COLON,
    ACTIONS(9764), 1,
      anon_sym_LBRACE,
    STATE(6607), 1,
      sym_template_body,
    STATE(5222), 2,
      sym_comment,
      sym_block_comment,
    STATE(6827), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9350), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9342), 16,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273885] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9121), 1,
      anon_sym_LPAREN,
    ACTIONS(9767), 1,
      anon_sym_DOT,
    ACTIONS(9769), 1,
      sym_operator_identifier,
    STATE(1966), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(5223), 2,
      sym_comment,
      sym_block_comment,
    STATE(8110), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9061), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9063), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [273953] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9724), 1,
      sym_interpolated_string,
    STATE(17260), 1,
      sym__interpolated_string_start,
    STATE(17262), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [274009] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [274053] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274097] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9418), 1,
      anon_sym_LBRACK,
    ACTIONS(9424), 1,
      anon_sym_POUND,
    ACTIONS(9771), 1,
      anon_sym_LPAREN,
    STATE(5793), 1,
      aux_sym_annotation_repeat1,
    STATE(6944), 1,
      sym_type_arguments,
    STATE(7320), 1,
      sym_arguments,
    STATE(5227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [274153] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9281), 1,
      anon_sym_AT,
    STATE(5308), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5950), 1,
      sym_annotation,
    STATE(5228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274247] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274291] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9773), 1,
      anon_sym_LBRACK,
    ACTIONS(9775), 1,
      anon_sym_AT,
    ACTIONS(9777), 1,
      anon_sym_LPAREN,
    ACTIONS(9779), 1,
      anon_sym_POUND,
    STATE(6396), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7293), 1,
      sym_type_arguments,
    STATE(8441), 1,
      sym_annotation,
    STATE(9553), 1,
      sym_arguments,
    STATE(5231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [274351] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7288), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [274395] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274439] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(5234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [274485] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274573] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274617] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274661] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9658), 1,
      anon_sym_COLON,
    ACTIONS(9660), 1,
      anon_sym_LBRACE,
    ACTIONS(9662), 1,
      anon_sym_with,
    STATE(7418), 1,
      aux_sym_compound_type_repeat1,
    STATE(10065), 1,
      sym__refinement,
    STATE(10331), 1,
      sym_template_body,
    STATE(5239), 2,
      sym_comment,
      sym_block_comment,
    STATE(10023), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [274719] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9781), 1,
      anon_sym_with,
    STATE(5658), 1,
      aux_sym_compound_type_repeat1,
    STATE(9553), 1,
      sym_arguments,
    STATE(9649), 1,
      sym_template_body,
    STATE(9657), 1,
      sym__refinement,
    STATE(5240), 2,
      sym_comment,
      sym_block_comment,
    STATE(5495), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [274775] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9783), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_AT,
    ACTIONS(9787), 1,
      anon_sym_LPAREN,
    ACTIONS(9789), 1,
      anon_sym_POUND,
    STATE(6982), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7531), 1,
      sym_type_arguments,
    STATE(8261), 1,
      sym_annotation,
    STATE(9747), 1,
      sym_arguments,
    STATE(5241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [274835] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(9121), 1,
      anon_sym_LPAREN,
    ACTIONS(9767), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(5242), 2,
      sym_comment,
      sym_block_comment,
    STATE(8110), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8949), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8947), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [274891] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8933), 1,
      anon_sym_AT,
    STATE(5334), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6004), 1,
      sym_annotation,
    STATE(5243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274941] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274985] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9791), 1,
      anon_sym_with,
    STATE(5529), 1,
      aux_sym_compound_type_repeat1,
    STATE(9747), 1,
      sym_arguments,
    STATE(9935), 1,
      sym_template_body,
    STATE(9936), 1,
      sym__refinement,
    STATE(5245), 2,
      sym_comment,
      sym_block_comment,
    STATE(9447), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [275041] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9440), 1,
      anon_sym_LBRACK,
    ACTIONS(9446), 1,
      anon_sym_POUND,
    ACTIONS(9793), 1,
      anon_sym_LPAREN,
    STATE(6181), 1,
      aux_sym_annotation_repeat1,
    STATE(6929), 1,
      sym_type_arguments,
    STATE(7679), 1,
      sym_arguments,
    STATE(5246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8262), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [275097] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(9723), 1,
      anon_sym_COLON,
    ACTIONS(9725), 1,
      anon_sym_LBRACE,
    ACTIONS(9727), 1,
      anon_sym_with,
    STATE(5188), 1,
      aux_sym_compound_type_repeat1,
    STATE(10238), 1,
      sym_template_body,
    STATE(10239), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5247), 2,
      sym_comment,
      sym_block_comment,
    STATE(10266), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8638), 6,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [275161] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9121), 1,
      anon_sym_LPAREN,
    ACTIONS(9767), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(5248), 2,
      sym_comment,
      sym_block_comment,
    STATE(8110), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8997), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [275219] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7923), 1,
      sym_interpolated_string,
    STATE(17133), 1,
      sym__interpolated_string_start,
    STATE(17140), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9795), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275275] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9209), 1,
      sym_interpolated_string,
    STATE(16134), 1,
      sym__interpolated_string_start,
    STATE(16136), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9797), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [275331] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1039), 1,
      anon_sym_LBRACE,
    ACTIONS(8366), 1,
      anon_sym_LPAREN,
    ACTIONS(8951), 1,
      anon_sym_DOT,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9799), 1,
      sym__alpha_identifier,
    ACTIONS(9807), 1,
      anon_sym_EQ,
    ACTIONS(9809), 1,
      sym__backquoted_id,
    ACTIONS(9811), 1,
      sym_operator_identifier,
    STATE(540), 1,
      sym_identifier,
    STATE(4172), 1,
      sym__soft_identifier,
    STATE(5251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(6201), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9803), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9805), 7,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [275399] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9813), 1,
      anon_sym_LBRACK,
    ACTIONS(9815), 1,
      anon_sym_AT,
    ACTIONS(9817), 1,
      anon_sym_LPAREN,
    ACTIONS(9819), 1,
      anon_sym_POUND,
    STATE(6565), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7466), 1,
      sym_type_arguments,
    STATE(8142), 1,
      sym_annotation,
    STATE(9870), 1,
      sym_arguments,
    STATE(5252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [275459] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7429), 1,
      sym_interpolated_string,
    STATE(16697), 1,
      sym__interpolated_string_start,
    STATE(16698), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9821), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275515] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275559] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275603] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9335), 1,
      sym_interpolated_string,
    STATE(16069), 1,
      sym__interpolated_string_start,
    STATE(16071), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9823), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [275659] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9825), 1,
      anon_sym_with,
    STATE(5457), 1,
      aux_sym_compound_type_repeat1,
    STATE(9710), 1,
      sym_template_body,
    STATE(9870), 1,
      sym_arguments,
    STATE(9938), 1,
      sym__refinement,
    STATE(5257), 2,
      sym_comment,
      sym_block_comment,
    STATE(9729), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8370), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [275715] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9382), 1,
      anon_sym_with,
    STATE(7929), 1,
      aux_sym_compound_type_repeat1,
    STATE(9390), 1,
      sym_template_body,
    STATE(9395), 1,
      sym__refinement,
    STATE(5258), 2,
      sym_comment,
      sym_block_comment,
    STATE(8777), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [275769] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9463), 1,
      anon_sym_DOT,
    ACTIONS(9827), 1,
      anon_sym_EQ_GT,
    STATE(5259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [275817] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275861] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9222), 1,
      anon_sym_LPAREN,
    STATE(5263), 1,
      aux_sym_annotation_repeat1,
    STATE(5981), 1,
      sym_arguments,
    STATE(5261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275911] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9829), 1,
      anon_sym_with,
    STATE(5262), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275957] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9832), 1,
      anon_sym_LPAREN,
    STATE(5981), 1,
      sym_arguments,
    STATE(5263), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276005] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276049] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9839), 1,
      anon_sym_DOT,
    STATE(5265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276095] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8967), 1,
      anon_sym_DOT,
    STATE(5266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [276141] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276185] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276229] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9210), 1,
      anon_sym_LPAREN,
    STATE(5290), 1,
      aux_sym_annotation_repeat1,
    STATE(6298), 1,
      sym_arguments,
    STATE(5269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276279] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9299), 1,
      anon_sym_AT,
    STATE(5049), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6096), 1,
      sym_annotation,
    STATE(5270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276329] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9841), 1,
      anon_sym_DOT,
    STATE(5271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276375] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276419] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9372), 1,
      anon_sym_EQ_GT,
    STATE(5273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276465] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9252), 1,
      anon_sym_LPAREN,
    STATE(5276), 1,
      aux_sym_annotation_repeat1,
    STATE(6048), 1,
      sym_arguments,
    STATE(5274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [276515] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276559] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9843), 1,
      anon_sym_LPAREN,
    STATE(6048), 1,
      sym_arguments,
    STATE(5276), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [276607] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276651] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9244), 1,
      anon_sym_LPAREN,
    STATE(5294), 1,
      aux_sym_annotation_repeat1,
    STATE(6225), 1,
      sym_arguments,
    STATE(5278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8943), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [276701] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7923), 1,
      sym_interpolated_string,
    STATE(17133), 1,
      sym__interpolated_string_start,
    STATE(17140), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9846), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [276757] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1039), 1,
      anon_sym_LBRACE,
    ACTIONS(8366), 1,
      anon_sym_LPAREN,
    ACTIONS(8951), 1,
      anon_sym_DOT,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9799), 1,
      sym__alpha_identifier,
    ACTIONS(9809), 1,
      sym__backquoted_id,
    ACTIONS(9811), 1,
      sym_operator_identifier,
    ACTIONS(9848), 1,
      anon_sym_EQ,
    STATE(540), 1,
      sym_identifier,
    STATE(4172), 1,
      sym__soft_identifier,
    STATE(5280), 2,
      sym_comment,
      sym_block_comment,
    STATE(6201), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9805), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9803), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [276825] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276869] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7429), 1,
      sym_interpolated_string,
    STATE(16697), 1,
      sym__interpolated_string_start,
    STATE(16698), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9850), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [276925] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276969] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9271), 1,
      anon_sym_AT,
    STATE(5296), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6138), 1,
      sym_annotation,
    STATE(5284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277019] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9436), 1,
      anon_sym_DOT,
    ACTIONS(9852), 1,
      anon_sym_EQ_GT,
    STATE(5285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277067] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9854), 1,
      anon_sym_LBRACK,
    ACTIONS(9856), 1,
      anon_sym_AT,
    ACTIONS(9858), 1,
      anon_sym_LPAREN,
    ACTIONS(9860), 1,
      anon_sym_POUND,
    STATE(6646), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7725), 1,
      sym_type_arguments,
    STATE(8088), 1,
      sym_annotation,
    STATE(9639), 1,
      sym_arguments,
    STATE(5286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [277127] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9483), 1,
      anon_sym_EQ_GT,
    STATE(5287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277173] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277217] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9448), 1,
      sym_interpolated_string,
    STATE(16306), 1,
      sym__interpolated_string_start,
    STATE(16307), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9862), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [277273] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9864), 1,
      anon_sym_LPAREN,
    STATE(6298), 1,
      sym_arguments,
    STATE(5290), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277321] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9301), 1,
      anon_sym_AT,
    STATE(5299), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6142), 1,
      sym_annotation,
    STATE(5291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [277371] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9682), 1,
      anon_sym_COLON,
    ACTIONS(9684), 1,
      anon_sym_LBRACE,
    ACTIONS(9686), 1,
      anon_sym_with,
    STATE(5141), 1,
      aux_sym_compound_type_repeat1,
    STATE(10145), 1,
      sym_template_body,
    STATE(10146), 1,
      sym__refinement,
    STATE(5292), 2,
      sym_comment,
      sym_block_comment,
    STATE(10274), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [277429] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9005), 1,
      anon_sym_AT,
    STATE(5323), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6291), 1,
      sym_annotation,
    STATE(5293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277479] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9867), 1,
      anon_sym_LPAREN,
    STATE(6225), 1,
      sym_arguments,
    STATE(5294), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8953), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [277527] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(189), 1,
      anon_sym_LBRACE,
    ACTIONS(9262), 1,
      anon_sym_LPAREN,
    ACTIONS(9614), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(5295), 2,
      sym_comment,
      sym_block_comment,
    STATE(8218), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8949), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8947), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277583] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9870), 1,
      anon_sym_AT,
    STATE(6138), 1,
      sym_annotation,
    STATE(5296), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277631] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(9682), 1,
      anon_sym_COLON,
    ACTIONS(9684), 1,
      anon_sym_LBRACE,
    ACTIONS(9686), 1,
      anon_sym_with,
    STATE(5141), 1,
      aux_sym_compound_type_repeat1,
    STATE(10145), 1,
      sym_template_body,
    STATE(10146), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5297), 2,
      sym_comment,
      sym_block_comment,
    STATE(10274), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8638), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [277695] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9873), 1,
      anon_sym_LBRACK,
    ACTIONS(9875), 1,
      anon_sym_LPAREN,
    ACTIONS(9877), 1,
      anon_sym_POUND,
    STATE(6149), 1,
      aux_sym_annotation_repeat1,
    STATE(6366), 1,
      sym_type_arguments,
    STATE(7633), 1,
      sym_arguments,
    STATE(5298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8262), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [277751] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9879), 1,
      anon_sym_AT,
    STATE(6142), 1,
      sym_annotation,
    STATE(5299), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [277799] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277843] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9882), 1,
      anon_sym_with,
    STATE(5711), 1,
      aux_sym_compound_type_repeat1,
    STATE(9477), 1,
      sym_template_body,
    STATE(9478), 1,
      sym__refinement,
    STATE(9639), 1,
      sym_arguments,
    STATE(5301), 2,
      sym_comment,
      sym_block_comment,
    STATE(9495), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [277899] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277943] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277987] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9700), 1,
      anon_sym_COLON,
    ACTIONS(9702), 1,
      anon_sym_LBRACE,
    ACTIONS(9704), 1,
      anon_sym_with,
    STATE(5157), 1,
      aux_sym_compound_type_repeat1,
    STATE(10175), 1,
      sym_template_body,
    STATE(10176), 1,
      sym__refinement,
    STATE(5304), 2,
      sym_comment,
      sym_block_comment,
    STATE(10327), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [278045] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9475), 1,
      anon_sym_LBRACK,
    ACTIONS(9481), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      anon_sym_LPAREN,
    STATE(5968), 1,
      aux_sym_annotation_repeat1,
    STATE(6350), 1,
      sym_type_arguments,
    STATE(7377), 1,
      sym_arguments,
    STATE(5305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [278101] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278145] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278189] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9886), 1,
      anon_sym_AT,
    STATE(5950), 1,
      sym_annotation,
    STATE(5308), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278237] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9448), 1,
      sym_interpolated_string,
    STATE(16306), 1,
      sym__interpolated_string_start,
    STATE(16307), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [278293] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9712), 1,
      anon_sym_COLON,
    ACTIONS(9714), 1,
      anon_sym_LBRACE,
    ACTIONS(9716), 1,
      anon_sym_with,
    STATE(5159), 1,
      aux_sym_compound_type_repeat1,
    STATE(10187), 1,
      sym_template_body,
    STATE(10188), 1,
      sym__refinement,
    STATE(5310), 2,
      sym_comment,
      sym_block_comment,
    STATE(10336), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [278351] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9887), 1,
      sym_interpolated_string,
    STATE(16886), 1,
      sym__interpolated_string_start,
    STATE(16887), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [278407] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278451] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(9700), 1,
      anon_sym_COLON,
    ACTIONS(9702), 1,
      anon_sym_LBRACE,
    ACTIONS(9704), 1,
      anon_sym_with,
    STATE(5157), 1,
      aux_sym_compound_type_repeat1,
    STATE(10175), 1,
      sym_template_body,
    STATE(10176), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5313), 2,
      sym_comment,
      sym_block_comment,
    STATE(10327), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 5,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [278515] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9035), 1,
      anon_sym_AT,
    STATE(5066), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6190), 1,
      sym_annotation,
    STATE(5314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [278565] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9220), 1,
      anon_sym_AT,
    STATE(5338), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6325), 1,
      sym_annotation,
    STATE(5315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278659] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278703] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278747] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9706), 1,
      anon_sym_COLON,
    ACTIONS(9708), 1,
      anon_sym_LBRACE,
    ACTIONS(9710), 1,
      anon_sym_with,
    STATE(5158), 1,
      aux_sym_compound_type_repeat1,
    STATE(10138), 1,
      sym_template_body,
    STATE(10141), 1,
      sym__refinement,
    STATE(5319), 2,
      sym_comment,
      sym_block_comment,
    STATE(10090), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [278805] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9889), 1,
      anon_sym_type,
    STATE(5320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [278851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [278895] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278939] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9891), 1,
      anon_sym_AT,
    STATE(6291), 1,
      sym_annotation,
    STATE(5323), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278987] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279031] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(9712), 1,
      anon_sym_COLON,
    ACTIONS(9714), 1,
      anon_sym_LBRACE,
    ACTIONS(9716), 1,
      anon_sym_with,
    STATE(5159), 1,
      aux_sym_compound_type_repeat1,
    STATE(10187), 1,
      sym_template_body,
    STATE(10188), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5325), 2,
      sym_comment,
      sym_block_comment,
    STATE(10336), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8638), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [279095] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9574), 1,
      anon_sym_COLON,
    ACTIONS(9576), 1,
      anon_sym_LBRACE,
    ACTIONS(9578), 1,
      anon_sym_with,
    STATE(6249), 1,
      aux_sym_compound_type_repeat1,
    STATE(7738), 1,
      sym_template_body,
    STATE(7752), 1,
      sym__refinement,
    STATE(5326), 2,
      sym_comment,
      sym_block_comment,
    STATE(7144), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279153] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279197] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279241] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279287] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(5330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279333] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9335), 1,
      sym_interpolated_string,
    STATE(16069), 1,
      sym__interpolated_string_start,
    STATE(16071), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9894), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [279389] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279433] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(9706), 1,
      anon_sym_COLON,
    ACTIONS(9708), 1,
      anon_sym_LBRACE,
    ACTIONS(9710), 1,
      anon_sym_with,
    STATE(5158), 1,
      aux_sym_compound_type_repeat1,
    STATE(10138), 1,
      sym_template_body,
    STATE(10141), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5333), 2,
      sym_comment,
      sym_block_comment,
    STATE(10090), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [279497] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9896), 1,
      anon_sym_AT,
    STATE(6004), 1,
      sym_annotation,
    STATE(5334), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279545] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9899), 1,
      anon_sym_LBRACK,
    ACTIONS(9901), 1,
      anon_sym_LPAREN,
    ACTIONS(9903), 1,
      anon_sym_POUND,
    STATE(6206), 1,
      aux_sym_annotation_repeat1,
    STATE(6428), 1,
      sym_type_arguments,
    STATE(7667), 1,
      sym_arguments,
    STATE(5335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [279601] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9658), 1,
      anon_sym_COLON,
    ACTIONS(9660), 1,
      anon_sym_LBRACE,
    ACTIONS(9662), 1,
      anon_sym_with,
    STATE(5239), 1,
      aux_sym_compound_type_repeat1,
    STATE(10331), 1,
      sym_template_body,
    STATE(10340), 1,
      sym__refinement,
    STATE(5336), 2,
      sym_comment,
      sym_block_comment,
    STATE(10023), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [279659] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279703] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9905), 1,
      anon_sym_AT,
    STATE(6325), 1,
      sym_annotation,
    STATE(5338), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279751] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    ACTIONS(9910), 1,
      anon_sym_LPAREN,
    ACTIONS(9912), 1,
      anon_sym_POUND,
    STATE(6256), 1,
      aux_sym_annotation_repeat1,
    STATE(6590), 1,
      sym_type_arguments,
    STATE(7689), 1,
      sym_arguments,
    STATE(5339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [279807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279850] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [279893] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [279936] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [279979] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [280022] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [280065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280108] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9914), 1,
      anon_sym_LBRACK,
    ACTIONS(9916), 1,
      anon_sym_LPAREN,
    ACTIONS(9918), 1,
      anon_sym_POUND,
    STATE(6828), 1,
      aux_sym_annotation_repeat1,
    STATE(7891), 1,
      sym_type_arguments,
    STATE(8556), 1,
      sym_arguments,
    STATE(5347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280163] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9854), 1,
      anon_sym_LBRACK,
    ACTIONS(9856), 1,
      anon_sym_AT,
    ACTIONS(9860), 1,
      anon_sym_POUND,
    STATE(6646), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7725), 1,
      sym_type_arguments,
    STATE(8088), 1,
      sym_annotation,
    STATE(5348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280218] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9626), 1,
      anon_sym_LBRACK,
    ACTIONS(9630), 1,
      anon_sym_POUND,
    ACTIONS(9920), 1,
      anon_sym_AT,
    STATE(6566), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6959), 1,
      sym_type_arguments,
    STATE(8037), 1,
      sym_annotation,
    STATE(5349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [280273] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9922), 1,
      anon_sym_LBRACK,
    ACTIONS(9924), 1,
      anon_sym_LPAREN,
    ACTIONS(9926), 1,
      anon_sym_POUND,
    STATE(7182), 1,
      aux_sym_annotation_repeat1,
    STATE(7853), 1,
      sym_type_arguments,
    STATE(9163), 1,
      sym_arguments,
    STATE(5350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280328] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9928), 1,
      anon_sym_COLON,
    ACTIONS(9930), 1,
      anon_sym_LBRACE,
    ACTIONS(9932), 1,
      anon_sym_with,
    STATE(8045), 1,
      aux_sym_compound_type_repeat1,
    STATE(10531), 1,
      sym_template_body,
    STATE(10558), 1,
      sym__refinement,
    STATE(5351), 2,
      sym_comment,
      sym_block_comment,
    STATE(10587), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280385] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280428] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8940), 1,
      sym_interpolated_string,
    STATE(16603), 1,
      sym__interpolated_string_start,
    STATE(16604), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(9934), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280483] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [280526] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9936), 1,
      anon_sym_AT,
    STATE(6357), 1,
      sym_annotation,
    STATE(5355), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280573] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [280616] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [280659] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9939), 1,
      anon_sym_COLON,
    ACTIONS(9941), 1,
      anon_sym_LBRACE,
    ACTIONS(9943), 1,
      anon_sym_with,
    STATE(8444), 1,
      aux_sym_compound_type_repeat1,
    STATE(10485), 1,
      sym_template_body,
    STATE(10491), 1,
      sym__refinement,
    STATE(5358), 2,
      sym_comment,
      sym_block_comment,
    STATE(10466), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280716] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280802] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9947), 1,
      anon_sym_end,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(9951), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17659), 1,
      sym_identifier,
    STATE(5361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(933), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [280855] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280898] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280941] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280984] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9953), 1,
      anon_sym_DOT,
    STATE(5365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281029] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281072] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281115] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9513), 1,
      anon_sym_AT,
    STATE(5696), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6400), 1,
      sym_annotation,
    STATE(5368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281164] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9525), 1,
      anon_sym_LPAREN,
    STATE(5373), 1,
      aux_sym_annotation_repeat1,
    STATE(6360), 1,
      sym_arguments,
    STATE(5369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [281213] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281256] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9955), 1,
      anon_sym_with,
    STATE(5371), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281301] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1829), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9444), 1,
      anon_sym_LPAREN,
    ACTIONS(9958), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(5372), 2,
      sym_comment,
      sym_block_comment,
    STATE(8922), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8997), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8995), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281358] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9960), 1,
      anon_sym_LPAREN,
    STATE(6360), 1,
      sym_arguments,
    STATE(5373), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [281405] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281448] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(5375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [281493] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7288), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281579] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9963), 1,
      anon_sym_DOT,
    STATE(5378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281624] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281667] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(9965), 1,
      anon_sym_COLON,
    ACTIONS(9967), 1,
      anon_sym_LBRACE,
    ACTIONS(9969), 1,
      anon_sym_with,
    STATE(5564), 1,
      aux_sym_compound_type_repeat1,
    STATE(10645), 1,
      sym_template_body,
    STATE(10646), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5380), 2,
      sym_comment,
      sym_block_comment,
    STATE(10666), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8638), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [281730] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281773] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9540), 1,
      anon_sym_LPAREN,
    STATE(5383), 1,
      aux_sym_annotation_repeat1,
    STATE(7009), 1,
      sym_arguments,
    STATE(5382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [281822] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9971), 1,
      anon_sym_LPAREN,
    STATE(7009), 1,
      sym_arguments,
    STATE(5383), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [281869] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281912] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1829), 1,
      anon_sym_LBRACE,
    ACTIONS(9444), 1,
      anon_sym_LPAREN,
    ACTIONS(9958), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(5385), 2,
      sym_comment,
      sym_block_comment,
    STATE(8922), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8949), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8947), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281967] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9974), 1,
      anon_sym_LBRACK,
    ACTIONS(9976), 1,
      anon_sym_LPAREN,
    ACTIONS(9978), 1,
      anon_sym_POUND,
    STATE(7039), 1,
      aux_sym_annotation_repeat1,
    STATE(7933), 1,
      sym_type_arguments,
    STATE(8177), 1,
      sym_arguments,
    STATE(5386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [282022] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9544), 1,
      anon_sym_AT,
    STATE(5432), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6774), 1,
      sym_annotation,
    STATE(5387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [282071] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282114] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9947), 1,
      anon_sym_end,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(9980), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17646), 1,
      sym_identifier,
    STATE(5389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(933), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [282167] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282210] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9854), 1,
      anon_sym_LBRACK,
    ACTIONS(9860), 1,
      anon_sym_POUND,
    ACTIONS(9982), 1,
      anon_sym_LPAREN,
    STATE(6596), 1,
      aux_sym_annotation_repeat1,
    STATE(7725), 1,
      sym_type_arguments,
    STATE(8340), 1,
      sym_arguments,
    STATE(5391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [282265] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(9928), 1,
      anon_sym_COLON,
    ACTIONS(9930), 1,
      anon_sym_LBRACE,
    ACTIONS(9932), 1,
      anon_sym_with,
    STATE(5351), 1,
      aux_sym_compound_type_repeat1,
    STATE(10531), 1,
      sym_template_body,
    STATE(10532), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5392), 2,
      sym_comment,
      sym_block_comment,
    STATE(10587), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8638), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [282328] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282371] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282414] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282457] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [282500] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [282543] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282586] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [282715] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9984), 1,
      anon_sym_LBRACK,
    ACTIONS(9986), 1,
      anon_sym_LPAREN,
    ACTIONS(9988), 1,
      anon_sym_POUND,
    STATE(6710), 1,
      aux_sym_annotation_repeat1,
    STATE(7740), 1,
      sym_type_arguments,
    STATE(8026), 1,
      sym_arguments,
    STATE(5402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [282770] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282813] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282856] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282899] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282942] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9990), 1,
      anon_sym_AT,
    STATE(7042), 1,
      sym_annotation,
    STATE(5407), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282989] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283032] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [283075] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [283118] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283161] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [283204] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283247] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9562), 1,
      anon_sym_LPAREN,
    STATE(5416), 1,
      aux_sym_annotation_repeat1,
    STATE(6369), 1,
      sym_arguments,
    STATE(5414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [283296] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9993), 1,
      anon_sym_COLON,
    ACTIONS(9995), 1,
      anon_sym_LBRACE,
    ACTIONS(9997), 1,
      anon_sym_with,
    STATE(5626), 1,
      aux_sym_compound_type_repeat1,
    STATE(10572), 1,
      sym_template_body,
    STATE(10595), 1,
      sym__refinement,
    STATE(5415), 2,
      sym_comment,
      sym_block_comment,
    STATE(10724), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [283353] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9999), 1,
      anon_sym_LPAREN,
    STATE(6369), 1,
      sym_arguments,
    STATE(5416), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [283400] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283443] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283486] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283572] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9327), 1,
      anon_sym_LPAREN,
    STATE(5423), 1,
      aux_sym_annotation_repeat1,
    STATE(6389), 1,
      sym_arguments,
    STATE(5421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [283621] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(5422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [283666] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10002), 1,
      anon_sym_LPAREN,
    STATE(6389), 1,
      sym_arguments,
    STATE(5423), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [283713] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9323), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [283756] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [283799] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10005), 1,
      anon_sym_DOT,
    STATE(5426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [283844] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283887] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9212), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [283930] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [283973] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284016] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [284059] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10011), 1,
      anon_sym_AT,
    STATE(6774), 1,
      sym_annotation,
    STATE(5432), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [284106] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [284149] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [284192] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10014), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10016), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284235] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(5436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [284280] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284323] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [284366] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [284409] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [284452] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [284495] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [284538] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7288), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [284581] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284624] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284667] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284710] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284753] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [284796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [284839] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284882] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284925] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9635), 1,
      anon_sym_LBRACK,
    ACTIONS(9639), 1,
      anon_sym_POUND,
    ACTIONS(10018), 1,
      anon_sym_AT,
    STATE(6622), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7065), 1,
      sym_type_arguments,
    STATE(8073), 1,
      sym_annotation,
    STATE(5452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [284980] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [285023] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [285066] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [285109] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [285152] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9825), 1,
      anon_sym_with,
    STATE(8594), 1,
      aux_sym_compound_type_repeat1,
    STATE(9710), 1,
      sym_template_body,
    STATE(9740), 1,
      sym__refinement,
    STATE(5457), 2,
      sym_comment,
      sym_block_comment,
    STATE(9729), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8556), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [285205] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285248] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [285291] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7288), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [285334] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [285377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285420] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285463] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285506] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(5465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285551] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285594] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285637] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285680] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9839), 1,
      anon_sym_DOT,
    ACTIONS(10020), 1,
      anon_sym_EQ_GT,
    STATE(5469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285727] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285770] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285813] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [285856] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9873), 1,
      anon_sym_LBRACK,
    ACTIONS(9877), 1,
      anon_sym_POUND,
    ACTIONS(10022), 1,
      anon_sym_AT,
    STATE(6366), 1,
      sym_type_arguments,
    STATE(6740), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8184), 1,
      sym_annotation,
    STATE(5473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [285911] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(10280), 1,
      sym_interpolated_string,
    STATE(16496), 1,
      sym__interpolated_string_start,
    STATE(16527), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [285966] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7288), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [286009] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10024), 1,
      anon_sym_DOT,
    STATE(5476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286054] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9757), 1,
      anon_sym_EQ_GT,
    STATE(5477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286099] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286142] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1829), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9444), 1,
      anon_sym_LPAREN,
    ACTIONS(9958), 1,
      anon_sym_DOT,
    ACTIONS(10026), 1,
      sym_operator_identifier,
    STATE(1968), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(5479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    STATE(8922), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9063), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [286209] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1259), 1,
      anon_sym_LBRACE,
    ACTIONS(9037), 1,
      anon_sym_LPAREN,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9380), 1,
      anon_sym_DOT,
    ACTIONS(10028), 1,
      sym__alpha_identifier,
    ACTIONS(10032), 1,
      anon_sym_EQ,
    ACTIONS(10034), 1,
      sym__backquoted_id,
    ACTIONS(10036), 1,
      sym_operator_identifier,
    STATE(546), 1,
      sym_identifier,
    STATE(4205), 1,
      sym__soft_identifier,
    STATE(5480), 2,
      sym_comment,
      sym_block_comment,
    STATE(7359), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9805), 5,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [286276] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286319] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(5482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [286364] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286407] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286450] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286493] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10038), 1,
      anon_sym_COLON,
    ACTIONS(10040), 1,
      anon_sym_LBRACE,
    ACTIONS(10042), 1,
      anon_sym_with,
    STATE(7970), 1,
      aux_sym_compound_type_repeat1,
    STATE(10575), 1,
      sym_template_body,
    STATE(10628), 1,
      sym__refinement,
    STATE(5486), 2,
      sym_comment,
      sym_block_comment,
    STATE(10512), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8556), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [286550] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [286593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286679] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286722] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286765] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9135), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [286894] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286937] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286980] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287023] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [287066] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9133), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [287109] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [287152] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9675), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9673), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9671), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287197] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [287240] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [287283] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [287326] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [287369] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287412] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [287455] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287498] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9675), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9673), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9671), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287543] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287586] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9694), 1,
      anon_sym_LBRACK,
    ACTIONS(9698), 1,
      anon_sym_POUND,
    ACTIONS(10048), 1,
      anon_sym_AT,
    STATE(6575), 1,
      sym_type_arguments,
    STATE(6976), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8315), 1,
      sym_annotation,
    STATE(5511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [287641] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9641), 1,
      anon_sym_LBRACK,
    ACTIONS(9645), 1,
      anon_sym_POUND,
    ACTIONS(10050), 1,
      anon_sym_AT,
    STATE(6488), 1,
      sym_type_arguments,
    STATE(6673), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8106), 1,
      sym_annotation,
    STATE(5512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [287696] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10052), 1,
      anon_sym_with,
    STATE(5833), 1,
      aux_sym_compound_type_repeat1,
    STATE(10056), 1,
      sym_template_body,
    STATE(10062), 1,
      sym__refinement,
    STATE(10115), 1,
      sym_arguments,
    STATE(5513), 2,
      sym_comment,
      sym_block_comment,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8370), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [287751] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(5514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [287796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287839] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287882] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [287925] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10058), 1,
      anon_sym_LBRACK,
    ACTIONS(10060), 1,
      anon_sym_LPAREN,
    ACTIONS(10062), 1,
      anon_sym_POUND,
    STATE(6343), 1,
      aux_sym_annotation_repeat1,
    STATE(7768), 1,
      sym_type_arguments,
    STATE(8405), 1,
      sym_arguments,
    STATE(5518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [287980] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [288023] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10064), 1,
      anon_sym_DOT,
    STATE(5520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288111] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10066), 1,
      anon_sym_AT,
    STATE(6979), 1,
      sym_annotation,
    STATE(5522), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9203), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [288158] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9976), 1,
      sym_interpolated_string,
    STATE(16745), 1,
      sym__interpolated_string_start,
    STATE(16746), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288213] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(9993), 1,
      anon_sym_COLON,
    ACTIONS(9995), 1,
      anon_sym_LBRACE,
    ACTIONS(9997), 1,
      anon_sym_with,
    STATE(5626), 1,
      aux_sym_compound_type_repeat1,
    STATE(10572), 1,
      sym_template_body,
    STATE(10595), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5524), 2,
      sym_comment,
      sym_block_comment,
    STATE(10724), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8638), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_EQ,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288276] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9731), 1,
      anon_sym_DOT,
    ACTIONS(10069), 1,
      anon_sym_EQ_GT,
    STATE(5525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [288323] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10071), 1,
      anon_sym_COLON,
    ACTIONS(10073), 1,
      anon_sym_LBRACE,
    ACTIONS(10075), 1,
      anon_sym_with,
    STATE(8267), 1,
      aux_sym_compound_type_repeat1,
    STATE(10562), 1,
      sym_template_body,
    STATE(10571), 1,
      sym__refinement,
    STATE(5526), 2,
      sym_comment,
      sym_block_comment,
    STATE(10518), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288380] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288423] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9773), 1,
      anon_sym_LBRACK,
    ACTIONS(9775), 1,
      anon_sym_AT,
    ACTIONS(9779), 1,
      anon_sym_POUND,
    STATE(6396), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7293), 1,
      sym_type_arguments,
    STATE(8441), 1,
      sym_annotation,
    STATE(5528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288478] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9791), 1,
      anon_sym_with,
    STATE(8025), 1,
      aux_sym_compound_type_repeat1,
    STATE(9718), 1,
      sym__refinement,
    STATE(9935), 1,
      sym_template_body,
    STATE(5529), 2,
      sym_comment,
      sym_block_comment,
    STATE(9447), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288531] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288574] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288617] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [288660] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288703] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [288746] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9354), 1,
      anon_sym_LPAREN,
    STATE(5554), 1,
      aux_sym_annotation_repeat1,
    STATE(6624), 1,
      sym_arguments,
    STATE(5535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288795] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [288838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [288924] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288967] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(5540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [289012] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9509), 1,
      anon_sym_AT,
    STATE(5522), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6979), 1,
      sym_annotation,
    STATE(5541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9248), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [289061] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [289104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289147] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289190] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [289233] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(10030), 1,
      sym_interpolated_string,
    STATE(15900), 1,
      sym__interpolated_string_start,
    STATE(15901), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [289288] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10085), 1,
      anon_sym_COLON,
    ACTIONS(10088), 1,
      anon_sym_LBRACE,
    STATE(7313), 1,
      sym_template_body,
    STATE(5547), 2,
      sym_comment,
      sym_block_comment,
    STATE(7082), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9350), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9342), 15,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289339] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [289382] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [289425] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289468] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [289511] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [289554] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289597] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10095), 1,
      anon_sym_LPAREN,
    STATE(6624), 1,
      sym_arguments,
    STATE(5554), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289644] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [289687] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289730] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289773] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289859] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9724), 1,
      sym_interpolated_string,
    STATE(17260), 1,
      sym__interpolated_string_start,
    STATE(17262), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10098), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [289914] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9928), 1,
      anon_sym_COLON,
    ACTIONS(9930), 1,
      anon_sym_LBRACE,
    ACTIONS(9932), 1,
      anon_sym_with,
    STATE(5351), 1,
      aux_sym_compound_type_repeat1,
    STATE(10531), 1,
      sym_template_body,
    STATE(10532), 1,
      sym__refinement,
    STATE(5561), 2,
      sym_comment,
      sym_block_comment,
    STATE(10587), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [289971] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [290014] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10100), 1,
      anon_sym_LBRACK,
    ACTIONS(10102), 1,
      anon_sym_LPAREN,
    ACTIONS(10104), 1,
      anon_sym_POUND,
    STATE(7197), 1,
      aux_sym_annotation_repeat1,
    STATE(7712), 1,
      sym_type_arguments,
    STATE(9268), 1,
      sym_arguments,
    STATE(5563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8262), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290069] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9965), 1,
      anon_sym_COLON,
    ACTIONS(9967), 1,
      anon_sym_LBRACE,
    ACTIONS(9969), 1,
      anon_sym_with,
    STATE(7963), 1,
      aux_sym_compound_type_repeat1,
    STATE(10645), 1,
      sym_template_body,
    STATE(10675), 1,
      sym__refinement,
    STATE(5564), 2,
      sym_comment,
      sym_block_comment,
    STATE(10666), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8556), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [290126] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9303), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [290169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [290212] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9260), 1,
      anon_sym_AT,
    STATE(5680), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6771), 1,
      sym_annotation,
    STATE(5567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [290261] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10071), 1,
      anon_sym_COLON,
    ACTIONS(10073), 1,
      anon_sym_LBRACE,
    ACTIONS(10075), 1,
      anon_sym_with,
    STATE(5526), 1,
      aux_sym_compound_type_repeat1,
    STATE(10562), 1,
      sym_template_body,
    STATE(10566), 1,
      sym__refinement,
    STATE(5568), 2,
      sym_comment,
      sym_block_comment,
    STATE(10518), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290318] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [290361] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6332), 1,
      sym_arguments,
    STATE(5570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [290406] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1295), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9550), 1,
      anon_sym_LPAREN,
    ACTIONS(10106), 1,
      anon_sym_DOT,
    ACTIONS(10108), 1,
      sym_operator_identifier,
    STATE(1932), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(5571), 2,
      sym_comment,
      sym_block_comment,
    STATE(9097), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9063), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [290473] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8746), 1,
      anon_sym_COMMA,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(8752), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2648), 4,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8410), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [290538] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9232), 1,
      anon_sym_LPAREN,
    ACTIONS(9667), 1,
      anon_sym_DOT,
    ACTIONS(10110), 1,
      sym__alpha_identifier,
    ACTIONS(10114), 1,
      anon_sym_EQ,
    ACTIONS(10116), 1,
      sym__backquoted_id,
    ACTIONS(10118), 1,
      sym_operator_identifier,
    STATE(544), 1,
      sym_identifier,
    STATE(4206), 1,
      sym__soft_identifier,
    STATE(5573), 2,
      sym_comment,
      sym_block_comment,
    STATE(8248), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9805), 5,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10112), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [290605] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(5574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [290650] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1079), 1,
      anon_sym_LBRACE,
    ACTIONS(8494), 1,
      anon_sym_LPAREN,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9195), 1,
      anon_sym_DOT,
    ACTIONS(10120), 1,
      sym__alpha_identifier,
    ACTIONS(10124), 1,
      anon_sym_EQ,
    ACTIONS(10126), 1,
      sym__backquoted_id,
    ACTIONS(10128), 1,
      sym_operator_identifier,
    STATE(541), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(5575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(6418), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9805), 6,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10122), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [290717] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7429), 1,
      sym_interpolated_string,
    STATE(16697), 1,
      sym__interpolated_string_start,
    STATE(16698), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10130), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290772] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9739), 1,
      anon_sym_LBRACK,
    ACTIONS(9743), 1,
      anon_sym_POUND,
    ACTIONS(10132), 1,
      anon_sym_AT,
    STATE(6388), 1,
      sym_type_arguments,
    STATE(6392), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8467), 1,
      sym_annotation,
    STATE(5577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [290870] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10134), 1,
      anon_sym_with,
    STATE(5579), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [290915] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290958] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1187), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9232), 1,
      anon_sym_LPAREN,
    ACTIONS(9667), 1,
      anon_sym_DOT,
    ACTIONS(10110), 1,
      sym__alpha_identifier,
    ACTIONS(10116), 1,
      sym__backquoted_id,
    ACTIONS(10118), 1,
      sym_operator_identifier,
    ACTIONS(10137), 1,
      anon_sym_EQ,
    STATE(544), 1,
      sym_identifier,
    STATE(4206), 1,
      sym__soft_identifier,
    STATE(5581), 2,
      sym_comment,
      sym_block_comment,
    STATE(8248), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9805), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10112), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [291025] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [291068] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7456), 1,
      sym_interpolated_string,
    STATE(16757), 1,
      sym__interpolated_string_start,
    STATE(16758), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10139), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [291123] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1115), 1,
      anon_sym_LBRACE,
    ACTIONS(8849), 1,
      anon_sym_LPAREN,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9191), 1,
      anon_sym_DOT,
    ACTIONS(10141), 1,
      sym__alpha_identifier,
    ACTIONS(10145), 1,
      anon_sym_EQ,
    ACTIONS(10147), 1,
      sym__backquoted_id,
    ACTIONS(10149), 1,
      sym_operator_identifier,
    STATE(542), 1,
      sym_identifier,
    STATE(4203), 1,
      sym__soft_identifier,
    STATE(5584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(6595), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9805), 6,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10143), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [291190] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9887), 1,
      sym_interpolated_string,
    STATE(16886), 1,
      sym__interpolated_string_start,
    STATE(16887), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10151), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291245] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9616), 1,
      anon_sym_LBRACK,
    ACTIONS(9620), 1,
      anon_sym_POUND,
    ACTIONS(10153), 1,
      anon_sym_AT,
    STATE(6522), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6884), 1,
      sym_type_arguments,
    STATE(8023), 1,
      sym_annotation,
    STATE(5586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [291300] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9724), 1,
      sym_interpolated_string,
    STATE(17260), 1,
      sym__interpolated_string_start,
    STATE(17262), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10155), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [291398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [291441] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7288), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [291484] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [291527] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [291570] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9899), 1,
      anon_sym_LBRACK,
    ACTIONS(9903), 1,
      anon_sym_POUND,
    ACTIONS(10157), 1,
      anon_sym_AT,
    STATE(6373), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6428), 1,
      sym_type_arguments,
    STATE(8361), 1,
      sym_annotation,
    STATE(5593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291625] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10159), 1,
      anon_sym_AT,
    STATE(7055), 1,
      sym_annotation,
    STATE(5594), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [291672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [291715] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [291758] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [291801] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10162), 1,
      anon_sym_COLON,
    ACTIONS(10164), 1,
      anon_sym_LBRACE,
    ACTIONS(10166), 1,
      anon_sym_with,
    STATE(8015), 1,
      aux_sym_compound_type_repeat1,
    STATE(10421), 1,
      sym_template_body,
    STATE(10434), 1,
      sym__refinement,
    STATE(5598), 2,
      sym_comment,
      sym_block_comment,
    STATE(10472), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [291901] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [291944] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [291987] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [292030] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9827), 1,
      anon_sym_EQ_GT,
    STATE(5603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [292075] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(189), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9262), 1,
      anon_sym_LPAREN,
    ACTIONS(9614), 1,
      anon_sym_DOT,
    ACTIONS(9801), 1,
      anon_sym_LBRACK,
    ACTIONS(9805), 1,
      anon_sym_match,
    ACTIONS(10168), 1,
      sym__alpha_identifier,
    ACTIONS(10174), 1,
      sym__backquoted_id,
    ACTIONS(10176), 1,
      sym_operator_identifier,
    STATE(565), 1,
      sym_identifier,
    STATE(4226), 1,
      sym__soft_identifier,
    STATE(5604), 2,
      sym_comment,
      sym_block_comment,
    STATE(8218), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9059), 4,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10170), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10172), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [292144] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9986), 1,
      sym_interpolated_string,
    STATE(16534), 1,
      sym__interpolated_string_start,
    STATE(16535), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292199] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9511), 1,
      anon_sym_AT,
    STATE(5407), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7042), 1,
      sym_annotation,
    STATE(5606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [292248] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [292293] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [292336] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9773), 1,
      anon_sym_LBRACK,
    ACTIONS(9779), 1,
      anon_sym_POUND,
    ACTIONS(10178), 1,
      anon_sym_LPAREN,
    STATE(6745), 1,
      aux_sym_annotation_repeat1,
    STATE(7293), 1,
      sym_type_arguments,
    STATE(8019), 1,
      sym_arguments,
    STATE(5609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [292434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [292477] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1295), 1,
      anon_sym_LBRACE,
    ACTIONS(9550), 1,
      anon_sym_LPAREN,
    ACTIONS(10106), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(5612), 2,
      sym_comment,
      sym_block_comment,
    STATE(9097), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8949), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8947), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292532] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [292575] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [292618] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8180), 1,
      anon_sym_inline,
    ACTIONS(8182), 1,
      anon_sym_infix,
    ACTIONS(8184), 1,
      anon_sym_open,
    ACTIONS(8186), 1,
      anon_sym_transparent,
    STATE(4681), 1,
      aux_sym_modifiers_repeat1,
    ACTIONS(8178), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(5615), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8176), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
    ACTIONS(10180), 10,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
  [292675] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(10071), 1,
      anon_sym_COLON,
    ACTIONS(10073), 1,
      anon_sym_LBRACE,
    ACTIONS(10075), 1,
      anon_sym_with,
    STATE(5526), 1,
      aux_sym_compound_type_repeat1,
    STATE(10562), 1,
      sym_template_body,
    STATE(10566), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5616), 2,
      sym_comment,
      sym_block_comment,
    STATE(10518), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8638), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_finally,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292738] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [292781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [292824] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10182), 1,
      anon_sym_COLON,
    ACTIONS(10185), 1,
      anon_sym_LBRACE,
    STATE(7651), 1,
      sym_template_body,
    STATE(5619), 2,
      sym_comment,
      sym_block_comment,
    STATE(7284), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9350), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9342), 15,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [292875] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10188), 1,
      anon_sym_with,
    STATE(6333), 1,
      aux_sym_compound_type_repeat1,
    STATE(9749), 1,
      sym_template_body,
    STATE(9750), 1,
      sym__refinement,
    STATE(9773), 1,
      sym_arguments,
    STATE(5620), 2,
      sym_comment,
      sym_block_comment,
    STATE(9563), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292930] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [292973] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [293016] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [293059] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [293102] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9160), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [293145] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9993), 1,
      anon_sym_COLON,
    ACTIONS(9995), 1,
      anon_sym_LBRACE,
    ACTIONS(9997), 1,
      anon_sym_with,
    STATE(8135), 1,
      aux_sym_compound_type_repeat1,
    STATE(10487), 1,
      sym__refinement,
    STATE(10572), 1,
      sym_template_body,
    STATE(5626), 2,
      sym_comment,
      sym_block_comment,
    STATE(10724), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8556), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [293202] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1295), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9550), 1,
      anon_sym_LPAREN,
    ACTIONS(10106), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(5627), 2,
      sym_comment,
      sym_block_comment,
    STATE(9097), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8997), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [293259] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10190), 1,
      anon_sym_with,
    STATE(5628), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [293304] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(10193), 1,
      anon_sym_COLON,
    ACTIONS(10195), 1,
      anon_sym_LBRACE,
    ACTIONS(10197), 1,
      anon_sym_with,
    STATE(5678), 1,
      aux_sym_compound_type_repeat1,
    STATE(10638), 1,
      sym_template_body,
    STATE(10664), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5629), 2,
      sym_comment,
      sym_block_comment,
    STATE(10449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8638), 4,
      anon_sym_STAR,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [293367] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [293410] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9568), 1,
      anon_sym_LBRACK,
    ACTIONS(9572), 1,
      anon_sym_POUND,
    ACTIONS(10199), 1,
      anon_sym_AT,
    STATE(6520), 1,
      sym_type_arguments,
    STATE(7491), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8810), 1,
      sym_annotation,
    STATE(5631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [293465] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9459), 1,
      anon_sym_AT,
    STATE(5675), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6499), 1,
      sym_annotation,
    STATE(5632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [293514] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [293557] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [293600] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [293643] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9438), 1,
      anon_sym_AT,
    STATE(5775), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7012), 1,
      sym_annotation,
    STATE(5636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [293692] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1079), 1,
      anon_sym_LBRACE,
    ACTIONS(8494), 1,
      anon_sym_LPAREN,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9195), 1,
      anon_sym_DOT,
    ACTIONS(10120), 1,
      sym__alpha_identifier,
    ACTIONS(10126), 1,
      sym__backquoted_id,
    ACTIONS(10128), 1,
      sym_operator_identifier,
    ACTIONS(10201), 1,
      anon_sym_EQ,
    STATE(541), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(5637), 2,
      sym_comment,
      sym_block_comment,
    STATE(6418), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9805), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9801), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10122), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [293759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [293802] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [293845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [293888] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [293931] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [293974] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(10162), 1,
      anon_sym_COLON,
    ACTIONS(10164), 1,
      anon_sym_LBRACE,
    ACTIONS(10166), 1,
      anon_sym_with,
    STATE(5598), 1,
      aux_sym_compound_type_repeat1,
    STATE(10421), 1,
      sym_template_body,
    STATE(10422), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5643), 2,
      sym_comment,
      sym_block_comment,
    STATE(10472), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8638), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [294037] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7456), 1,
      sym_interpolated_string,
    STATE(16757), 1,
      sym__interpolated_string_start,
    STATE(16758), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10203), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [294092] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1115), 1,
      anon_sym_LBRACE,
    ACTIONS(8849), 1,
      anon_sym_LPAREN,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9191), 1,
      anon_sym_DOT,
    ACTIONS(10141), 1,
      sym__alpha_identifier,
    ACTIONS(10147), 1,
      sym__backquoted_id,
    ACTIONS(10149), 1,
      sym_operator_identifier,
    ACTIONS(10205), 1,
      anon_sym_EQ,
    STATE(542), 1,
      sym_identifier,
    STATE(4203), 1,
      sym__soft_identifier,
    STATE(5645), 2,
      sym_comment,
      sym_block_comment,
    STATE(6595), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9805), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9801), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10143), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [294159] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9368), 1,
      anon_sym_LPAREN,
    STATE(5650), 1,
      aux_sym_annotation_repeat1,
    STATE(6466), 1,
      sym_arguments,
    STATE(5646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8943), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [294208] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [294251] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9307), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [294294] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9309), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [294337] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10207), 1,
      anon_sym_LPAREN,
    STATE(6466), 1,
      sym_arguments,
    STATE(5650), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8953), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [294384] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [294427] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294470] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [294513] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294556] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1039), 1,
      anon_sym_LBRACE,
    ACTIONS(8366), 1,
      anon_sym_LPAREN,
    ACTIONS(8951), 1,
      anon_sym_DOT,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9799), 1,
      sym__alpha_identifier,
    ACTIONS(9809), 1,
      sym__backquoted_id,
    ACTIONS(9811), 1,
      sym_operator_identifier,
    ACTIONS(10210), 1,
      anon_sym_EQ,
    STATE(540), 1,
      sym_identifier,
    STATE(4172), 1,
      sym__soft_identifier,
    STATE(5655), 2,
      sym_comment,
      sym_block_comment,
    STATE(6201), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9805), 5,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9803), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [294623] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9887), 1,
      sym_interpolated_string,
    STATE(16886), 1,
      sym__interpolated_string_start,
    STATE(16887), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10212), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [294678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294721] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9781), 1,
      anon_sym_with,
    STATE(8300), 1,
      aux_sym_compound_type_repeat1,
    STATE(9649), 1,
      sym_template_body,
    STATE(9865), 1,
      sym__refinement,
    STATE(5495), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8562), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [294774] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9852), 1,
      anon_sym_EQ_GT,
    STATE(5659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294819] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [294862] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [294905] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10214), 1,
      anon_sym_COLON,
    ACTIONS(10216), 1,
      anon_sym_LBRACE,
    ACTIONS(10218), 1,
      anon_sym_with,
    STATE(5770), 1,
      aux_sym_compound_type_repeat1,
    STATE(10536), 1,
      sym_template_body,
    STATE(10537), 1,
      sym__refinement,
    STATE(5662), 2,
      sym_comment,
      sym_block_comment,
    STATE(10517), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [294962] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10220), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10222), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295005] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295048] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9947), 1,
      anon_sym_end,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(10224), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17378), 1,
      sym_identifier,
    STATE(5665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(933), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [295101] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295144] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9505), 1,
      anon_sym_LPAREN,
    STATE(5668), 1,
      aux_sym_annotation_repeat1,
    STATE(6487), 1,
      sym_arguments,
    STATE(5667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [295193] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10226), 1,
      anon_sym_LPAREN,
    STATE(6487), 1,
      sym_arguments,
    STATE(5668), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [295240] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9125), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [295283] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9283), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [295326] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295369] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9473), 1,
      anon_sym_LPAREN,
    STATE(5682), 1,
      aux_sym_annotation_repeat1,
    STATE(6515), 1,
      sym_arguments,
    STATE(5672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [295418] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10229), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10231), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295461] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9813), 1,
      anon_sym_LBRACK,
    ACTIONS(9819), 1,
      anon_sym_POUND,
    ACTIONS(10233), 1,
      anon_sym_LPAREN,
    STATE(6530), 1,
      aux_sym_annotation_repeat1,
    STATE(7466), 1,
      sym_type_arguments,
    STATE(7956), 1,
      sym_arguments,
    STATE(5674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8262), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [295516] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10235), 1,
      anon_sym_AT,
    STATE(6499), 1,
      sym_annotation,
    STATE(5675), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295563] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10238), 1,
      anon_sym_COLON,
    ACTIONS(10241), 1,
      anon_sym_LBRACE,
    STATE(7366), 1,
      sym_template_body,
    STATE(5676), 2,
      sym_comment,
      sym_block_comment,
    STATE(7231), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9350), 7,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9342), 16,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [295614] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10193), 1,
      anon_sym_COLON,
    ACTIONS(10195), 1,
      anon_sym_LBRACE,
    ACTIONS(10197), 1,
      anon_sym_with,
    STATE(5678), 1,
      aux_sym_compound_type_repeat1,
    STATE(10638), 1,
      sym_template_body,
    STATE(10664), 1,
      sym__refinement,
    STATE(5677), 2,
      sym_comment,
      sym_block_comment,
    STATE(10449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295671] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10193), 1,
      anon_sym_COLON,
    ACTIONS(10195), 1,
      anon_sym_LBRACE,
    ACTIONS(10197), 1,
      anon_sym_with,
    STATE(8298), 1,
      aux_sym_compound_type_repeat1,
    STATE(10638), 1,
      sym_template_body,
    STATE(10744), 1,
      sym__refinement,
    STATE(5678), 2,
      sym_comment,
      sym_block_comment,
    STATE(10449), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295728] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8228), 1,
      sym_interpolated_string,
    STATE(17018), 1,
      sym__interpolated_string_start,
    STATE(17019), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10244), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295783] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10246), 1,
      anon_sym_AT,
    STATE(6771), 1,
      sym_annotation,
    STATE(5680), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295830] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10249), 1,
      anon_sym_DOT,
    STATE(5681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [295875] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10251), 1,
      anon_sym_LPAREN,
    STATE(6515), 1,
      sym_arguments,
    STATE(5682), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [295922] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10254), 1,
      anon_sym_LBRACK,
    ACTIONS(10256), 1,
      anon_sym_LPAREN,
    ACTIONS(10258), 1,
      anon_sym_POUND,
    STATE(7582), 1,
      sym_type_arguments,
    STATE(7673), 1,
      aux_sym_annotation_repeat1,
    STATE(9044), 1,
      sym_arguments,
    STATE(5683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295977] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8746), 1,
      anon_sym_COMMA,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8758), 1,
      anon_sym_LPAREN,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(8752), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2648), 4,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
    ACTIONS(8410), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [296046] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296089] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(5686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [296134] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296177] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(7923), 1,
      sym_interpolated_string,
    STATE(17133), 1,
      sym__interpolated_string_start,
    STATE(17140), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10260), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [296232] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296275] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296318] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10262), 1,
      anon_sym_LBRACK,
    ACTIONS(10264), 1,
      anon_sym_AT,
    ACTIONS(10266), 1,
      anon_sym_LPAREN,
    ACTIONS(10268), 1,
      anon_sym_POUND,
    STATE(7662), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8276), 1,
      sym_type_arguments,
    STATE(9052), 1,
      sym_annotation,
    STATE(10193), 1,
      sym_arguments,
    STATE(5691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [296377] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1643), 1,
      anon_sym_LBRACE,
    ACTIONS(9422), 1,
      anon_sym_LPAREN,
    ACTIONS(10270), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(5692), 2,
      sym_comment,
      sym_block_comment,
    STATE(9102), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8949), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8947), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [296432] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10272), 1,
      anon_sym_DOT,
    STATE(5693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296477] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9230), 1,
      anon_sym_AT,
    STATE(5722), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6664), 1,
      sym_annotation,
    STATE(5694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [296526] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10162), 1,
      anon_sym_COLON,
    ACTIONS(10164), 1,
      anon_sym_LBRACE,
    ACTIONS(10166), 1,
      anon_sym_with,
    STATE(5598), 1,
      aux_sym_compound_type_repeat1,
    STATE(10421), 1,
      sym_template_body,
    STATE(10422), 1,
      sym__refinement,
    STATE(5695), 2,
      sym_comment,
      sym_block_comment,
    STATE(10472), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [296583] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10274), 1,
      anon_sym_AT,
    STATE(6400), 1,
      sym_annotation,
    STATE(5696), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [296630] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10277), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10279), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296673] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10281), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10283), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296716] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296759] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10285), 1,
      anon_sym_DOT,
    STATE(5700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [296804] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296847] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8228), 1,
      sym_interpolated_string,
    STATE(17018), 1,
      sym__interpolated_string_start,
    STATE(17019), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8752), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [296902] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10287), 1,
      anon_sym_DOT,
    STATE(5703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [296947] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1643), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9422), 1,
      anon_sym_LPAREN,
    ACTIONS(10270), 1,
      anon_sym_DOT,
    ACTIONS(10289), 1,
      sym_operator_identifier,
    STATE(1919), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(5704), 2,
      sym_comment,
      sym_block_comment,
    STATE(9102), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9061), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9063), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [297014] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [297057] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9783), 1,
      anon_sym_LBRACK,
    ACTIONS(9789), 1,
      anon_sym_POUND,
    ACTIONS(10291), 1,
      anon_sym_LPAREN,
    STATE(6647), 1,
      aux_sym_annotation_repeat1,
    STATE(7531), 1,
      sym_type_arguments,
    STATE(8042), 1,
      sym_arguments,
    STATE(5706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [297112] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9321), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [297155] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9813), 1,
      anon_sym_LBRACK,
    ACTIONS(9815), 1,
      anon_sym_AT,
    ACTIONS(9819), 1,
      anon_sym_POUND,
    STATE(6565), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7466), 1,
      sym_type_arguments,
    STATE(8142), 1,
      sym_annotation,
    STATE(5708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [297210] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(189), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9262), 1,
      anon_sym_LPAREN,
    ACTIONS(9614), 1,
      anon_sym_DOT,
    ACTIONS(10293), 1,
      sym_operator_identifier,
    STATE(1930), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(5709), 2,
      sym_comment,
      sym_block_comment,
    STATE(8218), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9063), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9061), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [297277] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297320] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9882), 1,
      anon_sym_with,
    STATE(8032), 1,
      aux_sym_compound_type_repeat1,
    STATE(9477), 1,
      sym_template_body,
    STATE(9491), 1,
      sym__refinement,
    STATE(5711), 2,
      sym_comment,
      sym_block_comment,
    STATE(9495), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [297373] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9119), 1,
      anon_sym_AT,
    STATE(5594), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7055), 1,
      sym_annotation,
    STATE(5712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [297422] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297465] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1643), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9422), 1,
      anon_sym_LPAREN,
    ACTIONS(10270), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(5714), 2,
      sym_comment,
      sym_block_comment,
    STATE(9102), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8997), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [297522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297565] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [297608] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7416), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7414), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297651] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10295), 1,
      anon_sym_with,
    STATE(6330), 1,
      aux_sym_compound_type_repeat1,
    STATE(10193), 1,
      sym_arguments,
    STATE(10264), 1,
      sym_template_body,
    STATE(10265), 1,
      sym__refinement,
    STATE(5718), 2,
      sym_comment,
      sym_block_comment,
    STATE(6157), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [297706] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297749] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10297), 1,
      anon_sym_LBRACK,
    ACTIONS(10299), 1,
      anon_sym_LPAREN,
    ACTIONS(10301), 1,
      anon_sym_POUND,
    STATE(6653), 1,
      aux_sym_annotation_repeat1,
    STATE(7837), 1,
      sym_type_arguments,
    STATE(8510), 1,
      sym_arguments,
    STATE(5720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8262), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [297804] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297847] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10303), 1,
      anon_sym_AT,
    STATE(6664), 1,
      sym_annotation,
    STATE(5722), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [297894] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [297937] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10306), 1,
      anon_sym_LBRACK,
    ACTIONS(10308), 1,
      anon_sym_LPAREN,
    ACTIONS(10310), 1,
      anon_sym_POUND,
    STATE(7151), 1,
      sym_type_arguments,
    STATE(7260), 1,
      aux_sym_annotation_repeat1,
    STATE(8882), 1,
      sym_arguments,
    STATE(5724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [297992] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9745), 1,
      anon_sym_LBRACK,
    ACTIONS(9749), 1,
      anon_sym_POUND,
    ACTIONS(10312), 1,
      anon_sym_AT,
    STATE(6362), 1,
      sym_type_arguments,
    STATE(7905), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8981), 1,
      sym_annotation,
    STATE(5725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298047] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298133] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9939), 1,
      anon_sym_COLON,
    ACTIONS(9941), 1,
      anon_sym_LBRACE,
    ACTIONS(9943), 1,
      anon_sym_with,
    STATE(5358), 1,
      aux_sym_compound_type_repeat1,
    STATE(10485), 1,
      sym_template_body,
    STATE(10486), 1,
      sym__refinement,
    STATE(5728), 2,
      sym_comment,
      sym_block_comment,
    STATE(10466), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298190] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298233] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9139), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298276] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10314), 1,
      anon_sym_with,
    STATE(5731), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298321] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10317), 1,
      anon_sym_LBRACK,
    ACTIONS(10319), 1,
      anon_sym_AT,
    ACTIONS(10321), 1,
      anon_sym_LPAREN,
    ACTIONS(10323), 1,
      anon_sym_POUND,
    STATE(7406), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8035), 1,
      sym_type_arguments,
    STATE(9064), 1,
      sym_annotation,
    STATE(10067), 1,
      sym_arguments,
    STATE(5732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298380] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9947), 1,
      anon_sym_end,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(10325), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17355), 1,
      sym_identifier,
    STATE(5733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(933), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [298433] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298476] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9141), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298519] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9143), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298562] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298605] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9783), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_AT,
    ACTIONS(9789), 1,
      anon_sym_POUND,
    STATE(6982), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7531), 1,
      sym_type_arguments,
    STATE(8261), 1,
      sym_annotation,
    STATE(5738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298660] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(10030), 1,
      sym_interpolated_string,
    STATE(15900), 1,
      sym__interpolated_string_start,
    STATE(15901), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10327), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298715] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298760] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9986), 1,
      sym_interpolated_string,
    STATE(16534), 1,
      sym__interpolated_string_start,
    STATE(16535), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10329), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298815] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10331), 1,
      anon_sym_LBRACK,
    ACTIONS(10333), 1,
      anon_sym_LPAREN,
    ACTIONS(10335), 1,
      anon_sym_POUND,
    STATE(6586), 1,
      aux_sym_annotation_repeat1,
    STATE(7257), 1,
      sym_type_arguments,
    STATE(7999), 1,
      sym_arguments,
    STATE(5742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298870] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9751), 1,
      anon_sym_LBRACK,
    ACTIONS(9755), 1,
      anon_sym_POUND,
    ACTIONS(10337), 1,
      anon_sym_AT,
    STATE(6424), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6706), 1,
      sym_type_arguments,
    STATE(8448), 1,
      sym_annotation,
    STATE(5743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298925] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4258), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298968] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299011] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    ACTIONS(9912), 1,
      anon_sym_POUND,
    ACTIONS(10339), 1,
      anon_sym_AT,
    STATE(6494), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6590), 1,
      sym_type_arguments,
    STATE(8459), 1,
      sym_annotation,
    STATE(5746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299066] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9965), 1,
      anon_sym_COLON,
    ACTIONS(9967), 1,
      anon_sym_LBRACE,
    ACTIONS(9969), 1,
      anon_sym_with,
    STATE(5564), 1,
      aux_sym_compound_type_repeat1,
    STATE(10645), 1,
      sym_template_body,
    STATE(10646), 1,
      sym__refinement,
    STATE(5747), 2,
      sym_comment,
      sym_block_comment,
    STATE(10666), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [299123] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10341), 1,
      anon_sym_LBRACK,
    ACTIONS(10343), 1,
      anon_sym_AT,
    ACTIONS(10345), 1,
      anon_sym_LPAREN,
    ACTIONS(10347), 1,
      anon_sym_POUND,
    STATE(7460), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8123), 1,
      sym_type_arguments,
    STATE(8906), 1,
      sym_annotation,
    STATE(9773), 1,
      sym_arguments,
    STATE(5748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299182] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1367), 1,
      anon_sym_LBRACE,
    ACTIONS(9479), 1,
      anon_sym_LPAREN,
    ACTIONS(10349), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(5749), 2,
      sym_comment,
      sym_block_comment,
    STATE(9279), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8949), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8947), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299237] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9531), 1,
      anon_sym_LPAREN,
    STATE(5760), 1,
      aux_sym_annotation_repeat1,
    STATE(6722), 1,
      sym_arguments,
    STATE(5750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299286] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299329] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299372] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9291), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [299415] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10038), 1,
      anon_sym_COLON,
    ACTIONS(10040), 1,
      anon_sym_LBRACE,
    ACTIONS(10042), 1,
      anon_sym_with,
    STATE(5486), 1,
      aux_sym_compound_type_repeat1,
    STATE(10575), 1,
      sym_template_body,
    STATE(10577), 1,
      sym__refinement,
    STATE(5754), 2,
      sym_comment,
      sym_block_comment,
    STATE(10512), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [299472] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9451), 1,
      anon_sym_AT,
    STATE(5355), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6357), 1,
      sym_annotation,
    STATE(5755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299521] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299564] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10351), 1,
      anon_sym_LBRACK,
    ACTIONS(10353), 1,
      anon_sym_LPAREN,
    ACTIONS(10355), 1,
      anon_sym_POUND,
    STATE(7501), 1,
      sym_type_arguments,
    STATE(7829), 1,
      aux_sym_annotation_repeat1,
    STATE(9307), 1,
      sym_arguments,
    STATE(5757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8262), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [299619] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1367), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9479), 1,
      anon_sym_LPAREN,
    ACTIONS(10349), 1,
      anon_sym_DOT,
    ACTIONS(10357), 1,
      sym_operator_identifier,
    STATE(1959), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(5758), 2,
      sym_comment,
      sym_block_comment,
    STATE(9279), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9063), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [299686] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10359), 1,
      anon_sym_LBRACK,
    ACTIONS(10361), 1,
      anon_sym_AT,
    ACTIONS(10363), 1,
      anon_sym_LPAREN,
    ACTIONS(10365), 1,
      anon_sym_POUND,
    STATE(7191), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8021), 1,
      sym_type_arguments,
    STATE(8715), 1,
      sym_annotation,
    STATE(10115), 1,
      sym_arguments,
    STATE(5759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [299745] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10367), 1,
      anon_sym_LPAREN,
    STATE(6722), 1,
      sym_arguments,
    STATE(5760), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299792] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [299835] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299878] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299921] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10370), 1,
      anon_sym_LBRACK,
    ACTIONS(10372), 1,
      anon_sym_LPAREN,
    ACTIONS(10374), 1,
      anon_sym_POUND,
    STATE(6727), 1,
      aux_sym_annotation_repeat1,
    STATE(7859), 1,
      sym_type_arguments,
    STATE(8538), 1,
      sym_arguments,
    STATE(5764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299976] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300019] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300062] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300105] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5897), 1,
      sym__end_marker,
    STATE(5768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10376), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300150] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300193] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10214), 1,
      anon_sym_COLON,
    ACTIONS(10216), 1,
      anon_sym_LBRACE,
    ACTIONS(10218), 1,
      anon_sym_with,
    STATE(8593), 1,
      aux_sym_compound_type_repeat1,
    STATE(10536), 1,
      sym_template_body,
    STATE(10576), 1,
      sym__refinement,
    STATE(5770), 2,
      sym_comment,
      sym_block_comment,
    STATE(10517), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [300250] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [300293] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10380), 1,
      anon_sym_with,
    STATE(5931), 1,
      aux_sym_compound_type_repeat1,
    STATE(10067), 1,
      sym_arguments,
    STATE(10240), 1,
      sym_template_body,
    STATE(10246), 1,
      sym__refinement,
    STATE(5772), 2,
      sym_comment,
      sym_block_comment,
    STATE(6161), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300434] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10382), 1,
      anon_sym_AT,
    STATE(7012), 1,
      sym_annotation,
    STATE(5775), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300481] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1367), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9479), 1,
      anon_sym_LPAREN,
    ACTIONS(10349), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(5776), 2,
      sym_comment,
      sym_block_comment,
    STATE(9279), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8997), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300538] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [300581] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10385), 1,
      anon_sym_with,
    STATE(5778), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300626] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300669] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9947), 1,
      anon_sym_end,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(10388), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17433), 1,
      sym_identifier,
    STATE(5780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(933), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [300722] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(9939), 1,
      anon_sym_COLON,
    ACTIONS(9941), 1,
      anon_sym_LBRACE,
    ACTIONS(9943), 1,
      anon_sym_with,
    STATE(5358), 1,
      aux_sym_compound_type_repeat1,
    STATE(10485), 1,
      sym_template_body,
    STATE(10486), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5781), 2,
      sym_comment,
      sym_block_comment,
    STATE(10466), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8638), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300785] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300828] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(10214), 1,
      anon_sym_COLON,
    ACTIONS(10216), 1,
      anon_sym_LBRACE,
    ACTIONS(10218), 1,
      anon_sym_with,
    STATE(5770), 1,
      aux_sym_compound_type_repeat1,
    STATE(10536), 1,
      sym_template_body,
    STATE(10537), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5783), 2,
      sym_comment,
      sym_block_comment,
    STATE(10517), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 4,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300891] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10392), 1,
      anon_sym_LBRACK,
    ACTIONS(10394), 1,
      sym__backquoted_id,
    STATE(6606), 1,
      sym_access_qualifier,
    STATE(5784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10390), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300938] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9729), 1,
      anon_sym_DOT,
    ACTIONS(10396), 1,
      anon_sym_EQ_GT,
    STATE(5785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300985] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301028] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301071] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [301114] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(10038), 1,
      anon_sym_COLON,
    ACTIONS(10040), 1,
      anon_sym_LBRACE,
    ACTIONS(10042), 1,
      anon_sym_with,
    STATE(5486), 1,
      aux_sym_compound_type_repeat1,
    STATE(10575), 1,
      sym_template_body,
    STATE(10577), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5789), 2,
      sym_comment,
      sym_block_comment,
    STATE(10512), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8638), 5,
      anon_sym_while,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301177] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9246), 1,
      sym_interpolated_string,
    STATE(15950), 1,
      sym__interpolated_string_start,
    STATE(15951), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10398), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301232] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301274] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10402), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10400), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301316] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9771), 1,
      anon_sym_LPAREN,
    STATE(5800), 1,
      aux_sym_annotation_repeat1,
    STATE(7320), 1,
      sym_arguments,
    STATE(5793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [301364] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [301406] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1587), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9787), 1,
      anon_sym_LPAREN,
    ACTIONS(10404), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(5795), 2,
      sym_comment,
      sym_block_comment,
    STATE(9931), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8997), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301462] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10406), 1,
      anon_sym_with,
    STATE(5796), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301506] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6737), 1,
      sym__end_marker,
    STATE(5797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10376), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301550] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10396), 1,
      anon_sym_EQ_GT,
    STATE(5798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301594] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301636] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10409), 1,
      anon_sym_LPAREN,
    STATE(7320), 1,
      sym_arguments,
    STATE(5800), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [301682] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301724] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9587), 1,
      anon_sym_AT,
    STATE(5904), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7486), 1,
      sym_annotation,
    STATE(5802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301772] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10220), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10222), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301814] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10317), 1,
      anon_sym_LBRACK,
    ACTIONS(10323), 1,
      anon_sym_POUND,
    ACTIONS(10412), 1,
      anon_sym_LPAREN,
    STATE(7930), 1,
      aux_sym_annotation_repeat1,
    STATE(8035), 1,
      sym_type_arguments,
    STATE(9397), 1,
      sym_arguments,
    STATE(5804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301868] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10414), 1,
      anon_sym_COLON,
    ACTIONS(10416), 1,
      anon_sym_LBRACE,
    ACTIONS(10418), 1,
      anon_sym_with,
    STATE(9023), 1,
      aux_sym_compound_type_repeat1,
    STATE(11012), 1,
      sym_template_body,
    STATE(11024), 1,
      sym__refinement,
    STATE(5805), 2,
      sym_comment,
      sym_block_comment,
    STATE(10832), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301924] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301966] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [302008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302050] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(10752), 1,
      sym_interpolated_string,
    STATE(16895), 1,
      sym__interpolated_string_start,
    STATE(16898), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [302146] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(5811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302190] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10229), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10231), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [302232] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10420), 1,
      anon_sym_LBRACK,
    ACTIONS(10422), 1,
      anon_sym_LPAREN,
    ACTIONS(10424), 1,
      anon_sym_POUND,
    STATE(8304), 1,
      aux_sym_annotation_repeat1,
    STATE(8404), 1,
      sym_type_arguments,
    STATE(9893), 1,
      sym_arguments,
    STATE(5813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302286] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302328] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302370] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [302412] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(5817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302456] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10249), 1,
      anon_sym_DOT,
    ACTIONS(10426), 1,
      anon_sym_EQ_GT,
    STATE(5818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302502] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1331), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9777), 1,
      anon_sym_LPAREN,
    ACTIONS(10428), 1,
      anon_sym_DOT,
    ACTIONS(10430), 1,
      sym_operator_identifier,
    STATE(1946), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(5819), 2,
      sym_comment,
      sym_block_comment,
    STATE(9834), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9063), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [302568] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [302610] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10434), 1,
      anon_sym_AT,
    ACTIONS(10436), 1,
      anon_sym_LPAREN,
    ACTIONS(10438), 1,
      anon_sym_POUND,
    STATE(8402), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9108), 1,
      sym_type_arguments,
    STATE(9533), 1,
      sym_annotation,
    STATE(10387), 1,
      sym_arguments,
    STATE(5821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302668] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9675), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9673), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9671), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [302712] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10440), 1,
      anon_sym_DOT,
    STATE(5823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302756] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10442), 1,
      anon_sym_AT,
    STATE(7140), 1,
      sym_annotation,
    STATE(5824), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302802] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9618), 1,
      anon_sym_LPAREN,
    STATE(5827), 1,
      aux_sym_annotation_repeat1,
    STATE(7750), 1,
      sym_arguments,
    STATE(5825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302850] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(5826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302894] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10445), 1,
      anon_sym_LPAREN,
    STATE(7750), 1,
      sym_arguments,
    STATE(5827), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302940] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(5828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302984] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [303028] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [303070] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10448), 1,
      anon_sym_DOT,
    STATE(5831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303114] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9628), 1,
      anon_sym_LPAREN,
    STATE(5834), 1,
      aux_sym_annotation_repeat1,
    STATE(7755), 1,
      sym_arguments,
    STATE(5832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8943), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [303162] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10052), 1,
      anon_sym_with,
    STATE(9406), 1,
      aux_sym_compound_type_repeat1,
    STATE(10056), 1,
      sym_template_body,
    STATE(10300), 1,
      sym__refinement,
    STATE(5833), 2,
      sym_comment,
      sym_block_comment,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8556), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [303214] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10450), 1,
      anon_sym_LPAREN,
    STATE(7755), 1,
      sym_arguments,
    STATE(5834), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8953), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [303260] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303302] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303344] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303386] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [303428] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9974), 1,
      anon_sym_LBRACK,
    ACTIONS(9978), 1,
      anon_sym_POUND,
    ACTIONS(10453), 1,
      anon_sym_AT,
    STATE(7805), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7933), 1,
      sym_type_arguments,
    STATE(9287), 1,
      sym_annotation,
    STATE(5839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303482] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(5840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303526] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [303568] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [303610] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10455), 1,
      anon_sym_with,
    STATE(5843), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [303654] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10277), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10279), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [303696] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10262), 1,
      anon_sym_LBRACK,
    ACTIONS(10264), 1,
      anon_sym_AT,
    ACTIONS(10268), 1,
      anon_sym_POUND,
    STATE(7662), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8276), 1,
      sym_type_arguments,
    STATE(9052), 1,
      sym_annotation,
    STATE(5845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303750] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10281), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10283), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [303792] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [303834] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303876] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [303918] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9637), 1,
      anon_sym_LPAREN,
    STATE(5853), 1,
      aux_sym_annotation_repeat1,
    STATE(7791), 1,
      sym_arguments,
    STATE(5850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303966] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [304008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9323), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [304050] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10458), 1,
      anon_sym_LPAREN,
    STATE(7791), 1,
      sym_arguments,
    STATE(5853), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304096] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [304138] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10461), 1,
      anon_sym_COLON,
    ACTIONS(10464), 1,
      anon_sym_LBRACE,
    STATE(8262), 1,
      sym_template_body,
    STATE(5855), 2,
      sym_comment,
      sym_block_comment,
    STATE(8496), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9350), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9342), 15,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304188] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9759), 1,
      anon_sym_AT,
    STATE(6026), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7179), 1,
      sym_annotation,
    STATE(5856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9248), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [304236] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9548), 1,
      anon_sym_AT,
    STATE(5875), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7809), 1,
      sym_annotation,
    STATE(5857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304284] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [304326] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [304368] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10467), 1,
      anon_sym_COLON,
    ACTIONS(10469), 1,
      anon_sym_LBRACE,
    ACTIONS(10471), 1,
      anon_sym_with,
    STATE(9149), 1,
      aux_sym_compound_type_repeat1,
    STATE(11021), 1,
      sym_template_body,
    STATE(11079), 1,
      sym__refinement,
    STATE(5860), 2,
      sym_comment,
      sym_block_comment,
    STATE(10765), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8556), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [304424] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9622), 1,
      anon_sym_AT,
    STATE(5883), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7816), 1,
      sym_annotation,
    STATE(5861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304472] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1739), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9858), 1,
      anon_sym_LPAREN,
    ACTIONS(10473), 1,
      anon_sym_DOT,
    ACTIONS(10475), 1,
      sym_operator_identifier,
    STATE(1953), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(5862), 2,
      sym_comment,
      sym_block_comment,
    STATE(9504), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9063), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [304538] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [304580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [304622] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7288), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [304664] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [304706] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9643), 1,
      anon_sym_LPAREN,
    STATE(5870), 1,
      aux_sym_annotation_repeat1,
    STATE(7806), 1,
      sym_arguments,
    STATE(5867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [304796] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10477), 1,
      anon_sym_LBRACK,
    ACTIONS(10479), 1,
      anon_sym_LPAREN,
    ACTIONS(10481), 1,
      anon_sym_POUND,
    STATE(7469), 1,
      aux_sym_annotation_repeat1,
    STATE(8480), 1,
      sym_type_arguments,
    STATE(8737), 1,
      sym_arguments,
    STATE(5869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304850] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10483), 1,
      anon_sym_LPAREN,
    STATE(7806), 1,
      sym_arguments,
    STATE(5870), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304896] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [304938] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1331), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9777), 1,
      anon_sym_LPAREN,
    ACTIONS(10428), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(5872), 2,
      sym_comment,
      sym_block_comment,
    STATE(9834), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8997), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304994] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9291), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305036] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10262), 1,
      anon_sym_LBRACK,
    ACTIONS(10268), 1,
      anon_sym_POUND,
    ACTIONS(10486), 1,
      anon_sym_LPAREN,
    STATE(7810), 1,
      aux_sym_annotation_repeat1,
    STATE(8276), 1,
      sym_type_arguments,
    STATE(9274), 1,
      sym_arguments,
    STATE(5874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305090] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10488), 1,
      anon_sym_AT,
    STATE(7809), 1,
      sym_annotation,
    STATE(5875), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305136] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7416), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7414), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [305178] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9753), 1,
      anon_sym_LPAREN,
    STATE(5896), 1,
      aux_sym_annotation_repeat1,
    STATE(7464), 1,
      sym_arguments,
    STATE(5877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8943), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10220), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10222), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [305268] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305310] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305352] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10491), 1,
      anon_sym_DOT,
    STATE(5881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305396] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305438] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10493), 1,
      anon_sym_AT,
    STATE(7816), 1,
      sym_annotation,
    STATE(5883), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305484] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10467), 1,
      anon_sym_COLON,
    ACTIONS(10469), 1,
      anon_sym_LBRACE,
    ACTIONS(10471), 1,
      anon_sym_with,
    STATE(5860), 1,
      aux_sym_compound_type_repeat1,
    STATE(11021), 1,
      sym_template_body,
    STATE(11022), 1,
      sym__refinement,
    STATE(5884), 2,
      sym_comment,
      sym_block_comment,
    STATE(10765), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8606), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305540] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10496), 1,
      anon_sym_COLON,
    ACTIONS(10498), 1,
      anon_sym_LBRACE,
    ACTIONS(10500), 1,
      anon_sym_with,
    STATE(9174), 1,
      aux_sym_compound_type_repeat1,
    STATE(10949), 1,
      sym_template_body,
    STATE(10974), 1,
      sym__refinement,
    STATE(5885), 2,
      sym_comment,
      sym_block_comment,
    STATE(10841), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305596] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305638] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305680] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305722] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [305764] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10502), 1,
      anon_sym_with,
    STATE(5890), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [305808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305850] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305892] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305934] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305976] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [306018] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10505), 1,
      anon_sym_LPAREN,
    STATE(7464), 1,
      sym_arguments,
    STATE(5896), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8953), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [306064] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10229), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10231), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [306106] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [306148] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6475), 1,
      sym_arguments,
    STATE(5899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [306192] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9654), 1,
      anon_sym_AT,
    STATE(5921), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7848), 1,
      sym_annotation,
    STATE(5900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [306240] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10508), 1,
      anon_sym_DOT,
    STATE(5901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [306284] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10510), 1,
      anon_sym_DOT,
    STATE(5902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306328] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(10512), 1,
      anon_sym_COLON,
    ACTIONS(10515), 1,
      anon_sym_LBRACE,
    ACTIONS(10517), 1,
      anon_sym_with,
    STATE(6105), 1,
      aux_sym_compound_type_repeat1,
    STATE(10552), 1,
      sym__refinement,
    STATE(10756), 1,
      sym_template_body,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5903), 2,
      sym_comment,
      sym_block_comment,
    STATE(10722), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(8638), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306390] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10519), 1,
      anon_sym_AT,
    STATE(7486), 1,
      sym_annotation,
    STATE(5904), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306436] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10254), 1,
      anon_sym_LBRACK,
    ACTIONS(10258), 1,
      anon_sym_POUND,
    ACTIONS(10522), 1,
      anon_sym_AT,
    STATE(7582), 1,
      sym_type_arguments,
    STATE(8285), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9546), 1,
      sym_annotation,
    STATE(5905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306490] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10524), 1,
      anon_sym_COLON,
    ACTIONS(10526), 1,
      anon_sym_LBRACE,
    ACTIONS(10528), 1,
      anon_sym_with,
    STATE(8694), 1,
      aux_sym_compound_type_repeat1,
    STATE(10794), 1,
      sym__refinement,
    STATE(11090), 1,
      sym_template_body,
    STATE(5906), 2,
      sym_comment,
      sym_block_comment,
    STATE(11089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306546] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9303), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [306588] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10530), 1,
      anon_sym_COLON,
    ACTIONS(10532), 1,
      anon_sym_LBRACE,
    ACTIONS(10534), 1,
      anon_sym_with,
    STATE(9197), 1,
      aux_sym_compound_type_repeat1,
    STATE(10777), 1,
      sym__refinement,
    STATE(11084), 1,
      sym_template_body,
    STATE(5908), 2,
      sym_comment,
      sym_block_comment,
    STATE(10880), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306644] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9656), 1,
      anon_sym_AT,
    STATE(5926), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7851), 1,
      sym_annotation,
    STATE(5909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306692] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7288), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [306734] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7061), 1,
      sym__end_marker,
    STATE(5911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10376), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [306778] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [306820] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9133), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [306862] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9395), 1,
      anon_sym_LPAREN,
    STATE(4655), 1,
      sym_arguments,
    STATE(6064), 1,
      aux_sym_annotation_repeat1,
    STATE(5914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 24,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [306908] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [306950] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(5916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [306994] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [307036] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [307078] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10014), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10016), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [307120] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [307162] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10536), 1,
      anon_sym_AT,
    STATE(7848), 1,
      sym_annotation,
    STATE(5921), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [307208] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1739), 1,
      anon_sym_LBRACE,
    ACTIONS(9858), 1,
      anon_sym_LPAREN,
    ACTIONS(10473), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(5922), 2,
      sym_comment,
      sym_block_comment,
    STATE(9504), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8949), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8947), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [307304] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [307346] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10539), 1,
      anon_sym_AT,
    STATE(7497), 1,
      sym_annotation,
    STATE(5925), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9203), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [307392] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10542), 1,
      anon_sym_AT,
    STATE(7851), 1,
      sym_annotation,
    STATE(5926), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307438] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10331), 1,
      anon_sym_LBRACK,
    ACTIONS(10335), 1,
      anon_sym_POUND,
    ACTIONS(10545), 1,
      anon_sym_AT,
    STATE(7155), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7257), 1,
      sym_type_arguments,
    STATE(9424), 1,
      sym_annotation,
    STATE(5927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307492] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [307534] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1367), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9479), 1,
      anon_sym_LPAREN,
    ACTIONS(10349), 1,
      anon_sym_DOT,
    ACTIONS(10547), 1,
      sym__alpha_identifier,
    ACTIONS(10551), 1,
      anon_sym_EQ,
    ACTIONS(10553), 1,
      sym__backquoted_id,
    ACTIONS(10555), 1,
      sym_operator_identifier,
    STATE(549), 1,
      sym_identifier,
    STATE(4220), 1,
      sym__soft_identifier,
    STATE(5929), 2,
      sym_comment,
      sym_block_comment,
    STATE(9279), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9805), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10549), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [307600] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      anon_sym_COLON,
    ACTIONS(10559), 1,
      anon_sym_LBRACE,
    ACTIONS(10561), 1,
      anon_sym_with,
    STATE(8747), 1,
      aux_sym_compound_type_repeat1,
    STATE(10939), 1,
      sym_template_body,
    STATE(11069), 1,
      sym__refinement,
    STATE(5930), 2,
      sym_comment,
      sym_block_comment,
    STATE(10945), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307656] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10380), 1,
      anon_sym_with,
    STATE(9423), 1,
      aux_sym_compound_type_repeat1,
    STATE(10240), 1,
      sym_template_body,
    STATE(10346), 1,
      sym__refinement,
    STATE(5931), 2,
      sym_comment,
      sym_block_comment,
    STATE(6161), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307708] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(10467), 1,
      anon_sym_COLON,
    ACTIONS(10469), 1,
      anon_sym_LBRACE,
    ACTIONS(10471), 1,
      anon_sym_with,
    STATE(5860), 1,
      aux_sym_compound_type_repeat1,
    STATE(11021), 1,
      sym_template_body,
    STATE(11022), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5932), 2,
      sym_comment,
      sym_block_comment,
    STATE(10765), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8638), 4,
      anon_sym_while,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307770] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9307), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [307812] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9309), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [307854] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [307896] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9321), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [307938] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [307980] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10563), 1,
      anon_sym_LBRACK,
    ACTIONS(10565), 1,
      anon_sym_AT,
    ACTIONS(10567), 1,
      anon_sym_LPAREN,
    ACTIONS(10569), 1,
      anon_sym_POUND,
    STATE(8266), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9106), 1,
      sym_type_arguments,
    STATE(9720), 1,
      sym_annotation,
    STATE(10602), 1,
      sym_arguments,
    STATE(5938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308038] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [308080] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10571), 1,
      anon_sym_DOT,
    STATE(5940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [308124] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308166] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [308208] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1739), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9858), 1,
      anon_sym_LPAREN,
    ACTIONS(10473), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(5943), 2,
      sym_comment,
      sym_block_comment,
    STATE(9504), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8997), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308264] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10496), 1,
      anon_sym_COLON,
    ACTIONS(10498), 1,
      anon_sym_LBRACE,
    ACTIONS(10500), 1,
      anon_sym_with,
    STATE(5885), 1,
      aux_sym_compound_type_repeat1,
    STATE(10949), 1,
      sym_template_body,
    STATE(10950), 1,
      sym__refinement,
    STATE(5944), 2,
      sym_comment,
      sym_block_comment,
    STATE(10841), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308320] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10573), 1,
      anon_sym_COLON,
    ACTIONS(10576), 1,
      anon_sym_EQ_GT,
    ACTIONS(10578), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(8228), 1,
      sym_interpolated_string,
    STATE(17018), 1,
      sym__interpolated_string_start,
    STATE(17019), 1,
      sym__interpolated_multiline_string_start,
    STATE(18446), 1,
      sym__self_type_ascription,
    STATE(5945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308380] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10580), 1,
      anon_sym_LBRACE,
    ACTIONS(10582), 1,
      anon_sym_with,
    STATE(6003), 1,
      aux_sym_compound_type_repeat1,
    STATE(10382), 1,
      sym_template_body,
    STATE(10383), 1,
      sym__refinement,
    STATE(5946), 2,
      sym_comment,
      sym_block_comment,
    STATE(10681), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [308476] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9125), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [308518] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(5949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [308562] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [308604] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9323), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [308646] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10100), 1,
      anon_sym_LBRACK,
    ACTIONS(10104), 1,
      anon_sym_POUND,
    ACTIONS(10584), 1,
      anon_sym_AT,
    STATE(7712), 1,
      sym_type_arguments,
    STATE(8384), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9547), 1,
      sym_annotation,
    STATE(5952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308700] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10586), 1,
      anon_sym_COLON,
    ACTIONS(10588), 1,
      anon_sym_LBRACE,
    ACTIONS(10590), 1,
      anon_sym_with,
    STATE(9265), 1,
      aux_sym_compound_type_repeat1,
    STATE(10991), 1,
      sym_template_body,
    STATE(11001), 1,
      sym__refinement,
    STATE(5953), 2,
      sym_comment,
      sym_block_comment,
    STATE(10985), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308756] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9675), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9673), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9671), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [308800] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10592), 1,
      anon_sym_DOT,
    STATE(5955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308844] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10058), 1,
      anon_sym_LBRACK,
    ACTIONS(10062), 1,
      anon_sym_POUND,
    ACTIONS(10594), 1,
      anon_sym_AT,
    STATE(7666), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7768), 1,
      sym_type_arguments,
    STATE(9070), 1,
      sym_annotation,
    STATE(5956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308898] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10596), 1,
      anon_sym_LBRACK,
    ACTIONS(10598), 1,
      anon_sym_LPAREN,
    ACTIONS(10600), 1,
      anon_sym_POUND,
    STATE(7117), 1,
      aux_sym_annotation_repeat1,
    STATE(8350), 1,
      sym_type_arguments,
    STATE(9196), 1,
      sym_arguments,
    STATE(5957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308952] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308994] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9817), 1,
      anon_sym_LPAREN,
    ACTIONS(10602), 1,
      anon_sym_DOT,
    ACTIONS(10604), 1,
      sym_operator_identifier,
    STATE(1943), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(5959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    STATE(9742), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9063), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [309060] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10608), 1,
      anon_sym_COMMA,
    ACTIONS(10610), 1,
      anon_sym_DOT,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10614), 1,
      anon_sym_AT,
    ACTIONS(10616), 1,
      anon_sym_EQ,
    ACTIONS(10618), 1,
      anon_sym_RPAREN,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    ACTIONS(10624), 1,
      anon_sym_LT_DASH,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11792), 1,
      sym_interpolated_string,
    STATE(16296), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(16742), 1,
      sym__interpolated_string_start,
    STATE(16744), 1,
      sym__interpolated_multiline_string_start,
    STATE(5960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [309142] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9212), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [309184] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9135), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [309226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9139), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [309268] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(5964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309312] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309354] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309396] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309438] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9884), 1,
      anon_sym_LPAREN,
    STATE(5974), 1,
      aux_sym_annotation_repeat1,
    STATE(7377), 1,
      sym_arguments,
    STATE(5968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309486] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9141), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [309528] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9143), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [309570] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9696), 1,
      anon_sym_LPAREN,
    STATE(5973), 1,
      aux_sym_annotation_repeat1,
    STATE(7909), 1,
      sym_arguments,
    STATE(5971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309618] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309660] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10626), 1,
      anon_sym_LPAREN,
    STATE(7909), 1,
      sym_arguments,
    STATE(5973), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309706] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10629), 1,
      anon_sym_LPAREN,
    STATE(7377), 1,
      sym_arguments,
    STATE(5974), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309752] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(10496), 1,
      anon_sym_COLON,
    ACTIONS(10498), 1,
      anon_sym_LBRACE,
    ACTIONS(10500), 1,
      anon_sym_with,
    STATE(5885), 1,
      aux_sym_compound_type_repeat1,
    STATE(10949), 1,
      sym_template_body,
    STATE(10950), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5975), 2,
      sym_comment,
      sym_block_comment,
    STATE(10841), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8638), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309814] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [309856] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [309898] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309940] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10014), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10016), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [309982] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310024] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [310066] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310108] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1079), 1,
      anon_sym_LBRACE,
    ACTIONS(8494), 1,
      anon_sym_LPAREN,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9195), 1,
      anon_sym_DOT,
    ACTIONS(10120), 1,
      sym__alpha_identifier,
    ACTIONS(10126), 1,
      sym__backquoted_id,
    ACTIONS(10128), 1,
      sym_operator_identifier,
    ACTIONS(10632), 1,
      anon_sym_EQ,
    STATE(541), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(5983), 2,
      sym_comment,
      sym_block_comment,
    STATE(6418), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9805), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10122), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [310174] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(10580), 1,
      anon_sym_LBRACE,
    ACTIONS(10582), 1,
      anon_sym_with,
    ACTIONS(10634), 1,
      anon_sym_COLON,
    STATE(6003), 1,
      aux_sym_compound_type_repeat1,
    STATE(10382), 1,
      sym_template_body,
    STATE(10383), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5984), 2,
      sym_comment,
      sym_block_comment,
    STATE(10681), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(8638), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310236] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310278] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310320] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310362] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310404] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310446] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310488] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310530] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310572] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [310614] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(5994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [310700] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [310742] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10359), 1,
      anon_sym_LBRACK,
    ACTIONS(10361), 1,
      anon_sym_AT,
    ACTIONS(10365), 1,
      anon_sym_POUND,
    STATE(7191), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8021), 1,
      sym_type_arguments,
    STATE(8715), 1,
      sym_annotation,
    STATE(5997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7416), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7414), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [310838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310880] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310922] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10530), 1,
      anon_sym_COLON,
    ACTIONS(10532), 1,
      anon_sym_LBRACE,
    ACTIONS(10534), 1,
      anon_sym_with,
    STATE(5908), 1,
      aux_sym_compound_type_repeat1,
    STATE(11084), 1,
      sym_template_body,
    STATE(11086), 1,
      sym__refinement,
    STATE(6001), 2,
      sym_comment,
      sym_block_comment,
    STATE(10880), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310978] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311020] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10580), 1,
      anon_sym_LBRACE,
    ACTIONS(10582), 1,
      anon_sym_with,
    STATE(9304), 1,
      aux_sym_compound_type_repeat1,
    STATE(10382), 1,
      sym_template_body,
    STATE(10410), 1,
      sym__refinement,
    STATE(6003), 2,
      sym_comment,
      sym_block_comment,
    STATE(10681), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311074] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311116] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9721), 1,
      anon_sym_LPAREN,
    STATE(6008), 1,
      aux_sym_annotation_repeat1,
    STATE(7943), 1,
      sym_arguments,
    STATE(6005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311164] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311206] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9160), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311248] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10637), 1,
      anon_sym_LPAREN,
    STATE(7943), 1,
      sym_arguments,
    STATE(6008), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311294] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311336] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311378] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311420] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [311462] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10640), 1,
      anon_sym_DOT,
    STATE(6013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311506] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311548] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311590] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311674] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311716] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311758] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311800] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(10752), 1,
      sym_interpolated_string,
    STATE(16895), 1,
      sym__interpolated_string_start,
    STATE(16898), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10642), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311854] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1331), 1,
      anon_sym_LBRACE,
    ACTIONS(9777), 1,
      anon_sym_LPAREN,
    ACTIONS(10428), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(6022), 2,
      sym_comment,
      sym_block_comment,
    STATE(9834), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8949), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8947), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311908] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9477), 1,
      anon_sym_AT,
    STATE(6254), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7194), 1,
      sym_annotation,
    STATE(6023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311956] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312040] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10644), 1,
      anon_sym_AT,
    STATE(7179), 1,
      sym_annotation,
    STATE(6026), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9203), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312086] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [312128] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [312170] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312212] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9566), 1,
      anon_sym_AT,
    STATE(6227), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7413), 1,
      sym_annotation,
    STATE(6030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312260] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10647), 1,
      anon_sym_LBRACK,
    ACTIONS(10649), 1,
      anon_sym_LPAREN,
    ACTIONS(10651), 1,
      anon_sym_POUND,
    STATE(7093), 1,
      aux_sym_annotation_repeat1,
    STATE(8616), 1,
      sym_type_arguments,
    STATE(9045), 1,
      sym_arguments,
    STATE(6031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312314] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312356] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312440] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312482] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312524] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312566] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312608] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312692] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312734] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312776] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312818] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312860] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312902] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(10530), 1,
      anon_sym_COLON,
    ACTIONS(10532), 1,
      anon_sym_LBRACE,
    ACTIONS(10534), 1,
      anon_sym_with,
    STATE(5908), 1,
      aux_sym_compound_type_repeat1,
    STATE(11084), 1,
      sym_template_body,
    STATE(11086), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6046), 2,
      sym_comment,
      sym_block_comment,
    STATE(10880), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8638), 3,
      anon_sym_STAR,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312964] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [313048] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10341), 1,
      anon_sym_LBRACK,
    ACTIONS(10343), 1,
      anon_sym_AT,
    ACTIONS(10347), 1,
      anon_sym_POUND,
    STATE(7460), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8123), 1,
      sym_type_arguments,
    STATE(8906), 1,
      sym_annotation,
    STATE(6049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313102] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313144] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313186] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10653), 1,
      anon_sym_DOT,
    STATE(6052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313230] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313314] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313356] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [313440] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313482] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313524] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10655), 1,
      anon_sym_with,
    STATE(6060), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [313568] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313610] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313652] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313694] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10658), 1,
      anon_sym_LPAREN,
    STATE(4655), 1,
      sym_arguments,
    STATE(6064), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 24,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [313738] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313822] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [313864] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313906] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313948] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313990] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314032] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314074] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314116] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314158] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314200] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9741), 1,
      anon_sym_LPAREN,
    STATE(6077), 1,
      aux_sym_annotation_repeat1,
    STATE(7116), 1,
      sym_arguments,
    STATE(6076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314248] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10661), 1,
      anon_sym_LPAREN,
    STATE(7116), 1,
      sym_arguments,
    STATE(6077), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314294] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10020), 1,
      anon_sym_EQ_GT,
    STATE(6078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [314338] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314380] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4258), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314422] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314464] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(6082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314550] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314634] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7288), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314676] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [314718] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10664), 1,
      anon_sym_with,
    STATE(6088), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314762] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [314804] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [314846] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7288), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [314888] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314930] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314972] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315014] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [315056] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [315098] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315182] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315224] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315266] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315308] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [315350] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315392] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315434] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10515), 1,
      anon_sym_LBRACE,
    ACTIONS(10517), 1,
      anon_sym_with,
    STATE(8719), 1,
      aux_sym_compound_type_repeat1,
    STATE(10375), 1,
      sym__refinement,
    STATE(10756), 1,
      sym_template_body,
    STATE(6105), 2,
      sym_comment,
      sym_block_comment,
    STATE(10722), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315488] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [315530] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [315572] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [315614] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(10482), 1,
      sym_interpolated_string,
    STATE(16429), 1,
      sym__interpolated_string_start,
    STATE(16430), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10667), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315668] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10669), 1,
      anon_sym_DOT,
    STATE(6110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [315712] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [315880] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [315922] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(6116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315966] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_LBRACE,
    ACTIONS(9817), 1,
      anon_sym_LPAREN,
    ACTIONS(10602), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(6117), 2,
      sym_comment,
      sym_block_comment,
    STATE(9742), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8949), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8947), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316020] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316062] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [316146] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4258), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316230] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7288), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316314] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316356] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316440] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316482] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7288), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [316524] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316566] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316608] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316650] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10586), 1,
      anon_sym_COLON,
    ACTIONS(10588), 1,
      anon_sym_LBRACE,
    ACTIONS(10590), 1,
      anon_sym_with,
    STATE(5953), 1,
      aux_sym_compound_type_repeat1,
    STATE(10991), 1,
      sym_template_body,
    STATE(10992), 1,
      sym__refinement,
    STATE(6133), 2,
      sym_comment,
      sym_block_comment,
    STATE(10985), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316706] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [316748] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7288), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [316790] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316832] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316874] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [316916] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10671), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [316958] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10220), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10222), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [317000] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [317042] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [317084] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317126] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317168] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10675), 1,
      anon_sym_DOT,
    STATE(6145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317212] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9420), 1,
      anon_sym_AT,
    STATE(5824), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7140), 1,
      sym_annotation,
    STATE(6146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [317260] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(10586), 1,
      anon_sym_COLON,
    ACTIONS(10588), 1,
      anon_sym_LBRACE,
    ACTIONS(10590), 1,
      anon_sym_with,
    STATE(5953), 1,
      aux_sym_compound_type_repeat1,
    STATE(10991), 1,
      sym_template_body,
    STATE(10992), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6147), 2,
      sym_comment,
      sym_block_comment,
    STATE(10985), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8638), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_finally,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317322] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1587), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9787), 1,
      anon_sym_LPAREN,
    ACTIONS(10404), 1,
      anon_sym_DOT,
    ACTIONS(10677), 1,
      sym_operator_identifier,
    STATE(1965), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(6148), 2,
      sym_comment,
      sym_block_comment,
    STATE(9931), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9063), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [317388] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9875), 1,
      anon_sym_LPAREN,
    STATE(6152), 1,
      aux_sym_annotation_repeat1,
    STATE(7633), 1,
      sym_arguments,
    STATE(6149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8943), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [317436] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [317478] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(6151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317522] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10679), 1,
      anon_sym_LPAREN,
    STATE(7633), 1,
      sym_arguments,
    STATE(6152), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8953), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [317568] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [317610] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10069), 1,
      anon_sym_EQ_GT,
    STATE(6154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [317654] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10684), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10682), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [317696] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10524), 1,
      anon_sym_COLON,
    ACTIONS(10526), 1,
      anon_sym_LBRACE,
    ACTIONS(10528), 1,
      anon_sym_with,
    STATE(5906), 1,
      aux_sym_compound_type_repeat1,
    STATE(11062), 1,
      sym__refinement,
    STATE(11090), 1,
      sym_template_body,
    STATE(6156), 2,
      sym_comment,
      sym_block_comment,
    STATE(11089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317752] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [317794] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10686), 1,
      anon_sym_DOT,
    STATE(6158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9283), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [317880] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [317922] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [317964] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10690), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10688), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [318006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [318048] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318090] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(6165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318134] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [318176] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [318218] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [318260] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10694), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10692), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [318302] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10306), 1,
      anon_sym_LBRACK,
    ACTIONS(10310), 1,
      anon_sym_POUND,
    ACTIONS(10696), 1,
      anon_sym_AT,
    STATE(7151), 1,
      sym_type_arguments,
    STATE(8465), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9872), 1,
      sym_annotation,
    STATE(6170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318356] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10698), 1,
      anon_sym_with,
    STATE(6859), 1,
      aux_sym_compound_type_repeat1,
    STATE(10445), 1,
      sym_template_body,
    STATE(10450), 1,
      sym__refinement,
    STATE(10602), 1,
      sym_arguments,
    STATE(6171), 2,
      sym_comment,
      sym_block_comment,
    STATE(6758), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318410] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10297), 1,
      anon_sym_LBRACK,
    ACTIONS(10301), 1,
      anon_sym_POUND,
    ACTIONS(10700), 1,
      anon_sym_AT,
    STATE(7718), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7837), 1,
      sym_type_arguments,
    STATE(9186), 1,
      sym_annotation,
    STATE(6172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [318464] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318506] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    STATE(6174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [318550] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [318592] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(6176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318636] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10702), 1,
      anon_sym_COLON,
    ACTIONS(10705), 1,
      anon_sym_LBRACE,
    STATE(8126), 1,
      sym_template_body,
    STATE(6177), 2,
      sym_comment,
      sym_block_comment,
    STATE(8196), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9350), 7,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9342), 15,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [318686] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [318730] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10573), 1,
      anon_sym_COLON,
    ACTIONS(10708), 1,
      anon_sym_EQ_GT,
    ACTIONS(10710), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(9976), 1,
      sym_interpolated_string,
    STATE(16745), 1,
      sym__interpolated_string_start,
    STATE(16746), 1,
      sym__interpolated_multiline_string_start,
    STATE(17928), 1,
      sym__self_type_ascription,
    STATE(6179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318790] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10317), 1,
      anon_sym_LBRACK,
    ACTIONS(10319), 1,
      anon_sym_AT,
    ACTIONS(10323), 1,
      anon_sym_POUND,
    STATE(7406), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8035), 1,
      sym_type_arguments,
    STATE(9064), 1,
      sym_annotation,
    STATE(6180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318844] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9793), 1,
      anon_sym_LPAREN,
    STATE(6185), 1,
      aux_sym_annotation_repeat1,
    STATE(7679), 1,
      sym_arguments,
    STATE(6181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8943), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [318892] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7416), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7414), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [318934] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10005), 1,
      anon_sym_DOT,
    ACTIONS(10712), 1,
      anon_sym_EQ_GT,
    STATE(6183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318980] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10714), 1,
      anon_sym_with,
    STATE(6184), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [319024] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10717), 1,
      anon_sym_LPAREN,
    STATE(7679), 1,
      sym_arguments,
    STATE(6185), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8953), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [319070] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9976), 1,
      sym_interpolated_string,
    STATE(16745), 1,
      sym__interpolated_string_start,
    STATE(16746), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10720), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319124] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(9007), 1,
      anon_sym_LPAREN,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9453), 1,
      anon_sym_DOT,
    ACTIONS(10722), 1,
      sym__alpha_identifier,
    ACTIONS(10726), 1,
      anon_sym_EQ,
    ACTIONS(10728), 1,
      sym__backquoted_id,
    ACTIONS(10730), 1,
      sym_operator_identifier,
    STATE(545), 1,
      sym_identifier,
    STATE(4214), 1,
      sym__soft_identifier,
    STATE(6187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(7632), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9805), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10724), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [319190] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9442), 1,
      anon_sym_AT,
    STATE(5925), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7497), 1,
      sym_annotation,
    STATE(6188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9248), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [319238] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1367), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9479), 1,
      anon_sym_LPAREN,
    ACTIONS(10349), 1,
      anon_sym_DOT,
    ACTIONS(10547), 1,
      sym__alpha_identifier,
    ACTIONS(10553), 1,
      sym__backquoted_id,
    ACTIONS(10555), 1,
      sym_operator_identifier,
    ACTIONS(10732), 1,
      anon_sym_EQ,
    STATE(549), 1,
      sym_identifier,
    STATE(4220), 1,
      sym__soft_identifier,
    STATE(6189), 2,
      sym_comment,
      sym_block_comment,
    STATE(9279), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9805), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10549), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [319304] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [319346] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1151), 1,
      anon_sym_LBRACE,
    ACTIONS(8935), 1,
      anon_sym_LPAREN,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9356), 1,
      anon_sym_DOT,
    ACTIONS(10734), 1,
      sym__alpha_identifier,
    ACTIONS(10738), 1,
      anon_sym_EQ,
    ACTIONS(10740), 1,
      sym__backquoted_id,
    ACTIONS(10742), 1,
      sym_operator_identifier,
    STATE(543), 1,
      sym_identifier,
    STATE(4204), 1,
      sym__soft_identifier,
    STATE(6191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(7304), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9805), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10736), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [319412] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10746), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10744), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [319454] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10515), 1,
      anon_sym_LBRACE,
    ACTIONS(10517), 1,
      anon_sym_with,
    STATE(6105), 1,
      aux_sym_compound_type_repeat1,
    STATE(10552), 1,
      sym__refinement,
    STATE(10756), 1,
      sym_template_body,
    STATE(6193), 2,
      sym_comment,
      sym_block_comment,
    STATE(10722), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319508] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1295), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9550), 1,
      anon_sym_LPAREN,
    ACTIONS(10106), 1,
      anon_sym_DOT,
    ACTIONS(10748), 1,
      sym__alpha_identifier,
    ACTIONS(10752), 1,
      anon_sym_EQ,
    ACTIONS(10754), 1,
      sym__backquoted_id,
    ACTIONS(10756), 1,
      sym_operator_identifier,
    STATE(547), 1,
      sym_identifier,
    STATE(4219), 1,
      sym__soft_identifier,
    STATE(6194), 2,
      sym_comment,
      sym_block_comment,
    STATE(9097), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9805), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(10750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [319574] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10760), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10758), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [319616] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [319658] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8397), 1,
      sym_interpolated_string,
    STATE(16011), 1,
      sym__interpolated_string_start,
    STATE(16012), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10762), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [319712] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [319754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [319796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [319838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10774), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10772), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [319880] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9817), 1,
      anon_sym_LPAREN,
    ACTIONS(10602), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(6202), 2,
      sym_comment,
      sym_block_comment,
    STATE(9742), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8997), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8995), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [319936] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [319978] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10782), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10780), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320020] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1115), 1,
      anon_sym_LBRACE,
    ACTIONS(8849), 1,
      anon_sym_LPAREN,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9191), 1,
      anon_sym_DOT,
    ACTIONS(10141), 1,
      sym__alpha_identifier,
    ACTIONS(10147), 1,
      sym__backquoted_id,
    ACTIONS(10149), 1,
      sym_operator_identifier,
    ACTIONS(10784), 1,
      anon_sym_EQ,
    STATE(542), 1,
      sym_identifier,
    STATE(4203), 1,
      sym__soft_identifier,
    STATE(6205), 2,
      sym_comment,
      sym_block_comment,
    STATE(6595), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9805), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(10143), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [320086] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9901), 1,
      anon_sym_LPAREN,
    STATE(6209), 1,
      aux_sym_annotation_repeat1,
    STATE(7667), 1,
      sym_arguments,
    STATE(6206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320134] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9508), 1,
      sym_interpolated_string,
    STATE(16823), 1,
      sym__interpolated_string_start,
    STATE(16824), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10786), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [320230] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10788), 1,
      anon_sym_LPAREN,
    STATE(7667), 1,
      sym_arguments,
    STATE(6209), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320276] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10791), 1,
      anon_sym_with,
    STATE(6210), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320320] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10796), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10794), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320362] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10414), 1,
      anon_sym_COLON,
    ACTIONS(10416), 1,
      anon_sym_LBRACE,
    ACTIONS(10418), 1,
      anon_sym_with,
    STATE(5805), 1,
      aux_sym_compound_type_repeat1,
    STATE(11012), 1,
      sym_template_body,
    STATE(11013), 1,
      sym__refinement,
    STATE(6212), 2,
      sym_comment,
      sym_block_comment,
    STATE(10832), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320418] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10014), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10016), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320460] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(10524), 1,
      anon_sym_COLON,
    ACTIONS(10526), 1,
      anon_sym_LBRACE,
    ACTIONS(10528), 1,
      anon_sym_with,
    STATE(5906), 1,
      aux_sym_compound_type_repeat1,
    STATE(11062), 1,
      sym__refinement,
    STATE(11090), 1,
      sym_template_body,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6214), 2,
      sym_comment,
      sym_block_comment,
    STATE(11089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8638), 3,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320564] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9675), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9673), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9671), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320608] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10800), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10798), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320692] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320734] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10804), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10802), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320776] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320818] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320860] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8228), 1,
      sym_interpolated_string,
    STATE(17018), 1,
      sym__interpolated_string_start,
    STATE(17019), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10806), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320914] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10810), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10808), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320956] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9389), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [320998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [321040] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10812), 1,
      anon_sym_AT,
    STATE(7413), 1,
      sym_annotation,
    STATE(6227), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [321086] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9976), 1,
      sym_interpolated_string,
    STATE(16745), 1,
      sym__interpolated_string_start,
    STATE(16746), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10815), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321140] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(9007), 1,
      anon_sym_LPAREN,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9453), 1,
      anon_sym_DOT,
    ACTIONS(10722), 1,
      sym__alpha_identifier,
    ACTIONS(10728), 1,
      sym__backquoted_id,
    ACTIONS(10730), 1,
      sym_operator_identifier,
    ACTIONS(10817), 1,
      anon_sym_EQ,
    STATE(545), 1,
      sym_identifier,
    STATE(4214), 1,
      sym__soft_identifier,
    STATE(6229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    STATE(7632), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10724), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [321206] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1151), 1,
      anon_sym_LBRACE,
    ACTIONS(8935), 1,
      anon_sym_LPAREN,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9356), 1,
      anon_sym_DOT,
    ACTIONS(10734), 1,
      sym__alpha_identifier,
    ACTIONS(10740), 1,
      sym__backquoted_id,
    ACTIONS(10742), 1,
      sym_operator_identifier,
    ACTIONS(10819), 1,
      anon_sym_EQ,
    STATE(543), 1,
      sym_identifier,
    STATE(4204), 1,
      sym__soft_identifier,
    STATE(6230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    STATE(7304), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10736), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [321272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [321314] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8397), 1,
      sym_interpolated_string,
    STATE(16011), 1,
      sym__interpolated_string_start,
    STATE(16012), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10821), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321368] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [321410] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10829), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10827), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [321452] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [321494] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [321536] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10370), 1,
      anon_sym_LBRACK,
    ACTIONS(10374), 1,
      anon_sym_POUND,
    ACTIONS(10839), 1,
      anon_sym_AT,
    STATE(7737), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7859), 1,
      sym_type_arguments,
    STATE(9200), 1,
      sym_annotation,
    STATE(6237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321590] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9121), 1,
      anon_sym_LPAREN,
    ACTIONS(9767), 1,
      anon_sym_DOT,
    ACTIONS(10841), 1,
      sym__alpha_identifier,
    ACTIONS(10845), 1,
      anon_sym_EQ,
    ACTIONS(10847), 1,
      sym__backquoted_id,
    ACTIONS(10849), 1,
      sym_operator_identifier,
    STATE(550), 1,
      sym_identifier,
    STATE(4218), 1,
      sym__soft_identifier,
    STATE(6238), 2,
      sym_comment,
      sym_block_comment,
    STATE(8110), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9805), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
    ACTIONS(10843), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [321656] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [321698] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [321740] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [321782] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [321824] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [321866] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10853), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10851), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [321908] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [321950] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [321992] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [322034] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10857), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10855), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [322076] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10859), 1,
      anon_sym_with,
    STATE(6249), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [322120] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [322162] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [322204] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [322246] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [322288] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10862), 1,
      anon_sym_AT,
    STATE(7194), 1,
      sym_annotation,
    STATE(6254), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322334] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10865), 1,
      anon_sym_COLON,
    ACTIONS(10868), 1,
      anon_sym_LBRACE,
    STATE(8463), 1,
      sym_template_body,
    STATE(6255), 2,
      sym_comment,
      sym_block_comment,
    STATE(8537), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9350), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9342), 14,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [322384] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9910), 1,
      anon_sym_LPAREN,
    STATE(6261), 1,
      aux_sym_annotation_repeat1,
    STATE(7689), 1,
      sym_arguments,
    STATE(6256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322432] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1295), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9550), 1,
      anon_sym_LPAREN,
    ACTIONS(10106), 1,
      anon_sym_DOT,
    ACTIONS(10748), 1,
      sym__alpha_identifier,
    ACTIONS(10754), 1,
      sym__backquoted_id,
    ACTIONS(10756), 1,
      sym_operator_identifier,
    ACTIONS(10871), 1,
      anon_sym_EQ,
    STATE(547), 1,
      sym_identifier,
    STATE(4219), 1,
      sym__soft_identifier,
    STATE(6257), 2,
      sym_comment,
      sym_block_comment,
    STATE(9097), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9805), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(10750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [322498] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [322540] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [322582] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [322624] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10873), 1,
      anon_sym_LPAREN,
    STATE(7689), 1,
      sym_arguments,
    STATE(6261), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322670] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10876), 1,
      anon_sym_with,
    STATE(6262), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [322714] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [322756] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9914), 1,
      anon_sym_LBRACK,
    ACTIONS(9918), 1,
      anon_sym_POUND,
    ACTIONS(10879), 1,
      anon_sym_AT,
    STATE(7754), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7891), 1,
      sym_type_arguments,
    STATE(9221), 1,
      sym_annotation,
    STATE(6264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322810] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10881), 1,
      anon_sym_with,
    STATE(6868), 1,
      aux_sym_compound_type_repeat1,
    STATE(10374), 1,
      sym__refinement,
    STATE(10387), 1,
      sym_arguments,
    STATE(10418), 1,
      sym_template_body,
    STATE(6265), 2,
      sym_comment,
      sym_block_comment,
    STATE(6866), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322864] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10359), 1,
      anon_sym_LBRACK,
    ACTIONS(10365), 1,
      anon_sym_POUND,
    ACTIONS(10883), 1,
      anon_sym_LPAREN,
    STATE(7717), 1,
      aux_sym_annotation_repeat1,
    STATE(8021), 1,
      sym_type_arguments,
    STATE(9133), 1,
      sym_arguments,
    STATE(6266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8262), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322918] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [322960] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323002] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323044] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1587), 1,
      anon_sym_LBRACE,
    ACTIONS(9787), 1,
      anon_sym_LPAREN,
    ACTIONS(10404), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(6270), 2,
      sym_comment,
      sym_block_comment,
    STATE(9931), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8949), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8947), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323098] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323140] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9984), 1,
      anon_sym_LBRACK,
    ACTIONS(9988), 1,
      anon_sym_POUND,
    ACTIONS(10885), 1,
      anon_sym_AT,
    STATE(7561), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7740), 1,
      sym_type_arguments,
    STATE(9080), 1,
      sym_annotation,
    STATE(6272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323194] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9133), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [323236] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10887), 1,
      anon_sym_LBRACK,
    ACTIONS(10889), 1,
      anon_sym_LPAREN,
    ACTIONS(10891), 1,
      anon_sym_POUND,
    STATE(7430), 1,
      aux_sym_annotation_repeat1,
    STATE(8299), 1,
      sym_type_arguments,
    STATE(8686), 1,
      sym_arguments,
    STATE(6274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323290] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9963), 1,
      anon_sym_DOT,
    ACTIONS(10893), 1,
      anon_sym_EQ_GT,
    STATE(6275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [323336] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [323378] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10341), 1,
      anon_sym_LBRACK,
    ACTIONS(10347), 1,
      anon_sym_POUND,
    ACTIONS(10895), 1,
      anon_sym_LPAREN,
    STATE(7825), 1,
      aux_sym_annotation_repeat1,
    STATE(8123), 1,
      sym_type_arguments,
    STATE(9296), 1,
      sym_arguments,
    STATE(6277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323432] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10277), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10279), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323474] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10281), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10283), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323516] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323558] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    ACTIONS(10899), 1,
      anon_sym_LPAREN,
    ACTIONS(10901), 1,
      anon_sym_POUND,
    STATE(7705), 1,
      aux_sym_annotation_repeat1,
    STATE(8058), 1,
      sym_type_arguments,
    STATE(9098), 1,
      sym_arguments,
    STATE(6281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323612] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(10414), 1,
      anon_sym_COLON,
    ACTIONS(10416), 1,
      anon_sym_LBRACE,
    ACTIONS(10418), 1,
      anon_sym_with,
    STATE(5805), 1,
      aux_sym_compound_type_repeat1,
    STATE(11012), 1,
      sym_template_body,
    STATE(11013), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6282), 2,
      sym_comment,
      sym_block_comment,
    STATE(10832), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8638), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323674] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2648), 1,
      anon_sym_EQ,
    ACTIONS(8162), 1,
      anon_sym_COMMA,
    ACTIONS(8963), 1,
      anon_sym_COLON,
    ACTIONS(8967), 1,
      anon_sym_DOT,
    ACTIONS(8969), 1,
      anon_sym_EQ_GT,
    ACTIONS(8972), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(18446), 1,
      sym__self_type_ascription,
    STATE(6283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 3,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(8758), 4,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8939), 4,
      anon_sym_as,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
    ACTIONS(8960), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323734] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9105), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [323776] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10557), 1,
      anon_sym_COLON,
    ACTIONS(10559), 1,
      anon_sym_LBRACE,
    ACTIONS(10561), 1,
      anon_sym_with,
    STATE(5930), 1,
      aux_sym_compound_type_repeat1,
    STATE(10939), 1,
      sym_template_body,
    STATE(10998), 1,
      sym__refinement,
    STATE(6285), 2,
      sym_comment,
      sym_block_comment,
    STATE(10945), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323832] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9109), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [323874] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323916] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8983), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [323958] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10573), 1,
      anon_sym_COLON,
    ACTIONS(10710), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(10903), 1,
      anon_sym_EQ_GT,
    STATE(9976), 1,
      sym_interpolated_string,
    STATE(16745), 1,
      sym__interpolated_string_start,
    STATE(16746), 1,
      sym__interpolated_multiline_string_start,
    STATE(18999), 1,
      sym__self_type_ascription,
    STATE(6289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324018] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10907), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10905), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [324060] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [324102] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(10482), 1,
      sym_interpolated_string,
    STATE(16429), 1,
      sym__interpolated_string_start,
    STATE(16430), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324156] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10911), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10909), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [324198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324240] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [324282] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1331), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9777), 1,
      anon_sym_LPAREN,
    ACTIONS(10428), 1,
      anon_sym_DOT,
    ACTIONS(10913), 1,
      sym__alpha_identifier,
    ACTIONS(10917), 1,
      anon_sym_EQ,
    ACTIONS(10919), 1,
      sym__backquoted_id,
    ACTIONS(10921), 1,
      sym_operator_identifier,
    STATE(548), 1,
      sym_identifier,
    STATE(4222), 1,
      sym__soft_identifier,
    STATE(6296), 2,
      sym_comment,
      sym_block_comment,
    STATE(9834), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9805), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10915), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [324348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [324432] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324474] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10351), 1,
      anon_sym_LBRACK,
    ACTIONS(10355), 1,
      anon_sym_POUND,
    ACTIONS(10923), 1,
      anon_sym_AT,
    STATE(7501), 1,
      sym_type_arguments,
    STATE(8215), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9485), 1,
      sym_annotation,
    STATE(6300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [324528] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4384), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(6301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [324574] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [324616] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [324658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324700] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324742] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(6306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [324786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9160), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [324828] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [324870] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(10557), 1,
      anon_sym_COLON,
    ACTIONS(10559), 1,
      anon_sym_LBRACE,
    ACTIONS(10561), 1,
      anon_sym_with,
    STATE(5930), 1,
      aux_sym_compound_type_repeat1,
    STATE(10939), 1,
      sym_template_body,
    STATE(10998), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6309), 2,
      sym_comment,
      sym_block_comment,
    STATE(10945), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8638), 3,
      anon_sym_STAR,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324932] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324974] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9922), 1,
      anon_sym_LBRACK,
    ACTIONS(9926), 1,
      anon_sym_POUND,
    ACTIONS(10929), 1,
      anon_sym_AT,
    STATE(7853), 1,
      sym_type_arguments,
    STATE(8194), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9612), 1,
      sym_annotation,
    STATE(6311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325028] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10931), 1,
      anon_sym_DOT,
    STATE(6312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325072] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325114] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325156] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10277), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10279), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10281), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10283), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325240] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325282] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325324] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325366] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325408] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325450] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10024), 1,
      anon_sym_DOT,
    ACTIONS(10933), 1,
      anon_sym_EQ_GT,
    STATE(6322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325496] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325538] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325582] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325624] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10937), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10935), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325666] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325708] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7072), 1,
      sym_arguments,
    STATE(6328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325752] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10229), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10231), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325794] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10295), 1,
      anon_sym_with,
    STATE(9007), 1,
      aux_sym_compound_type_repeat1,
    STATE(10264), 1,
      sym_template_body,
    STATE(10272), 1,
      sym__refinement,
    STATE(6157), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8562), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325846] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325888] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10939), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325930] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10188), 1,
      anon_sym_with,
    STATE(9369), 1,
      aux_sym_compound_type_repeat1,
    STATE(9749), 1,
      sym_template_body,
    STATE(9781), 1,
      sym__refinement,
    STATE(6333), 2,
      sym_comment,
      sym_block_comment,
    STATE(9563), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325982] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10943), 1,
      anon_sym_DOT,
    STATE(6334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [326026] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10690), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10688), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [326067] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [326108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7288), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [326149] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [326190] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10563), 1,
      anon_sym_LBRACK,
    ACTIONS(10569), 1,
      anon_sym_POUND,
    ACTIONS(10945), 1,
      anon_sym_LPAREN,
    STATE(8205), 1,
      aux_sym_annotation_repeat1,
    STATE(9106), 1,
      sym_type_arguments,
    STATE(9748), 1,
      sym_arguments,
    STATE(6339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326243] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326284] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(10947), 1,
      anon_sym_COLON,
    ACTIONS(10950), 1,
      anon_sym_LBRACE,
    ACTIONS(10952), 1,
      anon_sym_with,
    STATE(7010), 1,
      aux_sym_compound_type_repeat1,
    STATE(9611), 1,
      sym_template_body,
    STATE(9627), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6341), 2,
      sym_comment,
      sym_block_comment,
    STATE(9638), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(8638), 3,
      anon_sym_case,
      anon_sym_as,
      anon_sym_EQ,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326345] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [326386] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10060), 1,
      anon_sym_LPAREN,
    STATE(6349), 1,
      aux_sym_annotation_repeat1,
    STATE(8405), 1,
      sym_arguments,
    STATE(6343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326433] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [326474] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(10345), 1,
      anon_sym_LPAREN,
    ACTIONS(10954), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(6345), 2,
      sym_comment,
      sym_block_comment,
    STATE(10216), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8949), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8947), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326527] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326568] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9291), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [326609] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [326650] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10956), 1,
      anon_sym_LPAREN,
    STATE(8405), 1,
      sym_arguments,
    STATE(6349), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326695] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326736] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326777] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9133), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [326818] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10671), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [326859] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10959), 1,
      anon_sym_DOT,
    STATE(6354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [326902] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10961), 1,
      anon_sym_LBRACE,
    ACTIONS(10963), 1,
      anon_sym_with,
    STATE(9855), 1,
      aux_sym_compound_type_repeat1,
    STATE(10884), 1,
      sym_template_body,
    STATE(11002), 1,
      sym__refinement,
    STATE(6355), 2,
      sym_comment,
      sym_block_comment,
    STATE(10791), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326955] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7459), 1,
      sym_arguments,
    STATE(6356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [326998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [327039] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327080] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(10965), 1,
      anon_sym_COLON,
    ACTIONS(10968), 1,
      anon_sym_LBRACE,
    ACTIONS(10970), 1,
      anon_sym_with,
    STATE(6862), 1,
      aux_sym_compound_type_repeat1,
    STATE(10951), 1,
      sym_template_body,
    STATE(10962), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6359), 2,
      sym_comment,
      sym_block_comment,
    STATE(10781), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(8638), 3,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327141] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327182] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [327223] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327264] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(6363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327307] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [327348] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10972), 1,
      anon_sym_LBRACK,
    ACTIONS(10974), 1,
      anon_sym_LPAREN,
    ACTIONS(10976), 1,
      anon_sym_POUND,
    STATE(8421), 1,
      aux_sym_annotation_repeat1,
    STATE(9226), 1,
      sym_type_arguments,
    STATE(9661), 1,
      sym_arguments,
    STATE(6365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327401] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9303), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [327442] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10610), 1,
      anon_sym_DOT,
    ACTIONS(10614), 1,
      anon_sym_AT,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11792), 1,
      sym_interpolated_string,
    STATE(16742), 1,
      sym__interpolated_string_start,
    STATE(16744), 1,
      sym__interpolated_multiline_string_start,
    STATE(6367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10980), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10978), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [327503] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327544] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [327585] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327626] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [327667] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327708] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10157), 1,
      anon_sym_AT,
    STATE(6489), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8361), 1,
      sym_annotation,
    STATE(6373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327755] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [327796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [327837] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(931), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(10363), 1,
      anon_sym_LPAREN,
    ACTIONS(10982), 1,
      anon_sym_DOT,
    ACTIONS(10984), 1,
      sym_operator_identifier,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(6376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    STATE(10278), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9063), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [327902] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [327943] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1587), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9787), 1,
      anon_sym_LPAREN,
    ACTIONS(10404), 1,
      anon_sym_DOT,
    ACTIONS(10986), 1,
      sym__alpha_identifier,
    ACTIONS(10990), 1,
      anon_sym_EQ,
    ACTIONS(10992), 1,
      sym__backquoted_id,
    ACTIONS(10994), 1,
      sym_operator_identifier,
    STATE(558), 1,
      sym_identifier,
    STATE(4249), 1,
      sym__soft_identifier,
    STATE(6378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
    STATE(9931), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10988), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [328008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [328049] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9307), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [328131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328172] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9309), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [328213] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [328254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328295] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328336] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328418] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328459] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328500] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328541] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10132), 1,
      anon_sym_AT,
    STATE(6513), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8467), 1,
      sym_annotation,
    STATE(6392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328588] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9321), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [328670] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328711] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9775), 1,
      anon_sym_AT,
    STATE(7031), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8441), 1,
      sym_annotation,
    STATE(6396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328758] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7092), 1,
      sym__end_marker,
    STATE(6397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10376), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [328801] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328842] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328883] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [328924] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328965] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329047] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329088] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9309), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [329129] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10420), 1,
      anon_sym_LBRACK,
    ACTIONS(10424), 1,
      anon_sym_POUND,
    ACTIONS(10996), 1,
      anon_sym_AT,
    STATE(8404), 1,
      sym_type_arguments,
    STATE(9051), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10087), 1,
      sym_annotation,
    STATE(6406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329182] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329223] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [329264] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329305] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329346] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10998), 1,
      anon_sym_AT,
    STATE(8315), 1,
      sym_annotation,
    STATE(6411), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329432] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329473] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329514] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329555] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329596] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9323), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [329637] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10774), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10772), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10937), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10935), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329719] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11003), 1,
      sym__backquoted_id,
    STATE(6420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11001), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329760] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329801] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9125), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [329842] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9323), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [329883] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10337), 1,
      anon_sym_AT,
    STATE(6716), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8448), 1,
      sym_annotation,
    STATE(6424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9248), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [329930] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10853), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10851), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329971] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330012] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330053] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330094] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10857), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10855), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330135] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330176] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330217] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330258] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330299] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2648), 1,
      anon_sym_EQ,
    STATE(6434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 4,
      sym__automatic_semicolon,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(8486), 5,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9291), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330344] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330385] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [330467] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1793), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(10266), 1,
      anon_sym_LPAREN,
    ACTIONS(11005), 1,
      anon_sym_DOT,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    STATE(1957), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(6438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9063), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    STATE(10358), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [330532] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330573] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [330614] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330655] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [330696] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330737] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [330778] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330819] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [330860] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330901] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330942] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [330983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331024] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331106] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9212), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [331147] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9212), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [331229] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331311] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7288), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [331352] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9135), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [331393] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10402), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10400), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [331475] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331516] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1151), 1,
      anon_sym_LBRACE,
    ACTIONS(8935), 1,
      anon_sym_LPAREN,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9356), 1,
      anon_sym_DOT,
    ACTIONS(10734), 1,
      sym__alpha_identifier,
    ACTIONS(10740), 1,
      sym__backquoted_id,
    ACTIONS(10742), 1,
      sym_operator_identifier,
    ACTIONS(11009), 1,
      anon_sym_EQ,
    STATE(543), 1,
      sym_identifier,
    STATE(4204), 1,
      sym__soft_identifier,
    STATE(6463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_finally,
    STATE(7304), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10736), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [331581] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331622] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [331663] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9389), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [331704] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [331745] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331868] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7288), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [331909] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331950] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10610), 1,
      anon_sym_DOT,
    ACTIONS(10614), 1,
      anon_sym_AT,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11792), 1,
      sym_interpolated_string,
    STATE(16742), 1,
      sym__interpolated_string_start,
    STATE(16744), 1,
      sym__interpolated_multiline_string_start,
    STATE(6473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11013), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11011), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [332011] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11015), 1,
      anon_sym_DOT,
    STATE(6474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332054] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10939), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [332095] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332136] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10647), 1,
      anon_sym_LBRACK,
    ACTIONS(10651), 1,
      anon_sym_POUND,
    ACTIONS(11017), 1,
      anon_sym_AT,
    STATE(8379), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8616), 1,
      sym_type_arguments,
    STATE(9655), 1,
      sym_annotation,
    STATE(6477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332189] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    ACTIONS(11021), 1,
      anon_sym_COMMA,
    ACTIONS(11023), 1,
      anon_sym_EQ,
    ACTIONS(11025), 1,
      anon_sym_RPAREN,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10605), 1,
      sym_interpolated_string,
    STATE(16384), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(16953), 1,
      sym__interpolated_string_start,
    STATE(16955), 1,
      sym__interpolated_multiline_string_start,
    STATE(6478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [332268] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332309] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332350] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332432] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332473] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4258), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332514] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332555] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332596] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332637] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332678] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11027), 1,
      anon_sym_AT,
    STATE(8361), 1,
      sym_annotation,
    STATE(6489), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332723] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9141), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332764] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11030), 1,
      anon_sym_with,
    STATE(6491), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332848] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [332889] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10339), 1,
      anon_sym_AT,
    STATE(7006), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8459), 1,
      sym_annotation,
    STATE(6494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332936] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(6495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332979] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333020] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333061] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333102] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333143] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333184] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333266] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333307] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333389] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9291), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333430] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333471] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(6508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333514] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(10973), 1,
      sym_interpolated_string,
    STATE(16259), 1,
      sym__interpolated_string_start,
    STATE(16266), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11033), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333567] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333608] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333649] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333690] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11035), 1,
      anon_sym_AT,
    STATE(8467), 1,
      sym_annotation,
    STATE(6513), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333735] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9283), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333776] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333817] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9321), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333899] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9135), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333940] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(6519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334024] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334065] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10153), 1,
      anon_sym_AT,
    STATE(6617), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8023), 1,
      sym_annotation,
    STATE(6522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334112] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11038), 1,
      anon_sym_with,
    STATE(6523), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [334155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9283), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334196] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [334237] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [334278] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334319] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10684), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10682), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [334360] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334401] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10233), 1,
      anon_sym_LPAREN,
    STATE(6538), 1,
      aux_sym_annotation_repeat1,
    STATE(7956), 1,
      sym_arguments,
    STATE(6530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8943), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334448] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [334489] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334530] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334571] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [334612] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334653] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1739), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9858), 1,
      anon_sym_LPAREN,
    ACTIONS(10473), 1,
      anon_sym_DOT,
    ACTIONS(11041), 1,
      sym__alpha_identifier,
    ACTIONS(11045), 1,
      anon_sym_EQ,
    ACTIONS(11047), 1,
      sym__backquoted_id,
    ACTIONS(11049), 1,
      sym_operator_identifier,
    STATE(564), 1,
      sym_identifier,
    STATE(4232), 1,
      sym__soft_identifier,
    STATE(6536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_finally,
    STATE(9504), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11043), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [334718] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334759] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11051), 1,
      anon_sym_LPAREN,
    STATE(7956), 1,
      sym_arguments,
    STATE(6538), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8953), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334804] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11054), 1,
      anon_sym_DOT,
    STATE(6539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334847] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334888] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334931] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334972] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4407), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(6543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [335017] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10671), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [335058] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335099] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4258), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [335140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7288), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [335181] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [335222] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335263] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7416), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7414), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [335304] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335345] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335386] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335427] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [335468] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335509] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11056), 1,
      anon_sym_DOT,
    STATE(6556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335552] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335634] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335675] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335716] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335757] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [335798] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335839] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [335880] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9815), 1,
      anon_sym_AT,
    STATE(6958), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8142), 1,
      sym_annotation,
    STATE(6565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9248), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [335927] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9920), 1,
      anon_sym_AT,
    STATE(6641), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8037), 1,
      sym_annotation,
    STATE(6566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9248), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [335974] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336015] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336056] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336097] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11058), 1,
      anon_sym_with,
    STATE(6570), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336140] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11061), 1,
      anon_sym_COLON,
    ACTIONS(11063), 1,
      anon_sym_LBRACE,
    ACTIONS(11065), 1,
      anon_sym_with,
    STATE(6674), 1,
      aux_sym_compound_type_repeat1,
    STATE(11174), 1,
      sym_template_body,
    STATE(11175), 1,
      sym__refinement,
    STATE(6571), 2,
      sym_comment,
      sym_block_comment,
    STATE(11132), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336195] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336236] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336277] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336318] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336400] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336441] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(10345), 1,
      anon_sym_LPAREN,
    ACTIONS(10954), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(6578), 2,
      sym_comment,
      sym_block_comment,
    STATE(10216), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8997), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336496] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336537] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336578] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11067), 1,
      anon_sym_LBRACK,
    ACTIONS(11069), 1,
      anon_sym_LPAREN,
    ACTIONS(11071), 1,
      anon_sym_POUND,
    STATE(8791), 1,
      sym_type_arguments,
    STATE(8980), 1,
      aux_sym_annotation_repeat1,
    STATE(10162), 1,
      sym_arguments,
    STATE(6581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8262), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336713] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336754] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(10973), 1,
      sym_interpolated_string,
    STATE(16259), 1,
      sym__interpolated_string_start,
    STATE(16266), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336807] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10333), 1,
      anon_sym_LPAREN,
    STATE(6643), 1,
      aux_sym_annotation_repeat1,
    STATE(7999), 1,
      sym_arguments,
    STATE(6586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336854] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11073), 1,
      anon_sym_COLON,
    ACTIONS(11075), 1,
      anon_sym_LBRACE,
    ACTIONS(11077), 1,
      anon_sym_with,
    STATE(9497), 1,
      aux_sym_compound_type_repeat1,
    STATE(11187), 1,
      sym_template_body,
    STATE(11270), 1,
      sym__refinement,
    STATE(6587), 2,
      sym_comment,
      sym_block_comment,
    STATE(11134), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336909] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10746), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10744), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336950] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(931), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(10363), 1,
      anon_sym_LPAREN,
    ACTIONS(10982), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(6589), 2,
      sym_comment,
      sym_block_comment,
    STATE(10278), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8997), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8995), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [337005] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337046] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337087] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10760), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10758), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337128] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10694), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10692), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10014), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10016), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337210] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10774), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10772), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337251] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9982), 1,
      anon_sym_LPAREN,
    STATE(6650), 1,
      aux_sym_annotation_repeat1,
    STATE(8340), 1,
      sym_arguments,
    STATE(6596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337339] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10014), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10016), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337380] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [337421] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10887), 1,
      anon_sym_LBRACK,
    ACTIONS(10891), 1,
      anon_sym_POUND,
    ACTIONS(11079), 1,
      anon_sym_AT,
    STATE(8122), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8299), 1,
      sym_type_arguments,
    STATE(9907), 1,
      sym_annotation,
    STATE(6600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337474] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337515] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337597] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11081), 1,
      anon_sym_LBRACE,
    ACTIONS(11083), 1,
      anon_sym_with,
    STATE(9714), 1,
      aux_sym_compound_type_repeat1,
    STATE(10800), 1,
      sym_template_body,
    STATE(11103), 1,
      sym__refinement,
    STATE(6604), 2,
      sym_comment,
      sym_block_comment,
    STATE(10881), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8556), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337691] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11087), 1,
      sym__backquoted_id,
    STATE(6606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11085), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337732] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10810), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10808), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337773] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(6608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10829), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10827), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337857] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337898] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [337980] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338021] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338062] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10853), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10851), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338103] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10857), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10855), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338144] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11089), 1,
      anon_sym_AT,
    STATE(8023), 1,
      sym_annotation,
    STATE(6617), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [338189] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    ACTIONS(11023), 1,
      anon_sym_EQ,
    ACTIONS(11092), 1,
      anon_sym_COMMA,
    ACTIONS(11094), 1,
      anon_sym_RPAREN,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10605), 1,
      sym_interpolated_string,
    STATE(16953), 1,
      sym__interpolated_string_start,
    STATE(16955), 1,
      sym__interpolated_multiline_string_start,
    STATE(17227), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(6618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [338268] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338309] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(11061), 1,
      anon_sym_COLON,
    ACTIONS(11063), 1,
      anon_sym_LBRACE,
    ACTIONS(11065), 1,
      anon_sym_with,
    STATE(6674), 1,
      aux_sym_compound_type_repeat1,
    STATE(11174), 1,
      sym_template_body,
    STATE(11175), 1,
      sym__refinement,
    ACTIONS(8638), 2,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6620), 2,
      sym_comment,
      sym_block_comment,
    STATE(11132), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338370] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338411] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10018), 1,
      anon_sym_AT,
    STATE(6714), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8073), 1,
      sym_annotation,
    STATE(6622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338458] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9105), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [338499] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338540] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338581] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(6626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338624] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9109), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [338665] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10907), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10905), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338706] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10911), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10909), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338747] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338788] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8983), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [338829] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338870] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11073), 1,
      anon_sym_COLON,
    ACTIONS(11075), 1,
      anon_sym_LBRACE,
    ACTIONS(11077), 1,
      anon_sym_with,
    STATE(6587), 1,
      aux_sym_compound_type_repeat1,
    STATE(11187), 1,
      sym_template_body,
    STATE(11190), 1,
      sym__refinement,
    STATE(6633), 2,
      sym_comment,
      sym_block_comment,
    STATE(11134), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338925] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [338966] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    ACTIONS(11023), 1,
      anon_sym_EQ,
    ACTIONS(11096), 1,
      anon_sym_COMMA,
    ACTIONS(11098), 1,
      anon_sym_RPAREN,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10605), 1,
      sym_interpolated_string,
    STATE(16953), 1,
      sym__interpolated_string_start,
    STATE(16955), 1,
      sym__interpolated_multiline_string_start,
    STATE(17315), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(6635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [339045] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339086] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [339127] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339168] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10782), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10780), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339209] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339250] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11100), 1,
      anon_sym_AT,
    STATE(8037), 1,
      sym_annotation,
    STATE(6641), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9203), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [339295] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339336] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11103), 1,
      anon_sym_LPAREN,
    STATE(7999), 1,
      sym_arguments,
    STATE(6643), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339381] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [339422] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [339463] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9856), 1,
      anon_sym_AT,
    STATE(6748), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8088), 1,
      sym_annotation,
    STATE(6646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339510] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10291), 1,
      anon_sym_LPAREN,
    STATE(6656), 1,
      aux_sym_annotation_repeat1,
    STATE(8042), 1,
      sym_arguments,
    STATE(6647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339557] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10937), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10935), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339598] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339639] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11106), 1,
      anon_sym_LPAREN,
    STATE(8340), 1,
      sym_arguments,
    STATE(6650), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339684] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339725] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10402), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10400), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339766] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10299), 1,
      anon_sym_LPAREN,
    STATE(6662), 1,
      aux_sym_annotation_repeat1,
    STATE(8510), 1,
      sym_arguments,
    STATE(6653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8943), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [339813] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [339854] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7288), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339895] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11109), 1,
      anon_sym_LPAREN,
    STATE(8042), 1,
      sym_arguments,
    STATE(6656), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339940] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [339981] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(6658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340024] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10800), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10798), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340106] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340147] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11112), 1,
      anon_sym_LPAREN,
    STATE(8510), 1,
      sym_arguments,
    STATE(6662), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8953), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [340192] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [340233] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340274] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1793), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10266), 1,
      anon_sym_LPAREN,
    ACTIONS(11005), 1,
      anon_sym_DOT,
    ACTIONS(11115), 1,
      sym__alpha_identifier,
    ACTIONS(11119), 1,
      anon_sym_EQ,
    ACTIONS(11121), 1,
      sym__backquoted_id,
    ACTIONS(11123), 1,
      sym_operator_identifier,
    STATE(567), 1,
      sym_identifier,
    STATE(4259), 1,
      sym__soft_identifier,
    STATE(6665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    STATE(10358), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11117), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [340339] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340380] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340421] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11125), 1,
      anon_sym_DOT,
    STATE(6668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340464] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10277), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10279), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340505] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10281), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10283), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340546] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11127), 1,
      anon_sym_AT,
    STATE(8184), 1,
      sym_annotation,
    STATE(6671), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9203), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [340591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340632] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10050), 1,
      anon_sym_AT,
    STATE(6787), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8106), 1,
      sym_annotation,
    STATE(6673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340679] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11061), 1,
      anon_sym_COLON,
    ACTIONS(11063), 1,
      anon_sym_LBRACE,
    ACTIONS(11065), 1,
      anon_sym_with,
    STATE(9608), 1,
      aux_sym_compound_type_repeat1,
    STATE(11174), 1,
      sym_template_body,
    STATE(11200), 1,
      sym__refinement,
    STATE(6674), 2,
      sym_comment,
      sym_block_comment,
    STATE(11132), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340734] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340775] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10426), 1,
      anon_sym_EQ_GT,
    STATE(6676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9291), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [340818] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9143), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [340859] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340902] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340943] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9160), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [340984] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11130), 1,
      anon_sym_LBRACK,
    ACTIONS(11132), 1,
      anon_sym_LPAREN,
    ACTIONS(11134), 1,
      anon_sym_POUND,
    STATE(8484), 1,
      aux_sym_annotation_repeat1,
    STATE(9295), 1,
      sym_type_arguments,
    STATE(9636), 1,
      sym_arguments,
    STATE(6681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341037] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9133), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [341078] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [341119] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9675), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9673), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9671), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [341162] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10277), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10279), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341244] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10804), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10802), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341285] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341326] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(6689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341369] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341410] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11136), 1,
      anon_sym_with,
    STATE(6691), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341453] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341494] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341535] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9675), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9673), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9671), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341578] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341619] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341660] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7288), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [341701] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9139), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [341742] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10712), 1,
      anon_sym_EQ_GT,
    STATE(6699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341785] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341826] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9133), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [341867] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10220), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10222), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341908] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341949] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341990] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11139), 1,
      anon_sym_DOT,
    STATE(6705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342033] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9303), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [342074] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10229), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10231), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [342115] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8940), 1,
      sym_interpolated_string,
    STATE(16603), 1,
      sym__interpolated_string_start,
    STATE(16604), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11141), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [342168] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9141), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [342209] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9986), 1,
      anon_sym_LPAREN,
    STATE(6792), 1,
      aux_sym_annotation_repeat1,
    STATE(8026), 1,
      sym_arguments,
    STATE(6710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342256] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11143), 1,
      anon_sym_AT,
    STATE(7951), 1,
      sym_annotation,
    STATE(6711), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 23,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [342299] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9143), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [342340] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9246), 1,
      sym_interpolated_string,
    STATE(15950), 1,
      sym__interpolated_string_start,
    STATE(15951), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11146), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [342393] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11148), 1,
      anon_sym_AT,
    STATE(8073), 1,
      sym_annotation,
    STATE(6714), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342438] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10796), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10794), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [342479] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11151), 1,
      anon_sym_AT,
    STATE(8448), 1,
      sym_annotation,
    STATE(6716), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9203), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [342524] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1259), 1,
      anon_sym_LBRACE,
    ACTIONS(9037), 1,
      anon_sym_LPAREN,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9380), 1,
      anon_sym_DOT,
    ACTIONS(10028), 1,
      sym__alpha_identifier,
    ACTIONS(10034), 1,
      sym__backquoted_id,
    ACTIONS(10036), 1,
      sym_operator_identifier,
    ACTIONS(11154), 1,
      anon_sym_EQ,
    STATE(546), 1,
      sym_identifier,
    STATE(4205), 1,
      sym__soft_identifier,
    ACTIONS(9801), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(6717), 2,
      sym_comment,
      sym_block_comment,
    STATE(7359), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9805), 5,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(10030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [342589] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9226), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [342632] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1587), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9787), 1,
      anon_sym_LPAREN,
    ACTIONS(10404), 1,
      anon_sym_DOT,
    ACTIONS(10986), 1,
      sym__alpha_identifier,
    ACTIONS(10992), 1,
      sym__backquoted_id,
    ACTIONS(10994), 1,
      sym_operator_identifier,
    ACTIONS(11156), 1,
      anon_sym_EQ,
    STATE(558), 1,
      sym_identifier,
    STATE(4249), 1,
      sym__soft_identifier,
    STATE(6719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    STATE(9931), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10988), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [342697] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342738] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11158), 1,
      anon_sym_DOT,
    STATE(6721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342822] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1739), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9858), 1,
      anon_sym_LPAREN,
    ACTIONS(10473), 1,
      anon_sym_DOT,
    ACTIONS(11041), 1,
      sym__alpha_identifier,
    ACTIONS(11047), 1,
      sym__backquoted_id,
    ACTIONS(11049), 1,
      sym_operator_identifier,
    ACTIONS(11160), 1,
      anon_sym_EQ,
    STATE(564), 1,
      sym_identifier,
    STATE(4232), 1,
      sym__soft_identifier,
    STATE(6723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    STATE(9504), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11043), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [342887] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342928] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1517), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(10321), 1,
      anon_sym_LPAREN,
    ACTIONS(11162), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(6725), 2,
      sym_comment,
      sym_block_comment,
    STATE(10088), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8997), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11164), 1,
      sym__backquoted_id,
    STATE(6726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(933), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343024] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10372), 1,
      anon_sym_LPAREN,
    STATE(6732), 1,
      aux_sym_annotation_repeat1,
    STATE(8538), 1,
      sym_arguments,
    STATE(6727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343071] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7926), 1,
      sym_arguments,
    STATE(6728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [343114] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11166), 1,
      sym__backquoted_id,
    STATE(6729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7312), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343196] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343237] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11168), 1,
      anon_sym_LPAREN,
    STATE(8538), 1,
      sym_arguments,
    STATE(6732), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343282] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4398), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(6733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [343327] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11171), 1,
      anon_sym_COLON,
    ACTIONS(11173), 1,
      anon_sym_LBRACE,
    ACTIONS(11175), 1,
      anon_sym_with,
    STATE(9488), 1,
      aux_sym_compound_type_repeat1,
    STATE(11112), 1,
      sym_template_body,
    STATE(11129), 1,
      sym__refinement,
    STATE(6734), 2,
      sym_comment,
      sym_block_comment,
    STATE(11167), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343382] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11171), 1,
      anon_sym_COLON,
    ACTIONS(11173), 1,
      anon_sym_LBRACE,
    ACTIONS(11175), 1,
      anon_sym_with,
    STATE(6734), 1,
      aux_sym_compound_type_repeat1,
    STATE(11112), 1,
      sym_template_body,
    STATE(11184), 1,
      sym__refinement,
    STATE(6735), 2,
      sym_comment,
      sym_block_comment,
    STATE(11167), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343437] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7522), 1,
      sym__end_marker,
    STATE(6736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10376), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [343480] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10229), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10231), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [343521] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [343562] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10810), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10808), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [343603] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10022), 1,
      anon_sym_AT,
    STATE(6671), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8184), 1,
      sym_annotation,
    STATE(6740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9248), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [343650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [343691] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8758), 1,
      anon_sym_LPAREN,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(9311), 1,
      anon_sym_COMMA,
    ACTIONS(9315), 1,
      anon_sym_RPAREN,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(17111), 1,
      aux_sym_case_class_pattern_repeat1,
    ACTIONS(8410), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2648), 3,
      anon_sym_COLON,
      anon_sym_match,
      anon_sym_EQ,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [343762] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343803] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9307), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [343844] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10178), 1,
      anon_sym_LPAREN,
    STATE(6759), 1,
      aux_sym_annotation_repeat1,
    STATE(8019), 1,
      sym_arguments,
    STATE(6745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343891] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10592), 1,
      anon_sym_DOT,
    ACTIONS(11177), 1,
      anon_sym_EQ_GT,
    STATE(6746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343936] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [343977] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11179), 1,
      anon_sym_AT,
    STATE(8088), 1,
      sym_annotation,
    STATE(6748), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344022] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(6749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [344065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [344106] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344147] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [344188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344229] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7558), 1,
      sym_arguments,
    STATE(6754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [344272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344313] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9307), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [344354] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11182), 1,
      anon_sym_LBRACE,
    ACTIONS(11184), 1,
      anon_sym_with,
    STATE(7011), 1,
      aux_sym_compound_type_repeat1,
    STATE(10763), 1,
      sym__refinement,
    STATE(10995), 1,
      sym_template_body,
    STATE(6757), 2,
      sym_comment,
      sym_block_comment,
    STATE(10849), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [344407] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [344448] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11186), 1,
      anon_sym_LPAREN,
    STATE(8019), 1,
      sym_arguments,
    STATE(6759), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344493] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9309), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [344534] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(10608), 1,
      anon_sym_COMMA,
    ACTIONS(10618), 1,
      anon_sym_RPAREN,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    ACTIONS(11023), 1,
      anon_sym_EQ,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10605), 1,
      sym_interpolated_string,
    STATE(16296), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(16953), 1,
      sym__interpolated_string_start,
    STATE(16955), 1,
      sym__interpolated_multiline_string_start,
    STATE(6761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [344613] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [344654] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9291), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [344695] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11189), 1,
      anon_sym_DOT,
    STATE(6764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344738] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11191), 1,
      anon_sym_COLON,
    ACTIONS(11194), 1,
      anon_sym_LBRACE,
    STATE(9115), 1,
      sym_template_body,
    STATE(6765), 2,
      sym_comment,
      sym_block_comment,
    STATE(9330), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9350), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9342), 14,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344787] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7334), 1,
      sym__end_marker,
    STATE(6766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10376), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [344830] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1793), 1,
      anon_sym_LBRACE,
    ACTIONS(10266), 1,
      anon_sym_LPAREN,
    ACTIONS(11005), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(6767), 2,
      sym_comment,
      sym_block_comment,
    STATE(10358), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8949), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8947), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344883] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344924] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(6769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9321), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [345008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [345049] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10796), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10794), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [345090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [345131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [345172] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    ACTIONS(11023), 1,
      anon_sym_EQ,
    ACTIONS(11197), 1,
      anon_sym_COMMA,
    ACTIONS(11199), 1,
      anon_sym_RPAREN,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10605), 1,
      sym_interpolated_string,
    STATE(16398), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(16953), 1,
      sym__interpolated_string_start,
    STATE(16955), 1,
      sym__interpolated_multiline_string_start,
    STATE(6775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [345251] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10477), 1,
      anon_sym_LBRACK,
    ACTIONS(10481), 1,
      anon_sym_POUND,
    ACTIONS(11201), 1,
      anon_sym_AT,
    STATE(8476), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8480), 1,
      sym_type_arguments,
    STATE(9537), 1,
      sym_annotation,
    STATE(6776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345304] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1829), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9444), 1,
      anon_sym_LPAREN,
    ACTIONS(9958), 1,
      anon_sym_DOT,
    ACTIONS(11203), 1,
      sym__alpha_identifier,
    ACTIONS(11207), 1,
      anon_sym_EQ,
    ACTIONS(11209), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      sym_operator_identifier,
    STATE(568), 1,
      sym_identifier,
    STATE(4243), 1,
      sym__soft_identifier,
    STATE(6777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    STATE(8922), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9805), 4,
      anon_sym_match,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(11205), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [345369] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10907), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10905), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [345410] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345451] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345492] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11213), 1,
      anon_sym_DOT,
    STATE(6781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345535] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10596), 1,
      anon_sym_LBRACK,
    ACTIONS(10600), 1,
      anon_sym_POUND,
    ACTIONS(11215), 1,
      anon_sym_AT,
    STATE(8034), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8350), 1,
      sym_type_arguments,
    STATE(9928), 1,
      sym_annotation,
    STATE(6782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345588] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11217), 1,
      anon_sym_with,
    STATE(7819), 1,
      aux_sym_compound_type_repeat1,
    STATE(10120), 1,
      sym_template_body,
    STATE(10124), 1,
      sym__refinement,
    STATE(10147), 1,
      sym_arguments,
    STATE(6783), 2,
      sym_comment,
      sym_block_comment,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345641] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345682] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7416), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7414), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [345723] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10911), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10909), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [345764] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11219), 1,
      anon_sym_AT,
    STATE(8106), 1,
      sym_annotation,
    STATE(6787), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345809] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [345850] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345891] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10690), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10688), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [345932] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345973] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11222), 1,
      anon_sym_LPAREN,
    STATE(8026), 1,
      sym_arguments,
    STATE(6792), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346018] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9125), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [346059] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(10950), 1,
      anon_sym_LBRACE,
    ACTIONS(10952), 1,
      anon_sym_with,
    ACTIONS(11225), 1,
      anon_sym_COLON,
    STATE(6813), 1,
      aux_sym_compound_type_repeat1,
    STATE(9611), 1,
      sym_template_body,
    STATE(9627), 1,
      sym__refinement,
    ACTIONS(8638), 2,
      anon_sym_case,
      anon_sym_if,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6794), 2,
      sym_comment,
      sym_block_comment,
    STATE(9638), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346120] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [346161] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [346202] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346243] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [346284] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [346325] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346366] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11227), 1,
      anon_sym_COLON,
    ACTIONS(11229), 1,
      anon_sym_LBRACE,
    ACTIONS(11231), 1,
      anon_sym_with,
    STATE(7037), 1,
      aux_sym_compound_type_repeat1,
    STATE(11283), 1,
      sym_template_body,
    STATE(11293), 1,
      sym__refinement,
    STATE(6801), 2,
      sym_comment,
      sym_block_comment,
    STATE(11274), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346421] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9323), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [346462] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(189), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9262), 1,
      anon_sym_LPAREN,
    ACTIONS(9614), 1,
      anon_sym_DOT,
    ACTIONS(10168), 1,
      sym__alpha_identifier,
    ACTIONS(10174), 1,
      sym__backquoted_id,
    ACTIONS(10176), 1,
      sym_operator_identifier,
    ACTIONS(11233), 1,
      anon_sym_EQ,
    STATE(565), 1,
      sym_identifier,
    STATE(4226), 1,
      sym__soft_identifier,
    STATE(6803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(8218), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9805), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10172), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [346527] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346568] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [346609] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9576), 1,
      anon_sym_LBRACE,
    ACTIONS(9578), 1,
      anon_sym_with,
    STATE(7030), 1,
      aux_sym_compound_type_repeat1,
    STATE(7738), 1,
      sym_template_body,
    STATE(7739), 1,
      sym__refinement,
    STATE(6806), 2,
      sym_comment,
      sym_block_comment,
    STATE(7144), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346662] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10563), 1,
      anon_sym_LBRACK,
    ACTIONS(10565), 1,
      anon_sym_AT,
    ACTIONS(10569), 1,
      anon_sym_POUND,
    STATE(8266), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9106), 1,
      sym_type_arguments,
    STATE(9720), 1,
      sym_annotation,
    STATE(6807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346715] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(11235), 1,
      anon_sym_COLON,
    ACTIONS(11238), 1,
      anon_sym_LBRACE,
    ACTIONS(11240), 1,
      anon_sym_with,
    STATE(7073), 1,
      aux_sym_compound_type_repeat1,
    STATE(10819), 1,
      sym_template_body,
    STATE(10823), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6808), 2,
      sym_comment,
      sym_block_comment,
    STATE(10846), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(8638), 3,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346776] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346817] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [346858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346899] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346942] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10950), 1,
      anon_sym_LBRACE,
    ACTIONS(10952), 1,
      anon_sym_with,
    ACTIONS(11225), 1,
      anon_sym_COLON,
    STATE(8163), 1,
      aux_sym_compound_type_repeat1,
    STATE(9611), 1,
      sym_template_body,
    STATE(9691), 1,
      sym__refinement,
    STATE(6813), 2,
      sym_comment,
      sym_block_comment,
    STATE(9638), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346997] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10281), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10283), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347038] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8940), 1,
      sym_interpolated_string,
    STATE(16603), 1,
      sym__interpolated_string_start,
    STATE(16604), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11242), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347091] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347132] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347173] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7416), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7414), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347214] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9246), 1,
      sym_interpolated_string,
    STATE(15950), 1,
      sym__interpolated_string_start,
    STATE(15951), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11244), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347267] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10961), 1,
      anon_sym_LBRACE,
    ACTIONS(10963), 1,
      anon_sym_with,
    STATE(6355), 1,
      aux_sym_compound_type_repeat1,
    STATE(10884), 1,
      sym_template_body,
    STATE(10889), 1,
      sym__refinement,
    STATE(6820), 2,
      sym_comment,
      sym_block_comment,
    STATE(10791), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347320] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347361] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1259), 1,
      anon_sym_LBRACE,
    ACTIONS(9037), 1,
      anon_sym_LPAREN,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9380), 1,
      anon_sym_DOT,
    ACTIONS(10028), 1,
      sym__alpha_identifier,
    ACTIONS(10034), 1,
      sym__backquoted_id,
    ACTIONS(10036), 1,
      sym_operator_identifier,
    ACTIONS(11246), 1,
      anon_sym_EQ,
    STATE(546), 1,
      sym_identifier,
    STATE(4205), 1,
      sym__soft_identifier,
    ACTIONS(9801), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(6822), 2,
      sym_comment,
      sym_block_comment,
    STATE(7359), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9805), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [347426] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9254), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347469] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10277), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10279), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347510] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347551] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10281), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10283), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347633] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9916), 1,
      anon_sym_LPAREN,
    STATE(6838), 1,
      aux_sym_annotation_repeat1,
    STATE(8556), 1,
      sym_arguments,
    STATE(6828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347680] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347721] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347762] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347803] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11081), 1,
      anon_sym_LBRACE,
    ACTIONS(11083), 1,
      anon_sym_with,
    STATE(6604), 1,
      aux_sym_compound_type_repeat1,
    STATE(10800), 1,
      sym_template_body,
    STATE(10834), 1,
      sym__refinement,
    STATE(6832), 2,
      sym_comment,
      sym_block_comment,
    STATE(10881), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347856] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9212), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [347897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347938] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10220), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10222), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347979] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348020] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [348061] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11248), 1,
      anon_sym_LPAREN,
    STATE(8556), 1,
      sym_arguments,
    STATE(6838), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348106] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348147] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9139), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348229] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348270] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9570), 1,
      anon_sym_LPAREN,
    STATE(6854), 1,
      aux_sym_annotation_repeat1,
    STATE(8133), 1,
      sym_arguments,
    STATE(6843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348317] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [348358] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4258), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [348399] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(6846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8997), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [348446] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [348487] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9133), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348528] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9135), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348569] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11251), 1,
      anon_sym_COLON,
    ACTIONS(11254), 1,
      anon_sym_LBRACE,
    STATE(9031), 1,
      sym_template_body,
    STATE(6850), 2,
      sym_comment,
      sym_block_comment,
    STATE(9074), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9350), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9342), 15,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348618] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348659] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348700] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(11073), 1,
      anon_sym_COLON,
    ACTIONS(11075), 1,
      anon_sym_LBRACE,
    ACTIONS(11077), 1,
      anon_sym_with,
    STATE(6587), 1,
      aux_sym_compound_type_repeat1,
    STATE(11187), 1,
      sym_template_body,
    STATE(11190), 1,
      sym__refinement,
    ACTIONS(8638), 2,
      anon_sym_STAR,
      anon_sym_finally,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6853), 2,
      sym_comment,
      sym_block_comment,
    STATE(11134), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348761] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11257), 1,
      anon_sym_LPAREN,
    STATE(8133), 1,
      sym_arguments,
    STATE(6854), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348806] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348847] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [348888] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(11171), 1,
      anon_sym_COLON,
    ACTIONS(11173), 1,
      anon_sym_LBRACE,
    ACTIONS(11175), 1,
      anon_sym_with,
    STATE(6734), 1,
      aux_sym_compound_type_repeat1,
    STATE(11112), 1,
      sym_template_body,
    STATE(11184), 1,
      sym__refinement,
    ACTIONS(8638), 2,
      anon_sym_STAR,
      anon_sym_else,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6857), 2,
      sym_comment,
      sym_block_comment,
    STATE(11167), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348949] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10434), 1,
      anon_sym_AT,
    ACTIONS(10438), 1,
      anon_sym_POUND,
    STATE(8402), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9108), 1,
      sym_type_arguments,
    STATE(9533), 1,
      sym_annotation,
    STATE(6858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349002] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10698), 1,
      anon_sym_with,
    STATE(9479), 1,
      aux_sym_compound_type_repeat1,
    STATE(10420), 1,
      sym__refinement,
    STATE(10445), 1,
      sym_template_body,
    STATE(6758), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8562), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349053] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9160), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [349094] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349135] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10968), 1,
      anon_sym_LBRACE,
    ACTIONS(10970), 1,
      anon_sym_with,
    STATE(9460), 1,
      aux_sym_compound_type_repeat1,
    STATE(10762), 1,
      sym__refinement,
    STATE(10951), 1,
      sym_template_body,
    STATE(6862), 2,
      sym_comment,
      sym_block_comment,
    STATE(10781), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349229] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9125), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [349270] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(8228), 1,
      sym_interpolated_string,
    STATE(17018), 1,
      sym__interpolated_string_start,
    STATE(17019), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10578), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349323] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349364] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349405] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10881), 1,
      anon_sym_with,
    STATE(9861), 1,
      aux_sym_compound_type_repeat1,
    STATE(10418), 1,
      sym_template_body,
    STATE(10501), 1,
      sym__refinement,
    STATE(6866), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8562), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349456] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349497] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11260), 1,
      anon_sym_with,
    STATE(6870), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9647), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [349540] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(6871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [349583] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349624] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11263), 1,
      anon_sym_DOT,
    STATE(6873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349667] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349708] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349749] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11265), 1,
      anon_sym_LBRACK,
    ACTIONS(11267), 1,
      anon_sym_AT,
    ACTIONS(11269), 1,
      anon_sym_LPAREN,
    ACTIONS(11271), 1,
      anon_sym_POUND,
    STATE(9293), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9640), 1,
      sym_type_arguments,
    STATE(10147), 1,
      sym_arguments,
    STATE(10202), 1,
      sym_annotation,
    STATE(6876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349806] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [349847] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(189), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9262), 1,
      anon_sym_LPAREN,
    ACTIONS(9614), 1,
      anon_sym_DOT,
    ACTIONS(10168), 1,
      sym__alpha_identifier,
    ACTIONS(10174), 1,
      sym__backquoted_id,
    ACTIONS(10176), 1,
      sym_operator_identifier,
    ACTIONS(11273), 1,
      anon_sym_EQ,
    STATE(565), 1,
      sym_identifier,
    STATE(4226), 1,
      sym__soft_identifier,
    ACTIONS(9805), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(6878), 2,
      sym_comment,
      sym_block_comment,
    STATE(8218), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10172), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [349912] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9747), 1,
      anon_sym_LPAREN,
    STATE(6926), 1,
      aux_sym_annotation_repeat1,
    STATE(8188), 1,
      sym_arguments,
    STATE(6879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349959] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [350000] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9069), 1,
      sym_operator_identifier,
    STATE(1954), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(6881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9063), 8,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [350057] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350098] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [350139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [350180] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350221] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [350303] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350344] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [350385] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7288), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [350426] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1223), 1,
      anon_sym_LBRACE,
    ACTIONS(9007), 1,
      anon_sym_LPAREN,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9453), 1,
      anon_sym_DOT,
    ACTIONS(10722), 1,
      sym__alpha_identifier,
    ACTIONS(10728), 1,
      sym__backquoted_id,
    ACTIONS(10730), 1,
      sym_operator_identifier,
    ACTIONS(11275), 1,
      anon_sym_EQ,
    STATE(545), 1,
      sym_identifier,
    STATE(4214), 1,
      sym__soft_identifier,
    STATE(6891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
    STATE(7632), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10724), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [350491] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [350532] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [350573] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350614] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9283), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [350655] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350696] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350737] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [350778] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [350819] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(931), 1,
      anon_sym_LBRACE,
    ACTIONS(10363), 1,
      anon_sym_LPAREN,
    ACTIONS(10982), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(6900), 2,
      sym_comment,
      sym_block_comment,
    STATE(10278), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8949), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8947), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [350872] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [350913] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [350954] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [350995] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10684), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10682), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [351036] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [351077] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351118] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9675), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9673), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9671), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [351161] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10694), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10692), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [351202] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(11227), 1,
      anon_sym_COLON,
    ACTIONS(11229), 1,
      anon_sym_LBRACE,
    ACTIONS(11231), 1,
      anon_sym_with,
    STATE(7037), 1,
      aux_sym_compound_type_repeat1,
    STATE(11283), 1,
      sym_template_body,
    STATE(11293), 1,
      sym__refinement,
    ACTIONS(8638), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6909), 2,
      sym_comment,
      sym_block_comment,
    STATE(11274), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351263] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351304] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351345] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11277), 1,
      anon_sym_LBRACK,
    ACTIONS(11279), 1,
      anon_sym_LPAREN,
    ACTIONS(11281), 1,
      anon_sym_POUND,
    STATE(8173), 1,
      aux_sym_annotation_repeat1,
    STATE(8962), 1,
      sym_type_arguments,
    STATE(9678), 1,
      sym_arguments,
    STATE(6912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351439] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11283), 1,
      anon_sym_DOT,
    STATE(6914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351482] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11285), 1,
      anon_sym_COLON,
    ACTIONS(11288), 1,
      anon_sym_LBRACE,
    STATE(9130), 1,
      sym_template_body,
    STATE(6915), 2,
      sym_comment,
      sym_block_comment,
    STATE(9420), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9350), 7,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9342), 14,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [351531] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9133), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [351572] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11291), 1,
      anon_sym_AT,
    STATE(8261), 1,
      sym_annotation,
    STATE(6917), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351617] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [351658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10782), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10780), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [351699] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [351740] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [351781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [351822] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10800), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10798), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [351863] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10491), 1,
      anon_sym_DOT,
    ACTIONS(11294), 1,
      anon_sym_EQ_GT,
    STATE(6924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351908] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9139), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [351949] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11296), 1,
      anon_sym_LPAREN,
    STATE(8188), 1,
      sym_arguments,
    STATE(6926), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351994] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [352035] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10804), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10802), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [352076] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9303), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [352117] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352158] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [352199] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4260), 1,
      sym__backquoted_id,
    STATE(6932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4256), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352240] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [352281] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352322] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9141), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [352363] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [352404] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11299), 1,
      anon_sym_with,
    STATE(6937), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [352447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9143), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [352488] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9139), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [352529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7416), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7414), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [352570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9323), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [352611] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9141), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [352652] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [352693] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [352734] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [352775] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9143), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [352816] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10571), 1,
      anon_sym_DOT,
    ACTIONS(11302), 1,
      anon_sym_EQ_GT,
    STATE(6947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [352861] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [352902] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10829), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10827), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [352943] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10893), 1,
      anon_sym_EQ_GT,
    STATE(6950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [352986] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [353027] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10220), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10222), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [353068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10014), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10016), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [353109] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9291), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [353150] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(6955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [353234] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11304), 1,
      anon_sym_COMMA,
    ACTIONS(11308), 1,
      anon_sym_RPAREN,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(17111), 1,
      aux_sym_case_class_pattern_repeat1,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2648), 3,
      anon_sym_COLON,
      anon_sym_match,
      anon_sym_EQ,
    ACTIONS(8410), 4,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [353301] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11312), 1,
      anon_sym_AT,
    STATE(8142), 1,
      sym_annotation,
    STATE(6958), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9203), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [353346] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9303), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [353387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [353428] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [353469] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9307), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [353510] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [353551] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10640), 1,
      anon_sym_DOT,
    ACTIONS(11315), 1,
      anon_sym_EQ_GT,
    STATE(6964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353596] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10229), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10231), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [353637] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353678] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4391), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(6967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [353723] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9309), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [353764] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [353805] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353846] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [353887] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11317), 1,
      anon_sym_with,
    STATE(6972), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [353930] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [353971] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1793), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(10266), 1,
      anon_sym_LPAREN,
    ACTIONS(11005), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(6974), 2,
      sym_comment,
      sym_block_comment,
    STATE(10358), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8997), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354026] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9321), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [354067] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10048), 1,
      anon_sym_AT,
    STATE(6411), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8315), 1,
      sym_annotation,
    STATE(6976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354114] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(11182), 1,
      anon_sym_LBRACE,
    ACTIONS(11184), 1,
      anon_sym_with,
    ACTIONS(11320), 1,
      anon_sym_COLON,
    STATE(7011), 1,
      aux_sym_compound_type_repeat1,
    STATE(10763), 1,
      sym__refinement,
    STATE(10995), 1,
      sym_template_body,
    ACTIONS(8636), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6977), 2,
      sym_comment,
      sym_block_comment,
    STATE(10849), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8638), 4,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354175] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9125), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [354216] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9835), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [354257] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9323), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [354339] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9785), 1,
      anon_sym_AT,
    STATE(6917), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8261), 1,
      sym_annotation,
    STATE(6982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354386] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11323), 1,
      anon_sym_DOT,
    STATE(6983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354429] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1517), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10321), 1,
      anon_sym_LPAREN,
    ACTIONS(11162), 1,
      anon_sym_DOT,
    ACTIONS(11325), 1,
      sym__alpha_identifier,
    ACTIONS(11329), 1,
      anon_sym_EQ,
    ACTIONS(11331), 1,
      sym__backquoted_id,
    ACTIONS(11333), 1,
      sym_operator_identifier,
    STATE(555), 1,
      sym_identifier,
    STATE(4241), 1,
      sym__soft_identifier,
    STATE(6984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    STATE(10088), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11327), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [354494] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9212), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [354535] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1643), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9422), 1,
      anon_sym_LPAREN,
    ACTIONS(10270), 1,
      anon_sym_DOT,
    ACTIONS(11335), 1,
      sym__alpha_identifier,
    ACTIONS(11339), 1,
      anon_sym_EQ,
    ACTIONS(11341), 1,
      sym__backquoted_id,
    ACTIONS(11343), 1,
      sym_operator_identifier,
    STATE(560), 1,
      sym_identifier,
    STATE(4257), 1,
      sym__soft_identifier,
    STATE(6986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
    STATE(9102), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(11337), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [354600] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9135), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [354641] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354682] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11345), 1,
      anon_sym_DOT,
    STATE(6989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [354725] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [354766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10746), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10744), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [354848] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [354889] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11347), 1,
      sym__backquoted_id,
    STATE(6994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7310), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354930] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11349), 1,
      anon_sym_DOT,
    STATE(6995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354973] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10950), 1,
      anon_sym_LBRACE,
    ACTIONS(10952), 1,
      anon_sym_with,
    STATE(7010), 1,
      aux_sym_compound_type_repeat1,
    STATE(9611), 1,
      sym_template_body,
    STATE(9627), 1,
      sym__refinement,
    STATE(6996), 2,
      sym_comment,
      sym_block_comment,
    STATE(9638), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355026] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10968), 1,
      anon_sym_LBRACE,
    ACTIONS(10970), 1,
      anon_sym_with,
    STATE(6862), 1,
      aux_sym_compound_type_repeat1,
    STATE(10951), 1,
      sym_template_body,
    STATE(10962), 1,
      sym__refinement,
    STATE(6997), 2,
      sym_comment,
      sym_block_comment,
    STATE(10781), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355079] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10277), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10279), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [355120] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [355161] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9283), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [355202] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10281), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10283), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [355243] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [355284] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [355325] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [355366] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11351), 1,
      anon_sym_COLON,
    ACTIONS(11354), 1,
      anon_sym_LBRACE,
    STATE(9306), 1,
      sym_template_body,
    STATE(7005), 2,
      sym_comment,
      sym_block_comment,
    STATE(8777), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9350), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9342), 14,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355415] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11357), 1,
      anon_sym_AT,
    STATE(8459), 1,
      sym_annotation,
    STATE(7006), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355460] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [355501] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355542] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355583] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10950), 1,
      anon_sym_LBRACE,
    ACTIONS(10952), 1,
      anon_sym_with,
    STATE(8163), 1,
      aux_sym_compound_type_repeat1,
    STATE(9611), 1,
      sym_template_body,
    STATE(9691), 1,
      sym__refinement,
    STATE(7010), 2,
      sym_comment,
      sym_block_comment,
    STATE(9638), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355636] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11182), 1,
      anon_sym_LBRACE,
    ACTIONS(11184), 1,
      anon_sym_with,
    STATE(9904), 1,
      aux_sym_compound_type_repeat1,
    STATE(10995), 1,
      sym_template_body,
    STATE(11063), 1,
      sym__refinement,
    STATE(7011), 2,
      sym_comment,
      sym_block_comment,
    STATE(10849), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8556), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [355689] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355730] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11360), 1,
      anon_sym_with,
    STATE(7013), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [355773] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1517), 1,
      anon_sym_LBRACE,
    ACTIONS(10321), 1,
      anon_sym_LPAREN,
    ACTIONS(11162), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(7014), 2,
      sym_comment,
      sym_block_comment,
    STATE(10088), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8949), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8947), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355826] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(7015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355869] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10014), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10016), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [355910] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10897), 1,
      anon_sym_LBRACK,
    ACTIONS(10901), 1,
      anon_sym_POUND,
    ACTIONS(11363), 1,
      anon_sym_AT,
    STATE(8058), 1,
      sym_type_arguments,
    STATE(8442), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9440), 1,
      sym_annotation,
    STATE(7017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355963] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [356004] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    ACTIONS(11023), 1,
      anon_sym_EQ,
    ACTIONS(11365), 1,
      anon_sym_COMMA,
    ACTIONS(11367), 1,
      anon_sym_RPAREN,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10605), 1,
      sym_interpolated_string,
    STATE(16953), 1,
      sym__interpolated_string_start,
    STATE(16955), 1,
      sym__interpolated_multiline_string_start,
    STATE(17111), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(7019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [356083] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10610), 1,
      anon_sym_DOT,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10614), 1,
      anon_sym_AT,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11792), 1,
      sym_interpolated_string,
    STATE(16742), 1,
      sym__interpolated_string_start,
    STATE(16744), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11369), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(7020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [356156] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [356197] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9976), 1,
      sym_interpolated_string,
    STATE(16745), 1,
      sym__interpolated_string_start,
    STATE(16746), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10710), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356250] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(7023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356293] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10432), 1,
      anon_sym_LBRACK,
    ACTIONS(10438), 1,
      anon_sym_POUND,
    ACTIONS(11373), 1,
      anon_sym_LPAREN,
    STATE(8540), 1,
      aux_sym_annotation_repeat1,
    STATE(9108), 1,
      sym_type_arguments,
    STATE(9796), 1,
      sym_arguments,
    STATE(7024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356346] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(9576), 1,
      anon_sym_LBRACE,
    ACTIONS(9578), 1,
      anon_sym_with,
    ACTIONS(11375), 1,
      anon_sym_COLON,
    STATE(7030), 1,
      aux_sym_compound_type_repeat1,
    STATE(7738), 1,
      sym_template_body,
    STATE(7739), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7025), 2,
      sym_comment,
      sym_block_comment,
    STATE(7144), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(8638), 3,
      anon_sym_case,
      anon_sym_as,
      anon_sym_EQ,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356407] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356448] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [356489] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [356530] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10950), 1,
      anon_sym_LBRACE,
    ACTIONS(10952), 1,
      anon_sym_with,
    ACTIONS(11225), 1,
      anon_sym_COLON,
    STATE(6813), 1,
      aux_sym_compound_type_repeat1,
    STATE(9611), 1,
      sym_template_body,
    STATE(9627), 1,
      sym__refinement,
    STATE(7029), 2,
      sym_comment,
      sym_block_comment,
    STATE(9638), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356585] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9576), 1,
      anon_sym_LBRACE,
    ACTIONS(9578), 1,
      anon_sym_with,
    STATE(6249), 1,
      aux_sym_compound_type_repeat1,
    STATE(7738), 1,
      sym_template_body,
    STATE(7752), 1,
      sym__refinement,
    STATE(7030), 2,
      sym_comment,
      sym_block_comment,
    STATE(7144), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356638] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11378), 1,
      anon_sym_AT,
    STATE(8441), 1,
      sym_annotation,
    STATE(7031), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356683] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11381), 1,
      anon_sym_DOT,
    STATE(7032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356726] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11383), 1,
      sym__backquoted_id,
    STATE(7033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7308), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356767] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [356808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [356849] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(7036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356892] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11227), 1,
      anon_sym_COLON,
    ACTIONS(11229), 1,
      anon_sym_LBRACE,
    ACTIONS(11231), 1,
      anon_sym_with,
    STATE(9801), 1,
      aux_sym_compound_type_repeat1,
    STATE(11136), 1,
      sym__refinement,
    STATE(11283), 1,
      sym_template_body,
    STATE(7037), 2,
      sym_comment,
      sym_block_comment,
    STATE(11274), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356947] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9160), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [356988] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9976), 1,
      anon_sym_LPAREN,
    STATE(7054), 1,
      aux_sym_annotation_repeat1,
    STATE(8177), 1,
      sym_arguments,
    STATE(7039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357035] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11385), 1,
      anon_sym_with,
    STATE(7040), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [357078] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10933), 1,
      anon_sym_EQ_GT,
    STATE(7041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357121] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [357162] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(7043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [357205] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357246] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [357287] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [357328] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10220), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10222), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [357369] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357410] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8264), 1,
      sym__backquoted_id,
    ACTIONS(10363), 1,
      anon_sym_LPAREN,
    ACTIONS(11388), 1,
      anon_sym_LBRACK,
    ACTIONS(11390), 1,
      anon_sym_POUND,
    STATE(9207), 1,
      sym_type_arguments,
    STATE(9277), 1,
      aux_sym_annotation_repeat1,
    STATE(10135), 1,
      sym_arguments,
    STATE(7049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8262), 19,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357463] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1517), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(10321), 1,
      anon_sym_LPAREN,
    ACTIONS(11162), 1,
      anon_sym_DOT,
    ACTIONS(11392), 1,
      sym_operator_identifier,
    STATE(1917), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(7050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9063), 3,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    STATE(10088), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [357528] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357569] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10760), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10758), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [357610] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [357651] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11394), 1,
      anon_sym_LPAREN,
    STATE(8177), 1,
      sym_arguments,
    STATE(7054), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357696] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [357737] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4258), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357778] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [357819] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(10961), 1,
      anon_sym_LBRACE,
    ACTIONS(10963), 1,
      anon_sym_with,
    ACTIONS(11397), 1,
      anon_sym_COLON,
    STATE(6355), 1,
      aux_sym_compound_type_repeat1,
    STATE(10884), 1,
      sym_template_body,
    STATE(10889), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7058), 2,
      sym_comment,
      sym_block_comment,
    STATE(10791), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(8638), 3,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357880] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [357921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357962] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10229), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10231), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [358003] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11400), 1,
      anon_sym_DOT,
    STATE(7062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [358046] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358087] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [358128] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [358210] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11402), 1,
      anon_sym_with,
    STATE(7067), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358253] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358294] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11238), 1,
      anon_sym_LBRACE,
    ACTIONS(11240), 1,
      anon_sym_with,
    STATE(7073), 1,
      aux_sym_compound_type_repeat1,
    STATE(10819), 1,
      sym_template_body,
    STATE(10823), 1,
      sym__refinement,
    STATE(7069), 2,
      sym_comment,
      sym_block_comment,
    STATE(10846), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358347] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [358388] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358429] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10939), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [358470] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11238), 1,
      anon_sym_LBRACE,
    ACTIONS(11240), 1,
      anon_sym_with,
    STATE(9575), 1,
      aux_sym_compound_type_repeat1,
    STATE(10819), 1,
      sym_template_body,
    STATE(10862), 1,
      sym__refinement,
    STATE(7073), 2,
      sym_comment,
      sym_block_comment,
    STATE(10846), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358523] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [358564] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358604] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [358644] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [358684] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10220), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10222), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [358724] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [358764] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [358804] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11405), 1,
      anon_sym_LPAREN,
    STATE(9397), 1,
      sym_arguments,
    STATE(7081), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358848] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [358888] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8447), 1,
      sym_arguments,
    STATE(7083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [358930] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10800), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10798), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [358970] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10804), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10802), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [359010] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [359050] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359090] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9574), 1,
      anon_sym_COLON,
    ACTIONS(9578), 1,
      anon_sym_with,
    STATE(6249), 1,
      aux_sym_compound_type_repeat1,
    STATE(7738), 1,
      sym_template_body,
    STATE(7752), 1,
      sym__refinement,
    STATE(7088), 2,
      sym_comment,
      sym_block_comment,
    STATE(7144), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359142] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11408), 1,
      anon_sym_LBRACE,
    ACTIONS(11410), 1,
      anon_sym_with,
    STATE(7650), 1,
      aux_sym_compound_type_repeat1,
    STATE(10547), 1,
      sym_template_body,
    STATE(10559), 1,
      sym__refinement,
    STATE(7089), 2,
      sym_comment,
      sym_block_comment,
    STATE(10600), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359194] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359234] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359274] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10229), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10231), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359314] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10649), 1,
      anon_sym_LPAREN,
    STATE(7096), 1,
      aux_sym_annotation_repeat1,
    STATE(9045), 1,
      sym_arguments,
    STATE(7093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359360] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [359400] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(7095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359442] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11412), 1,
      anon_sym_LPAREN,
    STATE(9045), 1,
      sym_arguments,
    STATE(7096), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359486] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(7097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359528] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359568] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [359608] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [359648] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359690] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [359730] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [359770] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [359810] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359850] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [359890] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359930] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359970] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360010] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2475), 1,
      anon_sym_LBRACE,
    ACTIONS(10567), 1,
      anon_sym_LPAREN,
    ACTIONS(11415), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(7110), 2,
      sym_comment,
      sym_block_comment,
    STATE(10635), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8949), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8947), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360062] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4258), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [360102] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10277), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10279), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [360142] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10281), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10283), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [360182] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11417), 1,
      anon_sym_AT,
    STATE(8981), 1,
      sym_annotation,
    STATE(7114), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360226] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2475), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(10567), 1,
      anon_sym_LPAREN,
    ACTIONS(11415), 1,
      anon_sym_DOT,
    ACTIONS(11420), 1,
      sym_operator_identifier,
    STATE(1952), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    ACTIONS(9063), 2,
      anon_sym_match,
      anon_sym_finally,
    STATE(7115), 2,
      sym_comment,
      sym_block_comment,
    STATE(10635), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [360290] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360330] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10598), 1,
      anon_sym_LPAREN,
    STATE(7124), 1,
      aux_sym_annotation_repeat1,
    STATE(9196), 1,
      sym_arguments,
    STATE(7117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360376] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8756), 1,
      anon_sym_AT,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10605), 1,
      sym_interpolated_string,
    STATE(16953), 1,
      sym__interpolated_string_start,
    STATE(16955), 1,
      sym__interpolated_multiline_string_start,
    STATE(7118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11013), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11011), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360436] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7288), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [360476] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(11408), 1,
      anon_sym_LBRACE,
    ACTIONS(11410), 1,
      anon_sym_with,
    ACTIONS(11422), 1,
      anon_sym_COLON,
    STATE(7650), 1,
      aux_sym_compound_type_repeat1,
    STATE(10547), 1,
      sym_template_body,
    STATE(10559), 1,
      sym__refinement,
    ACTIONS(8638), 2,
      anon_sym_as,
      anon_sym_EQ,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7120), 2,
      sym_comment,
      sym_block_comment,
    STATE(10600), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9139), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [360576] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9141), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [360616] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9143), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [360656] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11425), 1,
      anon_sym_LPAREN,
    STATE(9196), 1,
      sym_arguments,
    STATE(7124), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360700] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360740] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360820] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9160), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [360860] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360900] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360940] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360980] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2475), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(10567), 1,
      anon_sym_LPAREN,
    ACTIONS(11415), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(7132), 2,
      sym_comment,
      sym_block_comment,
    STATE(10635), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8997), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361034] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361074] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361114] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [361154] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361194] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361234] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361274] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361314] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [361354] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10605), 1,
      sym_interpolated_string,
    STATE(16953), 1,
      sym__interpolated_string_start,
    STATE(16955), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11369), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(11371), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(7141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [361426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361466] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361506] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [361546] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361586] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361626] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11428), 1,
      anon_sym_DOT,
    STATE(7147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361668] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361708] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [361748] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 8,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361794] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361834] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361874] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361914] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361954] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10545), 1,
      anon_sym_AT,
    STATE(7213), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9424), 1,
      sym_annotation,
    STATE(7155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362000] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11430), 1,
      anon_sym_LBRACE,
    ACTIONS(11432), 1,
      anon_sym_with,
    STATE(7678), 1,
      aux_sym_compound_type_repeat1,
    STATE(11171), 1,
      sym__refinement,
    STATE(11240), 1,
      sym_template_body,
    STATE(7156), 2,
      sym_comment,
      sym_block_comment,
    STATE(11163), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362052] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [362092] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362132] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7288), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [362172] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362212] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8756), 1,
      anon_sym_AT,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10605), 1,
      sym_interpolated_string,
    STATE(16953), 1,
      sym__interpolated_string_start,
    STATE(16955), 1,
      sym__interpolated_multiline_string_start,
    STATE(7161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10980), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10978), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [362312] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362352] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362392] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362432] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [362512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362552] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362592] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10952), 1,
      anon_sym_with,
    ACTIONS(11225), 1,
      anon_sym_COLON,
    STATE(7567), 1,
      aux_sym_compound_type_repeat1,
    STATE(9611), 1,
      sym_template_body,
    STATE(9627), 1,
      sym__refinement,
    STATE(7170), 2,
      sym_comment,
      sym_block_comment,
    STATE(9638), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362644] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4386), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(7171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [362688] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9293), 1,
      sym_operator_identifier,
    STATE(1935), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(7172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9063), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [362744] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [362784] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362824] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362864] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362904] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362944] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9518), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362986] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9835), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [363026] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9801), 1,
      anon_sym_LBRACK,
    ACTIONS(9805), 1,
      anon_sym_match,
    ACTIONS(10345), 1,
      anon_sym_LPAREN,
    ACTIONS(10954), 1,
      anon_sym_DOT,
    ACTIONS(11434), 1,
      sym__alpha_identifier,
    ACTIONS(11438), 1,
      sym__backquoted_id,
    ACTIONS(11440), 1,
      sym_operator_identifier,
    STATE(691), 1,
      sym_identifier,
    STATE(4271), 1,
      sym__soft_identifier,
    ACTIONS(9059), 2,
      anon_sym_COLON,
      anon_sym_if,
    STATE(7180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10170), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    STATE(10216), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(11436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [363092] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363132] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9924), 1,
      anon_sym_LPAREN,
    STATE(7186), 1,
      aux_sym_annotation_repeat1,
    STATE(9163), 1,
      sym_arguments,
    STATE(7182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363218] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363258] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9069), 1,
      sym_operator_identifier,
    STATE(1954), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(7185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9063), 8,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [363312] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11442), 1,
      anon_sym_LPAREN,
    STATE(9163), 1,
      sym_arguments,
    STATE(7186), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363356] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(11430), 1,
      anon_sym_LBRACE,
    ACTIONS(11432), 1,
      anon_sym_with,
    ACTIONS(11445), 1,
      anon_sym_COLON,
    STATE(7678), 1,
      aux_sym_compound_type_repeat1,
    STATE(11171), 1,
      sym__refinement,
    STATE(11240), 1,
      sym_template_body,
    ACTIONS(8638), 2,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7187), 2,
      sym_comment,
      sym_block_comment,
    STATE(11163), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363416] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4387), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(7188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [363460] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11448), 1,
      anon_sym_COLON,
    ACTIONS(11450), 1,
      anon_sym_COMMA,
    ACTIONS(11452), 1,
      anon_sym_EQ,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10605), 1,
      sym_interpolated_string,
    STATE(16953), 1,
      sym__interpolated_string_start,
    STATE(16955), 1,
      sym__interpolated_multiline_string_start,
    STATE(17051), 1,
      aux_sym_val_declaration_repeat1,
    STATE(7189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [363536] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11450), 1,
      anon_sym_COMMA,
    ACTIONS(11454), 1,
      anon_sym_COLON,
    ACTIONS(11456), 1,
      anon_sym_EQ,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10605), 1,
      sym_interpolated_string,
    STATE(16953), 1,
      sym__interpolated_string_start,
    STATE(16955), 1,
      sym__interpolated_multiline_string_start,
    STATE(17053), 1,
      aux_sym_val_declaration_repeat1,
    STATE(7190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [363612] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10361), 1,
      anon_sym_AT,
    STATE(7494), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8715), 1,
      sym_annotation,
    STATE(7191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9248), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [363658] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11458), 1,
      sym__alpha_identifier,
    ACTIONS(11460), 1,
      anon_sym__,
    ACTIONS(11464), 1,
      anon_sym_LPAREN,
    ACTIONS(11466), 1,
      sym__backquoted_id,
    ACTIONS(11468), 1,
      sym_operator_identifier,
    STATE(14349), 1,
      sym__simple_type,
    STATE(14786), 1,
      sym_identifier,
    STATE(14844), 1,
      sym__soft_identifier,
    STATE(15707), 1,
      sym__annotated_type,
    STATE(15772), 1,
      sym_annotated_type,
    STATE(18659), 1,
      sym_stable_identifier,
    STATE(7192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11462), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(15030), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [363720] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(11470), 1,
      anon_sym_COLON,
    ACTIONS(11472), 1,
      anon_sym_DOT,
    ACTIONS(11474), 1,
      anon_sym_STAR,
    ACTIONS(11476), 1,
      anon_sym_EQ_GT,
    ACTIONS(11478), 1,
      anon_sym_if,
    ACTIONS(11480), 1,
      anon_sym_AT,
    ACTIONS(11482), 1,
      anon_sym_PIPE,
    ACTIONS(11484), 1,
      sym_operator_identifier,
    STATE(4340), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(12387), 1,
      sym_interpolated_string,
    STATE(16054), 1,
      sym__interpolated_string_start,
    STATE(16057), 1,
      sym__interpolated_multiline_string_start,
    STATE(18996), 1,
      sym_guard,
    STATE(7193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [363796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363836] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8676), 1,
      sym__alpha_identifier,
    ACTIONS(8682), 1,
      anon_sym__,
    ACTIONS(8686), 1,
      anon_sym_LPAREN,
    ACTIONS(8688), 1,
      sym__backquoted_id,
    ACTIONS(8690), 1,
      sym_operator_identifier,
    STATE(4953), 1,
      sym__simple_type,
    STATE(5801), 1,
      sym__soft_identifier,
    STATE(5901), 1,
      sym_identifier,
    STATE(7368), 1,
      sym_annotated_type,
    STATE(7505), 1,
      sym__annotated_type,
    STATE(18984), 1,
      sym_stable_identifier,
    STATE(7195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8684), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6308), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [363898] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11490), 1,
      anon_sym_RBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(17367), 1,
      sym__type_parameter,
    STATE(17436), 1,
      sym__variant_type_parameter,
    STATE(7196), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [363968] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10102), 1,
      anon_sym_LPAREN,
    STATE(7202), 1,
      aux_sym_annotation_repeat1,
    STATE(9268), 1,
      sym_arguments,
    STATE(7197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8943), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364014] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11500), 1,
      anon_sym_DOT,
    STATE(7198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364056] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(10952), 1,
      anon_sym_with,
    ACTIONS(11225), 1,
      anon_sym_COLON,
    ACTIONS(11502), 1,
      anon_sym_LBRACE,
    STATE(7567), 1,
      aux_sym_compound_type_repeat1,
    STATE(9611), 1,
      sym_template_body,
    STATE(9627), 1,
      sym__refinement,
    ACTIONS(8638), 2,
      anon_sym_case,
      anon_sym_EQ,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7199), 2,
      sym_comment,
      sym_block_comment,
    STATE(9638), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364116] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(7200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8997), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [364162] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(11505), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(17367), 1,
      sym__type_parameter,
    STATE(17436), 1,
      sym__variant_type_parameter,
    STATE(7201), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [364232] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11507), 1,
      anon_sym_LPAREN,
    STATE(9268), 1,
      sym_arguments,
    STATE(7202), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8953), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364276] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [364316] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [364356] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [364396] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(11510), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(17367), 1,
      sym__type_parameter,
    STATE(17436), 1,
      sym__variant_type_parameter,
    STATE(7206), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [364466] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10220), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10222), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [364506] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364546] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(189), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9262), 1,
      anon_sym_LPAREN,
    ACTIONS(9614), 1,
      anon_sym_DOT,
    ACTIONS(10168), 1,
      sym__alpha_identifier,
    ACTIONS(10174), 1,
      sym__backquoted_id,
    ACTIONS(11512), 1,
      anon_sym_EQ,
    ACTIONS(11514), 1,
      sym_operator_identifier,
    STATE(617), 1,
      sym_identifier,
    STATE(4226), 1,
      sym__soft_identifier,
    ACTIONS(9805), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(7209), 2,
      sym_comment,
      sym_block_comment,
    STATE(8218), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10172), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [364610] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(11516), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(17367), 1,
      sym__type_parameter,
    STATE(17436), 1,
      sym__variant_type_parameter,
    STATE(7210), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [364680] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(189), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9262), 1,
      anon_sym_LPAREN,
    ACTIONS(9614), 1,
      anon_sym_DOT,
    ACTIONS(11518), 1,
      sym_operator_identifier,
    STATE(1950), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    ACTIONS(9063), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(7211), 2,
      sym_comment,
      sym_block_comment,
    STATE(8218), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [364744] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9160), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [364784] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11520), 1,
      anon_sym_AT,
    STATE(9424), 1,
      sym_annotation,
    STATE(7213), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364828] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    ACTIONS(11523), 1,
      anon_sym_EQ_GT,
    STATE(7214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [364872] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2475), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10567), 1,
      anon_sym_LPAREN,
    ACTIONS(11415), 1,
      anon_sym_DOT,
    ACTIONS(11525), 1,
      sym__alpha_identifier,
    ACTIONS(11529), 1,
      anon_sym_EQ,
    ACTIONS(11531), 1,
      sym__backquoted_id,
    ACTIONS(11533), 1,
      sym_operator_identifier,
    STATE(621), 1,
      sym_identifier,
    STATE(4267), 1,
      sym__soft_identifier,
    ACTIONS(9805), 2,
      anon_sym_match,
      anon_sym_finally,
    STATE(7215), 2,
      sym_comment,
      sym_block_comment,
    STATE(10635), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11527), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [364936] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9416), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [364978] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9133), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [365018] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365058] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10345), 1,
      anon_sym_LPAREN,
    ACTIONS(10954), 1,
      anon_sym_DOT,
    ACTIONS(11434), 1,
      sym__alpha_identifier,
    ACTIONS(11438), 1,
      sym__backquoted_id,
    ACTIONS(11535), 1,
      anon_sym_EQ,
    ACTIONS(11537), 1,
      sym_operator_identifier,
    STATE(625), 1,
      sym_identifier,
    STATE(4271), 1,
      sym__soft_identifier,
    ACTIONS(9805), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(7219), 2,
      sym_comment,
      sym_block_comment,
    STATE(10216), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [365122] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(10345), 1,
      anon_sym_LPAREN,
    ACTIONS(10954), 1,
      anon_sym_DOT,
    ACTIONS(11539), 1,
      sym_operator_identifier,
    STATE(1936), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    ACTIONS(9063), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(7220), 2,
      sym_comment,
      sym_block_comment,
    STATE(10216), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [365186] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10229), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10231), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [365226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9133), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [365266] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11541), 1,
      anon_sym_COLON,
    ACTIONS(11543), 1,
      anon_sym_LBRACE,
    ACTIONS(11545), 1,
      anon_sym_with,
    STATE(7614), 1,
      aux_sym_compound_type_repeat1,
    STATE(11341), 1,
      sym_template_body,
    STATE(11343), 1,
      sym__refinement,
    STATE(7223), 2,
      sym_comment,
      sym_block_comment,
    STATE(11383), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365320] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9508), 1,
      sym_interpolated_string,
    STATE(16823), 1,
      sym__interpolated_string_start,
    STATE(16824), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11547), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [365372] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9121), 1,
      anon_sym_LPAREN,
    ACTIONS(9767), 1,
      anon_sym_DOT,
    ACTIONS(10841), 1,
      sym__alpha_identifier,
    ACTIONS(10847), 1,
      sym__backquoted_id,
    ACTIONS(10849), 1,
      sym_operator_identifier,
    ACTIONS(11549), 1,
      anon_sym_EQ,
    STATE(550), 1,
      sym_identifier,
    STATE(4218), 1,
      sym__soft_identifier,
    ACTIONS(9801), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(7225), 2,
      sym_comment,
      sym_block_comment,
    STATE(8110), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9805), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(10843), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [365436] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9426), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365478] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9428), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [365520] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9323), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [365560] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11450), 1,
      anon_sym_COMMA,
    ACTIONS(11551), 1,
      anon_sym_COLON,
    ACTIONS(11553), 1,
      anon_sym_EQ,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10605), 1,
      sym_interpolated_string,
    STATE(16515), 1,
      aux_sym_val_declaration_repeat1,
    STATE(16953), 1,
      sym__interpolated_string_start,
    STATE(16955), 1,
      sym__interpolated_multiline_string_start,
    STATE(7229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [365636] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11450), 1,
      anon_sym_COMMA,
    ACTIONS(11555), 1,
      anon_sym_COLON,
    ACTIONS(11557), 1,
      anon_sym_EQ,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10605), 1,
      sym_interpolated_string,
    STATE(16523), 1,
      aux_sym_val_declaration_repeat1,
    STATE(16953), 1,
      sym__interpolated_string_start,
    STATE(16955), 1,
      sym__interpolated_multiline_string_start,
    STATE(7230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [365712] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [365752] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(7648), 1,
      anon_sym_LPAREN,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(7711), 1,
      sym_annotated_type,
    STATE(7877), 1,
      sym__annotated_type,
    STATE(19114), 1,
      sym_stable_identifier,
    STATE(7232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [365814] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(11559), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(17367), 1,
      sym__type_parameter,
    STATE(17436), 1,
      sym__variant_type_parameter,
    STATE(7233), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [365884] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 7,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365930] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [365970] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(11561), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(17367), 1,
      sym__type_parameter,
    STATE(17436), 1,
      sym__variant_type_parameter,
    STATE(7236), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [366040] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [366080] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [366120] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366160] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7954), 1,
      sym__end_marker,
    STATE(7240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10376), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366202] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [366242] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [366282] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366322] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [366362] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366402] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9491), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366444] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [366484] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10345), 1,
      anon_sym_LPAREN,
    ACTIONS(10954), 1,
      anon_sym_DOT,
    ACTIONS(11434), 1,
      sym__alpha_identifier,
    ACTIONS(11438), 1,
      sym__backquoted_id,
    ACTIONS(11440), 1,
      sym_operator_identifier,
    ACTIONS(11563), 1,
      anon_sym_EQ,
    STATE(691), 1,
      sym_identifier,
    STATE(4271), 1,
      sym__soft_identifier,
    ACTIONS(9805), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(7248), 2,
      sym_comment,
      sym_block_comment,
    STATE(10216), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [366548] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366588] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9889), 1,
      anon_sym_type,
    STATE(7250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [366630] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11265), 1,
      anon_sym_LBRACK,
    ACTIONS(11271), 1,
      anon_sym_POUND,
    ACTIONS(11565), 1,
      anon_sym_LPAREN,
    STATE(9035), 1,
      aux_sym_annotation_repeat1,
    STATE(9640), 1,
      sym_type_arguments,
    STATE(10275), 1,
      sym_arguments,
    STATE(7251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8262), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366682] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8638), 1,
      anon_sym_else,
    ACTIONS(11541), 1,
      anon_sym_COLON,
    ACTIONS(11543), 1,
      anon_sym_LBRACE,
    ACTIONS(11545), 1,
      anon_sym_with,
    STATE(7614), 1,
      aux_sym_compound_type_repeat1,
    STATE(11341), 1,
      sym_template_body,
    STATE(11343), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7252), 2,
      sym_comment,
      sym_block_comment,
    STATE(11383), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366742] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(9508), 1,
      sym_interpolated_string,
    STATE(16823), 1,
      sym__interpolated_string_start,
    STATE(16824), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11567), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366794] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9121), 1,
      anon_sym_LPAREN,
    ACTIONS(9767), 1,
      anon_sym_DOT,
    ACTIONS(10841), 1,
      sym__alpha_identifier,
    ACTIONS(10847), 1,
      sym__backquoted_id,
    ACTIONS(10849), 1,
      sym_operator_identifier,
    ACTIONS(11569), 1,
      anon_sym_EQ,
    STATE(550), 1,
      sym_identifier,
    STATE(4218), 1,
      sym__soft_identifier,
    ACTIONS(9801), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(7254), 2,
      sym_comment,
      sym_block_comment,
    STATE(8110), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9805), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(10843), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [366858] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9493), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366900] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9675), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9673), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9671), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [366942] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366982] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11450), 1,
      anon_sym_COMMA,
    ACTIONS(11571), 1,
      anon_sym_COLON,
    ACTIONS(11573), 1,
      anon_sym_EQ,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10605), 1,
      sym_interpolated_string,
    STATE(16953), 1,
      sym__interpolated_string_start,
    STATE(16955), 1,
      sym__interpolated_multiline_string_start,
    STATE(17051), 1,
      aux_sym_val_declaration_repeat1,
    STATE(7258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [367058] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11450), 1,
      anon_sym_COMMA,
    ACTIONS(11575), 1,
      anon_sym_COLON,
    ACTIONS(11577), 1,
      anon_sym_EQ,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10605), 1,
      sym_interpolated_string,
    STATE(16953), 1,
      sym__interpolated_string_start,
    STATE(16955), 1,
      sym__interpolated_multiline_string_start,
    STATE(17053), 1,
      aux_sym_val_declaration_repeat1,
    STATE(7259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [367134] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10308), 1,
      anon_sym_LPAREN,
    STATE(7269), 1,
      aux_sym_annotation_repeat1,
    STATE(8882), 1,
      sym_arguments,
    STATE(7260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367180] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9105), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [367220] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8732), 1,
      sym__alpha_identifier,
    ACTIONS(8734), 1,
      anon_sym__,
    ACTIONS(8738), 1,
      anon_sym_LPAREN,
    ACTIONS(8740), 1,
      sym__backquoted_id,
    ACTIONS(8742), 1,
      sym_operator_identifier,
    STATE(5997), 1,
      sym__simple_type,
    STATE(8084), 1,
      sym__soft_identifier,
    STATE(8559), 1,
      sym_identifier,
    STATE(9620), 1,
      sym_annotated_type,
    STATE(9843), 1,
      sym__annotated_type,
    STATE(19285), 1,
      sym_stable_identifier,
    STATE(7262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8736), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7996), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [367282] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367322] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(11579), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(17367), 1,
      sym__type_parameter,
    STATE(17436), 1,
      sym__variant_type_parameter,
    STATE(7264), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [367392] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367432] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [367472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367512] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(11581), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(17367), 1,
      sym__type_parameter,
    STATE(17436), 1,
      sym__variant_type_parameter,
    STATE(7268), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [367582] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11583), 1,
      anon_sym_LPAREN,
    STATE(8882), 1,
      sym_arguments,
    STATE(7269), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367626] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367666] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9109), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [367706] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367746] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367826] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [367866] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367906] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8983), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [367946] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367986] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368026] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368066] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368106] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10671), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [368146] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368186] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [368226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368266] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11450), 1,
      anon_sym_COMMA,
    ACTIONS(11586), 1,
      anon_sym_COLON,
    ACTIONS(11588), 1,
      anon_sym_EQ,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10605), 1,
      sym_interpolated_string,
    STATE(16515), 1,
      aux_sym_val_declaration_repeat1,
    STATE(16953), 1,
      sym__interpolated_string_start,
    STATE(16955), 1,
      sym__interpolated_multiline_string_start,
    STATE(7286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [368342] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11450), 1,
      anon_sym_COMMA,
    ACTIONS(11590), 1,
      anon_sym_COLON,
    ACTIONS(11592), 1,
      anon_sym_EQ,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10605), 1,
      sym_interpolated_string,
    STATE(16523), 1,
      aux_sym_val_declaration_repeat1,
    STATE(16953), 1,
      sym__interpolated_string_start,
    STATE(16955), 1,
      sym__interpolated_multiline_string_start,
    STATE(7287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [368418] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6412), 1,
      sym__alpha_identifier,
    ACTIONS(6418), 1,
      anon_sym__,
    ACTIONS(6426), 1,
      sym__backquoted_id,
    ACTIONS(6428), 1,
      sym_operator_identifier,
    ACTIONS(8032), 1,
      anon_sym_LPAREN,
    STATE(6300), 1,
      sym__simple_type,
    STATE(6354), 1,
      sym_identifier,
    STATE(6890), 1,
      sym__soft_identifier,
    STATE(9994), 1,
      sym__annotated_type,
    STATE(10256), 1,
      sym_annotated_type,
    STATE(19353), 1,
      sym_stable_identifier,
    STATE(7288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6422), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7457), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [368480] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(11594), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(17367), 1,
      sym__type_parameter,
    STATE(17436), 1,
      sym__variant_type_parameter,
    STATE(7289), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [368550] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10277), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10279), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [368590] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10281), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10283), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [368630] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(11596), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(17367), 1,
      sym__type_parameter,
    STATE(17436), 1,
      sym__variant_type_parameter,
    STATE(7292), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [368700] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368740] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10690), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10688), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [368780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368820] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368860] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10746), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10744), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [368900] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368940] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10760), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10758), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [368980] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8781), 1,
      sym__alpha_identifier,
    ACTIONS(8783), 1,
      anon_sym__,
    ACTIONS(8787), 1,
      anon_sym_LPAREN,
    ACTIONS(8789), 1,
      sym__backquoted_id,
    ACTIONS(8791), 1,
      sym_operator_identifier,
    STATE(6180), 1,
      sym__simple_type,
    STATE(8260), 1,
      sym_identifier,
    STATE(8454), 1,
      sym__soft_identifier,
    STATE(9672), 1,
      sym_annotated_type,
    STATE(9913), 1,
      sym__annotated_type,
    STATE(19415), 1,
      sym_stable_identifier,
    STATE(7300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8785), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7955), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [369042] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(11598), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(17367), 1,
      sym__type_parameter,
    STATE(17436), 1,
      sym__variant_type_parameter,
    STATE(7301), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [369112] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369152] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369192] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10774), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10772), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [369232] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(11600), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(17367), 1,
      sym__type_parameter,
    STATE(17436), 1,
      sym__variant_type_parameter,
    STATE(7305), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [369302] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10796), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10794), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [369342] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10014), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10016), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [369382] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [369422] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369462] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369502] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6634), 1,
      sym__alpha_identifier,
    ACTIONS(6640), 1,
      anon_sym__,
    ACTIONS(6648), 1,
      sym__backquoted_id,
    ACTIONS(6650), 1,
      sym_operator_identifier,
    ACTIONS(8052), 1,
      anon_sym_LPAREN,
    STATE(5952), 1,
      sym__simple_type,
    STATE(6655), 1,
      sym__soft_identifier,
    STATE(6914), 1,
      sym_identifier,
    STATE(9996), 1,
      sym_annotated_type,
    STATE(10172), 1,
      sym__annotated_type,
    STATE(19535), 1,
      sym_stable_identifier,
    STATE(7311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6644), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7691), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [369564] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369604] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10810), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10808), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [369644] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10829), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10827), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [369684] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11277), 1,
      anon_sym_LBRACK,
    ACTIONS(11281), 1,
      anon_sym_POUND,
    ACTIONS(11602), 1,
      anon_sym_AT,
    STATE(8794), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8962), 1,
      sym_type_arguments,
    STATE(10326), 1,
      sym_annotation,
    STATE(7315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369736] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [369776] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [369816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10853), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10851), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [369856] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10857), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10855), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [369896] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [369936] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [369976] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(6986), 1,
      sym_operator_identifier,
    ACTIONS(8062), 1,
      anon_sym_LPAREN,
    STATE(7795), 1,
      sym__simple_type,
    STATE(8002), 1,
      sym__soft_identifier,
    STATE(8453), 1,
      sym_identifier,
    STATE(10521), 1,
      sym__annotated_type,
    STATE(10589), 1,
      sym_annotated_type,
    STATE(17798), 1,
      sym_stable_identifier,
    STATE(7322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9256), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [370038] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370078] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [370118] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10220), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10222), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [370158] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 25,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [370196] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10907), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10905), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [370236] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10911), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10909), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [370276] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9139), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [370316] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8394), 1,
      sym__alpha_identifier,
    ACTIONS(8400), 1,
      anon_sym__,
    ACTIONS(8404), 1,
      anon_sym_LPAREN,
    ACTIONS(8406), 1,
      sym__backquoted_id,
    ACTIONS(8408), 1,
      sym_operator_identifier,
    STATE(13257), 1,
      sym__simple_type,
    STATE(14225), 1,
      sym__soft_identifier,
    STATE(14366), 1,
      sym_identifier,
    STATE(15115), 1,
      sym__annotated_type,
    STATE(15263), 1,
      sym_annotated_type,
    STATE(18465), 1,
      sym_stable_identifier,
    STATE(7330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(14501), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [370378] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [370418] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370458] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370498] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10229), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10231), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [370538] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10937), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10935), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [370578] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9141), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [370618] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8813), 1,
      sym__alpha_identifier,
    ACTIONS(8819), 1,
      anon_sym__,
    ACTIONS(8823), 1,
      anon_sym_LPAREN,
    ACTIONS(8825), 1,
      sym__backquoted_id,
    ACTIONS(8827), 1,
      sym_operator_identifier,
    STATE(4689), 1,
      sym__simple_type,
    STATE(5043), 1,
      sym_identifier,
    STATE(5236), 1,
      sym__soft_identifier,
    STATE(6295), 1,
      sym_annotated_type,
    STATE(6323), 1,
      sym__annotated_type,
    STATE(17771), 1,
      sym_stable_identifier,
    STATE(7337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8821), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5233), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [370680] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10402), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10400), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [370720] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [370760] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370800] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9143), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [370840] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9105), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [370880] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8609), 1,
      sym__end_marker,
    STATE(7343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10376), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [370922] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [370962] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371002] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9109), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [371042] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4564), 1,
      sym__alpha_identifier,
    ACTIONS(4566), 1,
      anon_sym__,
    ACTIONS(4576), 1,
      sym__backquoted_id,
    ACTIONS(7020), 1,
      sym_operator_identifier,
    ACTIONS(8072), 1,
      anon_sym_LPAREN,
    STATE(4896), 1,
      sym__simple_type,
    STATE(5119), 1,
      sym__soft_identifier,
    STATE(5265), 1,
      sym_identifier,
    STATE(7911), 1,
      sym_annotated_type,
    STATE(7949), 1,
      sym__annotated_type,
    STATE(17908), 1,
      sym_stable_identifier,
    STATE(7347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4572), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5566), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [371104] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9799), 1,
      sym__alpha_identifier,
    ACTIONS(9809), 1,
      sym__backquoted_id,
    ACTIONS(9811), 1,
      sym_operator_identifier,
    STATE(540), 1,
      sym_identifier,
    STATE(4172), 1,
      sym__soft_identifier,
    STATE(7348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9803), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9805), 8,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [371158] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10671), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [371198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371238] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8983), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [371278] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371318] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11450), 1,
      anon_sym_COMMA,
    ACTIONS(11604), 1,
      anon_sym_COLON,
    ACTIONS(11606), 1,
      anon_sym_EQ,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10605), 1,
      sym_interpolated_string,
    STATE(16953), 1,
      sym__interpolated_string_start,
    STATE(16955), 1,
      sym__interpolated_multiline_string_start,
    STATE(17108), 1,
      aux_sym_val_declaration_repeat1,
    STATE(7353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [371394] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10690), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10688), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [371434] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8300), 1,
      sym__alpha_identifier,
    ACTIONS(8306), 1,
      anon_sym__,
    ACTIONS(8310), 1,
      anon_sym_LPAREN,
    ACTIONS(8312), 1,
      sym__backquoted_id,
    ACTIONS(8314), 1,
      sym_operator_identifier,
    STATE(11420), 1,
      sym__simple_type,
    STATE(11860), 1,
      sym_identifier,
    STATE(11917), 1,
      sym__soft_identifier,
    STATE(13718), 1,
      sym_annotated_type,
    STATE(13930), 1,
      sym__annotated_type,
    STATE(18063), 1,
      sym_stable_identifier,
    STATE(7355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8308), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12347), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [371496] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10746), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10744), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [371536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10760), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10758), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [371576] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 25,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [371614] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10774), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10772), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [371654] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(7360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371696] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11608), 1,
      anon_sym_with,
    STATE(7361), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [371738] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(8082), 1,
      anon_sym_LPAREN,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5743), 1,
      sym__simple_type,
    STATE(6174), 1,
      sym_identifier,
    STATE(9116), 1,
      sym_annotated_type,
    STATE(9346), 1,
      sym__annotated_type,
    STATE(18445), 1,
      sym_stable_identifier,
    STATE(7362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [371800] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10796), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10794), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [371840] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10014), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10016), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [371880] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9133), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [371920] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10810), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10808), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [371960] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6514), 1,
      sym__alpha_identifier,
    ACTIONS(6516), 1,
      anon_sym__,
    ACTIONS(6524), 1,
      sym__backquoted_id,
    ACTIONS(6526), 1,
      sym_operator_identifier,
    ACTIONS(8108), 1,
      anon_sym_LPAREN,
    STATE(8360), 1,
      sym__simple_type,
    STATE(9171), 1,
      sym_identifier,
    STATE(9211), 1,
      sym__soft_identifier,
    STATE(11182), 1,
      sym_annotated_type,
    STATE(11294), 1,
      sym__annotated_type,
    STATE(18813), 1,
      sym_stable_identifier,
    STATE(7367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6520), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9592), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [372022] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [372062] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10829), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10827), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372102] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8172), 1,
      sym_arguments,
    STATE(7370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [372144] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10853), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10851), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372184] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10857), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10855), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372224] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11302), 1,
      anon_sym_EQ_GT,
    STATE(7373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9291), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372266] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372306] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372346] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 25,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [372384] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372424] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372464] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(7379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372506] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11611), 1,
      anon_sym_with,
    STATE(7380), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9647), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372548] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6588), 1,
      sym__alpha_identifier,
    ACTIONS(6590), 1,
      anon_sym__,
    ACTIONS(6598), 1,
      sym__backquoted_id,
    ACTIONS(6600), 1,
      sym_operator_identifier,
    ACTIONS(8138), 1,
      anon_sym_LPAREN,
    STATE(7642), 1,
      sym__simple_type,
    STATE(7994), 1,
      sym_identifier,
    STATE(8617), 1,
      sym__soft_identifier,
    STATE(10935), 1,
      sym_annotated_type,
    STATE(11052), 1,
      sym__annotated_type,
    STATE(18936), 1,
      sym_stable_identifier,
    STATE(7381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8780), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [372610] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9323), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372690] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10907), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10905), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372730] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10911), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10909), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372770] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372810] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8829), 1,
      sym__alpha_identifier,
    ACTIONS(8831), 1,
      anon_sym__,
    ACTIONS(8835), 1,
      anon_sym_LPAREN,
    ACTIONS(8837), 1,
      sym__backquoted_id,
    ACTIONS(8839), 1,
      sym_operator_identifier,
    STATE(5117), 1,
      sym__simple_type,
    STATE(6697), 1,
      sym__soft_identifier,
    STATE(6989), 1,
      sym_identifier,
    STATE(7985), 1,
      sym_annotated_type,
    STATE(8576), 1,
      sym__annotated_type,
    STATE(19127), 1,
      sym_stable_identifier,
    STATE(7387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8833), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6763), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [372872] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11614), 1,
      anon_sym_DOT,
    STATE(7388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372914] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7288), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [372954] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10937), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10935), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372994] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10402), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10400), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [373034] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8853), 1,
      sym__alpha_identifier,
    ACTIONS(8855), 1,
      anon_sym__,
    ACTIONS(8859), 1,
      anon_sym_LPAREN,
    ACTIONS(8861), 1,
      sym__backquoted_id,
    ACTIONS(8863), 1,
      sym_operator_identifier,
    STATE(6049), 1,
      sym__simple_type,
    STATE(8238), 1,
      sym_identifier,
    STATE(8317), 1,
      sym__soft_identifier,
    STATE(9591), 1,
      sym_annotated_type,
    STATE(9780), 1,
      sym__annotated_type,
    STATE(18785), 1,
      sym_stable_identifier,
    STATE(7392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8857), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8092), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [373096] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373138] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8865), 1,
      sym__alpha_identifier,
    ACTIONS(8867), 1,
      anon_sym__,
    ACTIONS(8871), 1,
      anon_sym_LPAREN,
    ACTIONS(8873), 1,
      sym__backquoted_id,
    ACTIONS(8875), 1,
      sym_operator_identifier,
    STATE(6858), 1,
      sym__simple_type,
    STATE(8782), 1,
      sym_identifier,
    STATE(8836), 1,
      sym__soft_identifier,
    STATE(10006), 1,
      sym_annotated_type,
    STATE(10047), 1,
      sym__annotated_type,
    STATE(17800), 1,
      sym_stable_identifier,
    STATE(7394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8869), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9088), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [373200] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11616), 1,
      anon_sym_COLON,
    ACTIONS(11619), 1,
      anon_sym_LBRACE,
    STATE(9766), 1,
      sym_template_body,
    STATE(7395), 2,
      sym_comment,
      sym_block_comment,
    STATE(9729), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9350), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9342), 14,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [373248] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4530), 1,
      sym__alpha_identifier,
    ACTIONS(4536), 1,
      anon_sym__,
    ACTIONS(4548), 1,
      sym__backquoted_id,
    ACTIONS(6682), 1,
      sym_operator_identifier,
    ACTIONS(8148), 1,
      anon_sym_LPAREN,
    STATE(6272), 1,
      sym__simple_type,
    STATE(6552), 1,
      sym__soft_identifier,
    STATE(6995), 1,
      sym_identifier,
    STATE(9574), 1,
      sym__annotated_type,
    STATE(9784), 1,
      sym_annotated_type,
    STATE(17830), 1,
      sym_stable_identifier,
    STATE(7396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4542), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7733), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [373310] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11450), 1,
      anon_sym_COMMA,
    ACTIONS(11622), 1,
      anon_sym_COLON,
    ACTIONS(11624), 1,
      anon_sym_EQ,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10605), 1,
      sym_interpolated_string,
    STATE(16953), 1,
      sym__interpolated_string_start,
    STATE(16955), 1,
      sym__interpolated_multiline_string_start,
    STATE(17317), 1,
      aux_sym_val_declaration_repeat1,
    STATE(7397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [373386] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(7398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373428] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(10345), 1,
      anon_sym_LPAREN,
    ACTIONS(10954), 1,
      anon_sym_DOT,
    ACTIONS(11626), 1,
      sym_operator_identifier,
    STATE(1941), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    ACTIONS(9063), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(7399), 2,
      sym_comment,
      sym_block_comment,
    STATE(10216), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [373492] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    ACTIONS(8012), 1,
      anon_sym_LPAREN,
    STATE(6782), 1,
      sym__simple_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(10078), 1,
      sym_annotated_type,
    STATE(10137), 1,
      sym__annotated_type,
    STATE(17859), 1,
      sym_stable_identifier,
    STATE(7400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [373554] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7416), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7414), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [373594] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11177), 1,
      anon_sym_EQ_GT,
    STATE(7402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373636] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6738), 1,
      sym__alpha_identifier,
    ACTIONS(6740), 1,
      anon_sym__,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(6750), 1,
      sym_operator_identifier,
    ACTIONS(7798), 1,
      anon_sym_LPAREN,
    STATE(6406), 1,
      sym__simple_type,
    STATE(7627), 1,
      sym_identifier,
    STATE(7645), 1,
      sym__soft_identifier,
    STATE(10520), 1,
      sym__annotated_type,
    STATE(10603), 1,
      sym_annotated_type,
    STATE(17885), 1,
      sym_stable_identifier,
    STATE(7403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8393), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [373698] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373738] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9139), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373778] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10319), 1,
      anon_sym_AT,
    STATE(7706), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9064), 1,
      sym_annotation,
    STATE(7406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373824] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [373864] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6776), 1,
      sym__alpha_identifier,
    ACTIONS(6782), 1,
      anon_sym__,
    ACTIONS(6790), 1,
      sym__backquoted_id,
    ACTIONS(6792), 1,
      sym_operator_identifier,
    ACTIONS(8022), 1,
      anon_sym_LPAREN,
    STATE(6311), 1,
      sym__simple_type,
    STATE(6632), 1,
      sym__soft_identifier,
    STATE(6764), 1,
      sym_identifier,
    STATE(9959), 1,
      sym_annotated_type,
    STATE(10173), 1,
      sym__annotated_type,
    STATE(17910), 1,
      sym_stable_identifier,
    STATE(7408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6786), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7852), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [373926] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [373966] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9141), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [374046] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8877), 1,
      sym__alpha_identifier,
    ACTIONS(8883), 1,
      anon_sym__,
    ACTIONS(8887), 1,
      anon_sym_LPAREN,
    ACTIONS(8889), 1,
      sym__backquoted_id,
    ACTIONS(8891), 1,
      sym_operator_identifier,
    STATE(4742), 1,
      sym__simple_type,
    STATE(5693), 1,
      sym_identifier,
    STATE(5773), 1,
      sym__soft_identifier,
    STATE(6700), 1,
      sym__annotated_type,
    STATE(6847), 1,
      sym_annotated_type,
    STATE(17960), 1,
      sym_stable_identifier,
    STATE(7412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8885), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5782), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [374108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [374148] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9143), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9160), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [374228] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11139), 1,
      anon_sym_DOT,
    ACTIONS(11628), 1,
      anon_sym_EQ_GT,
    STATE(7416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374272] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym__,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(6888), 1,
      sym_operator_identifier,
    ACTIONS(7768), 1,
      anon_sym_LPAREN,
    STATE(4653), 1,
      sym__simple_type,
    STATE(4757), 1,
      sym__soft_identifier,
    STATE(4760), 1,
      sym_identifier,
    STATE(6219), 1,
      sym__annotated_type,
    STATE(6258), 1,
      sym_annotated_type,
    STATE(17983), 1,
      sym_stable_identifier,
    STATE(7417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4952), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4915), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [374334] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11630), 1,
      anon_sym_with,
    STATE(7418), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374376] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(11081), 1,
      anon_sym_LBRACE,
    ACTIONS(11083), 1,
      anon_sym_with,
    ACTIONS(11633), 1,
      anon_sym_COLON,
    STATE(6604), 1,
      aux_sym_compound_type_repeat1,
    STATE(10800), 1,
      sym_template_body,
    STATE(10834), 1,
      sym__refinement,
    ACTIONS(8636), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7419), 2,
      sym_comment,
      sym_block_comment,
    STATE(10881), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8638), 3,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374436] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374476] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9283), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [374516] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11636), 1,
      anon_sym_COLON,
    ACTIONS(11638), 1,
      anon_sym_LBRACE,
    ACTIONS(11640), 1,
      anon_sym_with,
    STATE(7736), 1,
      aux_sym_compound_type_repeat1,
    STATE(11402), 1,
      sym_template_body,
    STATE(11403), 1,
      sym__refinement,
    STATE(7422), 2,
      sym_comment,
      sym_block_comment,
    STATE(11451), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374570] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8523), 1,
      sym__end_marker,
    STATE(7423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10376), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [374612] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    ACTIONS(7808), 1,
      anon_sym_LPAREN,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4745), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(6872), 1,
      sym__annotated_type,
    STATE(6943), 1,
      sym_annotated_type,
    STATE(18006), 1,
      sym_stable_identifier,
    STATE(7424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [374674] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374714] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11642), 1,
      anon_sym_COLON,
    ACTIONS(11645), 1,
      anon_sym_LBRACE,
    STATE(9868), 1,
      sym_template_body,
    STATE(7426), 2,
      sym_comment,
      sym_block_comment,
    STATE(9447), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9350), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9342), 13,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374762] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10684), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10682), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [374802] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6684), 1,
      sym__alpha_identifier,
    ACTIONS(6686), 1,
      anon_sym__,
    ACTIONS(6694), 1,
      sym__backquoted_id,
    ACTIONS(6696), 1,
      sym_operator_identifier,
    ACTIONS(8042), 1,
      anon_sym_LPAREN,
    STATE(6170), 1,
      sym__simple_type,
    STATE(6983), 1,
      sym_identifier,
    STATE(6988), 1,
      sym__soft_identifier,
    STATE(10110), 1,
      sym__annotated_type,
    STATE(10181), 1,
      sym_annotated_type,
    STATE(18029), 1,
      sym_stable_identifier,
    STATE(7428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6690), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7146), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [374864] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10694), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10692), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [374904] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10889), 1,
      anon_sym_LPAREN,
    STATE(7432), 1,
      aux_sym_annotation_repeat1,
    STATE(8686), 1,
      sym_arguments,
    STATE(7430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374950] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6926), 1,
      sym__alpha_identifier,
    ACTIONS(6932), 1,
      anon_sym__,
    ACTIONS(6940), 1,
      sym__backquoted_id,
    ACTIONS(6942), 1,
      sym_operator_identifier,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    STATE(5725), 1,
      sym__simple_type,
    STATE(6312), 1,
      sym_identifier,
    STATE(6321), 1,
      sym__soft_identifier,
    STATE(9658), 1,
      sym__annotated_type,
    STATE(9779), 1,
      sym_annotated_type,
    STATE(18052), 1,
      sym_stable_identifier,
    STATE(7431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6936), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6768), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [375012] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11648), 1,
      anon_sym_LPAREN,
    STATE(8686), 1,
      sym_arguments,
    STATE(7432), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375056] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7416), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7414), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [375096] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8907), 1,
      sym__alpha_identifier,
    ACTIONS(8909), 1,
      anon_sym__,
    ACTIONS(8913), 1,
      anon_sym_LPAREN,
    ACTIONS(8915), 1,
      sym__backquoted_id,
    ACTIONS(8917), 1,
      sym_operator_identifier,
    STATE(5091), 1,
      sym__simple_type,
    STATE(6371), 1,
      sym__soft_identifier,
    STATE(7062), 1,
      sym_identifier,
    STATE(8488), 1,
      sym__annotated_type,
    STATE(8561), 1,
      sym_annotated_type,
    STATE(18075), 1,
      sym_stable_identifier,
    STATE(7434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8911), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6839), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [375158] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10782), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10780), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [375198] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4338), 1,
      sym__alpha_identifier,
    ACTIONS(4344), 1,
      anon_sym__,
    ACTIONS(4356), 1,
      sym__backquoted_id,
    ACTIONS(6476), 1,
      sym_operator_identifier,
    ACTIONS(8118), 1,
      anon_sym_LPAREN,
    STATE(5208), 1,
      sym__simple_type,
    STATE(5377), 1,
      sym__soft_identifier,
    STATE(5681), 1,
      sym_identifier,
    STATE(8542), 1,
      sym__annotated_type,
    STATE(8606), 1,
      sym_annotated_type,
    STATE(18098), 1,
      sym_stable_identifier,
    STATE(7436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4350), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5873), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [375260] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11651), 1,
      anon_sym_DOT,
    STATE(7437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375302] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10800), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10798), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [375342] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8638), 1,
      anon_sym_finally,
    ACTIONS(11636), 1,
      anon_sym_COLON,
    ACTIONS(11638), 1,
      anon_sym_LBRACE,
    ACTIONS(11640), 1,
      anon_sym_with,
    STATE(7736), 1,
      aux_sym_compound_type_repeat1,
    STATE(11402), 1,
      sym_template_body,
    STATE(11403), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7439), 2,
      sym_comment,
      sym_block_comment,
    STATE(11451), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375402] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10804), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10802), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [375442] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [375482] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8919), 1,
      sym__alpha_identifier,
    ACTIONS(8921), 1,
      anon_sym__,
    ACTIONS(8925), 1,
      anon_sym_LPAREN,
    ACTIONS(8927), 1,
      sym__backquoted_id,
    ACTIONS(8929), 1,
      sym_operator_identifier,
    STATE(5213), 1,
      sym__simple_type,
    STATE(6512), 1,
      sym__soft_identifier,
    STATE(6556), 1,
      sym_identifier,
    STATE(8096), 1,
      sym_annotated_type,
    STATE(8584), 1,
      sym__annotated_type,
    STATE(18121), 1,
      sym_stable_identifier,
    STATE(7442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8923), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6863), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [375544] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375584] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9283), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [375624] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4500), 1,
      sym__alpha_identifier,
    ACTIONS(4506), 1,
      anon_sym__,
    ACTIONS(4518), 1,
      sym__backquoted_id,
    ACTIONS(6766), 1,
      sym_operator_identifier,
    ACTIONS(8128), 1,
      anon_sym_LPAREN,
    STATE(5927), 1,
      sym__simple_type,
    STATE(6705), 1,
      sym_identifier,
    STATE(6913), 1,
      sym__soft_identifier,
    STATE(9528), 1,
      sym_annotated_type,
    STATE(9929), 1,
      sym__annotated_type,
    STATE(18142), 1,
      sym_stable_identifier,
    STATE(7445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4512), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7249), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [375686] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375726] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375766] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9817), 1,
      anon_sym_LPAREN,
    ACTIONS(10602), 1,
      anon_sym_DOT,
    ACTIONS(11657), 1,
      sym__alpha_identifier,
    ACTIONS(11661), 1,
      anon_sym_EQ,
    ACTIONS(11663), 1,
      sym__backquoted_id,
    ACTIONS(11665), 1,
      sym_operator_identifier,
    STATE(624), 1,
      sym_identifier,
    STATE(4270), 1,
      sym__soft_identifier,
    STATE(7448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(9805), 3,
      anon_sym_match,
      anon_sym_then,
      anon_sym_finally,
    STATE(9742), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(11659), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [375830] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8624), 1,
      sym__alpha_identifier,
    ACTIONS(8626), 1,
      anon_sym__,
    ACTIONS(8630), 1,
      anon_sym_LPAREN,
    ACTIONS(8632), 1,
      sym__backquoted_id,
    ACTIONS(8634), 1,
      sym_operator_identifier,
    STATE(5528), 1,
      sym__simple_type,
    STATE(7147), 1,
      sym_identifier,
    STATE(7815), 1,
      sym__soft_identifier,
    STATE(9083), 1,
      sym_annotated_type,
    STATE(9363), 1,
      sym__annotated_type,
    STATE(18164), 1,
      sym_stable_identifier,
    STATE(7449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8628), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7283), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [375892] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375932] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [375972] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2403), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10436), 1,
      anon_sym_LPAREN,
    ACTIONS(11667), 1,
      sym__alpha_identifier,
    ACTIONS(11669), 1,
      anon_sym_DOT,
    ACTIONS(11673), 1,
      anon_sym_EQ,
    ACTIONS(11675), 1,
      sym__backquoted_id,
    ACTIONS(11677), 1,
      sym_operator_identifier,
    STATE(616), 1,
      sym_identifier,
    STATE(4261), 1,
      sym__soft_identifier,
    ACTIONS(9805), 2,
      anon_sym_match,
      anon_sym_else,
    STATE(7452), 2,
      sym_comment,
      sym_block_comment,
    STATE(10511), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11671), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [376036] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4670), 1,
      sym__alpha_identifier,
    ACTIONS(4676), 1,
      anon_sym__,
    ACTIONS(4688), 1,
      sym__backquoted_id,
    ACTIONS(6440), 1,
      sym_operator_identifier,
    ACTIONS(7558), 1,
      anon_sym_LPAREN,
    STATE(6600), 1,
      sym__simple_type,
    STATE(7686), 1,
      sym_identifier,
    STATE(7831), 1,
      sym__soft_identifier,
    STATE(10118), 1,
      sym_annotated_type,
    STATE(10189), 1,
      sym__annotated_type,
    STATE(18186), 1,
      sym_stable_identifier,
    STATE(7453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4682), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8270), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [376098] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10684), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10682), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [376138] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8612), 1,
      sym__alpha_identifier,
    ACTIONS(8614), 1,
      anon_sym__,
    ACTIONS(8618), 1,
      anon_sym_LPAREN,
    ACTIONS(8620), 1,
      sym__backquoted_id,
    ACTIONS(8622), 1,
      sym_operator_identifier,
    STATE(6807), 1,
      sym__simple_type,
    STATE(9099), 1,
      sym_identifier,
    STATE(9327), 1,
      sym__soft_identifier,
    STATE(10048), 1,
      sym__annotated_type,
    STATE(10072), 1,
      sym_annotated_type,
    STATE(18208), 1,
      sym_stable_identifier,
    STATE(7455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8616), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9084), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [376200] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10694), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10692), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [376240] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9291), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [376280] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2403), 1,
      anon_sym_LBRACE,
    ACTIONS(10436), 1,
      anon_sym_LPAREN,
    ACTIONS(11669), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(7458), 2,
      sym_comment,
      sym_block_comment,
    STATE(10511), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8949), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8947), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376332] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10939), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [376372] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10343), 1,
      anon_sym_AT,
    STATE(7640), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8906), 1,
      sym_annotation,
    STATE(7460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376418] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376458] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6996), 1,
      sym__alpha_identifier,
    ACTIONS(6998), 1,
      anon_sym__,
    ACTIONS(7006), 1,
      sym__backquoted_id,
    ACTIONS(7008), 1,
      sym_operator_identifier,
    ACTIONS(7568), 1,
      anon_sym_LPAREN,
    STATE(6776), 1,
      sym__simple_type,
    STATE(7198), 1,
      sym_identifier,
    STATE(7879), 1,
      sym__soft_identifier,
    STATE(10008), 1,
      sym_annotated_type,
    STATE(10235), 1,
      sym__annotated_type,
    STATE(18230), 1,
      sym_stable_identifier,
    STATE(7462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8475), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [376520] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9291), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [376560] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9389), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [376600] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8456), 1,
      sym__alpha_identifier,
    ACTIONS(8462), 1,
      anon_sym__,
    ACTIONS(8466), 1,
      anon_sym_LPAREN,
    ACTIONS(8468), 1,
      sym__backquoted_id,
    ACTIONS(8470), 1,
      sym_operator_identifier,
    STATE(8841), 1,
      sym__simple_type,
    STATE(10465), 1,
      sym_identifier,
    STATE(10760), 1,
      sym__soft_identifier,
    STATE(11166), 1,
      sym__annotated_type,
    STATE(11222), 1,
      sym_annotated_type,
    STATE(18274), 1,
      sym_stable_identifier,
    STATE(7465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8464), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10704), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [376662] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9303), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [376702] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11315), 1,
      anon_sym_EQ_GT,
    STATE(7467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376744] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10782), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10780), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [376784] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10479), 1,
      anon_sym_LPAREN,
    STATE(7474), 1,
      aux_sym_annotation_repeat1,
    STATE(8737), 1,
      sym_arguments,
    STATE(7469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376830] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9307), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [376870] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9309), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [376910] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8578), 1,
      sym__alpha_identifier,
    ACTIONS(8584), 1,
      anon_sym__,
    ACTIONS(8588), 1,
      anon_sym_LPAREN,
    ACTIONS(8590), 1,
      sym__backquoted_id,
    ACTIONS(8592), 1,
      sym_operator_identifier,
    STATE(4543), 1,
      sym__simple_type,
    STATE(4900), 1,
      sym_identifier,
    STATE(4960), 1,
      sym__soft_identifier,
    STATE(5430), 1,
      sym__annotated_type,
    STATE(5450), 1,
      sym_annotated_type,
    STATE(18295), 1,
      sym_stable_identifier,
    STATE(7472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8586), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4928), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [376972] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9321), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [377012] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11679), 1,
      anon_sym_LPAREN,
    STATE(8737), 1,
      sym_arguments,
    STATE(7474), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377056] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [377096] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9125), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [377136] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9323), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [377176] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4920), 1,
      sym__alpha_identifier,
    ACTIONS(4922), 1,
      anon_sym__,
    ACTIONS(4932), 1,
      sym__backquoted_id,
    ACTIONS(6410), 1,
      sym_operator_identifier,
    ACTIONS(7578), 1,
      anon_sym_LPAREN,
    STATE(4776), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym_identifier,
    STATE(4983), 1,
      sym__soft_identifier,
    STATE(6750), 1,
      sym__annotated_type,
    STATE(7004), 1,
      sym_annotated_type,
    STATE(18316), 1,
      sym_stable_identifier,
    STATE(7478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4928), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5064), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [377238] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2403), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(10436), 1,
      anon_sym_LPAREN,
    ACTIONS(11669), 1,
      anon_sym_DOT,
    ACTIONS(11682), 1,
      sym_operator_identifier,
    STATE(1944), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    ACTIONS(9063), 2,
      anon_sym_match,
      anon_sym_else,
    STATE(7479), 2,
      sym_comment,
      sym_block_comment,
    STATE(10511), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [377302] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [377342] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9212), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [377382] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9135), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [377422] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [377462] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10800), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10798), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [377502] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8652), 1,
      sym__alpha_identifier,
    ACTIONS(8658), 1,
      anon_sym__,
    ACTIONS(8662), 1,
      anon_sym_LPAREN,
    ACTIONS(8664), 1,
      sym__backquoted_id,
    ACTIONS(8666), 1,
      sym_operator_identifier,
    STATE(4767), 1,
      sym__simple_type,
    STATE(5376), 1,
      sym__soft_identifier,
    STATE(5520), 1,
      sym_identifier,
    STATE(6493), 1,
      sym_annotated_type,
    STATE(6893), 1,
      sym__annotated_type,
    STATE(18337), 1,
      sym_stable_identifier,
    STATE(7485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8660), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5367), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [377564] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377604] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10804), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10802), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [377644] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [377684] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9574), 1,
      anon_sym_COLON,
    ACTIONS(9578), 1,
      anon_sym_with,
    STATE(7088), 1,
      aux_sym_compound_type_repeat1,
    STATE(7738), 1,
      sym_template_body,
    STATE(7739), 1,
      sym__refinement,
    STATE(7144), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377736] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6568), 1,
      sym__alpha_identifier,
    ACTIONS(6574), 1,
      anon_sym__,
    ACTIONS(6582), 1,
      sym__backquoted_id,
    ACTIONS(6584), 1,
      sym_operator_identifier,
    ACTIONS(7588), 1,
      anon_sym_LPAREN,
    STATE(4786), 1,
      sym__simple_type,
    STATE(4899), 1,
      sym_identifier,
    STATE(4989), 1,
      sym__soft_identifier,
    STATE(6973), 1,
      sym_annotated_type,
    STATE(7064), 1,
      sym__annotated_type,
    STATE(18358), 1,
      sym_stable_identifier,
    STATE(7490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6578), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5115), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [377798] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10199), 1,
      anon_sym_AT,
    STATE(7516), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8810), 1,
      sym_annotation,
    STATE(7491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377844] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8793), 1,
      sym__alpha_identifier,
    ACTIONS(8795), 1,
      anon_sym__,
    ACTIONS(8799), 1,
      anon_sym_LPAREN,
    ACTIONS(8801), 1,
      sym__backquoted_id,
    ACTIONS(8803), 1,
      sym_operator_identifier,
    STATE(4768), 1,
      sym__simple_type,
    STATE(5401), 1,
      sym__soft_identifier,
    STATE(5700), 1,
      sym_identifier,
    STATE(6364), 1,
      sym__annotated_type,
    STATE(6657), 1,
      sym_annotated_type,
    STATE(18378), 1,
      sym_stable_identifier,
    STATE(7492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8797), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5761), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [377906] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9160), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377946] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11684), 1,
      anon_sym_AT,
    STATE(8715), 1,
      sym_annotation,
    STATE(7494), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9203), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [377990] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9331), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378032] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4370), 1,
      sym__alpha_identifier,
    ACTIONS(4376), 1,
      anon_sym__,
    ACTIONS(4388), 1,
      sym__backquoted_id,
    ACTIONS(6994), 1,
      sym_operator_identifier,
    ACTIONS(7598), 1,
      anon_sym_LPAREN,
    STATE(5008), 1,
      sym__simple_type,
    STATE(5378), 1,
      sym_identifier,
    STATE(5425), 1,
      sym__soft_identifier,
    STATE(7953), 1,
      sym_annotated_type,
    STATE(8495), 1,
      sym__annotated_type,
    STATE(18397), 1,
      sym_stable_identifier,
    STATE(7496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4382), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5830), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [378094] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9835), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [378134] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10277), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10279), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [378174] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10281), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10283), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [378214] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8895), 1,
      sym__alpha_identifier,
    ACTIONS(8897), 1,
      anon_sym__,
    ACTIONS(8901), 1,
      anon_sym_LPAREN,
    ACTIONS(8903), 1,
      sym__backquoted_id,
    ACTIONS(8905), 1,
      sym_operator_identifier,
    STATE(5708), 1,
      sym__simple_type,
    STATE(7119), 1,
      sym__soft_identifier,
    STATE(7388), 1,
      sym_identifier,
    STATE(9248), 1,
      sym__annotated_type,
    STATE(9319), 1,
      sym_annotated_type,
    STATE(18417), 1,
      sym_stable_identifier,
    STATE(7500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8899), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7463), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [378276] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9303), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [378316] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11687), 1,
      anon_sym_COLON,
    ACTIONS(11690), 1,
      anon_sym_LBRACE,
    STATE(9556), 1,
      sym_template_body,
    STATE(7502), 2,
      sym_comment,
      sym_block_comment,
    STATE(9495), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9350), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9342), 13,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378364] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6330), 1,
      sym__alpha_identifier,
    ACTIONS(6336), 1,
      anon_sym__,
    ACTIONS(6344), 1,
      sym__backquoted_id,
    ACTIONS(6346), 1,
      sym_operator_identifier,
    ACTIONS(7608), 1,
      anon_sym_LPAREN,
    STATE(5473), 1,
      sym__simple_type,
    STATE(6086), 1,
      sym__soft_identifier,
    STATE(6110), 1,
      sym_identifier,
    STATE(9291), 1,
      sym__annotated_type,
    STATE(9362), 1,
      sym_annotated_type,
    STATE(18436), 1,
      sym_stable_identifier,
    STATE(7503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6340), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6347), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [378426] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(9574), 1,
      anon_sym_COLON,
    ACTIONS(9578), 1,
      anon_sym_with,
    ACTIONS(11693), 1,
      anon_sym_LBRACE,
    STATE(7088), 1,
      aux_sym_compound_type_repeat1,
    STATE(7738), 1,
      sym_template_body,
    STATE(7739), 1,
      sym__refinement,
    ACTIONS(8638), 2,
      anon_sym_case,
      anon_sym_EQ,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7144), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378486] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [378526] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8330), 1,
      sym__alpha_identifier,
    ACTIONS(8336), 1,
      anon_sym__,
    ACTIONS(8340), 1,
      anon_sym_LPAREN,
    ACTIONS(8342), 1,
      sym__backquoted_id,
    ACTIONS(8344), 1,
      sym_operator_identifier,
    STATE(11842), 1,
      sym__simple_type,
    STATE(12233), 1,
      sym__soft_identifier,
    STATE(12282), 1,
      sym_identifier,
    STATE(14097), 1,
      sym__annotated_type,
    STATE(14196), 1,
      sym_annotated_type,
    STATE(18476), 1,
      sym_stable_identifier,
    STATE(7506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12740), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [378588] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8444), 1,
      sym__alpha_identifier,
    ACTIONS(8446), 1,
      anon_sym__,
    ACTIONS(8450), 1,
      anon_sym_LPAREN,
    ACTIONS(8452), 1,
      sym__backquoted_id,
    ACTIONS(8454), 1,
      sym_operator_identifier,
    STATE(5738), 1,
      sym__simple_type,
    STATE(7134), 1,
      sym__soft_identifier,
    STATE(7437), 1,
      sym_identifier,
    STATE(9379), 1,
      sym__annotated_type,
    STATE(9428), 1,
      sym_annotated_type,
    STATE(18516), 1,
      sym_stable_identifier,
    STATE(7507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8448), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7529), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [378650] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2403), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(10436), 1,
      anon_sym_LPAREN,
    ACTIONS(11669), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(7508), 2,
      sym_comment,
      sym_block_comment,
    STATE(10511), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8997), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378704] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11381), 1,
      anon_sym_DOT,
    ACTIONS(11696), 1,
      anon_sym_EQ_GT,
    STATE(7509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378748] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4774), 1,
      sym__alpha_identifier,
    ACTIONS(4780), 1,
      anon_sym__,
    ACTIONS(4792), 1,
      sym__backquoted_id,
    ACTIONS(6472), 1,
      sym_operator_identifier,
    ACTIONS(7618), 1,
      anon_sym_LPAREN,
    STATE(5051), 1,
      sym__simple_type,
    STATE(5453), 1,
      sym__soft_identifier,
    STATE(5476), 1,
      sym_identifier,
    STATE(8100), 1,
      sym__annotated_type,
    STATE(8185), 1,
      sym_annotated_type,
    STATE(18534), 1,
      sym_stable_identifier,
    STATE(7510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4786), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6045), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [378810] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378850] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(7512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [378892] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    ACTIONS(7628), 1,
      anon_sym_LPAREN,
    STATE(5593), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(8688), 1,
      sym__annotated_type,
    STATE(8714), 1,
      sym_annotated_type,
    STATE(18546), 1,
      sym_stable_identifier,
    STATE(7513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [378954] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10220), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10222), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [378994] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6962), 1,
      sym__alpha_identifier,
    ACTIONS(6964), 1,
      anon_sym__,
    ACTIONS(6972), 1,
      sym__backquoted_id,
    ACTIONS(6974), 1,
      sym_operator_identifier,
    ACTIONS(7638), 1,
      anon_sym_LPAREN,
    STATE(5905), 1,
      sym__simple_type,
    STATE(6472), 1,
      sym__soft_identifier,
    STATE(6873), 1,
      sym_identifier,
    STATE(10063), 1,
      sym__annotated_type,
    STATE(10073), 1,
      sym_annotated_type,
    STATE(18558), 1,
      sym_stable_identifier,
    STATE(7515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6968), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7578), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [379056] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11698), 1,
      anon_sym_AT,
    STATE(8810), 1,
      sym_annotation,
    STATE(7516), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379100] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9307), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [379140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9309), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [379180] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6302), 1,
      sym__alpha_identifier,
    ACTIONS(6308), 1,
      anon_sym__,
    ACTIONS(6316), 1,
      sym__backquoted_id,
    ACTIONS(6318), 1,
      sym_operator_identifier,
    ACTIONS(7658), 1,
      anon_sym_LPAREN,
    STATE(5631), 1,
      sym__simple_type,
    STATE(5902), 1,
      sym_identifier,
    STATE(6100), 1,
      sym__soft_identifier,
    STATE(9666), 1,
      sym__annotated_type,
    STATE(9721), 1,
      sym_annotated_type,
    STATE(18570), 1,
      sym_stable_identifier,
    STATE(7519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6312), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6504), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [379242] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4370), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(7520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [379286] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379326] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10229), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10231), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [379366] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9321), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [379406] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4998), 1,
      sym__alpha_identifier,
    ACTIONS(5000), 1,
      anon_sym__,
    ACTIONS(5010), 1,
      sym__backquoted_id,
    ACTIONS(6444), 1,
      sym_operator_identifier,
    ACTIONS(7668), 1,
      anon_sym_LPAREN,
    STATE(5746), 1,
      sym__simple_type,
    STATE(5881), 1,
      sym_identifier,
    STATE(6103), 1,
      sym__soft_identifier,
    STATE(8741), 1,
      sym__annotated_type,
    STATE(8778), 1,
      sym_annotated_type,
    STATE(18592), 1,
      sym_stable_identifier,
    STATE(7524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5006), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6576), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [379468] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4416), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(7525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [379512] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9889), 1,
      anon_sym_type,
    STATE(7526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [379554] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7416), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7414), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [379594] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6550), 1,
      sym__alpha_identifier,
    ACTIONS(6556), 1,
      anon_sym__,
    ACTIONS(6564), 1,
      sym__backquoted_id,
    ACTIONS(6566), 1,
      sym_operator_identifier,
    ACTIONS(7678), 1,
      anon_sym_LPAREN,
    STATE(7315), 1,
      sym__simple_type,
    STATE(8230), 1,
      sym__soft_identifier,
    STATE(8403), 1,
      sym_identifier,
    STATE(10593), 1,
      sym_annotated_type,
    STATE(10733), 1,
      sym__annotated_type,
    STATE(18603), 1,
      sym_stable_identifier,
    STATE(7528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6560), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8954), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [379656] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379696] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10972), 1,
      anon_sym_LBRACK,
    ACTIONS(10976), 1,
      anon_sym_POUND,
    ACTIONS(11701), 1,
      anon_sym_AT,
    STATE(9043), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9226), 1,
      sym_type_arguments,
    STATE(9954), 1,
      sym_annotation,
    STATE(7530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379748] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379788] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4306), 1,
      sym__alpha_identifier,
    ACTIONS(4312), 1,
      anon_sym__,
    ACTIONS(4324), 1,
      sym__backquoted_id,
    ACTIONS(6718), 1,
      sym_operator_identifier,
    ACTIONS(7688), 1,
      anon_sym_LPAREN,
    STATE(7017), 1,
      sym__simple_type,
    STATE(7164), 1,
      sym__soft_identifier,
    STATE(7821), 1,
      sym_identifier,
    STATE(10039), 1,
      sym__annotated_type,
    STATE(10152), 1,
      sym_annotated_type,
    STATE(18625), 1,
      sym_stable_identifier,
    STATE(7532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4318), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8054), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [379850] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379890] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379930] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379970] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [380010] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [380050] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9125), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [380130] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9323), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [380170] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380210] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    ACTIONS(8260), 1,
      anon_sym_LPAREN,
    STATE(11966), 1,
      sym_identifier,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12470), 1,
      sym__simple_type,
    STATE(13675), 1,
      sym_annotated_type,
    STATE(14722), 1,
      sym__annotated_type,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(7542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [380272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380312] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11703), 1,
      anon_sym_DOT,
    STATE(7544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380354] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380394] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380434] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4702), 1,
      sym__alpha_identifier,
    ACTIONS(4708), 1,
      anon_sym__,
    ACTIONS(4720), 1,
      sym__backquoted_id,
    ACTIONS(6770), 1,
      sym_operator_identifier,
    ACTIONS(7698), 1,
      anon_sym_LPAREN,
    STATE(4569), 1,
      sym__simple_type,
    STATE(4664), 1,
      sym_identifier,
    STATE(4669), 1,
      sym__soft_identifier,
    STATE(5599), 1,
      sym__annotated_type,
    STATE(5614), 1,
      sym_annotated_type,
    STATE(18636), 1,
      sym_stable_identifier,
    STATE(7547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4714), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4781), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [380496] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11705), 1,
      anon_sym_LBRACK,
    ACTIONS(11707), 1,
      anon_sym_LPAREN,
    ACTIONS(11709), 1,
      anon_sym_POUND,
    STATE(9443), 1,
      aux_sym_annotation_repeat1,
    STATE(9772), 1,
      sym_type_arguments,
    STATE(10475), 1,
      sym_arguments,
    STATE(7548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8262), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380548] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [380588] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380628] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6836), 1,
      sym__alpha_identifier,
    ACTIONS(6838), 1,
      anon_sym__,
    ACTIONS(6846), 1,
      sym__backquoted_id,
    ACTIONS(6848), 1,
      sym_operator_identifier,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    STATE(4901), 1,
      sym__simple_type,
    STATE(5207), 1,
      sym__soft_identifier,
    STATE(5271), 1,
      sym_identifier,
    STATE(7536), 1,
      sym__annotated_type,
    STATE(7549), 1,
      sym_annotated_type,
    STATE(18647), 1,
      sym_stable_identifier,
    STATE(7551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6842), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5774), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [380690] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [380730] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [380770] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9224), 1,
      sym_operator_identifier,
    STATE(1927), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(7554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9063), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [380826] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4470), 1,
      sym__alpha_identifier,
    ACTIONS(4472), 1,
      anon_sym__,
    ACTIONS(4482), 1,
      sym__backquoted_id,
    ACTIONS(6910), 1,
      sym_operator_identifier,
    ACTIONS(7718), 1,
      anon_sym_LPAREN,
    STATE(4765), 1,
      sym__simple_type,
    STATE(4815), 1,
      sym__soft_identifier,
    STATE(4855), 1,
      sym_identifier,
    STATE(6374), 1,
      sym__annotated_type,
    STATE(6415), 1,
      sym_annotated_type,
    STATE(18654), 1,
      sym_stable_identifier,
    STATE(7555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4478), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5015), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [380888] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [380928] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380968] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10939), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [381008] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4274), 1,
      sym__alpha_identifier,
    ACTIONS(4280), 1,
      anon_sym__,
    ACTIONS(4292), 1,
      sym__backquoted_id,
    ACTIONS(7012), 1,
      sym_operator_identifier,
    ACTIONS(7728), 1,
      anon_sym_LPAREN,
    STATE(4788), 1,
      sym__simple_type,
    STATE(4817), 1,
      sym__soft_identifier,
    STATE(4903), 1,
      sym_identifier,
    STATE(6437), 1,
      sym__annotated_type,
    STATE(6465), 1,
      sym_annotated_type,
    STATE(18661), 1,
      sym_stable_identifier,
    STATE(7559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4286), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5026), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [381070] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381110] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10885), 1,
      anon_sym_AT,
    STATE(7704), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9080), 1,
      sym_annotation,
    STATE(7561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381156] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381196] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9212), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [381236] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6366), 1,
      sym__alpha_identifier,
    ACTIONS(6372), 1,
      anon_sym__,
    ACTIONS(6380), 1,
      sym__backquoted_id,
    ACTIONS(6382), 1,
      sym_operator_identifier,
    ACTIONS(7738), 1,
      anon_sym_LPAREN,
    STATE(5586), 1,
      sym__simple_type,
    STATE(6121), 1,
      sym__soft_identifier,
    STATE(6334), 1,
      sym_identifier,
    STATE(8872), 1,
      sym__annotated_type,
    STATE(8881), 1,
      sym_annotated_type,
    STATE(18668), 1,
      sym_stable_identifier,
    STATE(7564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6376), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6877), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [381298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9135), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [381338] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4638), 1,
      sym__alpha_identifier,
    ACTIONS(4644), 1,
      anon_sym__,
    ACTIONS(4656), 1,
      sym__backquoted_id,
    ACTIONS(7016), 1,
      sym_operator_identifier,
    ACTIONS(7748), 1,
      anon_sym_LPAREN,
    STATE(5349), 1,
      sym__simple_type,
    STATE(5940), 1,
      sym_identifier,
    STATE(6124), 1,
      sym__soft_identifier,
    STATE(8896), 1,
      sym__annotated_type,
    STATE(8912), 1,
      sym_annotated_type,
    STATE(18680), 1,
      sym_stable_identifier,
    STATE(7566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4650), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6954), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [381400] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10952), 1,
      anon_sym_with,
    ACTIONS(11225), 1,
      anon_sym_COLON,
    STATE(8163), 1,
      aux_sym_compound_type_repeat1,
    STATE(9611), 1,
      sym_template_body,
    STATE(9691), 1,
      sym__refinement,
    STATE(7567), 2,
      sym_comment,
      sym_block_comment,
    STATE(9638), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381452] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381492] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8472), 1,
      sym__alpha_identifier,
    ACTIONS(8474), 1,
      anon_sym__,
    ACTIONS(8478), 1,
      anon_sym_LPAREN,
    ACTIONS(8480), 1,
      sym__backquoted_id,
    ACTIONS(8482), 1,
      sym_operator_identifier,
    STATE(4876), 1,
      sym__simple_type,
    STATE(6125), 1,
      sym__soft_identifier,
    STATE(6145), 1,
      sym_identifier,
    STATE(7616), 1,
      sym__annotated_type,
    STATE(7625), 1,
      sym_annotated_type,
    STATE(18686), 1,
      sym_stable_identifier,
    STATE(7569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8476), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6294), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [381554] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381594] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381634] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381674] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [381714] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381754] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4818), 1,
      sym__alpha_identifier,
    ACTIONS(4824), 1,
      anon_sym__,
    ACTIONS(4836), 1,
      sym__backquoted_id,
    ACTIONS(7024), 1,
      sym_operator_identifier,
    ACTIONS(7758), 1,
      anon_sym_LPAREN,
    STATE(5452), 1,
      sym__simple_type,
    STATE(5955), 1,
      sym_identifier,
    STATE(6127), 1,
      sym__soft_identifier,
    STATE(8942), 1,
      sym__annotated_type,
    STATE(8953), 1,
      sym_annotated_type,
    STATE(18692), 1,
      sym_stable_identifier,
    STATE(7575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4830), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7048), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [381816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381856] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381896] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381936] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8504), 1,
      sym__alpha_identifier,
    ACTIONS(8506), 1,
      anon_sym__,
    ACTIONS(8510), 1,
      anon_sym_LPAREN,
    ACTIONS(8512), 1,
      sym__backquoted_id,
    ACTIONS(8514), 1,
      sym_operator_identifier,
    STATE(5348), 1,
      sym__simple_type,
    STATE(7176), 1,
      sym__soft_identifier,
    STATE(7647), 1,
      sym_identifier,
    STATE(8966), 1,
      sym__annotated_type,
    STATE(8978), 1,
      sym_annotated_type,
    STATE(18698), 1,
      sym_stable_identifier,
    STATE(7579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8508), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7722), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [381998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [382038] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6384), 1,
      sym__alpha_identifier,
    ACTIONS(6390), 1,
      anon_sym__,
    ACTIONS(6398), 1,
      sym__backquoted_id,
    ACTIONS(6400), 1,
      sym_operator_identifier,
    ACTIONS(7778), 1,
      anon_sym_LPAREN,
    STATE(5512), 1,
      sym__simple_type,
    STATE(6130), 1,
      sym__soft_identifier,
    STATE(6158), 1,
      sym_identifier,
    STATE(8991), 1,
      sym__annotated_type,
    STATE(9001), 1,
      sym_annotated_type,
    STATE(18704), 1,
      sym_stable_identifier,
    STATE(7581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6394), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6414), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [382100] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382180] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382220] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10671), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [382260] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8524), 1,
      sym__alpha_identifier,
    ACTIONS(8526), 1,
      anon_sym__,
    ACTIONS(8530), 1,
      anon_sym_LPAREN,
    ACTIONS(8532), 1,
      sym__backquoted_id,
    ACTIONS(8534), 1,
      sym_operator_identifier,
    STATE(5845), 1,
      sym__simple_type,
    STATE(8089), 1,
      sym_identifier,
    STATE(8549), 1,
      sym__soft_identifier,
    STATE(9489), 1,
      sym__annotated_type,
    STATE(9507), 1,
      sym_annotated_type,
    STATE(18716), 1,
      sym_stable_identifier,
    STATE(7586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8528), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8273), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [382322] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382362] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382402] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382442] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4371), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(7590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [382486] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6446), 1,
      sym__alpha_identifier,
    ACTIONS(6452), 1,
      anon_sym__,
    ACTIONS(6460), 1,
      sym__backquoted_id,
    ACTIONS(6462), 1,
      sym_operator_identifier,
    ACTIONS(7788), 1,
      anon_sym_LPAREN,
    STATE(5956), 1,
      sym__simple_type,
    STATE(6529), 1,
      sym__soft_identifier,
    STATE(6781), 1,
      sym_identifier,
    STATE(9527), 1,
      sym__annotated_type,
    STATE(9535), 1,
      sym_annotated_type,
    STATE(18722), 1,
      sym_stable_identifier,
    STATE(7591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6456), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7765), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [382548] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382588] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382628] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382668] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382708] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6480), 1,
      sym__alpha_identifier,
    ACTIONS(6486), 1,
      anon_sym__,
    ACTIONS(6494), 1,
      sym__backquoted_id,
    ACTIONS(6496), 1,
      sym_operator_identifier,
    ACTIONS(7818), 1,
      anon_sym_LPAREN,
    STATE(7530), 1,
      sym__simple_type,
    STATE(8170), 1,
      sym_identifier,
    STATE(8580), 1,
      sym__soft_identifier,
    STATE(10629), 1,
      sym__annotated_type,
    STATE(10665), 1,
      sym_annotated_type,
    STATE(18734), 1,
      sym_stable_identifier,
    STATE(7596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6490), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9224), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [382770] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382810] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7336), 1,
      anon_sym__,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(8010), 1,
      sym_operator_identifier,
    ACTIONS(8208), 1,
      anon_sym_LPAREN,
    STATE(12312), 1,
      sym_identifier,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(12431), 1,
      sym__simple_type,
    STATE(14281), 1,
      sym_annotated_type,
    STATE(14743), 1,
      sym__annotated_type,
    STATE(19344), 1,
      sym_stable_identifier,
    STATE(7598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13039), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [382872] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [382912] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8540), 1,
      sym__alpha_identifier,
    ACTIONS(8546), 1,
      anon_sym__,
    ACTIONS(8550), 1,
      anon_sym_LPAREN,
    ACTIONS(8552), 1,
      sym__backquoted_id,
    ACTIONS(8554), 1,
      sym_operator_identifier,
    STATE(4663), 1,
      sym__simple_type,
    STATE(5048), 1,
      sym_identifier,
    STATE(5211), 1,
      sym__soft_identifier,
    STATE(6231), 1,
      sym_annotated_type,
    STATE(6240), 1,
      sym__annotated_type,
    STATE(18746), 1,
      sym_stable_identifier,
    STATE(7600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8548), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5092), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [382974] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6500), 1,
      sym__alpha_identifier,
    ACTIONS(6502), 1,
      anon_sym__,
    ACTIONS(6510), 1,
      sym__backquoted_id,
    ACTIONS(6512), 1,
      sym_operator_identifier,
    ACTIONS(7828), 1,
      anon_sym_LPAREN,
    STATE(4688), 1,
      sym__simple_type,
    STATE(4724), 1,
      sym__soft_identifier,
    STATE(4728), 1,
      sym_identifier,
    STATE(6250), 1,
      sym_annotated_type,
    STATE(6259), 1,
      sym__annotated_type,
    STATE(18752), 1,
      sym_stable_identifier,
    STATE(7601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6506), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4822), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [383036] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10277), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10279), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [383076] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(7603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383118] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [383158] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6538), 1,
      anon_sym__,
    ACTIONS(6546), 1,
      sym__backquoted_id,
    ACTIONS(6548), 1,
      sym_operator_identifier,
    ACTIONS(7838), 1,
      anon_sym_LPAREN,
    STATE(4939), 1,
      sym__simple_type,
    STATE(5069), 1,
      sym_identifier,
    STATE(5214), 1,
      sym__soft_identifier,
    STATE(7698), 1,
      sym_annotated_type,
    STATE(7701), 1,
      sym__annotated_type,
    STATE(18758), 1,
      sym_stable_identifier,
    STATE(7605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6542), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5471), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [383220] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10690), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10688), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [383260] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8566), 1,
      sym__alpha_identifier,
    ACTIONS(8568), 1,
      anon_sym__,
    ACTIONS(8572), 1,
      anon_sym_LPAREN,
    ACTIONS(8574), 1,
      sym__backquoted_id,
    ACTIONS(8576), 1,
      sym_operator_identifier,
    STATE(4846), 1,
      sym__simple_type,
    STATE(5823), 1,
      sym_identifier,
    STATE(6132), 1,
      sym__soft_identifier,
    STATE(7703), 1,
      sym_annotated_type,
    STATE(7707), 1,
      sym__annotated_type,
    STATE(18764), 1,
      sym_stable_identifier,
    STATE(7607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8570), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5880), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [383322] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [383364] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6616), 1,
      sym__alpha_identifier,
    ACTIONS(6622), 1,
      anon_sym__,
    ACTIONS(6630), 1,
      sym__backquoted_id,
    ACTIONS(6632), 1,
      sym_operator_identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    STATE(4942), 1,
      sym__simple_type,
    STATE(5083), 1,
      sym_identifier,
    STATE(5216), 1,
      sym__soft_identifier,
    STATE(7710), 1,
      sym_annotated_type,
    STATE(7715), 1,
      sym__annotated_type,
    STATE(18770), 1,
      sym_stable_identifier,
    STATE(7609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6626), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5517), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [383426] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6660), 1,
      sym__alpha_identifier,
    ACTIONS(6666), 1,
      anon_sym__,
    ACTIONS(6674), 1,
      sym__backquoted_id,
    ACTIONS(6676), 1,
      sym_operator_identifier,
    ACTIONS(7858), 1,
      anon_sym_LPAREN,
    STATE(6172), 1,
      sym__simple_type,
    STATE(6474), 1,
      sym_identifier,
    STATE(6547), 1,
      sym__soft_identifier,
    STATE(9841), 1,
      sym_annotated_type,
    STATE(9880), 1,
      sym__annotated_type,
    STATE(18782), 1,
      sym_stable_identifier,
    STATE(7610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6670), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7834), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [383488] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383528] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4406), 1,
      sym__alpha_identifier,
    ACTIONS(4412), 1,
      anon_sym__,
    ACTIONS(4424), 1,
      sym__backquoted_id,
    ACTIONS(6708), 1,
      sym_operator_identifier,
    ACTIONS(7868), 1,
      anon_sym_LPAREN,
    STATE(4885), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym_identifier,
    STATE(5218), 1,
      sym__soft_identifier,
    STATE(7721), 1,
      sym_annotated_type,
    STATE(7729), 1,
      sym__annotated_type,
    STATE(18794), 1,
      sym_stable_identifier,
    STATE(7612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4418), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5630), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [383590] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6720), 1,
      sym__alpha_identifier,
    ACTIONS(6726), 1,
      anon_sym__,
    ACTIONS(6734), 1,
      sym__backquoted_id,
    ACTIONS(6736), 1,
      sym_operator_identifier,
    ACTIONS(7878), 1,
      anon_sym_LPAREN,
    STATE(6237), 1,
      sym__simple_type,
    STATE(6553), 1,
      sym__soft_identifier,
    STATE(6668), 1,
      sym_identifier,
    STATE(9442), 1,
      sym_annotated_type,
    STATE(9452), 1,
      sym__annotated_type,
    STATE(18800), 1,
      sym_stable_identifier,
    STATE(7613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6730), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7856), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [383652] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11541), 1,
      anon_sym_COLON,
    ACTIONS(11543), 1,
      anon_sym_LBRACE,
    ACTIONS(11545), 1,
      anon_sym_with,
    STATE(9972), 1,
      aux_sym_compound_type_repeat1,
    STATE(11341), 1,
      sym_template_body,
    STATE(11348), 1,
      sym__refinement,
    STATE(7614), 2,
      sym_comment,
      sym_block_comment,
    STATE(11383), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383706] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      sym__backquoted_id,
    ACTIONS(6762), 1,
      sym_operator_identifier,
    ACTIONS(7888), 1,
      anon_sym_LPAREN,
    STATE(5511), 1,
      sym__simple_type,
    STATE(6013), 1,
      sym_identifier,
    STATE(6137), 1,
      sym__soft_identifier,
    STATE(9187), 1,
      sym_annotated_type,
    STATE(9190), 1,
      sym__annotated_type,
    STATE(18812), 1,
      sym_stable_identifier,
    STATE(7615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6557), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [383768] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383808] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4850), 1,
      sym__alpha_identifier,
    ACTIONS(4856), 1,
      anon_sym__,
    ACTIONS(4868), 1,
      sym__backquoted_id,
    ACTIONS(6774), 1,
      sym_operator_identifier,
    ACTIONS(7898), 1,
      anon_sym_LPAREN,
    STATE(6264), 1,
      sym__simple_type,
    STATE(6558), 1,
      sym__soft_identifier,
    STATE(7032), 1,
      sym_identifier,
    STATE(9476), 1,
      sym_annotated_type,
    STATE(9486), 1,
      sym__annotated_type,
    STATE(18818), 1,
      sym_stable_identifier,
    STATE(7617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4862), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7889), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [383870] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4968), 1,
      sym__alpha_identifier,
    ACTIONS(4970), 1,
      anon_sym__,
    ACTIONS(4980), 1,
      sym__backquoted_id,
    ACTIONS(6804), 1,
      sym_operator_identifier,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    STATE(4646), 1,
      sym__simple_type,
    STATE(4717), 1,
      sym_identifier,
    STATE(4726), 1,
      sym__soft_identifier,
    STATE(5838), 1,
      sym_annotated_type,
    STATE(5841), 1,
      sym__annotated_type,
    STATE(18824), 1,
      sym_stable_identifier,
    STATE(7618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4976), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4930), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [383932] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [383972] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384012] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6806), 1,
      sym__alpha_identifier,
    ACTIONS(6812), 1,
      anon_sym__,
    ACTIONS(6820), 1,
      sym__backquoted_id,
    ACTIONS(6822), 1,
      sym_operator_identifier,
    ACTIONS(7918), 1,
      anon_sym_LPAREN,
    STATE(9141), 1,
      sym__simple_type,
    STATE(9433), 1,
      sym__soft_identifier,
    STATE(9695), 1,
      sym_identifier,
    STATE(11437), 1,
      sym_annotated_type,
    STATE(11440), 1,
      sym__annotated_type,
    STATE(18830), 1,
      sym_stable_identifier,
    STATE(7621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6816), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10241), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [384074] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384114] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384154] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10746), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10744), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384194] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384234] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4600), 1,
      sym__alpha_identifier,
    ACTIONS(4606), 1,
      anon_sym__,
    ACTIONS(4618), 1,
      sym__backquoted_id,
    ACTIONS(6834), 1,
      sym_operator_identifier,
    ACTIONS(7928), 1,
      anon_sym_LPAREN,
    STATE(4988), 1,
      sym__simple_type,
    STATE(5187), 1,
      sym_identifier,
    STATE(5221), 1,
      sym__soft_identifier,
    STATE(7789), 1,
      sym_annotated_type,
    STATE(7793), 1,
      sym__annotated_type,
    STATE(18836), 1,
      sym_stable_identifier,
    STATE(7626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4612), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5771), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [384296] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11711), 1,
      anon_sym_DOT,
    STATE(7627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384338] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10760), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10758), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384378] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8594), 1,
      sym__alpha_identifier,
    ACTIONS(8596), 1,
      anon_sym__,
    ACTIONS(8600), 1,
      anon_sym_LPAREN,
    ACTIONS(8602), 1,
      sym__backquoted_id,
    ACTIONS(8604), 1,
      sym_operator_identifier,
    STATE(5111), 1,
      sym__simple_type,
    STATE(6539), 1,
      sym_identifier,
    STATE(6563), 1,
      sym__soft_identifier,
    STATE(8336), 1,
      sym_annotated_type,
    STATE(8342), 1,
      sym__annotated_type,
    STATE(18842), 1,
      sym_stable_identifier,
    STATE(7629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8598), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6809), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [384440] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10180), 1,
      sym__backquoted_id,
    STATE(4681), 1,
      aux_sym_modifiers_repeat1,
    ACTIONS(67), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(7630), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(63), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
    ACTIONS(11713), 10,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384488] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6850), 1,
      sym__alpha_identifier,
    ACTIONS(6856), 1,
      anon_sym__,
    ACTIONS(6864), 1,
      sym__backquoted_id,
    ACTIONS(6866), 1,
      sym_operator_identifier,
    ACTIONS(7938), 1,
      anon_sym_LPAREN,
    STATE(5082), 1,
      sym__simple_type,
    STATE(5498), 1,
      sym__soft_identifier,
    STATE(5703), 1,
      sym_identifier,
    STATE(8349), 1,
      sym_annotated_type,
    STATE(8353), 1,
      sym__annotated_type,
    STATE(18848), 1,
      sym_stable_identifier,
    STATE(7631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5978), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [384550] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10774), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10772), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384590] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9389), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [384630] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [384670] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6868), 1,
      sym__alpha_identifier,
    ACTIONS(6874), 1,
      anon_sym__,
    ACTIONS(6882), 1,
      sym__backquoted_id,
    ACTIONS(6884), 1,
      sym_operator_identifier,
    ACTIONS(7948), 1,
      anon_sym_LPAREN,
    STATE(5839), 1,
      sym__simple_type,
    STATE(6569), 1,
      sym__soft_identifier,
    STATE(6721), 1,
      sym_identifier,
    STATE(9577), 1,
      sym_annotated_type,
    STATE(9587), 1,
      sym__annotated_type,
    STATE(18860), 1,
      sym_stable_identifier,
    STATE(7635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6878), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7931), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [384732] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10796), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10794), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384772] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10014), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10016), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384812] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6890), 1,
      sym__alpha_identifier,
    ACTIONS(6896), 1,
      anon_sym__,
    ACTIONS(6904), 1,
      sym__backquoted_id,
    ACTIONS(6906), 1,
      sym_operator_identifier,
    ACTIONS(7958), 1,
      anon_sym_LPAREN,
    STATE(6477), 1,
      sym__simple_type,
    STATE(7184), 1,
      sym__soft_identifier,
    STATE(7914), 1,
      sym_identifier,
    STATE(10126), 1,
      sym_annotated_type,
    STATE(10133), 1,
      sym__annotated_type,
    STATE(18871), 1,
      sym_stable_identifier,
    STATE(7638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8614), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [384874] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [384914] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11715), 1,
      anon_sym_AT,
    STATE(8906), 1,
      sym_annotation,
    STATE(7640), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384958] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6912), 1,
      sym__alpha_identifier,
    ACTIONS(6914), 1,
      anon_sym__,
    ACTIONS(6922), 1,
      sym__backquoted_id,
    ACTIONS(6924), 1,
      sym_operator_identifier,
    ACTIONS(7968), 1,
      anon_sym_LPAREN,
    STATE(4700), 1,
      sym__simple_type,
    STATE(4828), 1,
      sym__soft_identifier,
    STATE(4972), 1,
      sym_identifier,
    STATE(6993), 1,
      sym_annotated_type,
    STATE(7035), 1,
      sym__annotated_type,
    STATE(18883), 1,
      sym_stable_identifier,
    STATE(7641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6918), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5173), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [385020] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11067), 1,
      anon_sym_LBRACK,
    ACTIONS(11071), 1,
      anon_sym_POUND,
    ACTIONS(11718), 1,
      anon_sym_AT,
    STATE(8791), 1,
      sym_type_arguments,
    STATE(9506), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10423), 1,
      sym_annotation,
    STATE(7642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8358), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385072] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [385112] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6944), 1,
      sym__alpha_identifier,
    ACTIONS(6950), 1,
      anon_sym__,
    ACTIONS(6958), 1,
      sym__backquoted_id,
    ACTIONS(6960), 1,
      sym_operator_identifier,
    ACTIONS(7978), 1,
      anon_sym_LPAREN,
    STATE(5106), 1,
      sym__simple_type,
    STATE(5365), 1,
      sym_identifier,
    STATE(5502), 1,
      sym__soft_identifier,
    STATE(8401), 1,
      sym_annotated_type,
    STATE(8407), 1,
      sym__annotated_type,
    STATE(18889), 1,
      sym_stable_identifier,
    STATE(7644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6029), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [385174] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385214] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4738), 1,
      sym__alpha_identifier,
    ACTIONS(4744), 1,
      anon_sym__,
    ACTIONS(4756), 1,
      sym__backquoted_id,
    ACTIONS(6990), 1,
      sym_operator_identifier,
    ACTIONS(7988), 1,
      anon_sym_LPAREN,
    STATE(5109), 1,
      sym__simple_type,
    STATE(5426), 1,
      sym_identifier,
    STATE(5504), 1,
      sym__soft_identifier,
    STATE(8417), 1,
      sym_annotated_type,
    STATE(8423), 1,
      sym__annotated_type,
    STATE(18901), 1,
      sym_stable_identifier,
    STATE(7646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6051), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [385276] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11720), 1,
      anon_sym_DOT,
    STATE(7647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385318] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11722), 1,
      anon_sym_COLON,
    ACTIONS(11724), 1,
      anon_sym_LBRACE,
    ACTIONS(11726), 1,
      anon_sym_with,
    STATE(10213), 1,
      aux_sym_compound_type_repeat1,
    STATE(11396), 1,
      sym_template_body,
    STATE(11399), 1,
      sym__refinement,
    STATE(7648), 2,
      sym_comment,
      sym_block_comment,
    STATE(11507), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385372] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6348), 1,
      sym__alpha_identifier,
    ACTIONS(6354), 1,
      anon_sym__,
    ACTIONS(6362), 1,
      sym__backquoted_id,
    ACTIONS(6364), 1,
      sym_operator_identifier,
    ACTIONS(7998), 1,
      anon_sym_LPAREN,
    STATE(5577), 1,
      sym__simple_type,
    STATE(6052), 1,
      sym_identifier,
    STATE(6144), 1,
      sym__soft_identifier,
    STATE(9312), 1,
      sym_annotated_type,
    STATE(9317), 1,
      sym__annotated_type,
    STATE(18907), 1,
      sym_stable_identifier,
    STATE(7649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6358), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6385), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [385434] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11408), 1,
      anon_sym_LBRACE,
    ACTIONS(11410), 1,
      anon_sym_with,
    STATE(9616), 1,
      aux_sym_compound_type_repeat1,
    STATE(10547), 1,
      sym_template_body,
    STATE(10737), 1,
      sym__refinement,
    STATE(7650), 2,
      sym_comment,
      sym_block_comment,
    STATE(10600), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385486] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10810), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10808), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [385526] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(7652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8997), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [385572] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385612] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10829), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10827), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [385652] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385692] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385732] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385772] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10853), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10851), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [385812] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10857), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10855), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [385852] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [385892] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9283), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385932] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10264), 1,
      anon_sym_AT,
    STATE(7680), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9052), 1,
      sym_annotation,
    STATE(7662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385978] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10907), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10905), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [386018] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10911), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10909), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [386058] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9402), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386100] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10594), 1,
      anon_sym_AT,
    STATE(7687), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9070), 1,
      sym_annotation,
    STATE(7666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386146] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386186] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10281), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10283), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [386226] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(11470), 1,
      anon_sym_COLON,
    ACTIONS(11472), 1,
      anon_sym_DOT,
    ACTIONS(11474), 1,
      anon_sym_STAR,
    ACTIONS(11478), 1,
      anon_sym_if,
    ACTIONS(11480), 1,
      anon_sym_AT,
    ACTIONS(11482), 1,
      anon_sym_PIPE,
    ACTIONS(11484), 1,
      sym_operator_identifier,
    ACTIONS(11728), 1,
      anon_sym_EQ_GT,
    STATE(4340), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(12387), 1,
      sym_interpolated_string,
    STATE(16054), 1,
      sym__interpolated_string_start,
    STATE(16057), 1,
      sym__interpolated_multiline_string_start,
    STATE(17866), 1,
      sym_guard,
    STATE(7669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [386302] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10937), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10935), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [386342] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [386382] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10402), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10400), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [386422] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10256), 1,
      anon_sym_LPAREN,
    STATE(7676), 1,
      aux_sym_annotation_repeat1,
    STATE(9044), 1,
      sym_arguments,
    STATE(7673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386468] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(7674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386510] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [386550] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11730), 1,
      anon_sym_LPAREN,
    STATE(9044), 1,
      sym_arguments,
    STATE(7676), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386594] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [386634] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11430), 1,
      anon_sym_LBRACE,
    ACTIONS(11432), 1,
      anon_sym_with,
    STATE(9982), 1,
      aux_sym_compound_type_repeat1,
    STATE(11240), 1,
      sym_template_body,
    STATE(11277), 1,
      sym__refinement,
    STATE(7678), 2,
      sym_comment,
      sym_block_comment,
    STATE(11163), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386686] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9389), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [386726] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11733), 1,
      anon_sym_AT,
    STATE(9052), 1,
      sym_annotation,
    STATE(7680), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386770] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9133), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [386810] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [386850] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10014), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10016), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [386890] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9133), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [386930] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [386970] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11736), 1,
      anon_sym_DOT,
    STATE(7686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387012] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11738), 1,
      anon_sym_AT,
    STATE(9070), 1,
      sym_annotation,
    STATE(7687), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387056] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [387096] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387136] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [387176] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9291), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387216] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9323), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [387256] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9139), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [387296] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [387336] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9141), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [387376] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [387416] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9143), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [387456] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [387496] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [387536] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9675), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9673), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9671), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [387578] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [387618] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9675), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9673), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9671), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387660] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [387700] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11741), 1,
      anon_sym_AT,
    STATE(9080), 1,
      sym_annotation,
    STATE(7704), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387744] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10899), 1,
      anon_sym_LPAREN,
    STATE(7708), 1,
      aux_sym_annotation_repeat1,
    STATE(9098), 1,
      sym_arguments,
    STATE(7705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387790] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11744), 1,
      anon_sym_AT,
    STATE(9064), 1,
      sym_annotation,
    STATE(7706), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387834] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [387874] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11747), 1,
      anon_sym_LPAREN,
    STATE(9098), 1,
      sym_arguments,
    STATE(7708), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387918] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9160), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [387958] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [387998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [388038] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9303), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388078] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388118] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388158] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [388198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388238] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10883), 1,
      anon_sym_LPAREN,
    STATE(7728), 1,
      aux_sym_annotation_repeat1,
    STATE(9133), 1,
      sym_arguments,
    STATE(7717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8943), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [388284] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10700), 1,
      anon_sym_AT,
    STATE(7747), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9186), 1,
      sym_annotation,
    STATE(7718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9248), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [388330] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9307), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388370] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9309), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388410] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388450] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388490] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388530] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9321), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388610] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388690] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11750), 1,
      anon_sym_LPAREN,
    STATE(9133), 1,
      sym_arguments,
    STATE(7728), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8953), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [388734] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388774] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388814] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388854] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388894] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388934] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388974] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389014] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11636), 1,
      anon_sym_COLON,
    ACTIONS(11638), 1,
      anon_sym_LBRACE,
    ACTIONS(11640), 1,
      anon_sym_with,
    STATE(10273), 1,
      aux_sym_compound_type_repeat1,
    STATE(11402), 1,
      sym_template_body,
    STATE(11404), 1,
      sym__refinement,
    STATE(7736), 2,
      sym_comment,
      sym_block_comment,
    STATE(11451), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389068] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10839), 1,
      anon_sym_AT,
    STATE(7767), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9200), 1,
      sym_annotation,
    STATE(7737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389114] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [389154] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [389194] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389234] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389274] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9125), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389314] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9323), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389354] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389394] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [389474] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11753), 1,
      anon_sym_AT,
    STATE(9186), 1,
      sym_annotation,
    STATE(7747), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9203), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [389518] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389558] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389598] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [389638] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [389718] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389758] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10879), 1,
      anon_sym_AT,
    STATE(7790), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9221), 1,
      sym_annotation,
    STATE(7754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389804] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9389), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [389844] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [389884] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9105), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [389924] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(7758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389966] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9109), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [390046] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390086] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8983), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [390126] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390166] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390206] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390246] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390286] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11756), 1,
      anon_sym_AT,
    STATE(9200), 1,
      sym_annotation,
    STATE(7767), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390330] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390370] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [390410] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390450] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390490] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390530] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390610] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390690] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390730] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [390770] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390810] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390850] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9212), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390890] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9135), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390930] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390972] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [391012] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [391052] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391092] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391132] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391172] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [391212] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11759), 1,
      anon_sym_AT,
    STATE(9221), 1,
      sym_annotation,
    STATE(7790), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391256] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391296] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8348), 1,
      sym_arguments,
    STATE(7792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391338] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [391378] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8638), 1,
      anon_sym_STAR,
    ACTIONS(11722), 1,
      anon_sym_COLON,
    ACTIONS(11724), 1,
      anon_sym_LBRACE,
    ACTIONS(11726), 1,
      anon_sym_with,
    STATE(7648), 1,
      aux_sym_compound_type_repeat1,
    STATE(11396), 1,
      sym_template_body,
    STATE(11397), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7794), 2,
      sym_comment,
      sym_block_comment,
    STATE(11507), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391438] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11130), 1,
      anon_sym_LBRACK,
    ACTIONS(11134), 1,
      anon_sym_POUND,
    ACTIONS(11762), 1,
      anon_sym_AT,
    STATE(8976), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9295), 1,
      sym_type_arguments,
    STATE(10249), 1,
      sym_annotation,
    STATE(7795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391490] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391530] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11764), 1,
      anon_sym_with,
    STATE(7797), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391572] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391612] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391652] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391692] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [391732] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11767), 1,
      anon_sym_with,
    STATE(7802), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391774] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9133), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391814] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391854] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10453), 1,
      anon_sym_AT,
    STATE(7822), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9287), 1,
      sym_annotation,
    STATE(7805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391900] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391940] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      sym__alpha_identifier,
    ACTIONS(8434), 1,
      anon_sym__,
    ACTIONS(8438), 1,
      anon_sym_LPAREN,
    ACTIONS(8440), 1,
      sym__backquoted_id,
    ACTIONS(8442), 1,
      sym_operator_identifier,
    STATE(7818), 1,
      sym__simple_type,
    STATE(9586), 1,
      sym__soft_identifier,
    STATE(9821), 1,
      sym_identifier,
    STATE(10426), 1,
      sym_annotated_type,
    STATE(10435), 1,
      sym__annotated_type,
    STATE(18211), 1,
      sym_stable_identifier,
    STATE(7807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9521), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [392002] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9675), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9673), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9671), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392044] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392084] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10486), 1,
      anon_sym_LPAREN,
    STATE(7812), 1,
      aux_sym_annotation_repeat1,
    STATE(9274), 1,
      sym_arguments,
    STATE(7810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392130] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392170] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11770), 1,
      anon_sym_LPAREN,
    STATE(9274), 1,
      sym_arguments,
    STATE(7812), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392214] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392294] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392334] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392374] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392414] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11265), 1,
      anon_sym_LBRACK,
    ACTIONS(11267), 1,
      anon_sym_AT,
    ACTIONS(11271), 1,
      anon_sym_POUND,
    STATE(9293), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9640), 1,
      sym_type_arguments,
    STATE(10202), 1,
      sym_annotation,
    STATE(7818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392466] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11217), 1,
      anon_sym_with,
    STATE(10080), 1,
      sym__refinement,
    STATE(10085), 1,
      aux_sym_compound_type_repeat1,
    STATE(10120), 1,
      sym_template_body,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8562), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392516] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392556] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11773), 1,
      anon_sym_DOT,
    STATE(7821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392598] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11775), 1,
      anon_sym_AT,
    STATE(9287), 1,
      sym_annotation,
    STATE(7822), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392642] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9283), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [392682] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11778), 1,
      anon_sym_with,
    STATE(7824), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [392724] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10895), 1,
      anon_sym_LPAREN,
    STATE(7828), 1,
      aux_sym_annotation_repeat1,
    STATE(9296), 1,
      sym_arguments,
    STATE(7825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392770] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392810] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11781), 1,
      anon_sym_with,
    STATE(7827), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392852] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11784), 1,
      anon_sym_LPAREN,
    STATE(9296), 1,
      sym_arguments,
    STATE(7828), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392896] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10353), 1,
      anon_sym_LPAREN,
    STATE(7854), 1,
      aux_sym_annotation_repeat1,
    STATE(9307), 1,
      sym_arguments,
    STATE(7829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8943), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [392942] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [392982] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393022] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [393062] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [393102] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9291), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [393142] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393182] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [393222] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9303), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [393262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7416), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7414), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [393302] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9307), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [393342] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9309), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [393382] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11349), 1,
      anon_sym_DOT,
    ACTIONS(11787), 1,
      anon_sym_EQ_GT,
    STATE(7841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9321), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [393466] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9125), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [393506] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9323), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [393546] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393586] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9212), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [393626] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9135), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [393666] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [393706] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393746] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393826] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393866] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393906] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11789), 1,
      anon_sym_LPAREN,
    STATE(9307), 1,
      sym_arguments,
    STATE(7854), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8953), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [393950] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393990] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394030] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394070] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [394110] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394150] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394190] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [394230] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394310] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394350] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [394430] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394470] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394510] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [394550] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394590] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394630] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11792), 1,
      anon_sym_with,
    STATE(7872), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [394672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394712] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9105), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [394752] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394792] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9109), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [394832] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10007), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [394872] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8983), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [394912] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394952] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [394992] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395032] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395072] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395112] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [395152] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395192] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395232] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395312] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395352] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395392] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395432] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395552] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395712] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395752] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395792] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395832] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395872] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395912] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9133), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [395952] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10312), 1,
      anon_sym_AT,
    STATE(7114), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8981), 1,
      sym_annotation,
    STATE(7905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396038] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396078] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11795), 1,
      anon_sym_with,
    STATE(7908), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9647), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [396120] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396160] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396200] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [396240] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [396280] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11722), 1,
      anon_sym_COLON,
    ACTIONS(11724), 1,
      anon_sym_LBRACE,
    ACTIONS(11726), 1,
      anon_sym_with,
    STATE(7648), 1,
      aux_sym_compound_type_repeat1,
    STATE(11396), 1,
      sym_template_body,
    STATE(11397), 1,
      sym__refinement,
    STATE(7913), 2,
      sym_comment,
      sym_block_comment,
    STATE(11507), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396334] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11798), 1,
      anon_sym_DOT,
    STATE(7914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396376] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11800), 1,
      anon_sym_COLON,
    ACTIONS(11803), 1,
      anon_sym_LBRACE,
    STATE(9859), 1,
      sym_template_body,
    STATE(5495), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9350), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9342), 13,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396424] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396464] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396544] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10684), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10682), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [396584] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396624] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396664] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11806), 1,
      anon_sym_COLON,
    STATE(10280), 1,
      sym_interpolated_string,
    STATE(16496), 1,
      sym__interpolated_string_start,
    STATE(16527), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(11809), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(7922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396720] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10694), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10692), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [396760] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396800] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396840] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10939), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [396880] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8746), 1,
      anon_sym_COMMA,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(7927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2648), 4,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8410), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [396938] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(7928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396980] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11812), 1,
      anon_sym_with,
    STATE(7929), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397022] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10412), 1,
      anon_sym_LPAREN,
    STATE(7081), 1,
      aux_sym_annotation_repeat1,
    STATE(9397), 1,
      sym_arguments,
    STATE(7930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397148] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397228] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397268] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397308] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397388] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397428] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397468] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [397548] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397588] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11294), 1,
      anon_sym_EQ_GT,
    STATE(7944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397630] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10782), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10780), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [397670] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397710] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397750] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397790] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [397830] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397870] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 24,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [397907] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9894), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397948] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [397987] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10229), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10231), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398026] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9389), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [398104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398143] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [398182] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8697), 1,
      sym_arguments,
    STATE(7959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [398223] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [398262] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9244), 1,
      sym_arguments,
    STATE(7961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398303] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398342] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11815), 1,
      anon_sym_with,
    STATE(7963), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9647), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [398383] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(189), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9262), 1,
      anon_sym_LPAREN,
    ACTIONS(9614), 1,
      anon_sym_DOT,
    ACTIONS(9805), 1,
      anon_sym_match,
    ACTIONS(10168), 1,
      sym__alpha_identifier,
    ACTIONS(10174), 1,
      sym__backquoted_id,
    ACTIONS(10176), 1,
      sym_operator_identifier,
    ACTIONS(11818), 1,
      anon_sym_EQ,
    STATE(565), 1,
      sym_identifier,
    STATE(4226), 1,
      sym__soft_identifier,
    STATE(7964), 2,
      sym_comment,
      sym_block_comment,
    STATE(8218), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10172), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [398446] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [398485] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398524] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398563] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398602] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398641] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11820), 1,
      anon_sym_with,
    STATE(7970), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9647), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [398682] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [398721] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398760] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [398799] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [398838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [398877] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [398916] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(511), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9805), 1,
      anon_sym_match,
    ACTIONS(10345), 1,
      anon_sym_LPAREN,
    ACTIONS(10954), 1,
      anon_sym_DOT,
    ACTIONS(11434), 1,
      sym__alpha_identifier,
    ACTIONS(11438), 1,
      sym__backquoted_id,
    ACTIONS(11440), 1,
      sym_operator_identifier,
    ACTIONS(11823), 1,
      anon_sym_EQ,
    STATE(691), 1,
      sym_identifier,
    STATE(4271), 1,
      sym__soft_identifier,
    STATE(7977), 2,
      sym_comment,
      sym_block_comment,
    STATE(10216), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [398979] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9133), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [399018] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4258), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [399057] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9323), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [399096] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11773), 1,
      anon_sym_DOT,
    ACTIONS(11825), 1,
      anon_sym_EQ_GT,
    STATE(7981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [399178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399217] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399256] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [399295] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11827), 1,
      anon_sym_LBRACK,
    ACTIONS(11829), 1,
      anon_sym_AT,
    ACTIONS(11831), 1,
      anon_sym_LPAREN,
    ACTIONS(11833), 1,
      anon_sym_POUND,
    STATE(10016), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10751), 1,
      sym_type_arguments,
    STATE(11054), 1,
      sym_annotation,
    STATE(11582), 1,
      sym_arguments,
    STATE(7986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 3,
      anon_sym_LBRACE,
      anon_sym_DOT,
      sym__backquoted_id,
    ACTIONS(8358), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399350] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399389] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [399428] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9468), 1,
      sym_operator_identifier,
    STATE(1939), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(7989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9063), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [399483] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399522] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11835), 1,
      anon_sym_COLON,
    ACTIONS(11838), 1,
      anon_sym_LBRACE,
    STATE(10046), 1,
      sym_template_body,
    STATE(7991), 2,
      sym_comment,
      sym_block_comment,
    STATE(8186), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9350), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9342), 13,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [399569] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [399608] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399647] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11841), 1,
      anon_sym_DOT,
    STATE(7994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399688] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399729] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9291), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [399768] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9675), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9673), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9671), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [399809] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10277), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10279), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [399848] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399887] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [399926] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10281), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10283), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [399965] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400004] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400043] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400082] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11843), 1,
      anon_sym_COLON,
    ACTIONS(11846), 1,
      anon_sym_LBRACE,
    STATE(10292), 1,
      sym_template_body,
    STATE(8005), 2,
      sym_comment,
      sym_block_comment,
    STATE(9563), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9350), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9342), 12,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400129] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [400170] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4402), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(8007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400213] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [400252] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10804), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10802), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [400291] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400330] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11849), 1,
      anon_sym_AT,
    STATE(9485), 1,
      sym_annotation,
    STATE(8011), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9203), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [400373] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10610), 1,
      anon_sym_DOT,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10614), 1,
      anon_sym_AT,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11792), 1,
      sym_interpolated_string,
    STATE(16742), 1,
      sym__interpolated_string_start,
    STATE(16744), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11852), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(8012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [400444] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400483] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400522] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11854), 1,
      anon_sym_with,
    STATE(8015), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400563] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400602] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400641] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17367), 1,
      sym__type_parameter,
    STATE(8018), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [400708] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400747] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9303), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [400825] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 7,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400870] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [400909] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400948] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11857), 1,
      anon_sym_with,
    STATE(8025), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400989] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401028] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401067] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401106] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401145] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401184] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401223] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11860), 1,
      anon_sym_with,
    STATE(8032), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401264] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [401303] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11215), 1,
      anon_sym_AT,
    STATE(8243), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9928), 1,
      sym_annotation,
    STATE(8034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9835), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [401465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10671), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [401504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [401543] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11865), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11863), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [401582] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401621] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401660] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401699] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401738] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11867), 1,
      anon_sym_with,
    STATE(8045), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401779] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401818] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401857] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401896] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [401935] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8693), 1,
      sym__end_marker,
    STATE(8050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10376), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [401976] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [402015] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [402054] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [402093] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402132] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402171] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(8056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8997), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [402216] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402255] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402294] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402333] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402372] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402411] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402450] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [402489] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402528] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402567] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402606] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402645] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402684] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402723] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402762] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402801] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402840] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402879] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402918] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402957] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402996] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9323), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403035] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [403074] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403113] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(8080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403154] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [403193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11872), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11870), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [403232] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403271] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7288), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [403310] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8920), 1,
      sym_arguments,
    STATE(8085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403351] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [403390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403429] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403468] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11874), 1,
      anon_sym_DOT,
    STATE(8089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403509] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10671), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [403548] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403587] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403626] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403665] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403704] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11628), 1,
      anon_sym_EQ_GT,
    STATE(8095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403745] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403784] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11876), 1,
      anon_sym_LBRACE,
    ACTIONS(11878), 1,
      anon_sym_with,
    STATE(8517), 1,
      aux_sym_compound_type_repeat1,
    STATE(11534), 1,
      sym_template_body,
    STATE(11535), 1,
      sym__refinement,
    STATE(8097), 2,
      sym_comment,
      sym_block_comment,
    STATE(11560), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8606), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403835] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10690), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10688), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [403874] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9307), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [403913] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403952] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403991] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10690), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10688), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [404030] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10746), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10744), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [404069] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10684), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10682), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404147] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404186] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10760), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10758), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [404225] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(17004), 1,
      sym__variant_type_parameter,
    STATE(17367), 1,
      sym__type_parameter,
    STATE(8108), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [404292] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9309), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [404331] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10774), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10772), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [404370] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10694), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10692), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404409] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11880), 1,
      anon_sym_AT,
    STATE(9533), 1,
      sym_annotation,
    STATE(8112), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404452] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10014), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10016), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [404491] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404530] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9133), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [404569] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10610), 1,
      anon_sym_DOT,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10614), 1,
      anon_sym_AT,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11792), 1,
      sym_interpolated_string,
    STATE(16742), 1,
      sym__interpolated_string_start,
    STATE(16744), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11883), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(8116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [404640] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404679] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 4,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4258), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404718] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404757] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10120), 1,
      sym__alpha_identifier,
    ACTIONS(10126), 1,
      sym__backquoted_id,
    ACTIONS(10128), 1,
      sym_operator_identifier,
    STATE(541), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(8120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10122), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9805), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [404810] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9321), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [404849] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11079), 1,
      anon_sym_AT,
    STATE(8611), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9907), 1,
      sym_annotation,
    STATE(8122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404894] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404933] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404972] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10610), 1,
      anon_sym_DOT,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10614), 1,
      anon_sym_AT,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11792), 1,
      sym_interpolated_string,
    STATE(16742), 1,
      sym__interpolated_string_start,
    STATE(16744), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11885), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(8125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [405043] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10810), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10808), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [405082] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(8127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405123] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10829), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10827), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [405162] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405201] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10853), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10851), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [405240] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10857), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10855), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [405279] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10782), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10780), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405318] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405396] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11887), 1,
      anon_sym_with,
    STATE(8135), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9647), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [405437] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405476] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9675), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9673), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9671), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405517] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10907), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10905), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [405595] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10911), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10909), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [405634] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10800), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10798), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405673] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9835), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [405712] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16129), 1,
      sym__variant_type_parameter,
    STATE(17367), 1,
      sym__type_parameter,
    STATE(8143), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [405779] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10804), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10802), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405818] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11892), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11890), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [405857] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405896] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [405935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405974] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11894), 1,
      anon_sym_AT,
    STATE(9720), 1,
      sym_annotation,
    STATE(8149), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406017] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10610), 1,
      anon_sym_DOT,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10614), 1,
      anon_sym_AT,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11792), 1,
      sym_interpolated_string,
    STATE(16742), 1,
      sym__interpolated_string_start,
    STATE(16744), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10624), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(8150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [406088] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [406127] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [406166] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10937), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10935), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [406205] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9139), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [406244] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406283] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10610), 1,
      anon_sym_DOT,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10614), 1,
      anon_sym_AT,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11792), 1,
      sym_interpolated_string,
    STATE(16742), 1,
      sym__interpolated_string_start,
    STATE(16744), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11897), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(8156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [406354] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [406393] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10402), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10400), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [406432] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9125), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [406471] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406510] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406549] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9323), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [406588] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11899), 1,
      anon_sym_with,
    STATE(8163), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406629] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11410), 1,
      anon_sym_with,
    ACTIONS(11902), 1,
      anon_sym_COLON,
    STATE(8193), 1,
      aux_sym_compound_type_repeat1,
    STATE(10547), 1,
      sym_template_body,
    STATE(10559), 1,
      sym__refinement,
    STATE(8164), 2,
      sym_comment,
      sym_block_comment,
    STATE(10600), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406680] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10831), 15,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [406719] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16549), 1,
      sym__variant_type_parameter,
    STATE(17367), 1,
      sym__type_parameter,
    STATE(8166), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [406786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406825] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10746), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10744), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [406864] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406903] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11904), 1,
      anon_sym_DOT,
    STATE(8170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406944] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10141), 1,
      sym__alpha_identifier,
    ACTIONS(10147), 1,
      sym__backquoted_id,
    ACTIONS(10149), 1,
      sym_operator_identifier,
    STATE(542), 1,
      sym_identifier,
    STATE(4203), 1,
      sym__soft_identifier,
    STATE(8171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10143), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9805), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [406997] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10939), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [407036] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11279), 1,
      anon_sym_LPAREN,
    STATE(8178), 1,
      aux_sym_annotation_repeat1,
    STATE(9678), 1,
      sym_arguments,
    STATE(8173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407081] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11908), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11906), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [407120] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16404), 1,
      sym__variant_type_parameter,
    STATE(17367), 1,
      sym__type_parameter,
    STATE(8175), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [407187] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10684), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10682), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [407226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407265] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11910), 1,
      anon_sym_LPAREN,
    STATE(9678), 1,
      sym_arguments,
    STATE(8178), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407308] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407347] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11915), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11913), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [407386] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16882), 1,
      sym__variant_type_parameter,
    STATE(17367), 1,
      sym__type_parameter,
    STATE(8181), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [407453] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [407492] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [407531] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9835), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [407570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407609] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10046), 15,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [407648] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11919), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11917), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [407687] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407726] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [407765] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407804] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [407843] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [407882] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11410), 1,
      anon_sym_with,
    ACTIONS(11902), 1,
      anon_sym_COLON,
    STATE(9616), 1,
      aux_sym_compound_type_repeat1,
    STATE(10547), 1,
      sym_template_body,
    STATE(10737), 1,
      sym__refinement,
    STATE(8193), 2,
      sym_comment,
      sym_block_comment,
    STATE(10600), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407933] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10929), 1,
      anon_sym_AT,
    STATE(8398), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9612), 1,
      sym_annotation,
    STATE(8194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407978] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11921), 1,
      anon_sym_AT,
    STATE(9872), 1,
      sym_annotation,
    STATE(8195), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408021] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408060] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9461), 1,
      sym_operator_identifier,
    STATE(1924), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(8197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9063), 7,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [408115] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(11876), 1,
      anon_sym_LBRACE,
    ACTIONS(11878), 1,
      anon_sym_with,
    ACTIONS(11924), 1,
      anon_sym_COLON,
    STATE(8517), 1,
      aux_sym_compound_type_repeat1,
    STATE(11534), 1,
      sym_template_body,
    STATE(11535), 1,
      sym__refinement,
    ACTIONS(8636), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8638), 2,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8198), 2,
      sym_comment,
      sym_block_comment,
    STATE(11560), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408174] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10937), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10935), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [408213] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408252] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9105), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408291] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408330] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9141), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408369] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(8204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408410] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10945), 1,
      anon_sym_LPAREN,
    STATE(8219), 1,
      aux_sym_annotation_repeat1,
    STATE(9748), 1,
      sym_arguments,
    STATE(8205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408455] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9212), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408494] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9135), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408533] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [408572] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408611] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10835), 15,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408689] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10760), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10758), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [408728] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408767] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408806] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10923), 1,
      anon_sym_AT,
    STATE(8011), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9485), 1,
      sym_annotation,
    STATE(8215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9248), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [408851] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9805), 1,
      anon_sym_match,
    ACTIONS(11269), 1,
      anon_sym_LPAREN,
    ACTIONS(11927), 1,
      sym__alpha_identifier,
    ACTIONS(11929), 1,
      anon_sym_DOT,
    ACTIONS(11933), 1,
      anon_sym_EQ,
    ACTIONS(11935), 1,
      sym__backquoted_id,
    ACTIONS(11937), 1,
      sym_operator_identifier,
    STATE(659), 1,
      sym_identifier,
    STATE(4274), 1,
      sym__soft_identifier,
    STATE(8216), 2,
      sym_comment,
      sym_block_comment,
    STATE(11076), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11931), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [408914] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408953] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10774), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10772), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [408992] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11939), 1,
      anon_sym_LPAREN,
    STATE(9748), 1,
      sym_arguments,
    STATE(8219), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409035] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409074] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9889), 1,
      anon_sym_type,
    STATE(8221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [409115] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409154] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(8223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [409195] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [409234] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409273] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11942), 1,
      anon_sym_COLON,
    ACTIONS(11945), 1,
      anon_sym_LBRACE,
    STATE(10127), 1,
      sym_template_body,
    STATE(6161), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9350), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9342), 12,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409320] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [409359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10694), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10692), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [409398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409437] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409476] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409515] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10671), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409554] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9143), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [409593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409671] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(10280), 1,
      sym_interpolated_string,
    STATE(16496), 1,
      sym__interpolated_string_start,
    STATE(16527), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11948), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [409722] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409761] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11950), 1,
      anon_sym_DOT,
    STATE(8238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409802] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10690), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10688), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409841] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10746), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10744), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409880] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409919] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409958] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11952), 1,
      anon_sym_AT,
    STATE(9928), 1,
      sym_annotation,
    STATE(8243), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410001] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9610), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410042] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10796), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10794), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [410081] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10760), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10758), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410120] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410159] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10774), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10772), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410237] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410276] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10014), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10016), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410354] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410393] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11523), 1,
      anon_sym_EQ_GT,
    STATE(8254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9291), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [410434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11957), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11955), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [410473] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7416), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7414), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [410512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410551] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 4,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7288), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410590] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410631] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11959), 1,
      anon_sym_DOT,
    STATE(8260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410711] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10810), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10808), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410750] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9105), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [410789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410828] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410867] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10565), 1,
      anon_sym_AT,
    STATE(8149), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9720), 1,
      sym_annotation,
    STATE(8266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410912] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11961), 1,
      anon_sym_with,
    STATE(8267), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410953] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9109), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [410992] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8983), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [411031] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411070] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10829), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10827), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411109] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8838), 1,
      sym__end_marker,
    STATE(8272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10376), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411150] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411189] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411228] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10796), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10794), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [411267] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411306] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [411345] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10853), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10851), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411384] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 7,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411429] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10857), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10855), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411468] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411507] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411546] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10610), 1,
      anon_sym_DOT,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10614), 1,
      anon_sym_AT,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11792), 1,
      sym_interpolated_string,
    STATE(16742), 1,
      sym__interpolated_string_start,
    STATE(16744), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11964), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(8283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [411617] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411656] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10522), 1,
      anon_sym_AT,
    STATE(8409), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9546), 1,
      sym_annotation,
    STATE(8285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411701] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [411740] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411779] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411818] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11966), 1,
      anon_sym_AT,
    STATE(9537), 1,
      sym_annotation,
    STATE(8289), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411861] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [411900] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411978] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412017] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10402), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10400), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [412056] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10014), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10016), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [412095] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9063), 1,
      anon_sym_match,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(11269), 1,
      anon_sym_LPAREN,
    ACTIONS(11929), 1,
      anon_sym_DOT,
    ACTIONS(11969), 1,
      sym_operator_identifier,
    STATE(1960), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(8296), 2,
      sym_comment,
      sym_block_comment,
    STATE(11076), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [412158] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(8297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8997), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [412203] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11971), 1,
      anon_sym_with,
    STATE(8298), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412244] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412283] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11974), 1,
      anon_sym_with,
    STATE(8300), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412324] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1829), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9444), 1,
      anon_sym_LPAREN,
    ACTIONS(9801), 1,
      anon_sym_LBRACK,
    ACTIONS(9958), 1,
      anon_sym_DOT,
    ACTIONS(11203), 1,
      sym__alpha_identifier,
    ACTIONS(11209), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      sym_operator_identifier,
    ACTIONS(11977), 1,
      anon_sym_EQ,
    STATE(568), 1,
      sym_identifier,
    STATE(4243), 1,
      sym__soft_identifier,
    STATE(8301), 2,
      sym_comment,
      sym_block_comment,
    STATE(8922), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9805), 4,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(11205), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [412387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8638), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [412465] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10422), 1,
      anon_sym_LPAREN,
    STATE(8443), 1,
      aux_sym_annotation_repeat1,
    STATE(9893), 1,
      sym_arguments,
    STATE(8304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412510] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4409), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(8305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [412553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412631] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9795), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [412672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412711] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412750] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10907), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10905), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412828] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412867] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412906] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412945] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10911), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10909), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412984] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413023] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1643), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9422), 1,
      anon_sym_LPAREN,
    ACTIONS(10270), 1,
      anon_sym_DOT,
    ACTIONS(11335), 1,
      sym__alpha_identifier,
    ACTIONS(11341), 1,
      sym__backquoted_id,
    ACTIONS(11343), 1,
      sym_operator_identifier,
    ACTIONS(11979), 1,
      anon_sym_EQ,
    STATE(560), 1,
      sym_identifier,
    STATE(4257), 1,
      sym__soft_identifier,
    ACTIONS(9801), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(8318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
    STATE(9102), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(11337), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [413086] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(11269), 1,
      anon_sym_LPAREN,
    ACTIONS(11929), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(8319), 2,
      sym_comment,
      sym_block_comment,
    STATE(11076), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8997), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 10,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413217] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413256] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4468), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(8323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [413299] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413338] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413377] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9797), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413418] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(931), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(10363), 1,
      anon_sym_LPAREN,
    ACTIONS(10982), 1,
      anon_sym_DOT,
    ACTIONS(10984), 1,
      sym_operator_identifier,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    ACTIONS(9805), 2,
      anon_sym_match,
      anon_sym_then,
    STATE(8327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    STATE(10278), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [413481] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413520] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11981), 1,
      anon_sym_DOT,
    STATE(8329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413561] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(8330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413602] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413641] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413680] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413719] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10056), 15,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [413758] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10937), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10935), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413797] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413836] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [413875] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [413914] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11983), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [413953] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413992] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10402), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10400), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414031] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414070] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [414109] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414148] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414187] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414226] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9821), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [414267] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10939), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414306] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414345] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414384] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [414423] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11989), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11987), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [414462] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414501] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414540] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414579] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414618] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414657] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414696] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414735] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11705), 1,
      anon_sym_LBRACK,
    ACTIONS(11709), 1,
      anon_sym_POUND,
    ACTIONS(11991), 1,
      anon_sym_AT,
    STATE(9772), 1,
      sym_type_arguments,
    STATE(10267), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11061), 1,
      sym_annotation,
    STATE(8360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8358), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414825] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414864] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8949), 1,
      sym_arguments,
    STATE(8363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8370), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [414905] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414944] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415022] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(8367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415063] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415102] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415141] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415180] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9594), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415221] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415260] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415299] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [415338] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415416] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415455] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [415494] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11017), 1,
      anon_sym_AT,
    STATE(8420), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9655), 1,
      sym_annotation,
    STATE(8379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415539] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9323), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [415578] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415617] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [415656] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415697] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10584), 1,
      anon_sym_AT,
    STATE(8392), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9547), 1,
      sym_annotation,
    STATE(8384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9248), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415742] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9675), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9673), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9671), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415783] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [415822] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10907), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10905), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [415861] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [415900] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415978] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416017] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11993), 1,
      anon_sym_AT,
    STATE(9547), 1,
      sym_annotation,
    STATE(8392), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9203), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416060] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416099] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9109), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416138] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10684), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10682), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416177] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10911), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10909), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [416216] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10694), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10692), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416255] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11996), 1,
      anon_sym_AT,
    STATE(9612), 1,
      sym_annotation,
    STATE(8398), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416337] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [416376] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416415] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10434), 1,
      anon_sym_AT,
    STATE(8112), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9533), 1,
      sym_annotation,
    STATE(8402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416460] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11999), 1,
      anon_sym_DOT,
    STATE(8403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416501] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416540] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416579] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9293), 1,
      sym_operator_identifier,
    STATE(1935), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(8406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9063), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [416632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416671] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9358), 1,
      sym_operator_identifier,
    STATE(1926), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(8408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9063), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [416726] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12001), 1,
      anon_sym_AT,
    STATE(9546), 1,
      sym_annotation,
    STATE(8409), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416769] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4395), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(8410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10925), 16,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416812] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10782), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10780), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416890] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416929] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416968] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417007] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417046] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417085] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(8418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417126] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11736), 1,
      anon_sym_DOT,
    ACTIONS(12004), 1,
      anon_sym_EQ_GT,
    STATE(8419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417169] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12006), 1,
      anon_sym_AT,
    STATE(9655), 1,
      sym_annotation,
    STATE(8420), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417212] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10974), 1,
      anon_sym_LPAREN,
    STATE(8425), 1,
      aux_sym_annotation_repeat1,
    STATE(9661), 1,
      sym_arguments,
    STATE(8421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417257] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417296] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417335] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9823), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417376] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12009), 1,
      anon_sym_LPAREN,
    STATE(9661), 1,
      sym_arguments,
    STATE(8425), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417419] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417458] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10800), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10798), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417497] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9133), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417575] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11696), 1,
      anon_sym_EQ_GT,
    STATE(8430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417616] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(8431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417657] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9160), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417696] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10804), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10802), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417735] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9160), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417774] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9592), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417815] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9283), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417854] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417893] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417932] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [417971] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9862), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418012] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418051] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11363), 1,
      anon_sym_AT,
    STATE(8541), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9440), 1,
      sym_annotation,
    STATE(8442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418096] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12012), 1,
      anon_sym_LPAREN,
    STATE(9893), 1,
      sym_arguments,
    STATE(8443), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418139] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12015), 1,
      anon_sym_with,
    STATE(8444), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418180] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418219] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418258] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10939), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [418297] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9835), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [418336] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418375] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [418414] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [418453] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418492] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12018), 1,
      anon_sym_DOT,
    STATE(8453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418533] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418572] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11787), 1,
      anon_sym_EQ_GT,
    STATE(8455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418613] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [418652] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418691] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418730] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418769] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8638), 1,
      anon_sym_EQ,
    ACTIONS(11410), 1,
      anon_sym_with,
    ACTIONS(11902), 1,
      anon_sym_COLON,
    ACTIONS(12020), 1,
      anon_sym_LBRACE,
    STATE(8193), 1,
      aux_sym_compound_type_repeat1,
    STATE(10547), 1,
      sym_template_body,
    STATE(10559), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8460), 2,
      sym_comment,
      sym_block_comment,
    STATE(10600), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418828] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418867] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10079), 15,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [418906] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10810), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10808), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [418945] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418984] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10696), 1,
      anon_sym_AT,
    STATE(8195), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9872), 1,
      sym_annotation,
    STATE(8465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419029] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11013), 1,
      sym__backquoted_id,
    ACTIONS(11472), 1,
      anon_sym_DOT,
    ACTIONS(11480), 1,
      anon_sym_AT,
    STATE(4340), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(12387), 1,
      sym_interpolated_string,
    STATE(16054), 1,
      sym__interpolated_string_start,
    STATE(16057), 1,
      sym__interpolated_multiline_string_start,
    STATE(8466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11011), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419088] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419127] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10220), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10222), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [419166] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4385), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(8469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [419209] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(11470), 1,
      anon_sym_COLON,
    ACTIONS(11472), 1,
      anon_sym_DOT,
    ACTIONS(11474), 1,
      anon_sym_STAR,
    ACTIONS(11480), 1,
      anon_sym_AT,
    ACTIONS(11484), 1,
      sym_operator_identifier,
    STATE(4340), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(12387), 1,
      sym_interpolated_string,
    STATE(16054), 1,
      sym__interpolated_string_start,
    STATE(16057), 1,
      sym__interpolated_multiline_string_start,
    STATE(8470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 3,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [419278] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419317] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [419356] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10277), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10279), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419395] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10281), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10283), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419473] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11201), 1,
      anon_sym_AT,
    STATE(8289), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9537), 1,
      sym_annotation,
    STATE(8476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419518] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12025), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12023), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [419557] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12027), 1,
      anon_sym_with,
    STATE(9188), 1,
      aux_sym_compound_type_repeat1,
    STATE(11495), 1,
      sym_template_body,
    STATE(11496), 1,
      sym__refinement,
    STATE(11582), 1,
      sym_arguments,
    STATE(8478), 2,
      sym_comment,
      sym_block_comment,
    STATE(11566), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8370), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419608] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [419647] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419686] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10277), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10279), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [419725] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10281), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10283), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [419764] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [419803] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11132), 1,
      anon_sym_LPAREN,
    STATE(8543), 1,
      aux_sym_annotation_repeat1,
    STATE(9636), 1,
      sym_arguments,
    STATE(8484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419848] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10800), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10798), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [419887] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419926] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [419965] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [420004] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420043] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12029), 1,
      anon_sym_COLON,
    ACTIONS(12032), 1,
      anon_sym_LBRACE,
    STATE(9960), 1,
      sym_template_body,
    STATE(6157), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9350), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9342), 12,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420129] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420168] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420207] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420246] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [420285] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420324] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2648), 1,
      anon_sym_EQ,
    ACTIONS(8410), 1,
      anon_sym_LPAREN,
    ACTIONS(9596), 1,
      anon_sym_COLON,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    ACTIONS(9598), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(9604), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8758), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8939), 4,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
    ACTIONS(8960), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420416] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420455] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9224), 1,
      sym_operator_identifier,
    STATE(1927), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(8500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9063), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [420508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420547] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9016), 1,
      sym__end_marker,
    STATE(8502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10376), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420588] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420627] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8983), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [420666] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11408), 1,
      anon_sym_LBRACE,
    ACTIONS(11410), 1,
      anon_sym_with,
    ACTIONS(11902), 1,
      anon_sym_COLON,
    STATE(8519), 1,
      aux_sym_compound_type_repeat1,
    STATE(10547), 1,
      sym_template_body,
    STATE(10559), 1,
      sym__refinement,
    STATE(8505), 2,
      sym_comment,
      sym_block_comment,
    STATE(10600), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 11,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420719] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(10980), 1,
      sym__backquoted_id,
    ACTIONS(11472), 1,
      anon_sym_DOT,
    ACTIONS(11480), 1,
      anon_sym_AT,
    STATE(4340), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(12387), 1,
      sym_interpolated_string,
    STATE(16054), 1,
      sym__interpolated_string_start,
    STATE(16057), 1,
      sym__interpolated_multiline_string_start,
    STATE(8506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10978), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420778] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420817] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420856] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420895] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9389), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [420934] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10796), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10794), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420973] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421012] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421051] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421090] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4399), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(8515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [421133] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7416), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7414), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [421172] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11876), 1,
      anon_sym_LBRACE,
    ACTIONS(11878), 1,
      anon_sym_with,
    STATE(10721), 1,
      aux_sym_compound_type_repeat1,
    STATE(11534), 1,
      sym_template_body,
    STATE(11537), 1,
      sym__refinement,
    STATE(8517), 2,
      sym_comment,
      sym_block_comment,
    STATE(11560), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8556), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421223] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421262] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11408), 1,
      anon_sym_LBRACE,
    ACTIONS(11410), 1,
      anon_sym_with,
    ACTIONS(11902), 1,
      anon_sym_COLON,
    STATE(9616), 1,
      aux_sym_compound_type_repeat1,
    STATE(10547), 1,
      sym_template_body,
    STATE(10737), 1,
      sym__refinement,
    STATE(8519), 2,
      sym_comment,
      sym_block_comment,
    STATE(10600), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8556), 11,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421354] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421393] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421432] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10229), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10231), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [421471] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [421510] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10829), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10827), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [421549] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [421588] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [421627] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421666] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [421705] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421744] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10823), 15,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [421783] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(17367), 1,
      sym__type_parameter,
    STATE(17436), 1,
      sym__variant_type_parameter,
    STATE(8532), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [421850] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421889] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [421928] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [422006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [422045] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422084] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7416), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7414), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422123] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11373), 1,
      anon_sym_LPAREN,
    STATE(8544), 1,
      aux_sym_annotation_repeat1,
    STATE(9796), 1,
      sym_arguments,
    STATE(8540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422168] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12035), 1,
      anon_sym_AT,
    STATE(9440), 1,
      sym_annotation,
    STATE(8541), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10007), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [422250] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12038), 1,
      anon_sym_LPAREN,
    STATE(9636), 1,
      sym_arguments,
    STATE(8543), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422293] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12041), 1,
      anon_sym_LPAREN,
    STATE(9796), 1,
      sym_arguments,
    STATE(8544), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422336] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4258), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422375] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422414] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10083), 15,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [422453] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13), 1,
      anon_sym_LBRACE,
    ACTIONS(11269), 1,
      anon_sym_LPAREN,
    ACTIONS(11929), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(8548), 2,
      sym_comment,
      sym_block_comment,
    STATE(11076), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8949), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8947), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422543] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10853), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10851), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [422582] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422621] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10857), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10855), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [422660] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2648), 1,
      anon_sym_EQ,
    ACTIONS(8410), 2,
      anon_sym_DOT,
      anon_sym_LPAREN,
    STATE(8553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9291), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422703] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [422742] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(8555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8997), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [422787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422826] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422865] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10782), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10780), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [422904] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12044), 1,
      anon_sym_DOT,
    STATE(8559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [422945] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9675), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9673), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9671), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422986] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [423025] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(16871), 1,
      sym__type_parameter,
    STATE(8562), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [423092] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423170] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(10280), 1,
      sym_interpolated_string,
    STATE(16496), 1,
      sym__interpolated_string_start,
    STATE(16527), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(12046), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423221] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423260] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10220), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10222), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [423299] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423344] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9677), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423385] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [423424] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423463] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [423502] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1829), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9444), 1,
      anon_sym_LPAREN,
    ACTIONS(9801), 1,
      anon_sym_LBRACK,
    ACTIONS(9958), 1,
      anon_sym_DOT,
    ACTIONS(11203), 1,
      sym__alpha_identifier,
    ACTIONS(11209), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      sym_operator_identifier,
    ACTIONS(12048), 1,
      anon_sym_EQ,
    STATE(568), 1,
      sym_identifier,
    STATE(4243), 1,
      sym__soft_identifier,
    STATE(8573), 2,
      sym_comment,
      sym_block_comment,
    STATE(8922), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9805), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(11205), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [423565] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10605), 1,
      sym_interpolated_string,
    STATE(16953), 1,
      sym__interpolated_string_start,
    STATE(16955), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(12050), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [423636] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(11408), 1,
      anon_sym_LBRACE,
    ACTIONS(11410), 1,
      anon_sym_with,
    ACTIONS(11902), 1,
      anon_sym_COLON,
    STATE(8519), 1,
      aux_sym_compound_type_repeat1,
    STATE(10547), 1,
      sym_template_body,
    STATE(10559), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8575), 2,
      sym_comment,
      sym_block_comment,
    STATE(10600), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423693] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10007), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [423732] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [423771] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [423810] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [423849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423888] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12052), 1,
      anon_sym_LBRACK,
    ACTIONS(12054), 1,
      anon_sym_LPAREN,
    ACTIONS(12056), 1,
      anon_sym_POUND,
    STATE(10245), 1,
      sym_type_arguments,
    STATE(10310), 1,
      aux_sym_annotation_repeat1,
    STATE(11010), 1,
      sym_arguments,
    STATE(8581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(8262), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [423978] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10093), 15,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [424017] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424056] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9846), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424097] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16327), 1,
      sym__type_parameter,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(8586), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [424164] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424203] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16403), 1,
      sym__type_parameter,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(8588), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [424270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424309] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16442), 1,
      sym__type_parameter,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(8590), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [424376] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1643), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9422), 1,
      anon_sym_LPAREN,
    ACTIONS(10270), 1,
      anon_sym_DOT,
    ACTIONS(11335), 1,
      sym__alpha_identifier,
    ACTIONS(11341), 1,
      sym__backquoted_id,
    ACTIONS(11343), 1,
      sym_operator_identifier,
    ACTIONS(12058), 1,
      anon_sym_EQ,
    STATE(560), 1,
      sym_identifier,
    STATE(4257), 1,
      sym__soft_identifier,
    ACTIONS(9801), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(8591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
    STATE(9102), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(11337), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [424439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424478] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12060), 1,
      anon_sym_with,
    STATE(8593), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [424519] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12063), 1,
      anon_sym_with,
    STATE(8594), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9647), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [424560] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424638] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424677] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8913), 1,
      sym__end_marker,
    STATE(8598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10376), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [424718] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10220), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10222), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424757] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424796] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10605), 1,
      sym_interpolated_string,
    STATE(16953), 1,
      sym__interpolated_string_start,
    STATE(16955), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(8746), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [424867] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424906] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424945] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [424984] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4400), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(8605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [425027] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [425066] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425105] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9850), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425146] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10229), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10231), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [425185] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425224] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12066), 1,
      anon_sym_AT,
    STATE(9907), 1,
      sym_annotation,
    STATE(8611), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425267] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(8612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425308] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9133), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425347] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425386] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425425] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425464] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7288), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425503] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17068), 1,
      sym__type_parameter,
    STATE(8618), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [425570] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17078), 1,
      sym__type_parameter,
    STATE(8619), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [425637] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17083), 1,
      sym__type_parameter,
    STATE(8620), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [425704] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17086), 1,
      sym__type_parameter,
    STATE(8621), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [425771] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17091), 1,
      sym__type_parameter,
    STATE(8622), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [425838] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17095), 1,
      sym__type_parameter,
    STATE(8623), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [425905] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17098), 1,
      sym__type_parameter,
    STATE(8624), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [425972] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17101), 1,
      sym__type_parameter,
    STATE(8625), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [426039] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17105), 1,
      sym__type_parameter,
    STATE(8626), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [426106] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17107), 1,
      sym__type_parameter,
    STATE(8627), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [426173] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17112), 1,
      sym__type_parameter,
    STATE(8628), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [426240] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17116), 1,
      sym__type_parameter,
    STATE(8629), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [426307] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17121), 1,
      sym__type_parameter,
    STATE(8630), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [426374] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17126), 1,
      sym__type_parameter,
    STATE(8631), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [426441] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17130), 1,
      sym__type_parameter,
    STATE(8632), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [426508] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17135), 1,
      sym__type_parameter,
    STATE(8633), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [426575] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17139), 1,
      sym__type_parameter,
    STATE(8634), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [426642] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17143), 1,
      sym__type_parameter,
    STATE(8635), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [426709] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17145), 1,
      sym__type_parameter,
    STATE(8636), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [426776] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17149), 1,
      sym__type_parameter,
    STATE(8637), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [426843] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17152), 1,
      sym__type_parameter,
    STATE(8638), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [426910] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17155), 1,
      sym__type_parameter,
    STATE(8639), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [426977] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17160), 1,
      sym__type_parameter,
    STATE(8640), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [427044] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17164), 1,
      sym__type_parameter,
    STATE(8641), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [427111] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17167), 1,
      sym__type_parameter,
    STATE(8642), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [427178] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17171), 1,
      sym__type_parameter,
    STATE(8643), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [427245] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17175), 1,
      sym__type_parameter,
    STATE(8644), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [427312] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17178), 1,
      sym__type_parameter,
    STATE(8645), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [427379] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17182), 1,
      sym__type_parameter,
    STATE(8646), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [427446] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17185), 1,
      sym__type_parameter,
    STATE(8647), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [427513] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17188), 1,
      sym__type_parameter,
    STATE(8648), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [427580] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17193), 1,
      sym__type_parameter,
    STATE(8649), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [427647] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17198), 1,
      sym__type_parameter,
    STATE(8650), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [427714] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17200), 1,
      sym__type_parameter,
    STATE(8651), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [427781] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17204), 1,
      sym__type_parameter,
    STATE(8652), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [427848] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17206), 1,
      sym__type_parameter,
    STATE(8653), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [427915] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17210), 1,
      sym__type_parameter,
    STATE(8654), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [427982] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17213), 1,
      sym__type_parameter,
    STATE(8655), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [428049] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17215), 1,
      sym__type_parameter,
    STATE(8656), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [428116] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17219), 1,
      sym__type_parameter,
    STATE(8657), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [428183] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17223), 1,
      sym__type_parameter,
    STATE(8658), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [428250] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17226), 1,
      sym__type_parameter,
    STATE(8659), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [428317] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17231), 1,
      sym__type_parameter,
    STATE(8660), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [428384] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17235), 1,
      sym__type_parameter,
    STATE(8661), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [428451] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17238), 1,
      sym__type_parameter,
    STATE(8662), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [428518] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17242), 1,
      sym__type_parameter,
    STATE(8663), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [428585] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17245), 1,
      sym__type_parameter,
    STATE(8664), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [428652] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17247), 1,
      sym__type_parameter,
    STATE(8665), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [428719] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17252), 1,
      sym__type_parameter,
    STATE(8666), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [428786] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17256), 1,
      sym__type_parameter,
    STATE(8667), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [428853] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17259), 1,
      sym__type_parameter,
    STATE(8668), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [428920] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17264), 1,
      sym__type_parameter,
    STATE(8669), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [428987] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17267), 1,
      sym__type_parameter,
    STATE(8670), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [429054] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17271), 1,
      sym__type_parameter,
    STATE(8671), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [429121] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17276), 1,
      sym__type_parameter,
    STATE(8672), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [429188] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17280), 1,
      sym__type_parameter,
    STATE(8673), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [429255] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17283), 1,
      sym__type_parameter,
    STATE(8674), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [429322] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17285), 1,
      sym__type_parameter,
    STATE(8675), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [429389] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17288), 1,
      sym__type_parameter,
    STATE(8676), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [429456] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17291), 1,
      sym__type_parameter,
    STATE(8677), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [429523] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17294), 1,
      sym__type_parameter,
    STATE(8678), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [429590] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17296), 1,
      sym__type_parameter,
    STATE(8679), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [429657] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(15875), 1,
      sym__type_parameter,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(8680), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [429724] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17300), 1,
      sym__type_parameter,
    STATE(8681), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [429791] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8812), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(16533), 1,
      sym__variant_type_parameter,
    STATE(17302), 1,
      sym__type_parameter,
    STATE(8682), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17346), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [429858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429935] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12069), 1,
      sym__alpha_identifier,
    ACTIONS(12071), 1,
      anon_sym__,
    ACTIONS(12075), 1,
      anon_sym_LPAREN,
    ACTIONS(12077), 1,
      sym__backquoted_id,
    ACTIONS(12079), 1,
      sym_operator_identifier,
    STATE(11620), 1,
      sym__simple_type,
    STATE(12062), 1,
      sym__soft_identifier,
    STATE(12302), 1,
      sym_identifier,
    STATE(18496), 1,
      sym_stable_identifier,
    STATE(8685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12073), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12929), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [429991] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430029] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430067] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430105] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9409), 1,
      anon_sym_LBRACE,
    ACTIONS(9411), 1,
      anon_sym_with,
    STATE(8796), 1,
      aux_sym_compound_type_repeat1,
    STATE(9253), 1,
      sym_template_body,
    STATE(9260), 1,
      sym__refinement,
    STATE(8689), 2,
      sym_comment,
      sym_block_comment,
    STATE(8998), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8606), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430193] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8853), 1,
      sym__alpha_identifier,
    ACTIONS(8855), 1,
      anon_sym__,
    ACTIONS(8859), 1,
      anon_sym_LPAREN,
    ACTIONS(8861), 1,
      sym__backquoted_id,
    ACTIONS(8863), 1,
      sym_operator_identifier,
    STATE(6277), 1,
      sym__simple_type,
    STATE(8238), 1,
      sym_identifier,
    STATE(8317), 1,
      sym__soft_identifier,
    STATE(18785), 1,
      sym_stable_identifier,
    STATE(8691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8857), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8092), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [430249] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [430287] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10229), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10231), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [430325] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12081), 1,
      anon_sym_with,
    STATE(8694), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430365] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430403] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [430441] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10939), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [430479] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12084), 1,
      sym__alpha_identifier,
    ACTIONS(12086), 1,
      anon_sym__,
    ACTIONS(12090), 1,
      anon_sym_LPAREN,
    ACTIONS(12092), 1,
      sym__backquoted_id,
    ACTIONS(12094), 1,
      sym_operator_identifier,
    STATE(11611), 1,
      sym__soft_identifier,
    STATE(13201), 1,
      sym__simple_type,
    STATE(14121), 1,
      sym_identifier,
    STATE(18581), 1,
      sym_stable_identifier,
    STATE(8698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(14689), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [430535] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 7,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430579] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430617] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [430655] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8865), 1,
      sym__alpha_identifier,
    ACTIONS(8867), 1,
      anon_sym__,
    ACTIONS(8871), 1,
      anon_sym_LPAREN,
    ACTIONS(8873), 1,
      sym__backquoted_id,
    ACTIONS(8875), 1,
      sym_operator_identifier,
    STATE(7024), 1,
      sym__simple_type,
    STATE(8782), 1,
      sym_identifier,
    STATE(8836), 1,
      sym__soft_identifier,
    STATE(17800), 1,
      sym_stable_identifier,
    STATE(8702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8869), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9088), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [430711] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [430749] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9109), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [430825] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430863] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12096), 1,
      sym__alpha_identifier,
    ACTIONS(12098), 1,
      anon_sym__,
    ACTIONS(12102), 1,
      anon_sym_LPAREN,
    ACTIONS(12104), 1,
      sym__backquoted_id,
    ACTIONS(12106), 1,
      sym_operator_identifier,
    STATE(11425), 1,
      sym__simple_type,
    STATE(11937), 1,
      sym_identifier,
    STATE(12001), 1,
      sym__soft_identifier,
    STATE(18614), 1,
      sym_stable_identifier,
    STATE(8707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12100), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12217), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [430919] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [430957] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [430995] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9553), 1,
      sym_arguments,
    STATE(8710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431035] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431073] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431111] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4530), 1,
      sym__alpha_identifier,
    ACTIONS(4536), 1,
      anon_sym__,
    ACTIONS(4548), 1,
      sym__backquoted_id,
    ACTIONS(6682), 1,
      sym_operator_identifier,
    ACTIONS(8148), 1,
      anon_sym_LPAREN,
    STATE(5402), 1,
      sym__simple_type,
    STATE(6552), 1,
      sym__soft_identifier,
    STATE(6995), 1,
      sym_identifier,
    STATE(17830), 1,
      sym_stable_identifier,
    STATE(8713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4542), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7733), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [431167] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431205] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9835), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [431243] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5412), 1,
      anon_sym__,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(5422), 1,
      sym_operator_identifier,
    ACTIONS(8012), 1,
      anon_sym_LPAREN,
    STATE(5957), 1,
      sym__simple_type,
    STATE(7544), 1,
      sym_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(17859), 1,
      sym_stable_identifier,
    STATE(8716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8333), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [431299] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431337] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6738), 1,
      sym__alpha_identifier,
    ACTIONS(6740), 1,
      anon_sym__,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(6750), 1,
      sym_operator_identifier,
    ACTIONS(7798), 1,
      anon_sym_LPAREN,
    STATE(5813), 1,
      sym__simple_type,
    STATE(7627), 1,
      sym_identifier,
    STATE(7645), 1,
      sym__soft_identifier,
    STATE(17885), 1,
      sym_stable_identifier,
    STATE(8718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8393), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [431393] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12108), 1,
      anon_sym_with,
    STATE(8719), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431433] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431471] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10277), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10279), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [431509] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6776), 1,
      sym__alpha_identifier,
    ACTIONS(6782), 1,
      anon_sym__,
    ACTIONS(6790), 1,
      sym__backquoted_id,
    ACTIONS(6792), 1,
      sym_operator_identifier,
    ACTIONS(8022), 1,
      anon_sym_LPAREN,
    STATE(5350), 1,
      sym__simple_type,
    STATE(6632), 1,
      sym__soft_identifier,
    STATE(6764), 1,
      sym_identifier,
    STATE(17910), 1,
      sym_stable_identifier,
    STATE(8722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6786), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7852), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [431565] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10281), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10283), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [431603] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431641] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9799), 1,
      sym__alpha_identifier,
    ACTIONS(9807), 1,
      anon_sym_EQ,
    ACTIONS(9809), 1,
      sym__backquoted_id,
    ACTIONS(9811), 1,
      sym_operator_identifier,
    STATE(540), 1,
      sym_identifier,
    STATE(4172), 1,
      sym__soft_identifier,
    STATE(8725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9803), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9805), 7,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [431695] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431733] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [431771] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [431809] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12111), 1,
      anon_sym_COLON,
    ACTIONS(12114), 1,
      anon_sym_LBRACE,
    STATE(10386), 1,
      sym_template_body,
    STATE(6866), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9350), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9342), 11,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431855] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431893] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8877), 1,
      sym__alpha_identifier,
    ACTIONS(8883), 1,
      anon_sym__,
    ACTIONS(8887), 1,
      anon_sym_LPAREN,
    ACTIONS(8889), 1,
      sym__backquoted_id,
    ACTIONS(8891), 1,
      sym_operator_identifier,
    STATE(4733), 1,
      sym__simple_type,
    STATE(5693), 1,
      sym_identifier,
    STATE(5773), 1,
      sym__soft_identifier,
    STATE(17960), 1,
      sym_stable_identifier,
    STATE(8731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8885), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5782), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [431949] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(8732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8997), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431993] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [432031] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9801), 1,
      anon_sym_LBRACK,
    ACTIONS(9817), 1,
      anon_sym_LPAREN,
    ACTIONS(10602), 1,
      anon_sym_DOT,
    ACTIONS(11657), 1,
      sym__alpha_identifier,
    ACTIONS(11663), 1,
      sym__backquoted_id,
    ACTIONS(11665), 1,
      sym_operator_identifier,
    ACTIONS(12117), 1,
      anon_sym_EQ,
    STATE(624), 1,
      sym_identifier,
    STATE(4270), 1,
      sym__soft_identifier,
    STATE(8734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
    STATE(9742), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(11659), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [432093] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [432131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [432169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432207] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4946), 1,
      anon_sym__,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(6888), 1,
      sym_operator_identifier,
    ACTIONS(7768), 1,
      anon_sym_LPAREN,
    STATE(4530), 1,
      sym__simple_type,
    STATE(4757), 1,
      sym__soft_identifier,
    STATE(4760), 1,
      sym_identifier,
    STATE(17983), 1,
      sym_stable_identifier,
    STATE(8738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4952), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4915), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [432263] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [432301] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10139), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [432341] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432379] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [432417] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9283), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432455] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(8638), 6,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_while,
      anon_sym_EQ,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432499] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10151), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432539] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [432577] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12119), 1,
      anon_sym_with,
    STATE(8747), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432617] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(115), 1,
      anon_sym__,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(5486), 1,
      sym_operator_identifier,
    ACTIONS(7808), 1,
      anon_sym_LPAREN,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4680), 1,
      sym__simple_type,
    STATE(4966), 1,
      sym_identifier,
    STATE(18006), 1,
      sym_stable_identifier,
    STATE(8748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5186), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [432673] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432711] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [432749] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10155), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432789] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9358), 1,
      sym_operator_identifier,
    STATE(1926), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(8752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9063), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [432841] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9143), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [432879] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6684), 1,
      sym__alpha_identifier,
    ACTIONS(6686), 1,
      anon_sym__,
    ACTIONS(6694), 1,
      sym__backquoted_id,
    ACTIONS(6696), 1,
      sym_operator_identifier,
    ACTIONS(8042), 1,
      anon_sym_LPAREN,
    STATE(5724), 1,
      sym__simple_type,
    STATE(6983), 1,
      sym_identifier,
    STATE(6988), 1,
      sym__soft_identifier,
    STATE(18029), 1,
      sym_stable_identifier,
    STATE(8754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6690), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7146), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [432935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432973] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [433011] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433049] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11827), 1,
      anon_sym_LBRACK,
    ACTIONS(11833), 1,
      anon_sym_POUND,
    ACTIONS(12122), 1,
      anon_sym_LPAREN,
    STATE(9956), 1,
      aux_sym_annotation_repeat1,
    STATE(10751), 1,
      sym_type_arguments,
    STATE(10931), 1,
      sym_arguments,
    STATE(8758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 3,
      anon_sym_LBRACE,
      anon_sym_DOT,
      sym__backquoted_id,
    ACTIONS(8262), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433099] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433137] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [433175] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12124), 1,
      sym__alpha_identifier,
    ACTIONS(12126), 1,
      anon_sym__,
    ACTIONS(12130), 1,
      anon_sym_LPAREN,
    ACTIONS(12132), 1,
      sym__backquoted_id,
    ACTIONS(12134), 1,
      sym_operator_identifier,
    STATE(11471), 1,
      sym__simple_type,
    STATE(11739), 1,
      sym__soft_identifier,
    STATE(11864), 1,
      sym_identifier,
    STATE(18821), 1,
      sym_stable_identifier,
    STATE(8761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12393), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [433231] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6926), 1,
      sym__alpha_identifier,
    ACTIONS(6932), 1,
      anon_sym__,
    ACTIONS(6940), 1,
      sym__backquoted_id,
    ACTIONS(6942), 1,
      sym_operator_identifier,
    ACTIONS(8092), 1,
      anon_sym_LPAREN,
    STATE(5202), 1,
      sym__simple_type,
    STATE(6312), 1,
      sym_identifier,
    STATE(6321), 1,
      sym__soft_identifier,
    STATE(18052), 1,
      sym_stable_identifier,
    STATE(8762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6936), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6768), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [433287] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433325] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [433363] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433401] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8907), 1,
      sym__alpha_identifier,
    ACTIONS(8909), 1,
      anon_sym__,
    ACTIONS(8913), 1,
      anon_sym_LPAREN,
    ACTIONS(8915), 1,
      sym__backquoted_id,
    ACTIONS(8917), 1,
      sym_operator_identifier,
    STATE(5227), 1,
      sym__simple_type,
    STATE(6371), 1,
      sym__soft_identifier,
    STATE(7062), 1,
      sym_identifier,
    STATE(18075), 1,
      sym_stable_identifier,
    STATE(8766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8911), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6839), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [433457] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433495] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433533] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [433571] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9139), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [433609] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4410), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(8771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433651] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12136), 1,
      sym__alpha_identifier,
    ACTIONS(12138), 1,
      anon_sym__,
    ACTIONS(12142), 1,
      anon_sym_LPAREN,
    ACTIONS(12144), 1,
      sym__backquoted_id,
    ACTIONS(12146), 1,
      sym_operator_identifier,
    STATE(12349), 1,
      sym__simple_type,
    STATE(13542), 1,
      sym__soft_identifier,
    STATE(13584), 1,
      sym_identifier,
    STATE(18674), 1,
      sym_stable_identifier,
    STATE(8772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(14016), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [433707] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433745] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [433783] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8638), 1,
      anon_sym_as,
    ACTIONS(9409), 1,
      anon_sym_LBRACE,
    ACTIONS(9411), 1,
      anon_sym_with,
    ACTIONS(12148), 1,
      anon_sym_COLON,
    STATE(8796), 1,
      aux_sym_compound_type_repeat1,
    STATE(9253), 1,
      sym_template_body,
    STATE(9260), 1,
      sym__refinement,
    ACTIONS(8636), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8775), 2,
      sym_comment,
      sym_block_comment,
    STATE(8998), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433841] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433879] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433917] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433955] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4338), 1,
      sym__alpha_identifier,
    ACTIONS(4344), 1,
      anon_sym__,
    ACTIONS(4356), 1,
      sym__backquoted_id,
    ACTIONS(6476), 1,
      sym_operator_identifier,
    ACTIONS(8118), 1,
      anon_sym_LPAREN,
    STATE(4831), 1,
      sym__simple_type,
    STATE(5377), 1,
      sym__soft_identifier,
    STATE(5681), 1,
      sym_identifier,
    STATE(18098), 1,
      sym_stable_identifier,
    STATE(8779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4350), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5873), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [434011] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9291), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434049] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434087] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12151), 1,
      anon_sym_DOT,
    STATE(8782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434127] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9109), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [434165] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8919), 1,
      sym__alpha_identifier,
    ACTIONS(8921), 1,
      anon_sym__,
    ACTIONS(8925), 1,
      anon_sym_LPAREN,
    ACTIONS(8927), 1,
      sym__backquoted_id,
    ACTIONS(8929), 1,
      sym_operator_identifier,
    STATE(5305), 1,
      sym__simple_type,
    STATE(6512), 1,
      sym__soft_identifier,
    STATE(6556), 1,
      sym_identifier,
    STATE(18121), 1,
      sym_stable_identifier,
    STATE(8784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8923), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6863), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [434221] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434259] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12153), 1,
      sym__alpha_identifier,
    ACTIONS(12155), 1,
      anon_sym__,
    ACTIONS(12159), 1,
      anon_sym_LPAREN,
    ACTIONS(12161), 1,
      sym__backquoted_id,
    ACTIONS(12163), 1,
      sym_operator_identifier,
    STATE(12196), 1,
      sym__simple_type,
    STATE(13389), 1,
      sym_identifier,
    STATE(13552), 1,
      sym__soft_identifier,
    STATE(18710), 1,
      sym_stable_identifier,
    STATE(8786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12157), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13681), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [434315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [434391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7416), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7414), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434429] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(8790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 7,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434471] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9303), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434509] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4500), 1,
      sym__alpha_identifier,
    ACTIONS(4506), 1,
      anon_sym__,
    ACTIONS(4518), 1,
      sym__backquoted_id,
    ACTIONS(6766), 1,
      sym_operator_identifier,
    ACTIONS(8128), 1,
      anon_sym_LPAREN,
    STATE(5742), 1,
      sym__simple_type,
    STATE(6705), 1,
      sym_identifier,
    STATE(6913), 1,
      sym__soft_identifier,
    STATE(18142), 1,
      sym_stable_identifier,
    STATE(8792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4512), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7249), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [434565] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7416), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7414), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [434603] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11602), 1,
      anon_sym_AT,
    STATE(8839), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10326), 1,
      sym_annotation,
    STATE(8794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434647] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8624), 1,
      sym__alpha_identifier,
    ACTIONS(8626), 1,
      anon_sym__,
    ACTIONS(8630), 1,
      anon_sym_LPAREN,
    ACTIONS(8632), 1,
      sym__backquoted_id,
    ACTIONS(8634), 1,
      sym_operator_identifier,
    STATE(5609), 1,
      sym__simple_type,
    STATE(7147), 1,
      sym_identifier,
    STATE(7815), 1,
      sym__soft_identifier,
    STATE(18164), 1,
      sym_stable_identifier,
    STATE(8795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8628), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7283), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [434703] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9409), 1,
      anon_sym_LBRACE,
    ACTIONS(9411), 1,
      anon_sym_with,
    STATE(6870), 1,
      aux_sym_compound_type_repeat1,
    STATE(9253), 1,
      sym_template_body,
    STATE(9360), 1,
      sym__refinement,
    STATE(8796), 2,
      sym_comment,
      sym_block_comment,
    STATE(8998), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8556), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434753] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434791] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434829] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9307), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434867] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434905] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434943] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12165), 1,
      sym__alpha_identifier,
    ACTIONS(12167), 1,
      anon_sym__,
    ACTIONS(12171), 1,
      anon_sym_LPAREN,
    ACTIONS(12173), 1,
      sym__backquoted_id,
    ACTIONS(12175), 1,
      sym_operator_identifier,
    STATE(11035), 1,
      sym__simple_type,
    STATE(11400), 1,
      sym_identifier,
    STATE(11584), 1,
      sym__soft_identifier,
    STATE(18728), 1,
      sym_stable_identifier,
    STATE(8802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12169), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11648), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [434999] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9309), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435037] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12004), 1,
      anon_sym_EQ_GT,
    STATE(8804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435077] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9934), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435117] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9321), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435231] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4670), 1,
      sym__alpha_identifier,
    ACTIONS(4676), 1,
      anon_sym__,
    ACTIONS(4688), 1,
      sym__backquoted_id,
    ACTIONS(6440), 1,
      sym_operator_identifier,
    ACTIONS(7558), 1,
      anon_sym_LPAREN,
    STATE(6274), 1,
      sym__simple_type,
    STATE(7686), 1,
      sym_identifier,
    STATE(7831), 1,
      sym__soft_identifier,
    STATE(18186), 1,
      sym_stable_identifier,
    STATE(8809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4682), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8270), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [435287] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435325] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435363] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11488), 1,
      anon_sym_LBRACK,
    ACTIONS(11492), 1,
      anon_sym_PLUS,
    ACTIONS(11494), 1,
      anon_sym_DASH,
    ACTIONS(11496), 1,
      anon_sym_AT,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11841), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12316), 1,
      sym_annotation,
    STATE(17455), 1,
      sym__type_parameter,
    STATE(8812), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(17618), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [435427] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [435465] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8612), 1,
      sym__alpha_identifier,
    ACTIONS(8614), 1,
      anon_sym__,
    ACTIONS(8618), 1,
      anon_sym_LPAREN,
    ACTIONS(8620), 1,
      sym__backquoted_id,
    ACTIONS(8622), 1,
      sym_operator_identifier,
    STATE(6339), 1,
      sym__simple_type,
    STATE(9099), 1,
      sym_identifier,
    STATE(9327), 1,
      sym__soft_identifier,
    STATE(18208), 1,
      sym_stable_identifier,
    STATE(8814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8616), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9084), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [435521] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435559] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9125), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435597] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9323), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435635] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [435673] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8983), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [435711] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10220), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10222), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435749] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12177), 1,
      sym__alpha_identifier,
    ACTIONS(12179), 1,
      anon_sym__,
    ACTIONS(12183), 1,
      anon_sym_LPAREN,
    ACTIONS(12185), 1,
      sym__backquoted_id,
    ACTIONS(12187), 1,
      sym_operator_identifier,
    STATE(11298), 1,
      sym__simple_type,
    STATE(12015), 1,
      sym__soft_identifier,
    STATE(12169), 1,
      sym_identifier,
    STATE(18740), 1,
      sym_stable_identifier,
    STATE(8821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12181), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12424), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [435805] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435843] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [435881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10220), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10222), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [435919] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9212), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435957] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9135), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435995] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436033] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10130), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436073] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6996), 1,
      sym__alpha_identifier,
    ACTIONS(6998), 1,
      anon_sym__,
    ACTIONS(7006), 1,
      sym__backquoted_id,
    ACTIONS(7008), 1,
      sym_operator_identifier,
    ACTIONS(7568), 1,
      anon_sym_LPAREN,
    STATE(5869), 1,
      sym__simple_type,
    STATE(7198), 1,
      sym_identifier,
    STATE(7879), 1,
      sym__soft_identifier,
    STATE(18230), 1,
      sym_stable_identifier,
    STATE(8829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8475), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [436129] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8456), 1,
      sym__alpha_identifier,
    ACTIONS(8462), 1,
      anon_sym__,
    ACTIONS(8466), 1,
      anon_sym_LPAREN,
    ACTIONS(8468), 1,
      sym__backquoted_id,
    ACTIONS(8470), 1,
      sym_operator_identifier,
    STATE(8758), 1,
      sym__simple_type,
    STATE(10465), 1,
      sym_identifier,
    STATE(10760), 1,
      sym__soft_identifier,
    STATE(18274), 1,
      sym_stable_identifier,
    STATE(8830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8464), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10704), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [436185] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10671), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [436223] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8578), 1,
      sym__alpha_identifier,
    ACTIONS(8584), 1,
      anon_sym__,
    ACTIONS(8588), 1,
      anon_sym_LPAREN,
    ACTIONS(8590), 1,
      sym__backquoted_id,
    ACTIONS(8592), 1,
      sym_operator_identifier,
    STATE(4533), 1,
      sym__simple_type,
    STATE(4900), 1,
      sym_identifier,
    STATE(4960), 1,
      sym__soft_identifier,
    STATE(18295), 1,
      sym_stable_identifier,
    STATE(8832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8586), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4928), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [436279] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12189), 1,
      anon_sym_LBRACE,
    ACTIONS(12191), 1,
      anon_sym_with,
    STATE(9029), 1,
      aux_sym_compound_type_repeat1,
    STATE(11733), 1,
      sym_template_body,
    STATE(11734), 1,
      sym__refinement,
    STATE(8833), 2,
      sym_comment,
      sym_block_comment,
    STATE(11798), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8608), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8606), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436329] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4417), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(8834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [436371] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4920), 1,
      sym__alpha_identifier,
    ACTIONS(4922), 1,
      anon_sym__,
    ACTIONS(4932), 1,
      sym__backquoted_id,
    ACTIONS(6410), 1,
      sym_operator_identifier,
    ACTIONS(7578), 1,
      anon_sym_LPAREN,
    STATE(4678), 1,
      sym__simple_type,
    STATE(4883), 1,
      sym_identifier,
    STATE(4983), 1,
      sym__soft_identifier,
    STATE(18316), 1,
      sym_stable_identifier,
    STATE(8835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4928), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5064), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [436427] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436465] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9675), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9673), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9671), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436505] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10229), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10231), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436543] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12193), 1,
      anon_sym_AT,
    STATE(10326), 1,
      sym_annotation,
    STATE(8839), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436585] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10690), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10688), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [436623] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11827), 1,
      anon_sym_LBRACK,
    ACTIONS(11829), 1,
      anon_sym_AT,
    ACTIONS(11833), 1,
      anon_sym_POUND,
    STATE(10016), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10751), 1,
      sym_type_arguments,
    STATE(11054), 1,
      sym_annotation,
    STATE(8841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 4,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436673] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436717] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8652), 1,
      sym__alpha_identifier,
    ACTIONS(8658), 1,
      anon_sym__,
    ACTIONS(8662), 1,
      anon_sym_LPAREN,
    ACTIONS(8664), 1,
      sym__backquoted_id,
    ACTIONS(8666), 1,
      sym_operator_identifier,
    STATE(4747), 1,
      sym__simple_type,
    STATE(5376), 1,
      sym__soft_identifier,
    STATE(5520), 1,
      sym_identifier,
    STATE(18337), 1,
      sym_stable_identifier,
    STATE(8843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8660), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5367), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [436773] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6568), 1,
      sym__alpha_identifier,
    ACTIONS(6574), 1,
      anon_sym__,
    ACTIONS(6582), 1,
      sym__backquoted_id,
    ACTIONS(6584), 1,
      sym_operator_identifier,
    ACTIONS(7588), 1,
      anon_sym_LPAREN,
    STATE(4683), 1,
      sym__simple_type,
    STATE(4899), 1,
      sym_identifier,
    STATE(4989), 1,
      sym__soft_identifier,
    STATE(18358), 1,
      sym_stable_identifier,
    STATE(8844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6578), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5115), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [436829] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12196), 1,
      anon_sym_LPAREN,
    ACTIONS(12198), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(4499), 1,
      sym_identifier,
    STATE(4862), 1,
      sym__simple_type,
    STATE(18747), 1,
      sym_stable_identifier,
    STATE(8845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4527), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [436885] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8793), 1,
      sym__alpha_identifier,
    ACTIONS(8795), 1,
      anon_sym__,
    ACTIONS(8799), 1,
      anon_sym_LPAREN,
    ACTIONS(8801), 1,
      sym__backquoted_id,
    ACTIONS(8803), 1,
      sym_operator_identifier,
    STATE(4758), 1,
      sym__simple_type,
    STATE(5401), 1,
      sym__soft_identifier,
    STATE(5700), 1,
      sym_identifier,
    STATE(18378), 1,
      sym_stable_identifier,
    STATE(8846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8797), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5761), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [436941] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4418), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(8847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436983] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11825), 1,
      anon_sym_EQ_GT,
    STATE(8848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437023] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12202), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(12200), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [437061] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12204), 1,
      sym__alpha_identifier,
    ACTIONS(12206), 1,
      anon_sym__,
    ACTIONS(12210), 1,
      anon_sym_LPAREN,
    ACTIONS(12212), 1,
      sym__backquoted_id,
    ACTIONS(12214), 1,
      sym_operator_identifier,
    STATE(11704), 1,
      sym__simple_type,
    STATE(12189), 1,
      sym_identifier,
    STATE(12290), 1,
      sym__soft_identifier,
    STATE(18776), 1,
      sym_stable_identifier,
    STATE(8850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12208), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12866), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [437117] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10782), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10780), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [437155] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4370), 1,
      sym__alpha_identifier,
    ACTIONS(4376), 1,
      anon_sym__,
    ACTIONS(4388), 1,
      sym__backquoted_id,
    ACTIONS(6994), 1,
      sym_operator_identifier,
    ACTIONS(7598), 1,
      anon_sym_LPAREN,
    STATE(4929), 1,
      sym__simple_type,
    STATE(5378), 1,
      sym_identifier,
    STATE(5425), 1,
      sym__soft_identifier,
    STATE(18397), 1,
      sym_stable_identifier,
    STATE(8852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4382), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5830), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [437211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10823), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [437249] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8895), 1,
      sym__alpha_identifier,
    ACTIONS(8897), 1,
      anon_sym__,
    ACTIONS(8901), 1,
      anon_sym_LPAREN,
    ACTIONS(8903), 1,
      sym__backquoted_id,
    ACTIONS(8905), 1,
      sym_operator_identifier,
    STATE(5674), 1,
      sym__simple_type,
    STATE(7119), 1,
      sym__soft_identifier,
    STATE(7388), 1,
      sym_identifier,
    STATE(18417), 1,
      sym_stable_identifier,
    STATE(8854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8899), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7463), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [437305] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437345] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10831), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [437383] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9799), 1,
      sym__alpha_identifier,
    ACTIONS(9809), 1,
      sym__backquoted_id,
    ACTIONS(9811), 1,
      sym_operator_identifier,
    ACTIONS(9848), 1,
      anon_sym_EQ,
    STATE(540), 1,
      sym_identifier,
    STATE(4172), 1,
      sym__soft_identifier,
    STATE(8857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9805), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9803), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [437437] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437475] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10835), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [437513] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12216), 1,
      sym__alpha_identifier,
    ACTIONS(12218), 1,
      anon_sym__,
    ACTIONS(12222), 1,
      anon_sym_LPAREN,
    ACTIONS(12224), 1,
      sym__backquoted_id,
    ACTIONS(12226), 1,
      sym_operator_identifier,
    STATE(13124), 1,
      sym__simple_type,
    STATE(13960), 1,
      sym_identifier,
    STATE(13963), 1,
      sym__soft_identifier,
    STATE(18788), 1,
      sym_stable_identifier,
    STATE(8860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12220), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(14326), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [437569] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1909), 1,
      anon_sym_LBRACE,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9801), 1,
      anon_sym_LBRACK,
    ACTIONS(9817), 1,
      anon_sym_LPAREN,
    ACTIONS(10602), 1,
      anon_sym_DOT,
    ACTIONS(11657), 1,
      sym__alpha_identifier,
    ACTIONS(11663), 1,
      sym__backquoted_id,
    ACTIONS(11665), 1,
      sym_operator_identifier,
    ACTIONS(12228), 1,
      anon_sym_EQ,
    STATE(624), 1,
      sym_identifier,
    STATE(4270), 1,
      sym__soft_identifier,
    STATE(8861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_while,
      anon_sym_match,
      anon_sym_finally,
    STATE(9742), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(11659), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [437631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [437669] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [437707] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [437745] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6330), 1,
      sym__alpha_identifier,
    ACTIONS(6336), 1,
      anon_sym__,
    ACTIONS(6344), 1,
      sym__backquoted_id,
    ACTIONS(6346), 1,
      sym_operator_identifier,
    ACTIONS(7608), 1,
      anon_sym_LPAREN,
    STATE(5298), 1,
      sym__simple_type,
    STATE(6086), 1,
      sym__soft_identifier,
    STATE(6110), 1,
      sym_identifier,
    STATE(18436), 1,
      sym_stable_identifier,
    STATE(8865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6340), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6347), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [437801] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10203), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437841] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [437879] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8330), 1,
      sym__alpha_identifier,
    ACTIONS(8336), 1,
      anon_sym__,
    ACTIONS(8340), 1,
      anon_sym_LPAREN,
    ACTIONS(8342), 1,
      sym__backquoted_id,
    ACTIONS(8344), 1,
      sym_operator_identifier,
    STATE(11773), 1,
      sym__simple_type,
    STATE(12233), 1,
      sym__soft_identifier,
    STATE(12282), 1,
      sym_identifier,
    STATE(18476), 1,
      sym_stable_identifier,
    STATE(8868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12740), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [437935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [437973] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438011] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8444), 1,
      sym__alpha_identifier,
    ACTIONS(8446), 1,
      anon_sym__,
    ACTIONS(8450), 1,
      anon_sym_LPAREN,
    ACTIONS(8452), 1,
      sym__backquoted_id,
    ACTIONS(8454), 1,
      sym_operator_identifier,
    STATE(5706), 1,
      sym__simple_type,
    STATE(7134), 1,
      sym__soft_identifier,
    STATE(7437), 1,
      sym_identifier,
    STATE(18516), 1,
      sym_stable_identifier,
    STATE(8871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8448), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7529), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [438067] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [438105] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [438143] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [438181] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438219] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12230), 1,
      sym__alpha_identifier,
    ACTIONS(12232), 1,
      anon_sym__,
    ACTIONS(12236), 1,
      anon_sym_LPAREN,
    ACTIONS(12238), 1,
      sym__backquoted_id,
    ACTIONS(12240), 1,
      sym_operator_identifier,
    STATE(7049), 1,
      sym__simple_type,
    STATE(8258), 1,
      sym__soft_identifier,
    STATE(8329), 1,
      sym_identifier,
    STATE(18238), 1,
      sym_stable_identifier,
    STATE(8876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9166), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [438275] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438313] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12242), 1,
      sym__alpha_identifier,
    ACTIONS(12244), 1,
      anon_sym__,
    ACTIONS(12248), 1,
      anon_sym_LPAREN,
    ACTIONS(12250), 1,
      sym__backquoted_id,
    ACTIONS(12252), 1,
      sym_operator_identifier,
    STATE(12523), 1,
      sym__simple_type,
    STATE(13841), 1,
      sym_identifier,
    STATE(13965), 1,
      sym__soft_identifier,
    STATE(18806), 1,
      sym_stable_identifier,
    STATE(8878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12246), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(14343), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [438369] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438407] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4774), 1,
      sym__alpha_identifier,
    ACTIONS(4780), 1,
      anon_sym__,
    ACTIONS(4792), 1,
      sym__backquoted_id,
    ACTIONS(6472), 1,
      sym_operator_identifier,
    ACTIONS(7618), 1,
      anon_sym_LPAREN,
    STATE(4978), 1,
      sym__simple_type,
    STATE(5453), 1,
      sym__soft_identifier,
    STATE(5476), 1,
      sym_identifier,
    STATE(18534), 1,
      sym_stable_identifier,
    STATE(8880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4786), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6045), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [438463] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [438501] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438539] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5856), 1,
      anon_sym__,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(5866), 1,
      sym_operator_identifier,
    ACTIONS(7628), 1,
      anon_sym_LPAREN,
    STATE(5335), 1,
      sym__simple_type,
    STATE(5831), 1,
      sym_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(18546), 1,
      sym_stable_identifier,
    STATE(8883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6416), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [438595] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8370), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [438633] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6962), 1,
      sym__alpha_identifier,
    ACTIONS(6964), 1,
      anon_sym__,
    ACTIONS(6972), 1,
      sym__backquoted_id,
    ACTIONS(6974), 1,
      sym_operator_identifier,
    ACTIONS(7638), 1,
      anon_sym_LPAREN,
    STATE(5683), 1,
      sym__simple_type,
    STATE(6472), 1,
      sym__soft_identifier,
    STATE(6873), 1,
      sym_identifier,
    STATE(18558), 1,
      sym_stable_identifier,
    STATE(8885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6968), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7578), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [438689] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [438727] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [438765] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6302), 1,
      sym__alpha_identifier,
    ACTIONS(6308), 1,
      anon_sym__,
    ACTIONS(6316), 1,
      sym__backquoted_id,
    ACTIONS(6318), 1,
      sym_operator_identifier,
    ACTIONS(7658), 1,
      anon_sym_LPAREN,
    STATE(5027), 1,
      sym__simple_type,
    STATE(5902), 1,
      sym_identifier,
    STATE(6100), 1,
      sym__soft_identifier,
    STATE(18570), 1,
      sym_stable_identifier,
    STATE(8888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6312), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6504), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [438821] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10277), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10279), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438859] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10277), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10279), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [438897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10281), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10283), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [438935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10281), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10283), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438973] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8983), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [439011] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10746), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10744), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [439049] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4998), 1,
      sym__alpha_identifier,
    ACTIONS(5000), 1,
      anon_sym__,
    ACTIONS(5010), 1,
      sym__backquoted_id,
    ACTIONS(6444), 1,
      sym_operator_identifier,
    ACTIONS(7668), 1,
      anon_sym_LPAREN,
    STATE(5339), 1,
      sym__simple_type,
    STATE(5881), 1,
      sym_identifier,
    STATE(6103), 1,
      sym__soft_identifier,
    STATE(18592), 1,
      sym_stable_identifier,
    STATE(8895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5006), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6576), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [439105] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10007), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [439143] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [439181] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9832), 1,
      sym__end_marker,
    STATE(8898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10376), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439221] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6550), 1,
      sym__alpha_identifier,
    ACTIONS(6556), 1,
      anon_sym__,
    ACTIONS(6564), 1,
      sym__backquoted_id,
    ACTIONS(6566), 1,
      sym_operator_identifier,
    ACTIONS(7678), 1,
      anon_sym_LPAREN,
    STATE(6912), 1,
      sym__simple_type,
    STATE(8230), 1,
      sym__soft_identifier,
    STATE(8403), 1,
      sym_identifier,
    STATE(18603), 1,
      sym_stable_identifier,
    STATE(8899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6560), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8954), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [439277] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439315] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(12254), 1,
      anon_sym_COMMA,
    ACTIONS(12257), 1,
      anon_sym_RPAREN,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(17111), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(8901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2648), 3,
      anon_sym_COLON,
      anon_sym_match,
      anon_sym_EQ,
    ACTIONS(8410), 4,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [439375] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10760), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10758), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [439413] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10800), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10798), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [439451] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4306), 1,
      sym__alpha_identifier,
    ACTIONS(4312), 1,
      anon_sym__,
    ACTIONS(4324), 1,
      sym__backquoted_id,
    ACTIONS(6718), 1,
      sym_operator_identifier,
    ACTIONS(7688), 1,
      anon_sym_LPAREN,
    STATE(6281), 1,
      sym__simple_type,
    STATE(7164), 1,
      sym__soft_identifier,
    STATE(7821), 1,
      sym_identifier,
    STATE(18625), 1,
      sym_stable_identifier,
    STATE(8904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4318), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8054), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [439507] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439545] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439583] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439621] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4702), 1,
      sym__alpha_identifier,
    ACTIONS(4708), 1,
      anon_sym__,
    ACTIONS(4720), 1,
      sym__backquoted_id,
    ACTIONS(6770), 1,
      sym_operator_identifier,
    ACTIONS(7698), 1,
      anon_sym_LPAREN,
    STATE(4494), 1,
      sym__simple_type,
    STATE(4664), 1,
      sym_identifier,
    STATE(4669), 1,
      sym__soft_identifier,
    STATE(18636), 1,
      sym_stable_identifier,
    STATE(8908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4714), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4781), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [439677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10804), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10802), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [439715] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(8910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 8,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439757] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6836), 1,
      sym__alpha_identifier,
    ACTIONS(6838), 1,
      anon_sym__,
    ACTIONS(6846), 1,
      sym__backquoted_id,
    ACTIONS(6848), 1,
      sym_operator_identifier,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    STATE(4730), 1,
      sym__simple_type,
    STATE(5207), 1,
      sym__soft_identifier,
    STATE(5271), 1,
      sym_identifier,
    STATE(18647), 1,
      sym_stable_identifier,
    STATE(8911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6842), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5774), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [439813] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [439851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10229), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10231), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [439889] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4470), 1,
      sym__alpha_identifier,
    ACTIONS(4472), 1,
      anon_sym__,
    ACTIONS(4482), 1,
      sym__backquoted_id,
    ACTIONS(6910), 1,
      sym_operator_identifier,
    ACTIONS(7718), 1,
      anon_sym_LPAREN,
    STATE(4656), 1,
      sym__simple_type,
    STATE(4815), 1,
      sym__soft_identifier,
    STATE(4855), 1,
      sym_identifier,
    STATE(18654), 1,
      sym_stable_identifier,
    STATE(8914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4478), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5015), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [439945] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9468), 1,
      sym_operator_identifier,
    STATE(1939), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(8915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9063), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [439997] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4274), 1,
      sym__alpha_identifier,
    ACTIONS(4280), 1,
      anon_sym__,
    ACTIONS(4292), 1,
      sym__backquoted_id,
    ACTIONS(7012), 1,
      sym_operator_identifier,
    ACTIONS(7728), 1,
      anon_sym_LPAREN,
    STATE(4660), 1,
      sym__simple_type,
    STATE(4817), 1,
      sym__soft_identifier,
    STATE(4903), 1,
      sym_identifier,
    STATE(18661), 1,
      sym_stable_identifier,
    STATE(8916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4286), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5026), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [440053] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9870), 1,
      sym_arguments,
    STATE(8917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8370), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [440093] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440131] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6366), 1,
      sym__alpha_identifier,
    ACTIONS(6372), 1,
      anon_sym__,
    ACTIONS(6380), 1,
      sym__backquoted_id,
    ACTIONS(6382), 1,
      sym_operator_identifier,
    ACTIONS(7738), 1,
      anon_sym_LPAREN,
    STATE(5081), 1,
      sym__simple_type,
    STATE(6121), 1,
      sym__soft_identifier,
    STATE(6334), 1,
      sym_identifier,
    STATE(18668), 1,
      sym_stable_identifier,
    STATE(8919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6376), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6877), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [440187] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10939), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440225] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4638), 1,
      sym__alpha_identifier,
    ACTIONS(4644), 1,
      anon_sym__,
    ACTIONS(4656), 1,
      sym__backquoted_id,
    ACTIONS(7016), 1,
      sym_operator_identifier,
    ACTIONS(7748), 1,
      anon_sym_LPAREN,
    STATE(5084), 1,
      sym__simple_type,
    STATE(5940), 1,
      sym_identifier,
    STATE(6124), 1,
      sym__soft_identifier,
    STATE(18680), 1,
      sym_stable_identifier,
    STATE(8921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4650), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6954), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [440281] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10774), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10772), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [440319] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440357] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10244), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [440397] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8472), 1,
      sym__alpha_identifier,
    ACTIONS(8474), 1,
      anon_sym__,
    ACTIONS(8478), 1,
      anon_sym_LPAREN,
    ACTIONS(8480), 1,
      sym__backquoted_id,
    ACTIONS(8482), 1,
      sym_operator_identifier,
    STATE(4968), 1,
      sym__simple_type,
    STATE(6125), 1,
      sym__soft_identifier,
    STATE(6145), 1,
      sym_identifier,
    STATE(18686), 1,
      sym_stable_identifier,
    STATE(8925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8476), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6294), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [440453] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10277), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10279), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440491] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10796), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10794), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [440529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10281), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10283), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440567] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12260), 1,
      sym__alpha_identifier,
    ACTIONS(12262), 1,
      anon_sym__,
    ACTIONS(12266), 1,
      anon_sym_LPAREN,
    ACTIONS(12268), 1,
      sym__backquoted_id,
    ACTIONS(12270), 1,
      sym_operator_identifier,
    STATE(11922), 1,
      sym__simple_type,
    STATE(12948), 1,
      sym_identifier,
    STATE(13074), 1,
      sym__soft_identifier,
    STATE(18854), 1,
      sym_stable_identifier,
    STATE(8929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12264), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13372), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [440623] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10684), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10682), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [440661] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4818), 1,
      sym__alpha_identifier,
    ACTIONS(4824), 1,
      anon_sym__,
    ACTIONS(4836), 1,
      sym__backquoted_id,
    ACTIONS(7024), 1,
      sym_operator_identifier,
    ACTIONS(7758), 1,
      anon_sym_LPAREN,
    STATE(5088), 1,
      sym__simple_type,
    STATE(5955), 1,
      sym_identifier,
    STATE(6127), 1,
      sym__soft_identifier,
    STATE(18692), 1,
      sym_stable_identifier,
    STATE(8931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4830), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7048), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [440717] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440755] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7320), 1,
      anon_sym__,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(7556), 1,
      sym_operator_identifier,
    ACTIONS(8260), 1,
      anon_sym_LPAREN,
    STATE(11598), 1,
      sym__simple_type,
    STATE(11966), 1,
      sym_identifier,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(18101), 1,
      sym_stable_identifier,
    STATE(8933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12397), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [440811] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8504), 1,
      sym__alpha_identifier,
    ACTIONS(8506), 1,
      anon_sym__,
    ACTIONS(8510), 1,
      anon_sym_LPAREN,
    ACTIONS(8512), 1,
      sym__backquoted_id,
    ACTIONS(8514), 1,
      sym_operator_identifier,
    STATE(5391), 1,
      sym__simple_type,
    STATE(7176), 1,
      sym__soft_identifier,
    STATE(7647), 1,
      sym_identifier,
    STATE(18698), 1,
      sym_stable_identifier,
    STATE(8934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8508), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7722), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [440867] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10014), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10016), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [440905] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9769), 1,
      sym_operator_identifier,
    STATE(1966), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(8936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9063), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [440959] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9160), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440997] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10684), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10682), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441035] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12272), 1,
      sym__alpha_identifier,
    ACTIONS(12274), 1,
      anon_sym__,
    ACTIONS(12278), 1,
      anon_sym_LPAREN,
    ACTIONS(12280), 1,
      sym__backquoted_id,
    ACTIONS(12282), 1,
      sym_operator_identifier,
    STATE(12734), 1,
      sym__simple_type,
    STATE(13630), 1,
      sym_identifier,
    STATE(13969), 1,
      sym__soft_identifier,
    STATE(18866), 1,
      sym_stable_identifier,
    STATE(8939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12276), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(14191), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [441091] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10694), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10692), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [441129] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6384), 1,
      sym__alpha_identifier,
    ACTIONS(6390), 1,
      anon_sym__,
    ACTIONS(6398), 1,
      sym__backquoted_id,
    ACTIONS(6400), 1,
      sym_operator_identifier,
    ACTIONS(7778), 1,
      anon_sym_LPAREN,
    STATE(5102), 1,
      sym__simple_type,
    STATE(6130), 1,
      sym__soft_identifier,
    STATE(6158), 1,
      sym_identifier,
    STATE(18704), 1,
      sym_stable_identifier,
    STATE(8941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6394), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6414), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [441185] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441223] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [441263] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8638), 1,
      anon_sym_LT_PERCENT,
    ACTIONS(12189), 1,
      anon_sym_LBRACE,
    ACTIONS(12191), 1,
      anon_sym_with,
    ACTIONS(12284), 1,
      anon_sym_COLON,
    STATE(9029), 1,
      aux_sym_compound_type_repeat1,
    STATE(11733), 1,
      sym_template_body,
    STATE(11734), 1,
      sym__refinement,
    ACTIONS(8636), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8944), 2,
      sym_comment,
      sym_block_comment,
    STATE(11798), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441321] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10694), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10692), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441397] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8524), 1,
      sym__alpha_identifier,
    ACTIONS(8526), 1,
      anon_sym__,
    ACTIONS(8530), 1,
      anon_sym_LPAREN,
    ACTIONS(8532), 1,
      sym__backquoted_id,
    ACTIONS(8534), 1,
      sym_operator_identifier,
    STATE(5874), 1,
      sym__simple_type,
    STATE(8089), 1,
      sym_identifier,
    STATE(8549), 1,
      sym__soft_identifier,
    STATE(18716), 1,
      sym_stable_identifier,
    STATE(8947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8528), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8273), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [441453] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12287), 1,
      sym__alpha_identifier,
    ACTIONS(12289), 1,
      anon_sym__,
    ACTIONS(12293), 1,
      anon_sym_LPAREN,
    ACTIONS(12295), 1,
      sym__backquoted_id,
    ACTIONS(12297), 1,
      sym_operator_identifier,
    STATE(11178), 1,
      sym__simple_type,
    STATE(11745), 1,
      sym_identifier,
    STATE(11831), 1,
      sym__soft_identifier,
    STATE(18877), 1,
      sym_stable_identifier,
    STATE(8948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12291), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11938), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [441509] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10939), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [441547] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441585] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441623] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6446), 1,
      sym__alpha_identifier,
    ACTIONS(6452), 1,
      anon_sym__,
    ACTIONS(6460), 1,
      sym__backquoted_id,
    ACTIONS(6462), 1,
      sym_operator_identifier,
    ACTIONS(7788), 1,
      anon_sym_LPAREN,
    STATE(5518), 1,
      sym__simple_type,
    STATE(6529), 1,
      sym__soft_identifier,
    STATE(6781), 1,
      sym_identifier,
    STATE(18722), 1,
      sym_stable_identifier,
    STATE(8952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6456), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7765), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [441679] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441717] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441755] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6480), 1,
      sym__alpha_identifier,
    ACTIONS(6486), 1,
      anon_sym__,
    ACTIONS(6494), 1,
      sym__backquoted_id,
    ACTIONS(6496), 1,
      sym_operator_identifier,
    ACTIONS(7818), 1,
      anon_sym_LPAREN,
    STATE(6365), 1,
      sym__simple_type,
    STATE(8170), 1,
      sym_identifier,
    STATE(8580), 1,
      sym__soft_identifier,
    STATE(18734), 1,
      sym_stable_identifier,
    STATE(8955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6490), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9224), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [441811] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [441887] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [441925] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441969] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8540), 1,
      sym__alpha_identifier,
    ACTIONS(8546), 1,
      anon_sym__,
    ACTIONS(8550), 1,
      anon_sym_LPAREN,
    ACTIONS(8552), 1,
      sym__backquoted_id,
    ACTIONS(8554), 1,
      sym_operator_identifier,
    STATE(4665), 1,
      sym__simple_type,
    STATE(5048), 1,
      sym_identifier,
    STATE(5211), 1,
      sym__soft_identifier,
    STATE(18746), 1,
      sym_stable_identifier,
    STATE(8960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8548), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5092), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [442025] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [442063] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442101] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6500), 1,
      sym__alpha_identifier,
    ACTIONS(6502), 1,
      anon_sym__,
    ACTIONS(6510), 1,
      sym__backquoted_id,
    ACTIONS(6512), 1,
      sym_operator_identifier,
    ACTIONS(7828), 1,
      anon_sym_LPAREN,
    STATE(4560), 1,
      sym__simple_type,
    STATE(4724), 1,
      sym__soft_identifier,
    STATE(4728), 1,
      sym_identifier,
    STATE(18752), 1,
      sym_stable_identifier,
    STATE(8963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6506), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4822), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [442157] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442195] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442233] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442271] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6538), 1,
      anon_sym__,
    ACTIONS(6546), 1,
      sym__backquoted_id,
    ACTIONS(6548), 1,
      sym_operator_identifier,
    ACTIONS(7838), 1,
      anon_sym_LPAREN,
    STATE(4708), 1,
      sym__simple_type,
    STATE(5069), 1,
      sym_identifier,
    STATE(5214), 1,
      sym__soft_identifier,
    STATE(18758), 1,
      sym_stable_identifier,
    STATE(8967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6542), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5471), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [442327] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442365] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8566), 1,
      sym__alpha_identifier,
    ACTIONS(8568), 1,
      anon_sym__,
    ACTIONS(8572), 1,
      anon_sym_LPAREN,
    ACTIONS(8574), 1,
      sym__backquoted_id,
    ACTIONS(8576), 1,
      sym_operator_identifier,
    STATE(4910), 1,
      sym__simple_type,
    STATE(5823), 1,
      sym_identifier,
    STATE(6132), 1,
      sym__soft_identifier,
    STATE(18764), 1,
      sym_stable_identifier,
    STATE(8969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8570), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5880), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [442421] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442459] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442497] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12299), 1,
      sym__alpha_identifier,
    ACTIONS(12301), 1,
      anon_sym__,
    ACTIONS(12305), 1,
      anon_sym_LPAREN,
    ACTIONS(12307), 1,
      sym__backquoted_id,
    ACTIONS(12309), 1,
      sym_operator_identifier,
    STATE(11885), 1,
      sym__simple_type,
    STATE(12989), 1,
      sym_identifier,
    STATE(13078), 1,
      sym__soft_identifier,
    STATE(18895), 1,
      sym_stable_identifier,
    STATE(8972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12303), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13433), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [442553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442629] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9461), 1,
      sym_operator_identifier,
    STATE(1924), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(8975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9063), 7,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [442681] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11762), 1,
      anon_sym_AT,
    STATE(9389), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10249), 1,
      sym_annotation,
    STATE(8976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442725] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6616), 1,
      sym__alpha_identifier,
    ACTIONS(6622), 1,
      anon_sym__,
    ACTIONS(6630), 1,
      sym__backquoted_id,
    ACTIONS(6632), 1,
      sym_operator_identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    STATE(4710), 1,
      sym__simple_type,
    STATE(5083), 1,
      sym_identifier,
    STATE(5216), 1,
      sym__soft_identifier,
    STATE(18770), 1,
      sym_stable_identifier,
    STATE(8977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6626), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5517), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [442781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442819] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6660), 1,
      sym__alpha_identifier,
    ACTIONS(6666), 1,
      anon_sym__,
    ACTIONS(6674), 1,
      sym__backquoted_id,
    ACTIONS(6676), 1,
      sym_operator_identifier,
    ACTIONS(7858), 1,
      anon_sym_LPAREN,
    STATE(5720), 1,
      sym__simple_type,
    STATE(6474), 1,
      sym_identifier,
    STATE(6547), 1,
      sym__soft_identifier,
    STATE(18782), 1,
      sym_stable_identifier,
    STATE(8979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6670), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7834), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [442875] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11069), 1,
      anon_sym_LPAREN,
    STATE(9002), 1,
      aux_sym_annotation_repeat1,
    STATE(10162), 1,
      sym_arguments,
    STATE(8980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8943), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442919] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442957] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4406), 1,
      sym__alpha_identifier,
    ACTIONS(4412), 1,
      anon_sym__,
    ACTIONS(4424), 1,
      sym__backquoted_id,
    ACTIONS(6708), 1,
      sym_operator_identifier,
    ACTIONS(7868), 1,
      anon_sym_LPAREN,
    STATE(4711), 1,
      sym__simple_type,
    STATE(5169), 1,
      sym_identifier,
    STATE(5218), 1,
      sym__soft_identifier,
    STATE(18794), 1,
      sym_stable_identifier,
    STATE(8982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4418), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5630), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [443013] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [443051] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8752), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443091] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443129] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6720), 1,
      sym__alpha_identifier,
    ACTIONS(6726), 1,
      anon_sym__,
    ACTIONS(6734), 1,
      sym__backquoted_id,
    ACTIONS(6736), 1,
      sym_operator_identifier,
    ACTIONS(7878), 1,
      anon_sym_LPAREN,
    STATE(5764), 1,
      sym__simple_type,
    STATE(6553), 1,
      sym__soft_identifier,
    STATE(6668), 1,
      sym_identifier,
    STATE(18800), 1,
      sym_stable_identifier,
    STATE(8986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6730), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7856), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [443185] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443223] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443261] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10782), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10780), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443299] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4894), 1,
      anon_sym__,
    ACTIONS(4906), 1,
      sym__backquoted_id,
    ACTIONS(6762), 1,
      sym_operator_identifier,
    ACTIONS(7888), 1,
      anon_sym_LPAREN,
    STATE(5156), 1,
      sym__simple_type,
    STATE(6013), 1,
      sym_identifier,
    STATE(6137), 1,
      sym__soft_identifier,
    STATE(18812), 1,
      sym_stable_identifier,
    STATE(8990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6557), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [443355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443393] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [443431] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9105), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [443469] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4850), 1,
      sym__alpha_identifier,
    ACTIONS(4856), 1,
      anon_sym__,
    ACTIONS(4868), 1,
      sym__backquoted_id,
    ACTIONS(6774), 1,
      sym_operator_identifier,
    ACTIONS(7898), 1,
      anon_sym_LPAREN,
    STATE(5347), 1,
      sym__simple_type,
    STATE(6558), 1,
      sym__soft_identifier,
    STATE(7032), 1,
      sym_identifier,
    STATE(18818), 1,
      sym_stable_identifier,
    STATE(8994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4862), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7889), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [443525] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      sym__alpha_identifier,
    ACTIONS(8434), 1,
      anon_sym__,
    ACTIONS(8438), 1,
      anon_sym_LPAREN,
    ACTIONS(8440), 1,
      sym__backquoted_id,
    ACTIONS(8442), 1,
      sym_operator_identifier,
    STATE(7251), 1,
      sym__simple_type,
    STATE(9586), 1,
      sym__soft_identifier,
    STATE(9821), 1,
      sym_identifier,
    STATE(18211), 1,
      sym_stable_identifier,
    STATE(8995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9521), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [443581] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4968), 1,
      sym__alpha_identifier,
    ACTIONS(4970), 1,
      anon_sym__,
    ACTIONS(4980), 1,
      sym__backquoted_id,
    ACTIONS(6804), 1,
      sym_operator_identifier,
    ACTIONS(7908), 1,
      anon_sym_LPAREN,
    STATE(4562), 1,
      sym__simple_type,
    STATE(4717), 1,
      sym_identifier,
    STATE(4726), 1,
      sym__soft_identifier,
    STATE(18824), 1,
      sym_stable_identifier,
    STATE(8996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4976), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4930), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [443637] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443675] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10046), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [443713] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10220), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10222), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443751] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6806), 1,
      sym__alpha_identifier,
    ACTIONS(6812), 1,
      anon_sym__,
    ACTIONS(6820), 1,
      sym__backquoted_id,
    ACTIONS(6822), 1,
      sym_operator_identifier,
    ACTIONS(7918), 1,
      anon_sym_LPAREN,
    STATE(8581), 1,
      sym__simple_type,
    STATE(9433), 1,
      sym__soft_identifier,
    STATE(9695), 1,
      sym_identifier,
    STATE(18830), 1,
      sym_stable_identifier,
    STATE(9000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6816), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10241), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [443807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443845] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12311), 1,
      anon_sym_LPAREN,
    STATE(10162), 1,
      sym_arguments,
    STATE(9002), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8953), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443887] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4600), 1,
      sym__alpha_identifier,
    ACTIONS(4606), 1,
      anon_sym__,
    ACTIONS(4618), 1,
      sym__backquoted_id,
    ACTIONS(6834), 1,
      sym_operator_identifier,
    ACTIONS(7928), 1,
      anon_sym_LPAREN,
    STATE(4716), 1,
      sym__simple_type,
    STATE(5187), 1,
      sym_identifier,
    STATE(5221), 1,
      sym__soft_identifier,
    STATE(18836), 1,
      sym_stable_identifier,
    STATE(9003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4612), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5771), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [443943] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8594), 1,
      sym__alpha_identifier,
    ACTIONS(8596), 1,
      anon_sym__,
    ACTIONS(8600), 1,
      anon_sym_LPAREN,
    ACTIONS(8602), 1,
      sym__backquoted_id,
    ACTIONS(8604), 1,
      sym_operator_identifier,
    STATE(5167), 1,
      sym__simple_type,
    STATE(6539), 1,
      sym_identifier,
    STATE(6563), 1,
      sym__soft_identifier,
    STATE(18842), 1,
      sym_stable_identifier,
    STATE(9004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8598), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6809), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [443999] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10800), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10798), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444037] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12314), 1,
      sym__alpha_identifier,
    ACTIONS(12316), 1,
      anon_sym__,
    ACTIONS(12320), 1,
      anon_sym_LPAREN,
    ACTIONS(12322), 1,
      sym__backquoted_id,
    ACTIONS(12324), 1,
      sym_operator_identifier,
    STATE(12367), 1,
      sym__simple_type,
    STATE(13459), 1,
      sym_identifier,
    STATE(13559), 1,
      sym__soft_identifier,
    STATE(18913), 1,
      sym_stable_identifier,
    STATE(9006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12318), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13823), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [444093] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12326), 1,
      anon_sym_with,
    STATE(9007), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444133] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6850), 1,
      sym__alpha_identifier,
    ACTIONS(6856), 1,
      anon_sym__,
    ACTIONS(6864), 1,
      sym__backquoted_id,
    ACTIONS(6866), 1,
      sym_operator_identifier,
    ACTIONS(7938), 1,
      anon_sym_LPAREN,
    STATE(4987), 1,
      sym__simple_type,
    STATE(5498), 1,
      sym__soft_identifier,
    STATE(5703), 1,
      sym_identifier,
    STATE(18848), 1,
      sym_stable_identifier,
    STATE(9008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5978), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [444189] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10804), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10802), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444227] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6868), 1,
      sym__alpha_identifier,
    ACTIONS(6874), 1,
      anon_sym__,
    ACTIONS(6882), 1,
      sym__backquoted_id,
    ACTIONS(6884), 1,
      sym_operator_identifier,
    ACTIONS(7948), 1,
      anon_sym_LPAREN,
    STATE(5386), 1,
      sym__simple_type,
    STATE(6569), 1,
      sym__soft_identifier,
    STATE(6721), 1,
      sym_identifier,
    STATE(18860), 1,
      sym_stable_identifier,
    STATE(9010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6878), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7931), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [444283] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10782), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10780), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [444321] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10056), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [444359] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6890), 1,
      sym__alpha_identifier,
    ACTIONS(6896), 1,
      anon_sym__,
    ACTIONS(6904), 1,
      sym__backquoted_id,
    ACTIONS(6906), 1,
      sym_operator_identifier,
    ACTIONS(7958), 1,
      anon_sym_LPAREN,
    STATE(6031), 1,
      sym__simple_type,
    STATE(7184), 1,
      sym__soft_identifier,
    STATE(7914), 1,
      sym_identifier,
    STATE(18871), 1,
      sym_stable_identifier,
    STATE(9013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8614), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [444415] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6912), 1,
      sym__alpha_identifier,
    ACTIONS(6914), 1,
      anon_sym__,
    ACTIONS(6922), 1,
      sym__backquoted_id,
    ACTIONS(6924), 1,
      sym_operator_identifier,
    ACTIONS(7968), 1,
      anon_sym_LPAREN,
    STATE(4667), 1,
      sym__simple_type,
    STATE(4828), 1,
      sym__soft_identifier,
    STATE(4972), 1,
      sym_identifier,
    STATE(18883), 1,
      sym_stable_identifier,
    STATE(9014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6918), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5173), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [444471] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4372), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(9015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [444513] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10229), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10231), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444551] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6944), 1,
      sym__alpha_identifier,
    ACTIONS(6950), 1,
      anon_sym__,
    ACTIONS(6958), 1,
      sym__backquoted_id,
    ACTIONS(6960), 1,
      sym_operator_identifier,
    ACTIONS(7978), 1,
      anon_sym_LPAREN,
    STATE(5006), 1,
      sym__simple_type,
    STATE(5365), 1,
      sym_identifier,
    STATE(5502), 1,
      sym__soft_identifier,
    STATE(18889), 1,
      sym_stable_identifier,
    STATE(9017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6029), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [444607] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [444645] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444683] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4738), 1,
      sym__alpha_identifier,
    ACTIONS(4744), 1,
      anon_sym__,
    ACTIONS(4756), 1,
      sym__backquoted_id,
    ACTIONS(6990), 1,
      sym_operator_identifier,
    ACTIONS(7988), 1,
      anon_sym_LPAREN,
    STATE(4801), 1,
      sym__simple_type,
    STATE(5426), 1,
      sym_identifier,
    STATE(5504), 1,
      sym__soft_identifier,
    STATE(18901), 1,
      sym_stable_identifier,
    STATE(9020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6051), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [444739] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444777] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6348), 1,
      sym__alpha_identifier,
    ACTIONS(6354), 1,
      anon_sym__,
    ACTIONS(6362), 1,
      sym__backquoted_id,
    ACTIONS(6364), 1,
      sym_operator_identifier,
    ACTIONS(7998), 1,
      anon_sym_LPAREN,
    STATE(5194), 1,
      sym__simple_type,
    STATE(6052), 1,
      sym_identifier,
    STATE(6144), 1,
      sym__soft_identifier,
    STATE(18907), 1,
      sym_stable_identifier,
    STATE(9022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6358), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6385), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [444833] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12329), 1,
      anon_sym_with,
    STATE(9023), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444873] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10800), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10798), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [444911] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12332), 1,
      sym__alpha_identifier,
    ACTIONS(12334), 1,
      anon_sym__,
    ACTIONS(12336), 1,
      anon_sym_LPAREN,
    ACTIONS(12338), 1,
      sym__backquoted_id,
    ACTIONS(12340), 1,
      sym_operator_identifier,
    STATE(10581), 1,
      sym__soft_identifier,
    STATE(11681), 1,
      sym__simple_type,
    STATE(12480), 1,
      sym_identifier,
    STATE(17935), 1,
      sym_stable_identifier,
    STATE(9025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12638), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [444967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9109), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [445005] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10804), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10802), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [445043] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10079), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [445081] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12189), 1,
      anon_sym_LBRACE,
    ACTIONS(12191), 1,
      anon_sym_with,
    STATE(10961), 1,
      aux_sym_compound_type_repeat1,
    STATE(11733), 1,
      sym_template_body,
    STATE(11848), 1,
      sym__refinement,
    STATE(9029), 2,
      sym_comment,
      sym_block_comment,
    STATE(11798), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8556), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10810), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10808), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [445207] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [445245] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12342), 1,
      anon_sym_COLON,
    ACTIONS(12345), 1,
      anon_sym_LBRACE,
    STATE(10720), 1,
      sym_template_body,
    STATE(6758), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9350), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9342), 11,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445291] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445329] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11565), 1,
      anon_sym_LPAREN,
    STATE(9176), 1,
      aux_sym_annotation_repeat1,
    STATE(10275), 1,
      sym_arguments,
    STATE(9035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8943), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445373] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445411] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9160), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [445449] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8172), 1,
      anon_sym_AT,
    ACTIONS(8180), 1,
      anon_sym_inline,
    ACTIONS(8182), 1,
      anon_sym_infix,
    ACTIONS(8184), 1,
      anon_sym_open,
    ACTIONS(8186), 1,
      anon_sym_transparent,
    ACTIONS(8286), 1,
      anon_sym_def,
    STATE(5615), 1,
      aux_sym_modifiers_repeat1,
    STATE(6711), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7951), 1,
      sym_annotation,
    STATE(19392), 1,
      sym_modifiers,
    ACTIONS(8178), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(9038), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8176), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [445509] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8983), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [445547] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445585] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445623] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445661] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11701), 1,
      anon_sym_AT,
    STATE(9081), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9954), 1,
      sym_annotation,
    STATE(9043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445705] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445781] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8676), 1,
      sym__alpha_identifier,
    ACTIONS(8682), 1,
      anon_sym__,
    ACTIONS(8686), 1,
      anon_sym_LPAREN,
    ACTIONS(8688), 1,
      sym__backquoted_id,
    ACTIONS(8690), 1,
      sym_operator_identifier,
    STATE(4819), 1,
      sym__simple_type,
    STATE(5801), 1,
      sym__soft_identifier,
    STATE(5901), 1,
      sym_identifier,
    STATE(18984), 1,
      sym_stable_identifier,
    STATE(9046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8684), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6308), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [445837] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445919] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10829), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10827), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [445957] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10083), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [445995] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10996), 1,
      anon_sym_AT,
    STATE(9240), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10087), 1,
      sym_annotation,
    STATE(9051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446039] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446077] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4260), 1,
      sym__backquoted_id,
    ACTIONS(4258), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(4262), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4256), 18,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446119] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10260), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446159] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(9055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8997), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [446203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9105), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [446241] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446279] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446317] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(9059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446395] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [446433] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11347), 1,
      sym__backquoted_id,
    ACTIONS(4258), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(4262), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7310), 18,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446475] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11383), 1,
      sym__backquoted_id,
    ACTIONS(4258), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(4262), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7308), 18,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446517] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446555] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446593] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11166), 1,
      sym__backquoted_id,
    ACTIONS(4258), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(4262), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7312), 18,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446635] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10722), 1,
      sym__alpha_identifier,
    ACTIONS(10728), 1,
      sym__backquoted_id,
    ACTIONS(10730), 1,
      sym_operator_identifier,
    STATE(545), 1,
      sym_identifier,
    STATE(4214), 1,
      sym__soft_identifier,
    STATE(9067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9805), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10724), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [446687] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446727] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446765] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446803] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10093), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [446841] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5028), 1,
      anon_sym__,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(5234), 1,
      sym_operator_identifier,
    ACTIONS(7648), 1,
      anon_sym_LPAREN,
    STATE(4755), 1,
      sym__simple_type,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5266), 1,
      sym_identifier,
    STATE(19114), 1,
      sym_stable_identifier,
    STATE(9072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5753), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [446897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10671), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [446935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10046), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [446973] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9773), 1,
      sym_arguments,
    STATE(9075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447013] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10329), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447053] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447091] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10690), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10688), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [447129] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447207] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12348), 1,
      anon_sym_AT,
    STATE(9954), 1,
      sym_annotation,
    STATE(9081), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447249] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10671), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447287] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447325] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447363] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10853), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10851), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [447401] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9747), 1,
      sym_arguments,
    STATE(9086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447441] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10857), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10855), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [447479] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447517] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10746), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10744), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [447555] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10690), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10688), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10746), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10744), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [447669] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8732), 1,
      sym__alpha_identifier,
    ACTIONS(8734), 1,
      anon_sym__,
    ACTIONS(8738), 1,
      anon_sym_LPAREN,
    ACTIONS(8740), 1,
      sym__backquoted_id,
    ACTIONS(8742), 1,
      sym_operator_identifier,
    STATE(6266), 1,
      sym__simple_type,
    STATE(8084), 1,
      sym__soft_identifier,
    STATE(8559), 1,
      sym_identifier,
    STATE(19285), 1,
      sym_stable_identifier,
    STATE(9093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8736), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7996), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [447725] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10760), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10758), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447763] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10760), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10758), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [447801] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [447839] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10774), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10772), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447877] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447915] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12351), 1,
      anon_sym_DOT,
    STATE(9099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [447993] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10014), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10016), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448031] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10774), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10772), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [448069] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [448107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [448145] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [448183] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448221] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [448259] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448297] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [448335] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10796), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10794), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [448373] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [448411] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [448449] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10014), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10016), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [448487] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [448525] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10810), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10808), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448563] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [448601] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10829), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10827), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448639] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10853), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10851), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10857), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10855), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448715] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448753] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448791] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448829] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448867] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448905] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10684), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10682), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [448943] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [448981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449019] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449057] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449095] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10810), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10808), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [449133] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10907), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10905), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449171] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [449209] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9389), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [449247] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [449285] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [449323] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [449361] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6412), 1,
      sym__alpha_identifier,
    ACTIONS(6418), 1,
      anon_sym__,
    ACTIONS(6426), 1,
      sym__backquoted_id,
    ACTIONS(6428), 1,
      sym_operator_identifier,
    ACTIONS(8032), 1,
      anon_sym_LPAREN,
    STATE(5757), 1,
      sym__simple_type,
    STATE(6354), 1,
      sym_identifier,
    STATE(6890), 1,
      sym__soft_identifier,
    STATE(19353), 1,
      sym_stable_identifier,
    STATE(9137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6422), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7457), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [449417] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449455] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449493] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [449531] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12052), 1,
      anon_sym_LBRACK,
    ACTIONS(12056), 1,
      anon_sym_POUND,
    ACTIONS(12353), 1,
      anon_sym_AT,
    STATE(10245), 1,
      sym_type_arguments,
    STATE(10569), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11232), 1,
      sym_annotation,
    STATE(9141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(8358), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449581] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10829), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10827), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [449619] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4374), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(9143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449661] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449699] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [449737] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10937), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10935), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449775] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10853), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10851), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [449813] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449851] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12355), 1,
      anon_sym_with,
    STATE(9149), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9647), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [449891] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10402), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10400), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449929] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10857), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10855), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [449967] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12358), 1,
      anon_sym_AT,
    STATE(10202), 1,
      sym_annotation,
    STATE(9152), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450009] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [450047] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450085] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450123] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [450161] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10079), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [450199] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [450237] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10212), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450277] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450429] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10907), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10905), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [450467] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10911), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10909), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [450505] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9291), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450543] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9105), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450581] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9675), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9673), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9671), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450621] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8781), 1,
      sym__alpha_identifier,
    ACTIONS(8783), 1,
      anon_sym__,
    ACTIONS(8787), 1,
      anon_sym_LPAREN,
    ACTIONS(8789), 1,
      sym__backquoted_id,
    ACTIONS(8791), 1,
      sym_operator_identifier,
    STATE(5804), 1,
      sym__simple_type,
    STATE(8260), 1,
      sym_identifier,
    STATE(8454), 1,
      sym__soft_identifier,
    STATE(19415), 1,
      sym_stable_identifier,
    STATE(9169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8785), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7955), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [450677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4258), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450715] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12361), 1,
      anon_sym_DOT,
    STATE(9171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450755] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450793] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450831] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12363), 1,
      anon_sym_with,
    STATE(9174), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450871] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10083), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [450909] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12366), 1,
      anon_sym_LPAREN,
    STATE(10275), 1,
      sym_arguments,
    STATE(9176), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8953), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450951] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9133), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450989] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451027] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10907), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10905), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [451103] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10911), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10909), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [451141] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [451217] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451255] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451293] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9835), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [451331] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451369] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12027), 1,
      anon_sym_with,
    STATE(10972), 1,
      aux_sym_compound_type_repeat1,
    STATE(11495), 1,
      sym_template_body,
    STATE(11501), 1,
      sym__refinement,
    STATE(9188), 2,
      sym_comment,
      sym_block_comment,
    STATE(11566), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8556), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451417] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(11081), 1,
      anon_sym_LBRACE,
    ACTIONS(11083), 1,
      anon_sym_with,
    ACTIONS(11633), 1,
      anon_sym_COLON,
    STATE(6604), 1,
      aux_sym_compound_type_repeat1,
    STATE(10800), 1,
      sym_template_body,
    STATE(10834), 1,
      sym__refinement,
    STATE(9189), 2,
      sym_comment,
      sym_block_comment,
    STATE(10881), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8638), 4,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451473] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451511] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10937), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10935), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [451549] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12369), 1,
      sym__alpha_identifier,
    ACTIONS(12371), 1,
      anon_sym__,
    ACTIONS(12375), 1,
      anon_sym_LPAREN,
    ACTIONS(12377), 1,
      sym__backquoted_id,
    ACTIONS(12379), 1,
      sym_operator_identifier,
    STATE(11206), 1,
      sym__simple_type,
    STATE(11694), 1,
      sym_identifier,
    STATE(11720), 1,
      sym__soft_identifier,
    STATE(18252), 1,
      sym_stable_identifier,
    STATE(9192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12373), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11959), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [451605] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9139), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451643] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9445), 1,
      sym__end_marker,
    STATE(9194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10376), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [451683] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10684), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10682), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451721] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451759] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12381), 1,
      anon_sym_with,
    STATE(9197), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451799] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9283), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451837] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9109), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451875] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451913] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10764), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [451951] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10768), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [451989] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12384), 1,
      sym__alpha_identifier,
    ACTIONS(12386), 1,
      anon_sym__,
    ACTIONS(12390), 1,
      anon_sym_LPAREN,
    ACTIONS(12392), 1,
      sym__backquoted_id,
    ACTIONS(12394), 1,
      sym_operator_identifier,
    STATE(11034), 1,
      sym__simple_type,
    STATE(11303), 1,
      sym__soft_identifier,
    STATE(11597), 1,
      sym_identifier,
    STATE(19208), 1,
      sym_stable_identifier,
    STATE(9203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12388), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11609), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [452045] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10402), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10400), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [452083] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10093), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [452121] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9141), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452159] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9303), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452197] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10694), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10692), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452273] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452311] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7288), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452349] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6634), 1,
      sym__alpha_identifier,
    ACTIONS(6640), 1,
      anon_sym__,
    ACTIONS(6648), 1,
      sym__backquoted_id,
    ACTIONS(6650), 1,
      sym_operator_identifier,
    ACTIONS(8052), 1,
      anon_sym_LPAREN,
    STATE(5563), 1,
      sym__simple_type,
    STATE(6655), 1,
      sym__soft_identifier,
    STATE(6914), 1,
      sym_identifier,
    STATE(19535), 1,
      sym_stable_identifier,
    STATE(9212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6644), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7691), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [452405] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452443] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9143), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452481] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452519] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452557] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [452595] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9105), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [452633] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10937), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10935), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [452671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8983), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452709] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452747] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452785] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8172), 1,
      anon_sym_AT,
    ACTIONS(8180), 1,
      anon_sym_inline,
    ACTIONS(8182), 1,
      anon_sym_infix,
    ACTIONS(8184), 1,
      anon_sym_open,
    ACTIONS(8186), 1,
      anon_sym_transparent,
    ACTIONS(8228), 1,
      anon_sym_def,
    STATE(5615), 1,
      aux_sym_modifiers_repeat1,
    STATE(6711), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7951), 1,
      sym_annotation,
    STATE(18937), 1,
      sym_modifiers,
    ACTIONS(8178), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(9223), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8176), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [452845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452883] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452959] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452997] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453035] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [453073] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9307), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453111] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453149] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453187] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453263] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453301] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453339] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453415] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9309), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453453] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12396), 1,
      anon_sym_AT,
    STATE(10087), 1,
      sym_annotation,
    STATE(9240), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453495] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10402), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10400), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [453533] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10796), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10794), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453571] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4444), 1,
      anon_sym__,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(6986), 1,
      sym_operator_identifier,
    ACTIONS(8062), 1,
      anon_sym_LPAREN,
    STATE(6681), 1,
      sym__simple_type,
    STATE(8002), 1,
      sym__soft_identifier,
    STATE(8453), 1,
      sym_identifier,
    STATE(17798), 1,
      sym_stable_identifier,
    STATE(9243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9256), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [453627] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10939), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453665] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10776), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [453703] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10694), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10692), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [453741] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10098), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10007), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [453819] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453857] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9321), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453895] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [453933] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10671), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453971] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10764), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [454009] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454047] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7416), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7414), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454085] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454123] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454161] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454199] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454237] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10768), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [454275] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10690), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10688), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454313] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8606), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [454351] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9125), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454389] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9323), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454427] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12399), 1,
      anon_sym_with,
    STATE(9265), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454467] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8394), 1,
      sym__alpha_identifier,
    ACTIONS(8400), 1,
      anon_sym__,
    ACTIONS(8404), 1,
      anon_sym_LPAREN,
    ACTIONS(8406), 1,
      sym__backquoted_id,
    ACTIONS(8408), 1,
      sym_operator_identifier,
    STATE(13391), 1,
      sym__simple_type,
    STATE(14225), 1,
      sym__soft_identifier,
    STATE(14366), 1,
      sym_identifier,
    STATE(18465), 1,
      sym_stable_identifier,
    STATE(9266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(14501), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [454523] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4475), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(9267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10925), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [454565] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9389), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454603] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10746), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10744), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454641] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [454679] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454717] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454755] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10760), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10758), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454793] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454831] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454869] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454907] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8945), 1,
      sym__backquoted_id,
    ACTIONS(10363), 1,
      anon_sym_LPAREN,
    STATE(9371), 1,
      aux_sym_annotation_repeat1,
    STATE(10135), 1,
      sym_arguments,
    STATE(9277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8943), 19,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454951] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454989] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10774), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10772), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455027] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455103] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9639), 1,
      sym_arguments,
    STATE(9282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455143] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9212), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455181] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10796), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10794), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455219] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10014), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10016), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455257] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9135), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455295] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455333] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(9288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455373] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8813), 1,
      sym__alpha_identifier,
    ACTIONS(8819), 1,
      anon_sym__,
    ACTIONS(8823), 1,
      anon_sym_LPAREN,
    ACTIONS(8825), 1,
      sym__backquoted_id,
    ACTIONS(8827), 1,
      sym_operator_identifier,
    STATE(4674), 1,
      sym__simple_type,
    STATE(5043), 1,
      sym_identifier,
    STATE(5236), 1,
      sym__soft_identifier,
    STATE(17771), 1,
      sym_stable_identifier,
    STATE(9289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8821), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5233), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [455429] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [455467] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10007), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [455505] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10782), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10780), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455543] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11267), 1,
      anon_sym_AT,
    STATE(9152), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10202), 1,
      sym_annotation,
    STATE(9293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9248), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455587] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455625] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455663] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455701] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455739] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455777] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455815] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455853] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [455891] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [455929] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [455967] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12402), 1,
      anon_sym_with,
    STATE(9304), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456007] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5673), 1,
      sym__end_marker,
    STATE(9305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10376), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456047] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10810), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10808), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456085] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9389), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [456123] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10734), 1,
      sym__alpha_identifier,
    ACTIONS(10740), 1,
      sym__backquoted_id,
    ACTIONS(10742), 1,
      sym_operator_identifier,
    STATE(543), 1,
      sym_identifier,
    STATE(4204), 1,
      sym__soft_identifier,
    STATE(9308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9805), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10736), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [456175] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456219] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4564), 1,
      sym__alpha_identifier,
    ACTIONS(4566), 1,
      anon_sym__,
    ACTIONS(4576), 1,
      sym__backquoted_id,
    ACTIONS(7020), 1,
      sym_operator_identifier,
    ACTIONS(8072), 1,
      anon_sym_LPAREN,
    STATE(4773), 1,
      sym__simple_type,
    STATE(5119), 1,
      sym__soft_identifier,
    STATE(5265), 1,
      sym_identifier,
    STATE(17908), 1,
      sym_stable_identifier,
    STATE(9310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4572), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5566), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [456275] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456313] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456351] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [456389] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [456427] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12018), 1,
      anon_sym_DOT,
    ACTIONS(12405), 1,
      anon_sym_EQ_GT,
    STATE(9315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456469] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10829), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10827), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456507] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456545] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [456583] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [456621] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9160), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456659] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9160), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456697] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10853), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10851), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456735] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10857), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10855), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456773] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456811] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [456849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [456887] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456925] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [456963] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [457001] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457039] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457077] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10684), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10682), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457115] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457153] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9675), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9673), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9671), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [457193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10694), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10692), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457231] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457269] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457307] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457345] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457383] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [457421] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [457459] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457497] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8300), 1,
      sym__alpha_identifier,
    ACTIONS(8306), 1,
      anon_sym__,
    ACTIONS(8310), 1,
      anon_sym_LPAREN,
    ACTIONS(8312), 1,
      sym__backquoted_id,
    ACTIONS(8314), 1,
      sym_operator_identifier,
    STATE(11596), 1,
      sym__simple_type,
    STATE(11860), 1,
      sym_identifier,
    STATE(11917), 1,
      sym__soft_identifier,
    STATE(18063), 1,
      sym_stable_identifier,
    STATE(9343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8308), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12347), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [457553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10907), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10905), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10911), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10909), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10007), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [457667] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10782), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10780), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457705] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(9348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457745] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9675), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9673), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9671), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457785] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [457823] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(705), 1,
      anon_sym__,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(5088), 1,
      sym_operator_identifier,
    ACTIONS(8082), 1,
      anon_sym_LPAREN,
    STATE(5203), 1,
      sym__simple_type,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(6174), 1,
      sym_identifier,
    STATE(18445), 1,
      sym_stable_identifier,
    STATE(9351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6506), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [457879] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10800), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10798), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457917] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [457955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [457993] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [458031] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10804), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10802), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458069] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458145] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458183] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10776), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [458221] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4258), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [458259] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [458297] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458335] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10937), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10935), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458373] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11458), 1,
      sym__alpha_identifier,
    ACTIONS(11460), 1,
      anon_sym__,
    ACTIONS(11464), 1,
      anon_sym_LPAREN,
    ACTIONS(11466), 1,
      sym__backquoted_id,
    ACTIONS(11468), 1,
      sym_operator_identifier,
    STATE(14208), 1,
      sym__simple_type,
    STATE(14786), 1,
      sym_identifier,
    STATE(14844), 1,
      sym__soft_identifier,
    STATE(18659), 1,
      sym_stable_identifier,
    STATE(9365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11462), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(15030), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [458429] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10402), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10400), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458467] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458505] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458543] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12407), 1,
      anon_sym_with,
    STATE(9369), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458583] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458621] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8955), 1,
      sym__backquoted_id,
    ACTIONS(12410), 1,
      anon_sym_LPAREN,
    STATE(10135), 1,
      sym_arguments,
    STATE(9371), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8953), 19,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458663] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7288), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [458701] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10398), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458741] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(9374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8997), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [458785] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10800), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10798), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458823] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9139), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458861] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9878), 1,
      sym__end_marker,
    STATE(9377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10376), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458901] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459015] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9141), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459053] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459091] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9143), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459129] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10823), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [459167] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10804), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10802), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459205] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6514), 1,
      sym__alpha_identifier,
    ACTIONS(6516), 1,
      anon_sym__,
    ACTIONS(6524), 1,
      sym__backquoted_id,
    ACTIONS(6526), 1,
      sym_operator_identifier,
    ACTIONS(8108), 1,
      anon_sym_LPAREN,
    STATE(7548), 1,
      sym__simple_type,
    STATE(9171), 1,
      sym_identifier,
    STATE(9211), 1,
      sym__soft_identifier,
    STATE(18813), 1,
      sym_stable_identifier,
    STATE(9386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6520), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9592), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [459261] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10831), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [459299] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10835), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [459337] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12413), 1,
      anon_sym_AT,
    STATE(10249), 1,
      sym_annotation,
    STATE(9389), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9203), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459379] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459417] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459455] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6588), 1,
      sym__alpha_identifier,
    ACTIONS(6590), 1,
      anon_sym__,
    ACTIONS(6598), 1,
      sym__backquoted_id,
    ACTIONS(6600), 1,
      sym_operator_identifier,
    ACTIONS(8138), 1,
      anon_sym_LPAREN,
    STATE(6581), 1,
      sym__simple_type,
    STATE(7994), 1,
      sym_identifier,
    STATE(8617), 1,
      sym__soft_identifier,
    STATE(18936), 1,
      sym_stable_identifier,
    STATE(9392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8780), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [459511] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7288), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [459549] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12196), 1,
      anon_sym_LPAREN,
    ACTIONS(12198), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(4499), 1,
      sym_identifier,
    STATE(13295), 1,
      sym__simple_type,
    STATE(18747), 1,
      sym_stable_identifier,
    STATE(9394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4527), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [459605] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459643] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8172), 1,
      anon_sym_AT,
    ACTIONS(8180), 1,
      anon_sym_inline,
    ACTIONS(8182), 1,
      anon_sym_infix,
    ACTIONS(8184), 1,
      anon_sym_open,
    ACTIONS(8186), 1,
      anon_sym_transparent,
    ACTIONS(8356), 1,
      anon_sym_def,
    STATE(5615), 1,
      aux_sym_modifiers_repeat1,
    STATE(6711), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7951), 1,
      sym_annotation,
    STATE(18983), 1,
      sym_modifiers,
    ACTIONS(8178), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(9396), 2,
      sym_comment,
      sym_block_comment,
    STATE(6726), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8176), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [459703] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459741] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [459779] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4396), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(9399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [459821] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11653), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [459859] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7416), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7414), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [459897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [459935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [459973] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460011] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [460049] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12416), 1,
      anon_sym_with,
    STATE(9406), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9647), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [460089] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460127] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [460165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [460203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460241] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460279] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [460317] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8829), 1,
      sym__alpha_identifier,
    ACTIONS(8831), 1,
      anon_sym__,
    ACTIONS(8835), 1,
      anon_sym_LPAREN,
    ACTIONS(8837), 1,
      sym__backquoted_id,
    ACTIONS(8839), 1,
      sym_operator_identifier,
    STATE(5246), 1,
      sym__simple_type,
    STATE(6697), 1,
      sym__soft_identifier,
    STATE(6989), 1,
      sym_identifier,
    STATE(19127), 1,
      sym_stable_identifier,
    STATE(9413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8833), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6763), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [460373] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460411] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9133), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460449] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [460487] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10028), 1,
      sym__alpha_identifier,
    ACTIONS(10034), 1,
      sym__backquoted_id,
    ACTIONS(10036), 1,
      sym_operator_identifier,
    STATE(546), 1,
      sym_identifier,
    STATE(4205), 1,
      sym__soft_identifier,
    STATE(9417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9805), 7,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [460539] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8412), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(8414), 1,
      anon_sym_DQUOTE,
    ACTIONS(8416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(12419), 1,
      anon_sym_EQ_GT,
    STATE(11551), 1,
      sym_interpolated_string,
    STATE(16539), 1,
      sym__interpolated_string_start,
    STATE(16540), 1,
      sym__interpolated_multiline_string_start,
    STATE(9418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9141), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [460629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [460667] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10327), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460707] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12422), 1,
      sym__alpha_identifier,
    ACTIONS(12424), 1,
      anon_sym__,
    ACTIONS(12428), 1,
      anon_sym_LPAREN,
    ACTIONS(12430), 1,
      sym__backquoted_id,
    ACTIONS(12432), 1,
      sym_operator_identifier,
    STATE(12221), 1,
      sym__simple_type,
    STATE(13497), 1,
      sym__soft_identifier,
    STATE(13521), 1,
      sym_identifier,
    STATE(18456), 1,
      sym_stable_identifier,
    STATE(9422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12426), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(14036), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [460763] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12434), 1,
      anon_sym_with,
    STATE(9423), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460803] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460841] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10220), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10222), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [460879] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460917] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9669), 1,
      sym_operator_identifier,
    STATE(1929), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(9427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9063), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [460971] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461009] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7336), 1,
      anon_sym__,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(8010), 1,
      sym_operator_identifier,
    ACTIONS(8208), 1,
      anon_sym_LPAREN,
    STATE(11740), 1,
      sym__simple_type,
    STATE(12312), 1,
      sym_identifier,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(19344), 1,
      sym_stable_identifier,
    STATE(9429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13039), 8,
      sym_tuple_type,
      sym_named_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [461065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [461103] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10911), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10909), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461141] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 6,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7288), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [461252] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7416), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7414), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461289] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10831), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [461326] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9323), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461363] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12202), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(12200), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [461400] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    ACTIONS(12437), 1,
      anon_sym_COLON,
    STATE(9439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461441] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461478] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461515] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461552] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11707), 1,
      anon_sym_LPAREN,
    STATE(9493), 1,
      aux_sym_annotation_repeat1,
    STATE(10475), 1,
      sym_arguments,
    STATE(9443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8943), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461595] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10229), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10231), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [461669] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10907), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10905), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461706] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10694), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10692), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [461817] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [461854] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [461891] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461928] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461965] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10782), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10780), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462002] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10804), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10802), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462039] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [462076] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10608), 1,
      anon_sym_COMMA,
    ACTIONS(10610), 1,
      anon_sym_DOT,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10614), 1,
      anon_sym_AT,
    ACTIONS(10616), 1,
      anon_sym_EQ,
    ACTIONS(10618), 1,
      anon_sym_RPAREN,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    ACTIONS(10624), 1,
      anon_sym_LT_DASH,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(16296), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(9457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [462143] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5812), 1,
      sym__end_marker,
    STATE(9458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10376), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462182] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10690), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10688), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462219] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12439), 1,
      anon_sym_with,
    STATE(9460), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462258] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 6,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462301] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(9462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 7,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462342] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462379] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10746), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10744), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462416] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4419), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(9465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462457] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462494] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10684), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10682), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [462531] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9133), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462568] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462605] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462642] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(9471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462681] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462718] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462755] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462792] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462829] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462866] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462903] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462940] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12442), 1,
      anon_sym_with,
    STATE(9479), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462979] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463016] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463053] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10083), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [463090] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10110), 1,
      sym__alpha_identifier,
    ACTIONS(10116), 1,
      sym__backquoted_id,
    ACTIONS(10118), 1,
      sym_operator_identifier,
    ACTIONS(10137), 1,
      anon_sym_EQ,
    STATE(544), 1,
      sym_identifier,
    STATE(4206), 1,
      sym__soft_identifier,
    STATE(9483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9805), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10112), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [463143] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10760), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10758), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463180] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9835), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [463217] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463291] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12445), 1,
      anon_sym_with,
    STATE(9488), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463330] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463367] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463404] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463441] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [463478] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12448), 1,
      anon_sym_LPAREN,
    STATE(10475), 1,
      sym_arguments,
    STATE(9493), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8953), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463519] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12202), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(12200), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [463630] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12451), 1,
      anon_sym_with,
    STATE(9497), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463669] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463706] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9283), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10800), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10798), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463817] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463854] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6808), 1,
      anon_sym_COLON,
    ACTIONS(6810), 1,
      anon_sym_LBRACE,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8636), 1,
      sym__outdent,
    ACTIONS(8638), 1,
      anon_sym_case,
    ACTIONS(12454), 1,
      anon_sym_with,
    STATE(9715), 1,
      aux_sym_compound_type_repeat1,
    STATE(12193), 1,
      sym_template_body,
    STATE(12197), 1,
      sym__refinement,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9503), 2,
      sym_comment,
      sym_block_comment,
    STATE(12453), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463911] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10774), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10772), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463948] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10093), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [463985] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11718), 1,
      anon_sym_AT,
    STATE(9734), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10423), 1,
      sym_annotation,
    STATE(9506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9248), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464028] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10694), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10692), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [464102] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9139), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [464139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10804), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10802), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464176] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10141), 1,
      sym__alpha_identifier,
    ACTIONS(10147), 1,
      sym__backquoted_id,
    ACTIONS(10149), 1,
      sym_operator_identifier,
    ACTIONS(10205), 1,
      anon_sym_EQ,
    STATE(542), 1,
      sym_identifier,
    STATE(4203), 1,
      sym__soft_identifier,
    STATE(9511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9801), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10143), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [464229] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9801), 1,
      anon_sym_LBRACK,
    ACTIONS(9805), 1,
      anon_sym_match,
    ACTIONS(10168), 1,
      sym__alpha_identifier,
    ACTIONS(10174), 1,
      sym__backquoted_id,
    ACTIONS(10176), 1,
      sym_operator_identifier,
    STATE(565), 1,
      sym_identifier,
    STATE(4226), 1,
      sym__soft_identifier,
    STATE(9512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9059), 4,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10170), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10172), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [464284] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4469), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(9513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10925), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [464325] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10907), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10905), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464362] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464399] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464436] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10147), 1,
      sym_arguments,
    STATE(9517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464475] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [464512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464549] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(9520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 7,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464590] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464627] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464664] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464701] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464738] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464775] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464812] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464886] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10821), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464925] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9307), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464962] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10573), 1,
      anon_sym_COLON,
    ACTIONS(10710), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(10903), 1,
      anon_sym_EQ_GT,
    STATE(18999), 1,
      sym__self_type_ascription,
    STATE(9531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465007] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10014), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10016), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465044] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465081] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(9534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465122] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465159] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465196] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465233] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9675), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9673), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9671), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9141), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [465309] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465346] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465383] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4389), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(9542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10925), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [465424] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9143), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [465461] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465498] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465535] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465572] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9835), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465609] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(10108), 1,
      sym_operator_identifier,
    STATE(1932), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(9548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9063), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [465662] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465699] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(10026), 1,
      sym_operator_identifier,
    STATE(1968), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(9550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(9063), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [465752] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [465789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10911), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10909), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465826] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10939), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465863] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9309), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465900] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [465937] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10810), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10808), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465974] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7416), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7414), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466011] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10642), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466050] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466087] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6329), 1,
      sym__end_marker,
    STATE(9560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10376), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466126] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10220), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10222), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466163] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10829), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10827), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466200] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466237] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466274] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10720), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466313] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10853), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10851), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466350] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10937), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10935), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466424] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466461] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466498] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8967), 1,
      anon_sym_DOT,
    ACTIONS(12456), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 5,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8939), 14,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466539] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466576] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466613] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466650] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12459), 1,
      anon_sym_with,
    STATE(9575), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466689] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466726] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466763] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466800] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10573), 1,
      anon_sym_COLON,
    ACTIONS(10576), 1,
      anon_sym_EQ_GT,
    ACTIONS(10578), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(18446), 1,
      sym__self_type_ascription,
    STATE(9579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10857), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10855), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466882] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [466919] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466956] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466993] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467030] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10782), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10780), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [467067] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467141] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [467178] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9675), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9673), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9671), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467217] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10141), 1,
      sym__alpha_identifier,
    ACTIONS(10145), 1,
      anon_sym_EQ,
    ACTIONS(10147), 1,
      sym__backquoted_id,
    ACTIONS(10149), 1,
      sym_operator_identifier,
    STATE(542), 1,
      sym_identifier,
    STATE(4203), 1,
      sym__soft_identifier,
    STATE(9590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9805), 6,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10143), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [467270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467307] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9291), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467344] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(10357), 1,
      sym_operator_identifier,
    STATE(1959), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(9593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9063), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [467397] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467471] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9125), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [467545] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467582] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467619] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10853), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10851), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467656] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10857), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10855), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467693] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467730] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3500), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(11831), 1,
      anon_sym_LPAREN,
    ACTIONS(12462), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    ACTIONS(8997), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(9603), 2,
      sym_comment,
      sym_block_comment,
    STATE(11479), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8995), 11,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467818] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [467855] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [467892] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [467929] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12464), 1,
      anon_sym_with,
    STATE(9608), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467968] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468011] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468048] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468085] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468122] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9321), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468159] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [468196] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9212), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468233] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12467), 1,
      anon_sym_with,
    STATE(9616), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [468309] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10007), 1,
      sym__end_marker,
    STATE(9618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10376), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468385] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [468422] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [468459] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468496] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [468533] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468607] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [468644] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468681] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468718] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [468755] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468792] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [468829] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8638), 5,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468872] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468909] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468946] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469020] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469057] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469094] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10939), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9303), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469168] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4373), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(9641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10925), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [469209] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(9642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8997), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8995), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [469252] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4392), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(9643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469293] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10829), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10827), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469330] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10907), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10905), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469367] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9160), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469404] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469441] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10667), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469480] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469517] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [469554] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469628] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [469665] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [469702] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469739] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10911), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10909), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469776] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469813] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469850] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(10293), 1,
      sym_operator_identifier,
    STATE(1930), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(9659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9063), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9061), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [469903] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [469940] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [470014] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10786), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470053] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10800), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10798), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [470127] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470164] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [470201] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [470238] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [470275] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [470312] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470351] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470388] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10671), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [470425] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [470462] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [470499] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [470573] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470610] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4380), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(9679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470651] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [470688] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10804), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10802), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [470725] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [470762] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4470), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(9683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470803] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10762), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [470842] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(9685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8997), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470885] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [470922] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10277), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10279), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470959] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [470996] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10281), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10283), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471033] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [471070] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [471144] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [471181] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10690), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10688), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [471218] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12470), 1,
      anon_sym_DOT,
    STATE(9695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471257] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9135), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471294] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8370), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [471331] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471370] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471407] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 6,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471450] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471487] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471524] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10193), 1,
      sym_arguments,
    STATE(9703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471563] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10684), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10682), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471600] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [471637] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(10289), 1,
      sym_operator_identifier,
    STATE(1919), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(9706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9063), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [471690] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10835), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [471727] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [471764] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10937), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10935), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471801] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10764), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [471838] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9596), 1,
      anon_sym_COLON,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    ACTIONS(12472), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10079), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [471918] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10684), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10682), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471955] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12475), 1,
      anon_sym_with,
    STATE(9714), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9647), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471994] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6808), 1,
      anon_sym_COLON,
    ACTIONS(6810), 1,
      anon_sym_LBRACE,
    ACTIONS(12454), 1,
      anon_sym_with,
    STATE(11173), 1,
      aux_sym_compound_type_repeat1,
    STATE(12193), 1,
      sym_template_body,
    STATE(12213), 1,
      sym__refinement,
    ACTIONS(8562), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(9715), 2,
      sym_comment,
      sym_block_comment,
    STATE(12453), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8556), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472045] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3500), 1,
      anon_sym_LBRACE,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9801), 1,
      anon_sym_LBRACK,
    ACTIONS(9805), 1,
      anon_sym_match,
    ACTIONS(11831), 1,
      anon_sym_LPAREN,
    ACTIONS(12462), 1,
      anon_sym_DOT,
    ACTIONS(12478), 1,
      sym__alpha_identifier,
    ACTIONS(12482), 1,
      sym__backquoted_id,
    ACTIONS(12484), 1,
      sym_operator_identifier,
    STATE(1807), 1,
      sym_identifier,
    STATE(4362), 1,
      sym__soft_identifier,
    ACTIONS(9059), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
    STATE(9716), 2,
      sym_comment,
      sym_block_comment,
    STATE(11479), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(12480), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [472106] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    ACTIONS(12486), 1,
      anon_sym_COLON,
    STATE(9717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472147] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472184] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472221] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472258] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472295] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10269), 1,
      sym__end_marker,
    STATE(9722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10376), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [472334] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [472371] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10694), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10692), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472408] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [472445] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10402), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10400), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472482] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12405), 1,
      anon_sym_EQ_GT,
    STATE(9727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9291), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472521] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4258), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [472558] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10046), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [472595] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10746), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10744), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [472632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472669] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472706] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10823), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [472743] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12488), 1,
      anon_sym_AT,
    STATE(10423), 1,
      sym_annotation,
    STATE(9734), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9203), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472784] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472821] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9125), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472895] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10760), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10758), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [472932] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9323), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472969] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10776), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [473006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473043] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10774), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10772), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [473080] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10796), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10794), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [473117] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10014), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10016), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [473154] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473191] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [473228] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10939), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473265] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473302] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473339] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473376] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473413] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9769), 1,
      sym_operator_identifier,
    STATE(1966), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(9752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9063), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [473464] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473501] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473538] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473575] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10402), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10400), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473612] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9139), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473649] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9321), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473686] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473723] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4381), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(9760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473764] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473801] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    ACTIONS(12491), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473842] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10110), 1,
      sym__alpha_identifier,
    ACTIONS(10116), 1,
      sym__backquoted_id,
    ACTIONS(10118), 1,
      sym_operator_identifier,
    STATE(544), 1,
      sym_identifier,
    STATE(4206), 1,
      sym__soft_identifier,
    STATE(9763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9805), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10112), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [473893] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10110), 1,
      sym__alpha_identifier,
    ACTIONS(10114), 1,
      anon_sym_EQ,
    ACTIONS(10116), 1,
      sym__backquoted_id,
    ACTIONS(10118), 1,
      sym_operator_identifier,
    STATE(544), 1,
      sym_identifier,
    STATE(4206), 1,
      sym__soft_identifier,
    STATE(9764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9805), 5,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10112), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [473946] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9141), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10810), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10808), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [474020] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9143), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474057] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10782), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10780), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474094] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10829), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10827), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [474131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10220), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10222), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474168] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10853), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10851), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [474205] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9303), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474242] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10939), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474279] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10857), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10855), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [474316] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [474353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [474390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [474427] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(9778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8997), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474470] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474507] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474544] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474581] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10277), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10279), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474618] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474655] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474692] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10782), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10780), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474729] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10831), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [474803] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10796), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10794), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474840] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4260), 1,
      sym__backquoted_id,
    STATE(9789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(4256), 8,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
    ACTIONS(4258), 8,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
  [474881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10056), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [474918] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10220), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10222), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9133), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474992] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475029] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [475066] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [475103] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [475177] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10907), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10905), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [475214] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9105), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [475251] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4390), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(9800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475292] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12494), 1,
      anon_sym_with,
    STATE(9801), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475331] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [475368] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10911), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10909), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [475405] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [475442] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10067), 1,
      sym_arguments,
    STATE(9805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475481] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10671), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475518] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10281), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10283), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475555] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [475592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9109), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [475629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9212), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475666] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475703] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7288), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [475740] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475777] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475820] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10115), 1,
      sym_arguments,
    STATE(9815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8370), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [475859] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10835), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [475896] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8983), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [475933] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475970] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10806), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476009] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9135), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476046] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12497), 1,
      anon_sym_DOT,
    STATE(9821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8939), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476085] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12499), 1,
      anon_sym_COLON,
    ACTIONS(12502), 1,
      anon_sym_LBRACE,
    STATE(10933), 1,
      sym_template_body,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9350), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9342), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476130] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10800), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10798), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476167] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10800), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10798), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476204] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476241] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [476278] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10690), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10688), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476352] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476389] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9205), 1,
      sym__backquoted_id,
    ACTIONS(12505), 1,
      anon_sym_AT,
    STATE(10663), 1,
      sym_annotation,
    STATE(9830), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9203), 18,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476430] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10746), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10744), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476467] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10229), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10231), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10760), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10758), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476541] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10774), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10772), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476578] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [476615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10937), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10935), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476652] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10796), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10794), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476689] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476726] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10823), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [476763] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10937), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10935), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [476800] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [476837] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(9842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476876] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10007), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [476913] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476950] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [476987] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477024] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [477061] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477098] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477135] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10402), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10400), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [477172] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10804), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10802), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477209] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 16,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [477246] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9160), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477283] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477320] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12508), 1,
      anon_sym_with,
    STATE(9855), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477396] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9283), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477433] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [477470] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10810), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10808), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477507] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [477544] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12511), 1,
      anon_sym_with,
    STATE(9861), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477583] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4388), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(9862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [477624] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [477661] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [477698] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477735] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9323), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477772] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477809] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10810), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10808), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477846] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477883] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10939), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [477920] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(931), 1,
      anon_sym_LBRACE,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9801), 1,
      anon_sym_LBRACK,
    ACTIONS(10363), 1,
      anon_sym_LPAREN,
    ACTIONS(10982), 1,
      anon_sym_DOT,
    ACTIONS(10984), 1,
      sym_operator_identifier,
    ACTIONS(12514), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    ACTIONS(9805), 2,
      anon_sym_while,
      anon_sym_match,
    STATE(9871), 2,
      sym_comment,
      sym_block_comment,
    STATE(10278), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [477981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478018] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [478055] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478092] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10829), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10827), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478129] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(9876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8997), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [478172] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10229), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10231), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478252] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9307), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478289] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10007), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [478326] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10684), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10682), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478363] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9133), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478400] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478437] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478474] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10402), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10400), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478511] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [478548] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10694), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10692), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478585] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [478622] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [478659] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8638), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478702] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10853), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10851), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478739] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10857), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10855), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478776] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478813] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10120), 1,
      sym__alpha_identifier,
    ACTIONS(10126), 1,
      sym__backquoted_id,
    ACTIONS(10128), 1,
      sym_operator_identifier,
    ACTIONS(10201), 1,
      anon_sym_EQ,
    STATE(541), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(9894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9801), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10122), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [478866] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478903] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478940] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9309), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7416), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7414), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [479014] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(931), 1,
      anon_sym_LBRACE,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9801), 1,
      anon_sym_LBRACK,
    ACTIONS(10363), 1,
      anon_sym_LPAREN,
    ACTIONS(10982), 1,
      anon_sym_DOT,
    ACTIONS(10984), 1,
      sym_operator_identifier,
    ACTIONS(12516), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    ACTIONS(9805), 2,
      anon_sym_match,
      anon_sym_do,
    STATE(9899), 2,
      sym_comment,
      sym_block_comment,
    STATE(10278), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [479075] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6808), 1,
      anon_sym_COLON,
    ACTIONS(6810), 1,
      anon_sym_LBRACE,
    ACTIONS(12454), 1,
      anon_sym_with,
    STATE(9715), 1,
      aux_sym_compound_type_repeat1,
    STATE(12193), 1,
      sym_template_body,
    STATE(12197), 1,
      sym__refinement,
    ACTIONS(8608), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(9900), 2,
      sym_comment,
      sym_block_comment,
    STATE(12453), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8606), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479126] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479163] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479200] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10671), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479237] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12518), 1,
      anon_sym_with,
    STATE(9904), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9647), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [479276] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10028), 1,
      sym__alpha_identifier,
    ACTIONS(10032), 1,
      anon_sym_EQ,
    ACTIONS(10034), 1,
      sym__backquoted_id,
    ACTIONS(10036), 1,
      sym_operator_identifier,
    STATE(546), 1,
      sym_identifier,
    STATE(4205), 1,
      sym__soft_identifier,
    STATE(9905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9805), 5,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [479329] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3500), 1,
      anon_sym_LBRACE,
    ACTIONS(11831), 1,
      anon_sym_LPAREN,
    ACTIONS(12462), 1,
      anon_sym_DOT,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    ACTIONS(8949), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(9906), 2,
      sym_comment,
      sym_block_comment,
    STATE(11479), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8947), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479378] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479415] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10671), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479452] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10277), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10279), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [479489] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479526] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479563] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479600] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479637] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10815), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479676] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9799), 1,
      sym__alpha_identifier,
    ACTIONS(9809), 1,
      sym__backquoted_id,
    ACTIONS(9811), 1,
      sym_operator_identifier,
    ACTIONS(10210), 1,
      anon_sym_EQ,
    STATE(540), 1,
      sym_identifier,
    STATE(4172), 1,
      sym__soft_identifier,
    STATE(9915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9805), 5,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9803), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [479729] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4404), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(9916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479770] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10120), 1,
      sym__alpha_identifier,
    ACTIONS(10124), 1,
      anon_sym_EQ,
    ACTIONS(10126), 1,
      sym__backquoted_id,
    ACTIONS(10128), 1,
      sym_operator_identifier,
    STATE(541), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(9917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9805), 6,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10122), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [479823] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10911), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10909), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479860] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10281), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10283), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [479897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10690), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10688), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479934] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479971] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [480045] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9669), 1,
      sym_operator_identifier,
    STATE(1929), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(9924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9063), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [480096] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [480133] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10746), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10744), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480170] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 6,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4258), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480207] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480244] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480281] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10760), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10758), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480318] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10774), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10772), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10796), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10794), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480392] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10014), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10016), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480429] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10573), 1,
      anon_sym_COLON,
    ACTIONS(10708), 1,
      anon_sym_EQ_GT,
    ACTIONS(10710), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(17928), 1,
      sym__self_type_ascription,
    STATE(9934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480474] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480511] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480548] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10841), 1,
      sym__alpha_identifier,
    ACTIONS(10847), 1,
      sym__backquoted_id,
    ACTIONS(10849), 1,
      sym_operator_identifier,
    STATE(550), 1,
      sym_identifier,
    STATE(4218), 1,
      sym__soft_identifier,
    STATE(9937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9805), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(10843), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [480599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10768), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [480636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10014), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10016), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [480672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10800), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10798), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480708] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [480744] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10911), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10909), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [480780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12202), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(12200), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [480816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10800), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10798), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [480852] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8983), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480888] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10093), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [480924] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11242), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480962] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480998] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(10293), 1,
      sym_operator_identifier,
    STATE(1930), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(9949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9063), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9061), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [481048] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7288), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [481084] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11653), 15,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [481120] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [481156] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481192] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481228] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10782), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10780), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [481264] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12122), 1,
      anon_sym_LPAREN,
    STATE(9979), 1,
      aux_sym_annotation_repeat1,
    STATE(10931), 1,
      sym_arguments,
    STATE(9956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 4,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8943), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481306] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10141), 1,
      sym__alpha_identifier,
    ACTIONS(10147), 1,
      sym__backquoted_id,
    ACTIONS(10149), 1,
      sym_operator_identifier,
    ACTIONS(10784), 1,
      anon_sym_EQ,
    STATE(542), 1,
      sym_identifier,
    STATE(4203), 1,
      sym__soft_identifier,
    STATE(9957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9805), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(10143), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [481358] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10829), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10827), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [481394] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481430] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10810), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10808), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481466] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(10289), 1,
      sym_operator_identifier,
    STATE(1919), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(9961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9063), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [481516] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10722), 1,
      sym__alpha_identifier,
    ACTIONS(10728), 1,
      sym__backquoted_id,
    ACTIONS(10730), 1,
      sym_operator_identifier,
    ACTIONS(10817), 1,
      anon_sym_EQ,
    STATE(545), 1,
      sym_identifier,
    STATE(4214), 1,
      sym__soft_identifier,
    STATE(9962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(9801), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10724), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [481568] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(10610), 1,
      anon_sym_DOT,
    ACTIONS(10614), 1,
      anon_sym_AT,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(9963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11013), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11011), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [481614] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10829), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10827), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481650] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8638), 6,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481692] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10684), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10682), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481728] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 5,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481770] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11033), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10671), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481844] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12521), 1,
      anon_sym_AT,
    STATE(11054), 1,
      sym_annotation,
    STATE(9970), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9203), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481884] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11244), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481922] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12524), 1,
      anon_sym_with,
    STATE(9972), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481960] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10853), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10851), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481996] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10857), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10855), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482032] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10578), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482070] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10694), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10692), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482106] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482148] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(10475), 1,
      sym_operator_identifier,
    STATE(1953), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(9978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9063), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [482200] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12527), 1,
      anon_sym_LPAREN,
    STATE(10931), 1,
      sym_arguments,
    STATE(9979), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 4,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8953), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482240] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9133), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482276] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10734), 1,
      sym__alpha_identifier,
    ACTIONS(10740), 1,
      sym__backquoted_id,
    ACTIONS(10742), 1,
      sym_operator_identifier,
    ACTIONS(10819), 1,
      anon_sym_EQ,
    STATE(543), 1,
      sym_identifier,
    STATE(4204), 1,
      sym__soft_identifier,
    STATE(9981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(9801), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10736), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [482328] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12530), 1,
      anon_sym_with,
    STATE(9982), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482366] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(9983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(8638), 6,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_while,
      anon_sym_EQ,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482406] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2473), 1,
      sym__alpha_identifier,
    ACTIONS(2507), 1,
      sym__backquoted_id,
    ACTIONS(12535), 1,
      sym_operator_identifier,
    STATE(4936), 1,
      sym__soft_identifier,
    STATE(7001), 1,
      sym_identifier,
    STATE(9984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2483), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12533), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [482452] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10610), 1,
      anon_sym_DOT,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10614), 1,
      anon_sym_AT,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(11369), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [482510] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10694), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10692), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482546] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10402), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10400), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482582] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    ACTIONS(11023), 1,
      anon_sym_EQ,
    ACTIONS(11365), 1,
      anon_sym_COMMA,
    ACTIONS(11367), 1,
      anon_sym_RPAREN,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(17111), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(9988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [482646] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10804), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10802), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [482682] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482718] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10907), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10905), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10911), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10909), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482790] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8370), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [482826] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10007), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [482862] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [482898] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482934] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9801), 1,
      anon_sym_LBRACK,
    ACTIONS(9805), 1,
      anon_sym_match,
    ACTIONS(10168), 1,
      sym__alpha_identifier,
    ACTIONS(10174), 1,
      sym__backquoted_id,
    ACTIONS(10176), 1,
      sym_operator_identifier,
    STATE(565), 1,
      sym_identifier,
    STATE(4226), 1,
      sym__soft_identifier,
    STATE(9997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9059), 4,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10170), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10172), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [482986] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8638), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483028] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10722), 1,
      sym__alpha_identifier,
    ACTIONS(10726), 1,
      anon_sym_EQ,
    ACTIONS(10728), 1,
      sym__backquoted_id,
    ACTIONS(10730), 1,
      sym_operator_identifier,
    STATE(545), 1,
      sym_identifier,
    STATE(4214), 1,
      sym__soft_identifier,
    STATE(9999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9805), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10724), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [483080] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483116] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483152] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483224] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9323), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483260] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4460), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483300] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483336] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10229), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10231), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483372] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483408] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10782), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10780), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483444] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11146), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [483482] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [483518] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10690), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10688), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483554] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [483590] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [483626] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10220), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10222), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [483662] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11829), 1,
      anon_sym_AT,
    STATE(9970), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11054), 1,
      sym_annotation,
    STATE(10016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9248), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483704] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(10026), 1,
      sym_operator_identifier,
    STATE(1968), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(10017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(9063), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [483754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [483790] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9139), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483826] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [483862] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [483898] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10841), 1,
      sym__alpha_identifier,
    ACTIONS(10845), 1,
      anon_sym_EQ,
    ACTIONS(10847), 1,
      sym__backquoted_id,
    ACTIONS(10849), 1,
      sym_operator_identifier,
    STATE(550), 1,
      sym_identifier,
    STATE(4218), 1,
      sym__soft_identifier,
    STATE(10022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9805), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
    ACTIONS(10843), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [483950] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483986] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9141), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484022] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10937), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10935), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484058] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9143), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484094] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10800), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10798), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484130] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484166] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10684), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10682), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484202] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10694), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10692), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484238] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10804), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10802), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484274] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484310] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10402), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10400), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484346] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10937), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10935), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484382] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10547), 1,
      sym__alpha_identifier,
    ACTIONS(10553), 1,
      sym__backquoted_id,
    ACTIONS(10555), 1,
      sym_operator_identifier,
    ACTIONS(10732), 1,
      anon_sym_EQ,
    STATE(549), 1,
      sym_identifier,
    STATE(4220), 1,
      sym__soft_identifier,
    STATE(10035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9805), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10549), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [484434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484470] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10671), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [484506] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484542] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484578] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10782), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10780), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484614] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(10604), 1,
      sym_operator_identifier,
    STATE(1943), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(10041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(9063), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [484666] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484702] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484738] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10120), 1,
      sym__alpha_identifier,
    ACTIONS(10126), 1,
      sym__backquoted_id,
    ACTIONS(10128), 1,
      sym_operator_identifier,
    ACTIONS(10632), 1,
      anon_sym_EQ,
    STATE(541), 1,
      sym_identifier,
    STATE(4202), 1,
      sym__soft_identifier,
    STATE(10044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9805), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10122), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [484790] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 5,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9291), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484826] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10810), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10808), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [484862] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484898] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484934] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484970] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10746), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10744), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485042] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485078] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10800), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10798), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485114] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4462), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10925), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485154] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12539), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(12537), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [485190] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10764), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [485226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10804), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10802), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485334] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10168), 1,
      sym__alpha_identifier,
    ACTIONS(10174), 1,
      sym__backquoted_id,
    ACTIONS(10176), 1,
      sym_operator_identifier,
    STATE(565), 1,
      sym_identifier,
    STATE(4226), 1,
      sym__soft_identifier,
    STATE(10060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9801), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10172), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [485384] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4412), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485424] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10768), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [485460] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485496] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485532] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485568] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1255), 1,
      sym__alpha_identifier,
    ACTIONS(1277), 1,
      sym__backquoted_id,
    ACTIONS(12543), 1,
      sym_operator_identifier,
    STATE(5058), 1,
      sym__soft_identifier,
    STATE(7113), 1,
      sym_identifier,
    STATE(10066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1265), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12541), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [485614] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10939), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485650] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10913), 1,
      sym__alpha_identifier,
    ACTIONS(10917), 1,
      anon_sym_EQ,
    ACTIONS(10919), 1,
      sym__backquoted_id,
    ACTIONS(10921), 1,
      sym_operator_identifier,
    STATE(548), 1,
      sym_identifier,
    STATE(4222), 1,
      sym__soft_identifier,
    STATE(10068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9805), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10915), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [485702] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4260), 1,
      sym__backquoted_id,
    STATE(10069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(4258), 7,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(4256), 8,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485742] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10760), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10758), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485778] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485814] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485850] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485886] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1291), 1,
      sym__alpha_identifier,
    ACTIONS(1313), 1,
      sym__backquoted_id,
    ACTIONS(12547), 1,
      sym_operator_identifier,
    STATE(6135), 1,
      sym__soft_identifier,
    STATE(8928), 1,
      sym_identifier,
    STATE(10074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1301), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12545), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [485932] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485970] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10734), 1,
      sym__alpha_identifier,
    ACTIONS(10738), 1,
      anon_sym_EQ,
    ACTIONS(10740), 1,
      sym__backquoted_id,
    ACTIONS(10742), 1,
      sym_operator_identifier,
    STATE(543), 1,
      sym_identifier,
    STATE(4204), 1,
      sym__soft_identifier,
    STATE(10076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9805), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10736), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [486022] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2399), 1,
      sym__alpha_identifier,
    ACTIONS(2421), 1,
      sym__backquoted_id,
    ACTIONS(12551), 1,
      sym_operator_identifier,
    STATE(4921), 1,
      sym__soft_identifier,
    STATE(6826), 1,
      sym_identifier,
    STATE(10077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2409), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12549), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [486068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486176] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486212] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9160), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486248] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486284] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486320] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12553), 1,
      anon_sym_with,
    STATE(10085), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486358] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1907), 1,
      sym__alpha_identifier,
    ACTIONS(1941), 1,
      sym__backquoted_id,
    ACTIONS(12558), 1,
      sym_operator_identifier,
    STATE(6337), 1,
      sym__soft_identifier,
    STATE(9919), 1,
      sym_identifier,
    STATE(10086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1917), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12556), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [486404] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486440] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10774), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10772), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486476] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [486548] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10748), 1,
      sym__alpha_identifier,
    ACTIONS(10754), 1,
      sym__backquoted_id,
    ACTIONS(10756), 1,
      sym_operator_identifier,
    STATE(547), 1,
      sym_identifier,
    STATE(4219), 1,
      sym__soft_identifier,
    STATE(10091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9805), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(10750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [486598] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10748), 1,
      sym__alpha_identifier,
    ACTIONS(10754), 1,
      sym__backquoted_id,
    ACTIONS(10756), 1,
      sym_operator_identifier,
    ACTIONS(10871), 1,
      anon_sym_EQ,
    STATE(547), 1,
      sym_identifier,
    STATE(4219), 1,
      sym__soft_identifier,
    STATE(10092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9805), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(10750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [486650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4258), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [486686] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10796), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10794), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486722] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(10608), 1,
      anon_sym_COMMA,
    ACTIONS(10618), 1,
      anon_sym_RPAREN,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    ACTIONS(11023), 1,
      anon_sym_EQ,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(16296), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [486786] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(10610), 1,
      anon_sym_DOT,
    ACTIONS(10614), 1,
      anon_sym_AT,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10980), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10978), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [486832] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [486868] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8638), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486910] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(11335), 1,
      sym__alpha_identifier,
    ACTIONS(11341), 1,
      sym__backquoted_id,
    ACTIONS(11343), 1,
      sym_operator_identifier,
    STATE(560), 1,
      sym_identifier,
    STATE(4257), 1,
      sym__soft_identifier,
    STATE(10099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9805), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(11337), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [486960] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8638), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487002] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [487038] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(10102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8997), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487080] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10937), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10935), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [487116] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10853), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10851), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [487152] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(10105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8997), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487194] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10387), 1,
      sym_arguments,
    STATE(10106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487232] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(10107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 7,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487308] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487344] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487380] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487416] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10602), 1,
      sym_arguments,
    STATE(10112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487454] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [487490] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487526] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10939), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [487562] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487598] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12202), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(12200), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [487634] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487670] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    ACTIONS(11021), 1,
      anon_sym_COMMA,
    ACTIONS(11023), 1,
      anon_sym_EQ,
    ACTIONS(11025), 1,
      anon_sym_RPAREN,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(16384), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [487734] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487770] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4377), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487810] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [487846] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8606), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [487882] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487918] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(10357), 1,
      sym_operator_identifier,
    STATE(1959), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(10125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9063), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [487968] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488004] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10810), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10808), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488040] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7288), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [488076] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10710), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488114] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488150] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10277), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10279), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [488186] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10804), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10802), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488222] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488258] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11141), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [488296] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8987), 2,
      anon_sym_LPAREN,
      sym__backquoted_id,
    STATE(10135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9389), 19,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488332] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4405), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488372] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488408] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [488444] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1583), 1,
      sym__alpha_identifier,
    ACTIONS(1605), 1,
      sym__backquoted_id,
    ACTIONS(12562), 1,
      sym_operator_identifier,
    STATE(6471), 1,
      sym__soft_identifier,
    STATE(9807), 1,
      sym_identifier,
    STATE(10139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1593), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12560), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [488490] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [488526] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [488562] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1399), 1,
      sym__alpha_identifier,
    ACTIONS(1421), 1,
      sym__backquoted_id,
    ACTIONS(12566), 1,
      sym_operator_identifier,
    STATE(5475), 1,
      sym__soft_identifier,
    STATE(8482), 1,
      sym_identifier,
    STATE(10142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1409), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12564), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [488608] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10281), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10283), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [488644] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(10144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488684] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488720] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488756] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10939), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488792] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6707), 1,
      sym__end_marker,
    STATE(10148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10376), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488830] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    ACTIONS(11023), 1,
      anon_sym_EQ,
    ACTIONS(11092), 1,
      anon_sym_COMMA,
    ACTIONS(11094), 1,
      anon_sym_RPAREN,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(17227), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [488894] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488930] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 15,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [488966] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489002] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [489038] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10829), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10827), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489074] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7288), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_LT_DASH,
  [489110] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9675), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9673), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9671), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489148] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489184] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 21,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [489218] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4401), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10925), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [489258] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(507), 1,
      sym__alpha_identifier,
    ACTIONS(571), 1,
      sym__backquoted_id,
    ACTIONS(8202), 1,
      sym_operator_identifier,
    STATE(6129), 1,
      sym__soft_identifier,
    STATE(10271), 1,
      sym_identifier,
    STATE(10160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(695), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8200), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [489304] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11653), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [489340] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9389), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489376] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_LT_DASH,
  [489412] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9105), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489448] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10671), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489484] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7416), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7414), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489520] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    ACTIONS(11023), 1,
      anon_sym_EQ,
    ACTIONS(11197), 1,
      anon_sym_COMMA,
    ACTIONS(11199), 1,
      anon_sym_RPAREN,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(16398), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [489584] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(10168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489624] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10056), 1,
      anon_sym_as,
    ACTIONS(10054), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(10169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10671), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489664] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10853), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10851), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489700] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10690), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10688), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [489736] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10007), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489772] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10857), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10855), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489844] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [489880] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [489916] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10402), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10400), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [489952] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4455), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10925), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [489992] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [490028] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490064] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490100] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4451), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490140] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9675), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9673), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9671), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490214] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490250] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10748), 1,
      sym__alpha_identifier,
    ACTIONS(10752), 1,
      anon_sym_EQ,
    ACTIONS(10754), 1,
      sym__backquoted_id,
    ACTIONS(10756), 1,
      sym_operator_identifier,
    STATE(547), 1,
      sym_identifier,
    STATE(4219), 1,
      sym__soft_identifier,
    STATE(10186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9805), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(10750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [490302] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490338] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490374] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490410] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490446] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(11203), 1,
      sym__alpha_identifier,
    ACTIONS(11209), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      sym_operator_identifier,
    STATE(568), 1,
      sym_identifier,
    STATE(4243), 1,
      sym__soft_identifier,
    STATE(10191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(9805), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(11205), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [490496] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9109), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490532] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10939), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490568] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490604] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(10677), 1,
      sym_operator_identifier,
    STATE(1965), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(10195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9063), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [490656] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490692] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4393), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490732] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    ACTIONS(11023), 1,
      anon_sym_EQ,
    ACTIONS(11096), 1,
      anon_sym_COMMA,
    ACTIONS(11098), 1,
      anon_sym_RPAREN,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(17315), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [490796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10690), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10688), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490832] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1639), 1,
      sym__alpha_identifier,
    ACTIONS(1661), 1,
      sym__backquoted_id,
    ACTIONS(12570), 1,
      sym_operator_identifier,
    STATE(6091), 1,
      sym__soft_identifier,
    STATE(8723), 1,
      sym_identifier,
    STATE(10200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1649), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12568), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [490878] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 16,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [490914] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490950] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 16,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [490986] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 16,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [491022] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491058] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6965), 1,
      sym__end_marker,
    STATE(10206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10376), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491096] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [491132] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8967), 1,
      anon_sym_DOT,
    ACTIONS(12486), 1,
      anon_sym_COLON,
    STATE(10208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491172] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491208] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10746), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10744), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491244] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10746), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10744), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [491280] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10760), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10758), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491316] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12572), 1,
      anon_sym_with,
    STATE(10213), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491354] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [491390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10684), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10682), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [491426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10774), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10772), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491462] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491498] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10782), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10780), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491534] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8983), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491606] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(85), 1,
      sym__backquoted_id,
    ACTIONS(8106), 1,
      sym_operator_identifier,
    STATE(4738), 1,
      sym__soft_identifier,
    STATE(7668), 1,
      sym_identifier,
    STATE(10221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8102), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [491652] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(10222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8997), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8995), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [491694] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10796), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10794), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491730] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9283), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [491802] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12577), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(12575), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [491838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10014), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10016), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491874] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10760), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10758), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [491910] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1825), 1,
      sym__alpha_identifier,
    ACTIONS(1847), 1,
      sym__backquoted_id,
    ACTIONS(12581), 1,
      sym_operator_identifier,
    STATE(5910), 1,
      sym__soft_identifier,
    STATE(8891), 1,
      sym_identifier,
    STATE(10229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1835), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12579), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [491956] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2648), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    STATE(10230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      sym__backquoted_id,
    ACTIONS(8410), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
    ACTIONS(11653), 10,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491996] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10671), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492032] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [492068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [492104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10277), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10279), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492176] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492212] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12202), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(12200), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [492248] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10764), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [492284] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10768), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [492320] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492356] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9291), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492392] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10907), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10905), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492428] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10911), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10909), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492464] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492500] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9303), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492572] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9307), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492608] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9309), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492644] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492680] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9321), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492716] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4258), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [492752] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10547), 1,
      sym__alpha_identifier,
    ACTIONS(10553), 1,
      sym__backquoted_id,
    ACTIONS(10555), 1,
      sym_operator_identifier,
    STATE(549), 1,
      sym_identifier,
    STATE(4220), 1,
      sym__soft_identifier,
    STATE(10252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9805), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10549), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [492802] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9125), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9323), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492874] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10547), 1,
      sym__alpha_identifier,
    ACTIONS(10551), 1,
      anon_sym_EQ,
    ACTIONS(10553), 1,
      sym__backquoted_id,
    ACTIONS(10555), 1,
      sym_operator_identifier,
    STATE(549), 1,
      sym_identifier,
    STATE(4220), 1,
      sym__soft_identifier,
    STATE(10255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9805), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10549), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [492926] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [492962] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9212), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9135), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493034] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10776), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [493070] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12585), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(12583), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [493106] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9139), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [493142] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12589), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10143), 1,
      sym_identifier,
    STATE(10262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12587), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [493188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 15,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [493224] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493260] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493296] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10046), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [493332] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11991), 1,
      anon_sym_AT,
    STATE(10357), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11061), 1,
      sym_annotation,
    STATE(10267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9248), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493374] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12593), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(12591), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [493410] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10229), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10231), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [493446] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4478), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493486] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10281), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10283), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493558] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12595), 1,
      anon_sym_with,
    STATE(10273), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9647), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493596] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9389), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493668] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493704] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9291), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493740] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10774), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10772), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [493776] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12600), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(12598), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [493812] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10694), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10692), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [493848] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493884] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10220), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10222), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493920] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1513), 1,
      sym__alpha_identifier,
    ACTIONS(1535), 1,
      sym__backquoted_id,
    ACTIONS(12604), 1,
      sym_operator_identifier,
    STATE(4751), 1,
      sym__soft_identifier,
    STATE(6316), 1,
      sym_identifier,
    STATE(10283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1523), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12602), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [493966] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(10108), 1,
      sym_operator_identifier,
    STATE(1932), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(10284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9063), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [494016] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494052] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(10430), 1,
      sym_operator_identifier,
    STATE(1946), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(10286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9063), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [494104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [494140] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4476), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494180] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494216] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4403), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494256] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10937), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10935), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494292] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10810), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10808), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494328] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1183), 1,
      sym__alpha_identifier,
    ACTIONS(1205), 1,
      sym__backquoted_id,
    ACTIONS(12608), 1,
      sym_operator_identifier,
    STATE(5443), 1,
      sym__soft_identifier,
    STATE(8474), 1,
      sym_identifier,
    STATE(10293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1193), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12606), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [494374] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1363), 1,
      sym__alpha_identifier,
    ACTIONS(1385), 1,
      sym__backquoted_id,
    ACTIONS(12612), 1,
      sym_operator_identifier,
    STATE(5865), 1,
      sym__soft_identifier,
    STATE(8892), 1,
      sym_identifier,
    STATE(10294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1373), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12610), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [494420] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10823), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [494456] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10831), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [494492] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10835), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [494528] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10056), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [494564] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494600] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10776), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [494636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10796), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10794), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [494708] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10829), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10827), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494744] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8967), 1,
      anon_sym_DOT,
    ACTIONS(12614), 1,
      anon_sym_COLON,
    STATE(10304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494784] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9141), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [494820] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494856] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10402), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10400), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494892] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10796), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10794), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494928] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [494964] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12054), 1,
      anon_sym_LPAREN,
    STATE(10313), 1,
      aux_sym_annotation_repeat1,
    STATE(11010), 1,
      sym_arguments,
    STATE(10310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(8943), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10857), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10855), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [495042] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [495078] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12616), 1,
      anon_sym_LPAREN,
    STATE(11010), 1,
      sym_arguments,
    ACTIONS(8955), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    STATE(10313), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8953), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495118] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9143), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [495154] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7416), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7414), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [495190] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10690), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10688), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495226] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(10317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495266] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10684), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10682), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495302] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9105), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495338] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10079), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [495374] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9133), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495410] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10796), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10794), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495446] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(10323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8997), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495488] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1735), 1,
      sym__alpha_identifier,
    ACTIONS(1757), 1,
      sym__backquoted_id,
    ACTIONS(12621), 1,
      sym_operator_identifier,
    STATE(6458), 1,
      sym__soft_identifier,
    STATE(9689), 1,
      sym_identifier,
    STATE(10324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1745), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12619), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [495534] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10853), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10851), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9835), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495606] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [495642] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [495678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [495714] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [495750] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [495822] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [495858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10857), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10855), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495894] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4452), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495934] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495970] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4376), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496010] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496046] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496082] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496118] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1327), 1,
      sym__alpha_identifier,
    ACTIONS(1349), 1,
      sym__backquoted_id,
    ACTIONS(12625), 1,
      sym_operator_identifier,
    STATE(4682), 1,
      sym__soft_identifier,
    STATE(5698), 1,
      sym_identifier,
    STATE(10341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1337), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12623), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [496164] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496200] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(10343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496240] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496276] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10746), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10744), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496312] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 16,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [496384] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10760), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10758), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496420] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10907), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10905), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [496456] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496492] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12629), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(12627), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [496528] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1789), 1,
      sym__alpha_identifier,
    ACTIONS(1811), 1,
      sym__backquoted_id,
    ACTIONS(12633), 1,
      sym_operator_identifier,
    STATE(4721), 1,
      sym__soft_identifier,
    STATE(6279), 1,
      sym_identifier,
    STATE(10352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1799), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12631), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [496574] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9109), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496610] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10083), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [496646] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10907), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10905), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496682] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10911), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10909), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496718] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12635), 1,
      anon_sym_AT,
    STATE(11061), 1,
      sym_annotation,
    STATE(10357), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9203), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496758] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10774), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10772), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496794] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9291), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496830] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10690), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10688), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496865] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496900] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10831), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496970] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10782), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10780), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497005] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10684), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10682), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497040] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497075] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    ACTIONS(10893), 1,
      anon_sym_EQ_GT,
    STATE(10367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497114] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8638), 3,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10911), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10909), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497190] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9307), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497260] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10835), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497295] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9309), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497330] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497365] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497400] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [497435] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(11041), 1,
      sym__alpha_identifier,
    ACTIONS(11047), 1,
      sym__backquoted_id,
    ACTIONS(11049), 1,
      sym_operator_identifier,
    ACTIONS(11160), 1,
      anon_sym_EQ,
    STATE(564), 1,
      sym_identifier,
    STATE(4232), 1,
      sym__soft_identifier,
    STATE(10377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11043), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497486] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9139), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497521] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(10379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497560] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(10380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8638), 5,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497634] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497669] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497704] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497739] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 15,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [497774] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10810), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10808), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497809] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10939), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497844] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10608), 1,
      anon_sym_COMMA,
    ACTIONS(10610), 1,
      anon_sym_DOT,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10618), 1,
      anon_sym_RPAREN,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(16296), 1,
      aux_sym_case_class_pattern_repeat1,
    ACTIONS(10624), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497903] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9141), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497938] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497973] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10760), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10758), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498008] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4461), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498047] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9321), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498082] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498117] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11547), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [498154] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498189] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9143), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498224] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498259] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9125), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498294] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9323), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498329] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10804), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10802), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498364] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10829), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10827), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498399] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498469] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9105), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498504] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    ACTIONS(10396), 1,
      anon_sym_EQ_GT,
    STATE(10406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498543] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(11392), 1,
      sym_operator_identifier,
    STATE(1917), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(10407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9063), 3,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [498594] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498664] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498699] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11555), 1,
      anon_sym_COLON,
    ACTIONS(11557), 1,
      anon_sym_EQ,
    ACTIONS(12638), 1,
      anon_sym_COMMA,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(16517), 1,
      aux_sym_val_declaration_repeat1,
    STATE(10411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [498760] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(10412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8997), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498801] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11622), 1,
      anon_sym_COLON,
    ACTIONS(11624), 1,
      anon_sym_EQ,
    ACTIONS(12638), 1,
      anon_sym_COMMA,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(17191), 1,
      aux_sym_val_declaration_repeat1,
    STATE(10413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [498862] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(11325), 1,
      sym__alpha_identifier,
    ACTIONS(11329), 1,
      anon_sym_EQ,
    ACTIONS(11331), 1,
      sym__backquoted_id,
    ACTIONS(11333), 1,
      sym_operator_identifier,
    STATE(555), 1,
      sym_identifier,
    STATE(4241), 1,
      sym__soft_identifier,
    STATE(10414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11327), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [498913] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9212), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498948] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9135), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498983] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10986), 1,
      sym__alpha_identifier,
    ACTIONS(10992), 1,
      sym__backquoted_id,
    ACTIONS(10994), 1,
      sym_operator_identifier,
    STATE(558), 1,
      sym_identifier,
    STATE(4249), 1,
      sym__soft_identifier,
    STATE(10417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9805), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(10988), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [499032] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499067] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10734), 1,
      sym__alpha_identifier,
    ACTIONS(10740), 1,
      sym__backquoted_id,
    ACTIONS(10742), 1,
      sym_operator_identifier,
    ACTIONS(11009), 1,
      anon_sym_EQ,
    STATE(543), 1,
      sym_identifier,
    STATE(4204), 1,
      sym__soft_identifier,
    STATE(10419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10736), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [499118] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499153] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499223] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9835), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499258] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10608), 1,
      anon_sym_COMMA,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10614), 1,
      anon_sym_AT,
    ACTIONS(10618), 1,
      anon_sym_RPAREN,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(16296), 1,
      aux_sym_case_class_pattern_repeat1,
    ACTIONS(10624), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [499317] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [499352] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499387] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10986), 1,
      sym__alpha_identifier,
    ACTIONS(10990), 1,
      anon_sym_EQ,
    ACTIONS(10992), 1,
      sym__backquoted_id,
    ACTIONS(10994), 1,
      sym_operator_identifier,
    STATE(558), 1,
      sym_identifier,
    STATE(4249), 1,
      sym__soft_identifier,
    STATE(10427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10988), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [499438] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499473] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499543] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(11657), 1,
      sym__alpha_identifier,
    ACTIONS(11663), 1,
      sym__backquoted_id,
    ACTIONS(11665), 1,
      sym_operator_identifier,
    STATE(624), 1,
      sym_identifier,
    STATE(4270), 1,
      sym__soft_identifier,
    STATE(10431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(9805), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(11659), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [499592] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4368), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499631] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4378), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499670] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499705] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499740] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10684), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10682), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499775] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(10437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499814] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9283), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499884] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8756), 1,
      anon_sym_AT,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10980), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10978), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499929] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    ACTIONS(11315), 1,
      anon_sym_EQ_GT,
    STATE(10441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499968] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500003] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11653), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [500038] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500073] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500108] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    ACTIONS(10933), 1,
      anon_sym_EQ_GT,
    STATE(10446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500147] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(10475), 1,
      sym_operator_identifier,
    STATE(1953), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(10447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9063), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [500196] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10782), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10780), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500231] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500266] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500301] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500336] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    ACTIONS(10426), 1,
      anon_sym_EQ_GT,
    STATE(10452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500375] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9109), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500410] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    ACTIONS(12004), 1,
      anon_sym_EQ_GT,
    STATE(10454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500449] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500484] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500519] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12642), 1,
      anon_sym_LPAREN,
    STATE(11363), 1,
      sym_parameters,
    STATE(11373), 1,
      sym__using_parameters_clause,
    STATE(10457), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_extension_definition_repeat1,
    ACTIONS(12640), 16,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [500558] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(10458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 6,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500597] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 4,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9133), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500632] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(11470), 1,
      anon_sym_COLON,
    ACTIONS(11472), 1,
      anon_sym_DOT,
    ACTIONS(11474), 1,
      anon_sym_STAR,
    ACTIONS(11478), 1,
      anon_sym_if,
    ACTIONS(11480), 1,
      anon_sym_AT,
    ACTIONS(11482), 1,
      anon_sym_PIPE,
    ACTIONS(11484), 1,
      sym_operator_identifier,
    ACTIONS(11728), 1,
      anon_sym_EQ_GT,
    STATE(4340), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(17866), 1,
      sym_guard,
    STATE(10460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [500693] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 14,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [500728] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(8638), 5,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500769] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8638), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500810] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    ACTIONS(11696), 1,
      anon_sym_EQ_GT,
    STATE(10464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500849] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12645), 1,
      anon_sym_DOT,
    STATE(10465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500886] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500956] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    ACTIONS(11294), 1,
      anon_sym_EQ_GT,
    STATE(10468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500995] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501030] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501065] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9372), 1,
      anon_sym_EQ_GT,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    STATE(10471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10907), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10905), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501174] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4375), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501213] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9389), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501248] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(10677), 1,
      sym_operator_identifier,
    STATE(1965), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(10476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9063), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [501297] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501332] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501367] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(11041), 1,
      sym__alpha_identifier,
    ACTIONS(11047), 1,
      sym__backquoted_id,
    ACTIONS(11049), 1,
      sym_operator_identifier,
    STATE(564), 1,
      sym_identifier,
    STATE(4232), 1,
      sym__soft_identifier,
    STATE(10479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9805), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(11043), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [501416] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501451] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(10481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8997), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8995), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [501492] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10694), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10692), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501527] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10746), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10744), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501562] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501597] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501667] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10776), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [501702] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10937), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10935), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501737] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9133), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501772] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501842] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501877] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10800), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10798), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501912] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501947] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501982] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502017] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502052] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(11203), 1,
      sym__alpha_identifier,
    ACTIONS(11207), 1,
      anon_sym_EQ,
    ACTIONS(11209), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      sym_operator_identifier,
    STATE(568), 1,
      sym_identifier,
    STATE(4243), 1,
      sym__soft_identifier,
    STATE(10498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(9805), 4,
      anon_sym_match,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(11205), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [502103] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9483), 1,
      anon_sym_EQ_GT,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    STATE(10499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502142] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9160), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502177] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502212] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(10984), 1,
      sym_operator_identifier,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(10502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(9063), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [502263] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 15,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [502298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10746), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10744), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502333] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10093), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [502368] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 15,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [502403] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 15,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [502438] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8983), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502473] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502508] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(11041), 1,
      sym__alpha_identifier,
    ACTIONS(11045), 1,
      anon_sym_EQ,
    ACTIONS(11047), 1,
      sym__backquoted_id,
    ACTIONS(11049), 1,
      sym_operator_identifier,
    STATE(564), 1,
      sym_identifier,
    STATE(4232), 1,
      sym__soft_identifier,
    STATE(10510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11043), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [502559] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10774), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10772), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502594] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10046), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [502629] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11806), 1,
      anon_sym_COLON,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(11809), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502670] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10911), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10909), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502705] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11604), 1,
      anon_sym_COLON,
    ACTIONS(11606), 1,
      anon_sym_EQ,
    ACTIONS(12638), 1,
      anon_sym_COMMA,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(16988), 1,
      aux_sym_val_declaration_repeat1,
    STATE(10515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [502766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502801] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [502836] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502871] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502906] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502941] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502976] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503011] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503046] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12202), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(12200), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [503081] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7221), 1,
      sym__end_marker,
    STATE(10525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10376), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503118] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    ACTIONS(10069), 1,
      anon_sym_EQ_GT,
    STATE(10526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503157] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10804), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10802), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503192] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503227] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503297] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503332] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503367] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [503402] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503437] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [503507] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [503542] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503577] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503612] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [503647] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4394), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503686] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [503721] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [503756] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4258), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503791] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503826] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [503861] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503896] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    ACTIONS(11825), 1,
      anon_sym_EQ_GT,
    STATE(10548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [503970] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504005] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10671), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504040] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504075] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11571), 1,
      anon_sym_COLON,
    ACTIONS(11573), 1,
      anon_sym_EQ,
    ACTIONS(12638), 1,
      anon_sym_COMMA,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(17050), 1,
      aux_sym_val_declaration_repeat1,
    STATE(10553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [504136] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 12,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504171] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 12,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504206] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504241] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    ACTIONS(10712), 1,
      anon_sym_EQ_GT,
    STATE(10557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504280] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504350] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8638), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_EQ,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10823), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [504426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504461] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10831), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [504496] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10835), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [504531] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10402), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10400), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504566] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504601] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    ACTIONS(12647), 1,
      anon_sym_EQ_GT,
    STATE(10567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504640] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504675] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12353), 1,
      anon_sym_AT,
    STATE(10647), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11232), 1,
      sym_annotation,
    STATE(10569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(9248), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504716] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504751] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10764), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [504821] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 14,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [504856] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12649), 1,
      anon_sym_COLON,
    ACTIONS(12652), 1,
      anon_sym_LBRACE,
    STATE(11486), 1,
      sym_template_body,
    STATE(10574), 2,
      sym_comment,
      sym_block_comment,
    STATE(11566), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9350), 4,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9342), 11,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504899] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10764), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [504934] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [504969] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10768), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [505004] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(8638), 5,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505045] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11653), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [505080] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505115] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 20,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [505148] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505183] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [505218] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505253] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505288] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505323] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505358] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [505393] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505428] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11575), 1,
      anon_sym_COLON,
    ACTIONS(11577), 1,
      anon_sym_EQ,
    ACTIONS(12638), 1,
      anon_sym_COMMA,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(17052), 1,
      aux_sym_val_declaration_repeat1,
    STATE(10590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [505489] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(11115), 1,
      sym__alpha_identifier,
    ACTIONS(11119), 1,
      anon_sym_EQ,
    ACTIONS(11121), 1,
      sym__backquoted_id,
    ACTIONS(11123), 1,
      sym_operator_identifier,
    STATE(567), 1,
      sym_identifier,
    STATE(4259), 1,
      sym__soft_identifier,
    STATE(10591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11117), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [505540] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9305), 1,
      anon_sym_EQ_GT,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    STATE(10592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505579] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505614] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10079), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [505649] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10768), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [505684] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505719] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11653), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [505789] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10028), 1,
      sym__alpha_identifier,
    ACTIONS(10034), 1,
      sym__backquoted_id,
    ACTIONS(10036), 1,
      sym_operator_identifier,
    ACTIONS(11154), 1,
      anon_sym_EQ,
    STATE(546), 1,
      sym_identifier,
    STATE(4205), 1,
      sym__soft_identifier,
    ACTIONS(9801), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(10599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 5,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(10030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [505840] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505875] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [505910] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10939), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505945] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505980] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506015] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10694), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10692), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506050] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 4,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506091] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10823), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [506126] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11448), 1,
      anon_sym_COLON,
    ACTIONS(11452), 1,
      anon_sym_EQ,
    ACTIONS(12638), 1,
      anon_sym_COMMA,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(17050), 1,
      aux_sym_val_declaration_repeat1,
    STATE(10608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [506187] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506222] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10829), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10827), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506257] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506292] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10168), 1,
      sym__alpha_identifier,
    ACTIONS(10174), 1,
      sym__backquoted_id,
    ACTIONS(10176), 1,
      sym_operator_identifier,
    ACTIONS(11273), 1,
      anon_sym_EQ,
    STATE(565), 1,
      sym_identifier,
    STATE(4226), 1,
      sym__soft_identifier,
    ACTIONS(9805), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(10612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10172), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [506343] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506378] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506413] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506448] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506483] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(10617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 6,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 15,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [506557] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [506627] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506662] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10028), 1,
      sym__alpha_identifier,
    ACTIONS(10034), 1,
      sym__backquoted_id,
    ACTIONS(10036), 1,
      sym_operator_identifier,
    ACTIONS(11246), 1,
      anon_sym_EQ,
    STATE(546), 1,
      sym_identifier,
    STATE(4205), 1,
      sym__soft_identifier,
    ACTIONS(9801), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(10622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [506713] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11454), 1,
      anon_sym_COLON,
    ACTIONS(11456), 1,
      anon_sym_EQ,
    ACTIONS(12638), 1,
      anon_sym_COMMA,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(17052), 1,
      aux_sym_val_declaration_repeat1,
    STATE(10623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [506774] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10690), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10688), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506809] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10831), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [506844] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10671), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506879] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8756), 1,
      anon_sym_AT,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11013), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11011), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506924] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10776), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [506959] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506994] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507029] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(11335), 1,
      sym__alpha_identifier,
    ACTIONS(11339), 1,
      anon_sym_EQ,
    ACTIONS(11341), 1,
      sym__backquoted_id,
    ACTIONS(11343), 1,
      sym_operator_identifier,
    STATE(560), 1,
      sym_identifier,
    STATE(4257), 1,
      sym__soft_identifier,
    STATE(10631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
    ACTIONS(9801), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(11337), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [507080] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    ACTIONS(12405), 1,
      anon_sym_EQ_GT,
    STATE(10632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507119] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10835), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [507154] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507189] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10774), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10772), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507224] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [507259] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 12,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507294] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507329] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507364] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507399] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507469] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(11470), 1,
      anon_sym_COLON,
    ACTIONS(11472), 1,
      anon_sym_DOT,
    ACTIONS(11474), 1,
      anon_sym_STAR,
    ACTIONS(11476), 1,
      anon_sym_EQ_GT,
    ACTIONS(11478), 1,
      anon_sym_if,
    ACTIONS(11480), 1,
      anon_sym_AT,
    ACTIONS(11482), 1,
      anon_sym_PIPE,
    ACTIONS(11484), 1,
      sym_operator_identifier,
    STATE(4340), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(18996), 1,
      sym_guard,
    STATE(10643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [507530] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(10430), 1,
      sym_operator_identifier,
    STATE(1946), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(10644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9063), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [507579] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10764), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [507614] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10768), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [507649] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12655), 1,
      anon_sym_AT,
    STATE(11232), 1,
      sym_annotation,
    ACTIONS(9205), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    STATE(10647), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9203), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507688] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10804), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10802), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507723] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10853), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10851), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507758] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10823), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [507793] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10796), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10794), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507828] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507863] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10831), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [507898] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10083), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [507933] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507968] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11586), 1,
      anon_sym_COLON,
    ACTIONS(11588), 1,
      anon_sym_EQ,
    ACTIONS(12638), 1,
      anon_sym_COMMA,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(16505), 1,
      aux_sym_val_declaration_repeat1,
    STATE(10656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [508029] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    ACTIONS(9757), 1,
      anon_sym_EQ_GT,
    STATE(10657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508103] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8638), 4,
      anon_sym_STAR,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508144] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10835), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [508179] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11590), 1,
      anon_sym_COLON,
    ACTIONS(11592), 1,
      anon_sym_EQ,
    ACTIONS(12638), 1,
      anon_sym_COMMA,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(16517), 1,
      aux_sym_val_declaration_repeat1,
    STATE(10661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [508240] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10796), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10794), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508275] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9837), 1,
      sym__backquoted_id,
    STATE(10663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9835), 19,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508310] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508345] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8358), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508380] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10046), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [508415] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508450] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12658), 1,
      anon_sym_COLON,
    ACTIONS(8412), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(12661), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508491] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10760), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10758), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508526] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8638), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508567] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9675), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9673), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9671), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508604] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [508639] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508674] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(10674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8997), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508715] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10776), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [508750] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8370), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508785] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [508820] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508855] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [508890] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10913), 1,
      sym__alpha_identifier,
    ACTIONS(10919), 1,
      sym__backquoted_id,
    ACTIONS(10921), 1,
      sym_operator_identifier,
    STATE(548), 1,
      sym_identifier,
    STATE(4222), 1,
      sym__soft_identifier,
    STATE(10680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9805), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10915), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [508939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508974] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509009] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8638), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509050] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    ACTIONS(9827), 1,
      anon_sym_EQ_GT,
    STATE(10684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509089] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10986), 1,
      sym__alpha_identifier,
    ACTIONS(10992), 1,
      sym__backquoted_id,
    ACTIONS(10994), 1,
      sym_operator_identifier,
    ACTIONS(11156), 1,
      anon_sym_EQ,
    STATE(558), 1,
      sym_identifier,
    STATE(4249), 1,
      sym__soft_identifier,
    STATE(10685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10988), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [509140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509175] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8638), 5,
      anon_sym_while,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509216] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10093), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [509251] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10853), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10851), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509286] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8638), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_finally,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509327] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10857), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10855), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509362] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10079), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [509397] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    ACTIONS(9852), 1,
      anon_sym_EQ_GT,
    STATE(10693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509436] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10782), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10780), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509471] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10168), 1,
      sym__alpha_identifier,
    ACTIONS(10174), 1,
      sym__backquoted_id,
    ACTIONS(10176), 1,
      sym_operator_identifier,
    ACTIONS(11233), 1,
      anon_sym_EQ,
    STATE(565), 1,
      sym_identifier,
    STATE(4226), 1,
      sym__soft_identifier,
    STATE(10695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9805), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10172), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [509522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10823), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509557] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10857), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10855), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509627] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(10699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8997), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509668] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509703] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509738] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509773] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9291), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509843] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4383), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509882] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509917] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8638), 1,
      anon_sym_EQ_GT,
    ACTIONS(8640), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(9407), 1,
      anon_sym_COLON,
    ACTIONS(9409), 1,
      anon_sym_LBRACE,
    ACTIONS(9411), 1,
      anon_sym_with,
    STATE(4945), 1,
      aux_sym_compound_type_repeat1,
    STATE(9253), 1,
      sym_template_body,
    STATE(9260), 1,
      sym__refinement,
    STATE(8998), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509970] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    STATE(1957), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(10708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9063), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [510021] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10684), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10682), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510056] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12202), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(12200), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510091] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(10711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8638), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510130] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510165] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4414), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510204] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10083), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [510239] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    ACTIONS(11302), 1,
      anon_sym_EQ_GT,
    STATE(10715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510278] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8638), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510319] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4439), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510358] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 4,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9323), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510393] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4369), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510432] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10810), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10808), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510467] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12664), 1,
      anon_sym_with,
    STATE(10721), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9647), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510539] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510574] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10046), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [510609] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11551), 1,
      anon_sym_COLON,
    ACTIONS(11553), 1,
      anon_sym_EQ,
    ACTIONS(12638), 1,
      anon_sym_COMMA,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(16505), 1,
      aux_sym_val_declaration_repeat1,
    STATE(10725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [510670] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10093), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [510705] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(10727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510742] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510777] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [510812] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10800), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10798), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510847] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10402), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10400), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510882] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10079), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [510917] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10007), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510952] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    ACTIONS(10020), 1,
      anon_sym_EQ_GT,
    STATE(10734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510991] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511026] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(10736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511100] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    ACTIONS(11787), 1,
      anon_sym_EQ_GT,
    STATE(10738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [511174] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511209] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(11369), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(11371), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(10741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511266] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    ACTIONS(11628), 1,
      anon_sym_EQ_GT,
    STATE(10742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511305] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10907), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10905), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511340] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511375] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11567), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511412] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10722), 1,
      sym__alpha_identifier,
    ACTIONS(10728), 1,
      sym__backquoted_id,
    ACTIONS(10730), 1,
      sym_operator_identifier,
    ACTIONS(11275), 1,
      anon_sym_EQ,
    STATE(545), 1,
      sym_identifier,
    STATE(4214), 1,
      sym__soft_identifier,
    STATE(10746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10724), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511463] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [511498] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(10604), 1,
      sym_operator_identifier,
    STATE(1943), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(10748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(9063), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511547] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10083), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [511582] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12202), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(12200), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [511617] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9303), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511652] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10694), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10692), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511687] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511722] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511757] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10937), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10935), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511792] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10800), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10798), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511862] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511897] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    ACTIONS(11177), 1,
      anon_sym_EQ_GT,
    STATE(10759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8939), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511936] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7288), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511971] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512005] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512039] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10768), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [512073] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4498), 1,
      sym__indent,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(12669), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11147), 1,
      sym_colon_argument,
    STATE(9891), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10764), 2,
      sym_comment,
      sym_block_comment,
    STATE(19122), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [512125] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10046), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [512159] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(10766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8638), 6,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512197] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10841), 1,
      sym__alpha_identifier,
    ACTIONS(10847), 1,
      sym__backquoted_id,
    ACTIONS(10849), 1,
      sym_operator_identifier,
    ACTIONS(11549), 1,
      anon_sym_EQ,
    STATE(550), 1,
      sym_identifier,
    STATE(4218), 1,
      sym__soft_identifier,
    ACTIONS(9801), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(10767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(10843), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [512247] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(11657), 1,
      sym__alpha_identifier,
    ACTIONS(11661), 1,
      anon_sym_EQ,
    ACTIONS(11663), 1,
      sym__backquoted_id,
    ACTIONS(11665), 1,
      sym_operator_identifier,
    STATE(624), 1,
      sym_identifier,
    STATE(4270), 1,
      sym__soft_identifier,
    STATE(10768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(9805), 3,
      anon_sym_match,
      anon_sym_then,
      anon_sym_finally,
    ACTIONS(11659), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [512297] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10056), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [512331] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9801), 1,
      anon_sym_LBRACK,
    ACTIONS(9805), 1,
      anon_sym_match,
    ACTIONS(11434), 1,
      sym__alpha_identifier,
    ACTIONS(11438), 1,
      sym__backquoted_id,
    ACTIONS(11440), 1,
      sym_operator_identifier,
    STATE(691), 1,
      sym_identifier,
    STATE(4271), 1,
      sym__soft_identifier,
    ACTIONS(9059), 2,
      anon_sym_COLON,
      anon_sym_if,
    STATE(10770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10170), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(11436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [512383] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11302), 1,
      anon_sym_EQ_GT,
    STATE(10771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9291), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512419] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9372), 1,
      anon_sym_EQ_GT,
    STATE(10772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9291), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512455] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512489] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8638), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [512563] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10079), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [512597] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512631] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4398), 1,
      sym__indent,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(12671), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11003), 1,
      sym_colon_argument,
    STATE(9147), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10778), 2,
      sym_comment,
      sym_block_comment,
    STATE(18042), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [512683] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11653), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512717] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(10780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512755] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10083), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [512823] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10835), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512857] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10690), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10688), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512891] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10093), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [512925] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12004), 1,
      anon_sym_EQ_GT,
    STATE(10786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9291), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512961] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10933), 1,
      anon_sym_EQ_GT,
    STATE(10787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9291), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512997] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10907), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10905), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513031] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 4,
      anon_sym_DOT,
      anon_sym_LPAREN,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4258), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [513065] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(10790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8997), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513105] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513173] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10853), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10851), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513207] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513241] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 14,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513275] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513309] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(11682), 1,
      sym_operator_identifier,
    STATE(1944), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    ACTIONS(9063), 2,
      anon_sym_match,
      anon_sym_else,
    STATE(10797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [513359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10857), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10855), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513393] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513427] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10764), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513461] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4366), 1,
      sym__indent,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(12673), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10840), 1,
      sym_colon_argument,
    STATE(9085), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10801), 2,
      sym_comment,
      sym_block_comment,
    STATE(19250), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [513513] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513547] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513581] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10056), 1,
      anon_sym_STAR,
    ACTIONS(10054), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10671), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513619] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 4,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9109), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513653] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(8638), 4,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513693] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10093), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [513727] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(10808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8638), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513765] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513799] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12675), 1,
      anon_sym_RBRACE,
    ACTIONS(12679), 1,
      anon_sym_given,
    ACTIONS(12681), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(15611), 1,
      sym_identifier,
    ACTIONS(12677), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(10810), 2,
      sym_comment,
      sym_block_comment,
    STATE(17699), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [513849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10083), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513883] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10782), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10780), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513917] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10426), 1,
      anon_sym_EQ_GT,
    STATE(10813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9291), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513953] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10841), 1,
      sym__alpha_identifier,
    ACTIONS(10847), 1,
      sym__backquoted_id,
    ACTIONS(10849), 1,
      sym_operator_identifier,
    ACTIONS(11569), 1,
      anon_sym_EQ,
    STATE(550), 1,
      sym_identifier,
    STATE(4218), 1,
      sym__soft_identifier,
    ACTIONS(9801), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(10814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(10843), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514003] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514037] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10402), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10400), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514071] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11177), 1,
      anon_sym_EQ_GT,
    STATE(10817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9291), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514107] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(10818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8638), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514145] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 4,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8983), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514213] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514247] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10610), 1,
      anon_sym_DOT,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10614), 1,
      anon_sym_AT,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(11897), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514303] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514337] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514371] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4846), 1,
      sym__indent,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(12683), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11145), 1,
      sym_colon_argument,
    STATE(9600), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10825), 2,
      sym_comment,
      sym_block_comment,
    STATE(18890), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514423] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514457] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9141), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514491] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4558), 1,
      sym__indent,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(12685), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11579), 1,
      sym_colon_argument,
    STATE(10170), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10828), 2,
      sym_comment,
      sym_block_comment,
    STATE(19038), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514543] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10093), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514577] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(10984), 1,
      sym_operator_identifier,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(10830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(9063), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514625] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4730), 1,
      sym__indent,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(12687), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(8849), 1,
      sym_colon_argument,
    STATE(6244), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10831), 2,
      sym_comment,
      sym_block_comment,
    STATE(18175), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514711] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10835), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [514745] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10768), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514779] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10610), 1,
      anon_sym_DOT,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10614), 1,
      anon_sym_AT,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(11964), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514835] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514869] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514903] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10835), 15,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [514937] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(11392), 1,
      sym_operator_identifier,
    STATE(1917), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(10839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9063), 3,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514985] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12202), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12200), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [515019] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515053] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515087] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515121] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12689), 1,
      anon_sym_implicit,
    ACTIONS(12691), 1,
      anon_sym_using,
    ACTIONS(12693), 1,
      anon_sym_RPAREN,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(16554), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(10844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [515181] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515249] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515283] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515317] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10046), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [515351] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12202), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(12200), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515385] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(11626), 1,
      sym_operator_identifier,
    STATE(1941), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    ACTIONS(9063), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(10851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [515435] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(11013), 1,
      sym__backquoted_id,
    ACTIONS(11472), 1,
      anon_sym_DOT,
    ACTIONS(11480), 1,
      anon_sym_AT,
    STATE(4340), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11011), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515479] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11294), 1,
      anon_sym_EQ_GT,
    STATE(10853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9291), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515515] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515549] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515583] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515617] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10911), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10909), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515651] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515685] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515719] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10396), 1,
      anon_sym_EQ_GT,
    STATE(10860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9291), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515755] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515823] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515857] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12405), 1,
      anon_sym_EQ_GT,
    STATE(10864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9291), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515893] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10746), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10744), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515927] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10937), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10935), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515961] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(8746), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516017] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(11434), 1,
      sym__alpha_identifier,
    ACTIONS(11438), 1,
      sym__backquoted_id,
    ACTIONS(11535), 1,
      anon_sym_EQ,
    ACTIONS(11537), 1,
      sym_operator_identifier,
    STATE(625), 1,
      sym_identifier,
    STATE(4271), 1,
      sym__soft_identifier,
    ACTIONS(9805), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516067] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516101] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516135] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8636), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8638), 5,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516175] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4434), 1,
      sym__indent,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10710), 1,
      sym_colon_argument,
    STATE(8278), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10872), 2,
      sym_comment,
      sym_block_comment,
    STATE(19036), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516227] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10610), 1,
      anon_sym_DOT,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10614), 1,
      anon_sym_AT,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(11852), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516283] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4996), 1,
      sym__indent,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(12699), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11523), 1,
      sym_colon_argument,
    STATE(10104), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10874), 2,
      sym_comment,
      sym_block_comment,
    STATE(18873), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516335] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10610), 1,
      anon_sym_DOT,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11013), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11011), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [516375] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9109), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516409] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516443] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8606), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516477] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10614), 1,
      anon_sym_AT,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10980), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10978), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [516517] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516551] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10046), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516585] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4802), 1,
      sym__indent,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(12701), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10850), 1,
      sym_colon_argument,
    STATE(9322), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10882), 2,
      sym_comment,
      sym_block_comment,
    STATE(18152), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516637] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516705] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516739] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2648), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    STATE(10886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8410), 4,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(11653), 10,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516777] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8638), 3,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516817] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516885] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(11470), 1,
      anon_sym_COLON,
    ACTIONS(11472), 1,
      anon_sym_DOT,
    ACTIONS(11474), 1,
      anon_sym_STAR,
    ACTIONS(11480), 1,
      anon_sym_AT,
    ACTIONS(11484), 1,
      sym_operator_identifier,
    STATE(4340), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 3,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10079), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [516973] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11653), 15,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [517007] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517041] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517075] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517109] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11315), 1,
      anon_sym_EQ_GT,
    STATE(10896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9291), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517145] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12647), 1,
      anon_sym_EQ_GT,
    STATE(10897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9291), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517181] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517215] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4404), 1,
      sym__indent,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(12703), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(9438), 1,
      sym_colon_argument,
    STATE(6425), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10899), 2,
      sym_comment,
      sym_block_comment,
    STATE(19169), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517267] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517301] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11825), 1,
      anon_sym_EQ_GT,
    STATE(10901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9291), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517337] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10608), 1,
      anon_sym_COMMA,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10618), 1,
      anon_sym_RPAREN,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(16296), 1,
      aux_sym_case_class_pattern_repeat1,
    ACTIONS(10624), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517393] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(5034), 1,
      anon_sym_implicit,
    ACTIONS(5040), 1,
      anon_sym_using,
    ACTIONS(5042), 1,
      anon_sym_RPAREN,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(16815), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(10903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517453] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    ACTIONS(12705), 1,
      anon_sym_implicit,
    ACTIONS(12707), 1,
      anon_sym_using,
    ACTIONS(12709), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(16805), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(10904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517513] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4334), 1,
      sym__indent,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(12711), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11686), 1,
      sym_colon_argument,
    STATE(10689), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10905), 2,
      sym_comment,
      sym_block_comment,
    STATE(17868), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517565] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10610), 1,
      anon_sym_DOT,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(11369), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517617] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517651] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517685] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517719] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(11420), 1,
      sym_operator_identifier,
    STATE(1952), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    ACTIONS(9063), 2,
      anon_sym_match,
      anon_sym_finally,
    STATE(10910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517769] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517803] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8638), 4,
      anon_sym_while,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517843] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517877] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 4,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9105), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517911] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517945] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(10980), 1,
      sym__backquoted_id,
    ACTIONS(11472), 1,
      anon_sym_DOT,
    ACTIONS(11480), 1,
      anon_sym_AT,
    STATE(4340), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10978), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517989] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8638), 3,
      anon_sym_STAR,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518029] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4634), 1,
      sym__indent,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(12713), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11193), 1,
      sym_colon_argument,
    STATE(9566), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10918), 2,
      sym_comment,
      sym_block_comment,
    STATE(19283), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [518081] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11865), 19,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [518113] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4492), 1,
      sym__indent,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(12715), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(9943), 1,
      sym_colon_argument,
    STATE(7318), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10920), 2,
      sym_comment,
      sym_block_comment,
    STATE(18364), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [518165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518199] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(11115), 1,
      sym__alpha_identifier,
    ACTIONS(11121), 1,
      sym__backquoted_id,
    ACTIONS(11123), 1,
      sym_operator_identifier,
    STATE(567), 1,
      sym_identifier,
    STATE(4259), 1,
      sym__soft_identifier,
    STATE(10922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11117), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [518247] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518281] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518349] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(8638), 4,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518389] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518423] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10804), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10802), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518457] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11696), 1,
      anon_sym_EQ_GT,
    STATE(10929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9291), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518493] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [518527] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9389), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518561] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518595] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10810), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10808), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518663] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8358), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518697] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4466), 1,
      sym__indent,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(12717), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11962), 1,
      sym_colon_argument,
    STATE(10793), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10936), 2,
      sym_comment,
      sym_block_comment,
    STATE(18308), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [518749] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518783] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518817] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518885] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9305), 1,
      anon_sym_EQ_GT,
    STATE(10941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9291), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11653), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [518955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518989] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2648), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519023] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519057] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10800), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10798), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519091] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519125] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9483), 1,
      anon_sym_EQ_GT,
    STATE(10948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9291), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519161] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519195] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519229] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519263] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4272), 1,
      sym__indent,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(12719), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11361), 1,
      sym_colon_argument,
    STATE(10325), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10952), 2,
      sym_comment,
      sym_block_comment,
    STATE(19324), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [519315] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11948), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [519351] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(10954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 5,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519389] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9852), 1,
      anon_sym_EQ_GT,
    STATE(10955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9291), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519425] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4382), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519463] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10610), 1,
      anon_sym_DOT,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10980), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10978), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [519503] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10056), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [519537] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519571] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519605] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12721), 1,
      anon_sym_with,
    STATE(10961), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9647), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519641] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519675] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519709] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519743] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10610), 1,
      anon_sym_DOT,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10614), 1,
      anon_sym_AT,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(10624), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [519799] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4465), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519837] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519871] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10684), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10682), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519905] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(11525), 1,
      sym__alpha_identifier,
    ACTIONS(11529), 1,
      anon_sym_EQ,
    ACTIONS(11531), 1,
      sym__backquoted_id,
    ACTIONS(11533), 1,
      sym_operator_identifier,
    STATE(621), 1,
      sym_identifier,
    STATE(4267), 1,
      sym__soft_identifier,
    ACTIONS(9805), 2,
      anon_sym_match,
      anon_sym_finally,
    STATE(10969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11527), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [519955] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(11434), 1,
      sym__alpha_identifier,
    ACTIONS(11438), 1,
      sym__backquoted_id,
    ACTIONS(11440), 1,
      sym_operator_identifier,
    ACTIONS(11563), 1,
      anon_sym_EQ,
    STATE(691), 1,
      sym_identifier,
    STATE(4271), 1,
      sym__soft_identifier,
    ACTIONS(9805), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(10970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [520005] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520039] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12724), 1,
      anon_sym_with,
    STATE(10972), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9647), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520075] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10694), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10692), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520109] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520143] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4598), 1,
      sym__indent,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(12727), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11359), 1,
      sym_colon_argument,
    STATE(9973), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10975), 2,
      sym_comment,
      sym_block_comment,
    STATE(19444), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [520195] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(11325), 1,
      sym__alpha_identifier,
    ACTIONS(11331), 1,
      sym__backquoted_id,
    ACTIONS(11333), 1,
      sym_operator_identifier,
    STATE(555), 1,
      sym_identifier,
    STATE(4241), 1,
      sym__soft_identifier,
    STATE(10976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11327), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [520243] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520277] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520311] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520345] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10069), 1,
      anon_sym_EQ_GT,
    STATE(10980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9291), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520381] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11628), 1,
      anon_sym_EQ_GT,
    STATE(10981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9291), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520417] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10614), 1,
      anon_sym_AT,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(11369), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [520469] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520503] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12679), 1,
      anon_sym_given,
    ACTIONS(12681), 1,
      sym_operator_identifier,
    ACTIONS(12729), 1,
      anon_sym_RBRACE,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(15611), 1,
      sym_identifier,
    ACTIONS(12677), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(10984), 2,
      sym_comment,
      sym_block_comment,
    STATE(17699), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [520553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520587] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(12050), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [520643] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10614), 1,
      anon_sym_AT,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(10987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11013), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11011), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [520683] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9757), 1,
      anon_sym_EQ_GT,
    STATE(10988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9291), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520719] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520753] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520821] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520855] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8983), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520889] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520923] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10764), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [520957] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520991] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10083), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [521025] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521059] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521093] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(10984), 1,
      sym_operator_identifier,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(11000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(9805), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521141] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521175] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521209] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12202), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(12200), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [521243] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4302), 1,
      sym__indent,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(12731), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10117), 1,
      sym_colon_argument,
    STATE(7371), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(11004), 2,
      sym_comment,
      sym_block_comment,
    STATE(18575), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521295] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(11005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8997), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521335] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4772), 1,
      sym__indent,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(12733), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(12944), 1,
      sym_colon_argument,
    STATE(11006), 2,
      sym_comment,
      sym_block_comment,
    STATE(11490), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(18017), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521387] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4446), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521425] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 14,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [521459] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10712), 1,
      anon_sym_EQ_GT,
    STATE(11009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9291), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521495] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 4,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9389), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10079), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521563] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521597] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521665] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10760), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10758), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521699] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9143), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521733] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4397), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521771] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10610), 1,
      anon_sym_DOT,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10614), 1,
      anon_sym_AT,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(11883), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521827] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10893), 1,
      anon_sym_EQ_GT,
    STATE(11019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9291), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521863] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10764), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [521931] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10768), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [521965] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(8638), 4,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522005] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522039] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4477), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10925), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522077] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8606), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [522111] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4816), 1,
      sym__indent,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(12735), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10237), 1,
      sym_colon_argument,
    STATE(7658), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(11027), 2,
      sym_comment,
      sym_block_comment,
    STATE(19513), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522163] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522197] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12739), 1,
      anon_sym_LBRACK,
    ACTIONS(12741), 1,
      anon_sym_AT,
    ACTIONS(12745), 1,
      anon_sym_LPAREN,
    ACTIONS(12747), 1,
      sym__automatic_semicolon,
    STATE(11385), 1,
      sym_type_parameters,
    STATE(12059), 1,
      sym_annotation,
    STATE(13178), 1,
      sym_access_modifier,
    STATE(13183), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14076), 1,
      sym_class_parameters,
    ACTIONS(12743), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(11029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12737), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [522249] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4884), 1,
      sym__indent,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(12750), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(9496), 1,
      sym_colon_argument,
    STATE(6615), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(11030), 2,
      sym_comment,
      sym_block_comment,
    STATE(17787), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522301] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522335] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10610), 1,
      anon_sym_DOT,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10614), 1,
      anon_sym_AT,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(11885), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522391] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8638), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_finally,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522431] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8264), 1,
      sym__backquoted_id,
    ACTIONS(12752), 1,
      anon_sym_LBRACK,
    ACTIONS(12754), 1,
      anon_sym_LPAREN,
    ACTIONS(12756), 1,
      anon_sym_POUND,
    STATE(11405), 1,
      aux_sym_annotation_repeat1,
    STATE(11624), 1,
      sym_type_arguments,
    STATE(11921), 1,
      sym_arguments,
    STATE(11034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8262), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522477] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9777), 1,
      anon_sym_LPAREN,
    ACTIONS(12758), 1,
      anon_sym_LBRACK,
    ACTIONS(12760), 1,
      anon_sym_POUND,
    STATE(11585), 1,
      aux_sym_annotation_repeat1,
    STATE(11653), 1,
      sym_type_arguments,
    STATE(12016), 1,
      sym_arguments,
    STATE(11035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [522521] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522555] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4698), 1,
      sym__indent,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(12762), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11806), 1,
      sym_colon_argument,
    STATE(10649), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(11037), 2,
      sym_comment,
      sym_block_comment,
    STATE(19393), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522607] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522641] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12679), 1,
      anon_sym_given,
    ACTIONS(12681), 1,
      sym_operator_identifier,
    ACTIONS(12764), 1,
      anon_sym_RBRACE,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(15611), 1,
      sym_identifier,
    ACTIONS(12677), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(11039), 2,
      sym_comment,
      sym_block_comment,
    STATE(17699), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522691] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10823), 15,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [522725] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8638), 3,
      anon_sym_STAR,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522765] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10823), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522799] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(5048), 1,
      anon_sym_implicit,
    ACTIONS(5050), 1,
      anon_sym_using,
    ACTIONS(5052), 1,
      anon_sym_RPAREN,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(16908), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522859] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522893] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11653), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [522927] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10831), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [522961] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522995] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10823), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [523029] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 4,
      anon_sym_DOT,
      anon_sym_LPAREN,
      sym__backquoted_id,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7288), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [523063] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9827), 1,
      anon_sym_EQ_GT,
    STATE(11050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9291), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523099] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523133] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10007), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523167] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12046), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9835), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523237] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(11055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8638), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523275] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10823), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [523309] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523343] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [523377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10831), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [523411] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10835), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [523445] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9835), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523479] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523513] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10776), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [523547] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523581] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9139), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [523649] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4592), 1,
      sym__indent,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(12766), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10750), 1,
      sym_colon_argument,
    STATE(8130), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(11067), 2,
      sym_comment,
      sym_block_comment,
    STATE(17819), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523701] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [523735] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523769] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12202), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(12200), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523803] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    ACTIONS(12768), 1,
      anon_sym_implicit,
    ACTIONS(12770), 1,
      anon_sym_using,
    ACTIONS(12772), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(17032), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523863] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(11539), 1,
      sym_operator_identifier,
    STATE(1936), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    ACTIONS(9063), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(11072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523913] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12679), 1,
      anon_sym_given,
    ACTIONS(12681), 1,
      sym_operator_identifier,
    ACTIONS(12774), 1,
      anon_sym_RBRACE,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(15611), 1,
      sym_identifier,
    ACTIONS(12677), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(11073), 2,
      sym_comment,
      sym_block_comment,
    STATE(17699), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523963] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523997] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(11667), 1,
      sym__alpha_identifier,
    ACTIONS(11673), 1,
      anon_sym_EQ,
    ACTIONS(11675), 1,
      sym__backquoted_id,
    ACTIONS(11677), 1,
      sym_operator_identifier,
    STATE(616), 1,
      sym_identifier,
    STATE(4261), 1,
      sym__soft_identifier,
    ACTIONS(9805), 2,
      anon_sym_match,
      anon_sym_else,
    STATE(11075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11671), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524047] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10774), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10772), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524081] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(11007), 1,
      sym_operator_identifier,
    STATE(1957), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(11077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9063), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524129] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10020), 1,
      anon_sym_EQ_GT,
    STATE(11078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9291), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10776), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [524199] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10671), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524233] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11787), 1,
      anon_sym_EQ_GT,
    STATE(11081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9291), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524269] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4586), 1,
      sym__indent,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(12776), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10524), 1,
      sym_colon_argument,
    STATE(8550), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(11082), 2,
      sym_comment,
      sym_block_comment,
    STATE(18416), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524321] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4766), 1,
      sym__indent,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(12778), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11070), 1,
      sym_colon_argument,
    STATE(9118), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(11083), 2,
      sym_comment,
      sym_block_comment,
    STATE(17848), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524373] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524407] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4666), 1,
      sym__indent,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(12780), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11201), 1,
      sym_colon_argument,
    STATE(9771), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(11085), 2,
      sym_comment,
      sym_block_comment,
    STATE(18757), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524459] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524493] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10168), 1,
      sym__alpha_identifier,
    ACTIONS(10174), 1,
      sym__backquoted_id,
    ACTIONS(11512), 1,
      anon_sym_EQ,
    ACTIONS(11514), 1,
      sym_operator_identifier,
    STATE(617), 1,
      sym_identifier,
    STATE(4226), 1,
      sym__soft_identifier,
    ACTIONS(9805), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(11087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10172), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524543] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524577] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524611] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524645] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524679] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524713] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9105), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524747] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10831), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524815] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524883] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(11518), 1,
      sym_operator_identifier,
    STATE(1950), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    ACTIONS(9063), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(11098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524933] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7288), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525001] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8638), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525041] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10831), 15,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [525075] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10776), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525109] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4258), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525143] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10829), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10827), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525177] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525211] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9063), 1,
      anon_sym_match,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(11969), 1,
      sym_operator_identifier,
    STATE(1960), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(11107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525260] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525293] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10831), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [525326] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9801), 1,
      anon_sym_LBRACK,
    ACTIONS(11203), 1,
      sym__alpha_identifier,
    ACTIONS(11209), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      sym_operator_identifier,
    ACTIONS(11977), 1,
      anon_sym_EQ,
    STATE(568), 1,
      sym_identifier,
    STATE(4243), 1,
      sym__soft_identifier,
    STATE(11110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 4,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(11205), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525375] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12782), 1,
      anon_sym_COLON,
    ACTIONS(12785), 1,
      anon_sym_DOT,
    ACTIONS(12787), 1,
      anon_sym_LBRACK,
    ACTIONS(12790), 1,
      anon_sym_LPAREN,
    ACTIONS(12793), 1,
      sym__automatic_semicolon,
    STATE(15219), 1,
      sym_type_parameters,
    STATE(15222), 1,
      aux_sym__given_constructor_repeat1,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(17054), 1,
      sym_parameters,
    STATE(11111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 9,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
      anon_sym_POUND,
  [525424] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525457] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(10608), 1,
      anon_sym_COMMA,
    ACTIONS(10618), 1,
      anon_sym_RPAREN,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(16296), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(11113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525512] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(507), 1,
      sym__alpha_identifier,
    ACTIONS(571), 1,
      sym__backquoted_id,
    ACTIONS(12796), 1,
      anon_sym_LBRACE,
    ACTIONS(12800), 1,
      sym_operator_identifier,
    STATE(6129), 1,
      sym__soft_identifier,
    STATE(15066), 1,
      sym_identifier,
    STATE(11114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12798), 3,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_given,
    STATE(15373), 3,
      sym_namespace_wildcard,
      sym_namespace_selectors,
      sym_as_renamed_identifier,
    ACTIONS(695), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525559] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525625] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 13,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525658] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(11335), 1,
      sym__alpha_identifier,
    ACTIONS(11341), 1,
      sym__backquoted_id,
    ACTIONS(11343), 1,
      sym_operator_identifier,
    ACTIONS(12058), 1,
      anon_sym_EQ,
    STATE(560), 1,
      sym_identifier,
    STATE(4257), 1,
      sym__soft_identifier,
    ACTIONS(9801), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(11118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(11337), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525707] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(8638), 3,
      anon_sym_COLON,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525746] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8638), 2,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525785] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10835), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [525818] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(11470), 1,
      anon_sym_COLON,
    ACTIONS(11474), 1,
      anon_sym_STAR,
    ACTIONS(11476), 1,
      anon_sym_EQ_GT,
    ACTIONS(11478), 1,
      anon_sym_if,
    ACTIONS(11480), 1,
      anon_sym_AT,
    ACTIONS(11482), 1,
      anon_sym_PIPE,
    ACTIONS(11484), 1,
      sym_operator_identifier,
    STATE(4340), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(18996), 1,
      sym_guard,
    STATE(11122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525873] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(11123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8638), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525910] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525943] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    ACTIONS(11092), 1,
      anon_sym_COMMA,
    ACTIONS(11094), 1,
      anon_sym_RPAREN,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(17227), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(11125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526031] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 13,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526064] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526097] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526130] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(11434), 1,
      sym__alpha_identifier,
    ACTIONS(11438), 1,
      sym__backquoted_id,
    ACTIONS(11440), 1,
      sym_operator_identifier,
    STATE(691), 1,
      sym_identifier,
    STATE(4271), 1,
      sym__soft_identifier,
    ACTIONS(9805), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(11130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526177] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(11131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8638), 4,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526214] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526247] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 13,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526280] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526313] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526346] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526379] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9801), 1,
      anon_sym_LBRACK,
    ACTIONS(11203), 1,
      sym__alpha_identifier,
    ACTIONS(11209), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      sym_operator_identifier,
    ACTIONS(12048), 1,
      anon_sym_EQ,
    STATE(568), 1,
      sym_identifier,
    STATE(4243), 1,
      sym__soft_identifier,
    STATE(11137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(11205), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526428] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(11138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8638), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526465] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(11139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(8638), 5,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526502] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 13,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526535] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526568] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 13,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526601] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(507), 1,
      sym__alpha_identifier,
    ACTIONS(571), 1,
      sym__backquoted_id,
    ACTIONS(12796), 1,
      anon_sym_LBRACE,
    ACTIONS(12800), 1,
      sym_operator_identifier,
    STATE(6129), 1,
      sym__soft_identifier,
    STATE(15066), 1,
      sym_identifier,
    STATE(11143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12798), 3,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_given,
    STATE(15370), 3,
      sym_namespace_wildcard,
      sym_namespace_selectors,
      sym_as_renamed_identifier,
    ACTIONS(695), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526648] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526681] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12202), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(12200), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526714] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(11434), 1,
      sym__alpha_identifier,
    ACTIONS(11438), 1,
      sym__backquoted_id,
    ACTIONS(11537), 1,
      sym_operator_identifier,
    STATE(625), 1,
      sym_identifier,
    STATE(4271), 1,
      sym__soft_identifier,
    ACTIONS(9805), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(11146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526761] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12202), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(12200), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526794] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11653), 14,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [526827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526860] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526893] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526926] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11653), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [526959] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526992] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(11154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8638), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527029] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11013), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11011), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527068] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(11335), 1,
      sym__alpha_identifier,
    ACTIONS(11341), 1,
      sym__backquoted_id,
    ACTIONS(11343), 1,
      sym_operator_identifier,
    ACTIONS(11979), 1,
      anon_sym_EQ,
    STATE(560), 1,
      sym_identifier,
    STATE(4257), 1,
      sym__soft_identifier,
    ACTIONS(9801), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(11156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(11337), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527117] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527150] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12802), 1,
      anon_sym_LBRACK,
    ACTIONS(12804), 1,
      anon_sym_AT,
    ACTIONS(12806), 1,
      anon_sym_LPAREN,
    ACTIONS(12808), 1,
      anon_sym_POUND,
    STATE(12223), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12366), 1,
      sym_type_arguments,
    STATE(13382), 1,
      sym_annotation,
    STATE(14284), 1,
      sym_arguments,
    STATE(11158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [527197] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    ACTIONS(11096), 1,
      anon_sym_COMMA,
    ACTIONS(11098), 1,
      anon_sym_RPAREN,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(17315), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(11159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527252] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10980), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10978), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527291] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    STATE(11161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8164), 4,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12810), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [527326] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12816), 1,
      anon_sym_LPAREN,
    STATE(12609), 1,
      sym__given_sig,
    STATE(18494), 1,
      sym__given_conditional,
    STATE(19373), 1,
      sym__using_parameters_clause,
    STATE(19376), 1,
      sym_parameters,
    ACTIONS(12814), 2,
      anon_sym_LBRACE,
      sym__backquoted_id,
    STATE(11162), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_given_definition_repeat1,
    ACTIONS(12812), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527369] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527402] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 13,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527435] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(11525), 1,
      sym__alpha_identifier,
    ACTIONS(11531), 1,
      sym__backquoted_id,
    ACTIONS(11533), 1,
      sym_operator_identifier,
    STATE(621), 1,
      sym_identifier,
    STATE(4267), 1,
      sym__soft_identifier,
    ACTIONS(9805), 2,
      anon_sym_match,
      anon_sym_finally,
    STATE(11165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11527), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527482] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10007), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527515] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527548] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 13,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [527581] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527614] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11384), 1,
      sym__end_marker,
    STATE(11170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10376), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527649] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527682] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(11626), 1,
      sym_operator_identifier,
    STATE(1941), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    ACTIONS(9063), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(11172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527729] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12819), 1,
      anon_sym_with,
    ACTIONS(9649), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    STATE(11173), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9647), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527764] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527797] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527830] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 13,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527863] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 13,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527896] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10266), 1,
      anon_sym_LPAREN,
    ACTIONS(12822), 1,
      anon_sym_LBRACK,
    ACTIONS(12824), 1,
      anon_sym_POUND,
    STATE(11677), 1,
      aux_sym_annotation_repeat1,
    STATE(11940), 1,
      sym_type_arguments,
    STATE(12484), 1,
      sym_arguments,
    STATE(11178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [527939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527972] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528005] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 13,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528038] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8358), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528071] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 13,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528137] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528170] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 13,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528236] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528269] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8412), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(12419), 1,
      anon_sym_EQ_GT,
    STATE(11189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528306] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528339] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(11369), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(11371), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(11191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528390] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9805), 1,
      anon_sym_match,
    ACTIONS(11434), 1,
      sym__alpha_identifier,
    ACTIONS(11438), 1,
      sym__backquoted_id,
    ACTIONS(11440), 1,
      sym_operator_identifier,
    ACTIONS(11823), 1,
      anon_sym_EQ,
    STATE(691), 1,
      sym_identifier,
    STATE(4271), 1,
      sym__soft_identifier,
    STATE(11192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12202), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(12200), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528472] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    ACTIONS(11365), 1,
      anon_sym_COMMA,
    ACTIONS(11367), 1,
      anon_sym_RPAREN,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(17111), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(11194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528527] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12679), 1,
      anon_sym_given,
    ACTIONS(12826), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(15489), 1,
      sym_identifier,
    ACTIONS(12677), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(11195), 2,
      sym_comment,
      sym_block_comment,
    STATE(17251), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528574] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(11682), 1,
      sym_operator_identifier,
    STATE(1944), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    ACTIONS(9063), 2,
      anon_sym_match,
      anon_sym_else,
    STATE(11196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528621] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528654] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(11198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8638), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528691] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528724] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528757] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12202), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12200), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [528790] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11013), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11011), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528829] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528862] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528895] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(11205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8638), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_finally,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528932] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10321), 1,
      anon_sym_LPAREN,
    ACTIONS(12828), 1,
      anon_sym_LBRACK,
    ACTIONS(12830), 1,
      anon_sym_POUND,
    STATE(11683), 1,
      aux_sym_annotation_repeat1,
    STATE(11963), 1,
      sym_type_arguments,
    STATE(12246), 1,
      sym_arguments,
    STATE(11206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [528975] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529041] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529074] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529173] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529206] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(11420), 1,
      sym_operator_identifier,
    STATE(1952), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    ACTIONS(9063), 2,
      anon_sym_match,
      anon_sym_finally,
    STATE(11214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529253] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    ACTIONS(11021), 1,
      anon_sym_COMMA,
    ACTIONS(11025), 1,
      anon_sym_RPAREN,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(16384), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(11215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529308] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4464), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10925), 11,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529345] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8638), 2,
      anon_sym_STAR,
      anon_sym_else,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529384] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9675), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(11218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9673), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9671), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529419] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11653), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [529452] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10980), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10978), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529491] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4474), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10925), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529528] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8358), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529561] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529594] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(11470), 1,
      anon_sym_COLON,
    ACTIONS(11472), 1,
      anon_sym_DOT,
    ACTIONS(11474), 1,
      anon_sym_STAR,
    ACTIONS(11478), 1,
      anon_sym_if,
    ACTIONS(11482), 1,
      anon_sym_PIPE,
    ACTIONS(11484), 1,
      sym_operator_identifier,
    ACTIONS(11728), 1,
      anon_sym_EQ_GT,
    STATE(4340), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(17866), 1,
      sym_guard,
    STATE(11224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529649] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529682] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(11226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8638), 5,
      anon_sym_while,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529719] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 12,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529752] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(11369), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(11228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529801] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529834] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 13,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529867] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(11539), 1,
      sym_operator_identifier,
    STATE(1936), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    ACTIONS(9063), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(11231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529914] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(9835), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529947] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    ACTIONS(11092), 1,
      anon_sym_COMMA,
    ACTIONS(11094), 1,
      anon_sym_RPAREN,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(17227), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(11233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530002] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530035] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4471), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10927), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10925), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530072] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9805), 1,
      anon_sym_match,
    ACTIONS(10168), 1,
      sym__alpha_identifier,
    ACTIONS(10174), 1,
      sym__backquoted_id,
    ACTIONS(10176), 1,
      sym_operator_identifier,
    ACTIONS(11818), 1,
      anon_sym_EQ,
    STATE(565), 1,
      sym_identifier,
    STATE(4226), 1,
      sym__soft_identifier,
    STATE(11236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10172), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530121] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 13,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530154] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530187] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8638), 2,
      anon_sym_STAR,
      anon_sym_finally,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530259] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(11667), 1,
      sym__alpha_identifier,
    ACTIONS(11675), 1,
      sym__backquoted_id,
    ACTIONS(11677), 1,
      sym_operator_identifier,
    STATE(616), 1,
      sym_identifier,
    STATE(4261), 1,
      sym__soft_identifier,
    ACTIONS(9805), 2,
      anon_sym_match,
      anon_sym_else,
    STATE(11241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11671), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530306] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530339] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12802), 1,
      anon_sym_LBRACK,
    ACTIONS(12804), 1,
      anon_sym_AT,
    ACTIONS(12808), 1,
      anon_sym_POUND,
    ACTIONS(12832), 1,
      anon_sym_LPAREN,
    STATE(12223), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12366), 1,
      sym_type_arguments,
    STATE(13382), 1,
      sym_annotation,
    STATE(13845), 1,
      sym_arguments,
    STATE(11243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [530386] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530419] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(11245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8638), 3,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
    ACTIONS(8636), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530456] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9805), 1,
      anon_sym_match,
    ACTIONS(11927), 1,
      sym__alpha_identifier,
    ACTIONS(11933), 1,
      anon_sym_EQ,
    ACTIONS(11935), 1,
      sym__backquoted_id,
    ACTIONS(11937), 1,
      sym_operator_identifier,
    STATE(659), 1,
      sym_identifier,
    STATE(4274), 1,
      sym__soft_identifier,
    STATE(11246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11931), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530505] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(11470), 1,
      anon_sym_COLON,
    ACTIONS(11474), 1,
      anon_sym_STAR,
    ACTIONS(11478), 1,
      anon_sym_if,
    ACTIONS(11480), 1,
      anon_sym_AT,
    ACTIONS(11482), 1,
      anon_sym_PIPE,
    ACTIONS(11484), 1,
      sym_operator_identifier,
    ACTIONS(11728), 1,
      anon_sym_EQ_GT,
    STATE(4340), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(17866), 1,
      sym_guard,
    STATE(11247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530560] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10980), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10978), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [530597] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12679), 1,
      anon_sym_given,
    ACTIONS(12834), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(15423), 1,
      sym_identifier,
    ACTIONS(12677), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(11249), 2,
      sym_comment,
      sym_block_comment,
    STATE(16869), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530644] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(85), 1,
      sym__backquoted_id,
    ACTIONS(12836), 1,
      anon_sym_LBRACE,
    ACTIONS(12840), 1,
      sym_operator_identifier,
    STATE(4738), 1,
      sym__soft_identifier,
    STATE(14854), 1,
      sym_identifier,
    STATE(11250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12838), 3,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_given,
    STATE(15154), 3,
      sym_namespace_wildcard,
      sym_namespace_selectors,
      sym_as_renamed_identifier,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530691] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530724] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8638), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530763] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    ACTIONS(11096), 1,
      anon_sym_COMMA,
    ACTIONS(11098), 1,
      anon_sym_RPAREN,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(17315), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(11253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530818] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530884] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    ACTIONS(11197), 1,
      anon_sym_COMMA,
    ACTIONS(11199), 1,
      anon_sym_RPAREN,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(16398), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(11256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 13,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530972] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [531005] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(10608), 1,
      anon_sym_COMMA,
    ACTIONS(10618), 1,
      anon_sym_RPAREN,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(16296), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(11259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531060] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(10168), 1,
      sym__alpha_identifier,
    ACTIONS(10174), 1,
      sym__backquoted_id,
    ACTIONS(11514), 1,
      sym_operator_identifier,
    STATE(617), 1,
      sym_identifier,
    STATE(4226), 1,
      sym__soft_identifier,
    ACTIONS(9805), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(11260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10172), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531107] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(85), 1,
      sym__backquoted_id,
    ACTIONS(12836), 1,
      anon_sym_LBRACE,
    ACTIONS(12840), 1,
      sym_operator_identifier,
    STATE(4738), 1,
      sym__soft_identifier,
    STATE(14854), 1,
      sym_identifier,
    STATE(11261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12838), 3,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_given,
    STATE(15190), 3,
      sym_namespace_wildcard,
      sym_namespace_selectors,
      sym_as_renamed_identifier,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531154] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [531187] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [531220] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [531253] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(11470), 1,
      anon_sym_COLON,
    ACTIONS(11472), 1,
      anon_sym_DOT,
    ACTIONS(11474), 1,
      anon_sym_STAR,
    ACTIONS(11476), 1,
      anon_sym_EQ_GT,
    ACTIONS(11478), 1,
      anon_sym_if,
    ACTIONS(11482), 1,
      anon_sym_PIPE,
    ACTIONS(11484), 1,
      sym_operator_identifier,
    STATE(4340), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(18996), 1,
      sym_guard,
    STATE(11265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531308] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10823), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [531341] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    ACTIONS(11197), 1,
      anon_sym_COMMA,
    ACTIONS(11199), 1,
      anon_sym_RPAREN,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(16398), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(11267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531396] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(11369), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(11371), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(11268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [531480] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [531513] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11582), 1,
      sym_arguments,
    STATE(11271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8370), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [531548] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(11272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8997), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8995), 10,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [531587] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    ACTIONS(11365), 1,
      anon_sym_COMMA,
    ACTIONS(11367), 1,
      anon_sym_RPAREN,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(17111), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(11273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531642] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [531675] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [531708] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8636), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8638), 4,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [531747] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [531780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [531813] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(11518), 1,
      sym_operator_identifier,
    STATE(1950), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    ACTIONS(9063), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(11279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531860] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [531893] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11013), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11011), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [531930] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(11282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(8638), 5,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [531967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532000] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(11284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8638), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_EQ,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532037] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532070] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9801), 1,
      anon_sym_LBRACK,
    ACTIONS(9805), 1,
      anon_sym_match,
    ACTIONS(11434), 1,
      sym__alpha_identifier,
    ACTIONS(11438), 1,
      sym__backquoted_id,
    ACTIONS(11440), 1,
      sym_operator_identifier,
    STATE(691), 1,
      sym_identifier,
    STATE(4271), 1,
      sym__soft_identifier,
    ACTIONS(9059), 2,
      anon_sym_COLON,
      anon_sym_if,
    STATE(11286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10170), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(11436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532119] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532152] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12679), 1,
      anon_sym_given,
    ACTIONS(12681), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(15611), 1,
      sym_identifier,
    ACTIONS(12677), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(11288), 2,
      sym_comment,
      sym_block_comment,
    STATE(17699), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532199] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(10984), 1,
      sym_operator_identifier,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    ACTIONS(9805), 2,
      anon_sym_match,
      anon_sym_then,
    STATE(11289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532248] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12842), 1,
      anon_sym_LBRACK,
    ACTIONS(12844), 1,
      anon_sym_AT,
    ACTIONS(12848), 1,
      anon_sym_LPAREN,
    ACTIONS(12850), 1,
      sym__automatic_semicolon,
    STATE(11693), 1,
      sym_type_parameters,
    STATE(12463), 1,
      sym_annotation,
    STATE(13731), 1,
      sym_access_modifier,
    STATE(13733), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14395), 1,
      sym_class_parameters,
    ACTIONS(12846), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(11290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12737), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [532299] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(11291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8638), 4,
      anon_sym_STAR,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532336] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    ACTIONS(11021), 1,
      anon_sym_COMMA,
    ACTIONS(11025), 1,
      anon_sym_RPAREN,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(16384), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(11292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532424] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10007), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532457] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    ACTIONS(12853), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(17607), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532511] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12859), 1,
      anon_sym_case,
    ACTIONS(12861), 1,
      anon_sym_EQ,
    ACTIONS(12863), 1,
      sym__backquoted_id,
    STATE(11296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12857), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(12855), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532549] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12863), 1,
      sym__backquoted_id,
    ACTIONS(12867), 1,
      anon_sym_case,
    ACTIONS(12869), 1,
      anon_sym_EQ,
    STATE(11297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12865), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(12855), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532587] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10567), 1,
      anon_sym_LPAREN,
    ACTIONS(12871), 1,
      anon_sym_LBRACK,
    ACTIONS(12873), 1,
      anon_sym_POUND,
    STATE(11908), 1,
      aux_sym_annotation_repeat1,
    STATE(12437), 1,
      sym_type_arguments,
    STATE(12600), 1,
      sym_arguments,
    STATE(11298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532629] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(11299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8638), 3,
      anon_sym_STAR,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532665] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11872), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11870), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532697] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11892), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11890), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532729] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    STATE(11302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8164), 4,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12810), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532763] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 4,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7288), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532795] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9801), 1,
      anon_sym_LBRACK,
    ACTIONS(11657), 1,
      sym__alpha_identifier,
    ACTIONS(11663), 1,
      sym__backquoted_id,
    ACTIONS(11665), 1,
      sym_operator_identifier,
    ACTIONS(12117), 1,
      anon_sym_EQ,
    STATE(624), 1,
      sym_identifier,
    STATE(4270), 1,
      sym__soft_identifier,
    STATE(11304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(11659), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532843] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(8746), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(11305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532893] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12875), 1,
      anon_sym_LBRACK,
    ACTIONS(12877), 1,
      anon_sym_AT,
    ACTIONS(12879), 1,
      anon_sym_LPAREN,
    ACTIONS(12881), 1,
      anon_sym_POUND,
    STATE(12792), 1,
      sym_type_arguments,
    STATE(13070), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13739), 1,
      sym_annotation,
    STATE(14449), 1,
      sym_arguments,
    STATE(11306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [532939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 4,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4258), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532971] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12883), 1,
      anon_sym_with,
    STATE(11828), 1,
      aux_sym_compound_type_repeat1,
    STATE(14201), 1,
      sym_template_body,
    STATE(14210), 1,
      sym__refinement,
    STATE(14284), 1,
      sym_arguments,
    STATE(11308), 2,
      sym_comment,
      sym_block_comment,
    STATE(14179), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [533013] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11957), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11955), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [533045] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11989), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11987), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [533077] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    ACTIONS(12885), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(16739), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533131] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(11312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8638), 3,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [533167] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(10608), 1,
      anon_sym_COMMA,
    ACTIONS(10618), 1,
      anon_sym_RPAREN,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(16296), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(11313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533219] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    ACTIONS(12887), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(17607), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533273] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12025), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(12023), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [533305] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    ACTIONS(11197), 1,
      anon_sym_COMMA,
    ACTIONS(11199), 1,
      anon_sym_RPAREN,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(16398), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(11316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(11317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [533389] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    ACTIONS(12889), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(17607), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533443] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11908), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11906), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [533475] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(5108), 1,
      anon_sym_RPAREN,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(17607), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11915), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11913), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [533561] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11919), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11917), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [533593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11983), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [533625] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9160), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [533657] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    ACTIONS(12891), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(17607), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533711] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(5134), 1,
      anon_sym_RPAREN,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(17607), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533765] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10610), 1,
      anon_sym_DOT,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(11852), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533815] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [533845] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9801), 1,
      anon_sym_LBRACK,
    ACTIONS(11657), 1,
      sym__alpha_identifier,
    ACTIONS(11663), 1,
      sym__backquoted_id,
    ACTIONS(11665), 1,
      sym_operator_identifier,
    ACTIONS(12228), 1,
      anon_sym_EQ,
    STATE(624), 1,
      sym_identifier,
    STATE(4270), 1,
      sym__soft_identifier,
    STATE(11329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9805), 3,
      anon_sym_while,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(11659), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533893] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [533923] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    ACTIONS(12893), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(17016), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 12,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [534009] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    ACTIONS(12895), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(17607), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534063] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    ACTIONS(12897), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(17607), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534117] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(5132), 1,
      anon_sym_RPAREN,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(17607), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534171] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    ACTIONS(12899), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(17607), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534225] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(5162), 1,
      anon_sym_RPAREN,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(17607), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534279] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(5220), 1,
      anon_sym_RPAREN,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(17607), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534333] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [534363] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    ACTIONS(12901), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(16673), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534417] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [534449] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    ACTIONS(12903), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(17607), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534503] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [534535] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    ACTIONS(12905), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(17607), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534589] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(5096), 1,
      anon_sym_RPAREN,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(17607), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534643] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    ACTIONS(12907), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(17607), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534697] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(5104), 1,
      anon_sym_RPAREN,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(17607), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534751] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [534783] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10614), 1,
      anon_sym_AT,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(11852), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534833] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 12,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [534865] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 12,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [534897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 12,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [534929] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [534959] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(11354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8638), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_finally,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [534995] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10610), 1,
      anon_sym_DOT,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(11964), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535045] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [535075] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10614), 1,
      anon_sym_AT,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(11964), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535125] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11682), 1,
      aux_sym_compound_type_repeat1,
    STATE(13657), 1,
      sym_template_body,
    STATE(13670), 1,
      sym__refinement,
    STATE(13845), 1,
      sym_arguments,
    STATE(11358), 2,
      sym_comment,
      sym_block_comment,
    STATE(14008), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [535165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12202), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(12200), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [535197] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12875), 1,
      anon_sym_LBRACK,
    ACTIONS(12877), 1,
      anon_sym_AT,
    ACTIONS(12881), 1,
      anon_sym_POUND,
    ACTIONS(12909), 1,
      anon_sym_LPAREN,
    STATE(12792), 1,
      sym_type_arguments,
    STATE(13070), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13739), 1,
      sym_annotation,
    STATE(14354), 1,
      sym_arguments,
    STATE(11360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [535243] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12202), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(12200), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [535275] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 12,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [535307] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12911), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [535337] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [535369] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [535401] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [535433] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11865), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11863), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [535465] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [535495] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9105), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [535527] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9109), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [535559] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12782), 1,
      anon_sym_COLON,
    ACTIONS(12787), 1,
      anon_sym_LBRACK,
    ACTIONS(12790), 1,
      anon_sym_LPAREN,
    ACTIONS(12793), 1,
      sym__automatic_semicolon,
    ACTIONS(12913), 1,
      anon_sym_DOT,
    STATE(15219), 1,
      sym_type_parameters,
    STATE(15222), 1,
      aux_sym__given_constructor_repeat1,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(17054), 1,
      sym_parameters,
    STATE(11371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
      anon_sym_POUND,
  [535607] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8983), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [535639] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12915), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [535669] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10823), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [535701] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10831), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [535733] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10835), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [535765] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    ACTIONS(11365), 1,
      anon_sym_COMMA,
    ACTIONS(11367), 1,
      anon_sym_RPAREN,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(17111), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(11377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535817] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10277), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10279), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [535849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10281), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10283), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [535881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8606), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [535913] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9063), 1,
      anon_sym_match,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(11969), 1,
      sym_operator_identifier,
    STATE(1960), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    STATE(11381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9061), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535959] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10220), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10222), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [535991] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536023] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10229), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10231), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536055] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12741), 1,
      anon_sym_AT,
    ACTIONS(12745), 1,
      anon_sym_LPAREN,
    ACTIONS(12919), 1,
      sym__automatic_semicolon,
    STATE(12026), 1,
      sym_annotation,
    STATE(13609), 1,
      sym_access_modifier,
    STATE(13613), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14076), 1,
      sym_class_parameters,
    ACTIONS(12743), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(11385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12917), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [536101] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536133] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536197] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536229] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12922), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [536259] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [536289] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11653), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [536321] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8636), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(11393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8638), 5,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536357] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8636), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8638), 3,
      anon_sym_COLON,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536395] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536427] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536459] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536491] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(11398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536525] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536557] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12924), 1,
      anon_sym_DOT,
    STATE(11400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536589] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11653), 13,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [536621] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10764), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536653] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10768), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536685] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10776), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536717] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12754), 1,
      anon_sym_LPAREN,
    STATE(11419), 1,
      aux_sym_annotation_repeat1,
    STATE(11921), 1,
      sym_arguments,
    ACTIONS(8945), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(11405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8943), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536755] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 12,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 12,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536819] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(11408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8638), 3,
      anon_sym_STAR,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536855] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12926), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [536885] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11872), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [536915] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11892), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [536945] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537009] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537041] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(11415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(8638), 4,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537077] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11013), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11011), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537113] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(11369), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(11371), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(11417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537161] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10980), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10978), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537197] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12928), 1,
      anon_sym_LPAREN,
    STATE(11921), 1,
      sym_arguments,
    ACTIONS(8955), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(11419), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8953), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537233] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12802), 1,
      anon_sym_LBRACK,
    ACTIONS(12804), 1,
      anon_sym_AT,
    ACTIONS(12808), 1,
      anon_sym_POUND,
    STATE(12223), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12366), 1,
      sym_type_arguments,
    STATE(13382), 1,
      sym_annotation,
    STATE(11420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [537275] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8638), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537307] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537339] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11872), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11870), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537371] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 12,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537403] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10436), 1,
      anon_sym_LPAREN,
    ACTIONS(12931), 1,
      anon_sym_LBRACK,
    ACTIONS(12933), 1,
      anon_sym_POUND,
    STATE(11894), 1,
      aux_sym_annotation_repeat1,
    STATE(12224), 1,
      sym_type_arguments,
    STATE(12677), 1,
      sym_arguments,
    STATE(11425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [537445] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11892), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11890), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537477] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [537507] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12937), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [537537] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11957), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [537567] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11957), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11955), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537599] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11989), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [537629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11989), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11987), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537661] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12025), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(12023), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537693] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11908), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11906), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537725] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11915), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11913), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537757] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11919), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11917), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(8358), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537821] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11983), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537853] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537885] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(10007), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537917] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8638), 1,
      anon_sym_else,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(11653), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537987] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    ACTIONS(12939), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(17607), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538041] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12941), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [538071] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12943), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [538101] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(11446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [538133] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12025), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [538163] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 12,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538195] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 12,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538227] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 12,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538259] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538291] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538323] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538419] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12945), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [538449] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538481] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12947), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [538511] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538543] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538575] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11908), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [538605] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11915), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [538635] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11919), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [538665] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [538695] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538727] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(11466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(8638), 4,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538763] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8638), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538795] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 12,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 12,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538859] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 12,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538891] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12949), 1,
      anon_sym_LBRACK,
    ACTIONS(12951), 1,
      anon_sym_LPAREN,
    ACTIONS(12953), 1,
      anon_sym_POUND,
    STATE(12383), 1,
      aux_sym_annotation_repeat1,
    STATE(12436), 1,
      sym_type_arguments,
    STATE(13311), 1,
      sym_arguments,
    STATE(11471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [538933] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8410), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2648), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538965] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10671), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538997] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10690), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10688), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [539029] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [539061] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10746), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10744), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [539093] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10760), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10758), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [539125] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10610), 1,
      anon_sym_DOT,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(11883), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539175] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10774), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10772), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [539207] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10614), 1,
      anon_sym_AT,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(11883), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539257] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10796), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10794), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [539289] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10014), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10016), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [539321] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10610), 1,
      anon_sym_DOT,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(11885), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539371] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10614), 1,
      anon_sym_AT,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(11885), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539421] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12955), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [539451] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10810), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10808), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [539483] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12859), 1,
      anon_sym_case,
    ACTIONS(12863), 1,
      sym__backquoted_id,
    ACTIONS(12957), 1,
      anon_sym_EQ,
    STATE(11487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12857), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(12855), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [539521] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12863), 1,
      sym__backquoted_id,
    ACTIONS(12867), 1,
      anon_sym_case,
    ACTIONS(12959), 1,
      anon_sym_EQ,
    STATE(11488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12865), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(12855), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [539559] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10829), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10827), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [539591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10853), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10851), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [539623] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10857), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10855), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [539655] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 12,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [539687] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10610), 1,
      anon_sym_DOT,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(10624), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539737] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10614), 1,
      anon_sym_AT,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(10624), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10764), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [539819] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10768), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [539851] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10610), 1,
      anon_sym_DOT,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(11897), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539901] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10907), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10905), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [539933] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10614), 1,
      anon_sym_AT,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(11897), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10911), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10909), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540015] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10776), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540047] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    ACTIONS(11021), 1,
      anon_sym_COMMA,
    ACTIONS(11025), 1,
      anon_sym_RPAREN,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(16384), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(11502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540099] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10937), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10935), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10402), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10400), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540163] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4258), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540195] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(11470), 1,
      anon_sym_COLON,
    ACTIONS(11474), 1,
      anon_sym_STAR,
    ACTIONS(11478), 1,
      anon_sym_if,
    ACTIONS(11482), 1,
      anon_sym_PIPE,
    ACTIONS(11484), 1,
      sym_operator_identifier,
    ACTIONS(11728), 1,
      anon_sym_EQ_GT,
    STATE(4340), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(17866), 1,
      sym_guard,
    STATE(11506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540247] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540279] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12961), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [540309] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12963), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [540339] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11013), 1,
      sym__backquoted_id,
    ACTIONS(11472), 1,
      anon_sym_DOT,
    STATE(4340), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11011), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540409] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11013), 1,
      sym__backquoted_id,
    ACTIONS(11480), 1,
      anon_sym_AT,
    STATE(4340), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11011), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540447] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(11470), 1,
      anon_sym_COLON,
    ACTIONS(11472), 1,
      anon_sym_DOT,
    ACTIONS(11474), 1,
      anon_sym_STAR,
    ACTIONS(11484), 1,
      sym_operator_identifier,
    STATE(4340), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 3,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540495] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(11470), 1,
      anon_sym_COLON,
    ACTIONS(11474), 1,
      anon_sym_STAR,
    ACTIONS(11480), 1,
      anon_sym_AT,
    ACTIONS(11484), 1,
      sym_operator_identifier,
    STATE(4340), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 3,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540543] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10980), 1,
      sym__backquoted_id,
    ACTIONS(11472), 1,
      anon_sym_DOT,
    STATE(4340), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10978), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540581] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540613] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540645] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10980), 1,
      sym__backquoted_id,
    ACTIONS(11480), 1,
      anon_sym_AT,
    STATE(4340), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10978), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540683] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540715] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540747] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7288), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540779] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540811] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12202), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12200), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [540843] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540875] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540907] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540971] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541003] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12965), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [541033] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541065] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(11531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8638), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541101] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541133] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(11533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(8638), 4,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10764), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541201] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10768), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541233] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7416), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7414), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541265] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10776), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541297] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10823), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [541329] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8638), 1,
      anon_sym_finally,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541367] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10831), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [541399] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10835), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [541431] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11865), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11863), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541463] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541495] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9139), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541527] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9141), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541559] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10684), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10682), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9143), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541623] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10823), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541655] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10831), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541687] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10835), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541719] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10694), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10692), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541751] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541783] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541815] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541847] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8638), 1,
      anon_sym_STAR,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541885] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541917] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541949] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10782), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10780), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [542013] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10046), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [542045] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10056), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [542077] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10079), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [542109] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [542141] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10083), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [542173] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10093), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [542205] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10046), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [542237] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10056), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [542269] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10079), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [542301] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10083), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [542333] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10093), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [542365] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10800), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10798), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [542397] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    ACTIONS(12967), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(16937), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542451] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10804), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10802), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [542483] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [542515] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [542547] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    ACTIONS(12969), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(17607), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542601] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8370), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [542633] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(11578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8638), 4,
      anon_sym_while,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [542669] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12202), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(12200), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [542701] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(5156), 1,
      anon_sym_RPAREN,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(17607), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542755] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8606), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [542787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10939), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [542819] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [542849] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [542879] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9777), 1,
      anon_sym_LPAREN,
    STATE(11586), 1,
      aux_sym_annotation_repeat1,
    STATE(12016), 1,
      sym_arguments,
    STATE(11585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [542915] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12971), 1,
      anon_sym_LPAREN,
    STATE(12016), 1,
      sym_arguments,
    STATE(11586), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [542949] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(11587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8638), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [542985] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(11470), 1,
      anon_sym_COLON,
    ACTIONS(11474), 1,
      anon_sym_STAR,
    ACTIONS(11476), 1,
      anon_sym_EQ_GT,
    ACTIONS(11478), 1,
      anon_sym_if,
    ACTIONS(11482), 1,
      anon_sym_PIPE,
    ACTIONS(11484), 1,
      sym_operator_identifier,
    STATE(4340), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(18996), 1,
      sym_guard,
    STATE(11588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543037] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    ACTIONS(12974), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(17077), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543091] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    ACTIONS(11092), 1,
      anon_sym_COMMA,
    ACTIONS(11094), 1,
      anon_sym_RPAREN,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(17227), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(11590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543143] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    ACTIONS(12976), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(17607), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543197] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [543229] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    ACTIONS(11096), 1,
      anon_sym_COMMA,
    ACTIONS(11098), 1,
      anon_sym_RPAREN,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(17315), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(11593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543281] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [543313] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [543345] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12802), 1,
      anon_sym_LBRACK,
    ACTIONS(12808), 1,
      anon_sym_POUND,
    ACTIONS(12832), 1,
      anon_sym_LPAREN,
    STATE(12366), 1,
      sym_type_arguments,
    STATE(12483), 1,
      aux_sym_annotation_repeat1,
    STATE(13622), 1,
      sym_arguments,
    STATE(11596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [543387] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12978), 1,
      anon_sym_DOT,
    STATE(11597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [543421] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12980), 1,
      anon_sym_LBRACK,
    ACTIONS(12982), 1,
      anon_sym_LPAREN,
    ACTIONS(12984), 1,
      anon_sym_POUND,
    STATE(12198), 1,
      sym_type_arguments,
    STATE(12479), 1,
      aux_sym_annotation_repeat1,
    STATE(13182), 1,
      sym_arguments,
    STATE(11598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [543463] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    ACTIONS(12986), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(17607), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543517] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(5138), 1,
      anon_sym_RPAREN,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(17607), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543571] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(12050), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(11601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543621] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9805), 1,
      anon_sym_match,
    ACTIONS(11927), 1,
      sym__alpha_identifier,
    ACTIONS(11935), 1,
      sym__backquoted_id,
    ACTIONS(11937), 1,
      sym_operator_identifier,
    STATE(659), 1,
      sym_identifier,
    STATE(4274), 1,
      sym__soft_identifier,
    STATE(11602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11931), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543667] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(12050), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(11603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543717] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(8746), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(11604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543767] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    ACTIONS(12988), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(17607), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543821] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(5174), 1,
      anon_sym_RPAREN,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(17607), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543875] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12980), 1,
      anon_sym_LBRACK,
    ACTIONS(12984), 1,
      anon_sym_POUND,
    ACTIONS(12990), 1,
      anon_sym_AT,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    STATE(12198), 1,
      sym_type_arguments,
    STATE(12343), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13430), 1,
      sym_annotation,
    STATE(17619), 1,
      sym_arguments,
    STATE(11607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [543921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12996), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12994), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [543952] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9291), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [543983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 11,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [544014] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 16,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [544043] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 11,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [544074] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 11,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [544105] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(12998), 1,
      anon_sym_implicit,
    ACTIONS(13000), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11614), 2,
      sym_comment,
      sym_block_comment,
    STATE(17569), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544150] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11573), 1,
      anon_sym_EQ,
    ACTIONS(13002), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544199] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11573), 1,
      anon_sym_EQ,
    ACTIONS(13002), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544248] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11577), 1,
      anon_sym_EQ,
    ACTIONS(13004), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544297] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11606), 1,
      anon_sym_EQ,
    ACTIONS(13006), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544346] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11577), 1,
      anon_sym_EQ,
    ACTIONS(13004), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544395] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13008), 1,
      anon_sym_LBRACK,
    ACTIONS(13010), 1,
      anon_sym_LPAREN,
    ACTIONS(13012), 1,
      anon_sym_POUND,
    STATE(12579), 1,
      aux_sym_annotation_repeat1,
    STATE(12942), 1,
      sym_type_arguments,
    STATE(13859), 1,
      sym_arguments,
    STATE(11620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [544436] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11606), 1,
      anon_sym_EQ,
    ACTIONS(13006), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544485] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11624), 1,
      anon_sym_EQ,
    ACTIONS(13014), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544534] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13016), 1,
      anon_sym_LBRACK,
    ACTIONS(13018), 1,
      anon_sym_AT,
    ACTIONS(13020), 1,
      anon_sym_POUND,
    STATE(13057), 1,
      sym_type_arguments,
    STATE(13136), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13819), 1,
      sym_annotation,
    STATE(17619), 1,
      sym_arguments,
    STATE(11623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [544579] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9303), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [544610] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8638), 2,
      anon_sym_STAR,
      anon_sym_else,
    STATE(11625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [544645] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4408), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(10927), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10925), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [544680] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11624), 1,
      anon_sym_EQ,
    ACTIONS(13014), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544729] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13022), 1,
      anon_sym_end,
    STATE(5673), 1,
      sym__end_marker,
    STATE(11628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [544762] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11588), 1,
      anon_sym_EQ,
    ACTIONS(13024), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544811] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11588), 1,
      anon_sym_EQ,
    ACTIONS(13024), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544860] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11592), 1,
      anon_sym_EQ,
    ACTIONS(13026), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544909] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12863), 1,
      sym__backquoted_id,
    ACTIONS(13028), 1,
      anon_sym_EQ,
    STATE(11632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12857), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(12855), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [544944] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12863), 1,
      sym__backquoted_id,
    ACTIONS(13030), 1,
      anon_sym_EQ,
    STATE(11633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12865), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(12855), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [544979] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11592), 1,
      anon_sym_EQ,
    ACTIONS(13026), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545028] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9307), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [545059] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(12695), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(10663), 1,
      sym_annotation,
    STATE(12032), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13935), 1,
      sym_inline_modifier,
    STATE(17607), 1,
      sym_parameter,
    STATE(19350), 1,
      sym_identifier,
    STATE(11636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545110] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9309), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [545141] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_LPAREN,
    ACTIONS(8164), 2,
      anon_sym_DOT,
      sym__backquoted_id,
    STATE(11638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12810), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [545174] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(11653), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [545205] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545234] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9139), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [545265] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9801), 1,
      anon_sym_LBRACK,
    ACTIONS(10984), 1,
      sym_operator_identifier,
    ACTIONS(12516), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    ACTIONS(9805), 2,
      anon_sym_match,
      anon_sym_do,
    STATE(11642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545312] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9321), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [545343] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9141), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [545374] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9143), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [545405] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11553), 1,
      anon_sym_EQ,
    ACTIONS(13032), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545454] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11553), 1,
      anon_sym_EQ,
    ACTIONS(13032), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545503] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545532] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11557), 1,
      anon_sym_EQ,
    ACTIONS(13034), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545581] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545610] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11557), 1,
      anon_sym_EQ,
    ACTIONS(13034), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545659] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13036), 1,
      anon_sym_with,
    STATE(11991), 1,
      aux_sym_compound_type_repeat1,
    STATE(14449), 1,
      sym_arguments,
    STATE(14556), 1,
      sym_template_body,
    STATE(14557), 1,
      sym__refinement,
    STATE(11652), 2,
      sym_comment,
      sym_block_comment,
    STATE(14550), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [545700] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545729] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545758] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9133), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [545818] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545847] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545876] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545905] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545934] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545963] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 12,
      anon_sym_COLON,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [545994] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(11663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(8638), 3,
      anon_sym_COLON,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [546029] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8638), 2,
      anon_sym_STAR,
      anon_sym_finally,
    STATE(11664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [546064] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9125), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [546095] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9323), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [546126] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(11964), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546173] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9212), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [546204] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9135), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [546235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 11,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [546266] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8638), 2,
      anon_sym_catch,
      anon_sym_finally,
    STATE(11671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [546301] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13040), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(13038), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [546332] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13044), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(13042), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [546363] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13048), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(13046), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [546394] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8638), 2,
      anon_sym_else,
      anon_sym_finally,
    STATE(11675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [546429] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13052), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(13050), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [546460] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10266), 1,
      anon_sym_LPAREN,
    STATE(11679), 1,
      aux_sym_annotation_repeat1,
    STATE(12484), 1,
      sym_arguments,
    STATE(11677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [546495] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11865), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11863), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [546526] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13054), 1,
      anon_sym_LPAREN,
    STATE(12484), 1,
      sym_arguments,
    STATE(11679), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [546559] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(11852), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546606] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11269), 1,
      anon_sym_LPAREN,
    ACTIONS(13057), 1,
      anon_sym_LBRACK,
    ACTIONS(13059), 1,
      anon_sym_POUND,
    STATE(12244), 1,
      aux_sym_annotation_repeat1,
    STATE(12643), 1,
      sym_type_arguments,
    STATE(13469), 1,
      sym_arguments,
    STATE(11681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [546647] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13247), 1,
      aux_sym_compound_type_repeat1,
    STATE(13657), 1,
      sym_template_body,
    STATE(13945), 1,
      sym__refinement,
    STATE(11682), 2,
      sym_comment,
      sym_block_comment,
    STATE(14008), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [546684] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10321), 1,
      anon_sym_LPAREN,
    STATE(11684), 1,
      aux_sym_annotation_repeat1,
    STATE(12246), 1,
      sym_arguments,
    STATE(11683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [546719] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13061), 1,
      anon_sym_LPAREN,
    STATE(12246), 1,
      sym_arguments,
    STATE(11684), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [546752] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13066), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(13064), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [546783] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12202), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(12200), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [546814] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9160), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [546845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 12,
      anon_sym_COLON,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [546876] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10046), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [546907] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 11,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [546938] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 11,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [546969] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 11,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [547000] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12844), 1,
      anon_sym_AT,
    ACTIONS(12848), 1,
      anon_sym_LPAREN,
    ACTIONS(13068), 1,
      sym__automatic_semicolon,
    STATE(12468), 1,
      sym_annotation,
    STATE(13951), 1,
      sym_access_modifier,
    STATE(13954), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14395), 1,
      sym_class_parameters,
    ACTIONS(12846), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(11693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12917), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [547045] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13071), 1,
      anon_sym_DOT,
    STATE(11694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [547076] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13075), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(13073), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [547107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 12,
      anon_sym_COLON,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [547138] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 12,
      anon_sym_COLON,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [547169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11653), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [547200] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [547229] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8636), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(11700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8638), 4,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [547264] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(11883), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547311] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13079), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(13077), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [547342] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12054), 1,
      aux_sym_compound_type_repeat1,
    STATE(14203), 1,
      sym_template_body,
    STATE(14204), 1,
      sym__refinement,
    STATE(14354), 1,
      sym_arguments,
    STATE(11703), 2,
      sym_comment,
      sym_block_comment,
    STATE(14177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [547381] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9037), 1,
      anon_sym_LPAREN,
    ACTIONS(13081), 1,
      anon_sym_LBRACK,
    ACTIONS(13083), 1,
      anon_sym_POUND,
    STATE(12291), 1,
      aux_sym_annotation_repeat1,
    STATE(12871), 1,
      sym_type_arguments,
    STATE(13488), 1,
      sym_arguments,
    STATE(11704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 10,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [547422] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10056), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [547453] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5248), 1,
      anon_sym_implicit,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13085), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11706), 2,
      sym_comment,
      sym_block_comment,
    STATE(17673), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547498] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12863), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12855), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [547529] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(11885), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547576] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [547605] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    ACTIONS(8997), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(11710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8995), 11,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [547642] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10079), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [547673] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [547702] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(10624), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547749] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5236), 1,
      anon_sym_implicit,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13087), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11714), 2,
      sym_comment,
      sym_block_comment,
    STATE(17617), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547794] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(10606), 1,
      anon_sym_COLON,
    ACTIONS(10612), 1,
      anon_sym_STAR,
    ACTIONS(10620), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      sym_operator_identifier,
    STATE(4348), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(11897), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547841] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13091), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(13089), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [547872] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8608), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8606), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [547903] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13095), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(13093), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [547934] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10083), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [547965] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [547994] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13097), 1,
      anon_sym_implicit,
    ACTIONS(13099), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11721), 2,
      sym_comment,
      sym_block_comment,
    STATE(17571), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548039] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 11,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [548070] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10093), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [548101] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13101), 1,
      anon_sym_implicit,
    ACTIONS(13103), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11724), 2,
      sym_comment,
      sym_block_comment,
    STATE(17406), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548146] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13105), 1,
      anon_sym_implicit,
    ACTIONS(13107), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11725), 2,
      sym_comment,
      sym_block_comment,
    STATE(17665), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548191] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11013), 1,
      sym__backquoted_id,
    STATE(4340), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11011), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [548226] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13109), 1,
      anon_sym_implicit,
    ACTIONS(13111), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11727), 2,
      sym_comment,
      sym_block_comment,
    STATE(17627), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548271] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(11470), 1,
      anon_sym_COLON,
    ACTIONS(11474), 1,
      anon_sym_STAR,
    ACTIONS(11484), 1,
      sym_operator_identifier,
    STATE(4340), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11371), 3,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548316] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10980), 1,
      sym__backquoted_id,
    STATE(4340), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10978), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [548351] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 11,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [548382] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13113), 1,
      anon_sym_implicit,
    ACTIONS(13115), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11731), 2,
      sym_comment,
      sym_block_comment,
    STATE(17680), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548427] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8939), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [548458] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10764), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [548489] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10768), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [548520] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13117), 1,
      anon_sym_implicit,
    ACTIONS(13119), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11735), 2,
      sym_comment,
      sym_block_comment,
    STATE(17405), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548565] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12863), 1,
      sym__backquoted_id,
    ACTIONS(13121), 1,
      anon_sym_EQ,
    STATE(11736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12857), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(12855), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [548600] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13123), 1,
      anon_sym_implicit,
    ACTIONS(13125), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11737), 2,
      sym_comment,
      sym_block_comment,
    STATE(17523), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548645] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12863), 1,
      sym__backquoted_id,
    ACTIONS(13127), 1,
      anon_sym_EQ,
    STATE(11738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12865), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(12855), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [548680] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [548709] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13016), 1,
      anon_sym_LBRACK,
    ACTIONS(13020), 1,
      anon_sym_POUND,
    ACTIONS(13129), 1,
      anon_sym_LPAREN,
    STATE(12557), 1,
      aux_sym_annotation_repeat1,
    STATE(13057), 1,
      sym_type_arguments,
    STATE(13673), 1,
      sym_arguments,
    STATE(11740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [548750] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13131), 1,
      anon_sym_implicit,
    ACTIONS(13133), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11741), 2,
      sym_comment,
      sym_block_comment,
    STATE(17606), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548795] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13137), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(13135), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [548826] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13139), 1,
      anon_sym_implicit,
    ACTIONS(13141), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11743), 2,
      sym_comment,
      sym_block_comment,
    STATE(17720), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548871] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8636), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8638), 2,
      anon_sym_COLON,
      anon_sym_LT_PERCENT,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [548908] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13143), 1,
      anon_sym_DOT,
    STATE(11745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [548939] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13145), 1,
      anon_sym_implicit,
    ACTIONS(13147), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11746), 2,
      sym_comment,
      sym_block_comment,
    STATE(17689), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548984] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 11,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [549015] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_implicit,
    ACTIONS(13151), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11748), 2,
      sym_comment,
      sym_block_comment,
    STATE(17751), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549060] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_implicit,
    ACTIONS(13155), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11749), 2,
      sym_comment,
      sym_block_comment,
    STATE(17574), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549105] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(9801), 1,
      anon_sym_LBRACK,
    ACTIONS(9805), 1,
      anon_sym_match,
    ACTIONS(12478), 1,
      sym__alpha_identifier,
    ACTIONS(12482), 1,
      sym__backquoted_id,
    ACTIONS(12484), 1,
      sym_operator_identifier,
    STATE(1807), 1,
      sym_identifier,
    STATE(4362), 1,
      sym__soft_identifier,
    ACTIONS(9059), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
    STATE(11750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12480), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549152] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13157), 1,
      anon_sym_implicit,
    ACTIONS(13159), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11751), 2,
      sym_comment,
      sym_block_comment,
    STATE(17704), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549197] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12863), 1,
      sym__backquoted_id,
    ACTIONS(13161), 1,
      anon_sym_EQ,
    STATE(11752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12857), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(12855), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [549232] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13163), 1,
      anon_sym_implicit,
    ACTIONS(13165), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11753), 2,
      sym_comment,
      sym_block_comment,
    STATE(17352), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549277] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13167), 1,
      anon_sym_implicit,
    ACTIONS(13169), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11754), 2,
      sym_comment,
      sym_block_comment,
    STATE(17413), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549322] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13171), 1,
      anon_sym_implicit,
    ACTIONS(13173), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11755), 2,
      sym_comment,
      sym_block_comment,
    STATE(17457), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549367] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12863), 1,
      sym__backquoted_id,
    ACTIONS(13175), 1,
      anon_sym_EQ,
    STATE(11756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12865), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(12855), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [549402] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13177), 1,
      anon_sym_implicit,
    ACTIONS(13179), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11757), 2,
      sym_comment,
      sym_block_comment,
    STATE(17508), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549447] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [549476] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [549505] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13181), 1,
      anon_sym_implicit,
    ACTIONS(13183), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11760), 2,
      sym_comment,
      sym_block_comment,
    STATE(17553), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549550] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [549579] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13185), 1,
      anon_sym_implicit,
    ACTIONS(13187), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11762), 2,
      sym_comment,
      sym_block_comment,
    STATE(17590), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549624] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [549653] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13189), 1,
      anon_sym_implicit,
    ACTIONS(13191), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11764), 2,
      sym_comment,
      sym_block_comment,
    STATE(17631), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549698] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10046), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [549729] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10056), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [549760] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10079), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [549791] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13193), 1,
      anon_sym_implicit,
    ACTIONS(13195), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11768), 2,
      sym_comment,
      sym_block_comment,
    STATE(17693), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549836] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10083), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [549867] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10093), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [549898] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13197), 1,
      anon_sym_implicit,
    ACTIONS(13199), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11771), 2,
      sym_comment,
      sym_block_comment,
    STATE(17755), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549943] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13201), 1,
      anon_sym_implicit,
    ACTIONS(13203), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11772), 2,
      sym_comment,
      sym_block_comment,
    STATE(17510), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549988] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12875), 1,
      anon_sym_LBRACK,
    ACTIONS(12881), 1,
      anon_sym_POUND,
    ACTIONS(12909), 1,
      anon_sym_LPAREN,
    STATE(12499), 1,
      aux_sym_annotation_repeat1,
    STATE(12792), 1,
      sym_type_arguments,
    STATE(13640), 1,
      sym_arguments,
    STATE(11773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [550029] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13205), 1,
      anon_sym_implicit,
    ACTIONS(13207), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11774), 2,
      sym_comment,
      sym_block_comment,
    STATE(17567), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550074] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [550103] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13209), 1,
      anon_sym_implicit,
    ACTIONS(13211), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11776), 2,
      sym_comment,
      sym_block_comment,
    STATE(17372), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550148] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10823), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [550179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(11778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [550210] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10831), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [550241] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10835), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [550272] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13213), 1,
      anon_sym_implicit,
    ACTIONS(13215), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11781), 2,
      sym_comment,
      sym_block_comment,
    STATE(17563), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550317] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13217), 1,
      anon_sym_implicit,
    ACTIONS(13219), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11782), 2,
      sym_comment,
      sym_block_comment,
    STATE(17684), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550362] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13221), 1,
      anon_sym_implicit,
    ACTIONS(13223), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11783), 2,
      sym_comment,
      sym_block_comment,
    STATE(17576), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550407] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13225), 1,
      anon_sym_implicit,
    ACTIONS(13227), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11784), 2,
      sym_comment,
      sym_block_comment,
    STATE(17415), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550452] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13229), 1,
      anon_sym_implicit,
    ACTIONS(13231), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11785), 2,
      sym_comment,
      sym_block_comment,
    STATE(17512), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550497] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13233), 1,
      anon_sym_implicit,
    ACTIONS(13235), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11786), 2,
      sym_comment,
      sym_block_comment,
    STATE(17554), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550542] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9283), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [550573] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10684), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10682), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [550604] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13237), 1,
      anon_sym_implicit,
    ACTIONS(13239), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11789), 2,
      sym_comment,
      sym_block_comment,
    STATE(17591), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550649] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13241), 1,
      anon_sym_implicit,
    ACTIONS(13243), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11790), 2,
      sym_comment,
      sym_block_comment,
    STATE(17639), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550694] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13245), 1,
      anon_sym_implicit,
    ACTIONS(13247), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11791), 2,
      sym_comment,
      sym_block_comment,
    STATE(17683), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550739] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10694), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10692), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [550770] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13249), 1,
      anon_sym_implicit,
    ACTIONS(13251), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11793), 2,
      sym_comment,
      sym_block_comment,
    STATE(17711), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550815] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13253), 1,
      anon_sym_implicit,
    ACTIONS(13255), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11794), 2,
      sym_comment,
      sym_block_comment,
    STATE(17727), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550860] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8638), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [550891] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13257), 1,
      anon_sym_implicit,
    ACTIONS(13259), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11796), 2,
      sym_comment,
      sym_block_comment,
    STATE(17753), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550936] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13261), 1,
      anon_sym_implicit,
    ACTIONS(13263), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11797), 2,
      sym_comment,
      sym_block_comment,
    STATE(17347), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10046), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [551012] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10056), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [551043] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13265), 1,
      anon_sym_implicit,
    ACTIONS(13267), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11800), 2,
      sym_comment,
      sym_block_comment,
    STATE(17363), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551088] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10079), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [551119] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10083), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [551150] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10093), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [551181] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13269), 1,
      anon_sym_implicit,
    ACTIONS(13271), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11804), 2,
      sym_comment,
      sym_block_comment,
    STATE(17383), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551226] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13273), 1,
      anon_sym_implicit,
    ACTIONS(13275), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11805), 2,
      sym_comment,
      sym_block_comment,
    STATE(17401), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551271] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12202), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(12200), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [551302] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13277), 1,
      anon_sym_implicit,
    ACTIONS(13279), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11807), 2,
      sym_comment,
      sym_block_comment,
    STATE(17411), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551347] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13281), 1,
      anon_sym_implicit,
    ACTIONS(13283), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11808), 2,
      sym_comment,
      sym_block_comment,
    STATE(17423), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551392] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13285), 1,
      anon_sym_implicit,
    ACTIONS(13287), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11809), 2,
      sym_comment,
      sym_block_comment,
    STATE(17435), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551437] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13289), 1,
      anon_sym_implicit,
    ACTIONS(13291), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11810), 2,
      sym_comment,
      sym_block_comment,
    STATE(17449), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551482] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13293), 1,
      anon_sym_implicit,
    ACTIONS(13295), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11811), 2,
      sym_comment,
      sym_block_comment,
    STATE(17466), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551527] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10782), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10780), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [551558] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13297), 1,
      anon_sym_implicit,
    ACTIONS(13299), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11813), 2,
      sym_comment,
      sym_block_comment,
    STATE(17476), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551603] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11872), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11870), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [551634] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13301), 1,
      anon_sym_implicit,
    ACTIONS(13303), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11815), 2,
      sym_comment,
      sym_block_comment,
    STATE(17496), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551679] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11892), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11890), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [551710] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13305), 1,
      anon_sym_implicit,
    ACTIONS(13307), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11817), 2,
      sym_comment,
      sym_block_comment,
    STATE(17509), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551755] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13309), 1,
      anon_sym_implicit,
    ACTIONS(13311), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11818), 2,
      sym_comment,
      sym_block_comment,
    STATE(17522), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551800] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13313), 1,
      anon_sym_implicit,
    ACTIONS(13315), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11819), 2,
      sym_comment,
      sym_block_comment,
    STATE(17536), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551845] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13317), 1,
      anon_sym_implicit,
    ACTIONS(13319), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11820), 2,
      sym_comment,
      sym_block_comment,
    STATE(17549), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551890] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(12667), 1,
      anon_sym_LPAREN,
    ACTIONS(13321), 1,
      anon_sym_implicit,
    ACTIONS(13323), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(11821), 2,
      sym_comment,
      sym_block_comment,
    STATE(17558), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10800), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10798), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [551966] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(11823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551997] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10804), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10802), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [552028] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11957), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11955), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [552059] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11989), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11987), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [552090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9160), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [552121] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12883), 1,
      anon_sym_with,
    STATE(13247), 1,
      aux_sym_compound_type_repeat1,
    STATE(14201), 1,
      sym_template_body,
    STATE(14273), 1,
      sym__refinement,
    STATE(11828), 2,
      sym_comment,
      sym_block_comment,
    STATE(14179), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [552160] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12025), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(12023), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [552191] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [552220] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [552249] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 16,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [552278] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11908), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11906), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [552309] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11915), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11913), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [552340] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11919), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11917), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [552371] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11983), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [552402] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11452), 1,
      anon_sym_EQ,
    ACTIONS(13325), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552451] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11452), 1,
      anon_sym_EQ,
    ACTIONS(13325), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552500] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym_DOT,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11456), 1,
      anon_sym_EQ,
    ACTIONS(13327), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552549] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8756), 1,
      anon_sym_AT,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11456), 1,
      anon_sym_EQ,
    ACTIONS(13327), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552598] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13329), 1,
      anon_sym_AT,
    STATE(12316), 1,
      sym_annotation,
    ACTIONS(9205), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(11841), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9203), 11,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [552633] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12875), 1,
      anon_sym_LBRACK,
    ACTIONS(12877), 1,
      anon_sym_AT,
    ACTIONS(12881), 1,
      anon_sym_POUND,
    STATE(12792), 1,
      sym_type_arguments,
    STATE(13070), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13739), 1,
      sym_annotation,
    STATE(11842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [552674] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9057), 1,
      sym__alpha_identifier,
    ACTIONS(9059), 1,
      anon_sym_COLON,
    ACTIONS(9067), 1,
      sym__backquoted_id,
    ACTIONS(9801), 1,
      anon_sym_LBRACK,
    ACTIONS(10984), 1,
      sym_operator_identifier,
    ACTIONS(12514), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_identifier,
    STATE(4298), 1,
      sym__soft_identifier,
    ACTIONS(9805), 2,
      anon_sym_while,
      anon_sym_match,
    STATE(11843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9065), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552721] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13334), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(13332), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [552752] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(12050), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(11845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552799] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11019), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    ACTIONS(8746), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(11846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552846] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8640), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(11847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8638), 5,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [552881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10776), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [552912] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [552940] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13338), 1,
      anon_sym_STAR,
    STATE(11850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [552970] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [552998] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13340), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(11852), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553042] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10345), 1,
      anon_sym_LPAREN,
    ACTIONS(13016), 1,
      anon_sym_LBRACK,
    ACTIONS(13018), 1,
      anon_sym_AT,
    ACTIONS(13020), 1,
      anon_sym_POUND,
    STATE(9773), 1,
      sym_arguments,
    STATE(13057), 1,
      sym_type_arguments,
    STATE(13136), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13819), 1,
      sym_annotation,
    STATE(11853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_SEMI,
  [553086] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [553114] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13342), 1,
      anon_sym_end,
    STATE(6329), 1,
      sym__end_marker,
    STATE(11855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [553146] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11588), 1,
      anon_sym_EQ,
    ACTIONS(13024), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553192] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7348), 1,
      anon_sym_object,
    ACTIONS(7354), 1,
      anon_sym_class,
    ACTIONS(13344), 1,
      sym__alpha_identifier,
    ACTIONS(13348), 1,
      sym__backquoted_id,
    ACTIONS(13350), 1,
      sym_operator_identifier,
    STATE(13495), 1,
      sym_identifier,
    STATE(15086), 1,
      sym__soft_identifier,
    STATE(15310), 1,
      sym_simple_enum_case,
    STATE(16830), 1,
      sym_full_enum_case,
    STATE(11857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13346), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553238] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13075), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(13073), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [553268] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13079), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(13077), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [553298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13352), 1,
      anon_sym_DOT,
    STATE(11860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [553328] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13040), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(13038), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [553358] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13095), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(13093), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [553388] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11592), 1,
      anon_sym_EQ,
    ACTIONS(13026), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13354), 1,
      anon_sym_DOT,
    STATE(11864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [553464] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13358), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(11865), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13356), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [553510] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12739), 1,
      anon_sym_LBRACK,
    ACTIONS(12741), 1,
      anon_sym_AT,
    ACTIONS(12745), 1,
      anon_sym_LPAREN,
    ACTIONS(13360), 1,
      sym__automatic_semicolon,
    STATE(12936), 1,
      sym_type_parameters,
    STATE(13883), 1,
      sym_annotation,
    STATE(14076), 1,
      sym_class_parameters,
    STATE(14900), 1,
      sym_access_modifier,
    STATE(14904), 1,
      aux_sym__class_constructor_repeat1,
    ACTIONS(12743), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(11866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12737), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [553558] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11573), 1,
      anon_sym_EQ,
    ACTIONS(13002), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553604] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13066), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(13064), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [553634] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11606), 1,
      anon_sym_EQ,
    ACTIONS(13006), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553680] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13362), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(11870), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553724] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13364), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(11871), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553768] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13368), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(11872), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13366), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [553814] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13372), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(11873), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13370), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [553860] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13376), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(11874), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13374), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [553906] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13378), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(11875), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13356), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [553952] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13382), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(11876), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13380), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [553998] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13386), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(11877), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13384), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [554044] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13390), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(11878), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13388), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [554090] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13394), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(11879), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13392), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [554136] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13398), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(11880), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13396), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [554182] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13402), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(11881), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13400), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [554228] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8638), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [554258] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(11883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [554288] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11872), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11870), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [554318] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9121), 1,
      anon_sym_LPAREN,
    ACTIONS(13404), 1,
      anon_sym_LBRACK,
    ACTIONS(13406), 1,
      anon_sym_POUND,
    STATE(12937), 1,
      aux_sym_annotation_repeat1,
    STATE(13437), 1,
      sym_type_arguments,
    STATE(13881), 1,
      sym_arguments,
    STATE(11885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [554358] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(11653), 12,
      anon_sym_COLON,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [554388] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11892), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11890), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [554418] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13408), 1,
      sym__alpha_identifier,
    ACTIONS(13410), 1,
      anon_sym_object,
    ACTIONS(13412), 1,
      anon_sym_class,
    ACTIONS(13416), 1,
      sym__backquoted_id,
    ACTIONS(13418), 1,
      sym_operator_identifier,
    STATE(13329), 1,
      sym_identifier,
    STATE(14967), 1,
      sym__soft_identifier,
    STATE(15456), 1,
      sym_simple_enum_case,
    STATE(17044), 1,
      sym_full_enum_case,
    STATE(11888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13414), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554464] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(13422), 1,
      anon_sym_COLON,
    ACTIONS(13424), 1,
      anon_sym_extends,
    ACTIONS(13426), 1,
      anon_sym_derives,
    ACTIONS(13428), 1,
      sym__automatic_semicolon,
    STATE(13069), 1,
      sym_extends_clause,
    STATE(13639), 1,
      sym_derives_clause,
    STATE(15287), 1,
      sym_template_body,
    STATE(15515), 1,
      sym__definition_body,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13420), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [554512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11957), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11955), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [554542] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13431), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(11891), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554586] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11989), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11987), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [554616] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13433), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(11893), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554660] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10436), 1,
      anon_sym_LPAREN,
    STATE(11902), 1,
      aux_sym_annotation_repeat1,
    STATE(12677), 1,
      sym_arguments,
    STATE(11894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [554694] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12025), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12023), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [554724] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11908), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11906), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [554754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11915), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11913), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [554784] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13435), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(11898), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13366), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [554830] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13437), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(11899), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554874] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13439), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(11900), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554918] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [554946] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13441), 1,
      anon_sym_LPAREN,
    STATE(12677), 1,
      sym_arguments,
    STATE(11902), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [554978] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11919), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11917), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [555008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11983), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [555038] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13444), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(11905), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13380), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [555084] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11269), 1,
      anon_sym_LPAREN,
    ACTIONS(12980), 1,
      anon_sym_LBRACK,
    ACTIONS(12984), 1,
      anon_sym_POUND,
    ACTIONS(12990), 1,
      anon_sym_AT,
    STATE(10147), 1,
      sym_arguments,
    STATE(12198), 1,
      sym_type_arguments,
    STATE(12343), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13430), 1,
      sym_annotation,
    STATE(11906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_SEMI,
  [555128] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13446), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(11907), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13384), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [555174] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10567), 1,
      anon_sym_LPAREN,
    STATE(11913), 1,
      aux_sym_annotation_repeat1,
    STATE(12600), 1,
      sym_arguments,
    STATE(11908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [555208] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12863), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12855), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [555238] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8636), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(11910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8638), 3,
      anon_sym_COLON,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [555272] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11577), 1,
      anon_sym_EQ,
    ACTIONS(13004), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555318] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13016), 1,
      anon_sym_LBRACK,
    ACTIONS(13018), 1,
      anon_sym_AT,
    ACTIONS(13020), 1,
      anon_sym_POUND,
    ACTIONS(13129), 1,
      anon_sym_LPAREN,
    STATE(13057), 1,
      sym_type_arguments,
    STATE(13136), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13819), 1,
      sym_annotation,
    STATE(15136), 1,
      sym_arguments,
    STATE(11912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_SEMI,
  [555362] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13448), 1,
      anon_sym_LPAREN,
    STATE(12600), 1,
      sym_arguments,
    STATE(11913), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [555394] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [555424] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11553), 1,
      anon_sym_EQ,
    ACTIONS(13032), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555470] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(11916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [555500] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [555528] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11865), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11863), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [555558] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [555588] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11557), 1,
      anon_sym_EQ,
    ACTIONS(13034), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555634] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9389), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [555664] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9232), 1,
      anon_sym_LPAREN,
    ACTIONS(13451), 1,
      anon_sym_LBRACK,
    ACTIONS(13453), 1,
      anon_sym_POUND,
    STATE(12696), 1,
      aux_sym_annotation_repeat1,
    STATE(13374), 1,
      sym_type_arguments,
    STATE(13766), 1,
      sym_arguments,
    STATE(11922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [555704] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(11923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [555734] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10823), 10,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [555764] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(13455), 1,
      anon_sym_RPAREN,
    ACTIONS(13457), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(16575), 1,
      sym_identifier,
    STATE(16580), 1,
      sym_wildcard,
    STATE(17362), 1,
      sym_binding,
    STATE(11925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555810] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13334), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(13332), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [555840] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(13457), 1,
      sym_operator_identifier,
    ACTIONS(13459), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(16575), 1,
      sym_identifier,
    STATE(16580), 1,
      sym_wildcard,
    STATE(17362), 1,
      sym_binding,
    STATE(11927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555886] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12996), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12994), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [555916] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10831), 10,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [555946] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9801), 1,
      anon_sym_LBRACK,
    ACTIONS(9805), 1,
      anon_sym_match,
    ACTIONS(12478), 1,
      sym__alpha_identifier,
    ACTIONS(12482), 1,
      sym__backquoted_id,
    ACTIONS(12484), 1,
      sym_operator_identifier,
    STATE(1807), 1,
      sym_identifier,
    STATE(4362), 1,
      sym__soft_identifier,
    ACTIONS(9059), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
    STATE(11930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12480), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555990] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10835), 10,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [556020] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13137), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(13135), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [556050] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556078] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556106] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556134] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556162] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13461), 1,
      anon_sym_DOT,
    STATE(11937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [556192] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556220] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556248] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556276] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8638), 1,
      anon_sym_else,
    STATE(11941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [556310] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556338] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556366] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556394] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556422] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556450] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556478] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556506] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9105), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [556536] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    STATE(11950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8638), 5,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [556568] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8638), 1,
      anon_sym_finally,
    STATE(11951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [556602] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556630] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10046), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [556660] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10056), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [556690] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10079), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [556720] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10083), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [556750] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10093), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [556780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10823), 12,
      anon_sym_COLON,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [556810] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10831), 12,
      anon_sym_COLON,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [556868] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10835), 12,
      anon_sym_COLON,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [556898] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12202), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(12200), 10,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [556928] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556956] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556984] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [557012] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12785), 1,
      anon_sym_DOT,
    STATE(11966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [557042] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [557070] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [557098] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [557126] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [557154] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [557182] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13463), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(11972), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13388), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [557228] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13465), 1,
      anon_sym_end,
    STATE(5812), 1,
      sym__end_marker,
    STATE(11973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [557260] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13467), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(11974), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13392), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [557306] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [557334] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(13457), 1,
      sym_operator_identifier,
    ACTIONS(13469), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(16575), 1,
      sym_identifier,
    STATE(16580), 1,
      sym_wildcard,
    STATE(16903), 1,
      sym_binding,
    STATE(11976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557380] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7538), 1,
      sym__backquoted_id,
    STATE(11977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9160), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [557410] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11653), 10,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [557440] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8638), 1,
      anon_sym_STAR,
    STATE(11979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [557474] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11872), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [557502] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13471), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(11981), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13396), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [557548] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11892), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [557576] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13473), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(11983), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13370), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [557622] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9109), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [557652] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10170), 1,
      anon_sym_COLON,
    STATE(11985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [557682] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11624), 1,
      anon_sym_EQ,
    ACTIONS(13014), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(11986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557728] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13475), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(11987), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13374), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [557774] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13344), 1,
      sym__alpha_identifier,
    ACTIONS(13348), 1,
      sym__backquoted_id,
    ACTIONS(13350), 1,
      sym_operator_identifier,
    ACTIONS(13477), 1,
      anon_sym_object,
    ACTIONS(13479), 1,
      anon_sym_class,
    STATE(13495), 1,
      sym_identifier,
    STATE(15086), 1,
      sym__soft_identifier,
    STATE(15438), 1,
      sym_simple_enum_case,
    STATE(16537), 1,
      sym_full_enum_case,
    STATE(11988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13346), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557820] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11865), 15,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [557848] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [557876] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13036), 1,
      anon_sym_with,
    STATE(13903), 1,
      aux_sym_compound_type_repeat1,
    STATE(14556), 1,
      sym_template_body,
    STATE(14567), 1,
      sym__refinement,
    STATE(11991), 2,
      sym_comment,
      sym_block_comment,
    STATE(14550), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [557914] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13044), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(13042), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [557944] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13048), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(13046), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [557974] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13052), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(13050), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [558004] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11957), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [558032] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [558060] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11865), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [558088] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11989), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [558116] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [558144] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [558172] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [558200] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [558228] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [558256] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [558284] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [558312] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [558340] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [558368] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8983), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [558398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10825), 1,
      sym__backquoted_id,
    STATE(12009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10823), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [558428] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(13422), 1,
      anon_sym_COLON,
    ACTIONS(13424), 1,
      anon_sym_extends,
    ACTIONS(13426), 1,
      anon_sym_derives,
    STATE(13021), 1,
      sym_extends_clause,
    STATE(13761), 1,
      sym_derives_clause,
    STATE(15280), 1,
      sym__definition_body,
    STATE(15287), 1,
      sym_template_body,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13481), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [558474] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [558502] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [558530] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12025), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [558558] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [558586] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [558614] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [558642] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11908), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [558670] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11915), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [558698] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11919), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [558726] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [558754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(12021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [558784] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(12022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [558814] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 15,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [558842] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12980), 1,
      anon_sym_LBRACK,
    ACTIONS(12982), 1,
      anon_sym_LPAREN,
    ACTIONS(12984), 1,
      anon_sym_POUND,
    ACTIONS(12990), 1,
      anon_sym_AT,
    STATE(12198), 1,
      sym_type_arguments,
    STATE(12343), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13430), 1,
      sym_annotation,
    STATE(15160), 1,
      sym_arguments,
    STATE(12024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 7,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_SEMI,
  [558886] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11452), 1,
      anon_sym_EQ,
    ACTIONS(13325), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(12025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558932] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12745), 1,
      anon_sym_LPAREN,
    ACTIONS(13485), 1,
      sym__automatic_semicolon,
    STATE(13317), 1,
      sym_access_modifier,
    STATE(13318), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14076), 1,
      sym_class_parameters,
    ACTIONS(12743), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(12026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13483), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [558972] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8750), 1,
      anon_sym_STAR,
    ACTIONS(8761), 1,
      anon_sym_PIPE,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(8765), 1,
      sym_operator_identifier,
    ACTIONS(11456), 1,
      anon_sym_EQ,
    ACTIONS(13327), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(12027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559018] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10833), 1,
      sym__backquoted_id,
    STATE(12028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10831), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [559048] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13091), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(13089), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [559078] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13488), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(12030), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13400), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [559124] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [559152] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_AT,
    ACTIONS(8240), 1,
      anon_sym_inline,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(13490), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(9830), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10663), 1,
      sym_annotation,
    STATE(13787), 1,
      sym_inline_modifier,
    STATE(18778), 1,
      sym_identifier,
    STATE(12032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559200] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13492), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12033), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559244] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13494), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12034), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559288] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13496), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12035), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559332] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13498), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12036), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559376] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13500), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12037), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559420] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13502), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12038), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559464] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13504), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12039), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559508] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13506), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12040), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559552] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13508), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12041), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559596] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13510), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12042), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559640] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13512), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12043), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559684] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13514), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12044), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559728] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13516), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12045), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559772] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13518), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12046), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559816] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13520), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12047), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559860] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13522), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12048), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559904] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13524), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12049), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559948] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13526), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12050), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559992] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13528), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12051), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560036] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13530), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12052), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560080] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13532), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12053), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560124] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13903), 1,
      aux_sym_compound_type_repeat1,
    STATE(14203), 1,
      sym_template_body,
    STATE(14214), 1,
      sym__refinement,
    STATE(12054), 2,
      sym_comment,
      sym_block_comment,
    STATE(14177), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [560160] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13534), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12055), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560204] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13536), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12056), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560248] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13538), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12057), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560292] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13540), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12058), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560336] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12745), 1,
      anon_sym_LPAREN,
    ACTIONS(13544), 1,
      sym__automatic_semicolon,
    STATE(13141), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13625), 1,
      sym_access_modifier,
    STATE(14076), 1,
      sym_class_parameters,
    ACTIONS(12743), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(12059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13542), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [560376] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13547), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12060), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560420] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13549), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12061), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560464] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 15,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [560492] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13551), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12063), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560536] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13553), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12064), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560580] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13555), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12065), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560624] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13557), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12066), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560668] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13559), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12067), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560712] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13561), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12068), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560756] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13563), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12069), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560800] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13565), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12070), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560844] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13567), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12071), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560888] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13569), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12072), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560932] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13571), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12073), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560976] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13573), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12074), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561020] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13575), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12075), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561064] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13577), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12076), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561108] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13579), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12077), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561152] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13581), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12078), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561196] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13583), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12079), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561240] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13585), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12080), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561284] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13587), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12081), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561328] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13589), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12082), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561372] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13591), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12083), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561416] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13593), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12084), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561460] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13595), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12085), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561504] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13597), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12086), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561548] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13599), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12087), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561592] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13601), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12088), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561636] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13603), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12089), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561680] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13605), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12090), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561724] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13607), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12091), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561768] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13609), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12092), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561812] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13611), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12093), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561856] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13613), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12094), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561900] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13615), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12095), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561944] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13617), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12096), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561988] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13619), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12097), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562032] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13621), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12098), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562076] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13623), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12099), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562120] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13625), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12100), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562164] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13627), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12101), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562208] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13629), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12102), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562252] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13631), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12103), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562296] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13633), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12104), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562340] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13635), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12105), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562384] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13637), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12106), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562428] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13639), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12107), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562472] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13641), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12108), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562516] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13643), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12109), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562560] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13645), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12110), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562604] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13647), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12111), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562648] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13649), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12112), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562692] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13651), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12113), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562736] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13653), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12114), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562780] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13655), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12115), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562824] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13657), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12116), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562868] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13659), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12117), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562912] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13661), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12118), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562956] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7368), 1,
      anon_sym_object,
    ACTIONS(7370), 1,
      anon_sym_class,
    ACTIONS(13408), 1,
      sym__alpha_identifier,
    ACTIONS(13416), 1,
      sym__backquoted_id,
    ACTIONS(13418), 1,
      sym_operator_identifier,
    STATE(13329), 1,
      sym_identifier,
    STATE(14967), 1,
      sym__soft_identifier,
    STATE(15293), 1,
      sym_simple_enum_case,
    STATE(16799), 1,
      sym_full_enum_case,
    STATE(12119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13414), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563002] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13663), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12120), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563046] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13665), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12121), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563090] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13667), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12122), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563134] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13669), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12123), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563178] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13671), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12124), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563222] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13673), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12125), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563266] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13675), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12126), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563310] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13677), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12127), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563354] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13679), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12128), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563398] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13681), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12129), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563442] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13683), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12130), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563486] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13685), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12131), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563530] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13687), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12132), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563574] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13689), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12133), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563618] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13691), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12134), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563662] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13693), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12135), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563706] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13695), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12136), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563750] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13697), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12137), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563794] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13699), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12138), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563838] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13701), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12139), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563882] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13703), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12140), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563926] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13705), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12141), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563970] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13707), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12142), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564014] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13709), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12143), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564058] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13711), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12144), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564102] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13713), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12145), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564146] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13715), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12146), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564190] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13717), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12147), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564234] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13719), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12148), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564278] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13721), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12149), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564322] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13723), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12150), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564366] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13725), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12151), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564410] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13727), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12152), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564454] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13729), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12153), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564498] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13731), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12154), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564542] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13733), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12155), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564586] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13735), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12156), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564630] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13737), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12157), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564674] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13739), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12158), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564718] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13741), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12159), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564762] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13743), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12160), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564806] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13745), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12161), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564850] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11655), 1,
      sym__backquoted_id,
    STATE(12162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11653), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [564880] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13747), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12163), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564924] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13749), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12164), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564968] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13751), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12165), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565012] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13753), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12166), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565056] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13755), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12167), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565100] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    ACTIONS(13757), 1,
      anon_sym_RBRACK,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12168), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565144] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13759), 1,
      anon_sym_DOT,
    STATE(12169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [565174] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10837), 1,
      sym__backquoted_id,
    STATE(12170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10835), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [565204] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [565231] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [565258] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [565285] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13761), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [565312] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10054), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(12175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10056), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [565341] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [565368] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [565395] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [565422] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10825), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(12179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10823), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [565451] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [565478] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [565505] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10833), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(12182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10831), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [565534] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10837), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(12183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10835), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [565563] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11908), 1,
      sym__backquoted_id,
    STATE(12184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11906), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [565592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11915), 1,
      sym__backquoted_id,
    STATE(12185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11913), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [565621] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11919), 1,
      sym__backquoted_id,
    STATE(12186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11917), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [565650] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [565677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11985), 1,
      sym__backquoted_id,
    STATE(12188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11983), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [565706] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13763), 1,
      anon_sym_DOT,
    STATE(12189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [565735] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [565762] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13765), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(12191), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13366), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [565807] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13767), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(12192), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13392), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [565852] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10766), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(12193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10764), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [565881] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13769), 1,
      anon_sym_AT,
    STATE(13430), 1,
      sym_annotation,
    STATE(12194), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [565912] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12863), 1,
      sym__backquoted_id,
    STATE(12195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12855), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [565941] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9479), 1,
      anon_sym_LPAREN,
    ACTIONS(13772), 1,
      anon_sym_LBRACK,
    ACTIONS(13774), 1,
      anon_sym_POUND,
    STATE(13478), 1,
      aux_sym_annotation_repeat1,
    STATE(13695), 1,
      sym_type_arguments,
    STATE(14279), 1,
      sym_arguments,
    STATE(12196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [565980] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10770), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(12197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10768), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [566009] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [566036] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13776), 1,
      anon_sym_LPAREN,
    STATE(13182), 1,
      sym_arguments,
    STATE(12199), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [566067] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6466), 1,
      anon_sym_LBRACE,
    ACTIONS(13779), 1,
      anon_sym_COLON,
    ACTIONS(13781), 1,
      anon_sym_extends,
    ACTIONS(13783), 1,
      anon_sym_derives,
    ACTIONS(13785), 1,
      sym__automatic_semicolon,
    STATE(13308), 1,
      sym_extends_clause,
    STATE(14306), 1,
      sym_derives_clause,
    STATE(15663), 1,
      sym__definition_body,
    STATE(15832), 1,
      sym_template_body,
    STATE(9563), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13420), 3,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [566114] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13790), 1,
      anon_sym_LBRACK,
    ACTIONS(13792), 1,
      anon_sym_match,
    STATE(6195), 1,
      sym_type_arguments,
    STATE(12201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [566147] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [566174] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11872), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [566201] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(16284), 1,
      sym__type_parameter,
    STATE(12204), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566242] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(12205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [566271] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11892), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [566298] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [566325] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13794), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [566352] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [566379] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13796), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(12210), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13374), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [566424] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17514), 1,
      sym__type_parameter,
    STATE(12211), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566465] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [566492] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10778), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(12213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10776), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [566521] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [566548] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13798), 1,
      anon_sym_end,
    STATE(6965), 1,
      sym__end_marker,
    STATE(12215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [566579] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13800), 1,
      anon_sym_LPAREN,
    STATE(13622), 1,
      sym_arguments,
    STATE(12216), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [566610] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [566637] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 14,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [566664] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [566691] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8258), 1,
      anon_sym_LBRACE,
    ACTIONS(13803), 1,
      anon_sym_COLON,
    STATE(12497), 1,
      aux_sym_compound_type_repeat1,
    STATE(15160), 1,
      sym_arguments,
    STATE(15207), 1,
      sym_template_body,
    STATE(15212), 1,
      sym__refinement,
    STATE(12220), 2,
      sym_comment,
      sym_block_comment,
    STATE(15162), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [566732] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9444), 1,
      anon_sym_LPAREN,
    ACTIONS(13805), 1,
      anon_sym_LBRACK,
    ACTIONS(13807), 1,
      anon_sym_POUND,
    STATE(13362), 1,
      aux_sym_annotation_repeat1,
    STATE(14026), 1,
      sym_type_arguments,
    STATE(14114), 1,
      sym_arguments,
    STATE(12221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [566771] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17715), 1,
      sym__type_parameter,
    STATE(12222), 2,
      sym_comment,
      sym_block_comment,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566812] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12804), 1,
      anon_sym_AT,
    STATE(12352), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13382), 1,
      sym_annotation,
    STATE(12223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [566845] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [566872] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [566899] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13809), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(12226), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13356), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [566944] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [566971] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [566998] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [567025] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 14,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [567052] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11957), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [567079] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13790), 1,
      anon_sym_LBRACK,
    ACTIONS(13792), 1,
      anon_sym_match,
    STATE(6195), 1,
      sym_type_arguments,
    STATE(12232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13811), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [567112] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 14,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [567139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10077), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(12234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10079), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [567168] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13790), 1,
      anon_sym_LBRACK,
    STATE(6195), 1,
      sym_type_arguments,
    STATE(12235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13813), 12,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [567199] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13815), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(12236), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13396), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [567244] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [567271] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(13817), 1,
      anon_sym_COLON,
    ACTIONS(13821), 1,
      anon_sym_LT_COLON,
    ACTIONS(13823), 1,
      anon_sym_GT_COLON,
    ACTIONS(13825), 1,
      anon_sym_LT_PERCENT,
    STATE(13195), 1,
      sym_type_parameters,
    STATE(14351), 1,
      sym_lower_bound,
    STATE(14771), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14812), 1,
      sym_upper_bound,
    STATE(15575), 1,
      sym_view_bound,
    STATE(15813), 1,
      aux_sym__context_bounds_repeat1,
    STATE(17603), 1,
      sym__context_bounds,
    ACTIONS(13819), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(12238), 2,
      sym_comment,
      sym_block_comment,
  [567322] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [567349] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [567376] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13075), 1,
      sym__backquoted_id,
    STATE(12241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13073), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [567405] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(13827), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(15608), 1,
      sym_identifier,
    STATE(19247), 1,
      sym_stable_identifier,
    STATE(12242), 2,
      sym_comment,
      sym_block_comment,
    STATE(16689), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567446] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13079), 1,
      sym__backquoted_id,
    STATE(12243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13077), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [567475] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11269), 1,
      anon_sym_LPAREN,
    STATE(12379), 1,
      aux_sym_annotation_repeat1,
    STATE(13469), 1,
      sym_arguments,
    STATE(12244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [567508] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13829), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [567535] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [567562] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [567589] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [567616] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [567643] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [567670] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13831), 1,
      anon_sym_end,
    STATE(6707), 1,
      sym__end_marker,
    STATE(12251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [567701] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [567728] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12863), 1,
      sym__backquoted_id,
    ACTIONS(13835), 1,
      anon_sym_STAR,
    ACTIONS(13833), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(12253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12855), 10,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [567761] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10170), 1,
      anon_sym_COLON,
    STATE(12254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [567790] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [567817] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12863), 1,
      sym__backquoted_id,
    ACTIONS(13835), 1,
      anon_sym_STAR,
    ACTIONS(13837), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(12256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12855), 10,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [567850] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 14,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [567877] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10081), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(12258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10083), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [567906] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12025), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [567933] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13839), 1,
      anon_sym_COLON,
    ACTIONS(13843), 1,
      anon_sym_LBRACK,
    ACTIONS(13845), 1,
      anon_sym_LT_COLON,
    ACTIONS(13847), 1,
      anon_sym_GT_COLON,
    STATE(13313), 1,
      sym_type_parameters,
    STATE(14344), 1,
      sym_lower_bound,
    STATE(14898), 1,
      sym_upper_bound,
    STATE(14929), 1,
      aux_sym__context_bounds_repeat1,
    STATE(15290), 1,
      sym__context_bounds,
    STATE(12260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13841), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [567978] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [568005] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13849), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [568032] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [568059] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13851), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(12264), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13380), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [568104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8636), 1,
      sym__backquoted_id,
    STATE(12265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8638), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [568133] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13853), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(12266), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13384), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [568178] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11865), 14,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [568205] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [568232] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [568259] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13855), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [568286] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13095), 1,
      sym__backquoted_id,
    STATE(12271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13093), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [568315] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13857), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [568342] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13859), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(12273), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13366), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [568387] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(13863), 1,
      anon_sym_LPAREN,
    ACTIONS(13865), 1,
      sym__automatic_semicolon,
    STATE(12294), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14106), 1,
      sym__using_parameters_clause,
    STATE(12274), 2,
      sym_comment,
      sym_block_comment,
    STATE(14355), 2,
      sym_type_parameters,
      sym_parameters,
    ACTIONS(13861), 7,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [568426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10782), 1,
      sym__backquoted_id,
    STATE(12275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10780), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [568455] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [568482] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [568509] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11872), 14,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [568536] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11892), 14,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [568563] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13869), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13867), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [568592] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(13457), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(16575), 1,
      sym_identifier,
    STATE(16580), 1,
      sym_wildcard,
    STATE(17362), 1,
      sym_binding,
    STATE(12281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568635] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13872), 1,
      anon_sym_DOT,
    STATE(12282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [568664] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [568691] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(13863), 1,
      anon_sym_LPAREN,
    ACTIONS(13876), 1,
      sym__automatic_semicolon,
    STATE(12274), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14106), 1,
      sym__using_parameters_clause,
    STATE(12284), 2,
      sym_comment,
      sym_block_comment,
    STATE(14355), 2,
      sym_type_parameters,
      sym_parameters,
    ACTIONS(13874), 7,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [568730] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13878), 1,
      anon_sym_LPAREN,
    STATE(13311), 1,
      sym_arguments,
    STATE(12285), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [568761] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13881), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(12286), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13388), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [568806] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [568833] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13883), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(12288), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13400), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [568878] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 14,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [568905] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 14,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [568932] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9037), 1,
      anon_sym_LPAREN,
    STATE(12368), 1,
      aux_sym_annotation_repeat1,
    STATE(13488), 1,
      sym_arguments,
    STATE(12291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [568965] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [568992] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11957), 14,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [569019] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13887), 1,
      anon_sym_LBRACK,
    ACTIONS(13890), 1,
      anon_sym_LPAREN,
    ACTIONS(13893), 1,
      sym__automatic_semicolon,
    STATE(14106), 1,
      sym__using_parameters_clause,
    STATE(14355), 2,
      sym_type_parameters,
      sym_parameters,
    STATE(12294), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__function_constructor_repeat1,
    ACTIONS(13885), 7,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [569056] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13896), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [569083] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13898), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [569110] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13040), 1,
      sym__backquoted_id,
    STATE(12297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13038), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [569139] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [569166] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13066), 1,
      sym__backquoted_id,
    STATE(12299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13064), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [569195] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10091), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(12300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10093), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [569224] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [569251] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13900), 1,
      anon_sym_DOT,
    STATE(12302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [569280] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13902), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(12303), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13366), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [569325] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13904), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [569352] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [569379] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(13906), 1,
      anon_sym_COLON,
    ACTIONS(13908), 1,
      anon_sym_LT_COLON,
    ACTIONS(13910), 1,
      anon_sym_GT_COLON,
    STATE(13441), 1,
      sym_type_parameters,
    STATE(14169), 1,
      sym_lower_bound,
    STATE(14834), 1,
      sym_upper_bound,
    STATE(15005), 1,
      aux_sym__context_bounds_repeat1,
    STATE(15256), 1,
      sym__context_bounds,
    STATE(12306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13841), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [569424] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(13914), 1,
      sym_operator_identifier,
    STATE(4395), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(17742), 1,
      sym__arrow_then_type,
    ACTIONS(13912), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(12307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569465] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13790), 1,
      anon_sym_LBRACK,
    STATE(6195), 1,
      sym_type_arguments,
    STATE(12308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13916), 12,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [569496] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [569523] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [569550] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [569577] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12913), 1,
      anon_sym_DOT,
    STATE(12312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [569606] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [569633] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12332), 1,
      sym__alpha_identifier,
    ACTIONS(12338), 1,
      sym__backquoted_id,
    ACTIONS(13918), 1,
      sym_operator_identifier,
    STATE(10581), 1,
      sym__soft_identifier,
    STATE(14400), 1,
      sym_identifier,
    STATE(18429), 1,
      sym_stable_identifier,
    STATE(12314), 2,
      sym_comment,
      sym_block_comment,
    STATE(14408), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569674] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11989), 14,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [569701] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9837), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(12316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9835), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [569730] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13920), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(12317), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13370), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [569775] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13922), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(12318), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13374), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [569820] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13924), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [569847] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10170), 1,
      anon_sym_COLON,
    STATE(12320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [569876] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11872), 1,
      sym__backquoted_id,
    STATE(12321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11870), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [569905] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8636), 1,
      sym__outdent,
    ACTIONS(8638), 1,
      anon_sym_case,
    ACTIONS(8640), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(12322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [569940] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12084), 1,
      sym__alpha_identifier,
    ACTIONS(12092), 1,
      sym__backquoted_id,
    ACTIONS(13926), 1,
      sym_operator_identifier,
    STATE(11611), 1,
      sym__soft_identifier,
    STATE(14859), 1,
      sym_identifier,
    STATE(18876), 1,
      sym_stable_identifier,
    STATE(12323), 2,
      sym_comment,
      sym_block_comment,
    STATE(14978), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(12088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569981] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 14,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [570008] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11957), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [570035] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [570062] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11989), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [570089] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11655), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(11653), 11,
      anon_sym_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [570118] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11865), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [570145] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [570172] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11892), 1,
      sym__backquoted_id,
    STATE(12331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11890), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [570201] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13928), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(12332), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13370), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [570246] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10825), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10823), 11,
      anon_sym_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [570275] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13334), 1,
      sym__backquoted_id,
    STATE(12334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13332), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [570304] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12996), 1,
      sym__backquoted_id,
    STATE(12335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12994), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [570333] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13930), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(12336), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13356), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [570378] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13932), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(12337), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13356), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [570423] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10833), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10831), 11,
      anon_sym_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [570452] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10837), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10835), 11,
      anon_sym_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [570481] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13137), 1,
      sym__backquoted_id,
    STATE(12340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13135), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [570510] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13934), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(12341), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13400), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [570555] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13936), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [570582] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12990), 1,
      anon_sym_AT,
    STATE(12194), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13430), 1,
      sym_annotation,
    STATE(12343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [570615] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8636), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8638), 2,
      anon_sym_COLON,
      anon_sym_LT_PERCENT,
    STATE(12344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [570648] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13938), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [570675] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [570702] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [570729] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10684), 1,
      sym__backquoted_id,
    STATE(12348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10682), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [570758] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9422), 1,
      anon_sym_LPAREN,
    ACTIONS(13940), 1,
      anon_sym_LBRACK,
    ACTIONS(13942), 1,
      anon_sym_POUND,
    STATE(13399), 1,
      aux_sym_annotation_repeat1,
    STATE(14024), 1,
      sym_type_arguments,
    STATE(14323), 1,
      sym_arguments,
    STATE(12349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [570797] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [570824] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12025), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [570851] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13944), 1,
      anon_sym_AT,
    STATE(13382), 1,
      sym_annotation,
    STATE(12352), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [570882] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [570909] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [570936] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13044), 1,
      sym__backquoted_id,
    STATE(12355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13042), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [570965] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [570992] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [571019] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13048), 1,
      sym__backquoted_id,
    STATE(12358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13046), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [571048] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [571075] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [571102] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11892), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [571129] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11908), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [571156] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [571183] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11957), 1,
      sym__backquoted_id,
    STATE(12364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11955), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [571212] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13052), 1,
      sym__backquoted_id,
    STATE(12365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13050), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [571241] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [571268] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9550), 1,
      anon_sym_LPAREN,
    ACTIONS(13949), 1,
      anon_sym_LBRACK,
    ACTIONS(13951), 1,
      anon_sym_POUND,
    STATE(13401), 1,
      aux_sym_annotation_repeat1,
    STATE(13827), 1,
      sym_type_arguments,
    STATE(14345), 1,
      sym_arguments,
    STATE(12367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [571307] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13953), 1,
      anon_sym_LPAREN,
    STATE(13488), 1,
      sym_arguments,
    STATE(12368), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [571338] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13956), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [571365] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13958), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [571392] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13960), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(12371), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13380), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [571437] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [571464] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12084), 1,
      sym__alpha_identifier,
    ACTIONS(12092), 1,
      sym__backquoted_id,
    ACTIONS(13926), 1,
      sym_operator_identifier,
    STATE(11611), 1,
      sym__soft_identifier,
    STATE(14859), 1,
      sym_identifier,
    STATE(18876), 1,
      sym_stable_identifier,
    STATE(12373), 2,
      sym_comment,
      sym_block_comment,
    STATE(14875), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(12088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571505] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13962), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [571532] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11989), 1,
      sym__backquoted_id,
    STATE(12375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11987), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [571561] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13964), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(12376), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13384), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [571606] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13968), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13966), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [571635] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [571662] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13971), 1,
      anon_sym_LPAREN,
    STATE(13469), 1,
      sym_arguments,
    STATE(12379), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [571693] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13974), 1,
      anon_sym_STAR,
    STATE(12380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [571722] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [571749] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11908), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [571776] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12951), 1,
      anon_sym_LPAREN,
    STATE(12285), 1,
      aux_sym_annotation_repeat1,
    STATE(13311), 1,
      sym_arguments,
    STATE(12383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [571809] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11915), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [571836] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11919), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [571863] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10800), 1,
      sym__backquoted_id,
    STATE(12386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10798), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [571892] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10694), 1,
      sym__backquoted_id,
    STATE(12387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10692), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [571921] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [571948] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [571975] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13091), 1,
      sym__backquoted_id,
    STATE(12390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13089), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [572004] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13976), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [572031] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [572058] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [572085] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13978), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(12394), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13374), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [572130] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11872), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [572157] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13790), 1,
      anon_sym_LBRACK,
    STATE(6195), 1,
      sym_type_arguments,
    STATE(12396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13980), 12,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [572188] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [572215] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11989), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [572242] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12025), 14,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [572269] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [572296] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13982), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(12401), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13388), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [572341] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [572368] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13984), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(12403), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13392), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [572413] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13986), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(12404), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13396), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [572458] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6466), 1,
      anon_sym_LBRACE,
    ACTIONS(13779), 1,
      anon_sym_COLON,
    ACTIONS(13781), 1,
      anon_sym_extends,
    ACTIONS(13783), 1,
      anon_sym_derives,
    STATE(13229), 1,
      sym_extends_clause,
    STATE(14089), 1,
      sym_derives_clause,
    STATE(15705), 1,
      sym__definition_body,
    STATE(15832), 1,
      sym_template_body,
    STATE(9563), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13481), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [572503] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13790), 1,
      anon_sym_LBRACK,
    STATE(6195), 1,
      sym_type_arguments,
    STATE(12406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13988), 12,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [572534] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(12407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [572563] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10804), 1,
      sym__backquoted_id,
    STATE(12408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10802), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [572592] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13790), 1,
      anon_sym_LBRACK,
    STATE(6195), 1,
      sym_type_arguments,
    STATE(12409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13990), 12,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [572623] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [572650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(12411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [572679] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [572706] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13994), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13992), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [572735] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [572762] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(13997), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(12415), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13380), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [572807] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [572834] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8206), 1,
      anon_sym_LBRACE,
    ACTIONS(13999), 1,
      anon_sym_COLON,
    STATE(12658), 1,
      aux_sym_compound_type_repeat1,
    STATE(15136), 1,
      sym_arguments,
    STATE(15201), 1,
      sym__refinement,
    STATE(15270), 1,
      sym_template_body,
    STATE(12417), 2,
      sym_comment,
      sym_block_comment,
    STATE(15205), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [572875] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [572902] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [572929] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [572956] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [572983] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(14001), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(12422), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13384), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [573028] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(12423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [573057] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [573084] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11915), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [573111] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [573138] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12332), 1,
      sym__alpha_identifier,
    ACTIONS(12338), 1,
      sym__backquoted_id,
    ACTIONS(13918), 1,
      sym_operator_identifier,
    STATE(10581), 1,
      sym__soft_identifier,
    STATE(14400), 1,
      sym_identifier,
    STATE(18429), 1,
      sym_stable_identifier,
    STATE(12427), 2,
      sym_comment,
      sym_block_comment,
    STATE(14741), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573179] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14003), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [573206] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [573233] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [573260] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13016), 1,
      anon_sym_LBRACK,
    ACTIONS(13018), 1,
      anon_sym_AT,
    ACTIONS(13020), 1,
      anon_sym_POUND,
    STATE(13057), 1,
      sym_type_arguments,
    STATE(13136), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13819), 1,
      sym_annotation,
    STATE(12431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [573299] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [573326] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10044), 1,
      sym__backquoted_id,
    STATE(12433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10046), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [573355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10054), 1,
      sym__backquoted_id,
    STATE(12434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10056), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [573384] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [573411] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [573438] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [573465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10077), 1,
      sym__backquoted_id,
    STATE(12438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10079), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [573494] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11865), 1,
      sym__backquoted_id,
    STATE(12439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11863), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [573523] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(11498), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17667), 1,
      sym__type_parameter,
    STATE(12238), 2,
      sym_identifier,
      sym_wildcard,
    STATE(12440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573564] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [573591] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11908), 14,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [573618] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [573645] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10081), 1,
      sym__backquoted_id,
    STATE(12444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10083), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [573674] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10091), 1,
      sym__backquoted_id,
    STATE(12445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10093), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [573703] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [573730] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14005), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [573757] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [573784] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 14,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [573811] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(13827), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(15608), 1,
      sym_identifier,
    STATE(19247), 1,
      sym_stable_identifier,
    STATE(12450), 2,
      sym_comment,
      sym_block_comment,
    STATE(15624), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573852] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6466), 1,
      anon_sym_LBRACE,
    ACTIONS(13779), 1,
      anon_sym_COLON,
    ACTIONS(14007), 1,
      anon_sym_with,
    STATE(9749), 1,
      sym_template_body,
    STATE(9750), 1,
      sym__refinement,
    STATE(9773), 1,
      sym_arguments,
    STATE(12956), 1,
      aux_sym_compound_type_repeat1,
    STATE(9563), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [573895] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 14,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [573922] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10044), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(12453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10046), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [573951] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [573978] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 14,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [574005] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(12456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8606), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [574034] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 14,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [574061] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [574088] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(13422), 1,
      anon_sym_COLON,
    ACTIONS(14009), 1,
      anon_sym_with,
    STATE(10120), 1,
      sym_template_body,
    STATE(10124), 1,
      sym__refinement,
    STATE(10147), 1,
      sym_arguments,
    STATE(12905), 1,
      aux_sym_compound_type_repeat1,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [574131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12025), 1,
      sym__backquoted_id,
    STATE(12460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12023), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [574160] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 14,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [574187] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [574214] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12848), 1,
      anon_sym_LPAREN,
    ACTIONS(14011), 1,
      sym__automatic_semicolon,
    STATE(13958), 1,
      sym_access_modifier,
    STATE(13959), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14395), 1,
      sym_class_parameters,
    ACTIONS(12846), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(12463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13542), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [574253] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [574280] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [574307] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14014), 1,
      anon_sym_STAR,
    STATE(12466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [574336] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11655), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(12467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11653), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [574365] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12848), 1,
      anon_sym_LPAREN,
    ACTIONS(14016), 1,
      sym__automatic_semicolon,
    STATE(13650), 1,
      sym_access_modifier,
    STATE(13652), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14395), 1,
      sym_class_parameters,
    ACTIONS(12846), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(12468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13483), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [574404] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(14019), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(12469), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13370), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [574449] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12980), 1,
      anon_sym_LBRACK,
    ACTIONS(12984), 1,
      anon_sym_POUND,
    ACTIONS(12990), 1,
      anon_sym_AT,
    STATE(12198), 1,
      sym_type_arguments,
    STATE(12343), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13430), 1,
      sym_annotation,
    STATE(12470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 8,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [574488] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11915), 14,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [574515] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [574542] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11919), 14,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [574569] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 14,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [574596] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(14021), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(12475), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13388), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [574641] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(14023), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(12476), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13392), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [574686] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(14025), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(12477), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13396), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [574731] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11865), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [574758] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12982), 1,
      anon_sym_LPAREN,
    STATE(12199), 1,
      aux_sym_annotation_repeat1,
    STATE(13182), 1,
      sym_arguments,
    STATE(12479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [574791] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14027), 1,
      anon_sym_DOT,
    STATE(12480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [574820] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11919), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [574847] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(14029), 1,
      anon_sym_EQ,
    STATE(14450), 1,
      aux_sym_compound_type_repeat1,
    STATE(16652), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(12482), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13400), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [574892] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12832), 1,
      anon_sym_LPAREN,
    STATE(12216), 1,
      aux_sym_annotation_repeat1,
    STATE(13622), 1,
      sym_arguments,
    STATE(12483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [574925] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [574952] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14035), 1,
      sym__indent,
    STATE(12485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14033), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(14031), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [574983] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [575010] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4306), 1,
      sym__alpha_identifier,
    ACTIONS(4324), 1,
      sym__backquoted_id,
    ACTIONS(14037), 1,
      anon_sym_type,
    ACTIONS(14039), 1,
      sym_operator_identifier,
    STATE(7164), 1,
      sym__soft_identifier,
    STATE(7674), 1,
      sym_identifier,
    STATE(8030), 1,
      sym__type_identifier,
    STATE(12487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4318), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575050] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14041), 1,
      anon_sym_RPAREN,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575090] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14045), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575130] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [575156] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6588), 1,
      sym__alpha_identifier,
    ACTIONS(6598), 1,
      sym__backquoted_id,
    ACTIONS(14047), 1,
      anon_sym_type,
    ACTIONS(14049), 1,
      sym_operator_identifier,
    STATE(8204), 1,
      sym_identifier,
    STATE(8617), 1,
      sym__soft_identifier,
    STATE(8743), 1,
      sym__type_identifier,
    STATE(12491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575196] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12069), 1,
      sym__alpha_identifier,
    ACTIONS(12077), 1,
      sym__backquoted_id,
    ACTIONS(14051), 1,
      sym_operator_identifier,
    STATE(11290), 1,
      sym_identifier,
    STATE(12062), 1,
      sym__soft_identifier,
    STATE(12200), 1,
      sym__class_constructor,
    STATE(15682), 1,
      sym__class_definition,
    STATE(12492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12073), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575236] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14053), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575276] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14055), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575316] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [575342] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11872), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [575368] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8258), 1,
      anon_sym_LBRACE,
    ACTIONS(13803), 1,
      anon_sym_COLON,
    STATE(14523), 1,
      aux_sym_compound_type_repeat1,
    STATE(15139), 1,
      sym__refinement,
    STATE(15207), 1,
      sym_template_body,
    STATE(12497), 2,
      sym_comment,
      sym_block_comment,
    STATE(15162), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [575406] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8829), 1,
      sym__alpha_identifier,
    ACTIONS(8837), 1,
      sym__backquoted_id,
    ACTIONS(14057), 1,
      anon_sym_type,
    ACTIONS(14059), 1,
      sym_operator_identifier,
    STATE(6524), 1,
      sym__type_identifier,
    STATE(6697), 1,
      sym__soft_identifier,
    STATE(6871), 1,
      sym_identifier,
    STATE(12498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8833), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575446] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12909), 1,
      anon_sym_LPAREN,
    STATE(12504), 1,
      aux_sym_annotation_repeat1,
    STATE(13640), 1,
      sym_arguments,
    STATE(12499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [575478] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14061), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575518] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14063), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575558] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11892), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [575584] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14065), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575624] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14067), 1,
      anon_sym_LPAREN,
    STATE(13640), 1,
      sym_arguments,
    STATE(12504), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [575654] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(14070), 1,
      anon_sym_RPAREN,
    ACTIONS(14072), 1,
      sym_operator_identifier,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(17375), 1,
      sym_named_pattern,
    STATE(19206), 1,
      sym_identifier,
    STATE(12505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575694] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(14074), 1,
      anon_sym_type,
    ACTIONS(14076), 1,
      sym_operator_identifier,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(12411), 1,
      sym_identifier,
    STATE(12995), 1,
      sym__type_identifier,
    STATE(12506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575734] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14078), 1,
      anon_sym_LBRACK,
    ACTIONS(14080), 1,
      anon_sym_AT,
    ACTIONS(14082), 1,
      anon_sym_LPAREN,
    ACTIONS(14084), 1,
      anon_sym_POUND,
    STATE(14431), 1,
      aux_sym_enum_definition_repeat1,
    STATE(14524), 1,
      sym_type_arguments,
    STATE(15046), 1,
      sym_annotation,
    STATE(15411), 1,
      sym_arguments,
    STATE(12507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
  [575776] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [575802] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14086), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575842] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12124), 1,
      sym__alpha_identifier,
    ACTIONS(12132), 1,
      sym__backquoted_id,
    ACTIONS(14088), 1,
      sym_operator_identifier,
    STATE(11029), 1,
      sym_identifier,
    STATE(11739), 1,
      sym__soft_identifier,
    STATE(11889), 1,
      sym__class_constructor,
    STATE(15402), 1,
      sym__class_definition,
    STATE(12510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575882] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14090), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575922] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12863), 1,
      sym__backquoted_id,
    ACTIONS(13121), 1,
      anon_sym_EQ,
    STATE(12512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12855), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [575952] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [575978] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12863), 1,
      sym__backquoted_id,
    ACTIONS(13127), 1,
      anon_sym_EQ,
    STATE(12514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12855), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [576008] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11957), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [576034] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8853), 1,
      sym__alpha_identifier,
    ACTIONS(8861), 1,
      sym__backquoted_id,
    ACTIONS(14092), 1,
      anon_sym_type,
    ACTIONS(14094), 1,
      sym_operator_identifier,
    STATE(8048), 1,
      sym__type_identifier,
    STATE(8317), 1,
      sym__soft_identifier,
    STATE(8418), 1,
      sym_identifier,
    STATE(12516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8857), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576074] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11989), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [576100] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14096), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576140] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14098), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576180] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14100), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576220] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13843), 1,
      anon_sym_LBRACK,
    ACTIONS(14102), 1,
      anon_sym_LPAREN,
    ACTIONS(14104), 1,
      sym__automatic_semicolon,
    STATE(12575), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14676), 1,
      sym__using_parameters_clause,
    STATE(12521), 2,
      sym_comment,
      sym_block_comment,
    STATE(14615), 2,
      sym_type_parameters,
      sym_parameters,
    ACTIONS(13874), 6,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [576258] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8865), 1,
      sym__alpha_identifier,
    ACTIONS(8873), 1,
      sym__backquoted_id,
    ACTIONS(14106), 1,
      anon_sym_type,
    ACTIONS(14108), 1,
      sym_operator_identifier,
    STATE(8836), 1,
      sym__soft_identifier,
    STATE(9060), 1,
      sym__type_identifier,
    STATE(9348), 1,
      sym_identifier,
    STATE(12522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8869), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576298] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9787), 1,
      anon_sym_LPAREN,
    ACTIONS(14110), 1,
      anon_sym_LBRACK,
    ACTIONS(14112), 1,
      anon_sym_POUND,
    STATE(13873), 1,
      aux_sym_annotation_repeat1,
    STATE(14353), 1,
      sym_type_arguments,
    STATE(14576), 1,
      sym_arguments,
    STATE(12523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [576336] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14114), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576376] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12025), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [576402] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14116), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576442] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(14072), 1,
      sym_operator_identifier,
    ACTIONS(14118), 1,
      anon_sym_RPAREN,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(17375), 1,
      sym_named_pattern,
    STATE(19206), 1,
      sym_identifier,
    STATE(12527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576482] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11908), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [576508] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11915), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [576534] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11919), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [576560] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [576586] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14120), 1,
      anon_sym_LBRACK,
    STATE(6592), 1,
      sym_type_arguments,
    STATE(12532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13990), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [576616] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4530), 1,
      sym__alpha_identifier,
    ACTIONS(4548), 1,
      sym__backquoted_id,
    ACTIONS(14122), 1,
      anon_sym_type,
    ACTIONS(14124), 1,
      sym_operator_identifier,
    STATE(6552), 1,
      sym__soft_identifier,
    STATE(7036), 1,
      sym_identifier,
    STATE(7716), 1,
      sym__type_identifier,
    STATE(12533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4542), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576656] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7426), 1,
      anon_sym_RPAREN,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(14072), 1,
      sym_operator_identifier,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(17375), 1,
      sym_named_pattern,
    STATE(19206), 1,
      sym_identifier,
    STATE(12534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576696] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14126), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576736] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12084), 1,
      sym__alpha_identifier,
    ACTIONS(12092), 1,
      sym__backquoted_id,
    ACTIONS(14128), 1,
      sym_operator_identifier,
    STATE(11611), 1,
      sym__soft_identifier,
    STATE(12260), 1,
      sym__type_identifier,
    STATE(12920), 1,
      sym_identifier,
    STATE(15337), 1,
      sym__type_constructor,
    STATE(12536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576776] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12069), 1,
      sym__alpha_identifier,
    ACTIONS(12077), 1,
      sym__backquoted_id,
    ACTIONS(14051), 1,
      sym_operator_identifier,
    STATE(11290), 1,
      sym_identifier,
    STATE(12062), 1,
      sym__soft_identifier,
    STATE(12200), 1,
      sym__class_constructor,
    STATE(15715), 1,
      sym__class_definition,
    STATE(12537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12073), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576816] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14130), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576856] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12124), 1,
      sym__alpha_identifier,
    ACTIONS(12132), 1,
      sym__backquoted_id,
    ACTIONS(14088), 1,
      sym_operator_identifier,
    STATE(11029), 1,
      sym_identifier,
    STATE(11739), 1,
      sym__soft_identifier,
    STATE(11889), 1,
      sym__class_constructor,
    STATE(15530), 1,
      sym__class_definition,
    STATE(12539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576896] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(14132), 1,
      anon_sym_type,
    ACTIONS(14134), 1,
      sym_operator_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(7928), 1,
      sym_identifier,
    STATE(8265), 1,
      sym__type_identifier,
    STATE(12540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576936] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14136), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576976] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14138), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577016] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7456), 1,
      anon_sym_RPAREN,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(14072), 1,
      sym_operator_identifier,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(17375), 1,
      sym_named_pattern,
    STATE(19206), 1,
      sym_identifier,
    STATE(12543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577056] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [577082] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6738), 1,
      sym__alpha_identifier,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(14140), 1,
      anon_sym_type,
    ACTIONS(14142), 1,
      sym_operator_identifier,
    STATE(7097), 1,
      sym_identifier,
    STATE(7645), 1,
      sym__soft_identifier,
    STATE(8358), 1,
      sym__type_identifier,
    STATE(12545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577122] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14144), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577162] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14146), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577202] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12332), 1,
      sym__alpha_identifier,
    ACTIONS(12338), 1,
      sym__backquoted_id,
    ACTIONS(14148), 1,
      sym_operator_identifier,
    STATE(10581), 1,
      sym__soft_identifier,
    STATE(11368), 1,
      sym_identifier,
    STATE(13132), 1,
      sym__type_identifier,
    STATE(15710), 1,
      sym__type_constructor,
    STATE(12548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577242] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6776), 1,
      sym__alpha_identifier,
    ACTIONS(6790), 1,
      sym__backquoted_id,
    ACTIONS(14150), 1,
      anon_sym_type,
    ACTIONS(14152), 1,
      sym_operator_identifier,
    STATE(6632), 1,
      sym__soft_identifier,
    STATE(6689), 1,
      sym_identifier,
    STATE(7826), 1,
      sym__type_identifier,
    STATE(12549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6786), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577282] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14154), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577322] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14156), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577362] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10170), 1,
      anon_sym_COLON,
    STATE(12552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [577390] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12332), 1,
      sym__alpha_identifier,
    ACTIONS(12338), 1,
      sym__backquoted_id,
    ACTIONS(14158), 1,
      anon_sym_type,
    ACTIONS(14160), 1,
      sym_operator_identifier,
    STATE(10581), 1,
      sym__soft_identifier,
    STATE(11317), 1,
      sym_identifier,
    STATE(11763), 1,
      sym__type_identifier,
    STATE(12553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577430] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12124), 1,
      sym__alpha_identifier,
    ACTIONS(12132), 1,
      sym__backquoted_id,
    ACTIONS(14162), 1,
      anon_sym_type,
    ACTIONS(14164), 1,
      sym_operator_identifier,
    STATE(11739), 1,
      sym__soft_identifier,
    STATE(11923), 1,
      sym_identifier,
    STATE(12421), 1,
      sym__type_identifier,
    STATE(12554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577470] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14166), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577510] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14168), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577550] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13129), 1,
      anon_sym_LPAREN,
    STATE(12560), 1,
      aux_sym_annotation_repeat1,
    STATE(13673), 1,
      sym_arguments,
    STATE(12557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [577582] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8877), 1,
      sym__alpha_identifier,
    ACTIONS(8889), 1,
      sym__backquoted_id,
    ACTIONS(14170), 1,
      anon_sym_type,
    ACTIONS(14172), 1,
      sym_operator_identifier,
    STATE(5574), 1,
      sym_identifier,
    STATE(5751), 1,
      sym__type_identifier,
    STATE(5773), 1,
      sym__soft_identifier,
    STATE(12558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8885), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577622] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14174), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577662] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14176), 1,
      anon_sym_LPAREN,
    STATE(13673), 1,
      sym_arguments,
    STATE(12560), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [577692] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14179), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577732] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(507), 1,
      sym__alpha_identifier,
    ACTIONS(521), 1,
      anon_sym__,
    ACTIONS(571), 1,
      sym__backquoted_id,
    ACTIONS(14181), 1,
      sym_operator_identifier,
    STATE(6129), 1,
      sym__soft_identifier,
    STATE(12562), 2,
      sym_comment,
      sym_block_comment,
    STATE(15504), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(695), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577770] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(14183), 1,
      anon_sym_type,
    ACTIONS(14185), 1,
      sym_operator_identifier,
    STATE(4757), 1,
      sym__soft_identifier,
    STATE(4791), 1,
      sym_identifier,
    STATE(4999), 1,
      sym__type_identifier,
    STATE(12563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4952), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577810] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14187), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577850] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12124), 1,
      sym__alpha_identifier,
    ACTIONS(12132), 1,
      sym__backquoted_id,
    ACTIONS(14088), 1,
      sym_operator_identifier,
    STATE(11029), 1,
      sym_identifier,
    STATE(11739), 1,
      sym__soft_identifier,
    STATE(11889), 1,
      sym__class_constructor,
    STATE(15449), 1,
      sym__class_definition,
    STATE(12565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577890] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14189), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577930] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [577956] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(14191), 1,
      anon_sym_type,
    ACTIONS(14193), 1,
      sym_operator_identifier,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(4906), 1,
      sym_identifier,
    STATE(5322), 1,
      sym__type_identifier,
    STATE(12568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577996] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14078), 1,
      anon_sym_LBRACK,
    ACTIONS(14080), 1,
      anon_sym_AT,
    ACTIONS(14084), 1,
      anon_sym_POUND,
    ACTIONS(14195), 1,
      anon_sym_LPAREN,
    STATE(14431), 1,
      aux_sym_enum_definition_repeat1,
    STATE(14524), 1,
      sym_type_arguments,
    STATE(15046), 1,
      sym_annotation,
    STATE(15220), 1,
      sym_arguments,
    STATE(12569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
  [578038] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14197), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578078] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14199), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578118] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6684), 1,
      sym__alpha_identifier,
    ACTIONS(6694), 1,
      sym__backquoted_id,
    ACTIONS(14201), 1,
      anon_sym_type,
    ACTIONS(14203), 1,
      sym_operator_identifier,
    STATE(6495), 1,
      sym_identifier,
    STATE(6988), 1,
      sym__soft_identifier,
    STATE(7098), 1,
      sym__type_identifier,
    STATE(12572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6690), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578158] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14205), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578198] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14207), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578238] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13843), 1,
      anon_sym_LBRACK,
    ACTIONS(14102), 1,
      anon_sym_LPAREN,
    ACTIONS(14209), 1,
      sym__automatic_semicolon,
    STATE(12636), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14676), 1,
      sym__using_parameters_clause,
    STATE(12575), 2,
      sym_comment,
      sym_block_comment,
    STATE(14615), 2,
      sym_type_parameters,
      sym_parameters,
    ACTIONS(13861), 6,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [578276] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6926), 1,
      sym__alpha_identifier,
    ACTIONS(6940), 1,
      sym__backquoted_id,
    ACTIONS(14211), 1,
      anon_sym_type,
    ACTIONS(14213), 1,
      sym_operator_identifier,
    STATE(6116), 1,
      sym_identifier,
    STATE(6321), 1,
      sym__soft_identifier,
    STATE(6730), 1,
      sym__type_identifier,
    STATE(12576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6936), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578316] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14215), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578356] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14217), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578396] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13010), 1,
      anon_sym_LPAREN,
    STATE(12584), 1,
      aux_sym_annotation_repeat1,
    STATE(13859), 1,
      sym_arguments,
    STATE(12579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [578428] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8907), 1,
      sym__alpha_identifier,
    ACTIONS(8915), 1,
      sym__backquoted_id,
    ACTIONS(14219), 1,
      anon_sym_type,
    ACTIONS(14221), 1,
      sym_operator_identifier,
    STATE(6336), 1,
      sym__type_identifier,
    STATE(6371), 1,
      sym__soft_identifier,
    STATE(6749), 1,
      sym_identifier,
    STATE(12580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8911), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578468] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12069), 1,
      sym__alpha_identifier,
    ACTIONS(12077), 1,
      sym__backquoted_id,
    ACTIONS(14051), 1,
      sym_operator_identifier,
    STATE(11290), 1,
      sym_identifier,
    STATE(12062), 1,
      sym__soft_identifier,
    STATE(12200), 1,
      sym__class_constructor,
    STATE(15732), 1,
      sym__class_definition,
    STATE(12581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12073), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578508] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14223), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578548] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14225), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578588] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14227), 1,
      anon_sym_LPAREN,
    STATE(13859), 1,
      sym_arguments,
    STATE(12584), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [578618] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12084), 1,
      sym__alpha_identifier,
    ACTIONS(12092), 1,
      sym__backquoted_id,
    ACTIONS(14128), 1,
      sym_operator_identifier,
    STATE(11611), 1,
      sym__soft_identifier,
    STATE(12260), 1,
      sym__type_identifier,
    STATE(12920), 1,
      sym_identifier,
    STATE(15313), 1,
      sym__type_constructor,
    STATE(12585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578658] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4338), 1,
      sym__alpha_identifier,
    ACTIONS(4356), 1,
      sym__backquoted_id,
    ACTIONS(14230), 1,
      anon_sym_type,
    ACTIONS(14232), 1,
      sym_operator_identifier,
    STATE(5377), 1,
      sym__soft_identifier,
    STATE(5482), 1,
      sym_identifier,
    STATE(6159), 1,
      sym__type_identifier,
    STATE(12586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4350), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578698] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14234), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578738] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14236), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578778] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12124), 1,
      sym__alpha_identifier,
    ACTIONS(12132), 1,
      sym__backquoted_id,
    ACTIONS(14088), 1,
      sym_operator_identifier,
    STATE(11029), 1,
      sym_identifier,
    STATE(11739), 1,
      sym__soft_identifier,
    STATE(11889), 1,
      sym__class_constructor,
    STATE(15527), 1,
      sym__class_definition,
    STATE(12589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578818] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12069), 1,
      sym__alpha_identifier,
    ACTIONS(12077), 1,
      sym__backquoted_id,
    ACTIONS(14051), 1,
      sym_operator_identifier,
    STATE(11290), 1,
      sym_identifier,
    STATE(12062), 1,
      sym__soft_identifier,
    STATE(12200), 1,
      sym__class_constructor,
    STATE(15547), 1,
      sym__class_definition,
    STATE(12590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12073), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578858] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8919), 1,
      sym__alpha_identifier,
    ACTIONS(8927), 1,
      sym__backquoted_id,
    ACTIONS(14238), 1,
      anon_sym_type,
    ACTIONS(14240), 1,
      sym_operator_identifier,
    STATE(6512), 1,
      sym__soft_identifier,
    STATE(6875), 1,
      sym__type_identifier,
    STATE(7023), 1,
      sym_identifier,
    STATE(12591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8923), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578898] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14242), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578938] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14244), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578978] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4500), 1,
      sym__alpha_identifier,
    ACTIONS(4518), 1,
      sym__backquoted_id,
    ACTIONS(14246), 1,
      anon_sym_type,
    ACTIONS(14248), 1,
      sym_operator_identifier,
    STATE(6363), 1,
      sym_identifier,
    STATE(6913), 1,
      sym__soft_identifier,
    STATE(7218), 1,
      sym__type_identifier,
    STATE(12594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4512), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579018] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14252), 1,
      anon_sym_COMMA,
    ACTIONS(14254), 1,
      anon_sym_with,
    STATE(14043), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(14057), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(12595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14250), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [579052] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14256), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579092] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14258), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579132] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8624), 1,
      sym__alpha_identifier,
    ACTIONS(8632), 1,
      sym__backquoted_id,
    ACTIONS(14260), 1,
      anon_sym_type,
    ACTIONS(14262), 1,
      sym_operator_identifier,
    STATE(7239), 1,
      sym__type_identifier,
    STATE(7360), 1,
      sym_identifier,
    STATE(7815), 1,
      sym__soft_identifier,
    STATE(12598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8628), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579172] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14264), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579212] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [579238] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14266), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579278] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4670), 1,
      sym__alpha_identifier,
    ACTIONS(4688), 1,
      sym__backquoted_id,
    ACTIONS(14268), 1,
      anon_sym_type,
    ACTIONS(14270), 1,
      sym_operator_identifier,
    STATE(7379), 1,
      sym_identifier,
    STATE(7831), 1,
      sym__soft_identifier,
    STATE(8016), 1,
      sym__type_identifier,
    STATE(12602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4682), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579318] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14272), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579358] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14274), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14276), 1,
      anon_sym_STAR,
    STATE(12605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [579426] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8612), 1,
      sym__alpha_identifier,
    ACTIONS(8620), 1,
      sym__backquoted_id,
    ACTIONS(14278), 1,
      anon_sym_type,
    ACTIONS(14280), 1,
      sym_operator_identifier,
    STATE(8987), 1,
      sym__type_identifier,
    STATE(9288), 1,
      sym_identifier,
    STATE(9327), 1,
      sym__soft_identifier,
    STATE(12606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8616), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579466] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(9297), 1,
      sym_operator_identifier,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15737), 1,
      sym_identifier,
    ACTIONS(9295), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(12607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579504] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14282), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579544] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14286), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(14284), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [579572] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14288), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579612] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6996), 1,
      sym__alpha_identifier,
    ACTIONS(7006), 1,
      sym__backquoted_id,
    ACTIONS(14290), 1,
      anon_sym_type,
    ACTIONS(14292), 1,
      sym_operator_identifier,
    STATE(7398), 1,
      sym_identifier,
    STATE(7879), 1,
      sym__soft_identifier,
    STATE(8314), 1,
      sym__type_identifier,
    STATE(12611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579652] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14294), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579692] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14296), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579732] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [579758] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [579784] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [579810] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12369), 1,
      sym__alpha_identifier,
    ACTIONS(12377), 1,
      sym__backquoted_id,
    ACTIONS(14298), 1,
      anon_sym_type,
    ACTIONS(14300), 1,
      sym_operator_identifier,
    STATE(11720), 1,
      sym__soft_identifier,
    STATE(11823), 1,
      sym_identifier,
    STATE(11936), 1,
      sym__type_identifier,
    STATE(12617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12373), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579850] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14302), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579890] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14304), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579930] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8456), 1,
      sym__alpha_identifier,
    ACTIONS(8468), 1,
      sym__backquoted_id,
    ACTIONS(14306), 1,
      anon_sym_type,
    ACTIONS(14308), 1,
      sym_operator_identifier,
    STATE(10438), 1,
      sym__type_identifier,
    STATE(10727), 1,
      sym_identifier,
    STATE(10760), 1,
      sym__soft_identifier,
    STATE(12620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8464), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579970] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14310), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580010] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14312), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580050] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [580076] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8578), 1,
      sym__alpha_identifier,
    ACTIONS(8590), 1,
      sym__backquoted_id,
    ACTIONS(14314), 1,
      anon_sym_type,
    ACTIONS(14316), 1,
      sym_operator_identifier,
    STATE(4829), 1,
      sym_identifier,
    STATE(4884), 1,
      sym__type_identifier,
    STATE(4960), 1,
      sym__soft_identifier,
    STATE(12624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8586), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580116] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [580142] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14318), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580182] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [580208] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14320), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580248] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4920), 1,
      sym__alpha_identifier,
    ACTIONS(4932), 1,
      sym__backquoted_id,
    ACTIONS(14322), 1,
      anon_sym_type,
    ACTIONS(14324), 1,
      sym_operator_identifier,
    STATE(4872), 1,
      sym_identifier,
    STATE(4983), 1,
      sym__soft_identifier,
    STATE(5040), 1,
      sym__type_identifier,
    STATE(12629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4928), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580288] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14326), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580328] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14328), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580368] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8652), 1,
      sym__alpha_identifier,
    ACTIONS(8664), 1,
      sym__backquoted_id,
    ACTIONS(14330), 1,
      anon_sym_type,
    ACTIONS(14332), 1,
      sym_operator_identifier,
    STATE(5376), 1,
      sym__soft_identifier,
    STATE(5403), 1,
      sym__type_identifier,
    STATE(5465), 1,
      sym_identifier,
    STATE(12632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8660), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580408] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11865), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [580434] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14334), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580474] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14336), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580514] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14338), 1,
      anon_sym_LBRACK,
    ACTIONS(14341), 1,
      anon_sym_LPAREN,
    ACTIONS(14344), 1,
      sym__automatic_semicolon,
    STATE(14676), 1,
      sym__using_parameters_clause,
    STATE(14615), 2,
      sym_type_parameters,
      sym_parameters,
    STATE(12636), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__function_constructor_repeat1,
    ACTIONS(13885), 6,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [580550] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [580576] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [580602] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6568), 1,
      sym__alpha_identifier,
    ACTIONS(6582), 1,
      sym__backquoted_id,
    ACTIONS(14347), 1,
      anon_sym_type,
    ACTIONS(14349), 1,
      sym_operator_identifier,
    STATE(4931), 1,
      sym_identifier,
    STATE(4989), 1,
      sym__soft_identifier,
    STATE(5073), 1,
      sym__type_identifier,
    STATE(12639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6578), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580642] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12332), 1,
      sym__alpha_identifier,
    ACTIONS(12338), 1,
      sym__backquoted_id,
    ACTIONS(14148), 1,
      sym_operator_identifier,
    STATE(10581), 1,
      sym__soft_identifier,
    STATE(11368), 1,
      sym_identifier,
    STATE(13132), 1,
      sym__type_identifier,
    STATE(15774), 1,
      sym__type_constructor,
    STATE(12640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580682] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14351), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580722] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14353), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580762] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [580788] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8793), 1,
      sym__alpha_identifier,
    ACTIONS(8801), 1,
      sym__backquoted_id,
    ACTIONS(14355), 1,
      anon_sym_type,
    ACTIONS(14357), 1,
      sym_operator_identifier,
    STATE(5401), 1,
      sym__soft_identifier,
    STATE(5461), 1,
      sym__type_identifier,
    STATE(5514), 1,
      sym_identifier,
    STATE(12644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8797), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580828] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14359), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580868] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14361), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580908] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [580934] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [580960] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [580986] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4370), 1,
      sym__alpha_identifier,
    ACTIONS(4388), 1,
      sym__backquoted_id,
    ACTIONS(14363), 1,
      anon_sym_type,
    ACTIONS(14365), 1,
      sym_operator_identifier,
    STATE(5425), 1,
      sym__soft_identifier,
    STATE(5540), 1,
      sym_identifier,
    STATE(6302), 1,
      sym__type_identifier,
    STATE(12650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4382), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581026] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14367), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581066] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [581092] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14369), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581132] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [581158] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [581184] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8895), 1,
      sym__alpha_identifier,
    ACTIONS(8903), 1,
      sym__backquoted_id,
    ACTIONS(14371), 1,
      anon_sym_type,
    ACTIONS(14373), 1,
      sym_operator_identifier,
    STATE(7119), 1,
      sym__soft_identifier,
    STATE(7444), 1,
      sym__type_identifier,
    STATE(7512), 1,
      sym_identifier,
    STATE(12656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8899), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581224] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14375), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581264] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8206), 1,
      anon_sym_LBRACE,
    ACTIONS(13999), 1,
      anon_sym_COLON,
    STATE(14533), 1,
      aux_sym_compound_type_repeat1,
    STATE(15236), 1,
      sym__refinement,
    STATE(15270), 1,
      sym_template_body,
    STATE(12658), 2,
      sym_comment,
      sym_block_comment,
    STATE(15205), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [581302] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14377), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581342] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12069), 1,
      sym__alpha_identifier,
    ACTIONS(12077), 1,
      sym__backquoted_id,
    ACTIONS(14051), 1,
      sym_operator_identifier,
    STATE(11290), 1,
      sym_identifier,
    STATE(12062), 1,
      sym__soft_identifier,
    STATE(12200), 1,
      sym__class_constructor,
    STATE(15668), 1,
      sym__class_definition,
    STATE(12660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12073), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581382] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [581408] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [581434] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6330), 1,
      sym__alpha_identifier,
    ACTIONS(6344), 1,
      sym__backquoted_id,
    ACTIONS(14379), 1,
      anon_sym_type,
    ACTIONS(14381), 1,
      sym_operator_identifier,
    STATE(5994), 1,
      sym_identifier,
    STATE(6086), 1,
      sym__soft_identifier,
    STATE(6514), 1,
      sym__type_identifier,
    STATE(12663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6340), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581474] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14383), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581514] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14385), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581554] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12084), 1,
      sym__alpha_identifier,
    ACTIONS(12092), 1,
      sym__backquoted_id,
    ACTIONS(14128), 1,
      sym_operator_identifier,
    STATE(11611), 1,
      sym__soft_identifier,
    STATE(12260), 1,
      sym__type_identifier,
    STATE(12920), 1,
      sym_identifier,
    STATE(15476), 1,
      sym__type_constructor,
    STATE(12666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581594] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12422), 1,
      sym__alpha_identifier,
    ACTIONS(12430), 1,
      sym__backquoted_id,
    ACTIONS(14387), 1,
      anon_sym_type,
    ACTIONS(14389), 1,
      sym_operator_identifier,
    STATE(13397), 1,
      sym_identifier,
    STATE(13497), 1,
      sym__soft_identifier,
    STATE(13674), 1,
      sym__type_identifier,
    STATE(12667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12426), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581634] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14391), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581674] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14393), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581714] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8676), 1,
      sym__alpha_identifier,
    ACTIONS(8688), 1,
      sym__backquoted_id,
    ACTIONS(14395), 1,
      anon_sym_type,
    ACTIONS(14397), 1,
      sym_operator_identifier,
    STATE(5801), 1,
      sym__soft_identifier,
    STATE(5949), 1,
      sym_identifier,
    STATE(6239), 1,
      sym__type_identifier,
    STATE(12670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8684), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581754] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8330), 1,
      sym__alpha_identifier,
    ACTIONS(8342), 1,
      sym__backquoted_id,
    ACTIONS(14399), 1,
      anon_sym_type,
    ACTIONS(14401), 1,
      sym_operator_identifier,
    STATE(12233), 1,
      sym__soft_identifier,
    STATE(12407), 1,
      sym_identifier,
    STATE(12567), 1,
      sym__type_identifier,
    STATE(12671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581794] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14403), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581834] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(14405), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(12673), 2,
      sym_comment,
      sym_block_comment,
    STATE(17416), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581872] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14407), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581912] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12069), 1,
      sym__alpha_identifier,
    ACTIONS(12077), 1,
      sym__backquoted_id,
    ACTIONS(14409), 1,
      anon_sym_type,
    ACTIONS(14411), 1,
      sym_operator_identifier,
    STATE(12062), 1,
      sym__soft_identifier,
    STATE(12423), 1,
      sym_identifier,
    STATE(12830), 1,
      sym__type_identifier,
    STATE(12675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12073), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581952] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14413), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581992] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [582018] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(11486), 1,
      anon_sym__,
    ACTIONS(14415), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(12678), 2,
      sym_comment,
      sym_block_comment,
    STATE(17700), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582056] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14417), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582096] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12124), 1,
      sym__alpha_identifier,
    ACTIONS(12132), 1,
      sym__backquoted_id,
    ACTIONS(14088), 1,
      sym_operator_identifier,
    STATE(11029), 1,
      sym_identifier,
    STATE(11739), 1,
      sym__soft_identifier,
    STATE(11889), 1,
      sym__class_constructor,
    STATE(15413), 1,
      sym__class_definition,
    STATE(12680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582136] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8444), 1,
      sym__alpha_identifier,
    ACTIONS(8452), 1,
      sym__backquoted_id,
    ACTIONS(14419), 1,
      anon_sym_type,
    ACTIONS(14421), 1,
      sym_operator_identifier,
    STATE(7134), 1,
      sym__soft_identifier,
    STATE(7521), 1,
      sym__type_identifier,
    STATE(7603), 1,
      sym_identifier,
    STATE(12681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8448), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582176] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14423), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582216] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14425), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582256] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4774), 1,
      sym__alpha_identifier,
    ACTIONS(4792), 1,
      sym__backquoted_id,
    ACTIONS(14427), 1,
      anon_sym_type,
    ACTIONS(14429), 1,
      sym_operator_identifier,
    STATE(5453), 1,
      sym__soft_identifier,
    STATE(5686), 1,
      sym_identifier,
    STATE(6025), 1,
      sym__type_identifier,
    STATE(12684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4786), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582296] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14431), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582336] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14433), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582376] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(14435), 1,
      anon_sym_type,
    ACTIONS(14437), 1,
      sym_operator_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(6151), 1,
      sym_identifier,
    STATE(6370), 1,
      sym__type_identifier,
    STATE(12687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582416] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14439), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582456] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14441), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582496] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14443), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582536] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6962), 1,
      sym__alpha_identifier,
    ACTIONS(6972), 1,
      sym__backquoted_id,
    ACTIONS(14445), 1,
      anon_sym_type,
    ACTIONS(14447), 1,
      sym_operator_identifier,
    STATE(6472), 1,
      sym__soft_identifier,
    STATE(6626), 1,
      sym_identifier,
    STATE(7568), 1,
      sym__type_identifier,
    STATE(12691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6968), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582576] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14449), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582616] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12861), 1,
      anon_sym_EQ,
    ACTIONS(12863), 1,
      sym__backquoted_id,
    STATE(12693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12855), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [582646] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14451), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582686] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12863), 1,
      sym__backquoted_id,
    ACTIONS(12869), 1,
      anon_sym_EQ,
    STATE(12695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12855), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [582716] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9232), 1,
      anon_sym_LPAREN,
    STATE(12701), 1,
      aux_sym_annotation_repeat1,
    STATE(13766), 1,
      sym_arguments,
    STATE(12696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [582748] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6302), 1,
      sym__alpha_identifier,
    ACTIONS(6316), 1,
      sym__backquoted_id,
    ACTIONS(14453), 1,
      anon_sym_type,
    ACTIONS(14455), 1,
      sym_operator_identifier,
    STATE(6100), 1,
      sym__soft_identifier,
    STATE(6165), 1,
      sym_identifier,
    STATE(6492), 1,
      sym__type_identifier,
    STATE(12697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6312), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582788] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14457), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582828] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14459), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582868] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14461), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582908] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14463), 1,
      anon_sym_LPAREN,
    STATE(13766), 1,
      sym_arguments,
    STATE(12701), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [582938] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12084), 1,
      sym__alpha_identifier,
    ACTIONS(12092), 1,
      sym__backquoted_id,
    ACTIONS(14466), 1,
      anon_sym_type,
    ACTIONS(14468), 1,
      sym_operator_identifier,
    STATE(11611), 1,
      sym__soft_identifier,
    STATE(13053), 1,
      sym_identifier,
    STATE(13422), 1,
      sym__type_identifier,
    STATE(12702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582978] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14470), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583018] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14472), 1,
      anon_sym_LBRACK,
    ACTIONS(14474), 1,
      anon_sym_match,
    STATE(7052), 1,
      sym_type_arguments,
    STATE(12704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [583050] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14476), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10170), 1,
      anon_sym_COLON,
    STATE(12706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [583118] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4998), 1,
      sym__alpha_identifier,
    ACTIONS(5010), 1,
      sym__backquoted_id,
    ACTIONS(14478), 1,
      anon_sym_type,
    ACTIONS(14480), 1,
      sym_operator_identifier,
    STATE(6103), 1,
      sym__soft_identifier,
    STATE(6176), 1,
      sym_identifier,
    STATE(6535), 1,
      sym__type_identifier,
    STATE(12707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5006), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583158] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14482), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583198] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14484), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583238] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6550), 1,
      sym__alpha_identifier,
    ACTIONS(6564), 1,
      sym__backquoted_id,
    ACTIONS(14486), 1,
      anon_sym_type,
    ACTIONS(14488), 1,
      sym_operator_identifier,
    STATE(8080), 1,
      sym_identifier,
    STATE(8230), 1,
      sym__soft_identifier,
    STATE(8918), 1,
      sym__type_identifier,
    STATE(12710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6560), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583278] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14490), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583318] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14492), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583358] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12096), 1,
      sym__alpha_identifier,
    ACTIONS(12104), 1,
      sym__backquoted_id,
    ACTIONS(14494), 1,
      anon_sym_type,
    ACTIONS(14496), 1,
      sym_operator_identifier,
    STATE(11916), 1,
      sym_identifier,
    STATE(12001), 1,
      sym__soft_identifier,
    STATE(12353), 1,
      sym__type_identifier,
    STATE(12713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12100), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583398] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14498), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583438] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14500), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583478] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14502), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583518] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14504), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583558] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4702), 1,
      sym__alpha_identifier,
    ACTIONS(4720), 1,
      sym__backquoted_id,
    ACTIONS(14506), 1,
      anon_sym_type,
    ACTIONS(14508), 1,
      sym_operator_identifier,
    STATE(4645), 1,
      sym_identifier,
    STATE(4669), 1,
      sym__soft_identifier,
    STATE(4778), 1,
      sym__type_identifier,
    STATE(12718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4714), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583598] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14510), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583638] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14512), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583678] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6836), 1,
      sym__alpha_identifier,
    ACTIONS(6846), 1,
      sym__backquoted_id,
    ACTIONS(14514), 1,
      anon_sym_type,
    ACTIONS(14516), 1,
      sym_operator_identifier,
    STATE(5041), 1,
      sym_identifier,
    STATE(5207), 1,
      sym__soft_identifier,
    STATE(5726), 1,
      sym__type_identifier,
    STATE(12721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6842), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583718] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14518), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583758] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14520), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583798] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4470), 1,
      sym__alpha_identifier,
    ACTIONS(4482), 1,
      sym__backquoted_id,
    ACTIONS(14522), 1,
      anon_sym_type,
    ACTIONS(14524), 1,
      sym_operator_identifier,
    STATE(4800), 1,
      sym_identifier,
    STATE(4815), 1,
      sym__soft_identifier,
    STATE(5328), 1,
      sym__type_identifier,
    STATE(12724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4478), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583838] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14526), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583878] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14528), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583918] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4274), 1,
      sym__alpha_identifier,
    ACTIONS(4292), 1,
      sym__backquoted_id,
    ACTIONS(14530), 1,
      anon_sym_type,
    ACTIONS(14532), 1,
      sym_operator_identifier,
    STATE(4817), 1,
      sym__soft_identifier,
    STATE(4875), 1,
      sym_identifier,
    STATE(5009), 1,
      sym__type_identifier,
    STATE(12727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4286), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583958] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14534), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14536), 1,
      anon_sym_STAR,
    STATE(12729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [584026] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14538), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584066] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6366), 1,
      sym__alpha_identifier,
    ACTIONS(6380), 1,
      sym__backquoted_id,
    ACTIONS(14540), 1,
      anon_sym_type,
    ACTIONS(14542), 1,
      sym_operator_identifier,
    STATE(6121), 1,
      sym__soft_identifier,
    STATE(6306), 1,
      sym_identifier,
    STATE(6799), 1,
      sym__type_identifier,
    STATE(12731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6376), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584106] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14544), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584146] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14546), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584186] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9858), 1,
      anon_sym_LPAREN,
    ACTIONS(14548), 1,
      anon_sym_LBRACK,
    ACTIONS(14550), 1,
      anon_sym_POUND,
    STATE(14032), 1,
      aux_sym_annotation_repeat1,
    STATE(14231), 1,
      sym_type_arguments,
    STATE(14453), 1,
      sym_arguments,
    STATE(12734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [584224] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12136), 1,
      sym__alpha_identifier,
    ACTIONS(12144), 1,
      sym__backquoted_id,
    ACTIONS(14552), 1,
      anon_sym_type,
    ACTIONS(14554), 1,
      sym_operator_identifier,
    STATE(13220), 1,
      sym_identifier,
    STATE(13542), 1,
      sym__soft_identifier,
    STATE(13757), 1,
      sym__type_identifier,
    STATE(12735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584264] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14556), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584304] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14558), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584344] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14560), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584384] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4638), 1,
      sym__alpha_identifier,
    ACTIONS(4656), 1,
      sym__backquoted_id,
    ACTIONS(14562), 1,
      anon_sym_type,
    ACTIONS(14564), 1,
      sym_operator_identifier,
    STATE(5811), 1,
      sym_identifier,
    STATE(6124), 1,
      sym__soft_identifier,
    STATE(6895), 1,
      sym__type_identifier,
    STATE(12739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4650), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584424] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [584450] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14566), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584490] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14568), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584530] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8472), 1,
      sym__alpha_identifier,
    ACTIONS(8480), 1,
      sym__backquoted_id,
    ACTIONS(14570), 1,
      anon_sym_type,
    ACTIONS(14572), 1,
      sym_operator_identifier,
    STATE(5817), 1,
      sym_identifier,
    STATE(6125), 1,
      sym__soft_identifier,
    STATE(6271), 1,
      sym__type_identifier,
    STATE(12743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8476), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584570] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14574), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584610] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14576), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584650] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4818), 1,
      sym__alpha_identifier,
    ACTIONS(4836), 1,
      sym__backquoted_id,
    ACTIONS(14578), 1,
      anon_sym_type,
    ACTIONS(14580), 1,
      sym_operator_identifier,
    STATE(5826), 1,
      sym_identifier,
    STATE(6127), 1,
      sym__soft_identifier,
    STATE(6970), 1,
      sym__type_identifier,
    STATE(12746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4830), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584690] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14582), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584730] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14584), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584770] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8504), 1,
      sym__alpha_identifier,
    ACTIONS(8512), 1,
      sym__backquoted_id,
    ACTIONS(14586), 1,
      anon_sym_type,
    ACTIONS(14588), 1,
      sym_operator_identifier,
    STATE(7176), 1,
      sym__soft_identifier,
    STATE(7714), 1,
      sym__type_identifier,
    STATE(7758), 1,
      sym_identifier,
    STATE(12749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8508), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584810] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14590), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584850] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14472), 1,
      anon_sym_LBRACK,
    STATE(7052), 1,
      sym_type_arguments,
    STATE(12751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13813), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [584880] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14592), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584920] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [584946] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6384), 1,
      sym__alpha_identifier,
    ACTIONS(6398), 1,
      sym__backquoted_id,
    ACTIONS(14594), 1,
      anon_sym_type,
    ACTIONS(14596), 1,
      sym_operator_identifier,
    STATE(5840), 1,
      sym_identifier,
    STATE(6130), 1,
      sym__soft_identifier,
    STATE(6980), 1,
      sym__type_identifier,
    STATE(12754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6394), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [584986] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14598), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [585026] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14472), 1,
      anon_sym_LBRACK,
    STATE(7052), 1,
      sym_type_arguments,
    STATE(12756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13916), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [585056] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14600), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [585096] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12153), 1,
      sym__alpha_identifier,
    ACTIONS(12161), 1,
      sym__backquoted_id,
    ACTIONS(14602), 1,
      anon_sym_type,
    ACTIONS(14604), 1,
      sym_operator_identifier,
    STATE(13449), 1,
      sym_identifier,
    STATE(13552), 1,
      sym__soft_identifier,
    STATE(13937), 1,
      sym__type_identifier,
    STATE(12758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12157), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [585136] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14606), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [585176] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14608), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [585216] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [585242] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8524), 1,
      sym__alpha_identifier,
    ACTIONS(8532), 1,
      sym__backquoted_id,
    ACTIONS(14610), 1,
      anon_sym_type,
    ACTIONS(14612), 1,
      sym_operator_identifier,
    STATE(8249), 1,
      sym__type_identifier,
    STATE(8330), 1,
      sym_identifier,
    STATE(8549), 1,
      sym__soft_identifier,
    STATE(12762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8528), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [585282] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14614), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [585322] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14616), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [585362] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(14618), 1,
      anon_sym_type,
    ACTIONS(14620), 1,
      sym_operator_identifier,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5234), 1,
      sym_identifier,
    STATE(5670), 1,
      sym__type_identifier,
    STATE(12765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [585402] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [585428] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6446), 1,
      sym__alpha_identifier,
    ACTIONS(6460), 1,
      sym__backquoted_id,
    ACTIONS(14622), 1,
      anon_sym_type,
    ACTIONS(14624), 1,
      sym_operator_identifier,
    STATE(6529), 1,
      sym__soft_identifier,
    STATE(6608), 1,
      sym_identifier,
    STATE(7751), 1,
      sym__type_identifier,
    STATE(12767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6456), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [585468] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14626), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [585508] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14628), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [585548] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14120), 1,
      anon_sym_LBRACK,
    ACTIONS(14630), 1,
      anon_sym_match,
    STATE(6592), 1,
      sym_type_arguments,
    STATE(12770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [585580] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12165), 1,
      sym__alpha_identifier,
    ACTIONS(12173), 1,
      sym__backquoted_id,
    ACTIONS(14632), 1,
      anon_sym_type,
    ACTIONS(14634), 1,
      sym_operator_identifier,
    STATE(11446), 1,
      sym_identifier,
    STATE(11584), 1,
      sym__soft_identifier,
    STATE(11640), 1,
      sym__type_identifier,
    STATE(12771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12169), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [585620] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14120), 1,
      anon_sym_LBRACK,
    STATE(6592), 1,
      sym_type_arguments,
    STATE(12772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13813), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [585650] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14636), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [585690] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14638), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [585730] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14120), 1,
      anon_sym_LBRACK,
    STATE(6592), 1,
      sym_type_arguments,
    STATE(12775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13916), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [585760] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6480), 1,
      sym__alpha_identifier,
    ACTIONS(6494), 1,
      sym__backquoted_id,
    ACTIONS(14640), 1,
      anon_sym_type,
    ACTIONS(14642), 1,
      sym_operator_identifier,
    STATE(8367), 1,
      sym_identifier,
    STATE(8580), 1,
      sym__soft_identifier,
    STATE(9210), 1,
      sym__type_identifier,
    STATE(12776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6490), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [585800] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14644), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [585840] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14646), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [585880] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12177), 1,
      sym__alpha_identifier,
    ACTIONS(12185), 1,
      sym__backquoted_id,
    ACTIONS(14648), 1,
      anon_sym_type,
    ACTIONS(14650), 1,
      sym_operator_identifier,
    STATE(12015), 1,
      sym__soft_identifier,
    STATE(12021), 1,
      sym_identifier,
    STATE(12486), 1,
      sym__type_identifier,
    STATE(12779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12181), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [585920] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14652), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [585960] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14654), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [586000] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14658), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(14656), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [586028] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8540), 1,
      sym__alpha_identifier,
    ACTIONS(8552), 1,
      sym__backquoted_id,
    ACTIONS(14660), 1,
      anon_sym_type,
    ACTIONS(14662), 1,
      sym_operator_identifier,
    STATE(5090), 1,
      sym__type_identifier,
    STATE(5108), 1,
      sym_identifier,
    STATE(5211), 1,
      sym__soft_identifier,
    STATE(12783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8548), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [586068] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14664), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [586108] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14666), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [586148] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14120), 1,
      anon_sym_LBRACK,
    ACTIONS(14630), 1,
      anon_sym_match,
    STATE(6592), 1,
      sym_type_arguments,
    STATE(12786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13811), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [586180] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14668), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [586220] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6500), 1,
      sym__alpha_identifier,
    ACTIONS(6510), 1,
      sym__backquoted_id,
    ACTIONS(14670), 1,
      anon_sym_type,
    ACTIONS(14672), 1,
      sym_operator_identifier,
    STATE(4701), 1,
      sym_identifier,
    STATE(4724), 1,
      sym__soft_identifier,
    STATE(4813), 1,
      sym__type_identifier,
    STATE(12788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6506), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [586260] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14120), 1,
      anon_sym_LBRACK,
    STATE(6592), 1,
      sym_type_arguments,
    STATE(12789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13980), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [586290] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14674), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [586330] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14676), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [586370] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [586396] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6546), 1,
      sym__backquoted_id,
    ACTIONS(14678), 1,
      anon_sym_type,
    ACTIONS(14680), 1,
      sym_operator_identifier,
    STATE(5113), 1,
      sym_identifier,
    STATE(5214), 1,
      sym__soft_identifier,
    STATE(5406), 1,
      sym__type_identifier,
    STATE(12793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6542), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [586436] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12863), 1,
      sym__backquoted_id,
    ACTIONS(12957), 1,
      anon_sym_EQ,
    STATE(12794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12855), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [586466] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14682), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [586506] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14684), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [586546] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8566), 1,
      sym__alpha_identifier,
    ACTIONS(8574), 1,
      sym__backquoted_id,
    ACTIONS(14686), 1,
      anon_sym_type,
    ACTIONS(14688), 1,
      sym_operator_identifier,
    STATE(5868), 1,
      sym__type_identifier,
    STATE(5916), 1,
      sym_identifier,
    STATE(6132), 1,
      sym__soft_identifier,
    STATE(12797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8570), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [586586] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14690), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [586626] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14692), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [586666] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12863), 1,
      sym__backquoted_id,
    ACTIONS(12959), 1,
      anon_sym_EQ,
    STATE(12800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12855), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [586696] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6616), 1,
      sym__alpha_identifier,
    ACTIONS(6630), 1,
      sym__backquoted_id,
    ACTIONS(14694), 1,
      anon_sym_type,
    ACTIONS(14696), 1,
      sym_operator_identifier,
    STATE(5123), 1,
      sym_identifier,
    STATE(5216), 1,
      sym__soft_identifier,
    STATE(5487), 1,
      sym__type_identifier,
    STATE(12801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6626), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [586736] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14120), 1,
      anon_sym_LBRACK,
    STATE(6592), 1,
      sym_type_arguments,
    STATE(12802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13988), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [586766] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14698), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [586806] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14700), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [586846] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(14072), 1,
      sym_operator_identifier,
    ACTIONS(14702), 1,
      anon_sym_RPAREN,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(17375), 1,
      sym_named_pattern,
    STATE(19206), 1,
      sym_identifier,
    STATE(12805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [586886] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12204), 1,
      sym__alpha_identifier,
    ACTIONS(12212), 1,
      sym__backquoted_id,
    ACTIONS(14704), 1,
      anon_sym_type,
    ACTIONS(14706), 1,
      sym_operator_identifier,
    STATE(12205), 1,
      sym_identifier,
    STATE(12290), 1,
      sym__soft_identifier,
    STATE(12818), 1,
      sym__type_identifier,
    STATE(12806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12208), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [586926] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14708), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [586966] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14710), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [587006] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14712), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [587046] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14716), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(14714), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [587074] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6660), 1,
      sym__alpha_identifier,
    ACTIONS(6674), 1,
      sym__backquoted_id,
    ACTIONS(14718), 1,
      anon_sym_type,
    ACTIONS(14720), 1,
      sym_operator_identifier,
    STATE(6519), 1,
      sym_identifier,
    STATE(6547), 1,
      sym__soft_identifier,
    STATE(7823), 1,
      sym__type_identifier,
    STATE(12811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6670), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [587114] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14722), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [587154] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14724), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [587194] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [587220] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12216), 1,
      sym__alpha_identifier,
    ACTIONS(12224), 1,
      sym__backquoted_id,
    ACTIONS(14726), 1,
      anon_sym_type,
    ACTIONS(14728), 1,
      sym_operator_identifier,
    STATE(13890), 1,
      sym_identifier,
    STATE(13963), 1,
      sym__soft_identifier,
    STATE(14320), 1,
      sym__type_identifier,
    STATE(12815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12220), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [587260] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14730), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [587300] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14732), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [587340] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [587366] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4406), 1,
      sym__alpha_identifier,
    ACTIONS(4424), 1,
      sym__backquoted_id,
    ACTIONS(14734), 1,
      anon_sym_type,
    ACTIONS(14736), 1,
      sym_operator_identifier,
    STATE(5143), 1,
      sym_identifier,
    STATE(5218), 1,
      sym__soft_identifier,
    STATE(5580), 1,
      sym__type_identifier,
    STATE(12819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4418), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [587406] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14738), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [587446] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14740), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [587486] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6720), 1,
      sym__alpha_identifier,
    ACTIONS(6734), 1,
      sym__backquoted_id,
    ACTIONS(14742), 1,
      anon_sym_type,
    ACTIONS(14744), 1,
      sym_operator_identifier,
    STATE(6553), 1,
      sym__soft_identifier,
    STATE(6658), 1,
      sym_identifier,
    STATE(7850), 1,
      sym__type_identifier,
    STATE(12822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6730), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [587526] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14746), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [587566] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14748), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [587606] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [587632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14752), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(14750), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [587660] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12242), 1,
      sym__alpha_identifier,
    ACTIONS(12250), 1,
      sym__backquoted_id,
    ACTIONS(14754), 1,
      anon_sym_type,
    ACTIONS(14756), 1,
      sym_operator_identifier,
    STATE(13965), 1,
      sym__soft_identifier,
    STATE(14021), 1,
      sym_identifier,
    STATE(14338), 1,
      sym__type_identifier,
    STATE(12827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12246), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [587700] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14758), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [587740] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14760), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [587780] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [587806] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14764), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(14762), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [587834] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4906), 1,
      sym__backquoted_id,
    ACTIONS(14766), 1,
      anon_sym_type,
    ACTIONS(14768), 1,
      sym_operator_identifier,
    STATE(5964), 1,
      sym_identifier,
    STATE(6137), 1,
      sym__soft_identifier,
    STATE(6521), 1,
      sym__type_identifier,
    STATE(12832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [587874] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14770), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [587914] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14774), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(14772), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [587942] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14776), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [587982] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [588008] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4850), 1,
      sym__alpha_identifier,
    ACTIONS(4868), 1,
      sym__backquoted_id,
    ACTIONS(14778), 1,
      anon_sym_type,
    ACTIONS(14780), 1,
      sym_operator_identifier,
    STATE(6558), 1,
      sym__soft_identifier,
    STATE(6769), 1,
      sym_identifier,
    STATE(7875), 1,
      sym__type_identifier,
    STATE(12837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4862), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [588048] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14782), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [588088] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14784), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [588128] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [588154] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4968), 1,
      sym__alpha_identifier,
    ACTIONS(4980), 1,
      sym__backquoted_id,
    ACTIONS(14786), 1,
      anon_sym_type,
    ACTIONS(14788), 1,
      sym_operator_identifier,
    STATE(4713), 1,
      sym_identifier,
    STATE(4726), 1,
      sym__soft_identifier,
    STATE(4925), 1,
      sym__type_identifier,
    STATE(12841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4976), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [588194] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14790), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [588234] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14792), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [588274] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6806), 1,
      sym__alpha_identifier,
    ACTIONS(6820), 1,
      sym__backquoted_id,
    ACTIONS(14794), 1,
      anon_sym_type,
    ACTIONS(14796), 1,
      sym_operator_identifier,
    STATE(9433), 1,
      sym__soft_identifier,
    STATE(9842), 1,
      sym_identifier,
    STATE(10224), 1,
      sym__type_identifier,
    STATE(12844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6816), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [588314] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14798), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [588354] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14800), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [588394] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13896), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [588420] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4600), 1,
      sym__alpha_identifier,
    ACTIONS(4618), 1,
      sym__backquoted_id,
    ACTIONS(14802), 1,
      anon_sym_type,
    ACTIONS(14804), 1,
      sym_operator_identifier,
    STATE(5161), 1,
      sym_identifier,
    STATE(5221), 1,
      sym__soft_identifier,
    STATE(5734), 1,
      sym__type_identifier,
    STATE(12848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4612), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [588460] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14806), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [588500] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14808), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [588540] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13976), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [588566] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8594), 1,
      sym__alpha_identifier,
    ACTIONS(8602), 1,
      sym__backquoted_id,
    ACTIONS(14810), 1,
      anon_sym_type,
    ACTIONS(14812), 1,
      sym_operator_identifier,
    STATE(6563), 1,
      sym__soft_identifier,
    STATE(6731), 1,
      sym__type_identifier,
    STATE(6955), 1,
      sym_identifier,
    STATE(12852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8598), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [588606] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14814), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [588646] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14816), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [588686] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [588712] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6850), 1,
      sym__alpha_identifier,
    ACTIONS(6864), 1,
      sym__backquoted_id,
    ACTIONS(14818), 1,
      anon_sym_type,
    ACTIONS(14820), 1,
      sym_operator_identifier,
    STATE(5375), 1,
      sym_identifier,
    STATE(5498), 1,
      sym__soft_identifier,
    STATE(5972), 1,
      sym__type_identifier,
    STATE(12856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [588752] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14822), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [588792] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [588818] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14824), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [588858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14828), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(14826), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [588886] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11872), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [588912] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11892), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [588938] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12260), 1,
      sym__alpha_identifier,
    ACTIONS(12268), 1,
      sym__backquoted_id,
    ACTIONS(14830), 1,
      anon_sym_type,
    ACTIONS(14832), 1,
      sym_operator_identifier,
    STATE(12998), 1,
      sym_identifier,
    STATE(13074), 1,
      sym__soft_identifier,
    STATE(13365), 1,
      sym__type_identifier,
    STATE(12863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12264), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [588978] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14834), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [589018] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14836), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [589058] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [589084] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [589110] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6868), 1,
      sym__alpha_identifier,
    ACTIONS(6882), 1,
      sym__backquoted_id,
    ACTIONS(14838), 1,
      anon_sym_type,
    ACTIONS(14840), 1,
      sym_operator_identifier,
    STATE(6569), 1,
      sym__soft_identifier,
    STATE(7015), 1,
      sym_identifier,
    STATE(7925), 1,
      sym__type_identifier,
    STATE(12868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6878), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [589150] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14842), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [589190] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14844), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [589230] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [589256] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12272), 1,
      sym__alpha_identifier,
    ACTIONS(12280), 1,
      sym__backquoted_id,
    ACTIONS(14846), 1,
      anon_sym_type,
    ACTIONS(14848), 1,
      sym_operator_identifier,
    STATE(13740), 1,
      sym_identifier,
    STATE(13969), 1,
      sym__soft_identifier,
    STATE(14272), 1,
      sym__type_identifier,
    STATE(12872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12276), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [589296] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14850), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [589336] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14852), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [589376] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [589402] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6890), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      sym__backquoted_id,
    ACTIONS(14854), 1,
      anon_sym_type,
    ACTIONS(14856), 1,
      sym_operator_identifier,
    STATE(7095), 1,
      sym_identifier,
    STATE(7184), 1,
      sym__soft_identifier,
    STATE(8595), 1,
      sym__type_identifier,
    STATE(12876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [589442] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14858), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [589482] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [589508] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14860), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [589548] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [589574] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [589600] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12287), 1,
      sym__alpha_identifier,
    ACTIONS(12295), 1,
      sym__backquoted_id,
    ACTIONS(14862), 1,
      anon_sym_type,
    ACTIONS(14864), 1,
      sym_operator_identifier,
    STATE(11778), 1,
      sym_identifier,
    STATE(11831), 1,
      sym__soft_identifier,
    STATE(11933), 1,
      sym__type_identifier,
    STATE(12882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12291), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [589640] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14866), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [589680] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [589706] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14868), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [589746] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [589772] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [589798] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6912), 1,
      sym__alpha_identifier,
    ACTIONS(6922), 1,
      sym__backquoted_id,
    ACTIONS(14870), 1,
      anon_sym_type,
    ACTIONS(14872), 1,
      sym_operator_identifier,
    STATE(4828), 1,
      sym__soft_identifier,
    STATE(4912), 1,
      sym_identifier,
    STATE(5170), 1,
      sym__type_identifier,
    STATE(12888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6918), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [589838] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14874), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [589878] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14876), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [589918] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [589944] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [589970] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6944), 1,
      sym__alpha_identifier,
    ACTIONS(6958), 1,
      sym__backquoted_id,
    ACTIONS(14878), 1,
      anon_sym_type,
    ACTIONS(14880), 1,
      sym_operator_identifier,
    STATE(5422), 1,
      sym_identifier,
    STATE(5502), 1,
      sym__soft_identifier,
    STATE(6017), 1,
      sym__type_identifier,
    STATE(12893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [590010] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14882), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [590050] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14884), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [590090] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12299), 1,
      sym__alpha_identifier,
    ACTIONS(12307), 1,
      sym__backquoted_id,
    ACTIONS(14886), 1,
      anon_sym_type,
    ACTIONS(14888), 1,
      sym_operator_identifier,
    STATE(13041), 1,
      sym_identifier,
    STATE(13078), 1,
      sym__soft_identifier,
    STATE(13419), 1,
      sym__type_identifier,
    STATE(12896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12303), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [590130] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14890), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [590170] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14892), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [590210] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [590236] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11957), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [590262] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4738), 1,
      sym__alpha_identifier,
    ACTIONS(4756), 1,
      sym__backquoted_id,
    ACTIONS(14894), 1,
      anon_sym_type,
    ACTIONS(14896), 1,
      sym_operator_identifier,
    STATE(5436), 1,
      sym_identifier,
    STATE(5504), 1,
      sym__soft_identifier,
    STATE(6037), 1,
      sym__type_identifier,
    STATE(12901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [590302] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14898), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [590342] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11989), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [590368] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14900), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [590408] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(13422), 1,
      anon_sym_COLON,
    ACTIONS(14009), 1,
      anon_sym_with,
    STATE(10080), 1,
      sym__refinement,
    STATE(10120), 1,
      sym_template_body,
    STATE(14523), 1,
      aux_sym_compound_type_repeat1,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8562), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590448] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6348), 1,
      sym__alpha_identifier,
    ACTIONS(6362), 1,
      sym__backquoted_id,
    ACTIONS(14902), 1,
      anon_sym_type,
    ACTIONS(14904), 1,
      sym_operator_identifier,
    STATE(6082), 1,
      sym_identifier,
    STATE(6144), 1,
      sym__soft_identifier,
    STATE(6358), 1,
      sym__type_identifier,
    STATE(12906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6358), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [590488] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14906), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [590528] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14908), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [590568] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12314), 1,
      sym__alpha_identifier,
    ACTIONS(12322), 1,
      sym__backquoted_id,
    ACTIONS(14910), 1,
      anon_sym_type,
    ACTIONS(14912), 1,
      sym_operator_identifier,
    STATE(13486), 1,
      sym_identifier,
    STATE(13559), 1,
      sym__soft_identifier,
    STATE(13795), 1,
      sym__type_identifier,
    STATE(12909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12318), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [590608] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14914), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [590648] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14916), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [590688] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14918), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [590728] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14920), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [590768] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12025), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [590794] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12384), 1,
      sym__alpha_identifier,
    ACTIONS(12392), 1,
      sym__backquoted_id,
    ACTIONS(14922), 1,
      anon_sym_type,
    ACTIONS(14924), 1,
      sym_operator_identifier,
    STATE(11303), 1,
      sym__soft_identifier,
    STATE(11398), 1,
      sym_identifier,
    STATE(11787), 1,
      sym__type_identifier,
    STATE(12915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12388), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [590834] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11908), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [590860] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11915), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [590886] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11919), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [590912] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [590938] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [590964] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14926), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [591004] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [591030] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12332), 1,
      sym__alpha_identifier,
    ACTIONS(12338), 1,
      sym__backquoted_id,
    ACTIONS(14148), 1,
      sym_operator_identifier,
    STATE(10581), 1,
      sym__soft_identifier,
    STATE(11368), 1,
      sym_identifier,
    STATE(12306), 1,
      sym__type_identifier,
    STATE(15361), 1,
      sym__type_constructor,
    STATE(12923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [591070] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [591096] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14928), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [591136] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(14072), 1,
      sym_operator_identifier,
    ACTIONS(14930), 1,
      anon_sym_RPAREN,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(17375), 1,
      sym_named_pattern,
    STATE(19206), 1,
      sym_identifier,
    STATE(12926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [591176] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14472), 1,
      anon_sym_LBRACK,
    ACTIONS(14474), 1,
      anon_sym_match,
    STATE(7052), 1,
      sym_type_arguments,
    STATE(12927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13811), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [591208] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [591234] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [591260] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14472), 1,
      anon_sym_LBRACK,
    STATE(7052), 1,
      sym_type_arguments,
    STATE(12930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13980), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [591290] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [591316] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [591342] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7474), 1,
      anon_sym_RPAREN,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(14072), 1,
      sym_operator_identifier,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(17375), 1,
      sym_named_pattern,
    STATE(19206), 1,
      sym_identifier,
    STATE(12933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [591382] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8732), 1,
      sym__alpha_identifier,
    ACTIONS(8740), 1,
      sym__backquoted_id,
    ACTIONS(14932), 1,
      anon_sym_type,
    ACTIONS(14934), 1,
      sym_operator_identifier,
    STATE(8084), 1,
      sym__soft_identifier,
    STATE(8223), 1,
      sym_identifier,
    STATE(8436), 1,
      sym__type_identifier,
    STATE(12934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8736), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [591422] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [591448] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12741), 1,
      anon_sym_AT,
    ACTIONS(12745), 1,
      anon_sym_LPAREN,
    ACTIONS(13360), 1,
      sym__automatic_semicolon,
    STATE(13865), 1,
      sym_annotation,
    STATE(14076), 1,
      sym_class_parameters,
    STATE(14804), 1,
      sym_access_modifier,
    STATE(14809), 1,
      aux_sym__class_constructor_repeat1,
    ACTIONS(12743), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(12936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12917), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [591490] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9121), 1,
      anon_sym_LPAREN,
    STATE(12939), 1,
      aux_sym_annotation_repeat1,
    STATE(13881), 1,
      sym_arguments,
    STATE(12937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [591522] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13829), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [591548] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14936), 1,
      anon_sym_LPAREN,
    STATE(13881), 1,
      sym_arguments,
    STATE(12939), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [591578] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13794), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [591604] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14939), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [591644] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [591670] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14941), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [591710] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12202), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(12944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12200), 11,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [591738] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [591764] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [591790] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [591816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14943), 1,
      anon_sym_DOT,
    STATE(12948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [591844] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [591870] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14945), 1,
      anon_sym_end,
    STATE(7221), 1,
      sym__end_marker,
    STATE(12950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [591900] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6412), 1,
      sym__alpha_identifier,
    ACTIONS(6426), 1,
      sym__backquoted_id,
    ACTIONS(14947), 1,
      anon_sym_type,
    ACTIONS(14949), 1,
      sym_operator_identifier,
    STATE(6890), 1,
      sym__soft_identifier,
    STATE(7043), 1,
      sym_identifier,
    STATE(7421), 1,
      sym__type_identifier,
    STATE(12951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6422), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [591940] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [591966] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13849), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [591992] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [592018] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [592044] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6466), 1,
      anon_sym_LBRACE,
    ACTIONS(13779), 1,
      anon_sym_COLON,
    ACTIONS(14007), 1,
      anon_sym_with,
    STATE(9749), 1,
      sym_template_body,
    STATE(9781), 1,
      sym__refinement,
    STATE(14533), 1,
      aux_sym_compound_type_repeat1,
    STATE(9563), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8562), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [592084] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14951), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [592124] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14953), 1,
      anon_sym_AT,
    STATE(13819), 1,
      sym_annotation,
    STATE(12958), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [592154] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14956), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [592194] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [592220] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [592246] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13855), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [592272] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13896), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [592298] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [592324] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13976), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [592350] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14003), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [592376] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14005), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [592402] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13761), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [592428] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(13863), 1,
      anon_sym_LPAREN,
    STATE(14106), 1,
      sym__using_parameters_clause,
    STATE(12969), 2,
      sym_comment,
      sym_block_comment,
    STATE(14372), 2,
      sym_type_parameters,
      sym_parameters,
    ACTIONS(14958), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [592462] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13857), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [592488] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [592514] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [592540] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13869), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13867), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [592568] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14960), 1,
      anon_sym_end,
    STATE(7092), 1,
      sym__end_marker,
    STATE(12974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [592598] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13898), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [592624] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13904), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [592650] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13924), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [592676] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [592702] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8781), 1,
      sym__alpha_identifier,
    ACTIONS(8789), 1,
      sym__backquoted_id,
    ACTIONS(14962), 1,
      anon_sym_type,
    ACTIONS(14964), 1,
      sym_operator_identifier,
    STATE(8445), 1,
      sym__type_identifier,
    STATE(8454), 1,
      sym__soft_identifier,
    STATE(8612), 1,
      sym_identifier,
    STATE(12979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8785), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [592742] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14472), 1,
      anon_sym_LBRACK,
    STATE(7052), 1,
      sym_type_arguments,
    STATE(12980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13988), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [592772] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13936), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [592798] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14966), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [592838] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [592864] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13938), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [592890] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14968), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(12985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [592930] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [592956] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12863), 1,
      sym__backquoted_id,
    ACTIONS(13161), 1,
      anon_sym_EQ,
    STATE(12987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12855), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [592986] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12332), 1,
      sym__alpha_identifier,
    ACTIONS(12338), 1,
      sym__backquoted_id,
    ACTIONS(14970), 1,
      anon_sym_object,
    ACTIONS(14972), 1,
      sym_operator_identifier,
    STATE(10581), 1,
      sym__soft_identifier,
    STATE(14758), 1,
      sym_package_identifier,
    STATE(14931), 1,
      sym_identifier,
    STATE(12988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [593026] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14974), 1,
      anon_sym_DOT,
    STATE(12989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [593054] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7496), 1,
      anon_sym_RPAREN,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(14072), 1,
      sym_operator_identifier,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(17375), 1,
      sym_named_pattern,
    STATE(19206), 1,
      sym_identifier,
    STATE(12990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [593094] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13956), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [593120] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13958), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [593146] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [593172] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13962), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [593198] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [593224] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13968), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13966), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [593252] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [593278] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(12998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [593306] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13829), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [593332] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13794), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [593358] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12863), 1,
      sym__backquoted_id,
    ACTIONS(13175), 1,
      anon_sym_EQ,
    STATE(13001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12855), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [593388] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [593414] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6634), 1,
      sym__alpha_identifier,
    ACTIONS(6648), 1,
      sym__backquoted_id,
    ACTIONS(14976), 1,
      anon_sym_type,
    ACTIONS(14978), 1,
      sym_operator_identifier,
    STATE(6508), 1,
      sym_identifier,
    STATE(6655), 1,
      sym__soft_identifier,
    STATE(7661), 1,
      sym__type_identifier,
    STATE(13003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6644), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [593454] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14980), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(13004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [593494] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13994), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13992), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [593522] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14982), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(13006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [593562] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [593588] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13849), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [593614] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13855), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [593640] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14003), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [593666] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14005), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [593692] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13761), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [593718] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13857), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [593744] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13869), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13867), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [593772] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13898), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [593798] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13904), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [593824] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13924), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [593850] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13936), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [593876] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [593902] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [593928] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(13422), 1,
      anon_sym_COLON,
    ACTIONS(13426), 1,
      anon_sym_derives,
    STATE(13672), 1,
      sym_derives_clause,
    STATE(15287), 1,
      sym_template_body,
    STATE(15327), 1,
      sym__definition_body,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14984), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [593968] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(14986), 1,
      anon_sym_type,
    ACTIONS(14988), 1,
      sym_operator_identifier,
    STATE(8002), 1,
      sym__soft_identifier,
    STATE(8127), 1,
      sym_identifier,
    STATE(9160), 1,
      sym__type_identifier,
    STATE(13022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [594008] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13938), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [594034] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [594060] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13956), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [594086] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13958), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [594112] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13962), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [594138] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [594164] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14990), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(13029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [594204] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13968), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13966), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [594232] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13994), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13992), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [594260] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(14992), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(13032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [594300] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12124), 1,
      sym__alpha_identifier,
    ACTIONS(12132), 1,
      sym__backquoted_id,
    ACTIONS(14088), 1,
      sym_operator_identifier,
    STATE(11029), 1,
      sym_identifier,
    STATE(11739), 1,
      sym__soft_identifier,
    STATE(11889), 1,
      sym__class_constructor,
    STATE(15516), 1,
      sym__class_definition,
    STATE(13033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [594340] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [594366] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14996), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(14994), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [594394] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8394), 1,
      sym__alpha_identifier,
    ACTIONS(8406), 1,
      sym__backquoted_id,
    ACTIONS(14998), 1,
      anon_sym_type,
    ACTIONS(15000), 1,
      sym_operator_identifier,
    STATE(14141), 1,
      sym_identifier,
    STATE(14225), 1,
      sym__soft_identifier,
    STATE(14457), 1,
      sym__type_identifier,
    STATE(13036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [594434] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12332), 1,
      sym__alpha_identifier,
    ACTIONS(12338), 1,
      sym__backquoted_id,
    ACTIONS(14148), 1,
      sym_operator_identifier,
    STATE(10581), 1,
      sym__soft_identifier,
    STATE(11368), 1,
      sym_identifier,
    STATE(13132), 1,
      sym__type_identifier,
    STATE(15783), 1,
      sym__type_constructor,
    STATE(13037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [594474] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12124), 1,
      sym__alpha_identifier,
    ACTIONS(12132), 1,
      sym__backquoted_id,
    ACTIONS(14088), 1,
      sym_operator_identifier,
    STATE(11029), 1,
      sym_identifier,
    STATE(11739), 1,
      sym__soft_identifier,
    STATE(11889), 1,
      sym__class_constructor,
    STATE(15453), 1,
      sym__class_definition,
    STATE(13038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [594514] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [594540] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(15002), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(13040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [594580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(13041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [594608] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12332), 1,
      sym__alpha_identifier,
    ACTIONS(12338), 1,
      sym__backquoted_id,
    ACTIONS(14148), 1,
      sym_operator_identifier,
    STATE(10581), 1,
      sym__soft_identifier,
    STATE(11368), 1,
      sym_identifier,
    STATE(13132), 1,
      sym__type_identifier,
    STATE(15567), 1,
      sym__type_constructor,
    STATE(13042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [594648] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(15004), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(13043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [594688] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [594714] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [594740] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [594766] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12955), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [594792] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(15008), 1,
      sym_operator_identifier,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15655), 1,
      sym_identifier,
    ACTIONS(15006), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(13048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [594830] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11872), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [594856] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8813), 1,
      sym__alpha_identifier,
    ACTIONS(8825), 1,
      sym__backquoted_id,
    ACTIONS(15010), 1,
      anon_sym_type,
    ACTIONS(15012), 1,
      sym_operator_identifier,
    STATE(5104), 1,
      sym__type_identifier,
    STATE(5236), 1,
      sym__soft_identifier,
    STATE(5330), 1,
      sym_identifier,
    STATE(13050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8821), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [594896] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [594922] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [594948] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(13053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [594976] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(15014), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(13054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [595016] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11892), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [595042] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(15016), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(13056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [595082] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [595108] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(25), 1,
      anon_sym__,
    ACTIONS(85), 1,
      sym__backquoted_id,
    ACTIONS(15018), 1,
      sym_operator_identifier,
    STATE(4738), 1,
      sym__soft_identifier,
    STATE(13058), 2,
      sym_comment,
      sym_block_comment,
    STATE(15260), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [595146] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12961), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [595172] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12963), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [595198] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4564), 1,
      sym__alpha_identifier,
    ACTIONS(4576), 1,
      sym__backquoted_id,
    ACTIONS(15020), 1,
      anon_sym_type,
    ACTIONS(15022), 1,
      sym_operator_identifier,
    STATE(5078), 1,
      sym_identifier,
    STATE(5119), 1,
      sym__soft_identifier,
    STATE(5756), 1,
      sym__type_identifier,
    STATE(13061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4572), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [595238] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(15024), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(13062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [595278] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14472), 1,
      anon_sym_LBRACK,
    STATE(7052), 1,
      sym_type_arguments,
    STATE(13063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13990), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [595308] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [595334] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(15026), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(13065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [595374] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12965), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [595400] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [595426] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(15028), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(13068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [595466] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(13422), 1,
      anon_sym_COLON,
    ACTIONS(13426), 1,
      anon_sym_derives,
    ACTIONS(15032), 1,
      sym__automatic_semicolon,
    STATE(13967), 1,
      sym_derives_clause,
    STATE(15287), 1,
      sym_template_body,
    STATE(15299), 1,
      sym__definition_body,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15030), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [595508] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12877), 1,
      anon_sym_AT,
    STATE(13128), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13739), 1,
      sym_annotation,
    STATE(13070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [595540] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [595566] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [595592] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [595618] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [595644] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11957), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [595670] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11989), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [595696] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 13,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [595722] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 13,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [595748] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15037), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(15035), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [595776] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12069), 1,
      sym__alpha_identifier,
    ACTIONS(12077), 1,
      sym__backquoted_id,
    ACTIONS(14051), 1,
      sym_operator_identifier,
    STATE(11290), 1,
      sym_identifier,
    STATE(12062), 1,
      sym__soft_identifier,
    STATE(12200), 1,
      sym__class_constructor,
    STATE(15831), 1,
      sym__class_definition,
    STATE(13080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12073), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [595816] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12069), 1,
      sym__alpha_identifier,
    ACTIONS(12077), 1,
      sym__backquoted_id,
    ACTIONS(14051), 1,
      sym_operator_identifier,
    STATE(11290), 1,
      sym_identifier,
    STATE(12062), 1,
      sym__soft_identifier,
    STATE(12200), 1,
      sym__class_constructor,
    STATE(15662), 1,
      sym__class_definition,
    STATE(13081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12073), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [595856] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12084), 1,
      sym__alpha_identifier,
    ACTIONS(12092), 1,
      sym__backquoted_id,
    ACTIONS(14128), 1,
      sym_operator_identifier,
    STATE(11611), 1,
      sym__soft_identifier,
    STATE(12260), 1,
      sym__type_identifier,
    STATE(12920), 1,
      sym_identifier,
    STATE(15300), 1,
      sym__type_constructor,
    STATE(13082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [595896] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [595922] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15041), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(15039), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [595950] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [595976] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15045), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(15043), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [596004] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15049), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(15047), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [596032] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8300), 1,
      sym__alpha_identifier,
    ACTIONS(8312), 1,
      sym__backquoted_id,
    ACTIONS(15051), 1,
      anon_sym_type,
    ACTIONS(15053), 1,
      sym_operator_identifier,
    STATE(11883), 1,
      sym_identifier,
    STATE(11917), 1,
      sym__soft_identifier,
    STATE(12301), 1,
      sym__type_identifier,
    STATE(13088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8308), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [596072] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12332), 1,
      sym__alpha_identifier,
    ACTIONS(12338), 1,
      sym__backquoted_id,
    ACTIONS(14148), 1,
      sym_operator_identifier,
    STATE(10581), 1,
      sym__soft_identifier,
    STATE(11368), 1,
      sym_identifier,
    STATE(12306), 1,
      sym__type_identifier,
    STATE(15401), 1,
      sym__type_constructor,
    STATE(13089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [596112] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      sym__alpha_identifier,
    ACTIONS(8440), 1,
      sym__backquoted_id,
    ACTIONS(15055), 1,
      anon_sym_type,
    ACTIONS(15057), 1,
      sym_operator_identifier,
    STATE(9471), 1,
      sym_identifier,
    STATE(9499), 1,
      sym__type_identifier,
    STATE(9586), 1,
      sym__soft_identifier,
    STATE(13090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [596152] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [596178] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(15059), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(13092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [596218] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [596244] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [596270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15063), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(15061), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [596298] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(15065), 1,
      anon_sym_type,
    ACTIONS(15067), 1,
      sym_operator_identifier,
    STATE(12022), 1,
      sym_identifier,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12305), 1,
      sym__type_identifier,
    STATE(13096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [596338] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [596364] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11865), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [596390] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12332), 1,
      sym__alpha_identifier,
    ACTIONS(12338), 1,
      sym__backquoted_id,
    ACTIONS(14148), 1,
      sym_operator_identifier,
    STATE(10581), 1,
      sym__soft_identifier,
    STATE(11368), 1,
      sym_identifier,
    STATE(12306), 1,
      sym__type_identifier,
    STATE(15455), 1,
      sym__type_constructor,
    STATE(13099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [596430] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(15069), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(13100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [596470] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(15071), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(13101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [596510] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [596536] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12025), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [596562] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [596588] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [596614] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(14072), 1,
      sym_operator_identifier,
    ACTIONS(15073), 1,
      anon_sym_RPAREN,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(17375), 1,
      sym_named_pattern,
    STATE(19206), 1,
      sym_identifier,
    STATE(13106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [596654] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12230), 1,
      sym__alpha_identifier,
    ACTIONS(12238), 1,
      sym__backquoted_id,
    ACTIONS(15075), 1,
      anon_sym_type,
    ACTIONS(15077), 1,
      sym_operator_identifier,
    STATE(8258), 1,
      sym__soft_identifier,
    STATE(8431), 1,
      sym_identifier,
    STATE(9198), 1,
      sym__type_identifier,
    STATE(13107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [596694] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(15079), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(13108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [596734] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12863), 1,
      sym__backquoted_id,
    ACTIONS(13028), 1,
      anon_sym_EQ,
    STATE(13109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12855), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [596764] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11908), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [596790] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15083), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(15081), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [596818] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12863), 1,
      sym__backquoted_id,
    ACTIONS(13030), 1,
      anon_sym_EQ,
    STATE(13112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12855), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [596848] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11915), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [596874] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11919), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [596900] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(15085), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(13115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [596940] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [596966] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [596992] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15089), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(15087), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [597020] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(15091), 1,
      anon_sym_type,
    ACTIONS(15093), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(5828), 1,
      sym_identifier,
    STATE(7000), 1,
      sym__type_identifier,
    STATE(13119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [597060] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12332), 1,
      sym__alpha_identifier,
    ACTIONS(12338), 1,
      sym__backquoted_id,
    ACTIONS(14148), 1,
      sym_operator_identifier,
    STATE(10581), 1,
      sym__soft_identifier,
    STATE(11368), 1,
      sym_identifier,
    STATE(12306), 1,
      sym__type_identifier,
    STATE(15520), 1,
      sym__type_constructor,
    STATE(13120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [597100] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(15095), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(13121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [597140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15099), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(15097), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [597168] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(15101), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(13123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [597208] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9817), 1,
      anon_sym_LPAREN,
    ACTIONS(15103), 1,
      anon_sym_LBRACK,
    ACTIONS(15105), 1,
      anon_sym_POUND,
    STATE(14039), 1,
      aux_sym_annotation_repeat1,
    STATE(14352), 1,
      sym_type_arguments,
    STATE(14692), 1,
      sym_arguments,
    STATE(13124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [597246] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [597272] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11458), 1,
      sym__alpha_identifier,
    ACTIONS(11466), 1,
      sym__backquoted_id,
    ACTIONS(15107), 1,
      anon_sym_type,
    ACTIONS(15109), 1,
      sym_operator_identifier,
    STATE(14840), 1,
      sym_identifier,
    STATE(14844), 1,
      sym__soft_identifier,
    STATE(14950), 1,
      sym__type_identifier,
    STATE(13126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11462), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [597312] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(15111), 1,
      anon_sym_type,
    ACTIONS(15113), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(4481), 1,
      sym_identifier,
    STATE(4483), 1,
      sym__type_identifier,
    STATE(13127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [597352] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15115), 1,
      anon_sym_AT,
    STATE(13739), 1,
      sym_annotation,
    STATE(13128), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [597382] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(13863), 1,
      anon_sym_LPAREN,
    STATE(14106), 1,
      sym__using_parameters_clause,
    STATE(13129), 2,
      sym_comment,
      sym_block_comment,
    STATE(14372), 2,
      sym_type_parameters,
      sym_parameters,
    ACTIONS(15118), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [597416] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(15120), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(13130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [597456] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(15122), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(13131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [597496] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(15124), 1,
      anon_sym_COLON,
    ACTIONS(15126), 1,
      anon_sym_LT_COLON,
    ACTIONS(15128), 1,
      anon_sym_GT_COLON,
    STATE(14038), 1,
      sym_type_parameters,
    STATE(14693), 1,
      sym_lower_bound,
    STATE(15077), 1,
      sym_upper_bound,
    STATE(15256), 1,
      sym__context_bounds,
    STATE(15266), 1,
      aux_sym__context_bounds_repeat1,
    STATE(13132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13841), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_SEMI,
  [597540] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    ACTIONS(15130), 1,
      anon_sym_RPAREN,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(13133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [597580] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(14072), 1,
      sym_operator_identifier,
    ACTIONS(15132), 1,
      anon_sym_RPAREN,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(17375), 1,
      sym_named_pattern,
    STATE(19206), 1,
      sym_identifier,
    STATE(13134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [597620] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7466), 1,
      anon_sym_RPAREN,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(14072), 1,
      sym_operator_identifier,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(17375), 1,
      sym_named_pattern,
    STATE(19206), 1,
      sym_identifier,
    STATE(13135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [597660] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13018), 1,
      anon_sym_AT,
    STATE(12958), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13819), 1,
      sym_annotation,
    STATE(13136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [597692] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6514), 1,
      sym__alpha_identifier,
    ACTIONS(6524), 1,
      sym__backquoted_id,
    ACTIONS(15134), 1,
      anon_sym_type,
    ACTIONS(15136), 1,
      sym_operator_identifier,
    STATE(9059), 1,
      sym_identifier,
    STATE(9211), 1,
      sym__soft_identifier,
    STATE(9857), 1,
      sym__type_identifier,
    STATE(13137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6520), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [597732] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7486), 1,
      anon_sym_RPAREN,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(14072), 1,
      sym_operator_identifier,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(17375), 1,
      sym_named_pattern,
    STATE(19206), 1,
      sym_identifier,
    STATE(13138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [597772] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15140), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(15138), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [597800] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15142), 1,
      anon_sym_match,
    ACTIONS(15144), 1,
      sym_operator_identifier,
    STATE(4455), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [597837] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12745), 1,
      anon_sym_LPAREN,
    ACTIONS(15148), 1,
      sym__automatic_semicolon,
    STATE(13207), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14076), 1,
      sym_class_parameters,
    STATE(13141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15146), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [597870] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13344), 1,
      sym__alpha_identifier,
    ACTIONS(13348), 1,
      sym__backquoted_id,
    ACTIONS(15151), 1,
      sym_operator_identifier,
    STATE(15086), 1,
      sym__soft_identifier,
    STATE(15248), 1,
      sym_identifier,
    STATE(15809), 1,
      sym_simple_enum_case,
    STATE(13142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13346), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [597907] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12153), 1,
      sym__alpha_identifier,
    ACTIONS(12161), 1,
      sym__backquoted_id,
    ACTIONS(15153), 1,
      sym_operator_identifier,
    STATE(13552), 1,
      sym__soft_identifier,
    STATE(13684), 1,
      sym_identifier,
    STATE(13776), 1,
      sym__type_identifier,
    STATE(13143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12157), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [597944] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15155), 1,
      anon_sym_LPAREN,
    STATE(14114), 1,
      sym_arguments,
    STATE(13144), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [597973] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8524), 1,
      sym__alpha_identifier,
    ACTIONS(8532), 1,
      sym__backquoted_id,
    ACTIONS(15158), 1,
      sym_operator_identifier,
    STATE(8274), 1,
      sym_identifier,
    STATE(8284), 1,
      sym__type_identifier,
    STATE(8549), 1,
      sym__soft_identifier,
    STATE(13145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8528), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [598010] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8624), 1,
      sym__alpha_identifier,
    ACTIONS(8632), 1,
      sym__backquoted_id,
    ACTIONS(15160), 1,
      sym_operator_identifier,
    STATE(7298), 1,
      sym__type_identifier,
    STATE(7312), 1,
      sym_identifier,
    STATE(7815), 1,
      sym__soft_identifier,
    STATE(13146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8628), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [598047] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6446), 1,
      sym__alpha_identifier,
    ACTIONS(6460), 1,
      sym__backquoted_id,
    ACTIONS(15162), 1,
      sym_operator_identifier,
    STATE(6529), 1,
      sym__soft_identifier,
    STATE(7766), 1,
      sym_identifier,
    STATE(7775), 1,
      sym__type_identifier,
    STATE(13147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6456), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [598084] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [598109] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12084), 1,
      sym__alpha_identifier,
    ACTIONS(12092), 1,
      sym__backquoted_id,
    ACTIONS(15164), 1,
      sym_operator_identifier,
    STATE(11611), 1,
      sym__soft_identifier,
    STATE(12521), 1,
      sym_identifier,
    STATE(15058), 1,
      sym__function_constructor,
    STATE(13149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [598146] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4670), 1,
      sym__alpha_identifier,
    ACTIONS(4688), 1,
      sym__backquoted_id,
    ACTIONS(15166), 1,
      sym_operator_identifier,
    STATE(7831), 1,
      sym__soft_identifier,
    STATE(8321), 1,
      sym__type_identifier,
    STATE(8391), 1,
      sym_identifier,
    STATE(13150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4682), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [598183] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5024), 1,
      sym__alpha_identifier,
    ACTIONS(5044), 1,
      sym__backquoted_id,
    ACTIONS(15168), 1,
      sym_operator_identifier,
    STATE(5105), 1,
      sym__soft_identifier,
    STATE(5507), 1,
      sym_identifier,
    STATE(5707), 1,
      sym__type_identifier,
    STATE(13151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5030), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [598220] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12165), 1,
      sym__alpha_identifier,
    ACTIONS(12173), 1,
      sym__backquoted_id,
    ACTIONS(15170), 1,
      sym_operator_identifier,
    STATE(11584), 1,
      sym__soft_identifier,
    STATE(11650), 1,
      sym_identifier,
    STATE(11657), 1,
      sym__type_identifier,
    STATE(13152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12169), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [598257] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12124), 1,
      sym__alpha_identifier,
    ACTIONS(12132), 1,
      sym__backquoted_id,
    ACTIONS(15172), 1,
      sym_operator_identifier,
    STATE(11739), 1,
      sym__soft_identifier,
    STATE(12010), 1,
      sym_identifier,
    STATE(15511), 1,
      sym__object_definition,
    STATE(13153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [598294] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12332), 1,
      sym__alpha_identifier,
    ACTIONS(12338), 1,
      sym__backquoted_id,
    ACTIONS(14160), 1,
      sym_operator_identifier,
    STATE(10581), 1,
      sym__soft_identifier,
    STATE(11317), 1,
      sym_identifier,
    STATE(11763), 1,
      sym__type_identifier,
    STATE(13154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [598331] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6480), 1,
      sym__alpha_identifier,
    ACTIONS(6494), 1,
      sym__backquoted_id,
    ACTIONS(15174), 1,
      sym_operator_identifier,
    STATE(8580), 1,
      sym__soft_identifier,
    STATE(9225), 1,
      sym_identifier,
    STATE(9232), 1,
      sym__type_identifier,
    STATE(13155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6490), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [598368] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [598393] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8612), 1,
      sym__alpha_identifier,
    ACTIONS(8620), 1,
      sym__backquoted_id,
    ACTIONS(15176), 1,
      sym_operator_identifier,
    STATE(9128), 1,
      sym__type_identifier,
    STATE(9179), 1,
      sym_identifier,
    STATE(9327), 1,
      sym__soft_identifier,
    STATE(13157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8616), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [598430] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12177), 1,
      sym__alpha_identifier,
    ACTIONS(12185), 1,
      sym__backquoted_id,
    ACTIONS(15178), 1,
      sym_operator_identifier,
    STATE(12015), 1,
      sym__soft_identifier,
    STATE(12426), 1,
      sym_identifier,
    STATE(12454), 1,
      sym__type_identifier,
    STATE(13158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12181), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [598467] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [598492] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8540), 1,
      sym__alpha_identifier,
    ACTIONS(8552), 1,
      sym__backquoted_id,
    ACTIONS(15180), 1,
      sym_operator_identifier,
    STATE(5093), 1,
      sym_identifier,
    STATE(5097), 1,
      sym__type_identifier,
    STATE(5211), 1,
      sym__soft_identifier,
    STATE(13160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8548), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [598529] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13829), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [598554] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15182), 1,
      sym__alpha_identifier,
    ACTIONS(15184), 1,
      anon_sym_LBRACE,
    ACTIONS(15186), 1,
      anon_sym_LBRACK,
    ACTIONS(15190), 1,
      sym__backquoted_id,
    STATE(10029), 1,
      sym_identifier,
    STATE(10350), 1,
      sym__soft_identifier,
    STATE(13162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15188), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [598591] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(14043), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17609), 1,
      sym_name_and_type,
    STATE(18688), 1,
      sym_identifier,
    STATE(13163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [598628] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6500), 1,
      sym__alpha_identifier,
    ACTIONS(6510), 1,
      sym__backquoted_id,
    ACTIONS(15192), 1,
      sym_operator_identifier,
    STATE(4724), 1,
      sym__soft_identifier,
    STATE(4824), 1,
      sym_identifier,
    STATE(4835), 1,
      sym__type_identifier,
    STATE(13164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6506), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [598665] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13794), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [598690] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [598715] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [598740] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6546), 1,
      sym__backquoted_id,
    ACTIONS(15194), 1,
      sym_operator_identifier,
    STATE(5214), 1,
      sym__soft_identifier,
    STATE(5478), 1,
      sym_identifier,
    STATE(5488), 1,
      sym__type_identifier,
    STATE(13168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6542), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [598777] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15196), 1,
      sym__alpha_identifier,
    ACTIONS(15198), 1,
      anon_sym_LBRACE,
    ACTIONS(15200), 1,
      anon_sym_LBRACK,
    ACTIONS(15204), 1,
      sym__backquoted_id,
    STATE(9464), 1,
      sym_identifier,
    STATE(9598), 1,
      sym__soft_identifier,
    STATE(13169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15202), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [598814] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6996), 1,
      sym__alpha_identifier,
    ACTIONS(7006), 1,
      sym__backquoted_id,
    ACTIONS(15206), 1,
      sym_operator_identifier,
    STATE(7879), 1,
      sym__soft_identifier,
    STATE(8498), 1,
      sym__type_identifier,
    STATE(8551), 1,
      sym_identifier,
    STATE(13170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7002), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [598851] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [598876] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      sym__alpha_identifier,
    ACTIONS(7328), 1,
      sym__backquoted_id,
    ACTIONS(15208), 1,
      sym_operator_identifier,
    STATE(12031), 1,
      sym__soft_identifier,
    STATE(12240), 1,
      sym_identifier,
    STATE(12269), 1,
      sym__type_identifier,
    STATE(13172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7324), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [598913] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5410), 1,
      sym__alpha_identifier,
    ACTIONS(5420), 1,
      sym__backquoted_id,
    ACTIONS(15210), 1,
      sym_operator_identifier,
    STATE(7620), 1,
      sym__soft_identifier,
    STATE(8359), 1,
      sym__type_identifier,
    STATE(8461), 1,
      sym_identifier,
    STATE(13173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5416), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [598950] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8566), 1,
      sym__alpha_identifier,
    ACTIONS(8574), 1,
      sym__backquoted_id,
    ACTIONS(15212), 1,
      sym_operator_identifier,
    STATE(5882), 1,
      sym_identifier,
    STATE(5891), 1,
      sym__type_identifier,
    STATE(6132), 1,
      sym__soft_identifier,
    STATE(13174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8570), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [598987] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15214), 1,
      sym__alpha_identifier,
    ACTIONS(15216), 1,
      anon_sym_LBRACE,
    ACTIONS(15218), 1,
      anon_sym_LBRACK,
    ACTIONS(15222), 1,
      sym__backquoted_id,
    STATE(9467), 1,
      sym_identifier,
    STATE(9812), 1,
      sym__soft_identifier,
    STATE(13175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15220), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [599024] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6616), 1,
      sym__alpha_identifier,
    ACTIONS(6630), 1,
      sym__backquoted_id,
    ACTIONS(15224), 1,
      sym_operator_identifier,
    STATE(5216), 1,
      sym__soft_identifier,
    STATE(5519), 1,
      sym_identifier,
    STATE(5545), 1,
      sym__type_identifier,
    STATE(13176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6626), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [599061] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10170), 1,
      anon_sym_COLON,
    STATE(13177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [599088] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12745), 1,
      anon_sym_LPAREN,
    ACTIONS(13544), 1,
      sym__automatic_semicolon,
    STATE(13141), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14076), 1,
      sym_class_parameters,
    STATE(13178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13542), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [599121] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12204), 1,
      sym__alpha_identifier,
    ACTIONS(12212), 1,
      sym__backquoted_id,
    ACTIONS(15226), 1,
      sym_operator_identifier,
    STATE(12290), 1,
      sym__soft_identifier,
    STATE(12867), 1,
      sym_identifier,
    STATE(12881), 1,
      sym__type_identifier,
    STATE(13179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12208), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [599158] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12369), 1,
      sym__alpha_identifier,
    ACTIONS(12377), 1,
      sym__backquoted_id,
    ACTIONS(15228), 1,
      sym_operator_identifier,
    STATE(11720), 1,
      sym__soft_identifier,
    STATE(11967), 1,
      sym__type_identifier,
    STATE(11975), 1,
      sym_identifier,
    STATE(13180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12373), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [599195] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13849), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [599220] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [599245] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12745), 1,
      anon_sym_LPAREN,
    ACTIONS(15232), 1,
      sym__automatic_semicolon,
    STATE(13207), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14076), 1,
      sym_class_parameters,
    STATE(13183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15230), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [599278] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13855), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [599303] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6660), 1,
      sym__alpha_identifier,
    ACTIONS(6674), 1,
      sym__backquoted_id,
    ACTIONS(15235), 1,
      sym_operator_identifier,
    STATE(6547), 1,
      sym__soft_identifier,
    STATE(7836), 1,
      sym_identifier,
    STATE(7842), 1,
      sym__type_identifier,
    STATE(13185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6670), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [599340] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15237), 1,
      sym__alpha_identifier,
    ACTIONS(15239), 1,
      anon_sym_LBRACE,
    ACTIONS(15241), 1,
      anon_sym_LBRACK,
    ACTIONS(15245), 1,
      sym__backquoted_id,
    STATE(8240), 1,
      sym_identifier,
    STATE(8489), 1,
      sym__soft_identifier,
    STATE(13186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15243), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [599377] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14003), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [599402] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11655), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(13188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11653), 10,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [599429] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12216), 1,
      sym__alpha_identifier,
    ACTIONS(12224), 1,
      sym__backquoted_id,
    ACTIONS(15247), 1,
      sym_operator_identifier,
    STATE(13963), 1,
      sym__soft_identifier,
    STATE(14088), 1,
      sym__type_identifier,
    STATE(14335), 1,
      sym_identifier,
    STATE(13189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12220), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [599466] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14005), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [599491] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13761), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [599516] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15249), 1,
      anon_sym_LBRACK,
    STATE(7628), 1,
      sym_type_arguments,
    STATE(13192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13813), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [599545] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4406), 1,
      sym__alpha_identifier,
    ACTIONS(4424), 1,
      sym__backquoted_id,
    ACTIONS(15251), 1,
      sym_operator_identifier,
    STATE(5218), 1,
      sym__soft_identifier,
    STATE(5634), 1,
      sym_identifier,
    STATE(5641), 1,
      sym__type_identifier,
    STATE(13193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4418), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [599582] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13857), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [599607] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13817), 1,
      anon_sym_COLON,
    ACTIONS(13821), 1,
      anon_sym_LT_COLON,
    ACTIONS(13823), 1,
      anon_sym_GT_COLON,
    ACTIONS(13825), 1,
      anon_sym_LT_PERCENT,
    STATE(14298), 1,
      sym_lower_bound,
    STATE(14791), 1,
      sym_upper_bound,
    STATE(14801), 1,
      aux_sym__type_parameter_repeat1,
    STATE(15575), 1,
      sym_view_bound,
    STATE(15813), 1,
      aux_sym__context_bounds_repeat1,
    STATE(17364), 1,
      sym__context_bounds,
    ACTIONS(15253), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13195), 2,
      sym_comment,
      sym_block_comment,
  [599652] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15255), 1,
      sym__alpha_identifier,
    ACTIONS(15257), 1,
      anon_sym_LBRACE,
    ACTIONS(15259), 1,
      anon_sym_LBRACK,
    ACTIONS(15263), 1,
      sym__backquoted_id,
    STATE(6534), 1,
      sym__soft_identifier,
    STATE(6904), 1,
      sym_identifier,
    STATE(13196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15261), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [599689] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8456), 1,
      sym__alpha_identifier,
    ACTIONS(8468), 1,
      sym__backquoted_id,
    ACTIONS(15265), 1,
      sym_operator_identifier,
    STATE(10393), 1,
      sym__type_identifier,
    STATE(10439), 1,
      sym_identifier,
    STATE(10760), 1,
      sym__soft_identifier,
    STATE(13197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8464), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [599726] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6720), 1,
      sym__alpha_identifier,
    ACTIONS(6734), 1,
      sym__backquoted_id,
    ACTIONS(15267), 1,
      sym_operator_identifier,
    STATE(6553), 1,
      sym__soft_identifier,
    STATE(7857), 1,
      sym_identifier,
    STATE(7865), 1,
      sym__type_identifier,
    STATE(13198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6730), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [599763] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13869), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13867), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [599790] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [599815] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10345), 1,
      anon_sym_LPAREN,
    ACTIONS(15269), 1,
      anon_sym_LBRACK,
    ACTIONS(15271), 1,
      anon_sym_POUND,
    STATE(14124), 1,
      aux_sym_annotation_repeat1,
    STATE(14691), 1,
      sym_type_arguments,
    STATE(14882), 1,
      sym_arguments,
    STATE(13201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [599852] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12242), 1,
      sym__alpha_identifier,
    ACTIONS(12250), 1,
      sym__backquoted_id,
    ACTIONS(15273), 1,
      sym_operator_identifier,
    STATE(13965), 1,
      sym__soft_identifier,
    STATE(14079), 1,
      sym__type_identifier,
    STATE(14346), 1,
      sym_identifier,
    STATE(13202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12246), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [599889] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13898), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [599914] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15255), 1,
      sym__alpha_identifier,
    ACTIONS(15263), 1,
      sym__backquoted_id,
    ACTIONS(15275), 1,
      anon_sym_LBRACE,
    ACTIONS(15277), 1,
      anon_sym_LBRACK,
    STATE(6534), 1,
      sym__soft_identifier,
    STATE(6588), 1,
      sym_identifier,
    STATE(13204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15261), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [599951] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13904), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [599976] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13924), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [600001] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15281), 1,
      anon_sym_LPAREN,
    ACTIONS(15284), 1,
      sym__automatic_semicolon,
    STATE(14076), 1,
      sym_class_parameters,
    STATE(13207), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__class_constructor_repeat1,
    ACTIONS(15279), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [600032] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4888), 1,
      sym__alpha_identifier,
    ACTIONS(4906), 1,
      sym__backquoted_id,
    ACTIONS(15287), 1,
      sym_operator_identifier,
    STATE(6137), 1,
      sym__soft_identifier,
    STATE(6567), 1,
      sym_identifier,
    STATE(6603), 1,
      sym__type_identifier,
    STATE(13208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [600069] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12961), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [600094] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13849), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [600119] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12963), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [600144] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15289), 1,
      sym__alpha_identifier,
    ACTIONS(15291), 1,
      anon_sym_LBRACE,
    ACTIONS(15293), 1,
      anon_sym_LBRACK,
    ACTIONS(15297), 1,
      sym__backquoted_id,
    STATE(10050), 1,
      sym_identifier,
    STATE(10217), 1,
      sym__soft_identifier,
    STATE(13212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15295), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [600181] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(15299), 1,
      anon_sym_LBRACE,
    ACTIONS(15301), 1,
      anon_sym_LBRACK,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11788), 1,
      sym_identifier,
    STATE(13213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [600218] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4850), 1,
      sym__alpha_identifier,
    ACTIONS(4868), 1,
      sym__backquoted_id,
    ACTIONS(15303), 1,
      sym_operator_identifier,
    STATE(6558), 1,
      sym__soft_identifier,
    STATE(7890), 1,
      sym_identifier,
    STATE(7897), 1,
      sym__type_identifier,
    STATE(13214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4862), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [600255] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6738), 1,
      sym__alpha_identifier,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(15305), 1,
      sym_operator_identifier,
    STATE(7645), 1,
      sym__soft_identifier,
    STATE(8422), 1,
      sym__type_identifier,
    STATE(8530), 1,
      sym_identifier,
    STATE(13215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [600292] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8578), 1,
      sym__alpha_identifier,
    ACTIONS(8590), 1,
      sym__backquoted_id,
    ACTIONS(15307), 1,
      sym_operator_identifier,
    STATE(4960), 1,
      sym__soft_identifier,
    STATE(4961), 1,
      sym__type_identifier,
    STATE(4984), 1,
      sym_identifier,
    STATE(13216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8586), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [600329] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13936), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [600354] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4968), 1,
      sym__alpha_identifier,
    ACTIONS(4980), 1,
      sym__backquoted_id,
    ACTIONS(15309), 1,
      sym_operator_identifier,
    STATE(4726), 1,
      sym__soft_identifier,
    STATE(4933), 1,
      sym_identifier,
    STATE(4941), 1,
      sym__type_identifier,
    STATE(13218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4976), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [600391] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15311), 1,
      sym__alpha_identifier,
    ACTIONS(15313), 1,
      anon_sym_LBRACE,
    ACTIONS(15315), 1,
      anon_sym_LBRACK,
    ACTIONS(15319), 1,
      sym__backquoted_id,
    STATE(8938), 1,
      sym_identifier,
    STATE(8985), 1,
      sym__soft_identifier,
    STATE(13219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15317), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [600428] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(13220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [600455] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6806), 1,
      sym__alpha_identifier,
    ACTIONS(6820), 1,
      sym__backquoted_id,
    ACTIONS(15321), 1,
      sym_operator_identifier,
    STATE(9433), 1,
      sym__soft_identifier,
    STATE(10244), 1,
      sym_identifier,
    STATE(10250), 1,
      sym__type_identifier,
    STATE(13221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6816), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [600492] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [600517] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13938), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [600542] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4600), 1,
      sym__alpha_identifier,
    ACTIONS(4618), 1,
      sym__backquoted_id,
    ACTIONS(15323), 1,
      sym_operator_identifier,
    STATE(5221), 1,
      sym__soft_identifier,
    STATE(5341), 1,
      sym__type_identifier,
    STATE(5777), 1,
      sym_identifier,
    STATE(13224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4612), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [600579] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12124), 1,
      sym__alpha_identifier,
    ACTIONS(12132), 1,
      sym__backquoted_id,
    ACTIONS(15172), 1,
      sym_operator_identifier,
    STATE(11739), 1,
      sym__soft_identifier,
    STATE(12010), 1,
      sym_identifier,
    STATE(16615), 1,
      sym__object_definition,
    STATE(13225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [600616] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4920), 1,
      sym__alpha_identifier,
    ACTIONS(4932), 1,
      sym__backquoted_id,
    ACTIONS(15325), 1,
      sym_operator_identifier,
    STATE(4983), 1,
      sym__soft_identifier,
    STATE(5074), 1,
      sym__type_identifier,
    STATE(5086), 1,
      sym_identifier,
    STATE(13226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4928), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [600653] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13855), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [600678] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8636), 1,
      sym__outdent,
    ACTIONS(8638), 1,
      anon_sym_case,
    STATE(13228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [600709] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6466), 1,
      anon_sym_LBRACE,
    ACTIONS(13779), 1,
      anon_sym_COLON,
    ACTIONS(13783), 1,
      anon_sym_derives,
    STATE(14271), 1,
      sym_derives_clause,
    STATE(15572), 1,
      sym__definition_body,
    STATE(15832), 1,
      sym_template_body,
    STATE(9563), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14984), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [600748] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8594), 1,
      sym__alpha_identifier,
    ACTIONS(8602), 1,
      sym__backquoted_id,
    ACTIONS(15327), 1,
      sym_operator_identifier,
    STATE(6563), 1,
      sym__soft_identifier,
    STATE(6816), 1,
      sym_identifier,
    STATE(6836), 1,
      sym__type_identifier,
    STATE(13230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8598), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [600785] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13956), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [600810] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(507), 1,
      sym__alpha_identifier,
    ACTIONS(571), 1,
      sym__backquoted_id,
    ACTIONS(15329), 1,
      sym_operator_identifier,
    STATE(6129), 1,
      sym__soft_identifier,
    STATE(14947), 1,
      sym_identifier,
    STATE(15452), 1,
      sym__namespace_expression,
    STATE(13232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(695), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [600847] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6850), 1,
      sym__alpha_identifier,
    ACTIONS(6864), 1,
      sym__backquoted_id,
    ACTIONS(15331), 1,
      sym_operator_identifier,
    STATE(5498), 1,
      sym__soft_identifier,
    STATE(5980), 1,
      sym_identifier,
    STATE(5987), 1,
      sym__type_identifier,
    STATE(13233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [600884] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13958), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [600909] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14003), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [600934] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14005), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [600959] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15333), 1,
      anon_sym_LBRACK,
    STATE(7357), 1,
      sym_type_arguments,
    STATE(13237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13990), 10,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [600988] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13962), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [601013] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12260), 1,
      sym__alpha_identifier,
    ACTIONS(12268), 1,
      sym__backquoted_id,
    ACTIONS(15335), 1,
      sym_operator_identifier,
    STATE(13074), 1,
      sym__soft_identifier,
    STATE(13373), 1,
      sym_identifier,
    STATE(13377), 1,
      sym__type_identifier,
    STATE(13239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12264), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [601050] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13968), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13966), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [601077] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13994), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13992), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [601104] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6868), 1,
      sym__alpha_identifier,
    ACTIONS(6882), 1,
      sym__backquoted_id,
    ACTIONS(15337), 1,
      sym_operator_identifier,
    STATE(6569), 1,
      sym__soft_identifier,
    STATE(7932), 1,
      sym_identifier,
    STATE(7936), 1,
      sym__type_identifier,
    STATE(13242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6878), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [601141] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8652), 1,
      sym__alpha_identifier,
    ACTIONS(8664), 1,
      sym__backquoted_id,
    ACTIONS(15339), 1,
      sym_operator_identifier,
    STATE(5376), 1,
      sym__soft_identifier,
    STATE(5462), 1,
      sym__type_identifier,
    STATE(5582), 1,
      sym_identifier,
    STATE(13243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8660), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [601178] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15341), 1,
      sym__alpha_identifier,
    ACTIONS(15343), 1,
      anon_sym_LBRACE,
    ACTIONS(15345), 1,
      anon_sym_LBRACK,
    ACTIONS(15349), 1,
      sym__backquoted_id,
    STATE(7960), 1,
      sym__soft_identifier,
    STATE(8395), 1,
      sym_identifier,
    STATE(13244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15347), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [601215] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15351), 1,
      sym__alpha_identifier,
    ACTIONS(15353), 1,
      anon_sym_LBRACE,
    ACTIONS(15355), 1,
      anon_sym_LBRACK,
    ACTIONS(15359), 1,
      sym__backquoted_id,
    STATE(8894), 1,
      sym_identifier,
    STATE(9393), 1,
      sym__soft_identifier,
    STATE(13245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15357), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [601252] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12272), 1,
      sym__alpha_identifier,
    ACTIONS(12280), 1,
      sym__backquoted_id,
    ACTIONS(15361), 1,
      sym_operator_identifier,
    STATE(13969), 1,
      sym__soft_identifier,
    STATE(14209), 1,
      sym_identifier,
    STATE(14282), 1,
      sym__type_identifier,
    STATE(13246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12276), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [601289] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15363), 1,
      anon_sym_with,
    STATE(13247), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [601316] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6776), 1,
      sym__alpha_identifier,
    ACTIONS(6790), 1,
      sym__backquoted_id,
    ACTIONS(15366), 1,
      sym_operator_identifier,
    STATE(6632), 1,
      sym__soft_identifier,
    STATE(7873), 1,
      sym__type_identifier,
    STATE(7921), 1,
      sym_identifier,
    STATE(13248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6786), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [601353] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6568), 1,
      sym__alpha_identifier,
    ACTIONS(6582), 1,
      sym__backquoted_id,
    ACTIONS(15368), 1,
      sym_operator_identifier,
    STATE(4989), 1,
      sym__soft_identifier,
    STATE(5134), 1,
      sym__type_identifier,
    STATE(5155), 1,
      sym_identifier,
    STATE(13249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6578), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [601390] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6890), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      sym__backquoted_id,
    ACTIONS(15370), 1,
      sym_operator_identifier,
    STATE(7184), 1,
      sym__soft_identifier,
    STATE(8589), 1,
      sym__type_identifier,
    STATE(8615), 1,
      sym_identifier,
    STATE(13250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6900), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [601427] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(15372), 1,
      anon_sym_LBRACE,
    ACTIONS(15374), 1,
      anon_sym_LBRACK,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(10365), 1,
      sym_identifier,
    STATE(13251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [601464] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15376), 1,
      sym__alpha_identifier,
    ACTIONS(15378), 1,
      anon_sym_LBRACE,
    ACTIONS(15380), 1,
      anon_sym_LBRACK,
    ACTIONS(15384), 1,
      sym__backquoted_id,
    STATE(7105), 1,
      sym__soft_identifier,
    STATE(7454), 1,
      sym_identifier,
    STATE(13252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15382), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [601501] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13843), 1,
      anon_sym_LBRACK,
    ACTIONS(14102), 1,
      anon_sym_LPAREN,
    STATE(14676), 1,
      sym__using_parameters_clause,
    STATE(13253), 2,
      sym_comment,
      sym_block_comment,
    STATE(14522), 2,
      sym_type_parameters,
      sym_parameters,
    ACTIONS(14958), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [601534] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12287), 1,
      sym__alpha_identifier,
    ACTIONS(12295), 1,
      sym__backquoted_id,
    ACTIONS(15386), 1,
      sym_operator_identifier,
    STATE(11831), 1,
      sym__soft_identifier,
    STATE(11939), 1,
      sym_identifier,
    STATE(11944), 1,
      sym__type_identifier,
    STATE(13254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12291), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [601571] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [601596] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8853), 1,
      sym__alpha_identifier,
    ACTIONS(8861), 1,
      sym__backquoted_id,
    ACTIONS(15388), 1,
      sym_operator_identifier,
    STATE(8138), 1,
      sym__type_identifier,
    STATE(8242), 1,
      sym_identifier,
    STATE(8317), 1,
      sym__soft_identifier,
    STATE(13256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8857), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [601633] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14078), 1,
      anon_sym_LBRACK,
    ACTIONS(14080), 1,
      anon_sym_AT,
    ACTIONS(14084), 1,
      anon_sym_POUND,
    STATE(14431), 1,
      aux_sym_enum_definition_repeat1,
    STATE(14524), 1,
      sym_type_arguments,
    STATE(15046), 1,
      sym_annotation,
    STATE(13257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [601670] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8793), 1,
      sym__alpha_identifier,
    ACTIONS(8801), 1,
      sym__backquoted_id,
    ACTIONS(15390), 1,
      sym_operator_identifier,
    STATE(5366), 1,
      sym__type_identifier,
    STATE(5401), 1,
      sym__soft_identifier,
    STATE(5434), 1,
      sym_identifier,
    STATE(13258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8797), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [601707] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6912), 1,
      sym__alpha_identifier,
    ACTIONS(6922), 1,
      sym__backquoted_id,
    ACTIONS(15392), 1,
      sym_operator_identifier,
    STATE(4828), 1,
      sym__soft_identifier,
    STATE(5174), 1,
      sym_identifier,
    STATE(5178), 1,
      sym__type_identifier,
    STATE(13259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6918), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [601744] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15394), 1,
      sym__alpha_identifier,
    ACTIONS(15396), 1,
      anon_sym_LBRACE,
    ACTIONS(15398), 1,
      anon_sym_LBRACK,
    ACTIONS(15402), 1,
      sym__backquoted_id,
    STATE(9173), 1,
      sym__soft_identifier,
    STATE(9332), 1,
      sym_identifier,
    STATE(13260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15400), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [601781] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15404), 1,
      anon_sym_LBRACK,
    STATE(7299), 1,
      sym_type_arguments,
    STATE(13261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13813), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [601810] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15404), 1,
      anon_sym_LBRACK,
    STATE(7299), 1,
      sym_type_arguments,
    STATE(13262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13916), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [601839] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6944), 1,
      sym__alpha_identifier,
    ACTIONS(6958), 1,
      sym__backquoted_id,
    ACTIONS(15406), 1,
      sym_operator_identifier,
    STATE(5502), 1,
      sym__soft_identifier,
    STATE(6032), 1,
      sym_identifier,
    STATE(6038), 1,
      sym__type_identifier,
    STATE(13263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6954), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [601876] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15333), 1,
      anon_sym_LBRACK,
    STATE(7357), 1,
      sym_type_arguments,
    STATE(13264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13813), 10,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [601905] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15404), 1,
      anon_sym_LBRACK,
    ACTIONS(15408), 1,
      anon_sym_match,
    STATE(7299), 1,
      sym_type_arguments,
    STATE(13265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [601936] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15333), 1,
      anon_sym_LBRACK,
    STATE(7357), 1,
      sym_type_arguments,
    STATE(13266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13916), 10,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [601965] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4370), 1,
      sym__alpha_identifier,
    ACTIONS(4388), 1,
      sym__backquoted_id,
    ACTIONS(15410), 1,
      sym_operator_identifier,
    STATE(5425), 1,
      sym__soft_identifier,
    STATE(5854), 1,
      sym__type_identifier,
    STATE(5871), 1,
      sym_identifier,
    STATE(13267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4382), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [602002] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12299), 1,
      sym__alpha_identifier,
    ACTIONS(12307), 1,
      sym__backquoted_id,
    ACTIONS(15412), 1,
      sym_operator_identifier,
    STATE(13078), 1,
      sym__soft_identifier,
    STATE(13435), 1,
      sym_identifier,
    STATE(13443), 1,
      sym__type_identifier,
    STATE(13268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12303), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [602039] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8877), 1,
      sym__alpha_identifier,
    ACTIONS(8889), 1,
      sym__backquoted_id,
    ACTIONS(15414), 1,
      sym_operator_identifier,
    STATE(5562), 1,
      sym_identifier,
    STATE(5745), 1,
      sym__type_identifier,
    STATE(5773), 1,
      sym__soft_identifier,
    STATE(13269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8885), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [602076] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8829), 1,
      sym__alpha_identifier,
    ACTIONS(8837), 1,
      sym__backquoted_id,
    ACTIONS(15416), 1,
      sym_operator_identifier,
    STATE(6516), 1,
      sym__type_identifier,
    STATE(6683), 1,
      sym_identifier,
    STATE(6697), 1,
      sym__soft_identifier,
    STATE(13270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8833), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [602113] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4738), 1,
      sym__alpha_identifier,
    ACTIONS(4756), 1,
      sym__backquoted_id,
    ACTIONS(15418), 1,
      sym_operator_identifier,
    STATE(5504), 1,
      sym__soft_identifier,
    STATE(6054), 1,
      sym_identifier,
    STATE(6059), 1,
      sym__type_identifier,
    STATE(13271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [602150] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15404), 1,
      anon_sym_LBRACK,
    ACTIONS(15408), 1,
      anon_sym_match,
    STATE(7299), 1,
      sym_type_arguments,
    STATE(13272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13811), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [602181] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15249), 1,
      anon_sym_LBRACK,
    STATE(7628), 1,
      sym_type_arguments,
    STATE(13273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13916), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [602210] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8895), 1,
      sym__alpha_identifier,
    ACTIONS(8903), 1,
      sym__backquoted_id,
    ACTIONS(15420), 1,
      sym_operator_identifier,
    STATE(7119), 1,
      sym__soft_identifier,
    STATE(7473), 1,
      sym__type_identifier,
    STATE(7488), 1,
      sym_identifier,
    STATE(13274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8899), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [602247] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6348), 1,
      sym__alpha_identifier,
    ACTIONS(6362), 1,
      sym__backquoted_id,
    ACTIONS(15422), 1,
      sym_operator_identifier,
    STATE(6144), 1,
      sym__soft_identifier,
    STATE(6387), 1,
      sym_identifier,
    STATE(6395), 1,
      sym__type_identifier,
    STATE(13275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6358), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [602284] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15249), 1,
      anon_sym_LBRACK,
    ACTIONS(15424), 1,
      anon_sym_match,
    STATE(7628), 1,
      sym_type_arguments,
    STATE(13276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13811), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [602315] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12314), 1,
      sym__alpha_identifier,
    ACTIONS(12322), 1,
      sym__backquoted_id,
    ACTIONS(15426), 1,
      sym_operator_identifier,
    STATE(13559), 1,
      sym__soft_identifier,
    STATE(13824), 1,
      sym_identifier,
    STATE(13833), 1,
      sym__type_identifier,
    STATE(13277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12318), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [602352] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13761), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [602377] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15333), 1,
      anon_sym_LBRACK,
    ACTIONS(15428), 1,
      anon_sym_match,
    STATE(7357), 1,
      sym_type_arguments,
    STATE(13279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13811), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [602408] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12124), 1,
      sym__alpha_identifier,
    ACTIONS(12132), 1,
      sym__backquoted_id,
    ACTIONS(15430), 1,
      sym_operator_identifier,
    STATE(11739), 1,
      sym__soft_identifier,
    STATE(12190), 1,
      sym_identifier,
    STATE(12214), 1,
      sym__type_identifier,
    STATE(13280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [602445] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6330), 1,
      sym__alpha_identifier,
    ACTIONS(6344), 1,
      sym__backquoted_id,
    ACTIONS(15432), 1,
      sym_operator_identifier,
    STATE(6086), 1,
      sym__soft_identifier,
    STATE(6394), 1,
      sym__type_identifier,
    STATE(6483), 1,
      sym_identifier,
    STATE(13281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6340), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [602482] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12124), 1,
      sym__alpha_identifier,
    ACTIONS(12132), 1,
      sym__backquoted_id,
    ACTIONS(15434), 1,
      sym_operator_identifier,
    STATE(11739), 1,
      sym__soft_identifier,
    STATE(11866), 1,
      sym_identifier,
    STATE(15049), 1,
      sym__class_constructor,
    STATE(13282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [602519] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      sym__alpha_identifier,
    ACTIONS(4956), 1,
      sym__backquoted_id,
    ACTIONS(15436), 1,
      sym_operator_identifier,
    STATE(4757), 1,
      sym__soft_identifier,
    STATE(4886), 1,
      sym_identifier,
    STATE(5007), 1,
      sym__type_identifier,
    STATE(13283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4952), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [602556] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12069), 1,
      sym__alpha_identifier,
    ACTIONS(12077), 1,
      sym__backquoted_id,
    ACTIONS(15438), 1,
      sym_operator_identifier,
    STATE(12062), 1,
      sym__soft_identifier,
    STATE(12405), 1,
      sym_identifier,
    STATE(15581), 1,
      sym__object_definition,
    STATE(13284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12073), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [602593] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12384), 1,
      sym__alpha_identifier,
    ACTIONS(12392), 1,
      sym__backquoted_id,
    ACTIONS(15440), 1,
      sym_operator_identifier,
    STATE(11303), 1,
      sym__soft_identifier,
    STATE(11643), 1,
      sym__type_identifier,
    STATE(11732), 1,
      sym_identifier,
    STATE(13285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12388), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [602630] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12084), 1,
      sym__alpha_identifier,
    ACTIONS(12092), 1,
      sym__backquoted_id,
    ACTIONS(14468), 1,
      sym_operator_identifier,
    STATE(11611), 1,
      sym__soft_identifier,
    STATE(13053), 1,
      sym_identifier,
    STATE(13422), 1,
      sym__type_identifier,
    STATE(13286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [602667] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13857), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [602692] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12124), 1,
      sym__alpha_identifier,
    ACTIONS(12132), 1,
      sym__backquoted_id,
    ACTIONS(15434), 1,
      sym_operator_identifier,
    STATE(11739), 1,
      sym__soft_identifier,
    STATE(11866), 1,
      sym_identifier,
    STATE(15067), 1,
      sym__class_constructor,
    STATE(13288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [602729] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12124), 1,
      sym__alpha_identifier,
    ACTIONS(12132), 1,
      sym__backquoted_id,
    ACTIONS(15434), 1,
      sym_operator_identifier,
    STATE(11739), 1,
      sym__soft_identifier,
    STATE(11866), 1,
      sym_identifier,
    STATE(14985), 1,
      sym__class_constructor,
    STATE(13289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [602766] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15249), 1,
      anon_sym_LBRACK,
    STATE(7628), 1,
      sym_type_arguments,
    STATE(13290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13980), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [602795] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12332), 1,
      sym__alpha_identifier,
    ACTIONS(12338), 1,
      sym__backquoted_id,
    ACTIONS(15442), 1,
      sym_operator_identifier,
    STATE(10581), 1,
      sym__soft_identifier,
    STATE(12284), 1,
      sym_identifier,
    STATE(14994), 1,
      sym__function_constructor,
    STATE(13291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [602832] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13869), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13867), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [602859] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13898), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [602884] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12422), 1,
      sym__alpha_identifier,
    ACTIONS(12430), 1,
      sym__backquoted_id,
    ACTIONS(15444), 1,
      sym_operator_identifier,
    STATE(13497), 1,
      sym__soft_identifier,
    STATE(13755), 1,
      sym__type_identifier,
    STATE(14050), 1,
      sym_identifier,
    STATE(13294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12426), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [602921] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9393), 1,
      anon_sym_LBRACK,
    ACTIONS(9397), 1,
      anon_sym_POUND,
    ACTIONS(10363), 1,
      anon_sym_LPAREN,
    STATE(4537), 1,
      sym_type_arguments,
    STATE(4655), 1,
      sym_arguments,
    STATE(14150), 1,
      aux_sym_annotation_repeat1,
    STATE(13295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [602958] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13904), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [602983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10825), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(13297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10823), 10,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [603010] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15448), 1,
      anon_sym_catch,
    ACTIONS(15450), 1,
      anon_sym_finally,
    STATE(13461), 1,
      sym_finally_clause,
    STATE(14181), 1,
      sym_catch_clause,
    STATE(13298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [603043] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12332), 1,
      sym__alpha_identifier,
    ACTIONS(12338), 1,
      sym__backquoted_id,
    ACTIONS(15442), 1,
      sym_operator_identifier,
    STATE(10581), 1,
      sym__soft_identifier,
    STATE(12284), 1,
      sym_identifier,
    STATE(15024), 1,
      sym__function_constructor,
    STATE(13299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [603080] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10833), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(13300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10831), 10,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [603107] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12124), 1,
      sym__alpha_identifier,
    ACTIONS(12132), 1,
      sym__backquoted_id,
    ACTIONS(15434), 1,
      sym_operator_identifier,
    STATE(11739), 1,
      sym__soft_identifier,
    STATE(11866), 1,
      sym_identifier,
    STATE(15026), 1,
      sym__class_constructor,
    STATE(13301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [603144] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10837), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(13302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10835), 10,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [603171] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12332), 1,
      sym__alpha_identifier,
    ACTIONS(12338), 1,
      sym__backquoted_id,
    ACTIONS(14148), 1,
      sym_operator_identifier,
    STATE(10581), 1,
      sym__soft_identifier,
    STATE(11368), 1,
      sym_identifier,
    STATE(12649), 1,
      sym__type_identifier,
    STATE(13303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [603208] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12069), 1,
      sym__alpha_identifier,
    ACTIONS(12077), 1,
      sym__backquoted_id,
    ACTIONS(15438), 1,
      sym_operator_identifier,
    STATE(12062), 1,
      sym__soft_identifier,
    STATE(12405), 1,
      sym_identifier,
    STATE(15586), 1,
      sym__object_definition,
    STATE(13304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12073), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [603245] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [603270] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13924), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [603295] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12332), 1,
      sym__alpha_identifier,
    ACTIONS(12338), 1,
      sym__backquoted_id,
    ACTIONS(15442), 1,
      sym_operator_identifier,
    STATE(10581), 1,
      sym__soft_identifier,
    STATE(12284), 1,
      sym_identifier,
    STATE(15064), 1,
      sym__function_constructor,
    STATE(13307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [603332] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6466), 1,
      anon_sym_LBRACE,
    ACTIONS(13779), 1,
      anon_sym_COLON,
    ACTIONS(13783), 1,
      anon_sym_derives,
    ACTIONS(15452), 1,
      sym__automatic_semicolon,
    STATE(14314), 1,
      sym_derives_clause,
    STATE(15637), 1,
      sym__definition_body,
    STATE(15832), 1,
      sym_template_body,
    STATE(9563), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15030), 3,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [603373] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15455), 1,
      sym__alpha_identifier,
    ACTIONS(15457), 1,
      anon_sym_LBRACE,
    ACTIONS(15459), 1,
      anon_sym_LBRACK,
    ACTIONS(15463), 1,
      sym__backquoted_id,
    STATE(10079), 1,
      sym__soft_identifier,
    STATE(10210), 1,
      sym_identifier,
    STATE(13309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15461), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [603410] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(15465), 1,
      anon_sym_LBRACE,
    ACTIONS(15467), 1,
      anon_sym_LBRACK,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(12348), 1,
      sym_identifier,
    STATE(13310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [603447] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [603472] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8732), 1,
      sym__alpha_identifier,
    ACTIONS(8740), 1,
      sym__backquoted_id,
    ACTIONS(15469), 1,
      sym_operator_identifier,
    STATE(7974), 1,
      sym_identifier,
    STATE(8084), 1,
      sym__soft_identifier,
    STATE(8121), 1,
      sym__type_identifier,
    STATE(13312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8736), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [603509] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13839), 1,
      anon_sym_COLON,
    ACTIONS(13845), 1,
      anon_sym_LT_COLON,
    ACTIONS(13847), 1,
      anon_sym_GT_COLON,
    STATE(14122), 1,
      sym_lower_bound,
    STATE(14788), 1,
      sym_upper_bound,
    STATE(14929), 1,
      aux_sym__context_bounds_repeat1,
    STATE(15362), 1,
      sym__context_bounds,
    STATE(13313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15471), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [603548] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11872), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [603573] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11892), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [603598] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15333), 1,
      anon_sym_LBRACK,
    STATE(7357), 1,
      sym_type_arguments,
    STATE(13316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13980), 10,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [603627] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12745), 1,
      anon_sym_LPAREN,
    ACTIONS(15475), 1,
      sym__automatic_semicolon,
    STATE(13544), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14076), 1,
      sym_class_parameters,
    STATE(13317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15473), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [603660] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12745), 1,
      anon_sym_LPAREN,
    ACTIONS(15480), 1,
      sym__automatic_semicolon,
    STATE(13207), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14076), 1,
      sym_class_parameters,
    STATE(13318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15478), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [603693] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12745), 1,
      anon_sym_LPAREN,
    ACTIONS(15485), 1,
      sym__automatic_semicolon,
    STATE(13207), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14076), 1,
      sym_class_parameters,
    STATE(13319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15483), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [603726] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15488), 1,
      anon_sym_match,
    ACTIONS(15490), 1,
      sym_operator_identifier,
    STATE(4462), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [603763] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8330), 1,
      sym__alpha_identifier,
    ACTIONS(8342), 1,
      sym__backquoted_id,
    ACTIONS(15492), 1,
      sym_operator_identifier,
    STATE(12233), 1,
      sym__soft_identifier,
    STATE(12840), 1,
      sym__type_identifier,
    STATE(12932), 1,
      sym_identifier,
    STATE(13321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [603800] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12961), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [603825] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13936), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [603850] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12963), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [603875] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [603900] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12955), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [603925] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11989), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [603950] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15494), 1,
      anon_sym_STAR,
    STATE(13328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [603977] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(15498), 1,
      anon_sym_extends,
    ACTIONS(15500), 1,
      anon_sym_LPAREN,
    STATE(14759), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(15294), 1,
      sym_class_parameters,
    STATE(15722), 1,
      sym_extends_clause,
    STATE(15858), 1,
      sym_type_parameters,
    STATE(16996), 1,
      sym__full_enum_def,
    STATE(13329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15496), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [604018] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15502), 1,
      anon_sym_COMMA,
    ACTIONS(15504), 1,
      anon_sym_with,
    STATE(14299), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(14329), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(13330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14250), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [604051] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13938), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [604076] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15506), 1,
      anon_sym_match,
    ACTIONS(15508), 1,
      sym_operator_identifier,
    STATE(4465), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [604113] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12025), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [604138] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11908), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [604163] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11915), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [604188] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11919), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [604213] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15510), 1,
      sym__alpha_identifier,
    ACTIONS(15512), 1,
      anon_sym_LBRACE,
    ACTIONS(15514), 1,
      anon_sym_LBRACK,
    ACTIONS(15518), 1,
      sym__backquoted_id,
    STATE(10469), 1,
      sym__soft_identifier,
    STATE(10483), 1,
      sym_identifier,
    STATE(13337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15516), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [604250] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [604275] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15520), 1,
      sym__alpha_identifier,
    ACTIONS(15522), 1,
      anon_sym_LBRACE,
    ACTIONS(15524), 1,
      anon_sym_LBRACK,
    ACTIONS(15528), 1,
      sym__backquoted_id,
    STATE(6348), 1,
      sym__soft_identifier,
    STATE(6528), 1,
      sym_identifier,
    STATE(13339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15526), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [604312] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15490), 1,
      sym_operator_identifier,
    ACTIONS(15530), 1,
      anon_sym_match,
    STATE(4462), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [604349] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13896), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [604374] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13976), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [604399] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15506), 1,
      anon_sym_match,
    ACTIONS(15532), 1,
      sym_operator_identifier,
    STATE(4468), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [604436] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6412), 1,
      sym__alpha_identifier,
    ACTIONS(6426), 1,
      sym__backquoted_id,
    ACTIONS(15534), 1,
      sym_operator_identifier,
    STATE(6890), 1,
      sym__soft_identifier,
    STATE(7523), 1,
      sym__type_identifier,
    STATE(7699), 1,
      sym_identifier,
    STATE(13344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6422), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [604473] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15404), 1,
      anon_sym_LBRACK,
    STATE(7299), 1,
      sym_type_arguments,
    STATE(13345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13980), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [604502] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15341), 1,
      sym__alpha_identifier,
    ACTIONS(15349), 1,
      sym__backquoted_id,
    ACTIONS(15536), 1,
      anon_sym_LBRACE,
    ACTIONS(15538), 1,
      anon_sym_LBRACK,
    STATE(7960), 1,
      sym__soft_identifier,
    STATE(8103), 1,
      sym_identifier,
    STATE(13346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15347), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [604539] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13956), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [604564] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15540), 1,
      anon_sym_match,
    ACTIONS(15542), 1,
      sym_operator_identifier,
    STATE(4469), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [604601] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12069), 1,
      sym__alpha_identifier,
    ACTIONS(12077), 1,
      sym__backquoted_id,
    ACTIONS(15544), 1,
      sym_operator_identifier,
    STATE(12062), 1,
      sym__soft_identifier,
    STATE(12949), 1,
      sym__type_identifier,
    STATE(12978), 1,
      sym_identifier,
    STATE(13349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12073), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [604638] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13958), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [604663] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13962), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [604688] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13968), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13966), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [604715] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      sym__alpha_identifier,
    ACTIONS(163), 1,
      sym__backquoted_id,
    ACTIONS(15546), 1,
      sym_operator_identifier,
    STATE(4545), 1,
      sym__soft_identifier,
    STATE(5254), 1,
      sym__type_identifier,
    STATE(5337), 1,
      sym_identifier,
    STATE(13353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5482), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [604752] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8676), 1,
      sym__alpha_identifier,
    ACTIONS(8688), 1,
      sym__backquoted_id,
    ACTIONS(15548), 1,
      sym_operator_identifier,
    STATE(5801), 1,
      sym__soft_identifier,
    STATE(6247), 1,
      sym_identifier,
    STATE(6287), 1,
      sym__type_identifier,
    STATE(13354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8684), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [604789] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15540), 1,
      anon_sym_match,
    ACTIONS(15550), 1,
      sym_operator_identifier,
    STATE(4471), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [604826] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15237), 1,
      sym__alpha_identifier,
    ACTIONS(15245), 1,
      sym__backquoted_id,
    ACTIONS(15552), 1,
      anon_sym_LBRACE,
    ACTIONS(15554), 1,
      anon_sym_LBRACK,
    STATE(8104), 1,
      sym_identifier,
    STATE(8489), 1,
      sym__soft_identifier,
    STATE(13356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15243), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [604863] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15540), 1,
      anon_sym_match,
    ACTIONS(15556), 1,
      sym_operator_identifier,
    STATE(4474), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [604900] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15558), 1,
      anon_sym_catch,
    ACTIONS(15560), 1,
      anon_sym_finally,
    STATE(13461), 1,
      sym_finally_clause,
    STATE(14277), 1,
      sym_catch_clause,
    STATE(13358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [604933] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15540), 1,
      anon_sym_match,
    ACTIONS(15562), 1,
      sym_operator_identifier,
    STATE(4477), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [604970] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8444), 1,
      sym__alpha_identifier,
    ACTIONS(8452), 1,
      sym__backquoted_id,
    ACTIONS(15564), 1,
      sym_operator_identifier,
    STATE(7134), 1,
      sym__soft_identifier,
    STATE(7538), 1,
      sym__type_identifier,
    STATE(7550), 1,
      sym_identifier,
    STATE(13360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8448), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [605007] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13994), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13992), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [605034] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9444), 1,
      anon_sym_LPAREN,
    STATE(13144), 1,
      aux_sym_annotation_repeat1,
    STATE(14114), 1,
      sym_arguments,
    STATE(13362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [605065] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15566), 1,
      anon_sym_match,
    ACTIONS(15568), 1,
      sym_operator_identifier,
    STATE(4478), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [605102] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15570), 1,
      sym__alpha_identifier,
    ACTIONS(15572), 1,
      anon_sym_LBRACE,
    ACTIONS(15574), 1,
      anon_sym_LBRACK,
    ACTIONS(15578), 1,
      sym__backquoted_id,
    STATE(7624), 1,
      sym_identifier,
    STATE(7671), 1,
      sym__soft_identifier,
    STATE(13364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15576), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [605139] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [605164] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15351), 1,
      sym__alpha_identifier,
    ACTIONS(15359), 1,
      sym__backquoted_id,
    ACTIONS(15580), 1,
      anon_sym_LBRACE,
    ACTIONS(15582), 1,
      anon_sym_LBRACK,
    STATE(8930), 1,
      sym_identifier,
    STATE(9393), 1,
      sym__soft_identifier,
    STATE(13366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15357), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [605201] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15506), 1,
      anon_sym_match,
    ACTIONS(15584), 1,
      sym_operator_identifier,
    STATE(4464), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [605238] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11957), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [605263] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15506), 1,
      anon_sym_match,
    ACTIONS(15586), 1,
      sym_operator_identifier,
    STATE(4439), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [605300] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8781), 1,
      sym__alpha_identifier,
    ACTIONS(8789), 1,
      sym__backquoted_id,
    ACTIONS(15588), 1,
      sym_operator_identifier,
    STATE(8076), 1,
      sym__type_identifier,
    STATE(8370), 1,
      sym_identifier,
    STATE(8454), 1,
      sym__soft_identifier,
    STATE(13370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8785), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [605337] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15506), 1,
      anon_sym_match,
    ACTIONS(15590), 1,
      sym_operator_identifier,
    STATE(4394), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [605374] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [605399] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [605424] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [605449] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [605474] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [605499] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [605524] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(15113), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(4481), 1,
      sym_identifier,
    STATE(4483), 1,
      sym__type_identifier,
    STATE(13378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [605561] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15506), 1,
      anon_sym_match,
    ACTIONS(15592), 1,
      sym_operator_identifier,
    STATE(4446), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [605598] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [605623] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [605648] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [605673] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [605698] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [605723] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6684), 1,
      sym__alpha_identifier,
    ACTIONS(6694), 1,
      sym__backquoted_id,
    ACTIONS(15594), 1,
      sym_operator_identifier,
    STATE(6988), 1,
      sym__soft_identifier,
    STATE(7166), 1,
      sym__type_identifier,
    STATE(7181), 1,
      sym_identifier,
    STATE(13385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6690), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [605760] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4774), 1,
      sym__alpha_identifier,
    ACTIONS(4792), 1,
      sym__backquoted_id,
    ACTIONS(15596), 1,
      sym_operator_identifier,
    STATE(5453), 1,
      sym__soft_identifier,
    STATE(6061), 1,
      sym__type_identifier,
    STATE(6079), 1,
      sym_identifier,
    STATE(13386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4786), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [605797] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15598), 1,
      anon_sym_match,
    ACTIONS(15600), 1,
      sym_operator_identifier,
    STATE(4451), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [605834] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(14072), 1,
      sym_operator_identifier,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(17375), 1,
      sym_named_pattern,
    STATE(19206), 1,
      sym_identifier,
    STATE(13388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [605871] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15602), 1,
      anon_sym_DOT,
    STATE(13389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [605898] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15604), 1,
      anon_sym_with,
    STATE(13703), 1,
      aux_sym_compound_type_repeat1,
    STATE(15320), 1,
      sym_template_body,
    STATE(15321), 1,
      sym__refinement,
    STATE(15411), 1,
      sym_arguments,
    STATE(13390), 2,
      sym_comment,
      sym_block_comment,
    STATE(15355), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [605935] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14078), 1,
      anon_sym_LBRACK,
    ACTIONS(14084), 1,
      anon_sym_POUND,
    ACTIONS(14195), 1,
      anon_sym_LPAREN,
    STATE(14469), 1,
      aux_sym_annotation_repeat1,
    STATE(14524), 1,
      sym_type_arguments,
    STATE(14935), 1,
      sym_arguments,
    STATE(13391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
  [605972] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(13914), 1,
      sym_operator_identifier,
    ACTIONS(15540), 1,
      anon_sym_match,
    STATE(4395), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [606009] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [606034] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15566), 1,
      anon_sym_match,
    ACTIONS(15606), 1,
      sym_operator_identifier,
    STATE(4391), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [606071] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12332), 1,
      sym__alpha_identifier,
    ACTIONS(12338), 1,
      sym__backquoted_id,
    ACTIONS(15442), 1,
      sym_operator_identifier,
    STATE(10581), 1,
      sym__soft_identifier,
    STATE(12284), 1,
      sym_identifier,
    STATE(15204), 1,
      sym__function_constructor,
    STATE(13395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [606108] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15608), 1,
      anon_sym_catch,
    ACTIONS(15610), 1,
      anon_sym_finally,
    STATE(12359), 1,
      sym_finally_clause,
    STATE(13897), 1,
      sym_catch_clause,
    STATE(13396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [606141] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(13397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [606168] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15506), 1,
      anon_sym_match,
    ACTIONS(15612), 1,
      sym_operator_identifier,
    STATE(4396), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [606205] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9422), 1,
      anon_sym_LPAREN,
    STATE(13405), 1,
      aux_sym_annotation_repeat1,
    STATE(14323), 1,
      sym_arguments,
    STATE(13399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [606236] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5854), 1,
      sym__alpha_identifier,
    ACTIONS(5864), 1,
      sym__backquoted_id,
    ACTIONS(15614), 1,
      sym_operator_identifier,
    STATE(6093), 1,
      sym__soft_identifier,
    STATE(6439), 1,
      sym__type_identifier,
    STATE(6479), 1,
      sym_identifier,
    STATE(13400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [606273] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9550), 1,
      anon_sym_LPAREN,
    STATE(13406), 1,
      aux_sym_annotation_repeat1,
    STATE(14345), 1,
      sym_arguments,
    STATE(13401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [606304] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15506), 1,
      anon_sym_match,
    ACTIONS(15616), 1,
      sym_operator_identifier,
    STATE(4452), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [606341] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15333), 1,
      anon_sym_LBRACK,
    STATE(7357), 1,
      sym_type_arguments,
    STATE(13403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13988), 10,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [606370] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15618), 1,
      sym__alpha_identifier,
    ACTIONS(15620), 1,
      anon_sym_LBRACE,
    ACTIONS(15622), 1,
      anon_sym_LBRACK,
    ACTIONS(15626), 1,
      sym__backquoted_id,
    STATE(9089), 1,
      sym_identifier,
    STATE(9183), 1,
      sym__soft_identifier,
    STATE(13404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15624), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [606407] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15628), 1,
      anon_sym_LPAREN,
    STATE(14323), 1,
      sym_arguments,
    STATE(13405), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [606436] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15631), 1,
      anon_sym_LPAREN,
    STATE(14345), 1,
      sym_arguments,
    STATE(13406), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [606465] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15455), 1,
      sym__alpha_identifier,
    ACTIONS(15463), 1,
      sym__backquoted_id,
    ACTIONS(15634), 1,
      anon_sym_LBRACE,
    ACTIONS(15636), 1,
      anon_sym_LBRACK,
    STATE(9966), 1,
      sym_identifier,
    STATE(10079), 1,
      sym__soft_identifier,
    STATE(13407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15461), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [606502] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15404), 1,
      anon_sym_LBRACK,
    STATE(7299), 1,
      sym_type_arguments,
    STATE(13408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13988), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [606531] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12965), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [606556] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15506), 1,
      anon_sym_match,
    ACTIONS(15638), 1,
      sym_operator_identifier,
    STATE(4460), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [606593] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6634), 1,
      sym__alpha_identifier,
    ACTIONS(6648), 1,
      sym__backquoted_id,
    ACTIONS(15640), 1,
      sym_operator_identifier,
    STATE(6655), 1,
      sym__soft_identifier,
    STATE(7724), 1,
      sym__type_identifier,
    STATE(7916), 1,
      sym_identifier,
    STATE(13411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6644), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [606630] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15506), 1,
      anon_sym_match,
    ACTIONS(15642), 1,
      sym_operator_identifier,
    STATE(4461), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [606667] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6962), 1,
      sym__alpha_identifier,
    ACTIONS(6972), 1,
      sym__backquoted_id,
    ACTIONS(15644), 1,
      sym_operator_identifier,
    STATE(6472), 1,
      sym__soft_identifier,
    STATE(7587), 1,
      sym__type_identifier,
    STATE(7597), 1,
      sym_identifier,
    STATE(13413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6968), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [606704] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12124), 1,
      sym__alpha_identifier,
    ACTIONS(12132), 1,
      sym__backquoted_id,
    ACTIONS(15172), 1,
      sym_operator_identifier,
    STATE(11739), 1,
      sym__soft_identifier,
    STATE(12010), 1,
      sym_identifier,
    STATE(15346), 1,
      sym__object_definition,
    STATE(13414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [606741] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(85), 1,
      sym__backquoted_id,
    ACTIONS(15646), 1,
      sym_operator_identifier,
    STATE(4738), 1,
      sym__soft_identifier,
    STATE(14825), 1,
      sym_identifier,
    STATE(15040), 1,
      sym__namespace_expression,
    STATE(13415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [606778] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15648), 1,
      anon_sym_match,
    ACTIONS(15650), 1,
      sym_operator_identifier,
    STATE(4470), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [606815] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8865), 1,
      sym__alpha_identifier,
    ACTIONS(8873), 1,
      sym__backquoted_id,
    ACTIONS(15652), 1,
      sym_operator_identifier,
    STATE(8836), 1,
      sym__soft_identifier,
    STATE(9129), 1,
      sym__type_identifier,
    STATE(9236), 1,
      sym_identifier,
    STATE(13417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8869), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [606852] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6926), 1,
      sym__alpha_identifier,
    ACTIONS(6940), 1,
      sym__backquoted_id,
    ACTIONS(15654), 1,
      sym_operator_identifier,
    STATE(6321), 1,
      sym__soft_identifier,
    STATE(6666), 1,
      sym__type_identifier,
    STATE(6852), 1,
      sym_identifier,
    STATE(13418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6936), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [606889] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [606914] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(13914), 1,
      sym_operator_identifier,
    ACTIONS(15656), 1,
      anon_sym_match,
    STATE(4395), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [606951] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15658), 1,
      anon_sym_catch,
    ACTIONS(15660), 1,
      anon_sym_finally,
    STATE(12359), 1,
      sym_finally_clause,
    STATE(14046), 1,
      sym_catch_clause,
    STATE(13421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [606984] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [607009] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6302), 1,
      sym__alpha_identifier,
    ACTIONS(6316), 1,
      sym__backquoted_id,
    ACTIONS(15662), 1,
      sym_operator_identifier,
    STATE(6100), 1,
      sym__soft_identifier,
    STATE(6537), 1,
      sym__type_identifier,
    STATE(6560), 1,
      sym_identifier,
    STATE(13423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6312), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [607046] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7026), 1,
      sym__alpha_identifier,
    ACTIONS(7044), 1,
      sym__backquoted_id,
    ACTIONS(15664), 1,
      sym_operator_identifier,
    STATE(4483), 1,
      sym__type_identifier,
    STATE(10155), 1,
      sym__soft_identifier,
    STATE(11161), 1,
      sym_identifier,
    STATE(13424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7036), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [607083] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15666), 1,
      sym__alpha_identifier,
    ACTIONS(15668), 1,
      anon_sym_LBRACE,
    ACTIONS(15670), 1,
      anon_sym_LBRACK,
    ACTIONS(15674), 1,
      sym__backquoted_id,
    STATE(9249), 1,
      sym__soft_identifier,
    STATE(9269), 1,
      sym_identifier,
    STATE(13425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15672), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [607120] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15676), 1,
      anon_sym_match,
    ACTIONS(15678), 1,
      sym_operator_identifier,
    STATE(4475), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [607157] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15510), 1,
      sym__alpha_identifier,
    ACTIONS(15518), 1,
      sym__backquoted_id,
    ACTIONS(15680), 1,
      anon_sym_LBRACE,
    ACTIONS(15682), 1,
      anon_sym_LBRACK,
    STATE(10469), 1,
      sym__soft_identifier,
    STATE(10709), 1,
      sym_identifier,
    STATE(13427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15516), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [607194] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15684), 1,
      anon_sym_match,
    ACTIONS(15686), 1,
      sym_operator_identifier,
    STATE(4476), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [607231] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15249), 1,
      anon_sym_LBRACK,
    STATE(7628), 1,
      sym_type_arguments,
    STATE(13429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13988), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [607260] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [607285] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4438), 1,
      sym__alpha_identifier,
    ACTIONS(4456), 1,
      sym__backquoted_id,
    ACTIONS(15688), 1,
      sym_operator_identifier,
    STATE(8002), 1,
      sym__soft_identifier,
    STATE(9040), 1,
      sym_identifier,
    STATE(9337), 1,
      sym__type_identifier,
    STATE(13431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4450), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [607322] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15690), 1,
      anon_sym_match,
    ACTIONS(15692), 1,
      sym_operator_identifier,
    STATE(4368), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [607359] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [607384] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15694), 1,
      anon_sym_STAR,
    STATE(13434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [607411] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [607436] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12084), 1,
      sym__alpha_identifier,
    ACTIONS(12092), 1,
      sym__backquoted_id,
    ACTIONS(14128), 1,
      sym_operator_identifier,
    STATE(11611), 1,
      sym__soft_identifier,
    STATE(12920), 1,
      sym_identifier,
    STATE(14696), 1,
      sym__type_identifier,
    STATE(13436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [607473] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [607498] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15566), 1,
      anon_sym_match,
    ACTIONS(15696), 1,
      sym_operator_identifier,
    STATE(4369), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [607535] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [607560] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [607585] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13906), 1,
      anon_sym_COLON,
    ACTIONS(13908), 1,
      anon_sym_LT_COLON,
    ACTIONS(13910), 1,
      anon_sym_GT_COLON,
    STATE(14243), 1,
      sym_lower_bound,
    STATE(14725), 1,
      sym_upper_bound,
    STATE(15005), 1,
      aux_sym__context_bounds_repeat1,
    STATE(15151), 1,
      sym__context_bounds,
    STATE(13441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15471), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [607624] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [607649] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [607674] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [607699] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [607724] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15690), 1,
      anon_sym_match,
    ACTIONS(15698), 1,
      sym_operator_identifier,
    STATE(4370), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [607761] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [607786] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [607811] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(13449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [607838] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15566), 1,
      anon_sym_match,
    ACTIONS(15700), 1,
      sym_operator_identifier,
    STATE(4371), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [607875] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15448), 1,
      anon_sym_catch,
    ACTIONS(15702), 1,
      anon_sym_finally,
    STATE(12997), 1,
      sym_finally_clause,
    STATE(14275), 1,
      sym_catch_clause,
    STATE(13451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [607908] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(85), 1,
      sym__backquoted_id,
    ACTIONS(15646), 1,
      sym_operator_identifier,
    STATE(4738), 1,
      sym__soft_identifier,
    STATE(14825), 1,
      sym_identifier,
    STATE(15211), 1,
      sym__namespace_expression,
    STATE(13452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [607945] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15704), 1,
      anon_sym_match,
    ACTIONS(15706), 1,
      sym_operator_identifier,
    STATE(4372), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [607982] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12955), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [608007] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15708), 1,
      sym__alpha_identifier,
    ACTIONS(15710), 1,
      anon_sym_LBRACE,
    ACTIONS(15712), 1,
      anon_sym_LBRACK,
    ACTIONS(15716), 1,
      sym__backquoted_id,
    STATE(9633), 1,
      sym__soft_identifier,
    STATE(9831), 1,
      sym_identifier,
    STATE(13455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15714), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [608044] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [608069] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15676), 1,
      anon_sym_match,
    ACTIONS(15718), 1,
      sym_operator_identifier,
    STATE(4373), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [608106] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15570), 1,
      sym__alpha_identifier,
    ACTIONS(15578), 1,
      sym__backquoted_id,
    ACTIONS(15720), 1,
      anon_sym_LBRACE,
    ACTIONS(15722), 1,
      anon_sym_LBRACK,
    STATE(7671), 1,
      sym__soft_identifier,
    STATE(7919), 1,
      sym_identifier,
    STATE(13458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15576), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [608143] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15724), 1,
      anon_sym_DOT,
    STATE(13459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [608170] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15726), 1,
      anon_sym_match,
    ACTIONS(15728), 1,
      sym_operator_identifier,
    STATE(4374), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [608207] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [608232] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15684), 1,
      anon_sym_match,
    ACTIONS(15730), 1,
      sym_operator_identifier,
    STATE(4375), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [608269] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13843), 1,
      anon_sym_LBRACK,
    ACTIONS(14102), 1,
      anon_sym_LPAREN,
    STATE(14676), 1,
      sym__using_parameters_clause,
    STATE(13463), 2,
      sym_comment,
      sym_block_comment,
    STATE(14522), 2,
      sym_type_parameters,
      sym_parameters,
    ACTIONS(15118), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [608302] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12124), 1,
      sym__alpha_identifier,
    ACTIONS(12132), 1,
      sym__backquoted_id,
    ACTIONS(15172), 1,
      sym_operator_identifier,
    STATE(11739), 1,
      sym__soft_identifier,
    STATE(12010), 1,
      sym_identifier,
    STATE(15505), 1,
      sym__object_definition,
    STATE(13464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [608339] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4998), 1,
      sym__alpha_identifier,
    ACTIONS(5010), 1,
      sym__backquoted_id,
    ACTIONS(15732), 1,
      sym_operator_identifier,
    STATE(6103), 1,
      sym__soft_identifier,
    STATE(6582), 1,
      sym_identifier,
    STATE(6605), 1,
      sym__type_identifier,
    STATE(13465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5006), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [608376] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8394), 1,
      sym__alpha_identifier,
    ACTIONS(8406), 1,
      sym__backquoted_id,
    ACTIONS(15734), 1,
      sym_operator_identifier,
    STATE(14225), 1,
      sym__soft_identifier,
    STATE(14403), 1,
      sym_identifier,
    STATE(14544), 1,
      sym__type_identifier,
    STATE(13466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8402), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [608413] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15684), 1,
      anon_sym_match,
    ACTIONS(15736), 1,
      sym_operator_identifier,
    STATE(4376), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [608450] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7346), 1,
      sym__alpha_identifier,
    ACTIONS(7362), 1,
      sym__backquoted_id,
    ACTIONS(15738), 1,
      sym_operator_identifier,
    STATE(4483), 1,
      sym__type_identifier,
    STATE(11049), 1,
      sym__soft_identifier,
    STATE(11638), 1,
      sym_identifier,
    STATE(13468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7356), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [608487] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [608512] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15684), 1,
      anon_sym_match,
    ACTIONS(15740), 1,
      sym_operator_identifier,
    STATE(4377), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [608549] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8907), 1,
      sym__alpha_identifier,
    ACTIONS(8915), 1,
      sym__backquoted_id,
    ACTIONS(15742), 1,
      sym_operator_identifier,
    STATE(6371), 1,
      sym__soft_identifier,
    STATE(6931), 1,
      sym_identifier,
    STATE(7007), 1,
      sym__type_identifier,
    STATE(13471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8911), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [608586] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12332), 1,
      sym__alpha_identifier,
    ACTIONS(12338), 1,
      sym__backquoted_id,
    ACTIONS(15442), 1,
      sym_operator_identifier,
    STATE(10581), 1,
      sym__soft_identifier,
    STATE(12284), 1,
      sym_identifier,
    STATE(15262), 1,
      sym__function_constructor,
    STATE(13472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [608623] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15684), 1,
      anon_sym_match,
    ACTIONS(15744), 1,
      sym_operator_identifier,
    STATE(4378), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [608660] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15746), 1,
      anon_sym_match,
    ACTIONS(15748), 1,
      sym_operator_identifier,
    STATE(4380), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [608697] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15558), 1,
      anon_sym_catch,
    ACTIONS(15750), 1,
      anon_sym_finally,
    STATE(12997), 1,
      sym_finally_clause,
    STATE(14152), 1,
      sym_catch_clause,
    STATE(13475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [608730] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15752), 1,
      anon_sym_match,
    ACTIONS(15754), 1,
      sym_operator_identifier,
    STATE(4381), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [608767] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6550), 1,
      sym__alpha_identifier,
    ACTIONS(6564), 1,
      sym__backquoted_id,
    ACTIONS(15756), 1,
      sym_operator_identifier,
    STATE(8230), 1,
      sym__soft_identifier,
    STATE(8956), 1,
      sym_identifier,
    STATE(8968), 1,
      sym__type_identifier,
    STATE(13477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6560), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [608804] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9479), 1,
      anon_sym_LPAREN,
    STATE(13481), 1,
      aux_sym_annotation_repeat1,
    STATE(14279), 1,
      sym_arguments,
    STATE(13478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [608835] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15690), 1,
      anon_sym_match,
    ACTIONS(15758), 1,
      sym_operator_identifier,
    STATE(4382), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [608872] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [608897] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15760), 1,
      anon_sym_LPAREN,
    STATE(14279), 1,
      sym_arguments,
    STATE(13481), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [608926] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15763), 1,
      anon_sym_match,
    ACTIONS(15765), 1,
      sym_operator_identifier,
    STATE(4383), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [608963] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 12,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [608988] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15767), 1,
      sym__alpha_identifier,
    ACTIONS(15769), 1,
      anon_sym_LBRACE,
    ACTIONS(15771), 1,
      anon_sym_LBRACK,
    ACTIONS(15775), 1,
      sym__backquoted_id,
    STATE(10477), 1,
      sym__soft_identifier,
    STATE(10504), 1,
      sym_identifier,
    STATE(13484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15773), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [609025] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15618), 1,
      sym__alpha_identifier,
    ACTIONS(15626), 1,
      sym__backquoted_id,
    ACTIONS(15777), 1,
      anon_sym_LBRACE,
    ACTIONS(15779), 1,
      anon_sym_LBRACK,
    STATE(9125), 1,
      sym_identifier,
    STATE(9183), 1,
      sym__soft_identifier,
    STATE(13485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15624), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [609062] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(13486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [609089] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15752), 1,
      anon_sym_match,
    ACTIONS(15781), 1,
      sym_operator_identifier,
    STATE(4384), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [609126] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [609151] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15783), 1,
      sym__alpha_identifier,
    ACTIONS(15785), 1,
      anon_sym_LBRACE,
    ACTIONS(15787), 1,
      anon_sym_LBRACK,
    ACTIONS(15791), 1,
      sym__backquoted_id,
    STATE(9950), 1,
      sym__soft_identifier,
    STATE(10211), 1,
      sym_identifier,
    STATE(13489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15789), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [609188] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15690), 1,
      anon_sym_match,
    ACTIONS(15793), 1,
      sym_operator_identifier,
    STATE(4385), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [609225] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13829), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [609250] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8813), 1,
      sym__alpha_identifier,
    ACTIONS(8825), 1,
      sym__backquoted_id,
    ACTIONS(15795), 1,
      sym_operator_identifier,
    STATE(5236), 1,
      sym__soft_identifier,
    STATE(5238), 1,
      sym_identifier,
    STATE(5332), 1,
      sym__type_identifier,
    STATE(13492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8821), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [609287] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15783), 1,
      sym__alpha_identifier,
    ACTIONS(15791), 1,
      sym__backquoted_id,
    ACTIONS(15797), 1,
      anon_sym_LBRACE,
    ACTIONS(15799), 1,
      anon_sym_LBRACK,
    STATE(9950), 1,
      sym__soft_identifier,
    STATE(10215), 1,
      sym_identifier,
    STATE(13493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15789), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [609324] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15763), 1,
      anon_sym_match,
    ACTIONS(15801), 1,
      sym_operator_identifier,
    STATE(4386), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [609361] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(15803), 1,
      anon_sym_extends,
    ACTIONS(15805), 1,
      anon_sym_LPAREN,
    STATE(14911), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(15522), 1,
      sym_class_parameters,
    STATE(15786), 1,
      sym_type_parameters,
    STATE(15818), 1,
      sym_extends_clause,
    STATE(16304), 1,
      sym__full_enum_def,
    STATE(13495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15496), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [609402] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [609427] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 12,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [609452] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12096), 1,
      sym__alpha_identifier,
    ACTIONS(12104), 1,
      sym__backquoted_id,
    ACTIONS(15807), 1,
      sym_operator_identifier,
    STATE(12001), 1,
      sym__soft_identifier,
    STATE(12219), 1,
      sym_identifier,
    STATE(12229), 1,
      sym__type_identifier,
    STATE(13498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12100), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [609489] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(85), 1,
      sym__backquoted_id,
    ACTIONS(15646), 1,
      sym_operator_identifier,
    STATE(4738), 1,
      sym__soft_identifier,
    STATE(14825), 1,
      sym_identifier,
    STATE(15035), 1,
      sym__namespace_expression,
    STATE(13499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [609526] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15809), 1,
      anon_sym_match,
    ACTIONS(15811), 1,
      sym_operator_identifier,
    STATE(4387), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [609563] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12069), 1,
      sym__alpha_identifier,
    ACTIONS(12077), 1,
      sym__backquoted_id,
    ACTIONS(15438), 1,
      sym_operator_identifier,
    STATE(12062), 1,
      sym__soft_identifier,
    STATE(12405), 1,
      sym_identifier,
    STATE(15730), 1,
      sym__object_definition,
    STATE(13501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12073), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [609600] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15704), 1,
      anon_sym_match,
    ACTIONS(15813), 1,
      sym_operator_identifier,
    STATE(4388), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [609637] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15815), 1,
      anon_sym_match,
    ACTIONS(15817), 1,
      sym_operator_identifier,
    STATE(4389), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [609674] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12124), 1,
      sym__alpha_identifier,
    ACTIONS(12132), 1,
      sym__backquoted_id,
    ACTIONS(15172), 1,
      sym_operator_identifier,
    STATE(11739), 1,
      sym__soft_identifier,
    STATE(12010), 1,
      sym_identifier,
    STATE(15391), 1,
      sym__object_definition,
    STATE(13504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12128), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [609711] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [609736] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15819), 1,
      anon_sym_match,
    ACTIONS(15821), 1,
      sym_operator_identifier,
    STATE(4390), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [609773] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15726), 1,
      anon_sym_match,
    ACTIONS(15823), 1,
      sym_operator_identifier,
    STATE(4392), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [609810] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15752), 1,
      anon_sym_match,
    ACTIONS(15825), 1,
      sym_operator_identifier,
    STATE(4393), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [609847] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [609872] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4306), 1,
      sym__alpha_identifier,
    ACTIONS(4324), 1,
      sym__backquoted_id,
    ACTIONS(15827), 1,
      sym_operator_identifier,
    STATE(7164), 1,
      sym__soft_identifier,
    STATE(8055), 1,
      sym_identifier,
    STATE(8064), 1,
      sym__type_identifier,
    STATE(13510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4318), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [609909] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15763), 1,
      anon_sym_match,
    ACTIONS(15829), 1,
      sym_operator_identifier,
    STATE(4397), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [609946] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15752), 1,
      anon_sym_match,
    ACTIONS(15831), 1,
      sym_operator_identifier,
    STATE(4398), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [609983] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15763), 1,
      anon_sym_match,
    ACTIONS(15833), 1,
      sym_operator_identifier,
    STATE(4399), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [610020] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4338), 1,
      sym__alpha_identifier,
    ACTIONS(4356), 1,
      sym__backquoted_id,
    ACTIONS(15835), 1,
      sym_operator_identifier,
    STATE(5377), 1,
      sym__soft_identifier,
    STATE(5936), 1,
      sym__type_identifier,
    STATE(6000), 1,
      sym_identifier,
    STATE(13514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4350), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [610057] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13794), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [610082] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [610107] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [610132] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15809), 1,
      anon_sym_match,
    ACTIONS(15837), 1,
      sym_operator_identifier,
    STATE(4400), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [610169] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [610194] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15839), 1,
      sym__alpha_identifier,
    ACTIONS(15841), 1,
      anon_sym_LBRACE,
    ACTIONS(15843), 1,
      anon_sym_LBRACK,
    ACTIONS(15847), 1,
      sym__backquoted_id,
    STATE(11476), 1,
      sym_identifier,
    STATE(11521), 1,
      sym__soft_identifier,
    STATE(13520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15845), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [610231] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15849), 1,
      anon_sym_DOT,
    STATE(13521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [610258] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15666), 1,
      sym__alpha_identifier,
    ACTIONS(15674), 1,
      sym__backquoted_id,
    ACTIONS(15851), 1,
      anon_sym_LBRACE,
    ACTIONS(15853), 1,
      anon_sym_LBRACK,
    STATE(9195), 1,
      sym_identifier,
    STATE(9249), 1,
      sym__soft_identifier,
    STATE(13522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15672), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [610295] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15815), 1,
      anon_sym_match,
    ACTIONS(15855), 1,
      sym_operator_identifier,
    STATE(4401), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [610332] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [610357] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15857), 1,
      anon_sym_match,
    ACTIONS(15859), 1,
      sym_operator_identifier,
    STATE(4402), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [610394] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4564), 1,
      sym__alpha_identifier,
    ACTIONS(4576), 1,
      sym__backquoted_id,
    ACTIONS(15861), 1,
      sym_operator_identifier,
    STATE(5119), 1,
      sym__soft_identifier,
    STATE(5497), 1,
      sym__type_identifier,
    STATE(5690), 1,
      sym_identifier,
    STATE(13526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4572), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [610431] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15819), 1,
      anon_sym_match,
    ACTIONS(15863), 1,
      sym_operator_identifier,
    STATE(4403), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [610468] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15865), 1,
      anon_sym_match,
    ACTIONS(15867), 1,
      sym_operator_identifier,
    STATE(4404), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [610505] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15869), 1,
      anon_sym_match,
    ACTIONS(15871), 1,
      sym_operator_identifier,
    STATE(4405), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [610542] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [610567] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [610592] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [610617] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15869), 1,
      anon_sym_match,
    ACTIONS(15873), 1,
      sym_operator_identifier,
    STATE(4407), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [610654] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15875), 1,
      anon_sym_match,
    ACTIONS(15877), 1,
      sym_operator_identifier,
    STATE(4408), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [610691] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15879), 1,
      anon_sym_match,
    ACTIONS(15881), 1,
      sym_operator_identifier,
    STATE(4409), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [610728] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15857), 1,
      anon_sym_match,
    ACTIONS(15883), 1,
      sym_operator_identifier,
    STATE(4410), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [610765] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [610790] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15865), 1,
      anon_sym_match,
    ACTIONS(15885), 1,
      sym_operator_identifier,
    STATE(4412), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [610827] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 12,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [610852] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15869), 1,
      anon_sym_match,
    ACTIONS(15887), 1,
      sym_operator_identifier,
    STATE(4414), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [610889] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8638), 1,
      anon_sym_EQ_GT,
    ACTIONS(8640), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(13541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [610920] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 12,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [610945] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15869), 1,
      anon_sym_match,
    ACTIONS(15889), 1,
      sym_operator_identifier,
    STATE(4416), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [610982] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12745), 1,
      anon_sym_LPAREN,
    ACTIONS(15893), 1,
      sym__automatic_semicolon,
    STATE(13207), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14076), 1,
      sym_class_parameters,
    STATE(13544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15891), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [611015] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4702), 1,
      sym__alpha_identifier,
    ACTIONS(4720), 1,
      sym__backquoted_id,
    ACTIONS(15896), 1,
      sym_operator_identifier,
    STATE(4669), 1,
      sym__soft_identifier,
    STATE(4787), 1,
      sym_identifier,
    STATE(4798), 1,
      sym__type_identifier,
    STATE(13545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4714), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [611052] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15879), 1,
      anon_sym_match,
    ACTIONS(15898), 1,
      sym_operator_identifier,
    STATE(4417), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [611089] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6588), 1,
      sym__alpha_identifier,
    ACTIONS(6598), 1,
      sym__backquoted_id,
    ACTIONS(15900), 1,
      sym_operator_identifier,
    STATE(8617), 1,
      sym__soft_identifier,
    STATE(8808), 1,
      sym__type_identifier,
    STATE(8932), 1,
      sym_identifier,
    STATE(13547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [611126] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15902), 1,
      anon_sym_match,
    ACTIONS(15904), 1,
      sym_operator_identifier,
    STATE(4418), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [611163] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(15902), 1,
      anon_sym_match,
    ACTIONS(15906), 1,
      sym_operator_identifier,
    STATE(4419), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [611200] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [611225] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15908), 1,
      sym__alpha_identifier,
    ACTIONS(15910), 1,
      anon_sym_LBRACE,
    ACTIONS(15912), 1,
      anon_sym_LBRACK,
    ACTIONS(15916), 1,
      sym__backquoted_id,
    STATE(10865), 1,
      sym_identifier,
    STATE(11100), 1,
      sym__soft_identifier,
    STATE(13551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15914), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [611262] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [611287] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [611312] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15908), 1,
      sym__alpha_identifier,
    ACTIONS(15916), 1,
      sym__backquoted_id,
    ACTIONS(15918), 1,
      anon_sym_LBRACE,
    ACTIONS(15920), 1,
      anon_sym_LBRACK,
    STATE(10968), 1,
      sym_identifier,
    STATE(11100), 1,
      sym__soft_identifier,
    STATE(13554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15914), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [611349] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6836), 1,
      sym__alpha_identifier,
    ACTIONS(6846), 1,
      sym__backquoted_id,
    ACTIONS(15922), 1,
      sym_operator_identifier,
    STATE(5207), 1,
      sym__soft_identifier,
    STATE(5411), 1,
      sym__type_identifier,
    STATE(5779), 1,
      sym_identifier,
    STATE(13555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6842), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [611386] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8744), 1,
      sym__alpha_identifier,
    ACTIONS(8763), 1,
      sym__backquoted_id,
    ACTIONS(13914), 1,
      sym_operator_identifier,
    ACTIONS(15142), 1,
      anon_sym_match,
    STATE(4395), 1,
      sym_identifier,
    STATE(10128), 1,
      sym__soft_identifier,
    STATE(13556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8754), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [611423] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [611448] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [611473] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [611498] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12069), 1,
      sym__alpha_identifier,
    ACTIONS(12077), 1,
      sym__backquoted_id,
    ACTIONS(15438), 1,
      sym_operator_identifier,
    STATE(12062), 1,
      sym__soft_identifier,
    STATE(12405), 1,
      sym_identifier,
    STATE(15758), 1,
      sym__object_definition,
    STATE(13560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12073), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [611535] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(507), 1,
      sym__alpha_identifier,
    ACTIONS(571), 1,
      sym__backquoted_id,
    ACTIONS(15329), 1,
      sym_operator_identifier,
    STATE(6129), 1,
      sym__soft_identifier,
    STATE(14947), 1,
      sym_identifier,
    STATE(15202), 1,
      sym__namespace_expression,
    STATE(13561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(695), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [611572] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(507), 1,
      sym__alpha_identifier,
    ACTIONS(571), 1,
      sym__backquoted_id,
    ACTIONS(15329), 1,
      sym_operator_identifier,
    STATE(6129), 1,
      sym__soft_identifier,
    STATE(14947), 1,
      sym_identifier,
    STATE(15264), 1,
      sym__namespace_expression,
    STATE(13562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(695), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [611609] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15182), 1,
      sym__alpha_identifier,
    ACTIONS(15190), 1,
      sym__backquoted_id,
    ACTIONS(15924), 1,
      anon_sym_LBRACE,
    ACTIONS(15926), 1,
      anon_sym_LBRACK,
    STATE(10345), 1,
      sym_identifier,
    STATE(10350), 1,
      sym__soft_identifier,
    STATE(13563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15188), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [611646] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15928), 1,
      sym__alpha_identifier,
    ACTIONS(15930), 1,
      anon_sym_LBRACE,
    ACTIONS(15932), 1,
      anon_sym_LBRACK,
    ACTIONS(15936), 1,
      sym__backquoted_id,
    STATE(5993), 1,
      sym__soft_identifier,
    STATE(6192), 1,
      sym_identifier,
    STATE(13564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15934), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [611683] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12084), 1,
      sym__alpha_identifier,
    ACTIONS(12092), 1,
      sym__backquoted_id,
    ACTIONS(15164), 1,
      sym_operator_identifier,
    STATE(11611), 1,
      sym__soft_identifier,
    STATE(12521), 1,
      sym_identifier,
    STATE(15106), 1,
      sym__function_constructor,
    STATE(13565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [611720] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15708), 1,
      sym__alpha_identifier,
    ACTIONS(15716), 1,
      sym__backquoted_id,
    ACTIONS(15938), 1,
      anon_sym_LBRACE,
    ACTIONS(15940), 1,
      anon_sym_LBRACK,
    STATE(9633), 1,
      sym__soft_identifier,
    STATE(9704), 1,
      sym_identifier,
    STATE(13566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15714), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [611757] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15942), 1,
      sym__alpha_identifier,
    ACTIONS(15944), 1,
      anon_sym_LBRACE,
    ACTIONS(15946), 1,
      anon_sym_LBRACK,
    ACTIONS(15950), 1,
      sym__backquoted_id,
    STATE(8168), 1,
      sym_identifier,
    STATE(8439), 1,
      sym__soft_identifier,
    STATE(13567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15948), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [611794] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15942), 1,
      sym__alpha_identifier,
    ACTIONS(15950), 1,
      sym__backquoted_id,
    ACTIONS(15952), 1,
      anon_sym_LBRACE,
    ACTIONS(15954), 1,
      anon_sym_LBRACK,
    STATE(8176), 1,
      sym_identifier,
    STATE(8439), 1,
      sym__soft_identifier,
    STATE(13568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15948), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [611831] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4470), 1,
      sym__alpha_identifier,
    ACTIONS(4482), 1,
      sym__backquoted_id,
    ACTIONS(15956), 1,
      sym_operator_identifier,
    STATE(4815), 1,
      sym__soft_identifier,
    STATE(5016), 1,
      sym_identifier,
    STATE(5020), 1,
      sym__type_identifier,
    STATE(13569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4478), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [611868] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [611893] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15958), 1,
      sym__alpha_identifier,
    ACTIONS(15960), 1,
      anon_sym_LBRACE,
    ACTIONS(15962), 1,
      anon_sym_LBRACK,
    ACTIONS(15966), 1,
      sym__backquoted_id,
    STATE(9881), 1,
      sym_identifier,
    STATE(9883), 1,
      sym__soft_identifier,
    STATE(13571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15964), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [611930] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4274), 1,
      sym__alpha_identifier,
    ACTIONS(4292), 1,
      sym__backquoted_id,
    ACTIONS(15968), 1,
      sym_operator_identifier,
    STATE(4817), 1,
      sym__soft_identifier,
    STATE(5028), 1,
      sym_identifier,
    STATE(5033), 1,
      sym__type_identifier,
    STATE(13572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4286), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [611967] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8300), 1,
      sym__alpha_identifier,
    ACTIONS(8312), 1,
      sym__backquoted_id,
    ACTIONS(15970), 1,
      sym_operator_identifier,
    STATE(11917), 1,
      sym__soft_identifier,
    STATE(12268), 1,
      sym_identifier,
    STATE(12400), 1,
      sym__type_identifier,
    STATE(13573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8308), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [612004] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11865), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [612029] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15394), 1,
      sym__alpha_identifier,
    ACTIONS(15402), 1,
      sym__backquoted_id,
    ACTIONS(15972), 1,
      anon_sym_LBRACE,
    ACTIONS(15974), 1,
      anon_sym_LBRACK,
    STATE(9091), 1,
      sym_identifier,
    STATE(9173), 1,
      sym__soft_identifier,
    STATE(13575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15400), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [612066] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      sym__alpha_identifier,
    ACTIONS(8440), 1,
      sym__backquoted_id,
    ACTIONS(15976), 1,
      sym_operator_identifier,
    STATE(9441), 1,
      sym_identifier,
    STATE(9586), 1,
      sym__soft_identifier,
    STATE(9758), 1,
      sym__type_identifier,
    STATE(13576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [612103] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7376), 1,
      sym__alpha_identifier,
    ACTIONS(7386), 1,
      sym__backquoted_id,
    ACTIONS(15978), 1,
      sym_operator_identifier,
    STATE(4483), 1,
      sym__type_identifier,
    STATE(9372), 1,
      sym__soft_identifier,
    STATE(11302), 1,
      sym_identifier,
    STATE(13577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [612140] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [612165] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15196), 1,
      sym__alpha_identifier,
    ACTIONS(15204), 1,
      sym__backquoted_id,
    ACTIONS(15980), 1,
      anon_sym_LBRACE,
    ACTIONS(15982), 1,
      anon_sym_LBRACK,
    STATE(9598), 1,
      sym__soft_identifier,
    STATE(9713), 1,
      sym_identifier,
    STATE(13579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15202), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [612202] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6366), 1,
      sym__alpha_identifier,
    ACTIONS(6380), 1,
      sym__backquoted_id,
    ACTIONS(15984), 1,
      sym_operator_identifier,
    STATE(6121), 1,
      sym__soft_identifier,
    STATE(6880), 1,
      sym_identifier,
    STATE(6899), 1,
      sym__type_identifier,
    STATE(13580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6376), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [612239] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8919), 1,
      sym__alpha_identifier,
    ACTIONS(8927), 1,
      sym__backquoted_id,
    ACTIONS(15986), 1,
      sym_operator_identifier,
    STATE(6512), 1,
      sym__soft_identifier,
    STATE(6559), 1,
      sym__type_identifier,
    STATE(6720), 1,
      sym_identifier,
    STATE(13581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8923), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [612276] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [612301] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12136), 1,
      sym__alpha_identifier,
    ACTIONS(12144), 1,
      sym__backquoted_id,
    ACTIONS(15988), 1,
      sym_operator_identifier,
    STATE(13542), 1,
      sym__soft_identifier,
    STATE(13666), 1,
      sym__type_identifier,
    STATE(14020), 1,
      sym_identifier,
    STATE(13583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12140), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [612338] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15990), 1,
      anon_sym_DOT,
    STATE(13584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [612365] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15992), 1,
      sym__alpha_identifier,
    ACTIONS(15994), 1,
      anon_sym_LBRACE,
    ACTIONS(15996), 1,
      anon_sym_LBRACK,
    ACTIONS(16000), 1,
      sym__backquoted_id,
    STATE(7077), 1,
      sym__soft_identifier,
    STATE(7297), 1,
      sym_identifier,
    STATE(13585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15998), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [612402] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15767), 1,
      sym__alpha_identifier,
    ACTIONS(15775), 1,
      sym__backquoted_id,
    ACTIONS(16002), 1,
      anon_sym_LBRACE,
    ACTIONS(16004), 1,
      anon_sym_LBRACK,
    STATE(10436), 1,
      sym_identifier,
    STATE(10477), 1,
      sym__soft_identifier,
    STATE(13586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15773), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [612439] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [612464] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15249), 1,
      anon_sym_LBRACK,
    ACTIONS(15424), 1,
      anon_sym_match,
    STATE(7628), 1,
      sym_type_arguments,
    STATE(13588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [612495] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12230), 1,
      sym__alpha_identifier,
    ACTIONS(12238), 1,
      sym__backquoted_id,
    ACTIONS(16006), 1,
      sym_operator_identifier,
    STATE(8258), 1,
      sym__soft_identifier,
    STATE(9250), 1,
      sym__type_identifier,
    STATE(9426), 1,
      sym_identifier,
    STATE(13589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [612532] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15520), 1,
      sym__alpha_identifier,
    ACTIONS(15528), 1,
      sym__backquoted_id,
    ACTIONS(16008), 1,
      anon_sym_LBRACE,
    ACTIONS(16010), 1,
      anon_sym_LBRACK,
    STATE(6348), 1,
      sym__soft_identifier,
    STATE(6992), 1,
      sym_identifier,
    STATE(13590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15526), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [612569] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4638), 1,
      sym__alpha_identifier,
    ACTIONS(4656), 1,
      sym__backquoted_id,
    ACTIONS(16012), 1,
      sym_operator_identifier,
    STATE(6124), 1,
      sym__soft_identifier,
    STATE(6956), 1,
      sym_identifier,
    STATE(6975), 1,
      sym__type_identifier,
    STATE(13591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4650), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [612606] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12332), 1,
      sym__alpha_identifier,
    ACTIONS(12338), 1,
      sym__backquoted_id,
    ACTIONS(15442), 1,
      sym_operator_identifier,
    STATE(10581), 1,
      sym__soft_identifier,
    STATE(12284), 1,
      sym_identifier,
    STATE(15268), 1,
      sym__function_constructor,
    STATE(13592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [612643] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15289), 1,
      sym__alpha_identifier,
    ACTIONS(15297), 1,
      sym__backquoted_id,
    ACTIONS(16014), 1,
      anon_sym_LBRACE,
    ACTIONS(16016), 1,
      anon_sym_LBRACK,
    STATE(10217), 1,
      sym__soft_identifier,
    STATE(10318), 1,
      sym_identifier,
    STATE(13593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15295), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [612680] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12084), 1,
      sym__alpha_identifier,
    ACTIONS(12092), 1,
      sym__backquoted_id,
    ACTIONS(15164), 1,
      sym_operator_identifier,
    STATE(11611), 1,
      sym__soft_identifier,
    STATE(12521), 1,
      sym_identifier,
    STATE(14988), 1,
      sym__function_constructor,
    STATE(13594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [612717] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8472), 1,
      sym__alpha_identifier,
    ACTIONS(8480), 1,
      sym__backquoted_id,
    ACTIONS(16018), 1,
      sym_operator_identifier,
    STATE(6125), 1,
      sym__soft_identifier,
    STATE(6297), 1,
      sym_identifier,
    STATE(6310), 1,
      sym__type_identifier,
    STATE(13595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8476), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [612754] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15376), 1,
      sym__alpha_identifier,
    ACTIONS(15384), 1,
      sym__backquoted_id,
    ACTIONS(16020), 1,
      anon_sym_LBRACE,
    ACTIONS(16022), 1,
      anon_sym_LBRACK,
    STATE(7105), 1,
      sym__soft_identifier,
    STATE(7356), 1,
      sym_identifier,
    STATE(13596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15382), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [612791] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15839), 1,
      sym__alpha_identifier,
    ACTIONS(15847), 1,
      sym__backquoted_id,
    ACTIONS(16024), 1,
      anon_sym_LBRACE,
    ACTIONS(16026), 1,
      anon_sym_LBRACK,
    STATE(11521), 1,
      sym__soft_identifier,
    STATE(11546), 1,
      sym_identifier,
    STATE(13597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15845), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [612828] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16028), 1,
      anon_sym_end,
    STATE(7954), 1,
      sym__end_marker,
    STATE(13598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [612857] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(699), 1,
      sym__alpha_identifier,
    ACTIONS(739), 1,
      sym__backquoted_id,
    ACTIONS(16030), 1,
      sym_operator_identifier,
    STATE(5232), 1,
      sym__soft_identifier,
    STATE(6645), 1,
      sym_identifier,
    STATE(6770), 1,
      sym__type_identifier,
    STATE(13599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(713), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [612894] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4500), 1,
      sym__alpha_identifier,
    ACTIONS(4518), 1,
      sym__backquoted_id,
    ACTIONS(16032), 1,
      sym_operator_identifier,
    STATE(6913), 1,
      sym__soft_identifier,
    STATE(7267), 1,
      sym__type_identifier,
    STATE(7285), 1,
      sym_identifier,
    STATE(13600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4512), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [612931] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13845), 1,
      sym_arguments,
    STATE(13601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [612958] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14041), 1,
      aux_sym_compound_type_repeat1,
    STATE(15118), 1,
      sym_template_body,
    STATE(15123), 1,
      sym__refinement,
    STATE(15220), 1,
      sym_arguments,
    STATE(13602), 2,
      sym_comment,
      sym_block_comment,
    STATE(15135), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8372), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [612993] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4818), 1,
      sym__alpha_identifier,
    ACTIONS(4836), 1,
      sym__backquoted_id,
    ACTIONS(16034), 1,
      sym_operator_identifier,
    STATE(6127), 1,
      sym__soft_identifier,
    STATE(6351), 1,
      sym__type_identifier,
    STATE(7060), 1,
      sym_identifier,
    STATE(13603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4830), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [613030] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7334), 1,
      sym__alpha_identifier,
    ACTIONS(7342), 1,
      sym__backquoted_id,
    ACTIONS(16036), 1,
      sym_operator_identifier,
    STATE(12324), 1,
      sym__soft_identifier,
    STATE(12513), 1,
      sym_identifier,
    STATE(13072), 1,
      sym__type_identifier,
    STATE(13604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7338), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [613067] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15214), 1,
      sym__alpha_identifier,
    ACTIONS(15222), 1,
      sym__backquoted_id,
    ACTIONS(16038), 1,
      anon_sym_LBRACE,
    ACTIONS(16040), 1,
      anon_sym_LBRACK,
    STATE(9730), 1,
      sym_identifier,
    STATE(9812), 1,
      sym__soft_identifier,
    STATE(13605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15220), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [613104] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15928), 1,
      sym__alpha_identifier,
    ACTIONS(15936), 1,
      sym__backquoted_id,
    ACTIONS(16042), 1,
      anon_sym_LBRACE,
    ACTIONS(16044), 1,
      anon_sym_LBRACK,
    STATE(5993), 1,
      sym__soft_identifier,
    STATE(6155), 1,
      sym_identifier,
    STATE(13606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15934), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [613141] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15333), 1,
      anon_sym_LBRACK,
    ACTIONS(15428), 1,
      anon_sym_match,
    STATE(7357), 1,
      sym_type_arguments,
    STATE(13607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [613172] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11458), 1,
      sym__alpha_identifier,
    ACTIONS(11466), 1,
      sym__backquoted_id,
    ACTIONS(16046), 1,
      sym_operator_identifier,
    STATE(14844), 1,
      sym__soft_identifier,
    STATE(15002), 1,
      sym__type_identifier,
    STATE(15079), 1,
      sym_identifier,
    STATE(13608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11462), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [613209] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12745), 1,
      anon_sym_LPAREN,
    ACTIONS(13485), 1,
      sym__automatic_semicolon,
    STATE(13318), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14076), 1,
      sym_class_parameters,
    STATE(13609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13483), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [613242] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8504), 1,
      sym__alpha_identifier,
    ACTIONS(8512), 1,
      sym__backquoted_id,
    ACTIONS(16048), 1,
      sym_operator_identifier,
    STATE(7176), 1,
      sym__soft_identifier,
    STATE(7723), 1,
      sym_identifier,
    STATE(7730), 1,
      sym__type_identifier,
    STATE(13610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8508), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [613279] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16050), 1,
      anon_sym_LBRACK,
    STATE(14132), 1,
      sym_access_qualifier,
    STATE(13611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10394), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [613308] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16052), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(4552), 1,
      sym_identifier,
    STATE(4592), 1,
      sym__type_identifier,
    STATE(13612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [613345] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12745), 1,
      anon_sym_LPAREN,
    ACTIONS(16056), 1,
      sym__automatic_semicolon,
    STATE(13207), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14076), 1,
      sym_class_parameters,
    STATE(13613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16054), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [613378] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12965), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [613403] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16059), 1,
      anon_sym_end,
    STATE(8609), 1,
      sym__end_marker,
    STATE(13615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [613432] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15958), 1,
      sym__alpha_identifier,
    ACTIONS(15966), 1,
      sym__backquoted_id,
    ACTIONS(16061), 1,
      anon_sym_LBRACE,
    ACTIONS(16063), 1,
      anon_sym_LBRACK,
    STATE(9883), 1,
      sym__soft_identifier,
    STATE(9926), 1,
      sym_identifier,
    STATE(13616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15964), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [613469] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4530), 1,
      sym__alpha_identifier,
    ACTIONS(4548), 1,
      sym__backquoted_id,
    ACTIONS(16065), 1,
      sym_operator_identifier,
    STATE(6552), 1,
      sym__soft_identifier,
    STATE(7753), 1,
      sym__type_identifier,
    STATE(7817), 1,
      sym_identifier,
    STATE(13617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4542), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [613506] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15992), 1,
      sym__alpha_identifier,
    ACTIONS(16000), 1,
      sym__backquoted_id,
    ACTIONS(16067), 1,
      anon_sym_LBRACE,
    ACTIONS(16069), 1,
      anon_sym_LBRACK,
    STATE(7077), 1,
      sym__soft_identifier,
    STATE(7427), 1,
      sym_identifier,
    STATE(13618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15998), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [613543] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10170), 1,
      anon_sym_COLON,
    STATE(13619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [613570] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13408), 1,
      sym__alpha_identifier,
    ACTIONS(13416), 1,
      sym__backquoted_id,
    ACTIONS(16071), 1,
      sym_operator_identifier,
    STATE(14967), 1,
      sym__soft_identifier,
    STATE(15184), 1,
      sym_identifier,
    STATE(15847), 1,
      sym_simple_enum_case,
    STATE(13620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13414), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [613607] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6384), 1,
      sym__alpha_identifier,
    ACTIONS(6398), 1,
      sym__backquoted_id,
    ACTIONS(16073), 1,
      sym_operator_identifier,
    STATE(6130), 1,
      sym__soft_identifier,
    STATE(6426), 1,
      sym_identifier,
    STATE(6690), 1,
      sym__type_identifier,
    STATE(13621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6394), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [613644] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [613669] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15404), 1,
      anon_sym_LBRACK,
    STATE(7299), 1,
      sym_type_arguments,
    STATE(13623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13990), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [613698] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6514), 1,
      sym__alpha_identifier,
    ACTIONS(6524), 1,
      sym__backquoted_id,
    ACTIONS(16075), 1,
      sym_operator_identifier,
    STATE(9211), 1,
      sym__soft_identifier,
    STATE(9613), 1,
      sym__type_identifier,
    STATE(9825), 1,
      sym_identifier,
    STATE(13624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6520), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [613735] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12745), 1,
      anon_sym_LPAREN,
    ACTIONS(16079), 1,
      sym__automatic_semicolon,
    STATE(13319), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14076), 1,
      sym_class_parameters,
    STATE(13625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16077), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [613768] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16082), 1,
      anon_sym_STAR,
    STATE(13626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [613794] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13855), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [613818] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16084), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17481), 1,
      sym_identifier,
    STATE(13628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [613852] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [613876] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16086), 1,
      anon_sym_DOT,
    STATE(13630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [613902] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16088), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17426), 1,
      sym_identifier,
    STATE(13631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [613936] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14003), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [613960] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14005), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [613984] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [614008] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16090), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17579), 1,
      sym_identifier,
    STATE(13635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [614042] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13761), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [614066] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16092), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17538), 1,
      sym_identifier,
    STATE(13637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [614100] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [614124] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(13422), 1,
      anon_sym_COLON,
    ACTIONS(16096), 1,
      sym__automatic_semicolon,
    STATE(15287), 1,
      sym_template_body,
    STATE(15316), 1,
      sym__definition_body,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16094), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [614160] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [614184] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16099), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17685), 1,
      sym_identifier,
    STATE(13641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [614218] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [614242] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13958), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [614266] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16101), 1,
      anon_sym_LBRACK,
    STATE(14601), 1,
      sym_access_qualifier,
    STATE(13644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10394), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [614294] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13761), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [614318] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16103), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17626), 1,
      sym_identifier,
    STATE(13646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [614352] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15341), 1,
      sym__alpha_identifier,
    ACTIONS(15349), 1,
      sym__backquoted_id,
    ACTIONS(16105), 1,
      sym_operator_identifier,
    STATE(7960), 1,
      sym__soft_identifier,
    STATE(8128), 1,
      sym_identifier,
    STATE(13647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15347), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [614386] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16107), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17636), 1,
      sym_identifier,
    STATE(13648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [614420] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16109), 1,
      anon_sym_end,
    STATE(8838), 1,
      sym__end_marker,
    STATE(13649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [614448] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12848), 1,
      anon_sym_LPAREN,
    ACTIONS(16111), 1,
      sym__automatic_semicolon,
    STATE(13689), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14395), 1,
      sym_class_parameters,
    STATE(13650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15473), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [614480] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15351), 1,
      sym__alpha_identifier,
    ACTIONS(15359), 1,
      sym__backquoted_id,
    ACTIONS(16114), 1,
      sym_operator_identifier,
    STATE(9049), 1,
      sym_identifier,
    STATE(9393), 1,
      sym__soft_identifier,
    STATE(13651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15357), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [614514] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12848), 1,
      anon_sym_LPAREN,
    ACTIONS(16116), 1,
      sym__automatic_semicolon,
    STATE(13922), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14395), 1,
      sym_class_parameters,
    STATE(13652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15478), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [614546] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12848), 1,
      anon_sym_LPAREN,
    ACTIONS(16119), 1,
      sym__automatic_semicolon,
    STATE(13922), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14395), 1,
      sym_class_parameters,
    STATE(13653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15483), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [614578] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16122), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17756), 1,
      sym_identifier,
    STATE(13654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [614612] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16124), 1,
      anon_sym_catch,
    ACTIONS(16126), 1,
      anon_sym_finally,
    STATE(13933), 1,
      sym_finally_clause,
    STATE(14652), 1,
      sym_catch_clause,
    STATE(13655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [614644] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16128), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17528), 1,
      sym_identifier,
    STATE(13656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [614678] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [614702] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15570), 1,
      sym__alpha_identifier,
    ACTIONS(15578), 1,
      sym__backquoted_id,
    ACTIONS(16130), 1,
      sym_operator_identifier,
    STATE(7654), 1,
      sym_identifier,
    STATE(7671), 1,
      sym__soft_identifier,
    STATE(13658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15576), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [614736] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16132), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17451), 1,
      sym_identifier,
    STATE(13659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [614770] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12084), 1,
      sym__alpha_identifier,
    ACTIONS(12092), 1,
      sym__backquoted_id,
    ACTIONS(16134), 1,
      sym_operator_identifier,
    STATE(11611), 1,
      sym__soft_identifier,
    STATE(15120), 1,
      sym_identifier,
    STATE(13660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [614804] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13857), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [614828] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16136), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17668), 1,
      sym_identifier,
    STATE(13662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [614862] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13869), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13867), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [614888] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16138), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17581), 1,
      sym_identifier,
    STATE(13664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [614922] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13898), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [614946] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [614970] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16140), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17381), 1,
      sym_identifier,
    STATE(13667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [615004] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13794), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [615028] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(10224), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17378), 1,
      sym_identifier,
    STATE(13669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [615062] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [615086] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13857), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [615110] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(13422), 1,
      anon_sym_COLON,
    STATE(15287), 1,
      sym_template_body,
    STATE(15404), 1,
      sym__definition_body,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16142), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [615144] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [615168] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [615192] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [615216] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16144), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17594), 1,
      sym_identifier,
    STATE(13676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [615250] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [615274] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [615298] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [615322] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16146), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17763), 1,
      sym_identifier,
    STATE(13680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [615356] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [615380] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [615404] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10170), 1,
      anon_sym_COLON,
    STATE(13683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [615430] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [615454] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16148), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17721), 1,
      sym_identifier,
    STATE(13685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [615488] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12961), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [615512] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13904), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [615536] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16150), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17400), 1,
      sym_identifier,
    STATE(13688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [615570] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12848), 1,
      anon_sym_LPAREN,
    ACTIONS(16152), 1,
      sym__automatic_semicolon,
    STATE(13922), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14395), 1,
      sym_class_parameters,
    STATE(13689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15891), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [615602] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16155), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17371), 1,
      sym_identifier,
    STATE(13690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [615636] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13924), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [615660] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16157), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17443), 1,
      sym_identifier,
    STATE(13692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [615694] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [615718] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12332), 1,
      sym__alpha_identifier,
    ACTIONS(12338), 1,
      sym__backquoted_id,
    ACTIONS(16159), 1,
      sym_operator_identifier,
    STATE(10581), 1,
      sym__soft_identifier,
    STATE(14539), 1,
      sym_identifier,
    STATE(13694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [615752] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [615776] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16161), 1,
      anon_sym_catch,
    ACTIONS(16163), 1,
      anon_sym_finally,
    STATE(14505), 1,
      sym_catch_clause,
    STATE(14740), 1,
      sym_finally_clause,
    STATE(13696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [615808] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [615832] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16165), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17421), 1,
      sym_identifier,
    STATE(13698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [615866] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [615890] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [615914] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16167), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17493), 1,
      sym_identifier,
    STATE(13701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [615948] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15908), 1,
      sym__alpha_identifier,
    ACTIONS(15916), 1,
      sym__backquoted_id,
    ACTIONS(16169), 1,
      sym_operator_identifier,
    STATE(11100), 1,
      sym__soft_identifier,
    STATE(11105), 1,
      sym_identifier,
    STATE(13702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15914), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [615982] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15604), 1,
      anon_sym_with,
    STATE(15011), 1,
      aux_sym_compound_type_repeat1,
    STATE(15320), 1,
      sym_template_body,
    STATE(15364), 1,
      sym__refinement,
    STATE(13703), 2,
      sym_comment,
      sym_block_comment,
    STATE(15355), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [616016] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16171), 1,
      anon_sym_catch,
    ACTIONS(16173), 1,
      anon_sym_finally,
    STATE(14188), 1,
      sym_finally_clause,
    STATE(14375), 1,
      sym_catch_clause,
    STATE(13704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [616048] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [616072] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(85), 1,
      sym__backquoted_id,
    ACTIONS(16159), 1,
      sym_operator_identifier,
    STATE(4738), 1,
      sym__soft_identifier,
    STATE(14539), 1,
      sym_identifier,
    STATE(13706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [616106] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16175), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17469), 1,
      sym_identifier,
    STATE(13707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [616140] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16177), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17542), 1,
      sym_identifier,
    STATE(13708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [616174] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13962), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [616198] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13936), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [616222] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16179), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17518), 1,
      sym_identifier,
    STATE(13711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [616256] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16181), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17387), 1,
      sym_identifier,
    STATE(13712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [616290] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [616314] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12963), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [616338] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(10325), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17355), 1,
      sym_identifier,
    STATE(13715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [616372] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13938), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [616396] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16183), 1,
      anon_sym_catch,
    ACTIONS(16185), 1,
      anon_sym_finally,
    STATE(12931), 1,
      sym_finally_clause,
    STATE(14308), 1,
      sym_catch_clause,
    STATE(13717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [616428] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [616452] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16187), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17562), 1,
      sym_identifier,
    STATE(13719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [616486] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [616510] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [616534] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16189), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17583), 1,
      sym_identifier,
    STATE(13722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [616568] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15618), 1,
      sym__alpha_identifier,
    ACTIONS(15626), 1,
      sym__backquoted_id,
    ACTIONS(16191), 1,
      sym_operator_identifier,
    STATE(9142), 1,
      sym_identifier,
    STATE(9183), 1,
      sym__soft_identifier,
    STATE(13723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15624), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [616602] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [616626] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13849), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [616650] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16193), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17601), 1,
      sym_identifier,
    STATE(13726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [616684] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12025), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [616708] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16195), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17614), 1,
      sym_identifier,
    STATE(13728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [616742] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13968), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13966), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [616768] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13956), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [616792] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12848), 1,
      anon_sym_LPAREN,
    ACTIONS(14011), 1,
      sym__automatic_semicolon,
    STATE(13959), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14395), 1,
      sym_class_parameters,
    STATE(13731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13542), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [616824] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13958), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [616848] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12848), 1,
      anon_sym_LPAREN,
    ACTIONS(16197), 1,
      sym__automatic_semicolon,
    STATE(13922), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14395), 1,
      sym_class_parameters,
    STATE(13733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15230), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [616880] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16200), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17643), 1,
      sym_identifier,
    STATE(13734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [616914] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13962), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [616938] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13968), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13966), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [616964] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16202), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17674), 1,
      sym_identifier,
    STATE(13737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [616998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13994), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13992), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [617024] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [617048] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(13740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [617074] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16204), 1,
      anon_sym_LBRACK,
    ACTIONS(16206), 1,
      anon_sym_match,
    STATE(8246), 1,
      sym_type_arguments,
    STATE(13741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [617104] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16208), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17710), 1,
      sym_identifier,
    STATE(13742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [617138] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11908), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [617162] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16210), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17731), 1,
      sym_identifier,
    STATE(13744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [617196] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12955), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [617220] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8230), 1,
      anon_sym_opaque,
    ACTIONS(16212), 1,
      anon_sym_case,
    ACTIONS(16214), 1,
      anon_sym_object,
    ACTIONS(16216), 1,
      anon_sym_given,
    ACTIONS(16218), 1,
      anon_sym_class,
    ACTIONS(16220), 1,
      anon_sym_trait,
    ACTIONS(16222), 1,
      anon_sym_val,
    ACTIONS(16224), 1,
      anon_sym_var,
    ACTIONS(16226), 1,
      anon_sym_type,
    ACTIONS(16228), 1,
      anon_sym_def,
    STATE(19129), 1,
      sym_opaque_modifier,
    STATE(13746), 2,
      sym_comment,
      sym_block_comment,
  [617264] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11915), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [617288] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16230), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17340), 1,
      sym_identifier,
    STATE(13748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [617322] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [617346] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16232), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17460), 1,
      sym_identifier,
    STATE(13750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [617380] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16234), 1,
      anon_sym_catch,
    ACTIONS(16236), 1,
      anon_sym_finally,
    STATE(12931), 1,
      sym_finally_clause,
    STATE(14310), 1,
      sym_catch_clause,
    STATE(13751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [617412] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15666), 1,
      sym__alpha_identifier,
    ACTIONS(15674), 1,
      sym__backquoted_id,
    ACTIONS(16238), 1,
      sym_operator_identifier,
    STATE(9249), 1,
      sym__soft_identifier,
    STATE(9316), 1,
      sym_identifier,
    STATE(13752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15672), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [617446] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(16240), 1,
      sym_operator_identifier,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15866), 1,
      sym_identifier,
    STATE(13753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [617480] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16242), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17688), 1,
      sym_identifier,
    STATE(13754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [617514] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [617538] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13869), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13867), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [617564] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [617588] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16244), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17735), 1,
      sym_identifier,
    STATE(13758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [617622] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [617646] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16246), 1,
      anon_sym_catch,
    ACTIONS(16248), 1,
      anon_sym_finally,
    STATE(14643), 1,
      sym_catch_clause,
    STATE(14740), 1,
      sym_finally_clause,
    STATE(13760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [617678] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(13422), 1,
      anon_sym_COLON,
    STATE(15287), 1,
      sym_template_body,
    STATE(15345), 1,
      sym__definition_body,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16250), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [617712] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11919), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [617736] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13898), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [617760] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [617784] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16252), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17623), 1,
      sym_identifier,
    STATE(13765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [617818] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [617842] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16254), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17501), 1,
      sym_identifier,
    STATE(13767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [617876] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8222), 1,
      anon_sym_val,
    ACTIONS(8224), 1,
      anon_sym_var,
    ACTIONS(8230), 1,
      anon_sym_opaque,
    ACTIONS(8274), 1,
      anon_sym_case,
    ACTIONS(8276), 1,
      anon_sym_object,
    ACTIONS(8280), 1,
      anon_sym_class,
    ACTIONS(8282), 1,
      anon_sym_trait,
    ACTIONS(8352), 1,
      anon_sym_given,
    ACTIONS(8354), 1,
      anon_sym_type,
    ACTIONS(8356), 1,
      anon_sym_def,
    STATE(18284), 1,
      sym_opaque_modifier,
    STATE(13768), 2,
      sym_comment,
      sym_block_comment,
  [617920] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [617944] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15237), 1,
      sym__alpha_identifier,
    ACTIONS(15245), 1,
      sym__backquoted_id,
    ACTIONS(16256), 1,
      sym_operator_identifier,
    STATE(8271), 1,
      sym_identifier,
    STATE(8489), 1,
      sym__soft_identifier,
    STATE(13770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15243), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [617978] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16204), 1,
      anon_sym_LBRACK,
    STATE(8246), 1,
      sym_type_arguments,
    STATE(13771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13813), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [618006] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16204), 1,
      anon_sym_LBRACK,
    STATE(8246), 1,
      sym_type_arguments,
    STATE(13772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13916), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [618034] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16258), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17407), 1,
      sym_identifier,
    STATE(13773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [618068] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16260), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17430), 1,
      sym_identifier,
    STATE(13774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [618102] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [618126] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [618150] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13896), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [618174] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11957), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [618198] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16262), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17656), 1,
      sym_identifier,
    STATE(13779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [618232] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16264), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(18938), 1,
      sym_identifier,
    STATE(13780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [618266] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16266), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17604), 1,
      sym_identifier,
    STATE(13781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [618300] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(9297), 1,
      sym_operator_identifier,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15737), 1,
      sym_identifier,
    STATE(13782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [618334] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13976), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [618358] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16268), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17736), 1,
      sym_identifier,
    STATE(13784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [618392] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [618416] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [618440] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16270), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(18771), 1,
      sym_identifier,
    STATE(13787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [618474] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16272), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17697), 1,
      sym_identifier,
    STATE(13788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [618508] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16274), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17396), 1,
      sym_identifier,
    STATE(13789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [618542] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13904), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [618566] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16276), 1,
      anon_sym_catch,
    ACTIONS(16278), 1,
      anon_sym_finally,
    STATE(14188), 1,
      sym_finally_clause,
    STATE(14285), 1,
      sym_catch_clause,
    STATE(13791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [618598] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [618622] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8230), 1,
      anon_sym_opaque,
    ACTIONS(16212), 1,
      anon_sym_case,
    ACTIONS(16214), 1,
      anon_sym_object,
    ACTIONS(16218), 1,
      anon_sym_class,
    ACTIONS(16220), 1,
      anon_sym_trait,
    ACTIONS(16222), 1,
      anon_sym_val,
    ACTIONS(16224), 1,
      anon_sym_var,
    ACTIONS(16280), 1,
      anon_sym_given,
    ACTIONS(16282), 1,
      anon_sym_type,
    ACTIONS(16284), 1,
      anon_sym_def,
    STATE(18421), 1,
      sym_opaque_modifier,
    STATE(13793), 2,
      sym_comment,
      sym_block_comment,
  [618666] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16286), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17353), 1,
      sym_identifier,
    STATE(13794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [618700] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [618724] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13924), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [618748] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [618772] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16288), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17495), 1,
      sym_identifier,
    STATE(13798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [618806] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [618830] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [618854] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16290), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17441), 1,
      sym_identifier,
    STATE(13801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [618888] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [618912] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16292), 1,
      anon_sym_end,
    STATE(9016), 1,
      sym__end_marker,
    STATE(13803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [618940] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16294), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17544), 1,
      sym_identifier,
    STATE(13804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [618974] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11989), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [618998] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16296), 1,
      anon_sym_catch,
    ACTIONS(16298), 1,
      anon_sym_finally,
    STATE(13156), 1,
      sym_finally_clause,
    STATE(14591), 1,
      sym_catch_clause,
    STATE(13806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [619030] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16300), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17527), 1,
      sym_identifier,
    STATE(13807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [619064] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16302), 1,
      anon_sym_LBRACK,
    ACTIONS(16304), 1,
      anon_sym_match,
    STATE(8107), 1,
      sym_type_arguments,
    STATE(13808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [619094] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(9951), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17659), 1,
      sym_identifier,
    STATE(13809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [619128] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16306), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17701), 1,
      sym_identifier,
    STATE(13810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [619162] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15708), 1,
      sym__alpha_identifier,
    ACTIONS(15716), 1,
      sym__backquoted_id,
    ACTIONS(16308), 1,
      sym_operator_identifier,
    STATE(9633), 1,
      sym__soft_identifier,
    STATE(9875), 1,
      sym_identifier,
    STATE(13811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15714), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [619196] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [619220] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16161), 1,
      anon_sym_catch,
    ACTIONS(16310), 1,
      anon_sym_finally,
    STATE(14496), 1,
      sym_catch_clause,
    STATE(14613), 1,
      sym_finally_clause,
    STATE(13813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [619252] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16312), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17566), 1,
      sym_identifier,
    STATE(13814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [619286] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13829), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [619310] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16204), 1,
      anon_sym_LBRACK,
    ACTIONS(16206), 1,
      anon_sym_match,
    STATE(8246), 1,
      sym_type_arguments,
    STATE(13816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13811), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [619340] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16314), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17587), 1,
      sym_identifier,
    STATE(13817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [619374] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [619398] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [619422] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16316), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17598), 1,
      sym_identifier,
    STATE(13820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [619456] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [619480] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16318), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17629), 1,
      sym_identifier,
    STATE(13822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [619514] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [619538] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [619562] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16302), 1,
      anon_sym_LBRACK,
    STATE(8107), 1,
      sym_type_arguments,
    STATE(13825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13813), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [619590] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16302), 1,
      anon_sym_LBRACK,
    STATE(8107), 1,
      sym_type_arguments,
    STATE(13826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13916), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [619618] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [619642] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16322), 1,
      anon_sym_LBRACK,
    ACTIONS(16324), 1,
      anon_sym_if,
    ACTIONS(16326), 1,
      anon_sym_match,
    STATE(8212), 1,
      sym_type_arguments,
    STATE(15148), 1,
      sym_guard,
    STATE(13828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16320), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [619676] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16328), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17647), 1,
      sym_identifier,
    STATE(13829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [619710] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [619734] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16330), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17678), 1,
      sym_identifier,
    STATE(13831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [619768] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [619792] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [619816] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [619840] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16332), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17691), 1,
      sym_identifier,
    STATE(13835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [619874] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [619898] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [619922] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16334), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17707), 1,
      sym_identifier,
    STATE(13838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [619956] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [619980] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [620004] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16336), 1,
      anon_sym_DOT,
    STATE(13841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [620030] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16338), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17712), 1,
      sym_identifier,
    STATE(13842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [620064] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [620088] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16340), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17724), 1,
      sym_identifier,
    STATE(13844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [620122] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [620146] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16342), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17737), 1,
      sym_identifier,
    STATE(13846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [620180] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16302), 1,
      anon_sym_LBRACK,
    ACTIONS(16304), 1,
      anon_sym_match,
    STATE(8107), 1,
      sym_type_arguments,
    STATE(13847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13811), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [620210] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [620234] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16344), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17747), 1,
      sym_identifier,
    STATE(13849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [620268] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13794), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [620292] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [620316] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15455), 1,
      sym__alpha_identifier,
    ACTIONS(15463), 1,
      sym__backquoted_id,
    ACTIONS(16346), 1,
      sym_operator_identifier,
    STATE(10079), 1,
      sym__soft_identifier,
    STATE(10303), 1,
      sym_identifier,
    STATE(13852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15461), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [620350] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16348), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17760), 1,
      sym_identifier,
    STATE(13853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [620384] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(15008), 1,
      sym_operator_identifier,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15655), 1,
      sym_identifier,
    STATE(13854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [620418] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16350), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17345), 1,
      sym_identifier,
    STATE(13855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [620452] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16302), 1,
      anon_sym_LBRACK,
    STATE(8107), 1,
      sym_type_arguments,
    STATE(13856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13980), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [620480] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13938), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [620504] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16352), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17350), 1,
      sym_identifier,
    STATE(13858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [620538] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [620562] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [620586] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16354), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17357), 1,
      sym_identifier,
    STATE(13861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [620620] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16204), 1,
      anon_sym_LBRACK,
    STATE(8246), 1,
      sym_type_arguments,
    STATE(13862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13980), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [620648] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16356), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17369), 1,
      sym_identifier,
    STATE(13863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [620682] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16358), 1,
      anon_sym_STAR,
    STATE(13864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [620708] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12745), 1,
      anon_sym_LPAREN,
    ACTIONS(13360), 1,
      sym__automatic_semicolon,
    STATE(14076), 1,
      sym_class_parameters,
    STATE(14751), 1,
      sym_access_modifier,
    STATE(14752), 1,
      aux_sym__class_constructor_repeat1,
    ACTIONS(12743), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(13865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13483), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [620744] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13849), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [620768] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16124), 1,
      anon_sym_catch,
    ACTIONS(16360), 1,
      anon_sym_finally,
    STATE(13156), 1,
      sym_finally_clause,
    STATE(14475), 1,
      sym_catch_clause,
    STATE(13867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [620800] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15767), 1,
      sym__alpha_identifier,
    ACTIONS(15775), 1,
      sym__backquoted_id,
    ACTIONS(16362), 1,
      sym_operator_identifier,
    STATE(10402), 1,
      sym_identifier,
    STATE(10477), 1,
      sym__soft_identifier,
    STATE(13868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15773), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [620834] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11872), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [620858] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [620882] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16364), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17389), 1,
      sym_identifier,
    STATE(13871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [620916] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15520), 1,
      sym__alpha_identifier,
    ACTIONS(15528), 1,
      sym__backquoted_id,
    ACTIONS(16366), 1,
      sym_operator_identifier,
    STATE(6348), 1,
      sym__soft_identifier,
    STATE(6949), 1,
      sym_identifier,
    STATE(13872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15526), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [620950] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9787), 1,
      anon_sym_LPAREN,
    STATE(14023), 1,
      aux_sym_annotation_repeat1,
    STATE(14576), 1,
      sym_arguments,
    STATE(13873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [620980] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16368), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17398), 1,
      sym_identifier,
    STATE(13874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [621014] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [621038] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11892), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [621062] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16370), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17403), 1,
      sym_identifier,
    STATE(13877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [621096] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11865), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [621120] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [621144] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16372), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17410), 1,
      sym_identifier,
    STATE(13880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [621178] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [621202] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [621226] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12745), 1,
      anon_sym_LPAREN,
    ACTIONS(13360), 1,
      sym__automatic_semicolon,
    STATE(14076), 1,
      sym_class_parameters,
    STATE(14814), 1,
      sym_access_modifier,
    STATE(14835), 1,
      aux_sym__class_constructor_repeat1,
    ACTIONS(12743), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(13883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13542), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [621262] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16374), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17414), 1,
      sym_identifier,
    STATE(13884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [621296] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16376), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17420), 1,
      sym_identifier,
    STATE(13885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [621330] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16204), 1,
      anon_sym_LBRACK,
    STATE(8246), 1,
      sym_type_arguments,
    STATE(13886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13990), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [621358] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16378), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17425), 1,
      sym_identifier,
    STATE(13887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [621392] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16380), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17432), 1,
      sym_identifier,
    STATE(13888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [621426] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16382), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17439), 1,
      sym_identifier,
    STATE(13889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [621460] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(13890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [621486] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16384), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17447), 1,
      sym_identifier,
    STATE(13891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [621520] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16386), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17453), 1,
      sym_identifier,
    STATE(13892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [621554] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16388), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17464), 1,
      sym_identifier,
    STATE(13893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [621588] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11989), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [621612] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [621636] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16390), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17468), 1,
      sym_identifier,
    STATE(13896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [621670] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15610), 1,
      anon_sym_finally,
    STATE(12447), 1,
      sym_finally_clause,
    STATE(13897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_yield,
  [621698] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16392), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17475), 1,
      sym_identifier,
    STATE(13898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [621732] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [621756] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16302), 1,
      anon_sym_LBRACK,
    STATE(8107), 1,
      sym_type_arguments,
    STATE(13900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13988), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [621784] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16394), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17713), 1,
      sym_identifier,
    STATE(13901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [621818] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16396), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17482), 1,
      sym_identifier,
    STATE(13902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [621852] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16398), 1,
      anon_sym_with,
    STATE(13903), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [621878] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16401), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17491), 1,
      sym_identifier,
    STATE(13904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [621912] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [621936] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [621960] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16403), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17500), 1,
      sym_identifier,
    STATE(13907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [621994] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12025), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [622018] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16405), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17507), 1,
      sym_identifier,
    STATE(13909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [622052] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11908), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [622076] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11915), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [622100] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16407), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17513), 1,
      sym_identifier,
    STATE(13912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [622134] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11919), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [622158] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [622182] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [622206] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16409), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17521), 1,
      sym_identifier,
    STATE(13916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [622240] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    ACTIONS(16411), 1,
      sym_operator_identifier,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(15656), 1,
      sym_identifier,
    STATE(13917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [622274] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16413), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(18165), 1,
      sym_identifier,
    STATE(13918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [622308] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16415), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17526), 1,
      sym_identifier,
    STATE(13919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [622342] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16417), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17533), 1,
      sym_identifier,
    STATE(13920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [622376] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8222), 1,
      anon_sym_val,
    ACTIONS(8224), 1,
      anon_sym_var,
    ACTIONS(8230), 1,
      anon_sym_opaque,
    ACTIONS(8274), 1,
      anon_sym_case,
    ACTIONS(8276), 1,
      anon_sym_object,
    ACTIONS(8278), 1,
      anon_sym_given,
    ACTIONS(8280), 1,
      anon_sym_class,
    ACTIONS(8282), 1,
      anon_sym_trait,
    ACTIONS(8284), 1,
      anon_sym_type,
    ACTIONS(8286), 1,
      anon_sym_def,
    STATE(18707), 1,
      sym_opaque_modifier,
    STATE(13921), 2,
      sym_comment,
      sym_block_comment,
  [622420] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16419), 1,
      anon_sym_LPAREN,
    ACTIONS(16422), 1,
      sym__automatic_semicolon,
    STATE(14395), 1,
      sym_class_parameters,
    STATE(13922), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__class_constructor_repeat1,
    ACTIONS(15279), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [622450] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16425), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17539), 1,
      sym_identifier,
    STATE(13923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [622484] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16427), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17548), 1,
      sym_identifier,
    STATE(13924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [622518] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15255), 1,
      sym__alpha_identifier,
    ACTIONS(15263), 1,
      sym__backquoted_id,
    ACTIONS(16429), 1,
      sym_operator_identifier,
    STATE(6534), 1,
      sym__soft_identifier,
    STATE(6609), 1,
      sym_identifier,
    STATE(13925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15261), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [622552] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12965), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [622576] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16431), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17552), 1,
      sym_identifier,
    STATE(13927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [622610] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16433), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17557), 1,
      sym_identifier,
    STATE(13928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [622644] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15839), 1,
      sym__alpha_identifier,
    ACTIONS(15847), 1,
      sym__backquoted_id,
    ACTIONS(16435), 1,
      sym_operator_identifier,
    STATE(11489), 1,
      sym_identifier,
    STATE(11521), 1,
      sym__soft_identifier,
    STATE(13929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15845), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [622678] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [622702] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16437), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17561), 1,
      sym_identifier,
    STATE(13931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [622736] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [622760] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [622784] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [622808] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(13490), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(18778), 1,
      sym_identifier,
    STATE(13935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [622842] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16439), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17698), 1,
      sym_identifier,
    STATE(13936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [622876] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [622900] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [622924] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [622948] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [622972] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [622996] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [623020] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [623044] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [623068] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [623092] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [623116] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [623140] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15196), 1,
      sym__alpha_identifier,
    ACTIONS(15204), 1,
      sym__backquoted_id,
    ACTIONS(16441), 1,
      sym_operator_identifier,
    STATE(9562), 1,
      sym_identifier,
    STATE(9598), 1,
      sym__soft_identifier,
    STATE(13948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15202), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [623174] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11655), 1,
      sym__backquoted_id,
    STATE(13949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11653), 10,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [623200] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8608), 1,
      sym__backquoted_id,
    ACTIONS(8638), 1,
      anon_sym_EQ_GT,
    STATE(13950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8606), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [623228] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12848), 1,
      anon_sym_LPAREN,
    ACTIONS(14016), 1,
      sym__automatic_semicolon,
    STATE(13652), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14395), 1,
      sym_class_parameters,
    STATE(13951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13483), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [623260] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(10388), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17433), 1,
      sym_identifier,
    STATE(13952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [623294] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16443), 1,
      anon_sym_end,
    STATE(8693), 1,
      sym__end_marker,
    STATE(13953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [623322] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12848), 1,
      anon_sym_LPAREN,
    ACTIONS(16445), 1,
      sym__automatic_semicolon,
    STATE(13922), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14395), 1,
      sym_class_parameters,
    STATE(13954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16054), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [623354] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13829), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [623378] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16204), 1,
      anon_sym_LBRACK,
    STATE(8246), 1,
      sym_type_arguments,
    STATE(13956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13988), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [623406] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16448), 1,
      anon_sym_catch,
    ACTIONS(16450), 1,
      anon_sym_finally,
    STATE(12997), 1,
      sym_finally_clause,
    STATE(14443), 1,
      sym_catch_clause,
    STATE(13957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [623438] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12848), 1,
      anon_sym_LPAREN,
    ACTIONS(16452), 1,
      sym__automatic_semicolon,
    STATE(13653), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14395), 1,
      sym_class_parameters,
    STATE(13958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16077), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [623470] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12848), 1,
      anon_sym_LPAREN,
    ACTIONS(16455), 1,
      sym__automatic_semicolon,
    STATE(13922), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14395), 1,
      sym_class_parameters,
    STATE(13959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15146), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [623502] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16458), 1,
      anon_sym_DOT,
    STATE(13960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [623528] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 11,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [623552] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16460), 1,
      anon_sym_catch,
    ACTIONS(16462), 1,
      anon_sym_finally,
    STATE(12359), 1,
      sym_finally_clause,
    STATE(14087), 1,
      sym_catch_clause,
    STATE(13962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [623584] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 11,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [623608] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [623632] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [623656] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16464), 1,
      anon_sym_catch,
    ACTIONS(16466), 1,
      anon_sym_finally,
    STATE(14286), 1,
      sym_finally_clause,
    STATE(14466), 1,
      sym_catch_clause,
    STATE(13966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
  [623688] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(13422), 1,
      anon_sym_COLON,
    ACTIONS(16470), 1,
      sym__automatic_semicolon,
    STATE(15287), 1,
      sym_template_body,
    STATE(15389), 1,
      sym__definition_body,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16468), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [623724] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [623748] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [623772] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16473), 1,
      anon_sym_catch,
    ACTIONS(16475), 1,
      anon_sym_finally,
    STATE(13697), 1,
      sym_finally_clause,
    STATE(14361), 1,
      sym_catch_clause,
    STATE(13970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
  [623804] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11872), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [623828] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16477), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17511), 1,
      sym_identifier,
    STATE(13972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [623862] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16246), 1,
      anon_sym_catch,
    ACTIONS(16479), 1,
      anon_sym_finally,
    STATE(14613), 1,
      sym_finally_clause,
    STATE(14666), 1,
      sym_catch_clause,
    STATE(13973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [623894] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11957), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [623918] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16240), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17392), 1,
      sym_identifier,
    STATE(13975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [623952] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [623976] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8212), 1,
      anon_sym_case,
    ACTIONS(8214), 1,
      anon_sym_object,
    ACTIONS(8216), 1,
      anon_sym_given,
    ACTIONS(8218), 1,
      anon_sym_class,
    ACTIONS(8220), 1,
      anon_sym_trait,
    ACTIONS(8222), 1,
      anon_sym_val,
    ACTIONS(8224), 1,
      anon_sym_var,
    ACTIONS(8226), 1,
      anon_sym_type,
    ACTIONS(8228), 1,
      anon_sym_def,
    ACTIONS(8230), 1,
      anon_sym_opaque,
    STATE(18867), 1,
      sym_opaque_modifier,
    STATE(13977), 2,
      sym_comment,
      sym_block_comment,
  [624020] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [624044] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15928), 1,
      sym__alpha_identifier,
    ACTIONS(15936), 1,
      sym__backquoted_id,
    ACTIONS(16481), 1,
      sym_operator_identifier,
    STATE(5993), 1,
      sym__soft_identifier,
    STATE(6234), 1,
      sym_identifier,
    STATE(13979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15934), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [624078] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16322), 1,
      anon_sym_LBRACK,
    STATE(8212), 1,
      sym_type_arguments,
    STATE(13980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13813), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [624106] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16322), 1,
      anon_sym_LBRACK,
    STATE(8212), 1,
      sym_type_arguments,
    STATE(13981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13916), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [624134] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13994), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13992), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [624160] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16483), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17600), 1,
      sym_identifier,
    STATE(13983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [624194] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [624218] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [624242] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15942), 1,
      sym__alpha_identifier,
    ACTIONS(15950), 1,
      sym__backquoted_id,
    ACTIONS(16485), 1,
      sym_operator_identifier,
    STATE(8439), 1,
      sym__soft_identifier,
    STATE(8525), 1,
      sym_identifier,
    STATE(13986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15948), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [624276] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8230), 1,
      anon_sym_opaque,
    ACTIONS(16222), 1,
      anon_sym_val,
    ACTIONS(16224), 1,
      anon_sym_var,
    ACTIONS(16487), 1,
      anon_sym_case,
    ACTIONS(16489), 1,
      anon_sym_object,
    ACTIONS(16491), 1,
      anon_sym_given,
    ACTIONS(16493), 1,
      anon_sym_class,
    ACTIONS(16495), 1,
      anon_sym_trait,
    ACTIONS(16497), 1,
      anon_sym_type,
    ACTIONS(16499), 1,
      anon_sym_def,
    STATE(18976), 1,
      sym_opaque_modifier,
    STATE(13987), 2,
      sym_comment,
      sym_block_comment,
  [624320] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(507), 1,
      sym__alpha_identifier,
    ACTIONS(571), 1,
      sym__backquoted_id,
    ACTIONS(16501), 1,
      sym_operator_identifier,
    STATE(6129), 1,
      sym__soft_identifier,
    STATE(15170), 1,
      sym_identifier,
    STATE(13988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(695), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [624354] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13855), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [624378] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16322), 1,
      anon_sym_LBRACK,
    ACTIONS(16326), 1,
      anon_sym_match,
    STATE(8212), 1,
      sym_type_arguments,
    STATE(13990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13811), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [624408] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [624432] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [624456] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11892), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [624480] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10170), 1,
      anon_sym_COLON,
    STATE(13994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [624506] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11865), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [624530] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16503), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17459), 1,
      sym_identifier,
    STATE(13996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [624564] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11865), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [624588] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16322), 1,
      anon_sym_LBRACK,
    STATE(8212), 1,
      sym_type_arguments,
    STATE(13998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13980), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [624616] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16505), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(15690), 1,
      sym_identifier,
    STATE(13999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [624650] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8212), 1,
      anon_sym_case,
    ACTIONS(8214), 1,
      anon_sym_object,
    ACTIONS(8218), 1,
      anon_sym_class,
    ACTIONS(8220), 1,
      anon_sym_trait,
    ACTIONS(8222), 1,
      anon_sym_val,
    ACTIONS(8224), 1,
      anon_sym_var,
    ACTIONS(8226), 1,
      anon_sym_type,
    ACTIONS(8228), 1,
      anon_sym_def,
    ACTIONS(8230), 1,
      anon_sym_opaque,
    ACTIONS(8390), 1,
      anon_sym_given,
    STATE(18867), 1,
      sym_opaque_modifier,
    STATE(14000), 2,
      sym_comment,
      sym_block_comment,
  [624694] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8230), 1,
      anon_sym_opaque,
    ACTIONS(16222), 1,
      anon_sym_val,
    ACTIONS(16224), 1,
      anon_sym_var,
    ACTIONS(16487), 1,
      anon_sym_case,
    ACTIONS(16489), 1,
      anon_sym_object,
    ACTIONS(16493), 1,
      anon_sym_class,
    ACTIONS(16495), 1,
      anon_sym_trait,
    ACTIONS(16497), 1,
      anon_sym_type,
    ACTIONS(16499), 1,
      anon_sym_def,
    ACTIONS(16507), 1,
      anon_sym_given,
    STATE(18976), 1,
      sym_opaque_modifier,
    STATE(14001), 2,
      sym_comment,
      sym_block_comment,
  [624738] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8222), 1,
      anon_sym_val,
    ACTIONS(8224), 1,
      anon_sym_var,
    ACTIONS(8230), 1,
      anon_sym_opaque,
    ACTIONS(8274), 1,
      anon_sym_case,
    ACTIONS(8276), 1,
      anon_sym_object,
    ACTIONS(8280), 1,
      anon_sym_class,
    ACTIONS(8282), 1,
      anon_sym_trait,
    ACTIONS(8354), 1,
      anon_sym_type,
    ACTIONS(8356), 1,
      anon_sym_def,
    ACTIONS(8392), 1,
      anon_sym_given,
    STATE(18284), 1,
      sym_opaque_modifier,
    STATE(14002), 2,
      sym_comment,
      sym_block_comment,
  [624782] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8230), 1,
      anon_sym_opaque,
    ACTIONS(16212), 1,
      anon_sym_case,
    ACTIONS(16214), 1,
      anon_sym_object,
    ACTIONS(16218), 1,
      anon_sym_class,
    ACTIONS(16220), 1,
      anon_sym_trait,
    ACTIONS(16222), 1,
      anon_sym_val,
    ACTIONS(16224), 1,
      anon_sym_var,
    ACTIONS(16282), 1,
      anon_sym_type,
    ACTIONS(16284), 1,
      anon_sym_def,
    ACTIONS(16509), 1,
      anon_sym_given,
    STATE(18421), 1,
      sym_opaque_modifier,
    STATE(14003), 2,
      sym_comment,
      sym_block_comment,
  [624826] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16513), 1,
      anon_sym_COMMA,
    STATE(14004), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat1,
    ACTIONS(16511), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [624852] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16518), 1,
      anon_sym_with,
    STATE(14005), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat2,
    ACTIONS(16516), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [624878] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15182), 1,
      sym__alpha_identifier,
    ACTIONS(15190), 1,
      sym__backquoted_id,
    ACTIONS(16521), 1,
      sym_operator_identifier,
    STATE(9964), 1,
      sym_identifier,
    STATE(10350), 1,
      sym__soft_identifier,
    STATE(14006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15188), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [624912] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16302), 1,
      anon_sym_LBRACK,
    STATE(8107), 1,
      sym_type_arguments,
    STATE(14007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13990), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [624940] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [624964] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15394), 1,
      sym__alpha_identifier,
    ACTIONS(15402), 1,
      sym__backquoted_id,
    ACTIONS(16523), 1,
      sym_operator_identifier,
    STATE(9117), 1,
      sym_identifier,
    STATE(9173), 1,
      sym__soft_identifier,
    STATE(14009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15400), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [624998] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [625022] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14003), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [625046] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14005), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [625070] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15992), 1,
      sym__alpha_identifier,
    ACTIONS(16000), 1,
      sym__backquoted_id,
    ACTIONS(16525), 1,
      sym_operator_identifier,
    STATE(7077), 1,
      sym__soft_identifier,
    STATE(7314), 1,
      sym_identifier,
    STATE(14013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15998), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [625104] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15510), 1,
      sym__alpha_identifier,
    ACTIONS(15518), 1,
      sym__backquoted_id,
    ACTIONS(16527), 1,
      sym_operator_identifier,
    STATE(10469), 1,
      sym__soft_identifier,
    STATE(10610), 1,
      sym_identifier,
    STATE(14014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15516), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [625138] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16448), 1,
      anon_sym_catch,
    ACTIONS(16529), 1,
      anon_sym_finally,
    STATE(13461), 1,
      sym_finally_clause,
    STATE(14675), 1,
      sym_catch_clause,
    STATE(14015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [625170] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [625194] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16531), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17349), 1,
      sym_identifier,
    STATE(14017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [625228] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [625252] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14284), 1,
      sym_arguments,
    STATE(14019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [625278] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [625302] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(14021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [625328] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15289), 1,
      sym__alpha_identifier,
    ACTIONS(15297), 1,
      sym__backquoted_id,
    ACTIONS(16533), 1,
      sym_operator_identifier,
    STATE(10154), 1,
      sym_identifier,
    STATE(10217), 1,
      sym__soft_identifier,
    STATE(14022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15295), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [625362] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16535), 1,
      anon_sym_LPAREN,
    STATE(14576), 1,
      sym_arguments,
    STATE(14023), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [625390] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [625414] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14354), 1,
      sym_arguments,
    STATE(14025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [625440] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [625464] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16538), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17764), 1,
      sym_identifier,
    STATE(14027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [625498] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15783), 1,
      sym__alpha_identifier,
    ACTIONS(15791), 1,
      sym__backquoted_id,
    ACTIONS(16540), 1,
      sym_operator_identifier,
    STATE(9950), 1,
      sym__soft_identifier,
    STATE(9958), 1,
      sym_identifier,
    STATE(14028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15789), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [625532] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15376), 1,
      sym__alpha_identifier,
    ACTIONS(15384), 1,
      sym__backquoted_id,
    ACTIONS(16542), 1,
      sym_operator_identifier,
    STATE(7105), 1,
      sym__soft_identifier,
    STATE(7369), 1,
      sym_identifier,
    STATE(14029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15382), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [625566] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16544), 1,
      anon_sym_end,
    STATE(8913), 1,
      sym__end_marker,
    STATE(14030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [625594] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16464), 1,
      anon_sym_catch,
    ACTIONS(16546), 1,
      anon_sym_finally,
    STATE(14417), 1,
      sym_catch_clause,
    STATE(14514), 1,
      sym_finally_clause,
    STATE(14031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
  [625626] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9858), 1,
      anon_sym_LPAREN,
    STATE(14044), 1,
      aux_sym_annotation_repeat1,
    STATE(14453), 1,
      sym_arguments,
    STATE(14032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [625656] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(9980), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17646), 1,
      sym_identifier,
    STATE(14033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [625690] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [625714] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [625738] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [625762] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13936), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [625786] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15124), 1,
      anon_sym_COLON,
    ACTIONS(15126), 1,
      anon_sym_LT_COLON,
    ACTIONS(15128), 1,
      anon_sym_GT_COLON,
    STATE(14405), 1,
      sym_lower_bound,
    STATE(15029), 1,
      sym_upper_bound,
    STATE(15151), 1,
      sym__context_bounds,
    STATE(15266), 1,
      aux_sym__context_bounds_repeat1,
    STATE(14038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15471), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_SEMI,
  [625824] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9817), 1,
      anon_sym_LPAREN,
    STATE(14048), 1,
      aux_sym_annotation_repeat1,
    STATE(14692), 1,
      sym_arguments,
    STATE(14039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [625854] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [625878] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15011), 1,
      aux_sym_compound_type_repeat1,
    STATE(15117), 1,
      sym__refinement,
    STATE(15118), 1,
      sym_template_body,
    STATE(14041), 2,
      sym_comment,
      sym_block_comment,
    STATE(15135), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [625910] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15214), 1,
      sym__alpha_identifier,
    ACTIONS(15222), 1,
      sym__backquoted_id,
    ACTIONS(16548), 1,
      sym_operator_identifier,
    STATE(9769), 1,
      sym_identifier,
    STATE(9812), 1,
      sym__soft_identifier,
    STATE(14042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15220), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [625944] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14252), 1,
      anon_sym_COMMA,
    STATE(14004), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(14043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16550), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [625972] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16552), 1,
      anon_sym_LPAREN,
    STATE(14453), 1,
      sym_arguments,
    STATE(14044), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [626000] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16555), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17424), 1,
      sym_identifier,
    STATE(14045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [626034] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15660), 1,
      anon_sym_finally,
    STATE(12447), 1,
      sym_finally_clause,
    STATE(14046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
  [626062] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [626086] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16557), 1,
      anon_sym_LPAREN,
    STATE(14692), 1,
      sym_arguments,
    STATE(14048), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [626114] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [626138] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [626162] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16560), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17595), 1,
      sym_identifier,
    STATE(14051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [626196] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16322), 1,
      anon_sym_LBRACK,
    ACTIONS(16326), 1,
      anon_sym_match,
    STATE(8212), 1,
      sym_type_arguments,
    STATE(14052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [626226] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16322), 1,
      anon_sym_LBRACK,
    ACTIONS(16324), 1,
      anon_sym_if,
    ACTIONS(16326), 1,
      anon_sym_match,
    STATE(8212), 1,
      sym_type_arguments,
    STATE(15132), 1,
      sym_guard,
    STATE(14053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16562), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [626260] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12332), 1,
      sym__alpha_identifier,
    ACTIONS(12338), 1,
      sym__backquoted_id,
    ACTIONS(16564), 1,
      sym_operator_identifier,
    STATE(10581), 1,
      sym__soft_identifier,
    STATE(15061), 1,
      sym_identifier,
    STATE(14054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8104), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [626294] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16566), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(19525), 1,
      sym_identifier,
    STATE(14055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [626328] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16322), 1,
      anon_sym_LBRACK,
    STATE(8212), 1,
      sym_type_arguments,
    STATE(14056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13988), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [626356] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14254), 1,
      anon_sym_with,
    STATE(14005), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(14057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16550), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [626384] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13956), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [626408] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [626432] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15958), 1,
      sym__alpha_identifier,
    ACTIONS(15966), 1,
      sym__backquoted_id,
    ACTIONS(16568), 1,
      sym_operator_identifier,
    STATE(9644), 1,
      sym_identifier,
    STATE(9883), 1,
      sym__soft_identifier,
    STATE(14060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15964), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [626466] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [626490] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16296), 1,
      anon_sym_catch,
    ACTIONS(16570), 1,
      anon_sym_finally,
    STATE(13933), 1,
      sym_finally_clause,
    STATE(14709), 1,
      sym_catch_clause,
    STATE(14062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [626522] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16572), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17732), 1,
      sym_identifier,
    STATE(14063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [626556] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9945), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(16574), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym__soft_identifier,
    STATE(17380), 1,
      sym_identifier,
    STATE(14064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9947), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [626590] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12025), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [626613] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13761), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [626636] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11908), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [626659] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13857), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [626682] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [626705] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11915), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [626728] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11919), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [626751] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13869), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13867), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [626776] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [626799] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [626822] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13898), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [626845] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16576), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [626868] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13904), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [626891] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13924), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [626914] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [626937] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12025), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [626960] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [626983] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [627006] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [627029] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [627052] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16578), 1,
      anon_sym_STAR,
    STATE(14085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [627077] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16580), 1,
      anon_sym_catch,
    ACTIONS(16582), 1,
      anon_sym_finally,
    STATE(14455), 1,
      sym_finally_clause,
    STATE(14705), 1,
      sym_catch_clause,
    STATE(14086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [627108] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16462), 1,
      anon_sym_finally,
    STATE(12447), 1,
      sym_finally_clause,
    STATE(14087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
  [627135] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [627158] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6466), 1,
      anon_sym_LBRACE,
    ACTIONS(13779), 1,
      anon_sym_COLON,
    STATE(15568), 1,
      sym__definition_body,
    STATE(15832), 1,
      sym_template_body,
    STATE(9563), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16250), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [627191] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16584), 1,
      anon_sym_LBRACK,
    ACTIONS(16586), 1,
      anon_sym_match,
    STATE(8902), 1,
      sym_type_arguments,
    STATE(14090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [627220] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11865), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [627243] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13936), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [627266] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [627289] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11989), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [627312] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [627335] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13938), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [627358] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [627381] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12926), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [627404] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16588), 1,
      anon_sym_catch,
    ACTIONS(16590), 1,
      anon_sym_finally,
    STATE(14873), 1,
      sym_catch_clause,
    STATE(15074), 1,
      sym_finally_clause,
    STATE(14099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [627435] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [627458] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11865), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [627481] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [627504] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16592), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [627527] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [627550] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [627573] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12915), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [627596] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13956), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [627619] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13958), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [627642] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [627665] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [627688] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13962), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [627711] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13968), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13966), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [627736] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [627759] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [627782] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11989), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [627805] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [627828] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [627851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13994), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13992), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [627876] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [627899] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11892), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [627922] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16594), 1,
      anon_sym_DOT,
    STATE(14121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [627947] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13839), 1,
      anon_sym_COLON,
    ACTIONS(13845), 1,
      anon_sym_LT_COLON,
    STATE(14769), 1,
      sym_upper_bound,
    STATE(14929), 1,
      aux_sym__context_bounds_repeat1,
    STATE(15315), 1,
      sym__context_bounds,
    STATE(14122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16596), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [627980] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [628003] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10345), 1,
      anon_sym_LPAREN,
    STATE(14180), 1,
      aux_sym_annotation_repeat1,
    STATE(14882), 1,
      sym_arguments,
    STATE(14124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [628032] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13849), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [628055] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [628078] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13896), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [628101] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16598), 1,
      anon_sym_LBRACK,
    ACTIONS(16600), 1,
      anon_sym_match,
    STATE(9095), 1,
      sym_type_arguments,
    STATE(14128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13811), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [628130] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16602), 1,
      anon_sym_STAR,
    STATE(14129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [628155] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13976), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [628178] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [628201] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11087), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [628224] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16604), 1,
      anon_sym_LBRACK,
    ACTIONS(16606), 1,
      anon_sym_match,
    STATE(9273), 1,
      sym_type_arguments,
    STATE(14133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13811), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [628253] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [628276] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13855), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [628299] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14003), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [628322] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14005), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [628345] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9801), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10170), 8,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [628370] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16604), 1,
      anon_sym_LBRACK,
    ACTIONS(16606), 1,
      anon_sym_match,
    STATE(9273), 1,
      sym_type_arguments,
    STATE(14139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [628399] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [628422] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(14141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [628447] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [628470] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [628493] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [628516] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [628539] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13761), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [628562] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16608), 1,
      anon_sym_catch,
    ACTIONS(16610), 1,
      anon_sym_finally,
    STATE(13461), 1,
      sym_finally_clause,
    STATE(14714), 1,
      sym_catch_clause,
    STATE(14147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [628593] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11865), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [628616] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16604), 1,
      anon_sym_LBRACK,
    STATE(9273), 1,
      sym_type_arguments,
    STATE(14149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13988), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [628643] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10363), 1,
      anon_sym_LPAREN,
    STATE(4655), 1,
      sym_arguments,
    STATE(14221), 1,
      aux_sym_annotation_repeat1,
    STATE(14150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [628672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16612), 1,
      anon_sym_COMMA,
    STATE(14151), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat1,
    ACTIONS(16511), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [628697] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15750), 1,
      anon_sym_finally,
    STATE(13011), 1,
      sym_finally_clause,
    STATE(14152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [628724] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [628747] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16615), 1,
      anon_sym_LBRACK,
    ACTIONS(16617), 1,
      anon_sym_match,
    STATE(9094), 1,
      sym_type_arguments,
    STATE(14154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [628776] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [628799] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [628822] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [628845] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16619), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [628868] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13857), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [628891] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16626), 1,
      anon_sym_SEMI,
    ACTIONS(16629), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 6,
      sym__automatic_semicolon,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [628920] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13869), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13867), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [628945] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16632), 1,
      anon_sym_end,
    STATE(9445), 1,
      sym__end_marker,
    STATE(14162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [628972] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13898), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [628995] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16615), 1,
      anon_sym_LBRACK,
    STATE(9094), 1,
      sym_type_arguments,
    STATE(14164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13813), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [629022] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16615), 1,
      anon_sym_LBRACK,
    STATE(9094), 1,
      sym_type_arguments,
    STATE(14165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13916), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [629049] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16634), 1,
      anon_sym_with,
    STATE(14166), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat2,
    ACTIONS(16516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [629074] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [629097] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [629120] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13906), 1,
      anon_sym_COLON,
    ACTIONS(13908), 1,
      anon_sym_LT_COLON,
    STATE(14729), 1,
      sym_upper_bound,
    STATE(15005), 1,
      aux_sym__context_bounds_repeat1,
    STATE(15153), 1,
      sym__context_bounds,
    STATE(14169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16637), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [629153] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11865), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [629176] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16615), 1,
      anon_sym_LBRACK,
    STATE(9094), 1,
      sym_type_arguments,
    STATE(14171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13990), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [629203] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16639), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [629226] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [629249] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12937), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [629272] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13904), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [629295] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13924), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [629318] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [629341] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [629364] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [629387] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16642), 1,
      anon_sym_LPAREN,
    STATE(14882), 1,
      sym_arguments,
    STATE(14180), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [629414] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15450), 1,
      anon_sym_finally,
    STATE(13236), 1,
      sym_finally_clause,
    STATE(14181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [629441] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16645), 1,
      anon_sym_catch,
    ACTIONS(16647), 1,
      anon_sym_finally,
    STATE(14790), 1,
      sym_finally_clause,
    STATE(14819), 1,
      sym_catch_clause,
    STATE(14182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [629472] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [629495] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16584), 1,
      anon_sym_LBRACK,
    STATE(8902), 1,
      sym_type_arguments,
    STATE(14184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13813), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [629522] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [629545] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11957), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [629568] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13936), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [629591] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [629614] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11989), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [629637] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16615), 1,
      anon_sym_LBRACK,
    ACTIONS(16617), 1,
      anon_sym_match,
    STATE(9094), 1,
      sym_type_arguments,
    STATE(14190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13811), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [629666] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [629689] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [629712] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11989), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [629735] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16584), 1,
      anon_sym_LBRACK,
    STATE(8902), 1,
      sym_type_arguments,
    STATE(14194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13988), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [629762] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13938), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [629785] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [629808] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16645), 1,
      anon_sym_catch,
    ACTIONS(16649), 1,
      anon_sym_finally,
    STATE(14754), 1,
      sym_catch_clause,
    STATE(15074), 1,
      sym_finally_clause,
    STATE(14197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [629839] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16615), 1,
      anon_sym_LBRACK,
    STATE(9094), 1,
      sym_type_arguments,
    STATE(14198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13980), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [629866] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16584), 1,
      anon_sym_LBRACK,
    STATE(8902), 1,
      sym_type_arguments,
    STATE(14199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13916), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [629893] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16653), 1,
      anon_sym_SEMI,
    ACTIONS(16656), 1,
      anon_sym_else,
    STATE(14200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_catch,
      anon_sym_finally,
  [629920] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [629943] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16658), 1,
      anon_sym_STAR,
    STATE(14202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [629968] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [629991] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [630014] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16660), 1,
      anon_sym_SEMI,
    ACTIONS(16663), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_catch,
      anon_sym_finally,
  [630043] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [630066] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16665), 1,
      anon_sym_catch,
    ACTIONS(16667), 1,
      anon_sym_finally,
    STATE(12931), 1,
      sym_finally_clause,
    STATE(14512), 1,
      sym_catch_clause,
    STATE(14207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [630097] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    ACTIONS(16669), 1,
      anon_sym_LBRACK,
    ACTIONS(16671), 1,
      anon_sym_POUND,
    STATE(15027), 1,
      aux_sym_annotation_repeat1,
    STATE(15101), 1,
      sym_type_arguments,
    STATE(15357), 1,
      sym_arguments,
    STATE(14208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8264), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
  [630132] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [630155] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [630178] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16673), 1,
      anon_sym_SEMI,
    ACTIONS(16676), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 6,
      sym__automatic_semicolon,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [630207] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12941), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [630230] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16678), 1,
      anon_sym_end,
    STATE(9878), 1,
      sym__end_marker,
    STATE(14213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [630257] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [630280] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12943), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [630303] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [630326] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [630349] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16584), 1,
      anon_sym_LBRACK,
    STATE(8902), 1,
      sym_type_arguments,
    STATE(14218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13990), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [630376] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11908), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [630399] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11919), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [630422] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12410), 1,
      anon_sym_LPAREN,
    STATE(4655), 1,
      sym_arguments,
    STATE(14221), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [630449] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [630472] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11865), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [630495] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11915), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [630518] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 10,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [630541] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16598), 1,
      anon_sym_LBRACK,
    ACTIONS(16600), 1,
      anon_sym_match,
    STATE(9095), 1,
      sym_type_arguments,
    STATE(14226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [630570] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 10,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [630593] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [630616] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16604), 1,
      anon_sym_LBRACK,
    STATE(9273), 1,
      sym_type_arguments,
    STATE(14229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13990), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [630643] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16598), 1,
      anon_sym_LBRACK,
    STATE(9095), 1,
      sym_type_arguments,
    STATE(14230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13813), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [630670] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [630693] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [630716] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13956), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [630739] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13958), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [630762] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16680), 1,
      anon_sym_SEMI,
    ACTIONS(16683), 1,
      anon_sym_else,
    STATE(14235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_catch,
      anon_sym_finally,
  [630789] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [630812] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16584), 1,
      anon_sym_LBRACK,
    STATE(8902), 1,
      sym_type_arguments,
    STATE(14237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13980), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [630839] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12947), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [630862] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13962), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [630885] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16686), 1,
      anon_sym_SEMI,
    ACTIONS(16689), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_catch,
      anon_sym_finally,
  [630914] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13968), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13966), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [630939] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16604), 1,
      anon_sym_LBRACK,
    STATE(9273), 1,
      sym_type_arguments,
    STATE(14242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13980), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [630966] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13906), 1,
      anon_sym_COLON,
    ACTIONS(13908), 1,
      anon_sym_LT_COLON,
    STATE(14718), 1,
      sym_upper_bound,
    STATE(15005), 1,
      aux_sym__context_bounds_repeat1,
    STATE(15138), 1,
      sym__context_bounds,
    STATE(14243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16596), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [630999] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16598), 1,
      anon_sym_LBRACK,
    STATE(9095), 1,
      sym_type_arguments,
    STATE(14244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13916), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [631026] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [631049] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16598), 1,
      anon_sym_LBRACK,
    STATE(9095), 1,
      sym_type_arguments,
    STATE(14246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13980), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [631076] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16615), 1,
      anon_sym_LBRACK,
    STATE(9094), 1,
      sym_type_arguments,
    STATE(14247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13988), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [631103] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11919), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [631126] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [631149] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13976), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [631172] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14449), 1,
      sym_arguments,
    STATE(14251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [631197] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [631220] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [631243] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15279), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [631266] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [631289] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [631312] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16588), 1,
      anon_sym_catch,
    ACTIONS(16692), 1,
      anon_sym_finally,
    STATE(14790), 1,
      sym_finally_clause,
    STATE(14805), 1,
      sym_catch_clause,
    STATE(14257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [631343] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16694), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [631366] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13994), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13992), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [631391] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12922), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [631414] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [631437] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13829), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [631460] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16598), 1,
      anon_sym_LBRACK,
    STATE(9095), 1,
      sym_type_arguments,
    STATE(14263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13988), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [631487] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8232), 1,
      sym__alpha_identifier,
    ACTIONS(8252), 1,
      sym__backquoted_id,
    STATE(15536), 1,
      sym__soft_identifier,
    STATE(16733), 1,
      sym_identifier,
    STATE(14264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8234), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [631518] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10170), 1,
      anon_sym_COLON,
    STATE(14265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [631543] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16697), 1,
      anon_sym_catch,
    ACTIONS(16699), 1,
      anon_sym_finally,
    STATE(14455), 1,
      sym_finally_clause,
    STATE(14468), 1,
      sym_catch_clause,
    STATE(14266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [631574] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11908), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [631597] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16701), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [631620] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16703), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [631643] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11915), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [631666] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6466), 1,
      anon_sym_LBRACE,
    ACTIONS(13779), 1,
      anon_sym_COLON,
    STATE(15566), 1,
      sym__definition_body,
    STATE(15832), 1,
      sym_template_body,
    STATE(9563), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16142), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [631699] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [631722] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [631745] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16706), 1,
      anon_sym_catch,
    ACTIONS(16708), 1,
      anon_sym_finally,
    STATE(13156), 1,
      sym_finally_clause,
    STATE(14792), 1,
      sym_catch_clause,
    STATE(14274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [631776] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15702), 1,
      anon_sym_finally,
    STATE(13011), 1,
      sym_finally_clause,
    STATE(14275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [631803] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16710), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [631826] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15560), 1,
      anon_sym_finally,
    STATE(13236), 1,
      sym_finally_clause,
    STATE(14277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [631853] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16712), 1,
      anon_sym_end,
    STATE(9832), 1,
      sym__end_marker,
    STATE(14278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [631880] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [631903] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16714), 1,
      anon_sym_STAR,
    STATE(14280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [631928] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [631951] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [631974] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10170), 1,
      anon_sym_COLON,
    STATE(14283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [631999] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [632022] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16278), 1,
      anon_sym_finally,
    STATE(14137), 1,
      sym_finally_clause,
    STATE(14285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
  [632049] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [632072] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16716), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [632095] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16718), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [632118] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [632141] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16721), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [632164] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11872), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [632187] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13829), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [632210] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13794), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [632233] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [632256] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [632279] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11957), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [632302] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13794), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [632325] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13817), 1,
      anon_sym_COLON,
    ACTIONS(13821), 1,
      anon_sym_LT_COLON,
    ACTIONS(13825), 1,
      anon_sym_LT_PERCENT,
    STATE(14889), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14890), 1,
      sym_upper_bound,
    STATE(15575), 1,
      sym_view_bound,
    STATE(15813), 1,
      aux_sym__context_bounds_repeat1,
    STATE(17686), 1,
      sym__context_bounds,
    ACTIONS(16723), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14298), 2,
      sym_comment,
      sym_block_comment,
  [632364] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15502), 1,
      anon_sym_COMMA,
    STATE(14151), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(14299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16550), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [632391] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [632414] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16725), 1,
      anon_sym_SEMI,
    ACTIONS(16728), 1,
      anon_sym_else,
    STATE(14301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [632441] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [632464] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16730), 1,
      anon_sym_catch,
    ACTIONS(16732), 1,
      anon_sym_finally,
    STATE(12359), 1,
      sym_finally_clause,
    STATE(14531), 1,
      sym_catch_clause,
    STATE(14303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [632495] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11919), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [632518] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [632541] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6466), 1,
      anon_sym_LBRACE,
    ACTIONS(13779), 1,
      anon_sym_COLON,
    ACTIONS(16734), 1,
      sym__automatic_semicolon,
    STATE(15642), 1,
      sym__definition_body,
    STATE(15832), 1,
      sym_template_body,
    STATE(9563), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16094), 3,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [632576] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11865), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [632599] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16185), 1,
      anon_sym_finally,
    STATE(12967), 1,
      sym_finally_clause,
    STATE(14308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_yield,
  [632626] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [632649] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16236), 1,
      anon_sym_finally,
    STATE(12967), 1,
      sym_finally_clause,
    STATE(14310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
  [632676] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [632699] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [632722] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [632745] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6466), 1,
      anon_sym_LBRACE,
    ACTIONS(13779), 1,
      anon_sym_COLON,
    ACTIONS(16737), 1,
      sym__automatic_semicolon,
    STATE(15738), 1,
      sym__definition_body,
    STATE(15832), 1,
      sym_template_body,
    STATE(9563), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16468), 3,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [632780] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [632803] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [632826] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16584), 1,
      anon_sym_LBRACK,
    ACTIONS(16586), 1,
      anon_sym_match,
    STATE(8902), 1,
      sym_type_arguments,
    STATE(14317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13811), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [632855] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [632878] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [632901] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [632924] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [632947] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [632970] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [632993] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11892), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [633016] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10170), 1,
      anon_sym_COLON,
    STATE(14325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [633041] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [633064] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [633087] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16740), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [633110] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15504), 1,
      anon_sym_with,
    STATE(14166), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(14329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16550), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [633137] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11872), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [633160] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16706), 1,
      anon_sym_catch,
    ACTIONS(16743), 1,
      anon_sym_finally,
    STATE(13933), 1,
      sym_finally_clause,
    STATE(14739), 1,
      sym_catch_clause,
    STATE(14331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [633191] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [633214] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [633237] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11872), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [633260] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [633283] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11892), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [633306] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16745), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [633329] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [633352] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11915), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [633375] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [633398] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12025), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [633421] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16747), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [633444] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [633467] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13839), 1,
      anon_sym_COLON,
    ACTIONS(13845), 1,
      anon_sym_LT_COLON,
    STATE(14798), 1,
      sym_upper_bound,
    STATE(14929), 1,
      aux_sym__context_bounds_repeat1,
    STATE(15367), 1,
      sym__context_bounds,
    STATE(14344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16637), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [633500] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [633523] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [633546] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11003), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [633569] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11957), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [633592] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16669), 1,
      anon_sym_LBRACK,
    ACTIONS(16671), 1,
      anon_sym_POUND,
    ACTIONS(16749), 1,
      anon_sym_AT,
    STATE(15057), 1,
      aux_sym_enum_definition_repeat1,
    STATE(15101), 1,
      sym_type_arguments,
    STATE(15458), 1,
      sym_annotation,
    STATE(14349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_LPAREN,
  [633627] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [633650] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13817), 1,
      anon_sym_COLON,
    ACTIONS(13821), 1,
      anon_sym_LT_COLON,
    ACTIONS(13825), 1,
      anon_sym_LT_PERCENT,
    STATE(14806), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14807), 1,
      sym_upper_bound,
    STATE(15575), 1,
      sym_view_bound,
    STATE(15813), 1,
      aux_sym__context_bounds_repeat1,
    STATE(17388), 1,
      sym__context_bounds,
    ACTIONS(16751), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14351), 2,
      sym_comment,
      sym_block_comment,
  [633689] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [633712] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [633735] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [633758] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16753), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [633781] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [633804] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10170), 1,
      anon_sym_COLON,
    STATE(14357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [633829] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [633852] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [633875] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16604), 1,
      anon_sym_LBRACK,
    STATE(9273), 1,
      sym_type_arguments,
    STATE(14360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13813), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [633902] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16475), 1,
      anon_sym_finally,
    STATE(13633), 1,
      sym_finally_clause,
    STATE(14361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
  [633929] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16604), 1,
      anon_sym_LBRACK,
    STATE(9273), 1,
      sym_type_arguments,
    STATE(14362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13916), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [633956] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11872), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [633979] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16608), 1,
      anon_sym_catch,
    ACTIONS(16755), 1,
      anon_sym_finally,
    STATE(12997), 1,
      sym_finally_clause,
    STATE(14856), 1,
      sym_catch_clause,
    STATE(14364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [634010] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [634033] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16757), 1,
      anon_sym_DOT,
    STATE(14366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [634058] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [634081] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [634104] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13849), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [634127] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12025), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [634150] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11957), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [634173] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13885), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [634196] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13855), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [634219] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14003), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [634242] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16173), 1,
      anon_sym_finally,
    STATE(14137), 1,
      sym_finally_clause,
    STATE(14375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
  [634269] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12806), 1,
      anon_sym_LPAREN,
    STATE(14850), 1,
      sym_arguments,
    STATE(14376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16759), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_SEMI,
  [634296] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11908), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [634319] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16761), 1,
      anon_sym_SEMI,
    ACTIONS(16764), 1,
      anon_sym_else,
    STATE(14378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [634346] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [634369] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13896), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [634392] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11892), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [634415] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14005), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [634438] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12945), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [634461] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [634483] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15279), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [634505] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12926), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [634527] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16619), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [634549] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16767), 1,
      anon_sym_catch,
    ACTIONS(16769), 1,
      anon_sym_finally,
    STATE(14871), 1,
      sym_finally_clause,
    STATE(14953), 1,
      sym_catch_clause,
    STATE(14388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [634579] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [634601] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13857), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [634623] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16771), 1,
      anon_sym_LBRACK,
    STATE(9484), 1,
      sym_type_arguments,
    STATE(14391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13990), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [634649] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16324), 1,
      anon_sym_if,
    STATE(14548), 1,
      aux_sym_enumerator_repeat1,
    STATE(14957), 1,
      sym_guard,
    STATE(14392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16773), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [634677] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [634699] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12879), 1,
      anon_sym_LPAREN,
    STATE(14960), 1,
      sym_arguments,
    STATE(14394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16759), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_SEMI,
  [634725] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16576), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [634747] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [634769] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16775), 1,
      anon_sym_SEMI,
    ACTIONS(16778), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
  [634797] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10170), 1,
      anon_sym_COLON,
    STATE(14398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [634821] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16780), 1,
      anon_sym_LBRACK,
    ACTIONS(16782), 1,
      anon_sym_match,
    STATE(9930), 1,
      sym_type_arguments,
    STATE(14399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
  [634849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16784), 1,
      anon_sym_DOT,
    STATE(14400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [634873] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [634895] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16771), 1,
      anon_sym_LBRACK,
    ACTIONS(16786), 1,
      anon_sym_match,
    STATE(9484), 1,
      sym_type_arguments,
    STATE(14402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_finally,
  [634923] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [634945] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13869), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13867), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [634969] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15124), 1,
      anon_sym_COLON,
    ACTIONS(15126), 1,
      anon_sym_LT_COLON,
    STATE(14924), 1,
      sym_upper_bound,
    STATE(15138), 1,
      sym__context_bounds,
    STATE(15266), 1,
      aux_sym__context_bounds_repeat1,
    STATE(14405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16596), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_SEMI,
  [635001] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16788), 1,
      anon_sym_LBRACK,
    STATE(9738), 1,
      sym_type_arguments,
    STATE(14406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13813), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [635027] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16788), 1,
      anon_sym_LBRACK,
    STATE(9738), 1,
      sym_type_arguments,
    STATE(14407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13916), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [635053] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16792), 1,
      anon_sym_COMMA,
    STATE(14637), 1,
      aux_sym_derives_clause_repeat1,
    STATE(14408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16790), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [635079] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16771), 1,
      anon_sym_LBRACK,
    STATE(9484), 1,
      sym_type_arguments,
    STATE(14409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13813), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [635105] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16771), 1,
      anon_sym_LBRACK,
    STATE(9484), 1,
      sym_type_arguments,
    STATE(14410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13916), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [635131] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16639), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [635153] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16747), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [635175] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [635197] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16794), 1,
      anon_sym_catch,
    ACTIONS(16796), 1,
      anon_sym_finally,
    STATE(14540), 1,
      sym_finally_clause,
    STATE(14772), 1,
      sym_catch_clause,
    STATE(14414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [635227] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [635249] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16771), 1,
      anon_sym_LBRACK,
    ACTIONS(16786), 1,
      anon_sym_match,
    STATE(9484), 1,
      sym_type_arguments,
    STATE(14416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13811), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_finally,
  [635277] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16546), 1,
      anon_sym_finally,
    STATE(14579), 1,
      sym_finally_clause,
    STATE(14417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
  [635303] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11003), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [635325] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16771), 1,
      anon_sym_LBRACK,
    STATE(9484), 1,
      sym_type_arguments,
    STATE(14419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13980), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [635351] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16788), 1,
      anon_sym_LBRACK,
    ACTIONS(16798), 1,
      anon_sym_match,
    STATE(9738), 1,
      sym_type_arguments,
    STATE(14420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13811), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [635379] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13898), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [635401] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16800), 1,
      anon_sym_SEMI,
    ACTIONS(16803), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
  [635429] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16805), 1,
      anon_sym_catch,
    ACTIONS(16807), 1,
      anon_sym_finally,
    STATE(14286), 1,
      sym_finally_clause,
    STATE(14993), 1,
      sym_catch_clause,
    STATE(14423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [635459] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16809), 1,
      anon_sym_STAR,
    STATE(14424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [635483] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11872), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [635505] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [635527] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11892), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [635549] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16811), 1,
      anon_sym_SEMI,
    ACTIONS(16814), 1,
      anon_sym_else,
    STATE(14428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_finally,
  [635575] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16816), 1,
      anon_sym_SEMI,
    ACTIONS(16819), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_finally,
  [635603] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [635625] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14080), 1,
      anon_sym_AT,
    STATE(14515), 1,
      aux_sym_enum_definition_repeat1,
    STATE(15046), 1,
      sym_annotation,
    STATE(14431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [635653] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16821), 1,
      anon_sym_SEMI,
    ACTIONS(16824), 1,
      anon_sym_else,
    STATE(14432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_finally,
  [635679] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16827), 1,
      anon_sym_SEMI,
    ACTIONS(16830), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_finally,
  [635707] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [635729] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [635751] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11989), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [635773] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16771), 1,
      anon_sym_LBRACK,
    STATE(9484), 1,
      sym_type_arguments,
    STATE(14437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13988), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [635799] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16788), 1,
      anon_sym_LBRACK,
    STATE(9738), 1,
      sym_type_arguments,
    STATE(14438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13980), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [635825] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13904), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [635847] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13924), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [635869] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12025), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [635891] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16835), 1,
      anon_sym_COMMA,
    STATE(14442), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_derives_clause_repeat1,
    ACTIONS(16833), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [635915] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16450), 1,
      anon_sym_finally,
    STATE(13011), 1,
      sym_finally_clause,
    STATE(14443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [635941] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11908), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [635963] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11915), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [635985] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11919), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [636007] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [636029] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16838), 1,
      anon_sym_catch,
    ACTIONS(16840), 1,
      anon_sym_finally,
    STATE(13933), 1,
      sym_finally_clause,
    STATE(15021), 1,
      sym_catch_clause,
    STATE(14448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [636059] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [636081] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7318), 1,
      anon_sym_LBRACE,
    STATE(15439), 1,
      aux_sym_compound_type_repeat1,
    STATE(16089), 1,
      sym__refinement,
    STATE(17334), 1,
      sym_template_body,
    STATE(14450), 2,
      sym_comment,
      sym_block_comment,
    STATE(16522), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8562), 3,
      anon_sym_COLON,
      anon_sym_with,
      anon_sym_LPAREN,
  [636113] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16842), 1,
      anon_sym_STAR,
    STATE(14451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [636137] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16767), 1,
      anon_sym_catch,
    ACTIONS(16844), 1,
      anon_sym_finally,
    STATE(14938), 1,
      sym_finally_clause,
    STATE(15031), 1,
      sym_catch_clause,
    STATE(14452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [636167] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
  [636189] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [636211] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [636233] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16701), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [636255] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [636277] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16716), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [636299] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16846), 1,
      anon_sym_LBRACK,
    STATE(9833), 1,
      sym_type_arguments,
    STATE(14459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13813), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [636325] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16848), 1,
      anon_sym_SEMI,
    ACTIONS(16851), 1,
      anon_sym_else,
    STATE(14460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [636351] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16854), 1,
      anon_sym_SEMI,
    ACTIONS(16857), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
  [636379] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16846), 1,
      anon_sym_LBRACK,
    STATE(9833), 1,
      sym_type_arguments,
    STATE(14462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13916), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [636405] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [636427] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16860), 1,
      anon_sym_catch,
    ACTIONS(16862), 1,
      anon_sym_finally,
    STATE(14286), 1,
      sym_finally_clause,
    STATE(14946), 1,
      sym_catch_clause,
    STATE(14464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [636457] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16864), 1,
      anon_sym_SEMI,
    ACTIONS(16867), 1,
      anon_sym_else,
    STATE(14465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [636483] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16466), 1,
      anon_sym_finally,
    STATE(14382), 1,
      sym_finally_clause,
    STATE(14466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
  [636509] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [636531] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16699), 1,
      anon_sym_finally,
    STATE(14657), 1,
      sym_finally_clause,
    STATE(14468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
  [636557] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14195), 1,
      anon_sym_LPAREN,
    STATE(14478), 1,
      aux_sym_annotation_repeat1,
    STATE(14935), 1,
      sym_arguments,
    STATE(14469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
  [636585] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16788), 1,
      anon_sym_LBRACK,
    STATE(9738), 1,
      sym_type_arguments,
    STATE(14470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13990), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [636611] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11872), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [636633] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [636655] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16869), 1,
      anon_sym_SEMI,
    ACTIONS(16872), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
  [636683] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11892), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [636705] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16360), 1,
      anon_sym_finally,
    STATE(13190), 1,
      sym_finally_clause,
    STATE(14475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [636731] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16788), 1,
      anon_sym_LBRACK,
    STATE(9738), 1,
      sym_type_arguments,
    STATE(14476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13988), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [636757] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [636779] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16874), 1,
      anon_sym_LPAREN,
    STATE(14935), 1,
      sym_arguments,
    STATE(14478), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
  [636805] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16745), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [636827] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12941), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [636849] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12945), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [636871] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12947), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [636893] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [636915] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11957), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [636937] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11989), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [636959] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13936), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [636981] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [637003] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [637025] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13792), 1,
      anon_sym_match,
    ACTIONS(16846), 1,
      anon_sym_LBRACK,
    STATE(9833), 1,
      sym_type_arguments,
    STATE(14489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13811), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [637053] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16703), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [637075] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [637097] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16592), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [637119] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [637141] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12025), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [637163] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11908), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [637185] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16310), 1,
      anon_sym_finally,
    STATE(14629), 1,
      sym_finally_clause,
    STATE(14496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [637211] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11915), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [637233] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13829), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [637255] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11919), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [637277] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [637299] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [637321] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13938), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [637343] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16846), 1,
      anon_sym_LBRACK,
    STATE(9833), 1,
      sym_type_arguments,
    STATE(14503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13980), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [637369] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10170), 1,
      anon_sym_COLON,
    STATE(14504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [637393] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16163), 1,
      anon_sym_finally,
    STATE(14765), 1,
      sym_finally_clause,
    STATE(14505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [637419] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16718), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [637441] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16721), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [637463] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11865), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [637485] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16877), 1,
      anon_sym_end,
    STATE(10007), 1,
      sym__end_marker,
    STATE(14509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [637511] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16780), 1,
      anon_sym_LBRACK,
    STATE(9930), 1,
      sym_type_arguments,
    STATE(14510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13813), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [637537] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16780), 1,
      anon_sym_LBRACK,
    STATE(9930), 1,
      sym_type_arguments,
    STATE(14511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13916), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [637563] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16667), 1,
      anon_sym_finally,
    STATE(12967), 1,
      sym_finally_clause,
    STATE(14512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
  [637589] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16740), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [637611] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [637633] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16879), 1,
      anon_sym_AT,
    STATE(15046), 1,
      sym_annotation,
    STATE(14515), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [637659] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16882), 1,
      anon_sym_SEMI,
    ACTIONS(16885), 1,
      anon_sym_else,
    STATE(14516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [637685] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13829), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [637707] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12943), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [637729] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13794), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [637751] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [637773] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13794), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [637795] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13885), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [637817] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16887), 1,
      anon_sym_with,
    STATE(14523), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 7,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [637841] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [637863] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [637885] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16780), 1,
      anon_sym_LBRACK,
    ACTIONS(16782), 1,
      anon_sym_match,
    STATE(9930), 1,
      sym_type_arguments,
    STATE(14526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13811), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
  [637913] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16890), 1,
      anon_sym_SEMI,
    ACTIONS(16893), 1,
      anon_sym_else,
    STATE(14527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [637939] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [637961] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16895), 1,
      anon_sym_catch,
    ACTIONS(16897), 1,
      anon_sym_finally,
    STATE(13697), 1,
      sym_finally_clause,
    STATE(14903), 1,
      sym_catch_clause,
    STATE(14529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [637991] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16788), 1,
      anon_sym_LBRACK,
    ACTIONS(16798), 1,
      anon_sym_match,
    STATE(9738), 1,
      sym_type_arguments,
    STATE(14530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [638019] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16732), 1,
      anon_sym_finally,
    STATE(12447), 1,
      sym_finally_clause,
    STATE(14531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
  [638045] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [638067] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16899), 1,
      anon_sym_with,
    STATE(14533), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [638091] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16780), 1,
      anon_sym_LBRACK,
    STATE(9930), 1,
      sym_type_arguments,
    STATE(14534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13980), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [638117] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16902), 1,
      anon_sym_SEMI,
    ACTIONS(16904), 1,
      anon_sym_else,
    STATE(14535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
  [638143] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16906), 1,
      anon_sym_STAR,
    STATE(14536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [638167] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16908), 1,
      anon_sym_SEMI,
    ACTIONS(16911), 1,
      anon_sym_else,
    STATE(14537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [638193] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [638215] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16914), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
  [638237] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [638259] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [638281] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [638303] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13829), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [638325] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [638347] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13794), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [638369] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [638391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10170), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
    STATE(14547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [638415] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16918), 1,
      anon_sym_if,
    STATE(14957), 1,
      sym_guard,
    STATE(14548), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enumerator_repeat1,
    ACTIONS(16916), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [638441] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [638463] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [638485] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16921), 1,
      anon_sym_SEMI,
    ACTIONS(16924), 1,
      anon_sym_else,
    STATE(14551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
  [638511] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [638533] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11957), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [638555] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13956), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [638577] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [638599] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [638621] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [638643] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13849), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [638665] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13958), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [638687] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [638709] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [638731] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [638753] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11865), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [638775] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [638797] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13855), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [638819] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [638841] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [638863] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [638885] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14003), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [638907] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13962), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [638929] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13849), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [638951] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [638973] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16780), 1,
      anon_sym_LBRACK,
    STATE(9930), 1,
      sym_type_arguments,
    STATE(14573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13988), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [638999] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13855), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [639021] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13896), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [639043] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [639065] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13976), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [639087] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14003), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [639109] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14005), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [639131] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [639153] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16588), 1,
      anon_sym_catch,
    ACTIONS(16927), 1,
      anon_sym_finally,
    STATE(15059), 1,
      sym_catch_clause,
    STATE(15074), 1,
      sym_finally_clause,
    STATE(14581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [639183] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14005), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [639205] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13761), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [639227] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13761), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [639249] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [639271] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [639293] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [639315] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13857), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [639337] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16929), 1,
      anon_sym_SEMI,
    ACTIONS(16931), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
  [639365] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13869), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13867), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [639389] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16298), 1,
      anon_sym_finally,
    STATE(13190), 1,
      sym_finally_clause,
    STATE(14591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [639415] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13898), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [639437] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16933), 1,
      anon_sym_SEMI,
    ACTIONS(16936), 1,
      anon_sym_else,
    STATE(14593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [639463] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13857), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [639485] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [639507] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13904), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [639529] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13924), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [639551] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16938), 1,
      anon_sym_SEMI,
    ACTIONS(16941), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 5,
      sym__automatic_semicolon,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [639579] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16694), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [639601] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16710), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [639623] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11087), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [639645] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13968), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13966), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [639669] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13869), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13867), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [639693] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13898), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [639715] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13849), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [639737] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8636), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [639759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10170), 1,
      anon_sym_COLON,
    STATE(14607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [639783] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16943), 1,
      anon_sym_end,
    STATE(10269), 1,
      sym__end_marker,
    STATE(14608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10378), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [639809] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13855), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [639831] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13994), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13992), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [639855] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11865), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [639877] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13936), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [639899] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [639921] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13896), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [639943] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16753), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [639965] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13938), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [639987] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13829), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [640009] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13794), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [640031] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13904), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [640053] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13924), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [640075] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11872), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [640097] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16945), 1,
      anon_sym_catch,
    ACTIONS(16947), 1,
      anon_sym_finally,
    STATE(12931), 1,
      sym_finally_clause,
    STATE(14744), 1,
      sym_catch_clause,
    STATE(14622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [640127] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [640149] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11892), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [640171] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16846), 1,
      anon_sym_LBRACK,
    STATE(9833), 1,
      sym_type_arguments,
    STATE(14625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13988), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [640197] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13849), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [640219] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13855), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [640241] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14003), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [640263] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14005), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [640285] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [640307] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13761), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [640329] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13956), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [640351] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13958), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [640373] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13857), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [640395] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13962), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [640417] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13869), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13867), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [640441] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16792), 1,
      anon_sym_COMMA,
    STATE(14442), 1,
      aux_sym_derives_clause_repeat1,
    STATE(14637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16949), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [640467] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13898), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [640489] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13976), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [640511] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13904), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [640533] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13924), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [640555] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13968), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13966), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [640579] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16248), 1,
      anon_sym_finally,
    STATE(14765), 1,
      sym_finally_clause,
    STATE(14643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [640605] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11989), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [640627] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13896), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [640649] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13976), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [640671] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14003), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [640693] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12937), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [640715] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13936), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [640737] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13994), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13992), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [640761] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13938), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [640783] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16126), 1,
      anon_sym_finally,
    STATE(14012), 1,
      sym_finally_clause,
    STATE(14652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [640809] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16706), 1,
      anon_sym_catch,
    ACTIONS(16951), 1,
      anon_sym_finally,
    STATE(13933), 1,
      sym_finally_clause,
    STATE(14927), 1,
      sym_catch_clause,
    STATE(14653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [640839] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16953), 1,
      anon_sym_SEMI,
    ACTIONS(16956), 1,
      anon_sym_else,
    STATE(14654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [640865] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16959), 1,
      anon_sym_SEMI,
    ACTIONS(16962), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 5,
      sym__automatic_semicolon,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [640893] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16846), 1,
      anon_sym_LBRACK,
    STATE(9833), 1,
      sym_type_arguments,
    STATE(14656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13990), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [640919] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14005), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [640941] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [640963] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13936), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [640985] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12025), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [641007] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16965), 1,
      anon_sym_catch,
    ACTIONS(16967), 1,
      anon_sym_finally,
    STATE(13697), 1,
      sym_finally_clause,
    STATE(14775), 1,
      sym_catch_clause,
    STATE(14661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [641037] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13956), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [641059] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13958), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [641081] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13962), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [641103] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13968), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13966), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [641127] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16479), 1,
      anon_sym_finally,
    STATE(14629), 1,
      sym_finally_clause,
    STATE(14666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [641153] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11908), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [641175] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11915), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [641197] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11919), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [641219] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13994), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13992), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [641243] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [641265] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11957), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [641287] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16969), 1,
      anon_sym_SEMI,
    ACTIONS(16972), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
  [641315] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16975), 1,
      anon_sym_SEMI,
    ACTIONS(16978), 1,
      anon_sym_else,
    STATE(14674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [641341] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16529), 1,
      anon_sym_finally,
    STATE(13236), 1,
      sym_finally_clause,
    STATE(14675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [641367] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12915), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [641389] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13938), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [641411] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13761), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [641433] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13956), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [641455] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13958), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [641477] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16838), 1,
      anon_sym_catch,
    ACTIONS(16981), 1,
      anon_sym_finally,
    STATE(13156), 1,
      sym_finally_clause,
    STATE(14996), 1,
      sym_catch_clause,
    STATE(14681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [641507] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13962), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [641529] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [641551] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [641573] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13968), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13966), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [641597] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11865), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [641619] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13994), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13992), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [641643] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [641665] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [641687] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13792), 1,
      anon_sym_match,
    ACTIONS(16846), 1,
      anon_sym_LBRACK,
    STATE(9833), 1,
      sym_type_arguments,
    STATE(14690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [641715] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [641737] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [641759] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15124), 1,
      anon_sym_COLON,
    ACTIONS(15126), 1,
      anon_sym_LT_COLON,
    STATE(14987), 1,
      sym_upper_bound,
    STATE(15153), 1,
      sym__context_bounds,
    STATE(15266), 1,
      aux_sym__context_bounds_repeat1,
    STATE(14693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16637), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_SEMI,
  [641791] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [641813] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [641835] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [641857] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [641879] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [641901] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [641923] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [641945] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16983), 1,
      anon_sym_SEMI,
    ACTIONS(16986), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
  [641973] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [641995] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [642017] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16805), 1,
      anon_sym_catch,
    ACTIONS(16989), 1,
      anon_sym_finally,
    STATE(14514), 1,
      sym_finally_clause,
    STATE(14932), 1,
      sym_catch_clause,
    STATE(14704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [642047] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16582), 1,
      anon_sym_finally,
    STATE(14657), 1,
      sym_finally_clause,
    STATE(14705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
  [642073] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [642095] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16991), 1,
      anon_sym_SEMI,
    ACTIONS(16994), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
  [642123] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12922), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [642145] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16570), 1,
      anon_sym_finally,
    STATE(14012), 1,
      sym_finally_clause,
    STATE(14709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [642171] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [642193] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16860), 1,
      anon_sym_catch,
    ACTIONS(16997), 1,
      anon_sym_finally,
    STATE(14514), 1,
      sym_finally_clause,
    STATE(14976), 1,
      sym_catch_clause,
    STATE(14711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [642223] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12963), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_QMARK_EQ_GT,
  [642244] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13898), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [642265] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16610), 1,
      anon_sym_finally,
    STATE(13236), 1,
      sym_finally_clause,
    STATE(14714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [642290] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16999), 1,
      anon_sym_COLON,
    STATE(14715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17001), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [642313] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13904), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [642334] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13924), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [642355] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13906), 1,
      anon_sym_COLON,
    STATE(15005), 1,
      aux_sym__context_bounds_repeat1,
    STATE(15125), 1,
      sym__context_bounds,
    STATE(14718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17003), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [642382] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13896), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [642403] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13976), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [642424] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17005), 1,
      anon_sym_COMMA,
    STATE(14793), 1,
      aux_sym_derives_clause_repeat1,
    STATE(14721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16949), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [642449] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 8,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [642470] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13936), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [642491] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13829), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [642512] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13906), 1,
      anon_sym_COLON,
    STATE(15005), 1,
      aux_sym__context_bounds_repeat1,
    STATE(15138), 1,
      sym__context_bounds,
    STATE(14725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16596), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [642539] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13794), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [642560] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12955), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_QMARK_EQ_GT,
  [642581] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13938), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [642602] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13906), 1,
      anon_sym_COLON,
    STATE(15005), 1,
      aux_sym__context_bounds_repeat1,
    STATE(15251), 1,
      sym__context_bounds,
    STATE(14729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17007), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [642629] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17009), 1,
      anon_sym_LBRACK,
    STATE(10348), 1,
      sym_type_arguments,
    STATE(14730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13990), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [642654] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17011), 1,
      anon_sym_STAR,
    STATE(14731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [642677] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17015), 1,
      anon_sym_LBRACK,
    ACTIONS(17017), 1,
      anon_sym_match,
    STATE(10212), 1,
      sym_type_arguments,
    STATE(15447), 1,
      aux_sym__block_repeat1,
    ACTIONS(17013), 2,
      sym__outdent,
      anon_sym_case,
    ACTIONS(17019), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14732), 2,
      sym_comment,
      sym_block_comment,
  [642708] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [642729] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13956), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [642750] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13958), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [642771] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13962), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [642792] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17021), 1,
      anon_sym_SEMI,
    ACTIONS(17024), 1,
      anon_sym_else,
    STATE(14737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
  [642817] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13968), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13966), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_finally,
  [642840] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16743), 1,
      anon_sym_finally,
    STATE(14012), 1,
      sym_finally_clause,
    STATE(14739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [642865] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [642886] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17027), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [642907] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [642928] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [642949] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16947), 1,
      anon_sym_finally,
    STATE(12967), 1,
      sym_finally_clause,
    STATE(14744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
  [642974] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13829), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [642995] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13794), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [643016] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17029), 1,
      anon_sym_COMMA,
    ACTIONS(17031), 1,
      anon_sym_with,
    STATE(14939), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(15176), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(14747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14250), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [643045] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [643066] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13994), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13992), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_finally,
  [643089] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(14750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13811), 5,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [643116] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12745), 1,
      anon_sym_LPAREN,
    ACTIONS(13360), 1,
      sym__automatic_semicolon,
    STATE(14076), 1,
      sym_class_parameters,
    STATE(14881), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15473), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [643145] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12745), 1,
      anon_sym_LPAREN,
    ACTIONS(13360), 1,
      sym__automatic_semicolon,
    STATE(13207), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14076), 1,
      sym_class_parameters,
    STATE(14752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15478), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [643174] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [643195] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16649), 1,
      anon_sym_finally,
    STATE(14966), 1,
      sym_finally_clause,
    STATE(14754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [643220] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17037), 1,
      anon_sym_LBRACK,
    STATE(10070), 1,
      sym_type_arguments,
    STATE(14755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13988), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [643245] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12745), 1,
      anon_sym_LPAREN,
    ACTIONS(13360), 1,
      sym__automatic_semicolon,
    STATE(13207), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14076), 1,
      sym_class_parameters,
    STATE(14756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15483), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [643274] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17039), 1,
      anon_sym_SEMI,
    ACTIONS(17042), 1,
      anon_sym_else,
    STATE(14757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
  [643299] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(13422), 1,
      anon_sym_COLON,
    STATE(16661), 1,
      sym_template_body,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17044), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [643328] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15500), 1,
      anon_sym_LPAREN,
    ACTIONS(17046), 1,
      anon_sym_extends,
    ACTIONS(17050), 1,
      sym__automatic_semicolon,
    STATE(15038), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(15294), 1,
      sym_class_parameters,
    STATE(15946), 1,
      sym_extends_clause,
    ACTIONS(17048), 2,
      sym__outdent,
      anon_sym_SEMI,
    STATE(14759), 2,
      sym_comment,
      sym_block_comment,
  [643361] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17053), 1,
      anon_sym_DOT,
    STATE(14760), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_package_identifier_repeat1,
    ACTIONS(16914), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [643384] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13849), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [643405] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13855), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [643426] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14003), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [643447] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17056), 1,
      anon_sym_SEMI,
    ACTIONS(17059), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
  [643474] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14005), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [643495] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13904), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [643516] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13761), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [643537] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17062), 1,
      anon_sym_SEMI,
    ACTIONS(17065), 1,
      anon_sym_else,
    STATE(14768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
  [643562] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13839), 1,
      anon_sym_COLON,
    STATE(14929), 1,
      aux_sym__context_bounds_repeat1,
    STATE(15393), 1,
      sym__context_bounds,
    STATE(14769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17003), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [643589] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17068), 1,
      anon_sym_SEMI,
    ACTIONS(17071), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 4,
      sym__automatic_semicolon,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
  [643616] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13817), 1,
      anon_sym_COLON,
    ACTIONS(13825), 1,
      anon_sym_LT_PERCENT,
    STATE(15163), 1,
      aux_sym__type_parameter_repeat1,
    STATE(15575), 1,
      sym_view_bound,
    STATE(15813), 1,
      aux_sym__context_bounds_repeat1,
    STATE(17388), 1,
      sym__context_bounds,
    ACTIONS(16751), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14771), 2,
      sym_comment,
      sym_block_comment,
  [643649] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16796), 1,
      anon_sym_finally,
    STATE(14582), 1,
      sym_finally_clause,
    STATE(14772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
  [643674] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17074), 1,
      anon_sym_SEMI,
    ACTIONS(17077), 1,
      anon_sym_else,
    STATE(14773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
  [643699] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13924), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [643720] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16967), 1,
      anon_sym_finally,
    STATE(13633), 1,
      sym_finally_clause,
    STATE(14775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 6,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
  [643745] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17079), 1,
      anon_sym_with,
    STATE(15075), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(15164), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(14776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14250), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [643772] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13896), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [643793] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17079), 1,
      anon_sym_with,
    ACTIONS(17081), 1,
      anon_sym_COMMA,
    STATE(15075), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(15227), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(14778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14250), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [643822] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13857), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [643843] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(14780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 5,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [643870] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13869), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13867), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
  [643893] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13898), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [643914] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13904), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [643935] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13924), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [643956] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14630), 1,
      anon_sym_match,
    ACTIONS(17009), 1,
      anon_sym_LBRACK,
    STATE(10348), 1,
      sym_type_arguments,
    STATE(14785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [643983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17083), 1,
      anon_sym_DOT,
    STATE(14786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [644006] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17085), 1,
      anon_sym_SEMI,
    ACTIONS(17088), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_catch,
      anon_sym_finally,
  [644033] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13839), 1,
      anon_sym_COLON,
    STATE(14929), 1,
      aux_sym__context_bounds_repeat1,
    STATE(15315), 1,
      sym__context_bounds,
    STATE(14788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16596), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [644060] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [644081] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [644102] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13817), 1,
      anon_sym_COLON,
    ACTIONS(13825), 1,
      anon_sym_LT_PERCENT,
    STATE(14889), 1,
      aux_sym__type_parameter_repeat1,
    STATE(15575), 1,
      sym_view_bound,
    STATE(15813), 1,
      aux_sym__context_bounds_repeat1,
    STATE(17686), 1,
      sym__context_bounds,
    ACTIONS(16723), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14791), 2,
      sym_comment,
      sym_block_comment,
  [644135] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16708), 1,
      anon_sym_finally,
    STATE(13190), 1,
      sym_finally_clause,
    STATE(14792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [644160] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17091), 1,
      anon_sym_COMMA,
    STATE(14793), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_derives_clause_repeat1,
    ACTIONS(16833), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [644183] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 8,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [644204] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13936), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [644225] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17009), 1,
      anon_sym_LBRACK,
    STATE(10348), 1,
      sym_type_arguments,
    STATE(14796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13813), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [644250] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17009), 1,
      anon_sym_LBRACK,
    STATE(10348), 1,
      sym_type_arguments,
    STATE(14797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13916), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [644275] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13839), 1,
      anon_sym_COLON,
    STATE(14929), 1,
      aux_sym__context_bounds_repeat1,
    STATE(15528), 1,
      sym__context_bounds,
    STATE(14798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17007), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [644302] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13849), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [644323] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13855), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [644344] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13817), 1,
      anon_sym_COLON,
    ACTIONS(13825), 1,
      anon_sym_LT_PERCENT,
    STATE(15163), 1,
      aux_sym__type_parameter_repeat1,
    STATE(15575), 1,
      sym_view_bound,
    STATE(15813), 1,
      aux_sym__context_bounds_repeat1,
    STATE(17686), 1,
      sym__context_bounds,
    ACTIONS(16723), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14801), 2,
      sym_comment,
      sym_block_comment,
  [644377] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13938), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [644398] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17094), 1,
      anon_sym_SEMI,
    ACTIONS(17096), 1,
      anon_sym_else,
    STATE(14803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
  [644423] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12745), 1,
      anon_sym_LPAREN,
    ACTIONS(13360), 1,
      sym__automatic_semicolon,
    STATE(14076), 1,
      sym_class_parameters,
    STATE(14752), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13483), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [644452] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16692), 1,
      anon_sym_finally,
    STATE(14894), 1,
      sym_finally_clause,
    STATE(14805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [644477] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13817), 1,
      anon_sym_COLON,
    ACTIONS(13825), 1,
      anon_sym_LT_PERCENT,
    STATE(15163), 1,
      aux_sym__type_parameter_repeat1,
    STATE(15575), 1,
      sym_view_bound,
    STATE(15813), 1,
      aux_sym__context_bounds_repeat1,
    STATE(17692), 1,
      sym__context_bounds,
    ACTIONS(17098), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14806), 2,
      sym_comment,
      sym_block_comment,
  [644510] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13817), 1,
      anon_sym_COLON,
    ACTIONS(13825), 1,
      anon_sym_LT_PERCENT,
    STATE(14891), 1,
      aux_sym__type_parameter_repeat1,
    STATE(15575), 1,
      sym_view_bound,
    STATE(15813), 1,
      aux_sym__context_bounds_repeat1,
    STATE(17692), 1,
      sym__context_bounds,
    ACTIONS(17098), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14807), 2,
      sym_comment,
      sym_block_comment,
  [644543] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14003), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [644564] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12745), 1,
      anon_sym_LPAREN,
    ACTIONS(13360), 1,
      sym__automatic_semicolon,
    STATE(13207), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14076), 1,
      sym_class_parameters,
    STATE(14809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16054), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [644593] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14005), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [644614] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13956), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [644635] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13817), 1,
      anon_sym_COLON,
    ACTIONS(13825), 1,
      anon_sym_LT_PERCENT,
    STATE(14806), 1,
      aux_sym__type_parameter_repeat1,
    STATE(15575), 1,
      sym_view_bound,
    STATE(15813), 1,
      aux_sym__context_bounds_repeat1,
    STATE(17388), 1,
      sym__context_bounds,
    ACTIONS(16751), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14812), 2,
      sym_comment,
      sym_block_comment,
  [644668] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13958), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [644689] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12745), 1,
      anon_sym_LPAREN,
    ACTIONS(13360), 1,
      sym__automatic_semicolon,
    STATE(14076), 1,
      sym_class_parameters,
    STATE(14756), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16077), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [644718] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13761), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [644739] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13962), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [644760] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13968), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13966), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
  [644783] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13829), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [644804] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16647), 1,
      anon_sym_finally,
    STATE(14894), 1,
      sym_finally_clause,
    STATE(14819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [644829] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17037), 1,
      anon_sym_LBRACK,
    STATE(10070), 1,
      sym_type_arguments,
    STATE(14820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13990), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [644854] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13994), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13992), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
  [644877] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17100), 1,
      anon_sym_SEMI,
    ACTIONS(17103), 1,
      anon_sym_else,
    STATE(14822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
  [644902] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13794), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [644923] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13857), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [644944] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17107), 1,
      anon_sym_DOT,
    STATE(14914), 1,
      aux_sym_package_identifier_repeat1,
    STATE(14825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17105), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [644969] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12961), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_QMARK_EQ_GT,
  [644990] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17109), 1,
      anon_sym_SEMI,
    ACTIONS(17112), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 4,
      sym__automatic_semicolon,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
  [645017] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15805), 1,
      anon_sym_LPAREN,
    ACTIONS(17116), 1,
      anon_sym_extends,
    ACTIONS(17118), 1,
      sym__automatic_semicolon,
    STATE(14930), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(15522), 1,
      sym_class_parameters,
    STATE(16512), 1,
      sym_extends_clause,
    ACTIONS(17114), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    STATE(14828), 2,
      sym_comment,
      sym_block_comment,
  [645050] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14630), 1,
      anon_sym_match,
    ACTIONS(17009), 1,
      anon_sym_LBRACK,
    STATE(10348), 1,
      sym_type_arguments,
    STATE(14829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13811), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [645077] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17121), 1,
      anon_sym_SEMI,
    ACTIONS(17123), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
  [645104] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17037), 1,
      anon_sym_LBRACK,
    STATE(10070), 1,
      sym_type_arguments,
    STATE(14831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13916), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [645129] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13869), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13867), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [645152] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13898), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [645173] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13906), 1,
      anon_sym_COLON,
    STATE(15005), 1,
      aux_sym__context_bounds_repeat1,
    STATE(15153), 1,
      sym__context_bounds,
    STATE(14834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16637), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [645200] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12745), 1,
      anon_sym_LPAREN,
    ACTIONS(13360), 1,
      sym__automatic_semicolon,
    STATE(13207), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14076), 1,
      sym_class_parameters,
    STATE(14835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15146), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [645229] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17125), 1,
      anon_sym_SEMI,
    ACTIONS(17128), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
      anon_sym_finally,
  [645256] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17130), 1,
      anon_sym_SEMI,
    ACTIONS(17133), 1,
      anon_sym_else,
    STATE(14837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
  [645281] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13904), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [645302] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13924), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [645323] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8164), 1,
      anon_sym_DOT,
    STATE(14840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [645346] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17009), 1,
      anon_sym_LBRACK,
    STATE(10348), 1,
      sym_type_arguments,
    STATE(14841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13980), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [645371] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [645392] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17136), 1,
      anon_sym_SEMI,
    ACTIONS(17139), 1,
      anon_sym_else,
    STATE(14843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
  [645417] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 8,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [645438] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17141), 1,
      anon_sym_SEMI,
    ACTIONS(17144), 1,
      anon_sym_else,
    STATE(14845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
  [645463] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17149), 1,
      anon_sym_as,
    STATE(14846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17147), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [645486] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13976), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [645507] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13936), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [645528] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17151), 1,
      anon_sym_SEMI,
    ACTIONS(17154), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_finally,
  [645555] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17157), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_SEMI,
  [645576] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17159), 1,
      anon_sym_SEMI,
    ACTIONS(17162), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
  [645603] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [645624] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17165), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
  [645645] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17167), 1,
      anon_sym_as,
    STATE(14854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16914), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
  [645668] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17169), 1,
      anon_sym_SEMI,
    ACTIONS(17172), 1,
      anon_sym_else,
    STATE(14855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
  [645693] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16755), 1,
      anon_sym_finally,
    STATE(13011), 1,
      sym_finally_clause,
    STATE(14856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [645718] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13938), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [645739] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17175), 1,
      anon_sym_SEMI,
    ACTIONS(17178), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
      anon_sym_finally,
  [645766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17181), 1,
      anon_sym_DOT,
    STATE(14859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [645789] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [645810] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(14861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13813), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [645835] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16322), 1,
      anon_sym_LBRACK,
    ACTIONS(16326), 1,
      anon_sym_match,
    STATE(8212), 1,
      sym_type_arguments,
    STATE(15379), 1,
      aux_sym__block_repeat1,
    ACTIONS(17013), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(17183), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14862), 2,
      sym_comment,
      sym_block_comment,
  [645866] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17015), 1,
      anon_sym_LBRACK,
    STATE(10212), 1,
      sym_type_arguments,
    STATE(14863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13988), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [645891] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13956), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [645912] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13958), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [645933] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17015), 1,
      anon_sym_LBRACK,
    STATE(10212), 1,
      sym_type_arguments,
    STATE(14866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13980), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [645958] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13962), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [645979] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13968), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13966), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [646002] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17185), 1,
      anon_sym_SEMI,
    ACTIONS(17188), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_catch,
      anon_sym_finally,
  [646029] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17190), 1,
      anon_sym_SEMI,
    ACTIONS(17193), 1,
      anon_sym_else,
    STATE(14870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
  [646054] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [646075] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17196), 1,
      anon_sym_SEMI,
    ACTIONS(17199), 1,
      anon_sym_else,
    STATE(14872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [646100] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16590), 1,
      anon_sym_finally,
    STATE(14966), 1,
      sym_finally_clause,
    STATE(14873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [646125] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13994), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13992), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [646148] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17005), 1,
      anon_sym_COMMA,
    STATE(14721), 1,
      aux_sym_derives_clause_repeat1,
    STATE(14875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16790), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [646173] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(14876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13916), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [646198] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17202), 1,
      anon_sym_SEMI,
    ACTIONS(17205), 1,
      anon_sym_else,
    STATE(14877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [646223] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17009), 1,
      anon_sym_LBRACK,
    STATE(10348), 1,
      sym_type_arguments,
    STATE(14878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13988), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [646248] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17207), 1,
      anon_sym_SEMI,
    ACTIONS(17210), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_finally,
  [646275] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14474), 1,
      anon_sym_match,
    ACTIONS(17037), 1,
      anon_sym_LBRACK,
    STATE(10070), 1,
      sym_type_arguments,
    STATE(14880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13811), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [646302] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12745), 1,
      anon_sym_LPAREN,
    ACTIONS(13360), 1,
      sym__automatic_semicolon,
    STATE(13207), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14076), 1,
      sym_class_parameters,
    STATE(14881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15891), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [646331] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [646352] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17213), 1,
      anon_sym_SEMI,
    ACTIONS(17216), 1,
      anon_sym_else,
    STATE(14883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
  [646377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10170), 1,
      anon_sym_COLON,
    STATE(14884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [646400] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13849), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [646421] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13855), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [646442] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17218), 1,
      anon_sym_SEMI,
    ACTIONS(17221), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_finally,
  [646469] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15500), 1,
      anon_sym_LPAREN,
    ACTIONS(17046), 1,
      anon_sym_extends,
    ACTIONS(17223), 1,
      sym__automatic_semicolon,
    STATE(15038), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(15294), 1,
      sym_class_parameters,
    STATE(16008), 1,
      sym_extends_clause,
    ACTIONS(17114), 2,
      sym__outdent,
      anon_sym_SEMI,
    STATE(14888), 2,
      sym_comment,
      sym_block_comment,
  [646502] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13817), 1,
      anon_sym_COLON,
    ACTIONS(13825), 1,
      anon_sym_LT_PERCENT,
    STATE(15163), 1,
      aux_sym__type_parameter_repeat1,
    STATE(15575), 1,
      sym_view_bound,
    STATE(15813), 1,
      aux_sym__context_bounds_repeat1,
    STATE(17546), 1,
      sym__context_bounds,
    ACTIONS(17226), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14889), 2,
      sym_comment,
      sym_block_comment,
  [646535] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13817), 1,
      anon_sym_COLON,
    ACTIONS(13825), 1,
      anon_sym_LT_PERCENT,
    STATE(14905), 1,
      aux_sym__type_parameter_repeat1,
    STATE(15575), 1,
      sym_view_bound,
    STATE(15813), 1,
      aux_sym__context_bounds_repeat1,
    STATE(17546), 1,
      sym__context_bounds,
    ACTIONS(17226), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14890), 2,
      sym_comment,
      sym_block_comment,
  [646568] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13817), 1,
      anon_sym_COLON,
    ACTIONS(13825), 1,
      anon_sym_LT_PERCENT,
    STATE(15163), 1,
      aux_sym__type_parameter_repeat1,
    STATE(15575), 1,
      sym_view_bound,
    STATE(15813), 1,
      aux_sym__context_bounds_repeat1,
    STATE(17588), 1,
      sym__context_bounds,
    ACTIONS(17228), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14891), 2,
      sym_comment,
      sym_block_comment,
  [646601] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14003), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [646622] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12965), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_QMARK_EQ_GT,
  [646643] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14005), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [646664] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [646685] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17015), 1,
      anon_sym_LBRACK,
    ACTIONS(17017), 1,
      anon_sym_match,
    ACTIONS(17230), 1,
      anon_sym_if,
    STATE(10212), 1,
      sym_type_arguments,
    STATE(16911), 1,
      sym_guard,
    STATE(14896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16320), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [646716] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17232), 1,
      anon_sym_SEMI,
    ACTIONS(17235), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
  [646743] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13839), 1,
      anon_sym_COLON,
    STATE(14929), 1,
      aux_sym__context_bounds_repeat1,
    STATE(15367), 1,
      sym__context_bounds,
    STATE(14898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16637), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [646770] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(14899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13980), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [646795] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12745), 1,
      anon_sym_LPAREN,
    ACTIONS(13360), 1,
      sym__automatic_semicolon,
    STATE(14076), 1,
      sym_class_parameters,
    STATE(14835), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13542), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [646824] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_COMMA,
    ACTIONS(17239), 1,
      anon_sym_with,
    STATE(15144), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(15145), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(14901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14250), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
      anon_sym_LPAREN,
  [646853] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17031), 1,
      anon_sym_with,
    STATE(14939), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(15157), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(14902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14250), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [646880] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16897), 1,
      anon_sym_finally,
    STATE(13633), 1,
      sym_finally_clause,
    STATE(14903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 6,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_do,
  [646905] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12745), 1,
      anon_sym_LPAREN,
    ACTIONS(13360), 1,
      sym__automatic_semicolon,
    STATE(13207), 1,
      aux_sym__class_constructor_repeat1,
    STATE(14076), 1,
      sym_class_parameters,
    STATE(14904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15230), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [646934] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13817), 1,
      anon_sym_COLON,
    ACTIONS(13825), 1,
      anon_sym_LT_PERCENT,
    STATE(15163), 1,
      aux_sym__type_parameter_repeat1,
    STATE(15575), 1,
      sym_view_bound,
    STATE(15813), 1,
      aux_sym__context_bounds_repeat1,
    STATE(17487), 1,
      sym__context_bounds,
    ACTIONS(17241), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14905), 2,
      sym_comment,
      sym_block_comment,
  [646967] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(14906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13988), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [646992] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    STATE(14907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [647015] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13761), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [647036] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17037), 1,
      anon_sym_LBRACK,
    STATE(10070), 1,
      sym_type_arguments,
    STATE(14909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13980), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [647061] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13857), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [647082] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15805), 1,
      anon_sym_LPAREN,
    ACTIONS(17116), 1,
      anon_sym_extends,
    ACTIONS(17245), 1,
      sym__automatic_semicolon,
    STATE(14930), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(15522), 1,
      sym_class_parameters,
    STATE(17028), 1,
      sym_extends_clause,
    ACTIONS(17048), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    STATE(14911), 2,
      sym_comment,
      sym_block_comment,
  [647115] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17248), 1,
      anon_sym_SEMI,
    ACTIONS(17251), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_finally,
  [647142] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17015), 1,
      anon_sym_LBRACK,
    ACTIONS(17017), 1,
      anon_sym_match,
    STATE(10212), 1,
      sym_type_arguments,
    STATE(14913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13811), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
  [647169] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17255), 1,
      anon_sym_DOT,
    STATE(14760), 1,
      aux_sym_package_identifier_repeat1,
    STATE(14914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17253), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [647194] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17015), 1,
      anon_sym_LBRACK,
    STATE(10212), 1,
      sym_type_arguments,
    STATE(14915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13813), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [647219] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17015), 1,
      anon_sym_LBRACK,
    STATE(10212), 1,
      sym_type_arguments,
    STATE(14916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13916), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [647244] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14474), 1,
      anon_sym_match,
    ACTIONS(17037), 1,
      anon_sym_LBRACK,
    STATE(10070), 1,
      sym_type_arguments,
    STATE(14917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [647271] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17015), 1,
      anon_sym_LBRACK,
    ACTIONS(17017), 1,
      anon_sym_match,
    STATE(10212), 1,
      sym_type_arguments,
    STATE(14918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
  [647298] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17015), 1,
      anon_sym_LBRACK,
    ACTIONS(17017), 1,
      anon_sym_match,
    ACTIONS(17230), 1,
      anon_sym_if,
    STATE(10212), 1,
      sym_type_arguments,
    STATE(17321), 1,
      sym_guard,
    STATE(14919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16562), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [647329] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13869), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13867), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_finally,
  [647352] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17037), 1,
      anon_sym_LBRACK,
    STATE(10070), 1,
      sym_type_arguments,
    STATE(14921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13813), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [647377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17257), 1,
      anon_sym_as,
    STATE(14922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17147), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [647399] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13857), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [647419] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15124), 1,
      anon_sym_COLON,
    STATE(15125), 1,
      sym__context_bounds,
    STATE(15266), 1,
      aux_sym__context_bounds_repeat1,
    STATE(14924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17003), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_SEMI,
  [647445] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17259), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [647465] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13924), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [647485] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16951), 1,
      anon_sym_finally,
    STATE(14012), 1,
      sym_finally_clause,
    STATE(14927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [647509] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [647529] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17261), 1,
      anon_sym_COLON,
    STATE(14974), 1,
      aux_sym__context_bounds_repeat1,
    STATE(14929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17263), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [647553] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17267), 1,
      anon_sym_LPAREN,
    ACTIONS(17270), 1,
      sym__automatic_semicolon,
    STATE(15522), 1,
      sym_class_parameters,
    ACTIONS(17265), 3,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_SEMI,
    STATE(14930), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__full_enum_def_repeat1,
  [647579] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17275), 1,
      anon_sym_DOT,
    STATE(14937), 1,
      aux_sym_package_identifier_repeat1,
    STATE(14931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17273), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [647603] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16989), 1,
      anon_sym_finally,
    STATE(14579), 1,
      sym_finally_clause,
    STATE(14932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [647627] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17013), 1,
      sym__outdent,
    ACTIONS(17015), 1,
      anon_sym_LBRACK,
    ACTIONS(17017), 1,
      anon_sym_match,
    STATE(10212), 1,
      sym_type_arguments,
    STATE(15745), 1,
      aux_sym__block_repeat1,
    ACTIONS(17277), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14933), 2,
      sym_comment,
      sym_block_comment,
  [647657] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17281), 1,
      anon_sym_COMMA,
    STATE(15028), 1,
      aux_sym_import_declaration_repeat1,
    STATE(14934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17279), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [647681] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [647701] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13958), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [647721] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17275), 1,
      anon_sym_DOT,
    STATE(14998), 1,
      aux_sym_package_identifier_repeat1,
    STATE(14937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17283), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [647745] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [647765] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17031), 1,
      anon_sym_with,
    STATE(15084), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(14939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16550), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [647789] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13938), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [647809] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17285), 1,
      anon_sym_SEMI,
    ACTIONS(17288), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 3,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [647835] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17291), 1,
      anon_sym_LPAREN,
    STATE(15357), 1,
      sym_arguments,
    STATE(14942), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8955), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
  [647859] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17294), 1,
      anon_sym_catch,
    ACTIONS(17296), 1,
      anon_sym_finally,
    STATE(14871), 1,
      sym_finally_clause,
    STATE(15302), 1,
      sym_catch_clause,
    STATE(14943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [647887] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17298), 1,
      anon_sym_SEMI,
    ACTIONS(17301), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
  [647913] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17304), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [647933] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16862), 1,
      anon_sym_finally,
    STATE(14382), 1,
      sym_finally_clause,
    STATE(14946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [647957] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17306), 1,
      anon_sym_DOT,
    STATE(15102), 1,
      aux_sym_package_identifier_repeat1,
    STATE(14947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17105), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [647981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13968), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13966), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
  [648003] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17308), 1,
      anon_sym_LBRACK,
    STATE(10669), 1,
      sym_type_arguments,
    STATE(14949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13980), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [648027] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8166), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [648047] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17310), 1,
      anon_sym_with,
    STATE(14951), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat2,
    ACTIONS(16516), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [648069] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17313), 1,
      anon_sym_SEMI,
    ACTIONS(17316), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_finally,
  [648095] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16769), 1,
      anon_sym_finally,
    STATE(14810), 1,
      sym_finally_clause,
    STATE(14953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [648119] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17318), 1,
      anon_sym_SEMI,
    ACTIONS(17321), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [648145] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17165), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
  [648165] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17324), 1,
      anon_sym_SEMI,
    ACTIONS(17327), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
  [648191] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17329), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [648211] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13962), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [648231] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17331), 1,
      anon_sym_SEMI,
    ACTIONS(17334), 1,
      anon_sym_else,
    STATE(14959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
  [648255] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17157), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_SEMI,
  [648275] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14003), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [648295] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13829), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [648315] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16322), 1,
      anon_sym_LBRACK,
    ACTIONS(16326), 1,
      anon_sym_match,
    STATE(8212), 1,
      sym_type_arguments,
    STATE(14963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17337), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [648341] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14003), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [648361] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17339), 1,
      anon_sym_LBRACK,
    STATE(10391), 1,
      sym_type_arguments,
    STATE(14965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13813), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [648385] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14005), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [648405] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [648425] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17341), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [648445] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [648465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17343), 1,
      anon_sym_COLON,
    STATE(14970), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__context_bounds_repeat1,
    ACTIONS(17304), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [648487] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17346), 1,
      anon_sym_SEMI,
    ACTIONS(17349), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
  [648513] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17308), 1,
      anon_sym_LBRACK,
    STATE(10669), 1,
      sym_type_arguments,
    STATE(14972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13813), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [648537] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13994), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13992), 5,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [648559] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17352), 1,
      anon_sym_COLON,
    STATE(14974), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__context_bounds_repeat1,
    ACTIONS(17304), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [648581] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17355), 1,
      anon_sym_SEMI,
    ACTIONS(17357), 1,
      anon_sym_else,
    STATE(14975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [648605] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16997), 1,
      anon_sym_finally,
    STATE(14579), 1,
      sym_finally_clause,
    STATE(14976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [648629] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13904), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [648649] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17027), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [648669] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17359), 1,
      anon_sym_SEMI,
    ACTIONS(17362), 1,
      anon_sym_else,
    STATE(14979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [648693] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13968), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13966), 5,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [648715] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17308), 1,
      anon_sym_LBRACK,
    STATE(10669), 1,
      sym_type_arguments,
    STATE(14981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13916), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [648739] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8706), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [648759] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17365), 1,
      anon_sym_catch,
    ACTIONS(17367), 1,
      anon_sym_finally,
    STATE(14540), 1,
      sym_finally_clause,
    STATE(15130), 1,
      sym_catch_clause,
    STATE(14983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [648787] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15408), 1,
      anon_sym_match,
    ACTIONS(17339), 1,
      anon_sym_LBRACK,
    STATE(10391), 1,
      sym_type_arguments,
    STATE(14984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_finally,
  [648813] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17369), 1,
      anon_sym_COLON,
    ACTIONS(17371), 1,
      anon_sym_LBRACE,
    ACTIONS(17373), 1,
      anon_sym_extends,
    ACTIONS(17375), 1,
      anon_sym_derives,
    STATE(15375), 1,
      sym_extends_clause,
    STATE(15638), 1,
      sym_enum_body,
    STATE(17025), 1,
      sym_derives_clause,
    STATE(14985), 2,
      sym_comment,
      sym_block_comment,
  [648845] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17377), 1,
      anon_sym_SEMI,
    ACTIONS(17380), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_finally,
  [648871] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15124), 1,
      anon_sym_COLON,
    STATE(15251), 1,
      sym__context_bounds,
    STATE(15266), 1,
      aux_sym__context_bounds_repeat1,
    STATE(14987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17007), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_SEMI,
  [648897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17383), 1,
      anon_sym_COLON,
    STATE(14988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17385), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [648919] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13761), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [648939] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17387), 1,
      anon_sym_SEMI,
    ACTIONS(17390), 1,
      anon_sym_else,
    STATE(14990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
  [648963] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17393), 1,
      anon_sym_SEMI,
    ACTIONS(17396), 1,
      anon_sym_else,
    STATE(14991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
  [648987] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15160), 1,
      sym_arguments,
    STATE(14992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [649009] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16807), 1,
      anon_sym_finally,
    STATE(14382), 1,
      sym_finally_clause,
    STATE(14993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [649033] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17399), 1,
      anon_sym_COLON,
    STATE(14994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17401), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [649055] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17403), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [649075] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16981), 1,
      anon_sym_finally,
    STATE(13190), 1,
      sym_finally_clause,
    STATE(14996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [649099] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17015), 1,
      anon_sym_LBRACK,
    ACTIONS(17017), 1,
      anon_sym_match,
    ACTIONS(17407), 1,
      sym__outdent,
    STATE(10212), 1,
      sym_type_arguments,
    STATE(15759), 1,
      aux_sym__enum_block_repeat1,
    ACTIONS(17405), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14997), 2,
      sym_comment,
      sym_block_comment,
  [649129] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17409), 1,
      anon_sym_DOT,
    STATE(14998), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_package_identifier_repeat1,
    ACTIONS(16914), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [649151] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13849), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [649171] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7538), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [649191] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17339), 1,
      anon_sym_LBRACK,
    STATE(10391), 1,
      sym_type_arguments,
    STATE(15001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13980), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [649215] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8726), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [649235] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [649255] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14005), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [649275] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17412), 1,
      anon_sym_COLON,
    STATE(14970), 1,
      aux_sym__context_bounds_repeat1,
    STATE(15005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17263), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [649299] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17339), 1,
      anon_sym_LBRACK,
    STATE(10391), 1,
      sym_type_arguments,
    STATE(15006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13990), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [649323] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13849), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [649343] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15136), 1,
      sym_arguments,
    STATE(15008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [649365] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17414), 1,
      anon_sym_SEMI,
    ACTIONS(17417), 1,
      anon_sym_else,
    STATE(15009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
  [649389] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17339), 1,
      anon_sym_LBRACK,
    STATE(10391), 1,
      sym_type_arguments,
    STATE(15010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13988), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [649413] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17419), 1,
      anon_sym_with,
    STATE(15011), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9649), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [649435] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9801), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(15012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10170), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_SEMI,
  [649457] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13962), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [649477] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17294), 1,
      anon_sym_catch,
    ACTIONS(17422), 1,
      anon_sym_finally,
    STATE(14938), 1,
      sym_finally_clause,
    STATE(15295), 1,
      sym_catch_clause,
    STATE(15014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [649505] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17015), 1,
      anon_sym_LBRACK,
    ACTIONS(17017), 1,
      anon_sym_match,
    STATE(10212), 1,
      sym_type_arguments,
    STATE(15015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17337), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [649531] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8538), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [649551] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13855), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [649571] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17424), 1,
      anon_sym_catch,
    ACTIONS(17426), 1,
      anon_sym_finally,
    STATE(14871), 1,
      sym_finally_clause,
    STATE(15297), 1,
      sym_catch_clause,
    STATE(15018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [649599] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8841), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [649619] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [649639] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16840), 1,
      anon_sym_finally,
    STATE(14012), 1,
      sym_finally_clause,
    STATE(15021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [649663] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17428), 1,
      anon_sym_DOT,
    STATE(15022), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_package_identifier_repeat1,
    ACTIONS(16914), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [649685] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17431), 1,
      anon_sym_SEMI,
    ACTIONS(17433), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(15023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_then,
  [649711] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17435), 1,
      anon_sym_COLON,
    STATE(15024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17437), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [649733] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8696), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [649753] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17369), 1,
      anon_sym_COLON,
    ACTIONS(17371), 1,
      anon_sym_LBRACE,
    ACTIONS(17373), 1,
      anon_sym_extends,
    ACTIONS(17375), 1,
      anon_sym_derives,
    STATE(15466), 1,
      sym_extends_clause,
    STATE(15719), 1,
      sym_enum_body,
    STATE(17192), 1,
      sym_derives_clause,
    STATE(15026), 2,
      sym_comment,
      sym_block_comment,
  [649785] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    STATE(14942), 1,
      aux_sym_annotation_repeat1,
    STATE(15357), 1,
      sym_arguments,
    STATE(15027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8945), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
  [649811] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17441), 1,
      anon_sym_COMMA,
    STATE(15028), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_import_declaration_repeat1,
    ACTIONS(17439), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [649833] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15124), 1,
      anon_sym_COLON,
    STATE(15138), 1,
      sym__context_bounds,
    STATE(15266), 1,
      aux_sym__context_bounds_repeat1,
    STATE(15029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16596), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_SEMI,
  [649859] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8486), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [649879] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16844), 1,
      anon_sym_finally,
    STATE(15004), 1,
      sym_finally_clause,
    STATE(15031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [649903] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [649923] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13869), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(15033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13867), 5,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [649945] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17444), 1,
      anon_sym_LBRACE,
    ACTIONS(17448), 1,
      anon_sym_EQ,
    STATE(15657), 1,
      sym_block,
    STATE(15034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17446), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [649971] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17281), 1,
      anon_sym_COMMA,
    STATE(14934), 1,
      aux_sym_import_declaration_repeat1,
    STATE(15035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17450), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [649995] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15424), 1,
      anon_sym_match,
    ACTIONS(17308), 1,
      anon_sym_LBRACK,
    STATE(10669), 1,
      sym_type_arguments,
    STATE(15036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_else,
  [650021] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17452), 1,
      anon_sym_SEMI,
    ACTIONS(17455), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(15037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
  [650047] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17457), 1,
      anon_sym_LPAREN,
    ACTIONS(17460), 1,
      sym__automatic_semicolon,
    STATE(15294), 1,
      sym_class_parameters,
    ACTIONS(17265), 3,
      sym__outdent,
      anon_sym_extends,
      anon_sym_SEMI,
    STATE(15038), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__full_enum_def_repeat1,
  [650073] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13898), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [650093] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17281), 1,
      anon_sym_COMMA,
    STATE(15110), 1,
      aux_sym_import_declaration_repeat1,
    STATE(15040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17463), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [650117] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13898), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [650137] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8708), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [650157] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13794), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [650177] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17465), 1,
      anon_sym_LBRACE,
    ACTIONS(17467), 1,
      anon_sym_EQ,
    STATE(15332), 1,
      sym_block,
    STATE(15044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17446), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [650203] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13855), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [650223] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [650243] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17469), 1,
      anon_sym_SEMI,
    ACTIONS(17471), 1,
      anon_sym_else,
    STATE(15047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [650267] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8779), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [650287] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17373), 1,
      anon_sym_extends,
    ACTIONS(17375), 1,
      anon_sym_derives,
    ACTIONS(17473), 1,
      anon_sym_COLON,
    ACTIONS(17475), 1,
      anon_sym_LBRACE,
    STATE(15333), 1,
      sym_extends_clause,
    STATE(15338), 1,
      sym_enum_body,
    STATE(16447), 1,
      sym_derives_clause,
    STATE(15049), 2,
      sym_comment,
      sym_block_comment,
  [650319] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [650339] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16322), 1,
      anon_sym_LBRACK,
    ACTIONS(16326), 1,
      anon_sym_match,
    ACTIONS(17407), 1,
      anon_sym_RBRACE,
    STATE(8212), 1,
      sym_type_arguments,
    STATE(15853), 1,
      aux_sym__enum_block_repeat1,
    ACTIONS(17477), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15051), 2,
      sym_comment,
      sym_block_comment,
  [650369] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17479), 1,
      anon_sym_SEMI,
    ACTIONS(17481), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(15052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 3,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [650395] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17483), 1,
      anon_sym_SEMI,
    ACTIONS(17485), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(15053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [650421] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17487), 1,
      anon_sym_SEMI,
    ACTIONS(17489), 1,
      anon_sym_else,
    STATE(15054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [650445] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13956), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [650465] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13829), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [650485] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16749), 1,
      anon_sym_AT,
    STATE(15087), 1,
      aux_sym_enum_definition_repeat1,
    STATE(15458), 1,
      sym_annotation,
    STATE(15057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9250), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_LPAREN,
  [650511] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17491), 1,
      anon_sym_COLON,
    STATE(15058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17437), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [650533] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16927), 1,
      anon_sym_finally,
    STATE(14966), 1,
      sym_finally_clause,
    STATE(15059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [650557] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13794), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [650577] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17493), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [650597] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16322), 1,
      anon_sym_LBRACK,
    ACTIONS(16326), 1,
      anon_sym_match,
    ACTIONS(17013), 1,
      anon_sym_RBRACE,
    STATE(8212), 1,
      sym_type_arguments,
    STATE(15535), 1,
      aux_sym__block_repeat1,
    ACTIONS(17495), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15062), 2,
      sym_comment,
      sym_block_comment,
  [650627] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13936), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [650647] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17497), 1,
      anon_sym_COLON,
    STATE(15064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17385), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [650669] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17499), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [650689] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17501), 1,
      anon_sym_as,
    STATE(15066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16914), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
  [650711] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17373), 1,
      anon_sym_extends,
    ACTIONS(17375), 1,
      anon_sym_derives,
    ACTIONS(17473), 1,
      anon_sym_COLON,
    ACTIONS(17475), 1,
      anon_sym_LBRACE,
    STATE(15473), 1,
      sym_enum_body,
    STATE(15483), 1,
      sym_extends_clause,
    STATE(16764), 1,
      sym_derives_clause,
    STATE(15067), 2,
      sym_comment,
      sym_block_comment,
  [650743] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13956), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [650763] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17424), 1,
      anon_sym_catch,
    ACTIONS(17503), 1,
      anon_sym_finally,
    STATE(14938), 1,
      sym_finally_clause,
    STATE(15283), 1,
      sym_catch_clause,
    STATE(15069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [650791] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17505), 1,
      anon_sym_SEMI,
    ACTIONS(17508), 1,
      anon_sym_else,
    STATE(15070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
  [650815] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [650835] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [650855] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17510), 1,
      anon_sym_SEMI,
    ACTIONS(17513), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(15073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
  [650881] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [650901] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17079), 1,
      anon_sym_with,
    STATE(14951), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(15075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16550), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [650925] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13761), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [650945] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15124), 1,
      anon_sym_COLON,
    STATE(15153), 1,
      sym__context_bounds,
    STATE(15266), 1,
      aux_sym__context_bounds_repeat1,
    STATE(15077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16637), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_SEMI,
  [650971] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17515), 1,
      anon_sym_SEMI,
    ACTIONS(17518), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(15078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_then,
  [650997] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [651017] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17521), 1,
      anon_sym_SEMI,
    ACTIONS(17524), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(15080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16624), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
  [651043] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17527), 1,
      anon_sym_SEMI,
    ACTIONS(17530), 1,
      anon_sym_else,
    STATE(15081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
  [651067] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13936), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [651087] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8843), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [651107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17532), 1,
      anon_sym_with,
    STATE(15084), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat2,
    ACTIONS(16516), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [651129] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13994), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(15085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13992), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
  [651151] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [651171] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17535), 1,
      anon_sym_AT,
    STATE(15458), 1,
      sym_annotation,
    STATE(15087), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(9205), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_LPAREN,
  [651195] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8518), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [651215] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13857), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [651235] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [651255] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17538), 1,
      anon_sym_catch,
    ACTIONS(17540), 1,
      anon_sym_finally,
    STATE(14540), 1,
      sym_finally_clause,
    STATE(15152), 1,
      sym_catch_clause,
    STATE(15091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15446), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [651283] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17542), 1,
      anon_sym_SEMI,
    ACTIONS(17545), 1,
      anon_sym_else,
    STATE(15092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
  [651307] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [651327] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13958), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [651347] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13938), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [651367] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17548), 1,
      anon_sym_SEMI,
    ACTIONS(17551), 1,
      anon_sym_else,
    STATE(15096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [651391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15220), 1,
      sym_arguments,
    STATE(15097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [651413] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13869), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(15098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13867), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
  [651435] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17554), 1,
      anon_sym_SEMI,
    ACTIONS(17557), 1,
      anon_sym_else,
    STATE(15099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [651459] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17339), 1,
      anon_sym_LBRACK,
    STATE(10391), 1,
      sym_type_arguments,
    STATE(15100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13916), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [651483] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8522), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [651503] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17560), 1,
      anon_sym_DOT,
    STATE(15022), 1,
      aux_sym_package_identifier_repeat1,
    STATE(15102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17253), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [651527] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17308), 1,
      anon_sym_LBRACK,
    STATE(10669), 1,
      sym_type_arguments,
    STATE(15103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13988), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [651551] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9801), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [651571] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15408), 1,
      anon_sym_match,
    ACTIONS(17339), 1,
      anon_sym_LBRACK,
    STATE(10391), 1,
      sym_type_arguments,
    STATE(15105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13811), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_finally,
  [651597] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17562), 1,
      anon_sym_COLON,
    STATE(15106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17401), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [651619] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [651639] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15424), 1,
      anon_sym_match,
    ACTIONS(17308), 1,
      anon_sym_LBRACK,
    STATE(10669), 1,
      sym_type_arguments,
    STATE(15108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13811), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_else,
  [651665] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17564), 1,
      anon_sym_SEMI,
    ACTIONS(17567), 1,
      anon_sym_else,
    STATE(15109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
  [651689] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17281), 1,
      anon_sym_COMMA,
    STATE(15028), 1,
      aux_sym_import_declaration_repeat1,
    STATE(15110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17569), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [651713] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8777), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [651733] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17444), 1,
      anon_sym_LBRACE,
    ACTIONS(17571), 1,
      anon_sym_EQ,
    STATE(15657), 1,
      sym_block,
    STATE(15112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17446), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [651758] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17573), 1,
      anon_sym_COMMA,
    ACTIONS(17575), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16904), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15113), 2,
      sym_comment,
      sym_block_comment,
  [651787] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16716), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [651806] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [651825] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17577), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [651844] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [651863] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [651882] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [651901] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17493), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [651920] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [651939] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17573), 1,
      anon_sym_COMMA,
    ACTIONS(17579), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(17299), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15122), 2,
      sym_comment,
      sym_block_comment,
  [651968] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [651987] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17573), 1,
      anon_sym_COMMA,
    ACTIONS(17581), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16839), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15124), 2,
      sym_comment,
      sym_block_comment,
  [652016] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17583), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [652035] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17499), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [652054] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17259), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [652073] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17465), 1,
      anon_sym_LBRACE,
    ACTIONS(17585), 1,
      anon_sym_EQ,
    STATE(15332), 1,
      sym_block,
    STATE(15128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17446), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [652098] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17573), 1,
      anon_sym_COMMA,
    ACTIONS(17587), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16638), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15129), 2,
      sym_comment,
      sym_block_comment,
  [652127] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17367), 1,
      anon_sym_finally,
    STATE(14582), 1,
      sym_finally_clause,
    STATE(15130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 4,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_catch,
  [652150] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17589), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [652169] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17591), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [652188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17593), 1,
      anon_sym_with,
    STATE(15133), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat2,
    ACTIONS(16516), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
      anon_sym_LPAREN,
  [652209] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [652228] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [652247] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [652266] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [652285] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17003), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [652304] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [652323] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17573), 1,
      anon_sym_COMMA,
    ACTIONS(17596), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16931), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15140), 2,
      sym_comment,
      sym_block_comment,
  [652352] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [652371] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17598), 1,
      anon_sym_if,
    STATE(15595), 1,
      sym_guard,
    ACTIONS(16916), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    STATE(15142), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enumerator_repeat1,
  [652394] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17573), 1,
      anon_sym_COMMA,
    ACTIONS(17601), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16711), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15143), 2,
      sym_comment,
      sym_block_comment,
  [652423] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_COMMA,
    STATE(15193), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(15144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16550), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
      anon_sym_LPAREN,
  [652446] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17239), 1,
      anon_sym_with,
    STATE(15133), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(15145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16550), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
      anon_sym_LPAREN,
  [652469] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17573), 1,
      anon_sym_COMMA,
    ACTIONS(17603), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16406), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15146), 2,
      sym_comment,
      sym_block_comment,
  [652498] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [652517] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16562), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [652536] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11269), 1,
      anon_sym_LPAREN,
    STATE(15661), 1,
      sym_arguments,
    STATE(15149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16759), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [652559] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17573), 1,
      anon_sym_COMMA,
    ACTIONS(17605), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16302), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15150), 2,
      sym_comment,
      sym_block_comment,
  [652588] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16596), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [652607] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17540), 1,
      anon_sym_finally,
    STATE(14582), 1,
      sym_finally_clause,
    STATE(15152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 4,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_do,
  [652630] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17007), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [652649] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17607), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [652668] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17573), 1,
      anon_sym_COMMA,
    ACTIONS(17609), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16105), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15155), 2,
      sym_comment,
      sym_block_comment,
  [652697] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17611), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [652716] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15269), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(15157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16550), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [652737] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17573), 1,
      anon_sym_COMMA,
    ACTIONS(17613), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(17203), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15158), 2,
      sym_comment,
      sym_block_comment,
  [652766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17615), 1,
      anon_sym_COMMA,
    STATE(15159), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_import_declaration_repeat1,
    ACTIONS(17439), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [652787] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [652806] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17618), 1,
      anon_sym_COLON,
    STATE(15161), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__context_bounds_repeat1,
    ACTIONS(17304), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_SEMI,
  [652827] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [652846] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17623), 1,
      anon_sym_LT_PERCENT,
    STATE(15575), 1,
      sym_view_bound,
    ACTIONS(17621), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(15163), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__type_parameter_repeat1,
  [652869] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15178), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(15164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16550), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [652890] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17230), 1,
      anon_sym_if,
    STATE(15142), 1,
      aux_sym_enumerator_repeat1,
    STATE(15595), 1,
      sym_guard,
    STATE(15165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16773), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [652915] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17573), 1,
      anon_sym_COMMA,
    ACTIONS(17626), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(17093), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15166), 2,
      sym_comment,
      sym_block_comment,
  [652944] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17573), 1,
      anon_sym_COMMA,
    ACTIONS(17628), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16618), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15167), 2,
      sym_comment,
      sym_block_comment,
  [652973] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17630), 1,
      anon_sym_SEMI,
    ACTIONS(17633), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(16624), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    STATE(15168), 2,
      sym_comment,
      sym_block_comment,
  [652998] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5254), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [653017] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16914), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
  [653036] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17573), 1,
      anon_sym_COMMA,
    ACTIONS(17635), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(17024), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15171), 2,
      sym_comment,
      sym_block_comment,
  [653065] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17637), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [653084] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17403), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [653103] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17639), 1,
      anon_sym_SEMI,
    ACTIONS(17642), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(16624), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    STATE(15174), 2,
      sym_comment,
      sym_block_comment,
  [653128] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17645), 1,
      anon_sym_LBRACK,
    STATE(11015), 1,
      sym_type_arguments,
    STATE(15175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13813), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
  [653151] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17029), 1,
      anon_sym_COMMA,
    STATE(15269), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(15176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16550), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [653174] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16716), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [653193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17647), 1,
      anon_sym_COMMA,
    STATE(15178), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat1,
    ACTIONS(16511), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [653214] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17650), 1,
      anon_sym_COLON,
    ACTIONS(17652), 1,
      anon_sym_LPAREN,
    ACTIONS(17654), 1,
      sym__automatic_semicolon,
    STATE(15249), 1,
      aux_sym__given_constructor_repeat1,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(17054), 1,
      sym_parameters,
    STATE(15179), 2,
      sym_comment,
      sym_block_comment,
  [653243] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16326), 1,
      anon_sym_match,
    ACTIONS(17645), 1,
      anon_sym_LBRACK,
    STATE(11015), 1,
      sym_type_arguments,
    STATE(15180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17656), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [653268] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17658), 1,
      anon_sym_SEMI,
    ACTIONS(17660), 1,
      anon_sym_else,
    STATE(15181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 4,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_finally,
  [653291] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [653310] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [653329] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15498), 1,
      anon_sym_extends,
    STATE(15722), 1,
      sym_extends_clause,
    STATE(15184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15496), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [653352] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17645), 1,
      anon_sym_LBRACK,
    STATE(11015), 1,
      sym_type_arguments,
    STATE(15185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13980), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
  [653375] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17662), 1,
      anon_sym_SEMI,
    ACTIONS(17664), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(16624), 2,
      anon_sym_while,
      anon_sym_finally,
    STATE(15186), 2,
      sym_comment,
      sym_block_comment,
  [653400] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17645), 1,
      anon_sym_LBRACK,
    STATE(11015), 1,
      sym_type_arguments,
    STATE(15187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13916), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
  [653423] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17573), 1,
      anon_sym_COMMA,
    ACTIONS(17666), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16987), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15188), 2,
      sym_comment,
      sym_block_comment,
  [653452] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16322), 1,
      anon_sym_LBRACK,
    ACTIONS(16326), 1,
      anon_sym_match,
    STATE(8212), 1,
      sym_type_arguments,
    STATE(15189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17668), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [653477] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17670), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [653496] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17672), 1,
      anon_sym_SEMI,
    ACTIONS(17675), 1,
      anon_sym_else,
    STATE(15191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
  [653519] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [653538] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17677), 1,
      anon_sym_COMMA,
    STATE(15193), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat1,
    ACTIONS(16511), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
      anon_sym_LPAREN,
  [653559] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17573), 1,
      anon_sym_COMMA,
    ACTIONS(17680), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16771), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15194), 2,
      sym_comment,
      sym_block_comment,
  [653588] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17465), 1,
      anon_sym_LBRACE,
    ACTIONS(17682), 1,
      anon_sym_EQ,
    STATE(15332), 1,
      sym_block,
    STATE(15195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17446), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [653613] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [653632] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17684), 1,
      anon_sym_COMMA,
    ACTIONS(17686), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16731), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15197), 2,
      sym_comment,
      sym_block_comment,
  [653661] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [653680] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17573), 1,
      anon_sym_COMMA,
    ACTIONS(17688), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16302), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15199), 2,
      sym_comment,
      sym_block_comment,
  [653709] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17573), 1,
      anon_sym_COMMA,
    ACTIONS(17690), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15990), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15200), 2,
      sym_comment,
      sym_block_comment,
  [653738] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [653757] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17692), 1,
      anon_sym_COMMA,
    STATE(15233), 1,
      aux_sym_import_declaration_repeat1,
    STATE(15202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17463), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [653780] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17573), 1,
      anon_sym_COMMA,
    ACTIONS(17694), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(17045), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15203), 2,
      sym_comment,
      sym_block_comment,
  [653809] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17696), 1,
      anon_sym_COLON,
    STATE(15204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17437), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_SEMI,
  [653830] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [653849] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17652), 1,
      anon_sym_LPAREN,
    ACTIONS(17698), 1,
      anon_sym_COLON,
    ACTIONS(17700), 1,
      sym__automatic_semicolon,
    STATE(15250), 1,
      aux_sym__given_constructor_repeat1,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(17054), 1,
      sym_parameters,
    STATE(15206), 2,
      sym_comment,
      sym_block_comment,
  [653878] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [653897] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11865), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [653916] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17573), 1,
      anon_sym_COMMA,
    ACTIONS(17702), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16682), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15209), 2,
      sym_comment,
      sym_block_comment,
  [653945] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17704), 1,
      anon_sym_SEMI,
    ACTIONS(17707), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(16624), 2,
      sym__automatic_semicolon,
      sym__outdent,
    STATE(15210), 2,
      sym_comment,
      sym_block_comment,
  [653970] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17709), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [653989] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [654008] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17573), 1,
      anon_sym_COMMA,
    ACTIONS(17711), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16863), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15213), 2,
      sym_comment,
      sym_block_comment,
  [654037] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17713), 1,
      anon_sym_SEMI,
    ACTIONS(17716), 1,
      anon_sym_else,
    STATE(15214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_match,
  [654060] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17652), 1,
      anon_sym_LPAREN,
    ACTIONS(17718), 1,
      anon_sym_COLON,
    ACTIONS(17720), 1,
      sym__automatic_semicolon,
    STATE(15250), 1,
      aux_sym__given_constructor_repeat1,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(17054), 1,
      sym_parameters,
    STATE(15215), 2,
      sym_comment,
      sym_block_comment,
  [654089] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17722), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [654108] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17724), 1,
      anon_sym_SEMI,
    ACTIONS(17726), 1,
      anon_sym_else,
    STATE(15217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 4,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
  [654131] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17728), 1,
      anon_sym_SEMI,
    ACTIONS(17731), 1,
      anon_sym_else,
    STATE(15218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 4,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_finally,
  [654154] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17652), 1,
      anon_sym_LPAREN,
    ACTIONS(17734), 1,
      anon_sym_COLON,
    ACTIONS(17736), 1,
      sym__automatic_semicolon,
    STATE(15215), 1,
      aux_sym__given_constructor_repeat1,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(17054), 1,
      sym_parameters,
    STATE(15219), 2,
      sym_comment,
      sym_block_comment,
  [654183] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [654202] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17738), 1,
      anon_sym_SEMI,
    ACTIONS(17740), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(16624), 2,
      anon_sym_finally,
      anon_sym_do,
    STATE(15221), 2,
      sym_comment,
      sym_block_comment,
  [654227] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17652), 1,
      anon_sym_LPAREN,
    ACTIONS(17742), 1,
      anon_sym_COLON,
    ACTIONS(17744), 1,
      sym__automatic_semicolon,
    STATE(15250), 1,
      aux_sym__given_constructor_repeat1,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(17054), 1,
      sym_parameters,
    STATE(15222), 2,
      sym_comment,
      sym_block_comment,
  [654256] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17746), 1,
      anon_sym_SEMI,
    ACTIONS(17749), 1,
      anon_sym_else,
    STATE(15223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 4,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
  [654279] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [654298] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17752), 1,
      anon_sym_LBRACE,
    ACTIONS(17756), 1,
      sym__interpolation_identifier,
    ACTIONS(17754), 2,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
    STATE(15225), 2,
      sym_comment,
      sym_block_comment,
    STATE(17448), 2,
      sym_block,
      sym__aliased_interpolation_identifier,
  [654323] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [654342] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17081), 1,
      anon_sym_COMMA,
    STATE(15178), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(15227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16550), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [654365] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17573), 1,
      anon_sym_COMMA,
    ACTIONS(17758), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16302), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15228), 2,
      sym_comment,
      sym_block_comment,
  [654394] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17760), 1,
      anon_sym_SEMI,
    ACTIONS(17763), 1,
      anon_sym_else,
    STATE(15229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_match,
  [654417] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11865), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [654436] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15411), 1,
      sym_arguments,
    STATE(15231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [654457] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16326), 1,
      anon_sym_match,
    ACTIONS(17645), 1,
      anon_sym_LBRACK,
    STATE(11015), 1,
      sym_type_arguments,
    STATE(15232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13811), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [654482] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17692), 1,
      anon_sym_COMMA,
    STATE(15159), 1,
      aux_sym_import_declaration_repeat1,
    STATE(15233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17569), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [654505] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17573), 1,
      anon_sym_COMMA,
    ACTIONS(17765), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16600), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15234), 2,
      sym_comment,
      sym_block_comment,
  [654534] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17573), 1,
      anon_sym_COMMA,
    ACTIONS(17767), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16162), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15235), 2,
      sym_comment,
      sym_block_comment,
  [654563] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [654582] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17015), 1,
      anon_sym_LBRACK,
    ACTIONS(17017), 1,
      anon_sym_match,
    STATE(10212), 1,
      sym_type_arguments,
    STATE(15237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17668), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [654607] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17769), 1,
      anon_sym_SEMI,
    ACTIONS(17772), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(16624), 2,
      anon_sym_while,
      anon_sym_finally,
    STATE(15238), 2,
      sym_comment,
      sym_block_comment,
  [654632] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16326), 1,
      anon_sym_match,
    ACTIONS(17645), 1,
      anon_sym_LBRACK,
    STATE(11015), 1,
      sym_type_arguments,
    STATE(15239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13788), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [654657] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17775), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [654676] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11865), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [654695] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17692), 1,
      anon_sym_COMMA,
    STATE(15159), 1,
      aux_sym_import_declaration_repeat1,
    STATE(15242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17279), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [654718] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17777), 1,
      anon_sym_SEMI,
    ACTIONS(17780), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(16624), 2,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
    STATE(15243), 2,
      sym_comment,
      sym_block_comment,
  [654743] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17573), 1,
      anon_sym_COMMA,
    ACTIONS(17782), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16783), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15244), 2,
      sym_comment,
      sym_block_comment,
  [654772] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17784), 1,
      anon_sym_SEMI,
    ACTIONS(17787), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(16624), 2,
      anon_sym_finally,
      anon_sym_do,
    STATE(15245), 2,
      sym_comment,
      sym_block_comment,
  [654797] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17573), 1,
      anon_sym_COMMA,
    ACTIONS(17790), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16320), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15246), 2,
      sym_comment,
      sym_block_comment,
  [654826] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17792), 1,
      anon_sym_LBRACE,
    ACTIONS(17796), 1,
      sym__interpolation_identifier,
    ACTIONS(17794), 2,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
    STATE(15247), 2,
      sym_comment,
      sym_block_comment,
    STATE(17622), 2,
      sym_block,
      sym__aliased_interpolation_identifier,
  [654851] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15803), 1,
      anon_sym_extends,
    STATE(15818), 1,
      sym_extends_clause,
    STATE(15248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15496), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [654874] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17652), 1,
      anon_sym_LPAREN,
    ACTIONS(17798), 1,
      anon_sym_COLON,
    ACTIONS(17800), 1,
      sym__automatic_semicolon,
    STATE(15250), 1,
      aux_sym__given_constructor_repeat1,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(17054), 1,
      sym_parameters,
    STATE(15249), 2,
      sym_comment,
      sym_block_comment,
  [654903] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17802), 1,
      anon_sym_COLON,
    ACTIONS(17804), 1,
      anon_sym_LPAREN,
    ACTIONS(17807), 1,
      sym__automatic_semicolon,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(17054), 1,
      sym_parameters,
    STATE(15250), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__given_constructor_repeat1,
  [654930] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17810), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [654949] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17812), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [654968] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17304), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [654987] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [655006] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17573), 1,
      anon_sym_COMMA,
    ACTIONS(17814), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16464), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15255), 2,
      sym_comment,
      sym_block_comment,
  [655035] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16637), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [655054] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17341), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [655073] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [655092] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10345), 1,
      anon_sym_LPAREN,
    STATE(15743), 1,
      sym_arguments,
    STATE(15259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16759), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [655115] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17816), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [655134] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17645), 1,
      anon_sym_LBRACK,
    STATE(11015), 1,
      sym_type_arguments,
    STATE(15261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13988), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
  [655157] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17818), 1,
      anon_sym_COLON,
    STATE(15262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17401), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_SEMI,
  [655178] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [655197] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17692), 1,
      anon_sym_COMMA,
    STATE(15242), 1,
      aux_sym_import_declaration_repeat1,
    STATE(15264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17450), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [655220] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17573), 1,
      anon_sym_COMMA,
    ACTIONS(17820), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16560), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15265), 2,
      sym_comment,
      sym_block_comment,
  [655249] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17822), 1,
      anon_sym_COLON,
    STATE(15161), 1,
      aux_sym__context_bounds_repeat1,
    STATE(15266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17263), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_SEMI,
  [655272] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17824), 1,
      anon_sym_SEMI,
    ACTIONS(17827), 1,
      anon_sym_else,
    STATE(15267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
  [655295] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17830), 1,
      anon_sym_COLON,
    STATE(15268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17385), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_SEMI,
  [655316] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17832), 1,
      anon_sym_COMMA,
    STATE(15269), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat1,
    ACTIONS(16511), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [655337] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [655356] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17835), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [655374] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(17837), 1,
      anon_sym_COMMA,
    ACTIONS(17839), 1,
      anon_sym_RPAREN,
    STATE(16300), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15272), 2,
      sym_comment,
      sym_block_comment,
  [655400] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16710), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [655418] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17841), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [655436] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17843), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [655454] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17845), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [655472] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17847), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [655490] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17849), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [655508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17611), 2,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(17851), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15279), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enumerators_repeat1,
  [655528] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17854), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [655546] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17856), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [655564] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11865), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [655582] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17503), 1,
      anon_sym_finally,
    STATE(15004), 1,
      sym_finally_clause,
    STATE(15283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [655604] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(17858), 1,
      anon_sym_COMMA,
    ACTIONS(17860), 1,
      anon_sym_RPAREN,
    STATE(16060), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15284), 2,
      sym_comment,
      sym_block_comment,
  [655630] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(17862), 1,
      anon_sym_COMMA,
    ACTIONS(17864), 1,
      anon_sym_RPAREN,
    STATE(15979), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15285), 2,
      sym_comment,
      sym_block_comment,
  [655656] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16701), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [655674] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17866), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [655692] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(17868), 1,
      anon_sym_COMMA,
    ACTIONS(17870), 1,
      anon_sym_RPAREN,
    STATE(16115), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15288), 2,
      sym_comment,
      sym_block_comment,
  [655718] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17872), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [655736] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16637), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [655754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17874), 1,
      anon_sym_COLON,
    STATE(15291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17001), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
      anon_sym_SEMI,
  [655774] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17637), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [655792] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17876), 1,
      anon_sym_COMMA,
    STATE(15306), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(15293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17878), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [655814] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17880), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [655832] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17422), 1,
      anon_sym_finally,
    STATE(15004), 1,
      sym_finally_clause,
    STATE(15295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [655854] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17884), 1,
      anon_sym_COMMA,
    STATE(15512), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(15296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17882), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [655876] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17426), 1,
      anon_sym_finally,
    STATE(14810), 1,
      sym_finally_clause,
    STATE(15297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [655898] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(17886), 1,
      anon_sym_COMMA,
    ACTIONS(17888), 1,
      anon_sym_RPAREN,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16930), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15298), 2,
      sym_comment,
      sym_block_comment,
  [655924] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17890), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [655942] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17894), 1,
      anon_sym_EQ,
    STATE(15300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17892), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [655962] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(17896), 1,
      anon_sym_COMMA,
    ACTIONS(17898), 1,
      anon_sym_RPAREN,
    STATE(16655), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15301), 2,
      sym_comment,
      sym_block_comment,
  [655988] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17296), 1,
      anon_sym_finally,
    STATE(14810), 1,
      sym_finally_clause,
    STATE(15302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13947), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [656010] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17900), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [656028] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [656046] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16747), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [656064] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17876), 1,
      anon_sym_COMMA,
    STATE(15330), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(15306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17882), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [656086] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16701), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [656104] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17902), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [656122] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17904), 1,
      anon_sym_SEMI,
    ACTIONS(17906), 1,
      anon_sym_else,
    STATE(15309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [656144] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17884), 1,
      anon_sym_COMMA,
    STATE(15296), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(15310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17878), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [656166] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(17908), 1,
      anon_sym_COMMA,
    ACTIONS(17910), 1,
      anon_sym_RPAREN,
    STATE(16235), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15311), 2,
      sym_comment,
      sym_block_comment,
  [656192] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17912), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [656210] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17916), 1,
      anon_sym_EQ,
    STATE(15313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17914), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [656230] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(17918), 1,
      anon_sym_COMMA,
    ACTIONS(17920), 1,
      anon_sym_RPAREN,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(17074), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15314), 2,
      sym_comment,
      sym_block_comment,
  [656256] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17003), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [656274] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17922), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [656292] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(17924), 1,
      anon_sym_COMMA,
    ACTIONS(17926), 1,
      anon_sym_RPAREN,
    STATE(16797), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15317), 2,
      sym_comment,
      sym_block_comment,
  [656318] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(17928), 1,
      anon_sym_COMMA,
    ACTIONS(17930), 1,
      anon_sym_RPAREN,
    STATE(16809), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15318), 2,
      sym_comment,
      sym_block_comment,
  [656344] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17932), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [656362] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [656380] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [656398] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(17934), 1,
      anon_sym_COMMA,
    ACTIONS(17936), 1,
      anon_sym_RPAREN,
    STATE(16132), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15322), 2,
      sym_comment,
      sym_block_comment,
  [656424] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16701), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [656442] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(17938), 1,
      anon_sym_COMMA,
    ACTIONS(17940), 1,
      anon_sym_RPAREN,
    STATE(15926), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15324), 2,
      sym_comment,
      sym_block_comment,
  [656468] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    ACTIONS(17942), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15325), 2,
      sym_comment,
      sym_block_comment,
  [656492] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16716), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [656510] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17944), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [656528] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16710), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [656546] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(17946), 1,
      anon_sym_COMMA,
    ACTIONS(17948), 1,
      anon_sym_RPAREN,
    STATE(16041), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15329), 2,
      sym_comment,
      sym_block_comment,
  [656572] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17950), 1,
      anon_sym_COMMA,
    ACTIONS(17953), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    STATE(15330), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_case_definitions_repeat1,
  [656592] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(17955), 1,
      anon_sym_COMMA,
    ACTIONS(17957), 1,
      anon_sym_RPAREN,
    STATE(16852), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15331), 2,
      sym_comment,
      sym_block_comment,
  [656618] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17959), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [656636] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17375), 1,
      anon_sym_derives,
    ACTIONS(17473), 1,
      anon_sym_COLON,
    ACTIONS(17475), 1,
      anon_sym_LBRACE,
    STATE(15441), 1,
      sym_enum_body,
    STATE(16666), 1,
      sym_derives_clause,
    STATE(15333), 2,
      sym_comment,
      sym_block_comment,
  [656662] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17876), 1,
      anon_sym_COMMA,
    STATE(15330), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(15334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17961), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [656684] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17963), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [656702] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17577), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [656720] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17967), 1,
      anon_sym_EQ,
    STATE(15337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17965), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [656740] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17969), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [656758] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17971), 1,
      anon_sym_SEMI,
    ACTIONS(17973), 1,
      sym__automatic_semicolon,
    STATE(15279), 1,
      aux_sym_enumerators_repeat1,
    ACTIONS(7284), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15339), 2,
      sym_comment,
      sym_block_comment,
  [656782] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16592), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [656800] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(17975), 1,
      anon_sym_COMMA,
    ACTIONS(17977), 1,
      anon_sym_RPAREN,
    STATE(16072), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15341), 2,
      sym_comment,
      sym_block_comment,
  [656826] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    ACTIONS(17979), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15342), 2,
      sym_comment,
      sym_block_comment,
  [656850] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(17981), 1,
      anon_sym_COMMA,
    ACTIONS(17983), 1,
      anon_sym_RPAREN,
    STATE(15997), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15343), 2,
      sym_comment,
      sym_block_comment,
  [656876] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(17985), 1,
      anon_sym_COMMA,
    ACTIONS(17987), 1,
      anon_sym_RPAREN,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(17029), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15344), 2,
      sym_comment,
      sym_block_comment,
  [656902] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17989), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [656920] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17991), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [656938] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(17993), 1,
      anon_sym_COMMA,
    ACTIONS(17995), 1,
      anon_sym_RPAREN,
    STATE(15942), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15347), 2,
      sym_comment,
      sym_block_comment,
  [656964] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16619), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [656982] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14082), 1,
      anon_sym_LPAREN,
    STATE(16851), 1,
      sym_arguments,
    STATE(15349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16759), 3,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
  [657004] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15379), 1,
      aux_sym__block_repeat1,
    ACTIONS(17013), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(17183), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15350), 2,
      sym_comment,
      sym_block_comment,
  [657026] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17997), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [657044] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [657062] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    ACTIONS(17999), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15353), 2,
      sym_comment,
      sym_block_comment,
  [657086] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16624), 1,
      anon_sym_while,
    ACTIONS(18001), 1,
      anon_sym_SEMI,
    ACTIONS(18003), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(15354), 2,
      sym_comment,
      sym_block_comment,
  [657110] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [657128] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16721), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [657146] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8987), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
  [657164] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16745), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [657182] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18005), 1,
      anon_sym_COMMA,
    ACTIONS(18007), 1,
      anon_sym_RPAREN,
    STATE(16157), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15359), 2,
      sym_comment,
      sym_block_comment,
  [657208] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16592), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [657226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18009), 1,
      anon_sym_EQ,
    STATE(15361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17892), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [657246] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16596), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [657264] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [657282] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [657300] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18011), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [657318] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18013), 1,
      anon_sym_COMMA,
    ACTIONS(18015), 1,
      anon_sym_RPAREN,
    STATE(16899), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15366), 2,
      sym_comment,
      sym_block_comment,
  [657344] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17007), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [657362] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18017), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [657380] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18019), 1,
      anon_sym_COMMA,
    ACTIONS(18021), 1,
      anon_sym_RPAREN,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16982), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15369), 2,
      sym_comment,
      sym_block_comment,
  [657406] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17670), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [657424] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18023), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [657442] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17847), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [657460] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17607), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [657478] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18023), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [657496] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17369), 1,
      anon_sym_COLON,
    ACTIONS(17371), 1,
      anon_sym_LBRACE,
    ACTIONS(17375), 1,
      anon_sym_derives,
    STATE(15622), 1,
      sym_enum_body,
    STATE(17075), 1,
      sym_derives_clause,
    STATE(15375), 2,
      sym_comment,
      sym_block_comment,
  [657522] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18025), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [657540] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16619), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [657558] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18027), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [657576] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15399), 1,
      aux_sym__block_repeat1,
    ACTIONS(671), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(18029), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15379), 2,
      sym_comment,
      sym_block_comment,
  [657598] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18031), 1,
      anon_sym_SEMI,
    ACTIONS(18033), 1,
      sym__automatic_semicolon,
    STATE(15406), 1,
      aux_sym_enumerators_repeat1,
    ACTIONS(7284), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    STATE(15380), 2,
      sym_comment,
      sym_block_comment,
  [657622] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6466), 1,
      anon_sym_LBRACE,
    ACTIONS(13779), 1,
      anon_sym_COLON,
    STATE(15793), 1,
      sym_template_body,
    STATE(9563), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15381), 2,
      sym_comment,
      sym_block_comment,
  [657646] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18035), 1,
      anon_sym_COMMA,
    ACTIONS(18037), 1,
      anon_sym_RPAREN,
    STATE(16322), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15382), 2,
      sym_comment,
      sym_block_comment,
  [657672] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18039), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [657690] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18041), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [657708] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [657726] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18043), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [657744] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18045), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [657762] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5254), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [657780] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18047), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [657798] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18049), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [657816] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18051), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [657834] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18053), 1,
      anon_sym_COMMA,
    ACTIONS(18055), 1,
      anon_sym_RPAREN,
    STATE(16084), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15392), 2,
      sym_comment,
      sym_block_comment,
  [657860] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17583), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [657878] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18057), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [657896] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18059), 1,
      anon_sym_COMMA,
    ACTIONS(18061), 1,
      anon_sym_RPAREN,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(17102), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15395), 2,
      sym_comment,
      sym_block_comment,
  [657922] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18063), 1,
      anon_sym_SEMI,
    ACTIONS(18066), 1,
      anon_sym_else,
    STATE(15396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [657944] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18069), 1,
      anon_sym_COMMA,
    ACTIONS(18071), 1,
      anon_sym_RPAREN,
    STATE(15910), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15397), 2,
      sym_comment,
      sym_block_comment,
  [657970] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17722), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [657988] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17337), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(18073), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15399), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__block_repeat1,
  [658008] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16624), 1,
      anon_sym_while,
    ACTIONS(18076), 1,
      anon_sym_SEMI,
    ACTIONS(18079), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(15400), 2,
      sym_comment,
      sym_block_comment,
  [658032] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18082), 1,
      anon_sym_EQ,
    STATE(15401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17965), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [658052] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18084), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [658070] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18086), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [658088] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18088), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [658106] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18090), 1,
      anon_sym_COMMA,
    ACTIONS(18092), 1,
      anon_sym_RPAREN,
    STATE(16879), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15405), 2,
      sym_comment,
      sym_block_comment,
  [658132] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17611), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    ACTIONS(18094), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15406), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enumerators_repeat1,
  [658152] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18097), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [658170] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18099), 1,
      anon_sym_COMMA,
    ACTIONS(18101), 1,
      anon_sym_RPAREN,
    STATE(16688), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15408), 2,
      sym_comment,
      sym_block_comment,
  [658196] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18031), 1,
      anon_sym_SEMI,
    ACTIONS(18105), 1,
      sym__automatic_semicolon,
    STATE(15380), 1,
      aux_sym_enumerators_repeat1,
    ACTIONS(18103), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    STATE(15409), 2,
      sym_comment,
      sym_block_comment,
  [658220] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18107), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [658238] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10941), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [658256] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18109), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [658274] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18111), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [658292] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18057), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [658310] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18113), 1,
      anon_sym_COMMA,
    ACTIONS(18115), 1,
      anon_sym_RPAREN,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(17253), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15415), 2,
      sym_comment,
      sym_block_comment,
  [658336] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18117), 1,
      anon_sym_COMMA,
    ACTIONS(18119), 1,
      anon_sym_RPAREN,
    STATE(16492), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15416), 2,
      sym_comment,
      sym_block_comment,
  [658362] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18121), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [658380] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18123), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [658398] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [658416] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18125), 1,
      anon_sym_COMMA,
    ACTIONS(18127), 1,
      anon_sym_RPAREN,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(17312), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15420), 2,
      sym_comment,
      sym_block_comment,
  [658442] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [658460] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    ACTIONS(18129), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15422), 2,
      sym_comment,
      sym_block_comment,
  [658484] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18131), 1,
      anon_sym_RBRACE,
    ACTIONS(18133), 1,
      anon_sym_COMMA,
    ACTIONS(18135), 1,
      anon_sym_EQ_GT,
    ACTIONS(18137), 1,
      anon_sym_as,
    STATE(16862), 1,
      aux_sym_namespace_selectors_repeat1,
    STATE(15423), 2,
      sym_comment,
      sym_block_comment,
  [658510] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18139), 1,
      anon_sym_COMMA,
    ACTIONS(18141), 1,
      anon_sym_RPAREN,
    STATE(15954), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15424), 2,
      sym_comment,
      sym_block_comment,
  [658536] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18143), 1,
      anon_sym_COMMA,
    ACTIONS(18145), 1,
      anon_sym_RPAREN,
    STATE(16020), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15425), 2,
      sym_comment,
      sym_block_comment,
  [658562] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17337), 2,
      sym__outdent,
      anon_sym_case,
    ACTIONS(18147), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15426), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__block_repeat1,
  [658582] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18150), 1,
      anon_sym_COMMA,
    ACTIONS(18152), 1,
      anon_sym_RPAREN,
    STATE(16760), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15427), 2,
      sym_comment,
      sym_block_comment,
  [658608] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18154), 1,
      anon_sym_COMMA,
    ACTIONS(18156), 1,
      anon_sym_RPAREN,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(17194), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15428), 2,
      sym_comment,
      sym_block_comment,
  [658634] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18158), 1,
      anon_sym_as,
    STATE(15429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17147), 4,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [658654] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
  [658672] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    ACTIONS(18160), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15431), 2,
      sym_comment,
      sym_block_comment,
  [658696] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18162), 1,
      anon_sym_COMMA,
    ACTIONS(18164), 1,
      anon_sym_RPAREN,
    STATE(15986), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15432), 2,
      sym_comment,
      sym_block_comment,
  [658722] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18166), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [658740] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18168), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [658758] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8372), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [658776] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18170), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [658794] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16624), 1,
      anon_sym_do,
    ACTIONS(18172), 1,
      anon_sym_SEMI,
    ACTIONS(18175), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(15437), 2,
      sym_comment,
      sym_block_comment,
  [658818] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17884), 1,
      anon_sym_COMMA,
    STATE(15529), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(15438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17882), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [658840] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18178), 1,
      anon_sym_with,
    ACTIONS(9649), 3,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    STATE(15439), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
  [658860] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16747), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [658878] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18181), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [658896] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18183), 1,
      anon_sym_COMMA,
    ACTIONS(18185), 1,
      anon_sym_RPAREN,
    STATE(16342), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15442), 2,
      sym_comment,
      sym_block_comment,
  [658922] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18187), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [658940] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18189), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [658958] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    ACTIONS(18191), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15445), 2,
      sym_comment,
      sym_block_comment,
  [658982] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18193), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [659000] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15426), 1,
      aux_sym__block_repeat1,
    ACTIONS(671), 2,
      sym__outdent,
      anon_sym_case,
    ACTIONS(18195), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15447), 2,
      sym_comment,
      sym_block_comment,
  [659022] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18197), 1,
      anon_sym_COMMA,
    ACTIONS(18199), 1,
      anon_sym_RPAREN,
    STATE(16182), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15448), 2,
      sym_comment,
      sym_block_comment,
  [659048] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18201), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [659066] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17775), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [659084] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18203), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [659102] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17709), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [659120] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18205), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [659138] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    ACTIONS(18207), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15454), 2,
      sym_comment,
      sym_block_comment,
  [659162] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18209), 1,
      anon_sym_EQ,
    STATE(15455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17914), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [659182] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17876), 1,
      anon_sym_COMMA,
    STATE(15334), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(15456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17882), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [659204] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17165), 5,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
  [659222] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9837), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
  [659240] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17589), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [659258] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18211), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [659276] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18213), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [659294] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18215), 1,
      anon_sym_COMMA,
    ACTIONS(18217), 1,
      anon_sym_RPAREN,
    STATE(15892), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15462), 2,
      sym_comment,
      sym_block_comment,
  [659320] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [659338] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18219), 1,
      anon_sym_COMMA,
    ACTIONS(18221), 1,
      anon_sym_RPAREN,
    STATE(16096), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15464), 2,
      sym_comment,
      sym_block_comment,
  [659364] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18223), 1,
      anon_sym_SEMI,
    ACTIONS(18225), 1,
      anon_sym_else,
    STATE(15465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [659386] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17369), 1,
      anon_sym_COLON,
    ACTIONS(17371), 1,
      anon_sym_LBRACE,
    ACTIONS(17375), 1,
      anon_sym_derives,
    STATE(15643), 1,
      sym_enum_body,
    STATE(17320), 1,
      sym_derives_clause,
    STATE(15466), 2,
      sym_comment,
      sym_block_comment,
  [659412] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18227), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [659430] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18229), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [659448] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16721), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [659466] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18231), 1,
      anon_sym_COMMA,
    ACTIONS(18233), 1,
      anon_sym_RPAREN,
    STATE(16607), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15470), 2,
      sym_comment,
      sym_block_comment,
  [659492] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18235), 1,
      anon_sym_COMMA,
    ACTIONS(18237), 1,
      anon_sym_RPAREN,
    STATE(16439), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15471), 2,
      sym_comment,
      sym_block_comment,
  [659518] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    ACTIONS(18239), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15472), 2,
      sym_comment,
      sym_block_comment,
  [659542] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18241), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [659560] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17812), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [659578] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18243), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [659596] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18247), 1,
      anon_sym_EQ,
    STATE(15476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18245), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [659616] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18249), 1,
      anon_sym_COMMA,
    ACTIONS(18251), 1,
      anon_sym_RPAREN,
    STATE(16203), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15477), 2,
      sym_comment,
      sym_block_comment,
  [659642] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18253), 1,
      anon_sym_COMMA,
    ACTIONS(18255), 1,
      anon_sym_RPAREN,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(17131), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15478), 2,
      sym_comment,
      sym_block_comment,
  [659668] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    ACTIONS(18257), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15479), 2,
      sym_comment,
      sym_block_comment,
  [659692] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    ACTIONS(18259), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15480), 2,
      sym_comment,
      sym_block_comment,
  [659716] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18261), 1,
      anon_sym_COMMA,
    ACTIONS(18263), 1,
      anon_sym_RPAREN,
    STATE(16694), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15481), 2,
      sym_comment,
      sym_block_comment,
  [659742] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    ACTIONS(18265), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15482), 2,
      sym_comment,
      sym_block_comment,
  [659766] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17375), 1,
      anon_sym_derives,
    ACTIONS(17473), 1,
      anon_sym_COLON,
    ACTIONS(17475), 1,
      anon_sym_LBRACE,
    STATE(15443), 1,
      sym_enum_body,
    STATE(16958), 1,
      sym_derives_clause,
    STATE(15483), 2,
      sym_comment,
      sym_block_comment,
  [659792] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    ACTIONS(18267), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15484), 2,
      sym_comment,
      sym_block_comment,
  [659816] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18269), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [659834] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18271), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [659852] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16745), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [659870] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17856), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [659888] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18135), 1,
      anon_sym_EQ_GT,
    ACTIONS(18137), 1,
      anon_sym_as,
    ACTIONS(18273), 1,
      anon_sym_RBRACE,
    ACTIONS(18275), 1,
      anon_sym_COMMA,
    STATE(17329), 1,
      aux_sym_namespace_selectors_repeat1,
    STATE(15489), 2,
      sym_comment,
      sym_block_comment,
  [659914] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18277), 1,
      anon_sym_COMMA,
    ACTIONS(18279), 1,
      anon_sym_RPAREN,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(17046), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15490), 2,
      sym_comment,
      sym_block_comment,
  [659940] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15447), 1,
      aux_sym__block_repeat1,
    ACTIONS(17013), 2,
      sym__outdent,
      anon_sym_case,
    ACTIONS(17019), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15491), 2,
      sym_comment,
      sym_block_comment,
  [659962] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18281), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [659980] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18283), 1,
      anon_sym_COMMA,
    ACTIONS(18285), 1,
      anon_sym_RPAREN,
    STATE(16785), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15493), 2,
      sym_comment,
      sym_block_comment,
  [660006] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6404), 1,
      anon_sym_LBRACE,
    ACTIONS(13422), 1,
      anon_sym_COLON,
    STATE(15312), 1,
      sym_template_body,
    STATE(6874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15494), 2,
      sym_comment,
      sym_block_comment,
  [660030] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8985), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [660048] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18287), 1,
      anon_sym_COMMA,
    ACTIONS(18289), 1,
      anon_sym_RPAREN,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16962), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15496), 2,
      sym_comment,
      sym_block_comment,
  [660074] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18291), 1,
      anon_sym_SEMI,
    ACTIONS(18294), 1,
      anon_sym_else,
    STATE(15497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16651), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [660096] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18297), 1,
      anon_sym_COMMA,
    ACTIONS(18299), 1,
      anon_sym_RPAREN,
    STATE(16509), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15498), 2,
      sym_comment,
      sym_block_comment,
  [660122] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18301), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [660140] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16624), 1,
      anon_sym_do,
    ACTIONS(18303), 1,
      anon_sym_SEMI,
    ACTIONS(18305), 1,
      anon_sym_else,
    ACTIONS(16621), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(15500), 2,
      sym_comment,
      sym_block_comment,
  [660164] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9107), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
  [660182] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18307), 1,
      anon_sym_COMMA,
    ACTIONS(18309), 1,
      anon_sym_RPAREN,
    STATE(16100), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15502), 2,
      sym_comment,
      sym_block_comment,
  [660208] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18311), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [660226] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17816), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [660244] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18313), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [660262] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18315), 1,
      anon_sym_COMMA,
    ACTIONS(18317), 1,
      anon_sym_RPAREN,
    STATE(16725), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15506), 2,
      sym_comment,
      sym_block_comment,
  [660288] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18319), 1,
      anon_sym_COMMA,
    ACTIONS(18321), 1,
      anon_sym_RPAREN,
    STATE(16211), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15507), 2,
      sym_comment,
      sym_block_comment,
  [660314] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18323), 1,
      anon_sym_COMMA,
    ACTIONS(18325), 1,
      anon_sym_RPAREN,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(17012), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15508), 2,
      sym_comment,
      sym_block_comment,
  [660340] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7322), 1,
      anon_sym_LBRACK,
    ACTIONS(13863), 1,
      anon_sym_LPAREN,
    STATE(14106), 1,
      sym__using_parameters_clause,
    STATE(14372), 2,
      sym_type_parameters,
      sym_parameters,
    STATE(15509), 2,
      sym_comment,
      sym_block_comment,
  [660364] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17971), 1,
      anon_sym_SEMI,
    ACTIONS(18327), 1,
      sym__automatic_semicolon,
    STATE(15339), 1,
      aux_sym_enumerators_repeat1,
    ACTIONS(18103), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15510), 2,
      sym_comment,
      sym_block_comment,
  [660388] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18329), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [660406] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18331), 1,
      anon_sym_COMMA,
    ACTIONS(17953), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    STATE(15512), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_case_definitions_repeat1,
  [660426] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18334), 1,
      anon_sym_COMMA,
    ACTIONS(18336), 1,
      anon_sym_RPAREN,
    STATE(16050), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15513), 2,
      sym_comment,
      sym_block_comment,
  [660452] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18281), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [660470] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18338), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [660488] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18340), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [660506] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18342), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [660524] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13843), 1,
      anon_sym_LBRACK,
    ACTIONS(14102), 1,
      anon_sym_LPAREN,
    STATE(14676), 1,
      sym__using_parameters_clause,
    STATE(14522), 2,
      sym_type_parameters,
      sym_parameters,
    STATE(15518), 2,
      sym_comment,
      sym_block_comment,
  [660548] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18344), 1,
      anon_sym_COMMA,
    ACTIONS(18346), 1,
      anon_sym_RPAREN,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16917), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15519), 2,
      sym_comment,
      sym_block_comment,
  [660574] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18348), 1,
      anon_sym_EQ,
    STATE(15520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18245), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [660594] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9111), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
  [660612] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17880), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [660630] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18350), 1,
      anon_sym_COMMA,
    ACTIONS(18352), 1,
      anon_sym_RPAREN,
    STATE(16029), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15523), 2,
      sym_comment,
      sym_block_comment,
  [660656] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18269), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [660674] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18354), 1,
      anon_sym_COMMA,
    ACTIONS(18356), 1,
      anon_sym_RPAREN,
    STATE(16558), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15525), 2,
      sym_comment,
      sym_block_comment,
  [660700] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18358), 1,
      anon_sym_COMMA,
    ACTIONS(18360), 1,
      anon_sym_RPAREN,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16964), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15526), 2,
      sym_comment,
      sym_block_comment,
  [660726] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18362), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [660744] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17810), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [660762] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17884), 1,
      anon_sym_COMMA,
    STATE(15512), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(15529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17961), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [660784] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18364), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [660802] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18366), 1,
      anon_sym_COMMA,
    ACTIONS(18368), 1,
      anon_sym_RPAREN,
    STATE(16339), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15531), 2,
      sym_comment,
      sym_block_comment,
  [660828] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18370), 1,
      anon_sym_COMMA,
    ACTIONS(18372), 1,
      anon_sym_RPAREN,
    STATE(16171), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15532), 2,
      sym_comment,
      sym_block_comment,
  [660854] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(503), 1,
      ts_builtin_sym_end,
    STATE(15559), 1,
      aux_sym_compilation_unit_repeat1,
    ACTIONS(18374), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15533), 2,
      sym_comment,
      sym_block_comment,
  [660875] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12947), 4,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
  [660892] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(671), 1,
      anon_sym_RBRACE,
    STATE(15610), 1,
      aux_sym__block_repeat1,
    ACTIONS(18376), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15535), 2,
      sym_comment,
      sym_block_comment,
  [660913] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7290), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [660930] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17872), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [660947] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(18378), 1,
      anon_sym_while,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15538), 2,
      sym_comment,
      sym_block_comment,
  [660970] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(18380), 1,
      anon_sym_while,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15539), 2,
      sym_comment,
      sym_block_comment,
  [660993] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17856), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [661010] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    ACTIONS(18384), 1,
      sym__outdent,
    STATE(15583), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(15541), 2,
      sym_comment,
      sym_block_comment,
  [661033] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17652), 1,
      anon_sym_LPAREN,
    ACTIONS(18386), 1,
      anon_sym_COLON,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(16767), 1,
      sym_parameters,
    STATE(15542), 2,
      sym_comment,
      sym_block_comment,
  [661056] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18388), 1,
      anon_sym_RBRACE,
    ACTIONS(18390), 1,
      anon_sym_case,
    STATE(15574), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15543), 2,
      sym_comment,
      sym_block_comment,
  [661079] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    ACTIONS(18394), 1,
      sym__outdent,
    STATE(15671), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(15544), 2,
      sym_comment,
      sym_block_comment,
  [661102] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12992), 1,
      anon_sym_LPAREN,
    STATE(17619), 1,
      sym_arguments,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(15545), 2,
      sym_comment,
      sym_block_comment,
  [661123] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18398), 1,
      anon_sym_EQ,
    ACTIONS(18396), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15546), 2,
      sym_comment,
      sym_block_comment,
  [661144] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18362), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [661161] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    ACTIONS(18400), 1,
      sym__outdent,
    STATE(15671), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(15548), 2,
      sym_comment,
      sym_block_comment,
  [661184] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12915), 4,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
  [661201] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18402), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_PERCENT,
  [661218] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18027), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [661235] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(18404), 1,
      anon_sym_while,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15552), 2,
      sym_comment,
      sym_block_comment,
  [661258] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17782), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15553), 2,
      sym_comment,
      sym_block_comment,
  [661281] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18406), 1,
      anon_sym_LBRACE,
    ACTIONS(18408), 1,
      sym__indent,
    STATE(15098), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15554), 2,
      sym_comment,
      sym_block_comment,
  [661302] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18410), 1,
      anon_sym_RBRACE,
    STATE(15574), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15555), 2,
      sym_comment,
      sym_block_comment,
  [661325] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    ACTIONS(18412), 1,
      sym__outdent,
    STATE(15671), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(15556), 2,
      sym_comment,
      sym_block_comment,
  [661348] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(18414), 1,
      anon_sym_while,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15557), 2,
      sym_comment,
      sym_block_comment,
  [661371] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17613), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15558), 2,
      sym_comment,
      sym_block_comment,
  [661394] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18416), 1,
      ts_builtin_sym_end,
    ACTIONS(18418), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15559), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compilation_unit_repeat1,
  [661413] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18342), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [661430] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18203), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [661447] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18049), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [661464] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18421), 1,
      anon_sym_RBRACE,
    STATE(15574), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15563), 2,
      sym_comment,
      sym_block_comment,
  [661487] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18423), 1,
      anon_sym_RBRACE,
    STATE(15574), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15564), 2,
      sym_comment,
      sym_block_comment,
  [661510] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18425), 1,
      anon_sym_LBRACE,
    ACTIONS(18427), 1,
      sym__indent,
    STATE(12208), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15565), 2,
      sym_comment,
      sym_block_comment,
  [661531] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18088), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [661548] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18429), 1,
      anon_sym_EQ,
    STATE(15567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18245), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [661567] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17989), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [661584] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18431), 1,
      anon_sym_LBRACE,
    ACTIONS(18433), 1,
      sym__indent,
    STATE(14823), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15569), 2,
      sym_comment,
      sym_block_comment,
  [661605] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17407), 1,
      sym__outdent,
    STATE(15759), 1,
      aux_sym__enum_block_repeat1,
    ACTIONS(17405), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15570), 2,
      sym_comment,
      sym_block_comment,
  [661626] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18435), 1,
      anon_sym_RBRACE,
    STATE(15679), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15571), 2,
      sym_comment,
      sym_block_comment,
  [661649] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17944), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [661666] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(18437), 1,
      anon_sym_while,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15573), 2,
      sym_comment,
      sym_block_comment,
  [661689] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18439), 1,
      anon_sym_RBRACE,
    ACTIONS(18441), 1,
      anon_sym_case,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15574), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_indented_cases_repeat1,
  [661710] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18444), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_PERCENT,
  [661727] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(18446), 1,
      anon_sym_while,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15576), 2,
      sym_comment,
      sym_block_comment,
  [661750] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(18448), 1,
      anon_sym_while,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15577), 2,
      sym_comment,
      sym_block_comment,
  [661773] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17963), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [661790] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18452), 1,
      anon_sym_COMMA,
    STATE(15630), 1,
      aux_sym_identifiers_repeat1,
    ACTIONS(18450), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    STATE(15579), 2,
      sym_comment,
      sym_block_comment,
  [661811] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18454), 1,
      anon_sym_RBRACE,
    STATE(15574), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15580), 2,
      sym_comment,
      sym_block_comment,
  [661834] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18313), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [661851] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18039), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [661868] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18439), 1,
      sym__outdent,
    ACTIONS(18456), 1,
      anon_sym_case,
    STATE(17489), 1,
      sym_case_clause,
    STATE(15583), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_indented_cases_repeat1,
  [661889] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18459), 1,
      anon_sym_RBRACE,
    STATE(15574), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15584), 2,
      sym_comment,
      sym_block_comment,
  [661912] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    ACTIONS(18461), 1,
      sym__outdent,
    STATE(15583), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(15585), 2,
      sym_comment,
      sym_block_comment,
  [661935] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18051), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [661952] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18211), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [661969] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18086), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [661986] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    ACTIONS(18463), 1,
      sym__outdent,
    STATE(15583), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(15589), 2,
      sym_comment,
      sym_block_comment,
  [662009] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18168), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [662026] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12943), 4,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
  [662043] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    ACTIONS(18465), 1,
      sym__outdent,
    STATE(15583), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(15592), 2,
      sym_comment,
      sym_block_comment,
  [662066] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18467), 1,
      anon_sym_COLON,
    ACTIONS(18471), 1,
      anon_sym_EQ,
    ACTIONS(18469), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15593), 2,
      sym_comment,
      sym_block_comment,
  [662087] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18431), 1,
      anon_sym_LBRACE,
    ACTIONS(18433), 1,
      sym__indent,
    STATE(14920), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15594), 2,
      sym_comment,
      sym_block_comment,
  [662108] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17329), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
      anon_sym_SEMI,
  [662125] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17900), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [662142] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18473), 1,
      anon_sym_LBRACE,
    ACTIONS(18475), 1,
      sym__indent,
    STATE(15060), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15597), 2,
      sym_comment,
      sym_block_comment,
  [662163] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18477), 1,
      anon_sym_RBRACE,
    STATE(15574), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15598), 2,
      sym_comment,
      sym_block_comment,
  [662186] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17605), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15599), 2,
      sym_comment,
      sym_block_comment,
  [662209] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    ACTIONS(18479), 1,
      sym__outdent,
    STATE(15671), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(15600), 2,
      sym_comment,
      sym_block_comment,
  [662232] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12935), 4,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
  [662249] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17652), 1,
      anon_sym_LPAREN,
    ACTIONS(18481), 1,
      anon_sym_COLON,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(16767), 1,
      sym_parameters,
    STATE(15602), 2,
      sym_comment,
      sym_block_comment,
  [662272] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    ACTIONS(18483), 1,
      sym__outdent,
    STATE(15671), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(15603), 2,
      sym_comment,
      sym_block_comment,
  [662295] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18485), 1,
      anon_sym_RBRACE,
    STATE(15698), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15604), 2,
      sym_comment,
      sym_block_comment,
  [662318] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    ACTIONS(18487), 1,
      sym__outdent,
    STATE(15671), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(15605), 2,
      sym_comment,
      sym_block_comment,
  [662341] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18489), 1,
      anon_sym_LBRACE,
    ACTIONS(18491), 1,
      sym__indent,
    STATE(14297), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15606), 2,
      sym_comment,
      sym_block_comment,
  [662362] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18493), 1,
      anon_sym_RBRACE,
    STATE(15574), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15607), 2,
      sym_comment,
      sym_block_comment,
  [662385] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18495), 1,
      anon_sym_DOT,
    STATE(15608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8162), 3,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
  [662404] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(18497), 1,
      anon_sym_while,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15609), 2,
      sym_comment,
      sym_block_comment,
  [662427] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17337), 1,
      anon_sym_RBRACE,
    ACTIONS(18499), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15610), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__block_repeat1,
  [662446] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18135), 1,
      anon_sym_EQ_GT,
    ACTIONS(18137), 1,
      anon_sym_as,
    ACTIONS(18502), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(15611), 2,
      sym_comment,
      sym_block_comment,
  [662467] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(18504), 1,
      anon_sym_while,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15612), 2,
      sym_comment,
      sym_block_comment,
  [662490] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17652), 1,
      anon_sym_LPAREN,
    ACTIONS(18506), 1,
      anon_sym_COLON,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(16767), 1,
      sym_parameters,
    STATE(15613), 2,
      sym_comment,
      sym_block_comment,
  [662513] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17845), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [662530] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18508), 1,
      anon_sym_RBRACE,
    STATE(15574), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15615), 2,
      sym_comment,
      sym_block_comment,
  [662553] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17711), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15616), 2,
      sym_comment,
      sym_block_comment,
  [662576] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    ACTIONS(18510), 1,
      sym__outdent,
    STATE(15583), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(15617), 2,
      sym_comment,
      sym_block_comment,
  [662599] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    ACTIONS(18512), 1,
      sym__outdent,
    STATE(15671), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(15618), 2,
      sym_comment,
      sym_block_comment,
  [662622] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17820), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15619), 2,
      sym_comment,
      sym_block_comment,
  [662645] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18514), 1,
      anon_sym_LBRACE,
    ACTIONS(18516), 1,
      sym__indent,
    STATE(14746), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15620), 2,
      sym_comment,
      sym_block_comment,
  [662666] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18518), 1,
      anon_sym_RBRACE,
    STATE(15574), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15621), 2,
      sym_comment,
      sym_block_comment,
  [662689] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18181), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [662706] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17668), 1,
      anon_sym_RBRACE,
    ACTIONS(18520), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15623), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__enum_block_repeat1,
  [662725] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18523), 1,
      anon_sym_COMMA,
    STATE(15696), 1,
      aux_sym_derives_clause_repeat1,
    ACTIONS(16790), 2,
      anon_sym_COLON,
      anon_sym_LBRACE,
    STATE(15624), 2,
      sym_comment,
      sym_block_comment,
  [662746] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    ACTIONS(18525), 1,
      sym__outdent,
    STATE(15583), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(15625), 2,
      sym_comment,
      sym_block_comment,
  [662769] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    ACTIONS(18527), 1,
      sym__outdent,
    STATE(15671), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(15626), 2,
      sym_comment,
      sym_block_comment,
  [662792] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18057), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [662809] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18097), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [662826] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17587), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15629), 2,
      sym_comment,
      sym_block_comment,
  [662849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18531), 1,
      anon_sym_COMMA,
    ACTIONS(18529), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    STATE(15630), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_identifiers_repeat1,
  [662868] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17652), 1,
      anon_sym_LPAREN,
    ACTIONS(18534), 1,
      anon_sym_COLON,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(16767), 1,
      sym_parameters,
    STATE(15631), 2,
      sym_comment,
      sym_block_comment,
  [662891] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18193), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [662908] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18243), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [662925] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(18536), 1,
      anon_sym_while,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15634), 2,
      sym_comment,
      sym_block_comment,
  [662948] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18271), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [662965] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    ACTIONS(18538), 1,
      sym__outdent,
    STATE(15583), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(15636), 2,
      sym_comment,
      sym_block_comment,
  [662988] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17890), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [663005] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17969), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [663022] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(18540), 1,
      anon_sym_while,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15639), 2,
      sym_comment,
      sym_block_comment,
  [663045] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18542), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_do,
      anon_sym_yield,
  [663062] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17835), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [663079] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17922), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [663096] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18187), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [663113] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18489), 1,
      anon_sym_LBRACE,
    ACTIONS(18491), 1,
      sym__indent,
    STATE(14161), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15644), 2,
      sym_comment,
      sym_block_comment,
  [663134] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18473), 1,
      anon_sym_LBRACE,
    ACTIONS(18475), 1,
      sym__indent,
    STATE(15033), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15645), 2,
      sym_comment,
      sym_block_comment,
  [663155] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18544), 1,
      anon_sym_RBRACE,
    STATE(15584), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15646), 2,
      sym_comment,
      sym_block_comment,
  [663178] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18546), 1,
      anon_sym_COMMA,
    ACTIONS(18548), 1,
      anon_sym_RPAREN,
    STATE(16782), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15647), 2,
      sym_comment,
      sym_block_comment,
  [663201] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    ACTIONS(18550), 1,
      sym__outdent,
    STATE(15583), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(15648), 2,
      sym_comment,
      sym_block_comment,
  [663224] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17847), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [663241] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18552), 1,
      anon_sym_RBRACE,
    STATE(15621), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15650), 2,
      sym_comment,
      sym_block_comment,
  [663264] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18554), 1,
      anon_sym_RBRACE,
    STATE(15574), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15651), 2,
      sym_comment,
      sym_block_comment,
  [663287] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17635), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15652), 2,
      sym_comment,
      sym_block_comment,
  [663310] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18189), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [663327] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    ACTIONS(18556), 1,
      sym__outdent,
    STATE(15583), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(15654), 2,
      sym_comment,
      sym_block_comment,
  [663350] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18558), 1,
      anon_sym_COLON,
    ACTIONS(18562), 1,
      anon_sym_EQ,
    ACTIONS(18560), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15655), 2,
      sym_comment,
      sym_block_comment,
  [663371] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18564), 1,
      anon_sym_COLON,
    ACTIONS(18568), 1,
      anon_sym_EQ,
    ACTIONS(18566), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15656), 2,
      sym_comment,
      sym_block_comment,
  [663392] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17959), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [663409] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18570), 1,
      anon_sym_COMMA,
    ACTIONS(18572), 1,
      anon_sym_RPAREN,
    STATE(16303), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15658), 2,
      sym_comment,
      sym_block_comment,
  [663432] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17337), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [663449] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18057), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [663466] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17157), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [663483] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18340), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [663500] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18338), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [663517] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18574), 1,
      anon_sym_COMMA,
    ACTIONS(18576), 1,
      anon_sym_RPAREN,
    STATE(17306), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15664), 2,
      sym_comment,
      sym_block_comment,
  [663540] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(18578), 1,
      anon_sym_while,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15665), 2,
      sym_comment,
      sym_block_comment,
  [663563] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    ACTIONS(18580), 1,
      sym__outdent,
    STATE(15671), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(15666), 2,
      sym_comment,
      sym_block_comment,
  [663586] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    ACTIONS(18582), 1,
      sym__outdent,
    STATE(15583), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(15667), 2,
      sym_comment,
      sym_block_comment,
  [663609] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18205), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [663626] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    ACTIONS(18584), 1,
      sym__outdent,
    STATE(15671), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(15669), 2,
      sym_comment,
      sym_block_comment,
  [663649] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17902), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [663666] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18586), 1,
      anon_sym_case,
    ACTIONS(18589), 1,
      sym__outdent,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(15671), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__indented_type_cases_repeat1,
  [663687] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17575), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15672), 2,
      sym_comment,
      sym_block_comment,
  [663710] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18593), 1,
      anon_sym_EQ,
    ACTIONS(18591), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15673), 2,
      sym_comment,
      sym_block_comment,
  [663731] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18595), 1,
      anon_sym_COLON,
    ACTIONS(17304), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(15674), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__context_bounds_repeat1,
  [663750] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18017), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [663767] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17652), 1,
      anon_sym_LPAREN,
    ACTIONS(18598), 1,
      anon_sym_COLON,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(16767), 1,
      sym_parameters,
    STATE(15676), 2,
      sym_comment,
      sym_block_comment,
  [663790] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18602), 1,
      anon_sym_EQ_GT,
    STATE(15677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18600), 3,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_LPAREN,
  [663809] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18406), 1,
      anon_sym_LBRACE,
    ACTIONS(18408), 1,
      sym__indent,
    STATE(15043), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15678), 2,
      sym_comment,
      sym_block_comment,
  [663830] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18604), 1,
      anon_sym_RBRACE,
    STATE(15574), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15679), 2,
      sym_comment,
      sym_block_comment,
  [663853] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18608), 1,
      anon_sym_EQ,
    ACTIONS(18606), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15680), 2,
      sym_comment,
      sym_block_comment,
  [663874] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    ACTIONS(18610), 1,
      sym__outdent,
    STATE(15583), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(15681), 2,
      sym_comment,
      sym_block_comment,
  [663897] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18084), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [663914] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18041), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [663931] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18109), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [663948] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12937), 4,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
  [663965] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18612), 1,
      anon_sym_LBRACE,
    ACTIONS(18614), 1,
      sym__indent,
    STATE(13165), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15686), 2,
      sym_comment,
      sym_block_comment,
  [663986] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18301), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [664003] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18616), 1,
      anon_sym_RBRACE,
    STATE(15574), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15688), 2,
      sym_comment,
      sym_block_comment,
  [664026] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18618), 1,
      anon_sym_RBRACE,
    STATE(15574), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15689), 2,
      sym_comment,
      sym_block_comment,
  [664049] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17493), 4,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [664066] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18620), 1,
      anon_sym_LBRACE,
    ACTIONS(18622), 1,
      sym__indent,
    STATE(13000), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15691), 2,
      sym_comment,
      sym_block_comment,
  [664087] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18624), 1,
      anon_sym_LBRACE,
    ACTIONS(18626), 1,
      sym__indent,
    STATE(14519), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15692), 2,
      sym_comment,
      sym_block_comment,
  [664108] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(18628), 1,
      anon_sym_while,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15693), 2,
      sym_comment,
      sym_block_comment,
  [664131] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18630), 1,
      anon_sym_RBRACE,
    STATE(15574), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15694), 2,
      sym_comment,
      sym_block_comment,
  [664154] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17652), 1,
      anon_sym_LPAREN,
    ACTIONS(18632), 1,
      anon_sym_COLON,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(16767), 1,
      sym_parameters,
    STATE(15695), 2,
      sym_comment,
      sym_block_comment,
  [664177] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18523), 1,
      anon_sym_COMMA,
    STATE(15826), 1,
      aux_sym_derives_clause_repeat1,
    ACTIONS(16949), 2,
      anon_sym_COLON,
      anon_sym_LBRACE,
    STATE(15696), 2,
      sym_comment,
      sym_block_comment,
  [664198] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18634), 1,
      anon_sym_LBRACE,
    ACTIONS(18636), 1,
      sym__indent,
    STATE(14590), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15697), 2,
      sym_comment,
      sym_block_comment,
  [664219] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18638), 1,
      anon_sym_RBRACE,
    STATE(15574), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15698), 2,
      sym_comment,
      sym_block_comment,
  [664242] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18640), 1,
      anon_sym_RBRACE,
    STATE(15563), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15699), 2,
      sym_comment,
      sym_block_comment,
  [664265] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    ACTIONS(18642), 1,
      sym__outdent,
    STATE(15583), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(15700), 2,
      sym_comment,
      sym_block_comment,
  [664288] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18644), 1,
      anon_sym_RBRACE,
    STATE(15574), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15701), 2,
      sym_comment,
      sym_block_comment,
  [664311] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17609), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15702), 2,
      sym_comment,
      sym_block_comment,
  [664334] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18620), 1,
      anon_sym_LBRACE,
    ACTIONS(18622), 1,
      sym__indent,
    STATE(13014), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15703), 2,
      sym_comment,
      sym_block_comment,
  [664355] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18646), 1,
      anon_sym_RBRACE,
    STATE(15817), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15704), 2,
      sym_comment,
      sym_block_comment,
  [664378] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17854), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [664395] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    ACTIONS(18648), 1,
      sym__outdent,
    STATE(15671), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(15706), 2,
      sym_comment,
      sym_block_comment,
  [664418] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10009), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_LPAREN,
  [664435] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(479), 1,
      ts_builtin_sym_end,
    STATE(15533), 1,
      aux_sym_compilation_unit_repeat1,
    ACTIONS(18650), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15708), 2,
      sym_comment,
      sym_block_comment,
  [664456] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18011), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [664473] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18652), 1,
      anon_sym_EQ,
    STATE(15710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17914), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [664492] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18657), 1,
      anon_sym_EQ,
    ACTIONS(18654), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15711), 2,
      sym_comment,
      sym_block_comment,
  [664513] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    ACTIONS(18659), 1,
      sym__outdent,
    STATE(15583), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(15712), 2,
      sym_comment,
      sym_block_comment,
  [664536] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18661), 1,
      anon_sym_LBRACE,
    ACTIONS(18663), 1,
      sym__indent,
    STATE(13850), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15713), 2,
      sym_comment,
      sym_block_comment,
  [664557] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    ACTIONS(18665), 1,
      sym__outdent,
    STATE(15671), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(15714), 2,
      sym_comment,
      sym_block_comment,
  [664580] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18111), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [664597] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17702), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15716), 2,
      sym_comment,
      sym_block_comment,
  [664620] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    ACTIONS(18667), 1,
      sym__outdent,
    STATE(15583), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(15717), 2,
      sym_comment,
      sym_block_comment,
  [664643] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    ACTIONS(18669), 1,
      sym__outdent,
    STATE(15671), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(15718), 2,
      sym_comment,
      sym_block_comment,
  [664666] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18241), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [664683] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    ACTIONS(18671), 1,
      sym__outdent,
    STATE(15583), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(15720), 2,
      sym_comment,
      sym_block_comment,
  [664706] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4262), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [664723] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18673), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [664740] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17337), 1,
      sym__outdent,
    ACTIONS(18675), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15723), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__block_repeat1,
  [664759] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    ACTIONS(18678), 1,
      sym__outdent,
    STATE(15671), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(15724), 2,
      sym_comment,
      sym_block_comment,
  [664782] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18680), 1,
      anon_sym_LBRACE,
    ACTIONS(18682), 1,
      sym__indent,
    STATE(14404), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15725), 2,
      sym_comment,
      sym_block_comment,
  [664803] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17013), 1,
      anon_sym_RBRACE,
    STATE(15535), 1,
      aux_sym__block_repeat1,
    ACTIONS(17495), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15726), 2,
      sym_comment,
      sym_block_comment,
  [664824] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17626), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15727), 2,
      sym_comment,
      sym_block_comment,
  [664847] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18166), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [664864] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18684), 1,
      anon_sym_LBRACE,
    ACTIONS(18686), 1,
      sym__indent,
    STATE(13292), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15729), 2,
      sym_comment,
      sym_block_comment,
  [664885] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18329), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [664902] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    ACTIONS(18688), 1,
      sym__outdent,
    STATE(15583), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(15731), 2,
      sym_comment,
      sym_block_comment,
  [664925] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18364), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [664942] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18025), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [664959] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18690), 1,
      anon_sym_RBRACE,
    STATE(15598), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15734), 2,
      sym_comment,
      sym_block_comment,
  [664982] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18692), 1,
      anon_sym_LBRACE,
    ACTIONS(18694), 1,
      sym__indent,
    STATE(14726), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15735), 2,
      sym_comment,
      sym_block_comment,
  [665003] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18698), 1,
      anon_sym_EQ,
    ACTIONS(18696), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15736), 2,
      sym_comment,
      sym_block_comment,
  [665024] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18700), 1,
      anon_sym_COLON,
    ACTIONS(18704), 1,
      anon_sym_EQ,
    ACTIONS(18702), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15737), 2,
      sym_comment,
      sym_block_comment,
  [665045] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18047), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [665062] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18706), 1,
      anon_sym_RBRACE,
    STATE(15574), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15739), 2,
      sym_comment,
      sym_block_comment,
  [665085] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18624), 1,
      anon_sym_LBRACE,
    ACTIONS(18626), 1,
      sym__indent,
    STATE(14603), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15740), 2,
      sym_comment,
      sym_block_comment,
  [665106] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    ACTIONS(18708), 1,
      sym__outdent,
    STATE(15671), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(15741), 2,
      sym_comment,
      sym_block_comment,
  [665129] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18710), 1,
      anon_sym_LBRACE,
    ACTIONS(18712), 1,
      sym__indent,
    STATE(14293), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15742), 2,
      sym_comment,
      sym_block_comment,
  [665150] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17157), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [665167] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17652), 1,
      anon_sym_LPAREN,
    ACTIONS(18714), 1,
      anon_sym_COLON,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(16767), 1,
      sym_parameters,
    STATE(15744), 2,
      sym_comment,
      sym_block_comment,
  [665190] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(671), 1,
      sym__outdent,
    STATE(15723), 1,
      aux_sym__block_repeat1,
    ACTIONS(18716), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15745), 2,
      sym_comment,
      sym_block_comment,
  [665211] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7286), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_do,
      anon_sym_yield,
  [665228] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18170), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [665245] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    ACTIONS(18718), 1,
      sym__outdent,
    STATE(15671), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(15748), 2,
      sym_comment,
      sym_block_comment,
  [665268] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18720), 1,
      anon_sym_RBRACE,
    STATE(15615), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15749), 2,
      sym_comment,
      sym_block_comment,
  [665291] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    ACTIONS(18722), 1,
      sym__outdent,
    STATE(15671), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(15750), 2,
      sym_comment,
      sym_block_comment,
  [665314] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    ACTIONS(18724), 1,
      sym__outdent,
    STATE(15583), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(15751), 2,
      sym_comment,
      sym_block_comment,
  [665337] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18634), 1,
      anon_sym_LBRACE,
    ACTIONS(18636), 1,
      sym__indent,
    STATE(14545), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15752), 2,
      sym_comment,
      sym_block_comment,
  [665358] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18514), 1,
      anon_sym_LBRACE,
    ACTIONS(18516), 1,
      sym__indent,
    STATE(14781), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15753), 2,
      sym_comment,
      sym_block_comment,
  [665379] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(18726), 1,
      anon_sym_while,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15754), 2,
      sym_comment,
      sym_block_comment,
  [665402] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18710), 1,
      anon_sym_LBRACE,
    ACTIONS(18712), 1,
      sym__indent,
    STATE(14072), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15755), 2,
      sym_comment,
      sym_block_comment,
  [665423] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18728), 1,
      anon_sym_RBRACE,
    STATE(15846), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15756), 2,
      sym_comment,
      sym_block_comment,
  [665446] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    ACTIONS(18730), 1,
      sym__outdent,
    STATE(15671), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(15757), 2,
      sym_comment,
      sym_block_comment,
  [665469] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17991), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [665486] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(697), 1,
      sym__outdent,
    STATE(15778), 1,
      aux_sym__enum_block_repeat1,
    ACTIONS(18732), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15759), 2,
      sym_comment,
      sym_block_comment,
  [665507] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18684), 1,
      anon_sym_LBRACE,
    ACTIONS(18686), 1,
      sym__indent,
    STATE(13515), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15760), 2,
      sym_comment,
      sym_block_comment,
  [665528] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12926), 4,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
  [665545] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(463), 1,
      ts_builtin_sym_end,
    STATE(15559), 1,
      aux_sym_compilation_unit_repeat1,
    ACTIONS(18734), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15762), 2,
      sym_comment,
      sym_block_comment,
  [665566] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17847), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [665583] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18736), 1,
      anon_sym_RBRACE,
    STATE(15574), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15764), 2,
      sym_comment,
      sym_block_comment,
  [665606] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    ACTIONS(18738), 1,
      sym__outdent,
    STATE(15583), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(15765), 2,
      sym_comment,
      sym_block_comment,
  [665629] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18742), 1,
      anon_sym_EQ,
    ACTIONS(18740), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15766), 2,
      sym_comment,
      sym_block_comment,
  [665650] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18744), 1,
      anon_sym_RBRACE,
    STATE(15701), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15767), 2,
      sym_comment,
      sym_block_comment,
  [665673] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17680), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15768), 2,
      sym_comment,
      sym_block_comment,
  [665696] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17611), 1,
      sym__outdent,
    ACTIONS(18746), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15769), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enumerators_repeat1,
  [665715] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17843), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [665732] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7304), 1,
      sym__outdent,
    ACTIONS(18749), 1,
      anon_sym_SEMI,
    ACTIONS(18751), 1,
      sym__automatic_semicolon,
    STATE(15769), 1,
      aux_sym_enumerators_repeat1,
    STATE(15771), 2,
      sym_comment,
      sym_block_comment,
  [665755] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8360), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_LPAREN,
  [665772] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18753), 1,
      anon_sym_LBRACE,
    ACTIONS(18755), 1,
      sym__indent,
    STATE(13756), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15773), 2,
      sym_comment,
      sym_block_comment,
  [665793] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18757), 1,
      anon_sym_EQ,
    STATE(15774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17965), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [665812] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17690), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15775), 2,
      sym_comment,
      sym_block_comment,
  [665835] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    ACTIONS(18759), 1,
      sym__outdent,
    STATE(15583), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(15776), 2,
      sym_comment,
      sym_block_comment,
  [665858] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    ACTIONS(18761), 1,
      sym__outdent,
    STATE(15671), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(15777), 2,
      sym_comment,
      sym_block_comment,
  [665881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17668), 1,
      sym__outdent,
    ACTIONS(18763), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15778), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__enum_block_repeat1,
  [665900] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18657), 1,
      anon_sym_EQ,
    ACTIONS(18766), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15779), 2,
      sym_comment,
      sym_block_comment,
  [665921] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18229), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [665938] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17579), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15781), 2,
      sym_comment,
      sym_block_comment,
  [665961] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17013), 1,
      sym__outdent,
    STATE(15745), 1,
      aux_sym__block_repeat1,
    ACTIONS(17277), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15782), 2,
      sym_comment,
      sym_block_comment,
  [665982] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18768), 1,
      anon_sym_EQ,
    STATE(15783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17892), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [666001] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18311), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [666018] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17581), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15785), 2,
      sym_comment,
      sym_block_comment,
  [666041] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15805), 1,
      anon_sym_LPAREN,
    ACTIONS(18770), 1,
      sym__automatic_semicolon,
    STATE(14828), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(15522), 1,
      sym_class_parameters,
    STATE(15786), 2,
      sym_comment,
      sym_block_comment,
  [666064] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18772), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_do,
      anon_sym_yield,
  [666081] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18680), 1,
      anon_sym_LBRACE,
    ACTIONS(18682), 1,
      sym__indent,
    STATE(14521), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15788), 2,
      sym_comment,
      sym_block_comment,
  [666102] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18043), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [666119] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    ACTIONS(18774), 1,
      sym__outdent,
    STATE(15583), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(15790), 2,
      sym_comment,
      sym_block_comment,
  [666142] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18778), 1,
      anon_sym_EQ,
    ACTIONS(18776), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15791), 2,
      sym_comment,
      sym_block_comment,
  [666163] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(503), 1,
      ts_builtin_sym_end,
    STATE(15762), 1,
      aux_sym_compilation_unit_repeat1,
    ACTIONS(18374), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15792), 2,
      sym_comment,
      sym_block_comment,
  [666184] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17912), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [666201] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    ACTIONS(18780), 1,
      sym__outdent,
    STATE(15583), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(15794), 2,
      sym_comment,
      sym_block_comment,
  [666224] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17849), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [666241] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17337), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [666258] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18782), 1,
      anon_sym_RBRACE,
    STATE(15574), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15797), 2,
      sym_comment,
      sym_block_comment,
  [666281] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17856), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [666298] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18753), 1,
      anon_sym_LBRACE,
    ACTIONS(18755), 1,
      sym__indent,
    STATE(13668), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15799), 2,
      sym_comment,
      sym_block_comment,
  [666319] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18425), 1,
      anon_sym_LBRACE,
    ACTIONS(18427), 1,
      sym__indent,
    STATE(12280), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15800), 2,
      sym_comment,
      sym_block_comment,
  [666340] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18784), 1,
      anon_sym_LBRACE,
    ACTIONS(18786), 1,
      sym__indent,
    STATE(14618), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15801), 2,
      sym_comment,
      sym_block_comment,
  [666361] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17932), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [666378] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18269), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [666395] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18788), 1,
      anon_sym_COMMA,
    ACTIONS(18791), 2,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    STATE(15804), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_tuple_type_repeat1,
  [666414] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    ACTIONS(18793), 1,
      sym__outdent,
    STATE(15671), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(15805), 2,
      sym_comment,
      sym_block_comment,
  [666437] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    ACTIONS(18795), 1,
      sym__outdent,
    STATE(15583), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(15806), 2,
      sym_comment,
      sym_block_comment,
  [666460] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18797), 1,
      anon_sym_COMMA,
    ACTIONS(18799), 1,
      anon_sym_RPAREN,
    STATE(15998), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15807), 2,
      sym_comment,
      sym_block_comment,
  [666483] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    ACTIONS(18801), 1,
      sym__outdent,
    STATE(15583), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(15808), 2,
      sym_comment,
      sym_block_comment,
  [666506] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17953), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [666523] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18023), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [666540] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18784), 1,
      anon_sym_LBRACE,
    ACTIONS(18786), 1,
      sym__indent,
    STATE(14636), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15811), 2,
      sym_comment,
      sym_block_comment,
  [666561] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18803), 1,
      anon_sym_RBRACE,
    STATE(15764), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15812), 2,
      sym_comment,
      sym_block_comment,
  [666584] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18805), 1,
      anon_sym_COLON,
    STATE(15674), 1,
      aux_sym__context_bounds_repeat1,
    ACTIONS(17263), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(15813), 2,
      sym_comment,
      sym_block_comment,
  [666605] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18807), 1,
      anon_sym_RBRACE,
    STATE(15850), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15814), 2,
      sym_comment,
      sym_block_comment,
  [666628] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12922), 4,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
  [666645] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(18809), 1,
      anon_sym_while,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15816), 2,
      sym_comment,
      sym_block_comment,
  [666668] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18811), 1,
      anon_sym_RBRACE,
    STATE(15574), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15817), 2,
      sym_comment,
      sym_block_comment,
  [666691] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18673), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [666708] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18612), 1,
      anon_sym_LBRACE,
    ACTIONS(18614), 1,
      sym__indent,
    STATE(13199), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15819), 2,
      sym_comment,
      sym_block_comment,
  [666729] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18692), 1,
      anon_sym_LBRACE,
    ACTIONS(18694), 1,
      sym__indent,
    STATE(14832), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15820), 2,
      sym_comment,
      sym_block_comment,
  [666750] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18749), 1,
      anon_sym_SEMI,
    ACTIONS(18813), 1,
      sym__automatic_semicolon,
    ACTIONS(18815), 1,
      sym__outdent,
    STATE(15771), 1,
      aux_sym_enumerators_repeat1,
    STATE(15821), 2,
      sym_comment,
      sym_block_comment,
  [666773] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18817), 1,
      anon_sym_RBRACE,
    STATE(15797), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15822), 2,
      sym_comment,
      sym_block_comment,
  [666796] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18023), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [666813] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17407), 1,
      anon_sym_RBRACE,
    STATE(15853), 1,
      aux_sym__enum_block_repeat1,
    ACTIONS(17477), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15824), 2,
      sym_comment,
      sym_block_comment,
  [666834] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18281), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [666851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18819), 1,
      anon_sym_COMMA,
    ACTIONS(16833), 2,
      anon_sym_COLON,
      anon_sym_LBRACE,
    STATE(15826), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_derives_clause_repeat1,
  [666870] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    ACTIONS(18822), 1,
      sym__outdent,
    STATE(15671), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(15827), 2,
      sym_comment,
      sym_block_comment,
  [666893] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18107), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [666910] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18824), 1,
      anon_sym_RBRACE,
    STATE(15859), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15829), 2,
      sym_comment,
      sym_block_comment,
  [666933] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18826), 1,
      anon_sym_RBRACE,
    STATE(15689), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15830), 2,
      sym_comment,
      sym_block_comment,
  [666956] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18201), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [666973] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17866), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [666990] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(18828), 1,
      anon_sym_while,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15833), 2,
      sym_comment,
      sym_block_comment,
  [667013] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18661), 1,
      anon_sym_LBRACE,
    ACTIONS(18663), 1,
      sym__indent,
    STATE(13663), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15834), 2,
      sym_comment,
      sym_block_comment,
  [667034] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18269), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [667051] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(18830), 1,
      anon_sym_while,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15836), 2,
      sym_comment,
      sym_block_comment,
  [667074] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18832), 1,
      anon_sym_LBRACE,
    ACTIONS(18834), 1,
      sym__indent,
    STATE(12973), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15837), 2,
      sym_comment,
      sym_block_comment,
  [667095] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(18836), 1,
      anon_sym_while,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15838), 2,
      sym_comment,
      sym_block_comment,
  [667118] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17601), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15839), 2,
      sym_comment,
      sym_block_comment,
  [667141] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17596), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15840), 2,
      sym_comment,
      sym_block_comment,
  [667164] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18838), 1,
      anon_sym_RBRACE,
    STATE(15739), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15841), 2,
      sym_comment,
      sym_block_comment,
  [667187] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    ACTIONS(18840), 1,
      sym__outdent,
    STATE(15671), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(15842), 2,
      sym_comment,
      sym_block_comment,
  [667210] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17652), 1,
      anon_sym_LPAREN,
    ACTIONS(18842), 1,
      anon_sym_COLON,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(16767), 1,
      sym_parameters,
    STATE(15843), 2,
      sym_comment,
      sym_block_comment,
  [667233] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18844), 1,
      anon_sym_RBRACE,
    STATE(15574), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15844), 2,
      sym_comment,
      sym_block_comment,
  [667256] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18281), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [667273] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18846), 1,
      anon_sym_RBRACE,
    STATE(15574), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15846), 2,
      sym_comment,
      sym_block_comment,
  [667296] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17953), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [667313] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18213), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [667330] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    ACTIONS(18848), 1,
      sym__outdent,
    STATE(15671), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(15849), 2,
      sym_comment,
      sym_block_comment,
  [667353] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18850), 1,
      anon_sym_RBRACE,
    STATE(15574), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15850), 2,
      sym_comment,
      sym_block_comment,
  [667376] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    ACTIONS(18852), 1,
      sym__outdent,
    STATE(15583), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(15851), 2,
      sym_comment,
      sym_block_comment,
  [667399] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18854), 1,
      anon_sym_RBRACE,
    STATE(15694), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15852), 2,
      sym_comment,
      sym_block_comment,
  [667422] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(697), 1,
      anon_sym_RBRACE,
    STATE(15623), 1,
      aux_sym__enum_block_repeat1,
    ACTIONS(18856), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(15853), 2,
      sym_comment,
      sym_block_comment,
  [667443] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18121), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [667460] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17841), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [667477] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17341), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_PERCENT,
  [667494] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18123), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [667511] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15500), 1,
      anon_sym_LPAREN,
    ACTIONS(18858), 1,
      sym__automatic_semicolon,
    STATE(14888), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(15294), 1,
      sym_class_parameters,
    STATE(15858), 2,
      sym_comment,
      sym_block_comment,
  [667534] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18860), 1,
      anon_sym_RBRACE,
    STATE(15574), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15859), 2,
      sym_comment,
      sym_block_comment,
  [667557] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    ACTIONS(18862), 1,
      sym__outdent,
    STATE(15671), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(15860), 2,
      sym_comment,
      sym_block_comment,
  [667580] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10673), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [667597] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18390), 1,
      anon_sym_case,
    ACTIONS(18864), 1,
      anon_sym_RBRACE,
    STATE(15844), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17470), 1,
      sym_case_clause,
    STATE(15862), 2,
      sym_comment,
      sym_block_comment,
  [667620] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17997), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [667637] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    ACTIONS(18866), 1,
      sym__outdent,
    STATE(15671), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(15864), 2,
      sym_comment,
      sym_block_comment,
  [667660] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18227), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [667677] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18868), 1,
      anon_sym_COLON,
    ACTIONS(18871), 1,
      anon_sym_COMMA,
    ACTIONS(18874), 1,
      anon_sym_EQ,
    STATE(15579), 1,
      aux_sym_identifiers_repeat1,
    STATE(15866), 2,
      sym_comment,
      sym_block_comment,
  [667700] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    ACTIONS(18876), 1,
      sym__outdent,
    STATE(15671), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(15867), 2,
      sym_comment,
      sym_block_comment,
  [667723] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(18878), 1,
      anon_sym_COMMA,
    ACTIONS(18880), 1,
      anon_sym_RPAREN,
    STATE(16934), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15868), 2,
      sym_comment,
      sym_block_comment,
  [667746] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12945), 4,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
  [667763] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12941), 4,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
  [667780] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    ACTIONS(18882), 1,
      sym__outdent,
    STATE(15583), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(15871), 2,
      sym_comment,
      sym_block_comment,
  [667803] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17603), 1,
      anon_sym_RPAREN,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(15872), 2,
      sym_comment,
      sym_block_comment,
  [667826] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18045), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [667843] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18832), 1,
      anon_sym_LBRACE,
    ACTIONS(18834), 1,
      sym__indent,
    STATE(12940), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(15874), 2,
      sym_comment,
      sym_block_comment,
  [667864] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18884), 1,
      anon_sym_COMMA,
    ACTIONS(18887), 1,
      anon_sym_RBRACK,
    STATE(17298), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15875), 2,
      sym_comment,
      sym_block_comment,
  [667884] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18890), 1,
      anon_sym_COMMA,
    ACTIONS(18892), 1,
      anon_sym_RPAREN,
    STATE(15881), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(15876), 2,
      sym_comment,
      sym_block_comment,
  [667904] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18894), 1,
      anon_sym_COMMA,
    ACTIONS(18896), 1,
      anon_sym_RPAREN,
    STATE(17029), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15877), 2,
      sym_comment,
      sym_block_comment,
  [667924] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5332), 1,
      anon_sym_RBRACK,
    ACTIONS(18898), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15878), 2,
      sym_comment,
      sym_block_comment,
  [667944] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4766), 1,
      sym__indent,
    STATE(9150), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15879), 2,
      sym_comment,
      sym_block_comment,
  [667962] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18900), 1,
      anon_sym_COMMA,
    ACTIONS(18902), 1,
      anon_sym_RBRACK,
    STATE(15883), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15880), 2,
      sym_comment,
      sym_block_comment,
  [667982] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14626), 1,
      anon_sym_RPAREN,
    ACTIONS(18904), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(15881), 2,
      sym_comment,
      sym_block_comment,
  [668002] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5430), 1,
      anon_sym_RPAREN,
    ACTIONS(18906), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15882), 2,
      sym_comment,
      sym_block_comment,
  [668022] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5908), 1,
      anon_sym_RBRACK,
    ACTIONS(18908), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15883), 2,
      sym_comment,
      sym_block_comment,
  [668042] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5658), 1,
      anon_sym_RBRACK,
    ACTIONS(18910), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15884), 2,
      sym_comment,
      sym_block_comment,
  [668062] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4498), 1,
      sym__indent,
    STATE(9756), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15885), 2,
      sym_comment,
      sym_block_comment,
  [668080] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4366), 1,
      sym__indent,
    STATE(9241), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15886), 2,
      sym_comment,
      sym_block_comment,
  [668098] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18912), 1,
      anon_sym_COMMA,
    ACTIONS(18914), 1,
      anon_sym_RPAREN,
    STATE(15891), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(15887), 2,
      sym_comment,
      sym_block_comment,
  [668118] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18916), 1,
      anon_sym_COMMA,
    ACTIONS(18918), 1,
      anon_sym_RPAREN,
    STATE(17046), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15888), 2,
      sym_comment,
      sym_block_comment,
  [668138] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14070), 1,
      anon_sym_RPAREN,
    ACTIONS(18920), 1,
      anon_sym_COMMA,
    STATE(16264), 1,
      aux_sym_case_class_pattern_repeat2,
    STATE(15889), 2,
      sym_comment,
      sym_block_comment,
  [668158] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18922), 1,
      anon_sym_COMMA,
    ACTIONS(18924), 1,
      anon_sym_RBRACK,
    STATE(15893), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15890), 2,
      sym_comment,
      sym_block_comment,
  [668178] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14636), 1,
      anon_sym_RPAREN,
    ACTIONS(18926), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(15891), 2,
      sym_comment,
      sym_block_comment,
  [668198] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6144), 1,
      anon_sym_RPAREN,
    ACTIONS(18928), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15892), 2,
      sym_comment,
      sym_block_comment,
  [668218] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5924), 1,
      anon_sym_RBRACK,
    ACTIONS(18930), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15893), 2,
      sym_comment,
      sym_block_comment,
  [668238] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18932), 1,
      anon_sym_COMMA,
    ACTIONS(18934), 1,
      anon_sym_RPAREN,
    STATE(15897), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(15894), 2,
      sym_comment,
      sym_block_comment,
  [668258] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18936), 1,
      anon_sym_COMMA,
    ACTIONS(18938), 1,
      anon_sym_RPAREN,
    STATE(17074), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15895), 2,
      sym_comment,
      sym_block_comment,
  [668278] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18940), 1,
      anon_sym_COMMA,
    ACTIONS(18942), 1,
      anon_sym_RBRACK,
    STATE(15899), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15896), 2,
      sym_comment,
      sym_block_comment,
  [668298] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14644), 1,
      anon_sym_RPAREN,
    ACTIONS(18944), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(15897), 2,
      sym_comment,
      sym_block_comment,
  [668318] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5462), 1,
      anon_sym_RPAREN,
    ACTIONS(18946), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15898), 2,
      sym_comment,
      sym_block_comment,
  [668338] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5942), 1,
      anon_sym_RBRACK,
    ACTIONS(18948), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15899), 2,
      sym_comment,
      sym_block_comment,
  [668358] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(18952), 1,
      sym__interpolated_string_end,
    STATE(15916), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15900), 2,
      sym_comment,
      sym_block_comment,
  [668378] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18952), 1,
      sym__interpolated_multiline_string_end,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    STATE(15918), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15901), 2,
      sym_comment,
      sym_block_comment,
  [668398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12395), 1,
      sym__arrow_then_type,
    ACTIONS(18956), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15902), 2,
      sym_comment,
      sym_block_comment,
  [668416] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18958), 1,
      anon_sym_COMMA,
    ACTIONS(18960), 1,
      anon_sym_RPAREN,
    STATE(15924), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(15903), 2,
      sym_comment,
      sym_block_comment,
  [668436] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18962), 1,
      anon_sym_COMMA,
    ACTIONS(18964), 1,
      anon_sym_RPAREN,
    STATE(16627), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15904), 2,
      sym_comment,
      sym_block_comment,
  [668456] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18966), 1,
      anon_sym_COMMA,
    ACTIONS(18968), 1,
      anon_sym_RPAREN,
    STATE(15909), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(15905), 2,
      sym_comment,
      sym_block_comment,
  [668476] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18970), 1,
      anon_sym_COMMA,
    ACTIONS(18972), 1,
      anon_sym_RPAREN,
    STATE(17102), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15906), 2,
      sym_comment,
      sym_block_comment,
  [668496] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12361), 1,
      sym__arrow_then_type,
    ACTIONS(18956), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15907), 2,
      sym_comment,
      sym_block_comment,
  [668514] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18974), 1,
      anon_sym_COMMA,
    ACTIONS(18976), 1,
      anon_sym_RBRACK,
    STATE(15911), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15908), 2,
      sym_comment,
      sym_block_comment,
  [668534] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14652), 1,
      anon_sym_RPAREN,
    ACTIONS(18978), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(15909), 2,
      sym_comment,
      sym_block_comment,
  [668554] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6168), 1,
      anon_sym_RPAREN,
    ACTIONS(18980), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15910), 2,
      sym_comment,
      sym_block_comment,
  [668574] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5964), 1,
      anon_sym_RBRACK,
    ACTIONS(18982), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15911), 2,
      sym_comment,
      sym_block_comment,
  [668594] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18502), 1,
      anon_sym_RBRACE,
    ACTIONS(18984), 1,
      anon_sym_COMMA,
    STATE(15912), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_namespace_selectors_repeat1,
  [668612] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18987), 1,
      anon_sym_COMMA,
    ACTIONS(18989), 1,
      anon_sym_RPAREN,
    STATE(15919), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(15913), 2,
      sym_comment,
      sym_block_comment,
  [668632] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18991), 1,
      anon_sym_COMMA,
    ACTIONS(18993), 1,
      anon_sym_RPAREN,
    STATE(17131), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15914), 2,
      sym_comment,
      sym_block_comment,
  [668652] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18995), 1,
      anon_sym_COMMA,
    ACTIONS(18997), 1,
      anon_sym_RBRACK,
    STATE(15932), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15915), 2,
      sym_comment,
      sym_block_comment,
  [668672] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(18999), 1,
      sym__interpolated_string_end,
    STATE(16752), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15916), 2,
      sym_comment,
      sym_block_comment,
  [668692] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19001), 1,
      anon_sym_COMMA,
    ACTIONS(19003), 1,
      anon_sym_RBRACK,
    STATE(15922), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15917), 2,
      sym_comment,
      sym_block_comment,
  [668712] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18999), 1,
      sym__interpolated_multiline_string_end,
    STATE(16755), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15918), 2,
      sym_comment,
      sym_block_comment,
  [668732] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14664), 1,
      anon_sym_RPAREN,
    ACTIONS(19005), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(15919), 2,
      sym_comment,
      sym_block_comment,
  [668752] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5500), 1,
      anon_sym_RPAREN,
    ACTIONS(19007), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15920), 2,
      sym_comment,
      sym_block_comment,
  [668772] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5844), 1,
      anon_sym_RBRACK,
    ACTIONS(19009), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15921), 2,
      sym_comment,
      sym_block_comment,
  [668792] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5984), 1,
      anon_sym_RBRACK,
    ACTIONS(19011), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15922), 2,
      sym_comment,
      sym_block_comment,
  [668812] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4558), 1,
      sym__indent,
    STATE(10307), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15923), 2,
      sym_comment,
      sym_block_comment,
  [668830] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14136), 1,
      anon_sym_RPAREN,
    ACTIONS(19013), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(15924), 2,
      sym_comment,
      sym_block_comment,
  [668850] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10091), 3,
      anon_sym_COLON,
      anon_sym_with,
      anon_sym_LPAREN,
  [668866] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6036), 1,
      anon_sym_RPAREN,
    ACTIONS(19015), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15926), 2,
      sym_comment,
      sym_block_comment,
  [668886] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19017), 1,
      anon_sym_COMMA,
    ACTIONS(19019), 1,
      anon_sym_RPAREN,
    STATE(15931), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(15927), 2,
      sym_comment,
      sym_block_comment,
  [668906] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19021), 1,
      anon_sym_COMMA,
    ACTIONS(19023), 1,
      anon_sym_RPAREN,
    STATE(17194), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15928), 2,
      sym_comment,
      sym_block_comment,
  [668926] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8805), 1,
      anon_sym_RPAREN,
    ACTIONS(19025), 1,
      anon_sym_COMMA,
    STATE(16098), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15929), 2,
      sym_comment,
      sym_block_comment,
  [668946] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19027), 1,
      anon_sym_COMMA,
    ACTIONS(19029), 1,
      anon_sym_RBRACK,
    STATE(15934), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15930), 2,
      sym_comment,
      sym_block_comment,
  [668966] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14674), 1,
      anon_sym_RPAREN,
    ACTIONS(19031), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(15931), 2,
      sym_comment,
      sym_block_comment,
  [668986] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5446), 1,
      anon_sym_RBRACK,
    ACTIONS(19033), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15932), 2,
      sym_comment,
      sym_block_comment,
  [669006] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5534), 1,
      anon_sym_RPAREN,
    ACTIONS(19035), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15933), 2,
      sym_comment,
      sym_block_comment,
  [669026] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6000), 1,
      anon_sym_RBRACK,
    ACTIONS(19037), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15934), 2,
      sym_comment,
      sym_block_comment,
  [669046] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8642), 1,
      anon_sym_RPAREN,
    ACTIONS(19039), 1,
      anon_sym_COMMA,
    STATE(16262), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15935), 2,
      sym_comment,
      sym_block_comment,
  [669066] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8805), 1,
      anon_sym_RPAREN,
    ACTIONS(19025), 1,
      anon_sym_COMMA,
    STATE(16262), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15936), 2,
      sym_comment,
      sym_block_comment,
  [669086] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16846), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(9833), 1,
      sym_type_arguments,
    STATE(15937), 2,
      sym_comment,
      sym_block_comment,
  [669106] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19041), 1,
      anon_sym_COMMA,
    ACTIONS(19043), 1,
      anon_sym_RPAREN,
    STATE(15941), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(15938), 2,
      sym_comment,
      sym_block_comment,
  [669126] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19045), 1,
      anon_sym_COMMA,
    ACTIONS(19047), 1,
      anon_sym_RPAREN,
    STATE(16108), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15939), 2,
      sym_comment,
      sym_block_comment,
  [669146] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19049), 1,
      anon_sym_COMMA,
    ACTIONS(19051), 1,
      anon_sym_RBRACK,
    STATE(15943), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15940), 2,
      sym_comment,
      sym_block_comment,
  [669166] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14682), 1,
      anon_sym_RPAREN,
    ACTIONS(19053), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(15941), 2,
      sym_comment,
      sym_block_comment,
  [669186] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6184), 1,
      anon_sym_RPAREN,
    ACTIONS(19055), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15942), 2,
      sym_comment,
      sym_block_comment,
  [669206] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6016), 1,
      anon_sym_RBRACK,
    ACTIONS(19057), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15943), 2,
      sym_comment,
      sym_block_comment,
  [669226] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11199), 1,
      anon_sym_RPAREN,
    ACTIONS(19059), 1,
      anon_sym_COMMA,
    STATE(16483), 1,
      aux_sym_case_class_pattern_repeat2,
    STATE(15944), 2,
      sym_comment,
      sym_block_comment,
  [669246] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12897), 1,
      anon_sym_RPAREN,
    ACTIONS(19061), 1,
      anon_sym_COMMA,
    STATE(16942), 1,
      aux_sym_parameters_repeat1,
    STATE(15945), 2,
      sym_comment,
      sym_block_comment,
  [669266] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(19063), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [669282] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19065), 1,
      anon_sym_COMMA,
    ACTIONS(19067), 1,
      anon_sym_RBRACK,
    STATE(16240), 1,
      aux_sym_type_parameters_repeat1,
    STATE(15947), 2,
      sym_comment,
      sym_block_comment,
  [669302] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19069), 1,
      anon_sym_COMMA,
    ACTIONS(19071), 1,
      anon_sym_RPAREN,
    STATE(15953), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(15948), 2,
      sym_comment,
      sym_block_comment,
  [669322] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19073), 1,
      anon_sym_COMMA,
    ACTIONS(19075), 1,
      anon_sym_RPAREN,
    STATE(16122), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15949), 2,
      sym_comment,
      sym_block_comment,
  [669342] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(19077), 1,
      sym__interpolated_string_end,
    STATE(16002), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15950), 2,
      sym_comment,
      sym_block_comment,
  [669362] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19077), 1,
      sym__interpolated_multiline_string_end,
    STATE(16005), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15951), 2,
      sym_comment,
      sym_block_comment,
  [669382] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19079), 1,
      anon_sym_COMMA,
    ACTIONS(19081), 1,
      anon_sym_RBRACK,
    STATE(15955), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15952), 2,
      sym_comment,
      sym_block_comment,
  [669402] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14690), 1,
      anon_sym_RPAREN,
    ACTIONS(19083), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(15953), 2,
      sym_comment,
      sym_block_comment,
  [669422] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6194), 1,
      anon_sym_RPAREN,
    ACTIONS(19085), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15954), 2,
      sym_comment,
      sym_block_comment,
  [669442] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6040), 1,
      anon_sym_RBRACK,
    ACTIONS(19087), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15955), 2,
      sym_comment,
      sym_block_comment,
  [669462] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14363), 1,
      sym__arrow_then_type,
    ACTIONS(19089), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15956), 2,
      sym_comment,
      sym_block_comment,
  [669480] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19091), 1,
      anon_sym_COMMA,
    ACTIONS(19093), 1,
      anon_sym_RPAREN,
    STATE(16023), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(15957), 2,
      sym_comment,
      sym_block_comment,
  [669500] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(19095), 1,
      sym__interpolated_string_end,
    STATE(15980), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15958), 2,
      sym_comment,
      sym_block_comment,
  [669520] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19095), 1,
      sym__interpolated_multiline_string_end,
    STATE(15982), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15959), 2,
      sym_comment,
      sym_block_comment,
  [669540] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19097), 1,
      anon_sym_COMMA,
    ACTIONS(19099), 1,
      anon_sym_RPAREN,
    STATE(15967), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(15960), 2,
      sym_comment,
      sym_block_comment,
  [669560] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19101), 1,
      anon_sym_COMMA,
    ACTIONS(19103), 1,
      anon_sym_RPAREN,
    STATE(17253), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15961), 2,
      sym_comment,
      sym_block_comment,
  [669580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(17655), 1,
      sym__arrow_then_type,
    ACTIONS(19105), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15962), 2,
      sym_comment,
      sym_block_comment,
  [669598] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19107), 1,
      anon_sym_COMMA,
    ACTIONS(19109), 1,
      anon_sym_RPAREN,
    STATE(15983), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(15963), 2,
      sym_comment,
      sym_block_comment,
  [669618] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19111), 1,
      anon_sym_COMMA,
    ACTIONS(19113), 1,
      anon_sym_RPAREN,
    STATE(16809), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15964), 2,
      sym_comment,
      sym_block_comment,
  [669638] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19115), 1,
      anon_sym_COMMA,
    ACTIONS(19117), 1,
      anon_sym_RBRACK,
    STATE(15971), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15965), 2,
      sym_comment,
      sym_block_comment,
  [669658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(17428), 1,
      sym__arrow_then_type,
    ACTIONS(19105), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15966), 2,
      sym_comment,
      sym_block_comment,
  [669676] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14698), 1,
      anon_sym_RPAREN,
    ACTIONS(19119), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(15967), 2,
      sym_comment,
      sym_block_comment,
  [669696] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19121), 1,
      anon_sym_COMMA,
    ACTIONS(19123), 1,
      anon_sym_RPAREN,
    STATE(16723), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15968), 2,
      sym_comment,
      sym_block_comment,
  [669716] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5594), 1,
      anon_sym_RPAREN,
    ACTIONS(19125), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15969), 2,
      sym_comment,
      sym_block_comment,
  [669736] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14324), 1,
      sym__arrow_then_type,
    ACTIONS(19089), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15970), 2,
      sym_comment,
      sym_block_comment,
  [669754] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6058), 1,
      anon_sym_RBRACK,
    ACTIONS(19127), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15971), 2,
      sym_comment,
      sym_block_comment,
  [669774] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5132), 1,
      anon_sym_RPAREN,
    ACTIONS(19129), 1,
      anon_sym_COMMA,
    STATE(16942), 1,
      aux_sym_parameters_repeat1,
    STATE(15972), 2,
      sym_comment,
      sym_block_comment,
  [669794] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(19131), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15973), 2,
      sym_comment,
      sym_block_comment,
  [669812] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19133), 1,
      anon_sym_COMMA,
    ACTIONS(19135), 1,
      anon_sym_RPAREN,
    STATE(15978), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(15974), 2,
      sym_comment,
      sym_block_comment,
  [669832] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19137), 1,
      anon_sym_COMMA,
    ACTIONS(19139), 1,
      anon_sym_RPAREN,
    STATE(16144), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15975), 2,
      sym_comment,
      sym_block_comment,
  [669852] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19141), 1,
      anon_sym_COMMA,
    ACTIONS(19143), 1,
      anon_sym_RBRACK,
    STATE(15981), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15976), 2,
      sym_comment,
      sym_block_comment,
  [669872] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19145), 1,
      anon_sym_COMMA,
    ACTIONS(19147), 1,
      anon_sym_RBRACK,
    STATE(15992), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15977), 2,
      sym_comment,
      sym_block_comment,
  [669892] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14708), 1,
      anon_sym_RPAREN,
    ACTIONS(19149), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(15978), 2,
      sym_comment,
      sym_block_comment,
  [669912] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6216), 1,
      anon_sym_RPAREN,
    ACTIONS(19151), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15979), 2,
      sym_comment,
      sym_block_comment,
  [669932] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(19153), 1,
      sym__interpolated_string_end,
    STATE(16752), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15980), 2,
      sym_comment,
      sym_block_comment,
  [669952] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6092), 1,
      anon_sym_RBRACK,
    ACTIONS(19155), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15981), 2,
      sym_comment,
      sym_block_comment,
  [669972] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19153), 1,
      sym__interpolated_multiline_string_end,
    STATE(16755), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15982), 2,
      sym_comment,
      sym_block_comment,
  [669992] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14144), 1,
      anon_sym_RPAREN,
    ACTIONS(19157), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(15983), 2,
      sym_comment,
      sym_block_comment,
  [670012] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19159), 1,
      anon_sym_COMMA,
    ACTIONS(19161), 1,
      anon_sym_RPAREN,
    STATE(15988), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(15984), 2,
      sym_comment,
      sym_block_comment,
  [670032] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19163), 1,
      anon_sym_COMMA,
    ACTIONS(19165), 1,
      anon_sym_RPAREN,
    STATE(17312), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15985), 2,
      sym_comment,
      sym_block_comment,
  [670052] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6142), 1,
      anon_sym_RPAREN,
    ACTIONS(19167), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15986), 2,
      sym_comment,
      sym_block_comment,
  [670072] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19169), 1,
      anon_sym_COMMA,
    ACTIONS(19171), 1,
      anon_sym_RBRACK,
    STATE(15991), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15987), 2,
      sym_comment,
      sym_block_comment,
  [670092] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14722), 1,
      anon_sym_RPAREN,
    ACTIONS(19173), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(15988), 2,
      sym_comment,
      sym_block_comment,
  [670112] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5620), 1,
      anon_sym_RPAREN,
    ACTIONS(19175), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15989), 2,
      sym_comment,
      sym_block_comment,
  [670132] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19177), 1,
      anon_sym_COMMA,
    ACTIONS(19179), 1,
      anon_sym_RPAREN,
    STATE(16562), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15990), 2,
      sym_comment,
      sym_block_comment,
  [670152] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6104), 1,
      anon_sym_RBRACK,
    ACTIONS(19181), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15991), 2,
      sym_comment,
      sym_block_comment,
  [670172] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5576), 1,
      anon_sym_RBRACK,
    ACTIONS(19183), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15992), 2,
      sym_comment,
      sym_block_comment,
  [670192] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19185), 1,
      anon_sym_COMMA,
    ACTIONS(19187), 1,
      anon_sym_RPAREN,
    STATE(15996), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(15993), 2,
      sym_comment,
      sym_block_comment,
  [670212] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19189), 1,
      anon_sym_COMMA,
    ACTIONS(19191), 1,
      anon_sym_RPAREN,
    STATE(16165), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15994), 2,
      sym_comment,
      sym_block_comment,
  [670232] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19193), 1,
      anon_sym_COMMA,
    ACTIONS(19195), 1,
      anon_sym_RBRACK,
    STATE(15999), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15995), 2,
      sym_comment,
      sym_block_comment,
  [670252] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14730), 1,
      anon_sym_RPAREN,
    ACTIONS(19197), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(15996), 2,
      sym_comment,
      sym_block_comment,
  [670272] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6226), 1,
      anon_sym_RPAREN,
    ACTIONS(19199), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15997), 2,
      sym_comment,
      sym_block_comment,
  [670292] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5132), 1,
      anon_sym_RPAREN,
    ACTIONS(19201), 1,
      anon_sym_COMMA,
    STATE(16256), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15998), 2,
      sym_comment,
      sym_block_comment,
  [670312] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6132), 1,
      anon_sym_RBRACK,
    ACTIONS(19203), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15999), 2,
      sym_comment,
      sym_block_comment,
  [670332] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19205), 1,
      anon_sym_COMMA,
    ACTIONS(19207), 1,
      anon_sym_RBRACK,
    STATE(16051), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16000), 2,
      sym_comment,
      sym_block_comment,
  [670352] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17015), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(10212), 1,
      sym_type_arguments,
    STATE(16001), 2,
      sym_comment,
      sym_block_comment,
  [670372] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(19209), 1,
      sym__interpolated_string_end,
    STATE(16752), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16002), 2,
      sym_comment,
      sym_block_comment,
  [670392] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19211), 1,
      anon_sym_COMMA,
    ACTIONS(19213), 1,
      anon_sym_RPAREN,
    STATE(16007), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16003), 2,
      sym_comment,
      sym_block_comment,
  [670412] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19215), 1,
      anon_sym_COMMA,
    ACTIONS(19217), 1,
      anon_sym_RPAREN,
    STATE(15892), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16004), 2,
      sym_comment,
      sym_block_comment,
  [670432] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19209), 1,
      sym__interpolated_multiline_string_end,
    STATE(16755), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16005), 2,
      sym_comment,
      sym_block_comment,
  [670452] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19219), 1,
      anon_sym_COMMA,
    ACTIONS(19221), 1,
      anon_sym_RBRACK,
    STATE(16010), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16006), 2,
      sym_comment,
      sym_block_comment,
  [670472] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14738), 1,
      anon_sym_RPAREN,
    ACTIONS(19223), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16007), 2,
      sym_comment,
      sym_block_comment,
  [670492] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(19225), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [670508] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5676), 1,
      anon_sym_RPAREN,
    ACTIONS(19227), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16009), 2,
      sym_comment,
      sym_block_comment,
  [670528] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6158), 1,
      anon_sym_RBRACK,
    ACTIONS(19229), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16010), 2,
      sym_comment,
      sym_block_comment,
  [670548] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(19231), 1,
      sym__interpolated_string_end,
    STATE(16032), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16011), 2,
      sym_comment,
      sym_block_comment,
  [670568] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19231), 1,
      sym__interpolated_multiline_string_end,
    STATE(16033), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16012), 2,
      sym_comment,
      sym_block_comment,
  [670588] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19233), 1,
      anon_sym_COMMA,
    ACTIONS(19235), 1,
      anon_sym_RPAREN,
    STATE(16018), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16013), 2,
      sym_comment,
      sym_block_comment,
  [670608] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19237), 1,
      anon_sym_COMMA,
    ACTIONS(19239), 1,
      anon_sym_RPAREN,
    STATE(15910), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16014), 2,
      sym_comment,
      sym_block_comment,
  [670628] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13971), 1,
      sym__arrow_then_type,
    ACTIONS(19241), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16015), 2,
      sym_comment,
      sym_block_comment,
  [670646] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19243), 1,
      anon_sym_COMMA,
    ACTIONS(19245), 1,
      anon_sym_RBRACK,
    STATE(16022), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16016), 2,
      sym_comment,
      sym_block_comment,
  [670666] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19247), 1,
      anon_sym_COMMA,
    ACTIONS(19249), 1,
      anon_sym_RPAREN,
    STATE(16038), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16017), 2,
      sym_comment,
      sym_block_comment,
  [670686] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14746), 1,
      anon_sym_RPAREN,
    ACTIONS(19251), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16018), 2,
      sym_comment,
      sym_block_comment,
  [670706] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19253), 1,
      anon_sym_COMMA,
    ACTIONS(19255), 1,
      anon_sym_RPAREN,
    STATE(16962), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16019), 2,
      sym_comment,
      sym_block_comment,
  [670726] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6234), 1,
      anon_sym_RPAREN,
    ACTIONS(19257), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16020), 2,
      sym_comment,
      sym_block_comment,
  [670746] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13993), 1,
      sym__arrow_then_type,
    ACTIONS(19241), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16021), 2,
      sym_comment,
      sym_block_comment,
  [670764] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6172), 1,
      anon_sym_RBRACK,
    ACTIONS(19259), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16022), 2,
      sym_comment,
      sym_block_comment,
  [670784] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15014), 1,
      anon_sym_RPAREN,
    ACTIONS(19261), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16023), 2,
      sym_comment,
      sym_block_comment,
  [670804] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19263), 1,
      anon_sym_COMMA,
    ACTIONS(19265), 1,
      anon_sym_RPAREN,
    STATE(16028), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16024), 2,
      sym_comment,
      sym_block_comment,
  [670824] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19267), 1,
      anon_sym_COMMA,
    ACTIONS(19269), 1,
      anon_sym_RPAREN,
    STATE(15942), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16025), 2,
      sym_comment,
      sym_block_comment,
  [670844] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5490), 1,
      anon_sym_RPAREN,
    ACTIONS(19271), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16026), 2,
      sym_comment,
      sym_block_comment,
  [670864] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19273), 1,
      anon_sym_COMMA,
    ACTIONS(19275), 1,
      anon_sym_RBRACK,
    STATE(16030), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16027), 2,
      sym_comment,
      sym_block_comment,
  [670884] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14758), 1,
      anon_sym_RPAREN,
    ACTIONS(19277), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16028), 2,
      sym_comment,
      sym_block_comment,
  [670904] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6246), 1,
      anon_sym_RPAREN,
    ACTIONS(19279), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16029), 2,
      sym_comment,
      sym_block_comment,
  [670924] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6186), 1,
      anon_sym_RBRACK,
    ACTIONS(19281), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16030), 2,
      sym_comment,
      sym_block_comment,
  [670944] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19283), 1,
      anon_sym_COMMA,
    ACTIONS(19285), 1,
      anon_sym_RBRACK,
    STATE(16044), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16031), 2,
      sym_comment,
      sym_block_comment,
  [670964] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(19287), 1,
      sym__interpolated_string_end,
    STATE(16752), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16032), 2,
      sym_comment,
      sym_block_comment,
  [670984] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19287), 1,
      sym__interpolated_multiline_string_end,
    STATE(16755), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16033), 2,
      sym_comment,
      sym_block_comment,
  [671004] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19289), 1,
      anon_sym_COMMA,
    ACTIONS(19291), 1,
      anon_sym_RPAREN,
    STATE(16037), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16034), 2,
      sym_comment,
      sym_block_comment,
  [671024] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19293), 1,
      anon_sym_COMMA,
    ACTIONS(19295), 1,
      anon_sym_RPAREN,
    STATE(15954), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16035), 2,
      sym_comment,
      sym_block_comment,
  [671044] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19297), 1,
      anon_sym_COMMA,
    ACTIONS(19299), 1,
      anon_sym_RBRACK,
    STATE(16040), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16036), 2,
      sym_comment,
      sym_block_comment,
  [671064] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14770), 1,
      anon_sym_RPAREN,
    ACTIONS(19301), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16037), 2,
      sym_comment,
      sym_block_comment,
  [671084] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14154), 1,
      anon_sym_RPAREN,
    ACTIONS(19303), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16038), 2,
      sym_comment,
      sym_block_comment,
  [671104] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5704), 1,
      anon_sym_RPAREN,
    ACTIONS(19305), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16039), 2,
      sym_comment,
      sym_block_comment,
  [671124] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6196), 1,
      anon_sym_RBRACK,
    ACTIONS(19307), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16040), 2,
      sym_comment,
      sym_block_comment,
  [671144] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6272), 1,
      anon_sym_RPAREN,
    ACTIONS(19309), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16041), 2,
      sym_comment,
      sym_block_comment,
  [671164] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19311), 1,
      anon_sym_COMMA,
    ACTIONS(19313), 1,
      anon_sym_RBRACK,
    STATE(16714), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16042), 2,
      sym_comment,
      sym_block_comment,
  [671184] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    STATE(15712), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(16043), 2,
      sym_comment,
      sym_block_comment,
  [671204] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5640), 1,
      anon_sym_RBRACK,
    ACTIONS(19315), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16044), 2,
      sym_comment,
      sym_block_comment,
  [671224] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19317), 1,
      anon_sym_COMMA,
    ACTIONS(19319), 1,
      anon_sym_RPAREN,
    STATE(16048), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16045), 2,
      sym_comment,
      sym_block_comment,
  [671244] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19321), 1,
      anon_sym_COMMA,
    ACTIONS(19323), 1,
      anon_sym_RPAREN,
    STATE(16194), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16046), 2,
      sym_comment,
      sym_block_comment,
  [671264] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19325), 1,
      anon_sym_COMMA,
    ACTIONS(19327), 1,
      anon_sym_RBRACK,
    STATE(16052), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16047), 2,
      sym_comment,
      sym_block_comment,
  [671284] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14782), 1,
      anon_sym_RPAREN,
    ACTIONS(19329), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16048), 2,
      sym_comment,
      sym_block_comment,
  [671304] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19331), 1,
      anon_sym_COMMA,
    ACTIONS(19333), 1,
      anon_sym_RPAREN,
    STATE(15889), 1,
      aux_sym_case_class_pattern_repeat2,
    STATE(16049), 2,
      sym_comment,
      sym_block_comment,
  [671324] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6254), 1,
      anon_sym_RPAREN,
    ACTIONS(19335), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16050), 2,
      sym_comment,
      sym_block_comment,
  [671344] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5716), 1,
      anon_sym_RBRACK,
    ACTIONS(19337), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16051), 2,
      sym_comment,
      sym_block_comment,
  [671364] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6208), 1,
      anon_sym_RBRACK,
    ACTIONS(19339), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16052), 2,
      sym_comment,
      sym_block_comment,
  [671384] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4334), 1,
      sym__indent,
    STATE(10565), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16053), 2,
      sym_comment,
      sym_block_comment,
  [671402] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(19341), 1,
      sym__interpolated_string_end,
    STATE(16154), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16054), 2,
      sym_comment,
      sym_block_comment,
  [671422] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19343), 1,
      anon_sym_COMMA,
    ACTIONS(19345), 1,
      anon_sym_RPAREN,
    STATE(16059), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16055), 2,
      sym_comment,
      sym_block_comment,
  [671442] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19347), 1,
      anon_sym_COMMA,
    ACTIONS(19349), 1,
      anon_sym_RPAREN,
    STATE(15979), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16056), 2,
      sym_comment,
      sym_block_comment,
  [671462] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19341), 1,
      sym__interpolated_multiline_string_end,
    STATE(16156), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16057), 2,
      sym_comment,
      sym_block_comment,
  [671482] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19351), 1,
      anon_sym_COMMA,
    ACTIONS(19353), 1,
      anon_sym_RBRACK,
    STATE(16062), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16058), 2,
      sym_comment,
      sym_block_comment,
  [671502] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14790), 1,
      anon_sym_RPAREN,
    ACTIONS(19355), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16059), 2,
      sym_comment,
      sym_block_comment,
  [671522] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6264), 1,
      anon_sym_RPAREN,
    ACTIONS(19357), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16060), 2,
      sym_comment,
      sym_block_comment,
  [671542] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11410), 1,
      sym__arrow_then_type,
    ACTIONS(19359), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16061), 2,
      sym_comment,
      sym_block_comment,
  [671560] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6218), 1,
      anon_sym_RBRACK,
    ACTIONS(19361), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16062), 2,
      sym_comment,
      sym_block_comment,
  [671580] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19363), 1,
      anon_sym_COMMA,
    ACTIONS(19365), 1,
      anon_sym_RPAREN,
    STATE(16184), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16063), 2,
      sym_comment,
      sym_block_comment,
  [671600] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19367), 1,
      anon_sym_COMMA,
    ACTIONS(19369), 1,
      anon_sym_RPAREN,
    STATE(16070), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16064), 2,
      sym_comment,
      sym_block_comment,
  [671620] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19371), 1,
      anon_sym_COMMA,
    ACTIONS(19373), 1,
      anon_sym_RPAREN,
    STATE(15997), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16065), 2,
      sym_comment,
      sym_block_comment,
  [671640] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19375), 1,
      anon_sym_COMMA,
    ACTIONS(19377), 1,
      anon_sym_RPAREN,
    STATE(16657), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16066), 2,
      sym_comment,
      sym_block_comment,
  [671660] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18608), 1,
      anon_sym_EQ,
    ACTIONS(18606), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(16067), 2,
      sym_comment,
      sym_block_comment,
  [671678] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19379), 1,
      anon_sym_COMMA,
    ACTIONS(19381), 1,
      anon_sym_RBRACK,
    STATE(16073), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16068), 2,
      sym_comment,
      sym_block_comment,
  [671698] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(19383), 1,
      sym__interpolated_string_end,
    STATE(16092), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16069), 2,
      sym_comment,
      sym_block_comment,
  [671718] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14798), 1,
      anon_sym_RPAREN,
    ACTIONS(19385), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16070), 2,
      sym_comment,
      sym_block_comment,
  [671738] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19383), 1,
      sym__interpolated_multiline_string_end,
    STATE(16094), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16071), 2,
      sym_comment,
      sym_block_comment,
  [671758] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6274), 1,
      anon_sym_RPAREN,
    ACTIONS(19387), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16072), 2,
      sym_comment,
      sym_block_comment,
  [671778] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6228), 1,
      anon_sym_RBRACK,
    ACTIONS(19389), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16073), 2,
      sym_comment,
      sym_block_comment,
  [671798] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14291), 1,
      sym__arrow_then_type,
    ACTIONS(19391), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16074), 2,
      sym_comment,
      sym_block_comment,
  [671816] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19393), 1,
      anon_sym_COMMA,
    ACTIONS(19395), 1,
      anon_sym_RPAREN,
    STATE(16099), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16075), 2,
      sym_comment,
      sym_block_comment,
  [671836] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19397), 1,
      anon_sym_COMMA,
    ACTIONS(19399), 1,
      anon_sym_RPAREN,
    STATE(16646), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16076), 2,
      sym_comment,
      sym_block_comment,
  [671856] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14336), 1,
      sym__arrow_then_type,
    ACTIONS(19391), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16077), 2,
      sym_comment,
      sym_block_comment,
  [671874] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11411), 1,
      sym__arrow_then_type,
    ACTIONS(19359), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16078), 2,
      sym_comment,
      sym_block_comment,
  [671892] = 6,
    ACTIONS(19401), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(19403), 1,
      sym__comment_text,
    ACTIONS(19405), 1,
      anon_sym_GT,
    ACTIONS(19407), 1,
      anon_sym_SLASH_STAR,
    STATE(19564), 1,
      sym_using_directive,
    STATE(16079), 2,
      sym_comment,
      sym_block_comment,
  [671912] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19409), 1,
      anon_sym_COMMA,
    ACTIONS(19411), 1,
      anon_sym_RPAREN,
    STATE(16083), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16080), 2,
      sym_comment,
      sym_block_comment,
  [671932] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19413), 1,
      anon_sym_COMMA,
    ACTIONS(19415), 1,
      anon_sym_RPAREN,
    STATE(16020), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16081), 2,
      sym_comment,
      sym_block_comment,
  [671952] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19417), 1,
      anon_sym_COMMA,
    ACTIONS(19419), 1,
      anon_sym_RBRACK,
    STATE(16086), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16082), 2,
      sym_comment,
      sym_block_comment,
  [671972] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14806), 1,
      anon_sym_RPAREN,
    ACTIONS(19421), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16083), 2,
      sym_comment,
      sym_block_comment,
  [671992] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6284), 1,
      anon_sym_RPAREN,
    ACTIONS(19423), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16084), 2,
      sym_comment,
      sym_block_comment,
  [672012] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18698), 1,
      anon_sym_EQ,
    ACTIONS(18696), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(16085), 2,
      sym_comment,
      sym_block_comment,
  [672030] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6236), 1,
      anon_sym_RBRACK,
    ACTIONS(19425), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16086), 2,
      sym_comment,
      sym_block_comment,
  [672050] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7474), 1,
      anon_sym_RPAREN,
    ACTIONS(19427), 1,
      anon_sym_COMMA,
    STATE(16264), 1,
      aux_sym_case_class_pattern_repeat2,
    STATE(16087), 2,
      sym_comment,
      sym_block_comment,
  [672070] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19429), 1,
      anon_sym_COMMA,
    ACTIONS(19431), 1,
      anon_sym_RBRACK,
    STATE(16109), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16088), 2,
      sym_comment,
      sym_block_comment,
  [672090] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10778), 3,
      anon_sym_COLON,
      anon_sym_with,
      anon_sym_LPAREN,
  [672106] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19433), 1,
      anon_sym_COMMA,
    ACTIONS(19435), 1,
      anon_sym_RPAREN,
    STATE(16095), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16090), 2,
      sym_comment,
      sym_block_comment,
  [672126] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19437), 1,
      anon_sym_COMMA,
    ACTIONS(19439), 1,
      anon_sym_RPAREN,
    STATE(16029), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16091), 2,
      sym_comment,
      sym_block_comment,
  [672146] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(19441), 1,
      sym__interpolated_string_end,
    STATE(16752), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16092), 2,
      sym_comment,
      sym_block_comment,
  [672166] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19443), 1,
      anon_sym_COMMA,
    ACTIONS(19445), 1,
      anon_sym_RBRACK,
    STATE(16097), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16093), 2,
      sym_comment,
      sym_block_comment,
  [672186] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19441), 1,
      sym__interpolated_multiline_string_end,
    STATE(16755), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16094), 2,
      sym_comment,
      sym_block_comment,
  [672206] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14814), 1,
      anon_sym_RPAREN,
    ACTIONS(19447), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16095), 2,
      sym_comment,
      sym_block_comment,
  [672226] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6294), 1,
      anon_sym_RPAREN,
    ACTIONS(19449), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16096), 2,
      sym_comment,
      sym_block_comment,
  [672246] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6248), 1,
      anon_sym_RBRACK,
    ACTIONS(19451), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16097), 2,
      sym_comment,
      sym_block_comment,
  [672266] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8807), 1,
      anon_sym_RPAREN,
    ACTIONS(19453), 1,
      anon_sym_COMMA,
    STATE(16262), 1,
      aux_sym_class_parameters_repeat1,
    STATE(16098), 2,
      sym_comment,
      sym_block_comment,
  [672286] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14166), 1,
      anon_sym_RPAREN,
    ACTIONS(19455), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16099), 2,
      sym_comment,
      sym_block_comment,
  [672306] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5772), 1,
      anon_sym_RPAREN,
    ACTIONS(19457), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16100), 2,
      sym_comment,
      sym_block_comment,
  [672326] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(19459), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(16101), 2,
      sym_comment,
      sym_block_comment,
  [672344] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19462), 1,
      anon_sym_COMMA,
    ACTIONS(19464), 1,
      anon_sym_RPAREN,
    STATE(16106), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16102), 2,
      sym_comment,
      sym_block_comment,
  [672364] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19466), 1,
      anon_sym_COMMA,
    ACTIONS(19468), 1,
      anon_sym_RPAREN,
    STATE(16050), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16103), 2,
      sym_comment,
      sym_block_comment,
  [672384] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19470), 1,
      anon_sym_COMMA,
    ACTIONS(19472), 1,
      anon_sym_RBRACK,
    STATE(16110), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16104), 2,
      sym_comment,
      sym_block_comment,
  [672404] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19474), 1,
      anon_sym_COMMA,
    ACTIONS(19476), 1,
      anon_sym_RPAREN,
    STATE(16562), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16105), 2,
      sym_comment,
      sym_block_comment,
  [672424] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14822), 1,
      anon_sym_RPAREN,
    ACTIONS(19478), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16106), 2,
      sym_comment,
      sym_block_comment,
  [672444] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17652), 1,
      anon_sym_LPAREN,
    STATE(15549), 1,
      sym__using_parameters_clause,
    STATE(16767), 1,
      sym_parameters,
    STATE(16107), 2,
      sym_comment,
      sym_block_comment,
  [672464] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6012), 1,
      anon_sym_RPAREN,
    ACTIONS(19480), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16108), 2,
      sym_comment,
      sym_block_comment,
  [672484] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5738), 1,
      anon_sym_RBRACK,
    ACTIONS(19482), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16109), 2,
      sym_comment,
      sym_block_comment,
  [672504] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6256), 1,
      anon_sym_RBRACK,
    ACTIONS(19484), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16110), 2,
      sym_comment,
      sym_block_comment,
  [672524] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19486), 1,
      anon_sym_COMMA,
    ACTIONS(19488), 1,
      anon_sym_RPAREN,
    STATE(16114), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16111), 2,
      sym_comment,
      sym_block_comment,
  [672544] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19490), 1,
      anon_sym_COMMA,
    ACTIONS(19492), 1,
      anon_sym_RPAREN,
    STATE(16060), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16112), 2,
      sym_comment,
      sym_block_comment,
  [672564] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19494), 1,
      anon_sym_COMMA,
    ACTIONS(19496), 1,
      anon_sym_RBRACK,
    STATE(16117), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16113), 2,
      sym_comment,
      sym_block_comment,
  [672584] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14834), 1,
      anon_sym_RPAREN,
    ACTIONS(19498), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16114), 2,
      sym_comment,
      sym_block_comment,
  [672604] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5522), 1,
      anon_sym_RPAREN,
    ACTIONS(19500), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16115), 2,
      sym_comment,
      sym_block_comment,
  [672624] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17339), 1,
      anon_sym_LBRACK,
    STATE(10391), 1,
      sym_type_arguments,
    STATE(16116), 2,
      sym_comment,
      sym_block_comment,
  [672644] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6266), 1,
      anon_sym_RBRACK,
    ACTIONS(19502), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16117), 2,
      sym_comment,
      sym_block_comment,
  [672664] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19504), 1,
      anon_sym_COMMA,
    ACTIONS(19506), 1,
      anon_sym_RPAREN,
    STATE(16121), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16118), 2,
      sym_comment,
      sym_block_comment,
  [672684] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19508), 1,
      anon_sym_COMMA,
    ACTIONS(19510), 1,
      anon_sym_RPAREN,
    STATE(16072), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16119), 2,
      sym_comment,
      sym_block_comment,
  [672704] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19512), 1,
      anon_sym_COMMA,
    ACTIONS(19514), 1,
      anon_sym_RBRACK,
    STATE(16123), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16120), 2,
      sym_comment,
      sym_block_comment,
  [672724] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14842), 1,
      anon_sym_RPAREN,
    ACTIONS(19516), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16121), 2,
      sym_comment,
      sym_block_comment,
  [672744] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6038), 1,
      anon_sym_RPAREN,
    ACTIONS(19518), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16122), 2,
      sym_comment,
      sym_block_comment,
  [672764] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6276), 1,
      anon_sym_RBRACK,
    ACTIONS(19520), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16123), 2,
      sym_comment,
      sym_block_comment,
  [672784] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19522), 1,
      anon_sym_COMMA,
    ACTIONS(19524), 1,
      anon_sym_RPAREN,
    STATE(16141), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16124), 2,
      sym_comment,
      sym_block_comment,
  [672804] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19526), 1,
      anon_sym_COMMA,
    ACTIONS(19528), 1,
      anon_sym_RPAREN,
    STATE(16667), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16125), 2,
      sym_comment,
      sym_block_comment,
  [672824] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19530), 1,
      anon_sym_COMMA,
    ACTIONS(19532), 1,
      anon_sym_RBRACK,
    STATE(16234), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16126), 2,
      sym_comment,
      sym_block_comment,
  [672844] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19534), 1,
      anon_sym_COMMA,
    ACTIONS(19536), 1,
      anon_sym_RPAREN,
    STATE(16131), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16127), 2,
      sym_comment,
      sym_block_comment,
  [672864] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19538), 1,
      anon_sym_COMMA,
    ACTIONS(19540), 1,
      anon_sym_RPAREN,
    STATE(16084), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16128), 2,
      sym_comment,
      sym_block_comment,
  [672884] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19542), 1,
      anon_sym_COMMA,
    ACTIONS(19544), 1,
      anon_sym_RBRACK,
    STATE(15947), 1,
      aux_sym_type_parameters_repeat1,
    STATE(16129), 2,
      sym_comment,
      sym_block_comment,
  [672904] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19546), 1,
      anon_sym_COMMA,
    ACTIONS(19548), 1,
      anon_sym_RBRACK,
    STATE(16133), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16130), 2,
      sym_comment,
      sym_block_comment,
  [672924] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14850), 1,
      anon_sym_RPAREN,
    ACTIONS(19550), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16131), 2,
      sym_comment,
      sym_block_comment,
  [672944] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5874), 1,
      anon_sym_RPAREN,
    ACTIONS(19552), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16132), 2,
      sym_comment,
      sym_block_comment,
  [672964] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6286), 1,
      anon_sym_RBRACK,
    ACTIONS(19554), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16133), 2,
      sym_comment,
      sym_block_comment,
  [672984] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(19556), 1,
      sym__interpolated_string_end,
    STATE(16188), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16134), 2,
      sym_comment,
      sym_block_comment,
  [673004] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19558), 1,
      anon_sym_COMMA,
    ACTIONS(19560), 1,
      anon_sym_RBRACK,
    STATE(16149), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16135), 2,
      sym_comment,
      sym_block_comment,
  [673024] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19556), 1,
      sym__interpolated_multiline_string_end,
    STATE(16191), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16136), 2,
      sym_comment,
      sym_block_comment,
  [673044] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19562), 1,
      anon_sym_COMMA,
    ACTIONS(19564), 1,
      anon_sym_RPAREN,
    STATE(16142), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16137), 2,
      sym_comment,
      sym_block_comment,
  [673064] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19566), 1,
      anon_sym_COMMA,
    ACTIONS(19568), 1,
      anon_sym_RPAREN,
    STATE(16096), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16138), 2,
      sym_comment,
      sym_block_comment,
  [673084] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13049), 1,
      sym__arrow_then_type,
    ACTIONS(19570), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16139), 2,
      sym_comment,
      sym_block_comment,
  [673102] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19572), 1,
      anon_sym_COMMA,
    ACTIONS(19574), 1,
      anon_sym_RBRACK,
    STATE(16146), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16140), 2,
      sym_comment,
      sym_block_comment,
  [673122] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14174), 1,
      anon_sym_RPAREN,
    ACTIONS(19576), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16141), 2,
      sym_comment,
      sym_block_comment,
  [673142] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14858), 1,
      anon_sym_RPAREN,
    ACTIONS(19578), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16142), 2,
      sym_comment,
      sym_block_comment,
  [673162] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19580), 1,
      anon_sym_COMMA,
    ACTIONS(19582), 1,
      anon_sym_RPAREN,
    STATE(16201), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16143), 2,
      sym_comment,
      sym_block_comment,
  [673182] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6088), 1,
      anon_sym_RPAREN,
    ACTIONS(19584), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16144), 2,
      sym_comment,
      sym_block_comment,
  [673202] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6010), 1,
      anon_sym_RPAREN,
    ACTIONS(19586), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16145), 2,
      sym_comment,
      sym_block_comment,
  [673222] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6296), 1,
      anon_sym_RBRACK,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16146), 2,
      sym_comment,
      sym_block_comment,
  [673242] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19590), 1,
      anon_sym_COMMA,
    ACTIONS(19592), 1,
      anon_sym_RPAREN,
    STATE(16922), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16147), 2,
      sym_comment,
      sym_block_comment,
  [673262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13055), 1,
      sym__arrow_then_type,
    ACTIONS(19570), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16148), 2,
      sym_comment,
      sym_block_comment,
  [673280] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5808), 1,
      anon_sym_RBRACK,
    ACTIONS(19594), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16149), 2,
      sym_comment,
      sym_block_comment,
  [673300] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19596), 1,
      anon_sym_COMMA,
    ACTIONS(19598), 1,
      anon_sym_RPAREN,
    STATE(16155), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16150), 2,
      sym_comment,
      sym_block_comment,
  [673320] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19600), 1,
      anon_sym_COMMA,
    ACTIONS(19602), 1,
      anon_sym_RPAREN,
    STATE(16217), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16151), 2,
      sym_comment,
      sym_block_comment,
  [673340] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6146), 1,
      anon_sym_RBRACK,
    ACTIONS(19604), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16152), 2,
      sym_comment,
      sym_block_comment,
  [673360] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19606), 1,
      anon_sym_COMMA,
    ACTIONS(19608), 1,
      anon_sym_RBRACK,
    STATE(16158), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16153), 2,
      sym_comment,
      sym_block_comment,
  [673380] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(19610), 1,
      sym__interpolated_string_end,
    STATE(16752), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16154), 2,
      sym_comment,
      sym_block_comment,
  [673400] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14866), 1,
      anon_sym_RPAREN,
    ACTIONS(19612), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16155), 2,
      sym_comment,
      sym_block_comment,
  [673420] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19610), 1,
      sym__interpolated_multiline_string_end,
    STATE(16755), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16156), 2,
      sym_comment,
      sym_block_comment,
  [673440] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5986), 1,
      anon_sym_RPAREN,
    ACTIONS(19614), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16157), 2,
      sym_comment,
      sym_block_comment,
  [673460] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5272), 1,
      anon_sym_RBRACK,
    ACTIONS(19616), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16158), 2,
      sym_comment,
      sym_block_comment,
  [673480] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19618), 1,
      anon_sym_COMMA,
    ACTIONS(19620), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(16159), 2,
      sym_comment,
      sym_block_comment,
  [673500] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19622), 1,
      anon_sym_COMMA,
    ACTIONS(19624), 1,
      anon_sym_RPAREN,
    STATE(16164), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16160), 2,
      sym_comment,
      sym_block_comment,
  [673520] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19626), 1,
      anon_sym_COMMA,
    ACTIONS(19628), 1,
      anon_sym_RPAREN,
    STATE(16115), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16161), 2,
      sym_comment,
      sym_block_comment,
  [673540] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19630), 1,
      anon_sym_COMMA,
    ACTIONS(19632), 1,
      anon_sym_RPAREN,
    STATE(16562), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16162), 2,
      sym_comment,
      sym_block_comment,
  [673560] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19634), 1,
      anon_sym_COMMA,
    ACTIONS(19636), 1,
      anon_sym_RBRACK,
    STATE(16166), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16163), 2,
      sym_comment,
      sym_block_comment,
  [673580] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14874), 1,
      anon_sym_RPAREN,
    ACTIONS(19638), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16164), 2,
      sym_comment,
      sym_block_comment,
  [673600] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6130), 1,
      anon_sym_RPAREN,
    ACTIONS(19640), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16165), 2,
      sym_comment,
      sym_block_comment,
  [673620] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5754), 1,
      anon_sym_RBRACK,
    ACTIONS(19642), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16166), 2,
      sym_comment,
      sym_block_comment,
  [673640] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19644), 1,
      anon_sym_COMMA,
    ACTIONS(19646), 1,
      anon_sym_RPAREN,
    STATE(16170), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16167), 2,
      sym_comment,
      sym_block_comment,
  [673660] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19648), 1,
      anon_sym_COMMA,
    ACTIONS(19650), 1,
      anon_sym_RPAREN,
    STATE(16132), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16168), 2,
      sym_comment,
      sym_block_comment,
  [673680] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19652), 1,
      anon_sym_COMMA,
    ACTIONS(19654), 1,
      anon_sym_RBRACK,
    STATE(16172), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16169), 2,
      sym_comment,
      sym_block_comment,
  [673700] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14882), 1,
      anon_sym_RPAREN,
    ACTIONS(19656), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16170), 2,
      sym_comment,
      sym_block_comment,
  [673720] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6204), 1,
      anon_sym_RPAREN,
    ACTIONS(19658), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16171), 2,
      sym_comment,
      sym_block_comment,
  [673740] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5886), 1,
      anon_sym_RBRACK,
    ACTIONS(19660), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16172), 2,
      sym_comment,
      sym_block_comment,
  [673760] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19662), 1,
      anon_sym_COMMA,
    ACTIONS(19664), 1,
      anon_sym_RPAREN,
    STATE(16189), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16173), 2,
      sym_comment,
      sym_block_comment,
  [673780] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19666), 1,
      anon_sym_COMMA,
    ACTIONS(19668), 1,
      anon_sym_RPAREN,
    STATE(16709), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16174), 2,
      sym_comment,
      sym_block_comment,
  [673800] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17304), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [673816] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8807), 1,
      anon_sym_RPAREN,
    ACTIONS(19453), 1,
      anon_sym_COMMA,
    STATE(16231), 1,
      aux_sym_class_parameters_repeat1,
    STATE(16176), 2,
      sym_comment,
      sym_block_comment,
  [673836] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19670), 1,
      anon_sym_COMMA,
    ACTIONS(19672), 1,
      anon_sym_RPAREN,
    STATE(16180), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16177), 2,
      sym_comment,
      sym_block_comment,
  [673856] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19674), 1,
      anon_sym_COMMA,
    ACTIONS(19676), 1,
      anon_sym_RPAREN,
    STATE(16157), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16178), 2,
      sym_comment,
      sym_block_comment,
  [673876] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19678), 1,
      anon_sym_COMMA,
    ACTIONS(19680), 1,
      anon_sym_RBRACK,
    STATE(16183), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16179), 2,
      sym_comment,
      sym_block_comment,
  [673896] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14890), 1,
      anon_sym_RPAREN,
    ACTIONS(19682), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16180), 2,
      sym_comment,
      sym_block_comment,
  [673916] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19684), 1,
      anon_sym_COMMA,
    ACTIONS(19686), 1,
      anon_sym_RBRACK,
    STATE(16221), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16181), 2,
      sym_comment,
      sym_block_comment,
  [673936] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5280), 1,
      anon_sym_RPAREN,
    ACTIONS(19688), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16182), 2,
      sym_comment,
      sym_block_comment,
  [673956] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6062), 1,
      anon_sym_RBRACK,
    ACTIONS(19690), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16183), 2,
      sym_comment,
      sym_block_comment,
  [673976] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14939), 1,
      anon_sym_RPAREN,
    ACTIONS(19692), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16184), 2,
      sym_comment,
      sym_block_comment,
  [673996] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19694), 1,
      anon_sym_COMMA,
    ACTIONS(19696), 1,
      anon_sym_RBRACK,
    STATE(16196), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16185), 2,
      sym_comment,
      sym_block_comment,
  [674016] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19698), 1,
      anon_sym_COMMA,
    ACTIONS(19700), 1,
      anon_sym_RPAREN,
    STATE(16192), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16186), 2,
      sym_comment,
      sym_block_comment,
  [674036] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19702), 1,
      anon_sym_COMMA,
    ACTIONS(19704), 1,
      anon_sym_RPAREN,
    STATE(16171), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16187), 2,
      sym_comment,
      sym_block_comment,
  [674056] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(19706), 1,
      sym__interpolated_string_end,
    STATE(16752), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16188), 2,
      sym_comment,
      sym_block_comment,
  [674076] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14187), 1,
      anon_sym_RPAREN,
    ACTIONS(19708), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16189), 2,
      sym_comment,
      sym_block_comment,
  [674096] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19710), 1,
      anon_sym_COMMA,
    ACTIONS(19712), 1,
      anon_sym_RBRACK,
    STATE(16195), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16190), 2,
      sym_comment,
      sym_block_comment,
  [674116] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19706), 1,
      sym__interpolated_multiline_string_end,
    STATE(16755), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16191), 2,
      sym_comment,
      sym_block_comment,
  [674136] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14898), 1,
      anon_sym_RPAREN,
    ACTIONS(19714), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16192), 2,
      sym_comment,
      sym_block_comment,
  [674156] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6064), 1,
      anon_sym_RPAREN,
    ACTIONS(19716), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16193), 2,
      sym_comment,
      sym_block_comment,
  [674176] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6206), 1,
      anon_sym_RPAREN,
    ACTIONS(19718), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16194), 2,
      sym_comment,
      sym_block_comment,
  [674196] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6262), 1,
      anon_sym_RBRACK,
    ACTIONS(19720), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16195), 2,
      sym_comment,
      sym_block_comment,
  [674216] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5892), 1,
      anon_sym_RBRACK,
    ACTIONS(19722), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16196), 2,
      sym_comment,
      sym_block_comment,
  [674236] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19724), 1,
      anon_sym_COMMA,
    ACTIONS(19726), 1,
      anon_sym_RPAREN,
    STATE(16202), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16197), 2,
      sym_comment,
      sym_block_comment,
  [674256] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19728), 1,
      anon_sym_COMMA,
    ACTIONS(19730), 1,
      anon_sym_RPAREN,
    STATE(16182), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16198), 2,
      sym_comment,
      sym_block_comment,
  [674276] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5308), 1,
      anon_sym_RPAREN,
    ACTIONS(19732), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16199), 2,
      sym_comment,
      sym_block_comment,
  [674296] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19734), 1,
      anon_sym_COMMA,
    ACTIONS(19736), 1,
      anon_sym_RBRACK,
    STATE(16205), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16200), 2,
      sym_comment,
      sym_block_comment,
  [674316] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15024), 1,
      anon_sym_RPAREN,
    ACTIONS(19738), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16201), 2,
      sym_comment,
      sym_block_comment,
  [674336] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14906), 1,
      anon_sym_RPAREN,
    ACTIONS(19740), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16202), 2,
      sym_comment,
      sym_block_comment,
  [674356] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5312), 1,
      anon_sym_RPAREN,
    ACTIONS(19742), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16203), 2,
      sym_comment,
      sym_block_comment,
  [674376] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4996), 1,
      sym__indent,
    STATE(10177), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16204), 2,
      sym_comment,
      sym_block_comment,
  [674394] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5286), 1,
      anon_sym_RBRACK,
    ACTIONS(19744), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16205), 2,
      sym_comment,
      sym_block_comment,
  [674414] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5546), 1,
      anon_sym_RPAREN,
    ACTIONS(19746), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16206), 2,
      sym_comment,
      sym_block_comment,
  [674434] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19748), 1,
      anon_sym_COMMA,
    ACTIONS(19750), 1,
      anon_sym_RPAREN,
    STATE(16210), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16207), 2,
      sym_comment,
      sym_block_comment,
  [674454] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19752), 1,
      anon_sym_COMMA,
    ACTIONS(19754), 1,
      anon_sym_RPAREN,
    STATE(16203), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16208), 2,
      sym_comment,
      sym_block_comment,
  [674474] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19756), 1,
      anon_sym_COMMA,
    ACTIONS(19758), 1,
      anon_sym_RBRACK,
    STATE(16212), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16209), 2,
      sym_comment,
      sym_block_comment,
  [674494] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14914), 1,
      anon_sym_RPAREN,
    ACTIONS(19760), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16210), 2,
      sym_comment,
      sym_block_comment,
  [674514] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5340), 1,
      anon_sym_RPAREN,
    ACTIONS(19762), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16211), 2,
      sym_comment,
      sym_block_comment,
  [674534] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5322), 1,
      anon_sym_RBRACK,
    ACTIONS(19764), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16212), 2,
      sym_comment,
      sym_block_comment,
  [674554] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19766), 1,
      anon_sym_COMMA,
    ACTIONS(19768), 1,
      anon_sym_RPAREN,
    STATE(16216), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16213), 2,
      sym_comment,
      sym_block_comment,
  [674574] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19770), 1,
      anon_sym_COMMA,
    ACTIONS(19772), 1,
      anon_sym_RPAREN,
    STATE(16211), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16214), 2,
      sym_comment,
      sym_block_comment,
  [674594] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19774), 1,
      anon_sym_COMMA,
    ACTIONS(19776), 1,
      anon_sym_RBRACK,
    STATE(16218), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16215), 2,
      sym_comment,
      sym_block_comment,
  [674614] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14918), 1,
      anon_sym_RPAREN,
    ACTIONS(19778), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16216), 2,
      sym_comment,
      sym_block_comment,
  [674634] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5880), 1,
      anon_sym_RPAREN,
    ACTIONS(19780), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16217), 2,
      sym_comment,
      sym_block_comment,
  [674654] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5342), 1,
      anon_sym_RBRACK,
    ACTIONS(19782), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16218), 2,
      sym_comment,
      sym_block_comment,
  [674674] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19784), 1,
      anon_sym_COMMA,
    ACTIONS(19786), 1,
      anon_sym_RPAREN,
    STATE(16233), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16219), 2,
      sym_comment,
      sym_block_comment,
  [674694] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19788), 1,
      anon_sym_COMMA,
    ACTIONS(19790), 1,
      anon_sym_RPAREN,
    STATE(16339), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16220), 2,
      sym_comment,
      sym_block_comment,
  [674714] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5770), 1,
      anon_sym_RBRACK,
    ACTIONS(19792), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16221), 2,
      sym_comment,
      sym_block_comment,
  [674734] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19794), 1,
      anon_sym_COMMA,
    ACTIONS(19796), 1,
      anon_sym_RBRACK,
    STATE(16223), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16222), 2,
      sym_comment,
      sym_block_comment,
  [674754] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5372), 1,
      anon_sym_RBRACK,
    ACTIONS(19798), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16223), 2,
      sym_comment,
      sym_block_comment,
  [674774] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19800), 1,
      anon_sym_COMMA,
    ACTIONS(19802), 1,
      anon_sym_RBRACK,
    STATE(16226), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16224), 2,
      sym_comment,
      sym_block_comment,
  [674794] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4772), 1,
      sym__indent,
    STATE(11504), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16225), 2,
      sym_comment,
      sym_block_comment,
  [674812] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5386), 1,
      anon_sym_RBRACK,
    ACTIONS(19804), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16226), 2,
      sym_comment,
      sym_block_comment,
  [674832] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19806), 1,
      anon_sym_COMMA,
    ACTIONS(19808), 1,
      anon_sym_RBRACK,
    STATE(16243), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16227), 2,
      sym_comment,
      sym_block_comment,
  [674852] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19810), 1,
      anon_sym_COMMA,
    ACTIONS(19812), 1,
      anon_sym_RBRACK,
    STATE(16229), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16228), 2,
      sym_comment,
      sym_block_comment,
  [674872] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5424), 1,
      anon_sym_RBRACK,
    ACTIONS(19814), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16229), 2,
      sym_comment,
      sym_block_comment,
  [674892] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19816), 1,
      anon_sym_COMMA,
    ACTIONS(19818), 1,
      anon_sym_RBRACK,
    STATE(16232), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16230), 2,
      sym_comment,
      sym_block_comment,
  [674912] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8809), 1,
      anon_sym_RPAREN,
    ACTIONS(19820), 1,
      anon_sym_COMMA,
    STATE(16262), 1,
      aux_sym_class_parameters_repeat1,
    STATE(16231), 2,
      sym_comment,
      sym_block_comment,
  [674932] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5440), 1,
      anon_sym_RBRACK,
    ACTIONS(19822), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16232), 2,
      sym_comment,
      sym_block_comment,
  [674952] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14197), 1,
      anon_sym_RPAREN,
    ACTIONS(19824), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16233), 2,
      sym_comment,
      sym_block_comment,
  [674972] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5368), 1,
      anon_sym_RBRACK,
    ACTIONS(19826), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16234), 2,
      sym_comment,
      sym_block_comment,
  [674992] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5832), 1,
      anon_sym_RPAREN,
    ACTIONS(19828), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16235), 2,
      sym_comment,
      sym_block_comment,
  [675012] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19830), 1,
      anon_sym_COMMA,
    ACTIONS(19832), 1,
      anon_sym_RBRACK,
    STATE(16237), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16236), 2,
      sym_comment,
      sym_block_comment,
  [675032] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5456), 1,
      anon_sym_RBRACK,
    ACTIONS(19834), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16237), 2,
      sym_comment,
      sym_block_comment,
  [675052] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19836), 1,
      anon_sym_COMMA,
    ACTIONS(19838), 1,
      anon_sym_RBRACK,
    STATE(16239), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16238), 2,
      sym_comment,
      sym_block_comment,
  [675072] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5460), 1,
      anon_sym_RBRACK,
    ACTIONS(19840), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16239), 2,
      sym_comment,
      sym_block_comment,
  [675092] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19842), 1,
      anon_sym_COMMA,
    ACTIONS(19845), 1,
      anon_sym_RBRACK,
    STATE(16240), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_type_parameters_repeat1,
  [675110] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4272), 1,
      sym__indent,
    STATE(9987), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16241), 2,
      sym_comment,
      sym_block_comment,
  [675128] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19847), 1,
      anon_sym_COMMA,
    ACTIONS(19849), 1,
      anon_sym_RBRACK,
    STATE(16244), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16242), 2,
      sym_comment,
      sym_block_comment,
  [675148] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5930), 1,
      anon_sym_RBRACK,
    ACTIONS(19851), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16243), 2,
      sym_comment,
      sym_block_comment,
  [675168] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5472), 1,
      anon_sym_RBRACK,
    ACTIONS(19853), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16244), 2,
      sym_comment,
      sym_block_comment,
  [675188] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19855), 1,
      anon_sym_COMMA,
    ACTIONS(19857), 1,
      anon_sym_RBRACK,
    STATE(16246), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16245), 2,
      sym_comment,
      sym_block_comment,
  [675208] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5504), 1,
      anon_sym_RBRACK,
    ACTIONS(19859), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16246), 2,
      sym_comment,
      sym_block_comment,
  [675228] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8712), 1,
      anon_sym_RPAREN,
    ACTIONS(19861), 1,
      anon_sym_COMMA,
    STATE(16519), 1,
      aux_sym_class_parameters_repeat1,
    STATE(16247), 2,
      sym_comment,
      sym_block_comment,
  [675248] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19863), 1,
      anon_sym_COMMA,
    ACTIONS(19865), 1,
      anon_sym_RBRACK,
    STATE(16250), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16248), 2,
      sym_comment,
      sym_block_comment,
  [675268] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16249), 2,
      sym_comment,
      sym_block_comment,
  [675288] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5538), 1,
      anon_sym_RBRACK,
    ACTIONS(19867), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16250), 2,
      sym_comment,
      sym_block_comment,
  [675308] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19869), 1,
      anon_sym_COMMA,
    ACTIONS(19871), 1,
      anon_sym_RBRACK,
    STATE(16252), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16251), 2,
      sym_comment,
      sym_block_comment,
  [675328] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5552), 1,
      anon_sym_RBRACK,
    ACTIONS(19873), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16252), 2,
      sym_comment,
      sym_block_comment,
  [675348] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19875), 1,
      anon_sym_COMMA,
    ACTIONS(19877), 1,
      anon_sym_RBRACK,
    STATE(16255), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16253), 2,
      sym_comment,
      sym_block_comment,
  [675368] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8712), 1,
      anon_sym_RPAREN,
    ACTIONS(19861), 1,
      anon_sym_COMMA,
    STATE(16262), 1,
      aux_sym_class_parameters_repeat1,
    STATE(16254), 2,
      sym_comment,
      sym_block_comment,
  [675388] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5566), 1,
      anon_sym_RBRACK,
    ACTIONS(19879), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16255), 2,
      sym_comment,
      sym_block_comment,
  [675408] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19881), 1,
      anon_sym_COMMA,
    ACTIONS(19884), 1,
      anon_sym_RPAREN,
    STATE(16256), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__using_parameters_clause_repeat1,
  [675426] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19886), 1,
      anon_sym_COMMA,
    ACTIONS(19888), 1,
      anon_sym_RBRACK,
    STATE(16258), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16257), 2,
      sym_comment,
      sym_block_comment,
  [675446] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5582), 1,
      anon_sym_RBRACK,
    ACTIONS(19890), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16258), 2,
      sym_comment,
      sym_block_comment,
  [675466] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(19892), 1,
      sym__interpolated_string_end,
    STATE(16387), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16259), 2,
      sym_comment,
      sym_block_comment,
  [675486] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19894), 1,
      anon_sym_COMMA,
    ACTIONS(19896), 1,
      anon_sym_RBRACK,
    STATE(16261), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16260), 2,
      sym_comment,
      sym_block_comment,
  [675506] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5598), 1,
      anon_sym_RBRACK,
    ACTIONS(19898), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16261), 2,
      sym_comment,
      sym_block_comment,
  [675526] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19900), 1,
      anon_sym_COMMA,
    ACTIONS(19903), 1,
      anon_sym_RPAREN,
    STATE(16262), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_class_parameters_repeat1,
  [675544] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19905), 1,
      anon_sym_COMMA,
    ACTIONS(19907), 1,
      anon_sym_RBRACK,
    STATE(16265), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16263), 2,
      sym_comment,
      sym_block_comment,
  [675564] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19909), 1,
      anon_sym_COMMA,
    ACTIONS(19912), 1,
      anon_sym_RPAREN,
    STATE(16264), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_case_class_pattern_repeat2,
  [675582] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5612), 1,
      anon_sym_RBRACK,
    ACTIONS(19914), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16265), 2,
      sym_comment,
      sym_block_comment,
  [675602] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19892), 1,
      sym__interpolated_multiline_string_end,
    STATE(16390), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16266), 2,
      sym_comment,
      sym_block_comment,
  [675622] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19916), 1,
      anon_sym_COMMA,
    ACTIONS(19918), 1,
      anon_sym_RBRACK,
    STATE(16268), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16267), 2,
      sym_comment,
      sym_block_comment,
  [675642] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5618), 1,
      anon_sym_RBRACK,
    ACTIONS(19920), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16268), 2,
      sym_comment,
      sym_block_comment,
  [675662] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19922), 1,
      anon_sym_COMMA,
    ACTIONS(19924), 1,
      anon_sym_RBRACK,
    STATE(16271), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16269), 2,
      sym_comment,
      sym_block_comment,
  [675682] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19926), 1,
      anon_sym_RBRACE,
    ACTIONS(19928), 1,
      anon_sym_COMMA,
    STATE(16270), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__context_bounds_repeat2,
  [675700] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5632), 1,
      anon_sym_RBRACK,
    ACTIONS(19931), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16271), 2,
      sym_comment,
      sym_block_comment,
  [675720] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19933), 1,
      anon_sym_COMMA,
    ACTIONS(19935), 1,
      anon_sym_RBRACK,
    STATE(16273), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16272), 2,
      sym_comment,
      sym_block_comment,
  [675740] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5638), 1,
      anon_sym_RBRACK,
    ACTIONS(19937), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16273), 2,
      sym_comment,
      sym_block_comment,
  [675760] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19939), 1,
      anon_sym_COMMA,
    ACTIONS(19941), 1,
      anon_sym_RBRACK,
    STATE(16275), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16274), 2,
      sym_comment,
      sym_block_comment,
  [675780] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5650), 1,
      anon_sym_RBRACK,
    ACTIONS(19943), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16275), 2,
      sym_comment,
      sym_block_comment,
  [675800] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19945), 1,
      anon_sym_COMMA,
    ACTIONS(19947), 1,
      anon_sym_RBRACK,
    STATE(16278), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16276), 2,
      sym_comment,
      sym_block_comment,
  [675820] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(19884), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(16277), 2,
      sym_comment,
      sym_block_comment,
  [675838] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5662), 1,
      anon_sym_RBRACK,
    ACTIONS(19949), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16278), 2,
      sym_comment,
      sym_block_comment,
  [675858] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19951), 1,
      anon_sym_COMMA,
    ACTIONS(19953), 1,
      anon_sym_RBRACK,
    STATE(16281), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16279), 2,
      sym_comment,
      sym_block_comment,
  [675878] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19955), 1,
      anon_sym_COMMA,
    ACTIONS(19957), 1,
      anon_sym_RPAREN,
    STATE(16299), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16280), 2,
      sym_comment,
      sym_block_comment,
  [675898] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5672), 1,
      anon_sym_RBRACK,
    ACTIONS(19959), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16281), 2,
      sym_comment,
      sym_block_comment,
  [675918] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19961), 1,
      anon_sym_COMMA,
    ACTIONS(19963), 1,
      anon_sym_RPAREN,
    STATE(16655), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16282), 2,
      sym_comment,
      sym_block_comment,
  [675938] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19965), 1,
      anon_sym_COMMA,
    ACTIONS(19967), 1,
      anon_sym_RBRACK,
    STATE(16285), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16283), 2,
      sym_comment,
      sym_block_comment,
  [675958] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19969), 1,
      anon_sym_COMMA,
    ACTIONS(19971), 1,
      anon_sym_RBRACK,
    STATE(16159), 1,
      aux_sym_type_lambda_repeat1,
    STATE(16284), 2,
      sym_comment,
      sym_block_comment,
  [675978] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5694), 1,
      anon_sym_RBRACK,
    ACTIONS(19973), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16285), 2,
      sym_comment,
      sym_block_comment,
  [675998] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12889), 1,
      anon_sym_RPAREN,
    ACTIONS(19975), 1,
      anon_sym_COMMA,
    STATE(16942), 1,
      aux_sym_parameters_repeat1,
    STATE(16286), 2,
      sym_comment,
      sym_block_comment,
  [676018] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19977), 1,
      anon_sym_COMMA,
    ACTIONS(19979), 1,
      anon_sym_RBRACK,
    STATE(16288), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16287), 2,
      sym_comment,
      sym_block_comment,
  [676038] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5702), 1,
      anon_sym_RBRACK,
    ACTIONS(19981), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16288), 2,
      sym_comment,
      sym_block_comment,
  [676058] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19983), 1,
      anon_sym_COMMA,
    ACTIONS(19985), 1,
      anon_sym_RBRACK,
    STATE(16290), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16289), 2,
      sym_comment,
      sym_block_comment,
  [676078] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5718), 1,
      anon_sym_RBRACK,
    ACTIONS(19987), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16290), 2,
      sym_comment,
      sym_block_comment,
  [676098] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19989), 1,
      anon_sym_COMMA,
    ACTIONS(19991), 1,
      anon_sym_RBRACK,
    STATE(16292), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16291), 2,
      sym_comment,
      sym_block_comment,
  [676118] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5730), 1,
      anon_sym_RBRACK,
    ACTIONS(19993), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16292), 2,
      sym_comment,
      sym_block_comment,
  [676138] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19995), 1,
      anon_sym_COMMA,
    ACTIONS(19997), 1,
      anon_sym_RBRACK,
    STATE(16294), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16293), 2,
      sym_comment,
      sym_block_comment,
  [676158] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5746), 1,
      anon_sym_RBRACK,
    ACTIONS(19999), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16294), 2,
      sym_comment,
      sym_block_comment,
  [676178] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20001), 1,
      anon_sym_COMMA,
    ACTIONS(20003), 1,
      anon_sym_RBRACK,
    STATE(16301), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16295), 2,
      sym_comment,
      sym_block_comment,
  [676198] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7424), 1,
      anon_sym_RPAREN,
    ACTIONS(20005), 1,
      anon_sym_COMMA,
    STATE(16859), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(16296), 2,
      sym_comment,
      sym_block_comment,
  [676218] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13790), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(6195), 1,
      sym_type_arguments,
    STATE(16297), 2,
      sym_comment,
      sym_block_comment,
  [676238] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5108), 1,
      anon_sym_RPAREN,
    ACTIONS(20007), 1,
      anon_sym_COMMA,
    STATE(16942), 1,
      aux_sym_parameters_repeat1,
    STATE(16298), 2,
      sym_comment,
      sym_block_comment,
  [676258] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14205), 1,
      anon_sym_RPAREN,
    ACTIONS(20009), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16299), 2,
      sym_comment,
      sym_block_comment,
  [676278] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5958), 1,
      anon_sym_RPAREN,
    ACTIONS(20011), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16300), 2,
      sym_comment,
      sym_block_comment,
  [676298] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5972), 1,
      anon_sym_RBRACK,
    ACTIONS(20013), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16301), 2,
      sym_comment,
      sym_block_comment,
  [676318] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20015), 1,
      anon_sym_COMMA,
    ACTIONS(20017), 1,
      anon_sym_RPAREN,
    STATE(16562), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16302), 2,
      sym_comment,
      sym_block_comment,
  [676338] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5108), 1,
      anon_sym_RPAREN,
    ACTIONS(20019), 1,
      anon_sym_COMMA,
    STATE(16256), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16303), 2,
      sym_comment,
      sym_block_comment,
  [676358] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(20021), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [676374] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5246), 1,
      anon_sym_RBRACE,
    ACTIONS(20023), 1,
      anon_sym_COMMA,
    STATE(16270), 1,
      aux_sym__context_bounds_repeat2,
    STATE(16305), 2,
      sym_comment,
      sym_block_comment,
  [676394] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(20025), 1,
      sym__interpolated_string_end,
    STATE(16332), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16306), 2,
      sym_comment,
      sym_block_comment,
  [676414] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20025), 1,
      sym__interpolated_multiline_string_end,
    STATE(16333), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16307), 2,
      sym_comment,
      sym_block_comment,
  [676434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12496), 1,
      sym__arrow_then_type,
    ACTIONS(20027), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16308), 2,
      sym_comment,
      sym_block_comment,
  [676452] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20029), 1,
      anon_sym_COMMA,
    ACTIONS(20031), 1,
      anon_sym_RPAREN,
    STATE(16336), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16309), 2,
      sym_comment,
      sym_block_comment,
  [676472] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20033), 1,
      anon_sym_COMMA,
    ACTIONS(20035), 1,
      anon_sym_RPAREN,
    STATE(17002), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16310), 2,
      sym_comment,
      sym_block_comment,
  [676492] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14930), 1,
      anon_sym_RPAREN,
    ACTIONS(20037), 1,
      anon_sym_COMMA,
    STATE(16264), 1,
      aux_sym_case_class_pattern_repeat2,
    STATE(16311), 2,
      sym_comment,
      sym_block_comment,
  [676512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12502), 1,
      sym__arrow_then_type,
    ACTIONS(20027), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16312), 2,
      sym_comment,
      sym_block_comment,
  [676530] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17656), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [676546] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(20039), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16314), 2,
      sym_comment,
      sym_block_comment,
  [676566] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20041), 1,
      anon_sym_COMMA,
    ACTIONS(20043), 1,
      anon_sym_RPAREN,
    STATE(16321), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16315), 2,
      sym_comment,
      sym_block_comment,
  [676586] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20045), 1,
      anon_sym_COMMA,
    ACTIONS(20047), 1,
      anon_sym_RPAREN,
    STATE(16785), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16316), 2,
      sym_comment,
      sym_block_comment,
  [676606] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8082), 1,
      sym__arrow_then_type,
    ACTIONS(20049), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16317), 2,
      sym_comment,
      sym_block_comment,
  [676624] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8145), 1,
      sym__arrow_then_type,
    ACTIONS(20049), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16318), 2,
      sym_comment,
      sym_block_comment,
  [676642] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20051), 1,
      anon_sym_COMMA,
    ACTIONS(20053), 1,
      anon_sym_RBRACK,
    STATE(16325), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16319), 2,
      sym_comment,
      sym_block_comment,
  [676662] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20055), 1,
      anon_sym_COMMA,
    ACTIONS(20057), 1,
      anon_sym_RPAREN,
    STATE(16562), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16320), 2,
      sym_comment,
      sym_block_comment,
  [676682] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14215), 1,
      anon_sym_RPAREN,
    ACTIONS(20059), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16321), 2,
      sym_comment,
      sym_block_comment,
  [676702] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6090), 1,
      anon_sym_RPAREN,
    ACTIONS(20061), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16322), 2,
      sym_comment,
      sym_block_comment,
  [676722] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    STATE(15625), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(16323), 2,
      sym_comment,
      sym_block_comment,
  [676742] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20063), 1,
      anon_sym_DOLLAR,
    STATE(16324), 2,
      sym_comment,
      sym_block_comment,
    STATE(17485), 2,
      sym__dollar_escape,
      sym_interpolation,
  [676760] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6020), 1,
      anon_sym_RBRACK,
    ACTIONS(20065), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16325), 2,
      sym_comment,
      sym_block_comment,
  [676780] = 4,
    ACTIONS(19407), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20070), 1,
      anon_sym_STAR_SLASH,
    ACTIONS(20067), 2,
      anon_sym_SLASH_SLASH,
      aux_sym_block_comment_token1,
    STATE(16326), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_block_comment_repeat1,
  [676796] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20072), 1,
      anon_sym_COMMA,
    ACTIONS(20075), 1,
      anon_sym_RBRACK,
    STATE(16328), 1,
      aux_sym_type_lambda_repeat1,
    STATE(16327), 2,
      sym_comment,
      sym_block_comment,
  [676816] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20078), 1,
      anon_sym_COMMA,
    ACTIONS(20080), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(16328), 2,
      sym_comment,
      sym_block_comment,
  [676836] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20082), 1,
      anon_sym_COMMA,
    ACTIONS(20084), 1,
      anon_sym_RBRACK,
    STATE(16343), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16329), 2,
      sym_comment,
      sym_block_comment,
  [676856] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    STATE(15864), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(16330), 2,
      sym_comment,
      sym_block_comment,
  [676876] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20086), 1,
      anon_sym_LPAREN,
    ACTIONS(20088), 1,
      sym__automatic_semicolon,
    STATE(14254), 1,
      sym_class_parameters,
    STATE(16331), 2,
      sym_comment,
      sym_block_comment,
  [676896] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(20090), 1,
      sym__interpolated_string_end,
    STATE(16752), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16332), 2,
      sym_comment,
      sym_block_comment,
  [676916] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20090), 1,
      sym__interpolated_multiline_string_end,
    STATE(16755), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16333), 2,
      sym_comment,
      sym_block_comment,
  [676936] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20092), 1,
      anon_sym_RBRACE,
    ACTIONS(20094), 1,
      anon_sym_COMMA,
    STATE(16637), 1,
      aux_sym__context_bounds_repeat2,
    STATE(16334), 2,
      sym_comment,
      sym_block_comment,
  [676956] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17308), 1,
      anon_sym_LBRACK,
    STATE(10669), 1,
      sym_type_arguments,
    STATE(16335), 2,
      sym_comment,
      sym_block_comment,
  [676976] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15059), 1,
      anon_sym_RPAREN,
    ACTIONS(20096), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16336), 2,
      sym_comment,
      sym_block_comment,
  [676996] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20098), 1,
      anon_sym_COMMA,
    ACTIONS(20100), 1,
      anon_sym_RPAREN,
    STATE(16341), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16337), 2,
      sym_comment,
      sym_block_comment,
  [677016] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20102), 1,
      anon_sym_COMMA,
    ACTIONS(20104), 1,
      anon_sym_RPAREN,
    STATE(16852), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16338), 2,
      sym_comment,
      sym_block_comment,
  [677036] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5928), 1,
      anon_sym_RPAREN,
    ACTIONS(20106), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16339), 2,
      sym_comment,
      sym_block_comment,
  [677056] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20108), 1,
      anon_sym_COMMA,
    ACTIONS(20110), 1,
      anon_sym_RBRACK,
    STATE(16346), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16340), 2,
      sym_comment,
      sym_block_comment,
  [677076] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14223), 1,
      anon_sym_RPAREN,
    ACTIONS(20112), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16341), 2,
      sym_comment,
      sym_block_comment,
  [677096] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6180), 1,
      anon_sym_RPAREN,
    ACTIONS(20114), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16342), 2,
      sym_comment,
      sym_block_comment,
  [677116] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5820), 1,
      anon_sym_RBRACK,
    ACTIONS(20116), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16343), 2,
      sym_comment,
      sym_block_comment,
  [677136] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11410), 1,
      sym__arrow_then_type,
    ACTIONS(20118), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16344), 2,
      sym_comment,
      sym_block_comment,
  [677154] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11411), 1,
      sym__arrow_then_type,
    ACTIONS(20118), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16345), 2,
      sym_comment,
      sym_block_comment,
  [677172] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6060), 1,
      anon_sym_RBRACK,
    ACTIONS(20120), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16346), 2,
      sym_comment,
      sym_block_comment,
  [677192] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12278), 1,
      sym__arrow_then_type,
    ACTIONS(20122), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16347), 2,
      sym_comment,
      sym_block_comment,
  [677210] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12279), 1,
      sym__arrow_then_type,
    ACTIONS(20122), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16348), 2,
      sym_comment,
      sym_block_comment,
  [677228] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12203), 1,
      sym__arrow_then_type,
    ACTIONS(20124), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16349), 2,
      sym_comment,
      sym_block_comment,
  [677246] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12206), 1,
      sym__arrow_then_type,
    ACTIONS(20124), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16350), 2,
      sym_comment,
      sym_block_comment,
  [677264] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14363), 1,
      sym__arrow_then_type,
    ACTIONS(20126), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16351), 2,
      sym_comment,
      sym_block_comment,
  [677282] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14324), 1,
      sym__arrow_then_type,
    ACTIONS(20126), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16352), 2,
      sym_comment,
      sym_block_comment,
  [677300] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13049), 1,
      sym__arrow_then_type,
    ACTIONS(20128), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16353), 2,
      sym_comment,
      sym_block_comment,
  [677318] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13055), 1,
      sym__arrow_then_type,
    ACTIONS(20128), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16354), 2,
      sym_comment,
      sym_block_comment,
  [677336] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12496), 1,
      sym__arrow_then_type,
    ACTIONS(20130), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16355), 2,
      sym_comment,
      sym_block_comment,
  [677354] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12502), 1,
      sym__arrow_then_type,
    ACTIONS(20130), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16356), 2,
      sym_comment,
      sym_block_comment,
  [677372] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14334), 1,
      sym__arrow_then_type,
    ACTIONS(20132), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16357), 2,
      sym_comment,
      sym_block_comment,
  [677390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14120), 1,
      sym__arrow_then_type,
    ACTIONS(20132), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16358), 2,
      sym_comment,
      sym_block_comment,
  [677408] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14330), 1,
      sym__arrow_then_type,
    ACTIONS(20134), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16359), 2,
      sym_comment,
      sym_block_comment,
  [677426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14381), 1,
      sym__arrow_then_type,
    ACTIONS(20134), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16360), 2,
      sym_comment,
      sym_block_comment,
  [677444] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11980), 1,
      sym__arrow_then_type,
    ACTIONS(20136), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16361), 2,
      sym_comment,
      sym_block_comment,
  [677462] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11982), 1,
      sym__arrow_then_type,
    ACTIONS(20136), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16362), 2,
      sym_comment,
      sym_block_comment,
  [677480] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12861), 1,
      sym__arrow_then_type,
    ACTIONS(20138), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16363), 2,
      sym_comment,
      sym_block_comment,
  [677498] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12862), 1,
      sym__arrow_then_type,
    ACTIONS(20138), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16364), 2,
      sym_comment,
      sym_block_comment,
  [677516] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13314), 1,
      sym__arrow_then_type,
    ACTIONS(20140), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16365), 2,
      sym_comment,
      sym_block_comment,
  [677534] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13315), 1,
      sym__arrow_then_type,
    ACTIONS(20140), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16366), 2,
      sym_comment,
      sym_block_comment,
  [677552] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14425), 1,
      sym__arrow_then_type,
    ACTIONS(20142), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16367), 2,
      sym_comment,
      sym_block_comment,
  [677570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14427), 1,
      sym__arrow_then_type,
    ACTIONS(20142), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16368), 2,
      sym_comment,
      sym_block_comment,
  [677588] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14471), 1,
      sym__arrow_then_type,
    ACTIONS(20144), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16369), 2,
      sym_comment,
      sym_block_comment,
  [677606] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14474), 1,
      sym__arrow_then_type,
    ACTIONS(20144), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16370), 2,
      sym_comment,
      sym_block_comment,
  [677624] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13869), 1,
      sym__arrow_then_type,
    ACTIONS(20146), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16371), 2,
      sym_comment,
      sym_block_comment,
  [677642] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13876), 1,
      sym__arrow_then_type,
    ACTIONS(20146), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16372), 2,
      sym_comment,
      sym_block_comment,
  [677660] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14621), 1,
      sym__arrow_then_type,
    ACTIONS(20148), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16373), 2,
      sym_comment,
      sym_block_comment,
  [677678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14624), 1,
      sym__arrow_then_type,
    ACTIONS(20148), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16374), 2,
      sym_comment,
      sym_block_comment,
  [677696] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12395), 1,
      sym__arrow_then_type,
    ACTIONS(20150), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16375), 2,
      sym_comment,
      sym_block_comment,
  [677714] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12361), 1,
      sym__arrow_then_type,
    ACTIONS(20150), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16376), 2,
      sym_comment,
      sym_block_comment,
  [677732] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13971), 1,
      sym__arrow_then_type,
    ACTIONS(20152), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16377), 2,
      sym_comment,
      sym_block_comment,
  [677750] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13993), 1,
      sym__arrow_then_type,
    ACTIONS(20152), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16378), 2,
      sym_comment,
      sym_block_comment,
  [677768] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14291), 1,
      sym__arrow_then_type,
    ACTIONS(20154), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16379), 2,
      sym_comment,
      sym_block_comment,
  [677786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14336), 1,
      sym__arrow_then_type,
    ACTIONS(20154), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16380), 2,
      sym_comment,
      sym_block_comment,
  [677804] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4730), 1,
      sym__indent,
    STATE(5792), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16381), 2,
      sym_comment,
      sym_block_comment,
  [677822] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20156), 1,
      anon_sym_COMMA,
    ACTIONS(20158), 1,
      anon_sym_RBRACK,
    STATE(16240), 1,
      aux_sym_type_parameters_repeat1,
    STATE(16382), 2,
      sym_comment,
      sym_block_comment,
  [677842] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8488), 1,
      anon_sym_RPAREN,
    ACTIONS(20160), 1,
      anon_sym_COMMA,
    STATE(16262), 1,
      aux_sym_class_parameters_repeat1,
    STATE(16383), 2,
      sym_comment,
      sym_block_comment,
  [677862] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7474), 1,
      anon_sym_RPAREN,
    ACTIONS(20162), 1,
      anon_sym_COMMA,
    STATE(16859), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(16384), 2,
      sym_comment,
      sym_block_comment,
  [677882] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(20164), 1,
      sym__interpolated_string_end,
    STATE(16466), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16385), 2,
      sym_comment,
      sym_block_comment,
  [677902] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20164), 1,
      sym__interpolated_multiline_string_end,
    STATE(16470), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16386), 2,
      sym_comment,
      sym_block_comment,
  [677922] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(20166), 1,
      sym__interpolated_string_end,
    STATE(16752), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16387), 2,
      sym_comment,
      sym_block_comment,
  [677942] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11410), 1,
      sym__arrow_then_type,
    ACTIONS(20168), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16388), 2,
      sym_comment,
      sym_block_comment,
  [677960] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20170), 1,
      anon_sym_DOLLAR,
    STATE(16389), 2,
      sym_comment,
      sym_block_comment,
    STATE(17497), 2,
      sym__dollar_escape,
      sym_interpolation,
  [677978] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20166), 1,
      sym__interpolated_multiline_string_end,
    STATE(16755), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16390), 2,
      sym_comment,
      sym_block_comment,
  [677998] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20172), 1,
      anon_sym_COMMA,
    ACTIONS(20174), 1,
      anon_sym_RPAREN,
    STATE(16399), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16391), 2,
      sym_comment,
      sym_block_comment,
  [678018] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20176), 1,
      anon_sym_COMMA,
    ACTIONS(20178), 1,
      anon_sym_RPAREN,
    STATE(16738), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16392), 2,
      sym_comment,
      sym_block_comment,
  [678038] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20180), 1,
      anon_sym_COMMA,
    ACTIONS(20182), 1,
      anon_sym_RPAREN,
    STATE(16488), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16393), 2,
      sym_comment,
      sym_block_comment,
  [678058] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20184), 1,
      anon_sym_COMMA,
    ACTIONS(20186), 1,
      anon_sym_RPAREN,
    STATE(17326), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16394), 2,
      sym_comment,
      sym_block_comment,
  [678078] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11411), 1,
      sym__arrow_then_type,
    ACTIONS(20168), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16395), 2,
      sym_comment,
      sym_block_comment,
  [678096] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(20188), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16396), 2,
      sym_comment,
      sym_block_comment,
  [678116] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20190), 1,
      anon_sym_COMMA,
    ACTIONS(20192), 1,
      anon_sym_RBRACK,
    STATE(16402), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16397), 2,
      sym_comment,
      sym_block_comment,
  [678136] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7426), 1,
      anon_sym_RPAREN,
    ACTIONS(20194), 1,
      anon_sym_COMMA,
    STATE(16859), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(16398), 2,
      sym_comment,
      sym_block_comment,
  [678156] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14234), 1,
      anon_sym_RPAREN,
    ACTIONS(20196), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16399), 2,
      sym_comment,
      sym_block_comment,
  [678176] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5314), 1,
      anon_sym_RPAREN,
    ACTIONS(20198), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16400), 2,
      sym_comment,
      sym_block_comment,
  [678196] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    STATE(15851), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(16401), 2,
      sym_comment,
      sym_block_comment,
  [678216] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6112), 1,
      anon_sym_RBRACK,
    ACTIONS(20200), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16402), 2,
      sym_comment,
      sym_block_comment,
  [678236] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20202), 1,
      anon_sym_COMMA,
    ACTIONS(20205), 1,
      anon_sym_RBRACK,
    STATE(16405), 1,
      aux_sym_type_lambda_repeat1,
    STATE(16403), 2,
      sym_comment,
      sym_block_comment,
  [678256] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20208), 1,
      anon_sym_COMMA,
    ACTIONS(20210), 1,
      anon_sym_RBRACK,
    STATE(16586), 1,
      aux_sym_type_parameters_repeat1,
    STATE(16404), 2,
      sym_comment,
      sym_block_comment,
  [678276] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20212), 1,
      anon_sym_COMMA,
    ACTIONS(20214), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(16405), 2,
      sym_comment,
      sym_block_comment,
  [678296] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20216), 1,
      anon_sym_COMMA,
    ACTIONS(20218), 1,
      anon_sym_RPAREN,
    STATE(16562), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16406), 2,
      sym_comment,
      sym_block_comment,
  [678316] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    STATE(15849), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(16407), 2,
      sym_comment,
      sym_block_comment,
  [678336] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15404), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(7299), 1,
      sym_type_arguments,
    STATE(16408), 2,
      sym_comment,
      sym_block_comment,
  [678356] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18593), 1,
      anon_sym_EQ,
    ACTIONS(18591), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(16409), 2,
      sym_comment,
      sym_block_comment,
  [678374] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11410), 1,
      sym__arrow_then_type,
    ACTIONS(20220), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16410), 2,
      sym_comment,
      sym_block_comment,
  [678392] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11411), 1,
      sym__arrow_then_type,
    ACTIONS(20220), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16411), 2,
      sym_comment,
      sym_block_comment,
  [678410] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12278), 1,
      sym__arrow_then_type,
    ACTIONS(20222), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16412), 2,
      sym_comment,
      sym_block_comment,
  [678428] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12279), 1,
      sym__arrow_then_type,
    ACTIONS(20222), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16413), 2,
      sym_comment,
      sym_block_comment,
  [678446] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12203), 1,
      sym__arrow_then_type,
    ACTIONS(20224), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16414), 2,
      sym_comment,
      sym_block_comment,
  [678464] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12206), 1,
      sym__arrow_then_type,
    ACTIONS(20224), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16415), 2,
      sym_comment,
      sym_block_comment,
  [678482] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13049), 1,
      sym__arrow_then_type,
    ACTIONS(20226), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16416), 2,
      sym_comment,
      sym_block_comment,
  [678500] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13055), 1,
      sym__arrow_then_type,
    ACTIONS(20226), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16417), 2,
      sym_comment,
      sym_block_comment,
  [678518] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12496), 1,
      sym__arrow_then_type,
    ACTIONS(20228), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16418), 2,
      sym_comment,
      sym_block_comment,
  [678536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12502), 1,
      sym__arrow_then_type,
    ACTIONS(20228), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16419), 2,
      sym_comment,
      sym_block_comment,
  [678554] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11980), 1,
      sym__arrow_then_type,
    ACTIONS(20230), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16420), 2,
      sym_comment,
      sym_block_comment,
  [678572] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11982), 1,
      sym__arrow_then_type,
    ACTIONS(20230), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16421), 2,
      sym_comment,
      sym_block_comment,
  [678590] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12861), 1,
      sym__arrow_then_type,
    ACTIONS(20232), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16422), 2,
      sym_comment,
      sym_block_comment,
  [678608] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12862), 1,
      sym__arrow_then_type,
    ACTIONS(20232), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16423), 2,
      sym_comment,
      sym_block_comment,
  [678626] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12395), 1,
      sym__arrow_then_type,
    ACTIONS(20234), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16424), 2,
      sym_comment,
      sym_block_comment,
  [678644] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12361), 1,
      sym__arrow_then_type,
    ACTIONS(20234), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16425), 2,
      sym_comment,
      sym_block_comment,
  [678662] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11025), 1,
      anon_sym_RPAREN,
    ACTIONS(20236), 1,
      anon_sym_COMMA,
    STATE(16087), 1,
      aux_sym_case_class_pattern_repeat2,
    STATE(16426), 2,
      sym_comment,
      sym_block_comment,
  [678682] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20238), 1,
      anon_sym_COMMA,
    ACTIONS(20240), 1,
      anon_sym_RPAREN,
    STATE(16437), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16427), 2,
      sym_comment,
      sym_block_comment,
  [678702] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20242), 1,
      anon_sym_COMMA,
    ACTIONS(20244), 1,
      anon_sym_RPAREN,
    STATE(16779), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16428), 2,
      sym_comment,
      sym_block_comment,
  [678722] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(20246), 1,
      sym__interpolated_string_end,
    STATE(16480), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16429), 2,
      sym_comment,
      sym_block_comment,
  [678742] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20246), 1,
      sym__interpolated_multiline_string_end,
    STATE(16481), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16430), 2,
      sym_comment,
      sym_block_comment,
  [678762] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(20248), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16431), 2,
      sym_comment,
      sym_block_comment,
  [678782] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14334), 1,
      sym__arrow_then_type,
    ACTIONS(20250), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16432), 2,
      sym_comment,
      sym_block_comment,
  [678800] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20252), 1,
      anon_sym_COMMA,
    ACTIONS(20254), 1,
      anon_sym_RBRACK,
    STATE(16445), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16433), 2,
      sym_comment,
      sym_block_comment,
  [678820] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20256), 1,
      anon_sym_COMMA,
    ACTIONS(20258), 1,
      anon_sym_RPAREN,
    STATE(16487), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16434), 2,
      sym_comment,
      sym_block_comment,
  [678840] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20260), 1,
      anon_sym_COMMA,
    ACTIONS(20262), 1,
      anon_sym_RPAREN,
    STATE(17142), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16435), 2,
      sym_comment,
      sym_block_comment,
  [678860] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14120), 1,
      sym__arrow_then_type,
    ACTIONS(20250), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16436), 2,
      sym_comment,
      sym_block_comment,
  [678878] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14242), 1,
      anon_sym_RPAREN,
    ACTIONS(20264), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16437), 2,
      sym_comment,
      sym_block_comment,
  [678898] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14472), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(7052), 1,
      sym_type_arguments,
    STATE(16438), 2,
      sym_comment,
      sym_block_comment,
  [678918] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5294), 1,
      anon_sym_RPAREN,
    ACTIONS(20266), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16439), 2,
      sym_comment,
      sym_block_comment,
  [678938] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    STATE(15592), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(16440), 2,
      sym_comment,
      sym_block_comment,
  [678958] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17668), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [678974] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20268), 1,
      anon_sym_COMMA,
    ACTIONS(20271), 1,
      anon_sym_RBRACK,
    STATE(16444), 1,
      aux_sym_type_lambda_repeat1,
    STATE(16442), 2,
      sym_comment,
      sym_block_comment,
  [678994] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20274), 1,
      anon_sym_COMMA,
    ACTIONS(20276), 1,
      anon_sym_RBRACK,
    STATE(16510), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16443), 2,
      sym_comment,
      sym_block_comment,
  [679014] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20278), 1,
      anon_sym_COMMA,
    ACTIONS(20280), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(16444), 2,
      sym_comment,
      sym_block_comment,
  [679034] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6150), 1,
      anon_sym_RBRACK,
    ACTIONS(20282), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16445), 2,
      sym_comment,
      sym_block_comment,
  [679054] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    STATE(15718), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(16446), 2,
      sym_comment,
      sym_block_comment,
  [679074] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17473), 1,
      anon_sym_COLON,
    ACTIONS(17475), 1,
      anon_sym_LBRACE,
    STATE(15446), 1,
      sym_enum_body,
    STATE(16447), 2,
      sym_comment,
      sym_block_comment,
  [679094] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11410), 1,
      sym__arrow_then_type,
    ACTIONS(20284), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16448), 2,
      sym_comment,
      sym_block_comment,
  [679112] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11411), 1,
      sym__arrow_then_type,
    ACTIONS(20284), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16449), 2,
      sym_comment,
      sym_block_comment,
  [679130] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12278), 1,
      sym__arrow_then_type,
    ACTIONS(20286), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16450), 2,
      sym_comment,
      sym_block_comment,
  [679148] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12279), 1,
      sym__arrow_then_type,
    ACTIONS(20286), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16451), 2,
      sym_comment,
      sym_block_comment,
  [679166] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12203), 1,
      sym__arrow_then_type,
    ACTIONS(20288), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16452), 2,
      sym_comment,
      sym_block_comment,
  [679184] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12206), 1,
      sym__arrow_then_type,
    ACTIONS(20288), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16453), 2,
      sym_comment,
      sym_block_comment,
  [679202] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13049), 1,
      sym__arrow_then_type,
    ACTIONS(20290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16454), 2,
      sym_comment,
      sym_block_comment,
  [679220] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13055), 1,
      sym__arrow_then_type,
    ACTIONS(20290), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16455), 2,
      sym_comment,
      sym_block_comment,
  [679238] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12496), 1,
      sym__arrow_then_type,
    ACTIONS(20292), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16456), 2,
      sym_comment,
      sym_block_comment,
  [679256] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12502), 1,
      sym__arrow_then_type,
    ACTIONS(20292), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16457), 2,
      sym_comment,
      sym_block_comment,
  [679274] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11980), 1,
      sym__arrow_then_type,
    ACTIONS(20294), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16458), 2,
      sym_comment,
      sym_block_comment,
  [679292] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11982), 1,
      sym__arrow_then_type,
    ACTIONS(20294), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16459), 2,
      sym_comment,
      sym_block_comment,
  [679310] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12861), 1,
      sym__arrow_then_type,
    ACTIONS(20296), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16460), 2,
      sym_comment,
      sym_block_comment,
  [679328] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12862), 1,
      sym__arrow_then_type,
    ACTIONS(20296), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16461), 2,
      sym_comment,
      sym_block_comment,
  [679346] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12395), 1,
      sym__arrow_then_type,
    ACTIONS(20298), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16462), 2,
      sym_comment,
      sym_block_comment,
  [679364] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12361), 1,
      sym__arrow_then_type,
    ACTIONS(20298), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16463), 2,
      sym_comment,
      sym_block_comment,
  [679382] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20300), 1,
      anon_sym_COMMA,
    ACTIONS(20302), 1,
      anon_sym_RPAREN,
    STATE(16562), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16464), 2,
      sym_comment,
      sym_block_comment,
  [679402] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(20304), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16465), 2,
      sym_comment,
      sym_block_comment,
  [679422] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(20306), 1,
      sym__interpolated_string_end,
    STATE(16752), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16466), 2,
      sym_comment,
      sym_block_comment,
  [679442] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20308), 1,
      anon_sym_COMMA,
    ACTIONS(20310), 1,
      anon_sym_RPAREN,
    STATE(16482), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16467), 2,
      sym_comment,
      sym_block_comment,
  [679462] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20312), 1,
      anon_sym_COMMA,
    ACTIONS(20314), 1,
      anon_sym_RPAREN,
    STATE(16818), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16468), 2,
      sym_comment,
      sym_block_comment,
  [679482] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20316), 1,
      anon_sym_COMMA,
    ACTIONS(20318), 1,
      anon_sym_RBRACK,
    STATE(16497), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16469), 2,
      sym_comment,
      sym_block_comment,
  [679502] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20306), 1,
      sym__interpolated_multiline_string_end,
    STATE(16755), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16470), 2,
      sym_comment,
      sym_block_comment,
  [679522] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    STATE(15585), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(16471), 2,
      sym_comment,
      sym_block_comment,
  [679542] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(20322), 1,
      anon_sym_RBRACK,
    STATE(16486), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16472), 2,
      sym_comment,
      sym_block_comment,
  [679562] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    STATE(15750), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(16473), 2,
      sym_comment,
      sym_block_comment,
  [679582] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11410), 1,
      sym__arrow_then_type,
    ACTIONS(20324), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16474), 2,
      sym_comment,
      sym_block_comment,
  [679600] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11411), 1,
      sym__arrow_then_type,
    ACTIONS(20324), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16475), 2,
      sym_comment,
      sym_block_comment,
  [679618] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12278), 1,
      sym__arrow_then_type,
    ACTIONS(20326), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16476), 2,
      sym_comment,
      sym_block_comment,
  [679636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12279), 1,
      sym__arrow_then_type,
    ACTIONS(20326), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16477), 2,
      sym_comment,
      sym_block_comment,
  [679654] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13049), 1,
      sym__arrow_then_type,
    ACTIONS(20328), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16478), 2,
      sym_comment,
      sym_block_comment,
  [679672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13055), 1,
      sym__arrow_then_type,
    ACTIONS(20328), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16479), 2,
      sym_comment,
      sym_block_comment,
  [679690] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(20330), 1,
      sym__interpolated_string_end,
    STATE(16752), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16480), 2,
      sym_comment,
      sym_block_comment,
  [679710] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20330), 1,
      sym__interpolated_multiline_string_end,
    STATE(16755), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16481), 2,
      sym_comment,
      sym_block_comment,
  [679730] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14256), 1,
      anon_sym_RPAREN,
    ACTIONS(20332), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16482), 2,
      sym_comment,
      sym_block_comment,
  [679750] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7426), 1,
      anon_sym_RPAREN,
    ACTIONS(20334), 1,
      anon_sym_COMMA,
    STATE(16264), 1,
      aux_sym_case_class_pattern_repeat2,
    STATE(16483), 2,
      sym_comment,
      sym_block_comment,
  [679770] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5784), 1,
      anon_sym_RPAREN,
    ACTIONS(20336), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16484), 2,
      sym_comment,
      sym_block_comment,
  [679790] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18398), 1,
      anon_sym_EQ,
    ACTIONS(18396), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(16485), 2,
      sym_comment,
      sym_block_comment,
  [679808] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5664), 1,
      anon_sym_RBRACK,
    ACTIONS(20338), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16486), 2,
      sym_comment,
      sym_block_comment,
  [679828] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15079), 1,
      anon_sym_RPAREN,
    ACTIONS(20340), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16487), 2,
      sym_comment,
      sym_block_comment,
  [679848] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14951), 1,
      anon_sym_RPAREN,
    ACTIONS(20342), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16488), 2,
      sym_comment,
      sym_block_comment,
  [679868] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(20344), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16489), 2,
      sym_comment,
      sym_block_comment,
  [679888] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5596), 1,
      anon_sym_RPAREN,
    ACTIONS(20346), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16490), 2,
      sym_comment,
      sym_block_comment,
  [679908] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    STATE(15717), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(16491), 2,
      sym_comment,
      sym_block_comment,
  [679928] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5946), 1,
      anon_sym_RPAREN,
    ACTIONS(20348), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16492), 2,
      sym_comment,
      sym_block_comment,
  [679948] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    STATE(15544), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(16493), 2,
      sym_comment,
      sym_block_comment,
  [679968] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11410), 1,
      sym__arrow_then_type,
    ACTIONS(20350), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16494), 2,
      sym_comment,
      sym_block_comment,
  [679986] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11411), 1,
      sym__arrow_then_type,
    ACTIONS(20350), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16495), 2,
      sym_comment,
      sym_block_comment,
  [680004] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(20352), 1,
      sym__interpolated_string_end,
    STATE(16676), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16496), 2,
      sym_comment,
      sym_block_comment,
  [680024] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5898), 1,
      anon_sym_RBRACK,
    ACTIONS(20354), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16497), 2,
      sym_comment,
      sym_block_comment,
  [680044] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20356), 1,
      anon_sym_COMMA,
    ACTIONS(20358), 1,
      anon_sym_RPAREN,
    STATE(16506), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16498), 2,
      sym_comment,
      sym_block_comment,
  [680064] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20360), 1,
      anon_sym_COMMA,
    ACTIONS(20362), 1,
      anon_sym_RPAREN,
    STATE(16838), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16499), 2,
      sym_comment,
      sym_block_comment,
  [680084] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4492), 1,
      sym__indent,
    STATE(7338), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16500), 2,
      sym_comment,
      sym_block_comment,
  [680102] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(20364), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16501), 2,
      sym_comment,
      sym_block_comment,
  [680122] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20366), 1,
      anon_sym_COMMA,
    ACTIONS(20368), 1,
      anon_sym_RBRACK,
    STATE(16511), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16502), 2,
      sym_comment,
      sym_block_comment,
  [680142] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    STATE(15790), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(16503), 2,
      sym_comment,
      sym_block_comment,
  [680162] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    STATE(15867), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(16504), 2,
      sym_comment,
      sym_block_comment,
  [680182] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12638), 1,
      anon_sym_COMMA,
    ACTIONS(20370), 1,
      anon_sym_COLON,
    STATE(16616), 1,
      aux_sym_val_declaration_repeat1,
    STATE(16505), 2,
      sym_comment,
      sym_block_comment,
  [680202] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14264), 1,
      anon_sym_RPAREN,
    ACTIONS(20372), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16506), 2,
      sym_comment,
      sym_block_comment,
  [680222] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11410), 1,
      sym__arrow_then_type,
    ACTIONS(20374), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16507), 2,
      sym_comment,
      sym_block_comment,
  [680240] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11411), 1,
      sym__arrow_then_type,
    ACTIONS(20374), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16508), 2,
      sym_comment,
      sym_block_comment,
  [680258] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5396), 1,
      anon_sym_RPAREN,
    ACTIONS(20376), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16509), 2,
      sym_comment,
      sym_block_comment,
  [680278] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5438), 1,
      anon_sym_RBRACK,
    ACTIONS(20378), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16510), 2,
      sym_comment,
      sym_block_comment,
  [680298] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5344), 1,
      anon_sym_RBRACK,
    ACTIONS(20380), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16511), 2,
      sym_comment,
      sym_block_comment,
  [680318] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(19225), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [680334] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4698), 1,
      sym__indent,
    STATE(10731), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16513), 2,
      sym_comment,
      sym_block_comment,
  [680352] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(20382), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16514), 2,
      sym_comment,
      sym_block_comment,
  [680372] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12638), 1,
      anon_sym_COMMA,
    ACTIONS(20384), 1,
      anon_sym_COLON,
    STATE(16616), 1,
      aux_sym_val_declaration_repeat1,
    STATE(16515), 2,
      sym_comment,
      sym_block_comment,
  [680392] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    STATE(15648), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(16516), 2,
      sym_comment,
      sym_block_comment,
  [680412] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12638), 1,
      anon_sym_COMMA,
    ACTIONS(20386), 1,
      anon_sym_COLON,
    STATE(16616), 1,
      aux_sym_val_declaration_repeat1,
    STATE(16517), 2,
      sym_comment,
      sym_block_comment,
  [680432] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    STATE(15669), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(16518), 2,
      sym_comment,
      sym_block_comment,
  [680452] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8771), 1,
      anon_sym_RPAREN,
    ACTIONS(20388), 1,
      anon_sym_COMMA,
    STATE(16262), 1,
      aux_sym_class_parameters_repeat1,
    STATE(16519), 2,
      sym_comment,
      sym_block_comment,
  [680472] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20390), 1,
      anon_sym_COMMA,
    ACTIONS(20392), 1,
      anon_sym_RPAREN,
    STATE(16528), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16520), 2,
      sym_comment,
      sym_block_comment,
  [680492] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20394), 1,
      anon_sym_COMMA,
    ACTIONS(20396), 1,
      anon_sym_RPAREN,
    STATE(16854), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16521), 2,
      sym_comment,
      sym_block_comment,
  [680512] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10044), 3,
      anon_sym_COLON,
      anon_sym_with,
      anon_sym_LPAREN,
  [680528] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12638), 1,
      anon_sym_COMMA,
    ACTIONS(20398), 1,
      anon_sym_COLON,
    STATE(16616), 1,
      aux_sym_val_declaration_repeat1,
    STATE(16523), 2,
      sym_comment,
      sym_block_comment,
  [680548] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(20400), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16524), 2,
      sym_comment,
      sym_block_comment,
  [680568] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20402), 1,
      anon_sym_COMMA,
    ACTIONS(20404), 1,
      anon_sym_RBRACK,
    STATE(16532), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16525), 2,
      sym_comment,
      sym_block_comment,
  [680588] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    STATE(15765), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(16526), 2,
      sym_comment,
      sym_block_comment,
  [680608] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20352), 1,
      sym__interpolated_multiline_string_end,
    STATE(16685), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16527), 2,
      sym_comment,
      sym_block_comment,
  [680628] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14272), 1,
      anon_sym_RPAREN,
    ACTIONS(20406), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16528), 2,
      sym_comment,
      sym_block_comment,
  [680648] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15333), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(7357), 1,
      sym_type_arguments,
    STATE(16529), 2,
      sym_comment,
      sym_block_comment,
  [680668] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    STATE(15603), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(16530), 2,
      sym_comment,
      sym_block_comment,
  [680688] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5338), 1,
      anon_sym_RPAREN,
    ACTIONS(20408), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16531), 2,
      sym_comment,
      sym_block_comment,
  [680708] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6006), 1,
      anon_sym_RBRACK,
    ACTIONS(20410), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16532), 2,
      sym_comment,
      sym_block_comment,
  [680728] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20412), 1,
      anon_sym_COMMA,
    ACTIONS(20414), 1,
      anon_sym_RBRACK,
    STATE(16382), 1,
      aux_sym_type_parameters_repeat1,
    STATE(16533), 2,
      sym_comment,
      sym_block_comment,
  [680748] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(20416), 1,
      sym__interpolated_string_end,
    STATE(16668), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16534), 2,
      sym_comment,
      sym_block_comment,
  [680768] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20416), 1,
      sym__interpolated_multiline_string_end,
    STATE(16670), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16535), 2,
      sym_comment,
      sym_block_comment,
  [680788] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(20418), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16536), 2,
      sym_comment,
      sym_block_comment,
  [680808] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17882), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [680824] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(13833), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(16538), 2,
      sym_comment,
      sym_block_comment,
  [680842] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(20420), 1,
      sym__interpolated_string_end,
    STATE(16570), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16539), 2,
      sym_comment,
      sym_block_comment,
  [680862] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20420), 1,
      sym__interpolated_multiline_string_end,
    STATE(16572), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16540), 2,
      sym_comment,
      sym_block_comment,
  [680882] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    STATE(15794), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(16541), 2,
      sym_comment,
      sym_block_comment,
  [680902] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14330), 1,
      sym__arrow_then_type,
    ACTIONS(20422), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16542), 2,
      sym_comment,
      sym_block_comment,
  [680920] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    STATE(15605), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(16543), 2,
      sym_comment,
      sym_block_comment,
  [680940] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20424), 1,
      anon_sym_COMMA,
    ACTIONS(20426), 1,
      anon_sym_RPAREN,
    STATE(16577), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16544), 2,
      sym_comment,
      sym_block_comment,
  [680960] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20428), 1,
      anon_sym_COMMA,
    ACTIONS(20430), 1,
      anon_sym_RPAREN,
    STATE(17333), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16545), 2,
      sym_comment,
      sym_block_comment,
  [680980] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14381), 1,
      sym__arrow_then_type,
    ACTIONS(20422), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16546), 2,
      sym_comment,
      sym_block_comment,
  [680998] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20432), 1,
      anon_sym_COMMA,
    ACTIONS(20434), 1,
      anon_sym_RPAREN,
    STATE(16556), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16547), 2,
      sym_comment,
      sym_block_comment,
  [681018] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20436), 1,
      anon_sym_COMMA,
    ACTIONS(20438), 1,
      anon_sym_RPAREN,
    STATE(16866), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16548), 2,
      sym_comment,
      sym_block_comment,
  [681038] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20440), 1,
      anon_sym_COMMA,
    ACTIONS(20442), 1,
      anon_sym_RBRACK,
    STATE(16841), 1,
      aux_sym_type_parameters_repeat1,
    STATE(16549), 2,
      sym_comment,
      sym_block_comment,
  [681058] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12278), 1,
      sym__arrow_then_type,
    ACTIONS(20444), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16550), 2,
      sym_comment,
      sym_block_comment,
  [681076] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(20446), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16551), 2,
      sym_comment,
      sym_block_comment,
  [681096] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20448), 1,
      anon_sym_COMMA,
    ACTIONS(20450), 1,
      anon_sym_RBRACK,
    STATE(16561), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16552), 2,
      sym_comment,
      sym_block_comment,
  [681116] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    STATE(15731), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(16553), 2,
      sym_comment,
      sym_block_comment,
  [681136] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12901), 1,
      anon_sym_RPAREN,
    ACTIONS(20452), 1,
      anon_sym_COMMA,
    STATE(16686), 1,
      aux_sym_parameters_repeat1,
    STATE(16554), 2,
      sym_comment,
      sym_block_comment,
  [681156] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8430), 1,
      anon_sym_RPAREN,
    ACTIONS(20454), 1,
      anon_sym_COMMA,
    STATE(16802), 1,
      aux_sym_class_parameters_repeat1,
    STATE(16555), 2,
      sym_comment,
      sym_block_comment,
  [681176] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14282), 1,
      anon_sym_RPAREN,
    ACTIONS(20456), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16556), 2,
      sym_comment,
      sym_block_comment,
  [681196] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    STATE(15618), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(16557), 2,
      sym_comment,
      sym_block_comment,
  [681216] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5488), 1,
      anon_sym_RPAREN,
    ACTIONS(20458), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16558), 2,
      sym_comment,
      sym_block_comment,
  [681236] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20460), 1,
      anon_sym_COMMA,
    ACTIONS(20462), 1,
      anon_sym_RPAREN,
    STATE(16692), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16559), 2,
      sym_comment,
      sym_block_comment,
  [681256] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20464), 1,
      anon_sym_COMMA,
    ACTIONS(20466), 1,
      anon_sym_RPAREN,
    STATE(16562), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16560), 2,
      sym_comment,
      sym_block_comment,
  [681276] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5360), 1,
      anon_sym_RBRACK,
    ACTIONS(20468), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16561), 2,
      sym_comment,
      sym_block_comment,
  [681296] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17999), 1,
      anon_sym_RPAREN,
    ACTIONS(20470), 1,
      anon_sym_COMMA,
    STATE(16562), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_tuple_expression_repeat1,
  [681314] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(20473), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16563), 2,
      sym_comment,
      sym_block_comment,
  [681334] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20475), 1,
      anon_sym_COMMA,
    ACTIONS(20477), 1,
      anon_sym_RPAREN,
    STATE(17229), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16564), 2,
      sym_comment,
      sym_block_comment,
  [681354] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12279), 1,
      sym__arrow_then_type,
    ACTIONS(20444), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16565), 2,
      sym_comment,
      sym_block_comment,
  [681372] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20479), 1,
      anon_sym_COMMA,
    ACTIONS(20481), 1,
      anon_sym_RBRACK,
    STATE(16593), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16566), 2,
      sym_comment,
      sym_block_comment,
  [681392] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17037), 1,
      anon_sym_LBRACK,
    STATE(10070), 1,
      sym_type_arguments,
    STATE(16567), 2,
      sym_comment,
      sym_block_comment,
  [681412] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    STATE(15636), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(16568), 2,
      sym_comment,
      sym_block_comment,
  [681432] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20483), 1,
      anon_sym_COMMA,
    ACTIONS(20485), 1,
      anon_sym_RBRACK,
    STATE(16152), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16569), 2,
      sym_comment,
      sym_block_comment,
  [681452] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(20487), 1,
      sym__interpolated_string_end,
    STATE(16752), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16570), 2,
      sym_comment,
      sym_block_comment,
  [681472] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    STATE(15741), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(16571), 2,
      sym_comment,
      sym_block_comment,
  [681492] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20487), 1,
      sym__interpolated_multiline_string_end,
    STATE(16755), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16572), 2,
      sym_comment,
      sym_block_comment,
  [681512] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20489), 1,
      anon_sym_COMMA,
    ACTIONS(20491), 1,
      anon_sym_RPAREN,
    STATE(16585), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16573), 2,
      sym_comment,
      sym_block_comment,
  [681532] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20493), 1,
      anon_sym_COMMA,
    ACTIONS(20495), 1,
      anon_sym_RPAREN,
    STATE(16947), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16574), 2,
      sym_comment,
      sym_block_comment,
  [681552] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20497), 1,
      anon_sym_COLON,
    ACTIONS(20499), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(16575), 2,
      sym_comment,
      sym_block_comment,
  [681570] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(20501), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16576), 2,
      sym_comment,
      sym_block_comment,
  [681590] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15095), 1,
      anon_sym_RPAREN,
    ACTIONS(20503), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16577), 2,
      sym_comment,
      sym_block_comment,
  [681610] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    STATE(15751), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(16578), 2,
      sym_comment,
      sym_block_comment,
  [681630] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20505), 1,
      anon_sym_COMMA,
    ACTIONS(20507), 1,
      anon_sym_RBRACK,
    STATE(16588), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16579), 2,
      sym_comment,
      sym_block_comment,
  [681650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20509), 1,
      anon_sym_COLON,
    ACTIONS(20511), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(16580), 2,
      sym_comment,
      sym_block_comment,
  [681668] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    STATE(15706), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(16581), 2,
      sym_comment,
      sym_block_comment,
  [681688] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20513), 1,
      anon_sym_COMMA,
    ACTIONS(20516), 1,
      anon_sym_RPAREN,
    STATE(16582), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_bindings_repeat1,
  [681706] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(13837), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(16583), 2,
      sym_comment,
      sym_block_comment,
  [681724] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5652), 1,
      anon_sym_RPAREN,
    ACTIONS(20518), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16584), 2,
      sym_comment,
      sym_block_comment,
  [681744] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14294), 1,
      anon_sym_RPAREN,
    ACTIONS(20520), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16585), 2,
      sym_comment,
      sym_block_comment,
  [681764] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20522), 1,
      anon_sym_COMMA,
    ACTIONS(20524), 1,
      anon_sym_RBRACK,
    STATE(16240), 1,
      aux_sym_type_parameters_repeat1,
    STATE(16586), 2,
      sym_comment,
      sym_block_comment,
  [681784] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5310), 1,
      anon_sym_RPAREN,
    ACTIONS(20526), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16587), 2,
      sym_comment,
      sym_block_comment,
  [681804] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5428), 1,
      anon_sym_RBRACK,
    ACTIONS(20528), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16588), 2,
      sym_comment,
      sym_block_comment,
  [681824] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(20530), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16589), 2,
      sym_comment,
      sym_block_comment,
  [681844] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18742), 1,
      anon_sym_EQ,
    ACTIONS(18740), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(16590), 2,
      sym_comment,
      sym_block_comment,
  [681862] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(20532), 1,
      anon_sym_LBRACK,
    STATE(11477), 1,
      sym_type_arguments,
    STATE(16591), 2,
      sym_comment,
      sym_block_comment,
  [681882] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    STATE(15808), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(16592), 2,
      sym_comment,
      sym_block_comment,
  [681902] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5956), 1,
      anon_sym_RBRACK,
    ACTIONS(20534), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16593), 2,
      sym_comment,
      sym_block_comment,
  [681922] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4302), 1,
      sym__indent,
    STATE(7391), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16594), 2,
      sym_comment,
      sym_block_comment,
  [681940] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    STATE(15757), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(16595), 2,
      sym_comment,
      sym_block_comment,
  [681960] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20536), 1,
      anon_sym_COMMA,
    ACTIONS(20538), 1,
      anon_sym_RPAREN,
    STATE(16605), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16596), 2,
      sym_comment,
      sym_block_comment,
  [681980] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20540), 1,
      anon_sym_COMMA,
    ACTIONS(20542), 1,
      anon_sym_RPAREN,
    STATE(16997), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16597), 2,
      sym_comment,
      sym_block_comment,
  [682000] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(20544), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16598), 2,
      sym_comment,
      sym_block_comment,
  [682020] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    STATE(15871), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(16599), 2,
      sym_comment,
      sym_block_comment,
  [682040] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20546), 1,
      anon_sym_COMMA,
    ACTIONS(20548), 1,
      anon_sym_RPAREN,
    STATE(16562), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16600), 2,
      sym_comment,
      sym_block_comment,
  [682060] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20550), 1,
      anon_sym_COMMA,
    ACTIONS(20552), 1,
      anon_sym_RBRACK,
    STATE(16610), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16601), 2,
      sym_comment,
      sym_block_comment,
  [682080] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    STATE(15666), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(16602), 2,
      sym_comment,
      sym_block_comment,
  [682100] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(20554), 1,
      sym__interpolated_string_end,
    STATE(16647), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16603), 2,
      sym_comment,
      sym_block_comment,
  [682120] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20554), 1,
      sym__interpolated_multiline_string_end,
    STATE(16649), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16604), 2,
      sym_comment,
      sym_block_comment,
  [682140] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14302), 1,
      anon_sym_RPAREN,
    ACTIONS(20556), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16605), 2,
      sym_comment,
      sym_block_comment,
  [682160] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11410), 1,
      sym__arrow_then_type,
    ACTIONS(20558), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16606), 2,
      sym_comment,
      sym_block_comment,
  [682178] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5524), 1,
      anon_sym_RPAREN,
    ACTIONS(20560), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16607), 2,
      sym_comment,
      sym_block_comment,
  [682198] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20562), 1,
      anon_sym_COMMA,
    ACTIONS(20564), 1,
      anon_sym_RPAREN,
    STATE(16656), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16608), 2,
      sym_comment,
      sym_block_comment,
  [682218] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20566), 1,
      anon_sym_COMMA,
    ACTIONS(20568), 1,
      anon_sym_RPAREN,
    STATE(16026), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16609), 2,
      sym_comment,
      sym_block_comment,
  [682238] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5750), 1,
      anon_sym_RBRACK,
    ACTIONS(20570), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16610), 2,
      sym_comment,
      sym_block_comment,
  [682258] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(20572), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16611), 2,
      sym_comment,
      sym_block_comment,
  [682278] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11411), 1,
      sym__arrow_then_type,
    ACTIONS(20558), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16612), 2,
      sym_comment,
      sym_block_comment,
  [682296] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    STATE(15654), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(16613), 2,
      sym_comment,
      sym_block_comment,
  [682316] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    STATE(15724), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(16614), 2,
      sym_comment,
      sym_block_comment,
  [682336] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(20574), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [682352] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20576), 1,
      anon_sym_COLON,
    ACTIONS(20578), 1,
      anon_sym_COMMA,
    STATE(16616), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_val_declaration_repeat1,
  [682370] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16788), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(9738), 1,
      sym_type_arguments,
    STATE(16617), 2,
      sym_comment,
      sym_block_comment,
  [682390] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20581), 1,
      anon_sym_COMMA,
    ACTIONS(20583), 1,
      anon_sym_RPAREN,
    STATE(16562), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16618), 2,
      sym_comment,
      sym_block_comment,
  [682410] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(20585), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16619), 2,
      sym_comment,
      sym_block_comment,
  [682430] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20587), 1,
      anon_sym_COMMA,
    ACTIONS(20589), 1,
      anon_sym_RPAREN,
    STATE(16625), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16620), 2,
      sym_comment,
      sym_block_comment,
  [682450] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20591), 1,
      anon_sym_COMMA,
    ACTIONS(20593), 1,
      anon_sym_RPAREN,
    STATE(15926), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16621), 2,
      sym_comment,
      sym_block_comment,
  [682470] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    STATE(15541), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(16622), 2,
      sym_comment,
      sym_block_comment,
  [682490] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    STATE(15777), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(16623), 2,
      sym_comment,
      sym_block_comment,
  [682510] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20595), 1,
      anon_sym_COMMA,
    ACTIONS(20597), 1,
      anon_sym_RBRACK,
    STATE(16630), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16624), 2,
      sym_comment,
      sym_block_comment,
  [682530] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14310), 1,
      anon_sym_RPAREN,
    ACTIONS(20599), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16625), 2,
      sym_comment,
      sym_block_comment,
  [682550] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(20601), 1,
      sym__interpolated_string_end,
    STATE(16650), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16626), 2,
      sym_comment,
      sym_block_comment,
  [682570] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5434), 1,
      anon_sym_RPAREN,
    ACTIONS(20603), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16627), 2,
      sym_comment,
      sym_block_comment,
  [682590] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20601), 1,
      sym__interpolated_multiline_string_end,
    STATE(16651), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16628), 2,
      sym_comment,
      sym_block_comment,
  [682610] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(20605), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16629), 2,
      sym_comment,
      sym_block_comment,
  [682630] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6048), 1,
      anon_sym_RBRACK,
    ACTIONS(20607), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16630), 2,
      sym_comment,
      sym_block_comment,
  [682650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11423), 1,
      sym__arrow_then_type,
    ACTIONS(20609), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16631), 2,
      sym_comment,
      sym_block_comment,
  [682668] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20611), 1,
      anon_sym_COMMA,
    ACTIONS(20613), 1,
      anon_sym_RPAREN,
    STATE(16654), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16632), 2,
      sym_comment,
      sym_block_comment,
  [682688] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20615), 1,
      anon_sym_COMMA,
    ACTIONS(20617), 1,
      anon_sym_RPAREN,
    STATE(16145), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16633), 2,
      sym_comment,
      sym_block_comment,
  [682708] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11426), 1,
      sym__arrow_then_type,
    ACTIONS(20609), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16634), 2,
      sym_comment,
      sym_block_comment,
  [682726] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    STATE(15827), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(16635), 2,
      sym_comment,
      sym_block_comment,
  [682746] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20619), 1,
      anon_sym_COMMA,
    ACTIONS(20621), 1,
      anon_sym_RBRACK,
    STATE(16674), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16636), 2,
      sym_comment,
      sym_block_comment,
  [682766] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5232), 1,
      anon_sym_RBRACE,
    ACTIONS(20623), 1,
      anon_sym_COMMA,
    STATE(16270), 1,
      aux_sym__context_bounds_repeat2,
    STATE(16637), 2,
      sym_comment,
      sym_block_comment,
  [682786] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20625), 1,
      anon_sym_COMMA,
    ACTIONS(20627), 1,
      anon_sym_RPAREN,
    STATE(16562), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16638), 2,
      sym_comment,
      sym_block_comment,
  [682806] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20629), 1,
      anon_sym_COMMA,
    ACTIONS(20631), 1,
      anon_sym_RPAREN,
    STATE(16644), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16639), 2,
      sym_comment,
      sym_block_comment,
  [682826] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20633), 1,
      anon_sym_COMMA,
    ACTIONS(20635), 1,
      anon_sym_RPAREN,
    STATE(15986), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16640), 2,
      sym_comment,
      sym_block_comment,
  [682846] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    STATE(15842), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(16641), 2,
      sym_comment,
      sym_block_comment,
  [682866] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20637), 1,
      anon_sym_COMMA,
    ACTIONS(20639), 1,
      anon_sym_RBRACK,
    STATE(16648), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16642), 2,
      sym_comment,
      sym_block_comment,
  [682886] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20641), 1,
      anon_sym_COMMA,
    ACTIONS(20643), 1,
      anon_sym_RBRACK,
    STATE(16727), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16643), 2,
      sym_comment,
      sym_block_comment,
  [682906] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14318), 1,
      anon_sym_RPAREN,
    ACTIONS(20645), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16644), 2,
      sym_comment,
      sym_block_comment,
  [682926] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20647), 1,
      anon_sym_COMMA,
    ACTIONS(20649), 1,
      anon_sym_RBRACK,
    STATE(16660), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16645), 2,
      sym_comment,
      sym_block_comment,
  [682946] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5732), 1,
      anon_sym_RPAREN,
    ACTIONS(20651), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16646), 2,
      sym_comment,
      sym_block_comment,
  [682966] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(20653), 1,
      sym__interpolated_string_end,
    STATE(16752), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16647), 2,
      sym_comment,
      sym_block_comment,
  [682986] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6166), 1,
      anon_sym_RBRACK,
    ACTIONS(20655), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16648), 2,
      sym_comment,
      sym_block_comment,
  [683006] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20653), 1,
      sym__interpolated_multiline_string_end,
    STATE(16755), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16649), 2,
      sym_comment,
      sym_block_comment,
  [683026] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(20657), 1,
      sym__interpolated_string_end,
    STATE(16752), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16650), 2,
      sym_comment,
      sym_block_comment,
  [683046] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20657), 1,
      sym__interpolated_multiline_string_end,
    STATE(16755), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16651), 2,
      sym_comment,
      sym_block_comment,
  [683066] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10770), 3,
      anon_sym_COLON,
      anon_sym_with,
      anon_sym_LPAREN,
  [683082] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    STATE(15714), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(16653), 2,
      sym_comment,
      sym_block_comment,
  [683102] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15120), 1,
      anon_sym_RPAREN,
    ACTIONS(20659), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16654), 2,
      sym_comment,
      sym_block_comment,
  [683122] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5970), 1,
      anon_sym_RPAREN,
    ACTIONS(20661), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16655), 2,
      sym_comment,
      sym_block_comment,
  [683142] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14966), 1,
      anon_sym_RPAREN,
    ACTIONS(20663), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16656), 2,
      sym_comment,
      sym_block_comment,
  [683162] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5362), 1,
      anon_sym_RPAREN,
    ACTIONS(20665), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16657), 2,
      sym_comment,
      sym_block_comment,
  [683182] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20667), 1,
      anon_sym_COMMA,
    ACTIONS(20669), 1,
      anon_sym_RPAREN,
    STATE(16665), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16658), 2,
      sym_comment,
      sym_block_comment,
  [683202] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20671), 1,
      anon_sym_COMMA,
    ACTIONS(20673), 1,
      anon_sym_RPAREN,
    STATE(16041), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16659), 2,
      sym_comment,
      sym_block_comment,
  [683222] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6018), 1,
      anon_sym_RBRACK,
    ACTIONS(20675), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16660), 2,
      sym_comment,
      sym_block_comment,
  [683242] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(20677), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [683258] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20679), 1,
      anon_sym_COMMA,
    ACTIONS(20681), 1,
      anon_sym_RBRACK,
    STATE(16669), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16662), 2,
      sym_comment,
      sym_block_comment,
  [683278] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    STATE(15600), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(16663), 2,
      sym_comment,
      sym_block_comment,
  [683298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4666), 1,
      sym__indent,
    STATE(9850), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16664), 2,
      sym_comment,
      sym_block_comment,
  [683316] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14326), 1,
      anon_sym_RPAREN,
    ACTIONS(20683), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16665), 2,
      sym_comment,
      sym_block_comment,
  [683336] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17473), 1,
      anon_sym_COLON,
    ACTIONS(17475), 1,
      anon_sym_LBRACE,
    STATE(15387), 1,
      sym_enum_body,
    STATE(16666), 2,
      sym_comment,
      sym_block_comment,
  [683356] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5800), 1,
      anon_sym_RPAREN,
    ACTIONS(20685), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16667), 2,
      sym_comment,
      sym_block_comment,
  [683376] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(20687), 1,
      sym__interpolated_string_end,
    STATE(16752), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16668), 2,
      sym_comment,
      sym_block_comment,
  [683396] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6282), 1,
      anon_sym_RBRACK,
    ACTIONS(20689), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16669), 2,
      sym_comment,
      sym_block_comment,
  [683416] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20687), 1,
      sym__interpolated_multiline_string_end,
    STATE(16755), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16670), 2,
      sym_comment,
      sym_block_comment,
  [683436] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17611), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [683452] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    STATE(15556), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(16672), 2,
      sym_comment,
      sym_block_comment,
  [683472] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12903), 1,
      anon_sym_RPAREN,
    ACTIONS(20691), 1,
      anon_sym_COMMA,
    STATE(16743), 1,
      aux_sym_parameters_repeat1,
    STATE(16673), 2,
      sym_comment,
      sym_block_comment,
  [683492] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5502), 1,
      anon_sym_RBRACK,
    ACTIONS(20693), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16674), 2,
      sym_comment,
      sym_block_comment,
  [683512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4816), 1,
      sym__indent,
    STATE(7672), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16675), 2,
      sym_comment,
      sym_block_comment,
  [683530] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(20695), 1,
      sym__interpolated_string_end,
    STATE(16752), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16676), 2,
      sym_comment,
      sym_block_comment,
  [683550] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18548), 1,
      anon_sym_RPAREN,
    ACTIONS(20697), 1,
      anon_sym_COMMA,
    STATE(16770), 1,
      aux_sym_parameters_repeat1,
    STATE(16677), 2,
      sym_comment,
      sym_block_comment,
  [683570] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8716), 1,
      anon_sym_RPAREN,
    ACTIONS(20699), 1,
      anon_sym_COMMA,
    STATE(16705), 1,
      aux_sym_class_parameters_repeat1,
    STATE(16678), 2,
      sym_comment,
      sym_block_comment,
  [683590] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20701), 1,
      anon_sym_COMMA,
    ACTIONS(20703), 1,
      anon_sym_RPAREN,
    STATE(16687), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16679), 2,
      sym_comment,
      sym_block_comment,
  [683610] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20705), 1,
      anon_sym_COMMA,
    ACTIONS(20707), 1,
      anon_sym_RPAREN,
    STATE(16100), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16680), 2,
      sym_comment,
      sym_block_comment,
  [683630] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18546), 1,
      anon_sym_COMMA,
    ACTIONS(18548), 1,
      anon_sym_RPAREN,
    STATE(16782), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16681), 2,
      sym_comment,
      sym_block_comment,
  [683650] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20709), 1,
      anon_sym_COMMA,
    ACTIONS(20711), 1,
      anon_sym_RPAREN,
    STATE(16562), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16682), 2,
      sym_comment,
      sym_block_comment,
  [683670] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    STATE(15548), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(16683), 2,
      sym_comment,
      sym_block_comment,
  [683690] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20713), 1,
      anon_sym_COMMA,
    ACTIONS(20715), 1,
      anon_sym_RBRACK,
    STATE(16690), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16684), 2,
      sym_comment,
      sym_block_comment,
  [683710] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20695), 1,
      sym__interpolated_multiline_string_end,
    STATE(16755), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16685), 2,
      sym_comment,
      sym_block_comment,
  [683730] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12903), 1,
      anon_sym_RPAREN,
    ACTIONS(20691), 1,
      anon_sym_COMMA,
    STATE(16942), 1,
      aux_sym_parameters_repeat1,
    STATE(16686), 2,
      sym_comment,
      sym_block_comment,
  [683750] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14334), 1,
      anon_sym_RPAREN,
    ACTIONS(20717), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16687), 2,
      sym_comment,
      sym_block_comment,
  [683770] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5544), 1,
      anon_sym_RPAREN,
    ACTIONS(20719), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16688), 2,
      sym_comment,
      sym_block_comment,
  [683790] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17027), 3,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
  [683806] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5774), 1,
      anon_sym_RBRACK,
    ACTIONS(20721), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16690), 2,
      sym_comment,
      sym_block_comment,
  [683826] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16780), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(9930), 1,
      sym_type_arguments,
    STATE(16691), 2,
      sym_comment,
      sym_block_comment,
  [683846] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14668), 1,
      anon_sym_RPAREN,
    ACTIONS(20723), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16692), 2,
      sym_comment,
      sym_block_comment,
  [683866] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18657), 1,
      anon_sym_EQ,
    ACTIONS(18766), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(16693), 2,
      sym_comment,
      sym_block_comment,
  [683884] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6114), 1,
      anon_sym_RPAREN,
    ACTIONS(20725), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16694), 2,
      sym_comment,
      sym_block_comment,
  [683904] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    STATE(15626), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(16695), 2,
      sym_comment,
      sym_block_comment,
  [683924] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13455), 1,
      anon_sym_RPAREN,
    ACTIONS(20727), 1,
      anon_sym_COMMA,
    STATE(16582), 1,
      aux_sym_bindings_repeat1,
    STATE(16696), 2,
      sym_comment,
      sym_block_comment,
  [683944] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(20729), 1,
      sym__interpolated_string_end,
    STATE(16716), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16697), 2,
      sym_comment,
      sym_block_comment,
  [683964] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20729), 1,
      sym__interpolated_multiline_string_end,
    STATE(16717), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16698), 2,
      sym_comment,
      sym_block_comment,
  [683984] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11980), 1,
      sym__arrow_then_type,
    ACTIONS(20731), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16699), 2,
      sym_comment,
      sym_block_comment,
  [684002] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20733), 1,
      anon_sym_COMMA,
    ACTIONS(20735), 1,
      anon_sym_RPAREN,
    STATE(16721), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16700), 2,
      sym_comment,
      sym_block_comment,
  [684022] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20737), 1,
      anon_sym_COMMA,
    ACTIONS(20739), 1,
      anon_sym_RPAREN,
    STATE(16193), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16701), 2,
      sym_comment,
      sym_block_comment,
  [684042] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20741), 1,
      anon_sym_COMMA,
    ACTIONS(20743), 1,
      anon_sym_RPAREN,
    STATE(16708), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16702), 2,
      sym_comment,
      sym_block_comment,
  [684062] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5320), 1,
      anon_sym_RBRACK,
    ACTIONS(20745), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16703), 2,
      sym_comment,
      sym_block_comment,
  [684082] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11982), 1,
      sym__arrow_then_type,
    ACTIONS(20731), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16704), 2,
      sym_comment,
      sym_block_comment,
  [684100] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8720), 1,
      anon_sym_RPAREN,
    ACTIONS(20747), 1,
      anon_sym_COMMA,
    STATE(16262), 1,
      aux_sym_class_parameters_repeat1,
    STATE(16705), 2,
      sym_comment,
      sym_block_comment,
  [684120] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    STATE(15805), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(16706), 2,
      sym_comment,
      sym_block_comment,
  [684140] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20749), 1,
      anon_sym_COMMA,
    ACTIONS(20751), 1,
      anon_sym_RBRACK,
    STATE(16710), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16707), 2,
      sym_comment,
      sym_block_comment,
  [684160] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14351), 1,
      anon_sym_RPAREN,
    ACTIONS(20753), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16708), 2,
      sym_comment,
      sym_block_comment,
  [684180] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5888), 1,
      anon_sym_RPAREN,
    ACTIONS(20755), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16709), 2,
      sym_comment,
      sym_block_comment,
  [684200] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5884), 1,
      anon_sym_RBRACK,
    ACTIONS(20757), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16710), 2,
      sym_comment,
      sym_block_comment,
  [684220] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20759), 1,
      anon_sym_COMMA,
    ACTIONS(20761), 1,
      anon_sym_RPAREN,
    STATE(16562), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16711), 2,
      sym_comment,
      sym_block_comment,
  [684240] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    STATE(15860), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(16712), 2,
      sym_comment,
      sym_block_comment,
  [684260] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20763), 1,
      anon_sym_COMMA,
    ACTIONS(20765), 1,
      anon_sym_RBRACK,
    STATE(16728), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16713), 2,
      sym_comment,
      sym_block_comment,
  [684280] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6170), 1,
      anon_sym_RBRACK,
    ACTIONS(20767), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16714), 2,
      sym_comment,
      sym_block_comment,
  [684300] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8322), 1,
      anon_sym_RPAREN,
    ACTIONS(20769), 1,
      anon_sym_COMMA,
    STATE(16254), 1,
      aux_sym_class_parameters_repeat1,
    STATE(16715), 2,
      sym_comment,
      sym_block_comment,
  [684320] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(20771), 1,
      sym__interpolated_string_end,
    STATE(16752), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16716), 2,
      sym_comment,
      sym_block_comment,
  [684340] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20771), 1,
      sym__interpolated_multiline_string_end,
    STATE(16755), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16717), 2,
      sym_comment,
      sym_block_comment,
  [684360] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20773), 1,
      anon_sym_COMMA,
    ACTIONS(20775), 1,
      anon_sym_RPAREN,
    STATE(16724), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16718), 2,
      sym_comment,
      sym_block_comment,
  [684380] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20777), 1,
      anon_sym_COMMA,
    ACTIONS(20779), 1,
      anon_sym_RPAREN,
    STATE(16300), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16719), 2,
      sym_comment,
      sym_block_comment,
  [684400] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20781), 1,
      anon_sym_COMMA,
    ACTIONS(20783), 1,
      anon_sym_RBRACK,
    STATE(16726), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16720), 2,
      sym_comment,
      sym_block_comment,
  [684420] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14041), 1,
      anon_sym_RPAREN,
    ACTIONS(20785), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16721), 2,
      sym_comment,
      sym_block_comment,
  [684440] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8610), 1,
      anon_sym_RPAREN,
    ACTIONS(20787), 1,
      anon_sym_COMMA,
    STATE(16884), 1,
      aux_sym_class_parameters_repeat1,
    STATE(16722), 2,
      sym_comment,
      sym_block_comment,
  [684460] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5710), 1,
      anon_sym_RPAREN,
    ACTIONS(20789), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16723), 2,
      sym_comment,
      sym_block_comment,
  [684480] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14359), 1,
      anon_sym_RPAREN,
    ACTIONS(20791), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16724), 2,
      sym_comment,
      sym_block_comment,
  [684500] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5574), 1,
      anon_sym_RPAREN,
    ACTIONS(20793), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16725), 2,
      sym_comment,
      sym_block_comment,
  [684520] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5976), 1,
      anon_sym_RBRACK,
    ACTIONS(20795), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16726), 2,
      sym_comment,
      sym_block_comment,
  [684540] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6192), 1,
      anon_sym_RBRACK,
    ACTIONS(20797), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16727), 2,
      sym_comment,
      sym_block_comment,
  [684560] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6070), 1,
      anon_sym_RBRACK,
    ACTIONS(20799), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16728), 2,
      sym_comment,
      sym_block_comment,
  [684580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4846), 1,
      sym__indent,
    STATE(9885), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16729), 2,
      sym_comment,
      sym_block_comment,
  [684598] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20801), 1,
      anon_sym_COMMA,
    ACTIONS(20803), 1,
      anon_sym_RPAREN,
    STATE(16737), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16730), 2,
      sym_comment,
      sym_block_comment,
  [684618] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4014), 1,
      anon_sym_RPAREN,
    ACTIONS(20805), 1,
      anon_sym_COMMA,
    STATE(16562), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16731), 2,
      sym_comment,
      sym_block_comment,
  [684638] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20807), 1,
      anon_sym_COMMA,
    ACTIONS(20809), 1,
      anon_sym_RPAREN,
    STATE(16322), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16732), 2,
      sym_comment,
      sym_block_comment,
  [684658] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18529), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ,
  [684674] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15249), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(7628), 1,
      sym_type_arguments,
    STATE(16734), 2,
      sym_comment,
      sym_block_comment,
  [684694] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4404), 1,
      sym__indent,
    STATE(6461), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16735), 2,
      sym_comment,
      sym_block_comment,
  [684712] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20811), 1,
      anon_sym_COMMA,
    ACTIONS(20813), 1,
      anon_sym_RBRACK,
    STATE(16740), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16736), 2,
      sym_comment,
      sym_block_comment,
  [684732] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14367), 1,
      anon_sym_RPAREN,
    ACTIONS(20815), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16737), 2,
      sym_comment,
      sym_block_comment,
  [684752] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6106), 1,
      anon_sym_RPAREN,
    ACTIONS(20817), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16738), 2,
      sym_comment,
      sym_block_comment,
  [684772] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12887), 1,
      anon_sym_RPAREN,
    ACTIONS(20819), 1,
      anon_sym_COMMA,
    STATE(16286), 1,
      aux_sym_parameters_repeat1,
    STATE(16739), 2,
      sym_comment,
      sym_block_comment,
  [684792] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6102), 1,
      anon_sym_RBRACK,
    ACTIONS(20821), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16740), 2,
      sym_comment,
      sym_block_comment,
  [684812] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4466), 1,
      sym__indent,
    STATE(10816), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16741), 2,
      sym_comment,
      sym_block_comment,
  [684830] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(20823), 1,
      sym__interpolated_string_end,
    STATE(16944), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16742), 2,
      sym_comment,
      sym_block_comment,
  [684850] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12905), 1,
      anon_sym_RPAREN,
    ACTIONS(20825), 1,
      anon_sym_COMMA,
    STATE(16942), 1,
      aux_sym_parameters_repeat1,
    STATE(16743), 2,
      sym_comment,
      sym_block_comment,
  [684870] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20823), 1,
      sym__interpolated_multiline_string_end,
    STATE(16951), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16744), 2,
      sym_comment,
      sym_block_comment,
  [684890] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(20827), 1,
      sym__interpolated_string_end,
    STATE(16801), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16745), 2,
      sym_comment,
      sym_block_comment,
  [684910] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20827), 1,
      sym__interpolated_multiline_string_end,
    STATE(16803), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16746), 2,
      sym_comment,
      sym_block_comment,
  [684930] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16204), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(8246), 1,
      sym_type_arguments,
    STATE(16747), 2,
      sym_comment,
      sym_block_comment,
  [684950] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20829), 1,
      anon_sym_COMMA,
    ACTIONS(20831), 1,
      anon_sym_RPAREN,
    STATE(16759), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16748), 2,
      sym_comment,
      sym_block_comment,
  [684970] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20833), 1,
      anon_sym_COMMA,
    ACTIONS(20835), 1,
      anon_sym_RPAREN,
    STATE(16342), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16749), 2,
      sym_comment,
      sym_block_comment,
  [684990] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11814), 1,
      sym__arrow_then_type,
    ACTIONS(20837), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16750), 2,
      sym_comment,
      sym_block_comment,
  [685008] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20839), 1,
      anon_sym_COMMA,
    ACTIONS(20841), 1,
      anon_sym_RPAREN,
    STATE(16807), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16751), 2,
      sym_comment,
      sym_block_comment,
  [685028] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20843), 1,
      sym__interpolated_string_middle,
    ACTIONS(20846), 1,
      sym__interpolated_string_end,
    STATE(16752), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_interpolated_string_repeat1,
  [685046] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20848), 1,
      anon_sym_COMMA,
    ACTIONS(20850), 1,
      anon_sym_RPAREN,
    STATE(16206), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16753), 2,
      sym_comment,
      sym_block_comment,
  [685066] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20852), 1,
      anon_sym_COMMA,
    ACTIONS(20854), 1,
      anon_sym_RBRACK,
    STATE(16763), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16754), 2,
      sym_comment,
      sym_block_comment,
  [685086] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20856), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20859), 1,
      sym__interpolated_multiline_string_end,
    STATE(16755), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_interpolated_string_repeat2,
  [685104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11816), 1,
      sym__arrow_then_type,
    ACTIONS(20837), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16756), 2,
      sym_comment,
      sym_block_comment,
  [685122] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(20861), 1,
      sym__interpolated_string_end,
    STATE(16778), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16757), 2,
      sym_comment,
      sym_block_comment,
  [685142] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20861), 1,
      sym__interpolated_multiline_string_end,
    STATE(16780), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16758), 2,
      sym_comment,
      sym_block_comment,
  [685162] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14375), 1,
      anon_sym_RPAREN,
    ACTIONS(20863), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16759), 2,
      sym_comment,
      sym_block_comment,
  [685182] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5636), 1,
      anon_sym_RPAREN,
    ACTIONS(20865), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16760), 2,
      sym_comment,
      sym_block_comment,
  [685202] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12861), 1,
      sym__arrow_then_type,
    ACTIONS(20867), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16761), 2,
      sym_comment,
      sym_block_comment,
  [685220] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20869), 1,
      anon_sym_COMMA,
    ACTIONS(20871), 1,
      anon_sym_RPAREN,
    STATE(16784), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16762), 2,
      sym_comment,
      sym_block_comment,
  [685240] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5262), 1,
      anon_sym_RBRACK,
    ACTIONS(20873), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16763), 2,
      sym_comment,
      sym_block_comment,
  [685260] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17473), 1,
      anon_sym_COLON,
    ACTIONS(17475), 1,
      anon_sym_LBRACE,
    STATE(15433), 1,
      sym_enum_body,
    STATE(16764), 2,
      sym_comment,
      sym_block_comment,
  [685280] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20875), 1,
      anon_sym_COMMA,
    ACTIONS(20877), 1,
      anon_sym_RPAREN,
    STATE(16694), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16765), 2,
      sym_comment,
      sym_block_comment,
  [685300] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12862), 1,
      sym__arrow_then_type,
    ACTIONS(20867), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16766), 2,
      sym_comment,
      sym_block_comment,
  [685318] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17802), 3,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_LPAREN,
  [685334] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11410), 1,
      sym__arrow_then_type,
    ACTIONS(20879), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16768), 2,
      sym_comment,
      sym_block_comment,
  [685352] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20881), 1,
      anon_sym_COMMA,
    ACTIONS(20883), 1,
      anon_sym_RPAREN,
    STATE(16311), 1,
      aux_sym_case_class_pattern_repeat2,
    STATE(16769), 2,
      sym_comment,
      sym_block_comment,
  [685372] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5096), 1,
      anon_sym_RPAREN,
    ACTIONS(20885), 1,
      anon_sym_COMMA,
    STATE(16942), 1,
      aux_sym_parameters_repeat1,
    STATE(16770), 2,
      sym_comment,
      sym_block_comment,
  [685392] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20887), 1,
      anon_sym_COMMA,
    ACTIONS(20889), 1,
      anon_sym_RPAREN,
    STATE(16562), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16771), 2,
      sym_comment,
      sym_block_comment,
  [685412] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20891), 1,
      anon_sym_COMMA,
    ACTIONS(20893), 1,
      anon_sym_RPAREN,
    STATE(16777), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16772), 2,
      sym_comment,
      sym_block_comment,
  [685432] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20895), 1,
      anon_sym_COMMA,
    ACTIONS(20897), 1,
      anon_sym_RPAREN,
    STATE(17161), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16773), 2,
      sym_comment,
      sym_block_comment,
  [685452] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20899), 1,
      anon_sym_COMMA,
    ACTIONS(20901), 1,
      anon_sym_RBRACK,
    STATE(16781), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16774), 2,
      sym_comment,
      sym_block_comment,
  [685472] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17035), 1,
      anon_sym_match,
    ACTIONS(17645), 1,
      anon_sym_LBRACK,
    STATE(11015), 1,
      sym_type_arguments,
    STATE(16775), 2,
      sym_comment,
      sym_block_comment,
  [685492] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20903), 1,
      anon_sym_COMMA,
    ACTIONS(20905), 1,
      anon_sym_RBRACK,
    STATE(16788), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16776), 2,
      sym_comment,
      sym_block_comment,
  [685512] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14383), 1,
      anon_sym_RPAREN,
    ACTIONS(20907), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16777), 2,
      sym_comment,
      sym_block_comment,
  [685532] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(20909), 1,
      sym__interpolated_string_end,
    STATE(16752), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16778), 2,
      sym_comment,
      sym_block_comment,
  [685552] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6148), 1,
      anon_sym_RPAREN,
    ACTIONS(20911), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16779), 2,
      sym_comment,
      sym_block_comment,
  [685572] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20909), 1,
      sym__interpolated_multiline_string_end,
    STATE(16755), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16780), 2,
      sym_comment,
      sym_block_comment,
  [685592] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5284), 1,
      anon_sym_RBRACK,
    ACTIONS(20913), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16781), 2,
      sym_comment,
      sym_block_comment,
  [685612] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5096), 1,
      anon_sym_RPAREN,
    ACTIONS(20915), 1,
      anon_sym_COMMA,
    STATE(16256), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16782), 2,
      sym_comment,
      sym_block_comment,
  [685632] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20917), 1,
      anon_sym_COMMA,
    ACTIONS(20919), 1,
      anon_sym_RPAREN,
    STATE(16562), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16783), 2,
      sym_comment,
      sym_block_comment,
  [685652] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14053), 1,
      anon_sym_RPAREN,
    ACTIONS(20921), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16784), 2,
      sym_comment,
      sym_block_comment,
  [685672] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6014), 1,
      anon_sym_RPAREN,
    ACTIONS(20923), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16785), 2,
      sym_comment,
      sym_block_comment,
  [685692] = 5,
    ACTIONS(19407), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20927), 1,
      anon_sym_STAR_SLASH,
    STATE(17017), 1,
      aux_sym_block_comment_repeat1,
    ACTIONS(20925), 2,
      anon_sym_SLASH_SLASH,
      aux_sym_block_comment_token1,
    STATE(16786), 2,
      sym_comment,
      sym_block_comment,
  [685710] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10054), 3,
      anon_sym_COLON,
      anon_sym_with,
      anon_sym_LPAREN,
  [685726] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6120), 1,
      anon_sym_RBRACK,
    ACTIONS(20929), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16788), 2,
      sym_comment,
      sym_block_comment,
  [685746] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8674), 1,
      anon_sym_RPAREN,
    ACTIONS(20931), 1,
      anon_sym_COMMA,
    STATE(16833), 1,
      aux_sym_class_parameters_repeat1,
    STATE(16789), 2,
      sym_comment,
      sym_block_comment,
  [685766] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20933), 1,
      anon_sym_COMMA,
    ACTIONS(20935), 1,
      anon_sym_RPAREN,
    STATE(16796), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16790), 2,
      sym_comment,
      sym_block_comment,
  [685786] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20937), 1,
      anon_sym_COMMA,
    ACTIONS(20939), 1,
      anon_sym_RPAREN,
    STATE(16439), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16791), 2,
      sym_comment,
      sym_block_comment,
  [685806] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4434), 1,
      sym__indent,
    STATE(8341), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16792), 2,
      sym_comment,
      sym_block_comment,
  [685824] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20941), 1,
      anon_sym_COMMA,
    ACTIONS(20943), 1,
      anon_sym_RBRACK,
    STATE(16798), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16793), 2,
      sym_comment,
      sym_block_comment,
  [685844] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20945), 1,
      anon_sym_COMMA,
    ACTIONS(20947), 1,
      anon_sym_RBRACK,
    STATE(16821), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16794), 2,
      sym_comment,
      sym_block_comment,
  [685864] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8520), 1,
      anon_sym_RPAREN,
    ACTIONS(20949), 1,
      anon_sym_COMMA,
    STATE(15935), 1,
      aux_sym_class_parameters_repeat1,
    STATE(16795), 2,
      sym_comment,
      sym_block_comment,
  [685884] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14391), 1,
      anon_sym_RPAREN,
    ACTIONS(20951), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16796), 2,
      sym_comment,
      sym_block_comment,
  [685904] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5690), 1,
      anon_sym_RPAREN,
    ACTIONS(20953), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16797), 2,
      sym_comment,
      sym_block_comment,
  [685924] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5298), 1,
      anon_sym_RBRACK,
    ACTIONS(20955), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16798), 2,
      sym_comment,
      sym_block_comment,
  [685944] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17878), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [685960] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18572), 1,
      anon_sym_RPAREN,
    ACTIONS(20957), 1,
      anon_sym_COMMA,
    STATE(16298), 1,
      aux_sym_parameters_repeat1,
    STATE(16800), 2,
      sym_comment,
      sym_block_comment,
  [685980] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(20959), 1,
      sym__interpolated_string_end,
    STATE(16752), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16801), 2,
      sym_comment,
      sym_block_comment,
  [686000] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8520), 1,
      anon_sym_RPAREN,
    ACTIONS(20949), 1,
      anon_sym_COMMA,
    STATE(16262), 1,
      aux_sym_class_parameters_repeat1,
    STATE(16802), 2,
      sym_comment,
      sym_block_comment,
  [686020] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20959), 1,
      sym__interpolated_multiline_string_end,
    STATE(16755), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16803), 2,
      sym_comment,
      sym_block_comment,
  [686040] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12321), 1,
      sym__arrow_then_type,
    ACTIONS(20961), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16804), 2,
      sym_comment,
      sym_block_comment,
  [686058] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12893), 1,
      anon_sym_RPAREN,
    ACTIONS(20963), 1,
      anon_sym_COMMA,
    STATE(17173), 1,
      aux_sym_parameters_repeat1,
    STATE(16805), 2,
      sym_comment,
      sym_block_comment,
  [686078] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18416), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [686094] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14980), 1,
      anon_sym_RPAREN,
    ACTIONS(20965), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16807), 2,
      sym_comment,
      sym_block_comment,
  [686114] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20967), 1,
      anon_sym_COMMA,
    ACTIONS(20969), 1,
      anon_sym_RPAREN,
    STATE(17187), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16808), 2,
      sym_comment,
      sym_block_comment,
  [686134] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5568), 1,
      anon_sym_RPAREN,
    ACTIONS(20971), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16809), 2,
      sym_comment,
      sym_block_comment,
  [686154] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20973), 1,
      anon_sym_COMMA,
    ACTIONS(20975), 1,
      anon_sym_RPAREN,
    STATE(16816), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16810), 2,
      sym_comment,
      sym_block_comment,
  [686174] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20977), 1,
      anon_sym_COMMA,
    ACTIONS(20979), 1,
      anon_sym_RPAREN,
    STATE(17220), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16811), 2,
      sym_comment,
      sym_block_comment,
  [686194] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20981), 1,
      anon_sym_COMMA,
    ACTIONS(20983), 1,
      anon_sym_RPAREN,
    STATE(17250), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16812), 2,
      sym_comment,
      sym_block_comment,
  [686214] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12331), 1,
      sym__arrow_then_type,
    ACTIONS(20961), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16813), 2,
      sym_comment,
      sym_block_comment,
  [686232] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20985), 1,
      anon_sym_COMMA,
    ACTIONS(20987), 1,
      anon_sym_RBRACK,
    STATE(16820), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16814), 2,
      sym_comment,
      sym_block_comment,
  [686252] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12885), 1,
      anon_sym_RPAREN,
    ACTIONS(20989), 1,
      anon_sym_COMMA,
    STATE(16847), 1,
      aux_sym_parameters_repeat1,
    STATE(16815), 2,
      sym_comment,
      sym_block_comment,
  [686272] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14403), 1,
      anon_sym_RPAREN,
    ACTIONS(20991), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16816), 2,
      sym_comment,
      sym_block_comment,
  [686292] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16771), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(9484), 1,
      sym_type_arguments,
    STATE(16817), 2,
      sym_comment,
      sym_block_comment,
  [686312] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5572), 1,
      anon_sym_RPAREN,
    ACTIONS(20993), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16818), 2,
      sym_comment,
      sym_block_comment,
  [686332] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18570), 1,
      anon_sym_COMMA,
    ACTIONS(18572), 1,
      anon_sym_RPAREN,
    STATE(16303), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16819), 2,
      sym_comment,
      sym_block_comment,
  [686352] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5318), 1,
      anon_sym_RBRACK,
    ACTIONS(20995), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16820), 2,
      sym_comment,
      sym_block_comment,
  [686372] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5556), 1,
      anon_sym_RBRACK,
    ACTIONS(20997), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16821), 2,
      sym_comment,
      sym_block_comment,
  [686392] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4398), 1,
      sym__indent,
    STATE(9204), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16822), 2,
      sym_comment,
      sym_block_comment,
  [686410] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(20999), 1,
      sym__interpolated_string_end,
    STATE(16843), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16823), 2,
      sym_comment,
      sym_block_comment,
  [686430] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20999), 1,
      sym__interpolated_multiline_string_end,
    STATE(16844), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16824), 2,
      sym_comment,
      sym_block_comment,
  [686450] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13314), 1,
      sym__arrow_then_type,
    ACTIONS(21001), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16825), 2,
      sym_comment,
      sym_block_comment,
  [686468] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21003), 1,
      anon_sym_COMMA,
    ACTIONS(21005), 1,
      anon_sym_RPAREN,
    STATE(16848), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16826), 2,
      sym_comment,
      sym_block_comment,
  [686488] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21007), 1,
      anon_sym_COMMA,
    ACTIONS(21009), 1,
      anon_sym_RPAREN,
    STATE(16400), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16827), 2,
      sym_comment,
      sym_block_comment,
  [686508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13315), 1,
      sym__arrow_then_type,
    ACTIONS(21001), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16828), 2,
      sym_comment,
      sym_block_comment,
  [686526] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21011), 1,
      anon_sym_COMMA,
    ACTIONS(21013), 1,
      anon_sym_RPAREN,
    STATE(16836), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16829), 2,
      sym_comment,
      sym_block_comment,
  [686546] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17878), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [686562] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21015), 1,
      anon_sym_COMMA,
    ACTIONS(21017), 1,
      anon_sym_RPAREN,
    STATE(17290), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16831), 2,
      sym_comment,
      sym_block_comment,
  [686582] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_STAR,
    ACTIONS(19131), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(16832), 2,
      sym_comment,
      sym_block_comment,
  [686600] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8610), 1,
      anon_sym_RPAREN,
    ACTIONS(20787), 1,
      anon_sym_COMMA,
    STATE(16262), 1,
      aux_sym_class_parameters_repeat1,
    STATE(16833), 2,
      sym_comment,
      sym_block_comment,
  [686620] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21019), 1,
      anon_sym_COMMA,
    ACTIONS(21021), 1,
      anon_sym_RPAREN,
    STATE(16856), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16834), 2,
      sym_comment,
      sym_block_comment,
  [686640] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21023), 1,
      anon_sym_COMMA,
    ACTIONS(21025), 1,
      anon_sym_RBRACK,
    STATE(16840), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16835), 2,
      sym_comment,
      sym_block_comment,
  [686660] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14413), 1,
      anon_sym_RPAREN,
    ACTIONS(21027), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16836), 2,
      sym_comment,
      sym_block_comment,
  [686680] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21029), 1,
      anon_sym_COMMA,
    ACTIONS(21031), 1,
      anon_sym_RPAREN,
    STATE(16872), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16837), 2,
      sym_comment,
      sym_block_comment,
  [686700] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6242), 1,
      anon_sym_RPAREN,
    ACTIONS(21033), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16838), 2,
      sym_comment,
      sym_block_comment,
  [686720] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21035), 1,
      anon_sym_COMMA,
    ACTIONS(21037), 1,
      anon_sym_RPAREN,
    STATE(16562), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16839), 2,
      sym_comment,
      sym_block_comment,
  [686740] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5350), 1,
      anon_sym_RBRACK,
    ACTIONS(21039), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16840), 2,
      sym_comment,
      sym_block_comment,
  [686760] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21041), 1,
      anon_sym_COMMA,
    ACTIONS(21043), 1,
      anon_sym_RBRACK,
    STATE(16240), 1,
      aux_sym_type_parameters_repeat1,
    STATE(16841), 2,
      sym_comment,
      sym_block_comment,
  [686780] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21045), 1,
      anon_sym_COMMA,
    ACTIONS(21047), 1,
      anon_sym_RBRACK,
    STATE(16857), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16842), 2,
      sym_comment,
      sym_block_comment,
  [686800] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(21049), 1,
      sym__interpolated_string_end,
    STATE(16752), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16843), 2,
      sym_comment,
      sym_block_comment,
  [686820] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(21049), 1,
      sym__interpolated_multiline_string_end,
    STATE(16755), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16844), 2,
      sym_comment,
      sym_block_comment,
  [686840] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21051), 1,
      anon_sym_COMMA,
    ACTIONS(21053), 1,
      anon_sym_RPAREN,
    STATE(16853), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16845), 2,
      sym_comment,
      sym_block_comment,
  [686860] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21055), 1,
      anon_sym_COMMA,
    ACTIONS(21057), 1,
      anon_sym_RPAREN,
    STATE(17332), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16846), 2,
      sym_comment,
      sym_block_comment,
  [686880] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12887), 1,
      anon_sym_RPAREN,
    ACTIONS(20819), 1,
      anon_sym_COMMA,
    STATE(16942), 1,
      aux_sym_parameters_repeat1,
    STATE(16847), 2,
      sym_comment,
      sym_block_comment,
  [686900] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14063), 1,
      anon_sym_RPAREN,
    ACTIONS(21059), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16848), 2,
      sym_comment,
      sym_block_comment,
  [686920] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21061), 1,
      anon_sym_COMMA,
    ACTIONS(21063), 1,
      anon_sym_RBRACK,
    STATE(16855), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16849), 2,
      sym_comment,
      sym_block_comment,
  [686940] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11411), 1,
      sym__arrow_then_type,
    ACTIONS(20879), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16850), 2,
      sym_comment,
      sym_block_comment,
  [686958] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17157), 3,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
  [686974] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6054), 1,
      anon_sym_RPAREN,
    ACTIONS(21065), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16852), 2,
      sym_comment,
      sym_block_comment,
  [686994] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14423), 1,
      anon_sym_RPAREN,
    ACTIONS(21067), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16853), 2,
      sym_comment,
      sym_block_comment,
  [687014] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5996), 1,
      anon_sym_RPAREN,
    ACTIONS(21069), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16854), 2,
      sym_comment,
      sym_block_comment,
  [687034] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5380), 1,
      anon_sym_RBRACK,
    ACTIONS(21071), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16855), 2,
      sym_comment,
      sym_block_comment,
  [687054] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14061), 1,
      anon_sym_RPAREN,
    ACTIONS(21073), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16856), 2,
      sym_comment,
      sym_block_comment,
  [687074] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6176), 1,
      anon_sym_RBRACK,
    ACTIONS(21075), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16857), 2,
      sym_comment,
      sym_block_comment,
  [687094] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4634), 1,
      sym__indent,
    STATE(9726), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16858), 2,
      sym_comment,
      sym_block_comment,
  [687112] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12050), 1,
      anon_sym_RPAREN,
    ACTIONS(21077), 1,
      anon_sym_COMMA,
    STATE(16859), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_case_class_pattern_repeat1,
  [687130] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21080), 1,
      anon_sym_COMMA,
    ACTIONS(21082), 1,
      anon_sym_RPAREN,
    STATE(16865), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16860), 2,
      sym_comment,
      sym_block_comment,
  [687150] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21084), 1,
      anon_sym_COMMA,
    ACTIONS(21086), 1,
      anon_sym_RPAREN,
    STATE(16509), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16861), 2,
      sym_comment,
      sym_block_comment,
  [687170] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12675), 1,
      anon_sym_RBRACE,
    ACTIONS(21088), 1,
      anon_sym_COMMA,
    STATE(15912), 1,
      aux_sym_namespace_selectors_repeat1,
    STATE(16862), 2,
      sym_comment,
      sym_block_comment,
  [687190] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21090), 1,
      anon_sym_COMMA,
    ACTIONS(21092), 1,
      anon_sym_RPAREN,
    STATE(16562), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16863), 2,
      sym_comment,
      sym_block_comment,
  [687210] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21094), 1,
      anon_sym_COMMA,
    ACTIONS(21096), 1,
      anon_sym_RBRACK,
    STATE(16868), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16864), 2,
      sym_comment,
      sym_block_comment,
  [687230] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14431), 1,
      anon_sym_RPAREN,
    ACTIONS(21098), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16865), 2,
      sym_comment,
      sym_block_comment,
  [687250] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6124), 1,
      anon_sym_RPAREN,
    ACTIONS(21100), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16866), 2,
      sym_comment,
      sym_block_comment,
  [687270] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8642), 1,
      anon_sym_RPAREN,
    ACTIONS(19039), 1,
      anon_sym_COMMA,
    STATE(16383), 1,
      aux_sym_class_parameters_repeat1,
    STATE(16867), 2,
      sym_comment,
      sym_block_comment,
  [687290] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5400), 1,
      anon_sym_RBRACK,
    ACTIONS(21102), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16868), 2,
      sym_comment,
      sym_block_comment,
  [687310] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18131), 1,
      anon_sym_RBRACE,
    ACTIONS(18133), 1,
      anon_sym_COMMA,
    STATE(16862), 1,
      aux_sym_namespace_selectors_repeat1,
    STATE(16869), 2,
      sym_comment,
      sym_block_comment,
  [687330] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10077), 3,
      anon_sym_COLON,
      anon_sym_with,
      anon_sym_LPAREN,
  [687346] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21104), 1,
      anon_sym_COMMA,
    ACTIONS(21107), 1,
      anon_sym_RBRACK,
    STATE(16159), 1,
      aux_sym_type_lambda_repeat1,
    STATE(16871), 2,
      sym_comment,
      sym_block_comment,
  [687366] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5402), 1,
      anon_sym_RPAREN,
    ACTIONS(21110), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16872), 2,
      sym_comment,
      sym_block_comment,
  [687386] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21112), 1,
      anon_sym_COMMA,
    ACTIONS(21114), 1,
      anon_sym_RPAREN,
    STATE(16878), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16873), 2,
      sym_comment,
      sym_block_comment,
  [687406] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10081), 3,
      anon_sym_COLON,
      anon_sym_with,
      anon_sym_LPAREN,
  [687422] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21116), 1,
      anon_sym_COMMA,
    ACTIONS(21118), 1,
      anon_sym_RPAREN,
    STATE(15882), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16875), 2,
      sym_comment,
      sym_block_comment,
  [687442] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16598), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(9095), 1,
      sym_type_arguments,
    STATE(16876), 2,
      sym_comment,
      sym_block_comment,
  [687462] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21120), 1,
      anon_sym_COMMA,
    ACTIONS(21122), 1,
      anon_sym_RBRACK,
    STATE(16880), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16877), 2,
      sym_comment,
      sym_block_comment,
  [687482] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14439), 1,
      anon_sym_RPAREN,
    ACTIONS(21124), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16878), 2,
      sym_comment,
      sym_block_comment,
  [687502] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5726), 1,
      anon_sym_RPAREN,
    ACTIONS(21126), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16879), 2,
      sym_comment,
      sym_block_comment,
  [687522] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5436), 1,
      anon_sym_RBRACK,
    ACTIONS(21128), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16880), 2,
      sym_comment,
      sym_block_comment,
  [687542] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17009), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(10348), 1,
      sym_type_arguments,
    STATE(16881), 2,
      sym_comment,
      sym_block_comment,
  [687562] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21130), 1,
      anon_sym_COMMA,
    ACTIONS(21132), 1,
      anon_sym_RBRACK,
    STATE(17014), 1,
      aux_sym_type_parameters_repeat1,
    STATE(16882), 2,
      sym_comment,
      sym_block_comment,
  [687582] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16584), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(8902), 1,
      sym_type_arguments,
    STATE(16883), 2,
      sym_comment,
      sym_block_comment,
  [687602] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8484), 1,
      anon_sym_RPAREN,
    ACTIONS(21134), 1,
      anon_sym_COMMA,
    STATE(16262), 1,
      aux_sym_class_parameters_repeat1,
    STATE(16884), 2,
      sym_comment,
      sym_block_comment,
  [687622] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8773), 1,
      anon_sym_RPAREN,
    ACTIONS(21136), 1,
      anon_sym_COMMA,
    STATE(16262), 1,
      aux_sym_class_parameters_repeat1,
    STATE(16885), 2,
      sym_comment,
      sym_block_comment,
  [687642] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(21138), 1,
      sym__interpolated_string_end,
    STATE(16914), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16886), 2,
      sym_comment,
      sym_block_comment,
  [687662] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(21138), 1,
      sym__interpolated_multiline_string_end,
    STATE(16916), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16887), 2,
      sym_comment,
      sym_block_comment,
  [687682] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21140), 1,
      anon_sym_COMMA,
    ACTIONS(21142), 1,
      anon_sym_RPAREN,
    STATE(16897), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16888), 2,
      sym_comment,
      sym_block_comment,
  [687702] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21144), 1,
      anon_sym_COMMA,
    ACTIONS(21146), 1,
      anon_sym_RPAREN,
    STATE(15898), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16889), 2,
      sym_comment,
      sym_block_comment,
  [687722] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14425), 1,
      sym__arrow_then_type,
    ACTIONS(21148), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16890), 2,
      sym_comment,
      sym_block_comment,
  [687740] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21150), 1,
      anon_sym_COMMA,
    ACTIONS(21152), 1,
      anon_sym_RPAREN,
    STATE(16920), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16891), 2,
      sym_comment,
      sym_block_comment,
  [687760] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21154), 1,
      anon_sym_COMMA,
    ACTIONS(21156), 1,
      anon_sym_RBRACK,
    STATE(16900), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16892), 2,
      sym_comment,
      sym_block_comment,
  [687780] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21158), 1,
      anon_sym_COMMA,
    ACTIONS(21160), 1,
      anon_sym_RPAREN,
    STATE(16484), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16893), 2,
      sym_comment,
      sym_block_comment,
  [687800] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14427), 1,
      sym__arrow_then_type,
    ACTIONS(21148), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16894), 2,
      sym_comment,
      sym_block_comment,
  [687818] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(21162), 1,
      sym__interpolated_string_end,
    STATE(16946), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16895), 2,
      sym_comment,
      sym_block_comment,
  [687838] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12969), 1,
      anon_sym_RPAREN,
    ACTIONS(21164), 1,
      anon_sym_COMMA,
    STATE(16942), 1,
      aux_sym_parameters_repeat1,
    STATE(16896), 2,
      sym_comment,
      sym_block_comment,
  [687858] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14449), 1,
      anon_sym_RPAREN,
    ACTIONS(21166), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16897), 2,
      sym_comment,
      sym_block_comment,
  [687878] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(21162), 1,
      sym__interpolated_multiline_string_end,
    STATE(16948), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16898), 2,
      sym_comment,
      sym_block_comment,
  [687898] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5758), 1,
      anon_sym_RPAREN,
    ACTIONS(21168), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16899), 2,
      sym_comment,
      sym_block_comment,
  [687918] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5464), 1,
      anon_sym_RBRACK,
    ACTIONS(21170), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16900), 2,
      sym_comment,
      sym_block_comment,
  [687938] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8082), 1,
      sym__arrow_then_type,
    ACTIONS(21172), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16901), 2,
      sym_comment,
      sym_block_comment,
  [687956] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11300), 1,
      sym__arrow_then_type,
    ACTIONS(21174), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16902), 2,
      sym_comment,
      sym_block_comment,
  [687974] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21176), 1,
      anon_sym_COMMA,
    ACTIONS(21178), 1,
      anon_sym_RPAREN,
    STATE(16696), 1,
      aux_sym_bindings_repeat1,
    STATE(16903), 2,
      sym_comment,
      sym_block_comment,
  [687994] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21180), 1,
      anon_sym_COMMA,
    ACTIONS(21182), 1,
      anon_sym_RPAREN,
    STATE(16562), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16904), 2,
      sym_comment,
      sym_block_comment,
  [688014] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21184), 1,
      anon_sym_COMMA,
    ACTIONS(21186), 1,
      anon_sym_RPAREN,
    STATE(16956), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16905), 2,
      sym_comment,
      sym_block_comment,
  [688034] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5114), 1,
      anon_sym_RPAREN,
    ACTIONS(21188), 1,
      anon_sym_COMMA,
    STATE(16256), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16906), 2,
      sym_comment,
      sym_block_comment,
  [688054] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21190), 1,
      anon_sym_COMMA,
    ACTIONS(21192), 1,
      anon_sym_RPAREN,
    STATE(16915), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16907), 2,
      sym_comment,
      sym_block_comment,
  [688074] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12967), 1,
      anon_sym_RPAREN,
    ACTIONS(21194), 1,
      anon_sym_COMMA,
    STATE(17138), 1,
      aux_sym_parameters_repeat1,
    STATE(16908), 2,
      sym_comment,
      sym_block_comment,
  [688094] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21196), 1,
      anon_sym_COMMA,
    ACTIONS(21198), 1,
      anon_sym_RPAREN,
    STATE(16558), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16909), 2,
      sym_comment,
      sym_block_comment,
  [688114] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21200), 1,
      anon_sym_COMMA,
    ACTIONS(21202), 1,
      anon_sym_RBRACK,
    STATE(16925), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16910), 2,
      sym_comment,
      sym_block_comment,
  [688134] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16562), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [688150] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21204), 1,
      anon_sym_COMMA,
    ACTIONS(21206), 1,
      anon_sym_RBRACK,
    STATE(16919), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16912), 2,
      sym_comment,
      sym_block_comment,
  [688170] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21208), 1,
      anon_sym_COMMA,
    ACTIONS(21210), 1,
      anon_sym_RPAREN,
    STATE(16490), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16913), 2,
      sym_comment,
      sym_block_comment,
  [688190] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(21212), 1,
      sym__interpolated_string_end,
    STATE(16752), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16914), 2,
      sym_comment,
      sym_block_comment,
  [688210] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14457), 1,
      anon_sym_RPAREN,
    ACTIONS(21214), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16915), 2,
      sym_comment,
      sym_block_comment,
  [688230] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(21212), 1,
      sym__interpolated_multiline_string_end,
    STATE(16755), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16916), 2,
      sym_comment,
      sym_block_comment,
  [688250] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5778), 1,
      anon_sym_RPAREN,
    ACTIONS(21216), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16917), 2,
      sym_comment,
      sym_block_comment,
  [688270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11301), 1,
      sym__arrow_then_type,
    ACTIONS(21174), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16918), 2,
      sym_comment,
      sym_block_comment,
  [688288] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5494), 1,
      anon_sym_RBRACK,
    ACTIONS(21218), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16919), 2,
      sym_comment,
      sym_block_comment,
  [688308] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14086), 1,
      anon_sym_RPAREN,
    ACTIONS(21220), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16920), 2,
      sym_comment,
      sym_block_comment,
  [688328] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21222), 1,
      anon_sym_COMMA,
    ACTIONS(21224), 1,
      anon_sym_RBRACK,
    STATE(15921), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16921), 2,
      sym_comment,
      sym_block_comment,
  [688348] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5762), 1,
      anon_sym_RPAREN,
    ACTIONS(21226), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16922), 2,
      sym_comment,
      sym_block_comment,
  [688368] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21228), 1,
      anon_sym_COMMA,
    ACTIONS(21230), 1,
      anon_sym_RPAREN,
    STATE(16929), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16923), 2,
      sym_comment,
      sym_block_comment,
  [688388] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21232), 1,
      anon_sym_COMMA,
    ACTIONS(21234), 1,
      anon_sym_RPAREN,
    STATE(15920), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16924), 2,
      sym_comment,
      sym_block_comment,
  [688408] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5950), 1,
      anon_sym_RBRACK,
    ACTIONS(21236), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16925), 2,
      sym_comment,
      sym_block_comment,
  [688428] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5156), 1,
      anon_sym_RPAREN,
    ACTIONS(21238), 1,
      anon_sym_COMMA,
    STATE(16942), 1,
      aux_sym_parameters_repeat1,
    STATE(16926), 2,
      sym_comment,
      sym_block_comment,
  [688448] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21240), 1,
      anon_sym_COMMA,
    ACTIONS(21242), 1,
      anon_sym_RBRACK,
    STATE(16933), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16927), 2,
      sym_comment,
      sym_block_comment,
  [688468] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4598), 1,
      sym__indent,
    STATE(10033), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16928), 2,
      sym_comment,
      sym_block_comment,
  [688486] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14470), 1,
      anon_sym_RPAREN,
    ACTIONS(21244), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16929), 2,
      sym_comment,
      sym_block_comment,
  [688506] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5798), 1,
      anon_sym_RPAREN,
    ACTIONS(21246), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16930), 2,
      sym_comment,
      sym_block_comment,
  [688526] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21248), 1,
      anon_sym_COMMA,
    ACTIONS(21250), 1,
      anon_sym_RPAREN,
    STATE(16562), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16931), 2,
      sym_comment,
      sym_block_comment,
  [688546] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21252), 1,
      anon_sym_COMMA,
    ACTIONS(21254), 1,
      anon_sym_RPAREN,
    STATE(17196), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16932), 2,
      sym_comment,
      sym_block_comment,
  [688566] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5508), 1,
      anon_sym_RBRACK,
    ACTIONS(21256), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16933), 2,
      sym_comment,
      sym_block_comment,
  [688586] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5156), 1,
      anon_sym_RPAREN,
    ACTIONS(21258), 1,
      anon_sym_COMMA,
    STATE(16256), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16934), 2,
      sym_comment,
      sym_block_comment,
  [688606] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18657), 1,
      anon_sym_EQ,
    ACTIONS(18654), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(16935), 2,
      sym_comment,
      sym_block_comment,
  [688624] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21260), 1,
      anon_sym_COMMA,
    ACTIONS(21262), 1,
      anon_sym_RPAREN,
    STATE(17237), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16936), 2,
      sym_comment,
      sym_block_comment,
  [688644] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12939), 1,
      anon_sym_RPAREN,
    ACTIONS(21264), 1,
      anon_sym_COMMA,
    STATE(16896), 1,
      aux_sym_parameters_repeat1,
    STATE(16937), 2,
      sym_comment,
      sym_block_comment,
  [688664] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18778), 1,
      anon_sym_EQ,
    ACTIONS(18776), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(16938), 2,
      sym_comment,
      sym_block_comment,
  [688682] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21266), 1,
      anon_sym_COMMA,
    ACTIONS(21268), 1,
      anon_sym_RPAREN,
    STATE(16945), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16939), 2,
      sym_comment,
      sym_block_comment,
  [688702] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21270), 1,
      anon_sym_COMMA,
    ACTIONS(21272), 1,
      anon_sym_RPAREN,
    STATE(16607), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16940), 2,
      sym_comment,
      sym_block_comment,
  [688722] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21274), 1,
      anon_sym_COMMA,
    ACTIONS(21276), 1,
      anon_sym_RBRACK,
    STATE(16986), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16941), 2,
      sym_comment,
      sym_block_comment,
  [688742] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21278), 1,
      anon_sym_COMMA,
    ACTIONS(21281), 1,
      anon_sym_RPAREN,
    STATE(16942), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_parameters_repeat1,
  [688760] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21283), 1,
      anon_sym_COMMA,
    ACTIONS(21285), 1,
      anon_sym_RBRACK,
    STATE(16949), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16943), 2,
      sym_comment,
      sym_block_comment,
  [688780] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(21287), 1,
      sym__interpolated_string_end,
    STATE(16752), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16944), 2,
      sym_comment,
      sym_block_comment,
  [688800] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14482), 1,
      anon_sym_RPAREN,
    ACTIONS(21289), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16945), 2,
      sym_comment,
      sym_block_comment,
  [688820] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(21291), 1,
      sym__interpolated_string_end,
    STATE(16752), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16946), 2,
      sym_comment,
      sym_block_comment,
  [688840] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5408), 1,
      anon_sym_RPAREN,
    ACTIONS(21293), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16947), 2,
      sym_comment,
      sym_block_comment,
  [688860] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(21291), 1,
      sym__interpolated_multiline_string_end,
    STATE(16755), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16948), 2,
      sym_comment,
      sym_block_comment,
  [688880] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5526), 1,
      anon_sym_RBRACK,
    ACTIONS(21295), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16949), 2,
      sym_comment,
      sym_block_comment,
  [688900] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21297), 1,
      anon_sym_COMMA,
    ACTIONS(21300), 1,
      anon_sym_RPAREN,
    STATE(16950), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_named_tuple_type_repeat1,
  [688918] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(21287), 1,
      sym__interpolated_multiline_string_end,
    STATE(16755), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16951), 2,
      sym_comment,
      sym_block_comment,
  [688938] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18791), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [688954] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(21302), 1,
      sym__interpolated_string_end,
    STATE(17122), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16953), 2,
      sym_comment,
      sym_block_comment,
  [688974] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21304), 1,
      anon_sym_COMMA,
    ACTIONS(21306), 1,
      anon_sym_RPAREN,
    STATE(16906), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16954), 2,
      sym_comment,
      sym_block_comment,
  [688994] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(21302), 1,
      sym__interpolated_multiline_string_end,
    STATE(17128), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16955), 2,
      sym_comment,
      sym_block_comment,
  [689014] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14990), 1,
      anon_sym_RPAREN,
    ACTIONS(21308), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16956), 2,
      sym_comment,
      sym_block_comment,
  [689034] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14120), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(6592), 1,
      sym_type_arguments,
    STATE(16957), 2,
      sym_comment,
      sym_block_comment,
  [689054] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17473), 1,
      anon_sym_COLON,
    ACTIONS(17475), 1,
      anon_sym_LBRACE,
    STATE(15475), 1,
      sym_enum_body,
    STATE(16958), 2,
      sym_comment,
      sym_block_comment,
  [689074] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21310), 1,
      anon_sym_COMMA,
    ACTIONS(21312), 1,
      anon_sym_RPAREN,
    STATE(16963), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16959), 2,
      sym_comment,
      sym_block_comment,
  [689094] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21314), 1,
      anon_sym_COMMA,
    ACTIONS(21316), 1,
      anon_sym_RPAREN,
    STATE(15933), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16960), 2,
      sym_comment,
      sym_block_comment,
  [689114] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21318), 1,
      anon_sym_COMMA,
    ACTIONS(21320), 1,
      anon_sym_RBRACK,
    STATE(16967), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16961), 2,
      sym_comment,
      sym_block_comment,
  [689134] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5630), 1,
      anon_sym_RPAREN,
    ACTIONS(21322), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16962), 2,
      sym_comment,
      sym_block_comment,
  [689154] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14490), 1,
      anon_sym_RPAREN,
    ACTIONS(21324), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16963), 2,
      sym_comment,
      sym_block_comment,
  [689174] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5830), 1,
      anon_sym_RPAREN,
    ACTIONS(21326), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16964), 2,
      sym_comment,
      sym_block_comment,
  [689194] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18880), 1,
      anon_sym_RPAREN,
    ACTIONS(21328), 1,
      anon_sym_COMMA,
    STATE(16926), 1,
      aux_sym_parameters_repeat1,
    STATE(16965), 2,
      sym_comment,
      sym_block_comment,
  [689214] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18392), 1,
      anon_sym_case,
    STATE(15748), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(17525), 1,
      sym_type_case_clause,
    STATE(16966), 2,
      sym_comment,
      sym_block_comment,
  [689234] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5536), 1,
      anon_sym_RBRACK,
    ACTIONS(21330), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16967), 2,
      sym_comment,
      sym_block_comment,
  [689254] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(21332), 1,
      sym__interpolated_string_end,
    STATE(16993), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16968), 2,
      sym_comment,
      sym_block_comment,
  [689274] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(21332), 1,
      sym__interpolated_multiline_string_end,
    STATE(16994), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16969), 2,
      sym_comment,
      sym_block_comment,
  [689294] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18878), 1,
      anon_sym_COMMA,
    ACTIONS(18880), 1,
      anon_sym_RPAREN,
    STATE(16934), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(16970), 2,
      sym_comment,
      sym_block_comment,
  [689314] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14471), 1,
      sym__arrow_then_type,
    ACTIONS(21334), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16971), 2,
      sym_comment,
      sym_block_comment,
  [689332] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17033), 1,
      anon_sym_LBRACK,
    ACTIONS(21336), 1,
      anon_sym_match,
    STATE(10228), 1,
      sym_type_arguments,
    STATE(16972), 2,
      sym_comment,
      sym_block_comment,
  [689352] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21338), 1,
      anon_sym_COMMA,
    ACTIONS(21340), 1,
      anon_sym_RPAREN,
    STATE(17001), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16973), 2,
      sym_comment,
      sym_block_comment,
  [689372] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21342), 1,
      anon_sym_COMMA,
    ACTIONS(21344), 1,
      anon_sym_RPAREN,
    STATE(16981), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16974), 2,
      sym_comment,
      sym_block_comment,
  [689392] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21346), 1,
      anon_sym_COMMA,
    ACTIONS(21348), 1,
      anon_sym_RPAREN,
    STATE(16688), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16975), 2,
      sym_comment,
      sym_block_comment,
  [689412] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21350), 1,
      anon_sym_COMMA,
    ACTIONS(21352), 1,
      anon_sym_RPAREN,
    STATE(16531), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16976), 2,
      sym_comment,
      sym_block_comment,
  [689432] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14474), 1,
      sym__arrow_then_type,
    ACTIONS(21334), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16977), 2,
      sym_comment,
      sym_block_comment,
  [689450] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12203), 1,
      sym__arrow_then_type,
    ACTIONS(21354), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16978), 2,
      sym_comment,
      sym_block_comment,
  [689468] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21356), 1,
      anon_sym_COMMA,
    ACTIONS(21358), 1,
      anon_sym_RBRACK,
    STATE(16985), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16979), 2,
      sym_comment,
      sym_block_comment,
  [689488] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21360), 1,
      anon_sym_COMMA,
    ACTIONS(21362), 1,
      anon_sym_RPAREN,
    STATE(17202), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16980), 2,
      sym_comment,
      sym_block_comment,
  [689508] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14498), 1,
      anon_sym_RPAREN,
    ACTIONS(21364), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16981), 2,
      sym_comment,
      sym_block_comment,
  [689528] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5848), 1,
      anon_sym_RPAREN,
    ACTIONS(21366), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16982), 2,
      sym_comment,
      sym_block_comment,
  [689548] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21368), 1,
      anon_sym_COMMA,
    ACTIONS(21370), 1,
      anon_sym_RPAREN,
    STATE(16199), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16983), 2,
      sym_comment,
      sym_block_comment,
  [689568] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8145), 1,
      sym__arrow_then_type,
    ACTIONS(21172), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16984), 2,
      sym_comment,
      sym_block_comment,
  [689586] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5550), 1,
      anon_sym_RBRACK,
    ACTIONS(21372), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16985), 2,
      sym_comment,
      sym_block_comment,
  [689606] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5606), 1,
      anon_sym_RBRACK,
    ACTIONS(21374), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16986), 2,
      sym_comment,
      sym_block_comment,
  [689626] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21376), 1,
      anon_sym_COMMA,
    ACTIONS(21378), 1,
      anon_sym_RPAREN,
    STATE(16562), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16987), 2,
      sym_comment,
      sym_block_comment,
  [689646] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12638), 1,
      anon_sym_COMMA,
    ACTIONS(21380), 1,
      anon_sym_COLON,
    STATE(16616), 1,
      aux_sym_val_declaration_repeat1,
    STATE(16988), 2,
      sym_comment,
      sym_block_comment,
  [689666] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21382), 1,
      anon_sym_COMMA,
    ACTIONS(21384), 1,
      anon_sym_RPAREN,
    STATE(16995), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16989), 2,
      sym_comment,
      sym_block_comment,
  [689686] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21386), 1,
      anon_sym_COMMA,
    ACTIONS(21388), 1,
      anon_sym_RPAREN,
    STATE(16725), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16990), 2,
      sym_comment,
      sym_block_comment,
  [689706] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21390), 1,
      anon_sym_COMMA,
    ACTIONS(21392), 1,
      anon_sym_RBRACK,
    STATE(17008), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16991), 2,
      sym_comment,
      sym_block_comment,
  [689726] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21394), 1,
      anon_sym_COMMA,
    ACTIONS(21396), 1,
      anon_sym_RBRACK,
    STATE(16999), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16992), 2,
      sym_comment,
      sym_block_comment,
  [689746] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(21398), 1,
      sym__interpolated_string_end,
    STATE(16752), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(16993), 2,
      sym_comment,
      sym_block_comment,
  [689766] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(21398), 1,
      sym__interpolated_multiline_string_end,
    STATE(16755), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(16994), 2,
      sym_comment,
      sym_block_comment,
  [689786] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14502), 1,
      anon_sym_RPAREN,
    ACTIONS(21400), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(16995), 2,
      sym_comment,
      sym_block_comment,
  [689806] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(20021), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [689822] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5688), 1,
      anon_sym_RPAREN,
    ACTIONS(21402), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16997), 2,
      sym_comment,
      sym_block_comment,
  [689842] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4802), 1,
      sym__indent,
    STATE(9366), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16998), 2,
      sym_comment,
      sym_block_comment,
  [689860] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5578), 1,
      anon_sym_RBRACK,
    ACTIONS(21404), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(16999), 2,
      sym_comment,
      sym_block_comment,
  [689880] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12206), 1,
      sym__arrow_then_type,
    ACTIONS(21354), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17000), 2,
      sym_comment,
      sym_block_comment,
  [689898] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14096), 1,
      anon_sym_RPAREN,
    ACTIONS(21406), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17001), 2,
      sym_comment,
      sym_block_comment,
  [689918] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5814), 1,
      anon_sym_RPAREN,
    ACTIONS(21408), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17002), 2,
      sym_comment,
      sym_block_comment,
  [689938] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8298), 1,
      anon_sym_RPAREN,
    ACTIONS(21410), 1,
      anon_sym_COMMA,
    STATE(15936), 1,
      aux_sym_class_parameters_repeat1,
    STATE(17003), 2,
      sym_comment,
      sym_block_comment,
  [689958] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21412), 1,
      anon_sym_COMMA,
    ACTIONS(21414), 1,
      anon_sym_RBRACK,
    STATE(17037), 1,
      aux_sym_type_parameters_repeat1,
    STATE(17004), 2,
      sym_comment,
      sym_block_comment,
  [689978] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16322), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(8212), 1,
      sym_type_arguments,
    STATE(17005), 2,
      sym_comment,
      sym_block_comment,
  [689998] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21416), 1,
      anon_sym_COMMA,
    ACTIONS(21418), 1,
      anon_sym_RPAREN,
    STATE(17011), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17006), 2,
      sym_comment,
      sym_block_comment,
  [690018] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21420), 1,
      anon_sym_COMMA,
    ACTIONS(21422), 1,
      anon_sym_RPAREN,
    STATE(15969), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17007), 2,
      sym_comment,
      sym_block_comment,
  [690038] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6008), 1,
      anon_sym_RBRACK,
    ACTIONS(21424), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17008), 2,
      sym_comment,
      sym_block_comment,
  [690058] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21426), 1,
      anon_sym_COMMA,
    ACTIONS(21428), 1,
      anon_sym_RBRACK,
    STATE(17015), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17009), 2,
      sym_comment,
      sym_block_comment,
  [690078] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4884), 1,
      sym__indent,
    STATE(6652), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(17010), 2,
      sym_comment,
      sym_block_comment,
  [690096] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14510), 1,
      anon_sym_RPAREN,
    ACTIONS(21430), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17011), 2,
      sym_comment,
      sym_block_comment,
  [690116] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5876), 1,
      anon_sym_RPAREN,
    ACTIONS(21432), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17012), 2,
      sym_comment,
      sym_block_comment,
  [690136] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(17013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17668), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [690152] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21434), 1,
      anon_sym_COMMA,
    ACTIONS(21436), 1,
      anon_sym_RBRACK,
    STATE(16240), 1,
      aux_sym_type_parameters_repeat1,
    STATE(17014), 2,
      sym_comment,
      sym_block_comment,
  [690172] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5600), 1,
      anon_sym_RBRACK,
    ACTIONS(21438), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17015), 2,
      sym_comment,
      sym_block_comment,
  [690192] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12895), 1,
      anon_sym_RPAREN,
    ACTIONS(21440), 1,
      anon_sym_COMMA,
    STATE(15945), 1,
      aux_sym_parameters_repeat1,
    STATE(17016), 2,
      sym_comment,
      sym_block_comment,
  [690212] = 5,
    ACTIONS(19407), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21442), 1,
      anon_sym_STAR_SLASH,
    STATE(16326), 1,
      aux_sym_block_comment_repeat1,
    ACTIONS(20925), 2,
      anon_sym_SLASH_SLASH,
      aux_sym_block_comment_token1,
    STATE(17017), 2,
      sym_comment,
      sym_block_comment,
  [690230] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(21444), 1,
      sym__interpolated_string_end,
    STATE(17063), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(17018), 2,
      sym_comment,
      sym_block_comment,
  [690250] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(21444), 1,
      sym__interpolated_multiline_string_end,
    STATE(17064), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(17019), 2,
      sym_comment,
      sym_block_comment,
  [690270] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21446), 1,
      anon_sym_COMMA,
    ACTIONS(21448), 1,
      anon_sym_RPAREN,
    STATE(17027), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17020), 2,
      sym_comment,
      sym_block_comment,
  [690290] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21450), 1,
      anon_sym_LPAREN,
    ACTIONS(21452), 1,
      sym__automatic_semicolon,
    STATE(14385), 1,
      sym_class_parameters,
    STATE(17021), 2,
      sym_comment,
      sym_block_comment,
  [690310] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21454), 1,
      anon_sym_COMMA,
    ACTIONS(21456), 1,
      anon_sym_RPAREN,
    STATE(15989), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17022), 2,
      sym_comment,
      sym_block_comment,
  [690330] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18799), 1,
      anon_sym_RPAREN,
    ACTIONS(21458), 1,
      anon_sym_COMMA,
    STATE(15972), 1,
      aux_sym_parameters_repeat1,
    STATE(17023), 2,
      sym_comment,
      sym_block_comment,
  [690350] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21460), 1,
      anon_sym_COMMA,
    ACTIONS(21462), 1,
      anon_sym_RPAREN,
    STATE(16562), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17024), 2,
      sym_comment,
      sym_block_comment,
  [690370] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17369), 1,
      anon_sym_COLON,
    ACTIONS(17371), 1,
      anon_sym_LBRACE,
    STATE(15632), 1,
      sym_enum_body,
    STATE(17025), 2,
      sym_comment,
      sym_block_comment,
  [690390] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21464), 1,
      anon_sym_COMMA,
    ACTIONS(21466), 1,
      anon_sym_RBRACK,
    STATE(17030), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17026), 2,
      sym_comment,
      sym_block_comment,
  [690410] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14518), 1,
      anon_sym_RPAREN,
    ACTIONS(21468), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17027), 2,
      sym_comment,
      sym_block_comment,
  [690430] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(17028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(19063), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [690446] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5906), 1,
      anon_sym_RPAREN,
    ACTIONS(21470), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17029), 2,
      sym_comment,
      sym_block_comment,
  [690466] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5622), 1,
      anon_sym_RBRACK,
    ACTIONS(21472), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17030), 2,
      sym_comment,
      sym_block_comment,
  [690486] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11884), 1,
      sym__arrow_then_type,
    ACTIONS(21474), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17031), 2,
      sym_comment,
      sym_block_comment,
  [690504] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12974), 1,
      anon_sym_RPAREN,
    ACTIONS(21476), 1,
      anon_sym_COMMA,
    STATE(17085), 1,
      aux_sym_parameters_repeat1,
    STATE(17032), 2,
      sym_comment,
      sym_block_comment,
  [690524] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21478), 1,
      anon_sym_COMMA,
    ACTIONS(21480), 1,
      anon_sym_RPAREN,
    STATE(17089), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17033), 2,
      sym_comment,
      sym_block_comment,
  [690544] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21482), 1,
      anon_sym_COMMA,
    ACTIONS(21484), 1,
      anon_sym_RPAREN,
    STATE(17094), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17034), 2,
      sym_comment,
      sym_block_comment,
  [690564] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11887), 1,
      sym__arrow_then_type,
    ACTIONS(21474), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17035), 2,
      sym_comment,
      sym_block_comment,
  [690582] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21486), 1,
      anon_sym_COMMA,
    ACTIONS(21488), 1,
      anon_sym_RPAREN,
    STATE(17043), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17036), 2,
      sym_comment,
      sym_block_comment,
  [690602] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21490), 1,
      anon_sym_COMMA,
    ACTIONS(21492), 1,
      anon_sym_RBRACK,
    STATE(16240), 1,
      aux_sym_type_parameters_repeat1,
    STATE(17037), 2,
      sym_comment,
      sym_block_comment,
  [690622] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21494), 1,
      anon_sym_COMMA,
    ACTIONS(21496), 1,
      anon_sym_RPAREN,
    STATE(16760), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17038), 2,
      sym_comment,
      sym_block_comment,
  [690642] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16302), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(8107), 1,
      sym_type_arguments,
    STATE(17039), 2,
      sym_comment,
      sym_block_comment,
  [690662] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21498), 1,
      anon_sym_COMMA,
    ACTIONS(21500), 1,
      anon_sym_RPAREN,
    STATE(17115), 1,
      aux_sym_case_class_pattern_repeat2,
    STATE(17040), 2,
      sym_comment,
      sym_block_comment,
  [690682] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21502), 1,
      anon_sym_COMMA,
    ACTIONS(21504), 1,
      anon_sym_RBRACK,
    STATE(17047), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17041), 2,
      sym_comment,
      sym_block_comment,
  [690702] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21506), 1,
      anon_sym_COMMA,
    ACTIONS(21509), 1,
      anon_sym_RBRACK,
    STATE(17042), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_type_lambda_repeat1,
  [690720] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14526), 1,
      anon_sym_RPAREN,
    ACTIONS(21511), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17043), 2,
      sym_comment,
      sym_block_comment,
  [690740] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(17044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17882), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [690756] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21513), 1,
      anon_sym_COMMA,
    ACTIONS(21515), 1,
      anon_sym_RPAREN,
    STATE(16562), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17045), 2,
      sym_comment,
      sym_block_comment,
  [690776] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5922), 1,
      anon_sym_RPAREN,
    ACTIONS(21517), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17046), 2,
      sym_comment,
      sym_block_comment,
  [690796] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5642), 1,
      anon_sym_RBRACK,
    ACTIONS(21519), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17047), 2,
      sym_comment,
      sym_block_comment,
  [690816] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21172), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(21521), 1,
      anon_sym_EQ_GT,
    STATE(8082), 1,
      sym__arrow_then_type,
    STATE(17048), 2,
      sym_comment,
      sym_block_comment,
  [690836] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21523), 1,
      anon_sym_RBRACE,
    ACTIONS(21525), 1,
      anon_sym_COMMA,
    STATE(16305), 1,
      aux_sym__context_bounds_repeat2,
    STATE(17049), 2,
      sym_comment,
      sym_block_comment,
  [690856] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12638), 1,
      anon_sym_COMMA,
    ACTIONS(21527), 1,
      anon_sym_COLON,
    STATE(16616), 1,
      aux_sym_val_declaration_repeat1,
    STATE(17050), 2,
      sym_comment,
      sym_block_comment,
  [690876] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12638), 1,
      anon_sym_COMMA,
    ACTIONS(21529), 1,
      anon_sym_COLON,
    STATE(16616), 1,
      aux_sym_val_declaration_repeat1,
    STATE(17051), 2,
      sym_comment,
      sym_block_comment,
  [690896] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12638), 1,
      anon_sym_COMMA,
    ACTIONS(21531), 1,
      anon_sym_COLON,
    STATE(16616), 1,
      aux_sym_val_declaration_repeat1,
    STATE(17052), 2,
      sym_comment,
      sym_block_comment,
  [690916] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12638), 1,
      anon_sym_COMMA,
    ACTIONS(21533), 1,
      anon_sym_COLON,
    STATE(16616), 1,
      aux_sym_val_declaration_repeat1,
    STATE(17053), 2,
      sym_comment,
      sym_block_comment,
  [690936] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(17054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18600), 3,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_LPAREN,
  [690952] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16604), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(9273), 1,
      sym_type_arguments,
    STATE(17055), 2,
      sym_comment,
      sym_block_comment,
  [690972] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18797), 1,
      anon_sym_COMMA,
    ACTIONS(18799), 1,
      anon_sym_RPAREN,
    STATE(15998), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(17056), 2,
      sym_comment,
      sym_block_comment,
  [690992] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(21535), 1,
      sym__interpolated_string_end,
    STATE(17114), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(17057), 2,
      sym_comment,
      sym_block_comment,
  [691012] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(21535), 1,
      sym__interpolated_multiline_string_end,
    STATE(17120), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(17058), 2,
      sym_comment,
      sym_block_comment,
  [691032] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21537), 1,
      anon_sym_COMMA,
    ACTIONS(21539), 1,
      anon_sym_RBRACK,
    STATE(17174), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17059), 2,
      sym_comment,
      sym_block_comment,
  [691052] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18382), 1,
      anon_sym_case,
    STATE(15617), 1,
      aux_sym_indented_cases_repeat1,
    STATE(17489), 1,
      sym_case_clause,
    STATE(17060), 2,
      sym_comment,
      sym_block_comment,
  [691072] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21541), 1,
      anon_sym_COMMA,
    ACTIONS(21543), 1,
      anon_sym_RPAREN,
    STATE(17071), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17061), 2,
      sym_comment,
      sym_block_comment,
  [691092] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21545), 1,
      anon_sym_COMMA,
    ACTIONS(21547), 1,
      anon_sym_RPAREN,
    STATE(16009), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17062), 2,
      sym_comment,
      sym_block_comment,
  [691112] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(21549), 1,
      sym__interpolated_string_end,
    STATE(16752), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(17063), 2,
      sym_comment,
      sym_block_comment,
  [691132] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(21549), 1,
      sym__interpolated_multiline_string_end,
    STATE(16755), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(17064), 2,
      sym_comment,
      sym_block_comment,
  [691152] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13869), 1,
      sym__arrow_then_type,
    ACTIONS(21551), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17065), 2,
      sym_comment,
      sym_block_comment,
  [691170] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21553), 1,
      anon_sym_COMMA,
    ACTIONS(21555), 1,
      anon_sym_RPAREN,
    STATE(17137), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17066), 2,
      sym_comment,
      sym_block_comment,
  [691190] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21557), 1,
      anon_sym_COMMA,
    ACTIONS(21559), 1,
      anon_sym_RBRACK,
    STATE(17076), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17067), 2,
      sym_comment,
      sym_block_comment,
  [691210] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21561), 1,
      anon_sym_COMMA,
    ACTIONS(21564), 1,
      anon_sym_RBRACK,
    STATE(17069), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17068), 2,
      sym_comment,
      sym_block_comment,
  [691230] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21567), 1,
      anon_sym_COMMA,
    ACTIONS(21569), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17069), 2,
      sym_comment,
      sym_block_comment,
  [691250] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21571), 1,
      anon_sym_COMMA,
    ACTIONS(21573), 1,
      anon_sym_RPAREN,
    STATE(16492), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17070), 2,
      sym_comment,
      sym_block_comment,
  [691270] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14534), 1,
      anon_sym_RPAREN,
    ACTIONS(21575), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17071), 2,
      sym_comment,
      sym_block_comment,
  [691290] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8380), 1,
      anon_sym_RPAREN,
    ACTIONS(21577), 1,
      anon_sym_COMMA,
    STATE(17230), 1,
      aux_sym_class_parameters_repeat1,
    STATE(17072), 2,
      sym_comment,
      sym_block_comment,
  [691310] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13876), 1,
      sym__arrow_then_type,
    ACTIONS(21551), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17073), 2,
      sym_comment,
      sym_block_comment,
  [691328] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5938), 1,
      anon_sym_RPAREN,
    ACTIONS(21579), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17074), 2,
      sym_comment,
      sym_block_comment,
  [691348] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17369), 1,
      anon_sym_COLON,
    ACTIONS(17371), 1,
      anon_sym_LBRACE,
    STATE(15873), 1,
      sym_enum_body,
    STATE(17075), 2,
      sym_comment,
      sym_block_comment,
  [691368] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5678), 1,
      anon_sym_RBRACK,
    ACTIONS(21581), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17076), 2,
      sym_comment,
      sym_block_comment,
  [691388] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12976), 1,
      anon_sym_RPAREN,
    ACTIONS(21583), 1,
      anon_sym_COMMA,
    STATE(17263), 1,
      aux_sym_parameters_repeat1,
    STATE(17077), 2,
      sym_comment,
      sym_block_comment,
  [691408] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21585), 1,
      anon_sym_COMMA,
    ACTIONS(21588), 1,
      anon_sym_RBRACK,
    STATE(17079), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17078), 2,
      sym_comment,
      sym_block_comment,
  [691428] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21591), 1,
      anon_sym_COMMA,
    ACTIONS(21593), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17079), 2,
      sym_comment,
      sym_block_comment,
  [691448] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21595), 1,
      anon_sym_COMMA,
    ACTIONS(21597), 1,
      anon_sym_RBRACK,
    STATE(16703), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17080), 2,
      sym_comment,
      sym_block_comment,
  [691468] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18576), 1,
      anon_sym_RPAREN,
    ACTIONS(21599), 1,
      anon_sym_COMMA,
    STATE(17275), 1,
      aux_sym_parameters_repeat1,
    STATE(17081), 2,
      sym_comment,
      sym_block_comment,
  [691488] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18574), 1,
      anon_sym_COMMA,
    ACTIONS(18576), 1,
      anon_sym_RPAREN,
    STATE(17306), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(17082), 2,
      sym_comment,
      sym_block_comment,
  [691508] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21601), 1,
      anon_sym_COMMA,
    ACTIONS(21604), 1,
      anon_sym_RBRACK,
    STATE(17084), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17083), 2,
      sym_comment,
      sym_block_comment,
  [691528] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21607), 1,
      anon_sym_COMMA,
    ACTIONS(21609), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17084), 2,
      sym_comment,
      sym_block_comment,
  [691548] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12976), 1,
      anon_sym_RPAREN,
    ACTIONS(21583), 1,
      anon_sym_COMMA,
    STATE(16942), 1,
      aux_sym_parameters_repeat1,
    STATE(17085), 2,
      sym_comment,
      sym_block_comment,
  [691568] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21611), 1,
      anon_sym_COMMA,
    ACTIONS(21614), 1,
      anon_sym_RBRACK,
    STATE(17087), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17086), 2,
      sym_comment,
      sym_block_comment,
  [691588] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21617), 1,
      anon_sym_COMMA,
    ACTIONS(21619), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17087), 2,
      sym_comment,
      sym_block_comment,
  [691608] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21621), 1,
      anon_sym_COMMA,
    ACTIONS(21623), 1,
      anon_sym_RPAREN,
    STATE(17100), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17088), 2,
      sym_comment,
      sym_block_comment,
  [691628] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15071), 1,
      anon_sym_RPAREN,
    ACTIONS(21625), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17089), 2,
      sym_comment,
      sym_block_comment,
  [691648] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21627), 1,
      anon_sym_COMMA,
    ACTIONS(21629), 1,
      anon_sym_RPAREN,
    STATE(16797), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17090), 2,
      sym_comment,
      sym_block_comment,
  [691668] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21631), 1,
      anon_sym_COMMA,
    ACTIONS(21634), 1,
      anon_sym_RBRACK,
    STATE(17092), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17091), 2,
      sym_comment,
      sym_block_comment,
  [691688] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21637), 1,
      anon_sym_COMMA,
    ACTIONS(21639), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17092), 2,
      sym_comment,
      sym_block_comment,
  [691708] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21641), 1,
      anon_sym_COMMA,
    ACTIONS(21643), 1,
      anon_sym_RPAREN,
    STATE(16562), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17093), 2,
      sym_comment,
      sym_block_comment,
  [691728] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5590), 1,
      anon_sym_RPAREN,
    ACTIONS(21645), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17094), 2,
      sym_comment,
      sym_block_comment,
  [691748] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21647), 1,
      anon_sym_COMMA,
    ACTIONS(21650), 1,
      anon_sym_RBRACK,
    STATE(17096), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17095), 2,
      sym_comment,
      sym_block_comment,
  [691768] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21653), 1,
      anon_sym_COMMA,
    ACTIONS(21655), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17096), 2,
      sym_comment,
      sym_block_comment,
  [691788] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21657), 1,
      anon_sym_COMMA,
    ACTIONS(21659), 1,
      anon_sym_RBRACK,
    STATE(17104), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17097), 2,
      sym_comment,
      sym_block_comment,
  [691808] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21661), 1,
      anon_sym_COMMA,
    ACTIONS(21664), 1,
      anon_sym_RBRACK,
    STATE(17099), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17098), 2,
      sym_comment,
      sym_block_comment,
  [691828] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21667), 1,
      anon_sym_COMMA,
    ACTIONS(21669), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17099), 2,
      sym_comment,
      sym_block_comment,
  [691848] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14544), 1,
      anon_sym_RPAREN,
    ACTIONS(21671), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17100), 2,
      sym_comment,
      sym_block_comment,
  [691868] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21673), 1,
      anon_sym_COMMA,
    ACTIONS(21676), 1,
      anon_sym_RBRACK,
    STATE(17103), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17101), 2,
      sym_comment,
      sym_block_comment,
  [691888] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5962), 1,
      anon_sym_RPAREN,
    ACTIONS(21679), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17102), 2,
      sym_comment,
      sym_block_comment,
  [691908] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21681), 1,
      anon_sym_COMMA,
    ACTIONS(21683), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17103), 2,
      sym_comment,
      sym_block_comment,
  [691928] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5692), 1,
      anon_sym_RBRACK,
    ACTIONS(21685), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17104), 2,
      sym_comment,
      sym_block_comment,
  [691948] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21687), 1,
      anon_sym_COMMA,
    ACTIONS(21690), 1,
      anon_sym_RBRACK,
    STATE(17106), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17105), 2,
      sym_comment,
      sym_block_comment,
  [691968] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21693), 1,
      anon_sym_COMMA,
    ACTIONS(21695), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17106), 2,
      sym_comment,
      sym_block_comment,
  [691988] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21697), 1,
      anon_sym_COMMA,
    ACTIONS(21700), 1,
      anon_sym_RBRACK,
    STATE(17109), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17107), 2,
      sym_comment,
      sym_block_comment,
  [692008] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12638), 1,
      anon_sym_COMMA,
    ACTIONS(21703), 1,
      anon_sym_COLON,
    STATE(16616), 1,
      aux_sym_val_declaration_repeat1,
    STATE(17108), 2,
      sym_comment,
      sym_block_comment,
  [692028] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21705), 1,
      anon_sym_COMMA,
    ACTIONS(21707), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17109), 2,
      sym_comment,
      sym_block_comment,
  [692048] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21709), 1,
      anon_sym_COMMA,
    ACTIONS(21711), 1,
      anon_sym_RBRACK,
    STATE(17159), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17110), 2,
      sym_comment,
      sym_block_comment,
  [692068] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7476), 1,
      anon_sym_RPAREN,
    ACTIONS(21713), 1,
      anon_sym_COMMA,
    STATE(16859), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(17111), 2,
      sym_comment,
      sym_block_comment,
  [692088] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21715), 1,
      anon_sym_COMMA,
    ACTIONS(21718), 1,
      anon_sym_RBRACK,
    STATE(17113), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17112), 2,
      sym_comment,
      sym_block_comment,
  [692108] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21721), 1,
      anon_sym_COMMA,
    ACTIONS(21723), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17113), 2,
      sym_comment,
      sym_block_comment,
  [692128] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(21725), 1,
      sym__interpolated_string_end,
    STATE(16752), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(17114), 2,
      sym_comment,
      sym_block_comment,
  [692148] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15073), 1,
      anon_sym_RPAREN,
    ACTIONS(21727), 1,
      anon_sym_COMMA,
    STATE(16264), 1,
      aux_sym_case_class_pattern_repeat2,
    STATE(17115), 2,
      sym_comment,
      sym_block_comment,
  [692168] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21729), 1,
      anon_sym_COMMA,
    ACTIONS(21732), 1,
      anon_sym_RBRACK,
    STATE(17118), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17116), 2,
      sym_comment,
      sym_block_comment,
  [692188] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21735), 1,
      anon_sym_COMMA,
    ACTIONS(21737), 1,
      anon_sym_RPAREN,
    STATE(17129), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17117), 2,
      sym_comment,
      sym_block_comment,
  [692208] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21739), 1,
      anon_sym_COMMA,
    ACTIONS(21741), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17118), 2,
      sym_comment,
      sym_block_comment,
  [692228] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21743), 1,
      anon_sym_COMMA,
    ACTIONS(21745), 1,
      anon_sym_RPAREN,
    STATE(16039), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17119), 2,
      sym_comment,
      sym_block_comment,
  [692248] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(21725), 1,
      sym__interpolated_multiline_string_end,
    STATE(16755), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(17120), 2,
      sym_comment,
      sym_block_comment,
  [692268] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21747), 1,
      anon_sym_COMMA,
    ACTIONS(21750), 1,
      anon_sym_RBRACK,
    STATE(17123), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17121), 2,
      sym_comment,
      sym_block_comment,
  [692288] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(21753), 1,
      sym__interpolated_string_end,
    STATE(16752), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(17122), 2,
      sym_comment,
      sym_block_comment,
  [692308] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21755), 1,
      anon_sym_COMMA,
    ACTIONS(21757), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17123), 2,
      sym_comment,
      sym_block_comment,
  [692328] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21759), 1,
      anon_sym_COMMA,
    ACTIONS(21761), 1,
      anon_sym_RBRACK,
    STATE(17134), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17124), 2,
      sym_comment,
      sym_block_comment,
  [692348] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11098), 1,
      anon_sym_RPAREN,
    ACTIONS(21763), 1,
      anon_sym_COMMA,
    STATE(17316), 1,
      aux_sym_case_class_pattern_repeat2,
    STATE(17125), 2,
      sym_comment,
      sym_block_comment,
  [692368] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21765), 1,
      anon_sym_COMMA,
    ACTIONS(21768), 1,
      anon_sym_RBRACK,
    STATE(17127), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17126), 2,
      sym_comment,
      sym_block_comment,
  [692388] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21771), 1,
      anon_sym_COMMA,
    ACTIONS(21773), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17127), 2,
      sym_comment,
      sym_block_comment,
  [692408] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(21753), 1,
      sym__interpolated_multiline_string_end,
    STATE(16755), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(17128), 2,
      sym_comment,
      sym_block_comment,
  [692428] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14556), 1,
      anon_sym_RPAREN,
    ACTIONS(21775), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17129), 2,
      sym_comment,
      sym_block_comment,
  [692448] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21777), 1,
      anon_sym_COMMA,
    ACTIONS(21780), 1,
      anon_sym_RBRACK,
    STATE(17132), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17130), 2,
      sym_comment,
      sym_block_comment,
  [692468] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5980), 1,
      anon_sym_RPAREN,
    ACTIONS(21783), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17131), 2,
      sym_comment,
      sym_block_comment,
  [692488] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21785), 1,
      anon_sym_COMMA,
    ACTIONS(21787), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17132), 2,
      sym_comment,
      sym_block_comment,
  [692508] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(21789), 1,
      sym__interpolated_string_end,
    STATE(17255), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(17133), 2,
      sym_comment,
      sym_block_comment,
  [692528] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5708), 1,
      anon_sym_RBRACK,
    ACTIONS(21791), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17134), 2,
      sym_comment,
      sym_block_comment,
  [692548] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21793), 1,
      anon_sym_COMMA,
    ACTIONS(21796), 1,
      anon_sym_RBRACK,
    STATE(17136), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17135), 2,
      sym_comment,
      sym_block_comment,
  [692568] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21799), 1,
      anon_sym_COMMA,
    ACTIONS(21801), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17136), 2,
      sym_comment,
      sym_block_comment,
  [692588] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14114), 1,
      anon_sym_RPAREN,
    ACTIONS(21803), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17137), 2,
      sym_comment,
      sym_block_comment,
  [692608] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12939), 1,
      anon_sym_RPAREN,
    ACTIONS(21264), 1,
      anon_sym_COMMA,
    STATE(16942), 1,
      aux_sym_parameters_repeat1,
    STATE(17138), 2,
      sym_comment,
      sym_block_comment,
  [692628] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21805), 1,
      anon_sym_COMMA,
    ACTIONS(21808), 1,
      anon_sym_RBRACK,
    STATE(17141), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17139), 2,
      sym_comment,
      sym_block_comment,
  [692648] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(21789), 1,
      sym__interpolated_multiline_string_end,
    STATE(17279), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(17140), 2,
      sym_comment,
      sym_block_comment,
  [692668] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21811), 1,
      anon_sym_COMMA,
    ACTIONS(21813), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17141), 2,
      sym_comment,
      sym_block_comment,
  [692688] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5890), 1,
      anon_sym_RPAREN,
    ACTIONS(21815), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17142), 2,
      sym_comment,
      sym_block_comment,
  [692708] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21817), 1,
      anon_sym_COMMA,
    ACTIONS(21820), 1,
      anon_sym_RBRACK,
    STATE(17144), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17143), 2,
      sym_comment,
      sym_block_comment,
  [692728] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21823), 1,
      anon_sym_COMMA,
    ACTIONS(21825), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17144), 2,
      sym_comment,
      sym_block_comment,
  [692748] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21827), 1,
      anon_sym_COMMA,
    ACTIONS(21830), 1,
      anon_sym_RBRACK,
    STATE(17147), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17145), 2,
      sym_comment,
      sym_block_comment,
  [692768] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21833), 1,
      anon_sym_COMMA,
    ACTIONS(21835), 1,
      anon_sym_RPAREN,
    STATE(17158), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17146), 2,
      sym_comment,
      sym_block_comment,
  [692788] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21837), 1,
      anon_sym_COMMA,
    ACTIONS(21839), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17147), 2,
      sym_comment,
      sym_block_comment,
  [692808] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21841), 1,
      anon_sym_COMMA,
    ACTIONS(21843), 1,
      anon_sym_RPAREN,
    STATE(16879), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17148), 2,
      sym_comment,
      sym_block_comment,
  [692828] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21845), 1,
      anon_sym_COMMA,
    ACTIONS(21848), 1,
      anon_sym_RBRACK,
    STATE(17150), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17149), 2,
      sym_comment,
      sym_block_comment,
  [692848] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21851), 1,
      anon_sym_COMMA,
    ACTIONS(21853), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17150), 2,
      sym_comment,
      sym_block_comment,
  [692868] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(18759), 1,
      sym__arrow_then_type,
    ACTIONS(21855), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17151), 2,
      sym_comment,
      sym_block_comment,
  [692886] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21857), 1,
      anon_sym_COMMA,
    ACTIONS(21860), 1,
      anon_sym_RBRACK,
    STATE(17154), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17152), 2,
      sym_comment,
      sym_block_comment,
  [692906] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21863), 1,
      anon_sym_COMMA,
    ACTIONS(21865), 1,
      anon_sym_RBRACK,
    STATE(17163), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17153), 2,
      sym_comment,
      sym_block_comment,
  [692926] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21867), 1,
      anon_sym_COMMA,
    ACTIONS(21869), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17154), 2,
      sym_comment,
      sym_block_comment,
  [692946] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21871), 1,
      anon_sym_COMMA,
    ACTIONS(21874), 1,
      anon_sym_RBRACK,
    STATE(17157), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17155), 2,
      sym_comment,
      sym_block_comment,
  [692966] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21877), 1,
      anon_sym_COMMA,
    ACTIONS(21879), 1,
      anon_sym_RPAREN,
    STATE(17311), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17156), 2,
      sym_comment,
      sym_block_comment,
  [692986] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21881), 1,
      anon_sym_COMMA,
    ACTIONS(21883), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17157), 2,
      sym_comment,
      sym_block_comment,
  [693006] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14566), 1,
      anon_sym_RPAREN,
    ACTIONS(21885), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17158), 2,
      sym_comment,
      sym_block_comment,
  [693026] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5826), 1,
      anon_sym_RBRACK,
    ACTIONS(21887), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17159), 2,
      sym_comment,
      sym_block_comment,
  [693046] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21889), 1,
      anon_sym_COMMA,
    ACTIONS(21892), 1,
      anon_sym_RBRACK,
    STATE(17162), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17160), 2,
      sym_comment,
      sym_block_comment,
  [693066] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5282), 1,
      anon_sym_RPAREN,
    ACTIONS(21895), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17161), 2,
      sym_comment,
      sym_block_comment,
  [693086] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21897), 1,
      anon_sym_COMMA,
    ACTIONS(21899), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17162), 2,
      sym_comment,
      sym_block_comment,
  [693106] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5734), 1,
      anon_sym_RBRACK,
    ACTIONS(21901), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17163), 2,
      sym_comment,
      sym_block_comment,
  [693126] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21903), 1,
      anon_sym_COMMA,
    ACTIONS(21906), 1,
      anon_sym_RBRACK,
    STATE(17165), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17164), 2,
      sym_comment,
      sym_block_comment,
  [693146] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21909), 1,
      anon_sym_COMMA,
    ACTIONS(21911), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17165), 2,
      sym_comment,
      sym_block_comment,
  [693166] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4592), 1,
      sym__indent,
    STATE(8158), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(17166), 2,
      sym_comment,
      sym_block_comment,
  [693184] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21913), 1,
      anon_sym_COMMA,
    ACTIONS(21916), 1,
      anon_sym_RBRACK,
    STATE(17168), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17167), 2,
      sym_comment,
      sym_block_comment,
  [693204] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21919), 1,
      anon_sym_COMMA,
    ACTIONS(21921), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17168), 2,
      sym_comment,
      sym_block_comment,
  [693224] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21923), 1,
      anon_sym_COMMA,
    ACTIONS(21925), 1,
      anon_sym_RPAREN,
    STATE(16584), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17169), 2,
      sym_comment,
      sym_block_comment,
  [693244] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(19563), 1,
      sym__arrow_then_type,
    ACTIONS(21855), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17170), 2,
      sym_comment,
      sym_block_comment,
  [693262] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21927), 1,
      anon_sym_COMMA,
    ACTIONS(21930), 1,
      anon_sym_RBRACK,
    STATE(17172), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17171), 2,
      sym_comment,
      sym_block_comment,
  [693282] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21933), 1,
      anon_sym_COMMA,
    ACTIONS(21935), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17172), 2,
      sym_comment,
      sym_block_comment,
  [693302] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12895), 1,
      anon_sym_RPAREN,
    ACTIONS(21440), 1,
      anon_sym_COMMA,
    STATE(16942), 1,
      aux_sym_parameters_repeat1,
    STATE(17173), 2,
      sym_comment,
      sym_block_comment,
  [693322] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5686), 1,
      anon_sym_RBRACK,
    ACTIONS(21937), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17174), 2,
      sym_comment,
      sym_block_comment,
  [693342] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21939), 1,
      anon_sym_COMMA,
    ACTIONS(21942), 1,
      anon_sym_RBRACK,
    STATE(17176), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17175), 2,
      sym_comment,
      sym_block_comment,
  [693362] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21945), 1,
      anon_sym_COMMA,
    ACTIONS(21947), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17176), 2,
      sym_comment,
      sym_block_comment,
  [693382] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21949), 1,
      anon_sym_COMMA,
    ACTIONS(21951), 1,
      anon_sym_RPAREN,
    STATE(17189), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17177), 2,
      sym_comment,
      sym_block_comment,
  [693402] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21953), 1,
      anon_sym_COMMA,
    ACTIONS(21956), 1,
      anon_sym_RBRACK,
    STATE(17180), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17178), 2,
      sym_comment,
      sym_block_comment,
  [693422] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21959), 1,
      anon_sym_COMMA,
    ACTIONS(21961), 1,
      anon_sym_RPAREN,
    STATE(16899), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17179), 2,
      sym_comment,
      sym_block_comment,
  [693442] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21963), 1,
      anon_sym_COMMA,
    ACTIONS(21965), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17180), 2,
      sym_comment,
      sym_block_comment,
  [693462] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4586), 1,
      sym__indent,
    STATE(8294), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(17181), 2,
      sym_comment,
      sym_block_comment,
  [693480] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21967), 1,
      anon_sym_COMMA,
    ACTIONS(21970), 1,
      anon_sym_RBRACK,
    STATE(17183), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17182), 2,
      sym_comment,
      sym_block_comment,
  [693500] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21973), 1,
      anon_sym_COMMA,
    ACTIONS(21975), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17183), 2,
      sym_comment,
      sym_block_comment,
  [693520] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21977), 1,
      anon_sym_COMMA,
    ACTIONS(21979), 1,
      anon_sym_RBRACK,
    STATE(17197), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17184), 2,
      sym_comment,
      sym_block_comment,
  [693540] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21981), 1,
      anon_sym_COMMA,
    ACTIONS(21984), 1,
      anon_sym_RBRACK,
    STATE(17186), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17185), 2,
      sym_comment,
      sym_block_comment,
  [693560] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21987), 1,
      anon_sym_COMMA,
    ACTIONS(21989), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17186), 2,
      sym_comment,
      sym_block_comment,
  [693580] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14443), 1,
      anon_sym_RPAREN,
    ACTIONS(21991), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17187), 2,
      sym_comment,
      sym_block_comment,
  [693600] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21993), 1,
      anon_sym_COMMA,
    ACTIONS(21996), 1,
      anon_sym_RBRACK,
    STATE(17190), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17188), 2,
      sym_comment,
      sym_block_comment,
  [693620] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14574), 1,
      anon_sym_RPAREN,
    ACTIONS(21999), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17189), 2,
      sym_comment,
      sym_block_comment,
  [693640] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22001), 1,
      anon_sym_COMMA,
    ACTIONS(22003), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17190), 2,
      sym_comment,
      sym_block_comment,
  [693660] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12638), 1,
      anon_sym_COMMA,
    ACTIONS(22005), 1,
      anon_sym_COLON,
    STATE(16616), 1,
      aux_sym_val_declaration_repeat1,
    STATE(17191), 2,
      sym_comment,
      sym_block_comment,
  [693680] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17369), 1,
      anon_sym_COLON,
    ACTIONS(17371), 1,
      anon_sym_LBRACE,
    STATE(15728), 1,
      sym_enum_body,
    STATE(17192), 2,
      sym_comment,
      sym_block_comment,
  [693700] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22007), 1,
      anon_sym_COMMA,
    ACTIONS(22010), 1,
      anon_sym_RBRACK,
    STATE(17195), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17193), 2,
      sym_comment,
      sym_block_comment,
  [693720] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5998), 1,
      anon_sym_RPAREN,
    ACTIONS(22013), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17194), 2,
      sym_comment,
      sym_block_comment,
  [693740] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22015), 1,
      anon_sym_COMMA,
    ACTIONS(22017), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17195), 2,
      sym_comment,
      sym_block_comment,
  [693760] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14560), 1,
      anon_sym_RPAREN,
    ACTIONS(22019), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17196), 2,
      sym_comment,
      sym_block_comment,
  [693780] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5760), 1,
      anon_sym_RBRACK,
    ACTIONS(22021), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17197), 2,
      sym_comment,
      sym_block_comment,
  [693800] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22023), 1,
      anon_sym_COMMA,
    ACTIONS(22026), 1,
      anon_sym_RBRACK,
    STATE(17199), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17198), 2,
      sym_comment,
      sym_block_comment,
  [693820] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22029), 1,
      anon_sym_COMMA,
    ACTIONS(22031), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17199), 2,
      sym_comment,
      sym_block_comment,
  [693840] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22033), 1,
      anon_sym_COMMA,
    ACTIONS(22036), 1,
      anon_sym_RBRACK,
    STATE(17201), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17200), 2,
      sym_comment,
      sym_block_comment,
  [693860] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22039), 1,
      anon_sym_COMMA,
    ACTIONS(22041), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17201), 2,
      sym_comment,
      sym_block_comment,
  [693880] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14926), 1,
      anon_sym_RPAREN,
    ACTIONS(22043), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17202), 2,
      sym_comment,
      sym_block_comment,
  [693900] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22045), 1,
      anon_sym_COMMA,
    ACTIONS(22047), 1,
      anon_sym_RPAREN,
    STATE(16562), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17203), 2,
      sym_comment,
      sym_block_comment,
  [693920] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22049), 1,
      anon_sym_COMMA,
    ACTIONS(22052), 1,
      anon_sym_RBRACK,
    STATE(17205), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17204), 2,
      sym_comment,
      sym_block_comment,
  [693940] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22055), 1,
      anon_sym_COMMA,
    ACTIONS(22057), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17205), 2,
      sym_comment,
      sym_block_comment,
  [693960] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22059), 1,
      anon_sym_COMMA,
    ACTIONS(22062), 1,
      anon_sym_RBRACK,
    STATE(17208), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17206), 2,
      sym_comment,
      sym_block_comment,
  [693980] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22065), 1,
      anon_sym_COMMA,
    ACTIONS(22067), 1,
      anon_sym_RPAREN,
    STATE(17216), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17207), 2,
      sym_comment,
      sym_block_comment,
  [694000] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22069), 1,
      anon_sym_COMMA,
    ACTIONS(22071), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17208), 2,
      sym_comment,
      sym_block_comment,
  [694020] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22073), 1,
      anon_sym_COMMA,
    ACTIONS(22075), 1,
      anon_sym_RPAREN,
    STATE(16917), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17209), 2,
      sym_comment,
      sym_block_comment,
  [694040] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22077), 1,
      anon_sym_COMMA,
    ACTIONS(22080), 1,
      anon_sym_RBRACK,
    STATE(17211), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17210), 2,
      sym_comment,
      sym_block_comment,
  [694060] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22083), 1,
      anon_sym_COMMA,
    ACTIONS(22085), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17211), 2,
      sym_comment,
      sym_block_comment,
  [694080] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22087), 1,
      anon_sym_COMMA,
    ACTIONS(22089), 1,
      anon_sym_RBRACK,
    STATE(17224), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17212), 2,
      sym_comment,
      sym_block_comment,
  [694100] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22091), 1,
      anon_sym_COMMA,
    ACTIONS(22094), 1,
      anon_sym_RBRACK,
    STATE(17214), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17213), 2,
      sym_comment,
      sym_block_comment,
  [694120] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22097), 1,
      anon_sym_COMMA,
    ACTIONS(22099), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17214), 2,
      sym_comment,
      sym_block_comment,
  [694140] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22101), 1,
      anon_sym_COMMA,
    ACTIONS(22104), 1,
      anon_sym_RBRACK,
    STATE(17217), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17215), 2,
      sym_comment,
      sym_block_comment,
  [694160] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14582), 1,
      anon_sym_RPAREN,
    ACTIONS(22107), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17216), 2,
      sym_comment,
      sym_block_comment,
  [694180] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22109), 1,
      anon_sym_COMMA,
    ACTIONS(22111), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17217), 2,
      sym_comment,
      sym_block_comment,
  [694200] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8698), 1,
      anon_sym_RPAREN,
    ACTIONS(22113), 1,
      anon_sym_COMMA,
    STATE(17325), 1,
      aux_sym_class_parameters_repeat1,
    STATE(17218), 2,
      sym_comment,
      sym_block_comment,
  [694220] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22115), 1,
      anon_sym_COMMA,
    ACTIONS(22118), 1,
      anon_sym_RBRACK,
    STATE(17221), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17219), 2,
      sym_comment,
      sym_block_comment,
  [694240] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5316), 1,
      anon_sym_RPAREN,
    ACTIONS(22121), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17220), 2,
      sym_comment,
      sym_block_comment,
  [694260] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22123), 1,
      anon_sym_COMMA,
    ACTIONS(22125), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17221), 2,
      sym_comment,
      sym_block_comment,
  [694280] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8700), 1,
      anon_sym_RPAREN,
    ACTIONS(22127), 1,
      anon_sym_COMMA,
    STATE(17327), 1,
      aux_sym_class_parameters_repeat1,
    STATE(17222), 2,
      sym_comment,
      sym_block_comment,
  [694300] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22129), 1,
      anon_sym_COMMA,
    ACTIONS(22132), 1,
      anon_sym_RBRACK,
    STATE(17225), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17223), 2,
      sym_comment,
      sym_block_comment,
  [694320] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5786), 1,
      anon_sym_RBRACK,
    ACTIONS(22135), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17224), 2,
      sym_comment,
      sym_block_comment,
  [694340] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22137), 1,
      anon_sym_COMMA,
    ACTIONS(22139), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17225), 2,
      sym_comment,
      sym_block_comment,
  [694360] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22141), 1,
      anon_sym_COMMA,
    ACTIONS(22144), 1,
      anon_sym_RBRACK,
    STATE(17228), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17226), 2,
      sym_comment,
      sym_block_comment,
  [694380] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7428), 1,
      anon_sym_RPAREN,
    ACTIONS(22147), 1,
      anon_sym_COMMA,
    STATE(16859), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(17227), 2,
      sym_comment,
      sym_block_comment,
  [694400] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22149), 1,
      anon_sym_COMMA,
    ACTIONS(22151), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17228), 2,
      sym_comment,
      sym_block_comment,
  [694420] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6118), 1,
      anon_sym_RPAREN,
    ACTIONS(22153), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17229), 2,
      sym_comment,
      sym_block_comment,
  [694440] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8700), 1,
      anon_sym_RPAREN,
    ACTIONS(22127), 1,
      anon_sym_COMMA,
    STATE(16262), 1,
      aux_sym_class_parameters_repeat1,
    STATE(17230), 2,
      sym_comment,
      sym_block_comment,
  [694460] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22155), 1,
      anon_sym_COMMA,
    ACTIONS(22158), 1,
      anon_sym_RBRACK,
    STATE(17233), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17231), 2,
      sym_comment,
      sym_block_comment,
  [694480] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16615), 1,
      anon_sym_LBRACK,
    ACTIONS(17035), 1,
      anon_sym_match,
    STATE(9094), 1,
      sym_type_arguments,
    STATE(17232), 2,
      sym_comment,
      sym_block_comment,
  [694500] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22161), 1,
      anon_sym_COMMA,
    ACTIONS(22163), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17233), 2,
      sym_comment,
      sym_block_comment,
  [694520] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22165), 1,
      anon_sym_COMMA,
    ACTIONS(22167), 1,
      anon_sym_RBRACK,
    STATE(15884), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17234), 2,
      sym_comment,
      sym_block_comment,
  [694540] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22169), 1,
      anon_sym_COMMA,
    ACTIONS(22172), 1,
      anon_sym_RBRACK,
    STATE(17236), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17235), 2,
      sym_comment,
      sym_block_comment,
  [694560] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22175), 1,
      anon_sym_COMMA,
    ACTIONS(22177), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17236), 2,
      sym_comment,
      sym_block_comment,
  [694580] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5646), 1,
      anon_sym_RPAREN,
    ACTIONS(22179), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17237), 2,
      sym_comment,
      sym_block_comment,
  [694600] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22181), 1,
      anon_sym_COMMA,
    ACTIONS(22184), 1,
      anon_sym_RBRACK,
    STATE(17240), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17238), 2,
      sym_comment,
      sym_block_comment,
  [694620] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22187), 1,
      anon_sym_COMMA,
    ACTIONS(22189), 1,
      anon_sym_RPAREN,
    STATE(17248), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17239), 2,
      sym_comment,
      sym_block_comment,
  [694640] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22191), 1,
      anon_sym_COMMA,
    ACTIONS(22193), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17240), 2,
      sym_comment,
      sym_block_comment,
  [694660] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22195), 1,
      anon_sym_COMMA,
    ACTIONS(22197), 1,
      anon_sym_RPAREN,
    STATE(16930), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17241), 2,
      sym_comment,
      sym_block_comment,
  [694680] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22199), 1,
      anon_sym_COMMA,
    ACTIONS(22202), 1,
      anon_sym_RBRACK,
    STATE(17243), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17242), 2,
      sym_comment,
      sym_block_comment,
  [694700] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22205), 1,
      anon_sym_COMMA,
    ACTIONS(22207), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17243), 2,
      sym_comment,
      sym_block_comment,
  [694720] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22209), 1,
      anon_sym_COMMA,
    ACTIONS(22211), 1,
      anon_sym_RBRACK,
    STATE(17257), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17244), 2,
      sym_comment,
      sym_block_comment,
  [694740] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22213), 1,
      anon_sym_COMMA,
    ACTIONS(22216), 1,
      anon_sym_RBRACK,
    STATE(17246), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17245), 2,
      sym_comment,
      sym_block_comment,
  [694760] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22219), 1,
      anon_sym_COMMA,
    ACTIONS(22221), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17246), 2,
      sym_comment,
      sym_block_comment,
  [694780] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22223), 1,
      anon_sym_COMMA,
    ACTIONS(22226), 1,
      anon_sym_RBRACK,
    STATE(17249), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17247), 2,
      sym_comment,
      sym_block_comment,
  [694800] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14590), 1,
      anon_sym_RPAREN,
    ACTIONS(22229), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17248), 2,
      sym_comment,
      sym_block_comment,
  [694820] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22231), 1,
      anon_sym_COMMA,
    ACTIONS(22233), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17249), 2,
      sym_comment,
      sym_block_comment,
  [694840] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5824), 1,
      anon_sym_RPAREN,
    ACTIONS(22235), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17250), 2,
      sym_comment,
      sym_block_comment,
  [694860] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18273), 1,
      anon_sym_RBRACE,
    ACTIONS(18275), 1,
      anon_sym_COMMA,
    STATE(17329), 1,
      aux_sym_namespace_selectors_repeat1,
    STATE(17251), 2,
      sym_comment,
      sym_block_comment,
  [694880] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22237), 1,
      anon_sym_COMMA,
    ACTIONS(22240), 1,
      anon_sym_RBRACK,
    STATE(17254), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17252), 2,
      sym_comment,
      sym_block_comment,
  [694900] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6056), 1,
      anon_sym_RPAREN,
    ACTIONS(22243), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17253), 2,
      sym_comment,
      sym_block_comment,
  [694920] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22245), 1,
      anon_sym_COMMA,
    ACTIONS(22247), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17254), 2,
      sym_comment,
      sym_block_comment,
  [694940] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(22249), 1,
      sym__interpolated_string_end,
    STATE(16752), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(17255), 2,
      sym_comment,
      sym_block_comment,
  [694960] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22251), 1,
      anon_sym_COMMA,
    ACTIONS(22254), 1,
      anon_sym_RBRACK,
    STATE(17258), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17256), 2,
      sym_comment,
      sym_block_comment,
  [694980] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5802), 1,
      anon_sym_RBRACK,
    ACTIONS(22257), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17257), 2,
      sym_comment,
      sym_block_comment,
  [695000] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22259), 1,
      anon_sym_COMMA,
    ACTIONS(22261), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17258), 2,
      sym_comment,
      sym_block_comment,
  [695020] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22263), 1,
      anon_sym_COMMA,
    ACTIONS(22266), 1,
      anon_sym_RBRACK,
    STATE(17261), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17259), 2,
      sym_comment,
      sym_block_comment,
  [695040] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(22269), 1,
      sym__interpolated_string_end,
    STATE(17318), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(17260), 2,
      sym_comment,
      sym_block_comment,
  [695060] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22271), 1,
      anon_sym_COMMA,
    ACTIONS(22273), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17261), 2,
      sym_comment,
      sym_block_comment,
  [695080] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(22269), 1,
      sym__interpolated_multiline_string_end,
    STATE(17319), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(17262), 2,
      sym_comment,
      sym_block_comment,
  [695100] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12986), 1,
      anon_sym_RPAREN,
    ACTIONS(22275), 1,
      anon_sym_COMMA,
    STATE(16942), 1,
      aux_sym_parameters_repeat1,
    STATE(17263), 2,
      sym_comment,
      sym_block_comment,
  [695120] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22277), 1,
      anon_sym_COMMA,
    ACTIONS(22280), 1,
      anon_sym_RBRACK,
    STATE(17265), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17264), 2,
      sym_comment,
      sym_block_comment,
  [695140] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22283), 1,
      anon_sym_COMMA,
    ACTIONS(22285), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17265), 2,
      sym_comment,
      sym_block_comment,
  [695160] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14621), 1,
      sym__arrow_then_type,
    ACTIONS(22287), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17266), 2,
      sym_comment,
      sym_block_comment,
  [695178] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22289), 1,
      anon_sym_COMMA,
    ACTIONS(22292), 1,
      anon_sym_RBRACK,
    STATE(17269), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17267), 2,
      sym_comment,
      sym_block_comment,
  [695198] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22295), 1,
      anon_sym_COMMA,
    ACTIONS(22297), 1,
      anon_sym_RPAREN,
    STATE(17330), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17268), 2,
      sym_comment,
      sym_block_comment,
  [695218] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22299), 1,
      anon_sym_COMMA,
    ACTIONS(22301), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17269), 2,
      sym_comment,
      sym_block_comment,
  [695238] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22303), 1,
      anon_sym_COMMA,
    ACTIONS(22305), 1,
      anon_sym_RPAREN,
    STATE(16587), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17270), 2,
      sym_comment,
      sym_block_comment,
  [695258] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22307), 1,
      anon_sym_COMMA,
    ACTIONS(22310), 1,
      anon_sym_RBRACK,
    STATE(17273), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17271), 2,
      sym_comment,
      sym_block_comment,
  [695278] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22313), 1,
      anon_sym_COMMA,
    ACTIONS(22315), 1,
      anon_sym_RPAREN,
    STATE(17287), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17272), 2,
      sym_comment,
      sym_block_comment,
  [695298] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22317), 1,
      anon_sym_COMMA,
    ACTIONS(22319), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17273), 2,
      sym_comment,
      sym_block_comment,
  [695318] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22321), 1,
      anon_sym_COMMA,
    ACTIONS(22323), 1,
      anon_sym_RPAREN,
    STATE(16964), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17274), 2,
      sym_comment,
      sym_block_comment,
  [695338] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5138), 1,
      anon_sym_RPAREN,
    ACTIONS(22325), 1,
      anon_sym_COMMA,
    STATE(16942), 1,
      aux_sym_parameters_repeat1,
    STATE(17275), 2,
      sym_comment,
      sym_block_comment,
  [695358] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22327), 1,
      anon_sym_COMMA,
    ACTIONS(22330), 1,
      anon_sym_RBRACK,
    STATE(17278), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17276), 2,
      sym_comment,
      sym_block_comment,
  [695378] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14624), 1,
      sym__arrow_then_type,
    ACTIONS(22287), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17277), 2,
      sym_comment,
      sym_block_comment,
  [695396] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22333), 1,
      anon_sym_COMMA,
    ACTIONS(22335), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17278), 2,
      sym_comment,
      sym_block_comment,
  [695416] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(22249), 1,
      sym__interpolated_multiline_string_end,
    STATE(16755), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(17279), 2,
      sym_comment,
      sym_block_comment,
  [695436] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22337), 1,
      anon_sym_COMMA,
    ACTIONS(22340), 1,
      anon_sym_RBRACK,
    STATE(17281), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17280), 2,
      sym_comment,
      sym_block_comment,
  [695456] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22343), 1,
      anon_sym_COMMA,
    ACTIONS(22345), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17281), 2,
      sym_comment,
      sym_block_comment,
  [695476] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22347), 1,
      anon_sym_COMMA,
    ACTIONS(22349), 1,
      anon_sym_RBRACK,
    STATE(17293), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17282), 2,
      sym_comment,
      sym_block_comment,
  [695496] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22351), 1,
      anon_sym_COMMA,
    ACTIONS(22354), 1,
      anon_sym_RBRACK,
    STATE(17284), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17283), 2,
      sym_comment,
      sym_block_comment,
  [695516] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22357), 1,
      anon_sym_COMMA,
    ACTIONS(22359), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17284), 2,
      sym_comment,
      sym_block_comment,
  [695536] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22361), 1,
      anon_sym_COMMA,
    ACTIONS(22364), 1,
      anon_sym_RBRACK,
    STATE(17286), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17285), 2,
      sym_comment,
      sym_block_comment,
  [695556] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22367), 1,
      anon_sym_COMMA,
    ACTIONS(22369), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17286), 2,
      sym_comment,
      sym_block_comment,
  [695576] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14598), 1,
      anon_sym_RPAREN,
    ACTIONS(22371), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17287), 2,
      sym_comment,
      sym_block_comment,
  [695596] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22373), 1,
      anon_sym_COMMA,
    ACTIONS(22376), 1,
      anon_sym_RBRACK,
    STATE(17289), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17288), 2,
      sym_comment,
      sym_block_comment,
  [695616] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22379), 1,
      anon_sym_COMMA,
    ACTIONS(22381), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17289), 2,
      sym_comment,
      sym_block_comment,
  [695636] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5348), 1,
      anon_sym_RPAREN,
    ACTIONS(22383), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17290), 2,
      sym_comment,
      sym_block_comment,
  [695656] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22385), 1,
      anon_sym_COMMA,
    ACTIONS(22388), 1,
      anon_sym_RBRACK,
    STATE(17292), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17291), 2,
      sym_comment,
      sym_block_comment,
  [695676] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22391), 1,
      anon_sym_COMMA,
    ACTIONS(22393), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17292), 2,
      sym_comment,
      sym_block_comment,
  [695696] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5840), 1,
      anon_sym_RBRACK,
    ACTIONS(22395), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17293), 2,
      sym_comment,
      sym_block_comment,
  [695716] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22397), 1,
      anon_sym_COMMA,
    ACTIONS(22400), 1,
      anon_sym_RBRACK,
    STATE(17295), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17294), 2,
      sym_comment,
      sym_block_comment,
  [695736] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22403), 1,
      anon_sym_COMMA,
    ACTIONS(22405), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17295), 2,
      sym_comment,
      sym_block_comment,
  [695756] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22407), 1,
      anon_sym_COMMA,
    ACTIONS(22410), 1,
      anon_sym_RBRACK,
    STATE(17297), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17296), 2,
      sym_comment,
      sym_block_comment,
  [695776] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22413), 1,
      anon_sym_COMMA,
    ACTIONS(22415), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17297), 2,
      sym_comment,
      sym_block_comment,
  [695796] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22417), 1,
      anon_sym_COMMA,
    ACTIONS(22419), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17298), 2,
      sym_comment,
      sym_block_comment,
  [695816] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22421), 1,
      anon_sym_COMMA,
    ACTIONS(22423), 1,
      anon_sym_RPAREN,
    STATE(16562), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17299), 2,
      sym_comment,
      sym_block_comment,
  [695836] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22425), 1,
      anon_sym_COMMA,
    ACTIONS(22428), 1,
      anon_sym_RBRACK,
    STATE(17301), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17300), 2,
      sym_comment,
      sym_block_comment,
  [695856] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22431), 1,
      anon_sym_COMMA,
    ACTIONS(22433), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17301), 2,
      sym_comment,
      sym_block_comment,
  [695876] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22435), 1,
      anon_sym_COMMA,
    ACTIONS(22438), 1,
      anon_sym_RBRACK,
    STATE(17304), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17302), 2,
      sym_comment,
      sym_block_comment,
  [695896] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22441), 1,
      anon_sym_COMMA,
    ACTIONS(22443), 1,
      anon_sym_RPAREN,
    STATE(17310), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17303), 2,
      sym_comment,
      sym_block_comment,
  [695916] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22445), 1,
      anon_sym_COMMA,
    ACTIONS(22447), 1,
      anon_sym_RBRACK,
    STATE(17042), 1,
      aux_sym_type_lambda_repeat1,
    STATE(17304), 2,
      sym_comment,
      sym_block_comment,
  [695936] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22449), 1,
      anon_sym_COMMA,
    ACTIONS(22451), 1,
      anon_sym_RPAREN,
    STATE(16982), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17305), 2,
      sym_comment,
      sym_block_comment,
  [695956] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5138), 1,
      anon_sym_RPAREN,
    ACTIONS(22453), 1,
      anon_sym_COMMA,
    STATE(16256), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(17306), 2,
      sym_comment,
      sym_block_comment,
  [695976] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22455), 1,
      anon_sym_COMMA,
    ACTIONS(22457), 1,
      anon_sym_RBRACK,
    STATE(17314), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17307), 2,
      sym_comment,
      sym_block_comment,
  [695996] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20444), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(22459), 1,
      anon_sym_EQ_GT,
    STATE(12278), 1,
      sym__arrow_then_type,
    STATE(17308), 2,
      sym_comment,
      sym_block_comment,
  [696016] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22461), 1,
      anon_sym_RBRACE,
    ACTIONS(22463), 1,
      anon_sym_COMMA,
    STATE(17335), 1,
      aux_sym__context_bounds_repeat2,
    STATE(17309), 2,
      sym_comment,
      sym_block_comment,
  [696036] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14606), 1,
      anon_sym_RPAREN,
    ACTIONS(22465), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17310), 2,
      sym_comment,
      sym_block_comment,
  [696056] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15002), 1,
      anon_sym_RPAREN,
    ACTIONS(22467), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17311), 2,
      sym_comment,
      sym_block_comment,
  [696076] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6100), 1,
      anon_sym_RPAREN,
    ACTIONS(22469), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17312), 2,
      sym_comment,
      sym_block_comment,
  [696096] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22471), 1,
      anon_sym_COMMA,
    ACTIONS(22473), 1,
      anon_sym_RBRACK,
    STATE(15878), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17313), 2,
      sym_comment,
      sym_block_comment,
  [696116] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5850), 1,
      anon_sym_RBRACK,
    ACTIONS(22475), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17314), 2,
      sym_comment,
      sym_block_comment,
  [696136] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7466), 1,
      anon_sym_RPAREN,
    ACTIONS(22477), 1,
      anon_sym_COMMA,
    STATE(16859), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(17315), 2,
      sym_comment,
      sym_block_comment,
  [696156] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7466), 1,
      anon_sym_RPAREN,
    ACTIONS(22479), 1,
      anon_sym_COMMA,
    STATE(16264), 1,
      aux_sym_case_class_pattern_repeat2,
    STATE(17316), 2,
      sym_comment,
      sym_block_comment,
  [696176] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12638), 1,
      anon_sym_COMMA,
    ACTIONS(22481), 1,
      anon_sym_COLON,
    STATE(16616), 1,
      aux_sym_val_declaration_repeat1,
    STATE(17317), 2,
      sym_comment,
      sym_block_comment,
  [696196] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18950), 1,
      sym__interpolated_string_middle,
    ACTIONS(22483), 1,
      sym__interpolated_string_end,
    STATE(16752), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(17318), 2,
      sym_comment,
      sym_block_comment,
  [696216] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18954), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(22483), 1,
      sym__interpolated_multiline_string_end,
    STATE(16755), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(17319), 2,
      sym_comment,
      sym_block_comment,
  [696236] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17369), 1,
      anon_sym_COLON,
    ACTIONS(17371), 1,
      anon_sym_LBRACE,
    STATE(15633), 1,
      sym_enum_body,
    STATE(17320), 2,
      sym_comment,
      sym_block_comment,
  [696256] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(17321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17591), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [696272] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22485), 1,
      anon_sym_COMMA,
    ACTIONS(22487), 1,
      anon_sym_RPAREN,
    STATE(17331), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17322), 2,
      sym_comment,
      sym_block_comment,
  [696292] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22489), 1,
      anon_sym_COMMA,
    ACTIONS(22491), 1,
      anon_sym_RPAREN,
    STATE(17012), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17323), 2,
      sym_comment,
      sym_block_comment,
  [696312] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8714), 1,
      anon_sym_RPAREN,
    ACTIONS(22493), 1,
      anon_sym_COMMA,
    STATE(17338), 1,
      aux_sym_class_parameters_repeat1,
    STATE(17324), 2,
      sym_comment,
      sym_block_comment,
  [696332] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8714), 1,
      anon_sym_RPAREN,
    ACTIONS(22493), 1,
      anon_sym_COMMA,
    STATE(16262), 1,
      aux_sym_class_parameters_repeat1,
    STATE(17325), 2,
      sym_comment,
      sym_block_comment,
  [696352] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5432), 1,
      anon_sym_RPAREN,
    ACTIONS(22495), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17326), 2,
      sym_comment,
      sym_block_comment,
  [696372] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8716), 1,
      anon_sym_RPAREN,
    ACTIONS(20699), 1,
      anon_sym_COMMA,
    STATE(16262), 1,
      aux_sym_class_parameters_repeat1,
    STATE(17327), 2,
      sym_comment,
      sym_block_comment,
  [696392] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22497), 1,
      anon_sym_COMMA,
    ACTIONS(22499), 1,
      anon_sym_RBRACK,
    STATE(17336), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17328), 2,
      sym_comment,
      sym_block_comment,
  [696412] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12764), 1,
      anon_sym_RBRACE,
    ACTIONS(22501), 1,
      anon_sym_COMMA,
    STATE(15912), 1,
      aux_sym_namespace_selectors_repeat1,
    STATE(17329), 2,
      sym_comment,
      sym_block_comment,
  [696432] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14126), 1,
      anon_sym_RPAREN,
    ACTIONS(22503), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17330), 2,
      sym_comment,
      sym_block_comment,
  [696452] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14614), 1,
      anon_sym_RPAREN,
    ACTIONS(22505), 1,
      anon_sym_COMMA,
    STATE(16950), 1,
      aux_sym_named_tuple_type_repeat1,
    STATE(17331), 2,
      sym_comment,
      sym_block_comment,
  [696472] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5374), 1,
      anon_sym_RPAREN,
    ACTIONS(22507), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17332), 2,
      sym_comment,
      sym_block_comment,
  [696492] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5948), 1,
      anon_sym_RPAREN,
    ACTIONS(22509), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17333), 2,
      sym_comment,
      sym_block_comment,
  [696512] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(17334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10766), 3,
      anon_sym_COLON,
      anon_sym_with,
      anon_sym_LPAREN,
  [696528] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5242), 1,
      anon_sym_RBRACE,
    ACTIONS(22511), 1,
      anon_sym_COMMA,
    STATE(16270), 1,
      aux_sym__context_bounds_repeat2,
    STATE(17335), 2,
      sym_comment,
      sym_block_comment,
  [696548] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5878), 1,
      anon_sym_RBRACK,
    ACTIONS(22513), 1,
      anon_sym_COMMA,
    STATE(15804), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17336), 2,
      sym_comment,
      sym_block_comment,
  [696568] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8771), 1,
      anon_sym_RPAREN,
    ACTIONS(20388), 1,
      anon_sym_COMMA,
    STATE(16885), 1,
      aux_sym_class_parameters_repeat1,
    STATE(17337), 2,
      sym_comment,
      sym_block_comment,
  [696588] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8718), 1,
      anon_sym_RPAREN,
    ACTIONS(22515), 1,
      anon_sym_COMMA,
    STATE(16262), 1,
      aux_sym_class_parameters_repeat1,
    STATE(17338), 2,
      sym_comment,
      sym_block_comment,
  [696608] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22517), 1,
      anon_sym_COMMA,
    ACTIONS(22519), 1,
      anon_sym_RPAREN,
    STATE(16235), 1,
      aux_sym_tuple_type_repeat1,
    STATE(17339), 2,
      sym_comment,
      sym_block_comment,
  [696628] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22521), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17340), 2,
      sym_comment,
      sym_block_comment,
  [696643] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22523), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17341), 2,
      sym_comment,
      sym_block_comment,
  [696658] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22525), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17342), 2,
      sym_comment,
      sym_block_comment,
  [696673] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13833), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(17343), 2,
      sym_comment,
      sym_block_comment,
  [696688] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22527), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17344), 2,
      sym_comment,
      sym_block_comment,
  [696703] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22529), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17345), 2,
      sym_comment,
      sym_block_comment,
  [696718] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22531), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(17346), 2,
      sym_comment,
      sym_block_comment,
  [696733] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22533), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17347), 2,
      sym_comment,
      sym_block_comment,
  [696748] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22535), 1,
      anon_sym_COLON,
    ACTIONS(22537), 1,
      anon_sym_EQ,
    STATE(17348), 2,
      sym_comment,
      sym_block_comment,
  [696765] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22539), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17349), 2,
      sym_comment,
      sym_block_comment,
  [696780] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22541), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17350), 2,
      sym_comment,
      sym_block_comment,
  [696795] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22543), 1,
      anon_sym_LPAREN,
    STATE(14068), 1,
      sym_parenthesized_expression,
    STATE(17351), 2,
      sym_comment,
      sym_block_comment,
  [696812] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22545), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17352), 2,
      sym_comment,
      sym_block_comment,
  [696827] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22547), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17353), 2,
      sym_comment,
      sym_block_comment,
  [696842] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22549), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17354), 2,
      sym_comment,
      sym_block_comment,
  [696857] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22551), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17355), 2,
      sym_comment,
      sym_block_comment,
  [696872] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22553), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17356), 2,
      sym_comment,
      sym_block_comment,
  [696887] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22555), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17357), 2,
      sym_comment,
      sym_block_comment,
  [696902] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22557), 1,
      sym__indent,
    STATE(11826), 1,
      sym__indented_type_cases,
    STATE(17358), 2,
      sym_comment,
      sym_block_comment,
  [696919] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22559), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17359), 2,
      sym_comment,
      sym_block_comment,
  [696934] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22561), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17360), 2,
      sym_comment,
      sym_block_comment,
  [696949] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22563), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17361), 2,
      sym_comment,
      sym_block_comment,
  [696964] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20516), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(17362), 2,
      sym_comment,
      sym_block_comment,
  [696979] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22565), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17363), 2,
      sym_comment,
      sym_block_comment,
  [696994] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16723), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(17364), 2,
      sym_comment,
      sym_block_comment,
  [697009] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13837), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(17365), 2,
      sym_comment,
      sym_block_comment,
  [697024] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22567), 1,
      sym__indent,
    STATE(12903), 1,
      sym__indented_type_cases,
    STATE(17366), 2,
      sym_comment,
      sym_block_comment,
  [697041] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22569), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(17367), 2,
      sym_comment,
      sym_block_comment,
  [697056] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22571), 1,
      sym__indent,
    STATE(14189), 1,
      sym__indented_type_cases,
    STATE(17368), 2,
      sym_comment,
      sym_block_comment,
  [697073] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22573), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17369), 2,
      sym_comment,
      sym_block_comment,
  [697088] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17722), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(17370), 2,
      sym_comment,
      sym_block_comment,
  [697103] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22575), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17371), 2,
      sym_comment,
      sym_block_comment,
  [697118] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22577), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17372), 2,
      sym_comment,
      sym_block_comment,
  [697133] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19926), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(17373), 2,
      sym_comment,
      sym_block_comment,
  [697148] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11865), 2,
      sym__outdent,
      anon_sym_case,
    STATE(17374), 2,
      sym_comment,
      sym_block_comment,
  [697163] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19912), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(17375), 2,
      sym_comment,
      sym_block_comment,
  [697178] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22579), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17376), 2,
      sym_comment,
      sym_block_comment,
  [697193] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22581), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17377), 2,
      sym_comment,
      sym_block_comment,
  [697208] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22583), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17378), 2,
      sym_comment,
      sym_block_comment,
  [697223] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22585), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17379), 2,
      sym_comment,
      sym_block_comment,
  [697238] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22587), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17380), 2,
      sym_comment,
      sym_block_comment,
  [697253] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22589), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17381), 2,
      sym_comment,
      sym_block_comment,
  [697268] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11989), 2,
      sym__outdent,
      anon_sym_case,
    STATE(17382), 2,
      sym_comment,
      sym_block_comment,
  [697283] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22591), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17383), 2,
      sym_comment,
      sym_block_comment,
  [697298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22593), 1,
      sym__indent,
    STATE(14094), 1,
      sym__indented_type_cases,
    STATE(17384), 2,
      sym_comment,
      sym_block_comment,
  [697315] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22595), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17385), 2,
      sym_comment,
      sym_block_comment,
  [697330] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22597), 1,
      anon_sym_COLON,
    ACTIONS(22599), 1,
      anon_sym_EQ,
    STATE(17386), 2,
      sym_comment,
      sym_block_comment,
  [697347] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22601), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17387), 2,
      sym_comment,
      sym_block_comment,
  [697362] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17098), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(17388), 2,
      sym_comment,
      sym_block_comment,
  [697377] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22603), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17389), 2,
      sym_comment,
      sym_block_comment,
  [697392] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22605), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17390), 2,
      sym_comment,
      sym_block_comment,
  [697407] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22607), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17391), 2,
      sym_comment,
      sym_block_comment,
  [697422] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22609), 2,
      anon_sym_COLON,
      anon_sym_COMMA,
    STATE(17392), 2,
      sym_comment,
      sym_block_comment,
  [697437] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22611), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17393), 2,
      sym_comment,
      sym_block_comment,
  [697452] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22613), 1,
      anon_sym_LPAREN,
    STATE(15089), 1,
      sym_parenthesized_expression,
    STATE(17394), 2,
      sym_comment,
      sym_block_comment,
  [697469] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22615), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17395), 2,
      sym_comment,
      sym_block_comment,
  [697484] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22617), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17396), 2,
      sym_comment,
      sym_block_comment,
  [697499] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22619), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17397), 2,
      sym_comment,
      sym_block_comment,
  [697514] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22621), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17398), 2,
      sym_comment,
      sym_block_comment,
  [697529] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22623), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17399), 2,
      sym_comment,
      sym_block_comment,
  [697544] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22625), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17400), 2,
      sym_comment,
      sym_block_comment,
  [697559] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22627), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17401), 2,
      sym_comment,
      sym_block_comment,
  [697574] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22629), 1,
      anon_sym_LPAREN,
    STATE(12272), 1,
      sym_parenthesized_expression,
    STATE(17402), 2,
      sym_comment,
      sym_block_comment,
  [697591] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22631), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17403), 2,
      sym_comment,
      sym_block_comment,
  [697606] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22633), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17404), 2,
      sym_comment,
      sym_block_comment,
  [697621] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22635), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17405), 2,
      sym_comment,
      sym_block_comment,
  [697636] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22637), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17406), 2,
      sym_comment,
      sym_block_comment,
  [697651] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22639), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17407), 2,
      sym_comment,
      sym_block_comment,
  [697666] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22641), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17408), 2,
      sym_comment,
      sym_block_comment,
  [697681] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22643), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17409), 2,
      sym_comment,
      sym_block_comment,
  [697696] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22645), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17410), 2,
      sym_comment,
      sym_block_comment,
  [697711] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22647), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17411), 2,
      sym_comment,
      sym_block_comment,
  [697726] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22649), 1,
      anon_sym_LPAREN,
    STATE(14634), 1,
      sym_parenthesized_expression,
    STATE(17412), 2,
      sym_comment,
      sym_block_comment,
  [697743] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22651), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17413), 2,
      sym_comment,
      sym_block_comment,
  [697758] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22653), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17414), 2,
      sym_comment,
      sym_block_comment,
  [697773] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22655), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17415), 2,
      sym_comment,
      sym_block_comment,
  [697788] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22657), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(17416), 2,
      sym_comment,
      sym_block_comment,
  [697803] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22659), 1,
      sym__indent,
    STATE(13327), 1,
      sym__indented_type_cases,
    STATE(17417), 2,
      sym_comment,
      sym_block_comment,
  [697820] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22661), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17418), 2,
      sym_comment,
      sym_block_comment,
  [697835] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22663), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17419), 2,
      sym_comment,
      sym_block_comment,
  [697850] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22665), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17420), 2,
      sym_comment,
      sym_block_comment,
  [697865] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22667), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17421), 2,
      sym_comment,
      sym_block_comment,
  [697880] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22669), 1,
      sym__indent,
    STATE(19346), 1,
      sym__indented_type_cases,
    STATE(17422), 2,
      sym_comment,
      sym_block_comment,
  [697897] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22671), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17423), 2,
      sym_comment,
      sym_block_comment,
  [697912] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22673), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17424), 2,
      sym_comment,
      sym_block_comment,
  [697927] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22675), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17425), 2,
      sym_comment,
      sym_block_comment,
  [697942] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22677), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17426), 2,
      sym_comment,
      sym_block_comment,
  [697957] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11919), 2,
      sym__outdent,
      anon_sym_case,
    STATE(17427), 2,
      sym_comment,
      sym_block_comment,
  [697972] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11892), 2,
      sym__outdent,
      anon_sym_case,
    STATE(17428), 2,
      sym_comment,
      sym_block_comment,
  [697987] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22679), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17429), 2,
      sym_comment,
      sym_block_comment,
  [698002] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22681), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17430), 2,
      sym_comment,
      sym_block_comment,
  [698017] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22683), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17431), 2,
      sym_comment,
      sym_block_comment,
  [698032] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22685), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17432), 2,
      sym_comment,
      sym_block_comment,
  [698047] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22687), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17433), 2,
      sym_comment,
      sym_block_comment,
  [698062] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22689), 1,
      anon_sym_COLON,
    ACTIONS(22691), 1,
      anon_sym_EQ,
    STATE(17434), 2,
      sym_comment,
      sym_block_comment,
  [698079] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22693), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17435), 2,
      sym_comment,
      sym_block_comment,
  [698094] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22695), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(17436), 2,
      sym_comment,
      sym_block_comment,
  [698109] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22697), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(17437), 2,
      sym_comment,
      sym_block_comment,
  [698124] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22699), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17438), 2,
      sym_comment,
      sym_block_comment,
  [698139] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22701), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17439), 2,
      sym_comment,
      sym_block_comment,
  [698154] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22703), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17440), 2,
      sym_comment,
      sym_block_comment,
  [698169] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22705), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17441), 2,
      sym_comment,
      sym_block_comment,
  [698184] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22707), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17442), 2,
      sym_comment,
      sym_block_comment,
  [698199] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22709), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17443), 2,
      sym_comment,
      sym_block_comment,
  [698214] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22711), 1,
      sym__indent,
    STATE(12315), 1,
      sym__indented_type_cases,
    STATE(17444), 2,
      sym_comment,
      sym_block_comment,
  [698231] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22713), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17445), 2,
      sym_comment,
      sym_block_comment,
  [698246] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22715), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17446), 2,
      sym_comment,
      sym_block_comment,
  [698261] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22717), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17447), 2,
      sym_comment,
      sym_block_comment,
  [698276] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22719), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(17448), 2,
      sym_comment,
      sym_block_comment,
  [698291] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22721), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17449), 2,
      sym_comment,
      sym_block_comment,
  [698306] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22723), 1,
      anon_sym_COLON,
    ACTIONS(22725), 1,
      anon_sym_EQ,
    STATE(17450), 2,
      sym_comment,
      sym_block_comment,
  [698323] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22727), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17451), 2,
      sym_comment,
      sym_block_comment,
  [698338] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22729), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    STATE(17452), 2,
      sym_comment,
      sym_block_comment,
  [698353] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22731), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17453), 2,
      sym_comment,
      sym_block_comment,
  [698368] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22733), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17454), 2,
      sym_comment,
      sym_block_comment,
  [698383] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22735), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(17455), 2,
      sym_comment,
      sym_block_comment,
  [698398] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22737), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17456), 2,
      sym_comment,
      sym_block_comment,
  [698413] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22739), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17457), 2,
      sym_comment,
      sym_block_comment,
  [698428] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16214), 1,
      anon_sym_object,
    ACTIONS(16218), 1,
      anon_sym_class,
    STATE(17458), 2,
      sym_comment,
      sym_block_comment,
  [698445] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22741), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17459), 2,
      sym_comment,
      sym_block_comment,
  [698460] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22743), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17460), 2,
      sym_comment,
      sym_block_comment,
  [698475] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22745), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17461), 2,
      sym_comment,
      sym_block_comment,
  [698490] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22747), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(17462), 2,
      sym_comment,
      sym_block_comment,
  [698505] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22749), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17463), 2,
      sym_comment,
      sym_block_comment,
  [698520] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22751), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17464), 2,
      sym_comment,
      sym_block_comment,
  [698535] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22753), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17465), 2,
      sym_comment,
      sym_block_comment,
  [698550] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22755), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17466), 2,
      sym_comment,
      sym_block_comment,
  [698565] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22757), 1,
      sym__indent,
    STATE(14436), 1,
      sym__indented_type_cases,
    STATE(17467), 2,
      sym_comment,
      sym_block_comment,
  [698582] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22759), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17468), 2,
      sym_comment,
      sym_block_comment,
  [698597] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22761), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17469), 2,
      sym_comment,
      sym_block_comment,
  [698612] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22763), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    STATE(17470), 2,
      sym_comment,
      sym_block_comment,
  [698627] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19903), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(17471), 2,
      sym_comment,
      sym_block_comment,
  [698642] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22765), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17472), 2,
      sym_comment,
      sym_block_comment,
  [698657] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22767), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17473), 2,
      sym_comment,
      sym_block_comment,
  [698672] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22769), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17474), 2,
      sym_comment,
      sym_block_comment,
  [698687] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22771), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17475), 2,
      sym_comment,
      sym_block_comment,
  [698702] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22773), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17476), 2,
      sym_comment,
      sym_block_comment,
  [698717] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22775), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17477), 2,
      sym_comment,
      sym_block_comment,
  [698732] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22607), 1,
      anon_sym_EQ_GT,
    ACTIONS(22777), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(17478), 2,
      sym_comment,
      sym_block_comment,
  [698749] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22779), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(17479), 2,
      sym_comment,
      sym_block_comment,
  [698764] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22781), 1,
      anon_sym_LPAREN,
    STATE(13671), 1,
      sym_parenthesized_expression,
    STATE(17480), 2,
      sym_comment,
      sym_block_comment,
  [698781] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22783), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17481), 2,
      sym_comment,
      sym_block_comment,
  [698796] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22785), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17482), 2,
      sym_comment,
      sym_block_comment,
  [698811] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22787), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17483), 2,
      sym_comment,
      sym_block_comment,
  [698826] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22607), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17484), 2,
      sym_comment,
      sym_block_comment,
  [698841] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20846), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(17485), 2,
      sym_comment,
      sym_block_comment,
  [698856] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22789), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17486), 2,
      sym_comment,
      sym_block_comment,
  [698871] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22791), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(17487), 2,
      sym_comment,
      sym_block_comment,
  [698886] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22793), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17488), 2,
      sym_comment,
      sym_block_comment,
  [698901] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22763), 2,
      sym__outdent,
      anon_sym_case,
    STATE(17489), 2,
      sym_comment,
      sym_block_comment,
  [698916] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22795), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17490), 2,
      sym_comment,
      sym_block_comment,
  [698931] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22797), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17491), 2,
      sym_comment,
      sym_block_comment,
  [698946] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22799), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17492), 2,
      sym_comment,
      sym_block_comment,
  [698961] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22801), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17493), 2,
      sym_comment,
      sym_block_comment,
  [698976] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22803), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17494), 2,
      sym_comment,
      sym_block_comment,
  [698991] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22805), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17495), 2,
      sym_comment,
      sym_block_comment,
  [699006] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22807), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17496), 2,
      sym_comment,
      sym_block_comment,
  [699021] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20859), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(17497), 2,
      sym_comment,
      sym_block_comment,
  [699036] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22809), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17498), 2,
      sym_comment,
      sym_block_comment,
  [699051] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22811), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17499), 2,
      sym_comment,
      sym_block_comment,
  [699066] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22813), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17500), 2,
      sym_comment,
      sym_block_comment,
  [699081] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22815), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17501), 2,
      sym_comment,
      sym_block_comment,
  [699096] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11985), 2,
      sym__outdent,
      anon_sym_case,
    STATE(17502), 2,
      sym_comment,
      sym_block_comment,
  [699111] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22817), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17503), 2,
      sym_comment,
      sym_block_comment,
  [699126] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10796), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(17504), 2,
      sym_comment,
      sym_block_comment,
  [699141] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22819), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17505), 2,
      sym_comment,
      sym_block_comment,
  [699156] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22821), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17506), 2,
      sym_comment,
      sym_block_comment,
  [699171] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22823), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17507), 2,
      sym_comment,
      sym_block_comment,
  [699186] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22825), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17508), 2,
      sym_comment,
      sym_block_comment,
  [699201] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22827), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17509), 2,
      sym_comment,
      sym_block_comment,
  [699216] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22829), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17510), 2,
      sym_comment,
      sym_block_comment,
  [699231] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22831), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17511), 2,
      sym_comment,
      sym_block_comment,
  [699246] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22833), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17512), 2,
      sym_comment,
      sym_block_comment,
  [699261] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22835), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17513), 2,
      sym_comment,
      sym_block_comment,
  [699276] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22837), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(17514), 2,
      sym_comment,
      sym_block_comment,
  [699291] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22839), 1,
      sym__indent,
    STATE(14485), 1,
      sym__indented_type_cases,
    STATE(17515), 2,
      sym_comment,
      sym_block_comment,
  [699308] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8276), 1,
      anon_sym_object,
    ACTIONS(8280), 1,
      anon_sym_class,
    STATE(17516), 2,
      sym_comment,
      sym_block_comment,
  [699325] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22841), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17517), 2,
      sym_comment,
      sym_block_comment,
  [699340] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22843), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17518), 2,
      sym_comment,
      sym_block_comment,
  [699355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22845), 1,
      anon_sym_LPAREN,
    STATE(13194), 1,
      sym_parenthesized_expression,
    STATE(17519), 2,
      sym_comment,
      sym_block_comment,
  [699372] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22847), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17520), 2,
      sym_comment,
      sym_block_comment,
  [699387] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22849), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17521), 2,
      sym_comment,
      sym_block_comment,
  [699402] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22851), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17522), 2,
      sym_comment,
      sym_block_comment,
  [699417] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22853), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17523), 2,
      sym_comment,
      sym_block_comment,
  [699432] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22855), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17524), 2,
      sym_comment,
      sym_block_comment,
  [699447] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22857), 2,
      sym__outdent,
      anon_sym_case,
    STATE(17525), 2,
      sym_comment,
      sym_block_comment,
  [699462] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22859), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17526), 2,
      sym_comment,
      sym_block_comment,
  [699477] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22861), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17527), 2,
      sym_comment,
      sym_block_comment,
  [699492] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22863), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17528), 2,
      sym_comment,
      sym_block_comment,
  [699507] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22865), 1,
      anon_sym_COLON,
    ACTIONS(22867), 1,
      anon_sym_with,
    STATE(17529), 2,
      sym_comment,
      sym_block_comment,
  [699524] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17589), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(17530), 2,
      sym_comment,
      sym_block_comment,
  [699539] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22869), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17531), 2,
      sym_comment,
      sym_block_comment,
  [699554] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22871), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17532), 2,
      sym_comment,
      sym_block_comment,
  [699569] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22873), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17533), 2,
      sym_comment,
      sym_block_comment,
  [699584] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22875), 1,
      sym__indent,
    STATE(14115), 1,
      sym__indented_type_cases,
    STATE(17534), 2,
      sym_comment,
      sym_block_comment,
  [699601] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10796), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(17535), 2,
      sym_comment,
      sym_block_comment,
  [699616] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22877), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17536), 2,
      sym_comment,
      sym_block_comment,
  [699631] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22879), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17537), 2,
      sym_comment,
      sym_block_comment,
  [699646] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22881), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17538), 2,
      sym_comment,
      sym_block_comment,
  [699661] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22883), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17539), 2,
      sym_comment,
      sym_block_comment,
  [699676] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22885), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17540), 2,
      sym_comment,
      sym_block_comment,
  [699691] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22887), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17541), 2,
      sym_comment,
      sym_block_comment,
  [699706] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22889), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17542), 2,
      sym_comment,
      sym_block_comment,
  [699721] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22891), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17543), 2,
      sym_comment,
      sym_block_comment,
  [699736] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22893), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17544), 2,
      sym_comment,
      sym_block_comment,
  [699751] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22895), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17545), 2,
      sym_comment,
      sym_block_comment,
  [699766] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17241), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(17546), 2,
      sym_comment,
      sym_block_comment,
  [699781] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22897), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17547), 2,
      sym_comment,
      sym_block_comment,
  [699796] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22899), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17548), 2,
      sym_comment,
      sym_block_comment,
  [699811] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22901), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17549), 2,
      sym_comment,
      sym_block_comment,
  [699826] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10673), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(17550), 2,
      sym_comment,
      sym_block_comment,
  [699841] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19131), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(17551), 2,
      sym_comment,
      sym_block_comment,
  [699856] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22903), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17552), 2,
      sym_comment,
      sym_block_comment,
  [699871] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22905), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17553), 2,
      sym_comment,
      sym_block_comment,
  [699886] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22907), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17554), 2,
      sym_comment,
      sym_block_comment,
  [699901] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22909), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17555), 2,
      sym_comment,
      sym_block_comment,
  [699916] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22911), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17556), 2,
      sym_comment,
      sym_block_comment,
  [699931] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22913), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17557), 2,
      sym_comment,
      sym_block_comment,
  [699946] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22915), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17558), 2,
      sym_comment,
      sym_block_comment,
  [699961] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22917), 1,
      anon_sym_COLON,
    ACTIONS(22919), 1,
      anon_sym_EQ,
    STATE(17559), 2,
      sym_comment,
      sym_block_comment,
  [699978] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22921), 1,
      sym__indent,
    STATE(13894), 1,
      sym__indented_type_cases,
    STATE(17560), 2,
      sym_comment,
      sym_block_comment,
  [699995] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22923), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17561), 2,
      sym_comment,
      sym_block_comment,
  [700010] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22925), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17562), 2,
      sym_comment,
      sym_block_comment,
  [700025] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22927), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17563), 2,
      sym_comment,
      sym_block_comment,
  [700040] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17001), 1,
      anon_sym_EQ_GT,
    ACTIONS(22929), 1,
      anon_sym_COLON,
    STATE(17564), 2,
      sym_comment,
      sym_block_comment,
  [700057] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22931), 1,
      anon_sym_COLON,
    ACTIONS(22933), 1,
      anon_sym_with,
    STATE(17565), 2,
      sym_comment,
      sym_block_comment,
  [700074] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22935), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17566), 2,
      sym_comment,
      sym_block_comment,
  [700089] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22937), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17567), 2,
      sym_comment,
      sym_block_comment,
  [700104] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22939), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17568), 2,
      sym_comment,
      sym_block_comment,
  [700119] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22941), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17569), 2,
      sym_comment,
      sym_block_comment,
  [700134] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22943), 1,
      anon_sym_LPAREN,
    STATE(14588), 1,
      sym_parenthesized_expression,
    STATE(17570), 2,
      sym_comment,
      sym_block_comment,
  [700151] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22945), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17571), 2,
      sym_comment,
      sym_block_comment,
  [700166] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22947), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17572), 2,
      sym_comment,
      sym_block_comment,
  [700181] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22949), 1,
      anon_sym_LPAREN,
    STATE(14910), 1,
      sym_parenthesized_expression,
    STATE(17573), 2,
      sym_comment,
      sym_block_comment,
  [700198] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22951), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17574), 2,
      sym_comment,
      sym_block_comment,
  [700213] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22953), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17575), 2,
      sym_comment,
      sym_block_comment,
  [700228] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22955), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17576), 2,
      sym_comment,
      sym_block_comment,
  [700243] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22957), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17577), 2,
      sym_comment,
      sym_block_comment,
  [700258] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22959), 1,
      sym__indent,
    STATE(11431), 1,
      sym__indented_type_cases,
    STATE(17578), 2,
      sym_comment,
      sym_block_comment,
  [700275] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22961), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17579), 2,
      sym_comment,
      sym_block_comment,
  [700290] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22963), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17580), 2,
      sym_comment,
      sym_block_comment,
  [700305] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22965), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17581), 2,
      sym_comment,
      sym_block_comment,
  [700320] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22967), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17582), 2,
      sym_comment,
      sym_block_comment,
  [700335] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22969), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17583), 2,
      sym_comment,
      sym_block_comment,
  [700350] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22971), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17584), 2,
      sym_comment,
      sym_block_comment,
  [700365] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22973), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17585), 2,
      sym_comment,
      sym_block_comment,
  [700380] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22975), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17586), 2,
      sym_comment,
      sym_block_comment,
  [700395] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22977), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17587), 2,
      sym_comment,
      sym_block_comment,
  [700410] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22979), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(17588), 2,
      sym_comment,
      sym_block_comment,
  [700425] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22981), 1,
      sym__indent,
    STATE(11432), 1,
      sym__indented_type_cases,
    STATE(17589), 2,
      sym_comment,
      sym_block_comment,
  [700442] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22983), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17590), 2,
      sym_comment,
      sym_block_comment,
  [700457] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22985), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17591), 2,
      sym_comment,
      sym_block_comment,
  [700472] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22987), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17592), 2,
      sym_comment,
      sym_block_comment,
  [700487] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22989), 1,
      anon_sym_LPAREN,
    STATE(12970), 1,
      sym_parenthesized_expression,
    STATE(17593), 2,
      sym_comment,
      sym_block_comment,
  [700504] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22991), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17594), 2,
      sym_comment,
      sym_block_comment,
  [700519] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22993), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17595), 2,
      sym_comment,
      sym_block_comment,
  [700534] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22995), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17596), 2,
      sym_comment,
      sym_block_comment,
  [700549] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22997), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17597), 2,
      sym_comment,
      sym_block_comment,
  [700564] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22999), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17598), 2,
      sym_comment,
      sym_block_comment,
  [700579] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23001), 1,
      sym__indent,
    STATE(14644), 1,
      sym__indented_type_cases,
    STATE(17599), 2,
      sym_comment,
      sym_block_comment,
  [700596] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23003), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17600), 2,
      sym_comment,
      sym_block_comment,
  [700611] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23005), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17601), 2,
      sym_comment,
      sym_block_comment,
  [700626] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23007), 1,
      anon_sym_COLON,
    ACTIONS(23009), 1,
      anon_sym_EQ,
    STATE(17602), 2,
      sym_comment,
      sym_block_comment,
  [700643] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16751), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(17603), 2,
      sym_comment,
      sym_block_comment,
  [700658] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23011), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17604), 2,
      sym_comment,
      sym_block_comment,
  [700673] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23013), 1,
      anon_sym_LPAREN,
    STATE(13661), 1,
      sym_parenthesized_expression,
    STATE(17605), 2,
      sym_comment,
      sym_block_comment,
  [700690] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23015), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17606), 2,
      sym_comment,
      sym_block_comment,
  [700705] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21281), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(17607), 2,
      sym_comment,
      sym_block_comment,
  [700720] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22777), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17608), 2,
      sym_comment,
      sym_block_comment,
  [700735] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21300), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(17609), 2,
      sym_comment,
      sym_block_comment,
  [700750] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23017), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17610), 2,
      sym_comment,
      sym_block_comment,
  [700765] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23019), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17611), 2,
      sym_comment,
      sym_block_comment,
  [700780] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23021), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17612), 2,
      sym_comment,
      sym_block_comment,
  [700795] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23023), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17613), 2,
      sym_comment,
      sym_block_comment,
  [700810] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23025), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17614), 2,
      sym_comment,
      sym_block_comment,
  [700825] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23027), 1,
      sym__indent,
    STATE(13076), 1,
      sym__indented_type_cases,
    STATE(17615), 2,
      sym_comment,
      sym_block_comment,
  [700842] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23029), 1,
      anon_sym_LPAREN,
    STATE(14594), 1,
      sym_parenthesized_expression,
    STATE(17616), 2,
      sym_comment,
      sym_block_comment,
  [700859] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23031), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17617), 2,
      sym_comment,
      sym_block_comment,
  [700874] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23033), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(17618), 2,
      sym_comment,
      sym_block_comment,
  [700889] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10941), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(17619), 2,
      sym_comment,
      sym_block_comment,
  [700904] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23035), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(17620), 2,
      sym_comment,
      sym_block_comment,
  [700919] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23037), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(17621), 2,
      sym_comment,
      sym_block_comment,
  [700934] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22719), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(17622), 2,
      sym_comment,
      sym_block_comment,
  [700949] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23039), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17623), 2,
      sym_comment,
      sym_block_comment,
  [700964] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10673), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(17624), 2,
      sym_comment,
      sym_block_comment,
  [700979] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23041), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17625), 2,
      sym_comment,
      sym_block_comment,
  [700994] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23043), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17626), 2,
      sym_comment,
      sym_block_comment,
  [701009] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23045), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17627), 2,
      sym_comment,
      sym_block_comment,
  [701024] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23047), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17628), 2,
      sym_comment,
      sym_block_comment,
  [701039] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23049), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17629), 2,
      sym_comment,
      sym_block_comment,
  [701054] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8214), 1,
      anon_sym_object,
    ACTIONS(8218), 1,
      anon_sym_class,
    STATE(17630), 2,
      sym_comment,
      sym_block_comment,
  [701071] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23051), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17631), 2,
      sym_comment,
      sym_block_comment,
  [701086] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23053), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17632), 2,
      sym_comment,
      sym_block_comment,
  [701101] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23055), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17633), 2,
      sym_comment,
      sym_block_comment,
  [701116] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23057), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17634), 2,
      sym_comment,
      sym_block_comment,
  [701131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23059), 1,
      sym__indent,
    STATE(14193), 1,
      sym__indented_type_cases,
    STATE(17635), 2,
      sym_comment,
      sym_block_comment,
  [701148] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23061), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17636), 2,
      sym_comment,
      sym_block_comment,
  [701163] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23063), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17637), 2,
      sym_comment,
      sym_block_comment,
  [701178] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23065), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17638), 2,
      sym_comment,
      sym_block_comment,
  [701193] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23067), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17639), 2,
      sym_comment,
      sym_block_comment,
  [701208] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23069), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17640), 2,
      sym_comment,
      sym_block_comment,
  [701223] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23071), 1,
      anon_sym_object,
    ACTIONS(23073), 1,
      anon_sym_class,
    STATE(17641), 2,
      sym_comment,
      sym_block_comment,
  [701240] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23075), 1,
      sym__indent,
    STATE(12398), 1,
      sym__indented_type_cases,
    STATE(17642), 2,
      sym_comment,
      sym_block_comment,
  [701257] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23077), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17643), 2,
      sym_comment,
      sym_block_comment,
  [701272] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23079), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17644), 2,
      sym_comment,
      sym_block_comment,
  [701287] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23081), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17645), 2,
      sym_comment,
      sym_block_comment,
  [701302] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23083), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17646), 2,
      sym_comment,
      sym_block_comment,
  [701317] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23085), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17647), 2,
      sym_comment,
      sym_block_comment,
  [701332] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11865), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(17648), 2,
      sym_comment,
      sym_block_comment,
  [701347] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23087), 1,
      anon_sym_COLON,
    ACTIONS(23089), 1,
      anon_sym_EQ,
    STATE(17649), 2,
      sym_comment,
      sym_block_comment,
  [701364] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23091), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17650), 2,
      sym_comment,
      sym_block_comment,
  [701379] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23093), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17651), 2,
      sym_comment,
      sym_block_comment,
  [701394] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23095), 1,
      anon_sym_COLON,
    ACTIONS(23097), 1,
      anon_sym_EQ,
    STATE(17652), 2,
      sym_comment,
      sym_block_comment,
  [701411] = 3,
    ACTIONS(19407), 1,
      anon_sym_SLASH_STAR,
    STATE(17653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(23099), 3,
      anon_sym_SLASH_SLASH,
      aux_sym_block_comment_token1,
      anon_sym_STAR_SLASH,
  [701424] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16489), 1,
      anon_sym_object,
    ACTIONS(16493), 1,
      anon_sym_class,
    STATE(17654), 2,
      sym_comment,
      sym_block_comment,
  [701441] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11872), 2,
      sym__outdent,
      anon_sym_case,
    STATE(17655), 2,
      sym_comment,
      sym_block_comment,
  [701456] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23101), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17656), 2,
      sym_comment,
      sym_block_comment,
  [701471] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23103), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17657), 2,
      sym_comment,
      sym_block_comment,
  [701486] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23105), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17658), 2,
      sym_comment,
      sym_block_comment,
  [701501] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23107), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17659), 2,
      sym_comment,
      sym_block_comment,
  [701516] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23109), 1,
      anon_sym_LPAREN,
    STATE(13287), 1,
      sym_parenthesized_expression,
    STATE(17660), 2,
      sym_comment,
      sym_block_comment,
  [701533] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23111), 1,
      sym__indent,
    STATE(15845), 1,
      sym_with_template_body,
    STATE(17661), 2,
      sym_comment,
      sym_block_comment,
  [701550] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23111), 1,
      sym__indent,
    STATE(15825), 1,
      sym_with_template_body,
    STATE(17662), 2,
      sym_comment,
      sym_block_comment,
  [701567] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23113), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17663), 2,
      sym_comment,
      sym_block_comment,
  [701582] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23115), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17664), 2,
      sym_comment,
      sym_block_comment,
  [701597] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23117), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17665), 2,
      sym_comment,
      sym_block_comment,
  [701612] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23119), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17666), 2,
      sym_comment,
      sym_block_comment,
  [701627] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23121), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(17667), 2,
      sym_comment,
      sym_block_comment,
  [701642] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23123), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17668), 2,
      sym_comment,
      sym_block_comment,
  [701657] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11957), 2,
      sym__outdent,
      anon_sym_case,
    STATE(17669), 2,
      sym_comment,
      sym_block_comment,
  [701672] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23125), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17670), 2,
      sym_comment,
      sym_block_comment,
  [701687] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23127), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17671), 2,
      sym_comment,
      sym_block_comment,
  [701702] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23129), 1,
      anon_sym_LPAREN,
    STATE(14923), 1,
      sym_parenthesized_expression,
    STATE(17672), 2,
      sym_comment,
      sym_block_comment,
  [701719] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23131), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17673), 2,
      sym_comment,
      sym_block_comment,
  [701734] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23133), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17674), 2,
      sym_comment,
      sym_block_comment,
  [701749] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19884), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(17675), 2,
      sym_comment,
      sym_block_comment,
  [701764] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23135), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17676), 2,
      sym_comment,
      sym_block_comment,
  [701779] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23137), 1,
      anon_sym_object,
    ACTIONS(23139), 1,
      anon_sym_class,
    STATE(17677), 2,
      sym_comment,
      sym_block_comment,
  [701796] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23141), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17678), 2,
      sym_comment,
      sym_block_comment,
  [701811] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23143), 1,
      anon_sym_LPAREN,
    STATE(14390), 1,
      sym_parenthesized_expression,
    STATE(17679), 2,
      sym_comment,
      sym_block_comment,
  [701828] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23145), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17680), 2,
      sym_comment,
      sym_block_comment,
  [701843] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23147), 1,
      anon_sym_LPAREN,
    STATE(14779), 1,
      sym_parenthesized_expression,
    STATE(17681), 2,
      sym_comment,
      sym_block_comment,
  [701860] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23149), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17682), 2,
      sym_comment,
      sym_block_comment,
  [701875] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23151), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17683), 2,
      sym_comment,
      sym_block_comment,
  [701890] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23153), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17684), 2,
      sym_comment,
      sym_block_comment,
  [701905] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23155), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17685), 2,
      sym_comment,
      sym_block_comment,
  [701920] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17226), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(17686), 2,
      sym_comment,
      sym_block_comment,
  [701935] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12025), 2,
      sym__outdent,
      anon_sym_case,
    STATE(17687), 2,
      sym_comment,
      sym_block_comment,
  [701950] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23157), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17688), 2,
      sym_comment,
      sym_block_comment,
  [701965] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23159), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17689), 2,
      sym_comment,
      sym_block_comment,
  [701980] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23161), 1,
      sym__indent,
    STATE(11892), 1,
      sym__indented_type_cases,
    STATE(17690), 2,
      sym_comment,
      sym_block_comment,
  [701997] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23163), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17691), 2,
      sym_comment,
      sym_block_comment,
  [702012] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17228), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(17692), 2,
      sym_comment,
      sym_block_comment,
  [702027] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23165), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17693), 2,
      sym_comment,
      sym_block_comment,
  [702042] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19131), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(17694), 2,
      sym_comment,
      sym_block_comment,
  [702057] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23167), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17695), 2,
      sym_comment,
      sym_block_comment,
  [702072] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11915), 2,
      sym__outdent,
      anon_sym_case,
    STATE(17696), 2,
      sym_comment,
      sym_block_comment,
  [702087] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23169), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17697), 2,
      sym_comment,
      sym_block_comment,
  [702102] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23171), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17698), 2,
      sym_comment,
      sym_block_comment,
  [702117] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18502), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(17699), 2,
      sym_comment,
      sym_block_comment,
  [702132] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17816), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(17700), 2,
      sym_comment,
      sym_block_comment,
  [702147] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23173), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17701), 2,
      sym_comment,
      sym_block_comment,
  [702162] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23175), 1,
      anon_sym_LPAREN,
    STATE(13013), 1,
      sym_parenthesized_expression,
    STATE(17702), 2,
      sym_comment,
      sym_block_comment,
  [702179] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23177), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17703), 2,
      sym_comment,
      sym_block_comment,
  [702194] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23179), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17704), 2,
      sym_comment,
      sym_block_comment,
  [702209] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23181), 1,
      sym__indent,
    STATE(17382), 1,
      sym__indented_type_cases,
    STATE(17705), 2,
      sym_comment,
      sym_block_comment,
  [702226] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23183), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17706), 2,
      sym_comment,
      sym_block_comment,
  [702241] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23185), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17707), 2,
      sym_comment,
      sym_block_comment,
  [702256] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23187), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17708), 2,
      sym_comment,
      sym_block_comment,
  [702271] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23189), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17709), 2,
      sym_comment,
      sym_block_comment,
  [702286] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23191), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17710), 2,
      sym_comment,
      sym_block_comment,
  [702301] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23193), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17711), 2,
      sym_comment,
      sym_block_comment,
  [702316] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23195), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17712), 2,
      sym_comment,
      sym_block_comment,
  [702331] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23197), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17713), 2,
      sym_comment,
      sym_block_comment,
  [702346] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23199), 1,
      sym__indent,
    STATE(11998), 1,
      sym__indented_type_cases,
    STATE(17714), 2,
      sym_comment,
      sym_block_comment,
  [702363] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23201), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(17715), 2,
      sym_comment,
      sym_block_comment,
  [702378] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22729), 2,
      sym__outdent,
      anon_sym_case,
    STATE(17716), 2,
      sym_comment,
      sym_block_comment,
  [702393] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23203), 1,
      sym__indent,
    STATE(11310), 1,
      sym__indented_type_cases,
    STATE(17717), 2,
      sym_comment,
      sym_block_comment,
  [702410] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23205), 1,
      anon_sym_LPAREN,
    STATE(14824), 1,
      sym_parenthesized_expression,
    STATE(17718), 2,
      sym_comment,
      sym_block_comment,
  [702427] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23207), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17719), 2,
      sym_comment,
      sym_block_comment,
  [702442] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23209), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17720), 2,
      sym_comment,
      sym_block_comment,
  [702457] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23211), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17721), 2,
      sym_comment,
      sym_block_comment,
  [702472] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23213), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17722), 2,
      sym_comment,
      sym_block_comment,
  [702487] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23215), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17723), 2,
      sym_comment,
      sym_block_comment,
  [702502] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23217), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17724), 2,
      sym_comment,
      sym_block_comment,
  [702517] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23219), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17725), 2,
      sym_comment,
      sym_block_comment,
  [702532] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8372), 2,
      anon_sym_COLON,
      anon_sym_with,
    STATE(17726), 2,
      sym_comment,
      sym_block_comment,
  [702547] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23221), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17727), 2,
      sym_comment,
      sym_block_comment,
  [702562] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23223), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17728), 2,
      sym_comment,
      sym_block_comment,
  [702577] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23035), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(17729), 2,
      sym_comment,
      sym_block_comment,
  [702592] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23225), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17730), 2,
      sym_comment,
      sym_block_comment,
  [702607] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23227), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17731), 2,
      sym_comment,
      sym_block_comment,
  [702622] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23229), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17732), 2,
      sym_comment,
      sym_block_comment,
  [702637] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23231), 1,
      sym__indent,
    STATE(12327), 1,
      sym__indented_type_cases,
    STATE(17733), 2,
      sym_comment,
      sym_block_comment,
  [702654] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23233), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17734), 2,
      sym_comment,
      sym_block_comment,
  [702669] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23235), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17735), 2,
      sym_comment,
      sym_block_comment,
  [702684] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23237), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17736), 2,
      sym_comment,
      sym_block_comment,
  [702699] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23239), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17737), 2,
      sym_comment,
      sym_block_comment,
  [702714] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23241), 1,
      anon_sym_LPAREN,
    STATE(14159), 1,
      sym_parenthesized_expression,
    STATE(17738), 2,
      sym_comment,
      sym_block_comment,
  [702731] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23243), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17739), 2,
      sym_comment,
      sym_block_comment,
  [702746] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23245), 1,
      anon_sym_COLON,
    ACTIONS(23247), 1,
      anon_sym_EQ,
    STATE(17740), 2,
      sym_comment,
      sym_block_comment,
  [702763] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23037), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(17741), 2,
      sym_comment,
      sym_block_comment,
  [702778] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23249), 2,
      sym__outdent,
      anon_sym_case,
    STATE(17742), 2,
      sym_comment,
      sym_block_comment,
  [702793] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5254), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(17743), 2,
      sym_comment,
      sym_block_comment,
  [702808] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23251), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17744), 2,
      sym_comment,
      sym_block_comment,
  [702823] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23253), 1,
      sym__indent,
    STATE(12375), 1,
      sym__indented_type_cases,
    STATE(17745), 2,
      sym_comment,
      sym_block_comment,
  [702840] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23255), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17746), 2,
      sym_comment,
      sym_block_comment,
  [702855] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23257), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17747), 2,
      sym_comment,
      sym_block_comment,
  [702870] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23259), 1,
      sym__indent,
    STATE(8352), 1,
      sym__indented_type_cases,
    STATE(17748), 2,
      sym_comment,
      sym_block_comment,
  [702887] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17812), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(17749), 2,
      sym_comment,
      sym_block_comment,
  [702902] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23261), 1,
      anon_sym_COLON,
    ACTIONS(23263), 1,
      anon_sym_EQ,
    STATE(17750), 2,
      sym_comment,
      sym_block_comment,
  [702919] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23265), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17751), 2,
      sym_comment,
      sym_block_comment,
  [702934] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11908), 2,
      sym__outdent,
      anon_sym_case,
    STATE(17752), 2,
      sym_comment,
      sym_block_comment,
  [702949] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23267), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17753), 2,
      sym_comment,
      sym_block_comment,
  [702964] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23269), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17754), 2,
      sym_comment,
      sym_block_comment,
  [702979] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23271), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17755), 2,
      sym_comment,
      sym_block_comment,
  [702994] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23273), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17756), 2,
      sym_comment,
      sym_block_comment,
  [703009] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23275), 1,
      sym__indent,
    STATE(15492), 1,
      sym_with_template_body,
    STATE(17757), 2,
      sym_comment,
      sym_block_comment,
  [703026] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23275), 1,
      sym__indent,
    STATE(15514), 1,
      sym_with_template_body,
    STATE(17758), 2,
      sym_comment,
      sym_block_comment,
  [703043] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23277), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17759), 2,
      sym_comment,
      sym_block_comment,
  [703058] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23279), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17760), 2,
      sym_comment,
      sym_block_comment,
  [703073] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23281), 1,
      sym__indent,
    STATE(12517), 1,
      sym__indented_type_cases,
    STATE(17761), 2,
      sym_comment,
      sym_block_comment,
  [703090] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23283), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17762), 2,
      sym_comment,
      sym_block_comment,
  [703105] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23285), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17763), 2,
      sym_comment,
      sym_block_comment,
  [703120] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23287), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(17764), 2,
      sym_comment,
      sym_block_comment,
  [703135] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8636), 2,
      sym__outdent,
      anon_sym_case,
    STATE(17765), 2,
      sym_comment,
      sym_block_comment,
  [703150] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23289), 1,
      sym__indent,
    STATE(13805), 1,
      sym__indented_type_cases,
    STATE(17766), 2,
      sym_comment,
      sym_block_comment,
  [703167] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23291), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(17767), 2,
      sym_comment,
      sym_block_comment,
  [703182] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23293), 1,
      anon_sym_EQ_GT_GT,
    STATE(17768), 2,
      sym_comment,
      sym_block_comment,
  [703196] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23295), 1,
      sym__outdent,
    STATE(17769), 2,
      sym_comment,
      sym_block_comment,
  [703210] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23297), 1,
      anon_sym_COLON,
    STATE(17770), 2,
      sym_comment,
      sym_block_comment,
  [703224] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9580), 1,
      anon_sym_DOT,
    STATE(17771), 2,
      sym_comment,
      sym_block_comment,
  [703238] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23299), 1,
      anon_sym_RPAREN,
    STATE(17772), 2,
      sym_comment,
      sym_block_comment,
  [703252] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23301), 1,
      anon_sym_EQ,
    STATE(17773), 2,
      sym_comment,
      sym_block_comment,
  [703266] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23303), 1,
      anon_sym_do,
    STATE(17774), 2,
      sym_comment,
      sym_block_comment,
  [703280] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23305), 1,
      sym__outdent,
    STATE(17775), 2,
      sym_comment,
      sym_block_comment,
  [703294] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23307), 1,
      anon_sym_RBRACE,
    STATE(17776), 2,
      sym_comment,
      sym_block_comment,
  [703308] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23309), 1,
      sym__outdent,
    STATE(17777), 2,
      sym_comment,
      sym_block_comment,
  [703322] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23311), 1,
      anon_sym_RBRACE,
    STATE(17778), 2,
      sym_comment,
      sym_block_comment,
  [703336] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23313), 1,
      anon_sym_RBRACE,
    STATE(17779), 2,
      sym_comment,
      sym_block_comment,
  [703350] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23315), 1,
      anon_sym_RPAREN,
    STATE(17780), 2,
      sym_comment,
      sym_block_comment,
  [703364] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23317), 1,
      anon_sym_RPAREN,
    STATE(17781), 2,
      sym_comment,
      sym_block_comment,
  [703378] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23319), 1,
      anon_sym_RPAREN,
    STATE(17782), 2,
      sym_comment,
      sym_block_comment,
  [703392] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23321), 1,
      sym__outdent,
    STATE(17783), 2,
      sym_comment,
      sym_block_comment,
  [703406] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23323), 1,
      sym__outdent,
    STATE(17784), 2,
      sym_comment,
      sym_block_comment,
  [703420] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23325), 1,
      anon_sym_RBRACE,
    STATE(17785), 2,
      sym_comment,
      sym_block_comment,
  [703434] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23325), 1,
      anon_sym_RPAREN,
    STATE(17786), 2,
      sym_comment,
      sym_block_comment,
  [703448] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23327), 1,
      anon_sym_EQ_GT,
    STATE(17787), 2,
      sym_comment,
      sym_block_comment,
  [703462] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23329), 1,
      anon_sym_do,
    STATE(17788), 2,
      sym_comment,
      sym_block_comment,
  [703476] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23331), 1,
      anon_sym_EQ_GT_GT,
    STATE(17789), 2,
      sym_comment,
      sym_block_comment,
  [703490] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23333), 1,
      anon_sym_else,
    STATE(17790), 2,
      sym_comment,
      sym_block_comment,
  [703504] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23335), 1,
      anon_sym_COLON,
    STATE(17791), 2,
      sym_comment,
      sym_block_comment,
  [703518] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23337), 1,
      anon_sym_EQ_GT_GT,
    STATE(17792), 2,
      sym_comment,
      sym_block_comment,
  [703532] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23339), 1,
      anon_sym_EQ_GT_GT,
    STATE(17793), 2,
      sym_comment,
      sym_block_comment,
  [703546] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23341), 1,
      anon_sym_EQ_GT_GT,
    STATE(17794), 2,
      sym_comment,
      sym_block_comment,
  [703560] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23343), 1,
      anon_sym_else,
    STATE(17795), 2,
      sym_comment,
      sym_block_comment,
  [703574] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23345), 1,
      anon_sym_RPAREN,
    STATE(17796), 2,
      sym_comment,
      sym_block_comment,
  [703588] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23347), 1,
      sym__outdent,
    STATE(17797), 2,
      sym_comment,
      sym_block_comment,
  [703602] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12018), 1,
      anon_sym_DOT,
    STATE(17798), 2,
      sym_comment,
      sym_block_comment,
  [703616] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23349), 1,
      anon_sym_COLON,
    STATE(17799), 2,
      sym_comment,
      sym_block_comment,
  [703630] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12151), 1,
      anon_sym_DOT,
    STATE(17800), 2,
      sym_comment,
      sym_block_comment,
  [703644] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23351), 1,
      anon_sym_RBRACE,
    STATE(17801), 2,
      sym_comment,
      sym_block_comment,
  [703658] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23353), 1,
      anon_sym_RPAREN,
    STATE(17802), 2,
      sym_comment,
      sym_block_comment,
  [703672] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23355), 1,
      anon_sym_RPAREN,
    STATE(17803), 2,
      sym_comment,
      sym_block_comment,
  [703686] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23357), 1,
      anon_sym_RBRACE,
    STATE(17804), 2,
      sym_comment,
      sym_block_comment,
  [703700] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23359), 1,
      anon_sym_RPAREN,
    STATE(17805), 2,
      sym_comment,
      sym_block_comment,
  [703714] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23361), 1,
      sym__outdent,
    STATE(17806), 2,
      sym_comment,
      sym_block_comment,
  [703728] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23363), 1,
      anon_sym_else,
    STATE(17807), 2,
      sym_comment,
      sym_block_comment,
  [703742] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12935), 1,
      anon_sym_EQ_GT,
    STATE(17808), 2,
      sym_comment,
      sym_block_comment,
  [703756] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23365), 1,
      anon_sym_RPAREN,
    STATE(17809), 2,
      sym_comment,
      sym_block_comment,
  [703770] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23367), 1,
      sym__outdent,
    STATE(17810), 2,
      sym_comment,
      sym_block_comment,
  [703784] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23369), 1,
      anon_sym_RPAREN,
    STATE(17811), 2,
      sym_comment,
      sym_block_comment,
  [703798] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23371), 1,
      sym__outdent,
    STATE(17812), 2,
      sym_comment,
      sym_block_comment,
  [703812] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23373), 1,
      anon_sym_RBRACE,
    STATE(17813), 2,
      sym_comment,
      sym_block_comment,
  [703826] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23375), 1,
      anon_sym_RPAREN,
    STATE(17814), 2,
      sym_comment,
      sym_block_comment,
  [703840] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23377), 1,
      anon_sym_do,
    STATE(17815), 2,
      sym_comment,
      sym_block_comment,
  [703854] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23379), 1,
      anon_sym_RPAREN,
    STATE(17816), 2,
      sym_comment,
      sym_block_comment,
  [703868] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23381), 1,
      anon_sym_else,
    STATE(17817), 2,
      sym_comment,
      sym_block_comment,
  [703882] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23383), 1,
      sym__outdent,
    STATE(17818), 2,
      sym_comment,
      sym_block_comment,
  [703896] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23385), 1,
      anon_sym_EQ_GT,
    STATE(17819), 2,
      sym_comment,
      sym_block_comment,
  [703910] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23387), 1,
      sym__outdent,
    STATE(17820), 2,
      sym_comment,
      sym_block_comment,
  [703924] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23389), 1,
      anon_sym_EQ_GT_GT,
    STATE(17821), 2,
      sym_comment,
      sym_block_comment,
  [703938] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23391), 1,
      sym__outdent,
    STATE(17822), 2,
      sym_comment,
      sym_block_comment,
  [703952] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23393), 1,
      anon_sym_do,
    STATE(17823), 2,
      sym_comment,
      sym_block_comment,
  [703966] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23395), 1,
      anon_sym_EQ_GT_GT,
    STATE(17824), 2,
      sym_comment,
      sym_block_comment,
  [703980] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23397), 1,
      anon_sym_EQ_GT_GT,
    STATE(17825), 2,
      sym_comment,
      sym_block_comment,
  [703994] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23399), 1,
      anon_sym_EQ_GT_GT,
    STATE(17826), 2,
      sym_comment,
      sym_block_comment,
  [704008] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12937), 1,
      anon_sym_EQ_GT,
    STATE(17827), 2,
      sym_comment,
      sym_block_comment,
  [704022] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23401), 1,
      anon_sym_RPAREN,
    STATE(17828), 2,
      sym_comment,
      sym_block_comment,
  [704036] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23403), 1,
      anon_sym_COLON,
    STATE(17829), 2,
      sym_comment,
      sym_block_comment,
  [704050] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11349), 1,
      anon_sym_DOT,
    STATE(17830), 2,
      sym_comment,
      sym_block_comment,
  [704064] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23405), 1,
      anon_sym_RPAREN,
    STATE(17831), 2,
      sym_comment,
      sym_block_comment,
  [704078] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23407), 1,
      sym__outdent,
    STATE(17832), 2,
      sym_comment,
      sym_block_comment,
  [704092] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23409), 1,
      anon_sym_RBRACE,
    STATE(17833), 2,
      sym_comment,
      sym_block_comment,
  [704106] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23411), 1,
      anon_sym_RBRACE,
    STATE(17834), 2,
      sym_comment,
      sym_block_comment,
  [704120] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23413), 1,
      sym__outdent,
    STATE(17835), 2,
      sym_comment,
      sym_block_comment,
  [704134] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23415), 1,
      anon_sym_do,
    STATE(17836), 2,
      sym_comment,
      sym_block_comment,
  [704148] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23409), 1,
      anon_sym_RPAREN,
    STATE(17837), 2,
      sym_comment,
      sym_block_comment,
  [704162] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8286), 1,
      anon_sym_def,
    STATE(17838), 2,
      sym_comment,
      sym_block_comment,
  [704176] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23417), 1,
      anon_sym_RPAREN,
    STATE(17839), 2,
      sym_comment,
      sym_block_comment,
  [704190] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23419), 1,
      anon_sym_RPAREN,
    STATE(17840), 2,
      sym_comment,
      sym_block_comment,
  [704204] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23421), 1,
      anon_sym_RBRACE,
    STATE(17841), 2,
      sym_comment,
      sym_block_comment,
  [704218] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23423), 1,
      sym__outdent,
    STATE(17842), 2,
      sym_comment,
      sym_block_comment,
  [704232] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23425), 1,
      anon_sym_RPAREN,
    STATE(17843), 2,
      sym_comment,
      sym_block_comment,
  [704246] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23427), 1,
      anon_sym_RPAREN,
    STATE(17844), 2,
      sym_comment,
      sym_block_comment,
  [704260] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23429), 1,
      anon_sym_RPAREN,
    STATE(17845), 2,
      sym_comment,
      sym_block_comment,
  [704274] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23431), 1,
      anon_sym_else,
    STATE(17846), 2,
      sym_comment,
      sym_block_comment,
  [704288] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23433), 1,
      anon_sym_RBRACE,
    STATE(17847), 2,
      sym_comment,
      sym_block_comment,
  [704302] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23435), 1,
      anon_sym_EQ_GT,
    STATE(17848), 2,
      sym_comment,
      sym_block_comment,
  [704316] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23433), 1,
      anon_sym_RPAREN,
    STATE(17849), 2,
      sym_comment,
      sym_block_comment,
  [704330] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23437), 1,
      anon_sym_EQ_GT_GT,
    STATE(17850), 2,
      sym_comment,
      sym_block_comment,
  [704344] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23439), 1,
      sym__outdent,
    STATE(17851), 2,
      sym_comment,
      sym_block_comment,
  [704358] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23441), 1,
      sym__outdent,
    STATE(17852), 2,
      sym_comment,
      sym_block_comment,
  [704372] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23443), 1,
      anon_sym_EQ_GT_GT,
    STATE(17853), 2,
      sym_comment,
      sym_block_comment,
  [704386] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23445), 1,
      anon_sym_EQ_GT_GT,
    STATE(17854), 2,
      sym_comment,
      sym_block_comment,
  [704400] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23447), 1,
      anon_sym_EQ_GT_GT,
    STATE(17855), 2,
      sym_comment,
      sym_block_comment,
  [704414] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23449), 1,
      anon_sym_else,
    STATE(17856), 2,
      sym_comment,
      sym_block_comment,
  [704428] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23451), 1,
      anon_sym_RPAREN,
    STATE(17857), 2,
      sym_comment,
      sym_block_comment,
  [704442] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23453), 1,
      anon_sym_COLON,
    STATE(17858), 2,
      sym_comment,
      sym_block_comment,
  [704456] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11703), 1,
      anon_sym_DOT,
    STATE(17859), 2,
      sym_comment,
      sym_block_comment,
  [704470] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23455), 1,
      anon_sym_RPAREN,
    STATE(17860), 2,
      sym_comment,
      sym_block_comment,
  [704484] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23457), 1,
      sym__outdent,
    STATE(17861), 2,
      sym_comment,
      sym_block_comment,
  [704498] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23459), 1,
      sym__outdent,
    STATE(17862), 2,
      sym_comment,
      sym_block_comment,
  [704512] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23461), 1,
      anon_sym_RBRACE,
    STATE(17863), 2,
      sym_comment,
      sym_block_comment,
  [704526] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23463), 1,
      anon_sym_RBRACE,
    STATE(17864), 2,
      sym_comment,
      sym_block_comment,
  [704540] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23465), 1,
      sym__outdent,
    STATE(17865), 2,
      sym_comment,
      sym_block_comment,
  [704554] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23467), 1,
      anon_sym_EQ_GT,
    STATE(17866), 2,
      sym_comment,
      sym_block_comment,
  [704568] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23469), 1,
      anon_sym_RBRACE,
    STATE(17867), 2,
      sym_comment,
      sym_block_comment,
  [704582] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23471), 1,
      anon_sym_EQ_GT,
    STATE(17868), 2,
      sym_comment,
      sym_block_comment,
  [704596] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23473), 1,
      anon_sym_else,
    STATE(17869), 2,
      sym_comment,
      sym_block_comment,
  [704610] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23475), 1,
      anon_sym_RPAREN,
    STATE(17870), 2,
      sym_comment,
      sym_block_comment,
  [704624] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23463), 1,
      anon_sym_RPAREN,
    STATE(17871), 2,
      sym_comment,
      sym_block_comment,
  [704638] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23477), 1,
      anon_sym_EQ_GT_GT,
    STATE(17872), 2,
      sym_comment,
      sym_block_comment,
  [704652] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23479), 1,
      anon_sym_RPAREN,
    STATE(17873), 2,
      sym_comment,
      sym_block_comment,
  [704666] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23481), 1,
      sym__outdent,
    STATE(17874), 2,
      sym_comment,
      sym_block_comment,
  [704680] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23483), 1,
      sym__outdent,
    STATE(17875), 2,
      sym_comment,
      sym_block_comment,
  [704694] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23485), 1,
      anon_sym_EQ_GT_GT,
    STATE(17876), 2,
      sym_comment,
      sym_block_comment,
  [704708] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23487), 1,
      anon_sym_RPAREN,
    STATE(17877), 2,
      sym_comment,
      sym_block_comment,
  [704722] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23489), 1,
      anon_sym_else,
    STATE(17878), 2,
      sym_comment,
      sym_block_comment,
  [704736] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23491), 1,
      anon_sym_EQ_GT_GT,
    STATE(17879), 2,
      sym_comment,
      sym_block_comment,
  [704750] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23493), 1,
      anon_sym_EQ_GT_GT,
    STATE(17880), 2,
      sym_comment,
      sym_block_comment,
  [704764] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23495), 1,
      anon_sym_EQ_GT_GT,
    STATE(17881), 2,
      sym_comment,
      sym_block_comment,
  [704778] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23497), 1,
      anon_sym_RBRACE,
    STATE(17882), 2,
      sym_comment,
      sym_block_comment,
  [704792] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23497), 1,
      anon_sym_RBRACK,
    STATE(17883), 2,
      sym_comment,
      sym_block_comment,
  [704806] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23499), 1,
      anon_sym_COLON,
    STATE(17884), 2,
      sym_comment,
      sym_block_comment,
  [704820] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11711), 1,
      anon_sym_DOT,
    STATE(17885), 2,
      sym_comment,
      sym_block_comment,
  [704834] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23501), 1,
      anon_sym_else,
    STATE(17886), 2,
      sym_comment,
      sym_block_comment,
  [704848] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23503), 1,
      anon_sym_RBRACE,
    STATE(17887), 2,
      sym_comment,
      sym_block_comment,
  [704862] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23503), 1,
      anon_sym_RBRACK,
    STATE(17888), 2,
      sym_comment,
      sym_block_comment,
  [704876] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23505), 1,
      anon_sym_EQ_GT_GT,
    STATE(17889), 2,
      sym_comment,
      sym_block_comment,
  [704890] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23507), 1,
      anon_sym_EQ_GT_GT,
    STATE(17890), 2,
      sym_comment,
      sym_block_comment,
  [704904] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23509), 1,
      anon_sym_EQ_GT_GT,
    STATE(17891), 2,
      sym_comment,
      sym_block_comment,
  [704918] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23511), 1,
      anon_sym_RBRACE,
    STATE(17892), 2,
      sym_comment,
      sym_block_comment,
  [704932] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23513), 1,
      anon_sym_RPAREN,
    STATE(17893), 2,
      sym_comment,
      sym_block_comment,
  [704946] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23515), 1,
      anon_sym_RPAREN,
    STATE(17894), 2,
      sym_comment,
      sym_block_comment,
  [704960] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23469), 1,
      anon_sym_RBRACK,
    STATE(17895), 2,
      sym_comment,
      sym_block_comment,
  [704974] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23517), 1,
      anon_sym_RPAREN,
    STATE(17896), 2,
      sym_comment,
      sym_block_comment,
  [704988] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23519), 1,
      anon_sym_else,
    STATE(17897), 2,
      sym_comment,
      sym_block_comment,
  [705002] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23521), 1,
      anon_sym_do,
    STATE(17898), 2,
      sym_comment,
      sym_block_comment,
  [705016] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23523), 1,
      anon_sym_RBRACE,
    STATE(17899), 2,
      sym_comment,
      sym_block_comment,
  [705030] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23525), 1,
      anon_sym_COLON,
    STATE(17900), 2,
      sym_comment,
      sym_block_comment,
  [705044] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23527), 1,
      anon_sym_RPAREN,
    STATE(17901), 2,
      sym_comment,
      sym_block_comment,
  [705058] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23529), 1,
      anon_sym_EQ_GT_GT,
    STATE(17902), 2,
      sym_comment,
      sym_block_comment,
  [705072] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23531), 1,
      anon_sym_RBRACE,
    STATE(17903), 2,
      sym_comment,
      sym_block_comment,
  [705086] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23533), 1,
      anon_sym_EQ_GT_GT,
    STATE(17904), 2,
      sym_comment,
      sym_block_comment,
  [705100] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23535), 1,
      anon_sym_EQ_GT_GT,
    STATE(17905), 2,
      sym_comment,
      sym_block_comment,
  [705114] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23537), 1,
      anon_sym_EQ_GT_GT,
    STATE(17906), 2,
      sym_comment,
      sym_block_comment,
  [705128] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23539), 1,
      anon_sym_RPAREN,
    STATE(17907), 2,
      sym_comment,
      sym_block_comment,
  [705142] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9839), 1,
      anon_sym_DOT,
    STATE(17908), 2,
      sym_comment,
      sym_block_comment,
  [705156] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23541), 1,
      anon_sym_COLON,
    STATE(17909), 2,
      sym_comment,
      sym_block_comment,
  [705170] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11189), 1,
      anon_sym_DOT,
    STATE(17910), 2,
      sym_comment,
      sym_block_comment,
  [705184] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23543), 1,
      sym__outdent,
    STATE(17911), 2,
      sym_comment,
      sym_block_comment,
  [705198] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23545), 1,
      anon_sym_EQ,
    STATE(17912), 2,
      sym_comment,
      sym_block_comment,
  [705212] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23547), 1,
      sym__outdent,
    STATE(17913), 2,
      sym_comment,
      sym_block_comment,
  [705226] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23549), 1,
      anon_sym_RBRACE,
    STATE(17914), 2,
      sym_comment,
      sym_block_comment,
  [705240] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23549), 1,
      anon_sym_RPAREN,
    STATE(17915), 2,
      sym_comment,
      sym_block_comment,
  [705254] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23551), 1,
      sym__outdent,
    STATE(17916), 2,
      sym_comment,
      sym_block_comment,
  [705268] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23553), 1,
      anon_sym_EQ,
    STATE(17917), 2,
      sym_comment,
      sym_block_comment,
  [705282] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23555), 1,
      anon_sym_RPAREN,
    STATE(17918), 2,
      sym_comment,
      sym_block_comment,
  [705296] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23557), 1,
      anon_sym_RPAREN,
    STATE(17919), 2,
      sym_comment,
      sym_block_comment,
  [705310] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23559), 1,
      sym__outdent,
    STATE(17920), 2,
      sym_comment,
      sym_block_comment,
  [705324] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23561), 1,
      anon_sym_RPAREN,
    STATE(17921), 2,
      sym_comment,
      sym_block_comment,
  [705338] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23563), 1,
      anon_sym_else,
    STATE(17922), 2,
      sym_comment,
      sym_block_comment,
  [705352] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23565), 1,
      anon_sym_RPAREN,
    STATE(17923), 2,
      sym_comment,
      sym_block_comment,
  [705366] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23567), 1,
      sym__outdent,
    STATE(17924), 2,
      sym_comment,
      sym_block_comment,
  [705380] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23569), 1,
      sym__outdent,
    STATE(17925), 2,
      sym_comment,
      sym_block_comment,
  [705394] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23571), 1,
      anon_sym_RPAREN,
    STATE(17926), 2,
      sym_comment,
      sym_block_comment,
  [705408] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23573), 1,
      anon_sym_EQ_GT_GT,
    STATE(17927), 2,
      sym_comment,
      sym_block_comment,
  [705422] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23575), 1,
      anon_sym_EQ_GT,
    STATE(17928), 2,
      sym_comment,
      sym_block_comment,
  [705436] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23577), 1,
      anon_sym_EQ_GT_GT,
    STATE(17929), 2,
      sym_comment,
      sym_block_comment,
  [705450] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23579), 1,
      anon_sym_EQ_GT_GT,
    STATE(17930), 2,
      sym_comment,
      sym_block_comment,
  [705464] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23581), 1,
      anon_sym_EQ_GT_GT,
    STATE(17931), 2,
      sym_comment,
      sym_block_comment,
  [705478] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23583), 1,
      anon_sym_else,
    STATE(17932), 2,
      sym_comment,
      sym_block_comment,
  [705492] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23585), 1,
      anon_sym_RBRACE,
    STATE(17933), 2,
      sym_comment,
      sym_block_comment,
  [705506] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23587), 1,
      anon_sym_COLON,
    STATE(17934), 2,
      sym_comment,
      sym_block_comment,
  [705520] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14027), 1,
      anon_sym_DOT,
    STATE(17935), 2,
      sym_comment,
      sym_block_comment,
  [705534] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23589), 1,
      anon_sym_else,
    STATE(17936), 2,
      sym_comment,
      sym_block_comment,
  [705548] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23591), 1,
      sym__outdent,
    STATE(17937), 2,
      sym_comment,
      sym_block_comment,
  [705562] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23593), 1,
      anon_sym_RPAREN,
    STATE(17938), 2,
      sym_comment,
      sym_block_comment,
  [705576] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23595), 1,
      anon_sym_RPAREN,
    STATE(17939), 2,
      sym_comment,
      sym_block_comment,
  [705590] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23597), 1,
      sym__outdent,
    STATE(17940), 2,
      sym_comment,
      sym_block_comment,
  [705604] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23599), 1,
      anon_sym_else,
    STATE(17941), 2,
      sym_comment,
      sym_block_comment,
  [705618] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23601), 1,
      anon_sym_RPAREN,
    STATE(17942), 2,
      sym_comment,
      sym_block_comment,
  [705632] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23603), 1,
      anon_sym_RPAREN,
    STATE(17943), 2,
      sym_comment,
      sym_block_comment,
  [705646] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23605), 1,
      anon_sym_EQ_GT,
    STATE(17944), 2,
      sym_comment,
      sym_block_comment,
  [705660] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23607), 1,
      anon_sym_else,
    STATE(17945), 2,
      sym_comment,
      sym_block_comment,
  [705674] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23609), 1,
      anon_sym_RPAREN,
    STATE(17946), 2,
      sym_comment,
      sym_block_comment,
  [705688] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23611), 1,
      sym__outdent,
    STATE(17947), 2,
      sym_comment,
      sym_block_comment,
  [705702] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23613), 1,
      sym__outdent,
    STATE(17948), 2,
      sym_comment,
      sym_block_comment,
  [705716] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23615), 1,
      anon_sym_else,
    STATE(17949), 2,
      sym_comment,
      sym_block_comment,
  [705730] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23617), 1,
      anon_sym_RBRACE,
    STATE(17950), 2,
      sym_comment,
      sym_block_comment,
  [705744] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23619), 1,
      anon_sym_RPAREN,
    STATE(17951), 2,
      sym_comment,
      sym_block_comment,
  [705758] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23621), 1,
      anon_sym_EQ_GT_GT,
    STATE(17952), 2,
      sym_comment,
      sym_block_comment,
  [705772] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23623), 1,
      anon_sym_RBRACE,
    STATE(17953), 2,
      sym_comment,
      sym_block_comment,
  [705786] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23625), 1,
      anon_sym_EQ_GT_GT,
    STATE(17954), 2,
      sym_comment,
      sym_block_comment,
  [705800] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23627), 1,
      anon_sym_EQ_GT_GT,
    STATE(17955), 2,
      sym_comment,
      sym_block_comment,
  [705814] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23629), 1,
      anon_sym_EQ_GT_GT,
    STATE(17956), 2,
      sym_comment,
      sym_block_comment,
  [705828] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23631), 1,
      anon_sym_else,
    STATE(17957), 2,
      sym_comment,
      sym_block_comment,
  [705842] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23623), 1,
      anon_sym_RBRACK,
    STATE(17958), 2,
      sym_comment,
      sym_block_comment,
  [705856] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23633), 1,
      anon_sym_COLON,
    STATE(17959), 2,
      sym_comment,
      sym_block_comment,
  [705870] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10272), 1,
      anon_sym_DOT,
    STATE(17960), 2,
      sym_comment,
      sym_block_comment,
  [705884] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23635), 1,
      anon_sym_else,
    STATE(17961), 2,
      sym_comment,
      sym_block_comment,
  [705898] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23637), 1,
      anon_sym_do,
    STATE(17962), 2,
      sym_comment,
      sym_block_comment,
  [705912] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23639), 1,
      anon_sym_else,
    STATE(17963), 2,
      sym_comment,
      sym_block_comment,
  [705926] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23641), 1,
      sym__outdent,
    STATE(17964), 2,
      sym_comment,
      sym_block_comment,
  [705940] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23643), 1,
      anon_sym_RBRACE,
    STATE(17965), 2,
      sym_comment,
      sym_block_comment,
  [705954] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23645), 1,
      anon_sym_RBRACE,
    STATE(17966), 2,
      sym_comment,
      sym_block_comment,
  [705968] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23647), 1,
      anon_sym_else,
    STATE(17967), 2,
      sym_comment,
      sym_block_comment,
  [705982] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23649), 1,
      anon_sym_RBRACE,
    STATE(17968), 2,
      sym_comment,
      sym_block_comment,
  [705996] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23651), 1,
      anon_sym_else,
    STATE(17969), 2,
      sym_comment,
      sym_block_comment,
  [706010] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23653), 1,
      anon_sym_RBRACE,
    STATE(17970), 2,
      sym_comment,
      sym_block_comment,
  [706024] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23655), 1,
      sym__outdent,
    STATE(17971), 2,
      sym_comment,
      sym_block_comment,
  [706038] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23657), 1,
      anon_sym_else,
    STATE(17972), 2,
      sym_comment,
      sym_block_comment,
  [706052] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23659), 1,
      anon_sym_RBRACE,
    STATE(17973), 2,
      sym_comment,
      sym_block_comment,
  [706066] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23659), 1,
      anon_sym_RPAREN,
    STATE(17974), 2,
      sym_comment,
      sym_block_comment,
  [706080] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23661), 1,
      anon_sym_EQ_GT_GT,
    STATE(17975), 2,
      sym_comment,
      sym_block_comment,
  [706094] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23663), 1,
      sym__outdent,
    STATE(17976), 2,
      sym_comment,
      sym_block_comment,
  [706108] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23665), 1,
      anon_sym_EQ_GT_GT,
    STATE(17977), 2,
      sym_comment,
      sym_block_comment,
  [706122] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23667), 1,
      anon_sym_EQ_GT_GT,
    STATE(17978), 2,
      sym_comment,
      sym_block_comment,
  [706136] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23669), 1,
      anon_sym_EQ_GT_GT,
    STATE(17979), 2,
      sym_comment,
      sym_block_comment,
  [706150] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23643), 1,
      anon_sym_RBRACK,
    STATE(17980), 2,
      sym_comment,
      sym_block_comment,
  [706164] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23671), 1,
      anon_sym_RBRACE,
    STATE(17981), 2,
      sym_comment,
      sym_block_comment,
  [706178] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22929), 1,
      anon_sym_COLON,
    STATE(17982), 2,
      sym_comment,
      sym_block_comment,
  [706192] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9256), 1,
      anon_sym_DOT,
    STATE(17983), 2,
      sym_comment,
      sym_block_comment,
  [706206] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23673), 1,
      anon_sym_RPAREN,
    STATE(17984), 2,
      sym_comment,
      sym_block_comment,
  [706220] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23675), 1,
      sym__outdent,
    STATE(17985), 2,
      sym_comment,
      sym_block_comment,
  [706234] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23677), 1,
      anon_sym_do,
    STATE(17986), 2,
      sym_comment,
      sym_block_comment,
  [706248] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23679), 1,
      sym__outdent,
    STATE(17987), 2,
      sym_comment,
      sym_block_comment,
  [706262] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23681), 1,
      anon_sym_else,
    STATE(17988), 2,
      sym_comment,
      sym_block_comment,
  [706276] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23683), 1,
      anon_sym_RPAREN,
    STATE(17989), 2,
      sym_comment,
      sym_block_comment,
  [706290] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8636), 1,
      anon_sym_EQ_GT,
    STATE(17990), 2,
      sym_comment,
      sym_block_comment,
  [706304] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23685), 1,
      sym__outdent,
    STATE(17991), 2,
      sym_comment,
      sym_block_comment,
  [706318] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23687), 1,
      sym__outdent,
    STATE(17992), 2,
      sym_comment,
      sym_block_comment,
  [706332] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23689), 1,
      anon_sym_else,
    STATE(17993), 2,
      sym_comment,
      sym_block_comment,
  [706346] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23691), 1,
      anon_sym_else,
    STATE(17994), 2,
      sym_comment,
      sym_block_comment,
  [706360] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23693), 1,
      anon_sym_RBRACE,
    STATE(17995), 2,
      sym_comment,
      sym_block_comment,
  [706374] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23695), 1,
      anon_sym_RPAREN,
    STATE(17996), 2,
      sym_comment,
      sym_block_comment,
  [706388] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23697), 1,
      anon_sym_do,
    STATE(17997), 2,
      sym_comment,
      sym_block_comment,
  [706402] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23699), 1,
      anon_sym_EQ_GT_GT,
    STATE(17998), 2,
      sym_comment,
      sym_block_comment,
  [706416] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23701), 1,
      sym__outdent,
    STATE(17999), 2,
      sym_comment,
      sym_block_comment,
  [706430] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23703), 1,
      anon_sym_EQ_GT_GT,
    STATE(18000), 2,
      sym_comment,
      sym_block_comment,
  [706444] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23705), 1,
      anon_sym_EQ_GT_GT,
    STATE(18001), 2,
      sym_comment,
      sym_block_comment,
  [706458] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23707), 1,
      anon_sym_EQ_GT_GT,
    STATE(18002), 2,
      sym_comment,
      sym_block_comment,
  [706472] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23709), 1,
      anon_sym_RPAREN,
    STATE(18003), 2,
      sym_comment,
      sym_block_comment,
  [706486] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23711), 1,
      sym__outdent,
    STATE(18004), 2,
      sym_comment,
      sym_block_comment,
  [706500] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23713), 1,
      anon_sym_COLON,
    STATE(18005), 2,
      sym_comment,
      sym_block_comment,
  [706514] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9520), 1,
      anon_sym_DOT,
    STATE(18006), 2,
      sym_comment,
      sym_block_comment,
  [706528] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23715), 1,
      sym__outdent,
    STATE(18007), 2,
      sym_comment,
      sym_block_comment,
  [706542] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23717), 1,
      anon_sym_RBRACE,
    STATE(18008), 2,
      sym_comment,
      sym_block_comment,
  [706556] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23693), 1,
      anon_sym_RPAREN,
    STATE(18009), 2,
      sym_comment,
      sym_block_comment,
  [706570] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23719), 1,
      sym__outdent,
    STATE(18010), 2,
      sym_comment,
      sym_block_comment,
  [706584] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23721), 1,
      anon_sym_EQ,
    STATE(18011), 2,
      sym_comment,
      sym_block_comment,
  [706598] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23723), 1,
      anon_sym_else,
    STATE(18012), 2,
      sym_comment,
      sym_block_comment,
  [706612] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23725), 1,
      anon_sym_RBRACE,
    STATE(18013), 2,
      sym_comment,
      sym_block_comment,
  [706626] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23727), 1,
      anon_sym_RBRACE,
    STATE(18014), 2,
      sym_comment,
      sym_block_comment,
  [706640] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23729), 1,
      anon_sym_else,
    STATE(18015), 2,
      sym_comment,
      sym_block_comment,
  [706654] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23731), 1,
      anon_sym_RBRACE,
    STATE(18016), 2,
      sym_comment,
      sym_block_comment,
  [706668] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23733), 1,
      anon_sym_EQ_GT,
    STATE(18017), 2,
      sym_comment,
      sym_block_comment,
  [706682] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23735), 1,
      anon_sym_RBRACE,
    STATE(18018), 2,
      sym_comment,
      sym_block_comment,
  [706696] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23737), 1,
      anon_sym_RBRACE,
    STATE(18019), 2,
      sym_comment,
      sym_block_comment,
  [706710] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23739), 1,
      anon_sym_RPAREN,
    STATE(18020), 2,
      sym_comment,
      sym_block_comment,
  [706724] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23741), 1,
      anon_sym_EQ_GT_GT,
    STATE(18021), 2,
      sym_comment,
      sym_block_comment,
  [706738] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23743), 1,
      anon_sym_EQ_GT_GT,
    STATE(18022), 2,
      sym_comment,
      sym_block_comment,
  [706752] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23745), 1,
      anon_sym_EQ_GT_GT,
    STATE(18023), 2,
      sym_comment,
      sym_block_comment,
  [706766] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23747), 1,
      anon_sym_EQ_GT_GT,
    STATE(18024), 2,
      sym_comment,
      sym_block_comment,
  [706780] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23749), 1,
      anon_sym_EQ_GT_GT,
    STATE(18025), 2,
      sym_comment,
      sym_block_comment,
  [706794] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23751), 1,
      anon_sym_do,
    STATE(18026), 2,
      sym_comment,
      sym_block_comment,
  [706808] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23753), 1,
      anon_sym_do,
    STATE(18027), 2,
      sym_comment,
      sym_block_comment,
  [706822] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23755), 1,
      anon_sym_COLON,
    STATE(18028), 2,
      sym_comment,
      sym_block_comment,
  [706836] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11323), 1,
      anon_sym_DOT,
    STATE(18029), 2,
      sym_comment,
      sym_block_comment,
  [706850] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23757), 1,
      anon_sym_EQ_GT_GT,
    STATE(18030), 2,
      sym_comment,
      sym_block_comment,
  [706864] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23759), 1,
      anon_sym_RPAREN,
    STATE(18031), 2,
      sym_comment,
      sym_block_comment,
  [706878] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23761), 1,
      anon_sym_EQ_GT_GT,
    STATE(18032), 2,
      sym_comment,
      sym_block_comment,
  [706892] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23763), 1,
      anon_sym_RBRACE,
    STATE(18033), 2,
      sym_comment,
      sym_block_comment,
  [706906] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23765), 1,
      anon_sym_do,
    STATE(18034), 2,
      sym_comment,
      sym_block_comment,
  [706920] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23767), 1,
      anon_sym_RPAREN,
    STATE(18035), 2,
      sym_comment,
      sym_block_comment,
  [706934] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23769), 1,
      anon_sym_EQ_GT_GT,
    STATE(18036), 2,
      sym_comment,
      sym_block_comment,
  [706948] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23771), 1,
      anon_sym_EQ_GT_GT,
    STATE(18037), 2,
      sym_comment,
      sym_block_comment,
  [706962] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23773), 1,
      sym__outdent,
    STATE(18038), 2,
      sym_comment,
      sym_block_comment,
  [706976] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23775), 1,
      sym__outdent,
    STATE(18039), 2,
      sym_comment,
      sym_block_comment,
  [706990] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23777), 1,
      anon_sym_RBRACE,
    STATE(18040), 2,
      sym_comment,
      sym_block_comment,
  [707004] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23777), 1,
      anon_sym_RPAREN,
    STATE(18041), 2,
      sym_comment,
      sym_block_comment,
  [707018] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23779), 1,
      anon_sym_EQ_GT,
    STATE(18042), 2,
      sym_comment,
      sym_block_comment,
  [707032] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23781), 1,
      anon_sym_RPAREN,
    STATE(18043), 2,
      sym_comment,
      sym_block_comment,
  [707046] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23783), 1,
      anon_sym_EQ_GT_GT,
    STATE(18044), 2,
      sym_comment,
      sym_block_comment,
  [707060] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23785), 1,
      sym__outdent,
    STATE(18045), 2,
      sym_comment,
      sym_block_comment,
  [707074] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23787), 1,
      anon_sym_EQ_GT_GT,
    STATE(18046), 2,
      sym_comment,
      sym_block_comment,
  [707088] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23789), 1,
      anon_sym_EQ_GT_GT,
    STATE(18047), 2,
      sym_comment,
      sym_block_comment,
  [707102] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23791), 1,
      anon_sym_EQ_GT_GT,
    STATE(18048), 2,
      sym_comment,
      sym_block_comment,
  [707116] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23793), 1,
      anon_sym_RPAREN,
    STATE(18049), 2,
      sym_comment,
      sym_block_comment,
  [707130] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23795), 1,
      sym__outdent,
    STATE(18050), 2,
      sym_comment,
      sym_block_comment,
  [707144] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23797), 1,
      anon_sym_COLON,
    STATE(18051), 2,
      sym_comment,
      sym_block_comment,
  [707158] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10931), 1,
      anon_sym_DOT,
    STATE(18052), 2,
      sym_comment,
      sym_block_comment,
  [707172] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23799), 1,
      sym__outdent,
    STATE(18053), 2,
      sym_comment,
      sym_block_comment,
  [707186] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23801), 1,
      sym__outdent,
    STATE(18054), 2,
      sym_comment,
      sym_block_comment,
  [707200] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23803), 1,
      anon_sym_do,
    STATE(18055), 2,
      sym_comment,
      sym_block_comment,
  [707214] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23805), 1,
      anon_sym_else,
    STATE(18056), 2,
      sym_comment,
      sym_block_comment,
  [707228] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23807), 1,
      anon_sym_RBRACE,
    STATE(18057), 2,
      sym_comment,
      sym_block_comment,
  [707242] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23671), 1,
      anon_sym_RPAREN,
    STATE(18058), 2,
      sym_comment,
      sym_block_comment,
  [707256] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23809), 1,
      anon_sym_RBRACE,
    STATE(18059), 2,
      sym_comment,
      sym_block_comment,
  [707270] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23811), 1,
      anon_sym_do,
    STATE(18060), 2,
      sym_comment,
      sym_block_comment,
  [707284] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23813), 1,
      anon_sym_COLON,
    STATE(18061), 2,
      sym_comment,
      sym_block_comment,
  [707298] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23815), 1,
      anon_sym_else,
    STATE(18062), 2,
      sym_comment,
      sym_block_comment,
  [707312] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13352), 1,
      anon_sym_DOT,
    STATE(18063), 2,
      sym_comment,
      sym_block_comment,
  [707326] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23817), 1,
      anon_sym_RPAREN,
    STATE(18064), 2,
      sym_comment,
      sym_block_comment,
  [707340] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23819), 1,
      anon_sym_RBRACE,
    STATE(18065), 2,
      sym_comment,
      sym_block_comment,
  [707354] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23821), 1,
      anon_sym_RPAREN,
    STATE(18066), 2,
      sym_comment,
      sym_block_comment,
  [707368] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23823), 1,
      anon_sym_EQ_GT_GT,
    STATE(18067), 2,
      sym_comment,
      sym_block_comment,
  [707382] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23825), 1,
      anon_sym_RPAREN,
    STATE(18068), 2,
      sym_comment,
      sym_block_comment,
  [707396] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23827), 1,
      anon_sym_EQ_GT_GT,
    STATE(18069), 2,
      sym_comment,
      sym_block_comment,
  [707410] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23829), 1,
      anon_sym_EQ_GT_GT,
    STATE(18070), 2,
      sym_comment,
      sym_block_comment,
  [707424] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23831), 1,
      anon_sym_EQ_GT_GT,
    STATE(18071), 2,
      sym_comment,
      sym_block_comment,
  [707438] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23833), 1,
      sym__outdent,
    STATE(18072), 2,
      sym_comment,
      sym_block_comment,
  [707452] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23835), 1,
      anon_sym_RBRACE,
    STATE(18073), 2,
      sym_comment,
      sym_block_comment,
  [707466] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23837), 1,
      anon_sym_COLON,
    STATE(18074), 2,
      sym_comment,
      sym_block_comment,
  [707480] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11400), 1,
      anon_sym_DOT,
    STATE(18075), 2,
      sym_comment,
      sym_block_comment,
  [707494] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23835), 1,
      anon_sym_RBRACK,
    STATE(18076), 2,
      sym_comment,
      sym_block_comment,
  [707508] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23839), 1,
      anon_sym_RPAREN,
    STATE(18077), 2,
      sym_comment,
      sym_block_comment,
  [707522] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23841), 1,
      anon_sym_EQ_GT_GT,
    STATE(18078), 2,
      sym_comment,
      sym_block_comment,
  [707536] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23843), 1,
      sym__outdent,
    STATE(18079), 2,
      sym_comment,
      sym_block_comment,
  [707550] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23845), 1,
      anon_sym_else,
    STATE(18080), 2,
      sym_comment,
      sym_block_comment,
  [707564] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23847), 1,
      sym__outdent,
    STATE(18081), 2,
      sym_comment,
      sym_block_comment,
  [707578] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23849), 1,
      sym__outdent,
    STATE(18082), 2,
      sym_comment,
      sym_block_comment,
  [707592] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23851), 1,
      sym__outdent,
    STATE(18083), 2,
      sym_comment,
      sym_block_comment,
  [707606] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23853), 1,
      anon_sym_RBRACE,
    STATE(18084), 2,
      sym_comment,
      sym_block_comment,
  [707620] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23853), 1,
      anon_sym_RPAREN,
    STATE(18085), 2,
      sym_comment,
      sym_block_comment,
  [707634] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23855), 1,
      sym__outdent,
    STATE(18086), 2,
      sym_comment,
      sym_block_comment,
  [707648] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23857), 1,
      anon_sym_do,
    STATE(18087), 2,
      sym_comment,
      sym_block_comment,
  [707662] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23859), 1,
      anon_sym_RPAREN,
    STATE(18088), 2,
      sym_comment,
      sym_block_comment,
  [707676] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23861), 1,
      anon_sym_RBRACE,
    STATE(18089), 2,
      sym_comment,
      sym_block_comment,
  [707690] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23863), 1,
      anon_sym_EQ_GT_GT,
    STATE(18090), 2,
      sym_comment,
      sym_block_comment,
  [707704] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23865), 1,
      anon_sym_do,
    STATE(18091), 2,
      sym_comment,
      sym_block_comment,
  [707718] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23867), 1,
      anon_sym_EQ_GT_GT,
    STATE(18092), 2,
      sym_comment,
      sym_block_comment,
  [707732] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23869), 1,
      anon_sym_EQ_GT_GT,
    STATE(18093), 2,
      sym_comment,
      sym_block_comment,
  [707746] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23871), 1,
      anon_sym_EQ_GT_GT,
    STATE(18094), 2,
      sym_comment,
      sym_block_comment,
  [707760] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23873), 1,
      anon_sym_RPAREN,
    STATE(18095), 2,
      sym_comment,
      sym_block_comment,
  [707774] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23875), 1,
      sym__outdent,
    STATE(18096), 2,
      sym_comment,
      sym_block_comment,
  [707788] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23877), 1,
      anon_sym_COLON,
    STATE(18097), 2,
      sym_comment,
      sym_block_comment,
  [707802] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10249), 1,
      anon_sym_DOT,
    STATE(18098), 2,
      sym_comment,
      sym_block_comment,
  [707816] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23861), 1,
      anon_sym_RBRACK,
    STATE(18099), 2,
      sym_comment,
      sym_block_comment,
  [707830] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23879), 1,
      anon_sym_RBRACE,
    STATE(18100), 2,
      sym_comment,
      sym_block_comment,
  [707844] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12785), 1,
      anon_sym_DOT,
    STATE(18101), 2,
      sym_comment,
      sym_block_comment,
  [707858] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23881), 1,
      sym__outdent,
    STATE(18102), 2,
      sym_comment,
      sym_block_comment,
  [707872] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23883), 1,
      anon_sym_RBRACE,
    STATE(18103), 2,
      sym_comment,
      sym_block_comment,
  [707886] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23883), 1,
      anon_sym_RBRACK,
    STATE(18104), 2,
      sym_comment,
      sym_block_comment,
  [707900] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23885), 1,
      anon_sym_RBRACE,
    STATE(18105), 2,
      sym_comment,
      sym_block_comment,
  [707914] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23887), 1,
      anon_sym_RBRACE,
    STATE(18106), 2,
      sym_comment,
      sym_block_comment,
  [707928] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23887), 1,
      anon_sym_RPAREN,
    STATE(18107), 2,
      sym_comment,
      sym_block_comment,
  [707942] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23889), 1,
      anon_sym_else,
    STATE(18108), 2,
      sym_comment,
      sym_block_comment,
  [707956] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23891), 1,
      anon_sym_RBRACE,
    STATE(18109), 2,
      sym_comment,
      sym_block_comment,
  [707970] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23893), 1,
      anon_sym_RBRACE,
    STATE(18110), 2,
      sym_comment,
      sym_block_comment,
  [707984] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23895), 1,
      anon_sym_RPAREN,
    STATE(18111), 2,
      sym_comment,
      sym_block_comment,
  [707998] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23897), 1,
      sym__outdent,
    STATE(18112), 2,
      sym_comment,
      sym_block_comment,
  [708012] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23899), 1,
      anon_sym_EQ_GT_GT,
    STATE(18113), 2,
      sym_comment,
      sym_block_comment,
  [708026] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23901), 1,
      anon_sym_RBRACE,
    STATE(18114), 2,
      sym_comment,
      sym_block_comment,
  [708040] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23903), 1,
      anon_sym_EQ_GT_GT,
    STATE(18115), 2,
      sym_comment,
      sym_block_comment,
  [708054] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23905), 1,
      anon_sym_EQ_GT_GT,
    STATE(18116), 2,
      sym_comment,
      sym_block_comment,
  [708068] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23907), 1,
      anon_sym_EQ_GT_GT,
    STATE(18117), 2,
      sym_comment,
      sym_block_comment,
  [708082] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23893), 1,
      anon_sym_RPAREN,
    STATE(18118), 2,
      sym_comment,
      sym_block_comment,
  [708096] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23909), 1,
      anon_sym_RPAREN,
    STATE(18119), 2,
      sym_comment,
      sym_block_comment,
  [708110] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23911), 1,
      anon_sym_COLON,
    STATE(18120), 2,
      sym_comment,
      sym_block_comment,
  [708124] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11056), 1,
      anon_sym_DOT,
    STATE(18121), 2,
      sym_comment,
      sym_block_comment,
  [708138] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23891), 1,
      anon_sym_RPAREN,
    STATE(18122), 2,
      sym_comment,
      sym_block_comment,
  [708152] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23913), 1,
      anon_sym_RPAREN,
    STATE(18123), 2,
      sym_comment,
      sym_block_comment,
  [708166] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23915), 1,
      anon_sym_RBRACE,
    STATE(18124), 2,
      sym_comment,
      sym_block_comment,
  [708180] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23917), 1,
      anon_sym_RBRACE,
    STATE(18125), 2,
      sym_comment,
      sym_block_comment,
  [708194] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23919), 1,
      sym__outdent,
    STATE(18126), 2,
      sym_comment,
      sym_block_comment,
  [708208] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23921), 1,
      anon_sym_else,
    STATE(18127), 2,
      sym_comment,
      sym_block_comment,
  [708222] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23923), 1,
      anon_sym_EQ_GT_GT,
    STATE(18128), 2,
      sym_comment,
      sym_block_comment,
  [708236] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23925), 1,
      sym__outdent,
    STATE(18129), 2,
      sym_comment,
      sym_block_comment,
  [708250] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23927), 1,
      sym__outdent,
    STATE(18130), 2,
      sym_comment,
      sym_block_comment,
  [708264] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23929), 1,
      anon_sym_RPAREN,
    STATE(18131), 2,
      sym_comment,
      sym_block_comment,
  [708278] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23931), 1,
      sym__outdent,
    STATE(18132), 2,
      sym_comment,
      sym_block_comment,
  [708292] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12922), 1,
      anon_sym_EQ_GT,
    STATE(18133), 2,
      sym_comment,
      sym_block_comment,
  [708306] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23885), 1,
      anon_sym_RPAREN,
    STATE(18134), 2,
      sym_comment,
      sym_block_comment,
  [708320] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23933), 1,
      anon_sym_EQ_GT_GT,
    STATE(18135), 2,
      sym_comment,
      sym_block_comment,
  [708334] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23935), 1,
      anon_sym_EQ_GT_GT,
    STATE(18136), 2,
      sym_comment,
      sym_block_comment,
  [708348] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23937), 1,
      anon_sym_EQ_GT_GT,
    STATE(18137), 2,
      sym_comment,
      sym_block_comment,
  [708362] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23939), 1,
      anon_sym_EQ_GT_GT,
    STATE(18138), 2,
      sym_comment,
      sym_block_comment,
  [708376] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23941), 1,
      anon_sym_RBRACE,
    STATE(18139), 2,
      sym_comment,
      sym_block_comment,
  [708390] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23943), 1,
      anon_sym_RBRACE,
    STATE(18140), 2,
      sym_comment,
      sym_block_comment,
  [708404] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23945), 1,
      anon_sym_COLON,
    STATE(18141), 2,
      sym_comment,
      sym_block_comment,
  [708418] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11139), 1,
      anon_sym_DOT,
    STATE(18142), 2,
      sym_comment,
      sym_block_comment,
  [708432] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23947), 1,
      anon_sym_else,
    STATE(18143), 2,
      sym_comment,
      sym_block_comment,
  [708446] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23941), 1,
      anon_sym_RBRACK,
    STATE(18144), 2,
      sym_comment,
      sym_block_comment,
  [708460] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23949), 1,
      anon_sym_RPAREN,
    STATE(18145), 2,
      sym_comment,
      sym_block_comment,
  [708474] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23951), 1,
      anon_sym_RPAREN,
    STATE(18146), 2,
      sym_comment,
      sym_block_comment,
  [708488] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23953), 1,
      anon_sym_RBRACE,
    STATE(18147), 2,
      sym_comment,
      sym_block_comment,
  [708502] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23955), 1,
      anon_sym_else,
    STATE(18148), 2,
      sym_comment,
      sym_block_comment,
  [708516] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23953), 1,
      anon_sym_RBRACK,
    STATE(18149), 2,
      sym_comment,
      sym_block_comment,
  [708530] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23957), 1,
      sym__outdent,
    STATE(18150), 2,
      sym_comment,
      sym_block_comment,
  [708544] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23959), 1,
      anon_sym_RPAREN,
    STATE(18151), 2,
      sym_comment,
      sym_block_comment,
  [708558] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23961), 1,
      anon_sym_EQ_GT,
    STATE(18152), 2,
      sym_comment,
      sym_block_comment,
  [708572] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23963), 1,
      sym__outdent,
    STATE(18153), 2,
      sym_comment,
      sym_block_comment,
  [708586] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23965), 1,
      anon_sym_RBRACE,
    STATE(18154), 2,
      sym_comment,
      sym_block_comment,
  [708600] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23967), 1,
      sym__outdent,
    STATE(18155), 2,
      sym_comment,
      sym_block_comment,
  [708614] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23969), 1,
      anon_sym_do,
    STATE(18156), 2,
      sym_comment,
      sym_block_comment,
  [708628] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23971), 1,
      anon_sym_EQ_GT_GT,
    STATE(18157), 2,
      sym_comment,
      sym_block_comment,
  [708642] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23973), 1,
      anon_sym_EQ_GT_GT,
    STATE(18158), 2,
      sym_comment,
      sym_block_comment,
  [708656] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23975), 1,
      anon_sym_EQ_GT_GT,
    STATE(18159), 2,
      sym_comment,
      sym_block_comment,
  [708670] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23977), 1,
      anon_sym_EQ_GT_GT,
    STATE(18160), 2,
      sym_comment,
      sym_block_comment,
  [708684] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23965), 1,
      anon_sym_RPAREN,
    STATE(18161), 2,
      sym_comment,
      sym_block_comment,
  [708698] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23979), 1,
      anon_sym_RBRACE,
    STATE(18162), 2,
      sym_comment,
      sym_block_comment,
  [708712] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23981), 1,
      anon_sym_COLON,
    STATE(18163), 2,
      sym_comment,
      sym_block_comment,
  [708726] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11428), 1,
      anon_sym_DOT,
    STATE(18164), 2,
      sym_comment,
      sym_block_comment,
  [708740] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23983), 1,
      anon_sym_RBRACK,
    STATE(18165), 2,
      sym_comment,
      sym_block_comment,
  [708754] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23985), 1,
      anon_sym_RPAREN,
    STATE(18166), 2,
      sym_comment,
      sym_block_comment,
  [708768] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23987), 1,
      anon_sym_RBRACE,
    STATE(18167), 2,
      sym_comment,
      sym_block_comment,
  [708782] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23989), 1,
      sym__outdent,
    STATE(18168), 2,
      sym_comment,
      sym_block_comment,
  [708796] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23991), 1,
      sym__outdent,
    STATE(18169), 2,
      sym_comment,
      sym_block_comment,
  [708810] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23993), 1,
      anon_sym_RPAREN,
    STATE(18170), 2,
      sym_comment,
      sym_block_comment,
  [708824] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23995), 1,
      anon_sym_do,
    STATE(18171), 2,
      sym_comment,
      sym_block_comment,
  [708838] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23997), 1,
      sym__outdent,
    STATE(18172), 2,
      sym_comment,
      sym_block_comment,
  [708852] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23999), 1,
      anon_sym_RBRACE,
    STATE(18173), 2,
      sym_comment,
      sym_block_comment,
  [708866] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23999), 1,
      anon_sym_RPAREN,
    STATE(18174), 2,
      sym_comment,
      sym_block_comment,
  [708880] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24001), 1,
      anon_sym_EQ_GT,
    STATE(18175), 2,
      sym_comment,
      sym_block_comment,
  [708894] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12025), 1,
      anon_sym_EQ_GT,
    STATE(18176), 2,
      sym_comment,
      sym_block_comment,
  [708908] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24003), 1,
      anon_sym_RPAREN,
    STATE(18177), 2,
      sym_comment,
      sym_block_comment,
  [708922] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24005), 1,
      anon_sym_RPAREN,
    STATE(18178), 2,
      sym_comment,
      sym_block_comment,
  [708936] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24007), 1,
      anon_sym_EQ_GT_GT,
    STATE(18179), 2,
      sym_comment,
      sym_block_comment,
  [708950] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24009), 1,
      anon_sym_EQ_GT_GT,
    STATE(18180), 2,
      sym_comment,
      sym_block_comment,
  [708964] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24011), 1,
      anon_sym_EQ_GT_GT,
    STATE(18181), 2,
      sym_comment,
      sym_block_comment,
  [708978] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24013), 1,
      anon_sym_EQ_GT_GT,
    STATE(18182), 2,
      sym_comment,
      sym_block_comment,
  [708992] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24015), 1,
      sym__outdent,
    STATE(18183), 2,
      sym_comment,
      sym_block_comment,
  [709006] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24017), 1,
      anon_sym_RBRACE,
    STATE(18184), 2,
      sym_comment,
      sym_block_comment,
  [709020] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24019), 1,
      anon_sym_COLON,
    STATE(18185), 2,
      sym_comment,
      sym_block_comment,
  [709034] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11736), 1,
      anon_sym_DOT,
    STATE(18186), 2,
      sym_comment,
      sym_block_comment,
  [709048] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24021), 1,
      sym__outdent,
    STATE(18187), 2,
      sym_comment,
      sym_block_comment,
  [709062] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24023), 1,
      anon_sym_EQ_GT_GT,
    STATE(18188), 2,
      sym_comment,
      sym_block_comment,
  [709076] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8354), 1,
      anon_sym_type,
    STATE(18189), 2,
      sym_comment,
      sym_block_comment,
  [709090] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24025), 1,
      anon_sym_else,
    STATE(18190), 2,
      sym_comment,
      sym_block_comment,
  [709104] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24027), 1,
      anon_sym_EQ_GT_GT,
    STATE(18191), 2,
      sym_comment,
      sym_block_comment,
  [709118] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24029), 1,
      anon_sym_COLON,
    STATE(18192), 2,
      sym_comment,
      sym_block_comment,
  [709132] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24031), 1,
      anon_sym_else,
    STATE(18193), 2,
      sym_comment,
      sym_block_comment,
  [709146] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24033), 1,
      anon_sym_else,
    STATE(18194), 2,
      sym_comment,
      sym_block_comment,
  [709160] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24035), 1,
      ts_builtin_sym_end,
    STATE(18195), 2,
      sym_comment,
      sym_block_comment,
  [709174] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24037), 1,
      anon_sym_RPAREN,
    STATE(18196), 2,
      sym_comment,
      sym_block_comment,
  [709188] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24039), 1,
      anon_sym_EQ_GT_GT,
    STATE(18197), 2,
      sym_comment,
      sym_block_comment,
  [709202] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24041), 1,
      anon_sym_RPAREN,
    STATE(18198), 2,
      sym_comment,
      sym_block_comment,
  [709216] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24043), 1,
      sym__outdent,
    STATE(18199), 2,
      sym_comment,
      sym_block_comment,
  [709230] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24045), 1,
      anon_sym_RBRACE,
    STATE(18200), 2,
      sym_comment,
      sym_block_comment,
  [709244] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24047), 1,
      anon_sym_EQ_GT_GT,
    STATE(18201), 2,
      sym_comment,
      sym_block_comment,
  [709258] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24049), 1,
      anon_sym_EQ_GT_GT,
    STATE(18202), 2,
      sym_comment,
      sym_block_comment,
  [709272] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24051), 1,
      anon_sym_EQ_GT_GT,
    STATE(18203), 2,
      sym_comment,
      sym_block_comment,
  [709286] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24053), 1,
      anon_sym_EQ_GT_GT,
    STATE(18204), 2,
      sym_comment,
      sym_block_comment,
  [709300] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24055), 1,
      anon_sym_EQ_GT_GT,
    STATE(18205), 2,
      sym_comment,
      sym_block_comment,
  [709314] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24057), 1,
      sym__outdent,
    STATE(18206), 2,
      sym_comment,
      sym_block_comment,
  [709328] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24059), 1,
      anon_sym_COLON,
    STATE(18207), 2,
      sym_comment,
      sym_block_comment,
  [709342] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12351), 1,
      anon_sym_DOT,
    STATE(18208), 2,
      sym_comment,
      sym_block_comment,
  [709356] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24061), 1,
      anon_sym_EQ_GT_GT,
    STATE(18209), 2,
      sym_comment,
      sym_block_comment,
  [709370] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24063), 1,
      anon_sym_RBRACE,
    STATE(18210), 2,
      sym_comment,
      sym_block_comment,
  [709384] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12497), 1,
      anon_sym_DOT,
    STATE(18211), 2,
      sym_comment,
      sym_block_comment,
  [709398] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24065), 1,
      anon_sym_RPAREN,
    STATE(18212), 2,
      sym_comment,
      sym_block_comment,
  [709412] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24067), 1,
      anon_sym_else,
    STATE(18213), 2,
      sym_comment,
      sym_block_comment,
  [709426] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24069), 1,
      sym__outdent,
    STATE(18214), 2,
      sym_comment,
      sym_block_comment,
  [709440] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24071), 1,
      anon_sym_else,
    STATE(18215), 2,
      sym_comment,
      sym_block_comment,
  [709454] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24073), 1,
      sym__outdent,
    STATE(18216), 2,
      sym_comment,
      sym_block_comment,
  [709468] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24075), 1,
      anon_sym_RPAREN,
    STATE(18217), 2,
      sym_comment,
      sym_block_comment,
  [709482] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24077), 1,
      anon_sym_RPAREN,
    STATE(18218), 2,
      sym_comment,
      sym_block_comment,
  [709496] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24079), 1,
      sym__outdent,
    STATE(18219), 2,
      sym_comment,
      sym_block_comment,
  [709510] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24081), 1,
      sym__outdent,
    STATE(18220), 2,
      sym_comment,
      sym_block_comment,
  [709524] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24083), 1,
      anon_sym_RBRACE,
    STATE(18221), 2,
      sym_comment,
      sym_block_comment,
  [709538] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24085), 1,
      anon_sym_RBRACE,
    STATE(18222), 2,
      sym_comment,
      sym_block_comment,
  [709552] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24087), 1,
      anon_sym_EQ_GT_GT,
    STATE(18223), 2,
      sym_comment,
      sym_block_comment,
  [709566] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24089), 1,
      anon_sym_EQ_GT_GT,
    STATE(18224), 2,
      sym_comment,
      sym_block_comment,
  [709580] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24091), 1,
      anon_sym_EQ_GT_GT,
    STATE(18225), 2,
      sym_comment,
      sym_block_comment,
  [709594] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24093), 1,
      anon_sym_EQ_GT_GT,
    STATE(18226), 2,
      sym_comment,
      sym_block_comment,
  [709608] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24095), 1,
      anon_sym_do,
    STATE(18227), 2,
      sym_comment,
      sym_block_comment,
  [709622] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24097), 1,
      anon_sym_RPAREN,
    STATE(18228), 2,
      sym_comment,
      sym_block_comment,
  [709636] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24099), 1,
      anon_sym_COLON,
    STATE(18229), 2,
      sym_comment,
      sym_block_comment,
  [709650] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11500), 1,
      anon_sym_DOT,
    STATE(18230), 2,
      sym_comment,
      sym_block_comment,
  [709664] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24101), 1,
      anon_sym_RPAREN,
    STATE(18231), 2,
      sym_comment,
      sym_block_comment,
  [709678] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17874), 1,
      anon_sym_COLON,
    STATE(18232), 2,
      sym_comment,
      sym_block_comment,
  [709692] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24103), 1,
      anon_sym_RBRACE,
    STATE(18233), 2,
      sym_comment,
      sym_block_comment,
  [709706] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24105), 1,
      anon_sym_LPAREN,
    STATE(18234), 2,
      sym_comment,
      sym_block_comment,
  [709720] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24107), 1,
      anon_sym_else,
    STATE(18235), 2,
      sym_comment,
      sym_block_comment,
  [709734] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24083), 1,
      anon_sym_RPAREN,
    STATE(18236), 2,
      sym_comment,
      sym_block_comment,
  [709748] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24109), 1,
      anon_sym_else,
    STATE(18237), 2,
      sym_comment,
      sym_block_comment,
  [709762] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11981), 1,
      anon_sym_DOT,
    STATE(18238), 2,
      sym_comment,
      sym_block_comment,
  [709776] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24111), 1,
      anon_sym_RBRACE,
    STATE(18239), 2,
      sym_comment,
      sym_block_comment,
  [709790] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24111), 1,
      anon_sym_RPAREN,
    STATE(18240), 2,
      sym_comment,
      sym_block_comment,
  [709804] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24113), 1,
      anon_sym_RBRACE,
    STATE(18241), 2,
      sym_comment,
      sym_block_comment,
  [709818] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24115), 1,
      sym__outdent,
    STATE(18242), 2,
      sym_comment,
      sym_block_comment,
  [709832] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24117), 1,
      anon_sym_RBRACE,
    STATE(18243), 2,
      sym_comment,
      sym_block_comment,
  [709846] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24119), 1,
      anon_sym_RPAREN,
    STATE(18244), 2,
      sym_comment,
      sym_block_comment,
  [709860] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24121), 1,
      anon_sym_EQ_GT_GT,
    STATE(18245), 2,
      sym_comment,
      sym_block_comment,
  [709874] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24123), 1,
      anon_sym_EQ_GT_GT,
    STATE(18246), 2,
      sym_comment,
      sym_block_comment,
  [709888] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24125), 1,
      anon_sym_EQ_GT_GT,
    STATE(18247), 2,
      sym_comment,
      sym_block_comment,
  [709902] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24127), 1,
      anon_sym_EQ_GT_GT,
    STATE(18248), 2,
      sym_comment,
      sym_block_comment,
  [709916] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24129), 1,
      sym__outdent,
    STATE(18249), 2,
      sym_comment,
      sym_block_comment,
  [709930] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24131), 1,
      anon_sym_RBRACE,
    STATE(18250), 2,
      sym_comment,
      sym_block_comment,
  [709944] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24133), 1,
      anon_sym_COLON,
    STATE(18251), 2,
      sym_comment,
      sym_block_comment,
  [709958] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13071), 1,
      anon_sym_DOT,
    STATE(18252), 2,
      sym_comment,
      sym_block_comment,
  [709972] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24135), 1,
      anon_sym_RPAREN,
    STATE(18253), 2,
      sym_comment,
      sym_block_comment,
  [709986] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24137), 1,
      sym__outdent,
    STATE(18254), 2,
      sym_comment,
      sym_block_comment,
  [710000] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24139), 1,
      sym__outdent,
    STATE(18255), 2,
      sym_comment,
      sym_block_comment,
  [710014] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24141), 1,
      anon_sym_RBRACE,
    STATE(18256), 2,
      sym_comment,
      sym_block_comment,
  [710028] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24143), 1,
      anon_sym_RPAREN,
    STATE(18257), 2,
      sym_comment,
      sym_block_comment,
  [710042] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24145), 1,
      sym__outdent,
    STATE(18258), 2,
      sym_comment,
      sym_block_comment,
  [710056] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24147), 1,
      anon_sym_else,
    STATE(18259), 2,
      sym_comment,
      sym_block_comment,
  [710070] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11865), 1,
      anon_sym_EQ_GT,
    STATE(18260), 2,
      sym_comment,
      sym_block_comment,
  [710084] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24149), 1,
      anon_sym_do,
    STATE(18261), 2,
      sym_comment,
      sym_block_comment,
  [710098] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24151), 1,
      anon_sym_EQ_GT_GT,
    STATE(18262), 2,
      sym_comment,
      sym_block_comment,
  [710112] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24153), 1,
      anon_sym_RPAREN,
    STATE(18263), 2,
      sym_comment,
      sym_block_comment,
  [710126] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24155), 1,
      sym__outdent,
    STATE(18264), 2,
      sym_comment,
      sym_block_comment,
  [710140] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24157), 1,
      anon_sym_EQ_GT_GT,
    STATE(18265), 2,
      sym_comment,
      sym_block_comment,
  [710154] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24159), 1,
      anon_sym_else,
    STATE(18266), 2,
      sym_comment,
      sym_block_comment,
  [710168] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24161), 1,
      anon_sym_EQ_GT_GT,
    STATE(18267), 2,
      sym_comment,
      sym_block_comment,
  [710182] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24163), 1,
      anon_sym_EQ_GT_GT,
    STATE(18268), 2,
      sym_comment,
      sym_block_comment,
  [710196] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24165), 1,
      anon_sym_EQ_GT_GT,
    STATE(18269), 2,
      sym_comment,
      sym_block_comment,
  [710210] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24167), 1,
      anon_sym_EQ_GT_GT,
    STATE(18270), 2,
      sym_comment,
      sym_block_comment,
  [710224] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24169), 1,
      anon_sym_RBRACE,
    STATE(18271), 2,
      sym_comment,
      sym_block_comment,
  [710238] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24171), 1,
      anon_sym_RPAREN,
    STATE(18272), 2,
      sym_comment,
      sym_block_comment,
  [710252] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24173), 1,
      anon_sym_COLON,
    STATE(18273), 2,
      sym_comment,
      sym_block_comment,
  [710266] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12645), 1,
      anon_sym_DOT,
    STATE(18274), 2,
      sym_comment,
      sym_block_comment,
  [710280] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24175), 1,
      anon_sym_else,
    STATE(18275), 2,
      sym_comment,
      sym_block_comment,
  [710294] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24169), 1,
      anon_sym_RBRACK,
    STATE(18276), 2,
      sym_comment,
      sym_block_comment,
  [710308] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24177), 1,
      sym__outdent,
    STATE(18277), 2,
      sym_comment,
      sym_block_comment,
  [710322] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24179), 1,
      anon_sym_do,
    STATE(18278), 2,
      sym_comment,
      sym_block_comment,
  [710336] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24181), 1,
      anon_sym_EQ_GT_GT,
    STATE(18279), 2,
      sym_comment,
      sym_block_comment,
  [710350] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24183), 1,
      anon_sym_RBRACE,
    STATE(18280), 2,
      sym_comment,
      sym_block_comment,
  [710364] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11908), 1,
      anon_sym_EQ_GT,
    STATE(18281), 2,
      sym_comment,
      sym_block_comment,
  [710378] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24185), 1,
      anon_sym_do,
    STATE(18282), 2,
      sym_comment,
      sym_block_comment,
  [710392] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24187), 1,
      anon_sym_RPAREN,
    STATE(18283), 2,
      sym_comment,
      sym_block_comment,
  [710406] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16282), 1,
      anon_sym_type,
    STATE(18284), 2,
      sym_comment,
      sym_block_comment,
  [710420] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24189), 1,
      anon_sym_do,
    STATE(18285), 2,
      sym_comment,
      sym_block_comment,
  [710434] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24191), 1,
      sym__outdent,
    STATE(18286), 2,
      sym_comment,
      sym_block_comment,
  [710448] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24193), 1,
      sym__outdent,
    STATE(18287), 2,
      sym_comment,
      sym_block_comment,
  [710462] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24195), 1,
      anon_sym_EQ_GT_GT,
    STATE(18288), 2,
      sym_comment,
      sym_block_comment,
  [710476] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24197), 1,
      anon_sym_EQ_GT_GT,
    STATE(18289), 2,
      sym_comment,
      sym_block_comment,
  [710490] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24199), 1,
      anon_sym_EQ_GT_GT,
    STATE(18290), 2,
      sym_comment,
      sym_block_comment,
  [710504] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24201), 1,
      anon_sym_EQ_GT_GT,
    STATE(18291), 2,
      sym_comment,
      sym_block_comment,
  [710518] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23979), 1,
      anon_sym_RPAREN,
    STATE(18292), 2,
      sym_comment,
      sym_block_comment,
  [710532] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24203), 1,
      anon_sym_RBRACE,
    STATE(18293), 2,
      sym_comment,
      sym_block_comment,
  [710546] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24205), 1,
      anon_sym_COLON,
    STATE(18294), 2,
      sym_comment,
      sym_block_comment,
  [710560] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9457), 1,
      anon_sym_DOT,
    STATE(18295), 2,
      sym_comment,
      sym_block_comment,
  [710574] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24207), 1,
      anon_sym_RBRACE,
    STATE(18296), 2,
      sym_comment,
      sym_block_comment,
  [710588] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24209), 1,
      anon_sym_RBRACE,
    STATE(18297), 2,
      sym_comment,
      sym_block_comment,
  [710602] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24211), 1,
      sym__outdent,
    STATE(18298), 2,
      sym_comment,
      sym_block_comment,
  [710616] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24213), 1,
      anon_sym_RBRACE,
    STATE(18299), 2,
      sym_comment,
      sym_block_comment,
  [710630] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24203), 1,
      anon_sym_RPAREN,
    STATE(18300), 2,
      sym_comment,
      sym_block_comment,
  [710644] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24215), 1,
      anon_sym_EQ,
    STATE(18301), 2,
      sym_comment,
      sym_block_comment,
  [710658] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24217), 1,
      anon_sym_EQ_GT_GT,
    STATE(18302), 2,
      sym_comment,
      sym_block_comment,
  [710672] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24219), 1,
      anon_sym_RBRACE,
    STATE(18303), 2,
      sym_comment,
      sym_block_comment,
  [710686] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8284), 1,
      anon_sym_type,
    STATE(18304), 2,
      sym_comment,
      sym_block_comment,
  [710700] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24219), 1,
      anon_sym_RPAREN,
    STATE(18305), 2,
      sym_comment,
      sym_block_comment,
  [710714] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24221), 1,
      anon_sym_RBRACE,
    STATE(18306), 2,
      sym_comment,
      sym_block_comment,
  [710728] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24223), 1,
      sym__outdent,
    STATE(18307), 2,
      sym_comment,
      sym_block_comment,
  [710742] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24225), 1,
      anon_sym_EQ_GT,
    STATE(18308), 2,
      sym_comment,
      sym_block_comment,
  [710756] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24227), 1,
      anon_sym_EQ_GT_GT,
    STATE(18309), 2,
      sym_comment,
      sym_block_comment,
  [710770] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24229), 1,
      anon_sym_EQ_GT_GT,
    STATE(18310), 2,
      sym_comment,
      sym_block_comment,
  [710784] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24231), 1,
      anon_sym_EQ_GT_GT,
    STATE(18311), 2,
      sym_comment,
      sym_block_comment,
  [710798] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24233), 1,
      anon_sym_EQ_GT_GT,
    STATE(18312), 2,
      sym_comment,
      sym_block_comment,
  [710812] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24235), 1,
      anon_sym_RBRACE,
    STATE(18313), 2,
      sym_comment,
      sym_block_comment,
  [710826] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24237), 1,
      anon_sym_RPAREN,
    STATE(18314), 2,
      sym_comment,
      sym_block_comment,
  [710840] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24239), 1,
      anon_sym_COLON,
    STATE(18315), 2,
      sym_comment,
      sym_block_comment,
  [710854] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9436), 1,
      anon_sym_DOT,
    STATE(18316), 2,
      sym_comment,
      sym_block_comment,
  [710868] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24241), 1,
      sym__outdent,
    STATE(18317), 2,
      sym_comment,
      sym_block_comment,
  [710882] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24243), 1,
      anon_sym_RBRACE,
    STATE(18318), 2,
      sym_comment,
      sym_block_comment,
  [710896] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24245), 1,
      anon_sym_RBRACE,
    STATE(18319), 2,
      sym_comment,
      sym_block_comment,
  [710910] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24245), 1,
      anon_sym_RPAREN,
    STATE(18320), 2,
      sym_comment,
      sym_block_comment,
  [710924] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24247), 1,
      anon_sym_RPAREN,
    STATE(18321), 2,
      sym_comment,
      sym_block_comment,
  [710938] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24249), 1,
      anon_sym_RBRACE,
    STATE(18322), 2,
      sym_comment,
      sym_block_comment,
  [710952] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24141), 1,
      anon_sym_RBRACK,
    STATE(18323), 2,
      sym_comment,
      sym_block_comment,
  [710966] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24251), 1,
      sym__outdent,
    STATE(18324), 2,
      sym_comment,
      sym_block_comment,
  [710980] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24253), 1,
      anon_sym_else,
    STATE(18325), 2,
      sym_comment,
      sym_block_comment,
  [710994] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24243), 1,
      anon_sym_RBRACK,
    STATE(18326), 2,
      sym_comment,
      sym_block_comment,
  [711008] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24255), 1,
      anon_sym_RBRACE,
    STATE(18327), 2,
      sym_comment,
      sym_block_comment,
  [711022] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24257), 1,
      anon_sym_RBRACE,
    STATE(18328), 2,
      sym_comment,
      sym_block_comment,
  [711036] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24259), 1,
      anon_sym_RPAREN,
    STATE(18329), 2,
      sym_comment,
      sym_block_comment,
  [711050] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24261), 1,
      anon_sym_EQ_GT_GT,
    STATE(18330), 2,
      sym_comment,
      sym_block_comment,
  [711064] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24263), 1,
      anon_sym_EQ_GT_GT,
    STATE(18331), 2,
      sym_comment,
      sym_block_comment,
  [711078] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24265), 1,
      anon_sym_EQ_GT_GT,
    STATE(18332), 2,
      sym_comment,
      sym_block_comment,
  [711092] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24267), 1,
      anon_sym_EQ_GT_GT,
    STATE(18333), 2,
      sym_comment,
      sym_block_comment,
  [711106] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24269), 1,
      sym__outdent,
    STATE(18334), 2,
      sym_comment,
      sym_block_comment,
  [711120] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10044), 1,
      anon_sym_EQ_GT,
    STATE(18335), 2,
      sym_comment,
      sym_block_comment,
  [711134] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24271), 1,
      anon_sym_COLON,
    STATE(18336), 2,
      sym_comment,
      sym_block_comment,
  [711148] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10064), 1,
      anon_sym_DOT,
    STATE(18337), 2,
      sym_comment,
      sym_block_comment,
  [711162] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24255), 1,
      anon_sym_RBRACK,
    STATE(18338), 2,
      sym_comment,
      sym_block_comment,
  [711176] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10054), 1,
      anon_sym_EQ_GT,
    STATE(18339), 2,
      sym_comment,
      sym_block_comment,
  [711190] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24273), 1,
      anon_sym_RBRACE,
    STATE(18340), 2,
      sym_comment,
      sym_block_comment,
  [711204] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24275), 1,
      anon_sym_then,
    STATE(18341), 2,
      sym_comment,
      sym_block_comment,
  [711218] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24273), 1,
      anon_sym_RBRACK,
    STATE(18342), 2,
      sym_comment,
      sym_block_comment,
  [711232] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10077), 1,
      anon_sym_EQ_GT,
    STATE(18343), 2,
      sym_comment,
      sym_block_comment,
  [711246] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24277), 1,
      anon_sym_RBRACE,
    STATE(18344), 2,
      sym_comment,
      sym_block_comment,
  [711260] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24279), 1,
      anon_sym_else,
    STATE(18345), 2,
      sym_comment,
      sym_block_comment,
  [711274] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10081), 1,
      anon_sym_EQ_GT,
    STATE(18346), 2,
      sym_comment,
      sym_block_comment,
  [711288] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24257), 1,
      anon_sym_RPAREN,
    STATE(18347), 2,
      sym_comment,
      sym_block_comment,
  [711302] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24249), 1,
      anon_sym_RPAREN,
    STATE(18348), 2,
      sym_comment,
      sym_block_comment,
  [711316] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24281), 1,
      anon_sym_RPAREN,
    STATE(18349), 2,
      sym_comment,
      sym_block_comment,
  [711330] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24283), 1,
      anon_sym_else,
    STATE(18350), 2,
      sym_comment,
      sym_block_comment,
  [711344] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24285), 1,
      anon_sym_EQ_GT_GT,
    STATE(18351), 2,
      sym_comment,
      sym_block_comment,
  [711358] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24287), 1,
      anon_sym_EQ_GT_GT,
    STATE(18352), 2,
      sym_comment,
      sym_block_comment,
  [711372] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24289), 1,
      anon_sym_EQ_GT_GT,
    STATE(18353), 2,
      sym_comment,
      sym_block_comment,
  [711386] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24291), 1,
      anon_sym_EQ_GT_GT,
    STATE(18354), 2,
      sym_comment,
      sym_block_comment,
  [711400] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10091), 1,
      anon_sym_EQ_GT,
    STATE(18355), 2,
      sym_comment,
      sym_block_comment,
  [711414] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24293), 1,
      anon_sym_RPAREN,
    STATE(18356), 2,
      sym_comment,
      sym_block_comment,
  [711428] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24295), 1,
      anon_sym_COLON,
    STATE(18357), 2,
      sym_comment,
      sym_block_comment,
  [711442] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9455), 1,
      anon_sym_DOT,
    STATE(18358), 2,
      sym_comment,
      sym_block_comment,
  [711456] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24297), 1,
      anon_sym_RBRACE,
    STATE(18359), 2,
      sym_comment,
      sym_block_comment,
  [711470] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24299), 1,
      anon_sym_else,
    STATE(18360), 2,
      sym_comment,
      sym_block_comment,
  [711484] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24301), 1,
      sym__outdent,
    STATE(18361), 2,
      sym_comment,
      sym_block_comment,
  [711498] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24303), 1,
      anon_sym_do,
    STATE(18362), 2,
      sym_comment,
      sym_block_comment,
  [711512] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24305), 1,
      sym__outdent,
    STATE(18363), 2,
      sym_comment,
      sym_block_comment,
  [711526] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24307), 1,
      anon_sym_EQ_GT,
    STATE(18364), 2,
      sym_comment,
      sym_block_comment,
  [711540] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24309), 1,
      sym__outdent,
    STATE(18365), 2,
      sym_comment,
      sym_block_comment,
  [711554] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24311), 1,
      anon_sym_RBRACE,
    STATE(18366), 2,
      sym_comment,
      sym_block_comment,
  [711568] = 4,
    ACTIONS(19401), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(19407), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24313), 1,
      sym_using_directive_key,
    STATE(18367), 2,
      sym_comment,
      sym_block_comment,
  [711582] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24315), 1,
      anon_sym_RPAREN,
    STATE(18368), 2,
      sym_comment,
      sym_block_comment,
  [711596] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24317), 1,
      anon_sym_RPAREN,
    STATE(18369), 2,
      sym_comment,
      sym_block_comment,
  [711610] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24319), 1,
      anon_sym_RPAREN,
    STATE(18370), 2,
      sym_comment,
      sym_block_comment,
  [711624] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24321), 1,
      sym__outdent,
    STATE(18371), 2,
      sym_comment,
      sym_block_comment,
  [711638] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24323), 1,
      anon_sym_EQ_GT_GT,
    STATE(18372), 2,
      sym_comment,
      sym_block_comment,
  [711652] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24325), 1,
      anon_sym_EQ_GT_GT,
    STATE(18373), 2,
      sym_comment,
      sym_block_comment,
  [711666] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24327), 1,
      anon_sym_EQ_GT_GT,
    STATE(18374), 2,
      sym_comment,
      sym_block_comment,
  [711680] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24329), 1,
      anon_sym_EQ_GT_GT,
    STATE(18375), 2,
      sym_comment,
      sym_block_comment,
  [711694] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24331), 1,
      anon_sym_RBRACE,
    STATE(18376), 2,
      sym_comment,
      sym_block_comment,
  [711708] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24331), 1,
      anon_sym_RPAREN,
    STATE(18377), 2,
      sym_comment,
      sym_block_comment,
  [711722] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10285), 1,
      anon_sym_DOT,
    STATE(18378), 2,
      sym_comment,
      sym_block_comment,
  [711736] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24277), 1,
      anon_sym_RBRACK,
    STATE(18379), 2,
      sym_comment,
      sym_block_comment,
  [711750] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24333), 1,
      sym__outdent,
    STATE(18380), 2,
      sym_comment,
      sym_block_comment,
  [711764] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24335), 1,
      anon_sym_RPAREN,
    STATE(18381), 2,
      sym_comment,
      sym_block_comment,
  [711778] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24337), 1,
      sym__outdent,
    STATE(18382), 2,
      sym_comment,
      sym_block_comment,
  [711792] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24339), 1,
      anon_sym_EQ_GT_GT,
    STATE(18383), 2,
      sym_comment,
      sym_block_comment,
  [711806] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24341), 1,
      anon_sym_RBRACE,
    STATE(18384), 2,
      sym_comment,
      sym_block_comment,
  [711820] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24343), 1,
      sym__outdent,
    STATE(18385), 2,
      sym_comment,
      sym_block_comment,
  [711834] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24345), 1,
      anon_sym_RBRACE,
    STATE(18386), 2,
      sym_comment,
      sym_block_comment,
  [711848] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24347), 1,
      anon_sym_RBRACE,
    STATE(18387), 2,
      sym_comment,
      sym_block_comment,
  [711862] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24341), 1,
      anon_sym_RBRACK,
    STATE(18388), 2,
      sym_comment,
      sym_block_comment,
  [711876] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24349), 1,
      anon_sym_else,
    STATE(18389), 2,
      sym_comment,
      sym_block_comment,
  [711890] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24351), 1,
      anon_sym_else,
    STATE(18390), 2,
      sym_comment,
      sym_block_comment,
  [711904] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24353), 1,
      anon_sym_EQ_GT_GT,
    STATE(18391), 2,
      sym_comment,
      sym_block_comment,
  [711918] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24355), 1,
      anon_sym_EQ_GT_GT,
    STATE(18392), 2,
      sym_comment,
      sym_block_comment,
  [711932] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24357), 1,
      anon_sym_EQ_GT_GT,
    STATE(18393), 2,
      sym_comment,
      sym_block_comment,
  [711946] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24359), 1,
      anon_sym_EQ_GT_GT,
    STATE(18394), 2,
      sym_comment,
      sym_block_comment,
  [711960] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24361), 1,
      anon_sym_RBRACE,
    STATE(18395), 2,
      sym_comment,
      sym_block_comment,
  [711974] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24347), 1,
      anon_sym_RPAREN,
    STATE(18396), 2,
      sym_comment,
      sym_block_comment,
  [711988] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9963), 1,
      anon_sym_DOT,
    STATE(18397), 2,
      sym_comment,
      sym_block_comment,
  [712002] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24345), 1,
      anon_sym_RBRACK,
    STATE(18398), 2,
      sym_comment,
      sym_block_comment,
  [712016] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24363), 1,
      anon_sym_RPAREN,
    STATE(18399), 2,
      sym_comment,
      sym_block_comment,
  [712030] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24365), 1,
      sym__outdent,
    STATE(18400), 2,
      sym_comment,
      sym_block_comment,
  [712044] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24367), 1,
      anon_sym_EQ_GT_GT,
    STATE(18401), 2,
      sym_comment,
      sym_block_comment,
  [712058] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24369), 1,
      anon_sym_EQ_GT_GT,
    STATE(18402), 2,
      sym_comment,
      sym_block_comment,
  [712072] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24371), 1,
      anon_sym_RBRACE,
    STATE(18403), 2,
      sym_comment,
      sym_block_comment,
  [712086] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24373), 1,
      anon_sym_RPAREN,
    STATE(18404), 2,
      sym_comment,
      sym_block_comment,
  [712100] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24375), 1,
      anon_sym_else,
    STATE(18405), 2,
      sym_comment,
      sym_block_comment,
  [712114] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24377), 1,
      sym__outdent,
    STATE(18406), 2,
      sym_comment,
      sym_block_comment,
  [712128] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24379), 1,
      anon_sym_EQ_GT_GT,
    STATE(18407), 2,
      sym_comment,
      sym_block_comment,
  [712142] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24381), 1,
      sym__outdent,
    STATE(18408), 2,
      sym_comment,
      sym_block_comment,
  [712156] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24383), 1,
      anon_sym_RBRACE,
    STATE(18409), 2,
      sym_comment,
      sym_block_comment,
  [712170] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24385), 1,
      anon_sym_RBRACE,
    STATE(18410), 2,
      sym_comment,
      sym_block_comment,
  [712184] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24387), 1,
      anon_sym_EQ_GT_GT,
    STATE(18411), 2,
      sym_comment,
      sym_block_comment,
  [712198] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24389), 1,
      anon_sym_EQ_GT_GT,
    STATE(18412), 2,
      sym_comment,
      sym_block_comment,
  [712212] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24391), 1,
      anon_sym_EQ_GT_GT,
    STATE(18413), 2,
      sym_comment,
      sym_block_comment,
  [712226] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24393), 1,
      anon_sym_EQ_GT_GT,
    STATE(18414), 2,
      sym_comment,
      sym_block_comment,
  [712240] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(667), 1,
      sym__outdent,
    STATE(18415), 2,
      sym_comment,
      sym_block_comment,
  [712254] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24395), 1,
      anon_sym_EQ_GT,
    STATE(18416), 2,
      sym_comment,
      sym_block_comment,
  [712268] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11614), 1,
      anon_sym_DOT,
    STATE(18417), 2,
      sym_comment,
      sym_block_comment,
  [712282] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24397), 1,
      anon_sym_RBRACE,
    STATE(18418), 2,
      sym_comment,
      sym_block_comment,
  [712296] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24399), 1,
      anon_sym_else,
    STATE(18419), 2,
      sym_comment,
      sym_block_comment,
  [712310] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24401), 1,
      anon_sym_else,
    STATE(18420), 2,
      sym_comment,
      sym_block_comment,
  [712324] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24403), 1,
      anon_sym_type,
    STATE(18421), 2,
      sym_comment,
      sym_block_comment,
  [712338] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24405), 1,
      anon_sym_LPAREN,
    STATE(18422), 2,
      sym_comment,
      sym_block_comment,
  [712352] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24407), 1,
      anon_sym_RBRACE,
    STATE(18423), 2,
      sym_comment,
      sym_block_comment,
  [712366] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24409), 1,
      anon_sym_RPAREN,
    STATE(18424), 2,
      sym_comment,
      sym_block_comment,
  [712380] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24411), 1,
      sym__outdent,
    STATE(18425), 2,
      sym_comment,
      sym_block_comment,
  [712394] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24413), 1,
      anon_sym_RBRACE,
    STATE(18426), 2,
      sym_comment,
      sym_block_comment,
  [712408] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24415), 1,
      anon_sym_else,
    STATE(18427), 2,
      sym_comment,
      sym_block_comment,
  [712422] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24413), 1,
      anon_sym_RBRACK,
    STATE(18428), 2,
      sym_comment,
      sym_block_comment,
  [712436] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16784), 1,
      anon_sym_DOT,
    STATE(18429), 2,
      sym_comment,
      sym_block_comment,
  [712450] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24417), 1,
      anon_sym_EQ_GT_GT,
    STATE(18430), 2,
      sym_comment,
      sym_block_comment,
  [712464] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24419), 1,
      anon_sym_EQ_GT_GT,
    STATE(18431), 2,
      sym_comment,
      sym_block_comment,
  [712478] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24421), 1,
      anon_sym_EQ_GT_GT,
    STATE(18432), 2,
      sym_comment,
      sym_block_comment,
  [712492] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24423), 1,
      anon_sym_EQ_GT_GT,
    STATE(18433), 2,
      sym_comment,
      sym_block_comment,
  [712506] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24425), 1,
      anon_sym_RBRACE,
    STATE(18434), 2,
      sym_comment,
      sym_block_comment,
  [712520] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24385), 1,
      anon_sym_RPAREN,
    STATE(18435), 2,
      sym_comment,
      sym_block_comment,
  [712534] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10669), 1,
      anon_sym_DOT,
    STATE(18436), 2,
      sym_comment,
      sym_block_comment,
  [712548] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24427), 1,
      anon_sym_COLON,
    STATE(18437), 2,
      sym_comment,
      sym_block_comment,
  [712562] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24429), 1,
      sym__outdent,
    STATE(18438), 2,
      sym_comment,
      sym_block_comment,
  [712576] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24431), 1,
      anon_sym_RPAREN,
    STATE(18439), 2,
      sym_comment,
      sym_block_comment,
  [712590] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24433), 1,
      anon_sym_RPAREN,
    STATE(18440), 2,
      sym_comment,
      sym_block_comment,
  [712604] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24435), 1,
      sym__outdent,
    STATE(18441), 2,
      sym_comment,
      sym_block_comment,
  [712618] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24437), 1,
      anon_sym_type,
    STATE(18442), 2,
      sym_comment,
      sym_block_comment,
  [712632] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24439), 1,
      anon_sym_RBRACE,
    STATE(18443), 2,
      sym_comment,
      sym_block_comment,
  [712646] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24425), 1,
      anon_sym_RBRACK,
    STATE(18444), 2,
      sym_comment,
      sym_block_comment,
  [712660] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9602), 1,
      anon_sym_DOT,
    STATE(18445), 2,
      sym_comment,
      sym_block_comment,
  [712674] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24441), 1,
      anon_sym_EQ_GT,
    STATE(18446), 2,
      sym_comment,
      sym_block_comment,
  [712688] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24443), 1,
      anon_sym_COLON,
    STATE(18447), 2,
      sym_comment,
      sym_block_comment,
  [712702] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24445), 1,
      anon_sym_RPAREN,
    STATE(18448), 2,
      sym_comment,
      sym_block_comment,
  [712716] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24447), 1,
      sym__outdent,
    STATE(18449), 2,
      sym_comment,
      sym_block_comment,
  [712730] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24449), 1,
      anon_sym_EQ_GT_GT,
    STATE(18450), 2,
      sym_comment,
      sym_block_comment,
  [712744] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24451), 1,
      anon_sym_EQ_GT_GT,
    STATE(18451), 2,
      sym_comment,
      sym_block_comment,
  [712758] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24453), 1,
      anon_sym_EQ_GT_GT,
    STATE(18452), 2,
      sym_comment,
      sym_block_comment,
  [712772] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24455), 1,
      anon_sym_EQ_GT_GT,
    STATE(18453), 2,
      sym_comment,
      sym_block_comment,
  [712786] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24457), 1,
      anon_sym_RBRACE,
    STATE(18454), 2,
      sym_comment,
      sym_block_comment,
  [712800] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24371), 1,
      anon_sym_RBRACK,
    STATE(18455), 2,
      sym_comment,
      sym_block_comment,
  [712814] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15849), 1,
      anon_sym_DOT,
    STATE(18456), 2,
      sym_comment,
      sym_block_comment,
  [712828] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24459), 1,
      anon_sym_RBRACE,
    STATE(18457), 2,
      sym_comment,
      sym_block_comment,
  [712842] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24461), 1,
      anon_sym_EQ_GT_GT,
    STATE(18458), 2,
      sym_comment,
      sym_block_comment,
  [712856] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24463), 1,
      anon_sym_RBRACE,
    STATE(18459), 2,
      sym_comment,
      sym_block_comment,
  [712870] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24465), 1,
      sym__outdent,
    STATE(18460), 2,
      sym_comment,
      sym_block_comment,
  [712884] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24467), 1,
      anon_sym_RPAREN,
    STATE(18461), 2,
      sym_comment,
      sym_block_comment,
  [712898] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24469), 1,
      anon_sym_RPAREN,
    STATE(18462), 2,
      sym_comment,
      sym_block_comment,
  [712912] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24471), 1,
      anon_sym_RBRACE,
    STATE(18463), 2,
      sym_comment,
      sym_block_comment,
  [712926] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24473), 1,
      sym__outdent,
    STATE(18464), 2,
      sym_comment,
      sym_block_comment,
  [712940] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16757), 1,
      anon_sym_DOT,
    STATE(18465), 2,
      sym_comment,
      sym_block_comment,
  [712954] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24475), 1,
      sym__outdent,
    STATE(18466), 2,
      sym_comment,
      sym_block_comment,
  [712968] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24477), 1,
      sym__outdent,
    STATE(18467), 2,
      sym_comment,
      sym_block_comment,
  [712982] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24479), 1,
      anon_sym_RBRACE,
    STATE(18468), 2,
      sym_comment,
      sym_block_comment,
  [712996] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24481), 1,
      anon_sym_EQ_GT_GT,
    STATE(18469), 2,
      sym_comment,
      sym_block_comment,
  [713010] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24483), 1,
      anon_sym_EQ_GT_GT,
    STATE(18470), 2,
      sym_comment,
      sym_block_comment,
  [713024] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24485), 1,
      anon_sym_EQ_GT_GT,
    STATE(18471), 2,
      sym_comment,
      sym_block_comment,
  [713038] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24487), 1,
      anon_sym_EQ_GT_GT,
    STATE(18472), 2,
      sym_comment,
      sym_block_comment,
  [713052] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24489), 1,
      anon_sym_EQ_GT_GT,
    STATE(18473), 2,
      sym_comment,
      sym_block_comment,
  [713066] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24491), 1,
      anon_sym_RPAREN,
    STATE(18474), 2,
      sym_comment,
      sym_block_comment,
  [713080] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24493), 1,
      sym__outdent,
    STATE(18475), 2,
      sym_comment,
      sym_block_comment,
  [713094] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13872), 1,
      anon_sym_DOT,
    STATE(18476), 2,
      sym_comment,
      sym_block_comment,
  [713108] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24495), 1,
      anon_sym_do,
    STATE(18477), 2,
      sym_comment,
      sym_block_comment,
  [713122] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24497), 1,
      anon_sym_EQ_GT,
    STATE(18478), 2,
      sym_comment,
      sym_block_comment,
  [713136] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24499), 1,
      sym__outdent,
    STATE(18479), 2,
      sym_comment,
      sym_block_comment,
  [713150] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24501), 1,
      anon_sym_do,
    STATE(18480), 2,
      sym_comment,
      sym_block_comment,
  [713164] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24503), 1,
      anon_sym_else,
    STATE(18481), 2,
      sym_comment,
      sym_block_comment,
  [713178] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24505), 1,
      anon_sym_RBRACE,
    STATE(18482), 2,
      sym_comment,
      sym_block_comment,
  [713192] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24507), 1,
      sym__outdent,
    STATE(18483), 2,
      sym_comment,
      sym_block_comment,
  [713206] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24509), 1,
      anon_sym_RBRACE,
    STATE(18484), 2,
      sym_comment,
      sym_block_comment,
  [713220] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24511), 1,
      anon_sym_RPAREN,
    STATE(18485), 2,
      sym_comment,
      sym_block_comment,
  [713234] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24513), 1,
      anon_sym_do,
    STATE(18486), 2,
      sym_comment,
      sym_block_comment,
  [713248] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24515), 1,
      anon_sym_RPAREN,
    STATE(18487), 2,
      sym_comment,
      sym_block_comment,
  [713262] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24517), 1,
      sym__outdent,
    STATE(18488), 2,
      sym_comment,
      sym_block_comment,
  [713276] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24519), 1,
      anon_sym_RPAREN,
    STATE(18489), 2,
      sym_comment,
      sym_block_comment,
  [713290] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24521), 1,
      anon_sym_EQ_GT_GT,
    STATE(18490), 2,
      sym_comment,
      sym_block_comment,
  [713304] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24523), 1,
      anon_sym_EQ_GT_GT,
    STATE(18491), 2,
      sym_comment,
      sym_block_comment,
  [713318] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24525), 1,
      anon_sym_EQ_GT_GT,
    STATE(18492), 2,
      sym_comment,
      sym_block_comment,
  [713332] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24527), 1,
      anon_sym_EQ_GT_GT,
    STATE(18493), 2,
      sym_comment,
      sym_block_comment,
  [713346] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24529), 1,
      anon_sym_EQ_GT,
    STATE(18494), 2,
      sym_comment,
      sym_block_comment,
  [713360] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24531), 1,
      anon_sym_do,
    STATE(18495), 2,
      sym_comment,
      sym_block_comment,
  [713374] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13900), 1,
      anon_sym_DOT,
    STATE(18496), 2,
      sym_comment,
      sym_block_comment,
  [713388] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24533), 1,
      anon_sym_RBRACE,
    STATE(18497), 2,
      sym_comment,
      sym_block_comment,
  [713402] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24535), 1,
      sym__outdent,
    STATE(18498), 2,
      sym_comment,
      sym_block_comment,
  [713416] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11915), 1,
      anon_sym_EQ_GT,
    STATE(18499), 2,
      sym_comment,
      sym_block_comment,
  [713430] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24537), 1,
      anon_sym_EQ_GT_GT,
    STATE(18500), 2,
      sym_comment,
      sym_block_comment,
  [713444] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24539), 1,
      anon_sym_RPAREN,
    STATE(18501), 2,
      sym_comment,
      sym_block_comment,
  [713458] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24541), 1,
      anon_sym_EQ_GT_GT,
    STATE(18502), 2,
      sym_comment,
      sym_block_comment,
  [713472] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24543), 1,
      anon_sym_RBRACE,
    STATE(18503), 2,
      sym_comment,
      sym_block_comment,
  [713486] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24545), 1,
      anon_sym_EQ_GT_GT,
    STATE(18504), 2,
      sym_comment,
      sym_block_comment,
  [713500] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24547), 1,
      anon_sym_RBRACE,
    STATE(18505), 2,
      sym_comment,
      sym_block_comment,
  [713514] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24549), 1,
      anon_sym_RBRACE,
    STATE(18506), 2,
      sym_comment,
      sym_block_comment,
  [713528] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24551), 1,
      anon_sym_RPAREN,
    STATE(18507), 2,
      sym_comment,
      sym_block_comment,
  [713542] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24553), 1,
      anon_sym_RBRACE,
    STATE(18508), 2,
      sym_comment,
      sym_block_comment,
  [713556] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24555), 1,
      sym__outdent,
    STATE(18509), 2,
      sym_comment,
      sym_block_comment,
  [713570] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24557), 1,
      anon_sym_EQ_GT_GT,
    STATE(18510), 2,
      sym_comment,
      sym_block_comment,
  [713584] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24559), 1,
      anon_sym_EQ_GT_GT,
    STATE(18511), 2,
      sym_comment,
      sym_block_comment,
  [713598] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24561), 1,
      anon_sym_EQ_GT_GT,
    STATE(18512), 2,
      sym_comment,
      sym_block_comment,
  [713612] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24563), 1,
      anon_sym_EQ_GT_GT,
    STATE(18513), 2,
      sym_comment,
      sym_block_comment,
  [713626] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24565), 1,
      anon_sym_RBRACE,
    STATE(18514), 2,
      sym_comment,
      sym_block_comment,
  [713640] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24567), 1,
      sym__outdent,
    STATE(18515), 2,
      sym_comment,
      sym_block_comment,
  [713654] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11651), 1,
      anon_sym_DOT,
    STATE(18516), 2,
      sym_comment,
      sym_block_comment,
  [713668] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24569), 1,
      anon_sym_RPAREN,
    STATE(18517), 2,
      sym_comment,
      sym_block_comment,
  [713682] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24571), 1,
      sym__outdent,
    STATE(18518), 2,
      sym_comment,
      sym_block_comment,
  [713696] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24297), 1,
      anon_sym_RBRACK,
    STATE(18519), 2,
      sym_comment,
      sym_block_comment,
  [713710] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24573), 1,
      anon_sym_do,
    STATE(18520), 2,
      sym_comment,
      sym_block_comment,
  [713724] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24575), 1,
      sym__outdent,
    STATE(18521), 2,
      sym_comment,
      sym_block_comment,
  [713738] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24577), 1,
      anon_sym_RPAREN,
    STATE(18522), 2,
      sym_comment,
      sym_block_comment,
  [713752] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24579), 1,
      anon_sym_RPAREN,
    STATE(18523), 2,
      sym_comment,
      sym_block_comment,
  [713766] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24581), 1,
      sym__outdent,
    STATE(18524), 2,
      sym_comment,
      sym_block_comment,
  [713780] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24583), 1,
      anon_sym_RBRACE,
    STATE(18525), 2,
      sym_comment,
      sym_block_comment,
  [713794] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24585), 1,
      anon_sym_RBRACE,
    STATE(18526), 2,
      sym_comment,
      sym_block_comment,
  [713808] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24587), 1,
      sym__outdent,
    STATE(18527), 2,
      sym_comment,
      sym_block_comment,
  [713822] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24589), 1,
      sym__outdent,
    STATE(18528), 2,
      sym_comment,
      sym_block_comment,
  [713836] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24591), 1,
      anon_sym_RPAREN,
    STATE(18529), 2,
      sym_comment,
      sym_block_comment,
  [713850] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24593), 1,
      anon_sym_EQ_GT_GT,
    STATE(18530), 2,
      sym_comment,
      sym_block_comment,
  [713864] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24595), 1,
      anon_sym_EQ_GT_GT,
    STATE(18531), 2,
      sym_comment,
      sym_block_comment,
  [713878] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24597), 1,
      anon_sym_EQ_GT_GT,
    STATE(18532), 2,
      sym_comment,
      sym_block_comment,
  [713892] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24599), 1,
      anon_sym_EQ_GT_GT,
    STATE(18533), 2,
      sym_comment,
      sym_block_comment,
  [713906] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10024), 1,
      anon_sym_DOT,
    STATE(18534), 2,
      sym_comment,
      sym_block_comment,
  [713920] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24601), 1,
      sym__outdent,
    STATE(18535), 2,
      sym_comment,
      sym_block_comment,
  [713934] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24603), 1,
      anon_sym_else,
    STATE(18536), 2,
      sym_comment,
      sym_block_comment,
  [713948] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24605), 1,
      anon_sym_RBRACE,
    STATE(18537), 2,
      sym_comment,
      sym_block_comment,
  [713962] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24607), 1,
      anon_sym_RBRACE,
    STATE(18538), 2,
      sym_comment,
      sym_block_comment,
  [713976] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24607), 1,
      anon_sym_RPAREN,
    STATE(18539), 2,
      sym_comment,
      sym_block_comment,
  [713990] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24609), 1,
      sym__outdent,
    STATE(18540), 2,
      sym_comment,
      sym_block_comment,
  [714004] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11919), 1,
      anon_sym_EQ_GT,
    STATE(18541), 2,
      sym_comment,
      sym_block_comment,
  [714018] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24611), 1,
      anon_sym_EQ_GT_GT,
    STATE(18542), 2,
      sym_comment,
      sym_block_comment,
  [714032] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24613), 1,
      anon_sym_EQ_GT_GT,
    STATE(18543), 2,
      sym_comment,
      sym_block_comment,
  [714046] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24615), 1,
      anon_sym_EQ_GT_GT,
    STATE(18544), 2,
      sym_comment,
      sym_block_comment,
  [714060] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24617), 1,
      anon_sym_EQ_GT_GT,
    STATE(18545), 2,
      sym_comment,
      sym_block_comment,
  [714074] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10448), 1,
      anon_sym_DOT,
    STATE(18546), 2,
      sym_comment,
      sym_block_comment,
  [714088] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24619), 1,
      anon_sym_RBRACE,
    STATE(18547), 2,
      sym_comment,
      sym_block_comment,
  [714102] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24619), 1,
      anon_sym_RBRACK,
    STATE(18548), 2,
      sym_comment,
      sym_block_comment,
  [714116] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24621), 1,
      anon_sym_RBRACE,
    STATE(18549), 2,
      sym_comment,
      sym_block_comment,
  [714130] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24621), 1,
      anon_sym_RBRACK,
    STATE(18550), 2,
      sym_comment,
      sym_block_comment,
  [714144] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24623), 1,
      anon_sym_RBRACE,
    STATE(18551), 2,
      sym_comment,
      sym_block_comment,
  [714158] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24625), 1,
      sym__outdent,
    STATE(18552), 2,
      sym_comment,
      sym_block_comment,
  [714172] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24627), 1,
      anon_sym_RBRACE,
    STATE(18553), 2,
      sym_comment,
      sym_block_comment,
  [714186] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24629), 1,
      anon_sym_EQ_GT_GT,
    STATE(18554), 2,
      sym_comment,
      sym_block_comment,
  [714200] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24631), 1,
      anon_sym_EQ_GT_GT,
    STATE(18555), 2,
      sym_comment,
      sym_block_comment,
  [714214] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24633), 1,
      anon_sym_EQ_GT_GT,
    STATE(18556), 2,
      sym_comment,
      sym_block_comment,
  [714228] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24635), 1,
      anon_sym_EQ_GT_GT,
    STATE(18557), 2,
      sym_comment,
      sym_block_comment,
  [714242] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11263), 1,
      anon_sym_DOT,
    STATE(18558), 2,
      sym_comment,
      sym_block_comment,
  [714256] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24637), 1,
      anon_sym_RBRACE,
    STATE(18559), 2,
      sym_comment,
      sym_block_comment,
  [714270] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24627), 1,
      anon_sym_RPAREN,
    STATE(18560), 2,
      sym_comment,
      sym_block_comment,
  [714284] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24639), 1,
      anon_sym_do,
    STATE(18561), 2,
      sym_comment,
      sym_block_comment,
  [714298] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24623), 1,
      anon_sym_RPAREN,
    STATE(18562), 2,
      sym_comment,
      sym_block_comment,
  [714312] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24641), 1,
      anon_sym_else,
    STATE(18563), 2,
      sym_comment,
      sym_block_comment,
  [714326] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24643), 1,
      anon_sym_EQ_GT_GT,
    STATE(18564), 2,
      sym_comment,
      sym_block_comment,
  [714340] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24645), 1,
      anon_sym_RPAREN,
    STATE(18565), 2,
      sym_comment,
      sym_block_comment,
  [714354] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24647), 1,
      anon_sym_EQ_GT_GT,
    STATE(18566), 2,
      sym_comment,
      sym_block_comment,
  [714368] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24649), 1,
      anon_sym_EQ_GT_GT,
    STATE(18567), 2,
      sym_comment,
      sym_block_comment,
  [714382] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24651), 1,
      anon_sym_EQ_GT_GT,
    STATE(18568), 2,
      sym_comment,
      sym_block_comment,
  [714396] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24653), 1,
      anon_sym_EQ_GT_GT,
    STATE(18569), 2,
      sym_comment,
      sym_block_comment,
  [714410] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10510), 1,
      anon_sym_DOT,
    STATE(18570), 2,
      sym_comment,
      sym_block_comment,
  [714424] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24655), 1,
      anon_sym_RPAREN,
    STATE(18571), 2,
      sym_comment,
      sym_block_comment,
  [714438] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24657), 1,
      anon_sym_RPAREN,
    STATE(18572), 2,
      sym_comment,
      sym_block_comment,
  [714452] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24659), 1,
      sym__outdent,
    STATE(18573), 2,
      sym_comment,
      sym_block_comment,
  [714466] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24661), 1,
      sym__outdent,
    STATE(18574), 2,
      sym_comment,
      sym_block_comment,
  [714480] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24663), 1,
      anon_sym_EQ_GT,
    STATE(18575), 2,
      sym_comment,
      sym_block_comment,
  [714494] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24665), 1,
      sym__outdent,
    STATE(18576), 2,
      sym_comment,
      sym_block_comment,
  [714508] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24667), 1,
      anon_sym_EQ_GT_GT,
    STATE(18577), 2,
      sym_comment,
      sym_block_comment,
  [714522] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24669), 1,
      anon_sym_EQ_GT_GT,
    STATE(18578), 2,
      sym_comment,
      sym_block_comment,
  [714536] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24671), 1,
      anon_sym_EQ_GT_GT,
    STATE(18579), 2,
      sym_comment,
      sym_block_comment,
  [714550] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24673), 1,
      anon_sym_EQ_GT_GT,
    STATE(18580), 2,
      sym_comment,
      sym_block_comment,
  [714564] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16594), 1,
      anon_sym_DOT,
    STATE(18581), 2,
      sym_comment,
      sym_block_comment,
  [714578] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24675), 1,
      anon_sym_EQ_GT_GT,
    STATE(18582), 2,
      sym_comment,
      sym_block_comment,
  [714592] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24677), 1,
      anon_sym_RPAREN,
    STATE(18583), 2,
      sym_comment,
      sym_block_comment,
  [714606] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24679), 1,
      sym__outdent,
    STATE(18584), 2,
      sym_comment,
      sym_block_comment,
  [714620] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24605), 1,
      anon_sym_RBRACK,
    STATE(18585), 2,
      sym_comment,
      sym_block_comment,
  [714634] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24681), 1,
      sym__outdent,
    STATE(18586), 2,
      sym_comment,
      sym_block_comment,
  [714648] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24683), 1,
      anon_sym_RPAREN,
    STATE(18587), 2,
      sym_comment,
      sym_block_comment,
  [714662] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24685), 1,
      anon_sym_EQ_GT_GT,
    STATE(18588), 2,
      sym_comment,
      sym_block_comment,
  [714676] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24687), 1,
      anon_sym_EQ_GT_GT,
    STATE(18589), 2,
      sym_comment,
      sym_block_comment,
  [714690] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24689), 1,
      anon_sym_EQ_GT_GT,
    STATE(18590), 2,
      sym_comment,
      sym_block_comment,
  [714704] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24691), 1,
      anon_sym_EQ_GT_GT,
    STATE(18591), 2,
      sym_comment,
      sym_block_comment,
  [714718] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10491), 1,
      anon_sym_DOT,
    STATE(18592), 2,
      sym_comment,
      sym_block_comment,
  [714732] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24693), 1,
      sym__outdent,
    STATE(18593), 2,
      sym_comment,
      sym_block_comment,
  [714746] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24695), 1,
      anon_sym_do,
    STATE(18594), 2,
      sym_comment,
      sym_block_comment,
  [714760] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24697), 1,
      anon_sym_RPAREN,
    STATE(18595), 2,
      sym_comment,
      sym_block_comment,
  [714774] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24699), 1,
      anon_sym_RPAREN,
    STATE(18596), 2,
      sym_comment,
      sym_block_comment,
  [714788] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24701), 1,
      anon_sym_EQ_GT_GT,
    STATE(18597), 2,
      sym_comment,
      sym_block_comment,
  [714802] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24703), 1,
      anon_sym_else,
    STATE(18598), 2,
      sym_comment,
      sym_block_comment,
  [714816] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24705), 1,
      anon_sym_EQ_GT_GT,
    STATE(18599), 2,
      sym_comment,
      sym_block_comment,
  [714830] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24707), 1,
      anon_sym_EQ_GT_GT,
    STATE(18600), 2,
      sym_comment,
      sym_block_comment,
  [714844] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24709), 1,
      anon_sym_EQ_GT_GT,
    STATE(18601), 2,
      sym_comment,
      sym_block_comment,
  [714858] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24711), 1,
      anon_sym_EQ_GT_GT,
    STATE(18602), 2,
      sym_comment,
      sym_block_comment,
  [714872] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11999), 1,
      anon_sym_DOT,
    STATE(18603), 2,
      sym_comment,
      sym_block_comment,
  [714886] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24713), 1,
      anon_sym_EQ_GT_GT,
    STATE(18604), 2,
      sym_comment,
      sym_block_comment,
  [714900] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24715), 1,
      anon_sym_EQ_GT_GT,
    STATE(18605), 2,
      sym_comment,
      sym_block_comment,
  [714914] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24717), 1,
      sym__outdent,
    STATE(18606), 2,
      sym_comment,
      sym_block_comment,
  [714928] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24719), 1,
      anon_sym_else,
    STATE(18607), 2,
      sym_comment,
      sym_block_comment,
  [714942] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24721), 1,
      anon_sym_RPAREN,
    STATE(18608), 2,
      sym_comment,
      sym_block_comment,
  [714956] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24723), 1,
      anon_sym_RPAREN,
    STATE(18609), 2,
      sym_comment,
      sym_block_comment,
  [714970] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24725), 1,
      anon_sym_EQ_GT_GT,
    STATE(18610), 2,
      sym_comment,
      sym_block_comment,
  [714984] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24727), 1,
      anon_sym_EQ_GT_GT,
    STATE(18611), 2,
      sym_comment,
      sym_block_comment,
  [714998] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24729), 1,
      anon_sym_EQ_GT_GT,
    STATE(18612), 2,
      sym_comment,
      sym_block_comment,
  [715012] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24731), 1,
      sym__outdent,
    STATE(18613), 2,
      sym_comment,
      sym_block_comment,
  [715026] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13461), 1,
      anon_sym_DOT,
    STATE(18614), 2,
      sym_comment,
      sym_block_comment,
  [715040] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24733), 1,
      anon_sym_RBRACE,
    STATE(18615), 2,
      sym_comment,
      sym_block_comment,
  [715054] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24735), 1,
      anon_sym_RPAREN,
    STATE(18616), 2,
      sym_comment,
      sym_block_comment,
  [715068] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24737), 1,
      anon_sym_RBRACE,
    STATE(18617), 2,
      sym_comment,
      sym_block_comment,
  [715082] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24739), 1,
      anon_sym_RBRACE,
    STATE(18618), 2,
      sym_comment,
      sym_block_comment,
  [715096] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24741), 1,
      sym__outdent,
    STATE(18619), 2,
      sym_comment,
      sym_block_comment,
  [715110] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24743), 1,
      anon_sym_RPAREN,
    STATE(18620), 2,
      sym_comment,
      sym_block_comment,
  [715124] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24745), 1,
      anon_sym_EQ_GT_GT,
    STATE(18621), 2,
      sym_comment,
      sym_block_comment,
  [715138] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24747), 1,
      anon_sym_EQ_GT_GT,
    STATE(18622), 2,
      sym_comment,
      sym_block_comment,
  [715152] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24749), 1,
      anon_sym_EQ_GT_GT,
    STATE(18623), 2,
      sym_comment,
      sym_block_comment,
  [715166] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24751), 1,
      anon_sym_EQ_GT_GT,
    STATE(18624), 2,
      sym_comment,
      sym_block_comment,
  [715180] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11773), 1,
      anon_sym_DOT,
    STATE(18625), 2,
      sym_comment,
      sym_block_comment,
  [715194] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24737), 1,
      anon_sym_RPAREN,
    STATE(18626), 2,
      sym_comment,
      sym_block_comment,
  [715208] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24753), 1,
      anon_sym_RPAREN,
    STATE(18627), 2,
      sym_comment,
      sym_block_comment,
  [715222] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24755), 1,
      anon_sym_RPAREN,
    STATE(18628), 2,
      sym_comment,
      sym_block_comment,
  [715236] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24757), 1,
      sym__outdent,
    STATE(18629), 2,
      sym_comment,
      sym_block_comment,
  [715250] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24759), 1,
      sym__outdent,
    STATE(18630), 2,
      sym_comment,
      sym_block_comment,
  [715264] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24761), 1,
      sym__outdent,
    STATE(18631), 2,
      sym_comment,
      sym_block_comment,
  [715278] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24763), 1,
      anon_sym_EQ_GT_GT,
    STATE(18632), 2,
      sym_comment,
      sym_block_comment,
  [715292] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24765), 1,
      anon_sym_EQ_GT_GT,
    STATE(18633), 2,
      sym_comment,
      sym_block_comment,
  [715306] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24767), 1,
      anon_sym_EQ_GT_GT,
    STATE(18634), 2,
      sym_comment,
      sym_block_comment,
  [715320] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24769), 1,
      anon_sym_EQ_GT_GT,
    STATE(18635), 2,
      sym_comment,
      sym_block_comment,
  [715334] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9017), 1,
      anon_sym_DOT,
    STATE(18636), 2,
      sym_comment,
      sym_block_comment,
  [715348] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24771), 1,
      anon_sym_RBRACE,
    STATE(18637), 2,
      sym_comment,
      sym_block_comment,
  [715362] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24739), 1,
      anon_sym_RPAREN,
    STATE(18638), 2,
      sym_comment,
      sym_block_comment,
  [715376] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24773), 1,
      sym__outdent,
    STATE(18639), 2,
      sym_comment,
      sym_block_comment,
  [715390] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12941), 1,
      anon_sym_EQ_GT,
    STATE(18640), 2,
      sym_comment,
      sym_block_comment,
  [715404] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24775), 1,
      anon_sym_RBRACE,
    STATE(18641), 2,
      sym_comment,
      sym_block_comment,
  [715418] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24777), 1,
      sym__outdent,
    STATE(18642), 2,
      sym_comment,
      sym_block_comment,
  [715432] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24779), 1,
      anon_sym_EQ_GT_GT,
    STATE(18643), 2,
      sym_comment,
      sym_block_comment,
  [715446] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24781), 1,
      anon_sym_EQ_GT_GT,
    STATE(18644), 2,
      sym_comment,
      sym_block_comment,
  [715460] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24783), 1,
      anon_sym_EQ_GT_GT,
    STATE(18645), 2,
      sym_comment,
      sym_block_comment,
  [715474] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24785), 1,
      anon_sym_EQ_GT_GT,
    STATE(18646), 2,
      sym_comment,
      sym_block_comment,
  [715488] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9841), 1,
      anon_sym_DOT,
    STATE(18647), 2,
      sym_comment,
      sym_block_comment,
  [715502] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24787), 1,
      anon_sym_RBRACE,
    STATE(18648), 2,
      sym_comment,
      sym_block_comment,
  [715516] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24789), 1,
      anon_sym_RPAREN,
    STATE(18649), 2,
      sym_comment,
      sym_block_comment,
  [715530] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24791), 1,
      sym__outdent,
    STATE(18650), 2,
      sym_comment,
      sym_block_comment,
  [715544] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24793), 1,
      anon_sym_RBRACE,
    STATE(18651), 2,
      sym_comment,
      sym_block_comment,
  [715558] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24795), 1,
      anon_sym_else,
    STATE(18652), 2,
      sym_comment,
      sym_block_comment,
  [715572] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24793), 1,
      anon_sym_RBRACK,
    STATE(18653), 2,
      sym_comment,
      sym_block_comment,
  [715586] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9391), 1,
      anon_sym_DOT,
    STATE(18654), 2,
      sym_comment,
      sym_block_comment,
  [715600] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24797), 1,
      anon_sym_RBRACE,
    STATE(18655), 2,
      sym_comment,
      sym_block_comment,
  [715614] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24799), 1,
      anon_sym_else,
    STATE(18656), 2,
      sym_comment,
      sym_block_comment,
  [715628] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24801), 1,
      anon_sym_COLON,
    STATE(18657), 2,
      sym_comment,
      sym_block_comment,
  [715642] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24797), 1,
      anon_sym_RBRACK,
    STATE(18658), 2,
      sym_comment,
      sym_block_comment,
  [715656] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17083), 1,
      anon_sym_DOT,
    STATE(18659), 2,
      sym_comment,
      sym_block_comment,
  [715670] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24803), 1,
      anon_sym_RBRACE,
    STATE(18660), 2,
      sym_comment,
      sym_block_comment,
  [715684] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9463), 1,
      anon_sym_DOT,
    STATE(18661), 2,
      sym_comment,
      sym_block_comment,
  [715698] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24805), 1,
      anon_sym_RPAREN,
    STATE(18662), 2,
      sym_comment,
      sym_block_comment,
  [715712] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24807), 1,
      anon_sym_RBRACE,
    STATE(18663), 2,
      sym_comment,
      sym_block_comment,
  [715726] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24809), 1,
      sym__outdent,
    STATE(18664), 2,
      sym_comment,
      sym_block_comment,
  [715740] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24811), 1,
      anon_sym_RPAREN,
    STATE(18665), 2,
      sym_comment,
      sym_block_comment,
  [715754] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24813), 1,
      anon_sym_RBRACE,
    STATE(18666), 2,
      sym_comment,
      sym_block_comment,
  [715768] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24815), 1,
      anon_sym_RPAREN,
    STATE(18667), 2,
      sym_comment,
      sym_block_comment,
  [715782] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10943), 1,
      anon_sym_DOT,
    STATE(18668), 2,
      sym_comment,
      sym_block_comment,
  [715796] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24817), 1,
      anon_sym_RBRACE,
    STATE(18669), 2,
      sym_comment,
      sym_block_comment,
  [715810] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24819), 1,
      sym__outdent,
    STATE(18670), 2,
      sym_comment,
      sym_block_comment,
  [715824] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24807), 1,
      anon_sym_RBRACK,
    STATE(18671), 2,
      sym_comment,
      sym_block_comment,
  [715838] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24821), 1,
      anon_sym_RPAREN,
    STATE(18672), 2,
      sym_comment,
      sym_block_comment,
  [715852] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24823), 1,
      anon_sym_RBRACE,
    STATE(18673), 2,
      sym_comment,
      sym_block_comment,
  [715866] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15990), 1,
      anon_sym_DOT,
    STATE(18674), 2,
      sym_comment,
      sym_block_comment,
  [715880] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24825), 1,
      anon_sym_EQ_GT_GT,
    STATE(18675), 2,
      sym_comment,
      sym_block_comment,
  [715894] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24803), 1,
      anon_sym_RPAREN,
    STATE(18676), 2,
      sym_comment,
      sym_block_comment,
  [715908] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24827), 1,
      anon_sym_RPAREN,
    STATE(18677), 2,
      sym_comment,
      sym_block_comment,
  [715922] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24829), 1,
      sym__outdent,
    STATE(18678), 2,
      sym_comment,
      sym_block_comment,
  [715936] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24831), 1,
      anon_sym_RPAREN,
    STATE(18679), 2,
      sym_comment,
      sym_block_comment,
  [715950] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10571), 1,
      anon_sym_DOT,
    STATE(18680), 2,
      sym_comment,
      sym_block_comment,
  [715964] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24833), 1,
      anon_sym_RPAREN,
    STATE(18681), 2,
      sym_comment,
      sym_block_comment,
  [715978] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24835), 1,
      anon_sym_RPAREN,
    STATE(18682), 2,
      sym_comment,
      sym_block_comment,
  [715992] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24837), 1,
      sym__outdent,
    STATE(18683), 2,
      sym_comment,
      sym_block_comment,
  [716006] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24839), 1,
      anon_sym_RPAREN,
    STATE(18684), 2,
      sym_comment,
      sym_block_comment,
  [716020] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24841), 1,
      sym__outdent,
    STATE(18685), 2,
      sym_comment,
      sym_block_comment,
  [716034] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10675), 1,
      anon_sym_DOT,
    STATE(18686), 2,
      sym_comment,
      sym_block_comment,
  [716048] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24843), 1,
      sym__outdent,
    STATE(18687), 2,
      sym_comment,
      sym_block_comment,
  [716062] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24845), 1,
      anon_sym_COLON,
    STATE(18688), 2,
      sym_comment,
      sym_block_comment,
  [716076] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24847), 1,
      sym__outdent,
    STATE(18689), 2,
      sym_comment,
      sym_block_comment,
  [716090] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24849), 1,
      anon_sym_RBRACE,
    STATE(18690), 2,
      sym_comment,
      sym_block_comment,
  [716104] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24851), 1,
      anon_sym_RPAREN,
    STATE(18691), 2,
      sym_comment,
      sym_block_comment,
  [716118] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10592), 1,
      anon_sym_DOT,
    STATE(18692), 2,
      sym_comment,
      sym_block_comment,
  [716132] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24849), 1,
      anon_sym_RBRACK,
    STATE(18693), 2,
      sym_comment,
      sym_block_comment,
  [716146] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24853), 1,
      sym__outdent,
    STATE(18694), 2,
      sym_comment,
      sym_block_comment,
  [716160] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24855), 1,
      anon_sym_RBRACE,
    STATE(18695), 2,
      sym_comment,
      sym_block_comment,
  [716174] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24857), 1,
      anon_sym_RBRACE,
    STATE(18696), 2,
      sym_comment,
      sym_block_comment,
  [716188] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24859), 1,
      anon_sym_do,
    STATE(18697), 2,
      sym_comment,
      sym_block_comment,
  [716202] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11720), 1,
      anon_sym_DOT,
    STATE(18698), 2,
      sym_comment,
      sym_block_comment,
  [716216] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24861), 1,
      anon_sym_RBRACE,
    STATE(18699), 2,
      sym_comment,
      sym_block_comment,
  [716230] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12943), 1,
      anon_sym_EQ_GT,
    STATE(18700), 2,
      sym_comment,
      sym_block_comment,
  [716244] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24863), 1,
      sym__outdent,
    STATE(18701), 2,
      sym_comment,
      sym_block_comment,
  [716258] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24865), 1,
      anon_sym_RBRACE,
    STATE(18702), 2,
      sym_comment,
      sym_block_comment,
  [716272] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24867), 1,
      sym__outdent,
    STATE(18703), 2,
      sym_comment,
      sym_block_comment,
  [716286] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10686), 1,
      anon_sym_DOT,
    STATE(18704), 2,
      sym_comment,
      sym_block_comment,
  [716300] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24869), 1,
      anon_sym_RBRACE,
    STATE(18705), 2,
      sym_comment,
      sym_block_comment,
  [716314] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24871), 1,
      anon_sym_else,
    STATE(18706), 2,
      sym_comment,
      sym_block_comment,
  [716328] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16226), 1,
      anon_sym_type,
    STATE(18707), 2,
      sym_comment,
      sym_block_comment,
  [716342] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24873), 1,
      anon_sym_RPAREN,
    STATE(18708), 2,
      sym_comment,
      sym_block_comment,
  [716356] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24875), 1,
      anon_sym_RBRACE,
    STATE(18709), 2,
      sym_comment,
      sym_block_comment,
  [716370] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15602), 1,
      anon_sym_DOT,
    STATE(18710), 2,
      sym_comment,
      sym_block_comment,
  [716384] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24877), 1,
      anon_sym_RPAREN,
    STATE(18711), 2,
      sym_comment,
      sym_block_comment,
  [716398] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24879), 1,
      sym__outdent,
    STATE(18712), 2,
      sym_comment,
      sym_block_comment,
  [716412] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24881), 1,
      anon_sym_do,
    STATE(18713), 2,
      sym_comment,
      sym_block_comment,
  [716426] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24135), 1,
      anon_sym_RBRACE,
    STATE(18714), 2,
      sym_comment,
      sym_block_comment,
  [716440] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24883), 1,
      anon_sym_else,
    STATE(18715), 2,
      sym_comment,
      sym_block_comment,
  [716454] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11874), 1,
      anon_sym_DOT,
    STATE(18716), 2,
      sym_comment,
      sym_block_comment,
  [716468] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24855), 1,
      anon_sym_RBRACK,
    STATE(18717), 2,
      sym_comment,
      sym_block_comment,
  [716482] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24885), 1,
      anon_sym_RPAREN,
    STATE(18718), 2,
      sym_comment,
      sym_block_comment,
  [716496] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24887), 1,
      sym__outdent,
    STATE(18719), 2,
      sym_comment,
      sym_block_comment,
  [716510] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24889), 1,
      sym__outdent,
    STATE(18720), 2,
      sym_comment,
      sym_block_comment,
  [716524] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24823), 1,
      anon_sym_RBRACK,
    STATE(18721), 2,
      sym_comment,
      sym_block_comment,
  [716538] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11213), 1,
      anon_sym_DOT,
    STATE(18722), 2,
      sym_comment,
      sym_block_comment,
  [716552] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24891), 1,
      anon_sym_RBRACE,
    STATE(18723), 2,
      sym_comment,
      sym_block_comment,
  [716566] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24893), 1,
      anon_sym_RBRACE,
    STATE(18724), 2,
      sym_comment,
      sym_block_comment,
  [716580] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24895), 1,
      sym__outdent,
    STATE(18725), 2,
      sym_comment,
      sym_block_comment,
  [716594] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24897), 1,
      anon_sym_else,
    STATE(18726), 2,
      sym_comment,
      sym_block_comment,
  [716608] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24899), 1,
      anon_sym_EQ,
    STATE(18727), 2,
      sym_comment,
      sym_block_comment,
  [716622] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12924), 1,
      anon_sym_DOT,
    STATE(18728), 2,
      sym_comment,
      sym_block_comment,
  [716636] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24901), 1,
      anon_sym_else,
    STATE(18729), 2,
      sym_comment,
      sym_block_comment,
  [716650] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24903), 1,
      anon_sym_do,
    STATE(18730), 2,
      sym_comment,
      sym_block_comment,
  [716664] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24905), 1,
      anon_sym_RPAREN,
    STATE(18731), 2,
      sym_comment,
      sym_block_comment,
  [716678] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24907), 1,
      sym__outdent,
    STATE(18732), 2,
      sym_comment,
      sym_block_comment,
  [716692] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24909), 1,
      anon_sym_else,
    STATE(18733), 2,
      sym_comment,
      sym_block_comment,
  [716706] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11904), 1,
      anon_sym_DOT,
    STATE(18734), 2,
      sym_comment,
      sym_block_comment,
  [716720] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24911), 1,
      anon_sym_else,
    STATE(18735), 2,
      sym_comment,
      sym_block_comment,
  [716734] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24913), 1,
      anon_sym_RBRACE,
    STATE(18736), 2,
      sym_comment,
      sym_block_comment,
  [716748] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11985), 1,
      anon_sym_EQ_GT,
    STATE(18737), 2,
      sym_comment,
      sym_block_comment,
  [716762] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24915), 1,
      anon_sym_else,
    STATE(18738), 2,
      sym_comment,
      sym_block_comment,
  [716776] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24917), 1,
      anon_sym_COLON,
    STATE(18739), 2,
      sym_comment,
      sym_block_comment,
  [716790] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13759), 1,
      anon_sym_DOT,
    STATE(18740), 2,
      sym_comment,
      sym_block_comment,
  [716804] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24919), 1,
      anon_sym_RBRACE,
    STATE(18741), 2,
      sym_comment,
      sym_block_comment,
  [716818] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24921), 1,
      anon_sym_RPAREN,
    STATE(18742), 2,
      sym_comment,
      sym_block_comment,
  [716832] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24923), 1,
      sym__outdent,
    STATE(18743), 2,
      sym_comment,
      sym_block_comment,
  [716846] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24925), 1,
      anon_sym_RBRACE,
    STATE(18744), 2,
      sym_comment,
      sym_block_comment,
  [716860] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24927), 1,
      anon_sym_RBRACE,
    STATE(18745), 2,
      sym_comment,
      sym_block_comment,
  [716874] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9582), 1,
      anon_sym_DOT,
    STATE(18746), 2,
      sym_comment,
      sym_block_comment,
  [716888] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8316), 1,
      anon_sym_DOT,
    STATE(18747), 2,
      sym_comment,
      sym_block_comment,
  [716902] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24929), 1,
      anon_sym_RBRACE,
    STATE(18748), 2,
      sym_comment,
      sym_block_comment,
  [716916] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24931), 1,
      anon_sym_RPAREN,
    STATE(18749), 2,
      sym_comment,
      sym_block_comment,
  [716930] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24933), 1,
      sym__outdent,
    STATE(18750), 2,
      sym_comment,
      sym_block_comment,
  [716944] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24935), 1,
      anon_sym_RPAREN,
    STATE(18751), 2,
      sym_comment,
      sym_block_comment,
  [716958] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9193), 1,
      anon_sym_DOT,
    STATE(18752), 2,
      sym_comment,
      sym_block_comment,
  [716972] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24937), 1,
      anon_sym_RBRACE,
    STATE(18753), 2,
      sym_comment,
      sym_block_comment,
  [716986] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24939), 1,
      anon_sym_RPAREN,
    STATE(18754), 2,
      sym_comment,
      sym_block_comment,
  [717000] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24941), 1,
      sym__outdent,
    STATE(18755), 2,
      sym_comment,
      sym_block_comment,
  [717014] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24943), 1,
      sym__outdent,
    STATE(18756), 2,
      sym_comment,
      sym_block_comment,
  [717028] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24945), 1,
      anon_sym_EQ_GT,
    STATE(18757), 2,
      sym_comment,
      sym_block_comment,
  [717042] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9612), 1,
      anon_sym_DOT,
    STATE(18758), 2,
      sym_comment,
      sym_block_comment,
  [717056] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11872), 1,
      anon_sym_EQ_GT,
    STATE(18759), 2,
      sym_comment,
      sym_block_comment,
  [717070] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24947), 1,
      sym__outdent,
    STATE(18760), 2,
      sym_comment,
      sym_block_comment,
  [717084] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24949), 1,
      anon_sym_LPAREN,
    STATE(18761), 2,
      sym_comment,
      sym_block_comment,
  [717098] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24951), 1,
      anon_sym_else,
    STATE(18762), 2,
      sym_comment,
      sym_block_comment,
  [717112] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24953), 1,
      anon_sym_do,
    STATE(18763), 2,
      sym_comment,
      sym_block_comment,
  [717126] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10440), 1,
      anon_sym_DOT,
    STATE(18764), 2,
      sym_comment,
      sym_block_comment,
  [717140] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24955), 1,
      anon_sym_RBRACE,
    STATE(18765), 2,
      sym_comment,
      sym_block_comment,
  [717154] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24957), 1,
      anon_sym_EQ_GT_GT,
    STATE(18766), 2,
      sym_comment,
      sym_block_comment,
  [717168] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24959), 1,
      anon_sym_RPAREN,
    STATE(18767), 2,
      sym_comment,
      sym_block_comment,
  [717182] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24961), 1,
      sym__outdent,
    STATE(18768), 2,
      sym_comment,
      sym_block_comment,
  [717196] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24955), 1,
      anon_sym_RPAREN,
    STATE(18769), 2,
      sym_comment,
      sym_block_comment,
  [717210] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9624), 1,
      anon_sym_DOT,
    STATE(18770), 2,
      sym_comment,
      sym_block_comment,
  [717224] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24963), 1,
      anon_sym_COLON,
    STATE(18771), 2,
      sym_comment,
      sym_block_comment,
  [717238] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24965), 1,
      sym__indent,
    STATE(18772), 2,
      sym_comment,
      sym_block_comment,
  [717252] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24929), 1,
      anon_sym_RBRACK,
    STATE(18773), 2,
      sym_comment,
      sym_block_comment,
  [717266] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24967), 1,
      anon_sym_RBRACE,
    STATE(18774), 2,
      sym_comment,
      sym_block_comment,
  [717280] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24967), 1,
      anon_sym_RBRACK,
    STATE(18775), 2,
      sym_comment,
      sym_block_comment,
  [717294] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13763), 1,
      anon_sym_DOT,
    STATE(18776), 2,
      sym_comment,
      sym_block_comment,
  [717308] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24969), 1,
      anon_sym_RBRACE,
    STATE(18777), 2,
      sym_comment,
      sym_block_comment,
  [717322] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24971), 1,
      anon_sym_COLON,
    STATE(18778), 2,
      sym_comment,
      sym_block_comment,
  [717336] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24973), 1,
      anon_sym_RPAREN,
    STATE(18779), 2,
      sym_comment,
      sym_block_comment,
  [717350] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24969), 1,
      anon_sym_RBRACK,
    STATE(18780), 2,
      sym_comment,
      sym_block_comment,
  [717364] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24975), 1,
      anon_sym_EQ_GT_GT,
    STATE(18781), 2,
      sym_comment,
      sym_block_comment,
  [717378] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11015), 1,
      anon_sym_DOT,
    STATE(18782), 2,
      sym_comment,
      sym_block_comment,
  [717392] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24977), 1,
      anon_sym_do,
    STATE(18783), 2,
      sym_comment,
      sym_block_comment,
  [717406] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24979), 1,
      anon_sym_RBRACE,
    STATE(18784), 2,
      sym_comment,
      sym_block_comment,
  [717420] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11950), 1,
      anon_sym_DOT,
    STATE(18785), 2,
      sym_comment,
      sym_block_comment,
  [717434] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24981), 1,
      anon_sym_RBRACE,
    STATE(18786), 2,
      sym_comment,
      sym_block_comment,
  [717448] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24983), 1,
      anon_sym_EQ_GT_GT,
    STATE(18787), 2,
      sym_comment,
      sym_block_comment,
  [717462] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16458), 1,
      anon_sym_DOT,
    STATE(18788), 2,
      sym_comment,
      sym_block_comment,
  [717476] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24985), 1,
      anon_sym_RPAREN,
    STATE(18789), 2,
      sym_comment,
      sym_block_comment,
  [717490] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24987), 1,
      anon_sym_RPAREN,
    STATE(18790), 2,
      sym_comment,
      sym_block_comment,
  [717504] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24989), 1,
      anon_sym_EQ_GT_GT,
    STATE(18791), 2,
      sym_comment,
      sym_block_comment,
  [717518] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24991), 1,
      anon_sym_RPAREN,
    STATE(18792), 2,
      sym_comment,
      sym_block_comment,
  [717532] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24993), 1,
      sym__outdent,
    STATE(18793), 2,
      sym_comment,
      sym_block_comment,
  [717546] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9729), 1,
      anon_sym_DOT,
    STATE(18794), 2,
      sym_comment,
      sym_block_comment,
  [717560] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24995), 1,
      anon_sym_RBRACE,
    STATE(18795), 2,
      sym_comment,
      sym_block_comment,
  [717574] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24997), 1,
      anon_sym_else,
    STATE(18796), 2,
      sym_comment,
      sym_block_comment,
  [717588] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24999), 1,
      anon_sym_RPAREN,
    STATE(18797), 2,
      sym_comment,
      sym_block_comment,
  [717602] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25001), 1,
      sym__outdent,
    STATE(18798), 2,
      sym_comment,
      sym_block_comment,
  [717616] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25003), 1,
      sym__outdent,
    STATE(18799), 2,
      sym_comment,
      sym_block_comment,
  [717630] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11125), 1,
      anon_sym_DOT,
    STATE(18800), 2,
      sym_comment,
      sym_block_comment,
  [717644] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25005), 1,
      sym__outdent,
    STATE(18801), 2,
      sym_comment,
      sym_block_comment,
  [717658] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8226), 1,
      anon_sym_type,
    STATE(18802), 2,
      sym_comment,
      sym_block_comment,
  [717672] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25007), 1,
      anon_sym_RBRACE,
    STATE(18803), 2,
      sym_comment,
      sym_block_comment,
  [717686] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25009), 1,
      anon_sym_RPAREN,
    STATE(18804), 2,
      sym_comment,
      sym_block_comment,
  [717700] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25007), 1,
      anon_sym_RPAREN,
    STATE(18805), 2,
      sym_comment,
      sym_block_comment,
  [717714] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16336), 1,
      anon_sym_DOT,
    STATE(18806), 2,
      sym_comment,
      sym_block_comment,
  [717728] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25011), 1,
      anon_sym_RPAREN,
    STATE(18807), 2,
      sym_comment,
      sym_block_comment,
  [717742] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25013), 1,
      sym__outdent,
    STATE(18808), 2,
      sym_comment,
      sym_block_comment,
  [717756] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25015), 1,
      sym__outdent,
    STATE(18809), 2,
      sym_comment,
      sym_block_comment,
  [717770] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25017), 1,
      anon_sym_COLON,
    STATE(18810), 2,
      sym_comment,
      sym_block_comment,
  [717784] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25019), 1,
      anon_sym_RBRACE,
    STATE(18811), 2,
      sym_comment,
      sym_block_comment,
  [717798] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10640), 1,
      anon_sym_DOT,
    STATE(18812), 2,
      sym_comment,
      sym_block_comment,
  [717812] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12361), 1,
      anon_sym_DOT,
    STATE(18813), 2,
      sym_comment,
      sym_block_comment,
  [717826] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25021), 1,
      anon_sym_RBRACE,
    STATE(18814), 2,
      sym_comment,
      sym_block_comment,
  [717840] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25023), 1,
      anon_sym_RBRACE,
    STATE(18815), 2,
      sym_comment,
      sym_block_comment,
  [717854] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25025), 1,
      anon_sym_else,
    STATE(18816), 2,
      sym_comment,
      sym_block_comment,
  [717868] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25027), 1,
      sym__outdent,
    STATE(18817), 2,
      sym_comment,
      sym_block_comment,
  [717882] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11381), 1,
      anon_sym_DOT,
    STATE(18818), 2,
      sym_comment,
      sym_block_comment,
  [717896] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25029), 1,
      anon_sym_else,
    STATE(18819), 2,
      sym_comment,
      sym_block_comment,
  [717910] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25031), 1,
      anon_sym_do,
    STATE(18820), 2,
      sym_comment,
      sym_block_comment,
  [717924] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13354), 1,
      anon_sym_DOT,
    STATE(18821), 2,
      sym_comment,
      sym_block_comment,
  [717938] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25021), 1,
      anon_sym_RPAREN,
    STATE(18822), 2,
      sym_comment,
      sym_block_comment,
  [717952] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25033), 1,
      anon_sym_RPAREN,
    STATE(18823), 2,
      sym_comment,
      sym_block_comment,
  [717966] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9189), 1,
      anon_sym_DOT,
    STATE(18824), 2,
      sym_comment,
      sym_block_comment,
  [717980] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25035), 1,
      sym__outdent,
    STATE(18825), 2,
      sym_comment,
      sym_block_comment,
  [717994] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25037), 1,
      anon_sym_RBRACE,
    STATE(18826), 2,
      sym_comment,
      sym_block_comment,
  [718008] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25039), 1,
      anon_sym_do,
    STATE(18827), 2,
      sym_comment,
      sym_block_comment,
  [718022] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25041), 1,
      anon_sym_RBRACE,
    STATE(18828), 2,
      sym_comment,
      sym_block_comment,
  [718036] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25043), 1,
      anon_sym_RBRACE,
    STATE(18829), 2,
      sym_comment,
      sym_block_comment,
  [718050] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12470), 1,
      anon_sym_DOT,
    STATE(18830), 2,
      sym_comment,
      sym_block_comment,
  [718064] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25045), 1,
      anon_sym_RPAREN,
    STATE(18831), 2,
      sym_comment,
      sym_block_comment,
  [718078] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25047), 1,
      sym__outdent,
    STATE(18832), 2,
      sym_comment,
      sym_block_comment,
  [718092] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25049), 1,
      sym__outdent,
    STATE(18833), 2,
      sym_comment,
      sym_block_comment,
  [718106] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25051), 1,
      anon_sym_RPAREN,
    STATE(18834), 2,
      sym_comment,
      sym_block_comment,
  [718120] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25053), 1,
      anon_sym_RPAREN,
    STATE(18835), 2,
      sym_comment,
      sym_block_comment,
  [718134] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9731), 1,
      anon_sym_DOT,
    STATE(18836), 2,
      sym_comment,
      sym_block_comment,
  [718148] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8228), 1,
      anon_sym_def,
    STATE(18837), 2,
      sym_comment,
      sym_block_comment,
  [718162] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25055), 1,
      anon_sym_RPAREN,
    STATE(18838), 2,
      sym_comment,
      sym_block_comment,
  [718176] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25057), 1,
      sym__outdent,
    STATE(18839), 2,
      sym_comment,
      sym_block_comment,
  [718190] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25059), 1,
      anon_sym_do,
    STATE(18840), 2,
      sym_comment,
      sym_block_comment,
  [718204] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25061), 1,
      sym__outdent,
    STATE(18841), 2,
      sym_comment,
      sym_block_comment,
  [718218] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11054), 1,
      anon_sym_DOT,
    STATE(18842), 2,
      sym_comment,
      sym_block_comment,
  [718232] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25063), 1,
      sym__outdent,
    STATE(18843), 2,
      sym_comment,
      sym_block_comment,
  [718246] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25065), 1,
      anon_sym_EQ_GT_GT,
    STATE(18844), 2,
      sym_comment,
      sym_block_comment,
  [718260] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25067), 1,
      anon_sym_else,
    STATE(18845), 2,
      sym_comment,
      sym_block_comment,
  [718274] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25069), 1,
      anon_sym_RBRACE,
    STATE(18846), 2,
      sym_comment,
      sym_block_comment,
  [718288] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25071), 1,
      anon_sym_else,
    STATE(18847), 2,
      sym_comment,
      sym_block_comment,
  [718302] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10287), 1,
      anon_sym_DOT,
    STATE(18848), 2,
      sym_comment,
      sym_block_comment,
  [718316] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25073), 1,
      anon_sym_EQ_GT_GT,
    STATE(18849), 2,
      sym_comment,
      sym_block_comment,
  [718330] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25075), 1,
      sym__outdent,
    STATE(18850), 2,
      sym_comment,
      sym_block_comment,
  [718344] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25077), 1,
      anon_sym_RPAREN,
    STATE(18851), 2,
      sym_comment,
      sym_block_comment,
  [718358] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25079), 1,
      sym__outdent,
    STATE(18852), 2,
      sym_comment,
      sym_block_comment,
  [718372] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25081), 1,
      anon_sym_RBRACE,
    STATE(18853), 2,
      sym_comment,
      sym_block_comment,
  [718386] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14943), 1,
      anon_sym_DOT,
    STATE(18854), 2,
      sym_comment,
      sym_block_comment,
  [718400] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25083), 1,
      sym__outdent,
    STATE(18855), 2,
      sym_comment,
      sym_block_comment,
  [718414] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25085), 1,
      anon_sym_using,
    STATE(18856), 2,
      sym_comment,
      sym_block_comment,
  [718428] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25087), 1,
      anon_sym_RBRACE,
    STATE(18857), 2,
      sym_comment,
      sym_block_comment,
  [718442] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25089), 1,
      anon_sym_RBRACE,
    STATE(18858), 2,
      sym_comment,
      sym_block_comment,
  [718456] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25091), 1,
      sym__outdent,
    STATE(18859), 2,
      sym_comment,
      sym_block_comment,
  [718470] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11158), 1,
      anon_sym_DOT,
    STATE(18860), 2,
      sym_comment,
      sym_block_comment,
  [718484] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25093), 1,
      anon_sym_RBRACE,
    STATE(18861), 2,
      sym_comment,
      sym_block_comment,
  [718498] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25095), 1,
      anon_sym_else,
    STATE(18862), 2,
      sym_comment,
      sym_block_comment,
  [718512] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25089), 1,
      anon_sym_RPAREN,
    STATE(18863), 2,
      sym_comment,
      sym_block_comment,
  [718526] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25081), 1,
      anon_sym_RBRACK,
    STATE(18864), 2,
      sym_comment,
      sym_block_comment,
  [718540] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25097), 1,
      anon_sym_RBRACE,
    STATE(18865), 2,
      sym_comment,
      sym_block_comment,
  [718554] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16086), 1,
      anon_sym_DOT,
    STATE(18866), 2,
      sym_comment,
      sym_block_comment,
  [718568] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16497), 1,
      anon_sym_type,
    STATE(18867), 2,
      sym_comment,
      sym_block_comment,
  [718582] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25097), 1,
      anon_sym_RBRACK,
    STATE(18868), 2,
      sym_comment,
      sym_block_comment,
  [718596] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25099), 1,
      anon_sym_RPAREN,
    STATE(18869), 2,
      sym_comment,
      sym_block_comment,
  [718610] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25101), 1,
      anon_sym_RBRACE,
    STATE(18870), 2,
      sym_comment,
      sym_block_comment,
  [718624] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11798), 1,
      anon_sym_DOT,
    STATE(18871), 2,
      sym_comment,
      sym_block_comment,
  [718638] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25103), 1,
      anon_sym_RPAREN,
    STATE(18872), 2,
      sym_comment,
      sym_block_comment,
  [718652] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25105), 1,
      anon_sym_EQ_GT,
    STATE(18873), 2,
      sym_comment,
      sym_block_comment,
  [718666] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25107), 1,
      sym__outdent,
    STATE(18874), 2,
      sym_comment,
      sym_block_comment,
  [718680] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25109), 1,
      anon_sym_LPAREN,
    STATE(18875), 2,
      sym_comment,
      sym_block_comment,
  [718694] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17181), 1,
      anon_sym_DOT,
    STATE(18876), 2,
      sym_comment,
      sym_block_comment,
  [718708] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13143), 1,
      anon_sym_DOT,
    STATE(18877), 2,
      sym_comment,
      sym_block_comment,
  [718722] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25111), 1,
      sym__outdent,
    STATE(18878), 2,
      sym_comment,
      sym_block_comment,
  [718736] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25069), 1,
      anon_sym_RPAREN,
    STATE(18879), 2,
      sym_comment,
      sym_block_comment,
  [718750] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25113), 1,
      anon_sym_RBRACE,
    STATE(18880), 2,
      sym_comment,
      sym_block_comment,
  [718764] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25115), 1,
      anon_sym_RBRACE,
    STATE(18881), 2,
      sym_comment,
      sym_block_comment,
  [718778] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25117), 1,
      sym__outdent,
    STATE(18882), 2,
      sym_comment,
      sym_block_comment,
  [718792] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9527), 1,
      anon_sym_DOT,
    STATE(18883), 2,
      sym_comment,
      sym_block_comment,
  [718806] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25119), 1,
      anon_sym_EQ_GT_GT,
    STATE(18884), 2,
      sym_comment,
      sym_block_comment,
  [718820] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25121), 1,
      anon_sym_RPAREN,
    STATE(18885), 2,
      sym_comment,
      sym_block_comment,
  [718834] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25123), 1,
      sym__outdent,
    STATE(18886), 2,
      sym_comment,
      sym_block_comment,
  [718848] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25115), 1,
      anon_sym_RBRACK,
    STATE(18887), 2,
      sym_comment,
      sym_block_comment,
  [718862] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25113), 1,
      anon_sym_RPAREN,
    STATE(18888), 2,
      sym_comment,
      sym_block_comment,
  [718876] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9953), 1,
      anon_sym_DOT,
    STATE(18889), 2,
      sym_comment,
      sym_block_comment,
  [718890] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25125), 1,
      anon_sym_EQ_GT,
    STATE(18890), 2,
      sym_comment,
      sym_block_comment,
  [718904] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25127), 1,
      anon_sym_RBRACE,
    STATE(18891), 2,
      sym_comment,
      sym_block_comment,
  [718918] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25129), 1,
      anon_sym_RBRACE,
    STATE(18892), 2,
      sym_comment,
      sym_block_comment,
  [718932] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25131), 1,
      anon_sym_RBRACE,
    STATE(18893), 2,
      sym_comment,
      sym_block_comment,
  [718946] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25134), 1,
      anon_sym_RBRACE,
    STATE(18894), 2,
      sym_comment,
      sym_block_comment,
  [718960] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14974), 1,
      anon_sym_DOT,
    STATE(18895), 2,
      sym_comment,
      sym_block_comment,
  [718974] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25136), 1,
      anon_sym_RPAREN,
    STATE(18896), 2,
      sym_comment,
      sym_block_comment,
  [718988] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25138), 1,
      anon_sym_else,
    STATE(18897), 2,
      sym_comment,
      sym_block_comment,
  [719002] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25140), 1,
      anon_sym_RPAREN,
    STATE(18898), 2,
      sym_comment,
      sym_block_comment,
  [719016] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25142), 1,
      anon_sym_EQ_GT_GT,
    STATE(18899), 2,
      sym_comment,
      sym_block_comment,
  [719030] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25144), 1,
      anon_sym_RBRACE,
    STATE(18900), 2,
      sym_comment,
      sym_block_comment,
  [719044] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10005), 1,
      anon_sym_DOT,
    STATE(18901), 2,
      sym_comment,
      sym_block_comment,
  [719058] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25146), 1,
      anon_sym_EQ_GT_GT,
    STATE(18902), 2,
      sym_comment,
      sym_block_comment,
  [719072] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25148), 1,
      sym__outdent,
    STATE(18903), 2,
      sym_comment,
      sym_block_comment,
  [719086] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25129), 1,
      anon_sym_RBRACK,
    STATE(18904), 2,
      sym_comment,
      sym_block_comment,
  [719100] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25150), 1,
      anon_sym_EQ_GT_GT,
    STATE(18905), 2,
      sym_comment,
      sym_block_comment,
  [719114] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25152), 1,
      anon_sym_RBRACE,
    STATE(18906), 2,
      sym_comment,
      sym_block_comment,
  [719128] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10653), 1,
      anon_sym_DOT,
    STATE(18907), 2,
      sym_comment,
      sym_block_comment,
  [719142] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25093), 1,
      anon_sym_RPAREN,
    STATE(18908), 2,
      sym_comment,
      sym_block_comment,
  [719156] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25154), 1,
      anon_sym_EQ_GT_GT,
    STATE(18909), 2,
      sym_comment,
      sym_block_comment,
  [719170] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25156), 1,
      anon_sym_RBRACE,
    STATE(18910), 2,
      sym_comment,
      sym_block_comment,
  [719184] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25158), 1,
      anon_sym_EQ_GT_GT,
    STATE(18911), 2,
      sym_comment,
      sym_block_comment,
  [719198] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25160), 1,
      anon_sym_RBRACE,
    STATE(18912), 2,
      sym_comment,
      sym_block_comment,
  [719212] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15724), 1,
      anon_sym_DOT,
    STATE(18913), 2,
      sym_comment,
      sym_block_comment,
  [719226] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25162), 1,
      anon_sym_RBRACE,
    STATE(18914), 2,
      sym_comment,
      sym_block_comment,
  [719240] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25164), 1,
      sym__outdent,
    STATE(18915), 2,
      sym_comment,
      sym_block_comment,
  [719254] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25166), 1,
      anon_sym_EQ_GT_GT,
    STATE(18916), 2,
      sym_comment,
      sym_block_comment,
  [719268] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25168), 1,
      anon_sym_EQ_GT_GT,
    STATE(18917), 2,
      sym_comment,
      sym_block_comment,
  [719282] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25170), 1,
      sym__outdent,
    STATE(18918), 2,
      sym_comment,
      sym_block_comment,
  [719296] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25172), 1,
      anon_sym_RPAREN,
    STATE(18919), 2,
      sym_comment,
      sym_block_comment,
  [719310] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25174), 1,
      anon_sym_do,
    STATE(18920), 2,
      sym_comment,
      sym_block_comment,
  [719324] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25176), 1,
      anon_sym_EQ_GT_GT,
    STATE(18921), 2,
      sym_comment,
      sym_block_comment,
  [719338] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25178), 1,
      anon_sym_RBRACE,
    STATE(18922), 2,
      sym_comment,
      sym_block_comment,
  [719352] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25180), 1,
      anon_sym_RBRACE,
    STATE(18923), 2,
      sym_comment,
      sym_block_comment,
  [719366] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25178), 1,
      anon_sym_RPAREN,
    STATE(18924), 2,
      sym_comment,
      sym_block_comment,
  [719380] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25182), 1,
      anon_sym_RPAREN,
    STATE(18925), 2,
      sym_comment,
      sym_block_comment,
  [719394] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25184), 1,
      anon_sym_do,
    STATE(18926), 2,
      sym_comment,
      sym_block_comment,
  [719408] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25186), 1,
      sym__outdent,
    STATE(18927), 2,
      sym_comment,
      sym_block_comment,
  [719422] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25188), 1,
      anon_sym_RPAREN,
    STATE(18928), 2,
      sym_comment,
      sym_block_comment,
  [719436] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25190), 1,
      anon_sym_EQ_GT_GT,
    STATE(18929), 2,
      sym_comment,
      sym_block_comment,
  [719450] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25192), 1,
      anon_sym_RPAREN,
    STATE(18930), 2,
      sym_comment,
      sym_block_comment,
  [719464] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25194), 1,
      sym__outdent,
    STATE(18931), 2,
      sym_comment,
      sym_block_comment,
  [719478] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25196), 1,
      anon_sym_COLON,
    STATE(18932), 2,
      sym_comment,
      sym_block_comment,
  [719492] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25144), 1,
      anon_sym_RBRACK,
    STATE(18933), 2,
      sym_comment,
      sym_block_comment,
  [719506] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25198), 1,
      sym__outdent,
    STATE(18934), 2,
      sym_comment,
      sym_block_comment,
  [719520] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25200), 1,
      anon_sym_RBRACE,
    STATE(18935), 2,
      sym_comment,
      sym_block_comment,
  [719534] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11841), 1,
      anon_sym_DOT,
    STATE(18936), 2,
      sym_comment,
      sym_block_comment,
  [719548] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16499), 1,
      anon_sym_def,
    STATE(18937), 2,
      sym_comment,
      sym_block_comment,
  [719562] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25202), 1,
      anon_sym_RBRACK,
    STATE(18938), 2,
      sym_comment,
      sym_block_comment,
  [719576] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25204), 1,
      anon_sym_RBRACE,
    STATE(18939), 2,
      sym_comment,
      sym_block_comment,
  [719590] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25206), 1,
      anon_sym_RBRACE,
    STATE(18940), 2,
      sym_comment,
      sym_block_comment,
  [719604] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25206), 1,
      anon_sym_RBRACK,
    STATE(18941), 2,
      sym_comment,
      sym_block_comment,
  [719618] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25208), 1,
      anon_sym_RBRACE,
    STATE(18942), 2,
      sym_comment,
      sym_block_comment,
  [719632] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25208), 1,
      anon_sym_RBRACK,
    STATE(18943), 2,
      sym_comment,
      sym_block_comment,
  [719646] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25210), 1,
      anon_sym_RPAREN,
    STATE(18944), 2,
      sym_comment,
      sym_block_comment,
  [719660] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25212), 1,
      sym__outdent,
    STATE(18945), 2,
      sym_comment,
      sym_block_comment,
  [719674] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25214), 1,
      anon_sym_RPAREN,
    STATE(18946), 2,
      sym_comment,
      sym_block_comment,
  [719688] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25216), 1,
      anon_sym_RPAREN,
    STATE(18947), 2,
      sym_comment,
      sym_block_comment,
  [719702] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25218), 1,
      sym__outdent,
    STATE(18948), 2,
      sym_comment,
      sym_block_comment,
  [719716] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25220), 1,
      anon_sym_RPAREN,
    STATE(18949), 2,
      sym_comment,
      sym_block_comment,
  [719730] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25222), 1,
      sym__outdent,
    STATE(18950), 2,
      sym_comment,
      sym_block_comment,
  [719744] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25224), 1,
      anon_sym_RBRACE,
    STATE(18951), 2,
      sym_comment,
      sym_block_comment,
  [719758] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25226), 1,
      anon_sym_RBRACE,
    STATE(18952), 2,
      sym_comment,
      sym_block_comment,
  [719772] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25224), 1,
      anon_sym_RBRACK,
    STATE(18953), 2,
      sym_comment,
      sym_block_comment,
  [719786] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25228), 1,
      sym__outdent,
    STATE(18954), 2,
      sym_comment,
      sym_block_comment,
  [719800] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25230), 1,
      anon_sym_RBRACE,
    STATE(18955), 2,
      sym_comment,
      sym_block_comment,
  [719814] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25232), 1,
      anon_sym_RBRACE,
    STATE(18956), 2,
      sym_comment,
      sym_block_comment,
  [719828] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25234), 1,
      anon_sym_else,
    STATE(18957), 2,
      sym_comment,
      sym_block_comment,
  [719842] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25236), 1,
      sym__outdent,
    STATE(18958), 2,
      sym_comment,
      sym_block_comment,
  [719856] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25238), 1,
      sym__outdent,
    STATE(18959), 2,
      sym_comment,
      sym_block_comment,
  [719870] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25240), 1,
      anon_sym_RPAREN,
    STATE(18960), 2,
      sym_comment,
      sym_block_comment,
  [719884] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25242), 1,
      anon_sym_do,
    STATE(18961), 2,
      sym_comment,
      sym_block_comment,
  [719898] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25244), 1,
      sym__outdent,
    STATE(18962), 2,
      sym_comment,
      sym_block_comment,
  [719912] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25246), 1,
      anon_sym_RBRACE,
    STATE(18963), 2,
      sym_comment,
      sym_block_comment,
  [719926] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25248), 1,
      anon_sym_RPAREN,
    STATE(18964), 2,
      sym_comment,
      sym_block_comment,
  [719940] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25246), 1,
      anon_sym_RPAREN,
    STATE(18965), 2,
      sym_comment,
      sym_block_comment,
  [719954] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25250), 1,
      anon_sym_RBRACE,
    STATE(18966), 2,
      sym_comment,
      sym_block_comment,
  [719968] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25252), 1,
      anon_sym_RBRACE,
    STATE(18967), 2,
      sym_comment,
      sym_block_comment,
  [719982] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25254), 1,
      anon_sym_RPAREN,
    STATE(18968), 2,
      sym_comment,
      sym_block_comment,
  [719996] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25230), 1,
      anon_sym_RBRACK,
    STATE(18969), 2,
      sym_comment,
      sym_block_comment,
  [720010] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25256), 1,
      anon_sym_RBRACE,
    STATE(18970), 2,
      sym_comment,
      sym_block_comment,
  [720024] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25252), 1,
      anon_sym_RBRACK,
    STATE(18971), 2,
      sym_comment,
      sym_block_comment,
  [720038] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25258), 1,
      anon_sym_do,
    STATE(18972), 2,
      sym_comment,
      sym_block_comment,
  [720052] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25260), 1,
      anon_sym_EQ_GT,
    STATE(18973), 2,
      sym_comment,
      sym_block_comment,
  [720066] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25262), 1,
      anon_sym_EQ_GT_GT,
    STATE(18974), 2,
      sym_comment,
      sym_block_comment,
  [720080] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25264), 1,
      anon_sym_RBRACE,
    STATE(18975), 2,
      sym_comment,
      sym_block_comment,
  [720094] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25266), 1,
      anon_sym_type,
    STATE(18976), 2,
      sym_comment,
      sym_block_comment,
  [720108] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25268), 1,
      anon_sym_else,
    STATE(18977), 2,
      sym_comment,
      sym_block_comment,
  [720122] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25270), 1,
      sym__indent,
    STATE(18978), 2,
      sym_comment,
      sym_block_comment,
  [720136] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8356), 1,
      anon_sym_def,
    STATE(18979), 2,
      sym_comment,
      sym_block_comment,
  [720150] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25272), 1,
      anon_sym_COLON,
    STATE(18980), 2,
      sym_comment,
      sym_block_comment,
  [720164] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25274), 1,
      sym__indent,
    STATE(18981), 2,
      sym_comment,
      sym_block_comment,
  [720178] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25276), 1,
      anon_sym_RPAREN,
    STATE(18982), 2,
      sym_comment,
      sym_block_comment,
  [720192] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16284), 1,
      anon_sym_def,
    STATE(18983), 2,
      sym_comment,
      sym_block_comment,
  [720206] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10508), 1,
      anon_sym_DOT,
    STATE(18984), 2,
      sym_comment,
      sym_block_comment,
  [720220] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25278), 1,
      sym__outdent,
    STATE(18985), 2,
      sym_comment,
      sym_block_comment,
  [720234] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25280), 1,
      sym__outdent,
    STATE(18986), 2,
      sym_comment,
      sym_block_comment,
  [720248] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25282), 1,
      anon_sym_RPAREN,
    STATE(18987), 2,
      sym_comment,
      sym_block_comment,
  [720262] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25284), 1,
      anon_sym_RBRACE,
    STATE(18988), 2,
      sym_comment,
      sym_block_comment,
  [720276] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25286), 1,
      anon_sym_RPAREN,
    STATE(18989), 2,
      sym_comment,
      sym_block_comment,
  [720290] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25288), 1,
      anon_sym_RPAREN,
    STATE(18990), 2,
      sym_comment,
      sym_block_comment,
  [720304] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25290), 1,
      anon_sym_RBRACE,
    STATE(18991), 2,
      sym_comment,
      sym_block_comment,
  [720318] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25292), 1,
      anon_sym_RPAREN,
    STATE(18992), 2,
      sym_comment,
      sym_block_comment,
  [720332] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25294), 1,
      anon_sym_RPAREN,
    STATE(18993), 2,
      sym_comment,
      sym_block_comment,
  [720346] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25296), 1,
      sym__outdent,
    STATE(18994), 2,
      sym_comment,
      sym_block_comment,
  [720360] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25298), 1,
      anon_sym_RBRACE,
    STATE(18995), 2,
      sym_comment,
      sym_block_comment,
  [720374] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25300), 1,
      anon_sym_EQ_GT,
    STATE(18996), 2,
      sym_comment,
      sym_block_comment,
  [720388] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25302), 1,
      anon_sym_EQ_GT,
    STATE(18997), 2,
      sym_comment,
      sym_block_comment,
  [720402] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25304), 1,
      sym__outdent,
    STATE(18998), 2,
      sym_comment,
      sym_block_comment,
  [720416] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25306), 1,
      anon_sym_EQ_GT,
    STATE(18999), 2,
      sym_comment,
      sym_block_comment,
  [720430] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25308), 1,
      sym__outdent,
    STATE(19000), 2,
      sym_comment,
      sym_block_comment,
  [720444] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25310), 1,
      sym__indent,
    STATE(19001), 2,
      sym_comment,
      sym_block_comment,
  [720458] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25312), 1,
      anon_sym_RPAREN,
    STATE(19002), 2,
      sym_comment,
      sym_block_comment,
  [720472] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25314), 1,
      anon_sym_RBRACE,
    STATE(19003), 2,
      sym_comment,
      sym_block_comment,
  [720486] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25316), 1,
      sym__outdent,
    STATE(19004), 2,
      sym_comment,
      sym_block_comment,
  [720500] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25314), 1,
      anon_sym_RPAREN,
    STATE(19005), 2,
      sym_comment,
      sym_block_comment,
  [720514] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25318), 1,
      sym__outdent,
    STATE(19006), 2,
      sym_comment,
      sym_block_comment,
  [720528] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25320), 1,
      sym__outdent,
    STATE(19007), 2,
      sym_comment,
      sym_block_comment,
  [720542] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25322), 1,
      anon_sym_EQ_GT,
    STATE(19008), 2,
      sym_comment,
      sym_block_comment,
  [720556] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25324), 1,
      anon_sym_RPAREN,
    STATE(19009), 2,
      sym_comment,
      sym_block_comment,
  [720570] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25326), 1,
      anon_sym_else,
    STATE(19010), 2,
      sym_comment,
      sym_block_comment,
  [720584] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14035), 1,
      sym__indent,
    STATE(19011), 2,
      sym_comment,
      sym_block_comment,
  [720598] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25328), 1,
      sym__outdent,
    STATE(19012), 2,
      sym_comment,
      sym_block_comment,
  [720612] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25330), 1,
      anon_sym_RPAREN,
    STATE(19013), 2,
      sym_comment,
      sym_block_comment,
  [720626] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25332), 1,
      sym__outdent,
    STATE(19014), 2,
      sym_comment,
      sym_block_comment,
  [720640] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25334), 1,
      anon_sym_RPAREN,
    STATE(19015), 2,
      sym_comment,
      sym_block_comment,
  [720654] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25336), 1,
      sym__outdent,
    STATE(19016), 2,
      sym_comment,
      sym_block_comment,
  [720668] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25338), 1,
      anon_sym_RBRACE,
    STATE(19017), 2,
      sym_comment,
      sym_block_comment,
  [720682] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25340), 1,
      anon_sym_EQ_GT,
    STATE(19018), 2,
      sym_comment,
      sym_block_comment,
  [720696] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25342), 1,
      sym__outdent,
    STATE(19019), 2,
      sym_comment,
      sym_block_comment,
  [720710] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25338), 1,
      anon_sym_RPAREN,
    STATE(19020), 2,
      sym_comment,
      sym_block_comment,
  [720724] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25344), 1,
      sym__indent,
    STATE(19021), 2,
      sym_comment,
      sym_block_comment,
  [720738] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25346), 1,
      anon_sym_RPAREN,
    STATE(19022), 2,
      sym_comment,
      sym_block_comment,
  [720752] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25348), 1,
      anon_sym_RBRACE,
    STATE(19023), 2,
      sym_comment,
      sym_block_comment,
  [720766] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25350), 1,
      sym__outdent,
    STATE(19024), 2,
      sym_comment,
      sym_block_comment,
  [720780] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25352), 1,
      sym__outdent,
    STATE(19025), 2,
      sym_comment,
      sym_block_comment,
  [720794] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25354), 1,
      anon_sym_RBRACE,
    STATE(19026), 2,
      sym_comment,
      sym_block_comment,
  [720808] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25356), 1,
      anon_sym_EQ_GT,
    STATE(19027), 2,
      sym_comment,
      sym_block_comment,
  [720822] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25358), 1,
      anon_sym_else,
    STATE(19028), 2,
      sym_comment,
      sym_block_comment,
  [720836] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25360), 1,
      sym__indent,
    STATE(19029), 2,
      sym_comment,
      sym_block_comment,
  [720850] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25362), 1,
      anon_sym_else,
    STATE(19030), 2,
      sym_comment,
      sym_block_comment,
  [720864] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25364), 1,
      anon_sym_RPAREN,
    STATE(19031), 2,
      sym_comment,
      sym_block_comment,
  [720878] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25366), 1,
      anon_sym_RBRACE,
    STATE(19032), 2,
      sym_comment,
      sym_block_comment,
  [720892] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25368), 1,
      sym__outdent,
    STATE(19033), 2,
      sym_comment,
      sym_block_comment,
  [720906] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25370), 1,
      anon_sym_else,
    STATE(19034), 2,
      sym_comment,
      sym_block_comment,
  [720920] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25372), 1,
      anon_sym_EQ_GT,
    STATE(19035), 2,
      sym_comment,
      sym_block_comment,
  [720934] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25374), 1,
      anon_sym_EQ_GT,
    STATE(19036), 2,
      sym_comment,
      sym_block_comment,
  [720948] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25376), 1,
      sym__indent,
    STATE(19037), 2,
      sym_comment,
      sym_block_comment,
  [720962] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25378), 1,
      anon_sym_EQ_GT,
    STATE(19038), 2,
      sym_comment,
      sym_block_comment,
  [720976] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25380), 1,
      anon_sym_RBRACE,
    STATE(19039), 2,
      sym_comment,
      sym_block_comment,
  [720990] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25382), 1,
      anon_sym_LPAREN,
    STATE(19040), 2,
      sym_comment,
      sym_block_comment,
  [721004] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25384), 1,
      sym__outdent,
    STATE(19041), 2,
      sym_comment,
      sym_block_comment,
  [721018] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25386), 1,
      anon_sym_RPAREN,
    STATE(19042), 2,
      sym_comment,
      sym_block_comment,
  [721032] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25388), 1,
      anon_sym_EQ_GT,
    STATE(19043), 2,
      sym_comment,
      sym_block_comment,
  [721046] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25390), 1,
      sym__outdent,
    STATE(19044), 2,
      sym_comment,
      sym_block_comment,
  [721060] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25392), 1,
      sym__indent,
    STATE(19045), 2,
      sym_comment,
      sym_block_comment,
  [721074] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25394), 1,
      sym__outdent,
    STATE(19046), 2,
      sym_comment,
      sym_block_comment,
  [721088] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25380), 1,
      anon_sym_RBRACK,
    STATE(19047), 2,
      sym_comment,
      sym_block_comment,
  [721102] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25396), 1,
      anon_sym_RPAREN,
    STATE(19048), 2,
      sym_comment,
      sym_block_comment,
  [721116] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25398), 1,
      anon_sym_EQ_GT_GT,
    STATE(19049), 2,
      sym_comment,
      sym_block_comment,
  [721130] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25400), 1,
      anon_sym_EQ_GT_GT,
    STATE(19050), 2,
      sym_comment,
      sym_block_comment,
  [721144] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25402), 1,
      anon_sym_EQ_GT,
    STATE(19051), 2,
      sym_comment,
      sym_block_comment,
  [721158] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25404), 1,
      anon_sym_RBRACE,
    STATE(19052), 2,
      sym_comment,
      sym_block_comment,
  [721172] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25406), 1,
      sym__indent,
    STATE(19053), 2,
      sym_comment,
      sym_block_comment,
  [721186] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25408), 1,
      sym__outdent,
    STATE(19054), 2,
      sym_comment,
      sym_block_comment,
  [721200] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25410), 1,
      anon_sym_RPAREN,
    STATE(19055), 2,
      sym_comment,
      sym_block_comment,
  [721214] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25412), 1,
      sym__outdent,
    STATE(19056), 2,
      sym_comment,
      sym_block_comment,
  [721228] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25404), 1,
      anon_sym_RBRACK,
    STATE(19057), 2,
      sym_comment,
      sym_block_comment,
  [721242] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25414), 1,
      anon_sym_EQ_GT_GT,
    STATE(19058), 2,
      sym_comment,
      sym_block_comment,
  [721256] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25416), 1,
      anon_sym_EQ_GT,
    STATE(19059), 2,
      sym_comment,
      sym_block_comment,
  [721270] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25418), 1,
      anon_sym_EQ_GT_GT,
    STATE(19060), 2,
      sym_comment,
      sym_block_comment,
  [721284] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25420), 1,
      sym__indent,
    STATE(19061), 2,
      sym_comment,
      sym_block_comment,
  [721298] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25422), 1,
      anon_sym_RPAREN,
    STATE(19062), 2,
      sym_comment,
      sym_block_comment,
  [721312] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25424), 1,
      anon_sym_RPAREN,
    STATE(19063), 2,
      sym_comment,
      sym_block_comment,
  [721326] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25426), 1,
      anon_sym_EQ_GT_GT,
    STATE(19064), 2,
      sym_comment,
      sym_block_comment,
  [721340] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25428), 1,
      sym__outdent,
    STATE(19065), 2,
      sym_comment,
      sym_block_comment,
  [721354] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25430), 1,
      anon_sym_else,
    STATE(19066), 2,
      sym_comment,
      sym_block_comment,
  [721368] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25432), 1,
      anon_sym_EQ_GT,
    STATE(19067), 2,
      sym_comment,
      sym_block_comment,
  [721382] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25434), 1,
      sym__indent,
    STATE(19068), 2,
      sym_comment,
      sym_block_comment,
  [721396] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25436), 1,
      sym__indent,
    STATE(19069), 2,
      sym_comment,
      sym_block_comment,
  [721410] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25438), 1,
      anon_sym_EQ_GT_GT,
    STATE(19070), 2,
      sym_comment,
      sym_block_comment,
  [721424] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25440), 1,
      anon_sym_RPAREN,
    STATE(19071), 2,
      sym_comment,
      sym_block_comment,
  [721438] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25442), 1,
      sym__outdent,
    STATE(19072), 2,
      sym_comment,
      sym_block_comment,
  [721452] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25444), 1,
      sym__outdent,
    STATE(19073), 2,
      sym_comment,
      sym_block_comment,
  [721466] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25446), 1,
      anon_sym_RPAREN,
    STATE(19074), 2,
      sym_comment,
      sym_block_comment,
  [721480] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25448), 1,
      anon_sym_EQ_GT,
    STATE(19075), 2,
      sym_comment,
      sym_block_comment,
  [721494] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25450), 1,
      sym__outdent,
    STATE(19076), 2,
      sym_comment,
      sym_block_comment,
  [721508] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25452), 1,
      sym__indent,
    STATE(19077), 2,
      sym_comment,
      sym_block_comment,
  [721522] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25454), 1,
      anon_sym_RBRACE,
    STATE(19078), 2,
      sym_comment,
      sym_block_comment,
  [721536] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25456), 1,
      anon_sym_RBRACE,
    STATE(19079), 2,
      sym_comment,
      sym_block_comment,
  [721550] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25458), 1,
      anon_sym_EQ_GT_GT,
    STATE(19080), 2,
      sym_comment,
      sym_block_comment,
  [721564] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25460), 1,
      anon_sym_RPAREN,
    STATE(19081), 2,
      sym_comment,
      sym_block_comment,
  [721578] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25462), 1,
      anon_sym_RBRACE,
    STATE(19082), 2,
      sym_comment,
      sym_block_comment,
  [721592] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25464), 1,
      anon_sym_EQ_GT,
    STATE(19083), 2,
      sym_comment,
      sym_block_comment,
  [721606] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25466), 1,
      sym__outdent,
    STATE(19084), 2,
      sym_comment,
      sym_block_comment,
  [721620] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25468), 1,
      sym__indent,
    STATE(19085), 2,
      sym_comment,
      sym_block_comment,
  [721634] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25470), 1,
      anon_sym_EQ_GT_GT,
    STATE(19086), 2,
      sym_comment,
      sym_block_comment,
  [721648] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25472), 1,
      anon_sym_else,
    STATE(19087), 2,
      sym_comment,
      sym_block_comment,
  [721662] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25474), 1,
      anon_sym_EQ_GT_GT,
    STATE(19088), 2,
      sym_comment,
      sym_block_comment,
  [721676] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25476), 1,
      anon_sym_RPAREN,
    STATE(19089), 2,
      sym_comment,
      sym_block_comment,
  [721690] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25478), 1,
      anon_sym_EQ_GT_GT,
    STATE(19090), 2,
      sym_comment,
      sym_block_comment,
  [721704] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25480), 1,
      anon_sym_EQ_GT,
    STATE(19091), 2,
      sym_comment,
      sym_block_comment,
  [721718] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25482), 1,
      sym__outdent,
    STATE(19092), 2,
      sym_comment,
      sym_block_comment,
  [721732] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25484), 1,
      sym__indent,
    STATE(19093), 2,
      sym_comment,
      sym_block_comment,
  [721746] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25486), 1,
      anon_sym_RPAREN,
    STATE(19094), 2,
      sym_comment,
      sym_block_comment,
  [721760] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25488), 1,
      anon_sym_RBRACE,
    STATE(19095), 2,
      sym_comment,
      sym_block_comment,
  [721774] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25490), 1,
      anon_sym_else,
    STATE(19096), 2,
      sym_comment,
      sym_block_comment,
  [721788] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25492), 1,
      anon_sym_RBRACE,
    STATE(19097), 2,
      sym_comment,
      sym_block_comment,
  [721802] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25494), 1,
      anon_sym_RPAREN,
    STATE(19098), 2,
      sym_comment,
      sym_block_comment,
  [721816] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25496), 1,
      anon_sym_EQ_GT,
    STATE(19099), 2,
      sym_comment,
      sym_block_comment,
  [721830] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25498), 1,
      sym__outdent,
    STATE(19100), 2,
      sym_comment,
      sym_block_comment,
  [721844] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25500), 1,
      sym__indent,
    STATE(19101), 2,
      sym_comment,
      sym_block_comment,
  [721858] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25502), 1,
      anon_sym_RPAREN,
    STATE(19102), 2,
      sym_comment,
      sym_block_comment,
  [721872] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25504), 1,
      sym__outdent,
    STATE(19103), 2,
      sym_comment,
      sym_block_comment,
  [721886] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25506), 1,
      anon_sym_do,
    STATE(19104), 2,
      sym_comment,
      sym_block_comment,
  [721900] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25508), 1,
      anon_sym_RBRACE,
    STATE(19105), 2,
      sym_comment,
      sym_block_comment,
  [721914] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25508), 1,
      anon_sym_RPAREN,
    STATE(19106), 2,
      sym_comment,
      sym_block_comment,
  [721928] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25510), 1,
      anon_sym_EQ_GT,
    STATE(19107), 2,
      sym_comment,
      sym_block_comment,
  [721942] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25512), 1,
      anon_sym_RPAREN,
    STATE(19108), 2,
      sym_comment,
      sym_block_comment,
  [721956] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25514), 1,
      sym__indent,
    STATE(19109), 2,
      sym_comment,
      sym_block_comment,
  [721970] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25516), 1,
      anon_sym_else,
    STATE(19110), 2,
      sym_comment,
      sym_block_comment,
  [721984] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25518), 1,
      anon_sym_RPAREN,
    STATE(19111), 2,
      sym_comment,
      sym_block_comment,
  [721998] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25520), 1,
      anon_sym_RPAREN,
    STATE(19112), 2,
      sym_comment,
      sym_block_comment,
  [722012] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25522), 1,
      anon_sym_COLON,
    STATE(19113), 2,
      sym_comment,
      sym_block_comment,
  [722026] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8967), 1,
      anon_sym_DOT,
    STATE(19114), 2,
      sym_comment,
      sym_block_comment,
  [722040] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25524), 1,
      anon_sym_EQ_GT,
    STATE(19115), 2,
      sym_comment,
      sym_block_comment,
  [722054] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25526), 1,
      anon_sym_RPAREN,
    STATE(19116), 2,
      sym_comment,
      sym_block_comment,
  [722068] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25528), 1,
      sym__indent,
    STATE(19117), 2,
      sym_comment,
      sym_block_comment,
  [722082] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25530), 1,
      anon_sym_RBRACE,
    STATE(19118), 2,
      sym_comment,
      sym_block_comment,
  [722096] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25532), 1,
      sym__outdent,
    STATE(19119), 2,
      sym_comment,
      sym_block_comment,
  [722110] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25530), 1,
      anon_sym_RBRACK,
    STATE(19120), 2,
      sym_comment,
      sym_block_comment,
  [722124] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25534), 1,
      anon_sym_RBRACE,
    STATE(19121), 2,
      sym_comment,
      sym_block_comment,
  [722138] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25536), 1,
      anon_sym_EQ_GT,
    STATE(19122), 2,
      sym_comment,
      sym_block_comment,
  [722152] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25538), 1,
      anon_sym_EQ_GT,
    STATE(19123), 2,
      sym_comment,
      sym_block_comment,
  [722166] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25534), 1,
      anon_sym_RBRACK,
    STATE(19124), 2,
      sym_comment,
      sym_block_comment,
  [722180] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25540), 1,
      sym__indent,
    STATE(19125), 2,
      sym_comment,
      sym_block_comment,
  [722194] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25542), 1,
      anon_sym_COLON,
    STATE(19126), 2,
      sym_comment,
      sym_block_comment,
  [722208] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11345), 1,
      anon_sym_DOT,
    STATE(19127), 2,
      sym_comment,
      sym_block_comment,
  [722222] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25544), 1,
      anon_sym_RBRACE,
    STATE(19128), 2,
      sym_comment,
      sym_block_comment,
  [722236] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25546), 1,
      anon_sym_type,
    STATE(19129), 2,
      sym_comment,
      sym_block_comment,
  [722250] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25548), 1,
      anon_sym_EQ_GT,
    STATE(19130), 2,
      sym_comment,
      sym_block_comment,
  [722264] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25550), 1,
      anon_sym_EQ,
    STATE(19131), 2,
      sym_comment,
      sym_block_comment,
  [722278] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25552), 1,
      sym__indent,
    STATE(19132), 2,
      sym_comment,
      sym_block_comment,
  [722292] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12926), 1,
      anon_sym_EQ_GT,
    STATE(19133), 2,
      sym_comment,
      sym_block_comment,
  [722306] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25554), 1,
      sym__outdent,
    STATE(19134), 2,
      sym_comment,
      sym_block_comment,
  [722320] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25556), 1,
      anon_sym_do,
    STATE(19135), 2,
      sym_comment,
      sym_block_comment,
  [722334] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25558), 1,
      anon_sym_RBRACE,
    STATE(19136), 2,
      sym_comment,
      sym_block_comment,
  [722348] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25560), 1,
      anon_sym_EQ_GT,
    STATE(19137), 2,
      sym_comment,
      sym_block_comment,
  [722362] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25562), 1,
      anon_sym_RBRACE,
    STATE(19138), 2,
      sym_comment,
      sym_block_comment,
  [722376] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25564), 1,
      sym__indent,
    STATE(19139), 2,
      sym_comment,
      sym_block_comment,
  [722390] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25566), 1,
      anon_sym_else,
    STATE(19140), 2,
      sym_comment,
      sym_block_comment,
  [722404] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25568), 1,
      anon_sym_do,
    STATE(19141), 2,
      sym_comment,
      sym_block_comment,
  [722418] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25570), 1,
      anon_sym_RPAREN,
    STATE(19142), 2,
      sym_comment,
      sym_block_comment,
  [722432] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25572), 1,
      anon_sym_EQ_GT_GT,
    STATE(19143), 2,
      sym_comment,
      sym_block_comment,
  [722446] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25574), 1,
      anon_sym_EQ_GT,
    STATE(19144), 2,
      sym_comment,
      sym_block_comment,
  [722460] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25576), 1,
      anon_sym_EQ,
    STATE(19145), 2,
      sym_comment,
      sym_block_comment,
  [722474] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25578), 1,
      sym__indent,
    STATE(19146), 2,
      sym_comment,
      sym_block_comment,
  [722488] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25580), 1,
      sym__outdent,
    STATE(19147), 2,
      sym_comment,
      sym_block_comment,
  [722502] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25582), 1,
      anon_sym_else,
    STATE(19148), 2,
      sym_comment,
      sym_block_comment,
  [722516] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25584), 1,
      anon_sym_RBRACE,
    STATE(19149), 2,
      sym_comment,
      sym_block_comment,
  [722530] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25586), 1,
      sym__outdent,
    STATE(19150), 2,
      sym_comment,
      sym_block_comment,
  [722544] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25588), 1,
      anon_sym_EQ_GT,
    STATE(19151), 2,
      sym_comment,
      sym_block_comment,
  [722558] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25590), 1,
      anon_sym_RBRACE,
    STATE(19152), 2,
      sym_comment,
      sym_block_comment,
  [722572] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25592), 1,
      sym__indent,
    STATE(19153), 2,
      sym_comment,
      sym_block_comment,
  [722586] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25594), 1,
      anon_sym_RBRACE,
    STATE(19154), 2,
      sym_comment,
      sym_block_comment,
  [722600] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25596), 1,
      anon_sym_RPAREN,
    STATE(19155), 2,
      sym_comment,
      sym_block_comment,
  [722614] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25598), 1,
      anon_sym_RPAREN,
    STATE(19156), 2,
      sym_comment,
      sym_block_comment,
  [722628] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25600), 1,
      anon_sym_RPAREN,
    STATE(19157), 2,
      sym_comment,
      sym_block_comment,
  [722642] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25602), 1,
      anon_sym_EQ_GT,
    STATE(19158), 2,
      sym_comment,
      sym_block_comment,
  [722656] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25604), 1,
      sym__outdent,
    STATE(19159), 2,
      sym_comment,
      sym_block_comment,
  [722670] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25606), 1,
      sym__indent,
    STATE(19160), 2,
      sym_comment,
      sym_block_comment,
  [722684] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25608), 1,
      anon_sym_RPAREN,
    STATE(19161), 2,
      sym_comment,
      sym_block_comment,
  [722698] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25610), 1,
      sym__outdent,
    STATE(19162), 2,
      sym_comment,
      sym_block_comment,
  [722712] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25612), 1,
      anon_sym_RBRACE,
    STATE(19163), 2,
      sym_comment,
      sym_block_comment,
  [722726] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25614), 1,
      anon_sym_EQ_GT_GT,
    STATE(19164), 2,
      sym_comment,
      sym_block_comment,
  [722740] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25616), 1,
      anon_sym_EQ_GT,
    STATE(19165), 2,
      sym_comment,
      sym_block_comment,
  [722754] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25612), 1,
      anon_sym_RPAREN,
    STATE(19166), 2,
      sym_comment,
      sym_block_comment,
  [722768] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25618), 1,
      sym__indent,
    STATE(19167), 2,
      sym_comment,
      sym_block_comment,
  [722782] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25620), 1,
      anon_sym_RPAREN,
    STATE(19168), 2,
      sym_comment,
      sym_block_comment,
  [722796] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25622), 1,
      anon_sym_EQ_GT,
    STATE(19169), 2,
      sym_comment,
      sym_block_comment,
  [722810] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25624), 1,
      sym__outdent,
    STATE(19170), 2,
      sym_comment,
      sym_block_comment,
  [722824] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25626), 1,
      anon_sym_RPAREN,
    STATE(19171), 2,
      sym_comment,
      sym_block_comment,
  [722838] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25628), 1,
      anon_sym_EQ_GT,
    STATE(19172), 2,
      sym_comment,
      sym_block_comment,
  [722852] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25630), 1,
      anon_sym_EQ_GT_GT,
    STATE(19173), 2,
      sym_comment,
      sym_block_comment,
  [722866] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25632), 1,
      sym__indent,
    STATE(19174), 2,
      sym_comment,
      sym_block_comment,
  [722880] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25634), 1,
      sym__outdent,
    STATE(19175), 2,
      sym_comment,
      sym_block_comment,
  [722894] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25636), 1,
      anon_sym_RPAREN,
    STATE(19176), 2,
      sym_comment,
      sym_block_comment,
  [722908] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25638), 1,
      anon_sym_RPAREN,
    STATE(19177), 2,
      sym_comment,
      sym_block_comment,
  [722922] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25640), 1,
      sym__outdent,
    STATE(19178), 2,
      sym_comment,
      sym_block_comment,
  [722936] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25642), 1,
      anon_sym_EQ_GT,
    STATE(19179), 2,
      sym_comment,
      sym_block_comment,
  [722950] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25644), 1,
      anon_sym_EQ_GT_GT,
    STATE(19180), 2,
      sym_comment,
      sym_block_comment,
  [722964] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25646), 1,
      sym__indent,
    STATE(19181), 2,
      sym_comment,
      sym_block_comment,
  [722978] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25648), 1,
      anon_sym_EQ_GT_GT,
    STATE(19182), 2,
      sym_comment,
      sym_block_comment,
  [722992] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25650), 1,
      sym__outdent,
    STATE(19183), 2,
      sym_comment,
      sym_block_comment,
  [723006] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25652), 1,
      anon_sym_EQ_GT_GT,
    STATE(19184), 2,
      sym_comment,
      sym_block_comment,
  [723020] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25654), 1,
      anon_sym_RPAREN,
    STATE(19185), 2,
      sym_comment,
      sym_block_comment,
  [723034] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25656), 1,
      anon_sym_EQ_GT,
    STATE(19186), 2,
      sym_comment,
      sym_block_comment,
  [723048] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25658), 1,
      sym__outdent,
    STATE(19187), 2,
      sym_comment,
      sym_block_comment,
  [723062] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25660), 1,
      sym__indent,
    STATE(19188), 2,
      sym_comment,
      sym_block_comment,
  [723076] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25662), 1,
      sym__outdent,
    STATE(19189), 2,
      sym_comment,
      sym_block_comment,
  [723090] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25664), 1,
      sym__outdent,
    STATE(19190), 2,
      sym_comment,
      sym_block_comment,
  [723104] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25666), 1,
      sym__outdent,
    STATE(19191), 2,
      sym_comment,
      sym_block_comment,
  [723118] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25668), 1,
      sym__outdent,
    STATE(19192), 2,
      sym_comment,
      sym_block_comment,
  [723132] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25670), 1,
      anon_sym_EQ_GT,
    STATE(19193), 2,
      sym_comment,
      sym_block_comment,
  [723146] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25672), 1,
      sym__outdent,
    STATE(19194), 2,
      sym_comment,
      sym_block_comment,
  [723160] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25674), 1,
      sym__indent,
    STATE(19195), 2,
      sym_comment,
      sym_block_comment,
  [723174] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25676), 1,
      anon_sym_else,
    STATE(19196), 2,
      sym_comment,
      sym_block_comment,
  [723188] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25678), 1,
      anon_sym_RBRACE,
    STATE(19197), 2,
      sym_comment,
      sym_block_comment,
  [723202] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25680), 1,
      anon_sym_RBRACE,
    STATE(19198), 2,
      sym_comment,
      sym_block_comment,
  [723216] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25680), 1,
      anon_sym_RPAREN,
    STATE(19199), 2,
      sym_comment,
      sym_block_comment,
  [723230] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25682), 1,
      anon_sym_EQ_GT,
    STATE(19200), 2,
      sym_comment,
      sym_block_comment,
  [723244] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25684), 1,
      anon_sym_RPAREN,
    STATE(19201), 2,
      sym_comment,
      sym_block_comment,
  [723258] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25686), 1,
      sym__indent,
    STATE(19202), 2,
      sym_comment,
      sym_block_comment,
  [723272] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25688), 1,
      anon_sym_RBRACE,
    STATE(19203), 2,
      sym_comment,
      sym_block_comment,
  [723286] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25690), 1,
      sym__outdent,
    STATE(19204), 2,
      sym_comment,
      sym_block_comment,
  [723300] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16999), 1,
      anon_sym_COLON,
    STATE(19205), 2,
      sym_comment,
      sym_block_comment,
  [723314] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25692), 1,
      anon_sym_EQ,
    STATE(19206), 2,
      sym_comment,
      sym_block_comment,
  [723328] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25694), 1,
      anon_sym_EQ_GT,
    STATE(19207), 2,
      sym_comment,
      sym_block_comment,
  [723342] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12978), 1,
      anon_sym_DOT,
    STATE(19208), 2,
      sym_comment,
      sym_block_comment,
  [723356] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25696), 1,
      sym__indent,
    STATE(19209), 2,
      sym_comment,
      sym_block_comment,
  [723370] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25698), 1,
      sym__outdent,
    STATE(19210), 2,
      sym_comment,
      sym_block_comment,
  [723384] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25700), 1,
      anon_sym_else,
    STATE(19211), 2,
      sym_comment,
      sym_block_comment,
  [723398] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25702), 1,
      sym__outdent,
    STATE(19212), 2,
      sym_comment,
      sym_block_comment,
  [723412] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25704), 1,
      sym__outdent,
    STATE(19213), 2,
      sym_comment,
      sym_block_comment,
  [723426] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25706), 1,
      anon_sym_EQ_GT,
    STATE(19214), 2,
      sym_comment,
      sym_block_comment,
  [723440] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25708), 1,
      anon_sym_EQ_GT_GT,
    STATE(19215), 2,
      sym_comment,
      sym_block_comment,
  [723454] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25710), 1,
      sym__indent,
    STATE(19216), 2,
      sym_comment,
      sym_block_comment,
  [723468] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25712), 1,
      anon_sym_RBRACE,
    STATE(19217), 2,
      sym_comment,
      sym_block_comment,
  [723482] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25714), 1,
      anon_sym_RPAREN,
    STATE(19218), 2,
      sym_comment,
      sym_block_comment,
  [723496] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25716), 1,
      anon_sym_else,
    STATE(19219), 2,
      sym_comment,
      sym_block_comment,
  [723510] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25718), 1,
      sym__outdent,
    STATE(19220), 2,
      sym_comment,
      sym_block_comment,
  [723524] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25720), 1,
      anon_sym_EQ_GT,
    STATE(19221), 2,
      sym_comment,
      sym_block_comment,
  [723538] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25722), 1,
      anon_sym_RBRACE,
    STATE(19222), 2,
      sym_comment,
      sym_block_comment,
  [723552] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25724), 1,
      sym__indent,
    STATE(19223), 2,
      sym_comment,
      sym_block_comment,
  [723566] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25726), 1,
      anon_sym_EQ,
    STATE(19224), 2,
      sym_comment,
      sym_block_comment,
  [723580] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25728), 1,
      anon_sym_do,
    STATE(19225), 2,
      sym_comment,
      sym_block_comment,
  [723594] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25730), 1,
      anon_sym_RPAREN,
    STATE(19226), 2,
      sym_comment,
      sym_block_comment,
  [723608] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25732), 1,
      sym__outdent,
    STATE(19227), 2,
      sym_comment,
      sym_block_comment,
  [723622] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25734), 1,
      anon_sym_EQ_GT,
    STATE(19228), 2,
      sym_comment,
      sym_block_comment,
  [723636] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25736), 1,
      anon_sym_RPAREN,
    STATE(19229), 2,
      sym_comment,
      sym_block_comment,
  [723650] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25738), 1,
      sym__indent,
    STATE(19230), 2,
      sym_comment,
      sym_block_comment,
  [723664] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25740), 1,
      sym__outdent,
    STATE(19231), 2,
      sym_comment,
      sym_block_comment,
  [723678] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25742), 1,
      anon_sym_RBRACE,
    STATE(19232), 2,
      sym_comment,
      sym_block_comment,
  [723692] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25744), 1,
      anon_sym_EQ,
    STATE(19233), 2,
      sym_comment,
      sym_block_comment,
  [723706] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25746), 1,
      anon_sym_RPAREN,
    STATE(19234), 2,
      sym_comment,
      sym_block_comment,
  [723720] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25748), 1,
      anon_sym_EQ_GT,
    STATE(19235), 2,
      sym_comment,
      sym_block_comment,
  [723734] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25750), 1,
      anon_sym_else,
    STATE(19236), 2,
      sym_comment,
      sym_block_comment,
  [723748] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25752), 1,
      sym__indent,
    STATE(19237), 2,
      sym_comment,
      sym_block_comment,
  [723762] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24221), 1,
      anon_sym_RPAREN,
    STATE(19238), 2,
      sym_comment,
      sym_block_comment,
  [723776] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25754), 1,
      anon_sym_RPAREN,
    STATE(19239), 2,
      sym_comment,
      sym_block_comment,
  [723790] = 4,
    ACTIONS(19401), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(19407), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25756), 1,
      sym_using_directive_value,
    STATE(19240), 2,
      sym_comment,
      sym_block_comment,
  [723804] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25758), 1,
      sym__outdent,
    STATE(19241), 2,
      sym_comment,
      sym_block_comment,
  [723818] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25760), 1,
      anon_sym_EQ_GT,
    STATE(19242), 2,
      sym_comment,
      sym_block_comment,
  [723832] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25762), 1,
      anon_sym_RBRACE,
    STATE(19243), 2,
      sym_comment,
      sym_block_comment,
  [723846] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25764), 1,
      sym__indent,
    STATE(19244), 2,
      sym_comment,
      sym_block_comment,
  [723860] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11957), 1,
      anon_sym_EQ_GT,
    STATE(19245), 2,
      sym_comment,
      sym_block_comment,
  [723874] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25762), 1,
      anon_sym_RPAREN,
    STATE(19246), 2,
      sym_comment,
      sym_block_comment,
  [723888] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18495), 1,
      anon_sym_DOT,
    STATE(19247), 2,
      sym_comment,
      sym_block_comment,
  [723902] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25766), 1,
      anon_sym_else,
    STATE(19248), 2,
      sym_comment,
      sym_block_comment,
  [723916] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25768), 1,
      anon_sym_EQ_GT,
    STATE(19249), 2,
      sym_comment,
      sym_block_comment,
  [723930] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25770), 1,
      anon_sym_EQ_GT,
    STATE(19250), 2,
      sym_comment,
      sym_block_comment,
  [723944] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25772), 1,
      sym__indent,
    STATE(19251), 2,
      sym_comment,
      sym_block_comment,
  [723958] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25774), 1,
      anon_sym_RPAREN,
    STATE(19252), 2,
      sym_comment,
      sym_block_comment,
  [723972] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25776), 1,
      anon_sym_RBRACE,
    STATE(19253), 2,
      sym_comment,
      sym_block_comment,
  [723986] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25778), 1,
      anon_sym_EQ_GT_GT,
    STATE(19254), 2,
      sym_comment,
      sym_block_comment,
  [724000] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25776), 1,
      anon_sym_RBRACK,
    STATE(19255), 2,
      sym_comment,
      sym_block_comment,
  [724014] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25780), 1,
      anon_sym_EQ_GT,
    STATE(19256), 2,
      sym_comment,
      sym_block_comment,
  [724028] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25782), 1,
      anon_sym_RBRACE,
    STATE(19257), 2,
      sym_comment,
      sym_block_comment,
  [724042] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25784), 1,
      sym__indent,
    STATE(19258), 2,
      sym_comment,
      sym_block_comment,
  [724056] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25786), 1,
      anon_sym_LPAREN,
    STATE(19259), 2,
      sym_comment,
      sym_block_comment,
  [724070] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25742), 1,
      anon_sym_RBRACK,
    STATE(19260), 2,
      sym_comment,
      sym_block_comment,
  [724084] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25788), 1,
      anon_sym_EQ_GT_GT,
    STATE(19261), 2,
      sym_comment,
      sym_block_comment,
  [724098] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25790), 1,
      anon_sym_EQ_GT_GT,
    STATE(19262), 2,
      sym_comment,
      sym_block_comment,
  [724112] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25792), 1,
      anon_sym_EQ_GT,
    STATE(19263), 2,
      sym_comment,
      sym_block_comment,
  [724126] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25794), 1,
      anon_sym_RBRACE,
    STATE(19264), 2,
      sym_comment,
      sym_block_comment,
  [724140] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25796), 1,
      sym__indent,
    STATE(19265), 2,
      sym_comment,
      sym_block_comment,
  [724154] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25798), 1,
      anon_sym_EQ_GT_GT,
    STATE(19266), 2,
      sym_comment,
      sym_block_comment,
  [724168] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25794), 1,
      anon_sym_RBRACK,
    STATE(19267), 2,
      sym_comment,
      sym_block_comment,
  [724182] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25800), 1,
      anon_sym_EQ_GT_GT,
    STATE(19268), 2,
      sym_comment,
      sym_block_comment,
  [724196] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25802), 1,
      anon_sym_RBRACE,
    STATE(19269), 2,
      sym_comment,
      sym_block_comment,
  [724210] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25804), 1,
      anon_sym_EQ_GT,
    STATE(19270), 2,
      sym_comment,
      sym_block_comment,
  [724224] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25802), 1,
      anon_sym_RPAREN,
    STATE(19271), 2,
      sym_comment,
      sym_block_comment,
  [724238] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25806), 1,
      sym__indent,
    STATE(19272), 2,
      sym_comment,
      sym_block_comment,
  [724252] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25808), 1,
      sym__outdent,
    STATE(19273), 2,
      sym_comment,
      sym_block_comment,
  [724266] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25810), 1,
      anon_sym_RPAREN,
    STATE(19274), 2,
      sym_comment,
      sym_block_comment,
  [724280] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25812), 1,
      anon_sym_RPAREN,
    STATE(19275), 2,
      sym_comment,
      sym_block_comment,
  [724294] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25814), 1,
      sym__outdent,
    STATE(19276), 2,
      sym_comment,
      sym_block_comment,
  [724308] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25816), 1,
      anon_sym_EQ_GT,
    STATE(19277), 2,
      sym_comment,
      sym_block_comment,
  [724322] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25818), 1,
      anon_sym_EQ_GT_GT,
    STATE(19278), 2,
      sym_comment,
      sym_block_comment,
  [724336] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25820), 1,
      sym__indent,
    STATE(19279), 2,
      sym_comment,
      sym_block_comment,
  [724350] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25822), 1,
      sym__outdent,
    STATE(19280), 2,
      sym_comment,
      sym_block_comment,
  [724364] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25824), 1,
      sym__outdent,
    STATE(19281), 2,
      sym_comment,
      sym_block_comment,
  [724378] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25826), 1,
      anon_sym_COLON,
    STATE(19282), 2,
      sym_comment,
      sym_block_comment,
  [724392] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25828), 1,
      anon_sym_EQ_GT,
    STATE(19283), 2,
      sym_comment,
      sym_block_comment,
  [724406] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25830), 1,
      anon_sym_EQ_GT,
    STATE(19284), 2,
      sym_comment,
      sym_block_comment,
  [724420] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12044), 1,
      anon_sym_DOT,
    STATE(19285), 2,
      sym_comment,
      sym_block_comment,
  [724434] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25832), 1,
      sym__indent,
    STATE(19286), 2,
      sym_comment,
      sym_block_comment,
  [724448] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25834), 1,
      anon_sym_do,
    STATE(19287), 2,
      sym_comment,
      sym_block_comment,
  [724462] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25836), 1,
      sym__outdent,
    STATE(19288), 2,
      sym_comment,
      sym_block_comment,
  [724476] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25838), 1,
      anon_sym_EQ_GT_GT,
    STATE(19289), 2,
      sym_comment,
      sym_block_comment,
  [724490] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25840), 1,
      anon_sym_RBRACE,
    STATE(19290), 2,
      sym_comment,
      sym_block_comment,
  [724504] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25842), 1,
      anon_sym_EQ_GT,
    STATE(19291), 2,
      sym_comment,
      sym_block_comment,
  [724518] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(24319), 1,
      anon_sym_RBRACE,
    STATE(19292), 2,
      sym_comment,
      sym_block_comment,
  [724532] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25844), 1,
      sym__indent,
    STATE(19293), 2,
      sym_comment,
      sym_block_comment,
  [724546] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25846), 1,
      anon_sym_RPAREN,
    STATE(19294), 2,
      sym_comment,
      sym_block_comment,
  [724560] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25848), 1,
      anon_sym_RBRACE,
    STATE(19295), 2,
      sym_comment,
      sym_block_comment,
  [724574] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25850), 1,
      anon_sym_RBRACE,
    STATE(19296), 2,
      sym_comment,
      sym_block_comment,
  [724588] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25852), 1,
      anon_sym_RPAREN,
    STATE(19297), 2,
      sym_comment,
      sym_block_comment,
  [724602] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25854), 1,
      anon_sym_EQ_GT,
    STATE(19298), 2,
      sym_comment,
      sym_block_comment,
  [724616] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25856), 1,
      sym__outdent,
    STATE(19299), 2,
      sym_comment,
      sym_block_comment,
  [724630] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25858), 1,
      sym__indent,
    STATE(19300), 2,
      sym_comment,
      sym_block_comment,
  [724644] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25850), 1,
      anon_sym_RBRACK,
    STATE(19301), 2,
      sym_comment,
      sym_block_comment,
  [724658] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25860), 1,
      anon_sym_EQ_GT_GT,
    STATE(19302), 2,
      sym_comment,
      sym_block_comment,
  [724672] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25862), 1,
      sym__outdent,
    STATE(19303), 2,
      sym_comment,
      sym_block_comment,
  [724686] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25864), 1,
      anon_sym_else,
    STATE(19304), 2,
      sym_comment,
      sym_block_comment,
  [724700] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25866), 1,
      anon_sym_EQ_GT,
    STATE(19305), 2,
      sym_comment,
      sym_block_comment,
  [724714] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25868), 1,
      sym__outdent,
    STATE(19306), 2,
      sym_comment,
      sym_block_comment,
  [724728] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25870), 1,
      sym__indent,
    STATE(19307), 2,
      sym_comment,
      sym_block_comment,
  [724742] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25872), 1,
      anon_sym_do,
    STATE(19308), 2,
      sym_comment,
      sym_block_comment,
  [724756] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25874), 1,
      anon_sym_RBRACE,
    STATE(19309), 2,
      sym_comment,
      sym_block_comment,
  [724770] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25874), 1,
      anon_sym_RPAREN,
    STATE(19310), 2,
      sym_comment,
      sym_block_comment,
  [724784] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25876), 1,
      anon_sym_EQ_GT_GT,
    STATE(19311), 2,
      sym_comment,
      sym_block_comment,
  [724798] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25878), 1,
      anon_sym_EQ_GT,
    STATE(19312), 2,
      sym_comment,
      sym_block_comment,
  [724812] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25880), 1,
      sym__outdent,
    STATE(19313), 2,
      sym_comment,
      sym_block_comment,
  [724826] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25882), 1,
      sym__indent,
    STATE(19314), 2,
      sym_comment,
      sym_block_comment,
  [724840] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25884), 1,
      anon_sym_else,
    STATE(19315), 2,
      sym_comment,
      sym_block_comment,
  [724854] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25886), 1,
      anon_sym_do,
    STATE(19316), 2,
      sym_comment,
      sym_block_comment,
  [724868] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25888), 1,
      anon_sym_EQ_GT_GT,
    STATE(19317), 2,
      sym_comment,
      sym_block_comment,
  [724882] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25890), 1,
      anon_sym_RBRACE,
    STATE(19318), 2,
      sym_comment,
      sym_block_comment,
  [724896] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25892), 1,
      anon_sym_EQ_GT,
    STATE(19319), 2,
      sym_comment,
      sym_block_comment,
  [724910] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25894), 1,
      anon_sym_RBRACE,
    STATE(19320), 2,
      sym_comment,
      sym_block_comment,
  [724924] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25896), 1,
      sym__indent,
    STATE(19321), 2,
      sym_comment,
      sym_block_comment,
  [724938] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25898), 1,
      anon_sym_RPAREN,
    STATE(19322), 2,
      sym_comment,
      sym_block_comment,
  [724952] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25900), 1,
      sym__outdent,
    STATE(19323), 2,
      sym_comment,
      sym_block_comment,
  [724966] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25902), 1,
      anon_sym_EQ_GT,
    STATE(19324), 2,
      sym_comment,
      sym_block_comment,
  [724980] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25904), 1,
      anon_sym_EQ_GT_GT,
    STATE(19325), 2,
      sym_comment,
      sym_block_comment,
  [724994] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25906), 1,
      anon_sym_EQ_GT,
    STATE(19326), 2,
      sym_comment,
      sym_block_comment,
  [725008] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12945), 1,
      anon_sym_EQ_GT,
    STATE(19327), 2,
      sym_comment,
      sym_block_comment,
  [725022] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25908), 1,
      sym__indent,
    STATE(19328), 2,
      sym_comment,
      sym_block_comment,
  [725036] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25910), 1,
      anon_sym_EQ_GT_GT,
    STATE(19329), 2,
      sym_comment,
      sym_block_comment,
  [725050] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25912), 1,
      anon_sym_RPAREN,
    STATE(19330), 2,
      sym_comment,
      sym_block_comment,
  [725064] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25914), 1,
      sym__outdent,
    STATE(19331), 2,
      sym_comment,
      sym_block_comment,
  [725078] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12947), 1,
      anon_sym_EQ_GT,
    STATE(19332), 2,
      sym_comment,
      sym_block_comment,
  [725092] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25916), 1,
      anon_sym_EQ_GT,
    STATE(19333), 2,
      sym_comment,
      sym_block_comment,
  [725106] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25918), 1,
      anon_sym_COLON,
    STATE(19334), 2,
      sym_comment,
      sym_block_comment,
  [725120] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25920), 1,
      sym__indent,
    STATE(19335), 2,
      sym_comment,
      sym_block_comment,
  [725134] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25922), 1,
      anon_sym_EQ_GT_GT,
    STATE(19336), 2,
      sym_comment,
      sym_block_comment,
  [725148] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25924), 1,
      anon_sym_RPAREN,
    STATE(19337), 2,
      sym_comment,
      sym_block_comment,
  [725162] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25926), 1,
      anon_sym_EQ_GT_GT,
    STATE(19338), 2,
      sym_comment,
      sym_block_comment,
  [725176] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25928), 1,
      sym__outdent,
    STATE(19339), 2,
      sym_comment,
      sym_block_comment,
  [725190] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25930), 1,
      anon_sym_EQ_GT,
    STATE(19340), 2,
      sym_comment,
      sym_block_comment,
  [725204] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25932), 1,
      anon_sym_RPAREN,
    STATE(19341), 2,
      sym_comment,
      sym_block_comment,
  [725218] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25934), 1,
      sym__indent,
    STATE(19342), 2,
      sym_comment,
      sym_block_comment,
  [725232] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25936), 1,
      anon_sym_EQ_GT_GT,
    STATE(19343), 2,
      sym_comment,
      sym_block_comment,
  [725246] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12913), 1,
      anon_sym_DOT,
    STATE(19344), 2,
      sym_comment,
      sym_block_comment,
  [725260] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25938), 1,
      anon_sym_RPAREN,
    STATE(19345), 2,
      sym_comment,
      sym_block_comment,
  [725274] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11989), 1,
      anon_sym_EQ_GT,
    STATE(19346), 2,
      sym_comment,
      sym_block_comment,
  [725288] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25940), 1,
      anon_sym_EQ_GT,
    STATE(19347), 2,
      sym_comment,
      sym_block_comment,
  [725302] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25942), 1,
      anon_sym_do,
    STATE(19348), 2,
      sym_comment,
      sym_block_comment,
  [725316] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25944), 1,
      sym__indent,
    STATE(19349), 2,
      sym_comment,
      sym_block_comment,
  [725330] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25946), 1,
      anon_sym_COLON,
    STATE(19350), 2,
      sym_comment,
      sym_block_comment,
  [725344] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25948), 1,
      anon_sym_RPAREN,
    STATE(19351), 2,
      sym_comment,
      sym_block_comment,
  [725358] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25950), 1,
      anon_sym_COLON,
    STATE(19352), 2,
      sym_comment,
      sym_block_comment,
  [725372] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10959), 1,
      anon_sym_DOT,
    STATE(19353), 2,
      sym_comment,
      sym_block_comment,
  [725386] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25952), 1,
      anon_sym_EQ_GT,
    STATE(19354), 2,
      sym_comment,
      sym_block_comment,
  [725400] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25954), 1,
      sym__outdent,
    STATE(19355), 2,
      sym_comment,
      sym_block_comment,
  [725414] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25956), 1,
      sym__indent,
    STATE(19356), 2,
      sym_comment,
      sym_block_comment,
  [725428] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25958), 1,
      anon_sym_else,
    STATE(19357), 2,
      sym_comment,
      sym_block_comment,
  [725442] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25960), 1,
      anon_sym_else,
    STATE(19358), 2,
      sym_comment,
      sym_block_comment,
  [725456] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25962), 1,
      anon_sym_RBRACE,
    STATE(19359), 2,
      sym_comment,
      sym_block_comment,
  [725470] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25964), 1,
      anon_sym_RPAREN,
    STATE(19360), 2,
      sym_comment,
      sym_block_comment,
  [725484] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25966), 1,
      anon_sym_EQ_GT,
    STATE(19361), 2,
      sym_comment,
      sym_block_comment,
  [725498] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25968), 1,
      sym__outdent,
    STATE(19362), 2,
      sym_comment,
      sym_block_comment,
  [725512] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25970), 1,
      sym__indent,
    STATE(19363), 2,
      sym_comment,
      sym_block_comment,
  [725526] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25972), 1,
      sym__outdent,
    STATE(19364), 2,
      sym_comment,
      sym_block_comment,
  [725540] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25974), 1,
      sym__outdent,
    STATE(19365), 2,
      sym_comment,
      sym_block_comment,
  [725554] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25976), 1,
      anon_sym_RPAREN,
    STATE(19366), 2,
      sym_comment,
      sym_block_comment,
  [725568] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25978), 1,
      sym__outdent,
    STATE(19367), 2,
      sym_comment,
      sym_block_comment,
  [725582] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25980), 1,
      anon_sym_EQ_GT,
    STATE(19368), 2,
      sym_comment,
      sym_block_comment,
  [725596] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25982), 1,
      anon_sym_RPAREN,
    STATE(19369), 2,
      sym_comment,
      sym_block_comment,
  [725610] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25984), 1,
      sym__indent,
    STATE(19370), 2,
      sym_comment,
      sym_block_comment,
  [725624] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25986), 1,
      anon_sym_RBRACE,
    STATE(19371), 2,
      sym_comment,
      sym_block_comment,
  [725638] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25988), 1,
      anon_sym_RBRACE,
    STATE(19372), 2,
      sym_comment,
      sym_block_comment,
  [725652] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12915), 1,
      anon_sym_EQ_GT,
    STATE(19373), 2,
      sym_comment,
      sym_block_comment,
  [725666] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25990), 1,
      sym__outdent,
    STATE(19374), 2,
      sym_comment,
      sym_block_comment,
  [725680] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25992), 1,
      anon_sym_EQ_GT,
    STATE(19375), 2,
      sym_comment,
      sym_block_comment,
  [725694] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18602), 1,
      anon_sym_EQ_GT,
    STATE(19376), 2,
      sym_comment,
      sym_block_comment,
  [725708] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25994), 1,
      sym__indent,
    STATE(19377), 2,
      sym_comment,
      sym_block_comment,
  [725722] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25996), 1,
      anon_sym_else,
    STATE(19378), 2,
      sym_comment,
      sym_block_comment,
  [725736] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(25998), 1,
      anon_sym_RBRACE,
    STATE(19379), 2,
      sym_comment,
      sym_block_comment,
  [725750] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26000), 1,
      anon_sym_RPAREN,
    STATE(19380), 2,
      sym_comment,
      sym_block_comment,
  [725764] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26002), 1,
      anon_sym_RBRACE,
    STATE(19381), 2,
      sym_comment,
      sym_block_comment,
  [725778] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26004), 1,
      anon_sym_EQ_GT,
    STATE(19382), 2,
      sym_comment,
      sym_block_comment,
  [725792] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26006), 1,
      anon_sym_RBRACE,
    STATE(19383), 2,
      sym_comment,
      sym_block_comment,
  [725806] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26008), 1,
      sym__indent,
    STATE(19384), 2,
      sym_comment,
      sym_block_comment,
  [725820] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26010), 1,
      anon_sym_LPAREN,
    STATE(19385), 2,
      sym_comment,
      sym_block_comment,
  [725834] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26012), 1,
      sym__outdent,
    STATE(19386), 2,
      sym_comment,
      sym_block_comment,
  [725848] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26014), 1,
      anon_sym_RPAREN,
    STATE(19387), 2,
      sym_comment,
      sym_block_comment,
  [725862] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26016), 1,
      anon_sym_RPAREN,
    STATE(19388), 2,
      sym_comment,
      sym_block_comment,
  [725876] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26018), 1,
      anon_sym_EQ_GT,
    STATE(19389), 2,
      sym_comment,
      sym_block_comment,
  [725890] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26020), 1,
      anon_sym_else,
    STATE(19390), 2,
      sym_comment,
      sym_block_comment,
  [725904] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26022), 1,
      sym__indent,
    STATE(19391), 2,
      sym_comment,
      sym_block_comment,
  [725918] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16228), 1,
      anon_sym_def,
    STATE(19392), 2,
      sym_comment,
      sym_block_comment,
  [725932] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26024), 1,
      anon_sym_EQ_GT,
    STATE(19393), 2,
      sym_comment,
      sym_block_comment,
  [725946] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26026), 1,
      anon_sym_do,
    STATE(19394), 2,
      sym_comment,
      sym_block_comment,
  [725960] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26028), 1,
      anon_sym_EQ_GT_GT,
    STATE(19395), 2,
      sym_comment,
      sym_block_comment,
  [725974] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26030), 1,
      sym__indent,
    STATE(19396), 2,
      sym_comment,
      sym_block_comment,
  [725988] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26032), 1,
      anon_sym_RPAREN,
    STATE(19397), 2,
      sym_comment,
      sym_block_comment,
  [726002] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26034), 1,
      sym__outdent,
    STATE(19398), 2,
      sym_comment,
      sym_block_comment,
  [726016] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26036), 1,
      sym__outdent,
    STATE(19399), 2,
      sym_comment,
      sym_block_comment,
  [726030] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26038), 1,
      anon_sym_EQ_GT_GT,
    STATE(19400), 2,
      sym_comment,
      sym_block_comment,
  [726044] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26040), 1,
      sym__indent,
    STATE(19401), 2,
      sym_comment,
      sym_block_comment,
  [726058] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26042), 1,
      anon_sym_EQ_GT_GT,
    STATE(19402), 2,
      sym_comment,
      sym_block_comment,
  [726072] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26044), 1,
      anon_sym_RPAREN,
    STATE(19403), 2,
      sym_comment,
      sym_block_comment,
  [726086] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26046), 1,
      anon_sym_EQ_GT_GT,
    STATE(19404), 2,
      sym_comment,
      sym_block_comment,
  [726100] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26048), 1,
      sym__outdent,
    STATE(19405), 2,
      sym_comment,
      sym_block_comment,
  [726114] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26050), 1,
      sym__indent,
    STATE(19406), 2,
      sym_comment,
      sym_block_comment,
  [726128] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26052), 1,
      anon_sym_RBRACE,
    STATE(19407), 2,
      sym_comment,
      sym_block_comment,
  [726142] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26054), 1,
      anon_sym_else,
    STATE(19408), 2,
      sym_comment,
      sym_block_comment,
  [726156] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26056), 1,
      anon_sym_do,
    STATE(19409), 2,
      sym_comment,
      sym_block_comment,
  [726170] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26058), 1,
      sym__outdent,
    STATE(19410), 2,
      sym_comment,
      sym_block_comment,
  [726184] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26060), 1,
      sym__indent,
    STATE(19411), 2,
      sym_comment,
      sym_block_comment,
  [726198] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26062), 1,
      anon_sym_RPAREN,
    STATE(19412), 2,
      sym_comment,
      sym_block_comment,
  [726212] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26064), 1,
      sym__outdent,
    STATE(19413), 2,
      sym_comment,
      sym_block_comment,
  [726226] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26066), 1,
      anon_sym_COLON,
    STATE(19414), 2,
      sym_comment,
      sym_block_comment,
  [726240] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11959), 1,
      anon_sym_DOT,
    STATE(19415), 2,
      sym_comment,
      sym_block_comment,
  [726254] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26068), 1,
      sym__indent,
    STATE(19416), 2,
      sym_comment,
      sym_block_comment,
  [726268] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26070), 1,
      anon_sym_else,
    STATE(19417), 2,
      sym_comment,
      sym_block_comment,
  [726282] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26072), 1,
      sym__outdent,
    STATE(19418), 2,
      sym_comment,
      sym_block_comment,
  [726296] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26074), 1,
      anon_sym_RPAREN,
    STATE(19419), 2,
      sym_comment,
      sym_block_comment,
  [726310] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26076), 1,
      anon_sym_RBRACE,
    STATE(19420), 2,
      sym_comment,
      sym_block_comment,
  [726324] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26078), 1,
      sym__indent,
    STATE(19421), 2,
      sym_comment,
      sym_block_comment,
  [726338] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26080), 1,
      anon_sym_RBRACE,
    STATE(19422), 2,
      sym_comment,
      sym_block_comment,
  [726352] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26082), 1,
      anon_sym_RPAREN,
    STATE(19423), 2,
      sym_comment,
      sym_block_comment,
  [726366] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26084), 1,
      anon_sym_RBRACE,
    STATE(19424), 2,
      sym_comment,
      sym_block_comment,
  [726380] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26086), 1,
      sym__outdent,
    STATE(19425), 2,
      sym_comment,
      sym_block_comment,
  [726394] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26088), 1,
      sym__indent,
    STATE(19426), 2,
      sym_comment,
      sym_block_comment,
  [726408] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26090), 1,
      sym__outdent,
    STATE(19427), 2,
      sym_comment,
      sym_block_comment,
  [726422] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26092), 1,
      anon_sym_else,
    STATE(19428), 2,
      sym_comment,
      sym_block_comment,
  [726436] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26094), 1,
      sym__outdent,
    STATE(19429), 2,
      sym_comment,
      sym_block_comment,
  [726450] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26096), 1,
      anon_sym_RBRACE,
    STATE(19430), 2,
      sym_comment,
      sym_block_comment,
  [726464] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26098), 1,
      sym__indent,
    STATE(19431), 2,
      sym_comment,
      sym_block_comment,
  [726478] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26096), 1,
      anon_sym_RPAREN,
    STATE(19432), 2,
      sym_comment,
      sym_block_comment,
  [726492] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26100), 1,
      anon_sym_do,
    STATE(19433), 2,
      sym_comment,
      sym_block_comment,
  [726506] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26102), 1,
      anon_sym_RPAREN,
    STATE(19434), 2,
      sym_comment,
      sym_block_comment,
  [726520] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26104), 1,
      sym__outdent,
    STATE(19435), 2,
      sym_comment,
      sym_block_comment,
  [726534] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26106), 1,
      sym__indent,
    STATE(19436), 2,
      sym_comment,
      sym_block_comment,
  [726548] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26108), 1,
      anon_sym_RBRACE,
    STATE(19437), 2,
      sym_comment,
      sym_block_comment,
  [726562] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26110), 1,
      anon_sym_RBRACE,
    STATE(19438), 2,
      sym_comment,
      sym_block_comment,
  [726576] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26108), 1,
      anon_sym_RPAREN,
    STATE(19439), 2,
      sym_comment,
      sym_block_comment,
  [726590] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26112), 1,
      anon_sym_RBRACE,
    STATE(19440), 2,
      sym_comment,
      sym_block_comment,
  [726604] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26114), 1,
      sym__indent,
    STATE(19441), 2,
      sym_comment,
      sym_block_comment,
  [726618] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26116), 1,
      anon_sym_else,
    STATE(19442), 2,
      sym_comment,
      sym_block_comment,
  [726632] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26118), 1,
      anon_sym_RBRACE,
    STATE(19443), 2,
      sym_comment,
      sym_block_comment,
  [726646] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26120), 1,
      anon_sym_EQ_GT,
    STATE(19444), 2,
      sym_comment,
      sym_block_comment,
  [726660] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26122), 1,
      anon_sym_RBRACE,
    STATE(19445), 2,
      sym_comment,
      sym_block_comment,
  [726674] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26124), 1,
      sym__indent,
    STATE(19446), 2,
      sym_comment,
      sym_block_comment,
  [726688] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26126), 1,
      sym__indent,
    STATE(19447), 2,
      sym_comment,
      sym_block_comment,
  [726702] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26128), 1,
      sym__indent,
    STATE(19448), 2,
      sym_comment,
      sym_block_comment,
  [726716] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26130), 1,
      sym__indent,
    STATE(19449), 2,
      sym_comment,
      sym_block_comment,
  [726730] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26132), 1,
      sym__indent,
    STATE(19450), 2,
      sym_comment,
      sym_block_comment,
  [726744] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26134), 1,
      sym__indent,
    STATE(19451), 2,
      sym_comment,
      sym_block_comment,
  [726758] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26136), 1,
      sym__indent,
    STATE(19452), 2,
      sym_comment,
      sym_block_comment,
  [726772] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26138), 1,
      sym__indent,
    STATE(19453), 2,
      sym_comment,
      sym_block_comment,
  [726786] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26140), 1,
      sym__indent,
    STATE(19454), 2,
      sym_comment,
      sym_block_comment,
  [726800] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26142), 1,
      sym__indent,
    STATE(19455), 2,
      sym_comment,
      sym_block_comment,
  [726814] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26144), 1,
      sym__indent,
    STATE(19456), 2,
      sym_comment,
      sym_block_comment,
  [726828] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26146), 1,
      sym__indent,
    STATE(19457), 2,
      sym_comment,
      sym_block_comment,
  [726842] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26148), 1,
      sym__indent,
    STATE(19458), 2,
      sym_comment,
      sym_block_comment,
  [726856] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26150), 1,
      sym__indent,
    STATE(19459), 2,
      sym_comment,
      sym_block_comment,
  [726870] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26152), 1,
      sym__indent,
    STATE(19460), 2,
      sym_comment,
      sym_block_comment,
  [726884] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26154), 1,
      sym__indent,
    STATE(19461), 2,
      sym_comment,
      sym_block_comment,
  [726898] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26156), 1,
      sym__indent,
    STATE(19462), 2,
      sym_comment,
      sym_block_comment,
  [726912] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26158), 1,
      sym__indent,
    STATE(19463), 2,
      sym_comment,
      sym_block_comment,
  [726926] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26160), 1,
      sym__indent,
    STATE(19464), 2,
      sym_comment,
      sym_block_comment,
  [726940] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26162), 1,
      sym__indent,
    STATE(19465), 2,
      sym_comment,
      sym_block_comment,
  [726954] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26164), 1,
      sym__indent,
    STATE(19466), 2,
      sym_comment,
      sym_block_comment,
  [726968] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26166), 1,
      sym__indent,
    STATE(19467), 2,
      sym_comment,
      sym_block_comment,
  [726982] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26168), 1,
      sym__indent,
    STATE(19468), 2,
      sym_comment,
      sym_block_comment,
  [726996] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26170), 1,
      sym__indent,
    STATE(19469), 2,
      sym_comment,
      sym_block_comment,
  [727010] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26172), 1,
      sym__indent,
    STATE(19470), 2,
      sym_comment,
      sym_block_comment,
  [727024] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26174), 1,
      sym__indent,
    STATE(19471), 2,
      sym_comment,
      sym_block_comment,
  [727038] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26176), 1,
      sym__indent,
    STATE(19472), 2,
      sym_comment,
      sym_block_comment,
  [727052] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26178), 1,
      sym__indent,
    STATE(19473), 2,
      sym_comment,
      sym_block_comment,
  [727066] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26180), 1,
      sym__indent,
    STATE(19474), 2,
      sym_comment,
      sym_block_comment,
  [727080] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26182), 1,
      sym__indent,
    STATE(19475), 2,
      sym_comment,
      sym_block_comment,
  [727094] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26184), 1,
      sym__indent,
    STATE(19476), 2,
      sym_comment,
      sym_block_comment,
  [727108] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26186), 1,
      sym__indent,
    STATE(19477), 2,
      sym_comment,
      sym_block_comment,
  [727122] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26188), 1,
      sym__indent,
    STATE(19478), 2,
      sym_comment,
      sym_block_comment,
  [727136] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26190), 1,
      sym__indent,
    STATE(19479), 2,
      sym_comment,
      sym_block_comment,
  [727150] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26192), 1,
      sym__indent,
    STATE(19480), 2,
      sym_comment,
      sym_block_comment,
  [727164] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26194), 1,
      sym__indent,
    STATE(19481), 2,
      sym_comment,
      sym_block_comment,
  [727178] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26196), 1,
      sym__indent,
    STATE(19482), 2,
      sym_comment,
      sym_block_comment,
  [727192] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26198), 1,
      sym__indent,
    STATE(19483), 2,
      sym_comment,
      sym_block_comment,
  [727206] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26200), 1,
      sym__indent,
    STATE(19484), 2,
      sym_comment,
      sym_block_comment,
  [727220] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26202), 1,
      sym__indent,
    STATE(19485), 2,
      sym_comment,
      sym_block_comment,
  [727234] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26204), 1,
      sym__indent,
    STATE(19486), 2,
      sym_comment,
      sym_block_comment,
  [727248] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26206), 1,
      sym__indent,
    STATE(19487), 2,
      sym_comment,
      sym_block_comment,
  [727262] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26208), 1,
      sym__indent,
    STATE(19488), 2,
      sym_comment,
      sym_block_comment,
  [727276] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26210), 1,
      sym__indent,
    STATE(19489), 2,
      sym_comment,
      sym_block_comment,
  [727290] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26212), 1,
      sym__indent,
    STATE(19490), 2,
      sym_comment,
      sym_block_comment,
  [727304] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26214), 1,
      sym__indent,
    STATE(19491), 2,
      sym_comment,
      sym_block_comment,
  [727318] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26216), 1,
      sym__indent,
    STATE(19492), 2,
      sym_comment,
      sym_block_comment,
  [727332] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26218), 1,
      sym__indent,
    STATE(19493), 2,
      sym_comment,
      sym_block_comment,
  [727346] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26220), 1,
      sym__indent,
    STATE(19494), 2,
      sym_comment,
      sym_block_comment,
  [727360] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26222), 1,
      sym__indent,
    STATE(19495), 2,
      sym_comment,
      sym_block_comment,
  [727374] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26224), 1,
      sym__indent,
    STATE(19496), 2,
      sym_comment,
      sym_block_comment,
  [727388] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26226), 1,
      sym__indent,
    STATE(19497), 2,
      sym_comment,
      sym_block_comment,
  [727402] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26110), 1,
      anon_sym_RBRACK,
    STATE(19498), 2,
      sym_comment,
      sym_block_comment,
  [727416] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26228), 1,
      anon_sym_RPAREN,
    STATE(19499), 2,
      sym_comment,
      sym_block_comment,
  [727430] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26230), 1,
      anon_sym_RBRACE,
    STATE(19500), 2,
      sym_comment,
      sym_block_comment,
  [727444] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26230), 1,
      anon_sym_RBRACK,
    STATE(19501), 2,
      sym_comment,
      sym_block_comment,
  [727458] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26232), 1,
      sym__outdent,
    STATE(19502), 2,
      sym_comment,
      sym_block_comment,
  [727472] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26234), 1,
      sym__outdent,
    STATE(19503), 2,
      sym_comment,
      sym_block_comment,
  [727486] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26236), 1,
      anon_sym_EQ_GT_GT,
    STATE(19504), 2,
      sym_comment,
      sym_block_comment,
  [727500] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26238), 1,
      anon_sym_RPAREN,
    STATE(19505), 2,
      sym_comment,
      sym_block_comment,
  [727514] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26240), 1,
      anon_sym_EQ_GT_GT,
    STATE(19506), 2,
      sym_comment,
      sym_block_comment,
  [727528] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26242), 1,
      sym__outdent,
    STATE(19507), 2,
      sym_comment,
      sym_block_comment,
  [727542] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26244), 1,
      anon_sym_else,
    STATE(19508), 2,
      sym_comment,
      sym_block_comment,
  [727556] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26246), 1,
      anon_sym_RBRACE,
    STATE(19509), 2,
      sym_comment,
      sym_block_comment,
  [727570] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26248), 1,
      sym__outdent,
    STATE(19510), 2,
      sym_comment,
      sym_block_comment,
  [727584] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26250), 1,
      anon_sym_EQ_GT_GT,
    STATE(19511), 2,
      sym_comment,
      sym_block_comment,
  [727598] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26252), 1,
      anon_sym_RBRACE,
    STATE(19512), 2,
      sym_comment,
      sym_block_comment,
  [727612] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26254), 1,
      anon_sym_EQ_GT,
    STATE(19513), 2,
      sym_comment,
      sym_block_comment,
  [727626] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26256), 1,
      sym__outdent,
    STATE(19514), 2,
      sym_comment,
      sym_block_comment,
  [727640] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26258), 1,
      anon_sym_EQ_GT_GT,
    STATE(19515), 2,
      sym_comment,
      sym_block_comment,
  [727654] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26260), 1,
      anon_sym_RPAREN,
    STATE(19516), 2,
      sym_comment,
      sym_block_comment,
  [727668] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26262), 1,
      sym__outdent,
    STATE(19517), 2,
      sym_comment,
      sym_block_comment,
  [727682] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26264), 1,
      anon_sym_RBRACE,
    STATE(19518), 2,
      sym_comment,
      sym_block_comment,
  [727696] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26266), 1,
      anon_sym_RPAREN,
    STATE(19519), 2,
      sym_comment,
      sym_block_comment,
  [727710] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26268), 1,
      anon_sym_RPAREN,
    STATE(19520), 2,
      sym_comment,
      sym_block_comment,
  [727724] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26270), 1,
      anon_sym_EQ_GT_GT,
    STATE(19521), 2,
      sym_comment,
      sym_block_comment,
  [727738] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26272), 1,
      anon_sym_EQ_GT_GT,
    STATE(19522), 2,
      sym_comment,
      sym_block_comment,
  [727752] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26274), 1,
      anon_sym_EQ_GT_GT,
    STATE(19523), 2,
      sym_comment,
      sym_block_comment,
  [727766] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26276), 1,
      anon_sym_else,
    STATE(19524), 2,
      sym_comment,
      sym_block_comment,
  [727780] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26278), 1,
      anon_sym_RBRACK,
    STATE(19525), 2,
      sym_comment,
      sym_block_comment,
  [727794] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26280), 1,
      anon_sym_RPAREN,
    STATE(19526), 2,
      sym_comment,
      sym_block_comment,
  [727808] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26282), 1,
      sym__outdent,
    STATE(19527), 2,
      sym_comment,
      sym_block_comment,
  [727822] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26284), 1,
      anon_sym_RPAREN,
    STATE(19528), 2,
      sym_comment,
      sym_block_comment,
  [727836] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26286), 1,
      anon_sym_EQ_GT_GT,
    STATE(19529), 2,
      sym_comment,
      sym_block_comment,
  [727850] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26288), 1,
      anon_sym_RBRACE,
    STATE(19530), 2,
      sym_comment,
      sym_block_comment,
  [727864] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26290), 1,
      anon_sym_else,
    STATE(19531), 2,
      sym_comment,
      sym_block_comment,
  [727878] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26292), 1,
      anon_sym_EQ_GT_GT,
    STATE(19532), 2,
      sym_comment,
      sym_block_comment,
  [727892] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26294), 1,
      anon_sym_COLON,
    STATE(19533), 2,
      sym_comment,
      sym_block_comment,
  [727906] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26296), 1,
      anon_sym_EQ_GT_GT,
    STATE(19534), 2,
      sym_comment,
      sym_block_comment,
  [727920] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11283), 1,
      anon_sym_DOT,
    STATE(19535), 2,
      sym_comment,
      sym_block_comment,
  [727934] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26298), 1,
      anon_sym_do,
    STATE(19536), 2,
      sym_comment,
      sym_block_comment,
  [727948] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26300), 1,
      sym__outdent,
    STATE(19537), 2,
      sym_comment,
      sym_block_comment,
  [727962] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26302), 1,
      anon_sym_EQ_GT_GT,
    STATE(19538), 2,
      sym_comment,
      sym_block_comment,
  [727976] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26304), 1,
      anon_sym_RPAREN,
    STATE(19539), 2,
      sym_comment,
      sym_block_comment,
  [727990] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26306), 1,
      anon_sym_RPAREN,
    STATE(19540), 2,
      sym_comment,
      sym_block_comment,
  [728004] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26308), 1,
      sym__outdent,
    STATE(19541), 2,
      sym_comment,
      sym_block_comment,
  [728018] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26310), 1,
      sym__outdent,
    STATE(19542), 2,
      sym_comment,
      sym_block_comment,
  [728032] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26312), 1,
      sym__outdent,
    STATE(19543), 2,
      sym_comment,
      sym_block_comment,
  [728046] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26314), 1,
      anon_sym_else,
    STATE(19544), 2,
      sym_comment,
      sym_block_comment,
  [728060] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26316), 1,
      anon_sym_RPAREN,
    STATE(19545), 2,
      sym_comment,
      sym_block_comment,
  [728074] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26318), 1,
      sym__outdent,
    STATE(19546), 2,
      sym_comment,
      sym_block_comment,
  [728088] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26320), 1,
      anon_sym_RBRACE,
    STATE(19547), 2,
      sym_comment,
      sym_block_comment,
  [728102] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26322), 1,
      anon_sym_EQ_GT_GT,
    STATE(19548), 2,
      sym_comment,
      sym_block_comment,
  [728116] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26324), 1,
      anon_sym_COLON,
    STATE(19549), 2,
      sym_comment,
      sym_block_comment,
  [728130] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26326), 1,
      anon_sym_RBRACE,
    STATE(19550), 2,
      sym_comment,
      sym_block_comment,
  [728144] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26329), 1,
      anon_sym_RBRACE,
    STATE(19551), 2,
      sym_comment,
      sym_block_comment,
  [728158] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26264), 1,
      anon_sym_RPAREN,
    STATE(19552), 2,
      sym_comment,
      sym_block_comment,
  [728172] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26331), 1,
      anon_sym_else,
    STATE(19553), 2,
      sym_comment,
      sym_block_comment,
  [728186] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26333), 1,
      sym__outdent,
    STATE(19554), 2,
      sym_comment,
      sym_block_comment,
  [728200] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26335), 1,
      anon_sym_RPAREN,
    STATE(19555), 2,
      sym_comment,
      sym_block_comment,
  [728214] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26337), 1,
      sym__outdent,
    STATE(19556), 2,
      sym_comment,
      sym_block_comment,
  [728228] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26339), 1,
      anon_sym_COLON,
    STATE(19557), 2,
      sym_comment,
      sym_block_comment,
  [728242] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26341), 1,
      anon_sym_else,
    STATE(19558), 2,
      sym_comment,
      sym_block_comment,
  [728256] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26343), 1,
      anon_sym_else,
    STATE(19559), 2,
      sym_comment,
      sym_block_comment,
  [728270] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26345), 1,
      anon_sym_do,
    STATE(19560), 2,
      sym_comment,
      sym_block_comment,
  [728284] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26347), 1,
      anon_sym_else,
    STATE(19561), 2,
      sym_comment,
      sym_block_comment,
  [728298] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(26349), 1,
      anon_sym_else,
    STATE(19562), 2,
      sym_comment,
      sym_block_comment,
  [728312] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11892), 1,
      anon_sym_EQ_GT,
    STATE(19563), 2,
      sym_comment,
      sym_block_comment,
  [728326] = 1,
    ACTIONS(26351), 1,
      ts_builtin_sym_end,
  [728330] = 1,
    ACTIONS(26353), 1,
      ts_builtin_sym_end,
  [728334] = 1,
    ACTIONS(26355), 1,
      ts_builtin_sym_end,
  [728338] = 1,
    ACTIONS(26357), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2547)] = 0,
  [SMALL_STATE(2548)] = 75,
  [SMALL_STATE(2549)] = 150,
  [SMALL_STATE(2550)] = 299,
  [SMALL_STATE(2551)] = 448,
  [SMALL_STATE(2552)] = 523,
  [SMALL_STATE(2553)] = 672,
  [SMALL_STATE(2554)] = 747,
  [SMALL_STATE(2555)] = 822,
  [SMALL_STATE(2556)] = 897,
  [SMALL_STATE(2557)] = 1046,
  [SMALL_STATE(2558)] = 1195,
  [SMALL_STATE(2559)] = 1270,
  [SMALL_STATE(2560)] = 1344,
  [SMALL_STATE(2561)] = 1487,
  [SMALL_STATE(2562)] = 1630,
  [SMALL_STATE(2563)] = 1773,
  [SMALL_STATE(2564)] = 1916,
  [SMALL_STATE(2565)] = 2059,
  [SMALL_STATE(2566)] = 2202,
  [SMALL_STATE(2567)] = 2345,
  [SMALL_STATE(2568)] = 2488,
  [SMALL_STATE(2569)] = 2631,
  [SMALL_STATE(2570)] = 2774,
  [SMALL_STATE(2571)] = 2917,
  [SMALL_STATE(2572)] = 3060,
  [SMALL_STATE(2573)] = 3203,
  [SMALL_STATE(2574)] = 3346,
  [SMALL_STATE(2575)] = 3489,
  [SMALL_STATE(2576)] = 3632,
  [SMALL_STATE(2577)] = 3775,
  [SMALL_STATE(2578)] = 3918,
  [SMALL_STATE(2579)] = 4061,
  [SMALL_STATE(2580)] = 4204,
  [SMALL_STATE(2581)] = 4347,
  [SMALL_STATE(2582)] = 4490,
  [SMALL_STATE(2583)] = 4633,
  [SMALL_STATE(2584)] = 4776,
  [SMALL_STATE(2585)] = 4919,
  [SMALL_STATE(2586)] = 5062,
  [SMALL_STATE(2587)] = 5200,
  [SMALL_STATE(2588)] = 5338,
  [SMALL_STATE(2589)] = 5476,
  [SMALL_STATE(2590)] = 5614,
  [SMALL_STATE(2591)] = 5752,
  [SMALL_STATE(2592)] = 5890,
  [SMALL_STATE(2593)] = 6028,
  [SMALL_STATE(2594)] = 6166,
  [SMALL_STATE(2595)] = 6304,
  [SMALL_STATE(2596)] = 6442,
  [SMALL_STATE(2597)] = 6580,
  [SMALL_STATE(2598)] = 6718,
  [SMALL_STATE(2599)] = 6856,
  [SMALL_STATE(2600)] = 6994,
  [SMALL_STATE(2601)] = 7132,
  [SMALL_STATE(2602)] = 7270,
  [SMALL_STATE(2603)] = 7408,
  [SMALL_STATE(2604)] = 7546,
  [SMALL_STATE(2605)] = 7684,
  [SMALL_STATE(2606)] = 7822,
  [SMALL_STATE(2607)] = 7960,
  [SMALL_STATE(2608)] = 8098,
  [SMALL_STATE(2609)] = 8236,
  [SMALL_STATE(2610)] = 8374,
  [SMALL_STATE(2611)] = 8512,
  [SMALL_STATE(2612)] = 8650,
  [SMALL_STATE(2613)] = 8788,
  [SMALL_STATE(2614)] = 8926,
  [SMALL_STATE(2615)] = 9064,
  [SMALL_STATE(2616)] = 9202,
  [SMALL_STATE(2617)] = 9340,
  [SMALL_STATE(2618)] = 9478,
  [SMALL_STATE(2619)] = 9616,
  [SMALL_STATE(2620)] = 9754,
  [SMALL_STATE(2621)] = 9892,
  [SMALL_STATE(2622)] = 10030,
  [SMALL_STATE(2623)] = 10168,
  [SMALL_STATE(2624)] = 10306,
  [SMALL_STATE(2625)] = 10444,
  [SMALL_STATE(2626)] = 10582,
  [SMALL_STATE(2627)] = 10720,
  [SMALL_STATE(2628)] = 10858,
  [SMALL_STATE(2629)] = 10996,
  [SMALL_STATE(2630)] = 11134,
  [SMALL_STATE(2631)] = 11272,
  [SMALL_STATE(2632)] = 11410,
  [SMALL_STATE(2633)] = 11548,
  [SMALL_STATE(2634)] = 11686,
  [SMALL_STATE(2635)] = 11824,
  [SMALL_STATE(2636)] = 11962,
  [SMALL_STATE(2637)] = 12100,
  [SMALL_STATE(2638)] = 12238,
  [SMALL_STATE(2639)] = 12376,
  [SMALL_STATE(2640)] = 12514,
  [SMALL_STATE(2641)] = 12652,
  [SMALL_STATE(2642)] = 12790,
  [SMALL_STATE(2643)] = 12928,
  [SMALL_STATE(2644)] = 13066,
  [SMALL_STATE(2645)] = 13204,
  [SMALL_STATE(2646)] = 13339,
  [SMALL_STATE(2647)] = 13474,
  [SMALL_STATE(2648)] = 13609,
  [SMALL_STATE(2649)] = 13744,
  [SMALL_STATE(2650)] = 13879,
  [SMALL_STATE(2651)] = 14014,
  [SMALL_STATE(2652)] = 14149,
  [SMALL_STATE(2653)] = 14284,
  [SMALL_STATE(2654)] = 14419,
  [SMALL_STATE(2655)] = 14554,
  [SMALL_STATE(2656)] = 14689,
  [SMALL_STATE(2657)] = 14824,
  [SMALL_STATE(2658)] = 14959,
  [SMALL_STATE(2659)] = 15094,
  [SMALL_STATE(2660)] = 15229,
  [SMALL_STATE(2661)] = 15364,
  [SMALL_STATE(2662)] = 15499,
  [SMALL_STATE(2663)] = 15634,
  [SMALL_STATE(2664)] = 15769,
  [SMALL_STATE(2665)] = 15904,
  [SMALL_STATE(2666)] = 16039,
  [SMALL_STATE(2667)] = 16174,
  [SMALL_STATE(2668)] = 16309,
  [SMALL_STATE(2669)] = 16444,
  [SMALL_STATE(2670)] = 16579,
  [SMALL_STATE(2671)] = 16714,
  [SMALL_STATE(2672)] = 16849,
  [SMALL_STATE(2673)] = 16984,
  [SMALL_STATE(2674)] = 17119,
  [SMALL_STATE(2675)] = 17254,
  [SMALL_STATE(2676)] = 17389,
  [SMALL_STATE(2677)] = 17524,
  [SMALL_STATE(2678)] = 17659,
  [SMALL_STATE(2679)] = 17794,
  [SMALL_STATE(2680)] = 17929,
  [SMALL_STATE(2681)] = 18064,
  [SMALL_STATE(2682)] = 18199,
  [SMALL_STATE(2683)] = 18334,
  [SMALL_STATE(2684)] = 18469,
  [SMALL_STATE(2685)] = 18604,
  [SMALL_STATE(2686)] = 18739,
  [SMALL_STATE(2687)] = 18874,
  [SMALL_STATE(2688)] = 19009,
  [SMALL_STATE(2689)] = 19144,
  [SMALL_STATE(2690)] = 19279,
  [SMALL_STATE(2691)] = 19414,
  [SMALL_STATE(2692)] = 19549,
  [SMALL_STATE(2693)] = 19684,
  [SMALL_STATE(2694)] = 19819,
  [SMALL_STATE(2695)] = 19954,
  [SMALL_STATE(2696)] = 20089,
  [SMALL_STATE(2697)] = 20224,
  [SMALL_STATE(2698)] = 20359,
  [SMALL_STATE(2699)] = 20494,
  [SMALL_STATE(2700)] = 20629,
  [SMALL_STATE(2701)] = 20764,
  [SMALL_STATE(2702)] = 20899,
  [SMALL_STATE(2703)] = 21034,
  [SMALL_STATE(2704)] = 21169,
  [SMALL_STATE(2705)] = 21304,
  [SMALL_STATE(2706)] = 21439,
  [SMALL_STATE(2707)] = 21574,
  [SMALL_STATE(2708)] = 21709,
  [SMALL_STATE(2709)] = 21844,
  [SMALL_STATE(2710)] = 21979,
  [SMALL_STATE(2711)] = 22114,
  [SMALL_STATE(2712)] = 22249,
  [SMALL_STATE(2713)] = 22384,
  [SMALL_STATE(2714)] = 22519,
  [SMALL_STATE(2715)] = 22654,
  [SMALL_STATE(2716)] = 22789,
  [SMALL_STATE(2717)] = 22921,
  [SMALL_STATE(2718)] = 23053,
  [SMALL_STATE(2719)] = 23185,
  [SMALL_STATE(2720)] = 23317,
  [SMALL_STATE(2721)] = 23449,
  [SMALL_STATE(2722)] = 23581,
  [SMALL_STATE(2723)] = 23713,
  [SMALL_STATE(2724)] = 23845,
  [SMALL_STATE(2725)] = 23977,
  [SMALL_STATE(2726)] = 24109,
  [SMALL_STATE(2727)] = 24241,
  [SMALL_STATE(2728)] = 24373,
  [SMALL_STATE(2729)] = 24505,
  [SMALL_STATE(2730)] = 24636,
  [SMALL_STATE(2731)] = 24769,
  [SMALL_STATE(2732)] = 24900,
  [SMALL_STATE(2733)] = 25031,
  [SMALL_STATE(2734)] = 25162,
  [SMALL_STATE(2735)] = 25295,
  [SMALL_STATE(2736)] = 25368,
  [SMALL_STATE(2737)] = 25497,
  [SMALL_STATE(2738)] = 25628,
  [SMALL_STATE(2739)] = 25759,
  [SMALL_STATE(2740)] = 25887,
  [SMALL_STATE(2741)] = 26015,
  [SMALL_STATE(2742)] = 26143,
  [SMALL_STATE(2743)] = 26271,
  [SMALL_STATE(2744)] = 26399,
  [SMALL_STATE(2745)] = 26527,
  [SMALL_STATE(2746)] = 26655,
  [SMALL_STATE(2747)] = 26783,
  [SMALL_STATE(2748)] = 26911,
  [SMALL_STATE(2749)] = 27039,
  [SMALL_STATE(2750)] = 27167,
  [SMALL_STATE(2751)] = 27295,
  [SMALL_STATE(2752)] = 27423,
  [SMALL_STATE(2753)] = 27551,
  [SMALL_STATE(2754)] = 27679,
  [SMALL_STATE(2755)] = 27807,
  [SMALL_STATE(2756)] = 27935,
  [SMALL_STATE(2757)] = 28063,
  [SMALL_STATE(2758)] = 28191,
  [SMALL_STATE(2759)] = 28319,
  [SMALL_STATE(2760)] = 28447,
  [SMALL_STATE(2761)] = 28575,
  [SMALL_STATE(2762)] = 28703,
  [SMALL_STATE(2763)] = 28831,
  [SMALL_STATE(2764)] = 28959,
  [SMALL_STATE(2765)] = 29087,
  [SMALL_STATE(2766)] = 29215,
  [SMALL_STATE(2767)] = 29343,
  [SMALL_STATE(2768)] = 29471,
  [SMALL_STATE(2769)] = 29599,
  [SMALL_STATE(2770)] = 29727,
  [SMALL_STATE(2771)] = 29855,
  [SMALL_STATE(2772)] = 29983,
  [SMALL_STATE(2773)] = 30111,
  [SMALL_STATE(2774)] = 30239,
  [SMALL_STATE(2775)] = 30367,
  [SMALL_STATE(2776)] = 30495,
  [SMALL_STATE(2777)] = 30623,
  [SMALL_STATE(2778)] = 30751,
  [SMALL_STATE(2779)] = 30879,
  [SMALL_STATE(2780)] = 31007,
  [SMALL_STATE(2781)] = 31135,
  [SMALL_STATE(2782)] = 31263,
  [SMALL_STATE(2783)] = 31391,
  [SMALL_STATE(2784)] = 31519,
  [SMALL_STATE(2785)] = 31647,
  [SMALL_STATE(2786)] = 31775,
  [SMALL_STATE(2787)] = 31903,
  [SMALL_STATE(2788)] = 32031,
  [SMALL_STATE(2789)] = 32159,
  [SMALL_STATE(2790)] = 32287,
  [SMALL_STATE(2791)] = 32415,
  [SMALL_STATE(2792)] = 32543,
  [SMALL_STATE(2793)] = 32671,
  [SMALL_STATE(2794)] = 32799,
  [SMALL_STATE(2795)] = 32927,
  [SMALL_STATE(2796)] = 33055,
  [SMALL_STATE(2797)] = 33183,
  [SMALL_STATE(2798)] = 33311,
  [SMALL_STATE(2799)] = 33439,
  [SMALL_STATE(2800)] = 33567,
  [SMALL_STATE(2801)] = 33695,
  [SMALL_STATE(2802)] = 33823,
  [SMALL_STATE(2803)] = 33951,
  [SMALL_STATE(2804)] = 34079,
  [SMALL_STATE(2805)] = 34207,
  [SMALL_STATE(2806)] = 34335,
  [SMALL_STATE(2807)] = 34463,
  [SMALL_STATE(2808)] = 34591,
  [SMALL_STATE(2809)] = 34719,
  [SMALL_STATE(2810)] = 34847,
  [SMALL_STATE(2811)] = 34975,
  [SMALL_STATE(2812)] = 35103,
  [SMALL_STATE(2813)] = 35231,
  [SMALL_STATE(2814)] = 35359,
  [SMALL_STATE(2815)] = 35487,
  [SMALL_STATE(2816)] = 35615,
  [SMALL_STATE(2817)] = 35743,
  [SMALL_STATE(2818)] = 35871,
  [SMALL_STATE(2819)] = 35999,
  [SMALL_STATE(2820)] = 36127,
  [SMALL_STATE(2821)] = 36255,
  [SMALL_STATE(2822)] = 36383,
  [SMALL_STATE(2823)] = 36511,
  [SMALL_STATE(2824)] = 36639,
  [SMALL_STATE(2825)] = 36767,
  [SMALL_STATE(2826)] = 36895,
  [SMALL_STATE(2827)] = 37023,
  [SMALL_STATE(2828)] = 37151,
  [SMALL_STATE(2829)] = 37279,
  [SMALL_STATE(2830)] = 37407,
  [SMALL_STATE(2831)] = 37535,
  [SMALL_STATE(2832)] = 37663,
  [SMALL_STATE(2833)] = 37791,
  [SMALL_STATE(2834)] = 37919,
  [SMALL_STATE(2835)] = 38047,
  [SMALL_STATE(2836)] = 38175,
  [SMALL_STATE(2837)] = 38303,
  [SMALL_STATE(2838)] = 38431,
  [SMALL_STATE(2839)] = 38559,
  [SMALL_STATE(2840)] = 38687,
  [SMALL_STATE(2841)] = 38815,
  [SMALL_STATE(2842)] = 38943,
  [SMALL_STATE(2843)] = 39071,
  [SMALL_STATE(2844)] = 39199,
  [SMALL_STATE(2845)] = 39327,
  [SMALL_STATE(2846)] = 39455,
  [SMALL_STATE(2847)] = 39583,
  [SMALL_STATE(2848)] = 39711,
  [SMALL_STATE(2849)] = 39839,
  [SMALL_STATE(2850)] = 39967,
  [SMALL_STATE(2851)] = 40095,
  [SMALL_STATE(2852)] = 40223,
  [SMALL_STATE(2853)] = 40351,
  [SMALL_STATE(2854)] = 40479,
  [SMALL_STATE(2855)] = 40607,
  [SMALL_STATE(2856)] = 40735,
  [SMALL_STATE(2857)] = 40863,
  [SMALL_STATE(2858)] = 40991,
  [SMALL_STATE(2859)] = 41119,
  [SMALL_STATE(2860)] = 41247,
  [SMALL_STATE(2861)] = 41375,
  [SMALL_STATE(2862)] = 41503,
  [SMALL_STATE(2863)] = 41631,
  [SMALL_STATE(2864)] = 41759,
  [SMALL_STATE(2865)] = 41887,
  [SMALL_STATE(2866)] = 42015,
  [SMALL_STATE(2867)] = 42143,
  [SMALL_STATE(2868)] = 42271,
  [SMALL_STATE(2869)] = 42399,
  [SMALL_STATE(2870)] = 42527,
  [SMALL_STATE(2871)] = 42655,
  [SMALL_STATE(2872)] = 42783,
  [SMALL_STATE(2873)] = 42911,
  [SMALL_STATE(2874)] = 43039,
  [SMALL_STATE(2875)] = 43167,
  [SMALL_STATE(2876)] = 43295,
  [SMALL_STATE(2877)] = 43423,
  [SMALL_STATE(2878)] = 43551,
  [SMALL_STATE(2879)] = 43679,
  [SMALL_STATE(2880)] = 43807,
  [SMALL_STATE(2881)] = 43935,
  [SMALL_STATE(2882)] = 44063,
  [SMALL_STATE(2883)] = 44191,
  [SMALL_STATE(2884)] = 44319,
  [SMALL_STATE(2885)] = 44447,
  [SMALL_STATE(2886)] = 44575,
  [SMALL_STATE(2887)] = 44703,
  [SMALL_STATE(2888)] = 44831,
  [SMALL_STATE(2889)] = 44959,
  [SMALL_STATE(2890)] = 45087,
  [SMALL_STATE(2891)] = 45215,
  [SMALL_STATE(2892)] = 45343,
  [SMALL_STATE(2893)] = 45471,
  [SMALL_STATE(2894)] = 45599,
  [SMALL_STATE(2895)] = 45727,
  [SMALL_STATE(2896)] = 45855,
  [SMALL_STATE(2897)] = 45983,
  [SMALL_STATE(2898)] = 46111,
  [SMALL_STATE(2899)] = 46239,
  [SMALL_STATE(2900)] = 46367,
  [SMALL_STATE(2901)] = 46495,
  [SMALL_STATE(2902)] = 46623,
  [SMALL_STATE(2903)] = 46751,
  [SMALL_STATE(2904)] = 46879,
  [SMALL_STATE(2905)] = 47007,
  [SMALL_STATE(2906)] = 47135,
  [SMALL_STATE(2907)] = 47263,
  [SMALL_STATE(2908)] = 47391,
  [SMALL_STATE(2909)] = 47519,
  [SMALL_STATE(2910)] = 47647,
  [SMALL_STATE(2911)] = 47775,
  [SMALL_STATE(2912)] = 47903,
  [SMALL_STATE(2913)] = 48031,
  [SMALL_STATE(2914)] = 48159,
  [SMALL_STATE(2915)] = 48287,
  [SMALL_STATE(2916)] = 48415,
  [SMALL_STATE(2917)] = 48543,
  [SMALL_STATE(2918)] = 48671,
  [SMALL_STATE(2919)] = 48799,
  [SMALL_STATE(2920)] = 48927,
  [SMALL_STATE(2921)] = 49055,
  [SMALL_STATE(2922)] = 49183,
  [SMALL_STATE(2923)] = 49311,
  [SMALL_STATE(2924)] = 49439,
  [SMALL_STATE(2925)] = 49567,
  [SMALL_STATE(2926)] = 49695,
  [SMALL_STATE(2927)] = 49823,
  [SMALL_STATE(2928)] = 49951,
  [SMALL_STATE(2929)] = 50079,
  [SMALL_STATE(2930)] = 50207,
  [SMALL_STATE(2931)] = 50335,
  [SMALL_STATE(2932)] = 50463,
  [SMALL_STATE(2933)] = 50591,
  [SMALL_STATE(2934)] = 50719,
  [SMALL_STATE(2935)] = 50847,
  [SMALL_STATE(2936)] = 50975,
  [SMALL_STATE(2937)] = 51103,
  [SMALL_STATE(2938)] = 51231,
  [SMALL_STATE(2939)] = 51359,
  [SMALL_STATE(2940)] = 51487,
  [SMALL_STATE(2941)] = 51615,
  [SMALL_STATE(2942)] = 51743,
  [SMALL_STATE(2943)] = 51871,
  [SMALL_STATE(2944)] = 51999,
  [SMALL_STATE(2945)] = 52127,
  [SMALL_STATE(2946)] = 52255,
  [SMALL_STATE(2947)] = 52383,
  [SMALL_STATE(2948)] = 52511,
  [SMALL_STATE(2949)] = 52639,
  [SMALL_STATE(2950)] = 52767,
  [SMALL_STATE(2951)] = 52895,
  [SMALL_STATE(2952)] = 53023,
  [SMALL_STATE(2953)] = 53151,
  [SMALL_STATE(2954)] = 53279,
  [SMALL_STATE(2955)] = 53407,
  [SMALL_STATE(2956)] = 53535,
  [SMALL_STATE(2957)] = 53663,
  [SMALL_STATE(2958)] = 53791,
  [SMALL_STATE(2959)] = 53919,
  [SMALL_STATE(2960)] = 54047,
  [SMALL_STATE(2961)] = 54175,
  [SMALL_STATE(2962)] = 54303,
  [SMALL_STATE(2963)] = 54431,
  [SMALL_STATE(2964)] = 54559,
  [SMALL_STATE(2965)] = 54687,
  [SMALL_STATE(2966)] = 54815,
  [SMALL_STATE(2967)] = 54943,
  [SMALL_STATE(2968)] = 55071,
  [SMALL_STATE(2969)] = 55199,
  [SMALL_STATE(2970)] = 55327,
  [SMALL_STATE(2971)] = 55455,
  [SMALL_STATE(2972)] = 55583,
  [SMALL_STATE(2973)] = 55711,
  [SMALL_STATE(2974)] = 55839,
  [SMALL_STATE(2975)] = 55967,
  [SMALL_STATE(2976)] = 56095,
  [SMALL_STATE(2977)] = 56223,
  [SMALL_STATE(2978)] = 56351,
  [SMALL_STATE(2979)] = 56479,
  [SMALL_STATE(2980)] = 56607,
  [SMALL_STATE(2981)] = 56735,
  [SMALL_STATE(2982)] = 56863,
  [SMALL_STATE(2983)] = 56991,
  [SMALL_STATE(2984)] = 57119,
  [SMALL_STATE(2985)] = 57247,
  [SMALL_STATE(2986)] = 57375,
  [SMALL_STATE(2987)] = 57503,
  [SMALL_STATE(2988)] = 57631,
  [SMALL_STATE(2989)] = 57759,
  [SMALL_STATE(2990)] = 57887,
  [SMALL_STATE(2991)] = 58015,
  [SMALL_STATE(2992)] = 58143,
  [SMALL_STATE(2993)] = 58271,
  [SMALL_STATE(2994)] = 58399,
  [SMALL_STATE(2995)] = 58527,
  [SMALL_STATE(2996)] = 58655,
  [SMALL_STATE(2997)] = 58783,
  [SMALL_STATE(2998)] = 58911,
  [SMALL_STATE(2999)] = 59039,
  [SMALL_STATE(3000)] = 59167,
  [SMALL_STATE(3001)] = 59295,
  [SMALL_STATE(3002)] = 59423,
  [SMALL_STATE(3003)] = 59551,
  [SMALL_STATE(3004)] = 59679,
  [SMALL_STATE(3005)] = 59807,
  [SMALL_STATE(3006)] = 59935,
  [SMALL_STATE(3007)] = 60063,
  [SMALL_STATE(3008)] = 60191,
  [SMALL_STATE(3009)] = 60319,
  [SMALL_STATE(3010)] = 60447,
  [SMALL_STATE(3011)] = 60575,
  [SMALL_STATE(3012)] = 60703,
  [SMALL_STATE(3013)] = 60831,
  [SMALL_STATE(3014)] = 60959,
  [SMALL_STATE(3015)] = 61087,
  [SMALL_STATE(3016)] = 61215,
  [SMALL_STATE(3017)] = 61343,
  [SMALL_STATE(3018)] = 61471,
  [SMALL_STATE(3019)] = 61599,
  [SMALL_STATE(3020)] = 61727,
  [SMALL_STATE(3021)] = 61855,
  [SMALL_STATE(3022)] = 61983,
  [SMALL_STATE(3023)] = 62111,
  [SMALL_STATE(3024)] = 62239,
  [SMALL_STATE(3025)] = 62367,
  [SMALL_STATE(3026)] = 62495,
  [SMALL_STATE(3027)] = 62623,
  [SMALL_STATE(3028)] = 62751,
  [SMALL_STATE(3029)] = 62879,
  [SMALL_STATE(3030)] = 63007,
  [SMALL_STATE(3031)] = 63135,
  [SMALL_STATE(3032)] = 63263,
  [SMALL_STATE(3033)] = 63391,
  [SMALL_STATE(3034)] = 63519,
  [SMALL_STATE(3035)] = 63647,
  [SMALL_STATE(3036)] = 63775,
  [SMALL_STATE(3037)] = 63903,
  [SMALL_STATE(3038)] = 64031,
  [SMALL_STATE(3039)] = 64159,
  [SMALL_STATE(3040)] = 64287,
  [SMALL_STATE(3041)] = 64415,
  [SMALL_STATE(3042)] = 64543,
  [SMALL_STATE(3043)] = 64671,
  [SMALL_STATE(3044)] = 64799,
  [SMALL_STATE(3045)] = 64927,
  [SMALL_STATE(3046)] = 65055,
  [SMALL_STATE(3047)] = 65183,
  [SMALL_STATE(3048)] = 65311,
  [SMALL_STATE(3049)] = 65439,
  [SMALL_STATE(3050)] = 65567,
  [SMALL_STATE(3051)] = 65695,
  [SMALL_STATE(3052)] = 65823,
  [SMALL_STATE(3053)] = 65951,
  [SMALL_STATE(3054)] = 66079,
  [SMALL_STATE(3055)] = 66207,
  [SMALL_STATE(3056)] = 66335,
  [SMALL_STATE(3057)] = 66463,
  [SMALL_STATE(3058)] = 66591,
  [SMALL_STATE(3059)] = 66719,
  [SMALL_STATE(3060)] = 66847,
  [SMALL_STATE(3061)] = 66975,
  [SMALL_STATE(3062)] = 67103,
  [SMALL_STATE(3063)] = 67231,
  [SMALL_STATE(3064)] = 67359,
  [SMALL_STATE(3065)] = 67487,
  [SMALL_STATE(3066)] = 67615,
  [SMALL_STATE(3067)] = 67743,
  [SMALL_STATE(3068)] = 67871,
  [SMALL_STATE(3069)] = 67999,
  [SMALL_STATE(3070)] = 68127,
  [SMALL_STATE(3071)] = 68255,
  [SMALL_STATE(3072)] = 68383,
  [SMALL_STATE(3073)] = 68511,
  [SMALL_STATE(3074)] = 68639,
  [SMALL_STATE(3075)] = 68767,
  [SMALL_STATE(3076)] = 68895,
  [SMALL_STATE(3077)] = 69023,
  [SMALL_STATE(3078)] = 69151,
  [SMALL_STATE(3079)] = 69279,
  [SMALL_STATE(3080)] = 69407,
  [SMALL_STATE(3081)] = 69535,
  [SMALL_STATE(3082)] = 69663,
  [SMALL_STATE(3083)] = 69791,
  [SMALL_STATE(3084)] = 69919,
  [SMALL_STATE(3085)] = 70047,
  [SMALL_STATE(3086)] = 70175,
  [SMALL_STATE(3087)] = 70303,
  [SMALL_STATE(3088)] = 70431,
  [SMALL_STATE(3089)] = 70559,
  [SMALL_STATE(3090)] = 70687,
  [SMALL_STATE(3091)] = 70759,
  [SMALL_STATE(3092)] = 70887,
  [SMALL_STATE(3093)] = 71015,
  [SMALL_STATE(3094)] = 71143,
  [SMALL_STATE(3095)] = 71271,
  [SMALL_STATE(3096)] = 71399,
  [SMALL_STATE(3097)] = 71527,
  [SMALL_STATE(3098)] = 71655,
  [SMALL_STATE(3099)] = 71783,
  [SMALL_STATE(3100)] = 71911,
  [SMALL_STATE(3101)] = 72039,
  [SMALL_STATE(3102)] = 72167,
  [SMALL_STATE(3103)] = 72295,
  [SMALL_STATE(3104)] = 72423,
  [SMALL_STATE(3105)] = 72551,
  [SMALL_STATE(3106)] = 72679,
  [SMALL_STATE(3107)] = 72807,
  [SMALL_STATE(3108)] = 72935,
  [SMALL_STATE(3109)] = 73063,
  [SMALL_STATE(3110)] = 73191,
  [SMALL_STATE(3111)] = 73319,
  [SMALL_STATE(3112)] = 73447,
  [SMALL_STATE(3113)] = 73575,
  [SMALL_STATE(3114)] = 73703,
  [SMALL_STATE(3115)] = 73831,
  [SMALL_STATE(3116)] = 73959,
  [SMALL_STATE(3117)] = 74087,
  [SMALL_STATE(3118)] = 74215,
  [SMALL_STATE(3119)] = 74343,
  [SMALL_STATE(3120)] = 74471,
  [SMALL_STATE(3121)] = 74599,
  [SMALL_STATE(3122)] = 74727,
  [SMALL_STATE(3123)] = 74855,
  [SMALL_STATE(3124)] = 74983,
  [SMALL_STATE(3125)] = 75111,
  [SMALL_STATE(3126)] = 75239,
  [SMALL_STATE(3127)] = 75367,
  [SMALL_STATE(3128)] = 75495,
  [SMALL_STATE(3129)] = 75623,
  [SMALL_STATE(3130)] = 75751,
  [SMALL_STATE(3131)] = 75879,
  [SMALL_STATE(3132)] = 76007,
  [SMALL_STATE(3133)] = 76135,
  [SMALL_STATE(3134)] = 76263,
  [SMALL_STATE(3135)] = 76391,
  [SMALL_STATE(3136)] = 76519,
  [SMALL_STATE(3137)] = 76647,
  [SMALL_STATE(3138)] = 76775,
  [SMALL_STATE(3139)] = 76903,
  [SMALL_STATE(3140)] = 77031,
  [SMALL_STATE(3141)] = 77159,
  [SMALL_STATE(3142)] = 77287,
  [SMALL_STATE(3143)] = 77415,
  [SMALL_STATE(3144)] = 77543,
  [SMALL_STATE(3145)] = 77671,
  [SMALL_STATE(3146)] = 77799,
  [SMALL_STATE(3147)] = 77927,
  [SMALL_STATE(3148)] = 78055,
  [SMALL_STATE(3149)] = 78183,
  [SMALL_STATE(3150)] = 78311,
  [SMALL_STATE(3151)] = 78439,
  [SMALL_STATE(3152)] = 78567,
  [SMALL_STATE(3153)] = 78695,
  [SMALL_STATE(3154)] = 78823,
  [SMALL_STATE(3155)] = 78951,
  [SMALL_STATE(3156)] = 79079,
  [SMALL_STATE(3157)] = 79207,
  [SMALL_STATE(3158)] = 79335,
  [SMALL_STATE(3159)] = 79463,
  [SMALL_STATE(3160)] = 79591,
  [SMALL_STATE(3161)] = 79719,
  [SMALL_STATE(3162)] = 79847,
  [SMALL_STATE(3163)] = 79975,
  [SMALL_STATE(3164)] = 80103,
  [SMALL_STATE(3165)] = 80231,
  [SMALL_STATE(3166)] = 80359,
  [SMALL_STATE(3167)] = 80487,
  [SMALL_STATE(3168)] = 80615,
  [SMALL_STATE(3169)] = 80743,
  [SMALL_STATE(3170)] = 80871,
  [SMALL_STATE(3171)] = 80999,
  [SMALL_STATE(3172)] = 81127,
  [SMALL_STATE(3173)] = 81255,
  [SMALL_STATE(3174)] = 81383,
  [SMALL_STATE(3175)] = 81511,
  [SMALL_STATE(3176)] = 81639,
  [SMALL_STATE(3177)] = 81767,
  [SMALL_STATE(3178)] = 81895,
  [SMALL_STATE(3179)] = 82023,
  [SMALL_STATE(3180)] = 82151,
  [SMALL_STATE(3181)] = 82279,
  [SMALL_STATE(3182)] = 82407,
  [SMALL_STATE(3183)] = 82535,
  [SMALL_STATE(3184)] = 82663,
  [SMALL_STATE(3185)] = 82791,
  [SMALL_STATE(3186)] = 82919,
  [SMALL_STATE(3187)] = 83047,
  [SMALL_STATE(3188)] = 83175,
  [SMALL_STATE(3189)] = 83303,
  [SMALL_STATE(3190)] = 83431,
  [SMALL_STATE(3191)] = 83559,
  [SMALL_STATE(3192)] = 83687,
  [SMALL_STATE(3193)] = 83815,
  [SMALL_STATE(3194)] = 83943,
  [SMALL_STATE(3195)] = 84071,
  [SMALL_STATE(3196)] = 84199,
  [SMALL_STATE(3197)] = 84327,
  [SMALL_STATE(3198)] = 84455,
  [SMALL_STATE(3199)] = 84583,
  [SMALL_STATE(3200)] = 84711,
  [SMALL_STATE(3201)] = 84839,
  [SMALL_STATE(3202)] = 84967,
  [SMALL_STATE(3203)] = 85095,
  [SMALL_STATE(3204)] = 85223,
  [SMALL_STATE(3205)] = 85351,
  [SMALL_STATE(3206)] = 85479,
  [SMALL_STATE(3207)] = 85607,
  [SMALL_STATE(3208)] = 85735,
  [SMALL_STATE(3209)] = 85863,
  [SMALL_STATE(3210)] = 85991,
  [SMALL_STATE(3211)] = 86119,
  [SMALL_STATE(3212)] = 86247,
  [SMALL_STATE(3213)] = 86375,
  [SMALL_STATE(3214)] = 86503,
  [SMALL_STATE(3215)] = 86631,
  [SMALL_STATE(3216)] = 86759,
  [SMALL_STATE(3217)] = 86887,
  [SMALL_STATE(3218)] = 87015,
  [SMALL_STATE(3219)] = 87143,
  [SMALL_STATE(3220)] = 87271,
  [SMALL_STATE(3221)] = 87399,
  [SMALL_STATE(3222)] = 87527,
  [SMALL_STATE(3223)] = 87655,
  [SMALL_STATE(3224)] = 87783,
  [SMALL_STATE(3225)] = 87911,
  [SMALL_STATE(3226)] = 88039,
  [SMALL_STATE(3227)] = 88167,
  [SMALL_STATE(3228)] = 88295,
  [SMALL_STATE(3229)] = 88423,
  [SMALL_STATE(3230)] = 88551,
  [SMALL_STATE(3231)] = 88679,
  [SMALL_STATE(3232)] = 88807,
  [SMALL_STATE(3233)] = 88935,
  [SMALL_STATE(3234)] = 89063,
  [SMALL_STATE(3235)] = 89191,
  [SMALL_STATE(3236)] = 89319,
  [SMALL_STATE(3237)] = 89447,
  [SMALL_STATE(3238)] = 89575,
  [SMALL_STATE(3239)] = 89703,
  [SMALL_STATE(3240)] = 89831,
  [SMALL_STATE(3241)] = 89959,
  [SMALL_STATE(3242)] = 90087,
  [SMALL_STATE(3243)] = 90215,
  [SMALL_STATE(3244)] = 90343,
  [SMALL_STATE(3245)] = 90471,
  [SMALL_STATE(3246)] = 90599,
  [SMALL_STATE(3247)] = 90727,
  [SMALL_STATE(3248)] = 90855,
  [SMALL_STATE(3249)] = 90983,
  [SMALL_STATE(3250)] = 91111,
  [SMALL_STATE(3251)] = 91239,
  [SMALL_STATE(3252)] = 91367,
  [SMALL_STATE(3253)] = 91495,
  [SMALL_STATE(3254)] = 91623,
  [SMALL_STATE(3255)] = 91751,
  [SMALL_STATE(3256)] = 91879,
  [SMALL_STATE(3257)] = 92007,
  [SMALL_STATE(3258)] = 92135,
  [SMALL_STATE(3259)] = 92263,
  [SMALL_STATE(3260)] = 92391,
  [SMALL_STATE(3261)] = 92519,
  [SMALL_STATE(3262)] = 92647,
  [SMALL_STATE(3263)] = 92775,
  [SMALL_STATE(3264)] = 92903,
  [SMALL_STATE(3265)] = 93031,
  [SMALL_STATE(3266)] = 93159,
  [SMALL_STATE(3267)] = 93287,
  [SMALL_STATE(3268)] = 93415,
  [SMALL_STATE(3269)] = 93543,
  [SMALL_STATE(3270)] = 93671,
  [SMALL_STATE(3271)] = 93799,
  [SMALL_STATE(3272)] = 93927,
  [SMALL_STATE(3273)] = 94055,
  [SMALL_STATE(3274)] = 94183,
  [SMALL_STATE(3275)] = 94311,
  [SMALL_STATE(3276)] = 94439,
  [SMALL_STATE(3277)] = 94567,
  [SMALL_STATE(3278)] = 94695,
  [SMALL_STATE(3279)] = 94823,
  [SMALL_STATE(3280)] = 94951,
  [SMALL_STATE(3281)] = 95079,
  [SMALL_STATE(3282)] = 95207,
  [SMALL_STATE(3283)] = 95335,
  [SMALL_STATE(3284)] = 95463,
  [SMALL_STATE(3285)] = 95591,
  [SMALL_STATE(3286)] = 95719,
  [SMALL_STATE(3287)] = 95847,
  [SMALL_STATE(3288)] = 95975,
  [SMALL_STATE(3289)] = 96103,
  [SMALL_STATE(3290)] = 96231,
  [SMALL_STATE(3291)] = 96359,
  [SMALL_STATE(3292)] = 96487,
  [SMALL_STATE(3293)] = 96615,
  [SMALL_STATE(3294)] = 96743,
  [SMALL_STATE(3295)] = 96871,
  [SMALL_STATE(3296)] = 96999,
  [SMALL_STATE(3297)] = 97127,
  [SMALL_STATE(3298)] = 97255,
  [SMALL_STATE(3299)] = 97383,
  [SMALL_STATE(3300)] = 97511,
  [SMALL_STATE(3301)] = 97639,
  [SMALL_STATE(3302)] = 97767,
  [SMALL_STATE(3303)] = 97895,
  [SMALL_STATE(3304)] = 98023,
  [SMALL_STATE(3305)] = 98151,
  [SMALL_STATE(3306)] = 98279,
  [SMALL_STATE(3307)] = 98407,
  [SMALL_STATE(3308)] = 98535,
  [SMALL_STATE(3309)] = 98663,
  [SMALL_STATE(3310)] = 98791,
  [SMALL_STATE(3311)] = 98919,
  [SMALL_STATE(3312)] = 99047,
  [SMALL_STATE(3313)] = 99175,
  [SMALL_STATE(3314)] = 99303,
  [SMALL_STATE(3315)] = 99431,
  [SMALL_STATE(3316)] = 99559,
  [SMALL_STATE(3317)] = 99687,
  [SMALL_STATE(3318)] = 99815,
  [SMALL_STATE(3319)] = 99943,
  [SMALL_STATE(3320)] = 100071,
  [SMALL_STATE(3321)] = 100199,
  [SMALL_STATE(3322)] = 100327,
  [SMALL_STATE(3323)] = 100455,
  [SMALL_STATE(3324)] = 100583,
  [SMALL_STATE(3325)] = 100655,
  [SMALL_STATE(3326)] = 100783,
  [SMALL_STATE(3327)] = 100911,
  [SMALL_STATE(3328)] = 101039,
  [SMALL_STATE(3329)] = 101167,
  [SMALL_STATE(3330)] = 101295,
  [SMALL_STATE(3331)] = 101423,
  [SMALL_STATE(3332)] = 101551,
  [SMALL_STATE(3333)] = 101679,
  [SMALL_STATE(3334)] = 101807,
  [SMALL_STATE(3335)] = 101935,
  [SMALL_STATE(3336)] = 102063,
  [SMALL_STATE(3337)] = 102191,
  [SMALL_STATE(3338)] = 102319,
  [SMALL_STATE(3339)] = 102447,
  [SMALL_STATE(3340)] = 102575,
  [SMALL_STATE(3341)] = 102703,
  [SMALL_STATE(3342)] = 102831,
  [SMALL_STATE(3343)] = 102959,
  [SMALL_STATE(3344)] = 103087,
  [SMALL_STATE(3345)] = 103215,
  [SMALL_STATE(3346)] = 103343,
  [SMALL_STATE(3347)] = 103471,
  [SMALL_STATE(3348)] = 103599,
  [SMALL_STATE(3349)] = 103727,
  [SMALL_STATE(3350)] = 103855,
  [SMALL_STATE(3351)] = 103983,
  [SMALL_STATE(3352)] = 104111,
  [SMALL_STATE(3353)] = 104239,
  [SMALL_STATE(3354)] = 104367,
  [SMALL_STATE(3355)] = 104495,
  [SMALL_STATE(3356)] = 104623,
  [SMALL_STATE(3357)] = 104751,
  [SMALL_STATE(3358)] = 104879,
  [SMALL_STATE(3359)] = 105007,
  [SMALL_STATE(3360)] = 105135,
  [SMALL_STATE(3361)] = 105260,
  [SMALL_STATE(3362)] = 105385,
  [SMALL_STATE(3363)] = 105510,
  [SMALL_STATE(3364)] = 105635,
  [SMALL_STATE(3365)] = 105760,
  [SMALL_STATE(3366)] = 105885,
  [SMALL_STATE(3367)] = 106010,
  [SMALL_STATE(3368)] = 106135,
  [SMALL_STATE(3369)] = 106260,
  [SMALL_STATE(3370)] = 106385,
  [SMALL_STATE(3371)] = 106510,
  [SMALL_STATE(3372)] = 106635,
  [SMALL_STATE(3373)] = 106760,
  [SMALL_STATE(3374)] = 106885,
  [SMALL_STATE(3375)] = 107010,
  [SMALL_STATE(3376)] = 107135,
  [SMALL_STATE(3377)] = 107260,
  [SMALL_STATE(3378)] = 107385,
  [SMALL_STATE(3379)] = 107510,
  [SMALL_STATE(3380)] = 107635,
  [SMALL_STATE(3381)] = 107760,
  [SMALL_STATE(3382)] = 107885,
  [SMALL_STATE(3383)] = 108010,
  [SMALL_STATE(3384)] = 108135,
  [SMALL_STATE(3385)] = 108260,
  [SMALL_STATE(3386)] = 108385,
  [SMALL_STATE(3387)] = 108510,
  [SMALL_STATE(3388)] = 108635,
  [SMALL_STATE(3389)] = 108760,
  [SMALL_STATE(3390)] = 108885,
  [SMALL_STATE(3391)] = 109010,
  [SMALL_STATE(3392)] = 109135,
  [SMALL_STATE(3393)] = 109260,
  [SMALL_STATE(3394)] = 109385,
  [SMALL_STATE(3395)] = 109510,
  [SMALL_STATE(3396)] = 109635,
  [SMALL_STATE(3397)] = 109760,
  [SMALL_STATE(3398)] = 109885,
  [SMALL_STATE(3399)] = 110010,
  [SMALL_STATE(3400)] = 110135,
  [SMALL_STATE(3401)] = 110260,
  [SMALL_STATE(3402)] = 110385,
  [SMALL_STATE(3403)] = 110510,
  [SMALL_STATE(3404)] = 110635,
  [SMALL_STATE(3405)] = 110760,
  [SMALL_STATE(3406)] = 110885,
  [SMALL_STATE(3407)] = 111010,
  [SMALL_STATE(3408)] = 111135,
  [SMALL_STATE(3409)] = 111260,
  [SMALL_STATE(3410)] = 111385,
  [SMALL_STATE(3411)] = 111510,
  [SMALL_STATE(3412)] = 111635,
  [SMALL_STATE(3413)] = 111760,
  [SMALL_STATE(3414)] = 111885,
  [SMALL_STATE(3415)] = 112010,
  [SMALL_STATE(3416)] = 112135,
  [SMALL_STATE(3417)] = 112260,
  [SMALL_STATE(3418)] = 112385,
  [SMALL_STATE(3419)] = 112510,
  [SMALL_STATE(3420)] = 112635,
  [SMALL_STATE(3421)] = 112760,
  [SMALL_STATE(3422)] = 112885,
  [SMALL_STATE(3423)] = 113010,
  [SMALL_STATE(3424)] = 113135,
  [SMALL_STATE(3425)] = 113260,
  [SMALL_STATE(3426)] = 113385,
  [SMALL_STATE(3427)] = 113510,
  [SMALL_STATE(3428)] = 113635,
  [SMALL_STATE(3429)] = 113760,
  [SMALL_STATE(3430)] = 113885,
  [SMALL_STATE(3431)] = 114010,
  [SMALL_STATE(3432)] = 114135,
  [SMALL_STATE(3433)] = 114260,
  [SMALL_STATE(3434)] = 114385,
  [SMALL_STATE(3435)] = 114510,
  [SMALL_STATE(3436)] = 114635,
  [SMALL_STATE(3437)] = 114760,
  [SMALL_STATE(3438)] = 114885,
  [SMALL_STATE(3439)] = 115010,
  [SMALL_STATE(3440)] = 115135,
  [SMALL_STATE(3441)] = 115260,
  [SMALL_STATE(3442)] = 115385,
  [SMALL_STATE(3443)] = 115510,
  [SMALL_STATE(3444)] = 115635,
  [SMALL_STATE(3445)] = 115760,
  [SMALL_STATE(3446)] = 115885,
  [SMALL_STATE(3447)] = 116010,
  [SMALL_STATE(3448)] = 116135,
  [SMALL_STATE(3449)] = 116260,
  [SMALL_STATE(3450)] = 116385,
  [SMALL_STATE(3451)] = 116510,
  [SMALL_STATE(3452)] = 116635,
  [SMALL_STATE(3453)] = 116760,
  [SMALL_STATE(3454)] = 116885,
  [SMALL_STATE(3455)] = 117010,
  [SMALL_STATE(3456)] = 117135,
  [SMALL_STATE(3457)] = 117260,
  [SMALL_STATE(3458)] = 117385,
  [SMALL_STATE(3459)] = 117510,
  [SMALL_STATE(3460)] = 117635,
  [SMALL_STATE(3461)] = 117760,
  [SMALL_STATE(3462)] = 117885,
  [SMALL_STATE(3463)] = 118010,
  [SMALL_STATE(3464)] = 118135,
  [SMALL_STATE(3465)] = 118260,
  [SMALL_STATE(3466)] = 118385,
  [SMALL_STATE(3467)] = 118510,
  [SMALL_STATE(3468)] = 118635,
  [SMALL_STATE(3469)] = 118760,
  [SMALL_STATE(3470)] = 118885,
  [SMALL_STATE(3471)] = 119010,
  [SMALL_STATE(3472)] = 119135,
  [SMALL_STATE(3473)] = 119260,
  [SMALL_STATE(3474)] = 119385,
  [SMALL_STATE(3475)] = 119510,
  [SMALL_STATE(3476)] = 119635,
  [SMALL_STATE(3477)] = 119760,
  [SMALL_STATE(3478)] = 119885,
  [SMALL_STATE(3479)] = 120010,
  [SMALL_STATE(3480)] = 120135,
  [SMALL_STATE(3481)] = 120260,
  [SMALL_STATE(3482)] = 120385,
  [SMALL_STATE(3483)] = 120510,
  [SMALL_STATE(3484)] = 120635,
  [SMALL_STATE(3485)] = 120760,
  [SMALL_STATE(3486)] = 120885,
  [SMALL_STATE(3487)] = 121010,
  [SMALL_STATE(3488)] = 121135,
  [SMALL_STATE(3489)] = 121260,
  [SMALL_STATE(3490)] = 121385,
  [SMALL_STATE(3491)] = 121510,
  [SMALL_STATE(3492)] = 121635,
  [SMALL_STATE(3493)] = 121760,
  [SMALL_STATE(3494)] = 121885,
  [SMALL_STATE(3495)] = 122010,
  [SMALL_STATE(3496)] = 122135,
  [SMALL_STATE(3497)] = 122260,
  [SMALL_STATE(3498)] = 122385,
  [SMALL_STATE(3499)] = 122510,
  [SMALL_STATE(3500)] = 122635,
  [SMALL_STATE(3501)] = 122760,
  [SMALL_STATE(3502)] = 122885,
  [SMALL_STATE(3503)] = 123010,
  [SMALL_STATE(3504)] = 123135,
  [SMALL_STATE(3505)] = 123260,
  [SMALL_STATE(3506)] = 123385,
  [SMALL_STATE(3507)] = 123510,
  [SMALL_STATE(3508)] = 123635,
  [SMALL_STATE(3509)] = 123760,
  [SMALL_STATE(3510)] = 123885,
  [SMALL_STATE(3511)] = 124010,
  [SMALL_STATE(3512)] = 124135,
  [SMALL_STATE(3513)] = 124260,
  [SMALL_STATE(3514)] = 124385,
  [SMALL_STATE(3515)] = 124510,
  [SMALL_STATE(3516)] = 124635,
  [SMALL_STATE(3517)] = 124760,
  [SMALL_STATE(3518)] = 124885,
  [SMALL_STATE(3519)] = 125010,
  [SMALL_STATE(3520)] = 125135,
  [SMALL_STATE(3521)] = 125260,
  [SMALL_STATE(3522)] = 125385,
  [SMALL_STATE(3523)] = 125510,
  [SMALL_STATE(3524)] = 125635,
  [SMALL_STATE(3525)] = 125760,
  [SMALL_STATE(3526)] = 125885,
  [SMALL_STATE(3527)] = 126010,
  [SMALL_STATE(3528)] = 126135,
  [SMALL_STATE(3529)] = 126260,
  [SMALL_STATE(3530)] = 126385,
  [SMALL_STATE(3531)] = 126510,
  [SMALL_STATE(3532)] = 126635,
  [SMALL_STATE(3533)] = 126760,
  [SMALL_STATE(3534)] = 126831,
  [SMALL_STATE(3535)] = 126956,
  [SMALL_STATE(3536)] = 127081,
  [SMALL_STATE(3537)] = 127206,
  [SMALL_STATE(3538)] = 127331,
  [SMALL_STATE(3539)] = 127456,
  [SMALL_STATE(3540)] = 127581,
  [SMALL_STATE(3541)] = 127706,
  [SMALL_STATE(3542)] = 127831,
  [SMALL_STATE(3543)] = 127956,
  [SMALL_STATE(3544)] = 128081,
  [SMALL_STATE(3545)] = 128206,
  [SMALL_STATE(3546)] = 128331,
  [SMALL_STATE(3547)] = 128456,
  [SMALL_STATE(3548)] = 128527,
  [SMALL_STATE(3549)] = 128652,
  [SMALL_STATE(3550)] = 128777,
  [SMALL_STATE(3551)] = 128902,
  [SMALL_STATE(3552)] = 129027,
  [SMALL_STATE(3553)] = 129152,
  [SMALL_STATE(3554)] = 129277,
  [SMALL_STATE(3555)] = 129402,
  [SMALL_STATE(3556)] = 129527,
  [SMALL_STATE(3557)] = 129652,
  [SMALL_STATE(3558)] = 129777,
  [SMALL_STATE(3559)] = 129902,
  [SMALL_STATE(3560)] = 130027,
  [SMALL_STATE(3561)] = 130152,
  [SMALL_STATE(3562)] = 130277,
  [SMALL_STATE(3563)] = 130402,
  [SMALL_STATE(3564)] = 130527,
  [SMALL_STATE(3565)] = 130652,
  [SMALL_STATE(3566)] = 130777,
  [SMALL_STATE(3567)] = 130902,
  [SMALL_STATE(3568)] = 131027,
  [SMALL_STATE(3569)] = 131152,
  [SMALL_STATE(3570)] = 131277,
  [SMALL_STATE(3571)] = 131402,
  [SMALL_STATE(3572)] = 131527,
  [SMALL_STATE(3573)] = 131652,
  [SMALL_STATE(3574)] = 131777,
  [SMALL_STATE(3575)] = 131902,
  [SMALL_STATE(3576)] = 132027,
  [SMALL_STATE(3577)] = 132152,
  [SMALL_STATE(3578)] = 132277,
  [SMALL_STATE(3579)] = 132402,
  [SMALL_STATE(3580)] = 132527,
  [SMALL_STATE(3581)] = 132652,
  [SMALL_STATE(3582)] = 132777,
  [SMALL_STATE(3583)] = 132902,
  [SMALL_STATE(3584)] = 133027,
  [SMALL_STATE(3585)] = 133152,
  [SMALL_STATE(3586)] = 133277,
  [SMALL_STATE(3587)] = 133402,
  [SMALL_STATE(3588)] = 133527,
  [SMALL_STATE(3589)] = 133652,
  [SMALL_STATE(3590)] = 133777,
  [SMALL_STATE(3591)] = 133902,
  [SMALL_STATE(3592)] = 134027,
  [SMALL_STATE(3593)] = 134152,
  [SMALL_STATE(3594)] = 134277,
  [SMALL_STATE(3595)] = 134402,
  [SMALL_STATE(3596)] = 134527,
  [SMALL_STATE(3597)] = 134652,
  [SMALL_STATE(3598)] = 134777,
  [SMALL_STATE(3599)] = 134902,
  [SMALL_STATE(3600)] = 135027,
  [SMALL_STATE(3601)] = 135152,
  [SMALL_STATE(3602)] = 135277,
  [SMALL_STATE(3603)] = 135402,
  [SMALL_STATE(3604)] = 135527,
  [SMALL_STATE(3605)] = 135652,
  [SMALL_STATE(3606)] = 135777,
  [SMALL_STATE(3607)] = 135902,
  [SMALL_STATE(3608)] = 136027,
  [SMALL_STATE(3609)] = 136152,
  [SMALL_STATE(3610)] = 136277,
  [SMALL_STATE(3611)] = 136402,
  [SMALL_STATE(3612)] = 136527,
  [SMALL_STATE(3613)] = 136652,
  [SMALL_STATE(3614)] = 136777,
  [SMALL_STATE(3615)] = 136902,
  [SMALL_STATE(3616)] = 137027,
  [SMALL_STATE(3617)] = 137152,
  [SMALL_STATE(3618)] = 137277,
  [SMALL_STATE(3619)] = 137402,
  [SMALL_STATE(3620)] = 137527,
  [SMALL_STATE(3621)] = 137652,
  [SMALL_STATE(3622)] = 137777,
  [SMALL_STATE(3623)] = 137902,
  [SMALL_STATE(3624)] = 138027,
  [SMALL_STATE(3625)] = 138152,
  [SMALL_STATE(3626)] = 138277,
  [SMALL_STATE(3627)] = 138402,
  [SMALL_STATE(3628)] = 138527,
  [SMALL_STATE(3629)] = 138652,
  [SMALL_STATE(3630)] = 138777,
  [SMALL_STATE(3631)] = 138902,
  [SMALL_STATE(3632)] = 139027,
  [SMALL_STATE(3633)] = 139152,
  [SMALL_STATE(3634)] = 139277,
  [SMALL_STATE(3635)] = 139402,
  [SMALL_STATE(3636)] = 139527,
  [SMALL_STATE(3637)] = 139652,
  [SMALL_STATE(3638)] = 139777,
  [SMALL_STATE(3639)] = 139902,
  [SMALL_STATE(3640)] = 140027,
  [SMALL_STATE(3641)] = 140152,
  [SMALL_STATE(3642)] = 140277,
  [SMALL_STATE(3643)] = 140402,
  [SMALL_STATE(3644)] = 140527,
  [SMALL_STATE(3645)] = 140652,
  [SMALL_STATE(3646)] = 140777,
  [SMALL_STATE(3647)] = 140902,
  [SMALL_STATE(3648)] = 141027,
  [SMALL_STATE(3649)] = 141152,
  [SMALL_STATE(3650)] = 141277,
  [SMALL_STATE(3651)] = 141402,
  [SMALL_STATE(3652)] = 141527,
  [SMALL_STATE(3653)] = 141652,
  [SMALL_STATE(3654)] = 141777,
  [SMALL_STATE(3655)] = 141902,
  [SMALL_STATE(3656)] = 142027,
  [SMALL_STATE(3657)] = 142152,
  [SMALL_STATE(3658)] = 142277,
  [SMALL_STATE(3659)] = 142402,
  [SMALL_STATE(3660)] = 142527,
  [SMALL_STATE(3661)] = 142652,
  [SMALL_STATE(3662)] = 142777,
  [SMALL_STATE(3663)] = 142902,
  [SMALL_STATE(3664)] = 143027,
  [SMALL_STATE(3665)] = 143152,
  [SMALL_STATE(3666)] = 143277,
  [SMALL_STATE(3667)] = 143402,
  [SMALL_STATE(3668)] = 143527,
  [SMALL_STATE(3669)] = 143652,
  [SMALL_STATE(3670)] = 143777,
  [SMALL_STATE(3671)] = 143902,
  [SMALL_STATE(3672)] = 143973,
  [SMALL_STATE(3673)] = 144098,
  [SMALL_STATE(3674)] = 144223,
  [SMALL_STATE(3675)] = 144348,
  [SMALL_STATE(3676)] = 144473,
  [SMALL_STATE(3677)] = 144598,
  [SMALL_STATE(3678)] = 144723,
  [SMALL_STATE(3679)] = 144848,
  [SMALL_STATE(3680)] = 144973,
  [SMALL_STATE(3681)] = 145098,
  [SMALL_STATE(3682)] = 145223,
  [SMALL_STATE(3683)] = 145348,
  [SMALL_STATE(3684)] = 145473,
  [SMALL_STATE(3685)] = 145598,
  [SMALL_STATE(3686)] = 145723,
  [SMALL_STATE(3687)] = 145848,
  [SMALL_STATE(3688)] = 145973,
  [SMALL_STATE(3689)] = 146098,
  [SMALL_STATE(3690)] = 146223,
  [SMALL_STATE(3691)] = 146348,
  [SMALL_STATE(3692)] = 146473,
  [SMALL_STATE(3693)] = 146598,
  [SMALL_STATE(3694)] = 146723,
  [SMALL_STATE(3695)] = 146848,
  [SMALL_STATE(3696)] = 146973,
  [SMALL_STATE(3697)] = 147098,
  [SMALL_STATE(3698)] = 147223,
  [SMALL_STATE(3699)] = 147348,
  [SMALL_STATE(3700)] = 147473,
  [SMALL_STATE(3701)] = 147598,
  [SMALL_STATE(3702)] = 147723,
  [SMALL_STATE(3703)] = 147848,
  [SMALL_STATE(3704)] = 147973,
  [SMALL_STATE(3705)] = 148098,
  [SMALL_STATE(3706)] = 148223,
  [SMALL_STATE(3707)] = 148348,
  [SMALL_STATE(3708)] = 148473,
  [SMALL_STATE(3709)] = 148598,
  [SMALL_STATE(3710)] = 148723,
  [SMALL_STATE(3711)] = 148848,
  [SMALL_STATE(3712)] = 148973,
  [SMALL_STATE(3713)] = 149098,
  [SMALL_STATE(3714)] = 149223,
  [SMALL_STATE(3715)] = 149348,
  [SMALL_STATE(3716)] = 149473,
  [SMALL_STATE(3717)] = 149598,
  [SMALL_STATE(3718)] = 149723,
  [SMALL_STATE(3719)] = 149794,
  [SMALL_STATE(3720)] = 149919,
  [SMALL_STATE(3721)] = 150044,
  [SMALL_STATE(3722)] = 150169,
  [SMALL_STATE(3723)] = 150294,
  [SMALL_STATE(3724)] = 150419,
  [SMALL_STATE(3725)] = 150544,
  [SMALL_STATE(3726)] = 150669,
  [SMALL_STATE(3727)] = 150794,
  [SMALL_STATE(3728)] = 150919,
  [SMALL_STATE(3729)] = 151044,
  [SMALL_STATE(3730)] = 151169,
  [SMALL_STATE(3731)] = 151294,
  [SMALL_STATE(3732)] = 151419,
  [SMALL_STATE(3733)] = 151544,
  [SMALL_STATE(3734)] = 151669,
  [SMALL_STATE(3735)] = 151794,
  [SMALL_STATE(3736)] = 151919,
  [SMALL_STATE(3737)] = 152044,
  [SMALL_STATE(3738)] = 152169,
  [SMALL_STATE(3739)] = 152294,
  [SMALL_STATE(3740)] = 152419,
  [SMALL_STATE(3741)] = 152544,
  [SMALL_STATE(3742)] = 152669,
  [SMALL_STATE(3743)] = 152794,
  [SMALL_STATE(3744)] = 152919,
  [SMALL_STATE(3745)] = 153044,
  [SMALL_STATE(3746)] = 153169,
  [SMALL_STATE(3747)] = 153294,
  [SMALL_STATE(3748)] = 153419,
  [SMALL_STATE(3749)] = 153544,
  [SMALL_STATE(3750)] = 153669,
  [SMALL_STATE(3751)] = 153794,
  [SMALL_STATE(3752)] = 153919,
  [SMALL_STATE(3753)] = 154044,
  [SMALL_STATE(3754)] = 154169,
  [SMALL_STATE(3755)] = 154294,
  [SMALL_STATE(3756)] = 154419,
  [SMALL_STATE(3757)] = 154544,
  [SMALL_STATE(3758)] = 154669,
  [SMALL_STATE(3759)] = 154794,
  [SMALL_STATE(3760)] = 154919,
  [SMALL_STATE(3761)] = 155044,
  [SMALL_STATE(3762)] = 155169,
  [SMALL_STATE(3763)] = 155294,
  [SMALL_STATE(3764)] = 155419,
  [SMALL_STATE(3765)] = 155544,
  [SMALL_STATE(3766)] = 155669,
  [SMALL_STATE(3767)] = 155794,
  [SMALL_STATE(3768)] = 155919,
  [SMALL_STATE(3769)] = 156044,
  [SMALL_STATE(3770)] = 156169,
  [SMALL_STATE(3771)] = 156294,
  [SMALL_STATE(3772)] = 156419,
  [SMALL_STATE(3773)] = 156544,
  [SMALL_STATE(3774)] = 156669,
  [SMALL_STATE(3775)] = 156794,
  [SMALL_STATE(3776)] = 156919,
  [SMALL_STATE(3777)] = 157044,
  [SMALL_STATE(3778)] = 157169,
  [SMALL_STATE(3779)] = 157294,
  [SMALL_STATE(3780)] = 157419,
  [SMALL_STATE(3781)] = 157544,
  [SMALL_STATE(3782)] = 157669,
  [SMALL_STATE(3783)] = 157794,
  [SMALL_STATE(3784)] = 157919,
  [SMALL_STATE(3785)] = 158044,
  [SMALL_STATE(3786)] = 158169,
  [SMALL_STATE(3787)] = 158294,
  [SMALL_STATE(3788)] = 158419,
  [SMALL_STATE(3789)] = 158544,
  [SMALL_STATE(3790)] = 158669,
  [SMALL_STATE(3791)] = 158794,
  [SMALL_STATE(3792)] = 158919,
  [SMALL_STATE(3793)] = 159044,
  [SMALL_STATE(3794)] = 159169,
  [SMALL_STATE(3795)] = 159294,
  [SMALL_STATE(3796)] = 159419,
  [SMALL_STATE(3797)] = 159544,
  [SMALL_STATE(3798)] = 159669,
  [SMALL_STATE(3799)] = 159794,
  [SMALL_STATE(3800)] = 159919,
  [SMALL_STATE(3801)] = 160044,
  [SMALL_STATE(3802)] = 160169,
  [SMALL_STATE(3803)] = 160294,
  [SMALL_STATE(3804)] = 160419,
  [SMALL_STATE(3805)] = 160544,
  [SMALL_STATE(3806)] = 160669,
  [SMALL_STATE(3807)] = 160794,
  [SMALL_STATE(3808)] = 160919,
  [SMALL_STATE(3809)] = 161044,
  [SMALL_STATE(3810)] = 161169,
  [SMALL_STATE(3811)] = 161294,
  [SMALL_STATE(3812)] = 161419,
  [SMALL_STATE(3813)] = 161544,
  [SMALL_STATE(3814)] = 161669,
  [SMALL_STATE(3815)] = 161794,
  [SMALL_STATE(3816)] = 161919,
  [SMALL_STATE(3817)] = 162044,
  [SMALL_STATE(3818)] = 162169,
  [SMALL_STATE(3819)] = 162294,
  [SMALL_STATE(3820)] = 162419,
  [SMALL_STATE(3821)] = 162544,
  [SMALL_STATE(3822)] = 162669,
  [SMALL_STATE(3823)] = 162794,
  [SMALL_STATE(3824)] = 162919,
  [SMALL_STATE(3825)] = 163044,
  [SMALL_STATE(3826)] = 163169,
  [SMALL_STATE(3827)] = 163294,
  [SMALL_STATE(3828)] = 163419,
  [SMALL_STATE(3829)] = 163544,
  [SMALL_STATE(3830)] = 163669,
  [SMALL_STATE(3831)] = 163794,
  [SMALL_STATE(3832)] = 163919,
  [SMALL_STATE(3833)] = 164044,
  [SMALL_STATE(3834)] = 164169,
  [SMALL_STATE(3835)] = 164294,
  [SMALL_STATE(3836)] = 164419,
  [SMALL_STATE(3837)] = 164544,
  [SMALL_STATE(3838)] = 164669,
  [SMALL_STATE(3839)] = 164794,
  [SMALL_STATE(3840)] = 164919,
  [SMALL_STATE(3841)] = 165044,
  [SMALL_STATE(3842)] = 165169,
  [SMALL_STATE(3843)] = 165294,
  [SMALL_STATE(3844)] = 165419,
  [SMALL_STATE(3845)] = 165544,
  [SMALL_STATE(3846)] = 165669,
  [SMALL_STATE(3847)] = 165794,
  [SMALL_STATE(3848)] = 165919,
  [SMALL_STATE(3849)] = 166044,
  [SMALL_STATE(3850)] = 166169,
  [SMALL_STATE(3851)] = 166294,
  [SMALL_STATE(3852)] = 166419,
  [SMALL_STATE(3853)] = 166544,
  [SMALL_STATE(3854)] = 166669,
  [SMALL_STATE(3855)] = 166794,
  [SMALL_STATE(3856)] = 166919,
  [SMALL_STATE(3857)] = 167044,
  [SMALL_STATE(3858)] = 167169,
  [SMALL_STATE(3859)] = 167240,
  [SMALL_STATE(3860)] = 167365,
  [SMALL_STATE(3861)] = 167490,
  [SMALL_STATE(3862)] = 167615,
  [SMALL_STATE(3863)] = 167740,
  [SMALL_STATE(3864)] = 167865,
  [SMALL_STATE(3865)] = 167990,
  [SMALL_STATE(3866)] = 168115,
  [SMALL_STATE(3867)] = 168240,
  [SMALL_STATE(3868)] = 168365,
  [SMALL_STATE(3869)] = 168490,
  [SMALL_STATE(3870)] = 168615,
  [SMALL_STATE(3871)] = 168740,
  [SMALL_STATE(3872)] = 168865,
  [SMALL_STATE(3873)] = 168990,
  [SMALL_STATE(3874)] = 169115,
  [SMALL_STATE(3875)] = 169240,
  [SMALL_STATE(3876)] = 169365,
  [SMALL_STATE(3877)] = 169490,
  [SMALL_STATE(3878)] = 169615,
  [SMALL_STATE(3879)] = 169740,
  [SMALL_STATE(3880)] = 169865,
  [SMALL_STATE(3881)] = 169990,
  [SMALL_STATE(3882)] = 170115,
  [SMALL_STATE(3883)] = 170240,
  [SMALL_STATE(3884)] = 170365,
  [SMALL_STATE(3885)] = 170490,
  [SMALL_STATE(3886)] = 170615,
  [SMALL_STATE(3887)] = 170740,
  [SMALL_STATE(3888)] = 170865,
  [SMALL_STATE(3889)] = 170990,
  [SMALL_STATE(3890)] = 171115,
  [SMALL_STATE(3891)] = 171240,
  [SMALL_STATE(3892)] = 171365,
  [SMALL_STATE(3893)] = 171490,
  [SMALL_STATE(3894)] = 171615,
  [SMALL_STATE(3895)] = 171740,
  [SMALL_STATE(3896)] = 171865,
  [SMALL_STATE(3897)] = 171990,
  [SMALL_STATE(3898)] = 172115,
  [SMALL_STATE(3899)] = 172240,
  [SMALL_STATE(3900)] = 172365,
  [SMALL_STATE(3901)] = 172490,
  [SMALL_STATE(3902)] = 172615,
  [SMALL_STATE(3903)] = 172740,
  [SMALL_STATE(3904)] = 172865,
  [SMALL_STATE(3905)] = 172990,
  [SMALL_STATE(3906)] = 173115,
  [SMALL_STATE(3907)] = 173240,
  [SMALL_STATE(3908)] = 173365,
  [SMALL_STATE(3909)] = 173490,
  [SMALL_STATE(3910)] = 173615,
  [SMALL_STATE(3911)] = 173740,
  [SMALL_STATE(3912)] = 173865,
  [SMALL_STATE(3913)] = 173990,
  [SMALL_STATE(3914)] = 174115,
  [SMALL_STATE(3915)] = 174240,
  [SMALL_STATE(3916)] = 174365,
  [SMALL_STATE(3917)] = 174490,
  [SMALL_STATE(3918)] = 174615,
  [SMALL_STATE(3919)] = 174740,
  [SMALL_STATE(3920)] = 174865,
  [SMALL_STATE(3921)] = 174990,
  [SMALL_STATE(3922)] = 175115,
  [SMALL_STATE(3923)] = 175240,
  [SMALL_STATE(3924)] = 175365,
  [SMALL_STATE(3925)] = 175490,
  [SMALL_STATE(3926)] = 175615,
  [SMALL_STATE(3927)] = 175740,
  [SMALL_STATE(3928)] = 175865,
  [SMALL_STATE(3929)] = 175990,
  [SMALL_STATE(3930)] = 176115,
  [SMALL_STATE(3931)] = 176240,
  [SMALL_STATE(3932)] = 176365,
  [SMALL_STATE(3933)] = 176490,
  [SMALL_STATE(3934)] = 176615,
  [SMALL_STATE(3935)] = 176740,
  [SMALL_STATE(3936)] = 176865,
  [SMALL_STATE(3937)] = 176990,
  [SMALL_STATE(3938)] = 177115,
  [SMALL_STATE(3939)] = 177240,
  [SMALL_STATE(3940)] = 177365,
  [SMALL_STATE(3941)] = 177490,
  [SMALL_STATE(3942)] = 177615,
  [SMALL_STATE(3943)] = 177740,
  [SMALL_STATE(3944)] = 177865,
  [SMALL_STATE(3945)] = 177990,
  [SMALL_STATE(3946)] = 178115,
  [SMALL_STATE(3947)] = 178240,
  [SMALL_STATE(3948)] = 178365,
  [SMALL_STATE(3949)] = 178490,
  [SMALL_STATE(3950)] = 178615,
  [SMALL_STATE(3951)] = 178740,
  [SMALL_STATE(3952)] = 178865,
  [SMALL_STATE(3953)] = 178990,
  [SMALL_STATE(3954)] = 179115,
  [SMALL_STATE(3955)] = 179240,
  [SMALL_STATE(3956)] = 179365,
  [SMALL_STATE(3957)] = 179490,
  [SMALL_STATE(3958)] = 179615,
  [SMALL_STATE(3959)] = 179740,
  [SMALL_STATE(3960)] = 179865,
  [SMALL_STATE(3961)] = 179990,
  [SMALL_STATE(3962)] = 180115,
  [SMALL_STATE(3963)] = 180240,
  [SMALL_STATE(3964)] = 180365,
  [SMALL_STATE(3965)] = 180490,
  [SMALL_STATE(3966)] = 180615,
  [SMALL_STATE(3967)] = 180740,
  [SMALL_STATE(3968)] = 180865,
  [SMALL_STATE(3969)] = 180990,
  [SMALL_STATE(3970)] = 181115,
  [SMALL_STATE(3971)] = 181240,
  [SMALL_STATE(3972)] = 181365,
  [SMALL_STATE(3973)] = 181490,
  [SMALL_STATE(3974)] = 181615,
  [SMALL_STATE(3975)] = 181740,
  [SMALL_STATE(3976)] = 181865,
  [SMALL_STATE(3977)] = 181990,
  [SMALL_STATE(3978)] = 182115,
  [SMALL_STATE(3979)] = 182240,
  [SMALL_STATE(3980)] = 182365,
  [SMALL_STATE(3981)] = 182490,
  [SMALL_STATE(3982)] = 182615,
  [SMALL_STATE(3983)] = 182740,
  [SMALL_STATE(3984)] = 182865,
  [SMALL_STATE(3985)] = 182990,
  [SMALL_STATE(3986)] = 183115,
  [SMALL_STATE(3987)] = 183240,
  [SMALL_STATE(3988)] = 183365,
  [SMALL_STATE(3989)] = 183490,
  [SMALL_STATE(3990)] = 183615,
  [SMALL_STATE(3991)] = 183740,
  [SMALL_STATE(3992)] = 183865,
  [SMALL_STATE(3993)] = 183990,
  [SMALL_STATE(3994)] = 184115,
  [SMALL_STATE(3995)] = 184240,
  [SMALL_STATE(3996)] = 184365,
  [SMALL_STATE(3997)] = 184490,
  [SMALL_STATE(3998)] = 184615,
  [SMALL_STATE(3999)] = 184740,
  [SMALL_STATE(4000)] = 184865,
  [SMALL_STATE(4001)] = 184990,
  [SMALL_STATE(4002)] = 185115,
  [SMALL_STATE(4003)] = 185240,
  [SMALL_STATE(4004)] = 185365,
  [SMALL_STATE(4005)] = 185490,
  [SMALL_STATE(4006)] = 185615,
  [SMALL_STATE(4007)] = 185685,
  [SMALL_STATE(4008)] = 185755,
  [SMALL_STATE(4009)] = 185825,
  [SMALL_STATE(4010)] = 185895,
  [SMALL_STATE(4011)] = 185965,
  [SMALL_STATE(4012)] = 186034,
  [SMALL_STATE(4013)] = 186103,
  [SMALL_STATE(4014)] = 186172,
  [SMALL_STATE(4015)] = 186241,
  [SMALL_STATE(4016)] = 186310,
  [SMALL_STATE(4017)] = 186379,
  [SMALL_STATE(4018)] = 186448,
  [SMALL_STATE(4019)] = 186564,
  [SMALL_STATE(4020)] = 186680,
  [SMALL_STATE(4021)] = 186796,
  [SMALL_STATE(4022)] = 186912,
  [SMALL_STATE(4023)] = 187028,
  [SMALL_STATE(4024)] = 187144,
  [SMALL_STATE(4025)] = 187260,
  [SMALL_STATE(4026)] = 187376,
  [SMALL_STATE(4027)] = 187492,
  [SMALL_STATE(4028)] = 187608,
  [SMALL_STATE(4029)] = 187724,
  [SMALL_STATE(4030)] = 187840,
  [SMALL_STATE(4031)] = 187956,
  [SMALL_STATE(4032)] = 188072,
  [SMALL_STATE(4033)] = 188188,
  [SMALL_STATE(4034)] = 188304,
  [SMALL_STATE(4035)] = 188420,
  [SMALL_STATE(4036)] = 188536,
  [SMALL_STATE(4037)] = 188652,
  [SMALL_STATE(4038)] = 188768,
  [SMALL_STATE(4039)] = 188884,
  [SMALL_STATE(4040)] = 189000,
  [SMALL_STATE(4041)] = 189116,
  [SMALL_STATE(4042)] = 189232,
  [SMALL_STATE(4043)] = 189348,
  [SMALL_STATE(4044)] = 189464,
  [SMALL_STATE(4045)] = 189580,
  [SMALL_STATE(4046)] = 189648,
  [SMALL_STATE(4047)] = 189764,
  [SMALL_STATE(4048)] = 189880,
  [SMALL_STATE(4049)] = 189996,
  [SMALL_STATE(4050)] = 190064,
  [SMALL_STATE(4051)] = 190180,
  [SMALL_STATE(4052)] = 190296,
  [SMALL_STATE(4053)] = 190412,
  [SMALL_STATE(4054)] = 190528,
  [SMALL_STATE(4055)] = 190644,
  [SMALL_STATE(4056)] = 190760,
  [SMALL_STATE(4057)] = 190876,
  [SMALL_STATE(4058)] = 190992,
  [SMALL_STATE(4059)] = 191108,
  [SMALL_STATE(4060)] = 191224,
  [SMALL_STATE(4061)] = 191340,
  [SMALL_STATE(4062)] = 191456,
  [SMALL_STATE(4063)] = 191572,
  [SMALL_STATE(4064)] = 191640,
  [SMALL_STATE(4065)] = 191756,
  [SMALL_STATE(4066)] = 191872,
  [SMALL_STATE(4067)] = 191988,
  [SMALL_STATE(4068)] = 192104,
  [SMALL_STATE(4069)] = 192220,
  [SMALL_STATE(4070)] = 192336,
  [SMALL_STATE(4071)] = 192452,
  [SMALL_STATE(4072)] = 192568,
  [SMALL_STATE(4073)] = 192684,
  [SMALL_STATE(4074)] = 192800,
  [SMALL_STATE(4075)] = 192916,
  [SMALL_STATE(4076)] = 193032,
  [SMALL_STATE(4077)] = 193148,
  [SMALL_STATE(4078)] = 193264,
  [SMALL_STATE(4079)] = 193380,
  [SMALL_STATE(4080)] = 193496,
  [SMALL_STATE(4081)] = 193612,
  [SMALL_STATE(4082)] = 193728,
  [SMALL_STATE(4083)] = 193844,
  [SMALL_STATE(4084)] = 193960,
  [SMALL_STATE(4085)] = 194076,
  [SMALL_STATE(4086)] = 194192,
  [SMALL_STATE(4087)] = 194308,
  [SMALL_STATE(4088)] = 194424,
  [SMALL_STATE(4089)] = 194540,
  [SMALL_STATE(4090)] = 194656,
  [SMALL_STATE(4091)] = 194772,
  [SMALL_STATE(4092)] = 194888,
  [SMALL_STATE(4093)] = 195004,
  [SMALL_STATE(4094)] = 195120,
  [SMALL_STATE(4095)] = 195236,
  [SMALL_STATE(4096)] = 195352,
  [SMALL_STATE(4097)] = 195468,
  [SMALL_STATE(4098)] = 195584,
  [SMALL_STATE(4099)] = 195700,
  [SMALL_STATE(4100)] = 195816,
  [SMALL_STATE(4101)] = 195932,
  [SMALL_STATE(4102)] = 196048,
  [SMALL_STATE(4103)] = 196164,
  [SMALL_STATE(4104)] = 196280,
  [SMALL_STATE(4105)] = 196396,
  [SMALL_STATE(4106)] = 196512,
  [SMALL_STATE(4107)] = 196628,
  [SMALL_STATE(4108)] = 196744,
  [SMALL_STATE(4109)] = 196860,
  [SMALL_STATE(4110)] = 196976,
  [SMALL_STATE(4111)] = 197092,
  [SMALL_STATE(4112)] = 197208,
  [SMALL_STATE(4113)] = 197324,
  [SMALL_STATE(4114)] = 197440,
  [SMALL_STATE(4115)] = 197556,
  [SMALL_STATE(4116)] = 197672,
  [SMALL_STATE(4117)] = 197788,
  [SMALL_STATE(4118)] = 197904,
  [SMALL_STATE(4119)] = 198020,
  [SMALL_STATE(4120)] = 198136,
  [SMALL_STATE(4121)] = 198252,
  [SMALL_STATE(4122)] = 198320,
  [SMALL_STATE(4123)] = 198436,
  [SMALL_STATE(4124)] = 198552,
  [SMALL_STATE(4125)] = 198668,
  [SMALL_STATE(4126)] = 198784,
  [SMALL_STATE(4127)] = 198900,
  [SMALL_STATE(4128)] = 199016,
  [SMALL_STATE(4129)] = 199132,
  [SMALL_STATE(4130)] = 199248,
  [SMALL_STATE(4131)] = 199364,
  [SMALL_STATE(4132)] = 199480,
  [SMALL_STATE(4133)] = 199548,
  [SMALL_STATE(4134)] = 199664,
  [SMALL_STATE(4135)] = 199780,
  [SMALL_STATE(4136)] = 199893,
  [SMALL_STATE(4137)] = 200006,
  [SMALL_STATE(4138)] = 200119,
  [SMALL_STATE(4139)] = 200232,
  [SMALL_STATE(4140)] = 200345,
  [SMALL_STATE(4141)] = 200458,
  [SMALL_STATE(4142)] = 200571,
  [SMALL_STATE(4143)] = 200684,
  [SMALL_STATE(4144)] = 200797,
  [SMALL_STATE(4145)] = 200910,
  [SMALL_STATE(4146)] = 201023,
  [SMALL_STATE(4147)] = 201136,
  [SMALL_STATE(4148)] = 201249,
  [SMALL_STATE(4149)] = 201362,
  [SMALL_STATE(4150)] = 201475,
  [SMALL_STATE(4151)] = 201588,
  [SMALL_STATE(4152)] = 201701,
  [SMALL_STATE(4153)] = 201814,
  [SMALL_STATE(4154)] = 201927,
  [SMALL_STATE(4155)] = 202040,
  [SMALL_STATE(4156)] = 202153,
  [SMALL_STATE(4157)] = 202266,
  [SMALL_STATE(4158)] = 202379,
  [SMALL_STATE(4159)] = 202492,
  [SMALL_STATE(4160)] = 202603,
  [SMALL_STATE(4161)] = 202670,
  [SMALL_STATE(4162)] = 202783,
  [SMALL_STATE(4163)] = 202896,
  [SMALL_STATE(4164)] = 203009,
  [SMALL_STATE(4165)] = 203122,
  [SMALL_STATE(4166)] = 203235,
  [SMALL_STATE(4167)] = 203348,
  [SMALL_STATE(4168)] = 203461,
  [SMALL_STATE(4169)] = 203574,
  [SMALL_STATE(4170)] = 203687,
  [SMALL_STATE(4171)] = 203798,
  [SMALL_STATE(4172)] = 203861,
  [SMALL_STATE(4173)] = 203924,
  [SMALL_STATE(4174)] = 204037,
  [SMALL_STATE(4175)] = 204150,
  [SMALL_STATE(4176)] = 204263,
  [SMALL_STATE(4177)] = 204376,
  [SMALL_STATE(4178)] = 204489,
  [SMALL_STATE(4179)] = 204602,
  [SMALL_STATE(4180)] = 204715,
  [SMALL_STATE(4181)] = 204828,
  [SMALL_STATE(4182)] = 204941,
  [SMALL_STATE(4183)] = 205054,
  [SMALL_STATE(4184)] = 205167,
  [SMALL_STATE(4185)] = 205280,
  [SMALL_STATE(4186)] = 205393,
  [SMALL_STATE(4187)] = 205504,
  [SMALL_STATE(4188)] = 205617,
  [SMALL_STATE(4189)] = 205730,
  [SMALL_STATE(4190)] = 205843,
  [SMALL_STATE(4191)] = 205954,
  [SMALL_STATE(4192)] = 206067,
  [SMALL_STATE(4193)] = 206180,
  [SMALL_STATE(4194)] = 206293,
  [SMALL_STATE(4195)] = 206406,
  [SMALL_STATE(4196)] = 206519,
  [SMALL_STATE(4197)] = 206632,
  [SMALL_STATE(4198)] = 206745,
  [SMALL_STATE(4199)] = 206855,
  [SMALL_STATE(4200)] = 206965,
  [SMALL_STATE(4201)] = 207027,
  [SMALL_STATE(4202)] = 207089,
  [SMALL_STATE(4203)] = 207151,
  [SMALL_STATE(4204)] = 207213,
  [SMALL_STATE(4205)] = 207274,
  [SMALL_STATE(4206)] = 207335,
  [SMALL_STATE(4207)] = 207396,
  [SMALL_STATE(4208)] = 207457,
  [SMALL_STATE(4209)] = 207564,
  [SMALL_STATE(4210)] = 207671,
  [SMALL_STATE(4211)] = 207778,
  [SMALL_STATE(4212)] = 207839,
  [SMALL_STATE(4213)] = 207946,
  [SMALL_STATE(4214)] = 208007,
  [SMALL_STATE(4215)] = 208068,
  [SMALL_STATE(4216)] = 208129,
  [SMALL_STATE(4217)] = 208191,
  [SMALL_STATE(4218)] = 208251,
  [SMALL_STATE(4219)] = 208311,
  [SMALL_STATE(4220)] = 208371,
  [SMALL_STATE(4221)] = 208431,
  [SMALL_STATE(4222)] = 208493,
  [SMALL_STATE(4223)] = 208553,
  [SMALL_STATE(4224)] = 208613,
  [SMALL_STATE(4225)] = 208673,
  [SMALL_STATE(4226)] = 208733,
  [SMALL_STATE(4227)] = 208793,
  [SMALL_STATE(4228)] = 208855,
  [SMALL_STATE(4229)] = 208915,
  [SMALL_STATE(4230)] = 208972,
  [SMALL_STATE(4231)] = 209031,
  [SMALL_STATE(4232)] = 209148,
  [SMALL_STATE(4233)] = 209207,
  [SMALL_STATE(4234)] = 209266,
  [SMALL_STATE(4235)] = 209383,
  [SMALL_STATE(4236)] = 209500,
  [SMALL_STATE(4237)] = 209559,
  [SMALL_STATE(4238)] = 209676,
  [SMALL_STATE(4239)] = 209793,
  [SMALL_STATE(4240)] = 209910,
  [SMALL_STATE(4241)] = 210027,
  [SMALL_STATE(4242)] = 210086,
  [SMALL_STATE(4243)] = 210187,
  [SMALL_STATE(4244)] = 210246,
  [SMALL_STATE(4245)] = 210363,
  [SMALL_STATE(4246)] = 210420,
  [SMALL_STATE(4247)] = 210537,
  [SMALL_STATE(4248)] = 210596,
  [SMALL_STATE(4249)] = 210713,
  [SMALL_STATE(4250)] = 210772,
  [SMALL_STATE(4251)] = 210889,
  [SMALL_STATE(4252)] = 210948,
  [SMALL_STATE(4253)] = 211065,
  [SMALL_STATE(4254)] = 211124,
  [SMALL_STATE(4255)] = 211241,
  [SMALL_STATE(4256)] = 211358,
  [SMALL_STATE(4257)] = 211475,
  [SMALL_STATE(4258)] = 211534,
  [SMALL_STATE(4259)] = 211635,
  [SMALL_STATE(4260)] = 211694,
  [SMALL_STATE(4261)] = 211752,
  [SMALL_STATE(4262)] = 211810,
  [SMALL_STATE(4263)] = 211868,
  [SMALL_STATE(4264)] = 211926,
  [SMALL_STATE(4265)] = 211984,
  [SMALL_STATE(4266)] = 212082,
  [SMALL_STATE(4267)] = 212180,
  [SMALL_STATE(4268)] = 212238,
  [SMALL_STATE(4269)] = 212302,
  [SMALL_STATE(4270)] = 212400,
  [SMALL_STATE(4271)] = 212458,
  [SMALL_STATE(4272)] = 212516,
  [SMALL_STATE(4273)] = 212574,
  [SMALL_STATE(4274)] = 212669,
  [SMALL_STATE(4275)] = 212726,
  [SMALL_STATE(4276)] = 212821,
  [SMALL_STATE(4277)] = 212916,
  [SMALL_STATE(4278)] = 213011,
  [SMALL_STATE(4279)] = 213106,
  [SMALL_STATE(4280)] = 213201,
  [SMALL_STATE(4281)] = 213296,
  [SMALL_STATE(4282)] = 213391,
  [SMALL_STATE(4283)] = 213486,
  [SMALL_STATE(4284)] = 213581,
  [SMALL_STATE(4285)] = 213676,
  [SMALL_STATE(4286)] = 213771,
  [SMALL_STATE(4287)] = 213866,
  [SMALL_STATE(4288)] = 213961,
  [SMALL_STATE(4289)] = 214056,
  [SMALL_STATE(4290)] = 214151,
  [SMALL_STATE(4291)] = 214246,
  [SMALL_STATE(4292)] = 214341,
  [SMALL_STATE(4293)] = 214436,
  [SMALL_STATE(4294)] = 214531,
  [SMALL_STATE(4295)] = 214626,
  [SMALL_STATE(4296)] = 214721,
  [SMALL_STATE(4297)] = 214816,
  [SMALL_STATE(4298)] = 214911,
  [SMALL_STATE(4299)] = 214968,
  [SMALL_STATE(4300)] = 215063,
  [SMALL_STATE(4301)] = 215158,
  [SMALL_STATE(4302)] = 215253,
  [SMALL_STATE(4303)] = 215348,
  [SMALL_STATE(4304)] = 215443,
  [SMALL_STATE(4305)] = 215538,
  [SMALL_STATE(4306)] = 215633,
  [SMALL_STATE(4307)] = 215728,
  [SMALL_STATE(4308)] = 215823,
  [SMALL_STATE(4309)] = 215880,
  [SMALL_STATE(4310)] = 215975,
  [SMALL_STATE(4311)] = 216070,
  [SMALL_STATE(4312)] = 216165,
  [SMALL_STATE(4313)] = 216260,
  [SMALL_STATE(4314)] = 216355,
  [SMALL_STATE(4315)] = 216450,
  [SMALL_STATE(4316)] = 216545,
  [SMALL_STATE(4317)] = 216640,
  [SMALL_STATE(4318)] = 216735,
  [SMALL_STATE(4319)] = 216830,
  [SMALL_STATE(4320)] = 216925,
  [SMALL_STATE(4321)] = 217020,
  [SMALL_STATE(4322)] = 217115,
  [SMALL_STATE(4323)] = 217210,
  [SMALL_STATE(4324)] = 217305,
  [SMALL_STATE(4325)] = 217400,
  [SMALL_STATE(4326)] = 217495,
  [SMALL_STATE(4327)] = 217590,
  [SMALL_STATE(4328)] = 217685,
  [SMALL_STATE(4329)] = 217780,
  [SMALL_STATE(4330)] = 217875,
  [SMALL_STATE(4331)] = 217970,
  [SMALL_STATE(4332)] = 218065,
  [SMALL_STATE(4333)] = 218122,
  [SMALL_STATE(4334)] = 218217,
  [SMALL_STATE(4335)] = 218312,
  [SMALL_STATE(4336)] = 218407,
  [SMALL_STATE(4337)] = 218502,
  [SMALL_STATE(4338)] = 218597,
  [SMALL_STATE(4339)] = 218692,
  [SMALL_STATE(4340)] = 218787,
  [SMALL_STATE(4341)] = 218879,
  [SMALL_STATE(4342)] = 218971,
  [SMALL_STATE(4343)] = 219063,
  [SMALL_STATE(4344)] = 219155,
  [SMALL_STATE(4345)] = 219211,
  [SMALL_STATE(4346)] = 219303,
  [SMALL_STATE(4347)] = 219395,
  [SMALL_STATE(4348)] = 219487,
  [SMALL_STATE(4349)] = 219579,
  [SMALL_STATE(4350)] = 219671,
  [SMALL_STATE(4351)] = 219763,
  [SMALL_STATE(4352)] = 219855,
  [SMALL_STATE(4353)] = 219909,
  [SMALL_STATE(4354)] = 220001,
  [SMALL_STATE(4355)] = 220093,
  [SMALL_STATE(4356)] = 220185,
  [SMALL_STATE(4357)] = 220242,
  [SMALL_STATE(4358)] = 220299,
  [SMALL_STATE(4359)] = 220356,
  [SMALL_STATE(4360)] = 220413,
  [SMALL_STATE(4361)] = 220470,
  [SMALL_STATE(4362)] = 220525,
  [SMALL_STATE(4363)] = 220580,
  [SMALL_STATE(4364)] = 220637,
  [SMALL_STATE(4365)] = 220694,
  [SMALL_STATE(4366)] = 220751,
  [SMALL_STATE(4367)] = 220808,
  [SMALL_STATE(4368)] = 220910,
  [SMALL_STATE(4369)] = 221002,
  [SMALL_STATE(4370)] = 221094,
  [SMALL_STATE(4371)] = 221186,
  [SMALL_STATE(4372)] = 221278,
  [SMALL_STATE(4373)] = 221370,
  [SMALL_STATE(4374)] = 221462,
  [SMALL_STATE(4375)] = 221554,
  [SMALL_STATE(4376)] = 221646,
  [SMALL_STATE(4377)] = 221738,
  [SMALL_STATE(4378)] = 221830,
  [SMALL_STATE(4379)] = 221922,
  [SMALL_STATE(4380)] = 222014,
  [SMALL_STATE(4381)] = 222106,
  [SMALL_STATE(4382)] = 222198,
  [SMALL_STATE(4383)] = 222290,
  [SMALL_STATE(4384)] = 222382,
  [SMALL_STATE(4385)] = 222474,
  [SMALL_STATE(4386)] = 222566,
  [SMALL_STATE(4387)] = 222658,
  [SMALL_STATE(4388)] = 222750,
  [SMALL_STATE(4389)] = 222842,
  [SMALL_STATE(4390)] = 222934,
  [SMALL_STATE(4391)] = 223026,
  [SMALL_STATE(4392)] = 223118,
  [SMALL_STATE(4393)] = 223210,
  [SMALL_STATE(4394)] = 223302,
  [SMALL_STATE(4395)] = 223394,
  [SMALL_STATE(4396)] = 223486,
  [SMALL_STATE(4397)] = 223578,
  [SMALL_STATE(4398)] = 223670,
  [SMALL_STATE(4399)] = 223762,
  [SMALL_STATE(4400)] = 223854,
  [SMALL_STATE(4401)] = 223946,
  [SMALL_STATE(4402)] = 224038,
  [SMALL_STATE(4403)] = 224130,
  [SMALL_STATE(4404)] = 224222,
  [SMALL_STATE(4405)] = 224314,
  [SMALL_STATE(4406)] = 224406,
  [SMALL_STATE(4407)] = 224508,
  [SMALL_STATE(4408)] = 224600,
  [SMALL_STATE(4409)] = 224692,
  [SMALL_STATE(4410)] = 224784,
  [SMALL_STATE(4411)] = 224876,
  [SMALL_STATE(4412)] = 224978,
  [SMALL_STATE(4413)] = 225070,
  [SMALL_STATE(4414)] = 225172,
  [SMALL_STATE(4415)] = 225264,
  [SMALL_STATE(4416)] = 225366,
  [SMALL_STATE(4417)] = 225458,
  [SMALL_STATE(4418)] = 225550,
  [SMALL_STATE(4419)] = 225642,
  [SMALL_STATE(4420)] = 225734,
  [SMALL_STATE(4421)] = 225836,
  [SMALL_STATE(4422)] = 225938,
  [SMALL_STATE(4423)] = 226040,
  [SMALL_STATE(4424)] = 226142,
  [SMALL_STATE(4425)] = 226244,
  [SMALL_STATE(4426)] = 226346,
  [SMALL_STATE(4427)] = 226448,
  [SMALL_STATE(4428)] = 226550,
  [SMALL_STATE(4429)] = 226652,
  [SMALL_STATE(4430)] = 226754,
  [SMALL_STATE(4431)] = 226856,
  [SMALL_STATE(4432)] = 226958,
  [SMALL_STATE(4433)] = 227060,
  [SMALL_STATE(4434)] = 227162,
  [SMALL_STATE(4435)] = 227264,
  [SMALL_STATE(4436)] = 227366,
  [SMALL_STATE(4437)] = 227468,
  [SMALL_STATE(4438)] = 227570,
  [SMALL_STATE(4439)] = 227672,
  [SMALL_STATE(4440)] = 227764,
  [SMALL_STATE(4441)] = 227866,
  [SMALL_STATE(4442)] = 227968,
  [SMALL_STATE(4443)] = 228070,
  [SMALL_STATE(4444)] = 228172,
  [SMALL_STATE(4445)] = 228274,
  [SMALL_STATE(4446)] = 228376,
  [SMALL_STATE(4447)] = 228468,
  [SMALL_STATE(4448)] = 228570,
  [SMALL_STATE(4449)] = 228672,
  [SMALL_STATE(4450)] = 228774,
  [SMALL_STATE(4451)] = 228876,
  [SMALL_STATE(4452)] = 228968,
  [SMALL_STATE(4453)] = 229060,
  [SMALL_STATE(4454)] = 229162,
  [SMALL_STATE(4455)] = 229264,
  [SMALL_STATE(4456)] = 229356,
  [SMALL_STATE(4457)] = 229458,
  [SMALL_STATE(4458)] = 229560,
  [SMALL_STATE(4459)] = 229662,
  [SMALL_STATE(4460)] = 229764,
  [SMALL_STATE(4461)] = 229856,
  [SMALL_STATE(4462)] = 229948,
  [SMALL_STATE(4463)] = 230040,
  [SMALL_STATE(4464)] = 230142,
  [SMALL_STATE(4465)] = 230234,
  [SMALL_STATE(4466)] = 230326,
  [SMALL_STATE(4467)] = 230428,
  [SMALL_STATE(4468)] = 230530,
  [SMALL_STATE(4469)] = 230622,
  [SMALL_STATE(4470)] = 230714,
  [SMALL_STATE(4471)] = 230806,
  [SMALL_STATE(4472)] = 230898,
  [SMALL_STATE(4473)] = 231000,
  [SMALL_STATE(4474)] = 231068,
  [SMALL_STATE(4475)] = 231160,
  [SMALL_STATE(4476)] = 231252,
  [SMALL_STATE(4477)] = 231344,
  [SMALL_STATE(4478)] = 231436,
  [SMALL_STATE(4479)] = 231528,
  [SMALL_STATE(4480)] = 231630,
  [SMALL_STATE(4481)] = 231683,
  [SMALL_STATE(4482)] = 231734,
  [SMALL_STATE(4483)] = 231798,
  [SMALL_STATE(4484)] = 231846,
  [SMALL_STATE(4485)] = 231938,
  [SMALL_STATE(4486)] = 232030,
  [SMALL_STATE(4487)] = 232122,
  [SMALL_STATE(4488)] = 232214,
  [SMALL_STATE(4489)] = 232306,
  [SMALL_STATE(4490)] = 232370,
  [SMALL_STATE(4491)] = 232457,
  [SMALL_STATE(4492)] = 232550,
  [SMALL_STATE(4493)] = 232641,
  [SMALL_STATE(4494)] = 232728,
  [SMALL_STATE(4495)] = 232789,
  [SMALL_STATE(4496)] = 232882,
  [SMALL_STATE(4497)] = 232973,
  [SMALL_STATE(4498)] = 233064,
  [SMALL_STATE(4499)] = 233151,
  [SMALL_STATE(4500)] = 233200,
  [SMALL_STATE(4501)] = 233291,
  [SMALL_STATE(4502)] = 233382,
  [SMALL_STATE(4503)] = 233469,
  [SMALL_STATE(4504)] = 233556,
  [SMALL_STATE(4505)] = 233647,
  [SMALL_STATE(4506)] = 233734,
  [SMALL_STATE(4507)] = 233827,
  [SMALL_STATE(4508)] = 233892,
  [SMALL_STATE(4509)] = 233953,
  [SMALL_STATE(4510)] = 234044,
  [SMALL_STATE(4511)] = 234135,
  [SMALL_STATE(4512)] = 234228,
  [SMALL_STATE(4513)] = 234321,
  [SMALL_STATE(4514)] = 234414,
  [SMALL_STATE(4515)] = 234501,
  [SMALL_STATE(4516)] = 234562,
  [SMALL_STATE(4517)] = 234653,
  [SMALL_STATE(4518)] = 234746,
  [SMALL_STATE(4519)] = 234837,
  [SMALL_STATE(4520)] = 234900,
  [SMALL_STATE(4521)] = 234986,
  [SMALL_STATE(4522)] = 235070,
  [SMALL_STATE(4523)] = 235154,
  [SMALL_STATE(4524)] = 235238,
  [SMALL_STATE(4525)] = 235322,
  [SMALL_STATE(4526)] = 235408,
  [SMALL_STATE(4527)] = 235494,
  [SMALL_STATE(4528)] = 235540,
  [SMALL_STATE(4529)] = 235626,
  [SMALL_STATE(4530)] = 235690,
  [SMALL_STATE(4531)] = 235750,
  [SMALL_STATE(4532)] = 235836,
  [SMALL_STATE(4533)] = 235920,
  [SMALL_STATE(4534)] = 235980,
  [SMALL_STATE(4535)] = 236066,
  [SMALL_STATE(4536)] = 236112,
  [SMALL_STATE(4537)] = 236198,
  [SMALL_STATE(4538)] = 236244,
  [SMALL_STATE(4539)] = 236330,
  [SMALL_STATE(4540)] = 236414,
  [SMALL_STATE(4541)] = 236460,
  [SMALL_STATE(4542)] = 236506,
  [SMALL_STATE(4543)] = 236590,
  [SMALL_STATE(4544)] = 236650,
  [SMALL_STATE(4545)] = 236712,
  [SMALL_STATE(4546)] = 236760,
  [SMALL_STATE(4547)] = 236844,
  [SMALL_STATE(4548)] = 236928,
  [SMALL_STATE(4549)] = 237012,
  [SMALL_STATE(4550)] = 237074,
  [SMALL_STATE(4551)] = 237160,
  [SMALL_STATE(4552)] = 237244,
  [SMALL_STATE(4553)] = 237290,
  [SMALL_STATE(4554)] = 237374,
  [SMALL_STATE(4555)] = 237442,
  [SMALL_STATE(4556)] = 237528,
  [SMALL_STATE(4557)] = 237614,
  [SMALL_STATE(4558)] = 237700,
  [SMALL_STATE(4559)] = 237786,
  [SMALL_STATE(4560)] = 237872,
  [SMALL_STATE(4561)] = 237932,
  [SMALL_STATE(4562)] = 238016,
  [SMALL_STATE(4563)] = 238076,
  [SMALL_STATE(4564)] = 238162,
  [SMALL_STATE(4565)] = 238248,
  [SMALL_STATE(4566)] = 238308,
  [SMALL_STATE(4567)] = 238392,
  [SMALL_STATE(4568)] = 238478,
  [SMALL_STATE(4569)] = 238564,
  [SMALL_STATE(4570)] = 238624,
  [SMALL_STATE(4571)] = 238710,
  [SMALL_STATE(4572)] = 238796,
  [SMALL_STATE(4573)] = 238882,
  [SMALL_STATE(4574)] = 238968,
  [SMALL_STATE(4575)] = 239054,
  [SMALL_STATE(4576)] = 239100,
  [SMALL_STATE(4577)] = 239158,
  [SMALL_STATE(4578)] = 239244,
  [SMALL_STATE(4579)] = 239330,
  [SMALL_STATE(4580)] = 239416,
  [SMALL_STATE(4581)] = 239500,
  [SMALL_STATE(4582)] = 239584,
  [SMALL_STATE(4583)] = 239630,
  [SMALL_STATE(4584)] = 239676,
  [SMALL_STATE(4585)] = 239736,
  [SMALL_STATE(4586)] = 239822,
  [SMALL_STATE(4587)] = 239908,
  [SMALL_STATE(4588)] = 239994,
  [SMALL_STATE(4589)] = 240080,
  [SMALL_STATE(4590)] = 240166,
  [SMALL_STATE(4591)] = 240252,
  [SMALL_STATE(4592)] = 240338,
  [SMALL_STATE(4593)] = 240384,
  [SMALL_STATE(4594)] = 240468,
  [SMALL_STATE(4595)] = 240552,
  [SMALL_STATE(4596)] = 240636,
  [SMALL_STATE(4597)] = 240722,
  [SMALL_STATE(4598)] = 240808,
  [SMALL_STATE(4599)] = 240892,
  [SMALL_STATE(4600)] = 240978,
  [SMALL_STATE(4601)] = 241064,
  [SMALL_STATE(4602)] = 241150,
  [SMALL_STATE(4603)] = 241236,
  [SMALL_STATE(4604)] = 241320,
  [SMALL_STATE(4605)] = 241404,
  [SMALL_STATE(4606)] = 241490,
  [SMALL_STATE(4607)] = 241576,
  [SMALL_STATE(4608)] = 241662,
  [SMALL_STATE(4609)] = 241748,
  [SMALL_STATE(4610)] = 241834,
  [SMALL_STATE(4611)] = 241880,
  [SMALL_STATE(4612)] = 241926,
  [SMALL_STATE(4613)] = 242010,
  [SMALL_STATE(4614)] = 242096,
  [SMALL_STATE(4615)] = 242182,
  [SMALL_STATE(4616)] = 242268,
  [SMALL_STATE(4617)] = 242354,
  [SMALL_STATE(4618)] = 242438,
  [SMALL_STATE(4619)] = 242524,
  [SMALL_STATE(4620)] = 242608,
  [SMALL_STATE(4621)] = 242692,
  [SMALL_STATE(4622)] = 242778,
  [SMALL_STATE(4623)] = 242864,
  [SMALL_STATE(4624)] = 242950,
  [SMALL_STATE(4625)] = 243036,
  [SMALL_STATE(4626)] = 243122,
  [SMALL_STATE(4627)] = 243206,
  [SMALL_STATE(4628)] = 243290,
  [SMALL_STATE(4629)] = 243374,
  [SMALL_STATE(4630)] = 243458,
  [SMALL_STATE(4631)] = 243504,
  [SMALL_STATE(4632)] = 243550,
  [SMALL_STATE(4633)] = 243636,
  [SMALL_STATE(4634)] = 243722,
  [SMALL_STATE(4635)] = 243786,
  [SMALL_STATE(4636)] = 243870,
  [SMALL_STATE(4637)] = 243954,
  [SMALL_STATE(4638)] = 244014,
  [SMALL_STATE(4639)] = 244098,
  [SMALL_STATE(4640)] = 244158,
  [SMALL_STATE(4641)] = 244242,
  [SMALL_STATE(4642)] = 244326,
  [SMALL_STATE(4643)] = 244410,
  [SMALL_STATE(4644)] = 244496,
  [SMALL_STATE(4645)] = 244559,
  [SMALL_STATE(4646)] = 244608,
  [SMALL_STATE(4647)] = 244667,
  [SMALL_STATE(4648)] = 244720,
  [SMALL_STATE(4649)] = 244779,
  [SMALL_STATE(4650)] = 244830,
  [SMALL_STATE(4651)] = 244889,
  [SMALL_STATE(4652)] = 244964,
  [SMALL_STATE(4653)] = 245031,
  [SMALL_STATE(4654)] = 245090,
  [SMALL_STATE(4655)] = 245137,
  [SMALL_STATE(4656)] = 245182,
  [SMALL_STATE(4657)] = 245241,
  [SMALL_STATE(4658)] = 245302,
  [SMALL_STATE(4659)] = 245361,
  [SMALL_STATE(4660)] = 245424,
  [SMALL_STATE(4661)] = 245483,
  [SMALL_STATE(4662)] = 245540,
  [SMALL_STATE(4663)] = 245601,
  [SMALL_STATE(4664)] = 245660,
  [SMALL_STATE(4665)] = 245709,
  [SMALL_STATE(4666)] = 245768,
  [SMALL_STATE(4667)] = 245829,
  [SMALL_STATE(4668)] = 245888,
  [SMALL_STATE(4669)] = 245947,
  [SMALL_STATE(4670)] = 245994,
  [SMALL_STATE(4671)] = 246057,
  [SMALL_STATE(4672)] = 246118,
  [SMALL_STATE(4673)] = 246179,
  [SMALL_STATE(4674)] = 246238,
  [SMALL_STATE(4675)] = 246297,
  [SMALL_STATE(4676)] = 246380,
  [SMALL_STATE(4677)] = 246447,
  [SMALL_STATE(4678)] = 246494,
  [SMALL_STATE(4679)] = 246553,
  [SMALL_STATE(4680)] = 246624,
  [SMALL_STATE(4681)] = 246683,
  [SMALL_STATE(4682)] = 246744,
  [SMALL_STATE(4683)] = 246791,
  [SMALL_STATE(4684)] = 246850,
  [SMALL_STATE(4685)] = 246911,
  [SMALL_STATE(4686)] = 246958,
  [SMALL_STATE(4687)] = 247025,
  [SMALL_STATE(4688)] = 247072,
  [SMALL_STATE(4689)] = 247131,
  [SMALL_STATE(4690)] = 247190,
  [SMALL_STATE(4691)] = 247251,
  [SMALL_STATE(4692)] = 247310,
  [SMALL_STATE(4693)] = 247369,
  [SMALL_STATE(4694)] = 247426,
  [SMALL_STATE(4695)] = 247473,
  [SMALL_STATE(4696)] = 247535,
  [SMALL_STATE(4697)] = 247581,
  [SMALL_STATE(4698)] = 247641,
  [SMALL_STATE(4699)] = 247687,
  [SMALL_STATE(4700)] = 247733,
  [SMALL_STATE(4701)] = 247791,
  [SMALL_STATE(4702)] = 247839,
  [SMALL_STATE(4703)] = 247885,
  [SMALL_STATE(4704)] = 247931,
  [SMALL_STATE(4705)] = 247977,
  [SMALL_STATE(4706)] = 248029,
  [SMALL_STATE(4707)] = 248079,
  [SMALL_STATE(4708)] = 248139,
  [SMALL_STATE(4709)] = 248197,
  [SMALL_STATE(4710)] = 248243,
  [SMALL_STATE(4711)] = 248301,
  [SMALL_STATE(4712)] = 248359,
  [SMALL_STATE(4713)] = 248419,
  [SMALL_STATE(4714)] = 248467,
  [SMALL_STATE(4715)] = 248519,
  [SMALL_STATE(4716)] = 248569,
  [SMALL_STATE(4717)] = 248627,
  [SMALL_STATE(4718)] = 248675,
  [SMALL_STATE(4719)] = 248721,
  [SMALL_STATE(4720)] = 248781,
  [SMALL_STATE(4721)] = 248827,
  [SMALL_STATE(4722)] = 248873,
  [SMALL_STATE(4723)] = 248919,
  [SMALL_STATE(4724)] = 248965,
  [SMALL_STATE(4725)] = 249011,
  [SMALL_STATE(4726)] = 249057,
  [SMALL_STATE(4727)] = 249103,
  [SMALL_STATE(4728)] = 249161,
  [SMALL_STATE(4729)] = 249209,
  [SMALL_STATE(4730)] = 249269,
  [SMALL_STATE(4731)] = 249327,
  [SMALL_STATE(4732)] = 249377,
  [SMALL_STATE(4733)] = 249443,
  [SMALL_STATE(4734)] = 249501,
  [SMALL_STATE(4735)] = 249561,
  [SMALL_STATE(4736)] = 249619,
  [SMALL_STATE(4737)] = 249677,
  [SMALL_STATE(4738)] = 249729,
  [SMALL_STATE(4739)] = 249775,
  [SMALL_STATE(4740)] = 249821,
  [SMALL_STATE(4741)] = 249887,
  [SMALL_STATE(4742)] = 249939,
  [SMALL_STATE(4743)] = 249997,
  [SMALL_STATE(4744)] = 250047,
  [SMALL_STATE(4745)] = 250097,
  [SMALL_STATE(4746)] = 250155,
  [SMALL_STATE(4747)] = 250211,
  [SMALL_STATE(4748)] = 250269,
  [SMALL_STATE(4749)] = 250327,
  [SMALL_STATE(4750)] = 250397,
  [SMALL_STATE(4751)] = 250455,
  [SMALL_STATE(4752)] = 250501,
  [SMALL_STATE(4753)] = 250563,
  [SMALL_STATE(4754)] = 250621,
  [SMALL_STATE(4755)] = 250681,
  [SMALL_STATE(4756)] = 250739,
  [SMALL_STATE(4757)] = 250791,
  [SMALL_STATE(4758)] = 250837,
  [SMALL_STATE(4759)] = 250895,
  [SMALL_STATE(4760)] = 250953,
  [SMALL_STATE(4761)] = 251001,
  [SMALL_STATE(4762)] = 251053,
  [SMALL_STATE(4763)] = 251115,
  [SMALL_STATE(4764)] = 251173,
  [SMALL_STATE(4765)] = 251223,
  [SMALL_STATE(4766)] = 251281,
  [SMALL_STATE(4767)] = 251337,
  [SMALL_STATE(4768)] = 251395,
  [SMALL_STATE(4769)] = 251453,
  [SMALL_STATE(4770)] = 251513,
  [SMALL_STATE(4771)] = 251573,
  [SMALL_STATE(4772)] = 251619,
  [SMALL_STATE(4773)] = 251677,
  [SMALL_STATE(4774)] = 251735,
  [SMALL_STATE(4775)] = 251801,
  [SMALL_STATE(4776)] = 251847,
  [SMALL_STATE(4777)] = 251905,
  [SMALL_STATE(4778)] = 251961,
  [SMALL_STATE(4779)] = 252007,
  [SMALL_STATE(4780)] = 252067,
  [SMALL_STATE(4781)] = 252113,
  [SMALL_STATE(4782)] = 252159,
  [SMALL_STATE(4783)] = 252225,
  [SMALL_STATE(4784)] = 252295,
  [SMALL_STATE(4785)] = 252375,
  [SMALL_STATE(4786)] = 252441,
  [SMALL_STATE(4787)] = 252499,
  [SMALL_STATE(4788)] = 252545,
  [SMALL_STATE(4789)] = 252603,
  [SMALL_STATE(4790)] = 252663,
  [SMALL_STATE(4791)] = 252723,
  [SMALL_STATE(4792)] = 252771,
  [SMALL_STATE(4793)] = 252817,
  [SMALL_STATE(4794)] = 252867,
  [SMALL_STATE(4795)] = 252913,
  [SMALL_STATE(4796)] = 252959,
  [SMALL_STATE(4797)] = 253045,
  [SMALL_STATE(4798)] = 253103,
  [SMALL_STATE(4799)] = 253149,
  [SMALL_STATE(4800)] = 253195,
  [SMALL_STATE(4801)] = 253242,
  [SMALL_STATE(4802)] = 253299,
  [SMALL_STATE(4803)] = 253344,
  [SMALL_STATE(4804)] = 253401,
  [SMALL_STATE(4805)] = 253446,
  [SMALL_STATE(4806)] = 253491,
  [SMALL_STATE(4807)] = 253536,
  [SMALL_STATE(4808)] = 253581,
  [SMALL_STATE(4809)] = 253630,
  [SMALL_STATE(4810)] = 253689,
  [SMALL_STATE(4811)] = 253734,
  [SMALL_STATE(4812)] = 253787,
  [SMALL_STATE(4813)] = 253832,
  [SMALL_STATE(4814)] = 253877,
  [SMALL_STATE(4815)] = 253922,
  [SMALL_STATE(4816)] = 253967,
  [SMALL_STATE(4817)] = 254012,
  [SMALL_STATE(4818)] = 254057,
  [SMALL_STATE(4819)] = 254114,
  [SMALL_STATE(4820)] = 254171,
  [SMALL_STATE(4821)] = 254240,
  [SMALL_STATE(4822)] = 254291,
  [SMALL_STATE(4823)] = 254336,
  [SMALL_STATE(4824)] = 254393,
  [SMALL_STATE(4825)] = 254438,
  [SMALL_STATE(4826)] = 254495,
  [SMALL_STATE(4827)] = 254540,
  [SMALL_STATE(4828)] = 254585,
  [SMALL_STATE(4829)] = 254630,
  [SMALL_STATE(4830)] = 254677,
  [SMALL_STATE(4831)] = 254736,
  [SMALL_STATE(4832)] = 254793,
  [SMALL_STATE(4833)] = 254838,
  [SMALL_STATE(4834)] = 254883,
  [SMALL_STATE(4835)] = 254932,
  [SMALL_STATE(4836)] = 254977,
  [SMALL_STATE(4837)] = 255028,
  [SMALL_STATE(4838)] = 255073,
  [SMALL_STATE(4839)] = 255118,
  [SMALL_STATE(4840)] = 255183,
  [SMALL_STATE(4841)] = 255228,
  [SMALL_STATE(4842)] = 255273,
  [SMALL_STATE(4843)] = 255318,
  [SMALL_STATE(4844)] = 255375,
  [SMALL_STATE(4845)] = 255432,
  [SMALL_STATE(4846)] = 255489,
  [SMALL_STATE(4847)] = 255546,
  [SMALL_STATE(4848)] = 255605,
  [SMALL_STATE(4849)] = 255654,
  [SMALL_STATE(4850)] = 255699,
  [SMALL_STATE(4851)] = 255744,
  [SMALL_STATE(4852)] = 255789,
  [SMALL_STATE(4853)] = 255834,
  [SMALL_STATE(4854)] = 255879,
  [SMALL_STATE(4855)] = 255924,
  [SMALL_STATE(4856)] = 255971,
  [SMALL_STATE(4857)] = 256016,
  [SMALL_STATE(4858)] = 256061,
  [SMALL_STATE(4859)] = 256106,
  [SMALL_STATE(4860)] = 256161,
  [SMALL_STATE(4861)] = 256220,
  [SMALL_STATE(4862)] = 256265,
  [SMALL_STATE(4863)] = 256320,
  [SMALL_STATE(4864)] = 256385,
  [SMALL_STATE(4865)] = 256440,
  [SMALL_STATE(4866)] = 256491,
  [SMALL_STATE(4867)] = 256542,
  [SMALL_STATE(4868)] = 256591,
  [SMALL_STATE(4869)] = 256636,
  [SMALL_STATE(4870)] = 256681,
  [SMALL_STATE(4871)] = 256738,
  [SMALL_STATE(4872)] = 256787,
  [SMALL_STATE(4873)] = 256834,
  [SMALL_STATE(4874)] = 256899,
  [SMALL_STATE(4875)] = 256948,
  [SMALL_STATE(4876)] = 256995,
  [SMALL_STATE(4877)] = 257052,
  [SMALL_STATE(4878)] = 257103,
  [SMALL_STATE(4879)] = 257160,
  [SMALL_STATE(4880)] = 257221,
  [SMALL_STATE(4881)] = 257278,
  [SMALL_STATE(4882)] = 257335,
  [SMALL_STATE(4883)] = 257394,
  [SMALL_STATE(4884)] = 257441,
  [SMALL_STATE(4885)] = 257486,
  [SMALL_STATE(4886)] = 257543,
  [SMALL_STATE(4887)] = 257588,
  [SMALL_STATE(4888)] = 257633,
  [SMALL_STATE(4889)] = 257678,
  [SMALL_STATE(4890)] = 257729,
  [SMALL_STATE(4891)] = 257780,
  [SMALL_STATE(4892)] = 257839,
  [SMALL_STATE(4893)] = 257900,
  [SMALL_STATE(4894)] = 257951,
  [SMALL_STATE(4895)] = 258000,
  [SMALL_STATE(4896)] = 258045,
  [SMALL_STATE(4897)] = 258102,
  [SMALL_STATE(4898)] = 258147,
  [SMALL_STATE(4899)] = 258204,
  [SMALL_STATE(4900)] = 258251,
  [SMALL_STATE(4901)] = 258298,
  [SMALL_STATE(4902)] = 258355,
  [SMALL_STATE(4903)] = 258424,
  [SMALL_STATE(4904)] = 258471,
  [SMALL_STATE(4905)] = 258530,
  [SMALL_STATE(4906)] = 258579,
  [SMALL_STATE(4907)] = 258626,
  [SMALL_STATE(4908)] = 258677,
  [SMALL_STATE(4909)] = 258746,
  [SMALL_STATE(4910)] = 258795,
  [SMALL_STATE(4911)] = 258852,
  [SMALL_STATE(4912)] = 258913,
  [SMALL_STATE(4913)] = 258960,
  [SMALL_STATE(4914)] = 259009,
  [SMALL_STATE(4915)] = 259068,
  [SMALL_STATE(4916)] = 259113,
  [SMALL_STATE(4917)] = 259158,
  [SMALL_STATE(4918)] = 259215,
  [SMALL_STATE(4919)] = 259260,
  [SMALL_STATE(4920)] = 259317,
  [SMALL_STATE(4921)] = 259374,
  [SMALL_STATE(4922)] = 259419,
  [SMALL_STATE(4923)] = 259484,
  [SMALL_STATE(4924)] = 259529,
  [SMALL_STATE(4925)] = 259588,
  [SMALL_STATE(4926)] = 259633,
  [SMALL_STATE(4927)] = 259690,
  [SMALL_STATE(4928)] = 259749,
  [SMALL_STATE(4929)] = 259794,
  [SMALL_STATE(4930)] = 259851,
  [SMALL_STATE(4931)] = 259896,
  [SMALL_STATE(4932)] = 259943,
  [SMALL_STATE(4933)] = 260000,
  [SMALL_STATE(4934)] = 260045,
  [SMALL_STATE(4935)] = 260090,
  [SMALL_STATE(4936)] = 260149,
  [SMALL_STATE(4937)] = 260194,
  [SMALL_STATE(4938)] = 260259,
  [SMALL_STATE(4939)] = 260304,
  [SMALL_STATE(4940)] = 260361,
  [SMALL_STATE(4941)] = 260406,
  [SMALL_STATE(4942)] = 260451,
  [SMALL_STATE(4943)] = 260508,
  [SMALL_STATE(4944)] = 260553,
  [SMALL_STATE(4945)] = 260598,
  [SMALL_STATE(4946)] = 260657,
  [SMALL_STATE(4947)] = 260702,
  [SMALL_STATE(4948)] = 260747,
  [SMALL_STATE(4949)] = 260792,
  [SMALL_STATE(4950)] = 260849,
  [SMALL_STATE(4951)] = 260894,
  [SMALL_STATE(4952)] = 260953,
  [SMALL_STATE(4953)] = 260998,
  [SMALL_STATE(4954)] = 261055,
  [SMALL_STATE(4955)] = 261120,
  [SMALL_STATE(4956)] = 261171,
  [SMALL_STATE(4957)] = 261220,
  [SMALL_STATE(4958)] = 261265,
  [SMALL_STATE(4959)] = 261310,
  [SMALL_STATE(4960)] = 261355,
  [SMALL_STATE(4961)] = 261400,
  [SMALL_STATE(4962)] = 261445,
  [SMALL_STATE(4963)] = 261502,
  [SMALL_STATE(4964)] = 261547,
  [SMALL_STATE(4965)] = 261606,
  [SMALL_STATE(4966)] = 261653,
  [SMALL_STATE(4967)] = 261700,
  [SMALL_STATE(4968)] = 261749,
  [SMALL_STATE(4969)] = 261806,
  [SMALL_STATE(4970)] = 261851,
  [SMALL_STATE(4971)] = 261896,
  [SMALL_STATE(4972)] = 261953,
  [SMALL_STATE(4973)] = 262000,
  [SMALL_STATE(4974)] = 262045,
  [SMALL_STATE(4975)] = 262104,
  [SMALL_STATE(4976)] = 262149,
  [SMALL_STATE(4977)] = 262194,
  [SMALL_STATE(4978)] = 262253,
  [SMALL_STATE(4979)] = 262310,
  [SMALL_STATE(4980)] = 262355,
  [SMALL_STATE(4981)] = 262400,
  [SMALL_STATE(4982)] = 262445,
  [SMALL_STATE(4983)] = 262494,
  [SMALL_STATE(4984)] = 262539,
  [SMALL_STATE(4985)] = 262584,
  [SMALL_STATE(4986)] = 262629,
  [SMALL_STATE(4987)] = 262674,
  [SMALL_STATE(4988)] = 262731,
  [SMALL_STATE(4989)] = 262788,
  [SMALL_STATE(4990)] = 262833,
  [SMALL_STATE(4991)] = 262878,
  [SMALL_STATE(4992)] = 262939,
  [SMALL_STATE(4993)] = 262990,
  [SMALL_STATE(4994)] = 263049,
  [SMALL_STATE(4995)] = 263104,
  [SMALL_STATE(4996)] = 263155,
  [SMALL_STATE(4997)] = 263204,
  [SMALL_STATE(4998)] = 263255,
  [SMALL_STATE(4999)] = 263300,
  [SMALL_STATE(5000)] = 263345,
  [SMALL_STATE(5001)] = 263394,
  [SMALL_STATE(5002)] = 263439,
  [SMALL_STATE(5003)] = 263504,
  [SMALL_STATE(5004)] = 263549,
  [SMALL_STATE(5005)] = 263594,
  [SMALL_STATE(5006)] = 263639,
  [SMALL_STATE(5007)] = 263696,
  [SMALL_STATE(5008)] = 263741,
  [SMALL_STATE(5009)] = 263797,
  [SMALL_STATE(5010)] = 263841,
  [SMALL_STATE(5011)] = 263885,
  [SMALL_STATE(5012)] = 263929,
  [SMALL_STATE(5013)] = 263973,
  [SMALL_STATE(5014)] = 264017,
  [SMALL_STATE(5015)] = 264061,
  [SMALL_STATE(5016)] = 264105,
  [SMALL_STATE(5017)] = 264149,
  [SMALL_STATE(5018)] = 264193,
  [SMALL_STATE(5019)] = 264237,
  [SMALL_STATE(5020)] = 264281,
  [SMALL_STATE(5021)] = 264325,
  [SMALL_STATE(5022)] = 264369,
  [SMALL_STATE(5023)] = 264413,
  [SMALL_STATE(5024)] = 264457,
  [SMALL_STATE(5025)] = 264501,
  [SMALL_STATE(5026)] = 264545,
  [SMALL_STATE(5027)] = 264589,
  [SMALL_STATE(5028)] = 264645,
  [SMALL_STATE(5029)] = 264689,
  [SMALL_STATE(5030)] = 264733,
  [SMALL_STATE(5031)] = 264777,
  [SMALL_STATE(5032)] = 264821,
  [SMALL_STATE(5033)] = 264879,
  [SMALL_STATE(5034)] = 264923,
  [SMALL_STATE(5035)] = 264967,
  [SMALL_STATE(5036)] = 265011,
  [SMALL_STATE(5037)] = 265055,
  [SMALL_STATE(5038)] = 265099,
  [SMALL_STATE(5039)] = 265143,
  [SMALL_STATE(5040)] = 265187,
  [SMALL_STATE(5041)] = 265231,
  [SMALL_STATE(5042)] = 265277,
  [SMALL_STATE(5043)] = 265321,
  [SMALL_STATE(5044)] = 265367,
  [SMALL_STATE(5045)] = 265411,
  [SMALL_STATE(5046)] = 265455,
  [SMALL_STATE(5047)] = 265499,
  [SMALL_STATE(5048)] = 265543,
  [SMALL_STATE(5049)] = 265589,
  [SMALL_STATE(5050)] = 265637,
  [SMALL_STATE(5051)] = 265681,
  [SMALL_STATE(5052)] = 265737,
  [SMALL_STATE(5053)] = 265791,
  [SMALL_STATE(5054)] = 265835,
  [SMALL_STATE(5055)] = 265885,
  [SMALL_STATE(5056)] = 265929,
  [SMALL_STATE(5057)] = 265977,
  [SMALL_STATE(5058)] = 266033,
  [SMALL_STATE(5059)] = 266077,
  [SMALL_STATE(5060)] = 266121,
  [SMALL_STATE(5061)] = 266185,
  [SMALL_STATE(5062)] = 266239,
  [SMALL_STATE(5063)] = 266295,
  [SMALL_STATE(5064)] = 266339,
  [SMALL_STATE(5065)] = 266383,
  [SMALL_STATE(5066)] = 266451,
  [SMALL_STATE(5067)] = 266499,
  [SMALL_STATE(5068)] = 266555,
  [SMALL_STATE(5069)] = 266599,
  [SMALL_STATE(5070)] = 266645,
  [SMALL_STATE(5071)] = 266695,
  [SMALL_STATE(5072)] = 266739,
  [SMALL_STATE(5073)] = 266783,
  [SMALL_STATE(5074)] = 266827,
  [SMALL_STATE(5075)] = 266871,
  [SMALL_STATE(5076)] = 266915,
  [SMALL_STATE(5077)] = 266959,
  [SMALL_STATE(5078)] = 267017,
  [SMALL_STATE(5079)] = 267063,
  [SMALL_STATE(5080)] = 267107,
  [SMALL_STATE(5081)] = 267151,
  [SMALL_STATE(5082)] = 267207,
  [SMALL_STATE(5083)] = 267263,
  [SMALL_STATE(5084)] = 267309,
  [SMALL_STATE(5085)] = 267365,
  [SMALL_STATE(5086)] = 267413,
  [SMALL_STATE(5087)] = 267457,
  [SMALL_STATE(5088)] = 267501,
  [SMALL_STATE(5089)] = 267557,
  [SMALL_STATE(5090)] = 267601,
  [SMALL_STATE(5091)] = 267645,
  [SMALL_STATE(5092)] = 267701,
  [SMALL_STATE(5093)] = 267745,
  [SMALL_STATE(5094)] = 267789,
  [SMALL_STATE(5095)] = 267833,
  [SMALL_STATE(5096)] = 267877,
  [SMALL_STATE(5097)] = 267921,
  [SMALL_STATE(5098)] = 267965,
  [SMALL_STATE(5099)] = 268009,
  [SMALL_STATE(5100)] = 268053,
  [SMALL_STATE(5101)] = 268097,
  [SMALL_STATE(5102)] = 268141,
  [SMALL_STATE(5103)] = 268197,
  [SMALL_STATE(5104)] = 268243,
  [SMALL_STATE(5105)] = 268287,
  [SMALL_STATE(5106)] = 268331,
  [SMALL_STATE(5107)] = 268387,
  [SMALL_STATE(5108)] = 268437,
  [SMALL_STATE(5109)] = 268483,
  [SMALL_STATE(5110)] = 268539,
  [SMALL_STATE(5111)] = 268603,
  [SMALL_STATE(5112)] = 268659,
  [SMALL_STATE(5113)] = 268703,
  [SMALL_STATE(5114)] = 268749,
  [SMALL_STATE(5115)] = 268793,
  [SMALL_STATE(5116)] = 268837,
  [SMALL_STATE(5117)] = 268885,
  [SMALL_STATE(5118)] = 268941,
  [SMALL_STATE(5119)] = 268985,
  [SMALL_STATE(5120)] = 269029,
  [SMALL_STATE(5121)] = 269097,
  [SMALL_STATE(5122)] = 269141,
  [SMALL_STATE(5123)] = 269187,
  [SMALL_STATE(5124)] = 269233,
  [SMALL_STATE(5125)] = 269277,
  [SMALL_STATE(5126)] = 269333,
  [SMALL_STATE(5127)] = 269377,
  [SMALL_STATE(5128)] = 269421,
  [SMALL_STATE(5129)] = 269471,
  [SMALL_STATE(5130)] = 269519,
  [SMALL_STATE(5131)] = 269563,
  [SMALL_STATE(5132)] = 269607,
  [SMALL_STATE(5133)] = 269651,
  [SMALL_STATE(5134)] = 269695,
  [SMALL_STATE(5135)] = 269739,
  [SMALL_STATE(5136)] = 269783,
  [SMALL_STATE(5137)] = 269837,
  [SMALL_STATE(5138)] = 269881,
  [SMALL_STATE(5139)] = 269925,
  [SMALL_STATE(5140)] = 269969,
  [SMALL_STATE(5141)] = 270013,
  [SMALL_STATE(5142)] = 270071,
  [SMALL_STATE(5143)] = 270121,
  [SMALL_STATE(5144)] = 270167,
  [SMALL_STATE(5145)] = 270211,
  [SMALL_STATE(5146)] = 270259,
  [SMALL_STATE(5147)] = 270303,
  [SMALL_STATE(5148)] = 270347,
  [SMALL_STATE(5149)] = 270391,
  [SMALL_STATE(5150)] = 270441,
  [SMALL_STATE(5151)] = 270485,
  [SMALL_STATE(5152)] = 270529,
  [SMALL_STATE(5153)] = 270577,
  [SMALL_STATE(5154)] = 270621,
  [SMALL_STATE(5155)] = 270665,
  [SMALL_STATE(5156)] = 270709,
  [SMALL_STATE(5157)] = 270765,
  [SMALL_STATE(5158)] = 270823,
  [SMALL_STATE(5159)] = 270881,
  [SMALL_STATE(5160)] = 270939,
  [SMALL_STATE(5161)] = 270983,
  [SMALL_STATE(5162)] = 271029,
  [SMALL_STATE(5163)] = 271079,
  [SMALL_STATE(5164)] = 271123,
  [SMALL_STATE(5165)] = 271171,
  [SMALL_STATE(5166)] = 271215,
  [SMALL_STATE(5167)] = 271259,
  [SMALL_STATE(5168)] = 271315,
  [SMALL_STATE(5169)] = 271373,
  [SMALL_STATE(5170)] = 271419,
  [SMALL_STATE(5171)] = 271463,
  [SMALL_STATE(5172)] = 271507,
  [SMALL_STATE(5173)] = 271563,
  [SMALL_STATE(5174)] = 271607,
  [SMALL_STATE(5175)] = 271651,
  [SMALL_STATE(5176)] = 271695,
  [SMALL_STATE(5177)] = 271739,
  [SMALL_STATE(5178)] = 271783,
  [SMALL_STATE(5179)] = 271827,
  [SMALL_STATE(5180)] = 271871,
  [SMALL_STATE(5181)] = 271915,
  [SMALL_STATE(5182)] = 271959,
  [SMALL_STATE(5183)] = 272003,
  [SMALL_STATE(5184)] = 272047,
  [SMALL_STATE(5185)] = 272091,
  [SMALL_STATE(5186)] = 272135,
  [SMALL_STATE(5187)] = 272179,
  [SMALL_STATE(5188)] = 272225,
  [SMALL_STATE(5189)] = 272283,
  [SMALL_STATE(5190)] = 272327,
  [SMALL_STATE(5191)] = 272371,
  [SMALL_STATE(5192)] = 272423,
  [SMALL_STATE(5193)] = 272467,
  [SMALL_STATE(5194)] = 272511,
  [SMALL_STATE(5195)] = 272567,
  [SMALL_STATE(5196)] = 272611,
  [SMALL_STATE(5197)] = 272655,
  [SMALL_STATE(5198)] = 272699,
  [SMALL_STATE(5199)] = 272755,
  [SMALL_STATE(5200)] = 272799,
  [SMALL_STATE(5201)] = 272843,
  [SMALL_STATE(5202)] = 272887,
  [SMALL_STATE(5203)] = 272943,
  [SMALL_STATE(5204)] = 272999,
  [SMALL_STATE(5205)] = 273043,
  [SMALL_STATE(5206)] = 273087,
  [SMALL_STATE(5207)] = 273135,
  [SMALL_STATE(5208)] = 273179,
  [SMALL_STATE(5209)] = 273235,
  [SMALL_STATE(5210)] = 273279,
  [SMALL_STATE(5211)] = 273323,
  [SMALL_STATE(5212)] = 273367,
  [SMALL_STATE(5213)] = 273411,
  [SMALL_STATE(5214)] = 273467,
  [SMALL_STATE(5215)] = 273511,
  [SMALL_STATE(5216)] = 273555,
  [SMALL_STATE(5217)] = 273599,
  [SMALL_STATE(5218)] = 273643,
  [SMALL_STATE(5219)] = 273687,
  [SMALL_STATE(5220)] = 273745,
  [SMALL_STATE(5221)] = 273789,
  [SMALL_STATE(5222)] = 273833,
  [SMALL_STATE(5223)] = 273885,
  [SMALL_STATE(5224)] = 273953,
  [SMALL_STATE(5225)] = 274009,
  [SMALL_STATE(5226)] = 274053,
  [SMALL_STATE(5227)] = 274097,
  [SMALL_STATE(5228)] = 274153,
  [SMALL_STATE(5229)] = 274203,
  [SMALL_STATE(5230)] = 274247,
  [SMALL_STATE(5231)] = 274291,
  [SMALL_STATE(5232)] = 274351,
  [SMALL_STATE(5233)] = 274395,
  [SMALL_STATE(5234)] = 274439,
  [SMALL_STATE(5235)] = 274485,
  [SMALL_STATE(5236)] = 274529,
  [SMALL_STATE(5237)] = 274573,
  [SMALL_STATE(5238)] = 274617,
  [SMALL_STATE(5239)] = 274661,
  [SMALL_STATE(5240)] = 274719,
  [SMALL_STATE(5241)] = 274775,
  [SMALL_STATE(5242)] = 274835,
  [SMALL_STATE(5243)] = 274891,
  [SMALL_STATE(5244)] = 274941,
  [SMALL_STATE(5245)] = 274985,
  [SMALL_STATE(5246)] = 275041,
  [SMALL_STATE(5247)] = 275097,
  [SMALL_STATE(5248)] = 275161,
  [SMALL_STATE(5249)] = 275219,
  [SMALL_STATE(5250)] = 275275,
  [SMALL_STATE(5251)] = 275331,
  [SMALL_STATE(5252)] = 275399,
  [SMALL_STATE(5253)] = 275459,
  [SMALL_STATE(5254)] = 275515,
  [SMALL_STATE(5255)] = 275559,
  [SMALL_STATE(5256)] = 275603,
  [SMALL_STATE(5257)] = 275659,
  [SMALL_STATE(5258)] = 275715,
  [SMALL_STATE(5259)] = 275769,
  [SMALL_STATE(5260)] = 275817,
  [SMALL_STATE(5261)] = 275861,
  [SMALL_STATE(5262)] = 275911,
  [SMALL_STATE(5263)] = 275957,
  [SMALL_STATE(5264)] = 276005,
  [SMALL_STATE(5265)] = 276049,
  [SMALL_STATE(5266)] = 276095,
  [SMALL_STATE(5267)] = 276141,
  [SMALL_STATE(5268)] = 276185,
  [SMALL_STATE(5269)] = 276229,
  [SMALL_STATE(5270)] = 276279,
  [SMALL_STATE(5271)] = 276329,
  [SMALL_STATE(5272)] = 276375,
  [SMALL_STATE(5273)] = 276419,
  [SMALL_STATE(5274)] = 276465,
  [SMALL_STATE(5275)] = 276515,
  [SMALL_STATE(5276)] = 276559,
  [SMALL_STATE(5277)] = 276607,
  [SMALL_STATE(5278)] = 276651,
  [SMALL_STATE(5279)] = 276701,
  [SMALL_STATE(5280)] = 276757,
  [SMALL_STATE(5281)] = 276825,
  [SMALL_STATE(5282)] = 276869,
  [SMALL_STATE(5283)] = 276925,
  [SMALL_STATE(5284)] = 276969,
  [SMALL_STATE(5285)] = 277019,
  [SMALL_STATE(5286)] = 277067,
  [SMALL_STATE(5287)] = 277127,
  [SMALL_STATE(5288)] = 277173,
  [SMALL_STATE(5289)] = 277217,
  [SMALL_STATE(5290)] = 277273,
  [SMALL_STATE(5291)] = 277321,
  [SMALL_STATE(5292)] = 277371,
  [SMALL_STATE(5293)] = 277429,
  [SMALL_STATE(5294)] = 277479,
  [SMALL_STATE(5295)] = 277527,
  [SMALL_STATE(5296)] = 277583,
  [SMALL_STATE(5297)] = 277631,
  [SMALL_STATE(5298)] = 277695,
  [SMALL_STATE(5299)] = 277751,
  [SMALL_STATE(5300)] = 277799,
  [SMALL_STATE(5301)] = 277843,
  [SMALL_STATE(5302)] = 277899,
  [SMALL_STATE(5303)] = 277943,
  [SMALL_STATE(5304)] = 277987,
  [SMALL_STATE(5305)] = 278045,
  [SMALL_STATE(5306)] = 278101,
  [SMALL_STATE(5307)] = 278145,
  [SMALL_STATE(5308)] = 278189,
  [SMALL_STATE(5309)] = 278237,
  [SMALL_STATE(5310)] = 278293,
  [SMALL_STATE(5311)] = 278351,
  [SMALL_STATE(5312)] = 278407,
  [SMALL_STATE(5313)] = 278451,
  [SMALL_STATE(5314)] = 278515,
  [SMALL_STATE(5315)] = 278565,
  [SMALL_STATE(5316)] = 278615,
  [SMALL_STATE(5317)] = 278659,
  [SMALL_STATE(5318)] = 278703,
  [SMALL_STATE(5319)] = 278747,
  [SMALL_STATE(5320)] = 278805,
  [SMALL_STATE(5321)] = 278851,
  [SMALL_STATE(5322)] = 278895,
  [SMALL_STATE(5323)] = 278939,
  [SMALL_STATE(5324)] = 278987,
  [SMALL_STATE(5325)] = 279031,
  [SMALL_STATE(5326)] = 279095,
  [SMALL_STATE(5327)] = 279153,
  [SMALL_STATE(5328)] = 279197,
  [SMALL_STATE(5329)] = 279241,
  [SMALL_STATE(5330)] = 279287,
  [SMALL_STATE(5331)] = 279333,
  [SMALL_STATE(5332)] = 279389,
  [SMALL_STATE(5333)] = 279433,
  [SMALL_STATE(5334)] = 279497,
  [SMALL_STATE(5335)] = 279545,
  [SMALL_STATE(5336)] = 279601,
  [SMALL_STATE(5337)] = 279659,
  [SMALL_STATE(5338)] = 279703,
  [SMALL_STATE(5339)] = 279751,
  [SMALL_STATE(5340)] = 279807,
  [SMALL_STATE(5341)] = 279850,
  [SMALL_STATE(5342)] = 279893,
  [SMALL_STATE(5343)] = 279936,
  [SMALL_STATE(5344)] = 279979,
  [SMALL_STATE(5345)] = 280022,
  [SMALL_STATE(5346)] = 280065,
  [SMALL_STATE(5347)] = 280108,
  [SMALL_STATE(5348)] = 280163,
  [SMALL_STATE(5349)] = 280218,
  [SMALL_STATE(5350)] = 280273,
  [SMALL_STATE(5351)] = 280328,
  [SMALL_STATE(5352)] = 280385,
  [SMALL_STATE(5353)] = 280428,
  [SMALL_STATE(5354)] = 280483,
  [SMALL_STATE(5355)] = 280526,
  [SMALL_STATE(5356)] = 280573,
  [SMALL_STATE(5357)] = 280616,
  [SMALL_STATE(5358)] = 280659,
  [SMALL_STATE(5359)] = 280716,
  [SMALL_STATE(5360)] = 280759,
  [SMALL_STATE(5361)] = 280802,
  [SMALL_STATE(5362)] = 280855,
  [SMALL_STATE(5363)] = 280898,
  [SMALL_STATE(5364)] = 280941,
  [SMALL_STATE(5365)] = 280984,
  [SMALL_STATE(5366)] = 281029,
  [SMALL_STATE(5367)] = 281072,
  [SMALL_STATE(5368)] = 281115,
  [SMALL_STATE(5369)] = 281164,
  [SMALL_STATE(5370)] = 281213,
  [SMALL_STATE(5371)] = 281256,
  [SMALL_STATE(5372)] = 281301,
  [SMALL_STATE(5373)] = 281358,
  [SMALL_STATE(5374)] = 281405,
  [SMALL_STATE(5375)] = 281448,
  [SMALL_STATE(5376)] = 281493,
  [SMALL_STATE(5377)] = 281536,
  [SMALL_STATE(5378)] = 281579,
  [SMALL_STATE(5379)] = 281624,
  [SMALL_STATE(5380)] = 281667,
  [SMALL_STATE(5381)] = 281730,
  [SMALL_STATE(5382)] = 281773,
  [SMALL_STATE(5383)] = 281822,
  [SMALL_STATE(5384)] = 281869,
  [SMALL_STATE(5385)] = 281912,
  [SMALL_STATE(5386)] = 281967,
  [SMALL_STATE(5387)] = 282022,
  [SMALL_STATE(5388)] = 282071,
  [SMALL_STATE(5389)] = 282114,
  [SMALL_STATE(5390)] = 282167,
  [SMALL_STATE(5391)] = 282210,
  [SMALL_STATE(5392)] = 282265,
  [SMALL_STATE(5393)] = 282328,
  [SMALL_STATE(5394)] = 282371,
  [SMALL_STATE(5395)] = 282414,
  [SMALL_STATE(5396)] = 282457,
  [SMALL_STATE(5397)] = 282500,
  [SMALL_STATE(5398)] = 282543,
  [SMALL_STATE(5399)] = 282586,
  [SMALL_STATE(5400)] = 282629,
  [SMALL_STATE(5401)] = 282672,
  [SMALL_STATE(5402)] = 282715,
  [SMALL_STATE(5403)] = 282770,
  [SMALL_STATE(5404)] = 282813,
  [SMALL_STATE(5405)] = 282856,
  [SMALL_STATE(5406)] = 282899,
  [SMALL_STATE(5407)] = 282942,
  [SMALL_STATE(5408)] = 282989,
  [SMALL_STATE(5409)] = 283032,
  [SMALL_STATE(5410)] = 283075,
  [SMALL_STATE(5411)] = 283118,
  [SMALL_STATE(5412)] = 283161,
  [SMALL_STATE(5413)] = 283204,
  [SMALL_STATE(5414)] = 283247,
  [SMALL_STATE(5415)] = 283296,
  [SMALL_STATE(5416)] = 283353,
  [SMALL_STATE(5417)] = 283400,
  [SMALL_STATE(5418)] = 283443,
  [SMALL_STATE(5419)] = 283486,
  [SMALL_STATE(5420)] = 283529,
  [SMALL_STATE(5421)] = 283572,
  [SMALL_STATE(5422)] = 283621,
  [SMALL_STATE(5423)] = 283666,
  [SMALL_STATE(5424)] = 283713,
  [SMALL_STATE(5425)] = 283756,
  [SMALL_STATE(5426)] = 283799,
  [SMALL_STATE(5427)] = 283844,
  [SMALL_STATE(5428)] = 283887,
  [SMALL_STATE(5429)] = 283930,
  [SMALL_STATE(5430)] = 283973,
  [SMALL_STATE(5431)] = 284016,
  [SMALL_STATE(5432)] = 284059,
  [SMALL_STATE(5433)] = 284106,
  [SMALL_STATE(5434)] = 284149,
  [SMALL_STATE(5435)] = 284192,
  [SMALL_STATE(5436)] = 284235,
  [SMALL_STATE(5437)] = 284280,
  [SMALL_STATE(5438)] = 284323,
  [SMALL_STATE(5439)] = 284366,
  [SMALL_STATE(5440)] = 284409,
  [SMALL_STATE(5441)] = 284452,
  [SMALL_STATE(5442)] = 284495,
  [SMALL_STATE(5443)] = 284538,
  [SMALL_STATE(5444)] = 284581,
  [SMALL_STATE(5445)] = 284624,
  [SMALL_STATE(5446)] = 284667,
  [SMALL_STATE(5447)] = 284710,
  [SMALL_STATE(5448)] = 284753,
  [SMALL_STATE(5449)] = 284796,
  [SMALL_STATE(5450)] = 284839,
  [SMALL_STATE(5451)] = 284882,
  [SMALL_STATE(5452)] = 284925,
  [SMALL_STATE(5453)] = 284980,
  [SMALL_STATE(5454)] = 285023,
  [SMALL_STATE(5455)] = 285066,
  [SMALL_STATE(5456)] = 285109,
  [SMALL_STATE(5457)] = 285152,
  [SMALL_STATE(5458)] = 285205,
  [SMALL_STATE(5459)] = 285248,
  [SMALL_STATE(5460)] = 285291,
  [SMALL_STATE(5461)] = 285334,
  [SMALL_STATE(5462)] = 285377,
  [SMALL_STATE(5463)] = 285420,
  [SMALL_STATE(5464)] = 285463,
  [SMALL_STATE(5465)] = 285506,
  [SMALL_STATE(5466)] = 285551,
  [SMALL_STATE(5467)] = 285594,
  [SMALL_STATE(5468)] = 285637,
  [SMALL_STATE(5469)] = 285680,
  [SMALL_STATE(5470)] = 285727,
  [SMALL_STATE(5471)] = 285770,
  [SMALL_STATE(5472)] = 285813,
  [SMALL_STATE(5473)] = 285856,
  [SMALL_STATE(5474)] = 285911,
  [SMALL_STATE(5475)] = 285966,
  [SMALL_STATE(5476)] = 286009,
  [SMALL_STATE(5477)] = 286054,
  [SMALL_STATE(5478)] = 286099,
  [SMALL_STATE(5479)] = 286142,
  [SMALL_STATE(5480)] = 286209,
  [SMALL_STATE(5481)] = 286276,
  [SMALL_STATE(5482)] = 286319,
  [SMALL_STATE(5483)] = 286364,
  [SMALL_STATE(5484)] = 286407,
  [SMALL_STATE(5485)] = 286450,
  [SMALL_STATE(5486)] = 286493,
  [SMALL_STATE(5487)] = 286550,
  [SMALL_STATE(5488)] = 286593,
  [SMALL_STATE(5489)] = 286636,
  [SMALL_STATE(5490)] = 286679,
  [SMALL_STATE(5491)] = 286722,
  [SMALL_STATE(5492)] = 286765,
  [SMALL_STATE(5493)] = 286808,
  [SMALL_STATE(5494)] = 286851,
  [SMALL_STATE(5495)] = 286894,
  [SMALL_STATE(5496)] = 286937,
  [SMALL_STATE(5497)] = 286980,
  [SMALL_STATE(5498)] = 287023,
  [SMALL_STATE(5499)] = 287066,
  [SMALL_STATE(5500)] = 287109,
  [SMALL_STATE(5501)] = 287152,
  [SMALL_STATE(5502)] = 287197,
  [SMALL_STATE(5503)] = 287240,
  [SMALL_STATE(5504)] = 287283,
  [SMALL_STATE(5505)] = 287326,
  [SMALL_STATE(5506)] = 287369,
  [SMALL_STATE(5507)] = 287412,
  [SMALL_STATE(5508)] = 287455,
  [SMALL_STATE(5509)] = 287498,
  [SMALL_STATE(5510)] = 287543,
  [SMALL_STATE(5511)] = 287586,
  [SMALL_STATE(5512)] = 287641,
  [SMALL_STATE(5513)] = 287696,
  [SMALL_STATE(5514)] = 287751,
  [SMALL_STATE(5515)] = 287796,
  [SMALL_STATE(5516)] = 287839,
  [SMALL_STATE(5517)] = 287882,
  [SMALL_STATE(5518)] = 287925,
  [SMALL_STATE(5519)] = 287980,
  [SMALL_STATE(5520)] = 288023,
  [SMALL_STATE(5521)] = 288068,
  [SMALL_STATE(5522)] = 288111,
  [SMALL_STATE(5523)] = 288158,
  [SMALL_STATE(5524)] = 288213,
  [SMALL_STATE(5525)] = 288276,
  [SMALL_STATE(5526)] = 288323,
  [SMALL_STATE(5527)] = 288380,
  [SMALL_STATE(5528)] = 288423,
  [SMALL_STATE(5529)] = 288478,
  [SMALL_STATE(5530)] = 288531,
  [SMALL_STATE(5531)] = 288574,
  [SMALL_STATE(5532)] = 288617,
  [SMALL_STATE(5533)] = 288660,
  [SMALL_STATE(5534)] = 288703,
  [SMALL_STATE(5535)] = 288746,
  [SMALL_STATE(5536)] = 288795,
  [SMALL_STATE(5537)] = 288838,
  [SMALL_STATE(5538)] = 288881,
  [SMALL_STATE(5539)] = 288924,
  [SMALL_STATE(5540)] = 288967,
  [SMALL_STATE(5541)] = 289012,
  [SMALL_STATE(5542)] = 289061,
  [SMALL_STATE(5543)] = 289104,
  [SMALL_STATE(5544)] = 289147,
  [SMALL_STATE(5545)] = 289190,
  [SMALL_STATE(5546)] = 289233,
  [SMALL_STATE(5547)] = 289288,
  [SMALL_STATE(5548)] = 289339,
  [SMALL_STATE(5549)] = 289382,
  [SMALL_STATE(5550)] = 289425,
  [SMALL_STATE(5551)] = 289468,
  [SMALL_STATE(5552)] = 289511,
  [SMALL_STATE(5553)] = 289554,
  [SMALL_STATE(5554)] = 289597,
  [SMALL_STATE(5555)] = 289644,
  [SMALL_STATE(5556)] = 289687,
  [SMALL_STATE(5557)] = 289730,
  [SMALL_STATE(5558)] = 289773,
  [SMALL_STATE(5559)] = 289816,
  [SMALL_STATE(5560)] = 289859,
  [SMALL_STATE(5561)] = 289914,
  [SMALL_STATE(5562)] = 289971,
  [SMALL_STATE(5563)] = 290014,
  [SMALL_STATE(5564)] = 290069,
  [SMALL_STATE(5565)] = 290126,
  [SMALL_STATE(5566)] = 290169,
  [SMALL_STATE(5567)] = 290212,
  [SMALL_STATE(5568)] = 290261,
  [SMALL_STATE(5569)] = 290318,
  [SMALL_STATE(5570)] = 290361,
  [SMALL_STATE(5571)] = 290406,
  [SMALL_STATE(5572)] = 290473,
  [SMALL_STATE(5573)] = 290538,
  [SMALL_STATE(5574)] = 290605,
  [SMALL_STATE(5575)] = 290650,
  [SMALL_STATE(5576)] = 290717,
  [SMALL_STATE(5577)] = 290772,
  [SMALL_STATE(5578)] = 290827,
  [SMALL_STATE(5579)] = 290870,
  [SMALL_STATE(5580)] = 290915,
  [SMALL_STATE(5581)] = 290958,
  [SMALL_STATE(5582)] = 291025,
  [SMALL_STATE(5583)] = 291068,
  [SMALL_STATE(5584)] = 291123,
  [SMALL_STATE(5585)] = 291190,
  [SMALL_STATE(5586)] = 291245,
  [SMALL_STATE(5587)] = 291300,
  [SMALL_STATE(5588)] = 291355,
  [SMALL_STATE(5589)] = 291398,
  [SMALL_STATE(5590)] = 291441,
  [SMALL_STATE(5591)] = 291484,
  [SMALL_STATE(5592)] = 291527,
  [SMALL_STATE(5593)] = 291570,
  [SMALL_STATE(5594)] = 291625,
  [SMALL_STATE(5595)] = 291672,
  [SMALL_STATE(5596)] = 291715,
  [SMALL_STATE(5597)] = 291758,
  [SMALL_STATE(5598)] = 291801,
  [SMALL_STATE(5599)] = 291858,
  [SMALL_STATE(5600)] = 291901,
  [SMALL_STATE(5601)] = 291944,
  [SMALL_STATE(5602)] = 291987,
  [SMALL_STATE(5603)] = 292030,
  [SMALL_STATE(5604)] = 292075,
  [SMALL_STATE(5605)] = 292144,
  [SMALL_STATE(5606)] = 292199,
  [SMALL_STATE(5607)] = 292248,
  [SMALL_STATE(5608)] = 292293,
  [SMALL_STATE(5609)] = 292336,
  [SMALL_STATE(5610)] = 292391,
  [SMALL_STATE(5611)] = 292434,
  [SMALL_STATE(5612)] = 292477,
  [SMALL_STATE(5613)] = 292532,
  [SMALL_STATE(5614)] = 292575,
  [SMALL_STATE(5615)] = 292618,
  [SMALL_STATE(5616)] = 292675,
  [SMALL_STATE(5617)] = 292738,
  [SMALL_STATE(5618)] = 292781,
  [SMALL_STATE(5619)] = 292824,
  [SMALL_STATE(5620)] = 292875,
  [SMALL_STATE(5621)] = 292930,
  [SMALL_STATE(5622)] = 292973,
  [SMALL_STATE(5623)] = 293016,
  [SMALL_STATE(5624)] = 293059,
  [SMALL_STATE(5625)] = 293102,
  [SMALL_STATE(5626)] = 293145,
  [SMALL_STATE(5627)] = 293202,
  [SMALL_STATE(5628)] = 293259,
  [SMALL_STATE(5629)] = 293304,
  [SMALL_STATE(5630)] = 293367,
  [SMALL_STATE(5631)] = 293410,
  [SMALL_STATE(5632)] = 293465,
  [SMALL_STATE(5633)] = 293514,
  [SMALL_STATE(5634)] = 293557,
  [SMALL_STATE(5635)] = 293600,
  [SMALL_STATE(5636)] = 293643,
  [SMALL_STATE(5637)] = 293692,
  [SMALL_STATE(5638)] = 293759,
  [SMALL_STATE(5639)] = 293802,
  [SMALL_STATE(5640)] = 293845,
  [SMALL_STATE(5641)] = 293888,
  [SMALL_STATE(5642)] = 293931,
  [SMALL_STATE(5643)] = 293974,
  [SMALL_STATE(5644)] = 294037,
  [SMALL_STATE(5645)] = 294092,
  [SMALL_STATE(5646)] = 294159,
  [SMALL_STATE(5647)] = 294208,
  [SMALL_STATE(5648)] = 294251,
  [SMALL_STATE(5649)] = 294294,
  [SMALL_STATE(5650)] = 294337,
  [SMALL_STATE(5651)] = 294384,
  [SMALL_STATE(5652)] = 294427,
  [SMALL_STATE(5653)] = 294470,
  [SMALL_STATE(5654)] = 294513,
  [SMALL_STATE(5655)] = 294556,
  [SMALL_STATE(5656)] = 294623,
  [SMALL_STATE(5657)] = 294678,
  [SMALL_STATE(5658)] = 294721,
  [SMALL_STATE(5659)] = 294774,
  [SMALL_STATE(5660)] = 294819,
  [SMALL_STATE(5661)] = 294862,
  [SMALL_STATE(5662)] = 294905,
  [SMALL_STATE(5663)] = 294962,
  [SMALL_STATE(5664)] = 295005,
  [SMALL_STATE(5665)] = 295048,
  [SMALL_STATE(5666)] = 295101,
  [SMALL_STATE(5667)] = 295144,
  [SMALL_STATE(5668)] = 295193,
  [SMALL_STATE(5669)] = 295240,
  [SMALL_STATE(5670)] = 295283,
  [SMALL_STATE(5671)] = 295326,
  [SMALL_STATE(5672)] = 295369,
  [SMALL_STATE(5673)] = 295418,
  [SMALL_STATE(5674)] = 295461,
  [SMALL_STATE(5675)] = 295516,
  [SMALL_STATE(5676)] = 295563,
  [SMALL_STATE(5677)] = 295614,
  [SMALL_STATE(5678)] = 295671,
  [SMALL_STATE(5679)] = 295728,
  [SMALL_STATE(5680)] = 295783,
  [SMALL_STATE(5681)] = 295830,
  [SMALL_STATE(5682)] = 295875,
  [SMALL_STATE(5683)] = 295922,
  [SMALL_STATE(5684)] = 295977,
  [SMALL_STATE(5685)] = 296046,
  [SMALL_STATE(5686)] = 296089,
  [SMALL_STATE(5687)] = 296134,
  [SMALL_STATE(5688)] = 296177,
  [SMALL_STATE(5689)] = 296232,
  [SMALL_STATE(5690)] = 296275,
  [SMALL_STATE(5691)] = 296318,
  [SMALL_STATE(5692)] = 296377,
  [SMALL_STATE(5693)] = 296432,
  [SMALL_STATE(5694)] = 296477,
  [SMALL_STATE(5695)] = 296526,
  [SMALL_STATE(5696)] = 296583,
  [SMALL_STATE(5697)] = 296630,
  [SMALL_STATE(5698)] = 296673,
  [SMALL_STATE(5699)] = 296716,
  [SMALL_STATE(5700)] = 296759,
  [SMALL_STATE(5701)] = 296804,
  [SMALL_STATE(5702)] = 296847,
  [SMALL_STATE(5703)] = 296902,
  [SMALL_STATE(5704)] = 296947,
  [SMALL_STATE(5705)] = 297014,
  [SMALL_STATE(5706)] = 297057,
  [SMALL_STATE(5707)] = 297112,
  [SMALL_STATE(5708)] = 297155,
  [SMALL_STATE(5709)] = 297210,
  [SMALL_STATE(5710)] = 297277,
  [SMALL_STATE(5711)] = 297320,
  [SMALL_STATE(5712)] = 297373,
  [SMALL_STATE(5713)] = 297422,
  [SMALL_STATE(5714)] = 297465,
  [SMALL_STATE(5715)] = 297522,
  [SMALL_STATE(5716)] = 297565,
  [SMALL_STATE(5717)] = 297608,
  [SMALL_STATE(5718)] = 297651,
  [SMALL_STATE(5719)] = 297706,
  [SMALL_STATE(5720)] = 297749,
  [SMALL_STATE(5721)] = 297804,
  [SMALL_STATE(5722)] = 297847,
  [SMALL_STATE(5723)] = 297894,
  [SMALL_STATE(5724)] = 297937,
  [SMALL_STATE(5725)] = 297992,
  [SMALL_STATE(5726)] = 298047,
  [SMALL_STATE(5727)] = 298090,
  [SMALL_STATE(5728)] = 298133,
  [SMALL_STATE(5729)] = 298190,
  [SMALL_STATE(5730)] = 298233,
  [SMALL_STATE(5731)] = 298276,
  [SMALL_STATE(5732)] = 298321,
  [SMALL_STATE(5733)] = 298380,
  [SMALL_STATE(5734)] = 298433,
  [SMALL_STATE(5735)] = 298476,
  [SMALL_STATE(5736)] = 298519,
  [SMALL_STATE(5737)] = 298562,
  [SMALL_STATE(5738)] = 298605,
  [SMALL_STATE(5739)] = 298660,
  [SMALL_STATE(5740)] = 298715,
  [SMALL_STATE(5741)] = 298760,
  [SMALL_STATE(5742)] = 298815,
  [SMALL_STATE(5743)] = 298870,
  [SMALL_STATE(5744)] = 298925,
  [SMALL_STATE(5745)] = 298968,
  [SMALL_STATE(5746)] = 299011,
  [SMALL_STATE(5747)] = 299066,
  [SMALL_STATE(5748)] = 299123,
  [SMALL_STATE(5749)] = 299182,
  [SMALL_STATE(5750)] = 299237,
  [SMALL_STATE(5751)] = 299286,
  [SMALL_STATE(5752)] = 299329,
  [SMALL_STATE(5753)] = 299372,
  [SMALL_STATE(5754)] = 299415,
  [SMALL_STATE(5755)] = 299472,
  [SMALL_STATE(5756)] = 299521,
  [SMALL_STATE(5757)] = 299564,
  [SMALL_STATE(5758)] = 299619,
  [SMALL_STATE(5759)] = 299686,
  [SMALL_STATE(5760)] = 299745,
  [SMALL_STATE(5761)] = 299792,
  [SMALL_STATE(5762)] = 299835,
  [SMALL_STATE(5763)] = 299878,
  [SMALL_STATE(5764)] = 299921,
  [SMALL_STATE(5765)] = 299976,
  [SMALL_STATE(5766)] = 300019,
  [SMALL_STATE(5767)] = 300062,
  [SMALL_STATE(5768)] = 300105,
  [SMALL_STATE(5769)] = 300150,
  [SMALL_STATE(5770)] = 300193,
  [SMALL_STATE(5771)] = 300250,
  [SMALL_STATE(5772)] = 300293,
  [SMALL_STATE(5773)] = 300348,
  [SMALL_STATE(5774)] = 300391,
  [SMALL_STATE(5775)] = 300434,
  [SMALL_STATE(5776)] = 300481,
  [SMALL_STATE(5777)] = 300538,
  [SMALL_STATE(5778)] = 300581,
  [SMALL_STATE(5779)] = 300626,
  [SMALL_STATE(5780)] = 300669,
  [SMALL_STATE(5781)] = 300722,
  [SMALL_STATE(5782)] = 300785,
  [SMALL_STATE(5783)] = 300828,
  [SMALL_STATE(5784)] = 300891,
  [SMALL_STATE(5785)] = 300938,
  [SMALL_STATE(5786)] = 300985,
  [SMALL_STATE(5787)] = 301028,
  [SMALL_STATE(5788)] = 301071,
  [SMALL_STATE(5789)] = 301114,
  [SMALL_STATE(5790)] = 301177,
  [SMALL_STATE(5791)] = 301232,
  [SMALL_STATE(5792)] = 301274,
  [SMALL_STATE(5793)] = 301316,
  [SMALL_STATE(5794)] = 301364,
  [SMALL_STATE(5795)] = 301406,
  [SMALL_STATE(5796)] = 301462,
  [SMALL_STATE(5797)] = 301506,
  [SMALL_STATE(5798)] = 301550,
  [SMALL_STATE(5799)] = 301594,
  [SMALL_STATE(5800)] = 301636,
  [SMALL_STATE(5801)] = 301682,
  [SMALL_STATE(5802)] = 301724,
  [SMALL_STATE(5803)] = 301772,
  [SMALL_STATE(5804)] = 301814,
  [SMALL_STATE(5805)] = 301868,
  [SMALL_STATE(5806)] = 301924,
  [SMALL_STATE(5807)] = 301966,
  [SMALL_STATE(5808)] = 302008,
  [SMALL_STATE(5809)] = 302050,
  [SMALL_STATE(5810)] = 302104,
  [SMALL_STATE(5811)] = 302146,
  [SMALL_STATE(5812)] = 302190,
  [SMALL_STATE(5813)] = 302232,
  [SMALL_STATE(5814)] = 302286,
  [SMALL_STATE(5815)] = 302328,
  [SMALL_STATE(5816)] = 302370,
  [SMALL_STATE(5817)] = 302412,
  [SMALL_STATE(5818)] = 302456,
  [SMALL_STATE(5819)] = 302502,
  [SMALL_STATE(5820)] = 302568,
  [SMALL_STATE(5821)] = 302610,
  [SMALL_STATE(5822)] = 302668,
  [SMALL_STATE(5823)] = 302712,
  [SMALL_STATE(5824)] = 302756,
  [SMALL_STATE(5825)] = 302802,
  [SMALL_STATE(5826)] = 302850,
  [SMALL_STATE(5827)] = 302894,
  [SMALL_STATE(5828)] = 302940,
  [SMALL_STATE(5829)] = 302984,
  [SMALL_STATE(5830)] = 303028,
  [SMALL_STATE(5831)] = 303070,
  [SMALL_STATE(5832)] = 303114,
  [SMALL_STATE(5833)] = 303162,
  [SMALL_STATE(5834)] = 303214,
  [SMALL_STATE(5835)] = 303260,
  [SMALL_STATE(5836)] = 303302,
  [SMALL_STATE(5837)] = 303344,
  [SMALL_STATE(5838)] = 303386,
  [SMALL_STATE(5839)] = 303428,
  [SMALL_STATE(5840)] = 303482,
  [SMALL_STATE(5841)] = 303526,
  [SMALL_STATE(5842)] = 303568,
  [SMALL_STATE(5843)] = 303610,
  [SMALL_STATE(5844)] = 303654,
  [SMALL_STATE(5845)] = 303696,
  [SMALL_STATE(5846)] = 303750,
  [SMALL_STATE(5847)] = 303792,
  [SMALL_STATE(5848)] = 303834,
  [SMALL_STATE(5849)] = 303876,
  [SMALL_STATE(5850)] = 303918,
  [SMALL_STATE(5851)] = 303966,
  [SMALL_STATE(5852)] = 304008,
  [SMALL_STATE(5853)] = 304050,
  [SMALL_STATE(5854)] = 304096,
  [SMALL_STATE(5855)] = 304138,
  [SMALL_STATE(5856)] = 304188,
  [SMALL_STATE(5857)] = 304236,
  [SMALL_STATE(5858)] = 304284,
  [SMALL_STATE(5859)] = 304326,
  [SMALL_STATE(5860)] = 304368,
  [SMALL_STATE(5861)] = 304424,
  [SMALL_STATE(5862)] = 304472,
  [SMALL_STATE(5863)] = 304538,
  [SMALL_STATE(5864)] = 304580,
  [SMALL_STATE(5865)] = 304622,
  [SMALL_STATE(5866)] = 304664,
  [SMALL_STATE(5867)] = 304706,
  [SMALL_STATE(5868)] = 304754,
  [SMALL_STATE(5869)] = 304796,
  [SMALL_STATE(5870)] = 304850,
  [SMALL_STATE(5871)] = 304896,
  [SMALL_STATE(5872)] = 304938,
  [SMALL_STATE(5873)] = 304994,
  [SMALL_STATE(5874)] = 305036,
  [SMALL_STATE(5875)] = 305090,
  [SMALL_STATE(5876)] = 305136,
  [SMALL_STATE(5877)] = 305178,
  [SMALL_STATE(5878)] = 305226,
  [SMALL_STATE(5879)] = 305268,
  [SMALL_STATE(5880)] = 305310,
  [SMALL_STATE(5881)] = 305352,
  [SMALL_STATE(5882)] = 305396,
  [SMALL_STATE(5883)] = 305438,
  [SMALL_STATE(5884)] = 305484,
  [SMALL_STATE(5885)] = 305540,
  [SMALL_STATE(5886)] = 305596,
  [SMALL_STATE(5887)] = 305638,
  [SMALL_STATE(5888)] = 305680,
  [SMALL_STATE(5889)] = 305722,
  [SMALL_STATE(5890)] = 305764,
  [SMALL_STATE(5891)] = 305808,
  [SMALL_STATE(5892)] = 305850,
  [SMALL_STATE(5893)] = 305892,
  [SMALL_STATE(5894)] = 305934,
  [SMALL_STATE(5895)] = 305976,
  [SMALL_STATE(5896)] = 306018,
  [SMALL_STATE(5897)] = 306064,
  [SMALL_STATE(5898)] = 306106,
  [SMALL_STATE(5899)] = 306148,
  [SMALL_STATE(5900)] = 306192,
  [SMALL_STATE(5901)] = 306240,
  [SMALL_STATE(5902)] = 306284,
  [SMALL_STATE(5903)] = 306328,
  [SMALL_STATE(5904)] = 306390,
  [SMALL_STATE(5905)] = 306436,
  [SMALL_STATE(5906)] = 306490,
  [SMALL_STATE(5907)] = 306546,
  [SMALL_STATE(5908)] = 306588,
  [SMALL_STATE(5909)] = 306644,
  [SMALL_STATE(5910)] = 306692,
  [SMALL_STATE(5911)] = 306734,
  [SMALL_STATE(5912)] = 306778,
  [SMALL_STATE(5913)] = 306820,
  [SMALL_STATE(5914)] = 306862,
  [SMALL_STATE(5915)] = 306908,
  [SMALL_STATE(5916)] = 306950,
  [SMALL_STATE(5917)] = 306994,
  [SMALL_STATE(5918)] = 307036,
  [SMALL_STATE(5919)] = 307078,
  [SMALL_STATE(5920)] = 307120,
  [SMALL_STATE(5921)] = 307162,
  [SMALL_STATE(5922)] = 307208,
  [SMALL_STATE(5923)] = 307262,
  [SMALL_STATE(5924)] = 307304,
  [SMALL_STATE(5925)] = 307346,
  [SMALL_STATE(5926)] = 307392,
  [SMALL_STATE(5927)] = 307438,
  [SMALL_STATE(5928)] = 307492,
  [SMALL_STATE(5929)] = 307534,
  [SMALL_STATE(5930)] = 307600,
  [SMALL_STATE(5931)] = 307656,
  [SMALL_STATE(5932)] = 307708,
  [SMALL_STATE(5933)] = 307770,
  [SMALL_STATE(5934)] = 307812,
  [SMALL_STATE(5935)] = 307854,
  [SMALL_STATE(5936)] = 307896,
  [SMALL_STATE(5937)] = 307938,
  [SMALL_STATE(5938)] = 307980,
  [SMALL_STATE(5939)] = 308038,
  [SMALL_STATE(5940)] = 308080,
  [SMALL_STATE(5941)] = 308124,
  [SMALL_STATE(5942)] = 308166,
  [SMALL_STATE(5943)] = 308208,
  [SMALL_STATE(5944)] = 308264,
  [SMALL_STATE(5945)] = 308320,
  [SMALL_STATE(5946)] = 308380,
  [SMALL_STATE(5947)] = 308434,
  [SMALL_STATE(5948)] = 308476,
  [SMALL_STATE(5949)] = 308518,
  [SMALL_STATE(5950)] = 308562,
  [SMALL_STATE(5951)] = 308604,
  [SMALL_STATE(5952)] = 308646,
  [SMALL_STATE(5953)] = 308700,
  [SMALL_STATE(5954)] = 308756,
  [SMALL_STATE(5955)] = 308800,
  [SMALL_STATE(5956)] = 308844,
  [SMALL_STATE(5957)] = 308898,
  [SMALL_STATE(5958)] = 308952,
  [SMALL_STATE(5959)] = 308994,
  [SMALL_STATE(5960)] = 309060,
  [SMALL_STATE(5961)] = 309142,
  [SMALL_STATE(5962)] = 309184,
  [SMALL_STATE(5963)] = 309226,
  [SMALL_STATE(5964)] = 309268,
  [SMALL_STATE(5965)] = 309312,
  [SMALL_STATE(5966)] = 309354,
  [SMALL_STATE(5967)] = 309396,
  [SMALL_STATE(5968)] = 309438,
  [SMALL_STATE(5969)] = 309486,
  [SMALL_STATE(5970)] = 309528,
  [SMALL_STATE(5971)] = 309570,
  [SMALL_STATE(5972)] = 309618,
  [SMALL_STATE(5973)] = 309660,
  [SMALL_STATE(5974)] = 309706,
  [SMALL_STATE(5975)] = 309752,
  [SMALL_STATE(5976)] = 309814,
  [SMALL_STATE(5977)] = 309856,
  [SMALL_STATE(5978)] = 309898,
  [SMALL_STATE(5979)] = 309940,
  [SMALL_STATE(5980)] = 309982,
  [SMALL_STATE(5981)] = 310024,
  [SMALL_STATE(5982)] = 310066,
  [SMALL_STATE(5983)] = 310108,
  [SMALL_STATE(5984)] = 310174,
  [SMALL_STATE(5985)] = 310236,
  [SMALL_STATE(5986)] = 310278,
  [SMALL_STATE(5987)] = 310320,
  [SMALL_STATE(5988)] = 310362,
  [SMALL_STATE(5989)] = 310404,
  [SMALL_STATE(5990)] = 310446,
  [SMALL_STATE(5991)] = 310488,
  [SMALL_STATE(5992)] = 310530,
  [SMALL_STATE(5993)] = 310572,
  [SMALL_STATE(5994)] = 310614,
  [SMALL_STATE(5995)] = 310658,
  [SMALL_STATE(5996)] = 310700,
  [SMALL_STATE(5997)] = 310742,
  [SMALL_STATE(5998)] = 310796,
  [SMALL_STATE(5999)] = 310838,
  [SMALL_STATE(6000)] = 310880,
  [SMALL_STATE(6001)] = 310922,
  [SMALL_STATE(6002)] = 310978,
  [SMALL_STATE(6003)] = 311020,
  [SMALL_STATE(6004)] = 311074,
  [SMALL_STATE(6005)] = 311116,
  [SMALL_STATE(6006)] = 311164,
  [SMALL_STATE(6007)] = 311206,
  [SMALL_STATE(6008)] = 311248,
  [SMALL_STATE(6009)] = 311294,
  [SMALL_STATE(6010)] = 311336,
  [SMALL_STATE(6011)] = 311378,
  [SMALL_STATE(6012)] = 311420,
  [SMALL_STATE(6013)] = 311462,
  [SMALL_STATE(6014)] = 311506,
  [SMALL_STATE(6015)] = 311548,
  [SMALL_STATE(6016)] = 311590,
  [SMALL_STATE(6017)] = 311632,
  [SMALL_STATE(6018)] = 311674,
  [SMALL_STATE(6019)] = 311716,
  [SMALL_STATE(6020)] = 311758,
  [SMALL_STATE(6021)] = 311800,
  [SMALL_STATE(6022)] = 311854,
  [SMALL_STATE(6023)] = 311908,
  [SMALL_STATE(6024)] = 311956,
  [SMALL_STATE(6025)] = 311998,
  [SMALL_STATE(6026)] = 312040,
  [SMALL_STATE(6027)] = 312086,
  [SMALL_STATE(6028)] = 312128,
  [SMALL_STATE(6029)] = 312170,
  [SMALL_STATE(6030)] = 312212,
  [SMALL_STATE(6031)] = 312260,
  [SMALL_STATE(6032)] = 312314,
  [SMALL_STATE(6033)] = 312356,
  [SMALL_STATE(6034)] = 312398,
  [SMALL_STATE(6035)] = 312440,
  [SMALL_STATE(6036)] = 312482,
  [SMALL_STATE(6037)] = 312524,
  [SMALL_STATE(6038)] = 312566,
  [SMALL_STATE(6039)] = 312608,
  [SMALL_STATE(6040)] = 312650,
  [SMALL_STATE(6041)] = 312692,
  [SMALL_STATE(6042)] = 312734,
  [SMALL_STATE(6043)] = 312776,
  [SMALL_STATE(6044)] = 312818,
  [SMALL_STATE(6045)] = 312860,
  [SMALL_STATE(6046)] = 312902,
  [SMALL_STATE(6047)] = 312964,
  [SMALL_STATE(6048)] = 313006,
  [SMALL_STATE(6049)] = 313048,
  [SMALL_STATE(6050)] = 313102,
  [SMALL_STATE(6051)] = 313144,
  [SMALL_STATE(6052)] = 313186,
  [SMALL_STATE(6053)] = 313230,
  [SMALL_STATE(6054)] = 313272,
  [SMALL_STATE(6055)] = 313314,
  [SMALL_STATE(6056)] = 313356,
  [SMALL_STATE(6057)] = 313398,
  [SMALL_STATE(6058)] = 313440,
  [SMALL_STATE(6059)] = 313482,
  [SMALL_STATE(6060)] = 313524,
  [SMALL_STATE(6061)] = 313568,
  [SMALL_STATE(6062)] = 313610,
  [SMALL_STATE(6063)] = 313652,
  [SMALL_STATE(6064)] = 313694,
  [SMALL_STATE(6065)] = 313738,
  [SMALL_STATE(6066)] = 313780,
  [SMALL_STATE(6067)] = 313822,
  [SMALL_STATE(6068)] = 313864,
  [SMALL_STATE(6069)] = 313906,
  [SMALL_STATE(6070)] = 313948,
  [SMALL_STATE(6071)] = 313990,
  [SMALL_STATE(6072)] = 314032,
  [SMALL_STATE(6073)] = 314074,
  [SMALL_STATE(6074)] = 314116,
  [SMALL_STATE(6075)] = 314158,
  [SMALL_STATE(6076)] = 314200,
  [SMALL_STATE(6077)] = 314248,
  [SMALL_STATE(6078)] = 314294,
  [SMALL_STATE(6079)] = 314338,
  [SMALL_STATE(6080)] = 314380,
  [SMALL_STATE(6081)] = 314422,
  [SMALL_STATE(6082)] = 314464,
  [SMALL_STATE(6083)] = 314508,
  [SMALL_STATE(6084)] = 314550,
  [SMALL_STATE(6085)] = 314592,
  [SMALL_STATE(6086)] = 314634,
  [SMALL_STATE(6087)] = 314676,
  [SMALL_STATE(6088)] = 314718,
  [SMALL_STATE(6089)] = 314762,
  [SMALL_STATE(6090)] = 314804,
  [SMALL_STATE(6091)] = 314846,
  [SMALL_STATE(6092)] = 314888,
  [SMALL_STATE(6093)] = 314930,
  [SMALL_STATE(6094)] = 314972,
  [SMALL_STATE(6095)] = 315014,
  [SMALL_STATE(6096)] = 315056,
  [SMALL_STATE(6097)] = 315098,
  [SMALL_STATE(6098)] = 315140,
  [SMALL_STATE(6099)] = 315182,
  [SMALL_STATE(6100)] = 315224,
  [SMALL_STATE(6101)] = 315266,
  [SMALL_STATE(6102)] = 315308,
  [SMALL_STATE(6103)] = 315350,
  [SMALL_STATE(6104)] = 315392,
  [SMALL_STATE(6105)] = 315434,
  [SMALL_STATE(6106)] = 315488,
  [SMALL_STATE(6107)] = 315530,
  [SMALL_STATE(6108)] = 315572,
  [SMALL_STATE(6109)] = 315614,
  [SMALL_STATE(6110)] = 315668,
  [SMALL_STATE(6111)] = 315712,
  [SMALL_STATE(6112)] = 315754,
  [SMALL_STATE(6113)] = 315796,
  [SMALL_STATE(6114)] = 315838,
  [SMALL_STATE(6115)] = 315880,
  [SMALL_STATE(6116)] = 315922,
  [SMALL_STATE(6117)] = 315966,
  [SMALL_STATE(6118)] = 316020,
  [SMALL_STATE(6119)] = 316062,
  [SMALL_STATE(6120)] = 316104,
  [SMALL_STATE(6121)] = 316146,
  [SMALL_STATE(6122)] = 316188,
  [SMALL_STATE(6123)] = 316230,
  [SMALL_STATE(6124)] = 316272,
  [SMALL_STATE(6125)] = 316314,
  [SMALL_STATE(6126)] = 316356,
  [SMALL_STATE(6127)] = 316398,
  [SMALL_STATE(6128)] = 316440,
  [SMALL_STATE(6129)] = 316482,
  [SMALL_STATE(6130)] = 316524,
  [SMALL_STATE(6131)] = 316566,
  [SMALL_STATE(6132)] = 316608,
  [SMALL_STATE(6133)] = 316650,
  [SMALL_STATE(6134)] = 316706,
  [SMALL_STATE(6135)] = 316748,
  [SMALL_STATE(6136)] = 316790,
  [SMALL_STATE(6137)] = 316832,
  [SMALL_STATE(6138)] = 316874,
  [SMALL_STATE(6139)] = 316916,
  [SMALL_STATE(6140)] = 316958,
  [SMALL_STATE(6141)] = 317000,
  [SMALL_STATE(6142)] = 317042,
  [SMALL_STATE(6143)] = 317084,
  [SMALL_STATE(6144)] = 317126,
  [SMALL_STATE(6145)] = 317168,
  [SMALL_STATE(6146)] = 317212,
  [SMALL_STATE(6147)] = 317260,
  [SMALL_STATE(6148)] = 317322,
  [SMALL_STATE(6149)] = 317388,
  [SMALL_STATE(6150)] = 317436,
  [SMALL_STATE(6151)] = 317478,
  [SMALL_STATE(6152)] = 317522,
  [SMALL_STATE(6153)] = 317568,
  [SMALL_STATE(6154)] = 317610,
  [SMALL_STATE(6155)] = 317654,
  [SMALL_STATE(6156)] = 317696,
  [SMALL_STATE(6157)] = 317752,
  [SMALL_STATE(6158)] = 317794,
  [SMALL_STATE(6159)] = 317838,
  [SMALL_STATE(6160)] = 317880,
  [SMALL_STATE(6161)] = 317922,
  [SMALL_STATE(6162)] = 317964,
  [SMALL_STATE(6163)] = 318006,
  [SMALL_STATE(6164)] = 318048,
  [SMALL_STATE(6165)] = 318090,
  [SMALL_STATE(6166)] = 318134,
  [SMALL_STATE(6167)] = 318176,
  [SMALL_STATE(6168)] = 318218,
  [SMALL_STATE(6169)] = 318260,
  [SMALL_STATE(6170)] = 318302,
  [SMALL_STATE(6171)] = 318356,
  [SMALL_STATE(6172)] = 318410,
  [SMALL_STATE(6173)] = 318464,
  [SMALL_STATE(6174)] = 318506,
  [SMALL_STATE(6175)] = 318550,
  [SMALL_STATE(6176)] = 318592,
  [SMALL_STATE(6177)] = 318636,
  [SMALL_STATE(6178)] = 318686,
  [SMALL_STATE(6179)] = 318730,
  [SMALL_STATE(6180)] = 318790,
  [SMALL_STATE(6181)] = 318844,
  [SMALL_STATE(6182)] = 318892,
  [SMALL_STATE(6183)] = 318934,
  [SMALL_STATE(6184)] = 318980,
  [SMALL_STATE(6185)] = 319024,
  [SMALL_STATE(6186)] = 319070,
  [SMALL_STATE(6187)] = 319124,
  [SMALL_STATE(6188)] = 319190,
  [SMALL_STATE(6189)] = 319238,
  [SMALL_STATE(6190)] = 319304,
  [SMALL_STATE(6191)] = 319346,
  [SMALL_STATE(6192)] = 319412,
  [SMALL_STATE(6193)] = 319454,
  [SMALL_STATE(6194)] = 319508,
  [SMALL_STATE(6195)] = 319574,
  [SMALL_STATE(6196)] = 319616,
  [SMALL_STATE(6197)] = 319658,
  [SMALL_STATE(6198)] = 319712,
  [SMALL_STATE(6199)] = 319754,
  [SMALL_STATE(6200)] = 319796,
  [SMALL_STATE(6201)] = 319838,
  [SMALL_STATE(6202)] = 319880,
  [SMALL_STATE(6203)] = 319936,
  [SMALL_STATE(6204)] = 319978,
  [SMALL_STATE(6205)] = 320020,
  [SMALL_STATE(6206)] = 320086,
  [SMALL_STATE(6207)] = 320134,
  [SMALL_STATE(6208)] = 320188,
  [SMALL_STATE(6209)] = 320230,
  [SMALL_STATE(6210)] = 320276,
  [SMALL_STATE(6211)] = 320320,
  [SMALL_STATE(6212)] = 320362,
  [SMALL_STATE(6213)] = 320418,
  [SMALL_STATE(6214)] = 320460,
  [SMALL_STATE(6215)] = 320522,
  [SMALL_STATE(6216)] = 320564,
  [SMALL_STATE(6217)] = 320608,
  [SMALL_STATE(6218)] = 320650,
  [SMALL_STATE(6219)] = 320692,
  [SMALL_STATE(6220)] = 320734,
  [SMALL_STATE(6221)] = 320776,
  [SMALL_STATE(6222)] = 320818,
  [SMALL_STATE(6223)] = 320860,
  [SMALL_STATE(6224)] = 320914,
  [SMALL_STATE(6225)] = 320956,
  [SMALL_STATE(6226)] = 320998,
  [SMALL_STATE(6227)] = 321040,
  [SMALL_STATE(6228)] = 321086,
  [SMALL_STATE(6229)] = 321140,
  [SMALL_STATE(6230)] = 321206,
  [SMALL_STATE(6231)] = 321272,
  [SMALL_STATE(6232)] = 321314,
  [SMALL_STATE(6233)] = 321368,
  [SMALL_STATE(6234)] = 321410,
  [SMALL_STATE(6235)] = 321452,
  [SMALL_STATE(6236)] = 321494,
  [SMALL_STATE(6237)] = 321536,
  [SMALL_STATE(6238)] = 321590,
  [SMALL_STATE(6239)] = 321656,
  [SMALL_STATE(6240)] = 321698,
  [SMALL_STATE(6241)] = 321740,
  [SMALL_STATE(6242)] = 321782,
  [SMALL_STATE(6243)] = 321824,
  [SMALL_STATE(6244)] = 321866,
  [SMALL_STATE(6245)] = 321908,
  [SMALL_STATE(6246)] = 321950,
  [SMALL_STATE(6247)] = 321992,
  [SMALL_STATE(6248)] = 322034,
  [SMALL_STATE(6249)] = 322076,
  [SMALL_STATE(6250)] = 322120,
  [SMALL_STATE(6251)] = 322162,
  [SMALL_STATE(6252)] = 322204,
  [SMALL_STATE(6253)] = 322246,
  [SMALL_STATE(6254)] = 322288,
  [SMALL_STATE(6255)] = 322334,
  [SMALL_STATE(6256)] = 322384,
  [SMALL_STATE(6257)] = 322432,
  [SMALL_STATE(6258)] = 322498,
  [SMALL_STATE(6259)] = 322540,
  [SMALL_STATE(6260)] = 322582,
  [SMALL_STATE(6261)] = 322624,
  [SMALL_STATE(6262)] = 322670,
  [SMALL_STATE(6263)] = 322714,
  [SMALL_STATE(6264)] = 322756,
  [SMALL_STATE(6265)] = 322810,
  [SMALL_STATE(6266)] = 322864,
  [SMALL_STATE(6267)] = 322918,
  [SMALL_STATE(6268)] = 322960,
  [SMALL_STATE(6269)] = 323002,
  [SMALL_STATE(6270)] = 323044,
  [SMALL_STATE(6271)] = 323098,
  [SMALL_STATE(6272)] = 323140,
  [SMALL_STATE(6273)] = 323194,
  [SMALL_STATE(6274)] = 323236,
  [SMALL_STATE(6275)] = 323290,
  [SMALL_STATE(6276)] = 323336,
  [SMALL_STATE(6277)] = 323378,
  [SMALL_STATE(6278)] = 323432,
  [SMALL_STATE(6279)] = 323474,
  [SMALL_STATE(6280)] = 323516,
  [SMALL_STATE(6281)] = 323558,
  [SMALL_STATE(6282)] = 323612,
  [SMALL_STATE(6283)] = 323674,
  [SMALL_STATE(6284)] = 323734,
  [SMALL_STATE(6285)] = 323776,
  [SMALL_STATE(6286)] = 323832,
  [SMALL_STATE(6287)] = 323874,
  [SMALL_STATE(6288)] = 323916,
  [SMALL_STATE(6289)] = 323958,
  [SMALL_STATE(6290)] = 324018,
  [SMALL_STATE(6291)] = 324060,
  [SMALL_STATE(6292)] = 324102,
  [SMALL_STATE(6293)] = 324156,
  [SMALL_STATE(6294)] = 324198,
  [SMALL_STATE(6295)] = 324240,
  [SMALL_STATE(6296)] = 324282,
  [SMALL_STATE(6297)] = 324348,
  [SMALL_STATE(6298)] = 324390,
  [SMALL_STATE(6299)] = 324432,
  [SMALL_STATE(6300)] = 324474,
  [SMALL_STATE(6301)] = 324528,
  [SMALL_STATE(6302)] = 324574,
  [SMALL_STATE(6303)] = 324616,
  [SMALL_STATE(6304)] = 324658,
  [SMALL_STATE(6305)] = 324700,
  [SMALL_STATE(6306)] = 324742,
  [SMALL_STATE(6307)] = 324786,
  [SMALL_STATE(6308)] = 324828,
  [SMALL_STATE(6309)] = 324870,
  [SMALL_STATE(6310)] = 324932,
  [SMALL_STATE(6311)] = 324974,
  [SMALL_STATE(6312)] = 325028,
  [SMALL_STATE(6313)] = 325072,
  [SMALL_STATE(6314)] = 325114,
  [SMALL_STATE(6315)] = 325156,
  [SMALL_STATE(6316)] = 325198,
  [SMALL_STATE(6317)] = 325240,
  [SMALL_STATE(6318)] = 325282,
  [SMALL_STATE(6319)] = 325324,
  [SMALL_STATE(6320)] = 325366,
  [SMALL_STATE(6321)] = 325408,
  [SMALL_STATE(6322)] = 325450,
  [SMALL_STATE(6323)] = 325496,
  [SMALL_STATE(6324)] = 325538,
  [SMALL_STATE(6325)] = 325582,
  [SMALL_STATE(6326)] = 325624,
  [SMALL_STATE(6327)] = 325666,
  [SMALL_STATE(6328)] = 325708,
  [SMALL_STATE(6329)] = 325752,
  [SMALL_STATE(6330)] = 325794,
  [SMALL_STATE(6331)] = 325846,
  [SMALL_STATE(6332)] = 325888,
  [SMALL_STATE(6333)] = 325930,
  [SMALL_STATE(6334)] = 325982,
  [SMALL_STATE(6335)] = 326026,
  [SMALL_STATE(6336)] = 326067,
  [SMALL_STATE(6337)] = 326108,
  [SMALL_STATE(6338)] = 326149,
  [SMALL_STATE(6339)] = 326190,
  [SMALL_STATE(6340)] = 326243,
  [SMALL_STATE(6341)] = 326284,
  [SMALL_STATE(6342)] = 326345,
  [SMALL_STATE(6343)] = 326386,
  [SMALL_STATE(6344)] = 326433,
  [SMALL_STATE(6345)] = 326474,
  [SMALL_STATE(6346)] = 326527,
  [SMALL_STATE(6347)] = 326568,
  [SMALL_STATE(6348)] = 326609,
  [SMALL_STATE(6349)] = 326650,
  [SMALL_STATE(6350)] = 326695,
  [SMALL_STATE(6351)] = 326736,
  [SMALL_STATE(6352)] = 326777,
  [SMALL_STATE(6353)] = 326818,
  [SMALL_STATE(6354)] = 326859,
  [SMALL_STATE(6355)] = 326902,
  [SMALL_STATE(6356)] = 326955,
  [SMALL_STATE(6357)] = 326998,
  [SMALL_STATE(6358)] = 327039,
  [SMALL_STATE(6359)] = 327080,
  [SMALL_STATE(6360)] = 327141,
  [SMALL_STATE(6361)] = 327182,
  [SMALL_STATE(6362)] = 327223,
  [SMALL_STATE(6363)] = 327264,
  [SMALL_STATE(6364)] = 327307,
  [SMALL_STATE(6365)] = 327348,
  [SMALL_STATE(6366)] = 327401,
  [SMALL_STATE(6367)] = 327442,
  [SMALL_STATE(6368)] = 327503,
  [SMALL_STATE(6369)] = 327544,
  [SMALL_STATE(6370)] = 327585,
  [SMALL_STATE(6371)] = 327626,
  [SMALL_STATE(6372)] = 327667,
  [SMALL_STATE(6373)] = 327708,
  [SMALL_STATE(6374)] = 327755,
  [SMALL_STATE(6375)] = 327796,
  [SMALL_STATE(6376)] = 327837,
  [SMALL_STATE(6377)] = 327902,
  [SMALL_STATE(6378)] = 327943,
  [SMALL_STATE(6379)] = 328008,
  [SMALL_STATE(6380)] = 328049,
  [SMALL_STATE(6381)] = 328090,
  [SMALL_STATE(6382)] = 328131,
  [SMALL_STATE(6383)] = 328172,
  [SMALL_STATE(6384)] = 328213,
  [SMALL_STATE(6385)] = 328254,
  [SMALL_STATE(6386)] = 328295,
  [SMALL_STATE(6387)] = 328336,
  [SMALL_STATE(6388)] = 328377,
  [SMALL_STATE(6389)] = 328418,
  [SMALL_STATE(6390)] = 328459,
  [SMALL_STATE(6391)] = 328500,
  [SMALL_STATE(6392)] = 328541,
  [SMALL_STATE(6393)] = 328588,
  [SMALL_STATE(6394)] = 328629,
  [SMALL_STATE(6395)] = 328670,
  [SMALL_STATE(6396)] = 328711,
  [SMALL_STATE(6397)] = 328758,
  [SMALL_STATE(6398)] = 328801,
  [SMALL_STATE(6399)] = 328842,
  [SMALL_STATE(6400)] = 328883,
  [SMALL_STATE(6401)] = 328924,
  [SMALL_STATE(6402)] = 328965,
  [SMALL_STATE(6403)] = 329006,
  [SMALL_STATE(6404)] = 329047,
  [SMALL_STATE(6405)] = 329088,
  [SMALL_STATE(6406)] = 329129,
  [SMALL_STATE(6407)] = 329182,
  [SMALL_STATE(6408)] = 329223,
  [SMALL_STATE(6409)] = 329264,
  [SMALL_STATE(6410)] = 329305,
  [SMALL_STATE(6411)] = 329346,
  [SMALL_STATE(6412)] = 329391,
  [SMALL_STATE(6413)] = 329432,
  [SMALL_STATE(6414)] = 329473,
  [SMALL_STATE(6415)] = 329514,
  [SMALL_STATE(6416)] = 329555,
  [SMALL_STATE(6417)] = 329596,
  [SMALL_STATE(6418)] = 329637,
  [SMALL_STATE(6419)] = 329678,
  [SMALL_STATE(6420)] = 329719,
  [SMALL_STATE(6421)] = 329760,
  [SMALL_STATE(6422)] = 329801,
  [SMALL_STATE(6423)] = 329842,
  [SMALL_STATE(6424)] = 329883,
  [SMALL_STATE(6425)] = 329930,
  [SMALL_STATE(6426)] = 329971,
  [SMALL_STATE(6427)] = 330012,
  [SMALL_STATE(6428)] = 330053,
  [SMALL_STATE(6429)] = 330094,
  [SMALL_STATE(6430)] = 330135,
  [SMALL_STATE(6431)] = 330176,
  [SMALL_STATE(6432)] = 330217,
  [SMALL_STATE(6433)] = 330258,
  [SMALL_STATE(6434)] = 330299,
  [SMALL_STATE(6435)] = 330344,
  [SMALL_STATE(6436)] = 330385,
  [SMALL_STATE(6437)] = 330426,
  [SMALL_STATE(6438)] = 330467,
  [SMALL_STATE(6439)] = 330532,
  [SMALL_STATE(6440)] = 330573,
  [SMALL_STATE(6441)] = 330614,
  [SMALL_STATE(6442)] = 330655,
  [SMALL_STATE(6443)] = 330696,
  [SMALL_STATE(6444)] = 330737,
  [SMALL_STATE(6445)] = 330778,
  [SMALL_STATE(6446)] = 330819,
  [SMALL_STATE(6447)] = 330860,
  [SMALL_STATE(6448)] = 330901,
  [SMALL_STATE(6449)] = 330942,
  [SMALL_STATE(6450)] = 330983,
  [SMALL_STATE(6451)] = 331024,
  [SMALL_STATE(6452)] = 331065,
  [SMALL_STATE(6453)] = 331106,
  [SMALL_STATE(6454)] = 331147,
  [SMALL_STATE(6455)] = 331188,
  [SMALL_STATE(6456)] = 331229,
  [SMALL_STATE(6457)] = 331270,
  [SMALL_STATE(6458)] = 331311,
  [SMALL_STATE(6459)] = 331352,
  [SMALL_STATE(6460)] = 331393,
  [SMALL_STATE(6461)] = 331434,
  [SMALL_STATE(6462)] = 331475,
  [SMALL_STATE(6463)] = 331516,
  [SMALL_STATE(6464)] = 331581,
  [SMALL_STATE(6465)] = 331622,
  [SMALL_STATE(6466)] = 331663,
  [SMALL_STATE(6467)] = 331704,
  [SMALL_STATE(6468)] = 331745,
  [SMALL_STATE(6469)] = 331786,
  [SMALL_STATE(6470)] = 331827,
  [SMALL_STATE(6471)] = 331868,
  [SMALL_STATE(6472)] = 331909,
  [SMALL_STATE(6473)] = 331950,
  [SMALL_STATE(6474)] = 332011,
  [SMALL_STATE(6475)] = 332054,
  [SMALL_STATE(6476)] = 332095,
  [SMALL_STATE(6477)] = 332136,
  [SMALL_STATE(6478)] = 332189,
  [SMALL_STATE(6479)] = 332268,
  [SMALL_STATE(6480)] = 332309,
  [SMALL_STATE(6481)] = 332350,
  [SMALL_STATE(6482)] = 332391,
  [SMALL_STATE(6483)] = 332432,
  [SMALL_STATE(6484)] = 332473,
  [SMALL_STATE(6485)] = 332514,
  [SMALL_STATE(6486)] = 332555,
  [SMALL_STATE(6487)] = 332596,
  [SMALL_STATE(6488)] = 332637,
  [SMALL_STATE(6489)] = 332678,
  [SMALL_STATE(6490)] = 332723,
  [SMALL_STATE(6491)] = 332764,
  [SMALL_STATE(6492)] = 332807,
  [SMALL_STATE(6493)] = 332848,
  [SMALL_STATE(6494)] = 332889,
  [SMALL_STATE(6495)] = 332936,
  [SMALL_STATE(6496)] = 332979,
  [SMALL_STATE(6497)] = 333020,
  [SMALL_STATE(6498)] = 333061,
  [SMALL_STATE(6499)] = 333102,
  [SMALL_STATE(6500)] = 333143,
  [SMALL_STATE(6501)] = 333184,
  [SMALL_STATE(6502)] = 333225,
  [SMALL_STATE(6503)] = 333266,
  [SMALL_STATE(6504)] = 333307,
  [SMALL_STATE(6505)] = 333348,
  [SMALL_STATE(6506)] = 333389,
  [SMALL_STATE(6507)] = 333430,
  [SMALL_STATE(6508)] = 333471,
  [SMALL_STATE(6509)] = 333514,
  [SMALL_STATE(6510)] = 333567,
  [SMALL_STATE(6511)] = 333608,
  [SMALL_STATE(6512)] = 333649,
  [SMALL_STATE(6513)] = 333690,
  [SMALL_STATE(6514)] = 333735,
  [SMALL_STATE(6515)] = 333776,
  [SMALL_STATE(6516)] = 333817,
  [SMALL_STATE(6517)] = 333858,
  [SMALL_STATE(6518)] = 333899,
  [SMALL_STATE(6519)] = 333940,
  [SMALL_STATE(6520)] = 333983,
  [SMALL_STATE(6521)] = 334024,
  [SMALL_STATE(6522)] = 334065,
  [SMALL_STATE(6523)] = 334112,
  [SMALL_STATE(6524)] = 334155,
  [SMALL_STATE(6525)] = 334196,
  [SMALL_STATE(6526)] = 334237,
  [SMALL_STATE(6527)] = 334278,
  [SMALL_STATE(6528)] = 334319,
  [SMALL_STATE(6529)] = 334360,
  [SMALL_STATE(6530)] = 334401,
  [SMALL_STATE(6531)] = 334448,
  [SMALL_STATE(6532)] = 334489,
  [SMALL_STATE(6533)] = 334530,
  [SMALL_STATE(6534)] = 334571,
  [SMALL_STATE(6535)] = 334612,
  [SMALL_STATE(6536)] = 334653,
  [SMALL_STATE(6537)] = 334718,
  [SMALL_STATE(6538)] = 334759,
  [SMALL_STATE(6539)] = 334804,
  [SMALL_STATE(6540)] = 334847,
  [SMALL_STATE(6541)] = 334888,
  [SMALL_STATE(6542)] = 334931,
  [SMALL_STATE(6543)] = 334972,
  [SMALL_STATE(6544)] = 335017,
  [SMALL_STATE(6545)] = 335058,
  [SMALL_STATE(6546)] = 335099,
  [SMALL_STATE(6547)] = 335140,
  [SMALL_STATE(6548)] = 335181,
  [SMALL_STATE(6549)] = 335222,
  [SMALL_STATE(6550)] = 335263,
  [SMALL_STATE(6551)] = 335304,
  [SMALL_STATE(6552)] = 335345,
  [SMALL_STATE(6553)] = 335386,
  [SMALL_STATE(6554)] = 335427,
  [SMALL_STATE(6555)] = 335468,
  [SMALL_STATE(6556)] = 335509,
  [SMALL_STATE(6557)] = 335552,
  [SMALL_STATE(6558)] = 335593,
  [SMALL_STATE(6559)] = 335634,
  [SMALL_STATE(6560)] = 335675,
  [SMALL_STATE(6561)] = 335716,
  [SMALL_STATE(6562)] = 335757,
  [SMALL_STATE(6563)] = 335798,
  [SMALL_STATE(6564)] = 335839,
  [SMALL_STATE(6565)] = 335880,
  [SMALL_STATE(6566)] = 335927,
  [SMALL_STATE(6567)] = 335974,
  [SMALL_STATE(6568)] = 336015,
  [SMALL_STATE(6569)] = 336056,
  [SMALL_STATE(6570)] = 336097,
  [SMALL_STATE(6571)] = 336140,
  [SMALL_STATE(6572)] = 336195,
  [SMALL_STATE(6573)] = 336236,
  [SMALL_STATE(6574)] = 336277,
  [SMALL_STATE(6575)] = 336318,
  [SMALL_STATE(6576)] = 336359,
  [SMALL_STATE(6577)] = 336400,
  [SMALL_STATE(6578)] = 336441,
  [SMALL_STATE(6579)] = 336496,
  [SMALL_STATE(6580)] = 336537,
  [SMALL_STATE(6581)] = 336578,
  [SMALL_STATE(6582)] = 336631,
  [SMALL_STATE(6583)] = 336672,
  [SMALL_STATE(6584)] = 336713,
  [SMALL_STATE(6585)] = 336754,
  [SMALL_STATE(6586)] = 336807,
  [SMALL_STATE(6587)] = 336854,
  [SMALL_STATE(6588)] = 336909,
  [SMALL_STATE(6589)] = 336950,
  [SMALL_STATE(6590)] = 337005,
  [SMALL_STATE(6591)] = 337046,
  [SMALL_STATE(6592)] = 337087,
  [SMALL_STATE(6593)] = 337128,
  [SMALL_STATE(6594)] = 337169,
  [SMALL_STATE(6595)] = 337210,
  [SMALL_STATE(6596)] = 337251,
  [SMALL_STATE(6597)] = 337298,
  [SMALL_STATE(6598)] = 337339,
  [SMALL_STATE(6599)] = 337380,
  [SMALL_STATE(6600)] = 337421,
  [SMALL_STATE(6601)] = 337474,
  [SMALL_STATE(6602)] = 337515,
  [SMALL_STATE(6603)] = 337556,
  [SMALL_STATE(6604)] = 337597,
  [SMALL_STATE(6605)] = 337650,
  [SMALL_STATE(6606)] = 337691,
  [SMALL_STATE(6607)] = 337732,
  [SMALL_STATE(6608)] = 337773,
  [SMALL_STATE(6609)] = 337816,
  [SMALL_STATE(6610)] = 337857,
  [SMALL_STATE(6611)] = 337898,
  [SMALL_STATE(6612)] = 337939,
  [SMALL_STATE(6613)] = 337980,
  [SMALL_STATE(6614)] = 338021,
  [SMALL_STATE(6615)] = 338062,
  [SMALL_STATE(6616)] = 338103,
  [SMALL_STATE(6617)] = 338144,
  [SMALL_STATE(6618)] = 338189,
  [SMALL_STATE(6619)] = 338268,
  [SMALL_STATE(6620)] = 338309,
  [SMALL_STATE(6621)] = 338370,
  [SMALL_STATE(6622)] = 338411,
  [SMALL_STATE(6623)] = 338458,
  [SMALL_STATE(6624)] = 338499,
  [SMALL_STATE(6625)] = 338540,
  [SMALL_STATE(6626)] = 338581,
  [SMALL_STATE(6627)] = 338624,
  [SMALL_STATE(6628)] = 338665,
  [SMALL_STATE(6629)] = 338706,
  [SMALL_STATE(6630)] = 338747,
  [SMALL_STATE(6631)] = 338788,
  [SMALL_STATE(6632)] = 338829,
  [SMALL_STATE(6633)] = 338870,
  [SMALL_STATE(6634)] = 338925,
  [SMALL_STATE(6635)] = 338966,
  [SMALL_STATE(6636)] = 339045,
  [SMALL_STATE(6637)] = 339086,
  [SMALL_STATE(6638)] = 339127,
  [SMALL_STATE(6639)] = 339168,
  [SMALL_STATE(6640)] = 339209,
  [SMALL_STATE(6641)] = 339250,
  [SMALL_STATE(6642)] = 339295,
  [SMALL_STATE(6643)] = 339336,
  [SMALL_STATE(6644)] = 339381,
  [SMALL_STATE(6645)] = 339422,
  [SMALL_STATE(6646)] = 339463,
  [SMALL_STATE(6647)] = 339510,
  [SMALL_STATE(6648)] = 339557,
  [SMALL_STATE(6649)] = 339598,
  [SMALL_STATE(6650)] = 339639,
  [SMALL_STATE(6651)] = 339684,
  [SMALL_STATE(6652)] = 339725,
  [SMALL_STATE(6653)] = 339766,
  [SMALL_STATE(6654)] = 339813,
  [SMALL_STATE(6655)] = 339854,
  [SMALL_STATE(6656)] = 339895,
  [SMALL_STATE(6657)] = 339940,
  [SMALL_STATE(6658)] = 339981,
  [SMALL_STATE(6659)] = 340024,
  [SMALL_STATE(6660)] = 340065,
  [SMALL_STATE(6661)] = 340106,
  [SMALL_STATE(6662)] = 340147,
  [SMALL_STATE(6663)] = 340192,
  [SMALL_STATE(6664)] = 340233,
  [SMALL_STATE(6665)] = 340274,
  [SMALL_STATE(6666)] = 340339,
  [SMALL_STATE(6667)] = 340380,
  [SMALL_STATE(6668)] = 340421,
  [SMALL_STATE(6669)] = 340464,
  [SMALL_STATE(6670)] = 340505,
  [SMALL_STATE(6671)] = 340546,
  [SMALL_STATE(6672)] = 340591,
  [SMALL_STATE(6673)] = 340632,
  [SMALL_STATE(6674)] = 340679,
  [SMALL_STATE(6675)] = 340734,
  [SMALL_STATE(6676)] = 340775,
  [SMALL_STATE(6677)] = 340818,
  [SMALL_STATE(6678)] = 340859,
  [SMALL_STATE(6679)] = 340902,
  [SMALL_STATE(6680)] = 340943,
  [SMALL_STATE(6681)] = 340984,
  [SMALL_STATE(6682)] = 341037,
  [SMALL_STATE(6683)] = 341078,
  [SMALL_STATE(6684)] = 341119,
  [SMALL_STATE(6685)] = 341162,
  [SMALL_STATE(6686)] = 341203,
  [SMALL_STATE(6687)] = 341244,
  [SMALL_STATE(6688)] = 341285,
  [SMALL_STATE(6689)] = 341326,
  [SMALL_STATE(6690)] = 341369,
  [SMALL_STATE(6691)] = 341410,
  [SMALL_STATE(6692)] = 341453,
  [SMALL_STATE(6693)] = 341494,
  [SMALL_STATE(6694)] = 341535,
  [SMALL_STATE(6695)] = 341578,
  [SMALL_STATE(6696)] = 341619,
  [SMALL_STATE(6697)] = 341660,
  [SMALL_STATE(6698)] = 341701,
  [SMALL_STATE(6699)] = 341742,
  [SMALL_STATE(6700)] = 341785,
  [SMALL_STATE(6701)] = 341826,
  [SMALL_STATE(6702)] = 341867,
  [SMALL_STATE(6703)] = 341908,
  [SMALL_STATE(6704)] = 341949,
  [SMALL_STATE(6705)] = 341990,
  [SMALL_STATE(6706)] = 342033,
  [SMALL_STATE(6707)] = 342074,
  [SMALL_STATE(6708)] = 342115,
  [SMALL_STATE(6709)] = 342168,
  [SMALL_STATE(6710)] = 342209,
  [SMALL_STATE(6711)] = 342256,
  [SMALL_STATE(6712)] = 342299,
  [SMALL_STATE(6713)] = 342340,
  [SMALL_STATE(6714)] = 342393,
  [SMALL_STATE(6715)] = 342438,
  [SMALL_STATE(6716)] = 342479,
  [SMALL_STATE(6717)] = 342524,
  [SMALL_STATE(6718)] = 342589,
  [SMALL_STATE(6719)] = 342632,
  [SMALL_STATE(6720)] = 342697,
  [SMALL_STATE(6721)] = 342738,
  [SMALL_STATE(6722)] = 342781,
  [SMALL_STATE(6723)] = 342822,
  [SMALL_STATE(6724)] = 342887,
  [SMALL_STATE(6725)] = 342928,
  [SMALL_STATE(6726)] = 342983,
  [SMALL_STATE(6727)] = 343024,
  [SMALL_STATE(6728)] = 343071,
  [SMALL_STATE(6729)] = 343114,
  [SMALL_STATE(6730)] = 343155,
  [SMALL_STATE(6731)] = 343196,
  [SMALL_STATE(6732)] = 343237,
  [SMALL_STATE(6733)] = 343282,
  [SMALL_STATE(6734)] = 343327,
  [SMALL_STATE(6735)] = 343382,
  [SMALL_STATE(6736)] = 343437,
  [SMALL_STATE(6737)] = 343480,
  [SMALL_STATE(6738)] = 343521,
  [SMALL_STATE(6739)] = 343562,
  [SMALL_STATE(6740)] = 343603,
  [SMALL_STATE(6741)] = 343650,
  [SMALL_STATE(6742)] = 343691,
  [SMALL_STATE(6743)] = 343762,
  [SMALL_STATE(6744)] = 343803,
  [SMALL_STATE(6745)] = 343844,
  [SMALL_STATE(6746)] = 343891,
  [SMALL_STATE(6747)] = 343936,
  [SMALL_STATE(6748)] = 343977,
  [SMALL_STATE(6749)] = 344022,
  [SMALL_STATE(6750)] = 344065,
  [SMALL_STATE(6751)] = 344106,
  [SMALL_STATE(6752)] = 344147,
  [SMALL_STATE(6753)] = 344188,
  [SMALL_STATE(6754)] = 344229,
  [SMALL_STATE(6755)] = 344272,
  [SMALL_STATE(6756)] = 344313,
  [SMALL_STATE(6757)] = 344354,
  [SMALL_STATE(6758)] = 344407,
  [SMALL_STATE(6759)] = 344448,
  [SMALL_STATE(6760)] = 344493,
  [SMALL_STATE(6761)] = 344534,
  [SMALL_STATE(6762)] = 344613,
  [SMALL_STATE(6763)] = 344654,
  [SMALL_STATE(6764)] = 344695,
  [SMALL_STATE(6765)] = 344738,
  [SMALL_STATE(6766)] = 344787,
  [SMALL_STATE(6767)] = 344830,
  [SMALL_STATE(6768)] = 344883,
  [SMALL_STATE(6769)] = 344924,
  [SMALL_STATE(6770)] = 344967,
  [SMALL_STATE(6771)] = 345008,
  [SMALL_STATE(6772)] = 345049,
  [SMALL_STATE(6773)] = 345090,
  [SMALL_STATE(6774)] = 345131,
  [SMALL_STATE(6775)] = 345172,
  [SMALL_STATE(6776)] = 345251,
  [SMALL_STATE(6777)] = 345304,
  [SMALL_STATE(6778)] = 345369,
  [SMALL_STATE(6779)] = 345410,
  [SMALL_STATE(6780)] = 345451,
  [SMALL_STATE(6781)] = 345492,
  [SMALL_STATE(6782)] = 345535,
  [SMALL_STATE(6783)] = 345588,
  [SMALL_STATE(6784)] = 345641,
  [SMALL_STATE(6785)] = 345682,
  [SMALL_STATE(6786)] = 345723,
  [SMALL_STATE(6787)] = 345764,
  [SMALL_STATE(6788)] = 345809,
  [SMALL_STATE(6789)] = 345850,
  [SMALL_STATE(6790)] = 345891,
  [SMALL_STATE(6791)] = 345932,
  [SMALL_STATE(6792)] = 345973,
  [SMALL_STATE(6793)] = 346018,
  [SMALL_STATE(6794)] = 346059,
  [SMALL_STATE(6795)] = 346120,
  [SMALL_STATE(6796)] = 346161,
  [SMALL_STATE(6797)] = 346202,
  [SMALL_STATE(6798)] = 346243,
  [SMALL_STATE(6799)] = 346284,
  [SMALL_STATE(6800)] = 346325,
  [SMALL_STATE(6801)] = 346366,
  [SMALL_STATE(6802)] = 346421,
  [SMALL_STATE(6803)] = 346462,
  [SMALL_STATE(6804)] = 346527,
  [SMALL_STATE(6805)] = 346568,
  [SMALL_STATE(6806)] = 346609,
  [SMALL_STATE(6807)] = 346662,
  [SMALL_STATE(6808)] = 346715,
  [SMALL_STATE(6809)] = 346776,
  [SMALL_STATE(6810)] = 346817,
  [SMALL_STATE(6811)] = 346858,
  [SMALL_STATE(6812)] = 346899,
  [SMALL_STATE(6813)] = 346942,
  [SMALL_STATE(6814)] = 346997,
  [SMALL_STATE(6815)] = 347038,
  [SMALL_STATE(6816)] = 347091,
  [SMALL_STATE(6817)] = 347132,
  [SMALL_STATE(6818)] = 347173,
  [SMALL_STATE(6819)] = 347214,
  [SMALL_STATE(6820)] = 347267,
  [SMALL_STATE(6821)] = 347320,
  [SMALL_STATE(6822)] = 347361,
  [SMALL_STATE(6823)] = 347426,
  [SMALL_STATE(6824)] = 347469,
  [SMALL_STATE(6825)] = 347510,
  [SMALL_STATE(6826)] = 347551,
  [SMALL_STATE(6827)] = 347592,
  [SMALL_STATE(6828)] = 347633,
  [SMALL_STATE(6829)] = 347680,
  [SMALL_STATE(6830)] = 347721,
  [SMALL_STATE(6831)] = 347762,
  [SMALL_STATE(6832)] = 347803,
  [SMALL_STATE(6833)] = 347856,
  [SMALL_STATE(6834)] = 347897,
  [SMALL_STATE(6835)] = 347938,
  [SMALL_STATE(6836)] = 347979,
  [SMALL_STATE(6837)] = 348020,
  [SMALL_STATE(6838)] = 348061,
  [SMALL_STATE(6839)] = 348106,
  [SMALL_STATE(6840)] = 348147,
  [SMALL_STATE(6841)] = 348188,
  [SMALL_STATE(6842)] = 348229,
  [SMALL_STATE(6843)] = 348270,
  [SMALL_STATE(6844)] = 348317,
  [SMALL_STATE(6845)] = 348358,
  [SMALL_STATE(6846)] = 348399,
  [SMALL_STATE(6847)] = 348446,
  [SMALL_STATE(6848)] = 348487,
  [SMALL_STATE(6849)] = 348528,
  [SMALL_STATE(6850)] = 348569,
  [SMALL_STATE(6851)] = 348618,
  [SMALL_STATE(6852)] = 348659,
  [SMALL_STATE(6853)] = 348700,
  [SMALL_STATE(6854)] = 348761,
  [SMALL_STATE(6855)] = 348806,
  [SMALL_STATE(6856)] = 348847,
  [SMALL_STATE(6857)] = 348888,
  [SMALL_STATE(6858)] = 348949,
  [SMALL_STATE(6859)] = 349002,
  [SMALL_STATE(6860)] = 349053,
  [SMALL_STATE(6861)] = 349094,
  [SMALL_STATE(6862)] = 349135,
  [SMALL_STATE(6863)] = 349188,
  [SMALL_STATE(6864)] = 349229,
  [SMALL_STATE(6865)] = 349270,
  [SMALL_STATE(6866)] = 349323,
  [SMALL_STATE(6867)] = 349364,
  [SMALL_STATE(6868)] = 349405,
  [SMALL_STATE(6869)] = 349456,
  [SMALL_STATE(6870)] = 349497,
  [SMALL_STATE(6871)] = 349540,
  [SMALL_STATE(6872)] = 349583,
  [SMALL_STATE(6873)] = 349624,
  [SMALL_STATE(6874)] = 349667,
  [SMALL_STATE(6875)] = 349708,
  [SMALL_STATE(6876)] = 349749,
  [SMALL_STATE(6877)] = 349806,
  [SMALL_STATE(6878)] = 349847,
  [SMALL_STATE(6879)] = 349912,
  [SMALL_STATE(6880)] = 349959,
  [SMALL_STATE(6881)] = 350000,
  [SMALL_STATE(6882)] = 350057,
  [SMALL_STATE(6883)] = 350098,
  [SMALL_STATE(6884)] = 350139,
  [SMALL_STATE(6885)] = 350180,
  [SMALL_STATE(6886)] = 350221,
  [SMALL_STATE(6887)] = 350262,
  [SMALL_STATE(6888)] = 350303,
  [SMALL_STATE(6889)] = 350344,
  [SMALL_STATE(6890)] = 350385,
  [SMALL_STATE(6891)] = 350426,
  [SMALL_STATE(6892)] = 350491,
  [SMALL_STATE(6893)] = 350532,
  [SMALL_STATE(6894)] = 350573,
  [SMALL_STATE(6895)] = 350614,
  [SMALL_STATE(6896)] = 350655,
  [SMALL_STATE(6897)] = 350696,
  [SMALL_STATE(6898)] = 350737,
  [SMALL_STATE(6899)] = 350778,
  [SMALL_STATE(6900)] = 350819,
  [SMALL_STATE(6901)] = 350872,
  [SMALL_STATE(6902)] = 350913,
  [SMALL_STATE(6903)] = 350954,
  [SMALL_STATE(6904)] = 350995,
  [SMALL_STATE(6905)] = 351036,
  [SMALL_STATE(6906)] = 351077,
  [SMALL_STATE(6907)] = 351118,
  [SMALL_STATE(6908)] = 351161,
  [SMALL_STATE(6909)] = 351202,
  [SMALL_STATE(6910)] = 351263,
  [SMALL_STATE(6911)] = 351304,
  [SMALL_STATE(6912)] = 351345,
  [SMALL_STATE(6913)] = 351398,
  [SMALL_STATE(6914)] = 351439,
  [SMALL_STATE(6915)] = 351482,
  [SMALL_STATE(6916)] = 351531,
  [SMALL_STATE(6917)] = 351572,
  [SMALL_STATE(6918)] = 351617,
  [SMALL_STATE(6919)] = 351658,
  [SMALL_STATE(6920)] = 351699,
  [SMALL_STATE(6921)] = 351740,
  [SMALL_STATE(6922)] = 351781,
  [SMALL_STATE(6923)] = 351822,
  [SMALL_STATE(6924)] = 351863,
  [SMALL_STATE(6925)] = 351908,
  [SMALL_STATE(6926)] = 351949,
  [SMALL_STATE(6927)] = 351994,
  [SMALL_STATE(6928)] = 352035,
  [SMALL_STATE(6929)] = 352076,
  [SMALL_STATE(6930)] = 352117,
  [SMALL_STATE(6931)] = 352158,
  [SMALL_STATE(6932)] = 352199,
  [SMALL_STATE(6933)] = 352240,
  [SMALL_STATE(6934)] = 352281,
  [SMALL_STATE(6935)] = 352322,
  [SMALL_STATE(6936)] = 352363,
  [SMALL_STATE(6937)] = 352404,
  [SMALL_STATE(6938)] = 352447,
  [SMALL_STATE(6939)] = 352488,
  [SMALL_STATE(6940)] = 352529,
  [SMALL_STATE(6941)] = 352570,
  [SMALL_STATE(6942)] = 352611,
  [SMALL_STATE(6943)] = 352652,
  [SMALL_STATE(6944)] = 352693,
  [SMALL_STATE(6945)] = 352734,
  [SMALL_STATE(6946)] = 352775,
  [SMALL_STATE(6947)] = 352816,
  [SMALL_STATE(6948)] = 352861,
  [SMALL_STATE(6949)] = 352902,
  [SMALL_STATE(6950)] = 352943,
  [SMALL_STATE(6951)] = 352986,
  [SMALL_STATE(6952)] = 353027,
  [SMALL_STATE(6953)] = 353068,
  [SMALL_STATE(6954)] = 353109,
  [SMALL_STATE(6955)] = 353150,
  [SMALL_STATE(6956)] = 353193,
  [SMALL_STATE(6957)] = 353234,
  [SMALL_STATE(6958)] = 353301,
  [SMALL_STATE(6959)] = 353346,
  [SMALL_STATE(6960)] = 353387,
  [SMALL_STATE(6961)] = 353428,
  [SMALL_STATE(6962)] = 353469,
  [SMALL_STATE(6963)] = 353510,
  [SMALL_STATE(6964)] = 353551,
  [SMALL_STATE(6965)] = 353596,
  [SMALL_STATE(6966)] = 353637,
  [SMALL_STATE(6967)] = 353678,
  [SMALL_STATE(6968)] = 353723,
  [SMALL_STATE(6969)] = 353764,
  [SMALL_STATE(6970)] = 353805,
  [SMALL_STATE(6971)] = 353846,
  [SMALL_STATE(6972)] = 353887,
  [SMALL_STATE(6973)] = 353930,
  [SMALL_STATE(6974)] = 353971,
  [SMALL_STATE(6975)] = 354026,
  [SMALL_STATE(6976)] = 354067,
  [SMALL_STATE(6977)] = 354114,
  [SMALL_STATE(6978)] = 354175,
  [SMALL_STATE(6979)] = 354216,
  [SMALL_STATE(6980)] = 354257,
  [SMALL_STATE(6981)] = 354298,
  [SMALL_STATE(6982)] = 354339,
  [SMALL_STATE(6983)] = 354386,
  [SMALL_STATE(6984)] = 354429,
  [SMALL_STATE(6985)] = 354494,
  [SMALL_STATE(6986)] = 354535,
  [SMALL_STATE(6987)] = 354600,
  [SMALL_STATE(6988)] = 354641,
  [SMALL_STATE(6989)] = 354682,
  [SMALL_STATE(6990)] = 354725,
  [SMALL_STATE(6991)] = 354766,
  [SMALL_STATE(6992)] = 354807,
  [SMALL_STATE(6993)] = 354848,
  [SMALL_STATE(6994)] = 354889,
  [SMALL_STATE(6995)] = 354930,
  [SMALL_STATE(6996)] = 354973,
  [SMALL_STATE(6997)] = 355026,
  [SMALL_STATE(6998)] = 355079,
  [SMALL_STATE(6999)] = 355120,
  [SMALL_STATE(7000)] = 355161,
  [SMALL_STATE(7001)] = 355202,
  [SMALL_STATE(7002)] = 355243,
  [SMALL_STATE(7003)] = 355284,
  [SMALL_STATE(7004)] = 355325,
  [SMALL_STATE(7005)] = 355366,
  [SMALL_STATE(7006)] = 355415,
  [SMALL_STATE(7007)] = 355460,
  [SMALL_STATE(7008)] = 355501,
  [SMALL_STATE(7009)] = 355542,
  [SMALL_STATE(7010)] = 355583,
  [SMALL_STATE(7011)] = 355636,
  [SMALL_STATE(7012)] = 355689,
  [SMALL_STATE(7013)] = 355730,
  [SMALL_STATE(7014)] = 355773,
  [SMALL_STATE(7015)] = 355826,
  [SMALL_STATE(7016)] = 355869,
  [SMALL_STATE(7017)] = 355910,
  [SMALL_STATE(7018)] = 355963,
  [SMALL_STATE(7019)] = 356004,
  [SMALL_STATE(7020)] = 356083,
  [SMALL_STATE(7021)] = 356156,
  [SMALL_STATE(7022)] = 356197,
  [SMALL_STATE(7023)] = 356250,
  [SMALL_STATE(7024)] = 356293,
  [SMALL_STATE(7025)] = 356346,
  [SMALL_STATE(7026)] = 356407,
  [SMALL_STATE(7027)] = 356448,
  [SMALL_STATE(7028)] = 356489,
  [SMALL_STATE(7029)] = 356530,
  [SMALL_STATE(7030)] = 356585,
  [SMALL_STATE(7031)] = 356638,
  [SMALL_STATE(7032)] = 356683,
  [SMALL_STATE(7033)] = 356726,
  [SMALL_STATE(7034)] = 356767,
  [SMALL_STATE(7035)] = 356808,
  [SMALL_STATE(7036)] = 356849,
  [SMALL_STATE(7037)] = 356892,
  [SMALL_STATE(7038)] = 356947,
  [SMALL_STATE(7039)] = 356988,
  [SMALL_STATE(7040)] = 357035,
  [SMALL_STATE(7041)] = 357078,
  [SMALL_STATE(7042)] = 357121,
  [SMALL_STATE(7043)] = 357162,
  [SMALL_STATE(7044)] = 357205,
  [SMALL_STATE(7045)] = 357246,
  [SMALL_STATE(7046)] = 357287,
  [SMALL_STATE(7047)] = 357328,
  [SMALL_STATE(7048)] = 357369,
  [SMALL_STATE(7049)] = 357410,
  [SMALL_STATE(7050)] = 357463,
  [SMALL_STATE(7051)] = 357528,
  [SMALL_STATE(7052)] = 357569,
  [SMALL_STATE(7053)] = 357610,
  [SMALL_STATE(7054)] = 357651,
  [SMALL_STATE(7055)] = 357696,
  [SMALL_STATE(7056)] = 357737,
  [SMALL_STATE(7057)] = 357778,
  [SMALL_STATE(7058)] = 357819,
  [SMALL_STATE(7059)] = 357880,
  [SMALL_STATE(7060)] = 357921,
  [SMALL_STATE(7061)] = 357962,
  [SMALL_STATE(7062)] = 358003,
  [SMALL_STATE(7063)] = 358046,
  [SMALL_STATE(7064)] = 358087,
  [SMALL_STATE(7065)] = 358128,
  [SMALL_STATE(7066)] = 358169,
  [SMALL_STATE(7067)] = 358210,
  [SMALL_STATE(7068)] = 358253,
  [SMALL_STATE(7069)] = 358294,
  [SMALL_STATE(7070)] = 358347,
  [SMALL_STATE(7071)] = 358388,
  [SMALL_STATE(7072)] = 358429,
  [SMALL_STATE(7073)] = 358470,
  [SMALL_STATE(7074)] = 358523,
  [SMALL_STATE(7075)] = 358564,
  [SMALL_STATE(7076)] = 358604,
  [SMALL_STATE(7077)] = 358644,
  [SMALL_STATE(7078)] = 358684,
  [SMALL_STATE(7079)] = 358724,
  [SMALL_STATE(7080)] = 358764,
  [SMALL_STATE(7081)] = 358804,
  [SMALL_STATE(7082)] = 358848,
  [SMALL_STATE(7083)] = 358888,
  [SMALL_STATE(7084)] = 358930,
  [SMALL_STATE(7085)] = 358970,
  [SMALL_STATE(7086)] = 359010,
  [SMALL_STATE(7087)] = 359050,
  [SMALL_STATE(7088)] = 359090,
  [SMALL_STATE(7089)] = 359142,
  [SMALL_STATE(7090)] = 359194,
  [SMALL_STATE(7091)] = 359234,
  [SMALL_STATE(7092)] = 359274,
  [SMALL_STATE(7093)] = 359314,
  [SMALL_STATE(7094)] = 359360,
  [SMALL_STATE(7095)] = 359400,
  [SMALL_STATE(7096)] = 359442,
  [SMALL_STATE(7097)] = 359486,
  [SMALL_STATE(7098)] = 359528,
  [SMALL_STATE(7099)] = 359568,
  [SMALL_STATE(7100)] = 359608,
  [SMALL_STATE(7101)] = 359648,
  [SMALL_STATE(7102)] = 359690,
  [SMALL_STATE(7103)] = 359730,
  [SMALL_STATE(7104)] = 359770,
  [SMALL_STATE(7105)] = 359810,
  [SMALL_STATE(7106)] = 359850,
  [SMALL_STATE(7107)] = 359890,
  [SMALL_STATE(7108)] = 359930,
  [SMALL_STATE(7109)] = 359970,
  [SMALL_STATE(7110)] = 360010,
  [SMALL_STATE(7111)] = 360062,
  [SMALL_STATE(7112)] = 360102,
  [SMALL_STATE(7113)] = 360142,
  [SMALL_STATE(7114)] = 360182,
  [SMALL_STATE(7115)] = 360226,
  [SMALL_STATE(7116)] = 360290,
  [SMALL_STATE(7117)] = 360330,
  [SMALL_STATE(7118)] = 360376,
  [SMALL_STATE(7119)] = 360436,
  [SMALL_STATE(7120)] = 360476,
  [SMALL_STATE(7121)] = 360536,
  [SMALL_STATE(7122)] = 360576,
  [SMALL_STATE(7123)] = 360616,
  [SMALL_STATE(7124)] = 360656,
  [SMALL_STATE(7125)] = 360700,
  [SMALL_STATE(7126)] = 360740,
  [SMALL_STATE(7127)] = 360780,
  [SMALL_STATE(7128)] = 360820,
  [SMALL_STATE(7129)] = 360860,
  [SMALL_STATE(7130)] = 360900,
  [SMALL_STATE(7131)] = 360940,
  [SMALL_STATE(7132)] = 360980,
  [SMALL_STATE(7133)] = 361034,
  [SMALL_STATE(7134)] = 361074,
  [SMALL_STATE(7135)] = 361114,
  [SMALL_STATE(7136)] = 361154,
  [SMALL_STATE(7137)] = 361194,
  [SMALL_STATE(7138)] = 361234,
  [SMALL_STATE(7139)] = 361274,
  [SMALL_STATE(7140)] = 361314,
  [SMALL_STATE(7141)] = 361354,
  [SMALL_STATE(7142)] = 361426,
  [SMALL_STATE(7143)] = 361466,
  [SMALL_STATE(7144)] = 361506,
  [SMALL_STATE(7145)] = 361546,
  [SMALL_STATE(7146)] = 361586,
  [SMALL_STATE(7147)] = 361626,
  [SMALL_STATE(7148)] = 361668,
  [SMALL_STATE(7149)] = 361708,
  [SMALL_STATE(7150)] = 361748,
  [SMALL_STATE(7151)] = 361794,
  [SMALL_STATE(7152)] = 361834,
  [SMALL_STATE(7153)] = 361874,
  [SMALL_STATE(7154)] = 361914,
  [SMALL_STATE(7155)] = 361954,
  [SMALL_STATE(7156)] = 362000,
  [SMALL_STATE(7157)] = 362052,
  [SMALL_STATE(7158)] = 362092,
  [SMALL_STATE(7159)] = 362132,
  [SMALL_STATE(7160)] = 362172,
  [SMALL_STATE(7161)] = 362212,
  [SMALL_STATE(7162)] = 362272,
  [SMALL_STATE(7163)] = 362312,
  [SMALL_STATE(7164)] = 362352,
  [SMALL_STATE(7165)] = 362392,
  [SMALL_STATE(7166)] = 362432,
  [SMALL_STATE(7167)] = 362472,
  [SMALL_STATE(7168)] = 362512,
  [SMALL_STATE(7169)] = 362552,
  [SMALL_STATE(7170)] = 362592,
  [SMALL_STATE(7171)] = 362644,
  [SMALL_STATE(7172)] = 362688,
  [SMALL_STATE(7173)] = 362744,
  [SMALL_STATE(7174)] = 362784,
  [SMALL_STATE(7175)] = 362824,
  [SMALL_STATE(7176)] = 362864,
  [SMALL_STATE(7177)] = 362904,
  [SMALL_STATE(7178)] = 362944,
  [SMALL_STATE(7179)] = 362986,
  [SMALL_STATE(7180)] = 363026,
  [SMALL_STATE(7181)] = 363092,
  [SMALL_STATE(7182)] = 363132,
  [SMALL_STATE(7183)] = 363178,
  [SMALL_STATE(7184)] = 363218,
  [SMALL_STATE(7185)] = 363258,
  [SMALL_STATE(7186)] = 363312,
  [SMALL_STATE(7187)] = 363356,
  [SMALL_STATE(7188)] = 363416,
  [SMALL_STATE(7189)] = 363460,
  [SMALL_STATE(7190)] = 363536,
  [SMALL_STATE(7191)] = 363612,
  [SMALL_STATE(7192)] = 363658,
  [SMALL_STATE(7193)] = 363720,
  [SMALL_STATE(7194)] = 363796,
  [SMALL_STATE(7195)] = 363836,
  [SMALL_STATE(7196)] = 363898,
  [SMALL_STATE(7197)] = 363968,
  [SMALL_STATE(7198)] = 364014,
  [SMALL_STATE(7199)] = 364056,
  [SMALL_STATE(7200)] = 364116,
  [SMALL_STATE(7201)] = 364162,
  [SMALL_STATE(7202)] = 364232,
  [SMALL_STATE(7203)] = 364276,
  [SMALL_STATE(7204)] = 364316,
  [SMALL_STATE(7205)] = 364356,
  [SMALL_STATE(7206)] = 364396,
  [SMALL_STATE(7207)] = 364466,
  [SMALL_STATE(7208)] = 364506,
  [SMALL_STATE(7209)] = 364546,
  [SMALL_STATE(7210)] = 364610,
  [SMALL_STATE(7211)] = 364680,
  [SMALL_STATE(7212)] = 364744,
  [SMALL_STATE(7213)] = 364784,
  [SMALL_STATE(7214)] = 364828,
  [SMALL_STATE(7215)] = 364872,
  [SMALL_STATE(7216)] = 364936,
  [SMALL_STATE(7217)] = 364978,
  [SMALL_STATE(7218)] = 365018,
  [SMALL_STATE(7219)] = 365058,
  [SMALL_STATE(7220)] = 365122,
  [SMALL_STATE(7221)] = 365186,
  [SMALL_STATE(7222)] = 365226,
  [SMALL_STATE(7223)] = 365266,
  [SMALL_STATE(7224)] = 365320,
  [SMALL_STATE(7225)] = 365372,
  [SMALL_STATE(7226)] = 365436,
  [SMALL_STATE(7227)] = 365478,
  [SMALL_STATE(7228)] = 365520,
  [SMALL_STATE(7229)] = 365560,
  [SMALL_STATE(7230)] = 365636,
  [SMALL_STATE(7231)] = 365712,
  [SMALL_STATE(7232)] = 365752,
  [SMALL_STATE(7233)] = 365814,
  [SMALL_STATE(7234)] = 365884,
  [SMALL_STATE(7235)] = 365930,
  [SMALL_STATE(7236)] = 365970,
  [SMALL_STATE(7237)] = 366040,
  [SMALL_STATE(7238)] = 366080,
  [SMALL_STATE(7239)] = 366120,
  [SMALL_STATE(7240)] = 366160,
  [SMALL_STATE(7241)] = 366202,
  [SMALL_STATE(7242)] = 366242,
  [SMALL_STATE(7243)] = 366282,
  [SMALL_STATE(7244)] = 366322,
  [SMALL_STATE(7245)] = 366362,
  [SMALL_STATE(7246)] = 366402,
  [SMALL_STATE(7247)] = 366444,
  [SMALL_STATE(7248)] = 366484,
  [SMALL_STATE(7249)] = 366548,
  [SMALL_STATE(7250)] = 366588,
  [SMALL_STATE(7251)] = 366630,
  [SMALL_STATE(7252)] = 366682,
  [SMALL_STATE(7253)] = 366742,
  [SMALL_STATE(7254)] = 366794,
  [SMALL_STATE(7255)] = 366858,
  [SMALL_STATE(7256)] = 366900,
  [SMALL_STATE(7257)] = 366942,
  [SMALL_STATE(7258)] = 366982,
  [SMALL_STATE(7259)] = 367058,
  [SMALL_STATE(7260)] = 367134,
  [SMALL_STATE(7261)] = 367180,
  [SMALL_STATE(7262)] = 367220,
  [SMALL_STATE(7263)] = 367282,
  [SMALL_STATE(7264)] = 367322,
  [SMALL_STATE(7265)] = 367392,
  [SMALL_STATE(7266)] = 367432,
  [SMALL_STATE(7267)] = 367472,
  [SMALL_STATE(7268)] = 367512,
  [SMALL_STATE(7269)] = 367582,
  [SMALL_STATE(7270)] = 367626,
  [SMALL_STATE(7271)] = 367666,
  [SMALL_STATE(7272)] = 367706,
  [SMALL_STATE(7273)] = 367746,
  [SMALL_STATE(7274)] = 367786,
  [SMALL_STATE(7275)] = 367826,
  [SMALL_STATE(7276)] = 367866,
  [SMALL_STATE(7277)] = 367906,
  [SMALL_STATE(7278)] = 367946,
  [SMALL_STATE(7279)] = 367986,
  [SMALL_STATE(7280)] = 368026,
  [SMALL_STATE(7281)] = 368066,
  [SMALL_STATE(7282)] = 368106,
  [SMALL_STATE(7283)] = 368146,
  [SMALL_STATE(7284)] = 368186,
  [SMALL_STATE(7285)] = 368226,
  [SMALL_STATE(7286)] = 368266,
  [SMALL_STATE(7287)] = 368342,
  [SMALL_STATE(7288)] = 368418,
  [SMALL_STATE(7289)] = 368480,
  [SMALL_STATE(7290)] = 368550,
  [SMALL_STATE(7291)] = 368590,
  [SMALL_STATE(7292)] = 368630,
  [SMALL_STATE(7293)] = 368700,
  [SMALL_STATE(7294)] = 368740,
  [SMALL_STATE(7295)] = 368780,
  [SMALL_STATE(7296)] = 368820,
  [SMALL_STATE(7297)] = 368860,
  [SMALL_STATE(7298)] = 368900,
  [SMALL_STATE(7299)] = 368940,
  [SMALL_STATE(7300)] = 368980,
  [SMALL_STATE(7301)] = 369042,
  [SMALL_STATE(7302)] = 369112,
  [SMALL_STATE(7303)] = 369152,
  [SMALL_STATE(7304)] = 369192,
  [SMALL_STATE(7305)] = 369232,
  [SMALL_STATE(7306)] = 369302,
  [SMALL_STATE(7307)] = 369342,
  [SMALL_STATE(7308)] = 369382,
  [SMALL_STATE(7309)] = 369422,
  [SMALL_STATE(7310)] = 369462,
  [SMALL_STATE(7311)] = 369502,
  [SMALL_STATE(7312)] = 369564,
  [SMALL_STATE(7313)] = 369604,
  [SMALL_STATE(7314)] = 369644,
  [SMALL_STATE(7315)] = 369684,
  [SMALL_STATE(7316)] = 369736,
  [SMALL_STATE(7317)] = 369776,
  [SMALL_STATE(7318)] = 369816,
  [SMALL_STATE(7319)] = 369856,
  [SMALL_STATE(7320)] = 369896,
  [SMALL_STATE(7321)] = 369936,
  [SMALL_STATE(7322)] = 369976,
  [SMALL_STATE(7323)] = 370038,
  [SMALL_STATE(7324)] = 370078,
  [SMALL_STATE(7325)] = 370118,
  [SMALL_STATE(7326)] = 370158,
  [SMALL_STATE(7327)] = 370196,
  [SMALL_STATE(7328)] = 370236,
  [SMALL_STATE(7329)] = 370276,
  [SMALL_STATE(7330)] = 370316,
  [SMALL_STATE(7331)] = 370378,
  [SMALL_STATE(7332)] = 370418,
  [SMALL_STATE(7333)] = 370458,
  [SMALL_STATE(7334)] = 370498,
  [SMALL_STATE(7335)] = 370538,
  [SMALL_STATE(7336)] = 370578,
  [SMALL_STATE(7337)] = 370618,
  [SMALL_STATE(7338)] = 370680,
  [SMALL_STATE(7339)] = 370720,
  [SMALL_STATE(7340)] = 370760,
  [SMALL_STATE(7341)] = 370800,
  [SMALL_STATE(7342)] = 370840,
  [SMALL_STATE(7343)] = 370880,
  [SMALL_STATE(7344)] = 370922,
  [SMALL_STATE(7345)] = 370962,
  [SMALL_STATE(7346)] = 371002,
  [SMALL_STATE(7347)] = 371042,
  [SMALL_STATE(7348)] = 371104,
  [SMALL_STATE(7349)] = 371158,
  [SMALL_STATE(7350)] = 371198,
  [SMALL_STATE(7351)] = 371238,
  [SMALL_STATE(7352)] = 371278,
  [SMALL_STATE(7353)] = 371318,
  [SMALL_STATE(7354)] = 371394,
  [SMALL_STATE(7355)] = 371434,
  [SMALL_STATE(7356)] = 371496,
  [SMALL_STATE(7357)] = 371536,
  [SMALL_STATE(7358)] = 371576,
  [SMALL_STATE(7359)] = 371614,
  [SMALL_STATE(7360)] = 371654,
  [SMALL_STATE(7361)] = 371696,
  [SMALL_STATE(7362)] = 371738,
  [SMALL_STATE(7363)] = 371800,
  [SMALL_STATE(7364)] = 371840,
  [SMALL_STATE(7365)] = 371880,
  [SMALL_STATE(7366)] = 371920,
  [SMALL_STATE(7367)] = 371960,
  [SMALL_STATE(7368)] = 372022,
  [SMALL_STATE(7369)] = 372062,
  [SMALL_STATE(7370)] = 372102,
  [SMALL_STATE(7371)] = 372144,
  [SMALL_STATE(7372)] = 372184,
  [SMALL_STATE(7373)] = 372224,
  [SMALL_STATE(7374)] = 372266,
  [SMALL_STATE(7375)] = 372306,
  [SMALL_STATE(7376)] = 372346,
  [SMALL_STATE(7377)] = 372384,
  [SMALL_STATE(7378)] = 372424,
  [SMALL_STATE(7379)] = 372464,
  [SMALL_STATE(7380)] = 372506,
  [SMALL_STATE(7381)] = 372548,
  [SMALL_STATE(7382)] = 372610,
  [SMALL_STATE(7383)] = 372650,
  [SMALL_STATE(7384)] = 372690,
  [SMALL_STATE(7385)] = 372730,
  [SMALL_STATE(7386)] = 372770,
  [SMALL_STATE(7387)] = 372810,
  [SMALL_STATE(7388)] = 372872,
  [SMALL_STATE(7389)] = 372914,
  [SMALL_STATE(7390)] = 372954,
  [SMALL_STATE(7391)] = 372994,
  [SMALL_STATE(7392)] = 373034,
  [SMALL_STATE(7393)] = 373096,
  [SMALL_STATE(7394)] = 373138,
  [SMALL_STATE(7395)] = 373200,
  [SMALL_STATE(7396)] = 373248,
  [SMALL_STATE(7397)] = 373310,
  [SMALL_STATE(7398)] = 373386,
  [SMALL_STATE(7399)] = 373428,
  [SMALL_STATE(7400)] = 373492,
  [SMALL_STATE(7401)] = 373554,
  [SMALL_STATE(7402)] = 373594,
  [SMALL_STATE(7403)] = 373636,
  [SMALL_STATE(7404)] = 373698,
  [SMALL_STATE(7405)] = 373738,
  [SMALL_STATE(7406)] = 373778,
  [SMALL_STATE(7407)] = 373824,
  [SMALL_STATE(7408)] = 373864,
  [SMALL_STATE(7409)] = 373926,
  [SMALL_STATE(7410)] = 373966,
  [SMALL_STATE(7411)] = 374006,
  [SMALL_STATE(7412)] = 374046,
  [SMALL_STATE(7413)] = 374108,
  [SMALL_STATE(7414)] = 374148,
  [SMALL_STATE(7415)] = 374188,
  [SMALL_STATE(7416)] = 374228,
  [SMALL_STATE(7417)] = 374272,
  [SMALL_STATE(7418)] = 374334,
  [SMALL_STATE(7419)] = 374376,
  [SMALL_STATE(7420)] = 374436,
  [SMALL_STATE(7421)] = 374476,
  [SMALL_STATE(7422)] = 374516,
  [SMALL_STATE(7423)] = 374570,
  [SMALL_STATE(7424)] = 374612,
  [SMALL_STATE(7425)] = 374674,
  [SMALL_STATE(7426)] = 374714,
  [SMALL_STATE(7427)] = 374762,
  [SMALL_STATE(7428)] = 374802,
  [SMALL_STATE(7429)] = 374864,
  [SMALL_STATE(7430)] = 374904,
  [SMALL_STATE(7431)] = 374950,
  [SMALL_STATE(7432)] = 375012,
  [SMALL_STATE(7433)] = 375056,
  [SMALL_STATE(7434)] = 375096,
  [SMALL_STATE(7435)] = 375158,
  [SMALL_STATE(7436)] = 375198,
  [SMALL_STATE(7437)] = 375260,
  [SMALL_STATE(7438)] = 375302,
  [SMALL_STATE(7439)] = 375342,
  [SMALL_STATE(7440)] = 375402,
  [SMALL_STATE(7441)] = 375442,
  [SMALL_STATE(7442)] = 375482,
  [SMALL_STATE(7443)] = 375544,
  [SMALL_STATE(7444)] = 375584,
  [SMALL_STATE(7445)] = 375624,
  [SMALL_STATE(7446)] = 375686,
  [SMALL_STATE(7447)] = 375726,
  [SMALL_STATE(7448)] = 375766,
  [SMALL_STATE(7449)] = 375830,
  [SMALL_STATE(7450)] = 375892,
  [SMALL_STATE(7451)] = 375932,
  [SMALL_STATE(7452)] = 375972,
  [SMALL_STATE(7453)] = 376036,
  [SMALL_STATE(7454)] = 376098,
  [SMALL_STATE(7455)] = 376138,
  [SMALL_STATE(7456)] = 376200,
  [SMALL_STATE(7457)] = 376240,
  [SMALL_STATE(7458)] = 376280,
  [SMALL_STATE(7459)] = 376332,
  [SMALL_STATE(7460)] = 376372,
  [SMALL_STATE(7461)] = 376418,
  [SMALL_STATE(7462)] = 376458,
  [SMALL_STATE(7463)] = 376520,
  [SMALL_STATE(7464)] = 376560,
  [SMALL_STATE(7465)] = 376600,
  [SMALL_STATE(7466)] = 376662,
  [SMALL_STATE(7467)] = 376702,
  [SMALL_STATE(7468)] = 376744,
  [SMALL_STATE(7469)] = 376784,
  [SMALL_STATE(7470)] = 376830,
  [SMALL_STATE(7471)] = 376870,
  [SMALL_STATE(7472)] = 376910,
  [SMALL_STATE(7473)] = 376972,
  [SMALL_STATE(7474)] = 377012,
  [SMALL_STATE(7475)] = 377056,
  [SMALL_STATE(7476)] = 377096,
  [SMALL_STATE(7477)] = 377136,
  [SMALL_STATE(7478)] = 377176,
  [SMALL_STATE(7479)] = 377238,
  [SMALL_STATE(7480)] = 377302,
  [SMALL_STATE(7481)] = 377342,
  [SMALL_STATE(7482)] = 377382,
  [SMALL_STATE(7483)] = 377422,
  [SMALL_STATE(7484)] = 377462,
  [SMALL_STATE(7485)] = 377502,
  [SMALL_STATE(7486)] = 377564,
  [SMALL_STATE(7487)] = 377604,
  [SMALL_STATE(7488)] = 377644,
  [SMALL_STATE(7489)] = 377684,
  [SMALL_STATE(7490)] = 377736,
  [SMALL_STATE(7491)] = 377798,
  [SMALL_STATE(7492)] = 377844,
  [SMALL_STATE(7493)] = 377906,
  [SMALL_STATE(7494)] = 377946,
  [SMALL_STATE(7495)] = 377990,
  [SMALL_STATE(7496)] = 378032,
  [SMALL_STATE(7497)] = 378094,
  [SMALL_STATE(7498)] = 378134,
  [SMALL_STATE(7499)] = 378174,
  [SMALL_STATE(7500)] = 378214,
  [SMALL_STATE(7501)] = 378276,
  [SMALL_STATE(7502)] = 378316,
  [SMALL_STATE(7503)] = 378364,
  [SMALL_STATE(7504)] = 378426,
  [SMALL_STATE(7505)] = 378486,
  [SMALL_STATE(7506)] = 378526,
  [SMALL_STATE(7507)] = 378588,
  [SMALL_STATE(7508)] = 378650,
  [SMALL_STATE(7509)] = 378704,
  [SMALL_STATE(7510)] = 378748,
  [SMALL_STATE(7511)] = 378810,
  [SMALL_STATE(7512)] = 378850,
  [SMALL_STATE(7513)] = 378892,
  [SMALL_STATE(7514)] = 378954,
  [SMALL_STATE(7515)] = 378994,
  [SMALL_STATE(7516)] = 379056,
  [SMALL_STATE(7517)] = 379100,
  [SMALL_STATE(7518)] = 379140,
  [SMALL_STATE(7519)] = 379180,
  [SMALL_STATE(7520)] = 379242,
  [SMALL_STATE(7521)] = 379286,
  [SMALL_STATE(7522)] = 379326,
  [SMALL_STATE(7523)] = 379366,
  [SMALL_STATE(7524)] = 379406,
  [SMALL_STATE(7525)] = 379468,
  [SMALL_STATE(7526)] = 379512,
  [SMALL_STATE(7527)] = 379554,
  [SMALL_STATE(7528)] = 379594,
  [SMALL_STATE(7529)] = 379656,
  [SMALL_STATE(7530)] = 379696,
  [SMALL_STATE(7531)] = 379748,
  [SMALL_STATE(7532)] = 379788,
  [SMALL_STATE(7533)] = 379850,
  [SMALL_STATE(7534)] = 379890,
  [SMALL_STATE(7535)] = 379930,
  [SMALL_STATE(7536)] = 379970,
  [SMALL_STATE(7537)] = 380010,
  [SMALL_STATE(7538)] = 380050,
  [SMALL_STATE(7539)] = 380090,
  [SMALL_STATE(7540)] = 380130,
  [SMALL_STATE(7541)] = 380170,
  [SMALL_STATE(7542)] = 380210,
  [SMALL_STATE(7543)] = 380272,
  [SMALL_STATE(7544)] = 380312,
  [SMALL_STATE(7545)] = 380354,
  [SMALL_STATE(7546)] = 380394,
  [SMALL_STATE(7547)] = 380434,
  [SMALL_STATE(7548)] = 380496,
  [SMALL_STATE(7549)] = 380548,
  [SMALL_STATE(7550)] = 380588,
  [SMALL_STATE(7551)] = 380628,
  [SMALL_STATE(7552)] = 380690,
  [SMALL_STATE(7553)] = 380730,
  [SMALL_STATE(7554)] = 380770,
  [SMALL_STATE(7555)] = 380826,
  [SMALL_STATE(7556)] = 380888,
  [SMALL_STATE(7557)] = 380928,
  [SMALL_STATE(7558)] = 380968,
  [SMALL_STATE(7559)] = 381008,
  [SMALL_STATE(7560)] = 381070,
  [SMALL_STATE(7561)] = 381110,
  [SMALL_STATE(7562)] = 381156,
  [SMALL_STATE(7563)] = 381196,
  [SMALL_STATE(7564)] = 381236,
  [SMALL_STATE(7565)] = 381298,
  [SMALL_STATE(7566)] = 381338,
  [SMALL_STATE(7567)] = 381400,
  [SMALL_STATE(7568)] = 381452,
  [SMALL_STATE(7569)] = 381492,
  [SMALL_STATE(7570)] = 381554,
  [SMALL_STATE(7571)] = 381594,
  [SMALL_STATE(7572)] = 381634,
  [SMALL_STATE(7573)] = 381674,
  [SMALL_STATE(7574)] = 381714,
  [SMALL_STATE(7575)] = 381754,
  [SMALL_STATE(7576)] = 381816,
  [SMALL_STATE(7577)] = 381856,
  [SMALL_STATE(7578)] = 381896,
  [SMALL_STATE(7579)] = 381936,
  [SMALL_STATE(7580)] = 381998,
  [SMALL_STATE(7581)] = 382038,
  [SMALL_STATE(7582)] = 382100,
  [SMALL_STATE(7583)] = 382140,
  [SMALL_STATE(7584)] = 382180,
  [SMALL_STATE(7585)] = 382220,
  [SMALL_STATE(7586)] = 382260,
  [SMALL_STATE(7587)] = 382322,
  [SMALL_STATE(7588)] = 382362,
  [SMALL_STATE(7589)] = 382402,
  [SMALL_STATE(7590)] = 382442,
  [SMALL_STATE(7591)] = 382486,
  [SMALL_STATE(7592)] = 382548,
  [SMALL_STATE(7593)] = 382588,
  [SMALL_STATE(7594)] = 382628,
  [SMALL_STATE(7595)] = 382668,
  [SMALL_STATE(7596)] = 382708,
  [SMALL_STATE(7597)] = 382770,
  [SMALL_STATE(7598)] = 382810,
  [SMALL_STATE(7599)] = 382872,
  [SMALL_STATE(7600)] = 382912,
  [SMALL_STATE(7601)] = 382974,
  [SMALL_STATE(7602)] = 383036,
  [SMALL_STATE(7603)] = 383076,
  [SMALL_STATE(7604)] = 383118,
  [SMALL_STATE(7605)] = 383158,
  [SMALL_STATE(7606)] = 383220,
  [SMALL_STATE(7607)] = 383260,
  [SMALL_STATE(7608)] = 383322,
  [SMALL_STATE(7609)] = 383364,
  [SMALL_STATE(7610)] = 383426,
  [SMALL_STATE(7611)] = 383488,
  [SMALL_STATE(7612)] = 383528,
  [SMALL_STATE(7613)] = 383590,
  [SMALL_STATE(7614)] = 383652,
  [SMALL_STATE(7615)] = 383706,
  [SMALL_STATE(7616)] = 383768,
  [SMALL_STATE(7617)] = 383808,
  [SMALL_STATE(7618)] = 383870,
  [SMALL_STATE(7619)] = 383932,
  [SMALL_STATE(7620)] = 383972,
  [SMALL_STATE(7621)] = 384012,
  [SMALL_STATE(7622)] = 384074,
  [SMALL_STATE(7623)] = 384114,
  [SMALL_STATE(7624)] = 384154,
  [SMALL_STATE(7625)] = 384194,
  [SMALL_STATE(7626)] = 384234,
  [SMALL_STATE(7627)] = 384296,
  [SMALL_STATE(7628)] = 384338,
  [SMALL_STATE(7629)] = 384378,
  [SMALL_STATE(7630)] = 384440,
  [SMALL_STATE(7631)] = 384488,
  [SMALL_STATE(7632)] = 384550,
  [SMALL_STATE(7633)] = 384590,
  [SMALL_STATE(7634)] = 384630,
  [SMALL_STATE(7635)] = 384670,
  [SMALL_STATE(7636)] = 384732,
  [SMALL_STATE(7637)] = 384772,
  [SMALL_STATE(7638)] = 384812,
  [SMALL_STATE(7639)] = 384874,
  [SMALL_STATE(7640)] = 384914,
  [SMALL_STATE(7641)] = 384958,
  [SMALL_STATE(7642)] = 385020,
  [SMALL_STATE(7643)] = 385072,
  [SMALL_STATE(7644)] = 385112,
  [SMALL_STATE(7645)] = 385174,
  [SMALL_STATE(7646)] = 385214,
  [SMALL_STATE(7647)] = 385276,
  [SMALL_STATE(7648)] = 385318,
  [SMALL_STATE(7649)] = 385372,
  [SMALL_STATE(7650)] = 385434,
  [SMALL_STATE(7651)] = 385486,
  [SMALL_STATE(7652)] = 385526,
  [SMALL_STATE(7653)] = 385572,
  [SMALL_STATE(7654)] = 385612,
  [SMALL_STATE(7655)] = 385652,
  [SMALL_STATE(7656)] = 385692,
  [SMALL_STATE(7657)] = 385732,
  [SMALL_STATE(7658)] = 385772,
  [SMALL_STATE(7659)] = 385812,
  [SMALL_STATE(7660)] = 385852,
  [SMALL_STATE(7661)] = 385892,
  [SMALL_STATE(7662)] = 385932,
  [SMALL_STATE(7663)] = 385978,
  [SMALL_STATE(7664)] = 386018,
  [SMALL_STATE(7665)] = 386058,
  [SMALL_STATE(7666)] = 386100,
  [SMALL_STATE(7667)] = 386146,
  [SMALL_STATE(7668)] = 386186,
  [SMALL_STATE(7669)] = 386226,
  [SMALL_STATE(7670)] = 386302,
  [SMALL_STATE(7671)] = 386342,
  [SMALL_STATE(7672)] = 386382,
  [SMALL_STATE(7673)] = 386422,
  [SMALL_STATE(7674)] = 386468,
  [SMALL_STATE(7675)] = 386510,
  [SMALL_STATE(7676)] = 386550,
  [SMALL_STATE(7677)] = 386594,
  [SMALL_STATE(7678)] = 386634,
  [SMALL_STATE(7679)] = 386686,
  [SMALL_STATE(7680)] = 386726,
  [SMALL_STATE(7681)] = 386770,
  [SMALL_STATE(7682)] = 386810,
  [SMALL_STATE(7683)] = 386850,
  [SMALL_STATE(7684)] = 386890,
  [SMALL_STATE(7685)] = 386930,
  [SMALL_STATE(7686)] = 386970,
  [SMALL_STATE(7687)] = 387012,
  [SMALL_STATE(7688)] = 387056,
  [SMALL_STATE(7689)] = 387096,
  [SMALL_STATE(7690)] = 387136,
  [SMALL_STATE(7691)] = 387176,
  [SMALL_STATE(7692)] = 387216,
  [SMALL_STATE(7693)] = 387256,
  [SMALL_STATE(7694)] = 387296,
  [SMALL_STATE(7695)] = 387336,
  [SMALL_STATE(7696)] = 387376,
  [SMALL_STATE(7697)] = 387416,
  [SMALL_STATE(7698)] = 387456,
  [SMALL_STATE(7699)] = 387496,
  [SMALL_STATE(7700)] = 387536,
  [SMALL_STATE(7701)] = 387578,
  [SMALL_STATE(7702)] = 387618,
  [SMALL_STATE(7703)] = 387660,
  [SMALL_STATE(7704)] = 387700,
  [SMALL_STATE(7705)] = 387744,
  [SMALL_STATE(7706)] = 387790,
  [SMALL_STATE(7707)] = 387834,
  [SMALL_STATE(7708)] = 387874,
  [SMALL_STATE(7709)] = 387918,
  [SMALL_STATE(7710)] = 387958,
  [SMALL_STATE(7711)] = 387998,
  [SMALL_STATE(7712)] = 388038,
  [SMALL_STATE(7713)] = 388078,
  [SMALL_STATE(7714)] = 388118,
  [SMALL_STATE(7715)] = 388158,
  [SMALL_STATE(7716)] = 388198,
  [SMALL_STATE(7717)] = 388238,
  [SMALL_STATE(7718)] = 388284,
  [SMALL_STATE(7719)] = 388330,
  [SMALL_STATE(7720)] = 388370,
  [SMALL_STATE(7721)] = 388410,
  [SMALL_STATE(7722)] = 388450,
  [SMALL_STATE(7723)] = 388490,
  [SMALL_STATE(7724)] = 388530,
  [SMALL_STATE(7725)] = 388570,
  [SMALL_STATE(7726)] = 388610,
  [SMALL_STATE(7727)] = 388650,
  [SMALL_STATE(7728)] = 388690,
  [SMALL_STATE(7729)] = 388734,
  [SMALL_STATE(7730)] = 388774,
  [SMALL_STATE(7731)] = 388814,
  [SMALL_STATE(7732)] = 388854,
  [SMALL_STATE(7733)] = 388894,
  [SMALL_STATE(7734)] = 388934,
  [SMALL_STATE(7735)] = 388974,
  [SMALL_STATE(7736)] = 389014,
  [SMALL_STATE(7737)] = 389068,
  [SMALL_STATE(7738)] = 389114,
  [SMALL_STATE(7739)] = 389154,
  [SMALL_STATE(7740)] = 389194,
  [SMALL_STATE(7741)] = 389234,
  [SMALL_STATE(7742)] = 389274,
  [SMALL_STATE(7743)] = 389314,
  [SMALL_STATE(7744)] = 389354,
  [SMALL_STATE(7745)] = 389394,
  [SMALL_STATE(7746)] = 389434,
  [SMALL_STATE(7747)] = 389474,
  [SMALL_STATE(7748)] = 389518,
  [SMALL_STATE(7749)] = 389558,
  [SMALL_STATE(7750)] = 389598,
  [SMALL_STATE(7751)] = 389638,
  [SMALL_STATE(7752)] = 389678,
  [SMALL_STATE(7753)] = 389718,
  [SMALL_STATE(7754)] = 389758,
  [SMALL_STATE(7755)] = 389804,
  [SMALL_STATE(7756)] = 389844,
  [SMALL_STATE(7757)] = 389884,
  [SMALL_STATE(7758)] = 389924,
  [SMALL_STATE(7759)] = 389966,
  [SMALL_STATE(7760)] = 390006,
  [SMALL_STATE(7761)] = 390046,
  [SMALL_STATE(7762)] = 390086,
  [SMALL_STATE(7763)] = 390126,
  [SMALL_STATE(7764)] = 390166,
  [SMALL_STATE(7765)] = 390206,
  [SMALL_STATE(7766)] = 390246,
  [SMALL_STATE(7767)] = 390286,
  [SMALL_STATE(7768)] = 390330,
  [SMALL_STATE(7769)] = 390370,
  [SMALL_STATE(7770)] = 390410,
  [SMALL_STATE(7771)] = 390450,
  [SMALL_STATE(7772)] = 390490,
  [SMALL_STATE(7773)] = 390530,
  [SMALL_STATE(7774)] = 390570,
  [SMALL_STATE(7775)] = 390610,
  [SMALL_STATE(7776)] = 390650,
  [SMALL_STATE(7777)] = 390690,
  [SMALL_STATE(7778)] = 390730,
  [SMALL_STATE(7779)] = 390770,
  [SMALL_STATE(7780)] = 390810,
  [SMALL_STATE(7781)] = 390850,
  [SMALL_STATE(7782)] = 390890,
  [SMALL_STATE(7783)] = 390930,
  [SMALL_STATE(7784)] = 390972,
  [SMALL_STATE(7785)] = 391012,
  [SMALL_STATE(7786)] = 391052,
  [SMALL_STATE(7787)] = 391092,
  [SMALL_STATE(7788)] = 391132,
  [SMALL_STATE(7789)] = 391172,
  [SMALL_STATE(7790)] = 391212,
  [SMALL_STATE(7791)] = 391256,
  [SMALL_STATE(7792)] = 391296,
  [SMALL_STATE(7793)] = 391338,
  [SMALL_STATE(7794)] = 391378,
  [SMALL_STATE(7795)] = 391438,
  [SMALL_STATE(7796)] = 391490,
  [SMALL_STATE(7797)] = 391530,
  [SMALL_STATE(7798)] = 391572,
  [SMALL_STATE(7799)] = 391612,
  [SMALL_STATE(7800)] = 391652,
  [SMALL_STATE(7801)] = 391692,
  [SMALL_STATE(7802)] = 391732,
  [SMALL_STATE(7803)] = 391774,
  [SMALL_STATE(7804)] = 391814,
  [SMALL_STATE(7805)] = 391854,
  [SMALL_STATE(7806)] = 391900,
  [SMALL_STATE(7807)] = 391940,
  [SMALL_STATE(7808)] = 392002,
  [SMALL_STATE(7809)] = 392044,
  [SMALL_STATE(7810)] = 392084,
  [SMALL_STATE(7811)] = 392130,
  [SMALL_STATE(7812)] = 392170,
  [SMALL_STATE(7813)] = 392214,
  [SMALL_STATE(7814)] = 392254,
  [SMALL_STATE(7815)] = 392294,
  [SMALL_STATE(7816)] = 392334,
  [SMALL_STATE(7817)] = 392374,
  [SMALL_STATE(7818)] = 392414,
  [SMALL_STATE(7819)] = 392466,
  [SMALL_STATE(7820)] = 392516,
  [SMALL_STATE(7821)] = 392556,
  [SMALL_STATE(7822)] = 392598,
  [SMALL_STATE(7823)] = 392642,
  [SMALL_STATE(7824)] = 392682,
  [SMALL_STATE(7825)] = 392724,
  [SMALL_STATE(7826)] = 392770,
  [SMALL_STATE(7827)] = 392810,
  [SMALL_STATE(7828)] = 392852,
  [SMALL_STATE(7829)] = 392896,
  [SMALL_STATE(7830)] = 392942,
  [SMALL_STATE(7831)] = 392982,
  [SMALL_STATE(7832)] = 393022,
  [SMALL_STATE(7833)] = 393062,
  [SMALL_STATE(7834)] = 393102,
  [SMALL_STATE(7835)] = 393142,
  [SMALL_STATE(7836)] = 393182,
  [SMALL_STATE(7837)] = 393222,
  [SMALL_STATE(7838)] = 393262,
  [SMALL_STATE(7839)] = 393302,
  [SMALL_STATE(7840)] = 393342,
  [SMALL_STATE(7841)] = 393382,
  [SMALL_STATE(7842)] = 393426,
  [SMALL_STATE(7843)] = 393466,
  [SMALL_STATE(7844)] = 393506,
  [SMALL_STATE(7845)] = 393546,
  [SMALL_STATE(7846)] = 393586,
  [SMALL_STATE(7847)] = 393626,
  [SMALL_STATE(7848)] = 393666,
  [SMALL_STATE(7849)] = 393706,
  [SMALL_STATE(7850)] = 393746,
  [SMALL_STATE(7851)] = 393786,
  [SMALL_STATE(7852)] = 393826,
  [SMALL_STATE(7853)] = 393866,
  [SMALL_STATE(7854)] = 393906,
  [SMALL_STATE(7855)] = 393950,
  [SMALL_STATE(7856)] = 393990,
  [SMALL_STATE(7857)] = 394030,
  [SMALL_STATE(7858)] = 394070,
  [SMALL_STATE(7859)] = 394110,
  [SMALL_STATE(7860)] = 394150,
  [SMALL_STATE(7861)] = 394190,
  [SMALL_STATE(7862)] = 394230,
  [SMALL_STATE(7863)] = 394270,
  [SMALL_STATE(7864)] = 394310,
  [SMALL_STATE(7865)] = 394350,
  [SMALL_STATE(7866)] = 394390,
  [SMALL_STATE(7867)] = 394430,
  [SMALL_STATE(7868)] = 394470,
  [SMALL_STATE(7869)] = 394510,
  [SMALL_STATE(7870)] = 394550,
  [SMALL_STATE(7871)] = 394590,
  [SMALL_STATE(7872)] = 394630,
  [SMALL_STATE(7873)] = 394672,
  [SMALL_STATE(7874)] = 394712,
  [SMALL_STATE(7875)] = 394752,
  [SMALL_STATE(7876)] = 394792,
  [SMALL_STATE(7877)] = 394832,
  [SMALL_STATE(7878)] = 394872,
  [SMALL_STATE(7879)] = 394912,
  [SMALL_STATE(7880)] = 394952,
  [SMALL_STATE(7881)] = 394992,
  [SMALL_STATE(7882)] = 395032,
  [SMALL_STATE(7883)] = 395072,
  [SMALL_STATE(7884)] = 395112,
  [SMALL_STATE(7885)] = 395152,
  [SMALL_STATE(7886)] = 395192,
  [SMALL_STATE(7887)] = 395232,
  [SMALL_STATE(7888)] = 395272,
  [SMALL_STATE(7889)] = 395312,
  [SMALL_STATE(7890)] = 395352,
  [SMALL_STATE(7891)] = 395392,
  [SMALL_STATE(7892)] = 395432,
  [SMALL_STATE(7893)] = 395472,
  [SMALL_STATE(7894)] = 395512,
  [SMALL_STATE(7895)] = 395552,
  [SMALL_STATE(7896)] = 395592,
  [SMALL_STATE(7897)] = 395632,
  [SMALL_STATE(7898)] = 395672,
  [SMALL_STATE(7899)] = 395712,
  [SMALL_STATE(7900)] = 395752,
  [SMALL_STATE(7901)] = 395792,
  [SMALL_STATE(7902)] = 395832,
  [SMALL_STATE(7903)] = 395872,
  [SMALL_STATE(7904)] = 395912,
  [SMALL_STATE(7905)] = 395952,
  [SMALL_STATE(7906)] = 395998,
  [SMALL_STATE(7907)] = 396038,
  [SMALL_STATE(7908)] = 396078,
  [SMALL_STATE(7909)] = 396120,
  [SMALL_STATE(7910)] = 396160,
  [SMALL_STATE(7911)] = 396200,
  [SMALL_STATE(7912)] = 396240,
  [SMALL_STATE(7913)] = 396280,
  [SMALL_STATE(7914)] = 396334,
  [SMALL_STATE(7915)] = 396376,
  [SMALL_STATE(7916)] = 396424,
  [SMALL_STATE(7917)] = 396464,
  [SMALL_STATE(7918)] = 396504,
  [SMALL_STATE(7919)] = 396544,
  [SMALL_STATE(7920)] = 396584,
  [SMALL_STATE(7921)] = 396624,
  [SMALL_STATE(7922)] = 396664,
  [SMALL_STATE(7923)] = 396720,
  [SMALL_STATE(7924)] = 396760,
  [SMALL_STATE(7925)] = 396800,
  [SMALL_STATE(7926)] = 396840,
  [SMALL_STATE(7927)] = 396880,
  [SMALL_STATE(7928)] = 396938,
  [SMALL_STATE(7929)] = 396980,
  [SMALL_STATE(7930)] = 397022,
  [SMALL_STATE(7931)] = 397068,
  [SMALL_STATE(7932)] = 397108,
  [SMALL_STATE(7933)] = 397148,
  [SMALL_STATE(7934)] = 397188,
  [SMALL_STATE(7935)] = 397228,
  [SMALL_STATE(7936)] = 397268,
  [SMALL_STATE(7937)] = 397308,
  [SMALL_STATE(7938)] = 397348,
  [SMALL_STATE(7939)] = 397388,
  [SMALL_STATE(7940)] = 397428,
  [SMALL_STATE(7941)] = 397468,
  [SMALL_STATE(7942)] = 397508,
  [SMALL_STATE(7943)] = 397548,
  [SMALL_STATE(7944)] = 397588,
  [SMALL_STATE(7945)] = 397630,
  [SMALL_STATE(7946)] = 397670,
  [SMALL_STATE(7947)] = 397710,
  [SMALL_STATE(7948)] = 397750,
  [SMALL_STATE(7949)] = 397790,
  [SMALL_STATE(7950)] = 397830,
  [SMALL_STATE(7951)] = 397870,
  [SMALL_STATE(7952)] = 397907,
  [SMALL_STATE(7953)] = 397948,
  [SMALL_STATE(7954)] = 397987,
  [SMALL_STATE(7955)] = 398026,
  [SMALL_STATE(7956)] = 398065,
  [SMALL_STATE(7957)] = 398104,
  [SMALL_STATE(7958)] = 398143,
  [SMALL_STATE(7959)] = 398182,
  [SMALL_STATE(7960)] = 398223,
  [SMALL_STATE(7961)] = 398262,
  [SMALL_STATE(7962)] = 398303,
  [SMALL_STATE(7963)] = 398342,
  [SMALL_STATE(7964)] = 398383,
  [SMALL_STATE(7965)] = 398446,
  [SMALL_STATE(7966)] = 398485,
  [SMALL_STATE(7967)] = 398524,
  [SMALL_STATE(7968)] = 398563,
  [SMALL_STATE(7969)] = 398602,
  [SMALL_STATE(7970)] = 398641,
  [SMALL_STATE(7971)] = 398682,
  [SMALL_STATE(7972)] = 398721,
  [SMALL_STATE(7973)] = 398760,
  [SMALL_STATE(7974)] = 398799,
  [SMALL_STATE(7975)] = 398838,
  [SMALL_STATE(7976)] = 398877,
  [SMALL_STATE(7977)] = 398916,
  [SMALL_STATE(7978)] = 398979,
  [SMALL_STATE(7979)] = 399018,
  [SMALL_STATE(7980)] = 399057,
  [SMALL_STATE(7981)] = 399096,
  [SMALL_STATE(7982)] = 399139,
  [SMALL_STATE(7983)] = 399178,
  [SMALL_STATE(7984)] = 399217,
  [SMALL_STATE(7985)] = 399256,
  [SMALL_STATE(7986)] = 399295,
  [SMALL_STATE(7987)] = 399350,
  [SMALL_STATE(7988)] = 399389,
  [SMALL_STATE(7989)] = 399428,
  [SMALL_STATE(7990)] = 399483,
  [SMALL_STATE(7991)] = 399522,
  [SMALL_STATE(7992)] = 399569,
  [SMALL_STATE(7993)] = 399608,
  [SMALL_STATE(7994)] = 399647,
  [SMALL_STATE(7995)] = 399688,
  [SMALL_STATE(7996)] = 399729,
  [SMALL_STATE(7997)] = 399768,
  [SMALL_STATE(7998)] = 399809,
  [SMALL_STATE(7999)] = 399848,
  [SMALL_STATE(8000)] = 399887,
  [SMALL_STATE(8001)] = 399926,
  [SMALL_STATE(8002)] = 399965,
  [SMALL_STATE(8003)] = 400004,
  [SMALL_STATE(8004)] = 400043,
  [SMALL_STATE(8005)] = 400082,
  [SMALL_STATE(8006)] = 400129,
  [SMALL_STATE(8007)] = 400170,
  [SMALL_STATE(8008)] = 400213,
  [SMALL_STATE(8009)] = 400252,
  [SMALL_STATE(8010)] = 400291,
  [SMALL_STATE(8011)] = 400330,
  [SMALL_STATE(8012)] = 400373,
  [SMALL_STATE(8013)] = 400444,
  [SMALL_STATE(8014)] = 400483,
  [SMALL_STATE(8015)] = 400522,
  [SMALL_STATE(8016)] = 400563,
  [SMALL_STATE(8017)] = 400602,
  [SMALL_STATE(8018)] = 400641,
  [SMALL_STATE(8019)] = 400708,
  [SMALL_STATE(8020)] = 400747,
  [SMALL_STATE(8021)] = 400786,
  [SMALL_STATE(8022)] = 400825,
  [SMALL_STATE(8023)] = 400870,
  [SMALL_STATE(8024)] = 400909,
  [SMALL_STATE(8025)] = 400948,
  [SMALL_STATE(8026)] = 400989,
  [SMALL_STATE(8027)] = 401028,
  [SMALL_STATE(8028)] = 401067,
  [SMALL_STATE(8029)] = 401106,
  [SMALL_STATE(8030)] = 401145,
  [SMALL_STATE(8031)] = 401184,
  [SMALL_STATE(8032)] = 401223,
  [SMALL_STATE(8033)] = 401264,
  [SMALL_STATE(8034)] = 401303,
  [SMALL_STATE(8035)] = 401348,
  [SMALL_STATE(8036)] = 401387,
  [SMALL_STATE(8037)] = 401426,
  [SMALL_STATE(8038)] = 401465,
  [SMALL_STATE(8039)] = 401504,
  [SMALL_STATE(8040)] = 401543,
  [SMALL_STATE(8041)] = 401582,
  [SMALL_STATE(8042)] = 401621,
  [SMALL_STATE(8043)] = 401660,
  [SMALL_STATE(8044)] = 401699,
  [SMALL_STATE(8045)] = 401738,
  [SMALL_STATE(8046)] = 401779,
  [SMALL_STATE(8047)] = 401818,
  [SMALL_STATE(8048)] = 401857,
  [SMALL_STATE(8049)] = 401896,
  [SMALL_STATE(8050)] = 401935,
  [SMALL_STATE(8051)] = 401976,
  [SMALL_STATE(8052)] = 402015,
  [SMALL_STATE(8053)] = 402054,
  [SMALL_STATE(8054)] = 402093,
  [SMALL_STATE(8055)] = 402132,
  [SMALL_STATE(8056)] = 402171,
  [SMALL_STATE(8057)] = 402216,
  [SMALL_STATE(8058)] = 402255,
  [SMALL_STATE(8059)] = 402294,
  [SMALL_STATE(8060)] = 402333,
  [SMALL_STATE(8061)] = 402372,
  [SMALL_STATE(8062)] = 402411,
  [SMALL_STATE(8063)] = 402450,
  [SMALL_STATE(8064)] = 402489,
  [SMALL_STATE(8065)] = 402528,
  [SMALL_STATE(8066)] = 402567,
  [SMALL_STATE(8067)] = 402606,
  [SMALL_STATE(8068)] = 402645,
  [SMALL_STATE(8069)] = 402684,
  [SMALL_STATE(8070)] = 402723,
  [SMALL_STATE(8071)] = 402762,
  [SMALL_STATE(8072)] = 402801,
  [SMALL_STATE(8073)] = 402840,
  [SMALL_STATE(8074)] = 402879,
  [SMALL_STATE(8075)] = 402918,
  [SMALL_STATE(8076)] = 402957,
  [SMALL_STATE(8077)] = 402996,
  [SMALL_STATE(8078)] = 403035,
  [SMALL_STATE(8079)] = 403074,
  [SMALL_STATE(8080)] = 403113,
  [SMALL_STATE(8081)] = 403154,
  [SMALL_STATE(8082)] = 403193,
  [SMALL_STATE(8083)] = 403232,
  [SMALL_STATE(8084)] = 403271,
  [SMALL_STATE(8085)] = 403310,
  [SMALL_STATE(8086)] = 403351,
  [SMALL_STATE(8087)] = 403390,
  [SMALL_STATE(8088)] = 403429,
  [SMALL_STATE(8089)] = 403468,
  [SMALL_STATE(8090)] = 403509,
  [SMALL_STATE(8091)] = 403548,
  [SMALL_STATE(8092)] = 403587,
  [SMALL_STATE(8093)] = 403626,
  [SMALL_STATE(8094)] = 403665,
  [SMALL_STATE(8095)] = 403704,
  [SMALL_STATE(8096)] = 403745,
  [SMALL_STATE(8097)] = 403784,
  [SMALL_STATE(8098)] = 403835,
  [SMALL_STATE(8099)] = 403874,
  [SMALL_STATE(8100)] = 403913,
  [SMALL_STATE(8101)] = 403952,
  [SMALL_STATE(8102)] = 403991,
  [SMALL_STATE(8103)] = 404030,
  [SMALL_STATE(8104)] = 404069,
  [SMALL_STATE(8105)] = 404108,
  [SMALL_STATE(8106)] = 404147,
  [SMALL_STATE(8107)] = 404186,
  [SMALL_STATE(8108)] = 404225,
  [SMALL_STATE(8109)] = 404292,
  [SMALL_STATE(8110)] = 404331,
  [SMALL_STATE(8111)] = 404370,
  [SMALL_STATE(8112)] = 404409,
  [SMALL_STATE(8113)] = 404452,
  [SMALL_STATE(8114)] = 404491,
  [SMALL_STATE(8115)] = 404530,
  [SMALL_STATE(8116)] = 404569,
  [SMALL_STATE(8117)] = 404640,
  [SMALL_STATE(8118)] = 404679,
  [SMALL_STATE(8119)] = 404718,
  [SMALL_STATE(8120)] = 404757,
  [SMALL_STATE(8121)] = 404810,
  [SMALL_STATE(8122)] = 404849,
  [SMALL_STATE(8123)] = 404894,
  [SMALL_STATE(8124)] = 404933,
  [SMALL_STATE(8125)] = 404972,
  [SMALL_STATE(8126)] = 405043,
  [SMALL_STATE(8127)] = 405082,
  [SMALL_STATE(8128)] = 405123,
  [SMALL_STATE(8129)] = 405162,
  [SMALL_STATE(8130)] = 405201,
  [SMALL_STATE(8131)] = 405240,
  [SMALL_STATE(8132)] = 405279,
  [SMALL_STATE(8133)] = 405318,
  [SMALL_STATE(8134)] = 405357,
  [SMALL_STATE(8135)] = 405396,
  [SMALL_STATE(8136)] = 405437,
  [SMALL_STATE(8137)] = 405476,
  [SMALL_STATE(8138)] = 405517,
  [SMALL_STATE(8139)] = 405556,
  [SMALL_STATE(8140)] = 405595,
  [SMALL_STATE(8141)] = 405634,
  [SMALL_STATE(8142)] = 405673,
  [SMALL_STATE(8143)] = 405712,
  [SMALL_STATE(8144)] = 405779,
  [SMALL_STATE(8145)] = 405818,
  [SMALL_STATE(8146)] = 405857,
  [SMALL_STATE(8147)] = 405896,
  [SMALL_STATE(8148)] = 405935,
  [SMALL_STATE(8149)] = 405974,
  [SMALL_STATE(8150)] = 406017,
  [SMALL_STATE(8151)] = 406088,
  [SMALL_STATE(8152)] = 406127,
  [SMALL_STATE(8153)] = 406166,
  [SMALL_STATE(8154)] = 406205,
  [SMALL_STATE(8155)] = 406244,
  [SMALL_STATE(8156)] = 406283,
  [SMALL_STATE(8157)] = 406354,
  [SMALL_STATE(8158)] = 406393,
  [SMALL_STATE(8159)] = 406432,
  [SMALL_STATE(8160)] = 406471,
  [SMALL_STATE(8161)] = 406510,
  [SMALL_STATE(8162)] = 406549,
  [SMALL_STATE(8163)] = 406588,
  [SMALL_STATE(8164)] = 406629,
  [SMALL_STATE(8165)] = 406680,
  [SMALL_STATE(8166)] = 406719,
  [SMALL_STATE(8167)] = 406786,
  [SMALL_STATE(8168)] = 406825,
  [SMALL_STATE(8169)] = 406864,
  [SMALL_STATE(8170)] = 406903,
  [SMALL_STATE(8171)] = 406944,
  [SMALL_STATE(8172)] = 406997,
  [SMALL_STATE(8173)] = 407036,
  [SMALL_STATE(8174)] = 407081,
  [SMALL_STATE(8175)] = 407120,
  [SMALL_STATE(8176)] = 407187,
  [SMALL_STATE(8177)] = 407226,
  [SMALL_STATE(8178)] = 407265,
  [SMALL_STATE(8179)] = 407308,
  [SMALL_STATE(8180)] = 407347,
  [SMALL_STATE(8181)] = 407386,
  [SMALL_STATE(8182)] = 407453,
  [SMALL_STATE(8183)] = 407492,
  [SMALL_STATE(8184)] = 407531,
  [SMALL_STATE(8185)] = 407570,
  [SMALL_STATE(8186)] = 407609,
  [SMALL_STATE(8187)] = 407648,
  [SMALL_STATE(8188)] = 407687,
  [SMALL_STATE(8189)] = 407726,
  [SMALL_STATE(8190)] = 407765,
  [SMALL_STATE(8191)] = 407804,
  [SMALL_STATE(8192)] = 407843,
  [SMALL_STATE(8193)] = 407882,
  [SMALL_STATE(8194)] = 407933,
  [SMALL_STATE(8195)] = 407978,
  [SMALL_STATE(8196)] = 408021,
  [SMALL_STATE(8197)] = 408060,
  [SMALL_STATE(8198)] = 408115,
  [SMALL_STATE(8199)] = 408174,
  [SMALL_STATE(8200)] = 408213,
  [SMALL_STATE(8201)] = 408252,
  [SMALL_STATE(8202)] = 408291,
  [SMALL_STATE(8203)] = 408330,
  [SMALL_STATE(8204)] = 408369,
  [SMALL_STATE(8205)] = 408410,
  [SMALL_STATE(8206)] = 408455,
  [SMALL_STATE(8207)] = 408494,
  [SMALL_STATE(8208)] = 408533,
  [SMALL_STATE(8209)] = 408572,
  [SMALL_STATE(8210)] = 408611,
  [SMALL_STATE(8211)] = 408650,
  [SMALL_STATE(8212)] = 408689,
  [SMALL_STATE(8213)] = 408728,
  [SMALL_STATE(8214)] = 408767,
  [SMALL_STATE(8215)] = 408806,
  [SMALL_STATE(8216)] = 408851,
  [SMALL_STATE(8217)] = 408914,
  [SMALL_STATE(8218)] = 408953,
  [SMALL_STATE(8219)] = 408992,
  [SMALL_STATE(8220)] = 409035,
  [SMALL_STATE(8221)] = 409074,
  [SMALL_STATE(8222)] = 409115,
  [SMALL_STATE(8223)] = 409154,
  [SMALL_STATE(8224)] = 409195,
  [SMALL_STATE(8225)] = 409234,
  [SMALL_STATE(8226)] = 409273,
  [SMALL_STATE(8227)] = 409320,
  [SMALL_STATE(8228)] = 409359,
  [SMALL_STATE(8229)] = 409398,
  [SMALL_STATE(8230)] = 409437,
  [SMALL_STATE(8231)] = 409476,
  [SMALL_STATE(8232)] = 409515,
  [SMALL_STATE(8233)] = 409554,
  [SMALL_STATE(8234)] = 409593,
  [SMALL_STATE(8235)] = 409632,
  [SMALL_STATE(8236)] = 409671,
  [SMALL_STATE(8237)] = 409722,
  [SMALL_STATE(8238)] = 409761,
  [SMALL_STATE(8239)] = 409802,
  [SMALL_STATE(8240)] = 409841,
  [SMALL_STATE(8241)] = 409880,
  [SMALL_STATE(8242)] = 409919,
  [SMALL_STATE(8243)] = 409958,
  [SMALL_STATE(8244)] = 410001,
  [SMALL_STATE(8245)] = 410042,
  [SMALL_STATE(8246)] = 410081,
  [SMALL_STATE(8247)] = 410120,
  [SMALL_STATE(8248)] = 410159,
  [SMALL_STATE(8249)] = 410198,
  [SMALL_STATE(8250)] = 410237,
  [SMALL_STATE(8251)] = 410276,
  [SMALL_STATE(8252)] = 410315,
  [SMALL_STATE(8253)] = 410354,
  [SMALL_STATE(8254)] = 410393,
  [SMALL_STATE(8255)] = 410434,
  [SMALL_STATE(8256)] = 410473,
  [SMALL_STATE(8257)] = 410512,
  [SMALL_STATE(8258)] = 410551,
  [SMALL_STATE(8259)] = 410590,
  [SMALL_STATE(8260)] = 410631,
  [SMALL_STATE(8261)] = 410672,
  [SMALL_STATE(8262)] = 410711,
  [SMALL_STATE(8263)] = 410750,
  [SMALL_STATE(8264)] = 410789,
  [SMALL_STATE(8265)] = 410828,
  [SMALL_STATE(8266)] = 410867,
  [SMALL_STATE(8267)] = 410912,
  [SMALL_STATE(8268)] = 410953,
  [SMALL_STATE(8269)] = 410992,
  [SMALL_STATE(8270)] = 411031,
  [SMALL_STATE(8271)] = 411070,
  [SMALL_STATE(8272)] = 411109,
  [SMALL_STATE(8273)] = 411150,
  [SMALL_STATE(8274)] = 411189,
  [SMALL_STATE(8275)] = 411228,
  [SMALL_STATE(8276)] = 411267,
  [SMALL_STATE(8277)] = 411306,
  [SMALL_STATE(8278)] = 411345,
  [SMALL_STATE(8279)] = 411384,
  [SMALL_STATE(8280)] = 411429,
  [SMALL_STATE(8281)] = 411468,
  [SMALL_STATE(8282)] = 411507,
  [SMALL_STATE(8283)] = 411546,
  [SMALL_STATE(8284)] = 411617,
  [SMALL_STATE(8285)] = 411656,
  [SMALL_STATE(8286)] = 411701,
  [SMALL_STATE(8287)] = 411740,
  [SMALL_STATE(8288)] = 411779,
  [SMALL_STATE(8289)] = 411818,
  [SMALL_STATE(8290)] = 411861,
  [SMALL_STATE(8291)] = 411900,
  [SMALL_STATE(8292)] = 411939,
  [SMALL_STATE(8293)] = 411978,
  [SMALL_STATE(8294)] = 412017,
  [SMALL_STATE(8295)] = 412056,
  [SMALL_STATE(8296)] = 412095,
  [SMALL_STATE(8297)] = 412158,
  [SMALL_STATE(8298)] = 412203,
  [SMALL_STATE(8299)] = 412244,
  [SMALL_STATE(8300)] = 412283,
  [SMALL_STATE(8301)] = 412324,
  [SMALL_STATE(8302)] = 412387,
  [SMALL_STATE(8303)] = 412426,
  [SMALL_STATE(8304)] = 412465,
  [SMALL_STATE(8305)] = 412510,
  [SMALL_STATE(8306)] = 412553,
  [SMALL_STATE(8307)] = 412592,
  [SMALL_STATE(8308)] = 412631,
  [SMALL_STATE(8309)] = 412672,
  [SMALL_STATE(8310)] = 412711,
  [SMALL_STATE(8311)] = 412750,
  [SMALL_STATE(8312)] = 412789,
  [SMALL_STATE(8313)] = 412828,
  [SMALL_STATE(8314)] = 412867,
  [SMALL_STATE(8315)] = 412906,
  [SMALL_STATE(8316)] = 412945,
  [SMALL_STATE(8317)] = 412984,
  [SMALL_STATE(8318)] = 413023,
  [SMALL_STATE(8319)] = 413086,
  [SMALL_STATE(8320)] = 413139,
  [SMALL_STATE(8321)] = 413178,
  [SMALL_STATE(8322)] = 413217,
  [SMALL_STATE(8323)] = 413256,
  [SMALL_STATE(8324)] = 413299,
  [SMALL_STATE(8325)] = 413338,
  [SMALL_STATE(8326)] = 413377,
  [SMALL_STATE(8327)] = 413418,
  [SMALL_STATE(8328)] = 413481,
  [SMALL_STATE(8329)] = 413520,
  [SMALL_STATE(8330)] = 413561,
  [SMALL_STATE(8331)] = 413602,
  [SMALL_STATE(8332)] = 413641,
  [SMALL_STATE(8333)] = 413680,
  [SMALL_STATE(8334)] = 413719,
  [SMALL_STATE(8335)] = 413758,
  [SMALL_STATE(8336)] = 413797,
  [SMALL_STATE(8337)] = 413836,
  [SMALL_STATE(8338)] = 413875,
  [SMALL_STATE(8339)] = 413914,
  [SMALL_STATE(8340)] = 413953,
  [SMALL_STATE(8341)] = 413992,
  [SMALL_STATE(8342)] = 414031,
  [SMALL_STATE(8343)] = 414070,
  [SMALL_STATE(8344)] = 414109,
  [SMALL_STATE(8345)] = 414148,
  [SMALL_STATE(8346)] = 414187,
  [SMALL_STATE(8347)] = 414226,
  [SMALL_STATE(8348)] = 414267,
  [SMALL_STATE(8349)] = 414306,
  [SMALL_STATE(8350)] = 414345,
  [SMALL_STATE(8351)] = 414384,
  [SMALL_STATE(8352)] = 414423,
  [SMALL_STATE(8353)] = 414462,
  [SMALL_STATE(8354)] = 414501,
  [SMALL_STATE(8355)] = 414540,
  [SMALL_STATE(8356)] = 414579,
  [SMALL_STATE(8357)] = 414618,
  [SMALL_STATE(8358)] = 414657,
  [SMALL_STATE(8359)] = 414696,
  [SMALL_STATE(8360)] = 414735,
  [SMALL_STATE(8361)] = 414786,
  [SMALL_STATE(8362)] = 414825,
  [SMALL_STATE(8363)] = 414864,
  [SMALL_STATE(8364)] = 414905,
  [SMALL_STATE(8365)] = 414944,
  [SMALL_STATE(8366)] = 414983,
  [SMALL_STATE(8367)] = 415022,
  [SMALL_STATE(8368)] = 415063,
  [SMALL_STATE(8369)] = 415102,
  [SMALL_STATE(8370)] = 415141,
  [SMALL_STATE(8371)] = 415180,
  [SMALL_STATE(8372)] = 415221,
  [SMALL_STATE(8373)] = 415260,
  [SMALL_STATE(8374)] = 415299,
  [SMALL_STATE(8375)] = 415338,
  [SMALL_STATE(8376)] = 415377,
  [SMALL_STATE(8377)] = 415416,
  [SMALL_STATE(8378)] = 415455,
  [SMALL_STATE(8379)] = 415494,
  [SMALL_STATE(8380)] = 415539,
  [SMALL_STATE(8381)] = 415578,
  [SMALL_STATE(8382)] = 415617,
  [SMALL_STATE(8383)] = 415656,
  [SMALL_STATE(8384)] = 415697,
  [SMALL_STATE(8385)] = 415742,
  [SMALL_STATE(8386)] = 415783,
  [SMALL_STATE(8387)] = 415822,
  [SMALL_STATE(8388)] = 415861,
  [SMALL_STATE(8389)] = 415900,
  [SMALL_STATE(8390)] = 415939,
  [SMALL_STATE(8391)] = 415978,
  [SMALL_STATE(8392)] = 416017,
  [SMALL_STATE(8393)] = 416060,
  [SMALL_STATE(8394)] = 416099,
  [SMALL_STATE(8395)] = 416138,
  [SMALL_STATE(8396)] = 416177,
  [SMALL_STATE(8397)] = 416216,
  [SMALL_STATE(8398)] = 416255,
  [SMALL_STATE(8399)] = 416298,
  [SMALL_STATE(8400)] = 416337,
  [SMALL_STATE(8401)] = 416376,
  [SMALL_STATE(8402)] = 416415,
  [SMALL_STATE(8403)] = 416460,
  [SMALL_STATE(8404)] = 416501,
  [SMALL_STATE(8405)] = 416540,
  [SMALL_STATE(8406)] = 416579,
  [SMALL_STATE(8407)] = 416632,
  [SMALL_STATE(8408)] = 416671,
  [SMALL_STATE(8409)] = 416726,
  [SMALL_STATE(8410)] = 416769,
  [SMALL_STATE(8411)] = 416812,
  [SMALL_STATE(8412)] = 416851,
  [SMALL_STATE(8413)] = 416890,
  [SMALL_STATE(8414)] = 416929,
  [SMALL_STATE(8415)] = 416968,
  [SMALL_STATE(8416)] = 417007,
  [SMALL_STATE(8417)] = 417046,
  [SMALL_STATE(8418)] = 417085,
  [SMALL_STATE(8419)] = 417126,
  [SMALL_STATE(8420)] = 417169,
  [SMALL_STATE(8421)] = 417212,
  [SMALL_STATE(8422)] = 417257,
  [SMALL_STATE(8423)] = 417296,
  [SMALL_STATE(8424)] = 417335,
  [SMALL_STATE(8425)] = 417376,
  [SMALL_STATE(8426)] = 417419,
  [SMALL_STATE(8427)] = 417458,
  [SMALL_STATE(8428)] = 417497,
  [SMALL_STATE(8429)] = 417536,
  [SMALL_STATE(8430)] = 417575,
  [SMALL_STATE(8431)] = 417616,
  [SMALL_STATE(8432)] = 417657,
  [SMALL_STATE(8433)] = 417696,
  [SMALL_STATE(8434)] = 417735,
  [SMALL_STATE(8435)] = 417774,
  [SMALL_STATE(8436)] = 417815,
  [SMALL_STATE(8437)] = 417854,
  [SMALL_STATE(8438)] = 417893,
  [SMALL_STATE(8439)] = 417932,
  [SMALL_STATE(8440)] = 417971,
  [SMALL_STATE(8441)] = 418012,
  [SMALL_STATE(8442)] = 418051,
  [SMALL_STATE(8443)] = 418096,
  [SMALL_STATE(8444)] = 418139,
  [SMALL_STATE(8445)] = 418180,
  [SMALL_STATE(8446)] = 418219,
  [SMALL_STATE(8447)] = 418258,
  [SMALL_STATE(8448)] = 418297,
  [SMALL_STATE(8449)] = 418336,
  [SMALL_STATE(8450)] = 418375,
  [SMALL_STATE(8451)] = 418414,
  [SMALL_STATE(8452)] = 418453,
  [SMALL_STATE(8453)] = 418492,
  [SMALL_STATE(8454)] = 418533,
  [SMALL_STATE(8455)] = 418572,
  [SMALL_STATE(8456)] = 418613,
  [SMALL_STATE(8457)] = 418652,
  [SMALL_STATE(8458)] = 418691,
  [SMALL_STATE(8459)] = 418730,
  [SMALL_STATE(8460)] = 418769,
  [SMALL_STATE(8461)] = 418828,
  [SMALL_STATE(8462)] = 418867,
  [SMALL_STATE(8463)] = 418906,
  [SMALL_STATE(8464)] = 418945,
  [SMALL_STATE(8465)] = 418984,
  [SMALL_STATE(8466)] = 419029,
  [SMALL_STATE(8467)] = 419088,
  [SMALL_STATE(8468)] = 419127,
  [SMALL_STATE(8469)] = 419166,
  [SMALL_STATE(8470)] = 419209,
  [SMALL_STATE(8471)] = 419278,
  [SMALL_STATE(8472)] = 419317,
  [SMALL_STATE(8473)] = 419356,
  [SMALL_STATE(8474)] = 419395,
  [SMALL_STATE(8475)] = 419434,
  [SMALL_STATE(8476)] = 419473,
  [SMALL_STATE(8477)] = 419518,
  [SMALL_STATE(8478)] = 419557,
  [SMALL_STATE(8479)] = 419608,
  [SMALL_STATE(8480)] = 419647,
  [SMALL_STATE(8481)] = 419686,
  [SMALL_STATE(8482)] = 419725,
  [SMALL_STATE(8483)] = 419764,
  [SMALL_STATE(8484)] = 419803,
  [SMALL_STATE(8485)] = 419848,
  [SMALL_STATE(8486)] = 419887,
  [SMALL_STATE(8487)] = 419926,
  [SMALL_STATE(8488)] = 419965,
  [SMALL_STATE(8489)] = 420004,
  [SMALL_STATE(8490)] = 420043,
  [SMALL_STATE(8491)] = 420090,
  [SMALL_STATE(8492)] = 420129,
  [SMALL_STATE(8493)] = 420168,
  [SMALL_STATE(8494)] = 420207,
  [SMALL_STATE(8495)] = 420246,
  [SMALL_STATE(8496)] = 420285,
  [SMALL_STATE(8497)] = 420324,
  [SMALL_STATE(8498)] = 420377,
  [SMALL_STATE(8499)] = 420416,
  [SMALL_STATE(8500)] = 420455,
  [SMALL_STATE(8501)] = 420508,
  [SMALL_STATE(8502)] = 420547,
  [SMALL_STATE(8503)] = 420588,
  [SMALL_STATE(8504)] = 420627,
  [SMALL_STATE(8505)] = 420666,
  [SMALL_STATE(8506)] = 420719,
  [SMALL_STATE(8507)] = 420778,
  [SMALL_STATE(8508)] = 420817,
  [SMALL_STATE(8509)] = 420856,
  [SMALL_STATE(8510)] = 420895,
  [SMALL_STATE(8511)] = 420934,
  [SMALL_STATE(8512)] = 420973,
  [SMALL_STATE(8513)] = 421012,
  [SMALL_STATE(8514)] = 421051,
  [SMALL_STATE(8515)] = 421090,
  [SMALL_STATE(8516)] = 421133,
  [SMALL_STATE(8517)] = 421172,
  [SMALL_STATE(8518)] = 421223,
  [SMALL_STATE(8519)] = 421262,
  [SMALL_STATE(8520)] = 421315,
  [SMALL_STATE(8521)] = 421354,
  [SMALL_STATE(8522)] = 421393,
  [SMALL_STATE(8523)] = 421432,
  [SMALL_STATE(8524)] = 421471,
  [SMALL_STATE(8525)] = 421510,
  [SMALL_STATE(8526)] = 421549,
  [SMALL_STATE(8527)] = 421588,
  [SMALL_STATE(8528)] = 421627,
  [SMALL_STATE(8529)] = 421666,
  [SMALL_STATE(8530)] = 421705,
  [SMALL_STATE(8531)] = 421744,
  [SMALL_STATE(8532)] = 421783,
  [SMALL_STATE(8533)] = 421850,
  [SMALL_STATE(8534)] = 421889,
  [SMALL_STATE(8535)] = 421928,
  [SMALL_STATE(8536)] = 421967,
  [SMALL_STATE(8537)] = 422006,
  [SMALL_STATE(8538)] = 422045,
  [SMALL_STATE(8539)] = 422084,
  [SMALL_STATE(8540)] = 422123,
  [SMALL_STATE(8541)] = 422168,
  [SMALL_STATE(8542)] = 422211,
  [SMALL_STATE(8543)] = 422250,
  [SMALL_STATE(8544)] = 422293,
  [SMALL_STATE(8545)] = 422336,
  [SMALL_STATE(8546)] = 422375,
  [SMALL_STATE(8547)] = 422414,
  [SMALL_STATE(8548)] = 422453,
  [SMALL_STATE(8549)] = 422504,
  [SMALL_STATE(8550)] = 422543,
  [SMALL_STATE(8551)] = 422582,
  [SMALL_STATE(8552)] = 422621,
  [SMALL_STATE(8553)] = 422660,
  [SMALL_STATE(8554)] = 422703,
  [SMALL_STATE(8555)] = 422742,
  [SMALL_STATE(8556)] = 422787,
  [SMALL_STATE(8557)] = 422826,
  [SMALL_STATE(8558)] = 422865,
  [SMALL_STATE(8559)] = 422904,
  [SMALL_STATE(8560)] = 422945,
  [SMALL_STATE(8561)] = 422986,
  [SMALL_STATE(8562)] = 423025,
  [SMALL_STATE(8563)] = 423092,
  [SMALL_STATE(8564)] = 423131,
  [SMALL_STATE(8565)] = 423170,
  [SMALL_STATE(8566)] = 423221,
  [SMALL_STATE(8567)] = 423260,
  [SMALL_STATE(8568)] = 423299,
  [SMALL_STATE(8569)] = 423344,
  [SMALL_STATE(8570)] = 423385,
  [SMALL_STATE(8571)] = 423424,
  [SMALL_STATE(8572)] = 423463,
  [SMALL_STATE(8573)] = 423502,
  [SMALL_STATE(8574)] = 423565,
  [SMALL_STATE(8575)] = 423636,
  [SMALL_STATE(8576)] = 423693,
  [SMALL_STATE(8577)] = 423732,
  [SMALL_STATE(8578)] = 423771,
  [SMALL_STATE(8579)] = 423810,
  [SMALL_STATE(8580)] = 423849,
  [SMALL_STATE(8581)] = 423888,
  [SMALL_STATE(8582)] = 423939,
  [SMALL_STATE(8583)] = 423978,
  [SMALL_STATE(8584)] = 424017,
  [SMALL_STATE(8585)] = 424056,
  [SMALL_STATE(8586)] = 424097,
  [SMALL_STATE(8587)] = 424164,
  [SMALL_STATE(8588)] = 424203,
  [SMALL_STATE(8589)] = 424270,
  [SMALL_STATE(8590)] = 424309,
  [SMALL_STATE(8591)] = 424376,
  [SMALL_STATE(8592)] = 424439,
  [SMALL_STATE(8593)] = 424478,
  [SMALL_STATE(8594)] = 424519,
  [SMALL_STATE(8595)] = 424560,
  [SMALL_STATE(8596)] = 424599,
  [SMALL_STATE(8597)] = 424638,
  [SMALL_STATE(8598)] = 424677,
  [SMALL_STATE(8599)] = 424718,
  [SMALL_STATE(8600)] = 424757,
  [SMALL_STATE(8601)] = 424796,
  [SMALL_STATE(8602)] = 424867,
  [SMALL_STATE(8603)] = 424906,
  [SMALL_STATE(8604)] = 424945,
  [SMALL_STATE(8605)] = 424984,
  [SMALL_STATE(8606)] = 425027,
  [SMALL_STATE(8607)] = 425066,
  [SMALL_STATE(8608)] = 425105,
  [SMALL_STATE(8609)] = 425146,
  [SMALL_STATE(8610)] = 425185,
  [SMALL_STATE(8611)] = 425224,
  [SMALL_STATE(8612)] = 425267,
  [SMALL_STATE(8613)] = 425308,
  [SMALL_STATE(8614)] = 425347,
  [SMALL_STATE(8615)] = 425386,
  [SMALL_STATE(8616)] = 425425,
  [SMALL_STATE(8617)] = 425464,
  [SMALL_STATE(8618)] = 425503,
  [SMALL_STATE(8619)] = 425570,
  [SMALL_STATE(8620)] = 425637,
  [SMALL_STATE(8621)] = 425704,
  [SMALL_STATE(8622)] = 425771,
  [SMALL_STATE(8623)] = 425838,
  [SMALL_STATE(8624)] = 425905,
  [SMALL_STATE(8625)] = 425972,
  [SMALL_STATE(8626)] = 426039,
  [SMALL_STATE(8627)] = 426106,
  [SMALL_STATE(8628)] = 426173,
  [SMALL_STATE(8629)] = 426240,
  [SMALL_STATE(8630)] = 426307,
  [SMALL_STATE(8631)] = 426374,
  [SMALL_STATE(8632)] = 426441,
  [SMALL_STATE(8633)] = 426508,
  [SMALL_STATE(8634)] = 426575,
  [SMALL_STATE(8635)] = 426642,
  [SMALL_STATE(8636)] = 426709,
  [SMALL_STATE(8637)] = 426776,
  [SMALL_STATE(8638)] = 426843,
  [SMALL_STATE(8639)] = 426910,
  [SMALL_STATE(8640)] = 426977,
  [SMALL_STATE(8641)] = 427044,
  [SMALL_STATE(8642)] = 427111,
  [SMALL_STATE(8643)] = 427178,
  [SMALL_STATE(8644)] = 427245,
  [SMALL_STATE(8645)] = 427312,
  [SMALL_STATE(8646)] = 427379,
  [SMALL_STATE(8647)] = 427446,
  [SMALL_STATE(8648)] = 427513,
  [SMALL_STATE(8649)] = 427580,
  [SMALL_STATE(8650)] = 427647,
  [SMALL_STATE(8651)] = 427714,
  [SMALL_STATE(8652)] = 427781,
  [SMALL_STATE(8653)] = 427848,
  [SMALL_STATE(8654)] = 427915,
  [SMALL_STATE(8655)] = 427982,
  [SMALL_STATE(8656)] = 428049,
  [SMALL_STATE(8657)] = 428116,
  [SMALL_STATE(8658)] = 428183,
  [SMALL_STATE(8659)] = 428250,
  [SMALL_STATE(8660)] = 428317,
  [SMALL_STATE(8661)] = 428384,
  [SMALL_STATE(8662)] = 428451,
  [SMALL_STATE(8663)] = 428518,
  [SMALL_STATE(8664)] = 428585,
  [SMALL_STATE(8665)] = 428652,
  [SMALL_STATE(8666)] = 428719,
  [SMALL_STATE(8667)] = 428786,
  [SMALL_STATE(8668)] = 428853,
  [SMALL_STATE(8669)] = 428920,
  [SMALL_STATE(8670)] = 428987,
  [SMALL_STATE(8671)] = 429054,
  [SMALL_STATE(8672)] = 429121,
  [SMALL_STATE(8673)] = 429188,
  [SMALL_STATE(8674)] = 429255,
  [SMALL_STATE(8675)] = 429322,
  [SMALL_STATE(8676)] = 429389,
  [SMALL_STATE(8677)] = 429456,
  [SMALL_STATE(8678)] = 429523,
  [SMALL_STATE(8679)] = 429590,
  [SMALL_STATE(8680)] = 429657,
  [SMALL_STATE(8681)] = 429724,
  [SMALL_STATE(8682)] = 429791,
  [SMALL_STATE(8683)] = 429858,
  [SMALL_STATE(8684)] = 429897,
  [SMALL_STATE(8685)] = 429935,
  [SMALL_STATE(8686)] = 429991,
  [SMALL_STATE(8687)] = 430029,
  [SMALL_STATE(8688)] = 430067,
  [SMALL_STATE(8689)] = 430105,
  [SMALL_STATE(8690)] = 430155,
  [SMALL_STATE(8691)] = 430193,
  [SMALL_STATE(8692)] = 430249,
  [SMALL_STATE(8693)] = 430287,
  [SMALL_STATE(8694)] = 430325,
  [SMALL_STATE(8695)] = 430365,
  [SMALL_STATE(8696)] = 430403,
  [SMALL_STATE(8697)] = 430441,
  [SMALL_STATE(8698)] = 430479,
  [SMALL_STATE(8699)] = 430535,
  [SMALL_STATE(8700)] = 430579,
  [SMALL_STATE(8701)] = 430617,
  [SMALL_STATE(8702)] = 430655,
  [SMALL_STATE(8703)] = 430711,
  [SMALL_STATE(8704)] = 430749,
  [SMALL_STATE(8705)] = 430787,
  [SMALL_STATE(8706)] = 430825,
  [SMALL_STATE(8707)] = 430863,
  [SMALL_STATE(8708)] = 430919,
  [SMALL_STATE(8709)] = 430957,
  [SMALL_STATE(8710)] = 430995,
  [SMALL_STATE(8711)] = 431035,
  [SMALL_STATE(8712)] = 431073,
  [SMALL_STATE(8713)] = 431111,
  [SMALL_STATE(8714)] = 431167,
  [SMALL_STATE(8715)] = 431205,
  [SMALL_STATE(8716)] = 431243,
  [SMALL_STATE(8717)] = 431299,
  [SMALL_STATE(8718)] = 431337,
  [SMALL_STATE(8719)] = 431393,
  [SMALL_STATE(8720)] = 431433,
  [SMALL_STATE(8721)] = 431471,
  [SMALL_STATE(8722)] = 431509,
  [SMALL_STATE(8723)] = 431565,
  [SMALL_STATE(8724)] = 431603,
  [SMALL_STATE(8725)] = 431641,
  [SMALL_STATE(8726)] = 431695,
  [SMALL_STATE(8727)] = 431733,
  [SMALL_STATE(8728)] = 431771,
  [SMALL_STATE(8729)] = 431809,
  [SMALL_STATE(8730)] = 431855,
  [SMALL_STATE(8731)] = 431893,
  [SMALL_STATE(8732)] = 431949,
  [SMALL_STATE(8733)] = 431993,
  [SMALL_STATE(8734)] = 432031,
  [SMALL_STATE(8735)] = 432093,
  [SMALL_STATE(8736)] = 432131,
  [SMALL_STATE(8737)] = 432169,
  [SMALL_STATE(8738)] = 432207,
  [SMALL_STATE(8739)] = 432263,
  [SMALL_STATE(8740)] = 432301,
  [SMALL_STATE(8741)] = 432341,
  [SMALL_STATE(8742)] = 432379,
  [SMALL_STATE(8743)] = 432417,
  [SMALL_STATE(8744)] = 432455,
  [SMALL_STATE(8745)] = 432499,
  [SMALL_STATE(8746)] = 432539,
  [SMALL_STATE(8747)] = 432577,
  [SMALL_STATE(8748)] = 432617,
  [SMALL_STATE(8749)] = 432673,
  [SMALL_STATE(8750)] = 432711,
  [SMALL_STATE(8751)] = 432749,
  [SMALL_STATE(8752)] = 432789,
  [SMALL_STATE(8753)] = 432841,
  [SMALL_STATE(8754)] = 432879,
  [SMALL_STATE(8755)] = 432935,
  [SMALL_STATE(8756)] = 432973,
  [SMALL_STATE(8757)] = 433011,
  [SMALL_STATE(8758)] = 433049,
  [SMALL_STATE(8759)] = 433099,
  [SMALL_STATE(8760)] = 433137,
  [SMALL_STATE(8761)] = 433175,
  [SMALL_STATE(8762)] = 433231,
  [SMALL_STATE(8763)] = 433287,
  [SMALL_STATE(8764)] = 433325,
  [SMALL_STATE(8765)] = 433363,
  [SMALL_STATE(8766)] = 433401,
  [SMALL_STATE(8767)] = 433457,
  [SMALL_STATE(8768)] = 433495,
  [SMALL_STATE(8769)] = 433533,
  [SMALL_STATE(8770)] = 433571,
  [SMALL_STATE(8771)] = 433609,
  [SMALL_STATE(8772)] = 433651,
  [SMALL_STATE(8773)] = 433707,
  [SMALL_STATE(8774)] = 433745,
  [SMALL_STATE(8775)] = 433783,
  [SMALL_STATE(8776)] = 433841,
  [SMALL_STATE(8777)] = 433879,
  [SMALL_STATE(8778)] = 433917,
  [SMALL_STATE(8779)] = 433955,
  [SMALL_STATE(8780)] = 434011,
  [SMALL_STATE(8781)] = 434049,
  [SMALL_STATE(8782)] = 434087,
  [SMALL_STATE(8783)] = 434127,
  [SMALL_STATE(8784)] = 434165,
  [SMALL_STATE(8785)] = 434221,
  [SMALL_STATE(8786)] = 434259,
  [SMALL_STATE(8787)] = 434315,
  [SMALL_STATE(8788)] = 434353,
  [SMALL_STATE(8789)] = 434391,
  [SMALL_STATE(8790)] = 434429,
  [SMALL_STATE(8791)] = 434471,
  [SMALL_STATE(8792)] = 434509,
  [SMALL_STATE(8793)] = 434565,
  [SMALL_STATE(8794)] = 434603,
  [SMALL_STATE(8795)] = 434647,
  [SMALL_STATE(8796)] = 434703,
  [SMALL_STATE(8797)] = 434753,
  [SMALL_STATE(8798)] = 434791,
  [SMALL_STATE(8799)] = 434829,
  [SMALL_STATE(8800)] = 434867,
  [SMALL_STATE(8801)] = 434905,
  [SMALL_STATE(8802)] = 434943,
  [SMALL_STATE(8803)] = 434999,
  [SMALL_STATE(8804)] = 435037,
  [SMALL_STATE(8805)] = 435077,
  [SMALL_STATE(8806)] = 435117,
  [SMALL_STATE(8807)] = 435155,
  [SMALL_STATE(8808)] = 435193,
  [SMALL_STATE(8809)] = 435231,
  [SMALL_STATE(8810)] = 435287,
  [SMALL_STATE(8811)] = 435325,
  [SMALL_STATE(8812)] = 435363,
  [SMALL_STATE(8813)] = 435427,
  [SMALL_STATE(8814)] = 435465,
  [SMALL_STATE(8815)] = 435521,
  [SMALL_STATE(8816)] = 435559,
  [SMALL_STATE(8817)] = 435597,
  [SMALL_STATE(8818)] = 435635,
  [SMALL_STATE(8819)] = 435673,
  [SMALL_STATE(8820)] = 435711,
  [SMALL_STATE(8821)] = 435749,
  [SMALL_STATE(8822)] = 435805,
  [SMALL_STATE(8823)] = 435843,
  [SMALL_STATE(8824)] = 435881,
  [SMALL_STATE(8825)] = 435919,
  [SMALL_STATE(8826)] = 435957,
  [SMALL_STATE(8827)] = 435995,
  [SMALL_STATE(8828)] = 436033,
  [SMALL_STATE(8829)] = 436073,
  [SMALL_STATE(8830)] = 436129,
  [SMALL_STATE(8831)] = 436185,
  [SMALL_STATE(8832)] = 436223,
  [SMALL_STATE(8833)] = 436279,
  [SMALL_STATE(8834)] = 436329,
  [SMALL_STATE(8835)] = 436371,
  [SMALL_STATE(8836)] = 436427,
  [SMALL_STATE(8837)] = 436465,
  [SMALL_STATE(8838)] = 436505,
  [SMALL_STATE(8839)] = 436543,
  [SMALL_STATE(8840)] = 436585,
  [SMALL_STATE(8841)] = 436623,
  [SMALL_STATE(8842)] = 436673,
  [SMALL_STATE(8843)] = 436717,
  [SMALL_STATE(8844)] = 436773,
  [SMALL_STATE(8845)] = 436829,
  [SMALL_STATE(8846)] = 436885,
  [SMALL_STATE(8847)] = 436941,
  [SMALL_STATE(8848)] = 436983,
  [SMALL_STATE(8849)] = 437023,
  [SMALL_STATE(8850)] = 437061,
  [SMALL_STATE(8851)] = 437117,
  [SMALL_STATE(8852)] = 437155,
  [SMALL_STATE(8853)] = 437211,
  [SMALL_STATE(8854)] = 437249,
  [SMALL_STATE(8855)] = 437305,
  [SMALL_STATE(8856)] = 437345,
  [SMALL_STATE(8857)] = 437383,
  [SMALL_STATE(8858)] = 437437,
  [SMALL_STATE(8859)] = 437475,
  [SMALL_STATE(8860)] = 437513,
  [SMALL_STATE(8861)] = 437569,
  [SMALL_STATE(8862)] = 437631,
  [SMALL_STATE(8863)] = 437669,
  [SMALL_STATE(8864)] = 437707,
  [SMALL_STATE(8865)] = 437745,
  [SMALL_STATE(8866)] = 437801,
  [SMALL_STATE(8867)] = 437841,
  [SMALL_STATE(8868)] = 437879,
  [SMALL_STATE(8869)] = 437935,
  [SMALL_STATE(8870)] = 437973,
  [SMALL_STATE(8871)] = 438011,
  [SMALL_STATE(8872)] = 438067,
  [SMALL_STATE(8873)] = 438105,
  [SMALL_STATE(8874)] = 438143,
  [SMALL_STATE(8875)] = 438181,
  [SMALL_STATE(8876)] = 438219,
  [SMALL_STATE(8877)] = 438275,
  [SMALL_STATE(8878)] = 438313,
  [SMALL_STATE(8879)] = 438369,
  [SMALL_STATE(8880)] = 438407,
  [SMALL_STATE(8881)] = 438463,
  [SMALL_STATE(8882)] = 438501,
  [SMALL_STATE(8883)] = 438539,
  [SMALL_STATE(8884)] = 438595,
  [SMALL_STATE(8885)] = 438633,
  [SMALL_STATE(8886)] = 438689,
  [SMALL_STATE(8887)] = 438727,
  [SMALL_STATE(8888)] = 438765,
  [SMALL_STATE(8889)] = 438821,
  [SMALL_STATE(8890)] = 438859,
  [SMALL_STATE(8891)] = 438897,
  [SMALL_STATE(8892)] = 438935,
  [SMALL_STATE(8893)] = 438973,
  [SMALL_STATE(8894)] = 439011,
  [SMALL_STATE(8895)] = 439049,
  [SMALL_STATE(8896)] = 439105,
  [SMALL_STATE(8897)] = 439143,
  [SMALL_STATE(8898)] = 439181,
  [SMALL_STATE(8899)] = 439221,
  [SMALL_STATE(8900)] = 439277,
  [SMALL_STATE(8901)] = 439315,
  [SMALL_STATE(8902)] = 439375,
  [SMALL_STATE(8903)] = 439413,
  [SMALL_STATE(8904)] = 439451,
  [SMALL_STATE(8905)] = 439507,
  [SMALL_STATE(8906)] = 439545,
  [SMALL_STATE(8907)] = 439583,
  [SMALL_STATE(8908)] = 439621,
  [SMALL_STATE(8909)] = 439677,
  [SMALL_STATE(8910)] = 439715,
  [SMALL_STATE(8911)] = 439757,
  [SMALL_STATE(8912)] = 439813,
  [SMALL_STATE(8913)] = 439851,
  [SMALL_STATE(8914)] = 439889,
  [SMALL_STATE(8915)] = 439945,
  [SMALL_STATE(8916)] = 439997,
  [SMALL_STATE(8917)] = 440053,
  [SMALL_STATE(8918)] = 440093,
  [SMALL_STATE(8919)] = 440131,
  [SMALL_STATE(8920)] = 440187,
  [SMALL_STATE(8921)] = 440225,
  [SMALL_STATE(8922)] = 440281,
  [SMALL_STATE(8923)] = 440319,
  [SMALL_STATE(8924)] = 440357,
  [SMALL_STATE(8925)] = 440397,
  [SMALL_STATE(8926)] = 440453,
  [SMALL_STATE(8927)] = 440491,
  [SMALL_STATE(8928)] = 440529,
  [SMALL_STATE(8929)] = 440567,
  [SMALL_STATE(8930)] = 440623,
  [SMALL_STATE(8931)] = 440661,
  [SMALL_STATE(8932)] = 440717,
  [SMALL_STATE(8933)] = 440755,
  [SMALL_STATE(8934)] = 440811,
  [SMALL_STATE(8935)] = 440867,
  [SMALL_STATE(8936)] = 440905,
  [SMALL_STATE(8937)] = 440959,
  [SMALL_STATE(8938)] = 440997,
  [SMALL_STATE(8939)] = 441035,
  [SMALL_STATE(8940)] = 441091,
  [SMALL_STATE(8941)] = 441129,
  [SMALL_STATE(8942)] = 441185,
  [SMALL_STATE(8943)] = 441223,
  [SMALL_STATE(8944)] = 441263,
  [SMALL_STATE(8945)] = 441321,
  [SMALL_STATE(8946)] = 441359,
  [SMALL_STATE(8947)] = 441397,
  [SMALL_STATE(8948)] = 441453,
  [SMALL_STATE(8949)] = 441509,
  [SMALL_STATE(8950)] = 441547,
  [SMALL_STATE(8951)] = 441585,
  [SMALL_STATE(8952)] = 441623,
  [SMALL_STATE(8953)] = 441679,
  [SMALL_STATE(8954)] = 441717,
  [SMALL_STATE(8955)] = 441755,
  [SMALL_STATE(8956)] = 441811,
  [SMALL_STATE(8957)] = 441849,
  [SMALL_STATE(8958)] = 441887,
  [SMALL_STATE(8959)] = 441925,
  [SMALL_STATE(8960)] = 441969,
  [SMALL_STATE(8961)] = 442025,
  [SMALL_STATE(8962)] = 442063,
  [SMALL_STATE(8963)] = 442101,
  [SMALL_STATE(8964)] = 442157,
  [SMALL_STATE(8965)] = 442195,
  [SMALL_STATE(8966)] = 442233,
  [SMALL_STATE(8967)] = 442271,
  [SMALL_STATE(8968)] = 442327,
  [SMALL_STATE(8969)] = 442365,
  [SMALL_STATE(8970)] = 442421,
  [SMALL_STATE(8971)] = 442459,
  [SMALL_STATE(8972)] = 442497,
  [SMALL_STATE(8973)] = 442553,
  [SMALL_STATE(8974)] = 442591,
  [SMALL_STATE(8975)] = 442629,
  [SMALL_STATE(8976)] = 442681,
  [SMALL_STATE(8977)] = 442725,
  [SMALL_STATE(8978)] = 442781,
  [SMALL_STATE(8979)] = 442819,
  [SMALL_STATE(8980)] = 442875,
  [SMALL_STATE(8981)] = 442919,
  [SMALL_STATE(8982)] = 442957,
  [SMALL_STATE(8983)] = 443013,
  [SMALL_STATE(8984)] = 443051,
  [SMALL_STATE(8985)] = 443091,
  [SMALL_STATE(8986)] = 443129,
  [SMALL_STATE(8987)] = 443185,
  [SMALL_STATE(8988)] = 443223,
  [SMALL_STATE(8989)] = 443261,
  [SMALL_STATE(8990)] = 443299,
  [SMALL_STATE(8991)] = 443355,
  [SMALL_STATE(8992)] = 443393,
  [SMALL_STATE(8993)] = 443431,
  [SMALL_STATE(8994)] = 443469,
  [SMALL_STATE(8995)] = 443525,
  [SMALL_STATE(8996)] = 443581,
  [SMALL_STATE(8997)] = 443637,
  [SMALL_STATE(8998)] = 443675,
  [SMALL_STATE(8999)] = 443713,
  [SMALL_STATE(9000)] = 443751,
  [SMALL_STATE(9001)] = 443807,
  [SMALL_STATE(9002)] = 443845,
  [SMALL_STATE(9003)] = 443887,
  [SMALL_STATE(9004)] = 443943,
  [SMALL_STATE(9005)] = 443999,
  [SMALL_STATE(9006)] = 444037,
  [SMALL_STATE(9007)] = 444093,
  [SMALL_STATE(9008)] = 444133,
  [SMALL_STATE(9009)] = 444189,
  [SMALL_STATE(9010)] = 444227,
  [SMALL_STATE(9011)] = 444283,
  [SMALL_STATE(9012)] = 444321,
  [SMALL_STATE(9013)] = 444359,
  [SMALL_STATE(9014)] = 444415,
  [SMALL_STATE(9015)] = 444471,
  [SMALL_STATE(9016)] = 444513,
  [SMALL_STATE(9017)] = 444551,
  [SMALL_STATE(9018)] = 444607,
  [SMALL_STATE(9019)] = 444645,
  [SMALL_STATE(9020)] = 444683,
  [SMALL_STATE(9021)] = 444739,
  [SMALL_STATE(9022)] = 444777,
  [SMALL_STATE(9023)] = 444833,
  [SMALL_STATE(9024)] = 444873,
  [SMALL_STATE(9025)] = 444911,
  [SMALL_STATE(9026)] = 444967,
  [SMALL_STATE(9027)] = 445005,
  [SMALL_STATE(9028)] = 445043,
  [SMALL_STATE(9029)] = 445081,
  [SMALL_STATE(9030)] = 445131,
  [SMALL_STATE(9031)] = 445169,
  [SMALL_STATE(9032)] = 445207,
  [SMALL_STATE(9033)] = 445245,
  [SMALL_STATE(9034)] = 445291,
  [SMALL_STATE(9035)] = 445329,
  [SMALL_STATE(9036)] = 445373,
  [SMALL_STATE(9037)] = 445411,
  [SMALL_STATE(9038)] = 445449,
  [SMALL_STATE(9039)] = 445509,
  [SMALL_STATE(9040)] = 445547,
  [SMALL_STATE(9041)] = 445585,
  [SMALL_STATE(9042)] = 445623,
  [SMALL_STATE(9043)] = 445661,
  [SMALL_STATE(9044)] = 445705,
  [SMALL_STATE(9045)] = 445743,
  [SMALL_STATE(9046)] = 445781,
  [SMALL_STATE(9047)] = 445837,
  [SMALL_STATE(9048)] = 445881,
  [SMALL_STATE(9049)] = 445919,
  [SMALL_STATE(9050)] = 445957,
  [SMALL_STATE(9051)] = 445995,
  [SMALL_STATE(9052)] = 446039,
  [SMALL_STATE(9053)] = 446077,
  [SMALL_STATE(9054)] = 446119,
  [SMALL_STATE(9055)] = 446159,
  [SMALL_STATE(9056)] = 446203,
  [SMALL_STATE(9057)] = 446241,
  [SMALL_STATE(9058)] = 446279,
  [SMALL_STATE(9059)] = 446317,
  [SMALL_STATE(9060)] = 446357,
  [SMALL_STATE(9061)] = 446395,
  [SMALL_STATE(9062)] = 446433,
  [SMALL_STATE(9063)] = 446475,
  [SMALL_STATE(9064)] = 446517,
  [SMALL_STATE(9065)] = 446555,
  [SMALL_STATE(9066)] = 446593,
  [SMALL_STATE(9067)] = 446635,
  [SMALL_STATE(9068)] = 446687,
  [SMALL_STATE(9069)] = 446727,
  [SMALL_STATE(9070)] = 446765,
  [SMALL_STATE(9071)] = 446803,
  [SMALL_STATE(9072)] = 446841,
  [SMALL_STATE(9073)] = 446897,
  [SMALL_STATE(9074)] = 446935,
  [SMALL_STATE(9075)] = 446973,
  [SMALL_STATE(9076)] = 447013,
  [SMALL_STATE(9077)] = 447053,
  [SMALL_STATE(9078)] = 447091,
  [SMALL_STATE(9079)] = 447129,
  [SMALL_STATE(9080)] = 447169,
  [SMALL_STATE(9081)] = 447207,
  [SMALL_STATE(9082)] = 447249,
  [SMALL_STATE(9083)] = 447287,
  [SMALL_STATE(9084)] = 447325,
  [SMALL_STATE(9085)] = 447363,
  [SMALL_STATE(9086)] = 447401,
  [SMALL_STATE(9087)] = 447441,
  [SMALL_STATE(9088)] = 447479,
  [SMALL_STATE(9089)] = 447517,
  [SMALL_STATE(9090)] = 447555,
  [SMALL_STATE(9091)] = 447593,
  [SMALL_STATE(9092)] = 447631,
  [SMALL_STATE(9093)] = 447669,
  [SMALL_STATE(9094)] = 447725,
  [SMALL_STATE(9095)] = 447763,
  [SMALL_STATE(9096)] = 447801,
  [SMALL_STATE(9097)] = 447839,
  [SMALL_STATE(9098)] = 447877,
  [SMALL_STATE(9099)] = 447915,
  [SMALL_STATE(9100)] = 447955,
  [SMALL_STATE(9101)] = 447993,
  [SMALL_STATE(9102)] = 448031,
  [SMALL_STATE(9103)] = 448069,
  [SMALL_STATE(9104)] = 448107,
  [SMALL_STATE(9105)] = 448145,
  [SMALL_STATE(9106)] = 448183,
  [SMALL_STATE(9107)] = 448221,
  [SMALL_STATE(9108)] = 448259,
  [SMALL_STATE(9109)] = 448297,
  [SMALL_STATE(9110)] = 448335,
  [SMALL_STATE(9111)] = 448373,
  [SMALL_STATE(9112)] = 448411,
  [SMALL_STATE(9113)] = 448449,
  [SMALL_STATE(9114)] = 448487,
  [SMALL_STATE(9115)] = 448525,
  [SMALL_STATE(9116)] = 448563,
  [SMALL_STATE(9117)] = 448601,
  [SMALL_STATE(9118)] = 448639,
  [SMALL_STATE(9119)] = 448677,
  [SMALL_STATE(9120)] = 448715,
  [SMALL_STATE(9121)] = 448753,
  [SMALL_STATE(9122)] = 448791,
  [SMALL_STATE(9123)] = 448829,
  [SMALL_STATE(9124)] = 448867,
  [SMALL_STATE(9125)] = 448905,
  [SMALL_STATE(9126)] = 448943,
  [SMALL_STATE(9127)] = 448981,
  [SMALL_STATE(9128)] = 449019,
  [SMALL_STATE(9129)] = 449057,
  [SMALL_STATE(9130)] = 449095,
  [SMALL_STATE(9131)] = 449133,
  [SMALL_STATE(9132)] = 449171,
  [SMALL_STATE(9133)] = 449209,
  [SMALL_STATE(9134)] = 449247,
  [SMALL_STATE(9135)] = 449285,
  [SMALL_STATE(9136)] = 449323,
  [SMALL_STATE(9137)] = 449361,
  [SMALL_STATE(9138)] = 449417,
  [SMALL_STATE(9139)] = 449455,
  [SMALL_STATE(9140)] = 449493,
  [SMALL_STATE(9141)] = 449531,
  [SMALL_STATE(9142)] = 449581,
  [SMALL_STATE(9143)] = 449619,
  [SMALL_STATE(9144)] = 449661,
  [SMALL_STATE(9145)] = 449699,
  [SMALL_STATE(9146)] = 449737,
  [SMALL_STATE(9147)] = 449775,
  [SMALL_STATE(9148)] = 449813,
  [SMALL_STATE(9149)] = 449851,
  [SMALL_STATE(9150)] = 449891,
  [SMALL_STATE(9151)] = 449929,
  [SMALL_STATE(9152)] = 449967,
  [SMALL_STATE(9153)] = 450009,
  [SMALL_STATE(9154)] = 450047,
  [SMALL_STATE(9155)] = 450085,
  [SMALL_STATE(9156)] = 450123,
  [SMALL_STATE(9157)] = 450161,
  [SMALL_STATE(9158)] = 450199,
  [SMALL_STATE(9159)] = 450237,
  [SMALL_STATE(9160)] = 450277,
  [SMALL_STATE(9161)] = 450315,
  [SMALL_STATE(9162)] = 450353,
  [SMALL_STATE(9163)] = 450391,
  [SMALL_STATE(9164)] = 450429,
  [SMALL_STATE(9165)] = 450467,
  [SMALL_STATE(9166)] = 450505,
  [SMALL_STATE(9167)] = 450543,
  [SMALL_STATE(9168)] = 450581,
  [SMALL_STATE(9169)] = 450621,
  [SMALL_STATE(9170)] = 450677,
  [SMALL_STATE(9171)] = 450715,
  [SMALL_STATE(9172)] = 450755,
  [SMALL_STATE(9173)] = 450793,
  [SMALL_STATE(9174)] = 450831,
  [SMALL_STATE(9175)] = 450871,
  [SMALL_STATE(9176)] = 450909,
  [SMALL_STATE(9177)] = 450951,
  [SMALL_STATE(9178)] = 450989,
  [SMALL_STATE(9179)] = 451027,
  [SMALL_STATE(9180)] = 451065,
  [SMALL_STATE(9181)] = 451103,
  [SMALL_STATE(9182)] = 451141,
  [SMALL_STATE(9183)] = 451179,
  [SMALL_STATE(9184)] = 451217,
  [SMALL_STATE(9185)] = 451255,
  [SMALL_STATE(9186)] = 451293,
  [SMALL_STATE(9187)] = 451331,
  [SMALL_STATE(9188)] = 451369,
  [SMALL_STATE(9189)] = 451417,
  [SMALL_STATE(9190)] = 451473,
  [SMALL_STATE(9191)] = 451511,
  [SMALL_STATE(9192)] = 451549,
  [SMALL_STATE(9193)] = 451605,
  [SMALL_STATE(9194)] = 451643,
  [SMALL_STATE(9195)] = 451683,
  [SMALL_STATE(9196)] = 451721,
  [SMALL_STATE(9197)] = 451759,
  [SMALL_STATE(9198)] = 451799,
  [SMALL_STATE(9199)] = 451837,
  [SMALL_STATE(9200)] = 451875,
  [SMALL_STATE(9201)] = 451913,
  [SMALL_STATE(9202)] = 451951,
  [SMALL_STATE(9203)] = 451989,
  [SMALL_STATE(9204)] = 452045,
  [SMALL_STATE(9205)] = 452083,
  [SMALL_STATE(9206)] = 452121,
  [SMALL_STATE(9207)] = 452159,
  [SMALL_STATE(9208)] = 452197,
  [SMALL_STATE(9209)] = 452235,
  [SMALL_STATE(9210)] = 452273,
  [SMALL_STATE(9211)] = 452311,
  [SMALL_STATE(9212)] = 452349,
  [SMALL_STATE(9213)] = 452405,
  [SMALL_STATE(9214)] = 452443,
  [SMALL_STATE(9215)] = 452481,
  [SMALL_STATE(9216)] = 452519,
  [SMALL_STATE(9217)] = 452557,
  [SMALL_STATE(9218)] = 452595,
  [SMALL_STATE(9219)] = 452633,
  [SMALL_STATE(9220)] = 452671,
  [SMALL_STATE(9221)] = 452709,
  [SMALL_STATE(9222)] = 452747,
  [SMALL_STATE(9223)] = 452785,
  [SMALL_STATE(9224)] = 452845,
  [SMALL_STATE(9225)] = 452883,
  [SMALL_STATE(9226)] = 452921,
  [SMALL_STATE(9227)] = 452959,
  [SMALL_STATE(9228)] = 452997,
  [SMALL_STATE(9229)] = 453035,
  [SMALL_STATE(9230)] = 453073,
  [SMALL_STATE(9231)] = 453111,
  [SMALL_STATE(9232)] = 453149,
  [SMALL_STATE(9233)] = 453187,
  [SMALL_STATE(9234)] = 453225,
  [SMALL_STATE(9235)] = 453263,
  [SMALL_STATE(9236)] = 453301,
  [SMALL_STATE(9237)] = 453339,
  [SMALL_STATE(9238)] = 453377,
  [SMALL_STATE(9239)] = 453415,
  [SMALL_STATE(9240)] = 453453,
  [SMALL_STATE(9241)] = 453495,
  [SMALL_STATE(9242)] = 453533,
  [SMALL_STATE(9243)] = 453571,
  [SMALL_STATE(9244)] = 453627,
  [SMALL_STATE(9245)] = 453665,
  [SMALL_STATE(9246)] = 453703,
  [SMALL_STATE(9247)] = 453741,
  [SMALL_STATE(9248)] = 453781,
  [SMALL_STATE(9249)] = 453819,
  [SMALL_STATE(9250)] = 453857,
  [SMALL_STATE(9251)] = 453895,
  [SMALL_STATE(9252)] = 453933,
  [SMALL_STATE(9253)] = 453971,
  [SMALL_STATE(9254)] = 454009,
  [SMALL_STATE(9255)] = 454047,
  [SMALL_STATE(9256)] = 454085,
  [SMALL_STATE(9257)] = 454123,
  [SMALL_STATE(9258)] = 454161,
  [SMALL_STATE(9259)] = 454199,
  [SMALL_STATE(9260)] = 454237,
  [SMALL_STATE(9261)] = 454275,
  [SMALL_STATE(9262)] = 454313,
  [SMALL_STATE(9263)] = 454351,
  [SMALL_STATE(9264)] = 454389,
  [SMALL_STATE(9265)] = 454427,
  [SMALL_STATE(9266)] = 454467,
  [SMALL_STATE(9267)] = 454523,
  [SMALL_STATE(9268)] = 454565,
  [SMALL_STATE(9269)] = 454603,
  [SMALL_STATE(9270)] = 454641,
  [SMALL_STATE(9271)] = 454679,
  [SMALL_STATE(9272)] = 454717,
  [SMALL_STATE(9273)] = 454755,
  [SMALL_STATE(9274)] = 454793,
  [SMALL_STATE(9275)] = 454831,
  [SMALL_STATE(9276)] = 454869,
  [SMALL_STATE(9277)] = 454907,
  [SMALL_STATE(9278)] = 454951,
  [SMALL_STATE(9279)] = 454989,
  [SMALL_STATE(9280)] = 455027,
  [SMALL_STATE(9281)] = 455065,
  [SMALL_STATE(9282)] = 455103,
  [SMALL_STATE(9283)] = 455143,
  [SMALL_STATE(9284)] = 455181,
  [SMALL_STATE(9285)] = 455219,
  [SMALL_STATE(9286)] = 455257,
  [SMALL_STATE(9287)] = 455295,
  [SMALL_STATE(9288)] = 455333,
  [SMALL_STATE(9289)] = 455373,
  [SMALL_STATE(9290)] = 455429,
  [SMALL_STATE(9291)] = 455467,
  [SMALL_STATE(9292)] = 455505,
  [SMALL_STATE(9293)] = 455543,
  [SMALL_STATE(9294)] = 455587,
  [SMALL_STATE(9295)] = 455625,
  [SMALL_STATE(9296)] = 455663,
  [SMALL_STATE(9297)] = 455701,
  [SMALL_STATE(9298)] = 455739,
  [SMALL_STATE(9299)] = 455777,
  [SMALL_STATE(9300)] = 455815,
  [SMALL_STATE(9301)] = 455853,
  [SMALL_STATE(9302)] = 455891,
  [SMALL_STATE(9303)] = 455929,
  [SMALL_STATE(9304)] = 455967,
  [SMALL_STATE(9305)] = 456007,
  [SMALL_STATE(9306)] = 456047,
  [SMALL_STATE(9307)] = 456085,
  [SMALL_STATE(9308)] = 456123,
  [SMALL_STATE(9309)] = 456175,
  [SMALL_STATE(9310)] = 456219,
  [SMALL_STATE(9311)] = 456275,
  [SMALL_STATE(9312)] = 456313,
  [SMALL_STATE(9313)] = 456351,
  [SMALL_STATE(9314)] = 456389,
  [SMALL_STATE(9315)] = 456427,
  [SMALL_STATE(9316)] = 456469,
  [SMALL_STATE(9317)] = 456507,
  [SMALL_STATE(9318)] = 456545,
  [SMALL_STATE(9319)] = 456583,
  [SMALL_STATE(9320)] = 456621,
  [SMALL_STATE(9321)] = 456659,
  [SMALL_STATE(9322)] = 456697,
  [SMALL_STATE(9323)] = 456735,
  [SMALL_STATE(9324)] = 456773,
  [SMALL_STATE(9325)] = 456811,
  [SMALL_STATE(9326)] = 456849,
  [SMALL_STATE(9327)] = 456887,
  [SMALL_STATE(9328)] = 456925,
  [SMALL_STATE(9329)] = 456963,
  [SMALL_STATE(9330)] = 457001,
  [SMALL_STATE(9331)] = 457039,
  [SMALL_STATE(9332)] = 457077,
  [SMALL_STATE(9333)] = 457115,
  [SMALL_STATE(9334)] = 457153,
  [SMALL_STATE(9335)] = 457193,
  [SMALL_STATE(9336)] = 457231,
  [SMALL_STATE(9337)] = 457269,
  [SMALL_STATE(9338)] = 457307,
  [SMALL_STATE(9339)] = 457345,
  [SMALL_STATE(9340)] = 457383,
  [SMALL_STATE(9341)] = 457421,
  [SMALL_STATE(9342)] = 457459,
  [SMALL_STATE(9343)] = 457497,
  [SMALL_STATE(9344)] = 457553,
  [SMALL_STATE(9345)] = 457591,
  [SMALL_STATE(9346)] = 457629,
  [SMALL_STATE(9347)] = 457667,
  [SMALL_STATE(9348)] = 457705,
  [SMALL_STATE(9349)] = 457745,
  [SMALL_STATE(9350)] = 457785,
  [SMALL_STATE(9351)] = 457823,
  [SMALL_STATE(9352)] = 457879,
  [SMALL_STATE(9353)] = 457917,
  [SMALL_STATE(9354)] = 457955,
  [SMALL_STATE(9355)] = 457993,
  [SMALL_STATE(9356)] = 458031,
  [SMALL_STATE(9357)] = 458069,
  [SMALL_STATE(9358)] = 458107,
  [SMALL_STATE(9359)] = 458145,
  [SMALL_STATE(9360)] = 458183,
  [SMALL_STATE(9361)] = 458221,
  [SMALL_STATE(9362)] = 458259,
  [SMALL_STATE(9363)] = 458297,
  [SMALL_STATE(9364)] = 458335,
  [SMALL_STATE(9365)] = 458373,
  [SMALL_STATE(9366)] = 458429,
  [SMALL_STATE(9367)] = 458467,
  [SMALL_STATE(9368)] = 458505,
  [SMALL_STATE(9369)] = 458543,
  [SMALL_STATE(9370)] = 458583,
  [SMALL_STATE(9371)] = 458621,
  [SMALL_STATE(9372)] = 458663,
  [SMALL_STATE(9373)] = 458701,
  [SMALL_STATE(9374)] = 458741,
  [SMALL_STATE(9375)] = 458785,
  [SMALL_STATE(9376)] = 458823,
  [SMALL_STATE(9377)] = 458861,
  [SMALL_STATE(9378)] = 458901,
  [SMALL_STATE(9379)] = 458939,
  [SMALL_STATE(9380)] = 458977,
  [SMALL_STATE(9381)] = 459015,
  [SMALL_STATE(9382)] = 459053,
  [SMALL_STATE(9383)] = 459091,
  [SMALL_STATE(9384)] = 459129,
  [SMALL_STATE(9385)] = 459167,
  [SMALL_STATE(9386)] = 459205,
  [SMALL_STATE(9387)] = 459261,
  [SMALL_STATE(9388)] = 459299,
  [SMALL_STATE(9389)] = 459337,
  [SMALL_STATE(9390)] = 459379,
  [SMALL_STATE(9391)] = 459417,
  [SMALL_STATE(9392)] = 459455,
  [SMALL_STATE(9393)] = 459511,
  [SMALL_STATE(9394)] = 459549,
  [SMALL_STATE(9395)] = 459605,
  [SMALL_STATE(9396)] = 459643,
  [SMALL_STATE(9397)] = 459703,
  [SMALL_STATE(9398)] = 459741,
  [SMALL_STATE(9399)] = 459779,
  [SMALL_STATE(9400)] = 459821,
  [SMALL_STATE(9401)] = 459859,
  [SMALL_STATE(9402)] = 459897,
  [SMALL_STATE(9403)] = 459935,
  [SMALL_STATE(9404)] = 459973,
  [SMALL_STATE(9405)] = 460011,
  [SMALL_STATE(9406)] = 460049,
  [SMALL_STATE(9407)] = 460089,
  [SMALL_STATE(9408)] = 460127,
  [SMALL_STATE(9409)] = 460165,
  [SMALL_STATE(9410)] = 460203,
  [SMALL_STATE(9411)] = 460241,
  [SMALL_STATE(9412)] = 460279,
  [SMALL_STATE(9413)] = 460317,
  [SMALL_STATE(9414)] = 460373,
  [SMALL_STATE(9415)] = 460411,
  [SMALL_STATE(9416)] = 460449,
  [SMALL_STATE(9417)] = 460487,
  [SMALL_STATE(9418)] = 460539,
  [SMALL_STATE(9419)] = 460591,
  [SMALL_STATE(9420)] = 460629,
  [SMALL_STATE(9421)] = 460667,
  [SMALL_STATE(9422)] = 460707,
  [SMALL_STATE(9423)] = 460763,
  [SMALL_STATE(9424)] = 460803,
  [SMALL_STATE(9425)] = 460841,
  [SMALL_STATE(9426)] = 460879,
  [SMALL_STATE(9427)] = 460917,
  [SMALL_STATE(9428)] = 460971,
  [SMALL_STATE(9429)] = 461009,
  [SMALL_STATE(9430)] = 461065,
  [SMALL_STATE(9431)] = 461103,
  [SMALL_STATE(9432)] = 461141,
  [SMALL_STATE(9433)] = 461178,
  [SMALL_STATE(9434)] = 461215,
  [SMALL_STATE(9435)] = 461252,
  [SMALL_STATE(9436)] = 461289,
  [SMALL_STATE(9437)] = 461326,
  [SMALL_STATE(9438)] = 461363,
  [SMALL_STATE(9439)] = 461400,
  [SMALL_STATE(9440)] = 461441,
  [SMALL_STATE(9441)] = 461478,
  [SMALL_STATE(9442)] = 461515,
  [SMALL_STATE(9443)] = 461552,
  [SMALL_STATE(9444)] = 461595,
  [SMALL_STATE(9445)] = 461632,
  [SMALL_STATE(9446)] = 461669,
  [SMALL_STATE(9447)] = 461706,
  [SMALL_STATE(9448)] = 461743,
  [SMALL_STATE(9449)] = 461780,
  [SMALL_STATE(9450)] = 461817,
  [SMALL_STATE(9451)] = 461854,
  [SMALL_STATE(9452)] = 461891,
  [SMALL_STATE(9453)] = 461928,
  [SMALL_STATE(9454)] = 461965,
  [SMALL_STATE(9455)] = 462002,
  [SMALL_STATE(9456)] = 462039,
  [SMALL_STATE(9457)] = 462076,
  [SMALL_STATE(9458)] = 462143,
  [SMALL_STATE(9459)] = 462182,
  [SMALL_STATE(9460)] = 462219,
  [SMALL_STATE(9461)] = 462258,
  [SMALL_STATE(9462)] = 462301,
  [SMALL_STATE(9463)] = 462342,
  [SMALL_STATE(9464)] = 462379,
  [SMALL_STATE(9465)] = 462416,
  [SMALL_STATE(9466)] = 462457,
  [SMALL_STATE(9467)] = 462494,
  [SMALL_STATE(9468)] = 462531,
  [SMALL_STATE(9469)] = 462568,
  [SMALL_STATE(9470)] = 462605,
  [SMALL_STATE(9471)] = 462642,
  [SMALL_STATE(9472)] = 462681,
  [SMALL_STATE(9473)] = 462718,
  [SMALL_STATE(9474)] = 462755,
  [SMALL_STATE(9475)] = 462792,
  [SMALL_STATE(9476)] = 462829,
  [SMALL_STATE(9477)] = 462866,
  [SMALL_STATE(9478)] = 462903,
  [SMALL_STATE(9479)] = 462940,
  [SMALL_STATE(9480)] = 462979,
  [SMALL_STATE(9481)] = 463016,
  [SMALL_STATE(9482)] = 463053,
  [SMALL_STATE(9483)] = 463090,
  [SMALL_STATE(9484)] = 463143,
  [SMALL_STATE(9485)] = 463180,
  [SMALL_STATE(9486)] = 463217,
  [SMALL_STATE(9487)] = 463254,
  [SMALL_STATE(9488)] = 463291,
  [SMALL_STATE(9489)] = 463330,
  [SMALL_STATE(9490)] = 463367,
  [SMALL_STATE(9491)] = 463404,
  [SMALL_STATE(9492)] = 463441,
  [SMALL_STATE(9493)] = 463478,
  [SMALL_STATE(9494)] = 463519,
  [SMALL_STATE(9495)] = 463556,
  [SMALL_STATE(9496)] = 463593,
  [SMALL_STATE(9497)] = 463630,
  [SMALL_STATE(9498)] = 463669,
  [SMALL_STATE(9499)] = 463706,
  [SMALL_STATE(9500)] = 463743,
  [SMALL_STATE(9501)] = 463780,
  [SMALL_STATE(9502)] = 463817,
  [SMALL_STATE(9503)] = 463854,
  [SMALL_STATE(9504)] = 463911,
  [SMALL_STATE(9505)] = 463948,
  [SMALL_STATE(9506)] = 463985,
  [SMALL_STATE(9507)] = 464028,
  [SMALL_STATE(9508)] = 464065,
  [SMALL_STATE(9509)] = 464102,
  [SMALL_STATE(9510)] = 464139,
  [SMALL_STATE(9511)] = 464176,
  [SMALL_STATE(9512)] = 464229,
  [SMALL_STATE(9513)] = 464284,
  [SMALL_STATE(9514)] = 464325,
  [SMALL_STATE(9515)] = 464362,
  [SMALL_STATE(9516)] = 464399,
  [SMALL_STATE(9517)] = 464436,
  [SMALL_STATE(9518)] = 464475,
  [SMALL_STATE(9519)] = 464512,
  [SMALL_STATE(9520)] = 464549,
  [SMALL_STATE(9521)] = 464590,
  [SMALL_STATE(9522)] = 464627,
  [SMALL_STATE(9523)] = 464664,
  [SMALL_STATE(9524)] = 464701,
  [SMALL_STATE(9525)] = 464738,
  [SMALL_STATE(9526)] = 464775,
  [SMALL_STATE(9527)] = 464812,
  [SMALL_STATE(9528)] = 464849,
  [SMALL_STATE(9529)] = 464886,
  [SMALL_STATE(9530)] = 464925,
  [SMALL_STATE(9531)] = 464962,
  [SMALL_STATE(9532)] = 465007,
  [SMALL_STATE(9533)] = 465044,
  [SMALL_STATE(9534)] = 465081,
  [SMALL_STATE(9535)] = 465122,
  [SMALL_STATE(9536)] = 465159,
  [SMALL_STATE(9537)] = 465196,
  [SMALL_STATE(9538)] = 465233,
  [SMALL_STATE(9539)] = 465272,
  [SMALL_STATE(9540)] = 465309,
  [SMALL_STATE(9541)] = 465346,
  [SMALL_STATE(9542)] = 465383,
  [SMALL_STATE(9543)] = 465424,
  [SMALL_STATE(9544)] = 465461,
  [SMALL_STATE(9545)] = 465498,
  [SMALL_STATE(9546)] = 465535,
  [SMALL_STATE(9547)] = 465572,
  [SMALL_STATE(9548)] = 465609,
  [SMALL_STATE(9549)] = 465662,
  [SMALL_STATE(9550)] = 465699,
  [SMALL_STATE(9551)] = 465752,
  [SMALL_STATE(9552)] = 465789,
  [SMALL_STATE(9553)] = 465826,
  [SMALL_STATE(9554)] = 465863,
  [SMALL_STATE(9555)] = 465900,
  [SMALL_STATE(9556)] = 465937,
  [SMALL_STATE(9557)] = 465974,
  [SMALL_STATE(9558)] = 466011,
  [SMALL_STATE(9559)] = 466050,
  [SMALL_STATE(9560)] = 466087,
  [SMALL_STATE(9561)] = 466126,
  [SMALL_STATE(9562)] = 466163,
  [SMALL_STATE(9563)] = 466200,
  [SMALL_STATE(9564)] = 466237,
  [SMALL_STATE(9565)] = 466274,
  [SMALL_STATE(9566)] = 466313,
  [SMALL_STATE(9567)] = 466350,
  [SMALL_STATE(9568)] = 466387,
  [SMALL_STATE(9569)] = 466424,
  [SMALL_STATE(9570)] = 466461,
  [SMALL_STATE(9571)] = 466498,
  [SMALL_STATE(9572)] = 466539,
  [SMALL_STATE(9573)] = 466576,
  [SMALL_STATE(9574)] = 466613,
  [SMALL_STATE(9575)] = 466650,
  [SMALL_STATE(9576)] = 466689,
  [SMALL_STATE(9577)] = 466726,
  [SMALL_STATE(9578)] = 466763,
  [SMALL_STATE(9579)] = 466800,
  [SMALL_STATE(9580)] = 466845,
  [SMALL_STATE(9581)] = 466882,
  [SMALL_STATE(9582)] = 466919,
  [SMALL_STATE(9583)] = 466956,
  [SMALL_STATE(9584)] = 466993,
  [SMALL_STATE(9585)] = 467030,
  [SMALL_STATE(9586)] = 467067,
  [SMALL_STATE(9587)] = 467104,
  [SMALL_STATE(9588)] = 467141,
  [SMALL_STATE(9589)] = 467178,
  [SMALL_STATE(9590)] = 467217,
  [SMALL_STATE(9591)] = 467270,
  [SMALL_STATE(9592)] = 467307,
  [SMALL_STATE(9593)] = 467344,
  [SMALL_STATE(9594)] = 467397,
  [SMALL_STATE(9595)] = 467434,
  [SMALL_STATE(9596)] = 467471,
  [SMALL_STATE(9597)] = 467508,
  [SMALL_STATE(9598)] = 467545,
  [SMALL_STATE(9599)] = 467582,
  [SMALL_STATE(9600)] = 467619,
  [SMALL_STATE(9601)] = 467656,
  [SMALL_STATE(9602)] = 467693,
  [SMALL_STATE(9603)] = 467730,
  [SMALL_STATE(9604)] = 467781,
  [SMALL_STATE(9605)] = 467818,
  [SMALL_STATE(9606)] = 467855,
  [SMALL_STATE(9607)] = 467892,
  [SMALL_STATE(9608)] = 467929,
  [SMALL_STATE(9609)] = 467968,
  [SMALL_STATE(9610)] = 468011,
  [SMALL_STATE(9611)] = 468048,
  [SMALL_STATE(9612)] = 468085,
  [SMALL_STATE(9613)] = 468122,
  [SMALL_STATE(9614)] = 468159,
  [SMALL_STATE(9615)] = 468196,
  [SMALL_STATE(9616)] = 468233,
  [SMALL_STATE(9617)] = 468272,
  [SMALL_STATE(9618)] = 468309,
  [SMALL_STATE(9619)] = 468348,
  [SMALL_STATE(9620)] = 468385,
  [SMALL_STATE(9621)] = 468422,
  [SMALL_STATE(9622)] = 468459,
  [SMALL_STATE(9623)] = 468496,
  [SMALL_STATE(9624)] = 468533,
  [SMALL_STATE(9625)] = 468570,
  [SMALL_STATE(9626)] = 468607,
  [SMALL_STATE(9627)] = 468644,
  [SMALL_STATE(9628)] = 468681,
  [SMALL_STATE(9629)] = 468718,
  [SMALL_STATE(9630)] = 468755,
  [SMALL_STATE(9631)] = 468792,
  [SMALL_STATE(9632)] = 468829,
  [SMALL_STATE(9633)] = 468872,
  [SMALL_STATE(9634)] = 468909,
  [SMALL_STATE(9635)] = 468946,
  [SMALL_STATE(9636)] = 468983,
  [SMALL_STATE(9637)] = 469020,
  [SMALL_STATE(9638)] = 469057,
  [SMALL_STATE(9639)] = 469094,
  [SMALL_STATE(9640)] = 469131,
  [SMALL_STATE(9641)] = 469168,
  [SMALL_STATE(9642)] = 469209,
  [SMALL_STATE(9643)] = 469252,
  [SMALL_STATE(9644)] = 469293,
  [SMALL_STATE(9645)] = 469330,
  [SMALL_STATE(9646)] = 469367,
  [SMALL_STATE(9647)] = 469404,
  [SMALL_STATE(9648)] = 469441,
  [SMALL_STATE(9649)] = 469480,
  [SMALL_STATE(9650)] = 469517,
  [SMALL_STATE(9651)] = 469554,
  [SMALL_STATE(9652)] = 469591,
  [SMALL_STATE(9653)] = 469628,
  [SMALL_STATE(9654)] = 469665,
  [SMALL_STATE(9655)] = 469702,
  [SMALL_STATE(9656)] = 469739,
  [SMALL_STATE(9657)] = 469776,
  [SMALL_STATE(9658)] = 469813,
  [SMALL_STATE(9659)] = 469850,
  [SMALL_STATE(9660)] = 469903,
  [SMALL_STATE(9661)] = 469940,
  [SMALL_STATE(9662)] = 469977,
  [SMALL_STATE(9663)] = 470014,
  [SMALL_STATE(9664)] = 470053,
  [SMALL_STATE(9665)] = 470090,
  [SMALL_STATE(9666)] = 470127,
  [SMALL_STATE(9667)] = 470164,
  [SMALL_STATE(9668)] = 470201,
  [SMALL_STATE(9669)] = 470238,
  [SMALL_STATE(9670)] = 470275,
  [SMALL_STATE(9671)] = 470312,
  [SMALL_STATE(9672)] = 470351,
  [SMALL_STATE(9673)] = 470388,
  [SMALL_STATE(9674)] = 470425,
  [SMALL_STATE(9675)] = 470462,
  [SMALL_STATE(9676)] = 470499,
  [SMALL_STATE(9677)] = 470536,
  [SMALL_STATE(9678)] = 470573,
  [SMALL_STATE(9679)] = 470610,
  [SMALL_STATE(9680)] = 470651,
  [SMALL_STATE(9681)] = 470688,
  [SMALL_STATE(9682)] = 470725,
  [SMALL_STATE(9683)] = 470762,
  [SMALL_STATE(9684)] = 470803,
  [SMALL_STATE(9685)] = 470842,
  [SMALL_STATE(9686)] = 470885,
  [SMALL_STATE(9687)] = 470922,
  [SMALL_STATE(9688)] = 470959,
  [SMALL_STATE(9689)] = 470996,
  [SMALL_STATE(9690)] = 471033,
  [SMALL_STATE(9691)] = 471070,
  [SMALL_STATE(9692)] = 471107,
  [SMALL_STATE(9693)] = 471144,
  [SMALL_STATE(9694)] = 471181,
  [SMALL_STATE(9695)] = 471218,
  [SMALL_STATE(9696)] = 471257,
  [SMALL_STATE(9697)] = 471294,
  [SMALL_STATE(9698)] = 471331,
  [SMALL_STATE(9699)] = 471370,
  [SMALL_STATE(9700)] = 471407,
  [SMALL_STATE(9701)] = 471450,
  [SMALL_STATE(9702)] = 471487,
  [SMALL_STATE(9703)] = 471524,
  [SMALL_STATE(9704)] = 471563,
  [SMALL_STATE(9705)] = 471600,
  [SMALL_STATE(9706)] = 471637,
  [SMALL_STATE(9707)] = 471690,
  [SMALL_STATE(9708)] = 471727,
  [SMALL_STATE(9709)] = 471764,
  [SMALL_STATE(9710)] = 471801,
  [SMALL_STATE(9711)] = 471838,
  [SMALL_STATE(9712)] = 471881,
  [SMALL_STATE(9713)] = 471918,
  [SMALL_STATE(9714)] = 471955,
  [SMALL_STATE(9715)] = 471994,
  [SMALL_STATE(9716)] = 472045,
  [SMALL_STATE(9717)] = 472106,
  [SMALL_STATE(9718)] = 472147,
  [SMALL_STATE(9719)] = 472184,
  [SMALL_STATE(9720)] = 472221,
  [SMALL_STATE(9721)] = 472258,
  [SMALL_STATE(9722)] = 472295,
  [SMALL_STATE(9723)] = 472334,
  [SMALL_STATE(9724)] = 472371,
  [SMALL_STATE(9725)] = 472408,
  [SMALL_STATE(9726)] = 472445,
  [SMALL_STATE(9727)] = 472482,
  [SMALL_STATE(9728)] = 472521,
  [SMALL_STATE(9729)] = 472558,
  [SMALL_STATE(9730)] = 472595,
  [SMALL_STATE(9731)] = 472632,
  [SMALL_STATE(9732)] = 472669,
  [SMALL_STATE(9733)] = 472706,
  [SMALL_STATE(9734)] = 472743,
  [SMALL_STATE(9735)] = 472784,
  [SMALL_STATE(9736)] = 472821,
  [SMALL_STATE(9737)] = 472858,
  [SMALL_STATE(9738)] = 472895,
  [SMALL_STATE(9739)] = 472932,
  [SMALL_STATE(9740)] = 472969,
  [SMALL_STATE(9741)] = 473006,
  [SMALL_STATE(9742)] = 473043,
  [SMALL_STATE(9743)] = 473080,
  [SMALL_STATE(9744)] = 473117,
  [SMALL_STATE(9745)] = 473154,
  [SMALL_STATE(9746)] = 473191,
  [SMALL_STATE(9747)] = 473228,
  [SMALL_STATE(9748)] = 473265,
  [SMALL_STATE(9749)] = 473302,
  [SMALL_STATE(9750)] = 473339,
  [SMALL_STATE(9751)] = 473376,
  [SMALL_STATE(9752)] = 473413,
  [SMALL_STATE(9753)] = 473464,
  [SMALL_STATE(9754)] = 473501,
  [SMALL_STATE(9755)] = 473538,
  [SMALL_STATE(9756)] = 473575,
  [SMALL_STATE(9757)] = 473612,
  [SMALL_STATE(9758)] = 473649,
  [SMALL_STATE(9759)] = 473686,
  [SMALL_STATE(9760)] = 473723,
  [SMALL_STATE(9761)] = 473764,
  [SMALL_STATE(9762)] = 473801,
  [SMALL_STATE(9763)] = 473842,
  [SMALL_STATE(9764)] = 473893,
  [SMALL_STATE(9765)] = 473946,
  [SMALL_STATE(9766)] = 473983,
  [SMALL_STATE(9767)] = 474020,
  [SMALL_STATE(9768)] = 474057,
  [SMALL_STATE(9769)] = 474094,
  [SMALL_STATE(9770)] = 474131,
  [SMALL_STATE(9771)] = 474168,
  [SMALL_STATE(9772)] = 474205,
  [SMALL_STATE(9773)] = 474242,
  [SMALL_STATE(9774)] = 474279,
  [SMALL_STATE(9775)] = 474316,
  [SMALL_STATE(9776)] = 474353,
  [SMALL_STATE(9777)] = 474390,
  [SMALL_STATE(9778)] = 474427,
  [SMALL_STATE(9779)] = 474470,
  [SMALL_STATE(9780)] = 474507,
  [SMALL_STATE(9781)] = 474544,
  [SMALL_STATE(9782)] = 474581,
  [SMALL_STATE(9783)] = 474618,
  [SMALL_STATE(9784)] = 474655,
  [SMALL_STATE(9785)] = 474692,
  [SMALL_STATE(9786)] = 474729,
  [SMALL_STATE(9787)] = 474766,
  [SMALL_STATE(9788)] = 474803,
  [SMALL_STATE(9789)] = 474840,
  [SMALL_STATE(9790)] = 474881,
  [SMALL_STATE(9791)] = 474918,
  [SMALL_STATE(9792)] = 474955,
  [SMALL_STATE(9793)] = 474992,
  [SMALL_STATE(9794)] = 475029,
  [SMALL_STATE(9795)] = 475066,
  [SMALL_STATE(9796)] = 475103,
  [SMALL_STATE(9797)] = 475140,
  [SMALL_STATE(9798)] = 475177,
  [SMALL_STATE(9799)] = 475214,
  [SMALL_STATE(9800)] = 475251,
  [SMALL_STATE(9801)] = 475292,
  [SMALL_STATE(9802)] = 475331,
  [SMALL_STATE(9803)] = 475368,
  [SMALL_STATE(9804)] = 475405,
  [SMALL_STATE(9805)] = 475442,
  [SMALL_STATE(9806)] = 475481,
  [SMALL_STATE(9807)] = 475518,
  [SMALL_STATE(9808)] = 475555,
  [SMALL_STATE(9809)] = 475592,
  [SMALL_STATE(9810)] = 475629,
  [SMALL_STATE(9811)] = 475666,
  [SMALL_STATE(9812)] = 475703,
  [SMALL_STATE(9813)] = 475740,
  [SMALL_STATE(9814)] = 475777,
  [SMALL_STATE(9815)] = 475820,
  [SMALL_STATE(9816)] = 475859,
  [SMALL_STATE(9817)] = 475896,
  [SMALL_STATE(9818)] = 475933,
  [SMALL_STATE(9819)] = 475970,
  [SMALL_STATE(9820)] = 476009,
  [SMALL_STATE(9821)] = 476046,
  [SMALL_STATE(9822)] = 476085,
  [SMALL_STATE(9823)] = 476130,
  [SMALL_STATE(9824)] = 476167,
  [SMALL_STATE(9825)] = 476204,
  [SMALL_STATE(9826)] = 476241,
  [SMALL_STATE(9827)] = 476278,
  [SMALL_STATE(9828)] = 476315,
  [SMALL_STATE(9829)] = 476352,
  [SMALL_STATE(9830)] = 476389,
  [SMALL_STATE(9831)] = 476430,
  [SMALL_STATE(9832)] = 476467,
  [SMALL_STATE(9833)] = 476504,
  [SMALL_STATE(9834)] = 476541,
  [SMALL_STATE(9835)] = 476578,
  [SMALL_STATE(9836)] = 476615,
  [SMALL_STATE(9837)] = 476652,
  [SMALL_STATE(9838)] = 476689,
  [SMALL_STATE(9839)] = 476726,
  [SMALL_STATE(9840)] = 476763,
  [SMALL_STATE(9841)] = 476800,
  [SMALL_STATE(9842)] = 476837,
  [SMALL_STATE(9843)] = 476876,
  [SMALL_STATE(9844)] = 476913,
  [SMALL_STATE(9845)] = 476950,
  [SMALL_STATE(9846)] = 476987,
  [SMALL_STATE(9847)] = 477024,
  [SMALL_STATE(9848)] = 477061,
  [SMALL_STATE(9849)] = 477098,
  [SMALL_STATE(9850)] = 477135,
  [SMALL_STATE(9851)] = 477172,
  [SMALL_STATE(9852)] = 477209,
  [SMALL_STATE(9853)] = 477246,
  [SMALL_STATE(9854)] = 477283,
  [SMALL_STATE(9855)] = 477320,
  [SMALL_STATE(9856)] = 477359,
  [SMALL_STATE(9857)] = 477396,
  [SMALL_STATE(9858)] = 477433,
  [SMALL_STATE(9859)] = 477470,
  [SMALL_STATE(9860)] = 477507,
  [SMALL_STATE(9861)] = 477544,
  [SMALL_STATE(9862)] = 477583,
  [SMALL_STATE(9863)] = 477624,
  [SMALL_STATE(9864)] = 477661,
  [SMALL_STATE(9865)] = 477698,
  [SMALL_STATE(9866)] = 477735,
  [SMALL_STATE(9867)] = 477772,
  [SMALL_STATE(9868)] = 477809,
  [SMALL_STATE(9869)] = 477846,
  [SMALL_STATE(9870)] = 477883,
  [SMALL_STATE(9871)] = 477920,
  [SMALL_STATE(9872)] = 477981,
  [SMALL_STATE(9873)] = 478018,
  [SMALL_STATE(9874)] = 478055,
  [SMALL_STATE(9875)] = 478092,
  [SMALL_STATE(9876)] = 478129,
  [SMALL_STATE(9877)] = 478172,
  [SMALL_STATE(9878)] = 478215,
  [SMALL_STATE(9879)] = 478252,
  [SMALL_STATE(9880)] = 478289,
  [SMALL_STATE(9881)] = 478326,
  [SMALL_STATE(9882)] = 478363,
  [SMALL_STATE(9883)] = 478400,
  [SMALL_STATE(9884)] = 478437,
  [SMALL_STATE(9885)] = 478474,
  [SMALL_STATE(9886)] = 478511,
  [SMALL_STATE(9887)] = 478548,
  [SMALL_STATE(9888)] = 478585,
  [SMALL_STATE(9889)] = 478622,
  [SMALL_STATE(9890)] = 478659,
  [SMALL_STATE(9891)] = 478702,
  [SMALL_STATE(9892)] = 478739,
  [SMALL_STATE(9893)] = 478776,
  [SMALL_STATE(9894)] = 478813,
  [SMALL_STATE(9895)] = 478866,
  [SMALL_STATE(9896)] = 478903,
  [SMALL_STATE(9897)] = 478940,
  [SMALL_STATE(9898)] = 478977,
  [SMALL_STATE(9899)] = 479014,
  [SMALL_STATE(9900)] = 479075,
  [SMALL_STATE(9901)] = 479126,
  [SMALL_STATE(9902)] = 479163,
  [SMALL_STATE(9903)] = 479200,
  [SMALL_STATE(9904)] = 479237,
  [SMALL_STATE(9905)] = 479276,
  [SMALL_STATE(9906)] = 479329,
  [SMALL_STATE(9907)] = 479378,
  [SMALL_STATE(9908)] = 479415,
  [SMALL_STATE(9909)] = 479452,
  [SMALL_STATE(9910)] = 479489,
  [SMALL_STATE(9911)] = 479526,
  [SMALL_STATE(9912)] = 479563,
  [SMALL_STATE(9913)] = 479600,
  [SMALL_STATE(9914)] = 479637,
  [SMALL_STATE(9915)] = 479676,
  [SMALL_STATE(9916)] = 479729,
  [SMALL_STATE(9917)] = 479770,
  [SMALL_STATE(9918)] = 479823,
  [SMALL_STATE(9919)] = 479860,
  [SMALL_STATE(9920)] = 479897,
  [SMALL_STATE(9921)] = 479934,
  [SMALL_STATE(9922)] = 479971,
  [SMALL_STATE(9923)] = 480008,
  [SMALL_STATE(9924)] = 480045,
  [SMALL_STATE(9925)] = 480096,
  [SMALL_STATE(9926)] = 480133,
  [SMALL_STATE(9927)] = 480170,
  [SMALL_STATE(9928)] = 480207,
  [SMALL_STATE(9929)] = 480244,
  [SMALL_STATE(9930)] = 480281,
  [SMALL_STATE(9931)] = 480318,
  [SMALL_STATE(9932)] = 480355,
  [SMALL_STATE(9933)] = 480392,
  [SMALL_STATE(9934)] = 480429,
  [SMALL_STATE(9935)] = 480474,
  [SMALL_STATE(9936)] = 480511,
  [SMALL_STATE(9937)] = 480548,
  [SMALL_STATE(9938)] = 480599,
  [SMALL_STATE(9939)] = 480636,
  [SMALL_STATE(9940)] = 480672,
  [SMALL_STATE(9941)] = 480708,
  [SMALL_STATE(9942)] = 480744,
  [SMALL_STATE(9943)] = 480780,
  [SMALL_STATE(9944)] = 480816,
  [SMALL_STATE(9945)] = 480852,
  [SMALL_STATE(9946)] = 480888,
  [SMALL_STATE(9947)] = 480924,
  [SMALL_STATE(9948)] = 480962,
  [SMALL_STATE(9949)] = 480998,
  [SMALL_STATE(9950)] = 481048,
  [SMALL_STATE(9951)] = 481084,
  [SMALL_STATE(9952)] = 481120,
  [SMALL_STATE(9953)] = 481156,
  [SMALL_STATE(9954)] = 481192,
  [SMALL_STATE(9955)] = 481228,
  [SMALL_STATE(9956)] = 481264,
  [SMALL_STATE(9957)] = 481306,
  [SMALL_STATE(9958)] = 481358,
  [SMALL_STATE(9959)] = 481394,
  [SMALL_STATE(9960)] = 481430,
  [SMALL_STATE(9961)] = 481466,
  [SMALL_STATE(9962)] = 481516,
  [SMALL_STATE(9963)] = 481568,
  [SMALL_STATE(9964)] = 481614,
  [SMALL_STATE(9965)] = 481650,
  [SMALL_STATE(9966)] = 481692,
  [SMALL_STATE(9967)] = 481728,
  [SMALL_STATE(9968)] = 481770,
  [SMALL_STATE(9969)] = 481808,
  [SMALL_STATE(9970)] = 481844,
  [SMALL_STATE(9971)] = 481884,
  [SMALL_STATE(9972)] = 481922,
  [SMALL_STATE(9973)] = 481960,
  [SMALL_STATE(9974)] = 481996,
  [SMALL_STATE(9975)] = 482032,
  [SMALL_STATE(9976)] = 482070,
  [SMALL_STATE(9977)] = 482106,
  [SMALL_STATE(9978)] = 482148,
  [SMALL_STATE(9979)] = 482200,
  [SMALL_STATE(9980)] = 482240,
  [SMALL_STATE(9981)] = 482276,
  [SMALL_STATE(9982)] = 482328,
  [SMALL_STATE(9983)] = 482366,
  [SMALL_STATE(9984)] = 482406,
  [SMALL_STATE(9985)] = 482452,
  [SMALL_STATE(9986)] = 482510,
  [SMALL_STATE(9987)] = 482546,
  [SMALL_STATE(9988)] = 482582,
  [SMALL_STATE(9989)] = 482646,
  [SMALL_STATE(9990)] = 482682,
  [SMALL_STATE(9991)] = 482718,
  [SMALL_STATE(9992)] = 482754,
  [SMALL_STATE(9993)] = 482790,
  [SMALL_STATE(9994)] = 482826,
  [SMALL_STATE(9995)] = 482862,
  [SMALL_STATE(9996)] = 482898,
  [SMALL_STATE(9997)] = 482934,
  [SMALL_STATE(9998)] = 482986,
  [SMALL_STATE(9999)] = 483028,
  [SMALL_STATE(10000)] = 483080,
  [SMALL_STATE(10001)] = 483116,
  [SMALL_STATE(10002)] = 483152,
  [SMALL_STATE(10003)] = 483188,
  [SMALL_STATE(10004)] = 483224,
  [SMALL_STATE(10005)] = 483260,
  [SMALL_STATE(10006)] = 483300,
  [SMALL_STATE(10007)] = 483336,
  [SMALL_STATE(10008)] = 483372,
  [SMALL_STATE(10009)] = 483408,
  [SMALL_STATE(10010)] = 483444,
  [SMALL_STATE(10011)] = 483482,
  [SMALL_STATE(10012)] = 483518,
  [SMALL_STATE(10013)] = 483554,
  [SMALL_STATE(10014)] = 483590,
  [SMALL_STATE(10015)] = 483626,
  [SMALL_STATE(10016)] = 483662,
  [SMALL_STATE(10017)] = 483704,
  [SMALL_STATE(10018)] = 483754,
  [SMALL_STATE(10019)] = 483790,
  [SMALL_STATE(10020)] = 483826,
  [SMALL_STATE(10021)] = 483862,
  [SMALL_STATE(10022)] = 483898,
  [SMALL_STATE(10023)] = 483950,
  [SMALL_STATE(10024)] = 483986,
  [SMALL_STATE(10025)] = 484022,
  [SMALL_STATE(10026)] = 484058,
  [SMALL_STATE(10027)] = 484094,
  [SMALL_STATE(10028)] = 484130,
  [SMALL_STATE(10029)] = 484166,
  [SMALL_STATE(10030)] = 484202,
  [SMALL_STATE(10031)] = 484238,
  [SMALL_STATE(10032)] = 484274,
  [SMALL_STATE(10033)] = 484310,
  [SMALL_STATE(10034)] = 484346,
  [SMALL_STATE(10035)] = 484382,
  [SMALL_STATE(10036)] = 484434,
  [SMALL_STATE(10037)] = 484470,
  [SMALL_STATE(10038)] = 484506,
  [SMALL_STATE(10039)] = 484542,
  [SMALL_STATE(10040)] = 484578,
  [SMALL_STATE(10041)] = 484614,
  [SMALL_STATE(10042)] = 484666,
  [SMALL_STATE(10043)] = 484702,
  [SMALL_STATE(10044)] = 484738,
  [SMALL_STATE(10045)] = 484790,
  [SMALL_STATE(10046)] = 484826,
  [SMALL_STATE(10047)] = 484862,
  [SMALL_STATE(10048)] = 484898,
  [SMALL_STATE(10049)] = 484934,
  [SMALL_STATE(10050)] = 484970,
  [SMALL_STATE(10051)] = 485006,
  [SMALL_STATE(10052)] = 485042,
  [SMALL_STATE(10053)] = 485078,
  [SMALL_STATE(10054)] = 485114,
  [SMALL_STATE(10055)] = 485154,
  [SMALL_STATE(10056)] = 485190,
  [SMALL_STATE(10057)] = 485226,
  [SMALL_STATE(10058)] = 485262,
  [SMALL_STATE(10059)] = 485298,
  [SMALL_STATE(10060)] = 485334,
  [SMALL_STATE(10061)] = 485384,
  [SMALL_STATE(10062)] = 485424,
  [SMALL_STATE(10063)] = 485460,
  [SMALL_STATE(10064)] = 485496,
  [SMALL_STATE(10065)] = 485532,
  [SMALL_STATE(10066)] = 485568,
  [SMALL_STATE(10067)] = 485614,
  [SMALL_STATE(10068)] = 485650,
  [SMALL_STATE(10069)] = 485702,
  [SMALL_STATE(10070)] = 485742,
  [SMALL_STATE(10071)] = 485778,
  [SMALL_STATE(10072)] = 485814,
  [SMALL_STATE(10073)] = 485850,
  [SMALL_STATE(10074)] = 485886,
  [SMALL_STATE(10075)] = 485932,
  [SMALL_STATE(10076)] = 485970,
  [SMALL_STATE(10077)] = 486022,
  [SMALL_STATE(10078)] = 486068,
  [SMALL_STATE(10079)] = 486104,
  [SMALL_STATE(10080)] = 486140,
  [SMALL_STATE(10081)] = 486176,
  [SMALL_STATE(10082)] = 486212,
  [SMALL_STATE(10083)] = 486248,
  [SMALL_STATE(10084)] = 486284,
  [SMALL_STATE(10085)] = 486320,
  [SMALL_STATE(10086)] = 486358,
  [SMALL_STATE(10087)] = 486404,
  [SMALL_STATE(10088)] = 486440,
  [SMALL_STATE(10089)] = 486476,
  [SMALL_STATE(10090)] = 486512,
  [SMALL_STATE(10091)] = 486548,
  [SMALL_STATE(10092)] = 486598,
  [SMALL_STATE(10093)] = 486650,
  [SMALL_STATE(10094)] = 486686,
  [SMALL_STATE(10095)] = 486722,
  [SMALL_STATE(10096)] = 486786,
  [SMALL_STATE(10097)] = 486832,
  [SMALL_STATE(10098)] = 486868,
  [SMALL_STATE(10099)] = 486910,
  [SMALL_STATE(10100)] = 486960,
  [SMALL_STATE(10101)] = 487002,
  [SMALL_STATE(10102)] = 487038,
  [SMALL_STATE(10103)] = 487080,
  [SMALL_STATE(10104)] = 487116,
  [SMALL_STATE(10105)] = 487152,
  [SMALL_STATE(10106)] = 487194,
  [SMALL_STATE(10107)] = 487232,
  [SMALL_STATE(10108)] = 487272,
  [SMALL_STATE(10109)] = 487308,
  [SMALL_STATE(10110)] = 487344,
  [SMALL_STATE(10111)] = 487380,
  [SMALL_STATE(10112)] = 487416,
  [SMALL_STATE(10113)] = 487454,
  [SMALL_STATE(10114)] = 487490,
  [SMALL_STATE(10115)] = 487526,
  [SMALL_STATE(10116)] = 487562,
  [SMALL_STATE(10117)] = 487598,
  [SMALL_STATE(10118)] = 487634,
  [SMALL_STATE(10119)] = 487670,
  [SMALL_STATE(10120)] = 487734,
  [SMALL_STATE(10121)] = 487770,
  [SMALL_STATE(10122)] = 487810,
  [SMALL_STATE(10123)] = 487846,
  [SMALL_STATE(10124)] = 487882,
  [SMALL_STATE(10125)] = 487918,
  [SMALL_STATE(10126)] = 487968,
  [SMALL_STATE(10127)] = 488004,
  [SMALL_STATE(10128)] = 488040,
  [SMALL_STATE(10129)] = 488076,
  [SMALL_STATE(10130)] = 488114,
  [SMALL_STATE(10131)] = 488150,
  [SMALL_STATE(10132)] = 488186,
  [SMALL_STATE(10133)] = 488222,
  [SMALL_STATE(10134)] = 488258,
  [SMALL_STATE(10135)] = 488296,
  [SMALL_STATE(10136)] = 488332,
  [SMALL_STATE(10137)] = 488372,
  [SMALL_STATE(10138)] = 488408,
  [SMALL_STATE(10139)] = 488444,
  [SMALL_STATE(10140)] = 488490,
  [SMALL_STATE(10141)] = 488526,
  [SMALL_STATE(10142)] = 488562,
  [SMALL_STATE(10143)] = 488608,
  [SMALL_STATE(10144)] = 488644,
  [SMALL_STATE(10145)] = 488684,
  [SMALL_STATE(10146)] = 488720,
  [SMALL_STATE(10147)] = 488756,
  [SMALL_STATE(10148)] = 488792,
  [SMALL_STATE(10149)] = 488830,
  [SMALL_STATE(10150)] = 488894,
  [SMALL_STATE(10151)] = 488930,
  [SMALL_STATE(10152)] = 488966,
  [SMALL_STATE(10153)] = 489002,
  [SMALL_STATE(10154)] = 489038,
  [SMALL_STATE(10155)] = 489074,
  [SMALL_STATE(10156)] = 489110,
  [SMALL_STATE(10157)] = 489148,
  [SMALL_STATE(10158)] = 489184,
  [SMALL_STATE(10159)] = 489218,
  [SMALL_STATE(10160)] = 489258,
  [SMALL_STATE(10161)] = 489304,
  [SMALL_STATE(10162)] = 489340,
  [SMALL_STATE(10163)] = 489376,
  [SMALL_STATE(10164)] = 489412,
  [SMALL_STATE(10165)] = 489448,
  [SMALL_STATE(10166)] = 489484,
  [SMALL_STATE(10167)] = 489520,
  [SMALL_STATE(10168)] = 489584,
  [SMALL_STATE(10169)] = 489624,
  [SMALL_STATE(10170)] = 489664,
  [SMALL_STATE(10171)] = 489700,
  [SMALL_STATE(10172)] = 489736,
  [SMALL_STATE(10173)] = 489772,
  [SMALL_STATE(10174)] = 489808,
  [SMALL_STATE(10175)] = 489844,
  [SMALL_STATE(10176)] = 489880,
  [SMALL_STATE(10177)] = 489916,
  [SMALL_STATE(10178)] = 489952,
  [SMALL_STATE(10179)] = 489992,
  [SMALL_STATE(10180)] = 490028,
  [SMALL_STATE(10181)] = 490064,
  [SMALL_STATE(10182)] = 490100,
  [SMALL_STATE(10183)] = 490140,
  [SMALL_STATE(10184)] = 490178,
  [SMALL_STATE(10185)] = 490214,
  [SMALL_STATE(10186)] = 490250,
  [SMALL_STATE(10187)] = 490302,
  [SMALL_STATE(10188)] = 490338,
  [SMALL_STATE(10189)] = 490374,
  [SMALL_STATE(10190)] = 490410,
  [SMALL_STATE(10191)] = 490446,
  [SMALL_STATE(10192)] = 490496,
  [SMALL_STATE(10193)] = 490532,
  [SMALL_STATE(10194)] = 490568,
  [SMALL_STATE(10195)] = 490604,
  [SMALL_STATE(10196)] = 490656,
  [SMALL_STATE(10197)] = 490692,
  [SMALL_STATE(10198)] = 490732,
  [SMALL_STATE(10199)] = 490796,
  [SMALL_STATE(10200)] = 490832,
  [SMALL_STATE(10201)] = 490878,
  [SMALL_STATE(10202)] = 490914,
  [SMALL_STATE(10203)] = 490950,
  [SMALL_STATE(10204)] = 490986,
  [SMALL_STATE(10205)] = 491022,
  [SMALL_STATE(10206)] = 491058,
  [SMALL_STATE(10207)] = 491096,
  [SMALL_STATE(10208)] = 491132,
  [SMALL_STATE(10209)] = 491172,
  [SMALL_STATE(10210)] = 491208,
  [SMALL_STATE(10211)] = 491244,
  [SMALL_STATE(10212)] = 491280,
  [SMALL_STATE(10213)] = 491316,
  [SMALL_STATE(10214)] = 491354,
  [SMALL_STATE(10215)] = 491390,
  [SMALL_STATE(10216)] = 491426,
  [SMALL_STATE(10217)] = 491462,
  [SMALL_STATE(10218)] = 491498,
  [SMALL_STATE(10219)] = 491534,
  [SMALL_STATE(10220)] = 491570,
  [SMALL_STATE(10221)] = 491606,
  [SMALL_STATE(10222)] = 491652,
  [SMALL_STATE(10223)] = 491694,
  [SMALL_STATE(10224)] = 491730,
  [SMALL_STATE(10225)] = 491766,
  [SMALL_STATE(10226)] = 491802,
  [SMALL_STATE(10227)] = 491838,
  [SMALL_STATE(10228)] = 491874,
  [SMALL_STATE(10229)] = 491910,
  [SMALL_STATE(10230)] = 491956,
  [SMALL_STATE(10231)] = 491996,
  [SMALL_STATE(10232)] = 492032,
  [SMALL_STATE(10233)] = 492068,
  [SMALL_STATE(10234)] = 492104,
  [SMALL_STATE(10235)] = 492140,
  [SMALL_STATE(10236)] = 492176,
  [SMALL_STATE(10237)] = 492212,
  [SMALL_STATE(10238)] = 492248,
  [SMALL_STATE(10239)] = 492284,
  [SMALL_STATE(10240)] = 492320,
  [SMALL_STATE(10241)] = 492356,
  [SMALL_STATE(10242)] = 492392,
  [SMALL_STATE(10243)] = 492428,
  [SMALL_STATE(10244)] = 492464,
  [SMALL_STATE(10245)] = 492500,
  [SMALL_STATE(10246)] = 492536,
  [SMALL_STATE(10247)] = 492572,
  [SMALL_STATE(10248)] = 492608,
  [SMALL_STATE(10249)] = 492644,
  [SMALL_STATE(10250)] = 492680,
  [SMALL_STATE(10251)] = 492716,
  [SMALL_STATE(10252)] = 492752,
  [SMALL_STATE(10253)] = 492802,
  [SMALL_STATE(10254)] = 492838,
  [SMALL_STATE(10255)] = 492874,
  [SMALL_STATE(10256)] = 492926,
  [SMALL_STATE(10257)] = 492962,
  [SMALL_STATE(10258)] = 492998,
  [SMALL_STATE(10259)] = 493034,
  [SMALL_STATE(10260)] = 493070,
  [SMALL_STATE(10261)] = 493106,
  [SMALL_STATE(10262)] = 493142,
  [SMALL_STATE(10263)] = 493188,
  [SMALL_STATE(10264)] = 493224,
  [SMALL_STATE(10265)] = 493260,
  [SMALL_STATE(10266)] = 493296,
  [SMALL_STATE(10267)] = 493332,
  [SMALL_STATE(10268)] = 493374,
  [SMALL_STATE(10269)] = 493410,
  [SMALL_STATE(10270)] = 493446,
  [SMALL_STATE(10271)] = 493486,
  [SMALL_STATE(10272)] = 493522,
  [SMALL_STATE(10273)] = 493558,
  [SMALL_STATE(10274)] = 493596,
  [SMALL_STATE(10275)] = 493632,
  [SMALL_STATE(10276)] = 493668,
  [SMALL_STATE(10277)] = 493704,
  [SMALL_STATE(10278)] = 493740,
  [SMALL_STATE(10279)] = 493776,
  [SMALL_STATE(10280)] = 493812,
  [SMALL_STATE(10281)] = 493848,
  [SMALL_STATE(10282)] = 493884,
  [SMALL_STATE(10283)] = 493920,
  [SMALL_STATE(10284)] = 493966,
  [SMALL_STATE(10285)] = 494016,
  [SMALL_STATE(10286)] = 494052,
  [SMALL_STATE(10287)] = 494104,
  [SMALL_STATE(10288)] = 494140,
  [SMALL_STATE(10289)] = 494180,
  [SMALL_STATE(10290)] = 494216,
  [SMALL_STATE(10291)] = 494256,
  [SMALL_STATE(10292)] = 494292,
  [SMALL_STATE(10293)] = 494328,
  [SMALL_STATE(10294)] = 494374,
  [SMALL_STATE(10295)] = 494420,
  [SMALL_STATE(10296)] = 494456,
  [SMALL_STATE(10297)] = 494492,
  [SMALL_STATE(10298)] = 494528,
  [SMALL_STATE(10299)] = 494564,
  [SMALL_STATE(10300)] = 494600,
  [SMALL_STATE(10301)] = 494636,
  [SMALL_STATE(10302)] = 494672,
  [SMALL_STATE(10303)] = 494708,
  [SMALL_STATE(10304)] = 494744,
  [SMALL_STATE(10305)] = 494784,
  [SMALL_STATE(10306)] = 494820,
  [SMALL_STATE(10307)] = 494856,
  [SMALL_STATE(10308)] = 494892,
  [SMALL_STATE(10309)] = 494928,
  [SMALL_STATE(10310)] = 494964,
  [SMALL_STATE(10311)] = 495006,
  [SMALL_STATE(10312)] = 495042,
  [SMALL_STATE(10313)] = 495078,
  [SMALL_STATE(10314)] = 495118,
  [SMALL_STATE(10315)] = 495154,
  [SMALL_STATE(10316)] = 495190,
  [SMALL_STATE(10317)] = 495226,
  [SMALL_STATE(10318)] = 495266,
  [SMALL_STATE(10319)] = 495302,
  [SMALL_STATE(10320)] = 495338,
  [SMALL_STATE(10321)] = 495374,
  [SMALL_STATE(10322)] = 495410,
  [SMALL_STATE(10323)] = 495446,
  [SMALL_STATE(10324)] = 495488,
  [SMALL_STATE(10325)] = 495534,
  [SMALL_STATE(10326)] = 495570,
  [SMALL_STATE(10327)] = 495606,
  [SMALL_STATE(10328)] = 495642,
  [SMALL_STATE(10329)] = 495678,
  [SMALL_STATE(10330)] = 495714,
  [SMALL_STATE(10331)] = 495750,
  [SMALL_STATE(10332)] = 495786,
  [SMALL_STATE(10333)] = 495822,
  [SMALL_STATE(10334)] = 495858,
  [SMALL_STATE(10335)] = 495894,
  [SMALL_STATE(10336)] = 495934,
  [SMALL_STATE(10337)] = 495970,
  [SMALL_STATE(10338)] = 496010,
  [SMALL_STATE(10339)] = 496046,
  [SMALL_STATE(10340)] = 496082,
  [SMALL_STATE(10341)] = 496118,
  [SMALL_STATE(10342)] = 496164,
  [SMALL_STATE(10343)] = 496200,
  [SMALL_STATE(10344)] = 496240,
  [SMALL_STATE(10345)] = 496276,
  [SMALL_STATE(10346)] = 496312,
  [SMALL_STATE(10347)] = 496348,
  [SMALL_STATE(10348)] = 496384,
  [SMALL_STATE(10349)] = 496420,
  [SMALL_STATE(10350)] = 496456,
  [SMALL_STATE(10351)] = 496492,
  [SMALL_STATE(10352)] = 496528,
  [SMALL_STATE(10353)] = 496574,
  [SMALL_STATE(10354)] = 496610,
  [SMALL_STATE(10355)] = 496646,
  [SMALL_STATE(10356)] = 496682,
  [SMALL_STATE(10357)] = 496718,
  [SMALL_STATE(10358)] = 496758,
  [SMALL_STATE(10359)] = 496794,
  [SMALL_STATE(10360)] = 496830,
  [SMALL_STATE(10361)] = 496865,
  [SMALL_STATE(10362)] = 496900,
  [SMALL_STATE(10363)] = 496935,
  [SMALL_STATE(10364)] = 496970,
  [SMALL_STATE(10365)] = 497005,
  [SMALL_STATE(10366)] = 497040,
  [SMALL_STATE(10367)] = 497075,
  [SMALL_STATE(10368)] = 497114,
  [SMALL_STATE(10369)] = 497155,
  [SMALL_STATE(10370)] = 497190,
  [SMALL_STATE(10371)] = 497225,
  [SMALL_STATE(10372)] = 497260,
  [SMALL_STATE(10373)] = 497295,
  [SMALL_STATE(10374)] = 497330,
  [SMALL_STATE(10375)] = 497365,
  [SMALL_STATE(10376)] = 497400,
  [SMALL_STATE(10377)] = 497435,
  [SMALL_STATE(10378)] = 497486,
  [SMALL_STATE(10379)] = 497521,
  [SMALL_STATE(10380)] = 497560,
  [SMALL_STATE(10381)] = 497599,
  [SMALL_STATE(10382)] = 497634,
  [SMALL_STATE(10383)] = 497669,
  [SMALL_STATE(10384)] = 497704,
  [SMALL_STATE(10385)] = 497739,
  [SMALL_STATE(10386)] = 497774,
  [SMALL_STATE(10387)] = 497809,
  [SMALL_STATE(10388)] = 497844,
  [SMALL_STATE(10389)] = 497903,
  [SMALL_STATE(10390)] = 497938,
  [SMALL_STATE(10391)] = 497973,
  [SMALL_STATE(10392)] = 498008,
  [SMALL_STATE(10393)] = 498047,
  [SMALL_STATE(10394)] = 498082,
  [SMALL_STATE(10395)] = 498117,
  [SMALL_STATE(10396)] = 498154,
  [SMALL_STATE(10397)] = 498189,
  [SMALL_STATE(10398)] = 498224,
  [SMALL_STATE(10399)] = 498259,
  [SMALL_STATE(10400)] = 498294,
  [SMALL_STATE(10401)] = 498329,
  [SMALL_STATE(10402)] = 498364,
  [SMALL_STATE(10403)] = 498399,
  [SMALL_STATE(10404)] = 498434,
  [SMALL_STATE(10405)] = 498469,
  [SMALL_STATE(10406)] = 498504,
  [SMALL_STATE(10407)] = 498543,
  [SMALL_STATE(10408)] = 498594,
  [SMALL_STATE(10409)] = 498629,
  [SMALL_STATE(10410)] = 498664,
  [SMALL_STATE(10411)] = 498699,
  [SMALL_STATE(10412)] = 498760,
  [SMALL_STATE(10413)] = 498801,
  [SMALL_STATE(10414)] = 498862,
  [SMALL_STATE(10415)] = 498913,
  [SMALL_STATE(10416)] = 498948,
  [SMALL_STATE(10417)] = 498983,
  [SMALL_STATE(10418)] = 499032,
  [SMALL_STATE(10419)] = 499067,
  [SMALL_STATE(10420)] = 499118,
  [SMALL_STATE(10421)] = 499153,
  [SMALL_STATE(10422)] = 499188,
  [SMALL_STATE(10423)] = 499223,
  [SMALL_STATE(10424)] = 499258,
  [SMALL_STATE(10425)] = 499317,
  [SMALL_STATE(10426)] = 499352,
  [SMALL_STATE(10427)] = 499387,
  [SMALL_STATE(10428)] = 499438,
  [SMALL_STATE(10429)] = 499473,
  [SMALL_STATE(10430)] = 499508,
  [SMALL_STATE(10431)] = 499543,
  [SMALL_STATE(10432)] = 499592,
  [SMALL_STATE(10433)] = 499631,
  [SMALL_STATE(10434)] = 499670,
  [SMALL_STATE(10435)] = 499705,
  [SMALL_STATE(10436)] = 499740,
  [SMALL_STATE(10437)] = 499775,
  [SMALL_STATE(10438)] = 499814,
  [SMALL_STATE(10439)] = 499849,
  [SMALL_STATE(10440)] = 499884,
  [SMALL_STATE(10441)] = 499929,
  [SMALL_STATE(10442)] = 499968,
  [SMALL_STATE(10443)] = 500003,
  [SMALL_STATE(10444)] = 500038,
  [SMALL_STATE(10445)] = 500073,
  [SMALL_STATE(10446)] = 500108,
  [SMALL_STATE(10447)] = 500147,
  [SMALL_STATE(10448)] = 500196,
  [SMALL_STATE(10449)] = 500231,
  [SMALL_STATE(10450)] = 500266,
  [SMALL_STATE(10451)] = 500301,
  [SMALL_STATE(10452)] = 500336,
  [SMALL_STATE(10453)] = 500375,
  [SMALL_STATE(10454)] = 500410,
  [SMALL_STATE(10455)] = 500449,
  [SMALL_STATE(10456)] = 500484,
  [SMALL_STATE(10457)] = 500519,
  [SMALL_STATE(10458)] = 500558,
  [SMALL_STATE(10459)] = 500597,
  [SMALL_STATE(10460)] = 500632,
  [SMALL_STATE(10461)] = 500693,
  [SMALL_STATE(10462)] = 500728,
  [SMALL_STATE(10463)] = 500769,
  [SMALL_STATE(10464)] = 500810,
  [SMALL_STATE(10465)] = 500849,
  [SMALL_STATE(10466)] = 500886,
  [SMALL_STATE(10467)] = 500921,
  [SMALL_STATE(10468)] = 500956,
  [SMALL_STATE(10469)] = 500995,
  [SMALL_STATE(10470)] = 501030,
  [SMALL_STATE(10471)] = 501065,
  [SMALL_STATE(10472)] = 501104,
  [SMALL_STATE(10473)] = 501139,
  [SMALL_STATE(10474)] = 501174,
  [SMALL_STATE(10475)] = 501213,
  [SMALL_STATE(10476)] = 501248,
  [SMALL_STATE(10477)] = 501297,
  [SMALL_STATE(10478)] = 501332,
  [SMALL_STATE(10479)] = 501367,
  [SMALL_STATE(10480)] = 501416,
  [SMALL_STATE(10481)] = 501451,
  [SMALL_STATE(10482)] = 501492,
  [SMALL_STATE(10483)] = 501527,
  [SMALL_STATE(10484)] = 501562,
  [SMALL_STATE(10485)] = 501597,
  [SMALL_STATE(10486)] = 501632,
  [SMALL_STATE(10487)] = 501667,
  [SMALL_STATE(10488)] = 501702,
  [SMALL_STATE(10489)] = 501737,
  [SMALL_STATE(10490)] = 501772,
  [SMALL_STATE(10491)] = 501807,
  [SMALL_STATE(10492)] = 501842,
  [SMALL_STATE(10493)] = 501877,
  [SMALL_STATE(10494)] = 501912,
  [SMALL_STATE(10495)] = 501947,
  [SMALL_STATE(10496)] = 501982,
  [SMALL_STATE(10497)] = 502017,
  [SMALL_STATE(10498)] = 502052,
  [SMALL_STATE(10499)] = 502103,
  [SMALL_STATE(10500)] = 502142,
  [SMALL_STATE(10501)] = 502177,
  [SMALL_STATE(10502)] = 502212,
  [SMALL_STATE(10503)] = 502263,
  [SMALL_STATE(10504)] = 502298,
  [SMALL_STATE(10505)] = 502333,
  [SMALL_STATE(10506)] = 502368,
  [SMALL_STATE(10507)] = 502403,
  [SMALL_STATE(10508)] = 502438,
  [SMALL_STATE(10509)] = 502473,
  [SMALL_STATE(10510)] = 502508,
  [SMALL_STATE(10511)] = 502559,
  [SMALL_STATE(10512)] = 502594,
  [SMALL_STATE(10513)] = 502629,
  [SMALL_STATE(10514)] = 502670,
  [SMALL_STATE(10515)] = 502705,
  [SMALL_STATE(10516)] = 502766,
  [SMALL_STATE(10517)] = 502801,
  [SMALL_STATE(10518)] = 502836,
  [SMALL_STATE(10519)] = 502871,
  [SMALL_STATE(10520)] = 502906,
  [SMALL_STATE(10521)] = 502941,
  [SMALL_STATE(10522)] = 502976,
  [SMALL_STATE(10523)] = 503011,
  [SMALL_STATE(10524)] = 503046,
  [SMALL_STATE(10525)] = 503081,
  [SMALL_STATE(10526)] = 503118,
  [SMALL_STATE(10527)] = 503157,
  [SMALL_STATE(10528)] = 503192,
  [SMALL_STATE(10529)] = 503227,
  [SMALL_STATE(10530)] = 503262,
  [SMALL_STATE(10531)] = 503297,
  [SMALL_STATE(10532)] = 503332,
  [SMALL_STATE(10533)] = 503367,
  [SMALL_STATE(10534)] = 503402,
  [SMALL_STATE(10535)] = 503437,
  [SMALL_STATE(10536)] = 503472,
  [SMALL_STATE(10537)] = 503507,
  [SMALL_STATE(10538)] = 503542,
  [SMALL_STATE(10539)] = 503577,
  [SMALL_STATE(10540)] = 503612,
  [SMALL_STATE(10541)] = 503647,
  [SMALL_STATE(10542)] = 503686,
  [SMALL_STATE(10543)] = 503721,
  [SMALL_STATE(10544)] = 503756,
  [SMALL_STATE(10545)] = 503791,
  [SMALL_STATE(10546)] = 503826,
  [SMALL_STATE(10547)] = 503861,
  [SMALL_STATE(10548)] = 503896,
  [SMALL_STATE(10549)] = 503935,
  [SMALL_STATE(10550)] = 503970,
  [SMALL_STATE(10551)] = 504005,
  [SMALL_STATE(10552)] = 504040,
  [SMALL_STATE(10553)] = 504075,
  [SMALL_STATE(10554)] = 504136,
  [SMALL_STATE(10555)] = 504171,
  [SMALL_STATE(10556)] = 504206,
  [SMALL_STATE(10557)] = 504241,
  [SMALL_STATE(10558)] = 504280,
  [SMALL_STATE(10559)] = 504315,
  [SMALL_STATE(10560)] = 504350,
  [SMALL_STATE(10561)] = 504391,
  [SMALL_STATE(10562)] = 504426,
  [SMALL_STATE(10563)] = 504461,
  [SMALL_STATE(10564)] = 504496,
  [SMALL_STATE(10565)] = 504531,
  [SMALL_STATE(10566)] = 504566,
  [SMALL_STATE(10567)] = 504601,
  [SMALL_STATE(10568)] = 504640,
  [SMALL_STATE(10569)] = 504675,
  [SMALL_STATE(10570)] = 504716,
  [SMALL_STATE(10571)] = 504751,
  [SMALL_STATE(10572)] = 504786,
  [SMALL_STATE(10573)] = 504821,
  [SMALL_STATE(10574)] = 504856,
  [SMALL_STATE(10575)] = 504899,
  [SMALL_STATE(10576)] = 504934,
  [SMALL_STATE(10577)] = 504969,
  [SMALL_STATE(10578)] = 505004,
  [SMALL_STATE(10579)] = 505045,
  [SMALL_STATE(10580)] = 505080,
  [SMALL_STATE(10581)] = 505115,
  [SMALL_STATE(10582)] = 505148,
  [SMALL_STATE(10583)] = 505183,
  [SMALL_STATE(10584)] = 505218,
  [SMALL_STATE(10585)] = 505253,
  [SMALL_STATE(10586)] = 505288,
  [SMALL_STATE(10587)] = 505323,
  [SMALL_STATE(10588)] = 505358,
  [SMALL_STATE(10589)] = 505393,
  [SMALL_STATE(10590)] = 505428,
  [SMALL_STATE(10591)] = 505489,
  [SMALL_STATE(10592)] = 505540,
  [SMALL_STATE(10593)] = 505579,
  [SMALL_STATE(10594)] = 505614,
  [SMALL_STATE(10595)] = 505649,
  [SMALL_STATE(10596)] = 505684,
  [SMALL_STATE(10597)] = 505719,
  [SMALL_STATE(10598)] = 505754,
  [SMALL_STATE(10599)] = 505789,
  [SMALL_STATE(10600)] = 505840,
  [SMALL_STATE(10601)] = 505875,
  [SMALL_STATE(10602)] = 505910,
  [SMALL_STATE(10603)] = 505945,
  [SMALL_STATE(10604)] = 505980,
  [SMALL_STATE(10605)] = 506015,
  [SMALL_STATE(10606)] = 506050,
  [SMALL_STATE(10607)] = 506091,
  [SMALL_STATE(10608)] = 506126,
  [SMALL_STATE(10609)] = 506187,
  [SMALL_STATE(10610)] = 506222,
  [SMALL_STATE(10611)] = 506257,
  [SMALL_STATE(10612)] = 506292,
  [SMALL_STATE(10613)] = 506343,
  [SMALL_STATE(10614)] = 506378,
  [SMALL_STATE(10615)] = 506413,
  [SMALL_STATE(10616)] = 506448,
  [SMALL_STATE(10617)] = 506483,
  [SMALL_STATE(10618)] = 506522,
  [SMALL_STATE(10619)] = 506557,
  [SMALL_STATE(10620)] = 506592,
  [SMALL_STATE(10621)] = 506627,
  [SMALL_STATE(10622)] = 506662,
  [SMALL_STATE(10623)] = 506713,
  [SMALL_STATE(10624)] = 506774,
  [SMALL_STATE(10625)] = 506809,
  [SMALL_STATE(10626)] = 506844,
  [SMALL_STATE(10627)] = 506879,
  [SMALL_STATE(10628)] = 506924,
  [SMALL_STATE(10629)] = 506959,
  [SMALL_STATE(10630)] = 506994,
  [SMALL_STATE(10631)] = 507029,
  [SMALL_STATE(10632)] = 507080,
  [SMALL_STATE(10633)] = 507119,
  [SMALL_STATE(10634)] = 507154,
  [SMALL_STATE(10635)] = 507189,
  [SMALL_STATE(10636)] = 507224,
  [SMALL_STATE(10637)] = 507259,
  [SMALL_STATE(10638)] = 507294,
  [SMALL_STATE(10639)] = 507329,
  [SMALL_STATE(10640)] = 507364,
  [SMALL_STATE(10641)] = 507399,
  [SMALL_STATE(10642)] = 507434,
  [SMALL_STATE(10643)] = 507469,
  [SMALL_STATE(10644)] = 507530,
  [SMALL_STATE(10645)] = 507579,
  [SMALL_STATE(10646)] = 507614,
  [SMALL_STATE(10647)] = 507649,
  [SMALL_STATE(10648)] = 507688,
  [SMALL_STATE(10649)] = 507723,
  [SMALL_STATE(10650)] = 507758,
  [SMALL_STATE(10651)] = 507793,
  [SMALL_STATE(10652)] = 507828,
  [SMALL_STATE(10653)] = 507863,
  [SMALL_STATE(10654)] = 507898,
  [SMALL_STATE(10655)] = 507933,
  [SMALL_STATE(10656)] = 507968,
  [SMALL_STATE(10657)] = 508029,
  [SMALL_STATE(10658)] = 508068,
  [SMALL_STATE(10659)] = 508103,
  [SMALL_STATE(10660)] = 508144,
  [SMALL_STATE(10661)] = 508179,
  [SMALL_STATE(10662)] = 508240,
  [SMALL_STATE(10663)] = 508275,
  [SMALL_STATE(10664)] = 508310,
  [SMALL_STATE(10665)] = 508345,
  [SMALL_STATE(10666)] = 508380,
  [SMALL_STATE(10667)] = 508415,
  [SMALL_STATE(10668)] = 508450,
  [SMALL_STATE(10669)] = 508491,
  [SMALL_STATE(10670)] = 508526,
  [SMALL_STATE(10671)] = 508567,
  [SMALL_STATE(10672)] = 508604,
  [SMALL_STATE(10673)] = 508639,
  [SMALL_STATE(10674)] = 508674,
  [SMALL_STATE(10675)] = 508715,
  [SMALL_STATE(10676)] = 508750,
  [SMALL_STATE(10677)] = 508785,
  [SMALL_STATE(10678)] = 508820,
  [SMALL_STATE(10679)] = 508855,
  [SMALL_STATE(10680)] = 508890,
  [SMALL_STATE(10681)] = 508939,
  [SMALL_STATE(10682)] = 508974,
  [SMALL_STATE(10683)] = 509009,
  [SMALL_STATE(10684)] = 509050,
  [SMALL_STATE(10685)] = 509089,
  [SMALL_STATE(10686)] = 509140,
  [SMALL_STATE(10687)] = 509175,
  [SMALL_STATE(10688)] = 509216,
  [SMALL_STATE(10689)] = 509251,
  [SMALL_STATE(10690)] = 509286,
  [SMALL_STATE(10691)] = 509327,
  [SMALL_STATE(10692)] = 509362,
  [SMALL_STATE(10693)] = 509397,
  [SMALL_STATE(10694)] = 509436,
  [SMALL_STATE(10695)] = 509471,
  [SMALL_STATE(10696)] = 509522,
  [SMALL_STATE(10697)] = 509557,
  [SMALL_STATE(10698)] = 509592,
  [SMALL_STATE(10699)] = 509627,
  [SMALL_STATE(10700)] = 509668,
  [SMALL_STATE(10701)] = 509703,
  [SMALL_STATE(10702)] = 509738,
  [SMALL_STATE(10703)] = 509773,
  [SMALL_STATE(10704)] = 509808,
  [SMALL_STATE(10705)] = 509843,
  [SMALL_STATE(10706)] = 509882,
  [SMALL_STATE(10707)] = 509917,
  [SMALL_STATE(10708)] = 509970,
  [SMALL_STATE(10709)] = 510021,
  [SMALL_STATE(10710)] = 510056,
  [SMALL_STATE(10711)] = 510091,
  [SMALL_STATE(10712)] = 510130,
  [SMALL_STATE(10713)] = 510165,
  [SMALL_STATE(10714)] = 510204,
  [SMALL_STATE(10715)] = 510239,
  [SMALL_STATE(10716)] = 510278,
  [SMALL_STATE(10717)] = 510319,
  [SMALL_STATE(10718)] = 510358,
  [SMALL_STATE(10719)] = 510393,
  [SMALL_STATE(10720)] = 510432,
  [SMALL_STATE(10721)] = 510467,
  [SMALL_STATE(10722)] = 510504,
  [SMALL_STATE(10723)] = 510539,
  [SMALL_STATE(10724)] = 510574,
  [SMALL_STATE(10725)] = 510609,
  [SMALL_STATE(10726)] = 510670,
  [SMALL_STATE(10727)] = 510705,
  [SMALL_STATE(10728)] = 510742,
  [SMALL_STATE(10729)] = 510777,
  [SMALL_STATE(10730)] = 510812,
  [SMALL_STATE(10731)] = 510847,
  [SMALL_STATE(10732)] = 510882,
  [SMALL_STATE(10733)] = 510917,
  [SMALL_STATE(10734)] = 510952,
  [SMALL_STATE(10735)] = 510991,
  [SMALL_STATE(10736)] = 511026,
  [SMALL_STATE(10737)] = 511065,
  [SMALL_STATE(10738)] = 511100,
  [SMALL_STATE(10739)] = 511139,
  [SMALL_STATE(10740)] = 511174,
  [SMALL_STATE(10741)] = 511209,
  [SMALL_STATE(10742)] = 511266,
  [SMALL_STATE(10743)] = 511305,
  [SMALL_STATE(10744)] = 511340,
  [SMALL_STATE(10745)] = 511375,
  [SMALL_STATE(10746)] = 511412,
  [SMALL_STATE(10747)] = 511463,
  [SMALL_STATE(10748)] = 511498,
  [SMALL_STATE(10749)] = 511547,
  [SMALL_STATE(10750)] = 511582,
  [SMALL_STATE(10751)] = 511617,
  [SMALL_STATE(10752)] = 511652,
  [SMALL_STATE(10753)] = 511687,
  [SMALL_STATE(10754)] = 511722,
  [SMALL_STATE(10755)] = 511757,
  [SMALL_STATE(10756)] = 511792,
  [SMALL_STATE(10757)] = 511827,
  [SMALL_STATE(10758)] = 511862,
  [SMALL_STATE(10759)] = 511897,
  [SMALL_STATE(10760)] = 511936,
  [SMALL_STATE(10761)] = 511971,
  [SMALL_STATE(10762)] = 512005,
  [SMALL_STATE(10763)] = 512039,
  [SMALL_STATE(10764)] = 512073,
  [SMALL_STATE(10765)] = 512125,
  [SMALL_STATE(10766)] = 512159,
  [SMALL_STATE(10767)] = 512197,
  [SMALL_STATE(10768)] = 512247,
  [SMALL_STATE(10769)] = 512297,
  [SMALL_STATE(10770)] = 512331,
  [SMALL_STATE(10771)] = 512383,
  [SMALL_STATE(10772)] = 512419,
  [SMALL_STATE(10773)] = 512455,
  [SMALL_STATE(10774)] = 512489,
  [SMALL_STATE(10775)] = 512529,
  [SMALL_STATE(10776)] = 512563,
  [SMALL_STATE(10777)] = 512597,
  [SMALL_STATE(10778)] = 512631,
  [SMALL_STATE(10779)] = 512683,
  [SMALL_STATE(10780)] = 512717,
  [SMALL_STATE(10781)] = 512755,
  [SMALL_STATE(10782)] = 512789,
  [SMALL_STATE(10783)] = 512823,
  [SMALL_STATE(10784)] = 512857,
  [SMALL_STATE(10785)] = 512891,
  [SMALL_STATE(10786)] = 512925,
  [SMALL_STATE(10787)] = 512961,
  [SMALL_STATE(10788)] = 512997,
  [SMALL_STATE(10789)] = 513031,
  [SMALL_STATE(10790)] = 513065,
  [SMALL_STATE(10791)] = 513105,
  [SMALL_STATE(10792)] = 513139,
  [SMALL_STATE(10793)] = 513173,
  [SMALL_STATE(10794)] = 513207,
  [SMALL_STATE(10795)] = 513241,
  [SMALL_STATE(10796)] = 513275,
  [SMALL_STATE(10797)] = 513309,
  [SMALL_STATE(10798)] = 513359,
  [SMALL_STATE(10799)] = 513393,
  [SMALL_STATE(10800)] = 513427,
  [SMALL_STATE(10801)] = 513461,
  [SMALL_STATE(10802)] = 513513,
  [SMALL_STATE(10803)] = 513547,
  [SMALL_STATE(10804)] = 513581,
  [SMALL_STATE(10805)] = 513619,
  [SMALL_STATE(10806)] = 513653,
  [SMALL_STATE(10807)] = 513693,
  [SMALL_STATE(10808)] = 513727,
  [SMALL_STATE(10809)] = 513765,
  [SMALL_STATE(10810)] = 513799,
  [SMALL_STATE(10811)] = 513849,
  [SMALL_STATE(10812)] = 513883,
  [SMALL_STATE(10813)] = 513917,
  [SMALL_STATE(10814)] = 513953,
  [SMALL_STATE(10815)] = 514003,
  [SMALL_STATE(10816)] = 514037,
  [SMALL_STATE(10817)] = 514071,
  [SMALL_STATE(10818)] = 514107,
  [SMALL_STATE(10819)] = 514145,
  [SMALL_STATE(10820)] = 514179,
  [SMALL_STATE(10821)] = 514213,
  [SMALL_STATE(10822)] = 514247,
  [SMALL_STATE(10823)] = 514303,
  [SMALL_STATE(10824)] = 514337,
  [SMALL_STATE(10825)] = 514371,
  [SMALL_STATE(10826)] = 514423,
  [SMALL_STATE(10827)] = 514457,
  [SMALL_STATE(10828)] = 514491,
  [SMALL_STATE(10829)] = 514543,
  [SMALL_STATE(10830)] = 514577,
  [SMALL_STATE(10831)] = 514625,
  [SMALL_STATE(10832)] = 514677,
  [SMALL_STATE(10833)] = 514711,
  [SMALL_STATE(10834)] = 514745,
  [SMALL_STATE(10835)] = 514779,
  [SMALL_STATE(10836)] = 514835,
  [SMALL_STATE(10837)] = 514869,
  [SMALL_STATE(10838)] = 514903,
  [SMALL_STATE(10839)] = 514937,
  [SMALL_STATE(10840)] = 514985,
  [SMALL_STATE(10841)] = 515019,
  [SMALL_STATE(10842)] = 515053,
  [SMALL_STATE(10843)] = 515087,
  [SMALL_STATE(10844)] = 515121,
  [SMALL_STATE(10845)] = 515181,
  [SMALL_STATE(10846)] = 515215,
  [SMALL_STATE(10847)] = 515249,
  [SMALL_STATE(10848)] = 515283,
  [SMALL_STATE(10849)] = 515317,
  [SMALL_STATE(10850)] = 515351,
  [SMALL_STATE(10851)] = 515385,
  [SMALL_STATE(10852)] = 515435,
  [SMALL_STATE(10853)] = 515479,
  [SMALL_STATE(10854)] = 515515,
  [SMALL_STATE(10855)] = 515549,
  [SMALL_STATE(10856)] = 515583,
  [SMALL_STATE(10857)] = 515617,
  [SMALL_STATE(10858)] = 515651,
  [SMALL_STATE(10859)] = 515685,
  [SMALL_STATE(10860)] = 515719,
  [SMALL_STATE(10861)] = 515755,
  [SMALL_STATE(10862)] = 515789,
  [SMALL_STATE(10863)] = 515823,
  [SMALL_STATE(10864)] = 515857,
  [SMALL_STATE(10865)] = 515893,
  [SMALL_STATE(10866)] = 515927,
  [SMALL_STATE(10867)] = 515961,
  [SMALL_STATE(10868)] = 516017,
  [SMALL_STATE(10869)] = 516067,
  [SMALL_STATE(10870)] = 516101,
  [SMALL_STATE(10871)] = 516135,
  [SMALL_STATE(10872)] = 516175,
  [SMALL_STATE(10873)] = 516227,
  [SMALL_STATE(10874)] = 516283,
  [SMALL_STATE(10875)] = 516335,
  [SMALL_STATE(10876)] = 516375,
  [SMALL_STATE(10877)] = 516409,
  [SMALL_STATE(10878)] = 516443,
  [SMALL_STATE(10879)] = 516477,
  [SMALL_STATE(10880)] = 516517,
  [SMALL_STATE(10881)] = 516551,
  [SMALL_STATE(10882)] = 516585,
  [SMALL_STATE(10883)] = 516637,
  [SMALL_STATE(10884)] = 516671,
  [SMALL_STATE(10885)] = 516705,
  [SMALL_STATE(10886)] = 516739,
  [SMALL_STATE(10887)] = 516777,
  [SMALL_STATE(10888)] = 516817,
  [SMALL_STATE(10889)] = 516851,
  [SMALL_STATE(10890)] = 516885,
  [SMALL_STATE(10891)] = 516939,
  [SMALL_STATE(10892)] = 516973,
  [SMALL_STATE(10893)] = 517007,
  [SMALL_STATE(10894)] = 517041,
  [SMALL_STATE(10895)] = 517075,
  [SMALL_STATE(10896)] = 517109,
  [SMALL_STATE(10897)] = 517145,
  [SMALL_STATE(10898)] = 517181,
  [SMALL_STATE(10899)] = 517215,
  [SMALL_STATE(10900)] = 517267,
  [SMALL_STATE(10901)] = 517301,
  [SMALL_STATE(10902)] = 517337,
  [SMALL_STATE(10903)] = 517393,
  [SMALL_STATE(10904)] = 517453,
  [SMALL_STATE(10905)] = 517513,
  [SMALL_STATE(10906)] = 517565,
  [SMALL_STATE(10907)] = 517617,
  [SMALL_STATE(10908)] = 517651,
  [SMALL_STATE(10909)] = 517685,
  [SMALL_STATE(10910)] = 517719,
  [SMALL_STATE(10911)] = 517769,
  [SMALL_STATE(10912)] = 517803,
  [SMALL_STATE(10913)] = 517843,
  [SMALL_STATE(10914)] = 517877,
  [SMALL_STATE(10915)] = 517911,
  [SMALL_STATE(10916)] = 517945,
  [SMALL_STATE(10917)] = 517989,
  [SMALL_STATE(10918)] = 518029,
  [SMALL_STATE(10919)] = 518081,
  [SMALL_STATE(10920)] = 518113,
  [SMALL_STATE(10921)] = 518165,
  [SMALL_STATE(10922)] = 518199,
  [SMALL_STATE(10923)] = 518247,
  [SMALL_STATE(10924)] = 518281,
  [SMALL_STATE(10925)] = 518315,
  [SMALL_STATE(10926)] = 518349,
  [SMALL_STATE(10927)] = 518389,
  [SMALL_STATE(10928)] = 518423,
  [SMALL_STATE(10929)] = 518457,
  [SMALL_STATE(10930)] = 518493,
  [SMALL_STATE(10931)] = 518527,
  [SMALL_STATE(10932)] = 518561,
  [SMALL_STATE(10933)] = 518595,
  [SMALL_STATE(10934)] = 518629,
  [SMALL_STATE(10935)] = 518663,
  [SMALL_STATE(10936)] = 518697,
  [SMALL_STATE(10937)] = 518749,
  [SMALL_STATE(10938)] = 518783,
  [SMALL_STATE(10939)] = 518817,
  [SMALL_STATE(10940)] = 518851,
  [SMALL_STATE(10941)] = 518885,
  [SMALL_STATE(10942)] = 518921,
  [SMALL_STATE(10943)] = 518955,
  [SMALL_STATE(10944)] = 518989,
  [SMALL_STATE(10945)] = 519023,
  [SMALL_STATE(10946)] = 519057,
  [SMALL_STATE(10947)] = 519091,
  [SMALL_STATE(10948)] = 519125,
  [SMALL_STATE(10949)] = 519161,
  [SMALL_STATE(10950)] = 519195,
  [SMALL_STATE(10951)] = 519229,
  [SMALL_STATE(10952)] = 519263,
  [SMALL_STATE(10953)] = 519315,
  [SMALL_STATE(10954)] = 519351,
  [SMALL_STATE(10955)] = 519389,
  [SMALL_STATE(10956)] = 519425,
  [SMALL_STATE(10957)] = 519463,
  [SMALL_STATE(10958)] = 519503,
  [SMALL_STATE(10959)] = 519537,
  [SMALL_STATE(10960)] = 519571,
  [SMALL_STATE(10961)] = 519605,
  [SMALL_STATE(10962)] = 519641,
  [SMALL_STATE(10963)] = 519675,
  [SMALL_STATE(10964)] = 519709,
  [SMALL_STATE(10965)] = 519743,
  [SMALL_STATE(10966)] = 519799,
  [SMALL_STATE(10967)] = 519837,
  [SMALL_STATE(10968)] = 519871,
  [SMALL_STATE(10969)] = 519905,
  [SMALL_STATE(10970)] = 519955,
  [SMALL_STATE(10971)] = 520005,
  [SMALL_STATE(10972)] = 520039,
  [SMALL_STATE(10973)] = 520075,
  [SMALL_STATE(10974)] = 520109,
  [SMALL_STATE(10975)] = 520143,
  [SMALL_STATE(10976)] = 520195,
  [SMALL_STATE(10977)] = 520243,
  [SMALL_STATE(10978)] = 520277,
  [SMALL_STATE(10979)] = 520311,
  [SMALL_STATE(10980)] = 520345,
  [SMALL_STATE(10981)] = 520381,
  [SMALL_STATE(10982)] = 520417,
  [SMALL_STATE(10983)] = 520469,
  [SMALL_STATE(10984)] = 520503,
  [SMALL_STATE(10985)] = 520553,
  [SMALL_STATE(10986)] = 520587,
  [SMALL_STATE(10987)] = 520643,
  [SMALL_STATE(10988)] = 520683,
  [SMALL_STATE(10989)] = 520719,
  [SMALL_STATE(10990)] = 520753,
  [SMALL_STATE(10991)] = 520787,
  [SMALL_STATE(10992)] = 520821,
  [SMALL_STATE(10993)] = 520855,
  [SMALL_STATE(10994)] = 520889,
  [SMALL_STATE(10995)] = 520923,
  [SMALL_STATE(10996)] = 520957,
  [SMALL_STATE(10997)] = 520991,
  [SMALL_STATE(10998)] = 521025,
  [SMALL_STATE(10999)] = 521059,
  [SMALL_STATE(11000)] = 521093,
  [SMALL_STATE(11001)] = 521141,
  [SMALL_STATE(11002)] = 521175,
  [SMALL_STATE(11003)] = 521209,
  [SMALL_STATE(11004)] = 521243,
  [SMALL_STATE(11005)] = 521295,
  [SMALL_STATE(11006)] = 521335,
  [SMALL_STATE(11007)] = 521387,
  [SMALL_STATE(11008)] = 521425,
  [SMALL_STATE(11009)] = 521459,
  [SMALL_STATE(11010)] = 521495,
  [SMALL_STATE(11011)] = 521529,
  [SMALL_STATE(11012)] = 521563,
  [SMALL_STATE(11013)] = 521597,
  [SMALL_STATE(11014)] = 521631,
  [SMALL_STATE(11015)] = 521665,
  [SMALL_STATE(11016)] = 521699,
  [SMALL_STATE(11017)] = 521733,
  [SMALL_STATE(11018)] = 521771,
  [SMALL_STATE(11019)] = 521827,
  [SMALL_STATE(11020)] = 521863,
  [SMALL_STATE(11021)] = 521897,
  [SMALL_STATE(11022)] = 521931,
  [SMALL_STATE(11023)] = 521965,
  [SMALL_STATE(11024)] = 522005,
  [SMALL_STATE(11025)] = 522039,
  [SMALL_STATE(11026)] = 522077,
  [SMALL_STATE(11027)] = 522111,
  [SMALL_STATE(11028)] = 522163,
  [SMALL_STATE(11029)] = 522197,
  [SMALL_STATE(11030)] = 522249,
  [SMALL_STATE(11031)] = 522301,
  [SMALL_STATE(11032)] = 522335,
  [SMALL_STATE(11033)] = 522391,
  [SMALL_STATE(11034)] = 522431,
  [SMALL_STATE(11035)] = 522477,
  [SMALL_STATE(11036)] = 522521,
  [SMALL_STATE(11037)] = 522555,
  [SMALL_STATE(11038)] = 522607,
  [SMALL_STATE(11039)] = 522641,
  [SMALL_STATE(11040)] = 522691,
  [SMALL_STATE(11041)] = 522725,
  [SMALL_STATE(11042)] = 522765,
  [SMALL_STATE(11043)] = 522799,
  [SMALL_STATE(11044)] = 522859,
  [SMALL_STATE(11045)] = 522893,
  [SMALL_STATE(11046)] = 522927,
  [SMALL_STATE(11047)] = 522961,
  [SMALL_STATE(11048)] = 522995,
  [SMALL_STATE(11049)] = 523029,
  [SMALL_STATE(11050)] = 523063,
  [SMALL_STATE(11051)] = 523099,
  [SMALL_STATE(11052)] = 523133,
  [SMALL_STATE(11053)] = 523167,
  [SMALL_STATE(11054)] = 523203,
  [SMALL_STATE(11055)] = 523237,
  [SMALL_STATE(11056)] = 523275,
  [SMALL_STATE(11057)] = 523309,
  [SMALL_STATE(11058)] = 523343,
  [SMALL_STATE(11059)] = 523377,
  [SMALL_STATE(11060)] = 523411,
  [SMALL_STATE(11061)] = 523445,
  [SMALL_STATE(11062)] = 523479,
  [SMALL_STATE(11063)] = 523513,
  [SMALL_STATE(11064)] = 523547,
  [SMALL_STATE(11065)] = 523581,
  [SMALL_STATE(11066)] = 523615,
  [SMALL_STATE(11067)] = 523649,
  [SMALL_STATE(11068)] = 523701,
  [SMALL_STATE(11069)] = 523735,
  [SMALL_STATE(11070)] = 523769,
  [SMALL_STATE(11071)] = 523803,
  [SMALL_STATE(11072)] = 523863,
  [SMALL_STATE(11073)] = 523913,
  [SMALL_STATE(11074)] = 523963,
  [SMALL_STATE(11075)] = 523997,
  [SMALL_STATE(11076)] = 524047,
  [SMALL_STATE(11077)] = 524081,
  [SMALL_STATE(11078)] = 524129,
  [SMALL_STATE(11079)] = 524165,
  [SMALL_STATE(11080)] = 524199,
  [SMALL_STATE(11081)] = 524233,
  [SMALL_STATE(11082)] = 524269,
  [SMALL_STATE(11083)] = 524321,
  [SMALL_STATE(11084)] = 524373,
  [SMALL_STATE(11085)] = 524407,
  [SMALL_STATE(11086)] = 524459,
  [SMALL_STATE(11087)] = 524493,
  [SMALL_STATE(11088)] = 524543,
  [SMALL_STATE(11089)] = 524577,
  [SMALL_STATE(11090)] = 524611,
  [SMALL_STATE(11091)] = 524645,
  [SMALL_STATE(11092)] = 524679,
  [SMALL_STATE(11093)] = 524713,
  [SMALL_STATE(11094)] = 524747,
  [SMALL_STATE(11095)] = 524781,
  [SMALL_STATE(11096)] = 524815,
  [SMALL_STATE(11097)] = 524849,
  [SMALL_STATE(11098)] = 524883,
  [SMALL_STATE(11099)] = 524933,
  [SMALL_STATE(11100)] = 524967,
  [SMALL_STATE(11101)] = 525001,
  [SMALL_STATE(11102)] = 525041,
  [SMALL_STATE(11103)] = 525075,
  [SMALL_STATE(11104)] = 525109,
  [SMALL_STATE(11105)] = 525143,
  [SMALL_STATE(11106)] = 525177,
  [SMALL_STATE(11107)] = 525211,
  [SMALL_STATE(11108)] = 525260,
  [SMALL_STATE(11109)] = 525293,
  [SMALL_STATE(11110)] = 525326,
  [SMALL_STATE(11111)] = 525375,
  [SMALL_STATE(11112)] = 525424,
  [SMALL_STATE(11113)] = 525457,
  [SMALL_STATE(11114)] = 525512,
  [SMALL_STATE(11115)] = 525559,
  [SMALL_STATE(11116)] = 525592,
  [SMALL_STATE(11117)] = 525625,
  [SMALL_STATE(11118)] = 525658,
  [SMALL_STATE(11119)] = 525707,
  [SMALL_STATE(11120)] = 525746,
  [SMALL_STATE(11121)] = 525785,
  [SMALL_STATE(11122)] = 525818,
  [SMALL_STATE(11123)] = 525873,
  [SMALL_STATE(11124)] = 525910,
  [SMALL_STATE(11125)] = 525943,
  [SMALL_STATE(11126)] = 525998,
  [SMALL_STATE(11127)] = 526031,
  [SMALL_STATE(11128)] = 526064,
  [SMALL_STATE(11129)] = 526097,
  [SMALL_STATE(11130)] = 526130,
  [SMALL_STATE(11131)] = 526177,
  [SMALL_STATE(11132)] = 526214,
  [SMALL_STATE(11133)] = 526247,
  [SMALL_STATE(11134)] = 526280,
  [SMALL_STATE(11135)] = 526313,
  [SMALL_STATE(11136)] = 526346,
  [SMALL_STATE(11137)] = 526379,
  [SMALL_STATE(11138)] = 526428,
  [SMALL_STATE(11139)] = 526465,
  [SMALL_STATE(11140)] = 526502,
  [SMALL_STATE(11141)] = 526535,
  [SMALL_STATE(11142)] = 526568,
  [SMALL_STATE(11143)] = 526601,
  [SMALL_STATE(11144)] = 526648,
  [SMALL_STATE(11145)] = 526681,
  [SMALL_STATE(11146)] = 526714,
  [SMALL_STATE(11147)] = 526761,
  [SMALL_STATE(11148)] = 526794,
  [SMALL_STATE(11149)] = 526827,
  [SMALL_STATE(11150)] = 526860,
  [SMALL_STATE(11151)] = 526893,
  [SMALL_STATE(11152)] = 526926,
  [SMALL_STATE(11153)] = 526959,
  [SMALL_STATE(11154)] = 526992,
  [SMALL_STATE(11155)] = 527029,
  [SMALL_STATE(11156)] = 527068,
  [SMALL_STATE(11157)] = 527117,
  [SMALL_STATE(11158)] = 527150,
  [SMALL_STATE(11159)] = 527197,
  [SMALL_STATE(11160)] = 527252,
  [SMALL_STATE(11161)] = 527291,
  [SMALL_STATE(11162)] = 527326,
  [SMALL_STATE(11163)] = 527369,
  [SMALL_STATE(11164)] = 527402,
  [SMALL_STATE(11165)] = 527435,
  [SMALL_STATE(11166)] = 527482,
  [SMALL_STATE(11167)] = 527515,
  [SMALL_STATE(11168)] = 527548,
  [SMALL_STATE(11169)] = 527581,
  [SMALL_STATE(11170)] = 527614,
  [SMALL_STATE(11171)] = 527649,
  [SMALL_STATE(11172)] = 527682,
  [SMALL_STATE(11173)] = 527729,
  [SMALL_STATE(11174)] = 527764,
  [SMALL_STATE(11175)] = 527797,
  [SMALL_STATE(11176)] = 527830,
  [SMALL_STATE(11177)] = 527863,
  [SMALL_STATE(11178)] = 527896,
  [SMALL_STATE(11179)] = 527939,
  [SMALL_STATE(11180)] = 527972,
  [SMALL_STATE(11181)] = 528005,
  [SMALL_STATE(11182)] = 528038,
  [SMALL_STATE(11183)] = 528071,
  [SMALL_STATE(11184)] = 528104,
  [SMALL_STATE(11185)] = 528137,
  [SMALL_STATE(11186)] = 528170,
  [SMALL_STATE(11187)] = 528203,
  [SMALL_STATE(11188)] = 528236,
  [SMALL_STATE(11189)] = 528269,
  [SMALL_STATE(11190)] = 528306,
  [SMALL_STATE(11191)] = 528339,
  [SMALL_STATE(11192)] = 528390,
  [SMALL_STATE(11193)] = 528439,
  [SMALL_STATE(11194)] = 528472,
  [SMALL_STATE(11195)] = 528527,
  [SMALL_STATE(11196)] = 528574,
  [SMALL_STATE(11197)] = 528621,
  [SMALL_STATE(11198)] = 528654,
  [SMALL_STATE(11199)] = 528691,
  [SMALL_STATE(11200)] = 528724,
  [SMALL_STATE(11201)] = 528757,
  [SMALL_STATE(11202)] = 528790,
  [SMALL_STATE(11203)] = 528829,
  [SMALL_STATE(11204)] = 528862,
  [SMALL_STATE(11205)] = 528895,
  [SMALL_STATE(11206)] = 528932,
  [SMALL_STATE(11207)] = 528975,
  [SMALL_STATE(11208)] = 529008,
  [SMALL_STATE(11209)] = 529041,
  [SMALL_STATE(11210)] = 529074,
  [SMALL_STATE(11211)] = 529107,
  [SMALL_STATE(11212)] = 529140,
  [SMALL_STATE(11213)] = 529173,
  [SMALL_STATE(11214)] = 529206,
  [SMALL_STATE(11215)] = 529253,
  [SMALL_STATE(11216)] = 529308,
  [SMALL_STATE(11217)] = 529345,
  [SMALL_STATE(11218)] = 529384,
  [SMALL_STATE(11219)] = 529419,
  [SMALL_STATE(11220)] = 529452,
  [SMALL_STATE(11221)] = 529491,
  [SMALL_STATE(11222)] = 529528,
  [SMALL_STATE(11223)] = 529561,
  [SMALL_STATE(11224)] = 529594,
  [SMALL_STATE(11225)] = 529649,
  [SMALL_STATE(11226)] = 529682,
  [SMALL_STATE(11227)] = 529719,
  [SMALL_STATE(11228)] = 529752,
  [SMALL_STATE(11229)] = 529801,
  [SMALL_STATE(11230)] = 529834,
  [SMALL_STATE(11231)] = 529867,
  [SMALL_STATE(11232)] = 529914,
  [SMALL_STATE(11233)] = 529947,
  [SMALL_STATE(11234)] = 530002,
  [SMALL_STATE(11235)] = 530035,
  [SMALL_STATE(11236)] = 530072,
  [SMALL_STATE(11237)] = 530121,
  [SMALL_STATE(11238)] = 530154,
  [SMALL_STATE(11239)] = 530187,
  [SMALL_STATE(11240)] = 530226,
  [SMALL_STATE(11241)] = 530259,
  [SMALL_STATE(11242)] = 530306,
  [SMALL_STATE(11243)] = 530339,
  [SMALL_STATE(11244)] = 530386,
  [SMALL_STATE(11245)] = 530419,
  [SMALL_STATE(11246)] = 530456,
  [SMALL_STATE(11247)] = 530505,
  [SMALL_STATE(11248)] = 530560,
  [SMALL_STATE(11249)] = 530597,
  [SMALL_STATE(11250)] = 530644,
  [SMALL_STATE(11251)] = 530691,
  [SMALL_STATE(11252)] = 530724,
  [SMALL_STATE(11253)] = 530763,
  [SMALL_STATE(11254)] = 530818,
  [SMALL_STATE(11255)] = 530851,
  [SMALL_STATE(11256)] = 530884,
  [SMALL_STATE(11257)] = 530939,
  [SMALL_STATE(11258)] = 530972,
  [SMALL_STATE(11259)] = 531005,
  [SMALL_STATE(11260)] = 531060,
  [SMALL_STATE(11261)] = 531107,
  [SMALL_STATE(11262)] = 531154,
  [SMALL_STATE(11263)] = 531187,
  [SMALL_STATE(11264)] = 531220,
  [SMALL_STATE(11265)] = 531253,
  [SMALL_STATE(11266)] = 531308,
  [SMALL_STATE(11267)] = 531341,
  [SMALL_STATE(11268)] = 531396,
  [SMALL_STATE(11269)] = 531447,
  [SMALL_STATE(11270)] = 531480,
  [SMALL_STATE(11271)] = 531513,
  [SMALL_STATE(11272)] = 531548,
  [SMALL_STATE(11273)] = 531587,
  [SMALL_STATE(11274)] = 531642,
  [SMALL_STATE(11275)] = 531675,
  [SMALL_STATE(11276)] = 531708,
  [SMALL_STATE(11277)] = 531747,
  [SMALL_STATE(11278)] = 531780,
  [SMALL_STATE(11279)] = 531813,
  [SMALL_STATE(11280)] = 531860,
  [SMALL_STATE(11281)] = 531893,
  [SMALL_STATE(11282)] = 531930,
  [SMALL_STATE(11283)] = 531967,
  [SMALL_STATE(11284)] = 532000,
  [SMALL_STATE(11285)] = 532037,
  [SMALL_STATE(11286)] = 532070,
  [SMALL_STATE(11287)] = 532119,
  [SMALL_STATE(11288)] = 532152,
  [SMALL_STATE(11289)] = 532199,
  [SMALL_STATE(11290)] = 532248,
  [SMALL_STATE(11291)] = 532299,
  [SMALL_STATE(11292)] = 532336,
  [SMALL_STATE(11293)] = 532391,
  [SMALL_STATE(11294)] = 532424,
  [SMALL_STATE(11295)] = 532457,
  [SMALL_STATE(11296)] = 532511,
  [SMALL_STATE(11297)] = 532549,
  [SMALL_STATE(11298)] = 532587,
  [SMALL_STATE(11299)] = 532629,
  [SMALL_STATE(11300)] = 532665,
  [SMALL_STATE(11301)] = 532697,
  [SMALL_STATE(11302)] = 532729,
  [SMALL_STATE(11303)] = 532763,
  [SMALL_STATE(11304)] = 532795,
  [SMALL_STATE(11305)] = 532843,
  [SMALL_STATE(11306)] = 532893,
  [SMALL_STATE(11307)] = 532939,
  [SMALL_STATE(11308)] = 532971,
  [SMALL_STATE(11309)] = 533013,
  [SMALL_STATE(11310)] = 533045,
  [SMALL_STATE(11311)] = 533077,
  [SMALL_STATE(11312)] = 533131,
  [SMALL_STATE(11313)] = 533167,
  [SMALL_STATE(11314)] = 533219,
  [SMALL_STATE(11315)] = 533273,
  [SMALL_STATE(11316)] = 533305,
  [SMALL_STATE(11317)] = 533357,
  [SMALL_STATE(11318)] = 533389,
  [SMALL_STATE(11319)] = 533443,
  [SMALL_STATE(11320)] = 533475,
  [SMALL_STATE(11321)] = 533529,
  [SMALL_STATE(11322)] = 533561,
  [SMALL_STATE(11323)] = 533593,
  [SMALL_STATE(11324)] = 533625,
  [SMALL_STATE(11325)] = 533657,
  [SMALL_STATE(11326)] = 533711,
  [SMALL_STATE(11327)] = 533765,
  [SMALL_STATE(11328)] = 533815,
  [SMALL_STATE(11329)] = 533845,
  [SMALL_STATE(11330)] = 533893,
  [SMALL_STATE(11331)] = 533923,
  [SMALL_STATE(11332)] = 533977,
  [SMALL_STATE(11333)] = 534009,
  [SMALL_STATE(11334)] = 534063,
  [SMALL_STATE(11335)] = 534117,
  [SMALL_STATE(11336)] = 534171,
  [SMALL_STATE(11337)] = 534225,
  [SMALL_STATE(11338)] = 534279,
  [SMALL_STATE(11339)] = 534333,
  [SMALL_STATE(11340)] = 534363,
  [SMALL_STATE(11341)] = 534417,
  [SMALL_STATE(11342)] = 534449,
  [SMALL_STATE(11343)] = 534503,
  [SMALL_STATE(11344)] = 534535,
  [SMALL_STATE(11345)] = 534589,
  [SMALL_STATE(11346)] = 534643,
  [SMALL_STATE(11347)] = 534697,
  [SMALL_STATE(11348)] = 534751,
  [SMALL_STATE(11349)] = 534783,
  [SMALL_STATE(11350)] = 534833,
  [SMALL_STATE(11351)] = 534865,
  [SMALL_STATE(11352)] = 534897,
  [SMALL_STATE(11353)] = 534929,
  [SMALL_STATE(11354)] = 534959,
  [SMALL_STATE(11355)] = 534995,
  [SMALL_STATE(11356)] = 535045,
  [SMALL_STATE(11357)] = 535075,
  [SMALL_STATE(11358)] = 535125,
  [SMALL_STATE(11359)] = 535165,
  [SMALL_STATE(11360)] = 535197,
  [SMALL_STATE(11361)] = 535243,
  [SMALL_STATE(11362)] = 535275,
  [SMALL_STATE(11363)] = 535307,
  [SMALL_STATE(11364)] = 535337,
  [SMALL_STATE(11365)] = 535369,
  [SMALL_STATE(11366)] = 535401,
  [SMALL_STATE(11367)] = 535433,
  [SMALL_STATE(11368)] = 535465,
  [SMALL_STATE(11369)] = 535495,
  [SMALL_STATE(11370)] = 535527,
  [SMALL_STATE(11371)] = 535559,
  [SMALL_STATE(11372)] = 535607,
  [SMALL_STATE(11373)] = 535639,
  [SMALL_STATE(11374)] = 535669,
  [SMALL_STATE(11375)] = 535701,
  [SMALL_STATE(11376)] = 535733,
  [SMALL_STATE(11377)] = 535765,
  [SMALL_STATE(11378)] = 535817,
  [SMALL_STATE(11379)] = 535849,
  [SMALL_STATE(11380)] = 535881,
  [SMALL_STATE(11381)] = 535913,
  [SMALL_STATE(11382)] = 535959,
  [SMALL_STATE(11383)] = 535991,
  [SMALL_STATE(11384)] = 536023,
  [SMALL_STATE(11385)] = 536055,
  [SMALL_STATE(11386)] = 536101,
  [SMALL_STATE(11387)] = 536133,
  [SMALL_STATE(11388)] = 536165,
  [SMALL_STATE(11389)] = 536197,
  [SMALL_STATE(11390)] = 536229,
  [SMALL_STATE(11391)] = 536259,
  [SMALL_STATE(11392)] = 536289,
  [SMALL_STATE(11393)] = 536321,
  [SMALL_STATE(11394)] = 536357,
  [SMALL_STATE(11395)] = 536395,
  [SMALL_STATE(11396)] = 536427,
  [SMALL_STATE(11397)] = 536459,
  [SMALL_STATE(11398)] = 536491,
  [SMALL_STATE(11399)] = 536525,
  [SMALL_STATE(11400)] = 536557,
  [SMALL_STATE(11401)] = 536589,
  [SMALL_STATE(11402)] = 536621,
  [SMALL_STATE(11403)] = 536653,
  [SMALL_STATE(11404)] = 536685,
  [SMALL_STATE(11405)] = 536717,
  [SMALL_STATE(11406)] = 536755,
  [SMALL_STATE(11407)] = 536787,
  [SMALL_STATE(11408)] = 536819,
  [SMALL_STATE(11409)] = 536855,
  [SMALL_STATE(11410)] = 536885,
  [SMALL_STATE(11411)] = 536915,
  [SMALL_STATE(11412)] = 536945,
  [SMALL_STATE(11413)] = 536977,
  [SMALL_STATE(11414)] = 537009,
  [SMALL_STATE(11415)] = 537041,
  [SMALL_STATE(11416)] = 537077,
  [SMALL_STATE(11417)] = 537113,
  [SMALL_STATE(11418)] = 537161,
  [SMALL_STATE(11419)] = 537197,
  [SMALL_STATE(11420)] = 537233,
  [SMALL_STATE(11421)] = 537275,
  [SMALL_STATE(11422)] = 537307,
  [SMALL_STATE(11423)] = 537339,
  [SMALL_STATE(11424)] = 537371,
  [SMALL_STATE(11425)] = 537403,
  [SMALL_STATE(11426)] = 537445,
  [SMALL_STATE(11427)] = 537477,
  [SMALL_STATE(11428)] = 537507,
  [SMALL_STATE(11429)] = 537537,
  [SMALL_STATE(11430)] = 537567,
  [SMALL_STATE(11431)] = 537599,
  [SMALL_STATE(11432)] = 537629,
  [SMALL_STATE(11433)] = 537661,
  [SMALL_STATE(11434)] = 537693,
  [SMALL_STATE(11435)] = 537725,
  [SMALL_STATE(11436)] = 537757,
  [SMALL_STATE(11437)] = 537789,
  [SMALL_STATE(11438)] = 537821,
  [SMALL_STATE(11439)] = 537853,
  [SMALL_STATE(11440)] = 537885,
  [SMALL_STATE(11441)] = 537917,
  [SMALL_STATE(11442)] = 537955,
  [SMALL_STATE(11443)] = 537987,
  [SMALL_STATE(11444)] = 538041,
  [SMALL_STATE(11445)] = 538071,
  [SMALL_STATE(11446)] = 538101,
  [SMALL_STATE(11447)] = 538133,
  [SMALL_STATE(11448)] = 538163,
  [SMALL_STATE(11449)] = 538195,
  [SMALL_STATE(11450)] = 538227,
  [SMALL_STATE(11451)] = 538259,
  [SMALL_STATE(11452)] = 538291,
  [SMALL_STATE(11453)] = 538323,
  [SMALL_STATE(11454)] = 538355,
  [SMALL_STATE(11455)] = 538387,
  [SMALL_STATE(11456)] = 538419,
  [SMALL_STATE(11457)] = 538449,
  [SMALL_STATE(11458)] = 538481,
  [SMALL_STATE(11459)] = 538511,
  [SMALL_STATE(11460)] = 538543,
  [SMALL_STATE(11461)] = 538575,
  [SMALL_STATE(11462)] = 538605,
  [SMALL_STATE(11463)] = 538635,
  [SMALL_STATE(11464)] = 538665,
  [SMALL_STATE(11465)] = 538695,
  [SMALL_STATE(11466)] = 538727,
  [SMALL_STATE(11467)] = 538763,
  [SMALL_STATE(11468)] = 538795,
  [SMALL_STATE(11469)] = 538827,
  [SMALL_STATE(11470)] = 538859,
  [SMALL_STATE(11471)] = 538891,
  [SMALL_STATE(11472)] = 538933,
  [SMALL_STATE(11473)] = 538965,
  [SMALL_STATE(11474)] = 538997,
  [SMALL_STATE(11475)] = 539029,
  [SMALL_STATE(11476)] = 539061,
  [SMALL_STATE(11477)] = 539093,
  [SMALL_STATE(11478)] = 539125,
  [SMALL_STATE(11479)] = 539175,
  [SMALL_STATE(11480)] = 539207,
  [SMALL_STATE(11481)] = 539257,
  [SMALL_STATE(11482)] = 539289,
  [SMALL_STATE(11483)] = 539321,
  [SMALL_STATE(11484)] = 539371,
  [SMALL_STATE(11485)] = 539421,
  [SMALL_STATE(11486)] = 539451,
  [SMALL_STATE(11487)] = 539483,
  [SMALL_STATE(11488)] = 539521,
  [SMALL_STATE(11489)] = 539559,
  [SMALL_STATE(11490)] = 539591,
  [SMALL_STATE(11491)] = 539623,
  [SMALL_STATE(11492)] = 539655,
  [SMALL_STATE(11493)] = 539687,
  [SMALL_STATE(11494)] = 539737,
  [SMALL_STATE(11495)] = 539787,
  [SMALL_STATE(11496)] = 539819,
  [SMALL_STATE(11497)] = 539851,
  [SMALL_STATE(11498)] = 539901,
  [SMALL_STATE(11499)] = 539933,
  [SMALL_STATE(11500)] = 539983,
  [SMALL_STATE(11501)] = 540015,
  [SMALL_STATE(11502)] = 540047,
  [SMALL_STATE(11503)] = 540099,
  [SMALL_STATE(11504)] = 540131,
  [SMALL_STATE(11505)] = 540163,
  [SMALL_STATE(11506)] = 540195,
  [SMALL_STATE(11507)] = 540247,
  [SMALL_STATE(11508)] = 540279,
  [SMALL_STATE(11509)] = 540309,
  [SMALL_STATE(11510)] = 540339,
  [SMALL_STATE(11511)] = 540377,
  [SMALL_STATE(11512)] = 540409,
  [SMALL_STATE(11513)] = 540447,
  [SMALL_STATE(11514)] = 540495,
  [SMALL_STATE(11515)] = 540543,
  [SMALL_STATE(11516)] = 540581,
  [SMALL_STATE(11517)] = 540613,
  [SMALL_STATE(11518)] = 540645,
  [SMALL_STATE(11519)] = 540683,
  [SMALL_STATE(11520)] = 540715,
  [SMALL_STATE(11521)] = 540747,
  [SMALL_STATE(11522)] = 540779,
  [SMALL_STATE(11523)] = 540811,
  [SMALL_STATE(11524)] = 540843,
  [SMALL_STATE(11525)] = 540875,
  [SMALL_STATE(11526)] = 540907,
  [SMALL_STATE(11527)] = 540939,
  [SMALL_STATE(11528)] = 540971,
  [SMALL_STATE(11529)] = 541003,
  [SMALL_STATE(11530)] = 541033,
  [SMALL_STATE(11531)] = 541065,
  [SMALL_STATE(11532)] = 541101,
  [SMALL_STATE(11533)] = 541133,
  [SMALL_STATE(11534)] = 541169,
  [SMALL_STATE(11535)] = 541201,
  [SMALL_STATE(11536)] = 541233,
  [SMALL_STATE(11537)] = 541265,
  [SMALL_STATE(11538)] = 541297,
  [SMALL_STATE(11539)] = 541329,
  [SMALL_STATE(11540)] = 541367,
  [SMALL_STATE(11541)] = 541399,
  [SMALL_STATE(11542)] = 541431,
  [SMALL_STATE(11543)] = 541463,
  [SMALL_STATE(11544)] = 541495,
  [SMALL_STATE(11545)] = 541527,
  [SMALL_STATE(11546)] = 541559,
  [SMALL_STATE(11547)] = 541591,
  [SMALL_STATE(11548)] = 541623,
  [SMALL_STATE(11549)] = 541655,
  [SMALL_STATE(11550)] = 541687,
  [SMALL_STATE(11551)] = 541719,
  [SMALL_STATE(11552)] = 541751,
  [SMALL_STATE(11553)] = 541783,
  [SMALL_STATE(11554)] = 541815,
  [SMALL_STATE(11555)] = 541847,
  [SMALL_STATE(11556)] = 541885,
  [SMALL_STATE(11557)] = 541917,
  [SMALL_STATE(11558)] = 541949,
  [SMALL_STATE(11559)] = 541981,
  [SMALL_STATE(11560)] = 542013,
  [SMALL_STATE(11561)] = 542045,
  [SMALL_STATE(11562)] = 542077,
  [SMALL_STATE(11563)] = 542109,
  [SMALL_STATE(11564)] = 542141,
  [SMALL_STATE(11565)] = 542173,
  [SMALL_STATE(11566)] = 542205,
  [SMALL_STATE(11567)] = 542237,
  [SMALL_STATE(11568)] = 542269,
  [SMALL_STATE(11569)] = 542301,
  [SMALL_STATE(11570)] = 542333,
  [SMALL_STATE(11571)] = 542365,
  [SMALL_STATE(11572)] = 542397,
  [SMALL_STATE(11573)] = 542451,
  [SMALL_STATE(11574)] = 542483,
  [SMALL_STATE(11575)] = 542515,
  [SMALL_STATE(11576)] = 542547,
  [SMALL_STATE(11577)] = 542601,
  [SMALL_STATE(11578)] = 542633,
  [SMALL_STATE(11579)] = 542669,
  [SMALL_STATE(11580)] = 542701,
  [SMALL_STATE(11581)] = 542755,
  [SMALL_STATE(11582)] = 542787,
  [SMALL_STATE(11583)] = 542819,
  [SMALL_STATE(11584)] = 542849,
  [SMALL_STATE(11585)] = 542879,
  [SMALL_STATE(11586)] = 542915,
  [SMALL_STATE(11587)] = 542949,
  [SMALL_STATE(11588)] = 542985,
  [SMALL_STATE(11589)] = 543037,
  [SMALL_STATE(11590)] = 543091,
  [SMALL_STATE(11591)] = 543143,
  [SMALL_STATE(11592)] = 543197,
  [SMALL_STATE(11593)] = 543229,
  [SMALL_STATE(11594)] = 543281,
  [SMALL_STATE(11595)] = 543313,
  [SMALL_STATE(11596)] = 543345,
  [SMALL_STATE(11597)] = 543387,
  [SMALL_STATE(11598)] = 543421,
  [SMALL_STATE(11599)] = 543463,
  [SMALL_STATE(11600)] = 543517,
  [SMALL_STATE(11601)] = 543571,
  [SMALL_STATE(11602)] = 543621,
  [SMALL_STATE(11603)] = 543667,
  [SMALL_STATE(11604)] = 543717,
  [SMALL_STATE(11605)] = 543767,
  [SMALL_STATE(11606)] = 543821,
  [SMALL_STATE(11607)] = 543875,
  [SMALL_STATE(11608)] = 543921,
  [SMALL_STATE(11609)] = 543952,
  [SMALL_STATE(11610)] = 543983,
  [SMALL_STATE(11611)] = 544014,
  [SMALL_STATE(11612)] = 544043,
  [SMALL_STATE(11613)] = 544074,
  [SMALL_STATE(11614)] = 544105,
  [SMALL_STATE(11615)] = 544150,
  [SMALL_STATE(11616)] = 544199,
  [SMALL_STATE(11617)] = 544248,
  [SMALL_STATE(11618)] = 544297,
  [SMALL_STATE(11619)] = 544346,
  [SMALL_STATE(11620)] = 544395,
  [SMALL_STATE(11621)] = 544436,
  [SMALL_STATE(11622)] = 544485,
  [SMALL_STATE(11623)] = 544534,
  [SMALL_STATE(11624)] = 544579,
  [SMALL_STATE(11625)] = 544610,
  [SMALL_STATE(11626)] = 544645,
  [SMALL_STATE(11627)] = 544680,
  [SMALL_STATE(11628)] = 544729,
  [SMALL_STATE(11629)] = 544762,
  [SMALL_STATE(11630)] = 544811,
  [SMALL_STATE(11631)] = 544860,
  [SMALL_STATE(11632)] = 544909,
  [SMALL_STATE(11633)] = 544944,
  [SMALL_STATE(11634)] = 544979,
  [SMALL_STATE(11635)] = 545028,
  [SMALL_STATE(11636)] = 545059,
  [SMALL_STATE(11637)] = 545110,
  [SMALL_STATE(11638)] = 545141,
  [SMALL_STATE(11639)] = 545174,
  [SMALL_STATE(11640)] = 545205,
  [SMALL_STATE(11641)] = 545234,
  [SMALL_STATE(11642)] = 545265,
  [SMALL_STATE(11643)] = 545312,
  [SMALL_STATE(11644)] = 545343,
  [SMALL_STATE(11645)] = 545374,
  [SMALL_STATE(11646)] = 545405,
  [SMALL_STATE(11647)] = 545454,
  [SMALL_STATE(11648)] = 545503,
  [SMALL_STATE(11649)] = 545532,
  [SMALL_STATE(11650)] = 545581,
  [SMALL_STATE(11651)] = 545610,
  [SMALL_STATE(11652)] = 545659,
  [SMALL_STATE(11653)] = 545700,
  [SMALL_STATE(11654)] = 545729,
  [SMALL_STATE(11655)] = 545758,
  [SMALL_STATE(11656)] = 545787,
  [SMALL_STATE(11657)] = 545818,
  [SMALL_STATE(11658)] = 545847,
  [SMALL_STATE(11659)] = 545876,
  [SMALL_STATE(11660)] = 545905,
  [SMALL_STATE(11661)] = 545934,
  [SMALL_STATE(11662)] = 545963,
  [SMALL_STATE(11663)] = 545994,
  [SMALL_STATE(11664)] = 546029,
  [SMALL_STATE(11665)] = 546064,
  [SMALL_STATE(11666)] = 546095,
  [SMALL_STATE(11667)] = 546126,
  [SMALL_STATE(11668)] = 546173,
  [SMALL_STATE(11669)] = 546204,
  [SMALL_STATE(11670)] = 546235,
  [SMALL_STATE(11671)] = 546266,
  [SMALL_STATE(11672)] = 546301,
  [SMALL_STATE(11673)] = 546332,
  [SMALL_STATE(11674)] = 546363,
  [SMALL_STATE(11675)] = 546394,
  [SMALL_STATE(11676)] = 546429,
  [SMALL_STATE(11677)] = 546460,
  [SMALL_STATE(11678)] = 546495,
  [SMALL_STATE(11679)] = 546526,
  [SMALL_STATE(11680)] = 546559,
  [SMALL_STATE(11681)] = 546606,
  [SMALL_STATE(11682)] = 546647,
  [SMALL_STATE(11683)] = 546684,
  [SMALL_STATE(11684)] = 546719,
  [SMALL_STATE(11685)] = 546752,
  [SMALL_STATE(11686)] = 546783,
  [SMALL_STATE(11687)] = 546814,
  [SMALL_STATE(11688)] = 546845,
  [SMALL_STATE(11689)] = 546876,
  [SMALL_STATE(11690)] = 546907,
  [SMALL_STATE(11691)] = 546938,
  [SMALL_STATE(11692)] = 546969,
  [SMALL_STATE(11693)] = 547000,
  [SMALL_STATE(11694)] = 547045,
  [SMALL_STATE(11695)] = 547076,
  [SMALL_STATE(11696)] = 547107,
  [SMALL_STATE(11697)] = 547138,
  [SMALL_STATE(11698)] = 547169,
  [SMALL_STATE(11699)] = 547200,
  [SMALL_STATE(11700)] = 547229,
  [SMALL_STATE(11701)] = 547264,
  [SMALL_STATE(11702)] = 547311,
  [SMALL_STATE(11703)] = 547342,
  [SMALL_STATE(11704)] = 547381,
  [SMALL_STATE(11705)] = 547422,
  [SMALL_STATE(11706)] = 547453,
  [SMALL_STATE(11707)] = 547498,
  [SMALL_STATE(11708)] = 547529,
  [SMALL_STATE(11709)] = 547576,
  [SMALL_STATE(11710)] = 547605,
  [SMALL_STATE(11711)] = 547642,
  [SMALL_STATE(11712)] = 547673,
  [SMALL_STATE(11713)] = 547702,
  [SMALL_STATE(11714)] = 547749,
  [SMALL_STATE(11715)] = 547794,
  [SMALL_STATE(11716)] = 547841,
  [SMALL_STATE(11717)] = 547872,
  [SMALL_STATE(11718)] = 547903,
  [SMALL_STATE(11719)] = 547934,
  [SMALL_STATE(11720)] = 547965,
  [SMALL_STATE(11721)] = 547994,
  [SMALL_STATE(11722)] = 548039,
  [SMALL_STATE(11723)] = 548070,
  [SMALL_STATE(11724)] = 548101,
  [SMALL_STATE(11725)] = 548146,
  [SMALL_STATE(11726)] = 548191,
  [SMALL_STATE(11727)] = 548226,
  [SMALL_STATE(11728)] = 548271,
  [SMALL_STATE(11729)] = 548316,
  [SMALL_STATE(11730)] = 548351,
  [SMALL_STATE(11731)] = 548382,
  [SMALL_STATE(11732)] = 548427,
  [SMALL_STATE(11733)] = 548458,
  [SMALL_STATE(11734)] = 548489,
  [SMALL_STATE(11735)] = 548520,
  [SMALL_STATE(11736)] = 548565,
  [SMALL_STATE(11737)] = 548600,
  [SMALL_STATE(11738)] = 548645,
  [SMALL_STATE(11739)] = 548680,
  [SMALL_STATE(11740)] = 548709,
  [SMALL_STATE(11741)] = 548750,
  [SMALL_STATE(11742)] = 548795,
  [SMALL_STATE(11743)] = 548826,
  [SMALL_STATE(11744)] = 548871,
  [SMALL_STATE(11745)] = 548908,
  [SMALL_STATE(11746)] = 548939,
  [SMALL_STATE(11747)] = 548984,
  [SMALL_STATE(11748)] = 549015,
  [SMALL_STATE(11749)] = 549060,
  [SMALL_STATE(11750)] = 549105,
  [SMALL_STATE(11751)] = 549152,
  [SMALL_STATE(11752)] = 549197,
  [SMALL_STATE(11753)] = 549232,
  [SMALL_STATE(11754)] = 549277,
  [SMALL_STATE(11755)] = 549322,
  [SMALL_STATE(11756)] = 549367,
  [SMALL_STATE(11757)] = 549402,
  [SMALL_STATE(11758)] = 549447,
  [SMALL_STATE(11759)] = 549476,
  [SMALL_STATE(11760)] = 549505,
  [SMALL_STATE(11761)] = 549550,
  [SMALL_STATE(11762)] = 549579,
  [SMALL_STATE(11763)] = 549624,
  [SMALL_STATE(11764)] = 549653,
  [SMALL_STATE(11765)] = 549698,
  [SMALL_STATE(11766)] = 549729,
  [SMALL_STATE(11767)] = 549760,
  [SMALL_STATE(11768)] = 549791,
  [SMALL_STATE(11769)] = 549836,
  [SMALL_STATE(11770)] = 549867,
  [SMALL_STATE(11771)] = 549898,
  [SMALL_STATE(11772)] = 549943,
  [SMALL_STATE(11773)] = 549988,
  [SMALL_STATE(11774)] = 550029,
  [SMALL_STATE(11775)] = 550074,
  [SMALL_STATE(11776)] = 550103,
  [SMALL_STATE(11777)] = 550148,
  [SMALL_STATE(11778)] = 550179,
  [SMALL_STATE(11779)] = 550210,
  [SMALL_STATE(11780)] = 550241,
  [SMALL_STATE(11781)] = 550272,
  [SMALL_STATE(11782)] = 550317,
  [SMALL_STATE(11783)] = 550362,
  [SMALL_STATE(11784)] = 550407,
  [SMALL_STATE(11785)] = 550452,
  [SMALL_STATE(11786)] = 550497,
  [SMALL_STATE(11787)] = 550542,
  [SMALL_STATE(11788)] = 550573,
  [SMALL_STATE(11789)] = 550604,
  [SMALL_STATE(11790)] = 550649,
  [SMALL_STATE(11791)] = 550694,
  [SMALL_STATE(11792)] = 550739,
  [SMALL_STATE(11793)] = 550770,
  [SMALL_STATE(11794)] = 550815,
  [SMALL_STATE(11795)] = 550860,
  [SMALL_STATE(11796)] = 550891,
  [SMALL_STATE(11797)] = 550936,
  [SMALL_STATE(11798)] = 550981,
  [SMALL_STATE(11799)] = 551012,
  [SMALL_STATE(11800)] = 551043,
  [SMALL_STATE(11801)] = 551088,
  [SMALL_STATE(11802)] = 551119,
  [SMALL_STATE(11803)] = 551150,
  [SMALL_STATE(11804)] = 551181,
  [SMALL_STATE(11805)] = 551226,
  [SMALL_STATE(11806)] = 551271,
  [SMALL_STATE(11807)] = 551302,
  [SMALL_STATE(11808)] = 551347,
  [SMALL_STATE(11809)] = 551392,
  [SMALL_STATE(11810)] = 551437,
  [SMALL_STATE(11811)] = 551482,
  [SMALL_STATE(11812)] = 551527,
  [SMALL_STATE(11813)] = 551558,
  [SMALL_STATE(11814)] = 551603,
  [SMALL_STATE(11815)] = 551634,
  [SMALL_STATE(11816)] = 551679,
  [SMALL_STATE(11817)] = 551710,
  [SMALL_STATE(11818)] = 551755,
  [SMALL_STATE(11819)] = 551800,
  [SMALL_STATE(11820)] = 551845,
  [SMALL_STATE(11821)] = 551890,
  [SMALL_STATE(11822)] = 551935,
  [SMALL_STATE(11823)] = 551966,
  [SMALL_STATE(11824)] = 551997,
  [SMALL_STATE(11825)] = 552028,
  [SMALL_STATE(11826)] = 552059,
  [SMALL_STATE(11827)] = 552090,
  [SMALL_STATE(11828)] = 552121,
  [SMALL_STATE(11829)] = 552160,
  [SMALL_STATE(11830)] = 552191,
  [SMALL_STATE(11831)] = 552220,
  [SMALL_STATE(11832)] = 552249,
  [SMALL_STATE(11833)] = 552278,
  [SMALL_STATE(11834)] = 552309,
  [SMALL_STATE(11835)] = 552340,
  [SMALL_STATE(11836)] = 552371,
  [SMALL_STATE(11837)] = 552402,
  [SMALL_STATE(11838)] = 552451,
  [SMALL_STATE(11839)] = 552500,
  [SMALL_STATE(11840)] = 552549,
  [SMALL_STATE(11841)] = 552598,
  [SMALL_STATE(11842)] = 552633,
  [SMALL_STATE(11843)] = 552674,
  [SMALL_STATE(11844)] = 552721,
  [SMALL_STATE(11845)] = 552752,
  [SMALL_STATE(11846)] = 552799,
  [SMALL_STATE(11847)] = 552846,
  [SMALL_STATE(11848)] = 552881,
  [SMALL_STATE(11849)] = 552912,
  [SMALL_STATE(11850)] = 552940,
  [SMALL_STATE(11851)] = 552970,
  [SMALL_STATE(11852)] = 552998,
  [SMALL_STATE(11853)] = 553042,
  [SMALL_STATE(11854)] = 553086,
  [SMALL_STATE(11855)] = 553114,
  [SMALL_STATE(11856)] = 553146,
  [SMALL_STATE(11857)] = 553192,
  [SMALL_STATE(11858)] = 553238,
  [SMALL_STATE(11859)] = 553268,
  [SMALL_STATE(11860)] = 553298,
  [SMALL_STATE(11861)] = 553328,
  [SMALL_STATE(11862)] = 553358,
  [SMALL_STATE(11863)] = 553388,
  [SMALL_STATE(11864)] = 553434,
  [SMALL_STATE(11865)] = 553464,
  [SMALL_STATE(11866)] = 553510,
  [SMALL_STATE(11867)] = 553558,
  [SMALL_STATE(11868)] = 553604,
  [SMALL_STATE(11869)] = 553634,
  [SMALL_STATE(11870)] = 553680,
  [SMALL_STATE(11871)] = 553724,
  [SMALL_STATE(11872)] = 553768,
  [SMALL_STATE(11873)] = 553814,
  [SMALL_STATE(11874)] = 553860,
  [SMALL_STATE(11875)] = 553906,
  [SMALL_STATE(11876)] = 553952,
  [SMALL_STATE(11877)] = 553998,
  [SMALL_STATE(11878)] = 554044,
  [SMALL_STATE(11879)] = 554090,
  [SMALL_STATE(11880)] = 554136,
  [SMALL_STATE(11881)] = 554182,
  [SMALL_STATE(11882)] = 554228,
  [SMALL_STATE(11883)] = 554258,
  [SMALL_STATE(11884)] = 554288,
  [SMALL_STATE(11885)] = 554318,
  [SMALL_STATE(11886)] = 554358,
  [SMALL_STATE(11887)] = 554388,
  [SMALL_STATE(11888)] = 554418,
  [SMALL_STATE(11889)] = 554464,
  [SMALL_STATE(11890)] = 554512,
  [SMALL_STATE(11891)] = 554542,
  [SMALL_STATE(11892)] = 554586,
  [SMALL_STATE(11893)] = 554616,
  [SMALL_STATE(11894)] = 554660,
  [SMALL_STATE(11895)] = 554694,
  [SMALL_STATE(11896)] = 554724,
  [SMALL_STATE(11897)] = 554754,
  [SMALL_STATE(11898)] = 554784,
  [SMALL_STATE(11899)] = 554830,
  [SMALL_STATE(11900)] = 554874,
  [SMALL_STATE(11901)] = 554918,
  [SMALL_STATE(11902)] = 554946,
  [SMALL_STATE(11903)] = 554978,
  [SMALL_STATE(11904)] = 555008,
  [SMALL_STATE(11905)] = 555038,
  [SMALL_STATE(11906)] = 555084,
  [SMALL_STATE(11907)] = 555128,
  [SMALL_STATE(11908)] = 555174,
  [SMALL_STATE(11909)] = 555208,
  [SMALL_STATE(11910)] = 555238,
  [SMALL_STATE(11911)] = 555272,
  [SMALL_STATE(11912)] = 555318,
  [SMALL_STATE(11913)] = 555362,
  [SMALL_STATE(11914)] = 555394,
  [SMALL_STATE(11915)] = 555424,
  [SMALL_STATE(11916)] = 555470,
  [SMALL_STATE(11917)] = 555500,
  [SMALL_STATE(11918)] = 555528,
  [SMALL_STATE(11919)] = 555558,
  [SMALL_STATE(11920)] = 555588,
  [SMALL_STATE(11921)] = 555634,
  [SMALL_STATE(11922)] = 555664,
  [SMALL_STATE(11923)] = 555704,
  [SMALL_STATE(11924)] = 555734,
  [SMALL_STATE(11925)] = 555764,
  [SMALL_STATE(11926)] = 555810,
  [SMALL_STATE(11927)] = 555840,
  [SMALL_STATE(11928)] = 555886,
  [SMALL_STATE(11929)] = 555916,
  [SMALL_STATE(11930)] = 555946,
  [SMALL_STATE(11931)] = 555990,
  [SMALL_STATE(11932)] = 556020,
  [SMALL_STATE(11933)] = 556050,
  [SMALL_STATE(11934)] = 556078,
  [SMALL_STATE(11935)] = 556106,
  [SMALL_STATE(11936)] = 556134,
  [SMALL_STATE(11937)] = 556162,
  [SMALL_STATE(11938)] = 556192,
  [SMALL_STATE(11939)] = 556220,
  [SMALL_STATE(11940)] = 556248,
  [SMALL_STATE(11941)] = 556276,
  [SMALL_STATE(11942)] = 556310,
  [SMALL_STATE(11943)] = 556338,
  [SMALL_STATE(11944)] = 556366,
  [SMALL_STATE(11945)] = 556394,
  [SMALL_STATE(11946)] = 556422,
  [SMALL_STATE(11947)] = 556450,
  [SMALL_STATE(11948)] = 556478,
  [SMALL_STATE(11949)] = 556506,
  [SMALL_STATE(11950)] = 556536,
  [SMALL_STATE(11951)] = 556568,
  [SMALL_STATE(11952)] = 556602,
  [SMALL_STATE(11953)] = 556630,
  [SMALL_STATE(11954)] = 556660,
  [SMALL_STATE(11955)] = 556690,
  [SMALL_STATE(11956)] = 556720,
  [SMALL_STATE(11957)] = 556750,
  [SMALL_STATE(11958)] = 556780,
  [SMALL_STATE(11959)] = 556810,
  [SMALL_STATE(11960)] = 556838,
  [SMALL_STATE(11961)] = 556868,
  [SMALL_STATE(11962)] = 556898,
  [SMALL_STATE(11963)] = 556928,
  [SMALL_STATE(11964)] = 556956,
  [SMALL_STATE(11965)] = 556984,
  [SMALL_STATE(11966)] = 557012,
  [SMALL_STATE(11967)] = 557042,
  [SMALL_STATE(11968)] = 557070,
  [SMALL_STATE(11969)] = 557098,
  [SMALL_STATE(11970)] = 557126,
  [SMALL_STATE(11971)] = 557154,
  [SMALL_STATE(11972)] = 557182,
  [SMALL_STATE(11973)] = 557228,
  [SMALL_STATE(11974)] = 557260,
  [SMALL_STATE(11975)] = 557306,
  [SMALL_STATE(11976)] = 557334,
  [SMALL_STATE(11977)] = 557380,
  [SMALL_STATE(11978)] = 557410,
  [SMALL_STATE(11979)] = 557440,
  [SMALL_STATE(11980)] = 557474,
  [SMALL_STATE(11981)] = 557502,
  [SMALL_STATE(11982)] = 557548,
  [SMALL_STATE(11983)] = 557576,
  [SMALL_STATE(11984)] = 557622,
  [SMALL_STATE(11985)] = 557652,
  [SMALL_STATE(11986)] = 557682,
  [SMALL_STATE(11987)] = 557728,
  [SMALL_STATE(11988)] = 557774,
  [SMALL_STATE(11989)] = 557820,
  [SMALL_STATE(11990)] = 557848,
  [SMALL_STATE(11991)] = 557876,
  [SMALL_STATE(11992)] = 557914,
  [SMALL_STATE(11993)] = 557944,
  [SMALL_STATE(11994)] = 557974,
  [SMALL_STATE(11995)] = 558004,
  [SMALL_STATE(11996)] = 558032,
  [SMALL_STATE(11997)] = 558060,
  [SMALL_STATE(11998)] = 558088,
  [SMALL_STATE(11999)] = 558116,
  [SMALL_STATE(12000)] = 558144,
  [SMALL_STATE(12001)] = 558172,
  [SMALL_STATE(12002)] = 558200,
  [SMALL_STATE(12003)] = 558228,
  [SMALL_STATE(12004)] = 558256,
  [SMALL_STATE(12005)] = 558284,
  [SMALL_STATE(12006)] = 558312,
  [SMALL_STATE(12007)] = 558340,
  [SMALL_STATE(12008)] = 558368,
  [SMALL_STATE(12009)] = 558398,
  [SMALL_STATE(12010)] = 558428,
  [SMALL_STATE(12011)] = 558474,
  [SMALL_STATE(12012)] = 558502,
  [SMALL_STATE(12013)] = 558530,
  [SMALL_STATE(12014)] = 558558,
  [SMALL_STATE(12015)] = 558586,
  [SMALL_STATE(12016)] = 558614,
  [SMALL_STATE(12017)] = 558642,
  [SMALL_STATE(12018)] = 558670,
  [SMALL_STATE(12019)] = 558698,
  [SMALL_STATE(12020)] = 558726,
  [SMALL_STATE(12021)] = 558754,
  [SMALL_STATE(12022)] = 558784,
  [SMALL_STATE(12023)] = 558814,
  [SMALL_STATE(12024)] = 558842,
  [SMALL_STATE(12025)] = 558886,
  [SMALL_STATE(12026)] = 558932,
  [SMALL_STATE(12027)] = 558972,
  [SMALL_STATE(12028)] = 559018,
  [SMALL_STATE(12029)] = 559048,
  [SMALL_STATE(12030)] = 559078,
  [SMALL_STATE(12031)] = 559124,
  [SMALL_STATE(12032)] = 559152,
  [SMALL_STATE(12033)] = 559200,
  [SMALL_STATE(12034)] = 559244,
  [SMALL_STATE(12035)] = 559288,
  [SMALL_STATE(12036)] = 559332,
  [SMALL_STATE(12037)] = 559376,
  [SMALL_STATE(12038)] = 559420,
  [SMALL_STATE(12039)] = 559464,
  [SMALL_STATE(12040)] = 559508,
  [SMALL_STATE(12041)] = 559552,
  [SMALL_STATE(12042)] = 559596,
  [SMALL_STATE(12043)] = 559640,
  [SMALL_STATE(12044)] = 559684,
  [SMALL_STATE(12045)] = 559728,
  [SMALL_STATE(12046)] = 559772,
  [SMALL_STATE(12047)] = 559816,
  [SMALL_STATE(12048)] = 559860,
  [SMALL_STATE(12049)] = 559904,
  [SMALL_STATE(12050)] = 559948,
  [SMALL_STATE(12051)] = 559992,
  [SMALL_STATE(12052)] = 560036,
  [SMALL_STATE(12053)] = 560080,
  [SMALL_STATE(12054)] = 560124,
  [SMALL_STATE(12055)] = 560160,
  [SMALL_STATE(12056)] = 560204,
  [SMALL_STATE(12057)] = 560248,
  [SMALL_STATE(12058)] = 560292,
  [SMALL_STATE(12059)] = 560336,
  [SMALL_STATE(12060)] = 560376,
  [SMALL_STATE(12061)] = 560420,
  [SMALL_STATE(12062)] = 560464,
  [SMALL_STATE(12063)] = 560492,
  [SMALL_STATE(12064)] = 560536,
  [SMALL_STATE(12065)] = 560580,
  [SMALL_STATE(12066)] = 560624,
  [SMALL_STATE(12067)] = 560668,
  [SMALL_STATE(12068)] = 560712,
  [SMALL_STATE(12069)] = 560756,
  [SMALL_STATE(12070)] = 560800,
  [SMALL_STATE(12071)] = 560844,
  [SMALL_STATE(12072)] = 560888,
  [SMALL_STATE(12073)] = 560932,
  [SMALL_STATE(12074)] = 560976,
  [SMALL_STATE(12075)] = 561020,
  [SMALL_STATE(12076)] = 561064,
  [SMALL_STATE(12077)] = 561108,
  [SMALL_STATE(12078)] = 561152,
  [SMALL_STATE(12079)] = 561196,
  [SMALL_STATE(12080)] = 561240,
  [SMALL_STATE(12081)] = 561284,
  [SMALL_STATE(12082)] = 561328,
  [SMALL_STATE(12083)] = 561372,
  [SMALL_STATE(12084)] = 561416,
  [SMALL_STATE(12085)] = 561460,
  [SMALL_STATE(12086)] = 561504,
  [SMALL_STATE(12087)] = 561548,
  [SMALL_STATE(12088)] = 561592,
  [SMALL_STATE(12089)] = 561636,
  [SMALL_STATE(12090)] = 561680,
  [SMALL_STATE(12091)] = 561724,
  [SMALL_STATE(12092)] = 561768,
  [SMALL_STATE(12093)] = 561812,
  [SMALL_STATE(12094)] = 561856,
  [SMALL_STATE(12095)] = 561900,
  [SMALL_STATE(12096)] = 561944,
  [SMALL_STATE(12097)] = 561988,
  [SMALL_STATE(12098)] = 562032,
  [SMALL_STATE(12099)] = 562076,
  [SMALL_STATE(12100)] = 562120,
  [SMALL_STATE(12101)] = 562164,
  [SMALL_STATE(12102)] = 562208,
  [SMALL_STATE(12103)] = 562252,
  [SMALL_STATE(12104)] = 562296,
  [SMALL_STATE(12105)] = 562340,
  [SMALL_STATE(12106)] = 562384,
  [SMALL_STATE(12107)] = 562428,
  [SMALL_STATE(12108)] = 562472,
  [SMALL_STATE(12109)] = 562516,
  [SMALL_STATE(12110)] = 562560,
  [SMALL_STATE(12111)] = 562604,
  [SMALL_STATE(12112)] = 562648,
  [SMALL_STATE(12113)] = 562692,
  [SMALL_STATE(12114)] = 562736,
  [SMALL_STATE(12115)] = 562780,
  [SMALL_STATE(12116)] = 562824,
  [SMALL_STATE(12117)] = 562868,
  [SMALL_STATE(12118)] = 562912,
  [SMALL_STATE(12119)] = 562956,
  [SMALL_STATE(12120)] = 563002,
  [SMALL_STATE(12121)] = 563046,
  [SMALL_STATE(12122)] = 563090,
  [SMALL_STATE(12123)] = 563134,
  [SMALL_STATE(12124)] = 563178,
  [SMALL_STATE(12125)] = 563222,
  [SMALL_STATE(12126)] = 563266,
  [SMALL_STATE(12127)] = 563310,
  [SMALL_STATE(12128)] = 563354,
  [SMALL_STATE(12129)] = 563398,
  [SMALL_STATE(12130)] = 563442,
  [SMALL_STATE(12131)] = 563486,
  [SMALL_STATE(12132)] = 563530,
  [SMALL_STATE(12133)] = 563574,
  [SMALL_STATE(12134)] = 563618,
  [SMALL_STATE(12135)] = 563662,
  [SMALL_STATE(12136)] = 563706,
  [SMALL_STATE(12137)] = 563750,
  [SMALL_STATE(12138)] = 563794,
  [SMALL_STATE(12139)] = 563838,
  [SMALL_STATE(12140)] = 563882,
  [SMALL_STATE(12141)] = 563926,
  [SMALL_STATE(12142)] = 563970,
  [SMALL_STATE(12143)] = 564014,
  [SMALL_STATE(12144)] = 564058,
  [SMALL_STATE(12145)] = 564102,
  [SMALL_STATE(12146)] = 564146,
  [SMALL_STATE(12147)] = 564190,
  [SMALL_STATE(12148)] = 564234,
  [SMALL_STATE(12149)] = 564278,
  [SMALL_STATE(12150)] = 564322,
  [SMALL_STATE(12151)] = 564366,
  [SMALL_STATE(12152)] = 564410,
  [SMALL_STATE(12153)] = 564454,
  [SMALL_STATE(12154)] = 564498,
  [SMALL_STATE(12155)] = 564542,
  [SMALL_STATE(12156)] = 564586,
  [SMALL_STATE(12157)] = 564630,
  [SMALL_STATE(12158)] = 564674,
  [SMALL_STATE(12159)] = 564718,
  [SMALL_STATE(12160)] = 564762,
  [SMALL_STATE(12161)] = 564806,
  [SMALL_STATE(12162)] = 564850,
  [SMALL_STATE(12163)] = 564880,
  [SMALL_STATE(12164)] = 564924,
  [SMALL_STATE(12165)] = 564968,
  [SMALL_STATE(12166)] = 565012,
  [SMALL_STATE(12167)] = 565056,
  [SMALL_STATE(12168)] = 565100,
  [SMALL_STATE(12169)] = 565144,
  [SMALL_STATE(12170)] = 565174,
  [SMALL_STATE(12171)] = 565204,
  [SMALL_STATE(12172)] = 565231,
  [SMALL_STATE(12173)] = 565258,
  [SMALL_STATE(12174)] = 565285,
  [SMALL_STATE(12175)] = 565312,
  [SMALL_STATE(12176)] = 565341,
  [SMALL_STATE(12177)] = 565368,
  [SMALL_STATE(12178)] = 565395,
  [SMALL_STATE(12179)] = 565422,
  [SMALL_STATE(12180)] = 565451,
  [SMALL_STATE(12181)] = 565478,
  [SMALL_STATE(12182)] = 565505,
  [SMALL_STATE(12183)] = 565534,
  [SMALL_STATE(12184)] = 565563,
  [SMALL_STATE(12185)] = 565592,
  [SMALL_STATE(12186)] = 565621,
  [SMALL_STATE(12187)] = 565650,
  [SMALL_STATE(12188)] = 565677,
  [SMALL_STATE(12189)] = 565706,
  [SMALL_STATE(12190)] = 565735,
  [SMALL_STATE(12191)] = 565762,
  [SMALL_STATE(12192)] = 565807,
  [SMALL_STATE(12193)] = 565852,
  [SMALL_STATE(12194)] = 565881,
  [SMALL_STATE(12195)] = 565912,
  [SMALL_STATE(12196)] = 565941,
  [SMALL_STATE(12197)] = 565980,
  [SMALL_STATE(12198)] = 566009,
  [SMALL_STATE(12199)] = 566036,
  [SMALL_STATE(12200)] = 566067,
  [SMALL_STATE(12201)] = 566114,
  [SMALL_STATE(12202)] = 566147,
  [SMALL_STATE(12203)] = 566174,
  [SMALL_STATE(12204)] = 566201,
  [SMALL_STATE(12205)] = 566242,
  [SMALL_STATE(12206)] = 566271,
  [SMALL_STATE(12207)] = 566298,
  [SMALL_STATE(12208)] = 566325,
  [SMALL_STATE(12209)] = 566352,
  [SMALL_STATE(12210)] = 566379,
  [SMALL_STATE(12211)] = 566424,
  [SMALL_STATE(12212)] = 566465,
  [SMALL_STATE(12213)] = 566492,
  [SMALL_STATE(12214)] = 566521,
  [SMALL_STATE(12215)] = 566548,
  [SMALL_STATE(12216)] = 566579,
  [SMALL_STATE(12217)] = 566610,
  [SMALL_STATE(12218)] = 566637,
  [SMALL_STATE(12219)] = 566664,
  [SMALL_STATE(12220)] = 566691,
  [SMALL_STATE(12221)] = 566732,
  [SMALL_STATE(12222)] = 566771,
  [SMALL_STATE(12223)] = 566812,
  [SMALL_STATE(12224)] = 566845,
  [SMALL_STATE(12225)] = 566872,
  [SMALL_STATE(12226)] = 566899,
  [SMALL_STATE(12227)] = 566944,
  [SMALL_STATE(12228)] = 566971,
  [SMALL_STATE(12229)] = 566998,
  [SMALL_STATE(12230)] = 567025,
  [SMALL_STATE(12231)] = 567052,
  [SMALL_STATE(12232)] = 567079,
  [SMALL_STATE(12233)] = 567112,
  [SMALL_STATE(12234)] = 567139,
  [SMALL_STATE(12235)] = 567168,
  [SMALL_STATE(12236)] = 567199,
  [SMALL_STATE(12237)] = 567244,
  [SMALL_STATE(12238)] = 567271,
  [SMALL_STATE(12239)] = 567322,
  [SMALL_STATE(12240)] = 567349,
  [SMALL_STATE(12241)] = 567376,
  [SMALL_STATE(12242)] = 567405,
  [SMALL_STATE(12243)] = 567446,
  [SMALL_STATE(12244)] = 567475,
  [SMALL_STATE(12245)] = 567508,
  [SMALL_STATE(12246)] = 567535,
  [SMALL_STATE(12247)] = 567562,
  [SMALL_STATE(12248)] = 567589,
  [SMALL_STATE(12249)] = 567616,
  [SMALL_STATE(12250)] = 567643,
  [SMALL_STATE(12251)] = 567670,
  [SMALL_STATE(12252)] = 567701,
  [SMALL_STATE(12253)] = 567728,
  [SMALL_STATE(12254)] = 567761,
  [SMALL_STATE(12255)] = 567790,
  [SMALL_STATE(12256)] = 567817,
  [SMALL_STATE(12257)] = 567850,
  [SMALL_STATE(12258)] = 567877,
  [SMALL_STATE(12259)] = 567906,
  [SMALL_STATE(12260)] = 567933,
  [SMALL_STATE(12261)] = 567978,
  [SMALL_STATE(12262)] = 568005,
  [SMALL_STATE(12263)] = 568032,
  [SMALL_STATE(12264)] = 568059,
  [SMALL_STATE(12265)] = 568104,
  [SMALL_STATE(12266)] = 568133,
  [SMALL_STATE(12267)] = 568178,
  [SMALL_STATE(12268)] = 568205,
  [SMALL_STATE(12269)] = 568232,
  [SMALL_STATE(12270)] = 568259,
  [SMALL_STATE(12271)] = 568286,
  [SMALL_STATE(12272)] = 568315,
  [SMALL_STATE(12273)] = 568342,
  [SMALL_STATE(12274)] = 568387,
  [SMALL_STATE(12275)] = 568426,
  [SMALL_STATE(12276)] = 568455,
  [SMALL_STATE(12277)] = 568482,
  [SMALL_STATE(12278)] = 568509,
  [SMALL_STATE(12279)] = 568536,
  [SMALL_STATE(12280)] = 568563,
  [SMALL_STATE(12281)] = 568592,
  [SMALL_STATE(12282)] = 568635,
  [SMALL_STATE(12283)] = 568664,
  [SMALL_STATE(12284)] = 568691,
  [SMALL_STATE(12285)] = 568730,
  [SMALL_STATE(12286)] = 568761,
  [SMALL_STATE(12287)] = 568806,
  [SMALL_STATE(12288)] = 568833,
  [SMALL_STATE(12289)] = 568878,
  [SMALL_STATE(12290)] = 568905,
  [SMALL_STATE(12291)] = 568932,
  [SMALL_STATE(12292)] = 568965,
  [SMALL_STATE(12293)] = 568992,
  [SMALL_STATE(12294)] = 569019,
  [SMALL_STATE(12295)] = 569056,
  [SMALL_STATE(12296)] = 569083,
  [SMALL_STATE(12297)] = 569110,
  [SMALL_STATE(12298)] = 569139,
  [SMALL_STATE(12299)] = 569166,
  [SMALL_STATE(12300)] = 569195,
  [SMALL_STATE(12301)] = 569224,
  [SMALL_STATE(12302)] = 569251,
  [SMALL_STATE(12303)] = 569280,
  [SMALL_STATE(12304)] = 569325,
  [SMALL_STATE(12305)] = 569352,
  [SMALL_STATE(12306)] = 569379,
  [SMALL_STATE(12307)] = 569424,
  [SMALL_STATE(12308)] = 569465,
  [SMALL_STATE(12309)] = 569496,
  [SMALL_STATE(12310)] = 569523,
  [SMALL_STATE(12311)] = 569550,
  [SMALL_STATE(12312)] = 569577,
  [SMALL_STATE(12313)] = 569606,
  [SMALL_STATE(12314)] = 569633,
  [SMALL_STATE(12315)] = 569674,
  [SMALL_STATE(12316)] = 569701,
  [SMALL_STATE(12317)] = 569730,
  [SMALL_STATE(12318)] = 569775,
  [SMALL_STATE(12319)] = 569820,
  [SMALL_STATE(12320)] = 569847,
  [SMALL_STATE(12321)] = 569876,
  [SMALL_STATE(12322)] = 569905,
  [SMALL_STATE(12323)] = 569940,
  [SMALL_STATE(12324)] = 569981,
  [SMALL_STATE(12325)] = 570008,
  [SMALL_STATE(12326)] = 570035,
  [SMALL_STATE(12327)] = 570062,
  [SMALL_STATE(12328)] = 570089,
  [SMALL_STATE(12329)] = 570118,
  [SMALL_STATE(12330)] = 570145,
  [SMALL_STATE(12331)] = 570172,
  [SMALL_STATE(12332)] = 570201,
  [SMALL_STATE(12333)] = 570246,
  [SMALL_STATE(12334)] = 570275,
  [SMALL_STATE(12335)] = 570304,
  [SMALL_STATE(12336)] = 570333,
  [SMALL_STATE(12337)] = 570378,
  [SMALL_STATE(12338)] = 570423,
  [SMALL_STATE(12339)] = 570452,
  [SMALL_STATE(12340)] = 570481,
  [SMALL_STATE(12341)] = 570510,
  [SMALL_STATE(12342)] = 570555,
  [SMALL_STATE(12343)] = 570582,
  [SMALL_STATE(12344)] = 570615,
  [SMALL_STATE(12345)] = 570648,
  [SMALL_STATE(12346)] = 570675,
  [SMALL_STATE(12347)] = 570702,
  [SMALL_STATE(12348)] = 570729,
  [SMALL_STATE(12349)] = 570758,
  [SMALL_STATE(12350)] = 570797,
  [SMALL_STATE(12351)] = 570824,
  [SMALL_STATE(12352)] = 570851,
  [SMALL_STATE(12353)] = 570882,
  [SMALL_STATE(12354)] = 570909,
  [SMALL_STATE(12355)] = 570936,
  [SMALL_STATE(12356)] = 570965,
  [SMALL_STATE(12357)] = 570992,
  [SMALL_STATE(12358)] = 571019,
  [SMALL_STATE(12359)] = 571048,
  [SMALL_STATE(12360)] = 571075,
  [SMALL_STATE(12361)] = 571102,
  [SMALL_STATE(12362)] = 571129,
  [SMALL_STATE(12363)] = 571156,
  [SMALL_STATE(12364)] = 571183,
  [SMALL_STATE(12365)] = 571212,
  [SMALL_STATE(12366)] = 571241,
  [SMALL_STATE(12367)] = 571268,
  [SMALL_STATE(12368)] = 571307,
  [SMALL_STATE(12369)] = 571338,
  [SMALL_STATE(12370)] = 571365,
  [SMALL_STATE(12371)] = 571392,
  [SMALL_STATE(12372)] = 571437,
  [SMALL_STATE(12373)] = 571464,
  [SMALL_STATE(12374)] = 571505,
  [SMALL_STATE(12375)] = 571532,
  [SMALL_STATE(12376)] = 571561,
  [SMALL_STATE(12377)] = 571606,
  [SMALL_STATE(12378)] = 571635,
  [SMALL_STATE(12379)] = 571662,
  [SMALL_STATE(12380)] = 571693,
  [SMALL_STATE(12381)] = 571722,
  [SMALL_STATE(12382)] = 571749,
  [SMALL_STATE(12383)] = 571776,
  [SMALL_STATE(12384)] = 571809,
  [SMALL_STATE(12385)] = 571836,
  [SMALL_STATE(12386)] = 571863,
  [SMALL_STATE(12387)] = 571892,
  [SMALL_STATE(12388)] = 571921,
  [SMALL_STATE(12389)] = 571948,
  [SMALL_STATE(12390)] = 571975,
  [SMALL_STATE(12391)] = 572004,
  [SMALL_STATE(12392)] = 572031,
  [SMALL_STATE(12393)] = 572058,
  [SMALL_STATE(12394)] = 572085,
  [SMALL_STATE(12395)] = 572130,
  [SMALL_STATE(12396)] = 572157,
  [SMALL_STATE(12397)] = 572188,
  [SMALL_STATE(12398)] = 572215,
  [SMALL_STATE(12399)] = 572242,
  [SMALL_STATE(12400)] = 572269,
  [SMALL_STATE(12401)] = 572296,
  [SMALL_STATE(12402)] = 572341,
  [SMALL_STATE(12403)] = 572368,
  [SMALL_STATE(12404)] = 572413,
  [SMALL_STATE(12405)] = 572458,
  [SMALL_STATE(12406)] = 572503,
  [SMALL_STATE(12407)] = 572534,
  [SMALL_STATE(12408)] = 572563,
  [SMALL_STATE(12409)] = 572592,
  [SMALL_STATE(12410)] = 572623,
  [SMALL_STATE(12411)] = 572650,
  [SMALL_STATE(12412)] = 572679,
  [SMALL_STATE(12413)] = 572706,
  [SMALL_STATE(12414)] = 572735,
  [SMALL_STATE(12415)] = 572762,
  [SMALL_STATE(12416)] = 572807,
  [SMALL_STATE(12417)] = 572834,
  [SMALL_STATE(12418)] = 572875,
  [SMALL_STATE(12419)] = 572902,
  [SMALL_STATE(12420)] = 572929,
  [SMALL_STATE(12421)] = 572956,
  [SMALL_STATE(12422)] = 572983,
  [SMALL_STATE(12423)] = 573028,
  [SMALL_STATE(12424)] = 573057,
  [SMALL_STATE(12425)] = 573084,
  [SMALL_STATE(12426)] = 573111,
  [SMALL_STATE(12427)] = 573138,
  [SMALL_STATE(12428)] = 573179,
  [SMALL_STATE(12429)] = 573206,
  [SMALL_STATE(12430)] = 573233,
  [SMALL_STATE(12431)] = 573260,
  [SMALL_STATE(12432)] = 573299,
  [SMALL_STATE(12433)] = 573326,
  [SMALL_STATE(12434)] = 573355,
  [SMALL_STATE(12435)] = 573384,
  [SMALL_STATE(12436)] = 573411,
  [SMALL_STATE(12437)] = 573438,
  [SMALL_STATE(12438)] = 573465,
  [SMALL_STATE(12439)] = 573494,
  [SMALL_STATE(12440)] = 573523,
  [SMALL_STATE(12441)] = 573564,
  [SMALL_STATE(12442)] = 573591,
  [SMALL_STATE(12443)] = 573618,
  [SMALL_STATE(12444)] = 573645,
  [SMALL_STATE(12445)] = 573674,
  [SMALL_STATE(12446)] = 573703,
  [SMALL_STATE(12447)] = 573730,
  [SMALL_STATE(12448)] = 573757,
  [SMALL_STATE(12449)] = 573784,
  [SMALL_STATE(12450)] = 573811,
  [SMALL_STATE(12451)] = 573852,
  [SMALL_STATE(12452)] = 573895,
  [SMALL_STATE(12453)] = 573922,
  [SMALL_STATE(12454)] = 573951,
  [SMALL_STATE(12455)] = 573978,
  [SMALL_STATE(12456)] = 574005,
  [SMALL_STATE(12457)] = 574034,
  [SMALL_STATE(12458)] = 574061,
  [SMALL_STATE(12459)] = 574088,
  [SMALL_STATE(12460)] = 574131,
  [SMALL_STATE(12461)] = 574160,
  [SMALL_STATE(12462)] = 574187,
  [SMALL_STATE(12463)] = 574214,
  [SMALL_STATE(12464)] = 574253,
  [SMALL_STATE(12465)] = 574280,
  [SMALL_STATE(12466)] = 574307,
  [SMALL_STATE(12467)] = 574336,
  [SMALL_STATE(12468)] = 574365,
  [SMALL_STATE(12469)] = 574404,
  [SMALL_STATE(12470)] = 574449,
  [SMALL_STATE(12471)] = 574488,
  [SMALL_STATE(12472)] = 574515,
  [SMALL_STATE(12473)] = 574542,
  [SMALL_STATE(12474)] = 574569,
  [SMALL_STATE(12475)] = 574596,
  [SMALL_STATE(12476)] = 574641,
  [SMALL_STATE(12477)] = 574686,
  [SMALL_STATE(12478)] = 574731,
  [SMALL_STATE(12479)] = 574758,
  [SMALL_STATE(12480)] = 574791,
  [SMALL_STATE(12481)] = 574820,
  [SMALL_STATE(12482)] = 574847,
  [SMALL_STATE(12483)] = 574892,
  [SMALL_STATE(12484)] = 574925,
  [SMALL_STATE(12485)] = 574952,
  [SMALL_STATE(12486)] = 574983,
  [SMALL_STATE(12487)] = 575010,
  [SMALL_STATE(12488)] = 575050,
  [SMALL_STATE(12489)] = 575090,
  [SMALL_STATE(12490)] = 575130,
  [SMALL_STATE(12491)] = 575156,
  [SMALL_STATE(12492)] = 575196,
  [SMALL_STATE(12493)] = 575236,
  [SMALL_STATE(12494)] = 575276,
  [SMALL_STATE(12495)] = 575316,
  [SMALL_STATE(12496)] = 575342,
  [SMALL_STATE(12497)] = 575368,
  [SMALL_STATE(12498)] = 575406,
  [SMALL_STATE(12499)] = 575446,
  [SMALL_STATE(12500)] = 575478,
  [SMALL_STATE(12501)] = 575518,
  [SMALL_STATE(12502)] = 575558,
  [SMALL_STATE(12503)] = 575584,
  [SMALL_STATE(12504)] = 575624,
  [SMALL_STATE(12505)] = 575654,
  [SMALL_STATE(12506)] = 575694,
  [SMALL_STATE(12507)] = 575734,
  [SMALL_STATE(12508)] = 575776,
  [SMALL_STATE(12509)] = 575802,
  [SMALL_STATE(12510)] = 575842,
  [SMALL_STATE(12511)] = 575882,
  [SMALL_STATE(12512)] = 575922,
  [SMALL_STATE(12513)] = 575952,
  [SMALL_STATE(12514)] = 575978,
  [SMALL_STATE(12515)] = 576008,
  [SMALL_STATE(12516)] = 576034,
  [SMALL_STATE(12517)] = 576074,
  [SMALL_STATE(12518)] = 576100,
  [SMALL_STATE(12519)] = 576140,
  [SMALL_STATE(12520)] = 576180,
  [SMALL_STATE(12521)] = 576220,
  [SMALL_STATE(12522)] = 576258,
  [SMALL_STATE(12523)] = 576298,
  [SMALL_STATE(12524)] = 576336,
  [SMALL_STATE(12525)] = 576376,
  [SMALL_STATE(12526)] = 576402,
  [SMALL_STATE(12527)] = 576442,
  [SMALL_STATE(12528)] = 576482,
  [SMALL_STATE(12529)] = 576508,
  [SMALL_STATE(12530)] = 576534,
  [SMALL_STATE(12531)] = 576560,
  [SMALL_STATE(12532)] = 576586,
  [SMALL_STATE(12533)] = 576616,
  [SMALL_STATE(12534)] = 576656,
  [SMALL_STATE(12535)] = 576696,
  [SMALL_STATE(12536)] = 576736,
  [SMALL_STATE(12537)] = 576776,
  [SMALL_STATE(12538)] = 576816,
  [SMALL_STATE(12539)] = 576856,
  [SMALL_STATE(12540)] = 576896,
  [SMALL_STATE(12541)] = 576936,
  [SMALL_STATE(12542)] = 576976,
  [SMALL_STATE(12543)] = 577016,
  [SMALL_STATE(12544)] = 577056,
  [SMALL_STATE(12545)] = 577082,
  [SMALL_STATE(12546)] = 577122,
  [SMALL_STATE(12547)] = 577162,
  [SMALL_STATE(12548)] = 577202,
  [SMALL_STATE(12549)] = 577242,
  [SMALL_STATE(12550)] = 577282,
  [SMALL_STATE(12551)] = 577322,
  [SMALL_STATE(12552)] = 577362,
  [SMALL_STATE(12553)] = 577390,
  [SMALL_STATE(12554)] = 577430,
  [SMALL_STATE(12555)] = 577470,
  [SMALL_STATE(12556)] = 577510,
  [SMALL_STATE(12557)] = 577550,
  [SMALL_STATE(12558)] = 577582,
  [SMALL_STATE(12559)] = 577622,
  [SMALL_STATE(12560)] = 577662,
  [SMALL_STATE(12561)] = 577692,
  [SMALL_STATE(12562)] = 577732,
  [SMALL_STATE(12563)] = 577770,
  [SMALL_STATE(12564)] = 577810,
  [SMALL_STATE(12565)] = 577850,
  [SMALL_STATE(12566)] = 577890,
  [SMALL_STATE(12567)] = 577930,
  [SMALL_STATE(12568)] = 577956,
  [SMALL_STATE(12569)] = 577996,
  [SMALL_STATE(12570)] = 578038,
  [SMALL_STATE(12571)] = 578078,
  [SMALL_STATE(12572)] = 578118,
  [SMALL_STATE(12573)] = 578158,
  [SMALL_STATE(12574)] = 578198,
  [SMALL_STATE(12575)] = 578238,
  [SMALL_STATE(12576)] = 578276,
  [SMALL_STATE(12577)] = 578316,
  [SMALL_STATE(12578)] = 578356,
  [SMALL_STATE(12579)] = 578396,
  [SMALL_STATE(12580)] = 578428,
  [SMALL_STATE(12581)] = 578468,
  [SMALL_STATE(12582)] = 578508,
  [SMALL_STATE(12583)] = 578548,
  [SMALL_STATE(12584)] = 578588,
  [SMALL_STATE(12585)] = 578618,
  [SMALL_STATE(12586)] = 578658,
  [SMALL_STATE(12587)] = 578698,
  [SMALL_STATE(12588)] = 578738,
  [SMALL_STATE(12589)] = 578778,
  [SMALL_STATE(12590)] = 578818,
  [SMALL_STATE(12591)] = 578858,
  [SMALL_STATE(12592)] = 578898,
  [SMALL_STATE(12593)] = 578938,
  [SMALL_STATE(12594)] = 578978,
  [SMALL_STATE(12595)] = 579018,
  [SMALL_STATE(12596)] = 579052,
  [SMALL_STATE(12597)] = 579092,
  [SMALL_STATE(12598)] = 579132,
  [SMALL_STATE(12599)] = 579172,
  [SMALL_STATE(12600)] = 579212,
  [SMALL_STATE(12601)] = 579238,
  [SMALL_STATE(12602)] = 579278,
  [SMALL_STATE(12603)] = 579318,
  [SMALL_STATE(12604)] = 579358,
  [SMALL_STATE(12605)] = 579398,
  [SMALL_STATE(12606)] = 579426,
  [SMALL_STATE(12607)] = 579466,
  [SMALL_STATE(12608)] = 579504,
  [SMALL_STATE(12609)] = 579544,
  [SMALL_STATE(12610)] = 579572,
  [SMALL_STATE(12611)] = 579612,
  [SMALL_STATE(12612)] = 579652,
  [SMALL_STATE(12613)] = 579692,
  [SMALL_STATE(12614)] = 579732,
  [SMALL_STATE(12615)] = 579758,
  [SMALL_STATE(12616)] = 579784,
  [SMALL_STATE(12617)] = 579810,
  [SMALL_STATE(12618)] = 579850,
  [SMALL_STATE(12619)] = 579890,
  [SMALL_STATE(12620)] = 579930,
  [SMALL_STATE(12621)] = 579970,
  [SMALL_STATE(12622)] = 580010,
  [SMALL_STATE(12623)] = 580050,
  [SMALL_STATE(12624)] = 580076,
  [SMALL_STATE(12625)] = 580116,
  [SMALL_STATE(12626)] = 580142,
  [SMALL_STATE(12627)] = 580182,
  [SMALL_STATE(12628)] = 580208,
  [SMALL_STATE(12629)] = 580248,
  [SMALL_STATE(12630)] = 580288,
  [SMALL_STATE(12631)] = 580328,
  [SMALL_STATE(12632)] = 580368,
  [SMALL_STATE(12633)] = 580408,
  [SMALL_STATE(12634)] = 580434,
  [SMALL_STATE(12635)] = 580474,
  [SMALL_STATE(12636)] = 580514,
  [SMALL_STATE(12637)] = 580550,
  [SMALL_STATE(12638)] = 580576,
  [SMALL_STATE(12639)] = 580602,
  [SMALL_STATE(12640)] = 580642,
  [SMALL_STATE(12641)] = 580682,
  [SMALL_STATE(12642)] = 580722,
  [SMALL_STATE(12643)] = 580762,
  [SMALL_STATE(12644)] = 580788,
  [SMALL_STATE(12645)] = 580828,
  [SMALL_STATE(12646)] = 580868,
  [SMALL_STATE(12647)] = 580908,
  [SMALL_STATE(12648)] = 580934,
  [SMALL_STATE(12649)] = 580960,
  [SMALL_STATE(12650)] = 580986,
  [SMALL_STATE(12651)] = 581026,
  [SMALL_STATE(12652)] = 581066,
  [SMALL_STATE(12653)] = 581092,
  [SMALL_STATE(12654)] = 581132,
  [SMALL_STATE(12655)] = 581158,
  [SMALL_STATE(12656)] = 581184,
  [SMALL_STATE(12657)] = 581224,
  [SMALL_STATE(12658)] = 581264,
  [SMALL_STATE(12659)] = 581302,
  [SMALL_STATE(12660)] = 581342,
  [SMALL_STATE(12661)] = 581382,
  [SMALL_STATE(12662)] = 581408,
  [SMALL_STATE(12663)] = 581434,
  [SMALL_STATE(12664)] = 581474,
  [SMALL_STATE(12665)] = 581514,
  [SMALL_STATE(12666)] = 581554,
  [SMALL_STATE(12667)] = 581594,
  [SMALL_STATE(12668)] = 581634,
  [SMALL_STATE(12669)] = 581674,
  [SMALL_STATE(12670)] = 581714,
  [SMALL_STATE(12671)] = 581754,
  [SMALL_STATE(12672)] = 581794,
  [SMALL_STATE(12673)] = 581834,
  [SMALL_STATE(12674)] = 581872,
  [SMALL_STATE(12675)] = 581912,
  [SMALL_STATE(12676)] = 581952,
  [SMALL_STATE(12677)] = 581992,
  [SMALL_STATE(12678)] = 582018,
  [SMALL_STATE(12679)] = 582056,
  [SMALL_STATE(12680)] = 582096,
  [SMALL_STATE(12681)] = 582136,
  [SMALL_STATE(12682)] = 582176,
  [SMALL_STATE(12683)] = 582216,
  [SMALL_STATE(12684)] = 582256,
  [SMALL_STATE(12685)] = 582296,
  [SMALL_STATE(12686)] = 582336,
  [SMALL_STATE(12687)] = 582376,
  [SMALL_STATE(12688)] = 582416,
  [SMALL_STATE(12689)] = 582456,
  [SMALL_STATE(12690)] = 582496,
  [SMALL_STATE(12691)] = 582536,
  [SMALL_STATE(12692)] = 582576,
  [SMALL_STATE(12693)] = 582616,
  [SMALL_STATE(12694)] = 582646,
  [SMALL_STATE(12695)] = 582686,
  [SMALL_STATE(12696)] = 582716,
  [SMALL_STATE(12697)] = 582748,
  [SMALL_STATE(12698)] = 582788,
  [SMALL_STATE(12699)] = 582828,
  [SMALL_STATE(12700)] = 582868,
  [SMALL_STATE(12701)] = 582908,
  [SMALL_STATE(12702)] = 582938,
  [SMALL_STATE(12703)] = 582978,
  [SMALL_STATE(12704)] = 583018,
  [SMALL_STATE(12705)] = 583050,
  [SMALL_STATE(12706)] = 583090,
  [SMALL_STATE(12707)] = 583118,
  [SMALL_STATE(12708)] = 583158,
  [SMALL_STATE(12709)] = 583198,
  [SMALL_STATE(12710)] = 583238,
  [SMALL_STATE(12711)] = 583278,
  [SMALL_STATE(12712)] = 583318,
  [SMALL_STATE(12713)] = 583358,
  [SMALL_STATE(12714)] = 583398,
  [SMALL_STATE(12715)] = 583438,
  [SMALL_STATE(12716)] = 583478,
  [SMALL_STATE(12717)] = 583518,
  [SMALL_STATE(12718)] = 583558,
  [SMALL_STATE(12719)] = 583598,
  [SMALL_STATE(12720)] = 583638,
  [SMALL_STATE(12721)] = 583678,
  [SMALL_STATE(12722)] = 583718,
  [SMALL_STATE(12723)] = 583758,
  [SMALL_STATE(12724)] = 583798,
  [SMALL_STATE(12725)] = 583838,
  [SMALL_STATE(12726)] = 583878,
  [SMALL_STATE(12727)] = 583918,
  [SMALL_STATE(12728)] = 583958,
  [SMALL_STATE(12729)] = 583998,
  [SMALL_STATE(12730)] = 584026,
  [SMALL_STATE(12731)] = 584066,
  [SMALL_STATE(12732)] = 584106,
  [SMALL_STATE(12733)] = 584146,
  [SMALL_STATE(12734)] = 584186,
  [SMALL_STATE(12735)] = 584224,
  [SMALL_STATE(12736)] = 584264,
  [SMALL_STATE(12737)] = 584304,
  [SMALL_STATE(12738)] = 584344,
  [SMALL_STATE(12739)] = 584384,
  [SMALL_STATE(12740)] = 584424,
  [SMALL_STATE(12741)] = 584450,
  [SMALL_STATE(12742)] = 584490,
  [SMALL_STATE(12743)] = 584530,
  [SMALL_STATE(12744)] = 584570,
  [SMALL_STATE(12745)] = 584610,
  [SMALL_STATE(12746)] = 584650,
  [SMALL_STATE(12747)] = 584690,
  [SMALL_STATE(12748)] = 584730,
  [SMALL_STATE(12749)] = 584770,
  [SMALL_STATE(12750)] = 584810,
  [SMALL_STATE(12751)] = 584850,
  [SMALL_STATE(12752)] = 584880,
  [SMALL_STATE(12753)] = 584920,
  [SMALL_STATE(12754)] = 584946,
  [SMALL_STATE(12755)] = 584986,
  [SMALL_STATE(12756)] = 585026,
  [SMALL_STATE(12757)] = 585056,
  [SMALL_STATE(12758)] = 585096,
  [SMALL_STATE(12759)] = 585136,
  [SMALL_STATE(12760)] = 585176,
  [SMALL_STATE(12761)] = 585216,
  [SMALL_STATE(12762)] = 585242,
  [SMALL_STATE(12763)] = 585282,
  [SMALL_STATE(12764)] = 585322,
  [SMALL_STATE(12765)] = 585362,
  [SMALL_STATE(12766)] = 585402,
  [SMALL_STATE(12767)] = 585428,
  [SMALL_STATE(12768)] = 585468,
  [SMALL_STATE(12769)] = 585508,
  [SMALL_STATE(12770)] = 585548,
  [SMALL_STATE(12771)] = 585580,
  [SMALL_STATE(12772)] = 585620,
  [SMALL_STATE(12773)] = 585650,
  [SMALL_STATE(12774)] = 585690,
  [SMALL_STATE(12775)] = 585730,
  [SMALL_STATE(12776)] = 585760,
  [SMALL_STATE(12777)] = 585800,
  [SMALL_STATE(12778)] = 585840,
  [SMALL_STATE(12779)] = 585880,
  [SMALL_STATE(12780)] = 585920,
  [SMALL_STATE(12781)] = 585960,
  [SMALL_STATE(12782)] = 586000,
  [SMALL_STATE(12783)] = 586028,
  [SMALL_STATE(12784)] = 586068,
  [SMALL_STATE(12785)] = 586108,
  [SMALL_STATE(12786)] = 586148,
  [SMALL_STATE(12787)] = 586180,
  [SMALL_STATE(12788)] = 586220,
  [SMALL_STATE(12789)] = 586260,
  [SMALL_STATE(12790)] = 586290,
  [SMALL_STATE(12791)] = 586330,
  [SMALL_STATE(12792)] = 586370,
  [SMALL_STATE(12793)] = 586396,
  [SMALL_STATE(12794)] = 586436,
  [SMALL_STATE(12795)] = 586466,
  [SMALL_STATE(12796)] = 586506,
  [SMALL_STATE(12797)] = 586546,
  [SMALL_STATE(12798)] = 586586,
  [SMALL_STATE(12799)] = 586626,
  [SMALL_STATE(12800)] = 586666,
  [SMALL_STATE(12801)] = 586696,
  [SMALL_STATE(12802)] = 586736,
  [SMALL_STATE(12803)] = 586766,
  [SMALL_STATE(12804)] = 586806,
  [SMALL_STATE(12805)] = 586846,
  [SMALL_STATE(12806)] = 586886,
  [SMALL_STATE(12807)] = 586926,
  [SMALL_STATE(12808)] = 586966,
  [SMALL_STATE(12809)] = 587006,
  [SMALL_STATE(12810)] = 587046,
  [SMALL_STATE(12811)] = 587074,
  [SMALL_STATE(12812)] = 587114,
  [SMALL_STATE(12813)] = 587154,
  [SMALL_STATE(12814)] = 587194,
  [SMALL_STATE(12815)] = 587220,
  [SMALL_STATE(12816)] = 587260,
  [SMALL_STATE(12817)] = 587300,
  [SMALL_STATE(12818)] = 587340,
  [SMALL_STATE(12819)] = 587366,
  [SMALL_STATE(12820)] = 587406,
  [SMALL_STATE(12821)] = 587446,
  [SMALL_STATE(12822)] = 587486,
  [SMALL_STATE(12823)] = 587526,
  [SMALL_STATE(12824)] = 587566,
  [SMALL_STATE(12825)] = 587606,
  [SMALL_STATE(12826)] = 587632,
  [SMALL_STATE(12827)] = 587660,
  [SMALL_STATE(12828)] = 587700,
  [SMALL_STATE(12829)] = 587740,
  [SMALL_STATE(12830)] = 587780,
  [SMALL_STATE(12831)] = 587806,
  [SMALL_STATE(12832)] = 587834,
  [SMALL_STATE(12833)] = 587874,
  [SMALL_STATE(12834)] = 587914,
  [SMALL_STATE(12835)] = 587942,
  [SMALL_STATE(12836)] = 587982,
  [SMALL_STATE(12837)] = 588008,
  [SMALL_STATE(12838)] = 588048,
  [SMALL_STATE(12839)] = 588088,
  [SMALL_STATE(12840)] = 588128,
  [SMALL_STATE(12841)] = 588154,
  [SMALL_STATE(12842)] = 588194,
  [SMALL_STATE(12843)] = 588234,
  [SMALL_STATE(12844)] = 588274,
  [SMALL_STATE(12845)] = 588314,
  [SMALL_STATE(12846)] = 588354,
  [SMALL_STATE(12847)] = 588394,
  [SMALL_STATE(12848)] = 588420,
  [SMALL_STATE(12849)] = 588460,
  [SMALL_STATE(12850)] = 588500,
  [SMALL_STATE(12851)] = 588540,
  [SMALL_STATE(12852)] = 588566,
  [SMALL_STATE(12853)] = 588606,
  [SMALL_STATE(12854)] = 588646,
  [SMALL_STATE(12855)] = 588686,
  [SMALL_STATE(12856)] = 588712,
  [SMALL_STATE(12857)] = 588752,
  [SMALL_STATE(12858)] = 588792,
  [SMALL_STATE(12859)] = 588818,
  [SMALL_STATE(12860)] = 588858,
  [SMALL_STATE(12861)] = 588886,
  [SMALL_STATE(12862)] = 588912,
  [SMALL_STATE(12863)] = 588938,
  [SMALL_STATE(12864)] = 588978,
  [SMALL_STATE(12865)] = 589018,
  [SMALL_STATE(12866)] = 589058,
  [SMALL_STATE(12867)] = 589084,
  [SMALL_STATE(12868)] = 589110,
  [SMALL_STATE(12869)] = 589150,
  [SMALL_STATE(12870)] = 589190,
  [SMALL_STATE(12871)] = 589230,
  [SMALL_STATE(12872)] = 589256,
  [SMALL_STATE(12873)] = 589296,
  [SMALL_STATE(12874)] = 589336,
  [SMALL_STATE(12875)] = 589376,
  [SMALL_STATE(12876)] = 589402,
  [SMALL_STATE(12877)] = 589442,
  [SMALL_STATE(12878)] = 589482,
  [SMALL_STATE(12879)] = 589508,
  [SMALL_STATE(12880)] = 589548,
  [SMALL_STATE(12881)] = 589574,
  [SMALL_STATE(12882)] = 589600,
  [SMALL_STATE(12883)] = 589640,
  [SMALL_STATE(12884)] = 589680,
  [SMALL_STATE(12885)] = 589706,
  [SMALL_STATE(12886)] = 589746,
  [SMALL_STATE(12887)] = 589772,
  [SMALL_STATE(12888)] = 589798,
  [SMALL_STATE(12889)] = 589838,
  [SMALL_STATE(12890)] = 589878,
  [SMALL_STATE(12891)] = 589918,
  [SMALL_STATE(12892)] = 589944,
  [SMALL_STATE(12893)] = 589970,
  [SMALL_STATE(12894)] = 590010,
  [SMALL_STATE(12895)] = 590050,
  [SMALL_STATE(12896)] = 590090,
  [SMALL_STATE(12897)] = 590130,
  [SMALL_STATE(12898)] = 590170,
  [SMALL_STATE(12899)] = 590210,
  [SMALL_STATE(12900)] = 590236,
  [SMALL_STATE(12901)] = 590262,
  [SMALL_STATE(12902)] = 590302,
  [SMALL_STATE(12903)] = 590342,
  [SMALL_STATE(12904)] = 590368,
  [SMALL_STATE(12905)] = 590408,
  [SMALL_STATE(12906)] = 590448,
  [SMALL_STATE(12907)] = 590488,
  [SMALL_STATE(12908)] = 590528,
  [SMALL_STATE(12909)] = 590568,
  [SMALL_STATE(12910)] = 590608,
  [SMALL_STATE(12911)] = 590648,
  [SMALL_STATE(12912)] = 590688,
  [SMALL_STATE(12913)] = 590728,
  [SMALL_STATE(12914)] = 590768,
  [SMALL_STATE(12915)] = 590794,
  [SMALL_STATE(12916)] = 590834,
  [SMALL_STATE(12917)] = 590860,
  [SMALL_STATE(12918)] = 590886,
  [SMALL_STATE(12919)] = 590912,
  [SMALL_STATE(12920)] = 590938,
  [SMALL_STATE(12921)] = 590964,
  [SMALL_STATE(12922)] = 591004,
  [SMALL_STATE(12923)] = 591030,
  [SMALL_STATE(12924)] = 591070,
  [SMALL_STATE(12925)] = 591096,
  [SMALL_STATE(12926)] = 591136,
  [SMALL_STATE(12927)] = 591176,
  [SMALL_STATE(12928)] = 591208,
  [SMALL_STATE(12929)] = 591234,
  [SMALL_STATE(12930)] = 591260,
  [SMALL_STATE(12931)] = 591290,
  [SMALL_STATE(12932)] = 591316,
  [SMALL_STATE(12933)] = 591342,
  [SMALL_STATE(12934)] = 591382,
  [SMALL_STATE(12935)] = 591422,
  [SMALL_STATE(12936)] = 591448,
  [SMALL_STATE(12937)] = 591490,
  [SMALL_STATE(12938)] = 591522,
  [SMALL_STATE(12939)] = 591548,
  [SMALL_STATE(12940)] = 591578,
  [SMALL_STATE(12941)] = 591604,
  [SMALL_STATE(12942)] = 591644,
  [SMALL_STATE(12943)] = 591670,
  [SMALL_STATE(12944)] = 591710,
  [SMALL_STATE(12945)] = 591738,
  [SMALL_STATE(12946)] = 591764,
  [SMALL_STATE(12947)] = 591790,
  [SMALL_STATE(12948)] = 591816,
  [SMALL_STATE(12949)] = 591844,
  [SMALL_STATE(12950)] = 591870,
  [SMALL_STATE(12951)] = 591900,
  [SMALL_STATE(12952)] = 591940,
  [SMALL_STATE(12953)] = 591966,
  [SMALL_STATE(12954)] = 591992,
  [SMALL_STATE(12955)] = 592018,
  [SMALL_STATE(12956)] = 592044,
  [SMALL_STATE(12957)] = 592084,
  [SMALL_STATE(12958)] = 592124,
  [SMALL_STATE(12959)] = 592154,
  [SMALL_STATE(12960)] = 592194,
  [SMALL_STATE(12961)] = 592220,
  [SMALL_STATE(12962)] = 592246,
  [SMALL_STATE(12963)] = 592272,
  [SMALL_STATE(12964)] = 592298,
  [SMALL_STATE(12965)] = 592324,
  [SMALL_STATE(12966)] = 592350,
  [SMALL_STATE(12967)] = 592376,
  [SMALL_STATE(12968)] = 592402,
  [SMALL_STATE(12969)] = 592428,
  [SMALL_STATE(12970)] = 592462,
  [SMALL_STATE(12971)] = 592488,
  [SMALL_STATE(12972)] = 592514,
  [SMALL_STATE(12973)] = 592540,
  [SMALL_STATE(12974)] = 592568,
  [SMALL_STATE(12975)] = 592598,
  [SMALL_STATE(12976)] = 592624,
  [SMALL_STATE(12977)] = 592650,
  [SMALL_STATE(12978)] = 592676,
  [SMALL_STATE(12979)] = 592702,
  [SMALL_STATE(12980)] = 592742,
  [SMALL_STATE(12981)] = 592772,
  [SMALL_STATE(12982)] = 592798,
  [SMALL_STATE(12983)] = 592838,
  [SMALL_STATE(12984)] = 592864,
  [SMALL_STATE(12985)] = 592890,
  [SMALL_STATE(12986)] = 592930,
  [SMALL_STATE(12987)] = 592956,
  [SMALL_STATE(12988)] = 592986,
  [SMALL_STATE(12989)] = 593026,
  [SMALL_STATE(12990)] = 593054,
  [SMALL_STATE(12991)] = 593094,
  [SMALL_STATE(12992)] = 593120,
  [SMALL_STATE(12993)] = 593146,
  [SMALL_STATE(12994)] = 593172,
  [SMALL_STATE(12995)] = 593198,
  [SMALL_STATE(12996)] = 593224,
  [SMALL_STATE(12997)] = 593252,
  [SMALL_STATE(12998)] = 593278,
  [SMALL_STATE(12999)] = 593306,
  [SMALL_STATE(13000)] = 593332,
  [SMALL_STATE(13001)] = 593358,
  [SMALL_STATE(13002)] = 593388,
  [SMALL_STATE(13003)] = 593414,
  [SMALL_STATE(13004)] = 593454,
  [SMALL_STATE(13005)] = 593494,
  [SMALL_STATE(13006)] = 593522,
  [SMALL_STATE(13007)] = 593562,
  [SMALL_STATE(13008)] = 593588,
  [SMALL_STATE(13009)] = 593614,
  [SMALL_STATE(13010)] = 593640,
  [SMALL_STATE(13011)] = 593666,
  [SMALL_STATE(13012)] = 593692,
  [SMALL_STATE(13013)] = 593718,
  [SMALL_STATE(13014)] = 593744,
  [SMALL_STATE(13015)] = 593772,
  [SMALL_STATE(13016)] = 593798,
  [SMALL_STATE(13017)] = 593824,
  [SMALL_STATE(13018)] = 593850,
  [SMALL_STATE(13019)] = 593876,
  [SMALL_STATE(13020)] = 593902,
  [SMALL_STATE(13021)] = 593928,
  [SMALL_STATE(13022)] = 593968,
  [SMALL_STATE(13023)] = 594008,
  [SMALL_STATE(13024)] = 594034,
  [SMALL_STATE(13025)] = 594060,
  [SMALL_STATE(13026)] = 594086,
  [SMALL_STATE(13027)] = 594112,
  [SMALL_STATE(13028)] = 594138,
  [SMALL_STATE(13029)] = 594164,
  [SMALL_STATE(13030)] = 594204,
  [SMALL_STATE(13031)] = 594232,
  [SMALL_STATE(13032)] = 594260,
  [SMALL_STATE(13033)] = 594300,
  [SMALL_STATE(13034)] = 594340,
  [SMALL_STATE(13035)] = 594366,
  [SMALL_STATE(13036)] = 594394,
  [SMALL_STATE(13037)] = 594434,
  [SMALL_STATE(13038)] = 594474,
  [SMALL_STATE(13039)] = 594514,
  [SMALL_STATE(13040)] = 594540,
  [SMALL_STATE(13041)] = 594580,
  [SMALL_STATE(13042)] = 594608,
  [SMALL_STATE(13043)] = 594648,
  [SMALL_STATE(13044)] = 594688,
  [SMALL_STATE(13045)] = 594714,
  [SMALL_STATE(13046)] = 594740,
  [SMALL_STATE(13047)] = 594766,
  [SMALL_STATE(13048)] = 594792,
  [SMALL_STATE(13049)] = 594830,
  [SMALL_STATE(13050)] = 594856,
  [SMALL_STATE(13051)] = 594896,
  [SMALL_STATE(13052)] = 594922,
  [SMALL_STATE(13053)] = 594948,
  [SMALL_STATE(13054)] = 594976,
  [SMALL_STATE(13055)] = 595016,
  [SMALL_STATE(13056)] = 595042,
  [SMALL_STATE(13057)] = 595082,
  [SMALL_STATE(13058)] = 595108,
  [SMALL_STATE(13059)] = 595146,
  [SMALL_STATE(13060)] = 595172,
  [SMALL_STATE(13061)] = 595198,
  [SMALL_STATE(13062)] = 595238,
  [SMALL_STATE(13063)] = 595278,
  [SMALL_STATE(13064)] = 595308,
  [SMALL_STATE(13065)] = 595334,
  [SMALL_STATE(13066)] = 595374,
  [SMALL_STATE(13067)] = 595400,
  [SMALL_STATE(13068)] = 595426,
  [SMALL_STATE(13069)] = 595466,
  [SMALL_STATE(13070)] = 595508,
  [SMALL_STATE(13071)] = 595540,
  [SMALL_STATE(13072)] = 595566,
  [SMALL_STATE(13073)] = 595592,
  [SMALL_STATE(13074)] = 595618,
  [SMALL_STATE(13075)] = 595644,
  [SMALL_STATE(13076)] = 595670,
  [SMALL_STATE(13077)] = 595696,
  [SMALL_STATE(13078)] = 595722,
  [SMALL_STATE(13079)] = 595748,
  [SMALL_STATE(13080)] = 595776,
  [SMALL_STATE(13081)] = 595816,
  [SMALL_STATE(13082)] = 595856,
  [SMALL_STATE(13083)] = 595896,
  [SMALL_STATE(13084)] = 595922,
  [SMALL_STATE(13085)] = 595950,
  [SMALL_STATE(13086)] = 595976,
  [SMALL_STATE(13087)] = 596004,
  [SMALL_STATE(13088)] = 596032,
  [SMALL_STATE(13089)] = 596072,
  [SMALL_STATE(13090)] = 596112,
  [SMALL_STATE(13091)] = 596152,
  [SMALL_STATE(13092)] = 596178,
  [SMALL_STATE(13093)] = 596218,
  [SMALL_STATE(13094)] = 596244,
  [SMALL_STATE(13095)] = 596270,
  [SMALL_STATE(13096)] = 596298,
  [SMALL_STATE(13097)] = 596338,
  [SMALL_STATE(13098)] = 596364,
  [SMALL_STATE(13099)] = 596390,
  [SMALL_STATE(13100)] = 596430,
  [SMALL_STATE(13101)] = 596470,
  [SMALL_STATE(13102)] = 596510,
  [SMALL_STATE(13103)] = 596536,
  [SMALL_STATE(13104)] = 596562,
  [SMALL_STATE(13105)] = 596588,
  [SMALL_STATE(13106)] = 596614,
  [SMALL_STATE(13107)] = 596654,
  [SMALL_STATE(13108)] = 596694,
  [SMALL_STATE(13109)] = 596734,
  [SMALL_STATE(13110)] = 596764,
  [SMALL_STATE(13111)] = 596790,
  [SMALL_STATE(13112)] = 596818,
  [SMALL_STATE(13113)] = 596848,
  [SMALL_STATE(13114)] = 596874,
  [SMALL_STATE(13115)] = 596900,
  [SMALL_STATE(13116)] = 596940,
  [SMALL_STATE(13117)] = 596966,
  [SMALL_STATE(13118)] = 596992,
  [SMALL_STATE(13119)] = 597020,
  [SMALL_STATE(13120)] = 597060,
  [SMALL_STATE(13121)] = 597100,
  [SMALL_STATE(13122)] = 597140,
  [SMALL_STATE(13123)] = 597168,
  [SMALL_STATE(13124)] = 597208,
  [SMALL_STATE(13125)] = 597246,
  [SMALL_STATE(13126)] = 597272,
  [SMALL_STATE(13127)] = 597312,
  [SMALL_STATE(13128)] = 597352,
  [SMALL_STATE(13129)] = 597382,
  [SMALL_STATE(13130)] = 597416,
  [SMALL_STATE(13131)] = 597456,
  [SMALL_STATE(13132)] = 597496,
  [SMALL_STATE(13133)] = 597540,
  [SMALL_STATE(13134)] = 597580,
  [SMALL_STATE(13135)] = 597620,
  [SMALL_STATE(13136)] = 597660,
  [SMALL_STATE(13137)] = 597692,
  [SMALL_STATE(13138)] = 597732,
  [SMALL_STATE(13139)] = 597772,
  [SMALL_STATE(13140)] = 597800,
  [SMALL_STATE(13141)] = 597837,
  [SMALL_STATE(13142)] = 597870,
  [SMALL_STATE(13143)] = 597907,
  [SMALL_STATE(13144)] = 597944,
  [SMALL_STATE(13145)] = 597973,
  [SMALL_STATE(13146)] = 598010,
  [SMALL_STATE(13147)] = 598047,
  [SMALL_STATE(13148)] = 598084,
  [SMALL_STATE(13149)] = 598109,
  [SMALL_STATE(13150)] = 598146,
  [SMALL_STATE(13151)] = 598183,
  [SMALL_STATE(13152)] = 598220,
  [SMALL_STATE(13153)] = 598257,
  [SMALL_STATE(13154)] = 598294,
  [SMALL_STATE(13155)] = 598331,
  [SMALL_STATE(13156)] = 598368,
  [SMALL_STATE(13157)] = 598393,
  [SMALL_STATE(13158)] = 598430,
  [SMALL_STATE(13159)] = 598467,
  [SMALL_STATE(13160)] = 598492,
  [SMALL_STATE(13161)] = 598529,
  [SMALL_STATE(13162)] = 598554,
  [SMALL_STATE(13163)] = 598591,
  [SMALL_STATE(13164)] = 598628,
  [SMALL_STATE(13165)] = 598665,
  [SMALL_STATE(13166)] = 598690,
  [SMALL_STATE(13167)] = 598715,
  [SMALL_STATE(13168)] = 598740,
  [SMALL_STATE(13169)] = 598777,
  [SMALL_STATE(13170)] = 598814,
  [SMALL_STATE(13171)] = 598851,
  [SMALL_STATE(13172)] = 598876,
  [SMALL_STATE(13173)] = 598913,
  [SMALL_STATE(13174)] = 598950,
  [SMALL_STATE(13175)] = 598987,
  [SMALL_STATE(13176)] = 599024,
  [SMALL_STATE(13177)] = 599061,
  [SMALL_STATE(13178)] = 599088,
  [SMALL_STATE(13179)] = 599121,
  [SMALL_STATE(13180)] = 599158,
  [SMALL_STATE(13181)] = 599195,
  [SMALL_STATE(13182)] = 599220,
  [SMALL_STATE(13183)] = 599245,
  [SMALL_STATE(13184)] = 599278,
  [SMALL_STATE(13185)] = 599303,
  [SMALL_STATE(13186)] = 599340,
  [SMALL_STATE(13187)] = 599377,
  [SMALL_STATE(13188)] = 599402,
  [SMALL_STATE(13189)] = 599429,
  [SMALL_STATE(13190)] = 599466,
  [SMALL_STATE(13191)] = 599491,
  [SMALL_STATE(13192)] = 599516,
  [SMALL_STATE(13193)] = 599545,
  [SMALL_STATE(13194)] = 599582,
  [SMALL_STATE(13195)] = 599607,
  [SMALL_STATE(13196)] = 599652,
  [SMALL_STATE(13197)] = 599689,
  [SMALL_STATE(13198)] = 599726,
  [SMALL_STATE(13199)] = 599763,
  [SMALL_STATE(13200)] = 599790,
  [SMALL_STATE(13201)] = 599815,
  [SMALL_STATE(13202)] = 599852,
  [SMALL_STATE(13203)] = 599889,
  [SMALL_STATE(13204)] = 599914,
  [SMALL_STATE(13205)] = 599951,
  [SMALL_STATE(13206)] = 599976,
  [SMALL_STATE(13207)] = 600001,
  [SMALL_STATE(13208)] = 600032,
  [SMALL_STATE(13209)] = 600069,
  [SMALL_STATE(13210)] = 600094,
  [SMALL_STATE(13211)] = 600119,
  [SMALL_STATE(13212)] = 600144,
  [SMALL_STATE(13213)] = 600181,
  [SMALL_STATE(13214)] = 600218,
  [SMALL_STATE(13215)] = 600255,
  [SMALL_STATE(13216)] = 600292,
  [SMALL_STATE(13217)] = 600329,
  [SMALL_STATE(13218)] = 600354,
  [SMALL_STATE(13219)] = 600391,
  [SMALL_STATE(13220)] = 600428,
  [SMALL_STATE(13221)] = 600455,
  [SMALL_STATE(13222)] = 600492,
  [SMALL_STATE(13223)] = 600517,
  [SMALL_STATE(13224)] = 600542,
  [SMALL_STATE(13225)] = 600579,
  [SMALL_STATE(13226)] = 600616,
  [SMALL_STATE(13227)] = 600653,
  [SMALL_STATE(13228)] = 600678,
  [SMALL_STATE(13229)] = 600709,
  [SMALL_STATE(13230)] = 600748,
  [SMALL_STATE(13231)] = 600785,
  [SMALL_STATE(13232)] = 600810,
  [SMALL_STATE(13233)] = 600847,
  [SMALL_STATE(13234)] = 600884,
  [SMALL_STATE(13235)] = 600909,
  [SMALL_STATE(13236)] = 600934,
  [SMALL_STATE(13237)] = 600959,
  [SMALL_STATE(13238)] = 600988,
  [SMALL_STATE(13239)] = 601013,
  [SMALL_STATE(13240)] = 601050,
  [SMALL_STATE(13241)] = 601077,
  [SMALL_STATE(13242)] = 601104,
  [SMALL_STATE(13243)] = 601141,
  [SMALL_STATE(13244)] = 601178,
  [SMALL_STATE(13245)] = 601215,
  [SMALL_STATE(13246)] = 601252,
  [SMALL_STATE(13247)] = 601289,
  [SMALL_STATE(13248)] = 601316,
  [SMALL_STATE(13249)] = 601353,
  [SMALL_STATE(13250)] = 601390,
  [SMALL_STATE(13251)] = 601427,
  [SMALL_STATE(13252)] = 601464,
  [SMALL_STATE(13253)] = 601501,
  [SMALL_STATE(13254)] = 601534,
  [SMALL_STATE(13255)] = 601571,
  [SMALL_STATE(13256)] = 601596,
  [SMALL_STATE(13257)] = 601633,
  [SMALL_STATE(13258)] = 601670,
  [SMALL_STATE(13259)] = 601707,
  [SMALL_STATE(13260)] = 601744,
  [SMALL_STATE(13261)] = 601781,
  [SMALL_STATE(13262)] = 601810,
  [SMALL_STATE(13263)] = 601839,
  [SMALL_STATE(13264)] = 601876,
  [SMALL_STATE(13265)] = 601905,
  [SMALL_STATE(13266)] = 601936,
  [SMALL_STATE(13267)] = 601965,
  [SMALL_STATE(13268)] = 602002,
  [SMALL_STATE(13269)] = 602039,
  [SMALL_STATE(13270)] = 602076,
  [SMALL_STATE(13271)] = 602113,
  [SMALL_STATE(13272)] = 602150,
  [SMALL_STATE(13273)] = 602181,
  [SMALL_STATE(13274)] = 602210,
  [SMALL_STATE(13275)] = 602247,
  [SMALL_STATE(13276)] = 602284,
  [SMALL_STATE(13277)] = 602315,
  [SMALL_STATE(13278)] = 602352,
  [SMALL_STATE(13279)] = 602377,
  [SMALL_STATE(13280)] = 602408,
  [SMALL_STATE(13281)] = 602445,
  [SMALL_STATE(13282)] = 602482,
  [SMALL_STATE(13283)] = 602519,
  [SMALL_STATE(13284)] = 602556,
  [SMALL_STATE(13285)] = 602593,
  [SMALL_STATE(13286)] = 602630,
  [SMALL_STATE(13287)] = 602667,
  [SMALL_STATE(13288)] = 602692,
  [SMALL_STATE(13289)] = 602729,
  [SMALL_STATE(13290)] = 602766,
  [SMALL_STATE(13291)] = 602795,
  [SMALL_STATE(13292)] = 602832,
  [SMALL_STATE(13293)] = 602859,
  [SMALL_STATE(13294)] = 602884,
  [SMALL_STATE(13295)] = 602921,
  [SMALL_STATE(13296)] = 602958,
  [SMALL_STATE(13297)] = 602983,
  [SMALL_STATE(13298)] = 603010,
  [SMALL_STATE(13299)] = 603043,
  [SMALL_STATE(13300)] = 603080,
  [SMALL_STATE(13301)] = 603107,
  [SMALL_STATE(13302)] = 603144,
  [SMALL_STATE(13303)] = 603171,
  [SMALL_STATE(13304)] = 603208,
  [SMALL_STATE(13305)] = 603245,
  [SMALL_STATE(13306)] = 603270,
  [SMALL_STATE(13307)] = 603295,
  [SMALL_STATE(13308)] = 603332,
  [SMALL_STATE(13309)] = 603373,
  [SMALL_STATE(13310)] = 603410,
  [SMALL_STATE(13311)] = 603447,
  [SMALL_STATE(13312)] = 603472,
  [SMALL_STATE(13313)] = 603509,
  [SMALL_STATE(13314)] = 603548,
  [SMALL_STATE(13315)] = 603573,
  [SMALL_STATE(13316)] = 603598,
  [SMALL_STATE(13317)] = 603627,
  [SMALL_STATE(13318)] = 603660,
  [SMALL_STATE(13319)] = 603693,
  [SMALL_STATE(13320)] = 603726,
  [SMALL_STATE(13321)] = 603763,
  [SMALL_STATE(13322)] = 603800,
  [SMALL_STATE(13323)] = 603825,
  [SMALL_STATE(13324)] = 603850,
  [SMALL_STATE(13325)] = 603875,
  [SMALL_STATE(13326)] = 603900,
  [SMALL_STATE(13327)] = 603925,
  [SMALL_STATE(13328)] = 603950,
  [SMALL_STATE(13329)] = 603977,
  [SMALL_STATE(13330)] = 604018,
  [SMALL_STATE(13331)] = 604051,
  [SMALL_STATE(13332)] = 604076,
  [SMALL_STATE(13333)] = 604113,
  [SMALL_STATE(13334)] = 604138,
  [SMALL_STATE(13335)] = 604163,
  [SMALL_STATE(13336)] = 604188,
  [SMALL_STATE(13337)] = 604213,
  [SMALL_STATE(13338)] = 604250,
  [SMALL_STATE(13339)] = 604275,
  [SMALL_STATE(13340)] = 604312,
  [SMALL_STATE(13341)] = 604349,
  [SMALL_STATE(13342)] = 604374,
  [SMALL_STATE(13343)] = 604399,
  [SMALL_STATE(13344)] = 604436,
  [SMALL_STATE(13345)] = 604473,
  [SMALL_STATE(13346)] = 604502,
  [SMALL_STATE(13347)] = 604539,
  [SMALL_STATE(13348)] = 604564,
  [SMALL_STATE(13349)] = 604601,
  [SMALL_STATE(13350)] = 604638,
  [SMALL_STATE(13351)] = 604663,
  [SMALL_STATE(13352)] = 604688,
  [SMALL_STATE(13353)] = 604715,
  [SMALL_STATE(13354)] = 604752,
  [SMALL_STATE(13355)] = 604789,
  [SMALL_STATE(13356)] = 604826,
  [SMALL_STATE(13357)] = 604863,
  [SMALL_STATE(13358)] = 604900,
  [SMALL_STATE(13359)] = 604933,
  [SMALL_STATE(13360)] = 604970,
  [SMALL_STATE(13361)] = 605007,
  [SMALL_STATE(13362)] = 605034,
  [SMALL_STATE(13363)] = 605065,
  [SMALL_STATE(13364)] = 605102,
  [SMALL_STATE(13365)] = 605139,
  [SMALL_STATE(13366)] = 605164,
  [SMALL_STATE(13367)] = 605201,
  [SMALL_STATE(13368)] = 605238,
  [SMALL_STATE(13369)] = 605263,
  [SMALL_STATE(13370)] = 605300,
  [SMALL_STATE(13371)] = 605337,
  [SMALL_STATE(13372)] = 605374,
  [SMALL_STATE(13373)] = 605399,
  [SMALL_STATE(13374)] = 605424,
  [SMALL_STATE(13375)] = 605449,
  [SMALL_STATE(13376)] = 605474,
  [SMALL_STATE(13377)] = 605499,
  [SMALL_STATE(13378)] = 605524,
  [SMALL_STATE(13379)] = 605561,
  [SMALL_STATE(13380)] = 605598,
  [SMALL_STATE(13381)] = 605623,
  [SMALL_STATE(13382)] = 605648,
  [SMALL_STATE(13383)] = 605673,
  [SMALL_STATE(13384)] = 605698,
  [SMALL_STATE(13385)] = 605723,
  [SMALL_STATE(13386)] = 605760,
  [SMALL_STATE(13387)] = 605797,
  [SMALL_STATE(13388)] = 605834,
  [SMALL_STATE(13389)] = 605871,
  [SMALL_STATE(13390)] = 605898,
  [SMALL_STATE(13391)] = 605935,
  [SMALL_STATE(13392)] = 605972,
  [SMALL_STATE(13393)] = 606009,
  [SMALL_STATE(13394)] = 606034,
  [SMALL_STATE(13395)] = 606071,
  [SMALL_STATE(13396)] = 606108,
  [SMALL_STATE(13397)] = 606141,
  [SMALL_STATE(13398)] = 606168,
  [SMALL_STATE(13399)] = 606205,
  [SMALL_STATE(13400)] = 606236,
  [SMALL_STATE(13401)] = 606273,
  [SMALL_STATE(13402)] = 606304,
  [SMALL_STATE(13403)] = 606341,
  [SMALL_STATE(13404)] = 606370,
  [SMALL_STATE(13405)] = 606407,
  [SMALL_STATE(13406)] = 606436,
  [SMALL_STATE(13407)] = 606465,
  [SMALL_STATE(13408)] = 606502,
  [SMALL_STATE(13409)] = 606531,
  [SMALL_STATE(13410)] = 606556,
  [SMALL_STATE(13411)] = 606593,
  [SMALL_STATE(13412)] = 606630,
  [SMALL_STATE(13413)] = 606667,
  [SMALL_STATE(13414)] = 606704,
  [SMALL_STATE(13415)] = 606741,
  [SMALL_STATE(13416)] = 606778,
  [SMALL_STATE(13417)] = 606815,
  [SMALL_STATE(13418)] = 606852,
  [SMALL_STATE(13419)] = 606889,
  [SMALL_STATE(13420)] = 606914,
  [SMALL_STATE(13421)] = 606951,
  [SMALL_STATE(13422)] = 606984,
  [SMALL_STATE(13423)] = 607009,
  [SMALL_STATE(13424)] = 607046,
  [SMALL_STATE(13425)] = 607083,
  [SMALL_STATE(13426)] = 607120,
  [SMALL_STATE(13427)] = 607157,
  [SMALL_STATE(13428)] = 607194,
  [SMALL_STATE(13429)] = 607231,
  [SMALL_STATE(13430)] = 607260,
  [SMALL_STATE(13431)] = 607285,
  [SMALL_STATE(13432)] = 607322,
  [SMALL_STATE(13433)] = 607359,
  [SMALL_STATE(13434)] = 607384,
  [SMALL_STATE(13435)] = 607411,
  [SMALL_STATE(13436)] = 607436,
  [SMALL_STATE(13437)] = 607473,
  [SMALL_STATE(13438)] = 607498,
  [SMALL_STATE(13439)] = 607535,
  [SMALL_STATE(13440)] = 607560,
  [SMALL_STATE(13441)] = 607585,
  [SMALL_STATE(13442)] = 607624,
  [SMALL_STATE(13443)] = 607649,
  [SMALL_STATE(13444)] = 607674,
  [SMALL_STATE(13445)] = 607699,
  [SMALL_STATE(13446)] = 607724,
  [SMALL_STATE(13447)] = 607761,
  [SMALL_STATE(13448)] = 607786,
  [SMALL_STATE(13449)] = 607811,
  [SMALL_STATE(13450)] = 607838,
  [SMALL_STATE(13451)] = 607875,
  [SMALL_STATE(13452)] = 607908,
  [SMALL_STATE(13453)] = 607945,
  [SMALL_STATE(13454)] = 607982,
  [SMALL_STATE(13455)] = 608007,
  [SMALL_STATE(13456)] = 608044,
  [SMALL_STATE(13457)] = 608069,
  [SMALL_STATE(13458)] = 608106,
  [SMALL_STATE(13459)] = 608143,
  [SMALL_STATE(13460)] = 608170,
  [SMALL_STATE(13461)] = 608207,
  [SMALL_STATE(13462)] = 608232,
  [SMALL_STATE(13463)] = 608269,
  [SMALL_STATE(13464)] = 608302,
  [SMALL_STATE(13465)] = 608339,
  [SMALL_STATE(13466)] = 608376,
  [SMALL_STATE(13467)] = 608413,
  [SMALL_STATE(13468)] = 608450,
  [SMALL_STATE(13469)] = 608487,
  [SMALL_STATE(13470)] = 608512,
  [SMALL_STATE(13471)] = 608549,
  [SMALL_STATE(13472)] = 608586,
  [SMALL_STATE(13473)] = 608623,
  [SMALL_STATE(13474)] = 608660,
  [SMALL_STATE(13475)] = 608697,
  [SMALL_STATE(13476)] = 608730,
  [SMALL_STATE(13477)] = 608767,
  [SMALL_STATE(13478)] = 608804,
  [SMALL_STATE(13479)] = 608835,
  [SMALL_STATE(13480)] = 608872,
  [SMALL_STATE(13481)] = 608897,
  [SMALL_STATE(13482)] = 608926,
  [SMALL_STATE(13483)] = 608963,
  [SMALL_STATE(13484)] = 608988,
  [SMALL_STATE(13485)] = 609025,
  [SMALL_STATE(13486)] = 609062,
  [SMALL_STATE(13487)] = 609089,
  [SMALL_STATE(13488)] = 609126,
  [SMALL_STATE(13489)] = 609151,
  [SMALL_STATE(13490)] = 609188,
  [SMALL_STATE(13491)] = 609225,
  [SMALL_STATE(13492)] = 609250,
  [SMALL_STATE(13493)] = 609287,
  [SMALL_STATE(13494)] = 609324,
  [SMALL_STATE(13495)] = 609361,
  [SMALL_STATE(13496)] = 609402,
  [SMALL_STATE(13497)] = 609427,
  [SMALL_STATE(13498)] = 609452,
  [SMALL_STATE(13499)] = 609489,
  [SMALL_STATE(13500)] = 609526,
  [SMALL_STATE(13501)] = 609563,
  [SMALL_STATE(13502)] = 609600,
  [SMALL_STATE(13503)] = 609637,
  [SMALL_STATE(13504)] = 609674,
  [SMALL_STATE(13505)] = 609711,
  [SMALL_STATE(13506)] = 609736,
  [SMALL_STATE(13507)] = 609773,
  [SMALL_STATE(13508)] = 609810,
  [SMALL_STATE(13509)] = 609847,
  [SMALL_STATE(13510)] = 609872,
  [SMALL_STATE(13511)] = 609909,
  [SMALL_STATE(13512)] = 609946,
  [SMALL_STATE(13513)] = 609983,
  [SMALL_STATE(13514)] = 610020,
  [SMALL_STATE(13515)] = 610057,
  [SMALL_STATE(13516)] = 610082,
  [SMALL_STATE(13517)] = 610107,
  [SMALL_STATE(13518)] = 610132,
  [SMALL_STATE(13519)] = 610169,
  [SMALL_STATE(13520)] = 610194,
  [SMALL_STATE(13521)] = 610231,
  [SMALL_STATE(13522)] = 610258,
  [SMALL_STATE(13523)] = 610295,
  [SMALL_STATE(13524)] = 610332,
  [SMALL_STATE(13525)] = 610357,
  [SMALL_STATE(13526)] = 610394,
  [SMALL_STATE(13527)] = 610431,
  [SMALL_STATE(13528)] = 610468,
  [SMALL_STATE(13529)] = 610505,
  [SMALL_STATE(13530)] = 610542,
  [SMALL_STATE(13531)] = 610567,
  [SMALL_STATE(13532)] = 610592,
  [SMALL_STATE(13533)] = 610617,
  [SMALL_STATE(13534)] = 610654,
  [SMALL_STATE(13535)] = 610691,
  [SMALL_STATE(13536)] = 610728,
  [SMALL_STATE(13537)] = 610765,
  [SMALL_STATE(13538)] = 610790,
  [SMALL_STATE(13539)] = 610827,
  [SMALL_STATE(13540)] = 610852,
  [SMALL_STATE(13541)] = 610889,
  [SMALL_STATE(13542)] = 610920,
  [SMALL_STATE(13543)] = 610945,
  [SMALL_STATE(13544)] = 610982,
  [SMALL_STATE(13545)] = 611015,
  [SMALL_STATE(13546)] = 611052,
  [SMALL_STATE(13547)] = 611089,
  [SMALL_STATE(13548)] = 611126,
  [SMALL_STATE(13549)] = 611163,
  [SMALL_STATE(13550)] = 611200,
  [SMALL_STATE(13551)] = 611225,
  [SMALL_STATE(13552)] = 611262,
  [SMALL_STATE(13553)] = 611287,
  [SMALL_STATE(13554)] = 611312,
  [SMALL_STATE(13555)] = 611349,
  [SMALL_STATE(13556)] = 611386,
  [SMALL_STATE(13557)] = 611423,
  [SMALL_STATE(13558)] = 611448,
  [SMALL_STATE(13559)] = 611473,
  [SMALL_STATE(13560)] = 611498,
  [SMALL_STATE(13561)] = 611535,
  [SMALL_STATE(13562)] = 611572,
  [SMALL_STATE(13563)] = 611609,
  [SMALL_STATE(13564)] = 611646,
  [SMALL_STATE(13565)] = 611683,
  [SMALL_STATE(13566)] = 611720,
  [SMALL_STATE(13567)] = 611757,
  [SMALL_STATE(13568)] = 611794,
  [SMALL_STATE(13569)] = 611831,
  [SMALL_STATE(13570)] = 611868,
  [SMALL_STATE(13571)] = 611893,
  [SMALL_STATE(13572)] = 611930,
  [SMALL_STATE(13573)] = 611967,
  [SMALL_STATE(13574)] = 612004,
  [SMALL_STATE(13575)] = 612029,
  [SMALL_STATE(13576)] = 612066,
  [SMALL_STATE(13577)] = 612103,
  [SMALL_STATE(13578)] = 612140,
  [SMALL_STATE(13579)] = 612165,
  [SMALL_STATE(13580)] = 612202,
  [SMALL_STATE(13581)] = 612239,
  [SMALL_STATE(13582)] = 612276,
  [SMALL_STATE(13583)] = 612301,
  [SMALL_STATE(13584)] = 612338,
  [SMALL_STATE(13585)] = 612365,
  [SMALL_STATE(13586)] = 612402,
  [SMALL_STATE(13587)] = 612439,
  [SMALL_STATE(13588)] = 612464,
  [SMALL_STATE(13589)] = 612495,
  [SMALL_STATE(13590)] = 612532,
  [SMALL_STATE(13591)] = 612569,
  [SMALL_STATE(13592)] = 612606,
  [SMALL_STATE(13593)] = 612643,
  [SMALL_STATE(13594)] = 612680,
  [SMALL_STATE(13595)] = 612717,
  [SMALL_STATE(13596)] = 612754,
  [SMALL_STATE(13597)] = 612791,
  [SMALL_STATE(13598)] = 612828,
  [SMALL_STATE(13599)] = 612857,
  [SMALL_STATE(13600)] = 612894,
  [SMALL_STATE(13601)] = 612931,
  [SMALL_STATE(13602)] = 612958,
  [SMALL_STATE(13603)] = 612993,
  [SMALL_STATE(13604)] = 613030,
  [SMALL_STATE(13605)] = 613067,
  [SMALL_STATE(13606)] = 613104,
  [SMALL_STATE(13607)] = 613141,
  [SMALL_STATE(13608)] = 613172,
  [SMALL_STATE(13609)] = 613209,
  [SMALL_STATE(13610)] = 613242,
  [SMALL_STATE(13611)] = 613279,
  [SMALL_STATE(13612)] = 613308,
  [SMALL_STATE(13613)] = 613345,
  [SMALL_STATE(13614)] = 613378,
  [SMALL_STATE(13615)] = 613403,
  [SMALL_STATE(13616)] = 613432,
  [SMALL_STATE(13617)] = 613469,
  [SMALL_STATE(13618)] = 613506,
  [SMALL_STATE(13619)] = 613543,
  [SMALL_STATE(13620)] = 613570,
  [SMALL_STATE(13621)] = 613607,
  [SMALL_STATE(13622)] = 613644,
  [SMALL_STATE(13623)] = 613669,
  [SMALL_STATE(13624)] = 613698,
  [SMALL_STATE(13625)] = 613735,
  [SMALL_STATE(13626)] = 613768,
  [SMALL_STATE(13627)] = 613794,
  [SMALL_STATE(13628)] = 613818,
  [SMALL_STATE(13629)] = 613852,
  [SMALL_STATE(13630)] = 613876,
  [SMALL_STATE(13631)] = 613902,
  [SMALL_STATE(13632)] = 613936,
  [SMALL_STATE(13633)] = 613960,
  [SMALL_STATE(13634)] = 613984,
  [SMALL_STATE(13635)] = 614008,
  [SMALL_STATE(13636)] = 614042,
  [SMALL_STATE(13637)] = 614066,
  [SMALL_STATE(13638)] = 614100,
  [SMALL_STATE(13639)] = 614124,
  [SMALL_STATE(13640)] = 614160,
  [SMALL_STATE(13641)] = 614184,
  [SMALL_STATE(13642)] = 614218,
  [SMALL_STATE(13643)] = 614242,
  [SMALL_STATE(13644)] = 614266,
  [SMALL_STATE(13645)] = 614294,
  [SMALL_STATE(13646)] = 614318,
  [SMALL_STATE(13647)] = 614352,
  [SMALL_STATE(13648)] = 614386,
  [SMALL_STATE(13649)] = 614420,
  [SMALL_STATE(13650)] = 614448,
  [SMALL_STATE(13651)] = 614480,
  [SMALL_STATE(13652)] = 614514,
  [SMALL_STATE(13653)] = 614546,
  [SMALL_STATE(13654)] = 614578,
  [SMALL_STATE(13655)] = 614612,
  [SMALL_STATE(13656)] = 614644,
  [SMALL_STATE(13657)] = 614678,
  [SMALL_STATE(13658)] = 614702,
  [SMALL_STATE(13659)] = 614736,
  [SMALL_STATE(13660)] = 614770,
  [SMALL_STATE(13661)] = 614804,
  [SMALL_STATE(13662)] = 614828,
  [SMALL_STATE(13663)] = 614862,
  [SMALL_STATE(13664)] = 614888,
  [SMALL_STATE(13665)] = 614922,
  [SMALL_STATE(13666)] = 614946,
  [SMALL_STATE(13667)] = 614970,
  [SMALL_STATE(13668)] = 615004,
  [SMALL_STATE(13669)] = 615028,
  [SMALL_STATE(13670)] = 615062,
  [SMALL_STATE(13671)] = 615086,
  [SMALL_STATE(13672)] = 615110,
  [SMALL_STATE(13673)] = 615144,
  [SMALL_STATE(13674)] = 615168,
  [SMALL_STATE(13675)] = 615192,
  [SMALL_STATE(13676)] = 615216,
  [SMALL_STATE(13677)] = 615250,
  [SMALL_STATE(13678)] = 615274,
  [SMALL_STATE(13679)] = 615298,
  [SMALL_STATE(13680)] = 615322,
  [SMALL_STATE(13681)] = 615356,
  [SMALL_STATE(13682)] = 615380,
  [SMALL_STATE(13683)] = 615404,
  [SMALL_STATE(13684)] = 615430,
  [SMALL_STATE(13685)] = 615454,
  [SMALL_STATE(13686)] = 615488,
  [SMALL_STATE(13687)] = 615512,
  [SMALL_STATE(13688)] = 615536,
  [SMALL_STATE(13689)] = 615570,
  [SMALL_STATE(13690)] = 615602,
  [SMALL_STATE(13691)] = 615636,
  [SMALL_STATE(13692)] = 615660,
  [SMALL_STATE(13693)] = 615694,
  [SMALL_STATE(13694)] = 615718,
  [SMALL_STATE(13695)] = 615752,
  [SMALL_STATE(13696)] = 615776,
  [SMALL_STATE(13697)] = 615808,
  [SMALL_STATE(13698)] = 615832,
  [SMALL_STATE(13699)] = 615866,
  [SMALL_STATE(13700)] = 615890,
  [SMALL_STATE(13701)] = 615914,
  [SMALL_STATE(13702)] = 615948,
  [SMALL_STATE(13703)] = 615982,
  [SMALL_STATE(13704)] = 616016,
  [SMALL_STATE(13705)] = 616048,
  [SMALL_STATE(13706)] = 616072,
  [SMALL_STATE(13707)] = 616106,
  [SMALL_STATE(13708)] = 616140,
  [SMALL_STATE(13709)] = 616174,
  [SMALL_STATE(13710)] = 616198,
  [SMALL_STATE(13711)] = 616222,
  [SMALL_STATE(13712)] = 616256,
  [SMALL_STATE(13713)] = 616290,
  [SMALL_STATE(13714)] = 616314,
  [SMALL_STATE(13715)] = 616338,
  [SMALL_STATE(13716)] = 616372,
  [SMALL_STATE(13717)] = 616396,
  [SMALL_STATE(13718)] = 616428,
  [SMALL_STATE(13719)] = 616452,
  [SMALL_STATE(13720)] = 616486,
  [SMALL_STATE(13721)] = 616510,
  [SMALL_STATE(13722)] = 616534,
  [SMALL_STATE(13723)] = 616568,
  [SMALL_STATE(13724)] = 616602,
  [SMALL_STATE(13725)] = 616626,
  [SMALL_STATE(13726)] = 616650,
  [SMALL_STATE(13727)] = 616684,
  [SMALL_STATE(13728)] = 616708,
  [SMALL_STATE(13729)] = 616742,
  [SMALL_STATE(13730)] = 616768,
  [SMALL_STATE(13731)] = 616792,
  [SMALL_STATE(13732)] = 616824,
  [SMALL_STATE(13733)] = 616848,
  [SMALL_STATE(13734)] = 616880,
  [SMALL_STATE(13735)] = 616914,
  [SMALL_STATE(13736)] = 616938,
  [SMALL_STATE(13737)] = 616964,
  [SMALL_STATE(13738)] = 616998,
  [SMALL_STATE(13739)] = 617024,
  [SMALL_STATE(13740)] = 617048,
  [SMALL_STATE(13741)] = 617074,
  [SMALL_STATE(13742)] = 617104,
  [SMALL_STATE(13743)] = 617138,
  [SMALL_STATE(13744)] = 617162,
  [SMALL_STATE(13745)] = 617196,
  [SMALL_STATE(13746)] = 617220,
  [SMALL_STATE(13747)] = 617264,
  [SMALL_STATE(13748)] = 617288,
  [SMALL_STATE(13749)] = 617322,
  [SMALL_STATE(13750)] = 617346,
  [SMALL_STATE(13751)] = 617380,
  [SMALL_STATE(13752)] = 617412,
  [SMALL_STATE(13753)] = 617446,
  [SMALL_STATE(13754)] = 617480,
  [SMALL_STATE(13755)] = 617514,
  [SMALL_STATE(13756)] = 617538,
  [SMALL_STATE(13757)] = 617564,
  [SMALL_STATE(13758)] = 617588,
  [SMALL_STATE(13759)] = 617622,
  [SMALL_STATE(13760)] = 617646,
  [SMALL_STATE(13761)] = 617678,
  [SMALL_STATE(13762)] = 617712,
  [SMALL_STATE(13763)] = 617736,
  [SMALL_STATE(13764)] = 617760,
  [SMALL_STATE(13765)] = 617784,
  [SMALL_STATE(13766)] = 617818,
  [SMALL_STATE(13767)] = 617842,
  [SMALL_STATE(13768)] = 617876,
  [SMALL_STATE(13769)] = 617920,
  [SMALL_STATE(13770)] = 617944,
  [SMALL_STATE(13771)] = 617978,
  [SMALL_STATE(13772)] = 618006,
  [SMALL_STATE(13773)] = 618034,
  [SMALL_STATE(13774)] = 618068,
  [SMALL_STATE(13775)] = 618102,
  [SMALL_STATE(13776)] = 618126,
  [SMALL_STATE(13777)] = 618150,
  [SMALL_STATE(13778)] = 618174,
  [SMALL_STATE(13779)] = 618198,
  [SMALL_STATE(13780)] = 618232,
  [SMALL_STATE(13781)] = 618266,
  [SMALL_STATE(13782)] = 618300,
  [SMALL_STATE(13783)] = 618334,
  [SMALL_STATE(13784)] = 618358,
  [SMALL_STATE(13785)] = 618392,
  [SMALL_STATE(13786)] = 618416,
  [SMALL_STATE(13787)] = 618440,
  [SMALL_STATE(13788)] = 618474,
  [SMALL_STATE(13789)] = 618508,
  [SMALL_STATE(13790)] = 618542,
  [SMALL_STATE(13791)] = 618566,
  [SMALL_STATE(13792)] = 618598,
  [SMALL_STATE(13793)] = 618622,
  [SMALL_STATE(13794)] = 618666,
  [SMALL_STATE(13795)] = 618700,
  [SMALL_STATE(13796)] = 618724,
  [SMALL_STATE(13797)] = 618748,
  [SMALL_STATE(13798)] = 618772,
  [SMALL_STATE(13799)] = 618806,
  [SMALL_STATE(13800)] = 618830,
  [SMALL_STATE(13801)] = 618854,
  [SMALL_STATE(13802)] = 618888,
  [SMALL_STATE(13803)] = 618912,
  [SMALL_STATE(13804)] = 618940,
  [SMALL_STATE(13805)] = 618974,
  [SMALL_STATE(13806)] = 618998,
  [SMALL_STATE(13807)] = 619030,
  [SMALL_STATE(13808)] = 619064,
  [SMALL_STATE(13809)] = 619094,
  [SMALL_STATE(13810)] = 619128,
  [SMALL_STATE(13811)] = 619162,
  [SMALL_STATE(13812)] = 619196,
  [SMALL_STATE(13813)] = 619220,
  [SMALL_STATE(13814)] = 619252,
  [SMALL_STATE(13815)] = 619286,
  [SMALL_STATE(13816)] = 619310,
  [SMALL_STATE(13817)] = 619340,
  [SMALL_STATE(13818)] = 619374,
  [SMALL_STATE(13819)] = 619398,
  [SMALL_STATE(13820)] = 619422,
  [SMALL_STATE(13821)] = 619456,
  [SMALL_STATE(13822)] = 619480,
  [SMALL_STATE(13823)] = 619514,
  [SMALL_STATE(13824)] = 619538,
  [SMALL_STATE(13825)] = 619562,
  [SMALL_STATE(13826)] = 619590,
  [SMALL_STATE(13827)] = 619618,
  [SMALL_STATE(13828)] = 619642,
  [SMALL_STATE(13829)] = 619676,
  [SMALL_STATE(13830)] = 619710,
  [SMALL_STATE(13831)] = 619734,
  [SMALL_STATE(13832)] = 619768,
  [SMALL_STATE(13833)] = 619792,
  [SMALL_STATE(13834)] = 619816,
  [SMALL_STATE(13835)] = 619840,
  [SMALL_STATE(13836)] = 619874,
  [SMALL_STATE(13837)] = 619898,
  [SMALL_STATE(13838)] = 619922,
  [SMALL_STATE(13839)] = 619956,
  [SMALL_STATE(13840)] = 619980,
  [SMALL_STATE(13841)] = 620004,
  [SMALL_STATE(13842)] = 620030,
  [SMALL_STATE(13843)] = 620064,
  [SMALL_STATE(13844)] = 620088,
  [SMALL_STATE(13845)] = 620122,
  [SMALL_STATE(13846)] = 620146,
  [SMALL_STATE(13847)] = 620180,
  [SMALL_STATE(13848)] = 620210,
  [SMALL_STATE(13849)] = 620234,
  [SMALL_STATE(13850)] = 620268,
  [SMALL_STATE(13851)] = 620292,
  [SMALL_STATE(13852)] = 620316,
  [SMALL_STATE(13853)] = 620350,
  [SMALL_STATE(13854)] = 620384,
  [SMALL_STATE(13855)] = 620418,
  [SMALL_STATE(13856)] = 620452,
  [SMALL_STATE(13857)] = 620480,
  [SMALL_STATE(13858)] = 620504,
  [SMALL_STATE(13859)] = 620538,
  [SMALL_STATE(13860)] = 620562,
  [SMALL_STATE(13861)] = 620586,
  [SMALL_STATE(13862)] = 620620,
  [SMALL_STATE(13863)] = 620648,
  [SMALL_STATE(13864)] = 620682,
  [SMALL_STATE(13865)] = 620708,
  [SMALL_STATE(13866)] = 620744,
  [SMALL_STATE(13867)] = 620768,
  [SMALL_STATE(13868)] = 620800,
  [SMALL_STATE(13869)] = 620834,
  [SMALL_STATE(13870)] = 620858,
  [SMALL_STATE(13871)] = 620882,
  [SMALL_STATE(13872)] = 620916,
  [SMALL_STATE(13873)] = 620950,
  [SMALL_STATE(13874)] = 620980,
  [SMALL_STATE(13875)] = 621014,
  [SMALL_STATE(13876)] = 621038,
  [SMALL_STATE(13877)] = 621062,
  [SMALL_STATE(13878)] = 621096,
  [SMALL_STATE(13879)] = 621120,
  [SMALL_STATE(13880)] = 621144,
  [SMALL_STATE(13881)] = 621178,
  [SMALL_STATE(13882)] = 621202,
  [SMALL_STATE(13883)] = 621226,
  [SMALL_STATE(13884)] = 621262,
  [SMALL_STATE(13885)] = 621296,
  [SMALL_STATE(13886)] = 621330,
  [SMALL_STATE(13887)] = 621358,
  [SMALL_STATE(13888)] = 621392,
  [SMALL_STATE(13889)] = 621426,
  [SMALL_STATE(13890)] = 621460,
  [SMALL_STATE(13891)] = 621486,
  [SMALL_STATE(13892)] = 621520,
  [SMALL_STATE(13893)] = 621554,
  [SMALL_STATE(13894)] = 621588,
  [SMALL_STATE(13895)] = 621612,
  [SMALL_STATE(13896)] = 621636,
  [SMALL_STATE(13897)] = 621670,
  [SMALL_STATE(13898)] = 621698,
  [SMALL_STATE(13899)] = 621732,
  [SMALL_STATE(13900)] = 621756,
  [SMALL_STATE(13901)] = 621784,
  [SMALL_STATE(13902)] = 621818,
  [SMALL_STATE(13903)] = 621852,
  [SMALL_STATE(13904)] = 621878,
  [SMALL_STATE(13905)] = 621912,
  [SMALL_STATE(13906)] = 621936,
  [SMALL_STATE(13907)] = 621960,
  [SMALL_STATE(13908)] = 621994,
  [SMALL_STATE(13909)] = 622018,
  [SMALL_STATE(13910)] = 622052,
  [SMALL_STATE(13911)] = 622076,
  [SMALL_STATE(13912)] = 622100,
  [SMALL_STATE(13913)] = 622134,
  [SMALL_STATE(13914)] = 622158,
  [SMALL_STATE(13915)] = 622182,
  [SMALL_STATE(13916)] = 622206,
  [SMALL_STATE(13917)] = 622240,
  [SMALL_STATE(13918)] = 622274,
  [SMALL_STATE(13919)] = 622308,
  [SMALL_STATE(13920)] = 622342,
  [SMALL_STATE(13921)] = 622376,
  [SMALL_STATE(13922)] = 622420,
  [SMALL_STATE(13923)] = 622450,
  [SMALL_STATE(13924)] = 622484,
  [SMALL_STATE(13925)] = 622518,
  [SMALL_STATE(13926)] = 622552,
  [SMALL_STATE(13927)] = 622576,
  [SMALL_STATE(13928)] = 622610,
  [SMALL_STATE(13929)] = 622644,
  [SMALL_STATE(13930)] = 622678,
  [SMALL_STATE(13931)] = 622702,
  [SMALL_STATE(13932)] = 622736,
  [SMALL_STATE(13933)] = 622760,
  [SMALL_STATE(13934)] = 622784,
  [SMALL_STATE(13935)] = 622808,
  [SMALL_STATE(13936)] = 622842,
  [SMALL_STATE(13937)] = 622876,
  [SMALL_STATE(13938)] = 622900,
  [SMALL_STATE(13939)] = 622924,
  [SMALL_STATE(13940)] = 622948,
  [SMALL_STATE(13941)] = 622972,
  [SMALL_STATE(13942)] = 622996,
  [SMALL_STATE(13943)] = 623020,
  [SMALL_STATE(13944)] = 623044,
  [SMALL_STATE(13945)] = 623068,
  [SMALL_STATE(13946)] = 623092,
  [SMALL_STATE(13947)] = 623116,
  [SMALL_STATE(13948)] = 623140,
  [SMALL_STATE(13949)] = 623174,
  [SMALL_STATE(13950)] = 623200,
  [SMALL_STATE(13951)] = 623228,
  [SMALL_STATE(13952)] = 623260,
  [SMALL_STATE(13953)] = 623294,
  [SMALL_STATE(13954)] = 623322,
  [SMALL_STATE(13955)] = 623354,
  [SMALL_STATE(13956)] = 623378,
  [SMALL_STATE(13957)] = 623406,
  [SMALL_STATE(13958)] = 623438,
  [SMALL_STATE(13959)] = 623470,
  [SMALL_STATE(13960)] = 623502,
  [SMALL_STATE(13961)] = 623528,
  [SMALL_STATE(13962)] = 623552,
  [SMALL_STATE(13963)] = 623584,
  [SMALL_STATE(13964)] = 623608,
  [SMALL_STATE(13965)] = 623632,
  [SMALL_STATE(13966)] = 623656,
  [SMALL_STATE(13967)] = 623688,
  [SMALL_STATE(13968)] = 623724,
  [SMALL_STATE(13969)] = 623748,
  [SMALL_STATE(13970)] = 623772,
  [SMALL_STATE(13971)] = 623804,
  [SMALL_STATE(13972)] = 623828,
  [SMALL_STATE(13973)] = 623862,
  [SMALL_STATE(13974)] = 623894,
  [SMALL_STATE(13975)] = 623918,
  [SMALL_STATE(13976)] = 623952,
  [SMALL_STATE(13977)] = 623976,
  [SMALL_STATE(13978)] = 624020,
  [SMALL_STATE(13979)] = 624044,
  [SMALL_STATE(13980)] = 624078,
  [SMALL_STATE(13981)] = 624106,
  [SMALL_STATE(13982)] = 624134,
  [SMALL_STATE(13983)] = 624160,
  [SMALL_STATE(13984)] = 624194,
  [SMALL_STATE(13985)] = 624218,
  [SMALL_STATE(13986)] = 624242,
  [SMALL_STATE(13987)] = 624276,
  [SMALL_STATE(13988)] = 624320,
  [SMALL_STATE(13989)] = 624354,
  [SMALL_STATE(13990)] = 624378,
  [SMALL_STATE(13991)] = 624408,
  [SMALL_STATE(13992)] = 624432,
  [SMALL_STATE(13993)] = 624456,
  [SMALL_STATE(13994)] = 624480,
  [SMALL_STATE(13995)] = 624506,
  [SMALL_STATE(13996)] = 624530,
  [SMALL_STATE(13997)] = 624564,
  [SMALL_STATE(13998)] = 624588,
  [SMALL_STATE(13999)] = 624616,
  [SMALL_STATE(14000)] = 624650,
  [SMALL_STATE(14001)] = 624694,
  [SMALL_STATE(14002)] = 624738,
  [SMALL_STATE(14003)] = 624782,
  [SMALL_STATE(14004)] = 624826,
  [SMALL_STATE(14005)] = 624852,
  [SMALL_STATE(14006)] = 624878,
  [SMALL_STATE(14007)] = 624912,
  [SMALL_STATE(14008)] = 624940,
  [SMALL_STATE(14009)] = 624964,
  [SMALL_STATE(14010)] = 624998,
  [SMALL_STATE(14011)] = 625022,
  [SMALL_STATE(14012)] = 625046,
  [SMALL_STATE(14013)] = 625070,
  [SMALL_STATE(14014)] = 625104,
  [SMALL_STATE(14015)] = 625138,
  [SMALL_STATE(14016)] = 625170,
  [SMALL_STATE(14017)] = 625194,
  [SMALL_STATE(14018)] = 625228,
  [SMALL_STATE(14019)] = 625252,
  [SMALL_STATE(14020)] = 625278,
  [SMALL_STATE(14021)] = 625302,
  [SMALL_STATE(14022)] = 625328,
  [SMALL_STATE(14023)] = 625362,
  [SMALL_STATE(14024)] = 625390,
  [SMALL_STATE(14025)] = 625414,
  [SMALL_STATE(14026)] = 625440,
  [SMALL_STATE(14027)] = 625464,
  [SMALL_STATE(14028)] = 625498,
  [SMALL_STATE(14029)] = 625532,
  [SMALL_STATE(14030)] = 625566,
  [SMALL_STATE(14031)] = 625594,
  [SMALL_STATE(14032)] = 625626,
  [SMALL_STATE(14033)] = 625656,
  [SMALL_STATE(14034)] = 625690,
  [SMALL_STATE(14035)] = 625714,
  [SMALL_STATE(14036)] = 625738,
  [SMALL_STATE(14037)] = 625762,
  [SMALL_STATE(14038)] = 625786,
  [SMALL_STATE(14039)] = 625824,
  [SMALL_STATE(14040)] = 625854,
  [SMALL_STATE(14041)] = 625878,
  [SMALL_STATE(14042)] = 625910,
  [SMALL_STATE(14043)] = 625944,
  [SMALL_STATE(14044)] = 625972,
  [SMALL_STATE(14045)] = 626000,
  [SMALL_STATE(14046)] = 626034,
  [SMALL_STATE(14047)] = 626062,
  [SMALL_STATE(14048)] = 626086,
  [SMALL_STATE(14049)] = 626114,
  [SMALL_STATE(14050)] = 626138,
  [SMALL_STATE(14051)] = 626162,
  [SMALL_STATE(14052)] = 626196,
  [SMALL_STATE(14053)] = 626226,
  [SMALL_STATE(14054)] = 626260,
  [SMALL_STATE(14055)] = 626294,
  [SMALL_STATE(14056)] = 626328,
  [SMALL_STATE(14057)] = 626356,
  [SMALL_STATE(14058)] = 626384,
  [SMALL_STATE(14059)] = 626408,
  [SMALL_STATE(14060)] = 626432,
  [SMALL_STATE(14061)] = 626466,
  [SMALL_STATE(14062)] = 626490,
  [SMALL_STATE(14063)] = 626522,
  [SMALL_STATE(14064)] = 626556,
  [SMALL_STATE(14065)] = 626590,
  [SMALL_STATE(14066)] = 626613,
  [SMALL_STATE(14067)] = 626636,
  [SMALL_STATE(14068)] = 626659,
  [SMALL_STATE(14069)] = 626682,
  [SMALL_STATE(14070)] = 626705,
  [SMALL_STATE(14071)] = 626728,
  [SMALL_STATE(14072)] = 626751,
  [SMALL_STATE(14073)] = 626776,
  [SMALL_STATE(14074)] = 626799,
  [SMALL_STATE(14075)] = 626822,
  [SMALL_STATE(14076)] = 626845,
  [SMALL_STATE(14077)] = 626868,
  [SMALL_STATE(14078)] = 626891,
  [SMALL_STATE(14079)] = 626914,
  [SMALL_STATE(14080)] = 626937,
  [SMALL_STATE(14081)] = 626960,
  [SMALL_STATE(14082)] = 626983,
  [SMALL_STATE(14083)] = 627006,
  [SMALL_STATE(14084)] = 627029,
  [SMALL_STATE(14085)] = 627052,
  [SMALL_STATE(14086)] = 627077,
  [SMALL_STATE(14087)] = 627108,
  [SMALL_STATE(14088)] = 627135,
  [SMALL_STATE(14089)] = 627158,
  [SMALL_STATE(14090)] = 627191,
  [SMALL_STATE(14091)] = 627220,
  [SMALL_STATE(14092)] = 627243,
  [SMALL_STATE(14093)] = 627266,
  [SMALL_STATE(14094)] = 627289,
  [SMALL_STATE(14095)] = 627312,
  [SMALL_STATE(14096)] = 627335,
  [SMALL_STATE(14097)] = 627358,
  [SMALL_STATE(14098)] = 627381,
  [SMALL_STATE(14099)] = 627404,
  [SMALL_STATE(14100)] = 627435,
  [SMALL_STATE(14101)] = 627458,
  [SMALL_STATE(14102)] = 627481,
  [SMALL_STATE(14103)] = 627504,
  [SMALL_STATE(14104)] = 627527,
  [SMALL_STATE(14105)] = 627550,
  [SMALL_STATE(14106)] = 627573,
  [SMALL_STATE(14107)] = 627596,
  [SMALL_STATE(14108)] = 627619,
  [SMALL_STATE(14109)] = 627642,
  [SMALL_STATE(14110)] = 627665,
  [SMALL_STATE(14111)] = 627688,
  [SMALL_STATE(14112)] = 627711,
  [SMALL_STATE(14113)] = 627736,
  [SMALL_STATE(14114)] = 627759,
  [SMALL_STATE(14115)] = 627782,
  [SMALL_STATE(14116)] = 627805,
  [SMALL_STATE(14117)] = 627828,
  [SMALL_STATE(14118)] = 627851,
  [SMALL_STATE(14119)] = 627876,
  [SMALL_STATE(14120)] = 627899,
  [SMALL_STATE(14121)] = 627922,
  [SMALL_STATE(14122)] = 627947,
  [SMALL_STATE(14123)] = 627980,
  [SMALL_STATE(14124)] = 628003,
  [SMALL_STATE(14125)] = 628032,
  [SMALL_STATE(14126)] = 628055,
  [SMALL_STATE(14127)] = 628078,
  [SMALL_STATE(14128)] = 628101,
  [SMALL_STATE(14129)] = 628130,
  [SMALL_STATE(14130)] = 628155,
  [SMALL_STATE(14131)] = 628178,
  [SMALL_STATE(14132)] = 628201,
  [SMALL_STATE(14133)] = 628224,
  [SMALL_STATE(14134)] = 628253,
  [SMALL_STATE(14135)] = 628276,
  [SMALL_STATE(14136)] = 628299,
  [SMALL_STATE(14137)] = 628322,
  [SMALL_STATE(14138)] = 628345,
  [SMALL_STATE(14139)] = 628370,
  [SMALL_STATE(14140)] = 628399,
  [SMALL_STATE(14141)] = 628422,
  [SMALL_STATE(14142)] = 628447,
  [SMALL_STATE(14143)] = 628470,
  [SMALL_STATE(14144)] = 628493,
  [SMALL_STATE(14145)] = 628516,
  [SMALL_STATE(14146)] = 628539,
  [SMALL_STATE(14147)] = 628562,
  [SMALL_STATE(14148)] = 628593,
  [SMALL_STATE(14149)] = 628616,
  [SMALL_STATE(14150)] = 628643,
  [SMALL_STATE(14151)] = 628672,
  [SMALL_STATE(14152)] = 628697,
  [SMALL_STATE(14153)] = 628724,
  [SMALL_STATE(14154)] = 628747,
  [SMALL_STATE(14155)] = 628776,
  [SMALL_STATE(14156)] = 628799,
  [SMALL_STATE(14157)] = 628822,
  [SMALL_STATE(14158)] = 628845,
  [SMALL_STATE(14159)] = 628868,
  [SMALL_STATE(14160)] = 628891,
  [SMALL_STATE(14161)] = 628920,
  [SMALL_STATE(14162)] = 628945,
  [SMALL_STATE(14163)] = 628972,
  [SMALL_STATE(14164)] = 628995,
  [SMALL_STATE(14165)] = 629022,
  [SMALL_STATE(14166)] = 629049,
  [SMALL_STATE(14167)] = 629074,
  [SMALL_STATE(14168)] = 629097,
  [SMALL_STATE(14169)] = 629120,
  [SMALL_STATE(14170)] = 629153,
  [SMALL_STATE(14171)] = 629176,
  [SMALL_STATE(14172)] = 629203,
  [SMALL_STATE(14173)] = 629226,
  [SMALL_STATE(14174)] = 629249,
  [SMALL_STATE(14175)] = 629272,
  [SMALL_STATE(14176)] = 629295,
  [SMALL_STATE(14177)] = 629318,
  [SMALL_STATE(14178)] = 629341,
  [SMALL_STATE(14179)] = 629364,
  [SMALL_STATE(14180)] = 629387,
  [SMALL_STATE(14181)] = 629414,
  [SMALL_STATE(14182)] = 629441,
  [SMALL_STATE(14183)] = 629472,
  [SMALL_STATE(14184)] = 629495,
  [SMALL_STATE(14185)] = 629522,
  [SMALL_STATE(14186)] = 629545,
  [SMALL_STATE(14187)] = 629568,
  [SMALL_STATE(14188)] = 629591,
  [SMALL_STATE(14189)] = 629614,
  [SMALL_STATE(14190)] = 629637,
  [SMALL_STATE(14191)] = 629666,
  [SMALL_STATE(14192)] = 629689,
  [SMALL_STATE(14193)] = 629712,
  [SMALL_STATE(14194)] = 629735,
  [SMALL_STATE(14195)] = 629762,
  [SMALL_STATE(14196)] = 629785,
  [SMALL_STATE(14197)] = 629808,
  [SMALL_STATE(14198)] = 629839,
  [SMALL_STATE(14199)] = 629866,
  [SMALL_STATE(14200)] = 629893,
  [SMALL_STATE(14201)] = 629920,
  [SMALL_STATE(14202)] = 629943,
  [SMALL_STATE(14203)] = 629968,
  [SMALL_STATE(14204)] = 629991,
  [SMALL_STATE(14205)] = 630014,
  [SMALL_STATE(14206)] = 630043,
  [SMALL_STATE(14207)] = 630066,
  [SMALL_STATE(14208)] = 630097,
  [SMALL_STATE(14209)] = 630132,
  [SMALL_STATE(14210)] = 630155,
  [SMALL_STATE(14211)] = 630178,
  [SMALL_STATE(14212)] = 630207,
  [SMALL_STATE(14213)] = 630230,
  [SMALL_STATE(14214)] = 630257,
  [SMALL_STATE(14215)] = 630280,
  [SMALL_STATE(14216)] = 630303,
  [SMALL_STATE(14217)] = 630326,
  [SMALL_STATE(14218)] = 630349,
  [SMALL_STATE(14219)] = 630376,
  [SMALL_STATE(14220)] = 630399,
  [SMALL_STATE(14221)] = 630422,
  [SMALL_STATE(14222)] = 630449,
  [SMALL_STATE(14223)] = 630472,
  [SMALL_STATE(14224)] = 630495,
  [SMALL_STATE(14225)] = 630518,
  [SMALL_STATE(14226)] = 630541,
  [SMALL_STATE(14227)] = 630570,
  [SMALL_STATE(14228)] = 630593,
  [SMALL_STATE(14229)] = 630616,
  [SMALL_STATE(14230)] = 630643,
  [SMALL_STATE(14231)] = 630670,
  [SMALL_STATE(14232)] = 630693,
  [SMALL_STATE(14233)] = 630716,
  [SMALL_STATE(14234)] = 630739,
  [SMALL_STATE(14235)] = 630762,
  [SMALL_STATE(14236)] = 630789,
  [SMALL_STATE(14237)] = 630812,
  [SMALL_STATE(14238)] = 630839,
  [SMALL_STATE(14239)] = 630862,
  [SMALL_STATE(14240)] = 630885,
  [SMALL_STATE(14241)] = 630914,
  [SMALL_STATE(14242)] = 630939,
  [SMALL_STATE(14243)] = 630966,
  [SMALL_STATE(14244)] = 630999,
  [SMALL_STATE(14245)] = 631026,
  [SMALL_STATE(14246)] = 631049,
  [SMALL_STATE(14247)] = 631076,
  [SMALL_STATE(14248)] = 631103,
  [SMALL_STATE(14249)] = 631126,
  [SMALL_STATE(14250)] = 631149,
  [SMALL_STATE(14251)] = 631172,
  [SMALL_STATE(14252)] = 631197,
  [SMALL_STATE(14253)] = 631220,
  [SMALL_STATE(14254)] = 631243,
  [SMALL_STATE(14255)] = 631266,
  [SMALL_STATE(14256)] = 631289,
  [SMALL_STATE(14257)] = 631312,
  [SMALL_STATE(14258)] = 631343,
  [SMALL_STATE(14259)] = 631366,
  [SMALL_STATE(14260)] = 631391,
  [SMALL_STATE(14261)] = 631414,
  [SMALL_STATE(14262)] = 631437,
  [SMALL_STATE(14263)] = 631460,
  [SMALL_STATE(14264)] = 631487,
  [SMALL_STATE(14265)] = 631518,
  [SMALL_STATE(14266)] = 631543,
  [SMALL_STATE(14267)] = 631574,
  [SMALL_STATE(14268)] = 631597,
  [SMALL_STATE(14269)] = 631620,
  [SMALL_STATE(14270)] = 631643,
  [SMALL_STATE(14271)] = 631666,
  [SMALL_STATE(14272)] = 631699,
  [SMALL_STATE(14273)] = 631722,
  [SMALL_STATE(14274)] = 631745,
  [SMALL_STATE(14275)] = 631776,
  [SMALL_STATE(14276)] = 631803,
  [SMALL_STATE(14277)] = 631826,
  [SMALL_STATE(14278)] = 631853,
  [SMALL_STATE(14279)] = 631880,
  [SMALL_STATE(14280)] = 631903,
  [SMALL_STATE(14281)] = 631928,
  [SMALL_STATE(14282)] = 631951,
  [SMALL_STATE(14283)] = 631974,
  [SMALL_STATE(14284)] = 631999,
  [SMALL_STATE(14285)] = 632022,
  [SMALL_STATE(14286)] = 632049,
  [SMALL_STATE(14287)] = 632072,
  [SMALL_STATE(14288)] = 632095,
  [SMALL_STATE(14289)] = 632118,
  [SMALL_STATE(14290)] = 632141,
  [SMALL_STATE(14291)] = 632164,
  [SMALL_STATE(14292)] = 632187,
  [SMALL_STATE(14293)] = 632210,
  [SMALL_STATE(14294)] = 632233,
  [SMALL_STATE(14295)] = 632256,
  [SMALL_STATE(14296)] = 632279,
  [SMALL_STATE(14297)] = 632302,
  [SMALL_STATE(14298)] = 632325,
  [SMALL_STATE(14299)] = 632364,
  [SMALL_STATE(14300)] = 632391,
  [SMALL_STATE(14301)] = 632414,
  [SMALL_STATE(14302)] = 632441,
  [SMALL_STATE(14303)] = 632464,
  [SMALL_STATE(14304)] = 632495,
  [SMALL_STATE(14305)] = 632518,
  [SMALL_STATE(14306)] = 632541,
  [SMALL_STATE(14307)] = 632576,
  [SMALL_STATE(14308)] = 632599,
  [SMALL_STATE(14309)] = 632626,
  [SMALL_STATE(14310)] = 632649,
  [SMALL_STATE(14311)] = 632676,
  [SMALL_STATE(14312)] = 632699,
  [SMALL_STATE(14313)] = 632722,
  [SMALL_STATE(14314)] = 632745,
  [SMALL_STATE(14315)] = 632780,
  [SMALL_STATE(14316)] = 632803,
  [SMALL_STATE(14317)] = 632826,
  [SMALL_STATE(14318)] = 632855,
  [SMALL_STATE(14319)] = 632878,
  [SMALL_STATE(14320)] = 632901,
  [SMALL_STATE(14321)] = 632924,
  [SMALL_STATE(14322)] = 632947,
  [SMALL_STATE(14323)] = 632970,
  [SMALL_STATE(14324)] = 632993,
  [SMALL_STATE(14325)] = 633016,
  [SMALL_STATE(14326)] = 633041,
  [SMALL_STATE(14327)] = 633064,
  [SMALL_STATE(14328)] = 633087,
  [SMALL_STATE(14329)] = 633110,
  [SMALL_STATE(14330)] = 633137,
  [SMALL_STATE(14331)] = 633160,
  [SMALL_STATE(14332)] = 633191,
  [SMALL_STATE(14333)] = 633214,
  [SMALL_STATE(14334)] = 633237,
  [SMALL_STATE(14335)] = 633260,
  [SMALL_STATE(14336)] = 633283,
  [SMALL_STATE(14337)] = 633306,
  [SMALL_STATE(14338)] = 633329,
  [SMALL_STATE(14339)] = 633352,
  [SMALL_STATE(14340)] = 633375,
  [SMALL_STATE(14341)] = 633398,
  [SMALL_STATE(14342)] = 633421,
  [SMALL_STATE(14343)] = 633444,
  [SMALL_STATE(14344)] = 633467,
  [SMALL_STATE(14345)] = 633500,
  [SMALL_STATE(14346)] = 633523,
  [SMALL_STATE(14347)] = 633546,
  [SMALL_STATE(14348)] = 633569,
  [SMALL_STATE(14349)] = 633592,
  [SMALL_STATE(14350)] = 633627,
  [SMALL_STATE(14351)] = 633650,
  [SMALL_STATE(14352)] = 633689,
  [SMALL_STATE(14353)] = 633712,
  [SMALL_STATE(14354)] = 633735,
  [SMALL_STATE(14355)] = 633758,
  [SMALL_STATE(14356)] = 633781,
  [SMALL_STATE(14357)] = 633804,
  [SMALL_STATE(14358)] = 633829,
  [SMALL_STATE(14359)] = 633852,
  [SMALL_STATE(14360)] = 633875,
  [SMALL_STATE(14361)] = 633902,
  [SMALL_STATE(14362)] = 633929,
  [SMALL_STATE(14363)] = 633956,
  [SMALL_STATE(14364)] = 633979,
  [SMALL_STATE(14365)] = 634010,
  [SMALL_STATE(14366)] = 634033,
  [SMALL_STATE(14367)] = 634058,
  [SMALL_STATE(14368)] = 634081,
  [SMALL_STATE(14369)] = 634104,
  [SMALL_STATE(14370)] = 634127,
  [SMALL_STATE(14371)] = 634150,
  [SMALL_STATE(14372)] = 634173,
  [SMALL_STATE(14373)] = 634196,
  [SMALL_STATE(14374)] = 634219,
  [SMALL_STATE(14375)] = 634242,
  [SMALL_STATE(14376)] = 634269,
  [SMALL_STATE(14377)] = 634296,
  [SMALL_STATE(14378)] = 634319,
  [SMALL_STATE(14379)] = 634346,
  [SMALL_STATE(14380)] = 634369,
  [SMALL_STATE(14381)] = 634392,
  [SMALL_STATE(14382)] = 634415,
  [SMALL_STATE(14383)] = 634438,
  [SMALL_STATE(14384)] = 634461,
  [SMALL_STATE(14385)] = 634483,
  [SMALL_STATE(14386)] = 634505,
  [SMALL_STATE(14387)] = 634527,
  [SMALL_STATE(14388)] = 634549,
  [SMALL_STATE(14389)] = 634579,
  [SMALL_STATE(14390)] = 634601,
  [SMALL_STATE(14391)] = 634623,
  [SMALL_STATE(14392)] = 634649,
  [SMALL_STATE(14393)] = 634677,
  [SMALL_STATE(14394)] = 634699,
  [SMALL_STATE(14395)] = 634725,
  [SMALL_STATE(14396)] = 634747,
  [SMALL_STATE(14397)] = 634769,
  [SMALL_STATE(14398)] = 634797,
  [SMALL_STATE(14399)] = 634821,
  [SMALL_STATE(14400)] = 634849,
  [SMALL_STATE(14401)] = 634873,
  [SMALL_STATE(14402)] = 634895,
  [SMALL_STATE(14403)] = 634923,
  [SMALL_STATE(14404)] = 634945,
  [SMALL_STATE(14405)] = 634969,
  [SMALL_STATE(14406)] = 635001,
  [SMALL_STATE(14407)] = 635027,
  [SMALL_STATE(14408)] = 635053,
  [SMALL_STATE(14409)] = 635079,
  [SMALL_STATE(14410)] = 635105,
  [SMALL_STATE(14411)] = 635131,
  [SMALL_STATE(14412)] = 635153,
  [SMALL_STATE(14413)] = 635175,
  [SMALL_STATE(14414)] = 635197,
  [SMALL_STATE(14415)] = 635227,
  [SMALL_STATE(14416)] = 635249,
  [SMALL_STATE(14417)] = 635277,
  [SMALL_STATE(14418)] = 635303,
  [SMALL_STATE(14419)] = 635325,
  [SMALL_STATE(14420)] = 635351,
  [SMALL_STATE(14421)] = 635379,
  [SMALL_STATE(14422)] = 635401,
  [SMALL_STATE(14423)] = 635429,
  [SMALL_STATE(14424)] = 635459,
  [SMALL_STATE(14425)] = 635483,
  [SMALL_STATE(14426)] = 635505,
  [SMALL_STATE(14427)] = 635527,
  [SMALL_STATE(14428)] = 635549,
  [SMALL_STATE(14429)] = 635575,
  [SMALL_STATE(14430)] = 635603,
  [SMALL_STATE(14431)] = 635625,
  [SMALL_STATE(14432)] = 635653,
  [SMALL_STATE(14433)] = 635679,
  [SMALL_STATE(14434)] = 635707,
  [SMALL_STATE(14435)] = 635729,
  [SMALL_STATE(14436)] = 635751,
  [SMALL_STATE(14437)] = 635773,
  [SMALL_STATE(14438)] = 635799,
  [SMALL_STATE(14439)] = 635825,
  [SMALL_STATE(14440)] = 635847,
  [SMALL_STATE(14441)] = 635869,
  [SMALL_STATE(14442)] = 635891,
  [SMALL_STATE(14443)] = 635915,
  [SMALL_STATE(14444)] = 635941,
  [SMALL_STATE(14445)] = 635963,
  [SMALL_STATE(14446)] = 635985,
  [SMALL_STATE(14447)] = 636007,
  [SMALL_STATE(14448)] = 636029,
  [SMALL_STATE(14449)] = 636059,
  [SMALL_STATE(14450)] = 636081,
  [SMALL_STATE(14451)] = 636113,
  [SMALL_STATE(14452)] = 636137,
  [SMALL_STATE(14453)] = 636167,
  [SMALL_STATE(14454)] = 636189,
  [SMALL_STATE(14455)] = 636211,
  [SMALL_STATE(14456)] = 636233,
  [SMALL_STATE(14457)] = 636255,
  [SMALL_STATE(14458)] = 636277,
  [SMALL_STATE(14459)] = 636299,
  [SMALL_STATE(14460)] = 636325,
  [SMALL_STATE(14461)] = 636351,
  [SMALL_STATE(14462)] = 636379,
  [SMALL_STATE(14463)] = 636405,
  [SMALL_STATE(14464)] = 636427,
  [SMALL_STATE(14465)] = 636457,
  [SMALL_STATE(14466)] = 636483,
  [SMALL_STATE(14467)] = 636509,
  [SMALL_STATE(14468)] = 636531,
  [SMALL_STATE(14469)] = 636557,
  [SMALL_STATE(14470)] = 636585,
  [SMALL_STATE(14471)] = 636611,
  [SMALL_STATE(14472)] = 636633,
  [SMALL_STATE(14473)] = 636655,
  [SMALL_STATE(14474)] = 636683,
  [SMALL_STATE(14475)] = 636705,
  [SMALL_STATE(14476)] = 636731,
  [SMALL_STATE(14477)] = 636757,
  [SMALL_STATE(14478)] = 636779,
  [SMALL_STATE(14479)] = 636805,
  [SMALL_STATE(14480)] = 636827,
  [SMALL_STATE(14481)] = 636849,
  [SMALL_STATE(14482)] = 636871,
  [SMALL_STATE(14483)] = 636893,
  [SMALL_STATE(14484)] = 636915,
  [SMALL_STATE(14485)] = 636937,
  [SMALL_STATE(14486)] = 636959,
  [SMALL_STATE(14487)] = 636981,
  [SMALL_STATE(14488)] = 637003,
  [SMALL_STATE(14489)] = 637025,
  [SMALL_STATE(14490)] = 637053,
  [SMALL_STATE(14491)] = 637075,
  [SMALL_STATE(14492)] = 637097,
  [SMALL_STATE(14493)] = 637119,
  [SMALL_STATE(14494)] = 637141,
  [SMALL_STATE(14495)] = 637163,
  [SMALL_STATE(14496)] = 637185,
  [SMALL_STATE(14497)] = 637211,
  [SMALL_STATE(14498)] = 637233,
  [SMALL_STATE(14499)] = 637255,
  [SMALL_STATE(14500)] = 637277,
  [SMALL_STATE(14501)] = 637299,
  [SMALL_STATE(14502)] = 637321,
  [SMALL_STATE(14503)] = 637343,
  [SMALL_STATE(14504)] = 637369,
  [SMALL_STATE(14505)] = 637393,
  [SMALL_STATE(14506)] = 637419,
  [SMALL_STATE(14507)] = 637441,
  [SMALL_STATE(14508)] = 637463,
  [SMALL_STATE(14509)] = 637485,
  [SMALL_STATE(14510)] = 637511,
  [SMALL_STATE(14511)] = 637537,
  [SMALL_STATE(14512)] = 637563,
  [SMALL_STATE(14513)] = 637589,
  [SMALL_STATE(14514)] = 637611,
  [SMALL_STATE(14515)] = 637633,
  [SMALL_STATE(14516)] = 637659,
  [SMALL_STATE(14517)] = 637685,
  [SMALL_STATE(14518)] = 637707,
  [SMALL_STATE(14519)] = 637729,
  [SMALL_STATE(14520)] = 637751,
  [SMALL_STATE(14521)] = 637773,
  [SMALL_STATE(14522)] = 637795,
  [SMALL_STATE(14523)] = 637817,
  [SMALL_STATE(14524)] = 637841,
  [SMALL_STATE(14525)] = 637863,
  [SMALL_STATE(14526)] = 637885,
  [SMALL_STATE(14527)] = 637913,
  [SMALL_STATE(14528)] = 637939,
  [SMALL_STATE(14529)] = 637961,
  [SMALL_STATE(14530)] = 637991,
  [SMALL_STATE(14531)] = 638019,
  [SMALL_STATE(14532)] = 638045,
  [SMALL_STATE(14533)] = 638067,
  [SMALL_STATE(14534)] = 638091,
  [SMALL_STATE(14535)] = 638117,
  [SMALL_STATE(14536)] = 638143,
  [SMALL_STATE(14537)] = 638167,
  [SMALL_STATE(14538)] = 638193,
  [SMALL_STATE(14539)] = 638215,
  [SMALL_STATE(14540)] = 638237,
  [SMALL_STATE(14541)] = 638259,
  [SMALL_STATE(14542)] = 638281,
  [SMALL_STATE(14543)] = 638303,
  [SMALL_STATE(14544)] = 638325,
  [SMALL_STATE(14545)] = 638347,
  [SMALL_STATE(14546)] = 638369,
  [SMALL_STATE(14547)] = 638391,
  [SMALL_STATE(14548)] = 638415,
  [SMALL_STATE(14549)] = 638441,
  [SMALL_STATE(14550)] = 638463,
  [SMALL_STATE(14551)] = 638485,
  [SMALL_STATE(14552)] = 638511,
  [SMALL_STATE(14553)] = 638533,
  [SMALL_STATE(14554)] = 638555,
  [SMALL_STATE(14555)] = 638577,
  [SMALL_STATE(14556)] = 638599,
  [SMALL_STATE(14557)] = 638621,
  [SMALL_STATE(14558)] = 638643,
  [SMALL_STATE(14559)] = 638665,
  [SMALL_STATE(14560)] = 638687,
  [SMALL_STATE(14561)] = 638709,
  [SMALL_STATE(14562)] = 638731,
  [SMALL_STATE(14563)] = 638753,
  [SMALL_STATE(14564)] = 638775,
  [SMALL_STATE(14565)] = 638797,
  [SMALL_STATE(14566)] = 638819,
  [SMALL_STATE(14567)] = 638841,
  [SMALL_STATE(14568)] = 638863,
  [SMALL_STATE(14569)] = 638885,
  [SMALL_STATE(14570)] = 638907,
  [SMALL_STATE(14571)] = 638929,
  [SMALL_STATE(14572)] = 638951,
  [SMALL_STATE(14573)] = 638973,
  [SMALL_STATE(14574)] = 638999,
  [SMALL_STATE(14575)] = 639021,
  [SMALL_STATE(14576)] = 639043,
  [SMALL_STATE(14577)] = 639065,
  [SMALL_STATE(14578)] = 639087,
  [SMALL_STATE(14579)] = 639109,
  [SMALL_STATE(14580)] = 639131,
  [SMALL_STATE(14581)] = 639153,
  [SMALL_STATE(14582)] = 639183,
  [SMALL_STATE(14583)] = 639205,
  [SMALL_STATE(14584)] = 639227,
  [SMALL_STATE(14585)] = 639249,
  [SMALL_STATE(14586)] = 639271,
  [SMALL_STATE(14587)] = 639293,
  [SMALL_STATE(14588)] = 639315,
  [SMALL_STATE(14589)] = 639337,
  [SMALL_STATE(14590)] = 639365,
  [SMALL_STATE(14591)] = 639389,
  [SMALL_STATE(14592)] = 639415,
  [SMALL_STATE(14593)] = 639437,
  [SMALL_STATE(14594)] = 639463,
  [SMALL_STATE(14595)] = 639485,
  [SMALL_STATE(14596)] = 639507,
  [SMALL_STATE(14597)] = 639529,
  [SMALL_STATE(14598)] = 639551,
  [SMALL_STATE(14599)] = 639579,
  [SMALL_STATE(14600)] = 639601,
  [SMALL_STATE(14601)] = 639623,
  [SMALL_STATE(14602)] = 639645,
  [SMALL_STATE(14603)] = 639669,
  [SMALL_STATE(14604)] = 639693,
  [SMALL_STATE(14605)] = 639715,
  [SMALL_STATE(14606)] = 639737,
  [SMALL_STATE(14607)] = 639759,
  [SMALL_STATE(14608)] = 639783,
  [SMALL_STATE(14609)] = 639809,
  [SMALL_STATE(14610)] = 639831,
  [SMALL_STATE(14611)] = 639855,
  [SMALL_STATE(14612)] = 639877,
  [SMALL_STATE(14613)] = 639899,
  [SMALL_STATE(14614)] = 639921,
  [SMALL_STATE(14615)] = 639943,
  [SMALL_STATE(14616)] = 639965,
  [SMALL_STATE(14617)] = 639987,
  [SMALL_STATE(14618)] = 640009,
  [SMALL_STATE(14619)] = 640031,
  [SMALL_STATE(14620)] = 640053,
  [SMALL_STATE(14621)] = 640075,
  [SMALL_STATE(14622)] = 640097,
  [SMALL_STATE(14623)] = 640127,
  [SMALL_STATE(14624)] = 640149,
  [SMALL_STATE(14625)] = 640171,
  [SMALL_STATE(14626)] = 640197,
  [SMALL_STATE(14627)] = 640219,
  [SMALL_STATE(14628)] = 640241,
  [SMALL_STATE(14629)] = 640263,
  [SMALL_STATE(14630)] = 640285,
  [SMALL_STATE(14631)] = 640307,
  [SMALL_STATE(14632)] = 640329,
  [SMALL_STATE(14633)] = 640351,
  [SMALL_STATE(14634)] = 640373,
  [SMALL_STATE(14635)] = 640395,
  [SMALL_STATE(14636)] = 640417,
  [SMALL_STATE(14637)] = 640441,
  [SMALL_STATE(14638)] = 640467,
  [SMALL_STATE(14639)] = 640489,
  [SMALL_STATE(14640)] = 640511,
  [SMALL_STATE(14641)] = 640533,
  [SMALL_STATE(14642)] = 640555,
  [SMALL_STATE(14643)] = 640579,
  [SMALL_STATE(14644)] = 640605,
  [SMALL_STATE(14645)] = 640627,
  [SMALL_STATE(14646)] = 640649,
  [SMALL_STATE(14647)] = 640671,
  [SMALL_STATE(14648)] = 640693,
  [SMALL_STATE(14649)] = 640715,
  [SMALL_STATE(14650)] = 640737,
  [SMALL_STATE(14651)] = 640761,
  [SMALL_STATE(14652)] = 640783,
  [SMALL_STATE(14653)] = 640809,
  [SMALL_STATE(14654)] = 640839,
  [SMALL_STATE(14655)] = 640865,
  [SMALL_STATE(14656)] = 640893,
  [SMALL_STATE(14657)] = 640919,
  [SMALL_STATE(14658)] = 640941,
  [SMALL_STATE(14659)] = 640963,
  [SMALL_STATE(14660)] = 640985,
  [SMALL_STATE(14661)] = 641007,
  [SMALL_STATE(14662)] = 641037,
  [SMALL_STATE(14663)] = 641059,
  [SMALL_STATE(14664)] = 641081,
  [SMALL_STATE(14665)] = 641103,
  [SMALL_STATE(14666)] = 641127,
  [SMALL_STATE(14667)] = 641153,
  [SMALL_STATE(14668)] = 641175,
  [SMALL_STATE(14669)] = 641197,
  [SMALL_STATE(14670)] = 641219,
  [SMALL_STATE(14671)] = 641243,
  [SMALL_STATE(14672)] = 641265,
  [SMALL_STATE(14673)] = 641287,
  [SMALL_STATE(14674)] = 641315,
  [SMALL_STATE(14675)] = 641341,
  [SMALL_STATE(14676)] = 641367,
  [SMALL_STATE(14677)] = 641389,
  [SMALL_STATE(14678)] = 641411,
  [SMALL_STATE(14679)] = 641433,
  [SMALL_STATE(14680)] = 641455,
  [SMALL_STATE(14681)] = 641477,
  [SMALL_STATE(14682)] = 641507,
  [SMALL_STATE(14683)] = 641529,
  [SMALL_STATE(14684)] = 641551,
  [SMALL_STATE(14685)] = 641573,
  [SMALL_STATE(14686)] = 641597,
  [SMALL_STATE(14687)] = 641619,
  [SMALL_STATE(14688)] = 641643,
  [SMALL_STATE(14689)] = 641665,
  [SMALL_STATE(14690)] = 641687,
  [SMALL_STATE(14691)] = 641715,
  [SMALL_STATE(14692)] = 641737,
  [SMALL_STATE(14693)] = 641759,
  [SMALL_STATE(14694)] = 641791,
  [SMALL_STATE(14695)] = 641813,
  [SMALL_STATE(14696)] = 641835,
  [SMALL_STATE(14697)] = 641857,
  [SMALL_STATE(14698)] = 641879,
  [SMALL_STATE(14699)] = 641901,
  [SMALL_STATE(14700)] = 641923,
  [SMALL_STATE(14701)] = 641945,
  [SMALL_STATE(14702)] = 641973,
  [SMALL_STATE(14703)] = 641995,
  [SMALL_STATE(14704)] = 642017,
  [SMALL_STATE(14705)] = 642047,
  [SMALL_STATE(14706)] = 642073,
  [SMALL_STATE(14707)] = 642095,
  [SMALL_STATE(14708)] = 642123,
  [SMALL_STATE(14709)] = 642145,
  [SMALL_STATE(14710)] = 642171,
  [SMALL_STATE(14711)] = 642193,
  [SMALL_STATE(14712)] = 642223,
  [SMALL_STATE(14713)] = 642244,
  [SMALL_STATE(14714)] = 642265,
  [SMALL_STATE(14715)] = 642290,
  [SMALL_STATE(14716)] = 642313,
  [SMALL_STATE(14717)] = 642334,
  [SMALL_STATE(14718)] = 642355,
  [SMALL_STATE(14719)] = 642382,
  [SMALL_STATE(14720)] = 642403,
  [SMALL_STATE(14721)] = 642424,
  [SMALL_STATE(14722)] = 642449,
  [SMALL_STATE(14723)] = 642470,
  [SMALL_STATE(14724)] = 642491,
  [SMALL_STATE(14725)] = 642512,
  [SMALL_STATE(14726)] = 642539,
  [SMALL_STATE(14727)] = 642560,
  [SMALL_STATE(14728)] = 642581,
  [SMALL_STATE(14729)] = 642602,
  [SMALL_STATE(14730)] = 642629,
  [SMALL_STATE(14731)] = 642654,
  [SMALL_STATE(14732)] = 642677,
  [SMALL_STATE(14733)] = 642708,
  [SMALL_STATE(14734)] = 642729,
  [SMALL_STATE(14735)] = 642750,
  [SMALL_STATE(14736)] = 642771,
  [SMALL_STATE(14737)] = 642792,
  [SMALL_STATE(14738)] = 642817,
  [SMALL_STATE(14739)] = 642840,
  [SMALL_STATE(14740)] = 642865,
  [SMALL_STATE(14741)] = 642886,
  [SMALL_STATE(14742)] = 642907,
  [SMALL_STATE(14743)] = 642928,
  [SMALL_STATE(14744)] = 642949,
  [SMALL_STATE(14745)] = 642974,
  [SMALL_STATE(14746)] = 642995,
  [SMALL_STATE(14747)] = 643016,
  [SMALL_STATE(14748)] = 643045,
  [SMALL_STATE(14749)] = 643066,
  [SMALL_STATE(14750)] = 643089,
  [SMALL_STATE(14751)] = 643116,
  [SMALL_STATE(14752)] = 643145,
  [SMALL_STATE(14753)] = 643174,
  [SMALL_STATE(14754)] = 643195,
  [SMALL_STATE(14755)] = 643220,
  [SMALL_STATE(14756)] = 643245,
  [SMALL_STATE(14757)] = 643274,
  [SMALL_STATE(14758)] = 643299,
  [SMALL_STATE(14759)] = 643328,
  [SMALL_STATE(14760)] = 643361,
  [SMALL_STATE(14761)] = 643384,
  [SMALL_STATE(14762)] = 643405,
  [SMALL_STATE(14763)] = 643426,
  [SMALL_STATE(14764)] = 643447,
  [SMALL_STATE(14765)] = 643474,
  [SMALL_STATE(14766)] = 643495,
  [SMALL_STATE(14767)] = 643516,
  [SMALL_STATE(14768)] = 643537,
  [SMALL_STATE(14769)] = 643562,
  [SMALL_STATE(14770)] = 643589,
  [SMALL_STATE(14771)] = 643616,
  [SMALL_STATE(14772)] = 643649,
  [SMALL_STATE(14773)] = 643674,
  [SMALL_STATE(14774)] = 643699,
  [SMALL_STATE(14775)] = 643720,
  [SMALL_STATE(14776)] = 643745,
  [SMALL_STATE(14777)] = 643772,
  [SMALL_STATE(14778)] = 643793,
  [SMALL_STATE(14779)] = 643822,
  [SMALL_STATE(14780)] = 643843,
  [SMALL_STATE(14781)] = 643870,
  [SMALL_STATE(14782)] = 643893,
  [SMALL_STATE(14783)] = 643914,
  [SMALL_STATE(14784)] = 643935,
  [SMALL_STATE(14785)] = 643956,
  [SMALL_STATE(14786)] = 643983,
  [SMALL_STATE(14787)] = 644006,
  [SMALL_STATE(14788)] = 644033,
  [SMALL_STATE(14789)] = 644060,
  [SMALL_STATE(14790)] = 644081,
  [SMALL_STATE(14791)] = 644102,
  [SMALL_STATE(14792)] = 644135,
  [SMALL_STATE(14793)] = 644160,
  [SMALL_STATE(14794)] = 644183,
  [SMALL_STATE(14795)] = 644204,
  [SMALL_STATE(14796)] = 644225,
  [SMALL_STATE(14797)] = 644250,
  [SMALL_STATE(14798)] = 644275,
  [SMALL_STATE(14799)] = 644302,
  [SMALL_STATE(14800)] = 644323,
  [SMALL_STATE(14801)] = 644344,
  [SMALL_STATE(14802)] = 644377,
  [SMALL_STATE(14803)] = 644398,
  [SMALL_STATE(14804)] = 644423,
  [SMALL_STATE(14805)] = 644452,
  [SMALL_STATE(14806)] = 644477,
  [SMALL_STATE(14807)] = 644510,
  [SMALL_STATE(14808)] = 644543,
  [SMALL_STATE(14809)] = 644564,
  [SMALL_STATE(14810)] = 644593,
  [SMALL_STATE(14811)] = 644614,
  [SMALL_STATE(14812)] = 644635,
  [SMALL_STATE(14813)] = 644668,
  [SMALL_STATE(14814)] = 644689,
  [SMALL_STATE(14815)] = 644718,
  [SMALL_STATE(14816)] = 644739,
  [SMALL_STATE(14817)] = 644760,
  [SMALL_STATE(14818)] = 644783,
  [SMALL_STATE(14819)] = 644804,
  [SMALL_STATE(14820)] = 644829,
  [SMALL_STATE(14821)] = 644854,
  [SMALL_STATE(14822)] = 644877,
  [SMALL_STATE(14823)] = 644902,
  [SMALL_STATE(14824)] = 644923,
  [SMALL_STATE(14825)] = 644944,
  [SMALL_STATE(14826)] = 644969,
  [SMALL_STATE(14827)] = 644990,
  [SMALL_STATE(14828)] = 645017,
  [SMALL_STATE(14829)] = 645050,
  [SMALL_STATE(14830)] = 645077,
  [SMALL_STATE(14831)] = 645104,
  [SMALL_STATE(14832)] = 645129,
  [SMALL_STATE(14833)] = 645152,
  [SMALL_STATE(14834)] = 645173,
  [SMALL_STATE(14835)] = 645200,
  [SMALL_STATE(14836)] = 645229,
  [SMALL_STATE(14837)] = 645256,
  [SMALL_STATE(14838)] = 645281,
  [SMALL_STATE(14839)] = 645302,
  [SMALL_STATE(14840)] = 645323,
  [SMALL_STATE(14841)] = 645346,
  [SMALL_STATE(14842)] = 645371,
  [SMALL_STATE(14843)] = 645392,
  [SMALL_STATE(14844)] = 645417,
  [SMALL_STATE(14845)] = 645438,
  [SMALL_STATE(14846)] = 645463,
  [SMALL_STATE(14847)] = 645486,
  [SMALL_STATE(14848)] = 645507,
  [SMALL_STATE(14849)] = 645528,
  [SMALL_STATE(14850)] = 645555,
  [SMALL_STATE(14851)] = 645576,
  [SMALL_STATE(14852)] = 645603,
  [SMALL_STATE(14853)] = 645624,
  [SMALL_STATE(14854)] = 645645,
  [SMALL_STATE(14855)] = 645668,
  [SMALL_STATE(14856)] = 645693,
  [SMALL_STATE(14857)] = 645718,
  [SMALL_STATE(14858)] = 645739,
  [SMALL_STATE(14859)] = 645766,
  [SMALL_STATE(14860)] = 645789,
  [SMALL_STATE(14861)] = 645810,
  [SMALL_STATE(14862)] = 645835,
  [SMALL_STATE(14863)] = 645866,
  [SMALL_STATE(14864)] = 645891,
  [SMALL_STATE(14865)] = 645912,
  [SMALL_STATE(14866)] = 645933,
  [SMALL_STATE(14867)] = 645958,
  [SMALL_STATE(14868)] = 645979,
  [SMALL_STATE(14869)] = 646002,
  [SMALL_STATE(14870)] = 646029,
  [SMALL_STATE(14871)] = 646054,
  [SMALL_STATE(14872)] = 646075,
  [SMALL_STATE(14873)] = 646100,
  [SMALL_STATE(14874)] = 646125,
  [SMALL_STATE(14875)] = 646148,
  [SMALL_STATE(14876)] = 646173,
  [SMALL_STATE(14877)] = 646198,
  [SMALL_STATE(14878)] = 646223,
  [SMALL_STATE(14879)] = 646248,
  [SMALL_STATE(14880)] = 646275,
  [SMALL_STATE(14881)] = 646302,
  [SMALL_STATE(14882)] = 646331,
  [SMALL_STATE(14883)] = 646352,
  [SMALL_STATE(14884)] = 646377,
  [SMALL_STATE(14885)] = 646400,
  [SMALL_STATE(14886)] = 646421,
  [SMALL_STATE(14887)] = 646442,
  [SMALL_STATE(14888)] = 646469,
  [SMALL_STATE(14889)] = 646502,
  [SMALL_STATE(14890)] = 646535,
  [SMALL_STATE(14891)] = 646568,
  [SMALL_STATE(14892)] = 646601,
  [SMALL_STATE(14893)] = 646622,
  [SMALL_STATE(14894)] = 646643,
  [SMALL_STATE(14895)] = 646664,
  [SMALL_STATE(14896)] = 646685,
  [SMALL_STATE(14897)] = 646716,
  [SMALL_STATE(14898)] = 646743,
  [SMALL_STATE(14899)] = 646770,
  [SMALL_STATE(14900)] = 646795,
  [SMALL_STATE(14901)] = 646824,
  [SMALL_STATE(14902)] = 646853,
  [SMALL_STATE(14903)] = 646880,
  [SMALL_STATE(14904)] = 646905,
  [SMALL_STATE(14905)] = 646934,
  [SMALL_STATE(14906)] = 646967,
  [SMALL_STATE(14907)] = 646992,
  [SMALL_STATE(14908)] = 647015,
  [SMALL_STATE(14909)] = 647036,
  [SMALL_STATE(14910)] = 647061,
  [SMALL_STATE(14911)] = 647082,
  [SMALL_STATE(14912)] = 647115,
  [SMALL_STATE(14913)] = 647142,
  [SMALL_STATE(14914)] = 647169,
  [SMALL_STATE(14915)] = 647194,
  [SMALL_STATE(14916)] = 647219,
  [SMALL_STATE(14917)] = 647244,
  [SMALL_STATE(14918)] = 647271,
  [SMALL_STATE(14919)] = 647298,
  [SMALL_STATE(14920)] = 647329,
  [SMALL_STATE(14921)] = 647352,
  [SMALL_STATE(14922)] = 647377,
  [SMALL_STATE(14923)] = 647399,
  [SMALL_STATE(14924)] = 647419,
  [SMALL_STATE(14925)] = 647445,
  [SMALL_STATE(14926)] = 647465,
  [SMALL_STATE(14927)] = 647485,
  [SMALL_STATE(14928)] = 647509,
  [SMALL_STATE(14929)] = 647529,
  [SMALL_STATE(14930)] = 647553,
  [SMALL_STATE(14931)] = 647579,
  [SMALL_STATE(14932)] = 647603,
  [SMALL_STATE(14933)] = 647627,
  [SMALL_STATE(14934)] = 647657,
  [SMALL_STATE(14935)] = 647681,
  [SMALL_STATE(14936)] = 647701,
  [SMALL_STATE(14937)] = 647721,
  [SMALL_STATE(14938)] = 647745,
  [SMALL_STATE(14939)] = 647765,
  [SMALL_STATE(14940)] = 647789,
  [SMALL_STATE(14941)] = 647809,
  [SMALL_STATE(14942)] = 647835,
  [SMALL_STATE(14943)] = 647859,
  [SMALL_STATE(14944)] = 647887,
  [SMALL_STATE(14945)] = 647913,
  [SMALL_STATE(14946)] = 647933,
  [SMALL_STATE(14947)] = 647957,
  [SMALL_STATE(14948)] = 647981,
  [SMALL_STATE(14949)] = 648003,
  [SMALL_STATE(14950)] = 648027,
  [SMALL_STATE(14951)] = 648047,
  [SMALL_STATE(14952)] = 648069,
  [SMALL_STATE(14953)] = 648095,
  [SMALL_STATE(14954)] = 648119,
  [SMALL_STATE(14955)] = 648145,
  [SMALL_STATE(14956)] = 648165,
  [SMALL_STATE(14957)] = 648191,
  [SMALL_STATE(14958)] = 648211,
  [SMALL_STATE(14959)] = 648231,
  [SMALL_STATE(14960)] = 648255,
  [SMALL_STATE(14961)] = 648275,
  [SMALL_STATE(14962)] = 648295,
  [SMALL_STATE(14963)] = 648315,
  [SMALL_STATE(14964)] = 648341,
  [SMALL_STATE(14965)] = 648361,
  [SMALL_STATE(14966)] = 648385,
  [SMALL_STATE(14967)] = 648405,
  [SMALL_STATE(14968)] = 648425,
  [SMALL_STATE(14969)] = 648445,
  [SMALL_STATE(14970)] = 648465,
  [SMALL_STATE(14971)] = 648487,
  [SMALL_STATE(14972)] = 648513,
  [SMALL_STATE(14973)] = 648537,
  [SMALL_STATE(14974)] = 648559,
  [SMALL_STATE(14975)] = 648581,
  [SMALL_STATE(14976)] = 648605,
  [SMALL_STATE(14977)] = 648629,
  [SMALL_STATE(14978)] = 648649,
  [SMALL_STATE(14979)] = 648669,
  [SMALL_STATE(14980)] = 648693,
  [SMALL_STATE(14981)] = 648715,
  [SMALL_STATE(14982)] = 648739,
  [SMALL_STATE(14983)] = 648759,
  [SMALL_STATE(14984)] = 648787,
  [SMALL_STATE(14985)] = 648813,
  [SMALL_STATE(14986)] = 648845,
  [SMALL_STATE(14987)] = 648871,
  [SMALL_STATE(14988)] = 648897,
  [SMALL_STATE(14989)] = 648919,
  [SMALL_STATE(14990)] = 648939,
  [SMALL_STATE(14991)] = 648963,
  [SMALL_STATE(14992)] = 648987,
  [SMALL_STATE(14993)] = 649009,
  [SMALL_STATE(14994)] = 649033,
  [SMALL_STATE(14995)] = 649055,
  [SMALL_STATE(14996)] = 649075,
  [SMALL_STATE(14997)] = 649099,
  [SMALL_STATE(14998)] = 649129,
  [SMALL_STATE(14999)] = 649151,
  [SMALL_STATE(15000)] = 649171,
  [SMALL_STATE(15001)] = 649191,
  [SMALL_STATE(15002)] = 649215,
  [SMALL_STATE(15003)] = 649235,
  [SMALL_STATE(15004)] = 649255,
  [SMALL_STATE(15005)] = 649275,
  [SMALL_STATE(15006)] = 649299,
  [SMALL_STATE(15007)] = 649323,
  [SMALL_STATE(15008)] = 649343,
  [SMALL_STATE(15009)] = 649365,
  [SMALL_STATE(15010)] = 649389,
  [SMALL_STATE(15011)] = 649413,
  [SMALL_STATE(15012)] = 649435,
  [SMALL_STATE(15013)] = 649457,
  [SMALL_STATE(15014)] = 649477,
  [SMALL_STATE(15015)] = 649505,
  [SMALL_STATE(15016)] = 649531,
  [SMALL_STATE(15017)] = 649551,
  [SMALL_STATE(15018)] = 649571,
  [SMALL_STATE(15019)] = 649599,
  [SMALL_STATE(15020)] = 649619,
  [SMALL_STATE(15021)] = 649639,
  [SMALL_STATE(15022)] = 649663,
  [SMALL_STATE(15023)] = 649685,
  [SMALL_STATE(15024)] = 649711,
  [SMALL_STATE(15025)] = 649733,
  [SMALL_STATE(15026)] = 649753,
  [SMALL_STATE(15027)] = 649785,
  [SMALL_STATE(15028)] = 649811,
  [SMALL_STATE(15029)] = 649833,
  [SMALL_STATE(15030)] = 649859,
  [SMALL_STATE(15031)] = 649879,
  [SMALL_STATE(15032)] = 649903,
  [SMALL_STATE(15033)] = 649923,
  [SMALL_STATE(15034)] = 649945,
  [SMALL_STATE(15035)] = 649971,
  [SMALL_STATE(15036)] = 649995,
  [SMALL_STATE(15037)] = 650021,
  [SMALL_STATE(15038)] = 650047,
  [SMALL_STATE(15039)] = 650073,
  [SMALL_STATE(15040)] = 650093,
  [SMALL_STATE(15041)] = 650117,
  [SMALL_STATE(15042)] = 650137,
  [SMALL_STATE(15043)] = 650157,
  [SMALL_STATE(15044)] = 650177,
  [SMALL_STATE(15045)] = 650203,
  [SMALL_STATE(15046)] = 650223,
  [SMALL_STATE(15047)] = 650243,
  [SMALL_STATE(15048)] = 650267,
  [SMALL_STATE(15049)] = 650287,
  [SMALL_STATE(15050)] = 650319,
  [SMALL_STATE(15051)] = 650339,
  [SMALL_STATE(15052)] = 650369,
  [SMALL_STATE(15053)] = 650395,
  [SMALL_STATE(15054)] = 650421,
  [SMALL_STATE(15055)] = 650445,
  [SMALL_STATE(15056)] = 650465,
  [SMALL_STATE(15057)] = 650485,
  [SMALL_STATE(15058)] = 650511,
  [SMALL_STATE(15059)] = 650533,
  [SMALL_STATE(15060)] = 650557,
  [SMALL_STATE(15061)] = 650577,
  [SMALL_STATE(15062)] = 650597,
  [SMALL_STATE(15063)] = 650627,
  [SMALL_STATE(15064)] = 650647,
  [SMALL_STATE(15065)] = 650669,
  [SMALL_STATE(15066)] = 650689,
  [SMALL_STATE(15067)] = 650711,
  [SMALL_STATE(15068)] = 650743,
  [SMALL_STATE(15069)] = 650763,
  [SMALL_STATE(15070)] = 650791,
  [SMALL_STATE(15071)] = 650815,
  [SMALL_STATE(15072)] = 650835,
  [SMALL_STATE(15073)] = 650855,
  [SMALL_STATE(15074)] = 650881,
  [SMALL_STATE(15075)] = 650901,
  [SMALL_STATE(15076)] = 650925,
  [SMALL_STATE(15077)] = 650945,
  [SMALL_STATE(15078)] = 650971,
  [SMALL_STATE(15079)] = 650997,
  [SMALL_STATE(15080)] = 651017,
  [SMALL_STATE(15081)] = 651043,
  [SMALL_STATE(15082)] = 651067,
  [SMALL_STATE(15083)] = 651087,
  [SMALL_STATE(15084)] = 651107,
  [SMALL_STATE(15085)] = 651129,
  [SMALL_STATE(15086)] = 651151,
  [SMALL_STATE(15087)] = 651171,
  [SMALL_STATE(15088)] = 651195,
  [SMALL_STATE(15089)] = 651215,
  [SMALL_STATE(15090)] = 651235,
  [SMALL_STATE(15091)] = 651255,
  [SMALL_STATE(15092)] = 651283,
  [SMALL_STATE(15093)] = 651307,
  [SMALL_STATE(15094)] = 651327,
  [SMALL_STATE(15095)] = 651347,
  [SMALL_STATE(15096)] = 651367,
  [SMALL_STATE(15097)] = 651391,
  [SMALL_STATE(15098)] = 651413,
  [SMALL_STATE(15099)] = 651435,
  [SMALL_STATE(15100)] = 651459,
  [SMALL_STATE(15101)] = 651483,
  [SMALL_STATE(15102)] = 651503,
  [SMALL_STATE(15103)] = 651527,
  [SMALL_STATE(15104)] = 651551,
  [SMALL_STATE(15105)] = 651571,
  [SMALL_STATE(15106)] = 651597,
  [SMALL_STATE(15107)] = 651619,
  [SMALL_STATE(15108)] = 651639,
  [SMALL_STATE(15109)] = 651665,
  [SMALL_STATE(15110)] = 651689,
  [SMALL_STATE(15111)] = 651713,
  [SMALL_STATE(15112)] = 651733,
  [SMALL_STATE(15113)] = 651758,
  [SMALL_STATE(15114)] = 651787,
  [SMALL_STATE(15115)] = 651806,
  [SMALL_STATE(15116)] = 651825,
  [SMALL_STATE(15117)] = 651844,
  [SMALL_STATE(15118)] = 651863,
  [SMALL_STATE(15119)] = 651882,
  [SMALL_STATE(15120)] = 651901,
  [SMALL_STATE(15121)] = 651920,
  [SMALL_STATE(15122)] = 651939,
  [SMALL_STATE(15123)] = 651968,
  [SMALL_STATE(15124)] = 651987,
  [SMALL_STATE(15125)] = 652016,
  [SMALL_STATE(15126)] = 652035,
  [SMALL_STATE(15127)] = 652054,
  [SMALL_STATE(15128)] = 652073,
  [SMALL_STATE(15129)] = 652098,
  [SMALL_STATE(15130)] = 652127,
  [SMALL_STATE(15131)] = 652150,
  [SMALL_STATE(15132)] = 652169,
  [SMALL_STATE(15133)] = 652188,
  [SMALL_STATE(15134)] = 652209,
  [SMALL_STATE(15135)] = 652228,
  [SMALL_STATE(15136)] = 652247,
  [SMALL_STATE(15137)] = 652266,
  [SMALL_STATE(15138)] = 652285,
  [SMALL_STATE(15139)] = 652304,
  [SMALL_STATE(15140)] = 652323,
  [SMALL_STATE(15141)] = 652352,
  [SMALL_STATE(15142)] = 652371,
  [SMALL_STATE(15143)] = 652394,
  [SMALL_STATE(15144)] = 652423,
  [SMALL_STATE(15145)] = 652446,
  [SMALL_STATE(15146)] = 652469,
  [SMALL_STATE(15147)] = 652498,
  [SMALL_STATE(15148)] = 652517,
  [SMALL_STATE(15149)] = 652536,
  [SMALL_STATE(15150)] = 652559,
  [SMALL_STATE(15151)] = 652588,
  [SMALL_STATE(15152)] = 652607,
  [SMALL_STATE(15153)] = 652630,
  [SMALL_STATE(15154)] = 652649,
  [SMALL_STATE(15155)] = 652668,
  [SMALL_STATE(15156)] = 652697,
  [SMALL_STATE(15157)] = 652716,
  [SMALL_STATE(15158)] = 652737,
  [SMALL_STATE(15159)] = 652766,
  [SMALL_STATE(15160)] = 652787,
  [SMALL_STATE(15161)] = 652806,
  [SMALL_STATE(15162)] = 652827,
  [SMALL_STATE(15163)] = 652846,
  [SMALL_STATE(15164)] = 652869,
  [SMALL_STATE(15165)] = 652890,
  [SMALL_STATE(15166)] = 652915,
  [SMALL_STATE(15167)] = 652944,
  [SMALL_STATE(15168)] = 652973,
  [SMALL_STATE(15169)] = 652998,
  [SMALL_STATE(15170)] = 653017,
  [SMALL_STATE(15171)] = 653036,
  [SMALL_STATE(15172)] = 653065,
  [SMALL_STATE(15173)] = 653084,
  [SMALL_STATE(15174)] = 653103,
  [SMALL_STATE(15175)] = 653128,
  [SMALL_STATE(15176)] = 653151,
  [SMALL_STATE(15177)] = 653174,
  [SMALL_STATE(15178)] = 653193,
  [SMALL_STATE(15179)] = 653214,
  [SMALL_STATE(15180)] = 653243,
  [SMALL_STATE(15181)] = 653268,
  [SMALL_STATE(15182)] = 653291,
  [SMALL_STATE(15183)] = 653310,
  [SMALL_STATE(15184)] = 653329,
  [SMALL_STATE(15185)] = 653352,
  [SMALL_STATE(15186)] = 653375,
  [SMALL_STATE(15187)] = 653400,
  [SMALL_STATE(15188)] = 653423,
  [SMALL_STATE(15189)] = 653452,
  [SMALL_STATE(15190)] = 653477,
  [SMALL_STATE(15191)] = 653496,
  [SMALL_STATE(15192)] = 653519,
  [SMALL_STATE(15193)] = 653538,
  [SMALL_STATE(15194)] = 653559,
  [SMALL_STATE(15195)] = 653588,
  [SMALL_STATE(15196)] = 653613,
  [SMALL_STATE(15197)] = 653632,
  [SMALL_STATE(15198)] = 653661,
  [SMALL_STATE(15199)] = 653680,
  [SMALL_STATE(15200)] = 653709,
  [SMALL_STATE(15201)] = 653738,
  [SMALL_STATE(15202)] = 653757,
  [SMALL_STATE(15203)] = 653780,
  [SMALL_STATE(15204)] = 653809,
  [SMALL_STATE(15205)] = 653830,
  [SMALL_STATE(15206)] = 653849,
  [SMALL_STATE(15207)] = 653878,
  [SMALL_STATE(15208)] = 653897,
  [SMALL_STATE(15209)] = 653916,
  [SMALL_STATE(15210)] = 653945,
  [SMALL_STATE(15211)] = 653970,
  [SMALL_STATE(15212)] = 653989,
  [SMALL_STATE(15213)] = 654008,
  [SMALL_STATE(15214)] = 654037,
  [SMALL_STATE(15215)] = 654060,
  [SMALL_STATE(15216)] = 654089,
  [SMALL_STATE(15217)] = 654108,
  [SMALL_STATE(15218)] = 654131,
  [SMALL_STATE(15219)] = 654154,
  [SMALL_STATE(15220)] = 654183,
  [SMALL_STATE(15221)] = 654202,
  [SMALL_STATE(15222)] = 654227,
  [SMALL_STATE(15223)] = 654256,
  [SMALL_STATE(15224)] = 654279,
  [SMALL_STATE(15225)] = 654298,
  [SMALL_STATE(15226)] = 654323,
  [SMALL_STATE(15227)] = 654342,
  [SMALL_STATE(15228)] = 654365,
  [SMALL_STATE(15229)] = 654394,
  [SMALL_STATE(15230)] = 654417,
  [SMALL_STATE(15231)] = 654436,
  [SMALL_STATE(15232)] = 654457,
  [SMALL_STATE(15233)] = 654482,
  [SMALL_STATE(15234)] = 654505,
  [SMALL_STATE(15235)] = 654534,
  [SMALL_STATE(15236)] = 654563,
  [SMALL_STATE(15237)] = 654582,
  [SMALL_STATE(15238)] = 654607,
  [SMALL_STATE(15239)] = 654632,
  [SMALL_STATE(15240)] = 654657,
  [SMALL_STATE(15241)] = 654676,
  [SMALL_STATE(15242)] = 654695,
  [SMALL_STATE(15243)] = 654718,
  [SMALL_STATE(15244)] = 654743,
  [SMALL_STATE(15245)] = 654772,
  [SMALL_STATE(15246)] = 654797,
  [SMALL_STATE(15247)] = 654826,
  [SMALL_STATE(15248)] = 654851,
  [SMALL_STATE(15249)] = 654874,
  [SMALL_STATE(15250)] = 654903,
  [SMALL_STATE(15251)] = 654930,
  [SMALL_STATE(15252)] = 654949,
  [SMALL_STATE(15253)] = 654968,
  [SMALL_STATE(15254)] = 654987,
  [SMALL_STATE(15255)] = 655006,
  [SMALL_STATE(15256)] = 655035,
  [SMALL_STATE(15257)] = 655054,
  [SMALL_STATE(15258)] = 655073,
  [SMALL_STATE(15259)] = 655092,
  [SMALL_STATE(15260)] = 655115,
  [SMALL_STATE(15261)] = 655134,
  [SMALL_STATE(15262)] = 655157,
  [SMALL_STATE(15263)] = 655178,
  [SMALL_STATE(15264)] = 655197,
  [SMALL_STATE(15265)] = 655220,
  [SMALL_STATE(15266)] = 655249,
  [SMALL_STATE(15267)] = 655272,
  [SMALL_STATE(15268)] = 655295,
  [SMALL_STATE(15269)] = 655316,
  [SMALL_STATE(15270)] = 655337,
  [SMALL_STATE(15271)] = 655356,
  [SMALL_STATE(15272)] = 655374,
  [SMALL_STATE(15273)] = 655400,
  [SMALL_STATE(15274)] = 655418,
  [SMALL_STATE(15275)] = 655436,
  [SMALL_STATE(15276)] = 655454,
  [SMALL_STATE(15277)] = 655472,
  [SMALL_STATE(15278)] = 655490,
  [SMALL_STATE(15279)] = 655508,
  [SMALL_STATE(15280)] = 655528,
  [SMALL_STATE(15281)] = 655546,
  [SMALL_STATE(15282)] = 655564,
  [SMALL_STATE(15283)] = 655582,
  [SMALL_STATE(15284)] = 655604,
  [SMALL_STATE(15285)] = 655630,
  [SMALL_STATE(15286)] = 655656,
  [SMALL_STATE(15287)] = 655674,
  [SMALL_STATE(15288)] = 655692,
  [SMALL_STATE(15289)] = 655718,
  [SMALL_STATE(15290)] = 655736,
  [SMALL_STATE(15291)] = 655754,
  [SMALL_STATE(15292)] = 655774,
  [SMALL_STATE(15293)] = 655792,
  [SMALL_STATE(15294)] = 655814,
  [SMALL_STATE(15295)] = 655832,
  [SMALL_STATE(15296)] = 655854,
  [SMALL_STATE(15297)] = 655876,
  [SMALL_STATE(15298)] = 655898,
  [SMALL_STATE(15299)] = 655924,
  [SMALL_STATE(15300)] = 655942,
  [SMALL_STATE(15301)] = 655962,
  [SMALL_STATE(15302)] = 655988,
  [SMALL_STATE(15303)] = 656010,
  [SMALL_STATE(15304)] = 656028,
  [SMALL_STATE(15305)] = 656046,
  [SMALL_STATE(15306)] = 656064,
  [SMALL_STATE(15307)] = 656086,
  [SMALL_STATE(15308)] = 656104,
  [SMALL_STATE(15309)] = 656122,
  [SMALL_STATE(15310)] = 656144,
  [SMALL_STATE(15311)] = 656166,
  [SMALL_STATE(15312)] = 656192,
  [SMALL_STATE(15313)] = 656210,
  [SMALL_STATE(15314)] = 656230,
  [SMALL_STATE(15315)] = 656256,
  [SMALL_STATE(15316)] = 656274,
  [SMALL_STATE(15317)] = 656292,
  [SMALL_STATE(15318)] = 656318,
  [SMALL_STATE(15319)] = 656344,
  [SMALL_STATE(15320)] = 656362,
  [SMALL_STATE(15321)] = 656380,
  [SMALL_STATE(15322)] = 656398,
  [SMALL_STATE(15323)] = 656424,
  [SMALL_STATE(15324)] = 656442,
  [SMALL_STATE(15325)] = 656468,
  [SMALL_STATE(15326)] = 656492,
  [SMALL_STATE(15327)] = 656510,
  [SMALL_STATE(15328)] = 656528,
  [SMALL_STATE(15329)] = 656546,
  [SMALL_STATE(15330)] = 656572,
  [SMALL_STATE(15331)] = 656592,
  [SMALL_STATE(15332)] = 656618,
  [SMALL_STATE(15333)] = 656636,
  [SMALL_STATE(15334)] = 656662,
  [SMALL_STATE(15335)] = 656684,
  [SMALL_STATE(15336)] = 656702,
  [SMALL_STATE(15337)] = 656720,
  [SMALL_STATE(15338)] = 656740,
  [SMALL_STATE(15339)] = 656758,
  [SMALL_STATE(15340)] = 656782,
  [SMALL_STATE(15341)] = 656800,
  [SMALL_STATE(15342)] = 656826,
  [SMALL_STATE(15343)] = 656850,
  [SMALL_STATE(15344)] = 656876,
  [SMALL_STATE(15345)] = 656902,
  [SMALL_STATE(15346)] = 656920,
  [SMALL_STATE(15347)] = 656938,
  [SMALL_STATE(15348)] = 656964,
  [SMALL_STATE(15349)] = 656982,
  [SMALL_STATE(15350)] = 657004,
  [SMALL_STATE(15351)] = 657026,
  [SMALL_STATE(15352)] = 657044,
  [SMALL_STATE(15353)] = 657062,
  [SMALL_STATE(15354)] = 657086,
  [SMALL_STATE(15355)] = 657110,
  [SMALL_STATE(15356)] = 657128,
  [SMALL_STATE(15357)] = 657146,
  [SMALL_STATE(15358)] = 657164,
  [SMALL_STATE(15359)] = 657182,
  [SMALL_STATE(15360)] = 657208,
  [SMALL_STATE(15361)] = 657226,
  [SMALL_STATE(15362)] = 657246,
  [SMALL_STATE(15363)] = 657264,
  [SMALL_STATE(15364)] = 657282,
  [SMALL_STATE(15365)] = 657300,
  [SMALL_STATE(15366)] = 657318,
  [SMALL_STATE(15367)] = 657344,
  [SMALL_STATE(15368)] = 657362,
  [SMALL_STATE(15369)] = 657380,
  [SMALL_STATE(15370)] = 657406,
  [SMALL_STATE(15371)] = 657424,
  [SMALL_STATE(15372)] = 657442,
  [SMALL_STATE(15373)] = 657460,
  [SMALL_STATE(15374)] = 657478,
  [SMALL_STATE(15375)] = 657496,
  [SMALL_STATE(15376)] = 657522,
  [SMALL_STATE(15377)] = 657540,
  [SMALL_STATE(15378)] = 657558,
  [SMALL_STATE(15379)] = 657576,
  [SMALL_STATE(15380)] = 657598,
  [SMALL_STATE(15381)] = 657622,
  [SMALL_STATE(15382)] = 657646,
  [SMALL_STATE(15383)] = 657672,
  [SMALL_STATE(15384)] = 657690,
  [SMALL_STATE(15385)] = 657708,
  [SMALL_STATE(15386)] = 657726,
  [SMALL_STATE(15387)] = 657744,
  [SMALL_STATE(15388)] = 657762,
  [SMALL_STATE(15389)] = 657780,
  [SMALL_STATE(15390)] = 657798,
  [SMALL_STATE(15391)] = 657816,
  [SMALL_STATE(15392)] = 657834,
  [SMALL_STATE(15393)] = 657860,
  [SMALL_STATE(15394)] = 657878,
  [SMALL_STATE(15395)] = 657896,
  [SMALL_STATE(15396)] = 657922,
  [SMALL_STATE(15397)] = 657944,
  [SMALL_STATE(15398)] = 657970,
  [SMALL_STATE(15399)] = 657988,
  [SMALL_STATE(15400)] = 658008,
  [SMALL_STATE(15401)] = 658032,
  [SMALL_STATE(15402)] = 658052,
  [SMALL_STATE(15403)] = 658070,
  [SMALL_STATE(15404)] = 658088,
  [SMALL_STATE(15405)] = 658106,
  [SMALL_STATE(15406)] = 658132,
  [SMALL_STATE(15407)] = 658152,
  [SMALL_STATE(15408)] = 658170,
  [SMALL_STATE(15409)] = 658196,
  [SMALL_STATE(15410)] = 658220,
  [SMALL_STATE(15411)] = 658238,
  [SMALL_STATE(15412)] = 658256,
  [SMALL_STATE(15413)] = 658274,
  [SMALL_STATE(15414)] = 658292,
  [SMALL_STATE(15415)] = 658310,
  [SMALL_STATE(15416)] = 658336,
  [SMALL_STATE(15417)] = 658362,
  [SMALL_STATE(15418)] = 658380,
  [SMALL_STATE(15419)] = 658398,
  [SMALL_STATE(15420)] = 658416,
  [SMALL_STATE(15421)] = 658442,
  [SMALL_STATE(15422)] = 658460,
  [SMALL_STATE(15423)] = 658484,
  [SMALL_STATE(15424)] = 658510,
  [SMALL_STATE(15425)] = 658536,
  [SMALL_STATE(15426)] = 658562,
  [SMALL_STATE(15427)] = 658582,
  [SMALL_STATE(15428)] = 658608,
  [SMALL_STATE(15429)] = 658634,
  [SMALL_STATE(15430)] = 658654,
  [SMALL_STATE(15431)] = 658672,
  [SMALL_STATE(15432)] = 658696,
  [SMALL_STATE(15433)] = 658722,
  [SMALL_STATE(15434)] = 658740,
  [SMALL_STATE(15435)] = 658758,
  [SMALL_STATE(15436)] = 658776,
  [SMALL_STATE(15437)] = 658794,
  [SMALL_STATE(15438)] = 658818,
  [SMALL_STATE(15439)] = 658840,
  [SMALL_STATE(15440)] = 658860,
  [SMALL_STATE(15441)] = 658878,
  [SMALL_STATE(15442)] = 658896,
  [SMALL_STATE(15443)] = 658922,
  [SMALL_STATE(15444)] = 658940,
  [SMALL_STATE(15445)] = 658958,
  [SMALL_STATE(15446)] = 658982,
  [SMALL_STATE(15447)] = 659000,
  [SMALL_STATE(15448)] = 659022,
  [SMALL_STATE(15449)] = 659048,
  [SMALL_STATE(15450)] = 659066,
  [SMALL_STATE(15451)] = 659084,
  [SMALL_STATE(15452)] = 659102,
  [SMALL_STATE(15453)] = 659120,
  [SMALL_STATE(15454)] = 659138,
  [SMALL_STATE(15455)] = 659162,
  [SMALL_STATE(15456)] = 659182,
  [SMALL_STATE(15457)] = 659204,
  [SMALL_STATE(15458)] = 659222,
  [SMALL_STATE(15459)] = 659240,
  [SMALL_STATE(15460)] = 659258,
  [SMALL_STATE(15461)] = 659276,
  [SMALL_STATE(15462)] = 659294,
  [SMALL_STATE(15463)] = 659320,
  [SMALL_STATE(15464)] = 659338,
  [SMALL_STATE(15465)] = 659364,
  [SMALL_STATE(15466)] = 659386,
  [SMALL_STATE(15467)] = 659412,
  [SMALL_STATE(15468)] = 659430,
  [SMALL_STATE(15469)] = 659448,
  [SMALL_STATE(15470)] = 659466,
  [SMALL_STATE(15471)] = 659492,
  [SMALL_STATE(15472)] = 659518,
  [SMALL_STATE(15473)] = 659542,
  [SMALL_STATE(15474)] = 659560,
  [SMALL_STATE(15475)] = 659578,
  [SMALL_STATE(15476)] = 659596,
  [SMALL_STATE(15477)] = 659616,
  [SMALL_STATE(15478)] = 659642,
  [SMALL_STATE(15479)] = 659668,
  [SMALL_STATE(15480)] = 659692,
  [SMALL_STATE(15481)] = 659716,
  [SMALL_STATE(15482)] = 659742,
  [SMALL_STATE(15483)] = 659766,
  [SMALL_STATE(15484)] = 659792,
  [SMALL_STATE(15485)] = 659816,
  [SMALL_STATE(15486)] = 659834,
  [SMALL_STATE(15487)] = 659852,
  [SMALL_STATE(15488)] = 659870,
  [SMALL_STATE(15489)] = 659888,
  [SMALL_STATE(15490)] = 659914,
  [SMALL_STATE(15491)] = 659940,
  [SMALL_STATE(15492)] = 659962,
  [SMALL_STATE(15493)] = 659980,
  [SMALL_STATE(15494)] = 660006,
  [SMALL_STATE(15495)] = 660030,
  [SMALL_STATE(15496)] = 660048,
  [SMALL_STATE(15497)] = 660074,
  [SMALL_STATE(15498)] = 660096,
  [SMALL_STATE(15499)] = 660122,
  [SMALL_STATE(15500)] = 660140,
  [SMALL_STATE(15501)] = 660164,
  [SMALL_STATE(15502)] = 660182,
  [SMALL_STATE(15503)] = 660208,
  [SMALL_STATE(15504)] = 660226,
  [SMALL_STATE(15505)] = 660244,
  [SMALL_STATE(15506)] = 660262,
  [SMALL_STATE(15507)] = 660288,
  [SMALL_STATE(15508)] = 660314,
  [SMALL_STATE(15509)] = 660340,
  [SMALL_STATE(15510)] = 660364,
  [SMALL_STATE(15511)] = 660388,
  [SMALL_STATE(15512)] = 660406,
  [SMALL_STATE(15513)] = 660426,
  [SMALL_STATE(15514)] = 660452,
  [SMALL_STATE(15515)] = 660470,
  [SMALL_STATE(15516)] = 660488,
  [SMALL_STATE(15517)] = 660506,
  [SMALL_STATE(15518)] = 660524,
  [SMALL_STATE(15519)] = 660548,
  [SMALL_STATE(15520)] = 660574,
  [SMALL_STATE(15521)] = 660594,
  [SMALL_STATE(15522)] = 660612,
  [SMALL_STATE(15523)] = 660630,
  [SMALL_STATE(15524)] = 660656,
  [SMALL_STATE(15525)] = 660674,
  [SMALL_STATE(15526)] = 660700,
  [SMALL_STATE(15527)] = 660726,
  [SMALL_STATE(15528)] = 660744,
  [SMALL_STATE(15529)] = 660762,
  [SMALL_STATE(15530)] = 660784,
  [SMALL_STATE(15531)] = 660802,
  [SMALL_STATE(15532)] = 660828,
  [SMALL_STATE(15533)] = 660854,
  [SMALL_STATE(15534)] = 660875,
  [SMALL_STATE(15535)] = 660892,
  [SMALL_STATE(15536)] = 660913,
  [SMALL_STATE(15537)] = 660930,
  [SMALL_STATE(15538)] = 660947,
  [SMALL_STATE(15539)] = 660970,
  [SMALL_STATE(15540)] = 660993,
  [SMALL_STATE(15541)] = 661010,
  [SMALL_STATE(15542)] = 661033,
  [SMALL_STATE(15543)] = 661056,
  [SMALL_STATE(15544)] = 661079,
  [SMALL_STATE(15545)] = 661102,
  [SMALL_STATE(15546)] = 661123,
  [SMALL_STATE(15547)] = 661144,
  [SMALL_STATE(15548)] = 661161,
  [SMALL_STATE(15549)] = 661184,
  [SMALL_STATE(15550)] = 661201,
  [SMALL_STATE(15551)] = 661218,
  [SMALL_STATE(15552)] = 661235,
  [SMALL_STATE(15553)] = 661258,
  [SMALL_STATE(15554)] = 661281,
  [SMALL_STATE(15555)] = 661302,
  [SMALL_STATE(15556)] = 661325,
  [SMALL_STATE(15557)] = 661348,
  [SMALL_STATE(15558)] = 661371,
  [SMALL_STATE(15559)] = 661394,
  [SMALL_STATE(15560)] = 661413,
  [SMALL_STATE(15561)] = 661430,
  [SMALL_STATE(15562)] = 661447,
  [SMALL_STATE(15563)] = 661464,
  [SMALL_STATE(15564)] = 661487,
  [SMALL_STATE(15565)] = 661510,
  [SMALL_STATE(15566)] = 661531,
  [SMALL_STATE(15567)] = 661548,
  [SMALL_STATE(15568)] = 661567,
  [SMALL_STATE(15569)] = 661584,
  [SMALL_STATE(15570)] = 661605,
  [SMALL_STATE(15571)] = 661626,
  [SMALL_STATE(15572)] = 661649,
  [SMALL_STATE(15573)] = 661666,
  [SMALL_STATE(15574)] = 661689,
  [SMALL_STATE(15575)] = 661710,
  [SMALL_STATE(15576)] = 661727,
  [SMALL_STATE(15577)] = 661750,
  [SMALL_STATE(15578)] = 661773,
  [SMALL_STATE(15579)] = 661790,
  [SMALL_STATE(15580)] = 661811,
  [SMALL_STATE(15581)] = 661834,
  [SMALL_STATE(15582)] = 661851,
  [SMALL_STATE(15583)] = 661868,
  [SMALL_STATE(15584)] = 661889,
  [SMALL_STATE(15585)] = 661912,
  [SMALL_STATE(15586)] = 661935,
  [SMALL_STATE(15587)] = 661952,
  [SMALL_STATE(15588)] = 661969,
  [SMALL_STATE(15589)] = 661986,
  [SMALL_STATE(15590)] = 662009,
  [SMALL_STATE(15591)] = 662026,
  [SMALL_STATE(15592)] = 662043,
  [SMALL_STATE(15593)] = 662066,
  [SMALL_STATE(15594)] = 662087,
  [SMALL_STATE(15595)] = 662108,
  [SMALL_STATE(15596)] = 662125,
  [SMALL_STATE(15597)] = 662142,
  [SMALL_STATE(15598)] = 662163,
  [SMALL_STATE(15599)] = 662186,
  [SMALL_STATE(15600)] = 662209,
  [SMALL_STATE(15601)] = 662232,
  [SMALL_STATE(15602)] = 662249,
  [SMALL_STATE(15603)] = 662272,
  [SMALL_STATE(15604)] = 662295,
  [SMALL_STATE(15605)] = 662318,
  [SMALL_STATE(15606)] = 662341,
  [SMALL_STATE(15607)] = 662362,
  [SMALL_STATE(15608)] = 662385,
  [SMALL_STATE(15609)] = 662404,
  [SMALL_STATE(15610)] = 662427,
  [SMALL_STATE(15611)] = 662446,
  [SMALL_STATE(15612)] = 662467,
  [SMALL_STATE(15613)] = 662490,
  [SMALL_STATE(15614)] = 662513,
  [SMALL_STATE(15615)] = 662530,
  [SMALL_STATE(15616)] = 662553,
  [SMALL_STATE(15617)] = 662576,
  [SMALL_STATE(15618)] = 662599,
  [SMALL_STATE(15619)] = 662622,
  [SMALL_STATE(15620)] = 662645,
  [SMALL_STATE(15621)] = 662666,
  [SMALL_STATE(15622)] = 662689,
  [SMALL_STATE(15623)] = 662706,
  [SMALL_STATE(15624)] = 662725,
  [SMALL_STATE(15625)] = 662746,
  [SMALL_STATE(15626)] = 662769,
  [SMALL_STATE(15627)] = 662792,
  [SMALL_STATE(15628)] = 662809,
  [SMALL_STATE(15629)] = 662826,
  [SMALL_STATE(15630)] = 662849,
  [SMALL_STATE(15631)] = 662868,
  [SMALL_STATE(15632)] = 662891,
  [SMALL_STATE(15633)] = 662908,
  [SMALL_STATE(15634)] = 662925,
  [SMALL_STATE(15635)] = 662948,
  [SMALL_STATE(15636)] = 662965,
  [SMALL_STATE(15637)] = 662988,
  [SMALL_STATE(15638)] = 663005,
  [SMALL_STATE(15639)] = 663022,
  [SMALL_STATE(15640)] = 663045,
  [SMALL_STATE(15641)] = 663062,
  [SMALL_STATE(15642)] = 663079,
  [SMALL_STATE(15643)] = 663096,
  [SMALL_STATE(15644)] = 663113,
  [SMALL_STATE(15645)] = 663134,
  [SMALL_STATE(15646)] = 663155,
  [SMALL_STATE(15647)] = 663178,
  [SMALL_STATE(15648)] = 663201,
  [SMALL_STATE(15649)] = 663224,
  [SMALL_STATE(15650)] = 663241,
  [SMALL_STATE(15651)] = 663264,
  [SMALL_STATE(15652)] = 663287,
  [SMALL_STATE(15653)] = 663310,
  [SMALL_STATE(15654)] = 663327,
  [SMALL_STATE(15655)] = 663350,
  [SMALL_STATE(15656)] = 663371,
  [SMALL_STATE(15657)] = 663392,
  [SMALL_STATE(15658)] = 663409,
  [SMALL_STATE(15659)] = 663432,
  [SMALL_STATE(15660)] = 663449,
  [SMALL_STATE(15661)] = 663466,
  [SMALL_STATE(15662)] = 663483,
  [SMALL_STATE(15663)] = 663500,
  [SMALL_STATE(15664)] = 663517,
  [SMALL_STATE(15665)] = 663540,
  [SMALL_STATE(15666)] = 663563,
  [SMALL_STATE(15667)] = 663586,
  [SMALL_STATE(15668)] = 663609,
  [SMALL_STATE(15669)] = 663626,
  [SMALL_STATE(15670)] = 663649,
  [SMALL_STATE(15671)] = 663666,
  [SMALL_STATE(15672)] = 663687,
  [SMALL_STATE(15673)] = 663710,
  [SMALL_STATE(15674)] = 663731,
  [SMALL_STATE(15675)] = 663750,
  [SMALL_STATE(15676)] = 663767,
  [SMALL_STATE(15677)] = 663790,
  [SMALL_STATE(15678)] = 663809,
  [SMALL_STATE(15679)] = 663830,
  [SMALL_STATE(15680)] = 663853,
  [SMALL_STATE(15681)] = 663874,
  [SMALL_STATE(15682)] = 663897,
  [SMALL_STATE(15683)] = 663914,
  [SMALL_STATE(15684)] = 663931,
  [SMALL_STATE(15685)] = 663948,
  [SMALL_STATE(15686)] = 663965,
  [SMALL_STATE(15687)] = 663986,
  [SMALL_STATE(15688)] = 664003,
  [SMALL_STATE(15689)] = 664026,
  [SMALL_STATE(15690)] = 664049,
  [SMALL_STATE(15691)] = 664066,
  [SMALL_STATE(15692)] = 664087,
  [SMALL_STATE(15693)] = 664108,
  [SMALL_STATE(15694)] = 664131,
  [SMALL_STATE(15695)] = 664154,
  [SMALL_STATE(15696)] = 664177,
  [SMALL_STATE(15697)] = 664198,
  [SMALL_STATE(15698)] = 664219,
  [SMALL_STATE(15699)] = 664242,
  [SMALL_STATE(15700)] = 664265,
  [SMALL_STATE(15701)] = 664288,
  [SMALL_STATE(15702)] = 664311,
  [SMALL_STATE(15703)] = 664334,
  [SMALL_STATE(15704)] = 664355,
  [SMALL_STATE(15705)] = 664378,
  [SMALL_STATE(15706)] = 664395,
  [SMALL_STATE(15707)] = 664418,
  [SMALL_STATE(15708)] = 664435,
  [SMALL_STATE(15709)] = 664456,
  [SMALL_STATE(15710)] = 664473,
  [SMALL_STATE(15711)] = 664492,
  [SMALL_STATE(15712)] = 664513,
  [SMALL_STATE(15713)] = 664536,
  [SMALL_STATE(15714)] = 664557,
  [SMALL_STATE(15715)] = 664580,
  [SMALL_STATE(15716)] = 664597,
  [SMALL_STATE(15717)] = 664620,
  [SMALL_STATE(15718)] = 664643,
  [SMALL_STATE(15719)] = 664666,
  [SMALL_STATE(15720)] = 664683,
  [SMALL_STATE(15721)] = 664706,
  [SMALL_STATE(15722)] = 664723,
  [SMALL_STATE(15723)] = 664740,
  [SMALL_STATE(15724)] = 664759,
  [SMALL_STATE(15725)] = 664782,
  [SMALL_STATE(15726)] = 664803,
  [SMALL_STATE(15727)] = 664824,
  [SMALL_STATE(15728)] = 664847,
  [SMALL_STATE(15729)] = 664864,
  [SMALL_STATE(15730)] = 664885,
  [SMALL_STATE(15731)] = 664902,
  [SMALL_STATE(15732)] = 664925,
  [SMALL_STATE(15733)] = 664942,
  [SMALL_STATE(15734)] = 664959,
  [SMALL_STATE(15735)] = 664982,
  [SMALL_STATE(15736)] = 665003,
  [SMALL_STATE(15737)] = 665024,
  [SMALL_STATE(15738)] = 665045,
  [SMALL_STATE(15739)] = 665062,
  [SMALL_STATE(15740)] = 665085,
  [SMALL_STATE(15741)] = 665106,
  [SMALL_STATE(15742)] = 665129,
  [SMALL_STATE(15743)] = 665150,
  [SMALL_STATE(15744)] = 665167,
  [SMALL_STATE(15745)] = 665190,
  [SMALL_STATE(15746)] = 665211,
  [SMALL_STATE(15747)] = 665228,
  [SMALL_STATE(15748)] = 665245,
  [SMALL_STATE(15749)] = 665268,
  [SMALL_STATE(15750)] = 665291,
  [SMALL_STATE(15751)] = 665314,
  [SMALL_STATE(15752)] = 665337,
  [SMALL_STATE(15753)] = 665358,
  [SMALL_STATE(15754)] = 665379,
  [SMALL_STATE(15755)] = 665402,
  [SMALL_STATE(15756)] = 665423,
  [SMALL_STATE(15757)] = 665446,
  [SMALL_STATE(15758)] = 665469,
  [SMALL_STATE(15759)] = 665486,
  [SMALL_STATE(15760)] = 665507,
  [SMALL_STATE(15761)] = 665528,
  [SMALL_STATE(15762)] = 665545,
  [SMALL_STATE(15763)] = 665566,
  [SMALL_STATE(15764)] = 665583,
  [SMALL_STATE(15765)] = 665606,
  [SMALL_STATE(15766)] = 665629,
  [SMALL_STATE(15767)] = 665650,
  [SMALL_STATE(15768)] = 665673,
  [SMALL_STATE(15769)] = 665696,
  [SMALL_STATE(15770)] = 665715,
  [SMALL_STATE(15771)] = 665732,
  [SMALL_STATE(15772)] = 665755,
  [SMALL_STATE(15773)] = 665772,
  [SMALL_STATE(15774)] = 665793,
  [SMALL_STATE(15775)] = 665812,
  [SMALL_STATE(15776)] = 665835,
  [SMALL_STATE(15777)] = 665858,
  [SMALL_STATE(15778)] = 665881,
  [SMALL_STATE(15779)] = 665900,
  [SMALL_STATE(15780)] = 665921,
  [SMALL_STATE(15781)] = 665938,
  [SMALL_STATE(15782)] = 665961,
  [SMALL_STATE(15783)] = 665982,
  [SMALL_STATE(15784)] = 666001,
  [SMALL_STATE(15785)] = 666018,
  [SMALL_STATE(15786)] = 666041,
  [SMALL_STATE(15787)] = 666064,
  [SMALL_STATE(15788)] = 666081,
  [SMALL_STATE(15789)] = 666102,
  [SMALL_STATE(15790)] = 666119,
  [SMALL_STATE(15791)] = 666142,
  [SMALL_STATE(15792)] = 666163,
  [SMALL_STATE(15793)] = 666184,
  [SMALL_STATE(15794)] = 666201,
  [SMALL_STATE(15795)] = 666224,
  [SMALL_STATE(15796)] = 666241,
  [SMALL_STATE(15797)] = 666258,
  [SMALL_STATE(15798)] = 666281,
  [SMALL_STATE(15799)] = 666298,
  [SMALL_STATE(15800)] = 666319,
  [SMALL_STATE(15801)] = 666340,
  [SMALL_STATE(15802)] = 666361,
  [SMALL_STATE(15803)] = 666378,
  [SMALL_STATE(15804)] = 666395,
  [SMALL_STATE(15805)] = 666414,
  [SMALL_STATE(15806)] = 666437,
  [SMALL_STATE(15807)] = 666460,
  [SMALL_STATE(15808)] = 666483,
  [SMALL_STATE(15809)] = 666506,
  [SMALL_STATE(15810)] = 666523,
  [SMALL_STATE(15811)] = 666540,
  [SMALL_STATE(15812)] = 666561,
  [SMALL_STATE(15813)] = 666584,
  [SMALL_STATE(15814)] = 666605,
  [SMALL_STATE(15815)] = 666628,
  [SMALL_STATE(15816)] = 666645,
  [SMALL_STATE(15817)] = 666668,
  [SMALL_STATE(15818)] = 666691,
  [SMALL_STATE(15819)] = 666708,
  [SMALL_STATE(15820)] = 666729,
  [SMALL_STATE(15821)] = 666750,
  [SMALL_STATE(15822)] = 666773,
  [SMALL_STATE(15823)] = 666796,
  [SMALL_STATE(15824)] = 666813,
  [SMALL_STATE(15825)] = 666834,
  [SMALL_STATE(15826)] = 666851,
  [SMALL_STATE(15827)] = 666870,
  [SMALL_STATE(15828)] = 666893,
  [SMALL_STATE(15829)] = 666910,
  [SMALL_STATE(15830)] = 666933,
  [SMALL_STATE(15831)] = 666956,
  [SMALL_STATE(15832)] = 666973,
  [SMALL_STATE(15833)] = 666990,
  [SMALL_STATE(15834)] = 667013,
  [SMALL_STATE(15835)] = 667034,
  [SMALL_STATE(15836)] = 667051,
  [SMALL_STATE(15837)] = 667074,
  [SMALL_STATE(15838)] = 667095,
  [SMALL_STATE(15839)] = 667118,
  [SMALL_STATE(15840)] = 667141,
  [SMALL_STATE(15841)] = 667164,
  [SMALL_STATE(15842)] = 667187,
  [SMALL_STATE(15843)] = 667210,
  [SMALL_STATE(15844)] = 667233,
  [SMALL_STATE(15845)] = 667256,
  [SMALL_STATE(15846)] = 667273,
  [SMALL_STATE(15847)] = 667296,
  [SMALL_STATE(15848)] = 667313,
  [SMALL_STATE(15849)] = 667330,
  [SMALL_STATE(15850)] = 667353,
  [SMALL_STATE(15851)] = 667376,
  [SMALL_STATE(15852)] = 667399,
  [SMALL_STATE(15853)] = 667422,
  [SMALL_STATE(15854)] = 667443,
  [SMALL_STATE(15855)] = 667460,
  [SMALL_STATE(15856)] = 667477,
  [SMALL_STATE(15857)] = 667494,
  [SMALL_STATE(15858)] = 667511,
  [SMALL_STATE(15859)] = 667534,
  [SMALL_STATE(15860)] = 667557,
  [SMALL_STATE(15861)] = 667580,
  [SMALL_STATE(15862)] = 667597,
  [SMALL_STATE(15863)] = 667620,
  [SMALL_STATE(15864)] = 667637,
  [SMALL_STATE(15865)] = 667660,
  [SMALL_STATE(15866)] = 667677,
  [SMALL_STATE(15867)] = 667700,
  [SMALL_STATE(15868)] = 667723,
  [SMALL_STATE(15869)] = 667746,
  [SMALL_STATE(15870)] = 667763,
  [SMALL_STATE(15871)] = 667780,
  [SMALL_STATE(15872)] = 667803,
  [SMALL_STATE(15873)] = 667826,
  [SMALL_STATE(15874)] = 667843,
  [SMALL_STATE(15875)] = 667864,
  [SMALL_STATE(15876)] = 667884,
  [SMALL_STATE(15877)] = 667904,
  [SMALL_STATE(15878)] = 667924,
  [SMALL_STATE(15879)] = 667944,
  [SMALL_STATE(15880)] = 667962,
  [SMALL_STATE(15881)] = 667982,
  [SMALL_STATE(15882)] = 668002,
  [SMALL_STATE(15883)] = 668022,
  [SMALL_STATE(15884)] = 668042,
  [SMALL_STATE(15885)] = 668062,
  [SMALL_STATE(15886)] = 668080,
  [SMALL_STATE(15887)] = 668098,
  [SMALL_STATE(15888)] = 668118,
  [SMALL_STATE(15889)] = 668138,
  [SMALL_STATE(15890)] = 668158,
  [SMALL_STATE(15891)] = 668178,
  [SMALL_STATE(15892)] = 668198,
  [SMALL_STATE(15893)] = 668218,
  [SMALL_STATE(15894)] = 668238,
  [SMALL_STATE(15895)] = 668258,
  [SMALL_STATE(15896)] = 668278,
  [SMALL_STATE(15897)] = 668298,
  [SMALL_STATE(15898)] = 668318,
  [SMALL_STATE(15899)] = 668338,
  [SMALL_STATE(15900)] = 668358,
  [SMALL_STATE(15901)] = 668378,
  [SMALL_STATE(15902)] = 668398,
  [SMALL_STATE(15903)] = 668416,
  [SMALL_STATE(15904)] = 668436,
  [SMALL_STATE(15905)] = 668456,
  [SMALL_STATE(15906)] = 668476,
  [SMALL_STATE(15907)] = 668496,
  [SMALL_STATE(15908)] = 668514,
  [SMALL_STATE(15909)] = 668534,
  [SMALL_STATE(15910)] = 668554,
  [SMALL_STATE(15911)] = 668574,
  [SMALL_STATE(15912)] = 668594,
  [SMALL_STATE(15913)] = 668612,
  [SMALL_STATE(15914)] = 668632,
  [SMALL_STATE(15915)] = 668652,
  [SMALL_STATE(15916)] = 668672,
  [SMALL_STATE(15917)] = 668692,
  [SMALL_STATE(15918)] = 668712,
  [SMALL_STATE(15919)] = 668732,
  [SMALL_STATE(15920)] = 668752,
  [SMALL_STATE(15921)] = 668772,
  [SMALL_STATE(15922)] = 668792,
  [SMALL_STATE(15923)] = 668812,
  [SMALL_STATE(15924)] = 668830,
  [SMALL_STATE(15925)] = 668850,
  [SMALL_STATE(15926)] = 668866,
  [SMALL_STATE(15927)] = 668886,
  [SMALL_STATE(15928)] = 668906,
  [SMALL_STATE(15929)] = 668926,
  [SMALL_STATE(15930)] = 668946,
  [SMALL_STATE(15931)] = 668966,
  [SMALL_STATE(15932)] = 668986,
  [SMALL_STATE(15933)] = 669006,
  [SMALL_STATE(15934)] = 669026,
  [SMALL_STATE(15935)] = 669046,
  [SMALL_STATE(15936)] = 669066,
  [SMALL_STATE(15937)] = 669086,
  [SMALL_STATE(15938)] = 669106,
  [SMALL_STATE(15939)] = 669126,
  [SMALL_STATE(15940)] = 669146,
  [SMALL_STATE(15941)] = 669166,
  [SMALL_STATE(15942)] = 669186,
  [SMALL_STATE(15943)] = 669206,
  [SMALL_STATE(15944)] = 669226,
  [SMALL_STATE(15945)] = 669246,
  [SMALL_STATE(15946)] = 669266,
  [SMALL_STATE(15947)] = 669282,
  [SMALL_STATE(15948)] = 669302,
  [SMALL_STATE(15949)] = 669322,
  [SMALL_STATE(15950)] = 669342,
  [SMALL_STATE(15951)] = 669362,
  [SMALL_STATE(15952)] = 669382,
  [SMALL_STATE(15953)] = 669402,
  [SMALL_STATE(15954)] = 669422,
  [SMALL_STATE(15955)] = 669442,
  [SMALL_STATE(15956)] = 669462,
  [SMALL_STATE(15957)] = 669480,
  [SMALL_STATE(15958)] = 669500,
  [SMALL_STATE(15959)] = 669520,
  [SMALL_STATE(15960)] = 669540,
  [SMALL_STATE(15961)] = 669560,
  [SMALL_STATE(15962)] = 669580,
  [SMALL_STATE(15963)] = 669598,
  [SMALL_STATE(15964)] = 669618,
  [SMALL_STATE(15965)] = 669638,
  [SMALL_STATE(15966)] = 669658,
  [SMALL_STATE(15967)] = 669676,
  [SMALL_STATE(15968)] = 669696,
  [SMALL_STATE(15969)] = 669716,
  [SMALL_STATE(15970)] = 669736,
  [SMALL_STATE(15971)] = 669754,
  [SMALL_STATE(15972)] = 669774,
  [SMALL_STATE(15973)] = 669794,
  [SMALL_STATE(15974)] = 669812,
  [SMALL_STATE(15975)] = 669832,
  [SMALL_STATE(15976)] = 669852,
  [SMALL_STATE(15977)] = 669872,
  [SMALL_STATE(15978)] = 669892,
  [SMALL_STATE(15979)] = 669912,
  [SMALL_STATE(15980)] = 669932,
  [SMALL_STATE(15981)] = 669952,
  [SMALL_STATE(15982)] = 669972,
  [SMALL_STATE(15983)] = 669992,
  [SMALL_STATE(15984)] = 670012,
  [SMALL_STATE(15985)] = 670032,
  [SMALL_STATE(15986)] = 670052,
  [SMALL_STATE(15987)] = 670072,
  [SMALL_STATE(15988)] = 670092,
  [SMALL_STATE(15989)] = 670112,
  [SMALL_STATE(15990)] = 670132,
  [SMALL_STATE(15991)] = 670152,
  [SMALL_STATE(15992)] = 670172,
  [SMALL_STATE(15993)] = 670192,
  [SMALL_STATE(15994)] = 670212,
  [SMALL_STATE(15995)] = 670232,
  [SMALL_STATE(15996)] = 670252,
  [SMALL_STATE(15997)] = 670272,
  [SMALL_STATE(15998)] = 670292,
  [SMALL_STATE(15999)] = 670312,
  [SMALL_STATE(16000)] = 670332,
  [SMALL_STATE(16001)] = 670352,
  [SMALL_STATE(16002)] = 670372,
  [SMALL_STATE(16003)] = 670392,
  [SMALL_STATE(16004)] = 670412,
  [SMALL_STATE(16005)] = 670432,
  [SMALL_STATE(16006)] = 670452,
  [SMALL_STATE(16007)] = 670472,
  [SMALL_STATE(16008)] = 670492,
  [SMALL_STATE(16009)] = 670508,
  [SMALL_STATE(16010)] = 670528,
  [SMALL_STATE(16011)] = 670548,
  [SMALL_STATE(16012)] = 670568,
  [SMALL_STATE(16013)] = 670588,
  [SMALL_STATE(16014)] = 670608,
  [SMALL_STATE(16015)] = 670628,
  [SMALL_STATE(16016)] = 670646,
  [SMALL_STATE(16017)] = 670666,
  [SMALL_STATE(16018)] = 670686,
  [SMALL_STATE(16019)] = 670706,
  [SMALL_STATE(16020)] = 670726,
  [SMALL_STATE(16021)] = 670746,
  [SMALL_STATE(16022)] = 670764,
  [SMALL_STATE(16023)] = 670784,
  [SMALL_STATE(16024)] = 670804,
  [SMALL_STATE(16025)] = 670824,
  [SMALL_STATE(16026)] = 670844,
  [SMALL_STATE(16027)] = 670864,
  [SMALL_STATE(16028)] = 670884,
  [SMALL_STATE(16029)] = 670904,
  [SMALL_STATE(16030)] = 670924,
  [SMALL_STATE(16031)] = 670944,
  [SMALL_STATE(16032)] = 670964,
  [SMALL_STATE(16033)] = 670984,
  [SMALL_STATE(16034)] = 671004,
  [SMALL_STATE(16035)] = 671024,
  [SMALL_STATE(16036)] = 671044,
  [SMALL_STATE(16037)] = 671064,
  [SMALL_STATE(16038)] = 671084,
  [SMALL_STATE(16039)] = 671104,
  [SMALL_STATE(16040)] = 671124,
  [SMALL_STATE(16041)] = 671144,
  [SMALL_STATE(16042)] = 671164,
  [SMALL_STATE(16043)] = 671184,
  [SMALL_STATE(16044)] = 671204,
  [SMALL_STATE(16045)] = 671224,
  [SMALL_STATE(16046)] = 671244,
  [SMALL_STATE(16047)] = 671264,
  [SMALL_STATE(16048)] = 671284,
  [SMALL_STATE(16049)] = 671304,
  [SMALL_STATE(16050)] = 671324,
  [SMALL_STATE(16051)] = 671344,
  [SMALL_STATE(16052)] = 671364,
  [SMALL_STATE(16053)] = 671384,
  [SMALL_STATE(16054)] = 671402,
  [SMALL_STATE(16055)] = 671422,
  [SMALL_STATE(16056)] = 671442,
  [SMALL_STATE(16057)] = 671462,
  [SMALL_STATE(16058)] = 671482,
  [SMALL_STATE(16059)] = 671502,
  [SMALL_STATE(16060)] = 671522,
  [SMALL_STATE(16061)] = 671542,
  [SMALL_STATE(16062)] = 671560,
  [SMALL_STATE(16063)] = 671580,
  [SMALL_STATE(16064)] = 671600,
  [SMALL_STATE(16065)] = 671620,
  [SMALL_STATE(16066)] = 671640,
  [SMALL_STATE(16067)] = 671660,
  [SMALL_STATE(16068)] = 671678,
  [SMALL_STATE(16069)] = 671698,
  [SMALL_STATE(16070)] = 671718,
  [SMALL_STATE(16071)] = 671738,
  [SMALL_STATE(16072)] = 671758,
  [SMALL_STATE(16073)] = 671778,
  [SMALL_STATE(16074)] = 671798,
  [SMALL_STATE(16075)] = 671816,
  [SMALL_STATE(16076)] = 671836,
  [SMALL_STATE(16077)] = 671856,
  [SMALL_STATE(16078)] = 671874,
  [SMALL_STATE(16079)] = 671892,
  [SMALL_STATE(16080)] = 671912,
  [SMALL_STATE(16081)] = 671932,
  [SMALL_STATE(16082)] = 671952,
  [SMALL_STATE(16083)] = 671972,
  [SMALL_STATE(16084)] = 671992,
  [SMALL_STATE(16085)] = 672012,
  [SMALL_STATE(16086)] = 672030,
  [SMALL_STATE(16087)] = 672050,
  [SMALL_STATE(16088)] = 672070,
  [SMALL_STATE(16089)] = 672090,
  [SMALL_STATE(16090)] = 672106,
  [SMALL_STATE(16091)] = 672126,
  [SMALL_STATE(16092)] = 672146,
  [SMALL_STATE(16093)] = 672166,
  [SMALL_STATE(16094)] = 672186,
  [SMALL_STATE(16095)] = 672206,
  [SMALL_STATE(16096)] = 672226,
  [SMALL_STATE(16097)] = 672246,
  [SMALL_STATE(16098)] = 672266,
  [SMALL_STATE(16099)] = 672286,
  [SMALL_STATE(16100)] = 672306,
  [SMALL_STATE(16101)] = 672326,
  [SMALL_STATE(16102)] = 672344,
  [SMALL_STATE(16103)] = 672364,
  [SMALL_STATE(16104)] = 672384,
  [SMALL_STATE(16105)] = 672404,
  [SMALL_STATE(16106)] = 672424,
  [SMALL_STATE(16107)] = 672444,
  [SMALL_STATE(16108)] = 672464,
  [SMALL_STATE(16109)] = 672484,
  [SMALL_STATE(16110)] = 672504,
  [SMALL_STATE(16111)] = 672524,
  [SMALL_STATE(16112)] = 672544,
  [SMALL_STATE(16113)] = 672564,
  [SMALL_STATE(16114)] = 672584,
  [SMALL_STATE(16115)] = 672604,
  [SMALL_STATE(16116)] = 672624,
  [SMALL_STATE(16117)] = 672644,
  [SMALL_STATE(16118)] = 672664,
  [SMALL_STATE(16119)] = 672684,
  [SMALL_STATE(16120)] = 672704,
  [SMALL_STATE(16121)] = 672724,
  [SMALL_STATE(16122)] = 672744,
  [SMALL_STATE(16123)] = 672764,
  [SMALL_STATE(16124)] = 672784,
  [SMALL_STATE(16125)] = 672804,
  [SMALL_STATE(16126)] = 672824,
  [SMALL_STATE(16127)] = 672844,
  [SMALL_STATE(16128)] = 672864,
  [SMALL_STATE(16129)] = 672884,
  [SMALL_STATE(16130)] = 672904,
  [SMALL_STATE(16131)] = 672924,
  [SMALL_STATE(16132)] = 672944,
  [SMALL_STATE(16133)] = 672964,
  [SMALL_STATE(16134)] = 672984,
  [SMALL_STATE(16135)] = 673004,
  [SMALL_STATE(16136)] = 673024,
  [SMALL_STATE(16137)] = 673044,
  [SMALL_STATE(16138)] = 673064,
  [SMALL_STATE(16139)] = 673084,
  [SMALL_STATE(16140)] = 673102,
  [SMALL_STATE(16141)] = 673122,
  [SMALL_STATE(16142)] = 673142,
  [SMALL_STATE(16143)] = 673162,
  [SMALL_STATE(16144)] = 673182,
  [SMALL_STATE(16145)] = 673202,
  [SMALL_STATE(16146)] = 673222,
  [SMALL_STATE(16147)] = 673242,
  [SMALL_STATE(16148)] = 673262,
  [SMALL_STATE(16149)] = 673280,
  [SMALL_STATE(16150)] = 673300,
  [SMALL_STATE(16151)] = 673320,
  [SMALL_STATE(16152)] = 673340,
  [SMALL_STATE(16153)] = 673360,
  [SMALL_STATE(16154)] = 673380,
  [SMALL_STATE(16155)] = 673400,
  [SMALL_STATE(16156)] = 673420,
  [SMALL_STATE(16157)] = 673440,
  [SMALL_STATE(16158)] = 673460,
  [SMALL_STATE(16159)] = 673480,
  [SMALL_STATE(16160)] = 673500,
  [SMALL_STATE(16161)] = 673520,
  [SMALL_STATE(16162)] = 673540,
  [SMALL_STATE(16163)] = 673560,
  [SMALL_STATE(16164)] = 673580,
  [SMALL_STATE(16165)] = 673600,
  [SMALL_STATE(16166)] = 673620,
  [SMALL_STATE(16167)] = 673640,
  [SMALL_STATE(16168)] = 673660,
  [SMALL_STATE(16169)] = 673680,
  [SMALL_STATE(16170)] = 673700,
  [SMALL_STATE(16171)] = 673720,
  [SMALL_STATE(16172)] = 673740,
  [SMALL_STATE(16173)] = 673760,
  [SMALL_STATE(16174)] = 673780,
  [SMALL_STATE(16175)] = 673800,
  [SMALL_STATE(16176)] = 673816,
  [SMALL_STATE(16177)] = 673836,
  [SMALL_STATE(16178)] = 673856,
  [SMALL_STATE(16179)] = 673876,
  [SMALL_STATE(16180)] = 673896,
  [SMALL_STATE(16181)] = 673916,
  [SMALL_STATE(16182)] = 673936,
  [SMALL_STATE(16183)] = 673956,
  [SMALL_STATE(16184)] = 673976,
  [SMALL_STATE(16185)] = 673996,
  [SMALL_STATE(16186)] = 674016,
  [SMALL_STATE(16187)] = 674036,
  [SMALL_STATE(16188)] = 674056,
  [SMALL_STATE(16189)] = 674076,
  [SMALL_STATE(16190)] = 674096,
  [SMALL_STATE(16191)] = 674116,
  [SMALL_STATE(16192)] = 674136,
  [SMALL_STATE(16193)] = 674156,
  [SMALL_STATE(16194)] = 674176,
  [SMALL_STATE(16195)] = 674196,
  [SMALL_STATE(16196)] = 674216,
  [SMALL_STATE(16197)] = 674236,
  [SMALL_STATE(16198)] = 674256,
  [SMALL_STATE(16199)] = 674276,
  [SMALL_STATE(16200)] = 674296,
  [SMALL_STATE(16201)] = 674316,
  [SMALL_STATE(16202)] = 674336,
  [SMALL_STATE(16203)] = 674356,
  [SMALL_STATE(16204)] = 674376,
  [SMALL_STATE(16205)] = 674394,
  [SMALL_STATE(16206)] = 674414,
  [SMALL_STATE(16207)] = 674434,
  [SMALL_STATE(16208)] = 674454,
  [SMALL_STATE(16209)] = 674474,
  [SMALL_STATE(16210)] = 674494,
  [SMALL_STATE(16211)] = 674514,
  [SMALL_STATE(16212)] = 674534,
  [SMALL_STATE(16213)] = 674554,
  [SMALL_STATE(16214)] = 674574,
  [SMALL_STATE(16215)] = 674594,
  [SMALL_STATE(16216)] = 674614,
  [SMALL_STATE(16217)] = 674634,
  [SMALL_STATE(16218)] = 674654,
  [SMALL_STATE(16219)] = 674674,
  [SMALL_STATE(16220)] = 674694,
  [SMALL_STATE(16221)] = 674714,
  [SMALL_STATE(16222)] = 674734,
  [SMALL_STATE(16223)] = 674754,
  [SMALL_STATE(16224)] = 674774,
  [SMALL_STATE(16225)] = 674794,
  [SMALL_STATE(16226)] = 674812,
  [SMALL_STATE(16227)] = 674832,
  [SMALL_STATE(16228)] = 674852,
  [SMALL_STATE(16229)] = 674872,
  [SMALL_STATE(16230)] = 674892,
  [SMALL_STATE(16231)] = 674912,
  [SMALL_STATE(16232)] = 674932,
  [SMALL_STATE(16233)] = 674952,
  [SMALL_STATE(16234)] = 674972,
  [SMALL_STATE(16235)] = 674992,
  [SMALL_STATE(16236)] = 675012,
  [SMALL_STATE(16237)] = 675032,
  [SMALL_STATE(16238)] = 675052,
  [SMALL_STATE(16239)] = 675072,
  [SMALL_STATE(16240)] = 675092,
  [SMALL_STATE(16241)] = 675110,
  [SMALL_STATE(16242)] = 675128,
  [SMALL_STATE(16243)] = 675148,
  [SMALL_STATE(16244)] = 675168,
  [SMALL_STATE(16245)] = 675188,
  [SMALL_STATE(16246)] = 675208,
  [SMALL_STATE(16247)] = 675228,
  [SMALL_STATE(16248)] = 675248,
  [SMALL_STATE(16249)] = 675268,
  [SMALL_STATE(16250)] = 675288,
  [SMALL_STATE(16251)] = 675308,
  [SMALL_STATE(16252)] = 675328,
  [SMALL_STATE(16253)] = 675348,
  [SMALL_STATE(16254)] = 675368,
  [SMALL_STATE(16255)] = 675388,
  [SMALL_STATE(16256)] = 675408,
  [SMALL_STATE(16257)] = 675426,
  [SMALL_STATE(16258)] = 675446,
  [SMALL_STATE(16259)] = 675466,
  [SMALL_STATE(16260)] = 675486,
  [SMALL_STATE(16261)] = 675506,
  [SMALL_STATE(16262)] = 675526,
  [SMALL_STATE(16263)] = 675544,
  [SMALL_STATE(16264)] = 675564,
  [SMALL_STATE(16265)] = 675582,
  [SMALL_STATE(16266)] = 675602,
  [SMALL_STATE(16267)] = 675622,
  [SMALL_STATE(16268)] = 675642,
  [SMALL_STATE(16269)] = 675662,
  [SMALL_STATE(16270)] = 675682,
  [SMALL_STATE(16271)] = 675700,
  [SMALL_STATE(16272)] = 675720,
  [SMALL_STATE(16273)] = 675740,
  [SMALL_STATE(16274)] = 675760,
  [SMALL_STATE(16275)] = 675780,
  [SMALL_STATE(16276)] = 675800,
  [SMALL_STATE(16277)] = 675820,
  [SMALL_STATE(16278)] = 675838,
  [SMALL_STATE(16279)] = 675858,
  [SMALL_STATE(16280)] = 675878,
  [SMALL_STATE(16281)] = 675898,
  [SMALL_STATE(16282)] = 675918,
  [SMALL_STATE(16283)] = 675938,
  [SMALL_STATE(16284)] = 675958,
  [SMALL_STATE(16285)] = 675978,
  [SMALL_STATE(16286)] = 675998,
  [SMALL_STATE(16287)] = 676018,
  [SMALL_STATE(16288)] = 676038,
  [SMALL_STATE(16289)] = 676058,
  [SMALL_STATE(16290)] = 676078,
  [SMALL_STATE(16291)] = 676098,
  [SMALL_STATE(16292)] = 676118,
  [SMALL_STATE(16293)] = 676138,
  [SMALL_STATE(16294)] = 676158,
  [SMALL_STATE(16295)] = 676178,
  [SMALL_STATE(16296)] = 676198,
  [SMALL_STATE(16297)] = 676218,
  [SMALL_STATE(16298)] = 676238,
  [SMALL_STATE(16299)] = 676258,
  [SMALL_STATE(16300)] = 676278,
  [SMALL_STATE(16301)] = 676298,
  [SMALL_STATE(16302)] = 676318,
  [SMALL_STATE(16303)] = 676338,
  [SMALL_STATE(16304)] = 676358,
  [SMALL_STATE(16305)] = 676374,
  [SMALL_STATE(16306)] = 676394,
  [SMALL_STATE(16307)] = 676414,
  [SMALL_STATE(16308)] = 676434,
  [SMALL_STATE(16309)] = 676452,
  [SMALL_STATE(16310)] = 676472,
  [SMALL_STATE(16311)] = 676492,
  [SMALL_STATE(16312)] = 676512,
  [SMALL_STATE(16313)] = 676530,
  [SMALL_STATE(16314)] = 676546,
  [SMALL_STATE(16315)] = 676566,
  [SMALL_STATE(16316)] = 676586,
  [SMALL_STATE(16317)] = 676606,
  [SMALL_STATE(16318)] = 676624,
  [SMALL_STATE(16319)] = 676642,
  [SMALL_STATE(16320)] = 676662,
  [SMALL_STATE(16321)] = 676682,
  [SMALL_STATE(16322)] = 676702,
  [SMALL_STATE(16323)] = 676722,
  [SMALL_STATE(16324)] = 676742,
  [SMALL_STATE(16325)] = 676760,
  [SMALL_STATE(16326)] = 676780,
  [SMALL_STATE(16327)] = 676796,
  [SMALL_STATE(16328)] = 676816,
  [SMALL_STATE(16329)] = 676836,
  [SMALL_STATE(16330)] = 676856,
  [SMALL_STATE(16331)] = 676876,
  [SMALL_STATE(16332)] = 676896,
  [SMALL_STATE(16333)] = 676916,
  [SMALL_STATE(16334)] = 676936,
  [SMALL_STATE(16335)] = 676956,
  [SMALL_STATE(16336)] = 676976,
  [SMALL_STATE(16337)] = 676996,
  [SMALL_STATE(16338)] = 677016,
  [SMALL_STATE(16339)] = 677036,
  [SMALL_STATE(16340)] = 677056,
  [SMALL_STATE(16341)] = 677076,
  [SMALL_STATE(16342)] = 677096,
  [SMALL_STATE(16343)] = 677116,
  [SMALL_STATE(16344)] = 677136,
  [SMALL_STATE(16345)] = 677154,
  [SMALL_STATE(16346)] = 677172,
  [SMALL_STATE(16347)] = 677192,
  [SMALL_STATE(16348)] = 677210,
  [SMALL_STATE(16349)] = 677228,
  [SMALL_STATE(16350)] = 677246,
  [SMALL_STATE(16351)] = 677264,
  [SMALL_STATE(16352)] = 677282,
  [SMALL_STATE(16353)] = 677300,
  [SMALL_STATE(16354)] = 677318,
  [SMALL_STATE(16355)] = 677336,
  [SMALL_STATE(16356)] = 677354,
  [SMALL_STATE(16357)] = 677372,
  [SMALL_STATE(16358)] = 677390,
  [SMALL_STATE(16359)] = 677408,
  [SMALL_STATE(16360)] = 677426,
  [SMALL_STATE(16361)] = 677444,
  [SMALL_STATE(16362)] = 677462,
  [SMALL_STATE(16363)] = 677480,
  [SMALL_STATE(16364)] = 677498,
  [SMALL_STATE(16365)] = 677516,
  [SMALL_STATE(16366)] = 677534,
  [SMALL_STATE(16367)] = 677552,
  [SMALL_STATE(16368)] = 677570,
  [SMALL_STATE(16369)] = 677588,
  [SMALL_STATE(16370)] = 677606,
  [SMALL_STATE(16371)] = 677624,
  [SMALL_STATE(16372)] = 677642,
  [SMALL_STATE(16373)] = 677660,
  [SMALL_STATE(16374)] = 677678,
  [SMALL_STATE(16375)] = 677696,
  [SMALL_STATE(16376)] = 677714,
  [SMALL_STATE(16377)] = 677732,
  [SMALL_STATE(16378)] = 677750,
  [SMALL_STATE(16379)] = 677768,
  [SMALL_STATE(16380)] = 677786,
  [SMALL_STATE(16381)] = 677804,
  [SMALL_STATE(16382)] = 677822,
  [SMALL_STATE(16383)] = 677842,
  [SMALL_STATE(16384)] = 677862,
  [SMALL_STATE(16385)] = 677882,
  [SMALL_STATE(16386)] = 677902,
  [SMALL_STATE(16387)] = 677922,
  [SMALL_STATE(16388)] = 677942,
  [SMALL_STATE(16389)] = 677960,
  [SMALL_STATE(16390)] = 677978,
  [SMALL_STATE(16391)] = 677998,
  [SMALL_STATE(16392)] = 678018,
  [SMALL_STATE(16393)] = 678038,
  [SMALL_STATE(16394)] = 678058,
  [SMALL_STATE(16395)] = 678078,
  [SMALL_STATE(16396)] = 678096,
  [SMALL_STATE(16397)] = 678116,
  [SMALL_STATE(16398)] = 678136,
  [SMALL_STATE(16399)] = 678156,
  [SMALL_STATE(16400)] = 678176,
  [SMALL_STATE(16401)] = 678196,
  [SMALL_STATE(16402)] = 678216,
  [SMALL_STATE(16403)] = 678236,
  [SMALL_STATE(16404)] = 678256,
  [SMALL_STATE(16405)] = 678276,
  [SMALL_STATE(16406)] = 678296,
  [SMALL_STATE(16407)] = 678316,
  [SMALL_STATE(16408)] = 678336,
  [SMALL_STATE(16409)] = 678356,
  [SMALL_STATE(16410)] = 678374,
  [SMALL_STATE(16411)] = 678392,
  [SMALL_STATE(16412)] = 678410,
  [SMALL_STATE(16413)] = 678428,
  [SMALL_STATE(16414)] = 678446,
  [SMALL_STATE(16415)] = 678464,
  [SMALL_STATE(16416)] = 678482,
  [SMALL_STATE(16417)] = 678500,
  [SMALL_STATE(16418)] = 678518,
  [SMALL_STATE(16419)] = 678536,
  [SMALL_STATE(16420)] = 678554,
  [SMALL_STATE(16421)] = 678572,
  [SMALL_STATE(16422)] = 678590,
  [SMALL_STATE(16423)] = 678608,
  [SMALL_STATE(16424)] = 678626,
  [SMALL_STATE(16425)] = 678644,
  [SMALL_STATE(16426)] = 678662,
  [SMALL_STATE(16427)] = 678682,
  [SMALL_STATE(16428)] = 678702,
  [SMALL_STATE(16429)] = 678722,
  [SMALL_STATE(16430)] = 678742,
  [SMALL_STATE(16431)] = 678762,
  [SMALL_STATE(16432)] = 678782,
  [SMALL_STATE(16433)] = 678800,
  [SMALL_STATE(16434)] = 678820,
  [SMALL_STATE(16435)] = 678840,
  [SMALL_STATE(16436)] = 678860,
  [SMALL_STATE(16437)] = 678878,
  [SMALL_STATE(16438)] = 678898,
  [SMALL_STATE(16439)] = 678918,
  [SMALL_STATE(16440)] = 678938,
  [SMALL_STATE(16441)] = 678958,
  [SMALL_STATE(16442)] = 678974,
  [SMALL_STATE(16443)] = 678994,
  [SMALL_STATE(16444)] = 679014,
  [SMALL_STATE(16445)] = 679034,
  [SMALL_STATE(16446)] = 679054,
  [SMALL_STATE(16447)] = 679074,
  [SMALL_STATE(16448)] = 679094,
  [SMALL_STATE(16449)] = 679112,
  [SMALL_STATE(16450)] = 679130,
  [SMALL_STATE(16451)] = 679148,
  [SMALL_STATE(16452)] = 679166,
  [SMALL_STATE(16453)] = 679184,
  [SMALL_STATE(16454)] = 679202,
  [SMALL_STATE(16455)] = 679220,
  [SMALL_STATE(16456)] = 679238,
  [SMALL_STATE(16457)] = 679256,
  [SMALL_STATE(16458)] = 679274,
  [SMALL_STATE(16459)] = 679292,
  [SMALL_STATE(16460)] = 679310,
  [SMALL_STATE(16461)] = 679328,
  [SMALL_STATE(16462)] = 679346,
  [SMALL_STATE(16463)] = 679364,
  [SMALL_STATE(16464)] = 679382,
  [SMALL_STATE(16465)] = 679402,
  [SMALL_STATE(16466)] = 679422,
  [SMALL_STATE(16467)] = 679442,
  [SMALL_STATE(16468)] = 679462,
  [SMALL_STATE(16469)] = 679482,
  [SMALL_STATE(16470)] = 679502,
  [SMALL_STATE(16471)] = 679522,
  [SMALL_STATE(16472)] = 679542,
  [SMALL_STATE(16473)] = 679562,
  [SMALL_STATE(16474)] = 679582,
  [SMALL_STATE(16475)] = 679600,
  [SMALL_STATE(16476)] = 679618,
  [SMALL_STATE(16477)] = 679636,
  [SMALL_STATE(16478)] = 679654,
  [SMALL_STATE(16479)] = 679672,
  [SMALL_STATE(16480)] = 679690,
  [SMALL_STATE(16481)] = 679710,
  [SMALL_STATE(16482)] = 679730,
  [SMALL_STATE(16483)] = 679750,
  [SMALL_STATE(16484)] = 679770,
  [SMALL_STATE(16485)] = 679790,
  [SMALL_STATE(16486)] = 679808,
  [SMALL_STATE(16487)] = 679828,
  [SMALL_STATE(16488)] = 679848,
  [SMALL_STATE(16489)] = 679868,
  [SMALL_STATE(16490)] = 679888,
  [SMALL_STATE(16491)] = 679908,
  [SMALL_STATE(16492)] = 679928,
  [SMALL_STATE(16493)] = 679948,
  [SMALL_STATE(16494)] = 679968,
  [SMALL_STATE(16495)] = 679986,
  [SMALL_STATE(16496)] = 680004,
  [SMALL_STATE(16497)] = 680024,
  [SMALL_STATE(16498)] = 680044,
  [SMALL_STATE(16499)] = 680064,
  [SMALL_STATE(16500)] = 680084,
  [SMALL_STATE(16501)] = 680102,
  [SMALL_STATE(16502)] = 680122,
  [SMALL_STATE(16503)] = 680142,
  [SMALL_STATE(16504)] = 680162,
  [SMALL_STATE(16505)] = 680182,
  [SMALL_STATE(16506)] = 680202,
  [SMALL_STATE(16507)] = 680222,
  [SMALL_STATE(16508)] = 680240,
  [SMALL_STATE(16509)] = 680258,
  [SMALL_STATE(16510)] = 680278,
  [SMALL_STATE(16511)] = 680298,
  [SMALL_STATE(16512)] = 680318,
  [SMALL_STATE(16513)] = 680334,
  [SMALL_STATE(16514)] = 680352,
  [SMALL_STATE(16515)] = 680372,
  [SMALL_STATE(16516)] = 680392,
  [SMALL_STATE(16517)] = 680412,
  [SMALL_STATE(16518)] = 680432,
  [SMALL_STATE(16519)] = 680452,
  [SMALL_STATE(16520)] = 680472,
  [SMALL_STATE(16521)] = 680492,
  [SMALL_STATE(16522)] = 680512,
  [SMALL_STATE(16523)] = 680528,
  [SMALL_STATE(16524)] = 680548,
  [SMALL_STATE(16525)] = 680568,
  [SMALL_STATE(16526)] = 680588,
  [SMALL_STATE(16527)] = 680608,
  [SMALL_STATE(16528)] = 680628,
  [SMALL_STATE(16529)] = 680648,
  [SMALL_STATE(16530)] = 680668,
  [SMALL_STATE(16531)] = 680688,
  [SMALL_STATE(16532)] = 680708,
  [SMALL_STATE(16533)] = 680728,
  [SMALL_STATE(16534)] = 680748,
  [SMALL_STATE(16535)] = 680768,
  [SMALL_STATE(16536)] = 680788,
  [SMALL_STATE(16537)] = 680808,
  [SMALL_STATE(16538)] = 680824,
  [SMALL_STATE(16539)] = 680842,
  [SMALL_STATE(16540)] = 680862,
  [SMALL_STATE(16541)] = 680882,
  [SMALL_STATE(16542)] = 680902,
  [SMALL_STATE(16543)] = 680920,
  [SMALL_STATE(16544)] = 680940,
  [SMALL_STATE(16545)] = 680960,
  [SMALL_STATE(16546)] = 680980,
  [SMALL_STATE(16547)] = 680998,
  [SMALL_STATE(16548)] = 681018,
  [SMALL_STATE(16549)] = 681038,
  [SMALL_STATE(16550)] = 681058,
  [SMALL_STATE(16551)] = 681076,
  [SMALL_STATE(16552)] = 681096,
  [SMALL_STATE(16553)] = 681116,
  [SMALL_STATE(16554)] = 681136,
  [SMALL_STATE(16555)] = 681156,
  [SMALL_STATE(16556)] = 681176,
  [SMALL_STATE(16557)] = 681196,
  [SMALL_STATE(16558)] = 681216,
  [SMALL_STATE(16559)] = 681236,
  [SMALL_STATE(16560)] = 681256,
  [SMALL_STATE(16561)] = 681276,
  [SMALL_STATE(16562)] = 681296,
  [SMALL_STATE(16563)] = 681314,
  [SMALL_STATE(16564)] = 681334,
  [SMALL_STATE(16565)] = 681354,
  [SMALL_STATE(16566)] = 681372,
  [SMALL_STATE(16567)] = 681392,
  [SMALL_STATE(16568)] = 681412,
  [SMALL_STATE(16569)] = 681432,
  [SMALL_STATE(16570)] = 681452,
  [SMALL_STATE(16571)] = 681472,
  [SMALL_STATE(16572)] = 681492,
  [SMALL_STATE(16573)] = 681512,
  [SMALL_STATE(16574)] = 681532,
  [SMALL_STATE(16575)] = 681552,
  [SMALL_STATE(16576)] = 681570,
  [SMALL_STATE(16577)] = 681590,
  [SMALL_STATE(16578)] = 681610,
  [SMALL_STATE(16579)] = 681630,
  [SMALL_STATE(16580)] = 681650,
  [SMALL_STATE(16581)] = 681668,
  [SMALL_STATE(16582)] = 681688,
  [SMALL_STATE(16583)] = 681706,
  [SMALL_STATE(16584)] = 681724,
  [SMALL_STATE(16585)] = 681744,
  [SMALL_STATE(16586)] = 681764,
  [SMALL_STATE(16587)] = 681784,
  [SMALL_STATE(16588)] = 681804,
  [SMALL_STATE(16589)] = 681824,
  [SMALL_STATE(16590)] = 681844,
  [SMALL_STATE(16591)] = 681862,
  [SMALL_STATE(16592)] = 681882,
  [SMALL_STATE(16593)] = 681902,
  [SMALL_STATE(16594)] = 681922,
  [SMALL_STATE(16595)] = 681940,
  [SMALL_STATE(16596)] = 681960,
  [SMALL_STATE(16597)] = 681980,
  [SMALL_STATE(16598)] = 682000,
  [SMALL_STATE(16599)] = 682020,
  [SMALL_STATE(16600)] = 682040,
  [SMALL_STATE(16601)] = 682060,
  [SMALL_STATE(16602)] = 682080,
  [SMALL_STATE(16603)] = 682100,
  [SMALL_STATE(16604)] = 682120,
  [SMALL_STATE(16605)] = 682140,
  [SMALL_STATE(16606)] = 682160,
  [SMALL_STATE(16607)] = 682178,
  [SMALL_STATE(16608)] = 682198,
  [SMALL_STATE(16609)] = 682218,
  [SMALL_STATE(16610)] = 682238,
  [SMALL_STATE(16611)] = 682258,
  [SMALL_STATE(16612)] = 682278,
  [SMALL_STATE(16613)] = 682296,
  [SMALL_STATE(16614)] = 682316,
  [SMALL_STATE(16615)] = 682336,
  [SMALL_STATE(16616)] = 682352,
  [SMALL_STATE(16617)] = 682370,
  [SMALL_STATE(16618)] = 682390,
  [SMALL_STATE(16619)] = 682410,
  [SMALL_STATE(16620)] = 682430,
  [SMALL_STATE(16621)] = 682450,
  [SMALL_STATE(16622)] = 682470,
  [SMALL_STATE(16623)] = 682490,
  [SMALL_STATE(16624)] = 682510,
  [SMALL_STATE(16625)] = 682530,
  [SMALL_STATE(16626)] = 682550,
  [SMALL_STATE(16627)] = 682570,
  [SMALL_STATE(16628)] = 682590,
  [SMALL_STATE(16629)] = 682610,
  [SMALL_STATE(16630)] = 682630,
  [SMALL_STATE(16631)] = 682650,
  [SMALL_STATE(16632)] = 682668,
  [SMALL_STATE(16633)] = 682688,
  [SMALL_STATE(16634)] = 682708,
  [SMALL_STATE(16635)] = 682726,
  [SMALL_STATE(16636)] = 682746,
  [SMALL_STATE(16637)] = 682766,
  [SMALL_STATE(16638)] = 682786,
  [SMALL_STATE(16639)] = 682806,
  [SMALL_STATE(16640)] = 682826,
  [SMALL_STATE(16641)] = 682846,
  [SMALL_STATE(16642)] = 682866,
  [SMALL_STATE(16643)] = 682886,
  [SMALL_STATE(16644)] = 682906,
  [SMALL_STATE(16645)] = 682926,
  [SMALL_STATE(16646)] = 682946,
  [SMALL_STATE(16647)] = 682966,
  [SMALL_STATE(16648)] = 682986,
  [SMALL_STATE(16649)] = 683006,
  [SMALL_STATE(16650)] = 683026,
  [SMALL_STATE(16651)] = 683046,
  [SMALL_STATE(16652)] = 683066,
  [SMALL_STATE(16653)] = 683082,
  [SMALL_STATE(16654)] = 683102,
  [SMALL_STATE(16655)] = 683122,
  [SMALL_STATE(16656)] = 683142,
  [SMALL_STATE(16657)] = 683162,
  [SMALL_STATE(16658)] = 683182,
  [SMALL_STATE(16659)] = 683202,
  [SMALL_STATE(16660)] = 683222,
  [SMALL_STATE(16661)] = 683242,
  [SMALL_STATE(16662)] = 683258,
  [SMALL_STATE(16663)] = 683278,
  [SMALL_STATE(16664)] = 683298,
  [SMALL_STATE(16665)] = 683316,
  [SMALL_STATE(16666)] = 683336,
  [SMALL_STATE(16667)] = 683356,
  [SMALL_STATE(16668)] = 683376,
  [SMALL_STATE(16669)] = 683396,
  [SMALL_STATE(16670)] = 683416,
  [SMALL_STATE(16671)] = 683436,
  [SMALL_STATE(16672)] = 683452,
  [SMALL_STATE(16673)] = 683472,
  [SMALL_STATE(16674)] = 683492,
  [SMALL_STATE(16675)] = 683512,
  [SMALL_STATE(16676)] = 683530,
  [SMALL_STATE(16677)] = 683550,
  [SMALL_STATE(16678)] = 683570,
  [SMALL_STATE(16679)] = 683590,
  [SMALL_STATE(16680)] = 683610,
  [SMALL_STATE(16681)] = 683630,
  [SMALL_STATE(16682)] = 683650,
  [SMALL_STATE(16683)] = 683670,
  [SMALL_STATE(16684)] = 683690,
  [SMALL_STATE(16685)] = 683710,
  [SMALL_STATE(16686)] = 683730,
  [SMALL_STATE(16687)] = 683750,
  [SMALL_STATE(16688)] = 683770,
  [SMALL_STATE(16689)] = 683790,
  [SMALL_STATE(16690)] = 683806,
  [SMALL_STATE(16691)] = 683826,
  [SMALL_STATE(16692)] = 683846,
  [SMALL_STATE(16693)] = 683866,
  [SMALL_STATE(16694)] = 683884,
  [SMALL_STATE(16695)] = 683904,
  [SMALL_STATE(16696)] = 683924,
  [SMALL_STATE(16697)] = 683944,
  [SMALL_STATE(16698)] = 683964,
  [SMALL_STATE(16699)] = 683984,
  [SMALL_STATE(16700)] = 684002,
  [SMALL_STATE(16701)] = 684022,
  [SMALL_STATE(16702)] = 684042,
  [SMALL_STATE(16703)] = 684062,
  [SMALL_STATE(16704)] = 684082,
  [SMALL_STATE(16705)] = 684100,
  [SMALL_STATE(16706)] = 684120,
  [SMALL_STATE(16707)] = 684140,
  [SMALL_STATE(16708)] = 684160,
  [SMALL_STATE(16709)] = 684180,
  [SMALL_STATE(16710)] = 684200,
  [SMALL_STATE(16711)] = 684220,
  [SMALL_STATE(16712)] = 684240,
  [SMALL_STATE(16713)] = 684260,
  [SMALL_STATE(16714)] = 684280,
  [SMALL_STATE(16715)] = 684300,
  [SMALL_STATE(16716)] = 684320,
  [SMALL_STATE(16717)] = 684340,
  [SMALL_STATE(16718)] = 684360,
  [SMALL_STATE(16719)] = 684380,
  [SMALL_STATE(16720)] = 684400,
  [SMALL_STATE(16721)] = 684420,
  [SMALL_STATE(16722)] = 684440,
  [SMALL_STATE(16723)] = 684460,
  [SMALL_STATE(16724)] = 684480,
  [SMALL_STATE(16725)] = 684500,
  [SMALL_STATE(16726)] = 684520,
  [SMALL_STATE(16727)] = 684540,
  [SMALL_STATE(16728)] = 684560,
  [SMALL_STATE(16729)] = 684580,
  [SMALL_STATE(16730)] = 684598,
  [SMALL_STATE(16731)] = 684618,
  [SMALL_STATE(16732)] = 684638,
  [SMALL_STATE(16733)] = 684658,
  [SMALL_STATE(16734)] = 684674,
  [SMALL_STATE(16735)] = 684694,
  [SMALL_STATE(16736)] = 684712,
  [SMALL_STATE(16737)] = 684732,
  [SMALL_STATE(16738)] = 684752,
  [SMALL_STATE(16739)] = 684772,
  [SMALL_STATE(16740)] = 684792,
  [SMALL_STATE(16741)] = 684812,
  [SMALL_STATE(16742)] = 684830,
  [SMALL_STATE(16743)] = 684850,
  [SMALL_STATE(16744)] = 684870,
  [SMALL_STATE(16745)] = 684890,
  [SMALL_STATE(16746)] = 684910,
  [SMALL_STATE(16747)] = 684930,
  [SMALL_STATE(16748)] = 684950,
  [SMALL_STATE(16749)] = 684970,
  [SMALL_STATE(16750)] = 684990,
  [SMALL_STATE(16751)] = 685008,
  [SMALL_STATE(16752)] = 685028,
  [SMALL_STATE(16753)] = 685046,
  [SMALL_STATE(16754)] = 685066,
  [SMALL_STATE(16755)] = 685086,
  [SMALL_STATE(16756)] = 685104,
  [SMALL_STATE(16757)] = 685122,
  [SMALL_STATE(16758)] = 685142,
  [SMALL_STATE(16759)] = 685162,
  [SMALL_STATE(16760)] = 685182,
  [SMALL_STATE(16761)] = 685202,
  [SMALL_STATE(16762)] = 685220,
  [SMALL_STATE(16763)] = 685240,
  [SMALL_STATE(16764)] = 685260,
  [SMALL_STATE(16765)] = 685280,
  [SMALL_STATE(16766)] = 685300,
  [SMALL_STATE(16767)] = 685318,
  [SMALL_STATE(16768)] = 685334,
  [SMALL_STATE(16769)] = 685352,
  [SMALL_STATE(16770)] = 685372,
  [SMALL_STATE(16771)] = 685392,
  [SMALL_STATE(16772)] = 685412,
  [SMALL_STATE(16773)] = 685432,
  [SMALL_STATE(16774)] = 685452,
  [SMALL_STATE(16775)] = 685472,
  [SMALL_STATE(16776)] = 685492,
  [SMALL_STATE(16777)] = 685512,
  [SMALL_STATE(16778)] = 685532,
  [SMALL_STATE(16779)] = 685552,
  [SMALL_STATE(16780)] = 685572,
  [SMALL_STATE(16781)] = 685592,
  [SMALL_STATE(16782)] = 685612,
  [SMALL_STATE(16783)] = 685632,
  [SMALL_STATE(16784)] = 685652,
  [SMALL_STATE(16785)] = 685672,
  [SMALL_STATE(16786)] = 685692,
  [SMALL_STATE(16787)] = 685710,
  [SMALL_STATE(16788)] = 685726,
  [SMALL_STATE(16789)] = 685746,
  [SMALL_STATE(16790)] = 685766,
  [SMALL_STATE(16791)] = 685786,
  [SMALL_STATE(16792)] = 685806,
  [SMALL_STATE(16793)] = 685824,
  [SMALL_STATE(16794)] = 685844,
  [SMALL_STATE(16795)] = 685864,
  [SMALL_STATE(16796)] = 685884,
  [SMALL_STATE(16797)] = 685904,
  [SMALL_STATE(16798)] = 685924,
  [SMALL_STATE(16799)] = 685944,
  [SMALL_STATE(16800)] = 685960,
  [SMALL_STATE(16801)] = 685980,
  [SMALL_STATE(16802)] = 686000,
  [SMALL_STATE(16803)] = 686020,
  [SMALL_STATE(16804)] = 686040,
  [SMALL_STATE(16805)] = 686058,
  [SMALL_STATE(16806)] = 686078,
  [SMALL_STATE(16807)] = 686094,
  [SMALL_STATE(16808)] = 686114,
  [SMALL_STATE(16809)] = 686134,
  [SMALL_STATE(16810)] = 686154,
  [SMALL_STATE(16811)] = 686174,
  [SMALL_STATE(16812)] = 686194,
  [SMALL_STATE(16813)] = 686214,
  [SMALL_STATE(16814)] = 686232,
  [SMALL_STATE(16815)] = 686252,
  [SMALL_STATE(16816)] = 686272,
  [SMALL_STATE(16817)] = 686292,
  [SMALL_STATE(16818)] = 686312,
  [SMALL_STATE(16819)] = 686332,
  [SMALL_STATE(16820)] = 686352,
  [SMALL_STATE(16821)] = 686372,
  [SMALL_STATE(16822)] = 686392,
  [SMALL_STATE(16823)] = 686410,
  [SMALL_STATE(16824)] = 686430,
  [SMALL_STATE(16825)] = 686450,
  [SMALL_STATE(16826)] = 686468,
  [SMALL_STATE(16827)] = 686488,
  [SMALL_STATE(16828)] = 686508,
  [SMALL_STATE(16829)] = 686526,
  [SMALL_STATE(16830)] = 686546,
  [SMALL_STATE(16831)] = 686562,
  [SMALL_STATE(16832)] = 686582,
  [SMALL_STATE(16833)] = 686600,
  [SMALL_STATE(16834)] = 686620,
  [SMALL_STATE(16835)] = 686640,
  [SMALL_STATE(16836)] = 686660,
  [SMALL_STATE(16837)] = 686680,
  [SMALL_STATE(16838)] = 686700,
  [SMALL_STATE(16839)] = 686720,
  [SMALL_STATE(16840)] = 686740,
  [SMALL_STATE(16841)] = 686760,
  [SMALL_STATE(16842)] = 686780,
  [SMALL_STATE(16843)] = 686800,
  [SMALL_STATE(16844)] = 686820,
  [SMALL_STATE(16845)] = 686840,
  [SMALL_STATE(16846)] = 686860,
  [SMALL_STATE(16847)] = 686880,
  [SMALL_STATE(16848)] = 686900,
  [SMALL_STATE(16849)] = 686920,
  [SMALL_STATE(16850)] = 686940,
  [SMALL_STATE(16851)] = 686958,
  [SMALL_STATE(16852)] = 686974,
  [SMALL_STATE(16853)] = 686994,
  [SMALL_STATE(16854)] = 687014,
  [SMALL_STATE(16855)] = 687034,
  [SMALL_STATE(16856)] = 687054,
  [SMALL_STATE(16857)] = 687074,
  [SMALL_STATE(16858)] = 687094,
  [SMALL_STATE(16859)] = 687112,
  [SMALL_STATE(16860)] = 687130,
  [SMALL_STATE(16861)] = 687150,
  [SMALL_STATE(16862)] = 687170,
  [SMALL_STATE(16863)] = 687190,
  [SMALL_STATE(16864)] = 687210,
  [SMALL_STATE(16865)] = 687230,
  [SMALL_STATE(16866)] = 687250,
  [SMALL_STATE(16867)] = 687270,
  [SMALL_STATE(16868)] = 687290,
  [SMALL_STATE(16869)] = 687310,
  [SMALL_STATE(16870)] = 687330,
  [SMALL_STATE(16871)] = 687346,
  [SMALL_STATE(16872)] = 687366,
  [SMALL_STATE(16873)] = 687386,
  [SMALL_STATE(16874)] = 687406,
  [SMALL_STATE(16875)] = 687422,
  [SMALL_STATE(16876)] = 687442,
  [SMALL_STATE(16877)] = 687462,
  [SMALL_STATE(16878)] = 687482,
  [SMALL_STATE(16879)] = 687502,
  [SMALL_STATE(16880)] = 687522,
  [SMALL_STATE(16881)] = 687542,
  [SMALL_STATE(16882)] = 687562,
  [SMALL_STATE(16883)] = 687582,
  [SMALL_STATE(16884)] = 687602,
  [SMALL_STATE(16885)] = 687622,
  [SMALL_STATE(16886)] = 687642,
  [SMALL_STATE(16887)] = 687662,
  [SMALL_STATE(16888)] = 687682,
  [SMALL_STATE(16889)] = 687702,
  [SMALL_STATE(16890)] = 687722,
  [SMALL_STATE(16891)] = 687740,
  [SMALL_STATE(16892)] = 687760,
  [SMALL_STATE(16893)] = 687780,
  [SMALL_STATE(16894)] = 687800,
  [SMALL_STATE(16895)] = 687818,
  [SMALL_STATE(16896)] = 687838,
  [SMALL_STATE(16897)] = 687858,
  [SMALL_STATE(16898)] = 687878,
  [SMALL_STATE(16899)] = 687898,
  [SMALL_STATE(16900)] = 687918,
  [SMALL_STATE(16901)] = 687938,
  [SMALL_STATE(16902)] = 687956,
  [SMALL_STATE(16903)] = 687974,
  [SMALL_STATE(16904)] = 687994,
  [SMALL_STATE(16905)] = 688014,
  [SMALL_STATE(16906)] = 688034,
  [SMALL_STATE(16907)] = 688054,
  [SMALL_STATE(16908)] = 688074,
  [SMALL_STATE(16909)] = 688094,
  [SMALL_STATE(16910)] = 688114,
  [SMALL_STATE(16911)] = 688134,
  [SMALL_STATE(16912)] = 688150,
  [SMALL_STATE(16913)] = 688170,
  [SMALL_STATE(16914)] = 688190,
  [SMALL_STATE(16915)] = 688210,
  [SMALL_STATE(16916)] = 688230,
  [SMALL_STATE(16917)] = 688250,
  [SMALL_STATE(16918)] = 688270,
  [SMALL_STATE(16919)] = 688288,
  [SMALL_STATE(16920)] = 688308,
  [SMALL_STATE(16921)] = 688328,
  [SMALL_STATE(16922)] = 688348,
  [SMALL_STATE(16923)] = 688368,
  [SMALL_STATE(16924)] = 688388,
  [SMALL_STATE(16925)] = 688408,
  [SMALL_STATE(16926)] = 688428,
  [SMALL_STATE(16927)] = 688448,
  [SMALL_STATE(16928)] = 688468,
  [SMALL_STATE(16929)] = 688486,
  [SMALL_STATE(16930)] = 688506,
  [SMALL_STATE(16931)] = 688526,
  [SMALL_STATE(16932)] = 688546,
  [SMALL_STATE(16933)] = 688566,
  [SMALL_STATE(16934)] = 688586,
  [SMALL_STATE(16935)] = 688606,
  [SMALL_STATE(16936)] = 688624,
  [SMALL_STATE(16937)] = 688644,
  [SMALL_STATE(16938)] = 688664,
  [SMALL_STATE(16939)] = 688682,
  [SMALL_STATE(16940)] = 688702,
  [SMALL_STATE(16941)] = 688722,
  [SMALL_STATE(16942)] = 688742,
  [SMALL_STATE(16943)] = 688760,
  [SMALL_STATE(16944)] = 688780,
  [SMALL_STATE(16945)] = 688800,
  [SMALL_STATE(16946)] = 688820,
  [SMALL_STATE(16947)] = 688840,
  [SMALL_STATE(16948)] = 688860,
  [SMALL_STATE(16949)] = 688880,
  [SMALL_STATE(16950)] = 688900,
  [SMALL_STATE(16951)] = 688918,
  [SMALL_STATE(16952)] = 688938,
  [SMALL_STATE(16953)] = 688954,
  [SMALL_STATE(16954)] = 688974,
  [SMALL_STATE(16955)] = 688994,
  [SMALL_STATE(16956)] = 689014,
  [SMALL_STATE(16957)] = 689034,
  [SMALL_STATE(16958)] = 689054,
  [SMALL_STATE(16959)] = 689074,
  [SMALL_STATE(16960)] = 689094,
  [SMALL_STATE(16961)] = 689114,
  [SMALL_STATE(16962)] = 689134,
  [SMALL_STATE(16963)] = 689154,
  [SMALL_STATE(16964)] = 689174,
  [SMALL_STATE(16965)] = 689194,
  [SMALL_STATE(16966)] = 689214,
  [SMALL_STATE(16967)] = 689234,
  [SMALL_STATE(16968)] = 689254,
  [SMALL_STATE(16969)] = 689274,
  [SMALL_STATE(16970)] = 689294,
  [SMALL_STATE(16971)] = 689314,
  [SMALL_STATE(16972)] = 689332,
  [SMALL_STATE(16973)] = 689352,
  [SMALL_STATE(16974)] = 689372,
  [SMALL_STATE(16975)] = 689392,
  [SMALL_STATE(16976)] = 689412,
  [SMALL_STATE(16977)] = 689432,
  [SMALL_STATE(16978)] = 689450,
  [SMALL_STATE(16979)] = 689468,
  [SMALL_STATE(16980)] = 689488,
  [SMALL_STATE(16981)] = 689508,
  [SMALL_STATE(16982)] = 689528,
  [SMALL_STATE(16983)] = 689548,
  [SMALL_STATE(16984)] = 689568,
  [SMALL_STATE(16985)] = 689586,
  [SMALL_STATE(16986)] = 689606,
  [SMALL_STATE(16987)] = 689626,
  [SMALL_STATE(16988)] = 689646,
  [SMALL_STATE(16989)] = 689666,
  [SMALL_STATE(16990)] = 689686,
  [SMALL_STATE(16991)] = 689706,
  [SMALL_STATE(16992)] = 689726,
  [SMALL_STATE(16993)] = 689746,
  [SMALL_STATE(16994)] = 689766,
  [SMALL_STATE(16995)] = 689786,
  [SMALL_STATE(16996)] = 689806,
  [SMALL_STATE(16997)] = 689822,
  [SMALL_STATE(16998)] = 689842,
  [SMALL_STATE(16999)] = 689860,
  [SMALL_STATE(17000)] = 689880,
  [SMALL_STATE(17001)] = 689898,
  [SMALL_STATE(17002)] = 689918,
  [SMALL_STATE(17003)] = 689938,
  [SMALL_STATE(17004)] = 689958,
  [SMALL_STATE(17005)] = 689978,
  [SMALL_STATE(17006)] = 689998,
  [SMALL_STATE(17007)] = 690018,
  [SMALL_STATE(17008)] = 690038,
  [SMALL_STATE(17009)] = 690058,
  [SMALL_STATE(17010)] = 690078,
  [SMALL_STATE(17011)] = 690096,
  [SMALL_STATE(17012)] = 690116,
  [SMALL_STATE(17013)] = 690136,
  [SMALL_STATE(17014)] = 690152,
  [SMALL_STATE(17015)] = 690172,
  [SMALL_STATE(17016)] = 690192,
  [SMALL_STATE(17017)] = 690212,
  [SMALL_STATE(17018)] = 690230,
  [SMALL_STATE(17019)] = 690250,
  [SMALL_STATE(17020)] = 690270,
  [SMALL_STATE(17021)] = 690290,
  [SMALL_STATE(17022)] = 690310,
  [SMALL_STATE(17023)] = 690330,
  [SMALL_STATE(17024)] = 690350,
  [SMALL_STATE(17025)] = 690370,
  [SMALL_STATE(17026)] = 690390,
  [SMALL_STATE(17027)] = 690410,
  [SMALL_STATE(17028)] = 690430,
  [SMALL_STATE(17029)] = 690446,
  [SMALL_STATE(17030)] = 690466,
  [SMALL_STATE(17031)] = 690486,
  [SMALL_STATE(17032)] = 690504,
  [SMALL_STATE(17033)] = 690524,
  [SMALL_STATE(17034)] = 690544,
  [SMALL_STATE(17035)] = 690564,
  [SMALL_STATE(17036)] = 690582,
  [SMALL_STATE(17037)] = 690602,
  [SMALL_STATE(17038)] = 690622,
  [SMALL_STATE(17039)] = 690642,
  [SMALL_STATE(17040)] = 690662,
  [SMALL_STATE(17041)] = 690682,
  [SMALL_STATE(17042)] = 690702,
  [SMALL_STATE(17043)] = 690720,
  [SMALL_STATE(17044)] = 690740,
  [SMALL_STATE(17045)] = 690756,
  [SMALL_STATE(17046)] = 690776,
  [SMALL_STATE(17047)] = 690796,
  [SMALL_STATE(17048)] = 690816,
  [SMALL_STATE(17049)] = 690836,
  [SMALL_STATE(17050)] = 690856,
  [SMALL_STATE(17051)] = 690876,
  [SMALL_STATE(17052)] = 690896,
  [SMALL_STATE(17053)] = 690916,
  [SMALL_STATE(17054)] = 690936,
  [SMALL_STATE(17055)] = 690952,
  [SMALL_STATE(17056)] = 690972,
  [SMALL_STATE(17057)] = 690992,
  [SMALL_STATE(17058)] = 691012,
  [SMALL_STATE(17059)] = 691032,
  [SMALL_STATE(17060)] = 691052,
  [SMALL_STATE(17061)] = 691072,
  [SMALL_STATE(17062)] = 691092,
  [SMALL_STATE(17063)] = 691112,
  [SMALL_STATE(17064)] = 691132,
  [SMALL_STATE(17065)] = 691152,
  [SMALL_STATE(17066)] = 691170,
  [SMALL_STATE(17067)] = 691190,
  [SMALL_STATE(17068)] = 691210,
  [SMALL_STATE(17069)] = 691230,
  [SMALL_STATE(17070)] = 691250,
  [SMALL_STATE(17071)] = 691270,
  [SMALL_STATE(17072)] = 691290,
  [SMALL_STATE(17073)] = 691310,
  [SMALL_STATE(17074)] = 691328,
  [SMALL_STATE(17075)] = 691348,
  [SMALL_STATE(17076)] = 691368,
  [SMALL_STATE(17077)] = 691388,
  [SMALL_STATE(17078)] = 691408,
  [SMALL_STATE(17079)] = 691428,
  [SMALL_STATE(17080)] = 691448,
  [SMALL_STATE(17081)] = 691468,
  [SMALL_STATE(17082)] = 691488,
  [SMALL_STATE(17083)] = 691508,
  [SMALL_STATE(17084)] = 691528,
  [SMALL_STATE(17085)] = 691548,
  [SMALL_STATE(17086)] = 691568,
  [SMALL_STATE(17087)] = 691588,
  [SMALL_STATE(17088)] = 691608,
  [SMALL_STATE(17089)] = 691628,
  [SMALL_STATE(17090)] = 691648,
  [SMALL_STATE(17091)] = 691668,
  [SMALL_STATE(17092)] = 691688,
  [SMALL_STATE(17093)] = 691708,
  [SMALL_STATE(17094)] = 691728,
  [SMALL_STATE(17095)] = 691748,
  [SMALL_STATE(17096)] = 691768,
  [SMALL_STATE(17097)] = 691788,
  [SMALL_STATE(17098)] = 691808,
  [SMALL_STATE(17099)] = 691828,
  [SMALL_STATE(17100)] = 691848,
  [SMALL_STATE(17101)] = 691868,
  [SMALL_STATE(17102)] = 691888,
  [SMALL_STATE(17103)] = 691908,
  [SMALL_STATE(17104)] = 691928,
  [SMALL_STATE(17105)] = 691948,
  [SMALL_STATE(17106)] = 691968,
  [SMALL_STATE(17107)] = 691988,
  [SMALL_STATE(17108)] = 692008,
  [SMALL_STATE(17109)] = 692028,
  [SMALL_STATE(17110)] = 692048,
  [SMALL_STATE(17111)] = 692068,
  [SMALL_STATE(17112)] = 692088,
  [SMALL_STATE(17113)] = 692108,
  [SMALL_STATE(17114)] = 692128,
  [SMALL_STATE(17115)] = 692148,
  [SMALL_STATE(17116)] = 692168,
  [SMALL_STATE(17117)] = 692188,
  [SMALL_STATE(17118)] = 692208,
  [SMALL_STATE(17119)] = 692228,
  [SMALL_STATE(17120)] = 692248,
  [SMALL_STATE(17121)] = 692268,
  [SMALL_STATE(17122)] = 692288,
  [SMALL_STATE(17123)] = 692308,
  [SMALL_STATE(17124)] = 692328,
  [SMALL_STATE(17125)] = 692348,
  [SMALL_STATE(17126)] = 692368,
  [SMALL_STATE(17127)] = 692388,
  [SMALL_STATE(17128)] = 692408,
  [SMALL_STATE(17129)] = 692428,
  [SMALL_STATE(17130)] = 692448,
  [SMALL_STATE(17131)] = 692468,
  [SMALL_STATE(17132)] = 692488,
  [SMALL_STATE(17133)] = 692508,
  [SMALL_STATE(17134)] = 692528,
  [SMALL_STATE(17135)] = 692548,
  [SMALL_STATE(17136)] = 692568,
  [SMALL_STATE(17137)] = 692588,
  [SMALL_STATE(17138)] = 692608,
  [SMALL_STATE(17139)] = 692628,
  [SMALL_STATE(17140)] = 692648,
  [SMALL_STATE(17141)] = 692668,
  [SMALL_STATE(17142)] = 692688,
  [SMALL_STATE(17143)] = 692708,
  [SMALL_STATE(17144)] = 692728,
  [SMALL_STATE(17145)] = 692748,
  [SMALL_STATE(17146)] = 692768,
  [SMALL_STATE(17147)] = 692788,
  [SMALL_STATE(17148)] = 692808,
  [SMALL_STATE(17149)] = 692828,
  [SMALL_STATE(17150)] = 692848,
  [SMALL_STATE(17151)] = 692868,
  [SMALL_STATE(17152)] = 692886,
  [SMALL_STATE(17153)] = 692906,
  [SMALL_STATE(17154)] = 692926,
  [SMALL_STATE(17155)] = 692946,
  [SMALL_STATE(17156)] = 692966,
  [SMALL_STATE(17157)] = 692986,
  [SMALL_STATE(17158)] = 693006,
  [SMALL_STATE(17159)] = 693026,
  [SMALL_STATE(17160)] = 693046,
  [SMALL_STATE(17161)] = 693066,
  [SMALL_STATE(17162)] = 693086,
  [SMALL_STATE(17163)] = 693106,
  [SMALL_STATE(17164)] = 693126,
  [SMALL_STATE(17165)] = 693146,
  [SMALL_STATE(17166)] = 693166,
  [SMALL_STATE(17167)] = 693184,
  [SMALL_STATE(17168)] = 693204,
  [SMALL_STATE(17169)] = 693224,
  [SMALL_STATE(17170)] = 693244,
  [SMALL_STATE(17171)] = 693262,
  [SMALL_STATE(17172)] = 693282,
  [SMALL_STATE(17173)] = 693302,
  [SMALL_STATE(17174)] = 693322,
  [SMALL_STATE(17175)] = 693342,
  [SMALL_STATE(17176)] = 693362,
  [SMALL_STATE(17177)] = 693382,
  [SMALL_STATE(17178)] = 693402,
  [SMALL_STATE(17179)] = 693422,
  [SMALL_STATE(17180)] = 693442,
  [SMALL_STATE(17181)] = 693462,
  [SMALL_STATE(17182)] = 693480,
  [SMALL_STATE(17183)] = 693500,
  [SMALL_STATE(17184)] = 693520,
  [SMALL_STATE(17185)] = 693540,
  [SMALL_STATE(17186)] = 693560,
  [SMALL_STATE(17187)] = 693580,
  [SMALL_STATE(17188)] = 693600,
  [SMALL_STATE(17189)] = 693620,
  [SMALL_STATE(17190)] = 693640,
  [SMALL_STATE(17191)] = 693660,
  [SMALL_STATE(17192)] = 693680,
  [SMALL_STATE(17193)] = 693700,
  [SMALL_STATE(17194)] = 693720,
  [SMALL_STATE(17195)] = 693740,
  [SMALL_STATE(17196)] = 693760,
  [SMALL_STATE(17197)] = 693780,
  [SMALL_STATE(17198)] = 693800,
  [SMALL_STATE(17199)] = 693820,
  [SMALL_STATE(17200)] = 693840,
  [SMALL_STATE(17201)] = 693860,
  [SMALL_STATE(17202)] = 693880,
  [SMALL_STATE(17203)] = 693900,
  [SMALL_STATE(17204)] = 693920,
  [SMALL_STATE(17205)] = 693940,
  [SMALL_STATE(17206)] = 693960,
  [SMALL_STATE(17207)] = 693980,
  [SMALL_STATE(17208)] = 694000,
  [SMALL_STATE(17209)] = 694020,
  [SMALL_STATE(17210)] = 694040,
  [SMALL_STATE(17211)] = 694060,
  [SMALL_STATE(17212)] = 694080,
  [SMALL_STATE(17213)] = 694100,
  [SMALL_STATE(17214)] = 694120,
  [SMALL_STATE(17215)] = 694140,
  [SMALL_STATE(17216)] = 694160,
  [SMALL_STATE(17217)] = 694180,
  [SMALL_STATE(17218)] = 694200,
  [SMALL_STATE(17219)] = 694220,
  [SMALL_STATE(17220)] = 694240,
  [SMALL_STATE(17221)] = 694260,
  [SMALL_STATE(17222)] = 694280,
  [SMALL_STATE(17223)] = 694300,
  [SMALL_STATE(17224)] = 694320,
  [SMALL_STATE(17225)] = 694340,
  [SMALL_STATE(17226)] = 694360,
  [SMALL_STATE(17227)] = 694380,
  [SMALL_STATE(17228)] = 694400,
  [SMALL_STATE(17229)] = 694420,
  [SMALL_STATE(17230)] = 694440,
  [SMALL_STATE(17231)] = 694460,
  [SMALL_STATE(17232)] = 694480,
  [SMALL_STATE(17233)] = 694500,
  [SMALL_STATE(17234)] = 694520,
  [SMALL_STATE(17235)] = 694540,
  [SMALL_STATE(17236)] = 694560,
  [SMALL_STATE(17237)] = 694580,
  [SMALL_STATE(17238)] = 694600,
  [SMALL_STATE(17239)] = 694620,
  [SMALL_STATE(17240)] = 694640,
  [SMALL_STATE(17241)] = 694660,
  [SMALL_STATE(17242)] = 694680,
  [SMALL_STATE(17243)] = 694700,
  [SMALL_STATE(17244)] = 694720,
  [SMALL_STATE(17245)] = 694740,
  [SMALL_STATE(17246)] = 694760,
  [SMALL_STATE(17247)] = 694780,
  [SMALL_STATE(17248)] = 694800,
  [SMALL_STATE(17249)] = 694820,
  [SMALL_STATE(17250)] = 694840,
  [SMALL_STATE(17251)] = 694860,
  [SMALL_STATE(17252)] = 694880,
  [SMALL_STATE(17253)] = 694900,
  [SMALL_STATE(17254)] = 694920,
  [SMALL_STATE(17255)] = 694940,
  [SMALL_STATE(17256)] = 694960,
  [SMALL_STATE(17257)] = 694980,
  [SMALL_STATE(17258)] = 695000,
  [SMALL_STATE(17259)] = 695020,
  [SMALL_STATE(17260)] = 695040,
  [SMALL_STATE(17261)] = 695060,
  [SMALL_STATE(17262)] = 695080,
  [SMALL_STATE(17263)] = 695100,
  [SMALL_STATE(17264)] = 695120,
  [SMALL_STATE(17265)] = 695140,
  [SMALL_STATE(17266)] = 695160,
  [SMALL_STATE(17267)] = 695178,
  [SMALL_STATE(17268)] = 695198,
  [SMALL_STATE(17269)] = 695218,
  [SMALL_STATE(17270)] = 695238,
  [SMALL_STATE(17271)] = 695258,
  [SMALL_STATE(17272)] = 695278,
  [SMALL_STATE(17273)] = 695298,
  [SMALL_STATE(17274)] = 695318,
  [SMALL_STATE(17275)] = 695338,
  [SMALL_STATE(17276)] = 695358,
  [SMALL_STATE(17277)] = 695378,
  [SMALL_STATE(17278)] = 695396,
  [SMALL_STATE(17279)] = 695416,
  [SMALL_STATE(17280)] = 695436,
  [SMALL_STATE(17281)] = 695456,
  [SMALL_STATE(17282)] = 695476,
  [SMALL_STATE(17283)] = 695496,
  [SMALL_STATE(17284)] = 695516,
  [SMALL_STATE(17285)] = 695536,
  [SMALL_STATE(17286)] = 695556,
  [SMALL_STATE(17287)] = 695576,
  [SMALL_STATE(17288)] = 695596,
  [SMALL_STATE(17289)] = 695616,
  [SMALL_STATE(17290)] = 695636,
  [SMALL_STATE(17291)] = 695656,
  [SMALL_STATE(17292)] = 695676,
  [SMALL_STATE(17293)] = 695696,
  [SMALL_STATE(17294)] = 695716,
  [SMALL_STATE(17295)] = 695736,
  [SMALL_STATE(17296)] = 695756,
  [SMALL_STATE(17297)] = 695776,
  [SMALL_STATE(17298)] = 695796,
  [SMALL_STATE(17299)] = 695816,
  [SMALL_STATE(17300)] = 695836,
  [SMALL_STATE(17301)] = 695856,
  [SMALL_STATE(17302)] = 695876,
  [SMALL_STATE(17303)] = 695896,
  [SMALL_STATE(17304)] = 695916,
  [SMALL_STATE(17305)] = 695936,
  [SMALL_STATE(17306)] = 695956,
  [SMALL_STATE(17307)] = 695976,
  [SMALL_STATE(17308)] = 695996,
  [SMALL_STATE(17309)] = 696016,
  [SMALL_STATE(17310)] = 696036,
  [SMALL_STATE(17311)] = 696056,
  [SMALL_STATE(17312)] = 696076,
  [SMALL_STATE(17313)] = 696096,
  [SMALL_STATE(17314)] = 696116,
  [SMALL_STATE(17315)] = 696136,
  [SMALL_STATE(17316)] = 696156,
  [SMALL_STATE(17317)] = 696176,
  [SMALL_STATE(17318)] = 696196,
  [SMALL_STATE(17319)] = 696216,
  [SMALL_STATE(17320)] = 696236,
  [SMALL_STATE(17321)] = 696256,
  [SMALL_STATE(17322)] = 696272,
  [SMALL_STATE(17323)] = 696292,
  [SMALL_STATE(17324)] = 696312,
  [SMALL_STATE(17325)] = 696332,
  [SMALL_STATE(17326)] = 696352,
  [SMALL_STATE(17327)] = 696372,
  [SMALL_STATE(17328)] = 696392,
  [SMALL_STATE(17329)] = 696412,
  [SMALL_STATE(17330)] = 696432,
  [SMALL_STATE(17331)] = 696452,
  [SMALL_STATE(17332)] = 696472,
  [SMALL_STATE(17333)] = 696492,
  [SMALL_STATE(17334)] = 696512,
  [SMALL_STATE(17335)] = 696528,
  [SMALL_STATE(17336)] = 696548,
  [SMALL_STATE(17337)] = 696568,
  [SMALL_STATE(17338)] = 696588,
  [SMALL_STATE(17339)] = 696608,
  [SMALL_STATE(17340)] = 696628,
  [SMALL_STATE(17341)] = 696643,
  [SMALL_STATE(17342)] = 696658,
  [SMALL_STATE(17343)] = 696673,
  [SMALL_STATE(17344)] = 696688,
  [SMALL_STATE(17345)] = 696703,
  [SMALL_STATE(17346)] = 696718,
  [SMALL_STATE(17347)] = 696733,
  [SMALL_STATE(17348)] = 696748,
  [SMALL_STATE(17349)] = 696765,
  [SMALL_STATE(17350)] = 696780,
  [SMALL_STATE(17351)] = 696795,
  [SMALL_STATE(17352)] = 696812,
  [SMALL_STATE(17353)] = 696827,
  [SMALL_STATE(17354)] = 696842,
  [SMALL_STATE(17355)] = 696857,
  [SMALL_STATE(17356)] = 696872,
  [SMALL_STATE(17357)] = 696887,
  [SMALL_STATE(17358)] = 696902,
  [SMALL_STATE(17359)] = 696919,
  [SMALL_STATE(17360)] = 696934,
  [SMALL_STATE(17361)] = 696949,
  [SMALL_STATE(17362)] = 696964,
  [SMALL_STATE(17363)] = 696979,
  [SMALL_STATE(17364)] = 696994,
  [SMALL_STATE(17365)] = 697009,
  [SMALL_STATE(17366)] = 697024,
  [SMALL_STATE(17367)] = 697041,
  [SMALL_STATE(17368)] = 697056,
  [SMALL_STATE(17369)] = 697073,
  [SMALL_STATE(17370)] = 697088,
  [SMALL_STATE(17371)] = 697103,
  [SMALL_STATE(17372)] = 697118,
  [SMALL_STATE(17373)] = 697133,
  [SMALL_STATE(17374)] = 697148,
  [SMALL_STATE(17375)] = 697163,
  [SMALL_STATE(17376)] = 697178,
  [SMALL_STATE(17377)] = 697193,
  [SMALL_STATE(17378)] = 697208,
  [SMALL_STATE(17379)] = 697223,
  [SMALL_STATE(17380)] = 697238,
  [SMALL_STATE(17381)] = 697253,
  [SMALL_STATE(17382)] = 697268,
  [SMALL_STATE(17383)] = 697283,
  [SMALL_STATE(17384)] = 697298,
  [SMALL_STATE(17385)] = 697315,
  [SMALL_STATE(17386)] = 697330,
  [SMALL_STATE(17387)] = 697347,
  [SMALL_STATE(17388)] = 697362,
  [SMALL_STATE(17389)] = 697377,
  [SMALL_STATE(17390)] = 697392,
  [SMALL_STATE(17391)] = 697407,
  [SMALL_STATE(17392)] = 697422,
  [SMALL_STATE(17393)] = 697437,
  [SMALL_STATE(17394)] = 697452,
  [SMALL_STATE(17395)] = 697469,
  [SMALL_STATE(17396)] = 697484,
  [SMALL_STATE(17397)] = 697499,
  [SMALL_STATE(17398)] = 697514,
  [SMALL_STATE(17399)] = 697529,
  [SMALL_STATE(17400)] = 697544,
  [SMALL_STATE(17401)] = 697559,
  [SMALL_STATE(17402)] = 697574,
  [SMALL_STATE(17403)] = 697591,
  [SMALL_STATE(17404)] = 697606,
  [SMALL_STATE(17405)] = 697621,
  [SMALL_STATE(17406)] = 697636,
  [SMALL_STATE(17407)] = 697651,
  [SMALL_STATE(17408)] = 697666,
  [SMALL_STATE(17409)] = 697681,
  [SMALL_STATE(17410)] = 697696,
  [SMALL_STATE(17411)] = 697711,
  [SMALL_STATE(17412)] = 697726,
  [SMALL_STATE(17413)] = 697743,
  [SMALL_STATE(17414)] = 697758,
  [SMALL_STATE(17415)] = 697773,
  [SMALL_STATE(17416)] = 697788,
  [SMALL_STATE(17417)] = 697803,
  [SMALL_STATE(17418)] = 697820,
  [SMALL_STATE(17419)] = 697835,
  [SMALL_STATE(17420)] = 697850,
  [SMALL_STATE(17421)] = 697865,
  [SMALL_STATE(17422)] = 697880,
  [SMALL_STATE(17423)] = 697897,
  [SMALL_STATE(17424)] = 697912,
  [SMALL_STATE(17425)] = 697927,
  [SMALL_STATE(17426)] = 697942,
  [SMALL_STATE(17427)] = 697957,
  [SMALL_STATE(17428)] = 697972,
  [SMALL_STATE(17429)] = 697987,
  [SMALL_STATE(17430)] = 698002,
  [SMALL_STATE(17431)] = 698017,
  [SMALL_STATE(17432)] = 698032,
  [SMALL_STATE(17433)] = 698047,
  [SMALL_STATE(17434)] = 698062,
  [SMALL_STATE(17435)] = 698079,
  [SMALL_STATE(17436)] = 698094,
  [SMALL_STATE(17437)] = 698109,
  [SMALL_STATE(17438)] = 698124,
  [SMALL_STATE(17439)] = 698139,
  [SMALL_STATE(17440)] = 698154,
  [SMALL_STATE(17441)] = 698169,
  [SMALL_STATE(17442)] = 698184,
  [SMALL_STATE(17443)] = 698199,
  [SMALL_STATE(17444)] = 698214,
  [SMALL_STATE(17445)] = 698231,
  [SMALL_STATE(17446)] = 698246,
  [SMALL_STATE(17447)] = 698261,
  [SMALL_STATE(17448)] = 698276,
  [SMALL_STATE(17449)] = 698291,
  [SMALL_STATE(17450)] = 698306,
  [SMALL_STATE(17451)] = 698323,
  [SMALL_STATE(17452)] = 698338,
  [SMALL_STATE(17453)] = 698353,
  [SMALL_STATE(17454)] = 698368,
  [SMALL_STATE(17455)] = 698383,
  [SMALL_STATE(17456)] = 698398,
  [SMALL_STATE(17457)] = 698413,
  [SMALL_STATE(17458)] = 698428,
  [SMALL_STATE(17459)] = 698445,
  [SMALL_STATE(17460)] = 698460,
  [SMALL_STATE(17461)] = 698475,
  [SMALL_STATE(17462)] = 698490,
  [SMALL_STATE(17463)] = 698505,
  [SMALL_STATE(17464)] = 698520,
  [SMALL_STATE(17465)] = 698535,
  [SMALL_STATE(17466)] = 698550,
  [SMALL_STATE(17467)] = 698565,
  [SMALL_STATE(17468)] = 698582,
  [SMALL_STATE(17469)] = 698597,
  [SMALL_STATE(17470)] = 698612,
  [SMALL_STATE(17471)] = 698627,
  [SMALL_STATE(17472)] = 698642,
  [SMALL_STATE(17473)] = 698657,
  [SMALL_STATE(17474)] = 698672,
  [SMALL_STATE(17475)] = 698687,
  [SMALL_STATE(17476)] = 698702,
  [SMALL_STATE(17477)] = 698717,
  [SMALL_STATE(17478)] = 698732,
  [SMALL_STATE(17479)] = 698749,
  [SMALL_STATE(17480)] = 698764,
  [SMALL_STATE(17481)] = 698781,
  [SMALL_STATE(17482)] = 698796,
  [SMALL_STATE(17483)] = 698811,
  [SMALL_STATE(17484)] = 698826,
  [SMALL_STATE(17485)] = 698841,
  [SMALL_STATE(17486)] = 698856,
  [SMALL_STATE(17487)] = 698871,
  [SMALL_STATE(17488)] = 698886,
  [SMALL_STATE(17489)] = 698901,
  [SMALL_STATE(17490)] = 698916,
  [SMALL_STATE(17491)] = 698931,
  [SMALL_STATE(17492)] = 698946,
  [SMALL_STATE(17493)] = 698961,
  [SMALL_STATE(17494)] = 698976,
  [SMALL_STATE(17495)] = 698991,
  [SMALL_STATE(17496)] = 699006,
  [SMALL_STATE(17497)] = 699021,
  [SMALL_STATE(17498)] = 699036,
  [SMALL_STATE(17499)] = 699051,
  [SMALL_STATE(17500)] = 699066,
  [SMALL_STATE(17501)] = 699081,
  [SMALL_STATE(17502)] = 699096,
  [SMALL_STATE(17503)] = 699111,
  [SMALL_STATE(17504)] = 699126,
  [SMALL_STATE(17505)] = 699141,
  [SMALL_STATE(17506)] = 699156,
  [SMALL_STATE(17507)] = 699171,
  [SMALL_STATE(17508)] = 699186,
  [SMALL_STATE(17509)] = 699201,
  [SMALL_STATE(17510)] = 699216,
  [SMALL_STATE(17511)] = 699231,
  [SMALL_STATE(17512)] = 699246,
  [SMALL_STATE(17513)] = 699261,
  [SMALL_STATE(17514)] = 699276,
  [SMALL_STATE(17515)] = 699291,
  [SMALL_STATE(17516)] = 699308,
  [SMALL_STATE(17517)] = 699325,
  [SMALL_STATE(17518)] = 699340,
  [SMALL_STATE(17519)] = 699355,
  [SMALL_STATE(17520)] = 699372,
  [SMALL_STATE(17521)] = 699387,
  [SMALL_STATE(17522)] = 699402,
  [SMALL_STATE(17523)] = 699417,
  [SMALL_STATE(17524)] = 699432,
  [SMALL_STATE(17525)] = 699447,
  [SMALL_STATE(17526)] = 699462,
  [SMALL_STATE(17527)] = 699477,
  [SMALL_STATE(17528)] = 699492,
  [SMALL_STATE(17529)] = 699507,
  [SMALL_STATE(17530)] = 699524,
  [SMALL_STATE(17531)] = 699539,
  [SMALL_STATE(17532)] = 699554,
  [SMALL_STATE(17533)] = 699569,
  [SMALL_STATE(17534)] = 699584,
  [SMALL_STATE(17535)] = 699601,
  [SMALL_STATE(17536)] = 699616,
  [SMALL_STATE(17537)] = 699631,
  [SMALL_STATE(17538)] = 699646,
  [SMALL_STATE(17539)] = 699661,
  [SMALL_STATE(17540)] = 699676,
  [SMALL_STATE(17541)] = 699691,
  [SMALL_STATE(17542)] = 699706,
  [SMALL_STATE(17543)] = 699721,
  [SMALL_STATE(17544)] = 699736,
  [SMALL_STATE(17545)] = 699751,
  [SMALL_STATE(17546)] = 699766,
  [SMALL_STATE(17547)] = 699781,
  [SMALL_STATE(17548)] = 699796,
  [SMALL_STATE(17549)] = 699811,
  [SMALL_STATE(17550)] = 699826,
  [SMALL_STATE(17551)] = 699841,
  [SMALL_STATE(17552)] = 699856,
  [SMALL_STATE(17553)] = 699871,
  [SMALL_STATE(17554)] = 699886,
  [SMALL_STATE(17555)] = 699901,
  [SMALL_STATE(17556)] = 699916,
  [SMALL_STATE(17557)] = 699931,
  [SMALL_STATE(17558)] = 699946,
  [SMALL_STATE(17559)] = 699961,
  [SMALL_STATE(17560)] = 699978,
  [SMALL_STATE(17561)] = 699995,
  [SMALL_STATE(17562)] = 700010,
  [SMALL_STATE(17563)] = 700025,
  [SMALL_STATE(17564)] = 700040,
  [SMALL_STATE(17565)] = 700057,
  [SMALL_STATE(17566)] = 700074,
  [SMALL_STATE(17567)] = 700089,
  [SMALL_STATE(17568)] = 700104,
  [SMALL_STATE(17569)] = 700119,
  [SMALL_STATE(17570)] = 700134,
  [SMALL_STATE(17571)] = 700151,
  [SMALL_STATE(17572)] = 700166,
  [SMALL_STATE(17573)] = 700181,
  [SMALL_STATE(17574)] = 700198,
  [SMALL_STATE(17575)] = 700213,
  [SMALL_STATE(17576)] = 700228,
  [SMALL_STATE(17577)] = 700243,
  [SMALL_STATE(17578)] = 700258,
  [SMALL_STATE(17579)] = 700275,
  [SMALL_STATE(17580)] = 700290,
  [SMALL_STATE(17581)] = 700305,
  [SMALL_STATE(17582)] = 700320,
  [SMALL_STATE(17583)] = 700335,
  [SMALL_STATE(17584)] = 700350,
  [SMALL_STATE(17585)] = 700365,
  [SMALL_STATE(17586)] = 700380,
  [SMALL_STATE(17587)] = 700395,
  [SMALL_STATE(17588)] = 700410,
  [SMALL_STATE(17589)] = 700425,
  [SMALL_STATE(17590)] = 700442,
  [SMALL_STATE(17591)] = 700457,
  [SMALL_STATE(17592)] = 700472,
  [SMALL_STATE(17593)] = 700487,
  [SMALL_STATE(17594)] = 700504,
  [SMALL_STATE(17595)] = 700519,
  [SMALL_STATE(17596)] = 700534,
  [SMALL_STATE(17597)] = 700549,
  [SMALL_STATE(17598)] = 700564,
  [SMALL_STATE(17599)] = 700579,
  [SMALL_STATE(17600)] = 700596,
  [SMALL_STATE(17601)] = 700611,
  [SMALL_STATE(17602)] = 700626,
  [SMALL_STATE(17603)] = 700643,
  [SMALL_STATE(17604)] = 700658,
  [SMALL_STATE(17605)] = 700673,
  [SMALL_STATE(17606)] = 700690,
  [SMALL_STATE(17607)] = 700705,
  [SMALL_STATE(17608)] = 700720,
  [SMALL_STATE(17609)] = 700735,
  [SMALL_STATE(17610)] = 700750,
  [SMALL_STATE(17611)] = 700765,
  [SMALL_STATE(17612)] = 700780,
  [SMALL_STATE(17613)] = 700795,
  [SMALL_STATE(17614)] = 700810,
  [SMALL_STATE(17615)] = 700825,
  [SMALL_STATE(17616)] = 700842,
  [SMALL_STATE(17617)] = 700859,
  [SMALL_STATE(17618)] = 700874,
  [SMALL_STATE(17619)] = 700889,
  [SMALL_STATE(17620)] = 700904,
  [SMALL_STATE(17621)] = 700919,
  [SMALL_STATE(17622)] = 700934,
  [SMALL_STATE(17623)] = 700949,
  [SMALL_STATE(17624)] = 700964,
  [SMALL_STATE(17625)] = 700979,
  [SMALL_STATE(17626)] = 700994,
  [SMALL_STATE(17627)] = 701009,
  [SMALL_STATE(17628)] = 701024,
  [SMALL_STATE(17629)] = 701039,
  [SMALL_STATE(17630)] = 701054,
  [SMALL_STATE(17631)] = 701071,
  [SMALL_STATE(17632)] = 701086,
  [SMALL_STATE(17633)] = 701101,
  [SMALL_STATE(17634)] = 701116,
  [SMALL_STATE(17635)] = 701131,
  [SMALL_STATE(17636)] = 701148,
  [SMALL_STATE(17637)] = 701163,
  [SMALL_STATE(17638)] = 701178,
  [SMALL_STATE(17639)] = 701193,
  [SMALL_STATE(17640)] = 701208,
  [SMALL_STATE(17641)] = 701223,
  [SMALL_STATE(17642)] = 701240,
  [SMALL_STATE(17643)] = 701257,
  [SMALL_STATE(17644)] = 701272,
  [SMALL_STATE(17645)] = 701287,
  [SMALL_STATE(17646)] = 701302,
  [SMALL_STATE(17647)] = 701317,
  [SMALL_STATE(17648)] = 701332,
  [SMALL_STATE(17649)] = 701347,
  [SMALL_STATE(17650)] = 701364,
  [SMALL_STATE(17651)] = 701379,
  [SMALL_STATE(17652)] = 701394,
  [SMALL_STATE(17653)] = 701411,
  [SMALL_STATE(17654)] = 701424,
  [SMALL_STATE(17655)] = 701441,
  [SMALL_STATE(17656)] = 701456,
  [SMALL_STATE(17657)] = 701471,
  [SMALL_STATE(17658)] = 701486,
  [SMALL_STATE(17659)] = 701501,
  [SMALL_STATE(17660)] = 701516,
  [SMALL_STATE(17661)] = 701533,
  [SMALL_STATE(17662)] = 701550,
  [SMALL_STATE(17663)] = 701567,
  [SMALL_STATE(17664)] = 701582,
  [SMALL_STATE(17665)] = 701597,
  [SMALL_STATE(17666)] = 701612,
  [SMALL_STATE(17667)] = 701627,
  [SMALL_STATE(17668)] = 701642,
  [SMALL_STATE(17669)] = 701657,
  [SMALL_STATE(17670)] = 701672,
  [SMALL_STATE(17671)] = 701687,
  [SMALL_STATE(17672)] = 701702,
  [SMALL_STATE(17673)] = 701719,
  [SMALL_STATE(17674)] = 701734,
  [SMALL_STATE(17675)] = 701749,
  [SMALL_STATE(17676)] = 701764,
  [SMALL_STATE(17677)] = 701779,
  [SMALL_STATE(17678)] = 701796,
  [SMALL_STATE(17679)] = 701811,
  [SMALL_STATE(17680)] = 701828,
  [SMALL_STATE(17681)] = 701843,
  [SMALL_STATE(17682)] = 701860,
  [SMALL_STATE(17683)] = 701875,
  [SMALL_STATE(17684)] = 701890,
  [SMALL_STATE(17685)] = 701905,
  [SMALL_STATE(17686)] = 701920,
  [SMALL_STATE(17687)] = 701935,
  [SMALL_STATE(17688)] = 701950,
  [SMALL_STATE(17689)] = 701965,
  [SMALL_STATE(17690)] = 701980,
  [SMALL_STATE(17691)] = 701997,
  [SMALL_STATE(17692)] = 702012,
  [SMALL_STATE(17693)] = 702027,
  [SMALL_STATE(17694)] = 702042,
  [SMALL_STATE(17695)] = 702057,
  [SMALL_STATE(17696)] = 702072,
  [SMALL_STATE(17697)] = 702087,
  [SMALL_STATE(17698)] = 702102,
  [SMALL_STATE(17699)] = 702117,
  [SMALL_STATE(17700)] = 702132,
  [SMALL_STATE(17701)] = 702147,
  [SMALL_STATE(17702)] = 702162,
  [SMALL_STATE(17703)] = 702179,
  [SMALL_STATE(17704)] = 702194,
  [SMALL_STATE(17705)] = 702209,
  [SMALL_STATE(17706)] = 702226,
  [SMALL_STATE(17707)] = 702241,
  [SMALL_STATE(17708)] = 702256,
  [SMALL_STATE(17709)] = 702271,
  [SMALL_STATE(17710)] = 702286,
  [SMALL_STATE(17711)] = 702301,
  [SMALL_STATE(17712)] = 702316,
  [SMALL_STATE(17713)] = 702331,
  [SMALL_STATE(17714)] = 702346,
  [SMALL_STATE(17715)] = 702363,
  [SMALL_STATE(17716)] = 702378,
  [SMALL_STATE(17717)] = 702393,
  [SMALL_STATE(17718)] = 702410,
  [SMALL_STATE(17719)] = 702427,
  [SMALL_STATE(17720)] = 702442,
  [SMALL_STATE(17721)] = 702457,
  [SMALL_STATE(17722)] = 702472,
  [SMALL_STATE(17723)] = 702487,
  [SMALL_STATE(17724)] = 702502,
  [SMALL_STATE(17725)] = 702517,
  [SMALL_STATE(17726)] = 702532,
  [SMALL_STATE(17727)] = 702547,
  [SMALL_STATE(17728)] = 702562,
  [SMALL_STATE(17729)] = 702577,
  [SMALL_STATE(17730)] = 702592,
  [SMALL_STATE(17731)] = 702607,
  [SMALL_STATE(17732)] = 702622,
  [SMALL_STATE(17733)] = 702637,
  [SMALL_STATE(17734)] = 702654,
  [SMALL_STATE(17735)] = 702669,
  [SMALL_STATE(17736)] = 702684,
  [SMALL_STATE(17737)] = 702699,
  [SMALL_STATE(17738)] = 702714,
  [SMALL_STATE(17739)] = 702731,
  [SMALL_STATE(17740)] = 702746,
  [SMALL_STATE(17741)] = 702763,
  [SMALL_STATE(17742)] = 702778,
  [SMALL_STATE(17743)] = 702793,
  [SMALL_STATE(17744)] = 702808,
  [SMALL_STATE(17745)] = 702823,
  [SMALL_STATE(17746)] = 702840,
  [SMALL_STATE(17747)] = 702855,
  [SMALL_STATE(17748)] = 702870,
  [SMALL_STATE(17749)] = 702887,
  [SMALL_STATE(17750)] = 702902,
  [SMALL_STATE(17751)] = 702919,
  [SMALL_STATE(17752)] = 702934,
  [SMALL_STATE(17753)] = 702949,
  [SMALL_STATE(17754)] = 702964,
  [SMALL_STATE(17755)] = 702979,
  [SMALL_STATE(17756)] = 702994,
  [SMALL_STATE(17757)] = 703009,
  [SMALL_STATE(17758)] = 703026,
  [SMALL_STATE(17759)] = 703043,
  [SMALL_STATE(17760)] = 703058,
  [SMALL_STATE(17761)] = 703073,
  [SMALL_STATE(17762)] = 703090,
  [SMALL_STATE(17763)] = 703105,
  [SMALL_STATE(17764)] = 703120,
  [SMALL_STATE(17765)] = 703135,
  [SMALL_STATE(17766)] = 703150,
  [SMALL_STATE(17767)] = 703167,
  [SMALL_STATE(17768)] = 703182,
  [SMALL_STATE(17769)] = 703196,
  [SMALL_STATE(17770)] = 703210,
  [SMALL_STATE(17771)] = 703224,
  [SMALL_STATE(17772)] = 703238,
  [SMALL_STATE(17773)] = 703252,
  [SMALL_STATE(17774)] = 703266,
  [SMALL_STATE(17775)] = 703280,
  [SMALL_STATE(17776)] = 703294,
  [SMALL_STATE(17777)] = 703308,
  [SMALL_STATE(17778)] = 703322,
  [SMALL_STATE(17779)] = 703336,
  [SMALL_STATE(17780)] = 703350,
  [SMALL_STATE(17781)] = 703364,
  [SMALL_STATE(17782)] = 703378,
  [SMALL_STATE(17783)] = 703392,
  [SMALL_STATE(17784)] = 703406,
  [SMALL_STATE(17785)] = 703420,
  [SMALL_STATE(17786)] = 703434,
  [SMALL_STATE(17787)] = 703448,
  [SMALL_STATE(17788)] = 703462,
  [SMALL_STATE(17789)] = 703476,
  [SMALL_STATE(17790)] = 703490,
  [SMALL_STATE(17791)] = 703504,
  [SMALL_STATE(17792)] = 703518,
  [SMALL_STATE(17793)] = 703532,
  [SMALL_STATE(17794)] = 703546,
  [SMALL_STATE(17795)] = 703560,
  [SMALL_STATE(17796)] = 703574,
  [SMALL_STATE(17797)] = 703588,
  [SMALL_STATE(17798)] = 703602,
  [SMALL_STATE(17799)] = 703616,
  [SMALL_STATE(17800)] = 703630,
  [SMALL_STATE(17801)] = 703644,
  [SMALL_STATE(17802)] = 703658,
  [SMALL_STATE(17803)] = 703672,
  [SMALL_STATE(17804)] = 703686,
  [SMALL_STATE(17805)] = 703700,
  [SMALL_STATE(17806)] = 703714,
  [SMALL_STATE(17807)] = 703728,
  [SMALL_STATE(17808)] = 703742,
  [SMALL_STATE(17809)] = 703756,
  [SMALL_STATE(17810)] = 703770,
  [SMALL_STATE(17811)] = 703784,
  [SMALL_STATE(17812)] = 703798,
  [SMALL_STATE(17813)] = 703812,
  [SMALL_STATE(17814)] = 703826,
  [SMALL_STATE(17815)] = 703840,
  [SMALL_STATE(17816)] = 703854,
  [SMALL_STATE(17817)] = 703868,
  [SMALL_STATE(17818)] = 703882,
  [SMALL_STATE(17819)] = 703896,
  [SMALL_STATE(17820)] = 703910,
  [SMALL_STATE(17821)] = 703924,
  [SMALL_STATE(17822)] = 703938,
  [SMALL_STATE(17823)] = 703952,
  [SMALL_STATE(17824)] = 703966,
  [SMALL_STATE(17825)] = 703980,
  [SMALL_STATE(17826)] = 703994,
  [SMALL_STATE(17827)] = 704008,
  [SMALL_STATE(17828)] = 704022,
  [SMALL_STATE(17829)] = 704036,
  [SMALL_STATE(17830)] = 704050,
  [SMALL_STATE(17831)] = 704064,
  [SMALL_STATE(17832)] = 704078,
  [SMALL_STATE(17833)] = 704092,
  [SMALL_STATE(17834)] = 704106,
  [SMALL_STATE(17835)] = 704120,
  [SMALL_STATE(17836)] = 704134,
  [SMALL_STATE(17837)] = 704148,
  [SMALL_STATE(17838)] = 704162,
  [SMALL_STATE(17839)] = 704176,
  [SMALL_STATE(17840)] = 704190,
  [SMALL_STATE(17841)] = 704204,
  [SMALL_STATE(17842)] = 704218,
  [SMALL_STATE(17843)] = 704232,
  [SMALL_STATE(17844)] = 704246,
  [SMALL_STATE(17845)] = 704260,
  [SMALL_STATE(17846)] = 704274,
  [SMALL_STATE(17847)] = 704288,
  [SMALL_STATE(17848)] = 704302,
  [SMALL_STATE(17849)] = 704316,
  [SMALL_STATE(17850)] = 704330,
  [SMALL_STATE(17851)] = 704344,
  [SMALL_STATE(17852)] = 704358,
  [SMALL_STATE(17853)] = 704372,
  [SMALL_STATE(17854)] = 704386,
  [SMALL_STATE(17855)] = 704400,
  [SMALL_STATE(17856)] = 704414,
  [SMALL_STATE(17857)] = 704428,
  [SMALL_STATE(17858)] = 704442,
  [SMALL_STATE(17859)] = 704456,
  [SMALL_STATE(17860)] = 704470,
  [SMALL_STATE(17861)] = 704484,
  [SMALL_STATE(17862)] = 704498,
  [SMALL_STATE(17863)] = 704512,
  [SMALL_STATE(17864)] = 704526,
  [SMALL_STATE(17865)] = 704540,
  [SMALL_STATE(17866)] = 704554,
  [SMALL_STATE(17867)] = 704568,
  [SMALL_STATE(17868)] = 704582,
  [SMALL_STATE(17869)] = 704596,
  [SMALL_STATE(17870)] = 704610,
  [SMALL_STATE(17871)] = 704624,
  [SMALL_STATE(17872)] = 704638,
  [SMALL_STATE(17873)] = 704652,
  [SMALL_STATE(17874)] = 704666,
  [SMALL_STATE(17875)] = 704680,
  [SMALL_STATE(17876)] = 704694,
  [SMALL_STATE(17877)] = 704708,
  [SMALL_STATE(17878)] = 704722,
  [SMALL_STATE(17879)] = 704736,
  [SMALL_STATE(17880)] = 704750,
  [SMALL_STATE(17881)] = 704764,
  [SMALL_STATE(17882)] = 704778,
  [SMALL_STATE(17883)] = 704792,
  [SMALL_STATE(17884)] = 704806,
  [SMALL_STATE(17885)] = 704820,
  [SMALL_STATE(17886)] = 704834,
  [SMALL_STATE(17887)] = 704848,
  [SMALL_STATE(17888)] = 704862,
  [SMALL_STATE(17889)] = 704876,
  [SMALL_STATE(17890)] = 704890,
  [SMALL_STATE(17891)] = 704904,
  [SMALL_STATE(17892)] = 704918,
  [SMALL_STATE(17893)] = 704932,
  [SMALL_STATE(17894)] = 704946,
  [SMALL_STATE(17895)] = 704960,
  [SMALL_STATE(17896)] = 704974,
  [SMALL_STATE(17897)] = 704988,
  [SMALL_STATE(17898)] = 705002,
  [SMALL_STATE(17899)] = 705016,
  [SMALL_STATE(17900)] = 705030,
  [SMALL_STATE(17901)] = 705044,
  [SMALL_STATE(17902)] = 705058,
  [SMALL_STATE(17903)] = 705072,
  [SMALL_STATE(17904)] = 705086,
  [SMALL_STATE(17905)] = 705100,
  [SMALL_STATE(17906)] = 705114,
  [SMALL_STATE(17907)] = 705128,
  [SMALL_STATE(17908)] = 705142,
  [SMALL_STATE(17909)] = 705156,
  [SMALL_STATE(17910)] = 705170,
  [SMALL_STATE(17911)] = 705184,
  [SMALL_STATE(17912)] = 705198,
  [SMALL_STATE(17913)] = 705212,
  [SMALL_STATE(17914)] = 705226,
  [SMALL_STATE(17915)] = 705240,
  [SMALL_STATE(17916)] = 705254,
  [SMALL_STATE(17917)] = 705268,
  [SMALL_STATE(17918)] = 705282,
  [SMALL_STATE(17919)] = 705296,
  [SMALL_STATE(17920)] = 705310,
  [SMALL_STATE(17921)] = 705324,
  [SMALL_STATE(17922)] = 705338,
  [SMALL_STATE(17923)] = 705352,
  [SMALL_STATE(17924)] = 705366,
  [SMALL_STATE(17925)] = 705380,
  [SMALL_STATE(17926)] = 705394,
  [SMALL_STATE(17927)] = 705408,
  [SMALL_STATE(17928)] = 705422,
  [SMALL_STATE(17929)] = 705436,
  [SMALL_STATE(17930)] = 705450,
  [SMALL_STATE(17931)] = 705464,
  [SMALL_STATE(17932)] = 705478,
  [SMALL_STATE(17933)] = 705492,
  [SMALL_STATE(17934)] = 705506,
  [SMALL_STATE(17935)] = 705520,
  [SMALL_STATE(17936)] = 705534,
  [SMALL_STATE(17937)] = 705548,
  [SMALL_STATE(17938)] = 705562,
  [SMALL_STATE(17939)] = 705576,
  [SMALL_STATE(17940)] = 705590,
  [SMALL_STATE(17941)] = 705604,
  [SMALL_STATE(17942)] = 705618,
  [SMALL_STATE(17943)] = 705632,
  [SMALL_STATE(17944)] = 705646,
  [SMALL_STATE(17945)] = 705660,
  [SMALL_STATE(17946)] = 705674,
  [SMALL_STATE(17947)] = 705688,
  [SMALL_STATE(17948)] = 705702,
  [SMALL_STATE(17949)] = 705716,
  [SMALL_STATE(17950)] = 705730,
  [SMALL_STATE(17951)] = 705744,
  [SMALL_STATE(17952)] = 705758,
  [SMALL_STATE(17953)] = 705772,
  [SMALL_STATE(17954)] = 705786,
  [SMALL_STATE(17955)] = 705800,
  [SMALL_STATE(17956)] = 705814,
  [SMALL_STATE(17957)] = 705828,
  [SMALL_STATE(17958)] = 705842,
  [SMALL_STATE(17959)] = 705856,
  [SMALL_STATE(17960)] = 705870,
  [SMALL_STATE(17961)] = 705884,
  [SMALL_STATE(17962)] = 705898,
  [SMALL_STATE(17963)] = 705912,
  [SMALL_STATE(17964)] = 705926,
  [SMALL_STATE(17965)] = 705940,
  [SMALL_STATE(17966)] = 705954,
  [SMALL_STATE(17967)] = 705968,
  [SMALL_STATE(17968)] = 705982,
  [SMALL_STATE(17969)] = 705996,
  [SMALL_STATE(17970)] = 706010,
  [SMALL_STATE(17971)] = 706024,
  [SMALL_STATE(17972)] = 706038,
  [SMALL_STATE(17973)] = 706052,
  [SMALL_STATE(17974)] = 706066,
  [SMALL_STATE(17975)] = 706080,
  [SMALL_STATE(17976)] = 706094,
  [SMALL_STATE(17977)] = 706108,
  [SMALL_STATE(17978)] = 706122,
  [SMALL_STATE(17979)] = 706136,
  [SMALL_STATE(17980)] = 706150,
  [SMALL_STATE(17981)] = 706164,
  [SMALL_STATE(17982)] = 706178,
  [SMALL_STATE(17983)] = 706192,
  [SMALL_STATE(17984)] = 706206,
  [SMALL_STATE(17985)] = 706220,
  [SMALL_STATE(17986)] = 706234,
  [SMALL_STATE(17987)] = 706248,
  [SMALL_STATE(17988)] = 706262,
  [SMALL_STATE(17989)] = 706276,
  [SMALL_STATE(17990)] = 706290,
  [SMALL_STATE(17991)] = 706304,
  [SMALL_STATE(17992)] = 706318,
  [SMALL_STATE(17993)] = 706332,
  [SMALL_STATE(17994)] = 706346,
  [SMALL_STATE(17995)] = 706360,
  [SMALL_STATE(17996)] = 706374,
  [SMALL_STATE(17997)] = 706388,
  [SMALL_STATE(17998)] = 706402,
  [SMALL_STATE(17999)] = 706416,
  [SMALL_STATE(18000)] = 706430,
  [SMALL_STATE(18001)] = 706444,
  [SMALL_STATE(18002)] = 706458,
  [SMALL_STATE(18003)] = 706472,
  [SMALL_STATE(18004)] = 706486,
  [SMALL_STATE(18005)] = 706500,
  [SMALL_STATE(18006)] = 706514,
  [SMALL_STATE(18007)] = 706528,
  [SMALL_STATE(18008)] = 706542,
  [SMALL_STATE(18009)] = 706556,
  [SMALL_STATE(18010)] = 706570,
  [SMALL_STATE(18011)] = 706584,
  [SMALL_STATE(18012)] = 706598,
  [SMALL_STATE(18013)] = 706612,
  [SMALL_STATE(18014)] = 706626,
  [SMALL_STATE(18015)] = 706640,
  [SMALL_STATE(18016)] = 706654,
  [SMALL_STATE(18017)] = 706668,
  [SMALL_STATE(18018)] = 706682,
  [SMALL_STATE(18019)] = 706696,
  [SMALL_STATE(18020)] = 706710,
  [SMALL_STATE(18021)] = 706724,
  [SMALL_STATE(18022)] = 706738,
  [SMALL_STATE(18023)] = 706752,
  [SMALL_STATE(18024)] = 706766,
  [SMALL_STATE(18025)] = 706780,
  [SMALL_STATE(18026)] = 706794,
  [SMALL_STATE(18027)] = 706808,
  [SMALL_STATE(18028)] = 706822,
  [SMALL_STATE(18029)] = 706836,
  [SMALL_STATE(18030)] = 706850,
  [SMALL_STATE(18031)] = 706864,
  [SMALL_STATE(18032)] = 706878,
  [SMALL_STATE(18033)] = 706892,
  [SMALL_STATE(18034)] = 706906,
  [SMALL_STATE(18035)] = 706920,
  [SMALL_STATE(18036)] = 706934,
  [SMALL_STATE(18037)] = 706948,
  [SMALL_STATE(18038)] = 706962,
  [SMALL_STATE(18039)] = 706976,
  [SMALL_STATE(18040)] = 706990,
  [SMALL_STATE(18041)] = 707004,
  [SMALL_STATE(18042)] = 707018,
  [SMALL_STATE(18043)] = 707032,
  [SMALL_STATE(18044)] = 707046,
  [SMALL_STATE(18045)] = 707060,
  [SMALL_STATE(18046)] = 707074,
  [SMALL_STATE(18047)] = 707088,
  [SMALL_STATE(18048)] = 707102,
  [SMALL_STATE(18049)] = 707116,
  [SMALL_STATE(18050)] = 707130,
  [SMALL_STATE(18051)] = 707144,
  [SMALL_STATE(18052)] = 707158,
  [SMALL_STATE(18053)] = 707172,
  [SMALL_STATE(18054)] = 707186,
  [SMALL_STATE(18055)] = 707200,
  [SMALL_STATE(18056)] = 707214,
  [SMALL_STATE(18057)] = 707228,
  [SMALL_STATE(18058)] = 707242,
  [SMALL_STATE(18059)] = 707256,
  [SMALL_STATE(18060)] = 707270,
  [SMALL_STATE(18061)] = 707284,
  [SMALL_STATE(18062)] = 707298,
  [SMALL_STATE(18063)] = 707312,
  [SMALL_STATE(18064)] = 707326,
  [SMALL_STATE(18065)] = 707340,
  [SMALL_STATE(18066)] = 707354,
  [SMALL_STATE(18067)] = 707368,
  [SMALL_STATE(18068)] = 707382,
  [SMALL_STATE(18069)] = 707396,
  [SMALL_STATE(18070)] = 707410,
  [SMALL_STATE(18071)] = 707424,
  [SMALL_STATE(18072)] = 707438,
  [SMALL_STATE(18073)] = 707452,
  [SMALL_STATE(18074)] = 707466,
  [SMALL_STATE(18075)] = 707480,
  [SMALL_STATE(18076)] = 707494,
  [SMALL_STATE(18077)] = 707508,
  [SMALL_STATE(18078)] = 707522,
  [SMALL_STATE(18079)] = 707536,
  [SMALL_STATE(18080)] = 707550,
  [SMALL_STATE(18081)] = 707564,
  [SMALL_STATE(18082)] = 707578,
  [SMALL_STATE(18083)] = 707592,
  [SMALL_STATE(18084)] = 707606,
  [SMALL_STATE(18085)] = 707620,
  [SMALL_STATE(18086)] = 707634,
  [SMALL_STATE(18087)] = 707648,
  [SMALL_STATE(18088)] = 707662,
  [SMALL_STATE(18089)] = 707676,
  [SMALL_STATE(18090)] = 707690,
  [SMALL_STATE(18091)] = 707704,
  [SMALL_STATE(18092)] = 707718,
  [SMALL_STATE(18093)] = 707732,
  [SMALL_STATE(18094)] = 707746,
  [SMALL_STATE(18095)] = 707760,
  [SMALL_STATE(18096)] = 707774,
  [SMALL_STATE(18097)] = 707788,
  [SMALL_STATE(18098)] = 707802,
  [SMALL_STATE(18099)] = 707816,
  [SMALL_STATE(18100)] = 707830,
  [SMALL_STATE(18101)] = 707844,
  [SMALL_STATE(18102)] = 707858,
  [SMALL_STATE(18103)] = 707872,
  [SMALL_STATE(18104)] = 707886,
  [SMALL_STATE(18105)] = 707900,
  [SMALL_STATE(18106)] = 707914,
  [SMALL_STATE(18107)] = 707928,
  [SMALL_STATE(18108)] = 707942,
  [SMALL_STATE(18109)] = 707956,
  [SMALL_STATE(18110)] = 707970,
  [SMALL_STATE(18111)] = 707984,
  [SMALL_STATE(18112)] = 707998,
  [SMALL_STATE(18113)] = 708012,
  [SMALL_STATE(18114)] = 708026,
  [SMALL_STATE(18115)] = 708040,
  [SMALL_STATE(18116)] = 708054,
  [SMALL_STATE(18117)] = 708068,
  [SMALL_STATE(18118)] = 708082,
  [SMALL_STATE(18119)] = 708096,
  [SMALL_STATE(18120)] = 708110,
  [SMALL_STATE(18121)] = 708124,
  [SMALL_STATE(18122)] = 708138,
  [SMALL_STATE(18123)] = 708152,
  [SMALL_STATE(18124)] = 708166,
  [SMALL_STATE(18125)] = 708180,
  [SMALL_STATE(18126)] = 708194,
  [SMALL_STATE(18127)] = 708208,
  [SMALL_STATE(18128)] = 708222,
  [SMALL_STATE(18129)] = 708236,
  [SMALL_STATE(18130)] = 708250,
  [SMALL_STATE(18131)] = 708264,
  [SMALL_STATE(18132)] = 708278,
  [SMALL_STATE(18133)] = 708292,
  [SMALL_STATE(18134)] = 708306,
  [SMALL_STATE(18135)] = 708320,
  [SMALL_STATE(18136)] = 708334,
  [SMALL_STATE(18137)] = 708348,
  [SMALL_STATE(18138)] = 708362,
  [SMALL_STATE(18139)] = 708376,
  [SMALL_STATE(18140)] = 708390,
  [SMALL_STATE(18141)] = 708404,
  [SMALL_STATE(18142)] = 708418,
  [SMALL_STATE(18143)] = 708432,
  [SMALL_STATE(18144)] = 708446,
  [SMALL_STATE(18145)] = 708460,
  [SMALL_STATE(18146)] = 708474,
  [SMALL_STATE(18147)] = 708488,
  [SMALL_STATE(18148)] = 708502,
  [SMALL_STATE(18149)] = 708516,
  [SMALL_STATE(18150)] = 708530,
  [SMALL_STATE(18151)] = 708544,
  [SMALL_STATE(18152)] = 708558,
  [SMALL_STATE(18153)] = 708572,
  [SMALL_STATE(18154)] = 708586,
  [SMALL_STATE(18155)] = 708600,
  [SMALL_STATE(18156)] = 708614,
  [SMALL_STATE(18157)] = 708628,
  [SMALL_STATE(18158)] = 708642,
  [SMALL_STATE(18159)] = 708656,
  [SMALL_STATE(18160)] = 708670,
  [SMALL_STATE(18161)] = 708684,
  [SMALL_STATE(18162)] = 708698,
  [SMALL_STATE(18163)] = 708712,
  [SMALL_STATE(18164)] = 708726,
  [SMALL_STATE(18165)] = 708740,
  [SMALL_STATE(18166)] = 708754,
  [SMALL_STATE(18167)] = 708768,
  [SMALL_STATE(18168)] = 708782,
  [SMALL_STATE(18169)] = 708796,
  [SMALL_STATE(18170)] = 708810,
  [SMALL_STATE(18171)] = 708824,
  [SMALL_STATE(18172)] = 708838,
  [SMALL_STATE(18173)] = 708852,
  [SMALL_STATE(18174)] = 708866,
  [SMALL_STATE(18175)] = 708880,
  [SMALL_STATE(18176)] = 708894,
  [SMALL_STATE(18177)] = 708908,
  [SMALL_STATE(18178)] = 708922,
  [SMALL_STATE(18179)] = 708936,
  [SMALL_STATE(18180)] = 708950,
  [SMALL_STATE(18181)] = 708964,
  [SMALL_STATE(18182)] = 708978,
  [SMALL_STATE(18183)] = 708992,
  [SMALL_STATE(18184)] = 709006,
  [SMALL_STATE(18185)] = 709020,
  [SMALL_STATE(18186)] = 709034,
  [SMALL_STATE(18187)] = 709048,
  [SMALL_STATE(18188)] = 709062,
  [SMALL_STATE(18189)] = 709076,
  [SMALL_STATE(18190)] = 709090,
  [SMALL_STATE(18191)] = 709104,
  [SMALL_STATE(18192)] = 709118,
  [SMALL_STATE(18193)] = 709132,
  [SMALL_STATE(18194)] = 709146,
  [SMALL_STATE(18195)] = 709160,
  [SMALL_STATE(18196)] = 709174,
  [SMALL_STATE(18197)] = 709188,
  [SMALL_STATE(18198)] = 709202,
  [SMALL_STATE(18199)] = 709216,
  [SMALL_STATE(18200)] = 709230,
  [SMALL_STATE(18201)] = 709244,
  [SMALL_STATE(18202)] = 709258,
  [SMALL_STATE(18203)] = 709272,
  [SMALL_STATE(18204)] = 709286,
  [SMALL_STATE(18205)] = 709300,
  [SMALL_STATE(18206)] = 709314,
  [SMALL_STATE(18207)] = 709328,
  [SMALL_STATE(18208)] = 709342,
  [SMALL_STATE(18209)] = 709356,
  [SMALL_STATE(18210)] = 709370,
  [SMALL_STATE(18211)] = 709384,
  [SMALL_STATE(18212)] = 709398,
  [SMALL_STATE(18213)] = 709412,
  [SMALL_STATE(18214)] = 709426,
  [SMALL_STATE(18215)] = 709440,
  [SMALL_STATE(18216)] = 709454,
  [SMALL_STATE(18217)] = 709468,
  [SMALL_STATE(18218)] = 709482,
  [SMALL_STATE(18219)] = 709496,
  [SMALL_STATE(18220)] = 709510,
  [SMALL_STATE(18221)] = 709524,
  [SMALL_STATE(18222)] = 709538,
  [SMALL_STATE(18223)] = 709552,
  [SMALL_STATE(18224)] = 709566,
  [SMALL_STATE(18225)] = 709580,
  [SMALL_STATE(18226)] = 709594,
  [SMALL_STATE(18227)] = 709608,
  [SMALL_STATE(18228)] = 709622,
  [SMALL_STATE(18229)] = 709636,
  [SMALL_STATE(18230)] = 709650,
  [SMALL_STATE(18231)] = 709664,
  [SMALL_STATE(18232)] = 709678,
  [SMALL_STATE(18233)] = 709692,
  [SMALL_STATE(18234)] = 709706,
  [SMALL_STATE(18235)] = 709720,
  [SMALL_STATE(18236)] = 709734,
  [SMALL_STATE(18237)] = 709748,
  [SMALL_STATE(18238)] = 709762,
  [SMALL_STATE(18239)] = 709776,
  [SMALL_STATE(18240)] = 709790,
  [SMALL_STATE(18241)] = 709804,
  [SMALL_STATE(18242)] = 709818,
  [SMALL_STATE(18243)] = 709832,
  [SMALL_STATE(18244)] = 709846,
  [SMALL_STATE(18245)] = 709860,
  [SMALL_STATE(18246)] = 709874,
  [SMALL_STATE(18247)] = 709888,
  [SMALL_STATE(18248)] = 709902,
  [SMALL_STATE(18249)] = 709916,
  [SMALL_STATE(18250)] = 709930,
  [SMALL_STATE(18251)] = 709944,
  [SMALL_STATE(18252)] = 709958,
  [SMALL_STATE(18253)] = 709972,
  [SMALL_STATE(18254)] = 709986,
  [SMALL_STATE(18255)] = 710000,
  [SMALL_STATE(18256)] = 710014,
  [SMALL_STATE(18257)] = 710028,
  [SMALL_STATE(18258)] = 710042,
  [SMALL_STATE(18259)] = 710056,
  [SMALL_STATE(18260)] = 710070,
  [SMALL_STATE(18261)] = 710084,
  [SMALL_STATE(18262)] = 710098,
  [SMALL_STATE(18263)] = 710112,
  [SMALL_STATE(18264)] = 710126,
  [SMALL_STATE(18265)] = 710140,
  [SMALL_STATE(18266)] = 710154,
  [SMALL_STATE(18267)] = 710168,
  [SMALL_STATE(18268)] = 710182,
  [SMALL_STATE(18269)] = 710196,
  [SMALL_STATE(18270)] = 710210,
  [SMALL_STATE(18271)] = 710224,
  [SMALL_STATE(18272)] = 710238,
  [SMALL_STATE(18273)] = 710252,
  [SMALL_STATE(18274)] = 710266,
  [SMALL_STATE(18275)] = 710280,
  [SMALL_STATE(18276)] = 710294,
  [SMALL_STATE(18277)] = 710308,
  [SMALL_STATE(18278)] = 710322,
  [SMALL_STATE(18279)] = 710336,
  [SMALL_STATE(18280)] = 710350,
  [SMALL_STATE(18281)] = 710364,
  [SMALL_STATE(18282)] = 710378,
  [SMALL_STATE(18283)] = 710392,
  [SMALL_STATE(18284)] = 710406,
  [SMALL_STATE(18285)] = 710420,
  [SMALL_STATE(18286)] = 710434,
  [SMALL_STATE(18287)] = 710448,
  [SMALL_STATE(18288)] = 710462,
  [SMALL_STATE(18289)] = 710476,
  [SMALL_STATE(18290)] = 710490,
  [SMALL_STATE(18291)] = 710504,
  [SMALL_STATE(18292)] = 710518,
  [SMALL_STATE(18293)] = 710532,
  [SMALL_STATE(18294)] = 710546,
  [SMALL_STATE(18295)] = 710560,
  [SMALL_STATE(18296)] = 710574,
  [SMALL_STATE(18297)] = 710588,
  [SMALL_STATE(18298)] = 710602,
  [SMALL_STATE(18299)] = 710616,
  [SMALL_STATE(18300)] = 710630,
  [SMALL_STATE(18301)] = 710644,
  [SMALL_STATE(18302)] = 710658,
  [SMALL_STATE(18303)] = 710672,
  [SMALL_STATE(18304)] = 710686,
  [SMALL_STATE(18305)] = 710700,
  [SMALL_STATE(18306)] = 710714,
  [SMALL_STATE(18307)] = 710728,
  [SMALL_STATE(18308)] = 710742,
  [SMALL_STATE(18309)] = 710756,
  [SMALL_STATE(18310)] = 710770,
  [SMALL_STATE(18311)] = 710784,
  [SMALL_STATE(18312)] = 710798,
  [SMALL_STATE(18313)] = 710812,
  [SMALL_STATE(18314)] = 710826,
  [SMALL_STATE(18315)] = 710840,
  [SMALL_STATE(18316)] = 710854,
  [SMALL_STATE(18317)] = 710868,
  [SMALL_STATE(18318)] = 710882,
  [SMALL_STATE(18319)] = 710896,
  [SMALL_STATE(18320)] = 710910,
  [SMALL_STATE(18321)] = 710924,
  [SMALL_STATE(18322)] = 710938,
  [SMALL_STATE(18323)] = 710952,
  [SMALL_STATE(18324)] = 710966,
  [SMALL_STATE(18325)] = 710980,
  [SMALL_STATE(18326)] = 710994,
  [SMALL_STATE(18327)] = 711008,
  [SMALL_STATE(18328)] = 711022,
  [SMALL_STATE(18329)] = 711036,
  [SMALL_STATE(18330)] = 711050,
  [SMALL_STATE(18331)] = 711064,
  [SMALL_STATE(18332)] = 711078,
  [SMALL_STATE(18333)] = 711092,
  [SMALL_STATE(18334)] = 711106,
  [SMALL_STATE(18335)] = 711120,
  [SMALL_STATE(18336)] = 711134,
  [SMALL_STATE(18337)] = 711148,
  [SMALL_STATE(18338)] = 711162,
  [SMALL_STATE(18339)] = 711176,
  [SMALL_STATE(18340)] = 711190,
  [SMALL_STATE(18341)] = 711204,
  [SMALL_STATE(18342)] = 711218,
  [SMALL_STATE(18343)] = 711232,
  [SMALL_STATE(18344)] = 711246,
  [SMALL_STATE(18345)] = 711260,
  [SMALL_STATE(18346)] = 711274,
  [SMALL_STATE(18347)] = 711288,
  [SMALL_STATE(18348)] = 711302,
  [SMALL_STATE(18349)] = 711316,
  [SMALL_STATE(18350)] = 711330,
  [SMALL_STATE(18351)] = 711344,
  [SMALL_STATE(18352)] = 711358,
  [SMALL_STATE(18353)] = 711372,
  [SMALL_STATE(18354)] = 711386,
  [SMALL_STATE(18355)] = 711400,
  [SMALL_STATE(18356)] = 711414,
  [SMALL_STATE(18357)] = 711428,
  [SMALL_STATE(18358)] = 711442,
  [SMALL_STATE(18359)] = 711456,
  [SMALL_STATE(18360)] = 711470,
  [SMALL_STATE(18361)] = 711484,
  [SMALL_STATE(18362)] = 711498,
  [SMALL_STATE(18363)] = 711512,
  [SMALL_STATE(18364)] = 711526,
  [SMALL_STATE(18365)] = 711540,
  [SMALL_STATE(18366)] = 711554,
  [SMALL_STATE(18367)] = 711568,
  [SMALL_STATE(18368)] = 711582,
  [SMALL_STATE(18369)] = 711596,
  [SMALL_STATE(18370)] = 711610,
  [SMALL_STATE(18371)] = 711624,
  [SMALL_STATE(18372)] = 711638,
  [SMALL_STATE(18373)] = 711652,
  [SMALL_STATE(18374)] = 711666,
  [SMALL_STATE(18375)] = 711680,
  [SMALL_STATE(18376)] = 711694,
  [SMALL_STATE(18377)] = 711708,
  [SMALL_STATE(18378)] = 711722,
  [SMALL_STATE(18379)] = 711736,
  [SMALL_STATE(18380)] = 711750,
  [SMALL_STATE(18381)] = 711764,
  [SMALL_STATE(18382)] = 711778,
  [SMALL_STATE(18383)] = 711792,
  [SMALL_STATE(18384)] = 711806,
  [SMALL_STATE(18385)] = 711820,
  [SMALL_STATE(18386)] = 711834,
  [SMALL_STATE(18387)] = 711848,
  [SMALL_STATE(18388)] = 711862,
  [SMALL_STATE(18389)] = 711876,
  [SMALL_STATE(18390)] = 711890,
  [SMALL_STATE(18391)] = 711904,
  [SMALL_STATE(18392)] = 711918,
  [SMALL_STATE(18393)] = 711932,
  [SMALL_STATE(18394)] = 711946,
  [SMALL_STATE(18395)] = 711960,
  [SMALL_STATE(18396)] = 711974,
  [SMALL_STATE(18397)] = 711988,
  [SMALL_STATE(18398)] = 712002,
  [SMALL_STATE(18399)] = 712016,
  [SMALL_STATE(18400)] = 712030,
  [SMALL_STATE(18401)] = 712044,
  [SMALL_STATE(18402)] = 712058,
  [SMALL_STATE(18403)] = 712072,
  [SMALL_STATE(18404)] = 712086,
  [SMALL_STATE(18405)] = 712100,
  [SMALL_STATE(18406)] = 712114,
  [SMALL_STATE(18407)] = 712128,
  [SMALL_STATE(18408)] = 712142,
  [SMALL_STATE(18409)] = 712156,
  [SMALL_STATE(18410)] = 712170,
  [SMALL_STATE(18411)] = 712184,
  [SMALL_STATE(18412)] = 712198,
  [SMALL_STATE(18413)] = 712212,
  [SMALL_STATE(18414)] = 712226,
  [SMALL_STATE(18415)] = 712240,
  [SMALL_STATE(18416)] = 712254,
  [SMALL_STATE(18417)] = 712268,
  [SMALL_STATE(18418)] = 712282,
  [SMALL_STATE(18419)] = 712296,
  [SMALL_STATE(18420)] = 712310,
  [SMALL_STATE(18421)] = 712324,
  [SMALL_STATE(18422)] = 712338,
  [SMALL_STATE(18423)] = 712352,
  [SMALL_STATE(18424)] = 712366,
  [SMALL_STATE(18425)] = 712380,
  [SMALL_STATE(18426)] = 712394,
  [SMALL_STATE(18427)] = 712408,
  [SMALL_STATE(18428)] = 712422,
  [SMALL_STATE(18429)] = 712436,
  [SMALL_STATE(18430)] = 712450,
  [SMALL_STATE(18431)] = 712464,
  [SMALL_STATE(18432)] = 712478,
  [SMALL_STATE(18433)] = 712492,
  [SMALL_STATE(18434)] = 712506,
  [SMALL_STATE(18435)] = 712520,
  [SMALL_STATE(18436)] = 712534,
  [SMALL_STATE(18437)] = 712548,
  [SMALL_STATE(18438)] = 712562,
  [SMALL_STATE(18439)] = 712576,
  [SMALL_STATE(18440)] = 712590,
  [SMALL_STATE(18441)] = 712604,
  [SMALL_STATE(18442)] = 712618,
  [SMALL_STATE(18443)] = 712632,
  [SMALL_STATE(18444)] = 712646,
  [SMALL_STATE(18445)] = 712660,
  [SMALL_STATE(18446)] = 712674,
  [SMALL_STATE(18447)] = 712688,
  [SMALL_STATE(18448)] = 712702,
  [SMALL_STATE(18449)] = 712716,
  [SMALL_STATE(18450)] = 712730,
  [SMALL_STATE(18451)] = 712744,
  [SMALL_STATE(18452)] = 712758,
  [SMALL_STATE(18453)] = 712772,
  [SMALL_STATE(18454)] = 712786,
  [SMALL_STATE(18455)] = 712800,
  [SMALL_STATE(18456)] = 712814,
  [SMALL_STATE(18457)] = 712828,
  [SMALL_STATE(18458)] = 712842,
  [SMALL_STATE(18459)] = 712856,
  [SMALL_STATE(18460)] = 712870,
  [SMALL_STATE(18461)] = 712884,
  [SMALL_STATE(18462)] = 712898,
  [SMALL_STATE(18463)] = 712912,
  [SMALL_STATE(18464)] = 712926,
  [SMALL_STATE(18465)] = 712940,
  [SMALL_STATE(18466)] = 712954,
  [SMALL_STATE(18467)] = 712968,
  [SMALL_STATE(18468)] = 712982,
  [SMALL_STATE(18469)] = 712996,
  [SMALL_STATE(18470)] = 713010,
  [SMALL_STATE(18471)] = 713024,
  [SMALL_STATE(18472)] = 713038,
  [SMALL_STATE(18473)] = 713052,
  [SMALL_STATE(18474)] = 713066,
  [SMALL_STATE(18475)] = 713080,
  [SMALL_STATE(18476)] = 713094,
  [SMALL_STATE(18477)] = 713108,
  [SMALL_STATE(18478)] = 713122,
  [SMALL_STATE(18479)] = 713136,
  [SMALL_STATE(18480)] = 713150,
  [SMALL_STATE(18481)] = 713164,
  [SMALL_STATE(18482)] = 713178,
  [SMALL_STATE(18483)] = 713192,
  [SMALL_STATE(18484)] = 713206,
  [SMALL_STATE(18485)] = 713220,
  [SMALL_STATE(18486)] = 713234,
  [SMALL_STATE(18487)] = 713248,
  [SMALL_STATE(18488)] = 713262,
  [SMALL_STATE(18489)] = 713276,
  [SMALL_STATE(18490)] = 713290,
  [SMALL_STATE(18491)] = 713304,
  [SMALL_STATE(18492)] = 713318,
  [SMALL_STATE(18493)] = 713332,
  [SMALL_STATE(18494)] = 713346,
  [SMALL_STATE(18495)] = 713360,
  [SMALL_STATE(18496)] = 713374,
  [SMALL_STATE(18497)] = 713388,
  [SMALL_STATE(18498)] = 713402,
  [SMALL_STATE(18499)] = 713416,
  [SMALL_STATE(18500)] = 713430,
  [SMALL_STATE(18501)] = 713444,
  [SMALL_STATE(18502)] = 713458,
  [SMALL_STATE(18503)] = 713472,
  [SMALL_STATE(18504)] = 713486,
  [SMALL_STATE(18505)] = 713500,
  [SMALL_STATE(18506)] = 713514,
  [SMALL_STATE(18507)] = 713528,
  [SMALL_STATE(18508)] = 713542,
  [SMALL_STATE(18509)] = 713556,
  [SMALL_STATE(18510)] = 713570,
  [SMALL_STATE(18511)] = 713584,
  [SMALL_STATE(18512)] = 713598,
  [SMALL_STATE(18513)] = 713612,
  [SMALL_STATE(18514)] = 713626,
  [SMALL_STATE(18515)] = 713640,
  [SMALL_STATE(18516)] = 713654,
  [SMALL_STATE(18517)] = 713668,
  [SMALL_STATE(18518)] = 713682,
  [SMALL_STATE(18519)] = 713696,
  [SMALL_STATE(18520)] = 713710,
  [SMALL_STATE(18521)] = 713724,
  [SMALL_STATE(18522)] = 713738,
  [SMALL_STATE(18523)] = 713752,
  [SMALL_STATE(18524)] = 713766,
  [SMALL_STATE(18525)] = 713780,
  [SMALL_STATE(18526)] = 713794,
  [SMALL_STATE(18527)] = 713808,
  [SMALL_STATE(18528)] = 713822,
  [SMALL_STATE(18529)] = 713836,
  [SMALL_STATE(18530)] = 713850,
  [SMALL_STATE(18531)] = 713864,
  [SMALL_STATE(18532)] = 713878,
  [SMALL_STATE(18533)] = 713892,
  [SMALL_STATE(18534)] = 713906,
  [SMALL_STATE(18535)] = 713920,
  [SMALL_STATE(18536)] = 713934,
  [SMALL_STATE(18537)] = 713948,
  [SMALL_STATE(18538)] = 713962,
  [SMALL_STATE(18539)] = 713976,
  [SMALL_STATE(18540)] = 713990,
  [SMALL_STATE(18541)] = 714004,
  [SMALL_STATE(18542)] = 714018,
  [SMALL_STATE(18543)] = 714032,
  [SMALL_STATE(18544)] = 714046,
  [SMALL_STATE(18545)] = 714060,
  [SMALL_STATE(18546)] = 714074,
  [SMALL_STATE(18547)] = 714088,
  [SMALL_STATE(18548)] = 714102,
  [SMALL_STATE(18549)] = 714116,
  [SMALL_STATE(18550)] = 714130,
  [SMALL_STATE(18551)] = 714144,
  [SMALL_STATE(18552)] = 714158,
  [SMALL_STATE(18553)] = 714172,
  [SMALL_STATE(18554)] = 714186,
  [SMALL_STATE(18555)] = 714200,
  [SMALL_STATE(18556)] = 714214,
  [SMALL_STATE(18557)] = 714228,
  [SMALL_STATE(18558)] = 714242,
  [SMALL_STATE(18559)] = 714256,
  [SMALL_STATE(18560)] = 714270,
  [SMALL_STATE(18561)] = 714284,
  [SMALL_STATE(18562)] = 714298,
  [SMALL_STATE(18563)] = 714312,
  [SMALL_STATE(18564)] = 714326,
  [SMALL_STATE(18565)] = 714340,
  [SMALL_STATE(18566)] = 714354,
  [SMALL_STATE(18567)] = 714368,
  [SMALL_STATE(18568)] = 714382,
  [SMALL_STATE(18569)] = 714396,
  [SMALL_STATE(18570)] = 714410,
  [SMALL_STATE(18571)] = 714424,
  [SMALL_STATE(18572)] = 714438,
  [SMALL_STATE(18573)] = 714452,
  [SMALL_STATE(18574)] = 714466,
  [SMALL_STATE(18575)] = 714480,
  [SMALL_STATE(18576)] = 714494,
  [SMALL_STATE(18577)] = 714508,
  [SMALL_STATE(18578)] = 714522,
  [SMALL_STATE(18579)] = 714536,
  [SMALL_STATE(18580)] = 714550,
  [SMALL_STATE(18581)] = 714564,
  [SMALL_STATE(18582)] = 714578,
  [SMALL_STATE(18583)] = 714592,
  [SMALL_STATE(18584)] = 714606,
  [SMALL_STATE(18585)] = 714620,
  [SMALL_STATE(18586)] = 714634,
  [SMALL_STATE(18587)] = 714648,
  [SMALL_STATE(18588)] = 714662,
  [SMALL_STATE(18589)] = 714676,
  [SMALL_STATE(18590)] = 714690,
  [SMALL_STATE(18591)] = 714704,
  [SMALL_STATE(18592)] = 714718,
  [SMALL_STATE(18593)] = 714732,
  [SMALL_STATE(18594)] = 714746,
  [SMALL_STATE(18595)] = 714760,
  [SMALL_STATE(18596)] = 714774,
  [SMALL_STATE(18597)] = 714788,
  [SMALL_STATE(18598)] = 714802,
  [SMALL_STATE(18599)] = 714816,
  [SMALL_STATE(18600)] = 714830,
  [SMALL_STATE(18601)] = 714844,
  [SMALL_STATE(18602)] = 714858,
  [SMALL_STATE(18603)] = 714872,
  [SMALL_STATE(18604)] = 714886,
  [SMALL_STATE(18605)] = 714900,
  [SMALL_STATE(18606)] = 714914,
  [SMALL_STATE(18607)] = 714928,
  [SMALL_STATE(18608)] = 714942,
  [SMALL_STATE(18609)] = 714956,
  [SMALL_STATE(18610)] = 714970,
  [SMALL_STATE(18611)] = 714984,
  [SMALL_STATE(18612)] = 714998,
  [SMALL_STATE(18613)] = 715012,
  [SMALL_STATE(18614)] = 715026,
  [SMALL_STATE(18615)] = 715040,
  [SMALL_STATE(18616)] = 715054,
  [SMALL_STATE(18617)] = 715068,
  [SMALL_STATE(18618)] = 715082,
  [SMALL_STATE(18619)] = 715096,
  [SMALL_STATE(18620)] = 715110,
  [SMALL_STATE(18621)] = 715124,
  [SMALL_STATE(18622)] = 715138,
  [SMALL_STATE(18623)] = 715152,
  [SMALL_STATE(18624)] = 715166,
  [SMALL_STATE(18625)] = 715180,
  [SMALL_STATE(18626)] = 715194,
  [SMALL_STATE(18627)] = 715208,
  [SMALL_STATE(18628)] = 715222,
  [SMALL_STATE(18629)] = 715236,
  [SMALL_STATE(18630)] = 715250,
  [SMALL_STATE(18631)] = 715264,
  [SMALL_STATE(18632)] = 715278,
  [SMALL_STATE(18633)] = 715292,
  [SMALL_STATE(18634)] = 715306,
  [SMALL_STATE(18635)] = 715320,
  [SMALL_STATE(18636)] = 715334,
  [SMALL_STATE(18637)] = 715348,
  [SMALL_STATE(18638)] = 715362,
  [SMALL_STATE(18639)] = 715376,
  [SMALL_STATE(18640)] = 715390,
  [SMALL_STATE(18641)] = 715404,
  [SMALL_STATE(18642)] = 715418,
  [SMALL_STATE(18643)] = 715432,
  [SMALL_STATE(18644)] = 715446,
  [SMALL_STATE(18645)] = 715460,
  [SMALL_STATE(18646)] = 715474,
  [SMALL_STATE(18647)] = 715488,
  [SMALL_STATE(18648)] = 715502,
  [SMALL_STATE(18649)] = 715516,
  [SMALL_STATE(18650)] = 715530,
  [SMALL_STATE(18651)] = 715544,
  [SMALL_STATE(18652)] = 715558,
  [SMALL_STATE(18653)] = 715572,
  [SMALL_STATE(18654)] = 715586,
  [SMALL_STATE(18655)] = 715600,
  [SMALL_STATE(18656)] = 715614,
  [SMALL_STATE(18657)] = 715628,
  [SMALL_STATE(18658)] = 715642,
  [SMALL_STATE(18659)] = 715656,
  [SMALL_STATE(18660)] = 715670,
  [SMALL_STATE(18661)] = 715684,
  [SMALL_STATE(18662)] = 715698,
  [SMALL_STATE(18663)] = 715712,
  [SMALL_STATE(18664)] = 715726,
  [SMALL_STATE(18665)] = 715740,
  [SMALL_STATE(18666)] = 715754,
  [SMALL_STATE(18667)] = 715768,
  [SMALL_STATE(18668)] = 715782,
  [SMALL_STATE(18669)] = 715796,
  [SMALL_STATE(18670)] = 715810,
  [SMALL_STATE(18671)] = 715824,
  [SMALL_STATE(18672)] = 715838,
  [SMALL_STATE(18673)] = 715852,
  [SMALL_STATE(18674)] = 715866,
  [SMALL_STATE(18675)] = 715880,
  [SMALL_STATE(18676)] = 715894,
  [SMALL_STATE(18677)] = 715908,
  [SMALL_STATE(18678)] = 715922,
  [SMALL_STATE(18679)] = 715936,
  [SMALL_STATE(18680)] = 715950,
  [SMALL_STATE(18681)] = 715964,
  [SMALL_STATE(18682)] = 715978,
  [SMALL_STATE(18683)] = 715992,
  [SMALL_STATE(18684)] = 716006,
  [SMALL_STATE(18685)] = 716020,
  [SMALL_STATE(18686)] = 716034,
  [SMALL_STATE(18687)] = 716048,
  [SMALL_STATE(18688)] = 716062,
  [SMALL_STATE(18689)] = 716076,
  [SMALL_STATE(18690)] = 716090,
  [SMALL_STATE(18691)] = 716104,
  [SMALL_STATE(18692)] = 716118,
  [SMALL_STATE(18693)] = 716132,
  [SMALL_STATE(18694)] = 716146,
  [SMALL_STATE(18695)] = 716160,
  [SMALL_STATE(18696)] = 716174,
  [SMALL_STATE(18697)] = 716188,
  [SMALL_STATE(18698)] = 716202,
  [SMALL_STATE(18699)] = 716216,
  [SMALL_STATE(18700)] = 716230,
  [SMALL_STATE(18701)] = 716244,
  [SMALL_STATE(18702)] = 716258,
  [SMALL_STATE(18703)] = 716272,
  [SMALL_STATE(18704)] = 716286,
  [SMALL_STATE(18705)] = 716300,
  [SMALL_STATE(18706)] = 716314,
  [SMALL_STATE(18707)] = 716328,
  [SMALL_STATE(18708)] = 716342,
  [SMALL_STATE(18709)] = 716356,
  [SMALL_STATE(18710)] = 716370,
  [SMALL_STATE(18711)] = 716384,
  [SMALL_STATE(18712)] = 716398,
  [SMALL_STATE(18713)] = 716412,
  [SMALL_STATE(18714)] = 716426,
  [SMALL_STATE(18715)] = 716440,
  [SMALL_STATE(18716)] = 716454,
  [SMALL_STATE(18717)] = 716468,
  [SMALL_STATE(18718)] = 716482,
  [SMALL_STATE(18719)] = 716496,
  [SMALL_STATE(18720)] = 716510,
  [SMALL_STATE(18721)] = 716524,
  [SMALL_STATE(18722)] = 716538,
  [SMALL_STATE(18723)] = 716552,
  [SMALL_STATE(18724)] = 716566,
  [SMALL_STATE(18725)] = 716580,
  [SMALL_STATE(18726)] = 716594,
  [SMALL_STATE(18727)] = 716608,
  [SMALL_STATE(18728)] = 716622,
  [SMALL_STATE(18729)] = 716636,
  [SMALL_STATE(18730)] = 716650,
  [SMALL_STATE(18731)] = 716664,
  [SMALL_STATE(18732)] = 716678,
  [SMALL_STATE(18733)] = 716692,
  [SMALL_STATE(18734)] = 716706,
  [SMALL_STATE(18735)] = 716720,
  [SMALL_STATE(18736)] = 716734,
  [SMALL_STATE(18737)] = 716748,
  [SMALL_STATE(18738)] = 716762,
  [SMALL_STATE(18739)] = 716776,
  [SMALL_STATE(18740)] = 716790,
  [SMALL_STATE(18741)] = 716804,
  [SMALL_STATE(18742)] = 716818,
  [SMALL_STATE(18743)] = 716832,
  [SMALL_STATE(18744)] = 716846,
  [SMALL_STATE(18745)] = 716860,
  [SMALL_STATE(18746)] = 716874,
  [SMALL_STATE(18747)] = 716888,
  [SMALL_STATE(18748)] = 716902,
  [SMALL_STATE(18749)] = 716916,
  [SMALL_STATE(18750)] = 716930,
  [SMALL_STATE(18751)] = 716944,
  [SMALL_STATE(18752)] = 716958,
  [SMALL_STATE(18753)] = 716972,
  [SMALL_STATE(18754)] = 716986,
  [SMALL_STATE(18755)] = 717000,
  [SMALL_STATE(18756)] = 717014,
  [SMALL_STATE(18757)] = 717028,
  [SMALL_STATE(18758)] = 717042,
  [SMALL_STATE(18759)] = 717056,
  [SMALL_STATE(18760)] = 717070,
  [SMALL_STATE(18761)] = 717084,
  [SMALL_STATE(18762)] = 717098,
  [SMALL_STATE(18763)] = 717112,
  [SMALL_STATE(18764)] = 717126,
  [SMALL_STATE(18765)] = 717140,
  [SMALL_STATE(18766)] = 717154,
  [SMALL_STATE(18767)] = 717168,
  [SMALL_STATE(18768)] = 717182,
  [SMALL_STATE(18769)] = 717196,
  [SMALL_STATE(18770)] = 717210,
  [SMALL_STATE(18771)] = 717224,
  [SMALL_STATE(18772)] = 717238,
  [SMALL_STATE(18773)] = 717252,
  [SMALL_STATE(18774)] = 717266,
  [SMALL_STATE(18775)] = 717280,
  [SMALL_STATE(18776)] = 717294,
  [SMALL_STATE(18777)] = 717308,
  [SMALL_STATE(18778)] = 717322,
  [SMALL_STATE(18779)] = 717336,
  [SMALL_STATE(18780)] = 717350,
  [SMALL_STATE(18781)] = 717364,
  [SMALL_STATE(18782)] = 717378,
  [SMALL_STATE(18783)] = 717392,
  [SMALL_STATE(18784)] = 717406,
  [SMALL_STATE(18785)] = 717420,
  [SMALL_STATE(18786)] = 717434,
  [SMALL_STATE(18787)] = 717448,
  [SMALL_STATE(18788)] = 717462,
  [SMALL_STATE(18789)] = 717476,
  [SMALL_STATE(18790)] = 717490,
  [SMALL_STATE(18791)] = 717504,
  [SMALL_STATE(18792)] = 717518,
  [SMALL_STATE(18793)] = 717532,
  [SMALL_STATE(18794)] = 717546,
  [SMALL_STATE(18795)] = 717560,
  [SMALL_STATE(18796)] = 717574,
  [SMALL_STATE(18797)] = 717588,
  [SMALL_STATE(18798)] = 717602,
  [SMALL_STATE(18799)] = 717616,
  [SMALL_STATE(18800)] = 717630,
  [SMALL_STATE(18801)] = 717644,
  [SMALL_STATE(18802)] = 717658,
  [SMALL_STATE(18803)] = 717672,
  [SMALL_STATE(18804)] = 717686,
  [SMALL_STATE(18805)] = 717700,
  [SMALL_STATE(18806)] = 717714,
  [SMALL_STATE(18807)] = 717728,
  [SMALL_STATE(18808)] = 717742,
  [SMALL_STATE(18809)] = 717756,
  [SMALL_STATE(18810)] = 717770,
  [SMALL_STATE(18811)] = 717784,
  [SMALL_STATE(18812)] = 717798,
  [SMALL_STATE(18813)] = 717812,
  [SMALL_STATE(18814)] = 717826,
  [SMALL_STATE(18815)] = 717840,
  [SMALL_STATE(18816)] = 717854,
  [SMALL_STATE(18817)] = 717868,
  [SMALL_STATE(18818)] = 717882,
  [SMALL_STATE(18819)] = 717896,
  [SMALL_STATE(18820)] = 717910,
  [SMALL_STATE(18821)] = 717924,
  [SMALL_STATE(18822)] = 717938,
  [SMALL_STATE(18823)] = 717952,
  [SMALL_STATE(18824)] = 717966,
  [SMALL_STATE(18825)] = 717980,
  [SMALL_STATE(18826)] = 717994,
  [SMALL_STATE(18827)] = 718008,
  [SMALL_STATE(18828)] = 718022,
  [SMALL_STATE(18829)] = 718036,
  [SMALL_STATE(18830)] = 718050,
  [SMALL_STATE(18831)] = 718064,
  [SMALL_STATE(18832)] = 718078,
  [SMALL_STATE(18833)] = 718092,
  [SMALL_STATE(18834)] = 718106,
  [SMALL_STATE(18835)] = 718120,
  [SMALL_STATE(18836)] = 718134,
  [SMALL_STATE(18837)] = 718148,
  [SMALL_STATE(18838)] = 718162,
  [SMALL_STATE(18839)] = 718176,
  [SMALL_STATE(18840)] = 718190,
  [SMALL_STATE(18841)] = 718204,
  [SMALL_STATE(18842)] = 718218,
  [SMALL_STATE(18843)] = 718232,
  [SMALL_STATE(18844)] = 718246,
  [SMALL_STATE(18845)] = 718260,
  [SMALL_STATE(18846)] = 718274,
  [SMALL_STATE(18847)] = 718288,
  [SMALL_STATE(18848)] = 718302,
  [SMALL_STATE(18849)] = 718316,
  [SMALL_STATE(18850)] = 718330,
  [SMALL_STATE(18851)] = 718344,
  [SMALL_STATE(18852)] = 718358,
  [SMALL_STATE(18853)] = 718372,
  [SMALL_STATE(18854)] = 718386,
  [SMALL_STATE(18855)] = 718400,
  [SMALL_STATE(18856)] = 718414,
  [SMALL_STATE(18857)] = 718428,
  [SMALL_STATE(18858)] = 718442,
  [SMALL_STATE(18859)] = 718456,
  [SMALL_STATE(18860)] = 718470,
  [SMALL_STATE(18861)] = 718484,
  [SMALL_STATE(18862)] = 718498,
  [SMALL_STATE(18863)] = 718512,
  [SMALL_STATE(18864)] = 718526,
  [SMALL_STATE(18865)] = 718540,
  [SMALL_STATE(18866)] = 718554,
  [SMALL_STATE(18867)] = 718568,
  [SMALL_STATE(18868)] = 718582,
  [SMALL_STATE(18869)] = 718596,
  [SMALL_STATE(18870)] = 718610,
  [SMALL_STATE(18871)] = 718624,
  [SMALL_STATE(18872)] = 718638,
  [SMALL_STATE(18873)] = 718652,
  [SMALL_STATE(18874)] = 718666,
  [SMALL_STATE(18875)] = 718680,
  [SMALL_STATE(18876)] = 718694,
  [SMALL_STATE(18877)] = 718708,
  [SMALL_STATE(18878)] = 718722,
  [SMALL_STATE(18879)] = 718736,
  [SMALL_STATE(18880)] = 718750,
  [SMALL_STATE(18881)] = 718764,
  [SMALL_STATE(18882)] = 718778,
  [SMALL_STATE(18883)] = 718792,
  [SMALL_STATE(18884)] = 718806,
  [SMALL_STATE(18885)] = 718820,
  [SMALL_STATE(18886)] = 718834,
  [SMALL_STATE(18887)] = 718848,
  [SMALL_STATE(18888)] = 718862,
  [SMALL_STATE(18889)] = 718876,
  [SMALL_STATE(18890)] = 718890,
  [SMALL_STATE(18891)] = 718904,
  [SMALL_STATE(18892)] = 718918,
  [SMALL_STATE(18893)] = 718932,
  [SMALL_STATE(18894)] = 718946,
  [SMALL_STATE(18895)] = 718960,
  [SMALL_STATE(18896)] = 718974,
  [SMALL_STATE(18897)] = 718988,
  [SMALL_STATE(18898)] = 719002,
  [SMALL_STATE(18899)] = 719016,
  [SMALL_STATE(18900)] = 719030,
  [SMALL_STATE(18901)] = 719044,
  [SMALL_STATE(18902)] = 719058,
  [SMALL_STATE(18903)] = 719072,
  [SMALL_STATE(18904)] = 719086,
  [SMALL_STATE(18905)] = 719100,
  [SMALL_STATE(18906)] = 719114,
  [SMALL_STATE(18907)] = 719128,
  [SMALL_STATE(18908)] = 719142,
  [SMALL_STATE(18909)] = 719156,
  [SMALL_STATE(18910)] = 719170,
  [SMALL_STATE(18911)] = 719184,
  [SMALL_STATE(18912)] = 719198,
  [SMALL_STATE(18913)] = 719212,
  [SMALL_STATE(18914)] = 719226,
  [SMALL_STATE(18915)] = 719240,
  [SMALL_STATE(18916)] = 719254,
  [SMALL_STATE(18917)] = 719268,
  [SMALL_STATE(18918)] = 719282,
  [SMALL_STATE(18919)] = 719296,
  [SMALL_STATE(18920)] = 719310,
  [SMALL_STATE(18921)] = 719324,
  [SMALL_STATE(18922)] = 719338,
  [SMALL_STATE(18923)] = 719352,
  [SMALL_STATE(18924)] = 719366,
  [SMALL_STATE(18925)] = 719380,
  [SMALL_STATE(18926)] = 719394,
  [SMALL_STATE(18927)] = 719408,
  [SMALL_STATE(18928)] = 719422,
  [SMALL_STATE(18929)] = 719436,
  [SMALL_STATE(18930)] = 719450,
  [SMALL_STATE(18931)] = 719464,
  [SMALL_STATE(18932)] = 719478,
  [SMALL_STATE(18933)] = 719492,
  [SMALL_STATE(18934)] = 719506,
  [SMALL_STATE(18935)] = 719520,
  [SMALL_STATE(18936)] = 719534,
  [SMALL_STATE(18937)] = 719548,
  [SMALL_STATE(18938)] = 719562,
  [SMALL_STATE(18939)] = 719576,
  [SMALL_STATE(18940)] = 719590,
  [SMALL_STATE(18941)] = 719604,
  [SMALL_STATE(18942)] = 719618,
  [SMALL_STATE(18943)] = 719632,
  [SMALL_STATE(18944)] = 719646,
  [SMALL_STATE(18945)] = 719660,
  [SMALL_STATE(18946)] = 719674,
  [SMALL_STATE(18947)] = 719688,
  [SMALL_STATE(18948)] = 719702,
  [SMALL_STATE(18949)] = 719716,
  [SMALL_STATE(18950)] = 719730,
  [SMALL_STATE(18951)] = 719744,
  [SMALL_STATE(18952)] = 719758,
  [SMALL_STATE(18953)] = 719772,
  [SMALL_STATE(18954)] = 719786,
  [SMALL_STATE(18955)] = 719800,
  [SMALL_STATE(18956)] = 719814,
  [SMALL_STATE(18957)] = 719828,
  [SMALL_STATE(18958)] = 719842,
  [SMALL_STATE(18959)] = 719856,
  [SMALL_STATE(18960)] = 719870,
  [SMALL_STATE(18961)] = 719884,
  [SMALL_STATE(18962)] = 719898,
  [SMALL_STATE(18963)] = 719912,
  [SMALL_STATE(18964)] = 719926,
  [SMALL_STATE(18965)] = 719940,
  [SMALL_STATE(18966)] = 719954,
  [SMALL_STATE(18967)] = 719968,
  [SMALL_STATE(18968)] = 719982,
  [SMALL_STATE(18969)] = 719996,
  [SMALL_STATE(18970)] = 720010,
  [SMALL_STATE(18971)] = 720024,
  [SMALL_STATE(18972)] = 720038,
  [SMALL_STATE(18973)] = 720052,
  [SMALL_STATE(18974)] = 720066,
  [SMALL_STATE(18975)] = 720080,
  [SMALL_STATE(18976)] = 720094,
  [SMALL_STATE(18977)] = 720108,
  [SMALL_STATE(18978)] = 720122,
  [SMALL_STATE(18979)] = 720136,
  [SMALL_STATE(18980)] = 720150,
  [SMALL_STATE(18981)] = 720164,
  [SMALL_STATE(18982)] = 720178,
  [SMALL_STATE(18983)] = 720192,
  [SMALL_STATE(18984)] = 720206,
  [SMALL_STATE(18985)] = 720220,
  [SMALL_STATE(18986)] = 720234,
  [SMALL_STATE(18987)] = 720248,
  [SMALL_STATE(18988)] = 720262,
  [SMALL_STATE(18989)] = 720276,
  [SMALL_STATE(18990)] = 720290,
  [SMALL_STATE(18991)] = 720304,
  [SMALL_STATE(18992)] = 720318,
  [SMALL_STATE(18993)] = 720332,
  [SMALL_STATE(18994)] = 720346,
  [SMALL_STATE(18995)] = 720360,
  [SMALL_STATE(18996)] = 720374,
  [SMALL_STATE(18997)] = 720388,
  [SMALL_STATE(18998)] = 720402,
  [SMALL_STATE(18999)] = 720416,
  [SMALL_STATE(19000)] = 720430,
  [SMALL_STATE(19001)] = 720444,
  [SMALL_STATE(19002)] = 720458,
  [SMALL_STATE(19003)] = 720472,
  [SMALL_STATE(19004)] = 720486,
  [SMALL_STATE(19005)] = 720500,
  [SMALL_STATE(19006)] = 720514,
  [SMALL_STATE(19007)] = 720528,
  [SMALL_STATE(19008)] = 720542,
  [SMALL_STATE(19009)] = 720556,
  [SMALL_STATE(19010)] = 720570,
  [SMALL_STATE(19011)] = 720584,
  [SMALL_STATE(19012)] = 720598,
  [SMALL_STATE(19013)] = 720612,
  [SMALL_STATE(19014)] = 720626,
  [SMALL_STATE(19015)] = 720640,
  [SMALL_STATE(19016)] = 720654,
  [SMALL_STATE(19017)] = 720668,
  [SMALL_STATE(19018)] = 720682,
  [SMALL_STATE(19019)] = 720696,
  [SMALL_STATE(19020)] = 720710,
  [SMALL_STATE(19021)] = 720724,
  [SMALL_STATE(19022)] = 720738,
  [SMALL_STATE(19023)] = 720752,
  [SMALL_STATE(19024)] = 720766,
  [SMALL_STATE(19025)] = 720780,
  [SMALL_STATE(19026)] = 720794,
  [SMALL_STATE(19027)] = 720808,
  [SMALL_STATE(19028)] = 720822,
  [SMALL_STATE(19029)] = 720836,
  [SMALL_STATE(19030)] = 720850,
  [SMALL_STATE(19031)] = 720864,
  [SMALL_STATE(19032)] = 720878,
  [SMALL_STATE(19033)] = 720892,
  [SMALL_STATE(19034)] = 720906,
  [SMALL_STATE(19035)] = 720920,
  [SMALL_STATE(19036)] = 720934,
  [SMALL_STATE(19037)] = 720948,
  [SMALL_STATE(19038)] = 720962,
  [SMALL_STATE(19039)] = 720976,
  [SMALL_STATE(19040)] = 720990,
  [SMALL_STATE(19041)] = 721004,
  [SMALL_STATE(19042)] = 721018,
  [SMALL_STATE(19043)] = 721032,
  [SMALL_STATE(19044)] = 721046,
  [SMALL_STATE(19045)] = 721060,
  [SMALL_STATE(19046)] = 721074,
  [SMALL_STATE(19047)] = 721088,
  [SMALL_STATE(19048)] = 721102,
  [SMALL_STATE(19049)] = 721116,
  [SMALL_STATE(19050)] = 721130,
  [SMALL_STATE(19051)] = 721144,
  [SMALL_STATE(19052)] = 721158,
  [SMALL_STATE(19053)] = 721172,
  [SMALL_STATE(19054)] = 721186,
  [SMALL_STATE(19055)] = 721200,
  [SMALL_STATE(19056)] = 721214,
  [SMALL_STATE(19057)] = 721228,
  [SMALL_STATE(19058)] = 721242,
  [SMALL_STATE(19059)] = 721256,
  [SMALL_STATE(19060)] = 721270,
  [SMALL_STATE(19061)] = 721284,
  [SMALL_STATE(19062)] = 721298,
  [SMALL_STATE(19063)] = 721312,
  [SMALL_STATE(19064)] = 721326,
  [SMALL_STATE(19065)] = 721340,
  [SMALL_STATE(19066)] = 721354,
  [SMALL_STATE(19067)] = 721368,
  [SMALL_STATE(19068)] = 721382,
  [SMALL_STATE(19069)] = 721396,
  [SMALL_STATE(19070)] = 721410,
  [SMALL_STATE(19071)] = 721424,
  [SMALL_STATE(19072)] = 721438,
  [SMALL_STATE(19073)] = 721452,
  [SMALL_STATE(19074)] = 721466,
  [SMALL_STATE(19075)] = 721480,
  [SMALL_STATE(19076)] = 721494,
  [SMALL_STATE(19077)] = 721508,
  [SMALL_STATE(19078)] = 721522,
  [SMALL_STATE(19079)] = 721536,
  [SMALL_STATE(19080)] = 721550,
  [SMALL_STATE(19081)] = 721564,
  [SMALL_STATE(19082)] = 721578,
  [SMALL_STATE(19083)] = 721592,
  [SMALL_STATE(19084)] = 721606,
  [SMALL_STATE(19085)] = 721620,
  [SMALL_STATE(19086)] = 721634,
  [SMALL_STATE(19087)] = 721648,
  [SMALL_STATE(19088)] = 721662,
  [SMALL_STATE(19089)] = 721676,
  [SMALL_STATE(19090)] = 721690,
  [SMALL_STATE(19091)] = 721704,
  [SMALL_STATE(19092)] = 721718,
  [SMALL_STATE(19093)] = 721732,
  [SMALL_STATE(19094)] = 721746,
  [SMALL_STATE(19095)] = 721760,
  [SMALL_STATE(19096)] = 721774,
  [SMALL_STATE(19097)] = 721788,
  [SMALL_STATE(19098)] = 721802,
  [SMALL_STATE(19099)] = 721816,
  [SMALL_STATE(19100)] = 721830,
  [SMALL_STATE(19101)] = 721844,
  [SMALL_STATE(19102)] = 721858,
  [SMALL_STATE(19103)] = 721872,
  [SMALL_STATE(19104)] = 721886,
  [SMALL_STATE(19105)] = 721900,
  [SMALL_STATE(19106)] = 721914,
  [SMALL_STATE(19107)] = 721928,
  [SMALL_STATE(19108)] = 721942,
  [SMALL_STATE(19109)] = 721956,
  [SMALL_STATE(19110)] = 721970,
  [SMALL_STATE(19111)] = 721984,
  [SMALL_STATE(19112)] = 721998,
  [SMALL_STATE(19113)] = 722012,
  [SMALL_STATE(19114)] = 722026,
  [SMALL_STATE(19115)] = 722040,
  [SMALL_STATE(19116)] = 722054,
  [SMALL_STATE(19117)] = 722068,
  [SMALL_STATE(19118)] = 722082,
  [SMALL_STATE(19119)] = 722096,
  [SMALL_STATE(19120)] = 722110,
  [SMALL_STATE(19121)] = 722124,
  [SMALL_STATE(19122)] = 722138,
  [SMALL_STATE(19123)] = 722152,
  [SMALL_STATE(19124)] = 722166,
  [SMALL_STATE(19125)] = 722180,
  [SMALL_STATE(19126)] = 722194,
  [SMALL_STATE(19127)] = 722208,
  [SMALL_STATE(19128)] = 722222,
  [SMALL_STATE(19129)] = 722236,
  [SMALL_STATE(19130)] = 722250,
  [SMALL_STATE(19131)] = 722264,
  [SMALL_STATE(19132)] = 722278,
  [SMALL_STATE(19133)] = 722292,
  [SMALL_STATE(19134)] = 722306,
  [SMALL_STATE(19135)] = 722320,
  [SMALL_STATE(19136)] = 722334,
  [SMALL_STATE(19137)] = 722348,
  [SMALL_STATE(19138)] = 722362,
  [SMALL_STATE(19139)] = 722376,
  [SMALL_STATE(19140)] = 722390,
  [SMALL_STATE(19141)] = 722404,
  [SMALL_STATE(19142)] = 722418,
  [SMALL_STATE(19143)] = 722432,
  [SMALL_STATE(19144)] = 722446,
  [SMALL_STATE(19145)] = 722460,
  [SMALL_STATE(19146)] = 722474,
  [SMALL_STATE(19147)] = 722488,
  [SMALL_STATE(19148)] = 722502,
  [SMALL_STATE(19149)] = 722516,
  [SMALL_STATE(19150)] = 722530,
  [SMALL_STATE(19151)] = 722544,
  [SMALL_STATE(19152)] = 722558,
  [SMALL_STATE(19153)] = 722572,
  [SMALL_STATE(19154)] = 722586,
  [SMALL_STATE(19155)] = 722600,
  [SMALL_STATE(19156)] = 722614,
  [SMALL_STATE(19157)] = 722628,
  [SMALL_STATE(19158)] = 722642,
  [SMALL_STATE(19159)] = 722656,
  [SMALL_STATE(19160)] = 722670,
  [SMALL_STATE(19161)] = 722684,
  [SMALL_STATE(19162)] = 722698,
  [SMALL_STATE(19163)] = 722712,
  [SMALL_STATE(19164)] = 722726,
  [SMALL_STATE(19165)] = 722740,
  [SMALL_STATE(19166)] = 722754,
  [SMALL_STATE(19167)] = 722768,
  [SMALL_STATE(19168)] = 722782,
  [SMALL_STATE(19169)] = 722796,
  [SMALL_STATE(19170)] = 722810,
  [SMALL_STATE(19171)] = 722824,
  [SMALL_STATE(19172)] = 722838,
  [SMALL_STATE(19173)] = 722852,
  [SMALL_STATE(19174)] = 722866,
  [SMALL_STATE(19175)] = 722880,
  [SMALL_STATE(19176)] = 722894,
  [SMALL_STATE(19177)] = 722908,
  [SMALL_STATE(19178)] = 722922,
  [SMALL_STATE(19179)] = 722936,
  [SMALL_STATE(19180)] = 722950,
  [SMALL_STATE(19181)] = 722964,
  [SMALL_STATE(19182)] = 722978,
  [SMALL_STATE(19183)] = 722992,
  [SMALL_STATE(19184)] = 723006,
  [SMALL_STATE(19185)] = 723020,
  [SMALL_STATE(19186)] = 723034,
  [SMALL_STATE(19187)] = 723048,
  [SMALL_STATE(19188)] = 723062,
  [SMALL_STATE(19189)] = 723076,
  [SMALL_STATE(19190)] = 723090,
  [SMALL_STATE(19191)] = 723104,
  [SMALL_STATE(19192)] = 723118,
  [SMALL_STATE(19193)] = 723132,
  [SMALL_STATE(19194)] = 723146,
  [SMALL_STATE(19195)] = 723160,
  [SMALL_STATE(19196)] = 723174,
  [SMALL_STATE(19197)] = 723188,
  [SMALL_STATE(19198)] = 723202,
  [SMALL_STATE(19199)] = 723216,
  [SMALL_STATE(19200)] = 723230,
  [SMALL_STATE(19201)] = 723244,
  [SMALL_STATE(19202)] = 723258,
  [SMALL_STATE(19203)] = 723272,
  [SMALL_STATE(19204)] = 723286,
  [SMALL_STATE(19205)] = 723300,
  [SMALL_STATE(19206)] = 723314,
  [SMALL_STATE(19207)] = 723328,
  [SMALL_STATE(19208)] = 723342,
  [SMALL_STATE(19209)] = 723356,
  [SMALL_STATE(19210)] = 723370,
  [SMALL_STATE(19211)] = 723384,
  [SMALL_STATE(19212)] = 723398,
  [SMALL_STATE(19213)] = 723412,
  [SMALL_STATE(19214)] = 723426,
  [SMALL_STATE(19215)] = 723440,
  [SMALL_STATE(19216)] = 723454,
  [SMALL_STATE(19217)] = 723468,
  [SMALL_STATE(19218)] = 723482,
  [SMALL_STATE(19219)] = 723496,
  [SMALL_STATE(19220)] = 723510,
  [SMALL_STATE(19221)] = 723524,
  [SMALL_STATE(19222)] = 723538,
  [SMALL_STATE(19223)] = 723552,
  [SMALL_STATE(19224)] = 723566,
  [SMALL_STATE(19225)] = 723580,
  [SMALL_STATE(19226)] = 723594,
  [SMALL_STATE(19227)] = 723608,
  [SMALL_STATE(19228)] = 723622,
  [SMALL_STATE(19229)] = 723636,
  [SMALL_STATE(19230)] = 723650,
  [SMALL_STATE(19231)] = 723664,
  [SMALL_STATE(19232)] = 723678,
  [SMALL_STATE(19233)] = 723692,
  [SMALL_STATE(19234)] = 723706,
  [SMALL_STATE(19235)] = 723720,
  [SMALL_STATE(19236)] = 723734,
  [SMALL_STATE(19237)] = 723748,
  [SMALL_STATE(19238)] = 723762,
  [SMALL_STATE(19239)] = 723776,
  [SMALL_STATE(19240)] = 723790,
  [SMALL_STATE(19241)] = 723804,
  [SMALL_STATE(19242)] = 723818,
  [SMALL_STATE(19243)] = 723832,
  [SMALL_STATE(19244)] = 723846,
  [SMALL_STATE(19245)] = 723860,
  [SMALL_STATE(19246)] = 723874,
  [SMALL_STATE(19247)] = 723888,
  [SMALL_STATE(19248)] = 723902,
  [SMALL_STATE(19249)] = 723916,
  [SMALL_STATE(19250)] = 723930,
  [SMALL_STATE(19251)] = 723944,
  [SMALL_STATE(19252)] = 723958,
  [SMALL_STATE(19253)] = 723972,
  [SMALL_STATE(19254)] = 723986,
  [SMALL_STATE(19255)] = 724000,
  [SMALL_STATE(19256)] = 724014,
  [SMALL_STATE(19257)] = 724028,
  [SMALL_STATE(19258)] = 724042,
  [SMALL_STATE(19259)] = 724056,
  [SMALL_STATE(19260)] = 724070,
  [SMALL_STATE(19261)] = 724084,
  [SMALL_STATE(19262)] = 724098,
  [SMALL_STATE(19263)] = 724112,
  [SMALL_STATE(19264)] = 724126,
  [SMALL_STATE(19265)] = 724140,
  [SMALL_STATE(19266)] = 724154,
  [SMALL_STATE(19267)] = 724168,
  [SMALL_STATE(19268)] = 724182,
  [SMALL_STATE(19269)] = 724196,
  [SMALL_STATE(19270)] = 724210,
  [SMALL_STATE(19271)] = 724224,
  [SMALL_STATE(19272)] = 724238,
  [SMALL_STATE(19273)] = 724252,
  [SMALL_STATE(19274)] = 724266,
  [SMALL_STATE(19275)] = 724280,
  [SMALL_STATE(19276)] = 724294,
  [SMALL_STATE(19277)] = 724308,
  [SMALL_STATE(19278)] = 724322,
  [SMALL_STATE(19279)] = 724336,
  [SMALL_STATE(19280)] = 724350,
  [SMALL_STATE(19281)] = 724364,
  [SMALL_STATE(19282)] = 724378,
  [SMALL_STATE(19283)] = 724392,
  [SMALL_STATE(19284)] = 724406,
  [SMALL_STATE(19285)] = 724420,
  [SMALL_STATE(19286)] = 724434,
  [SMALL_STATE(19287)] = 724448,
  [SMALL_STATE(19288)] = 724462,
  [SMALL_STATE(19289)] = 724476,
  [SMALL_STATE(19290)] = 724490,
  [SMALL_STATE(19291)] = 724504,
  [SMALL_STATE(19292)] = 724518,
  [SMALL_STATE(19293)] = 724532,
  [SMALL_STATE(19294)] = 724546,
  [SMALL_STATE(19295)] = 724560,
  [SMALL_STATE(19296)] = 724574,
  [SMALL_STATE(19297)] = 724588,
  [SMALL_STATE(19298)] = 724602,
  [SMALL_STATE(19299)] = 724616,
  [SMALL_STATE(19300)] = 724630,
  [SMALL_STATE(19301)] = 724644,
  [SMALL_STATE(19302)] = 724658,
  [SMALL_STATE(19303)] = 724672,
  [SMALL_STATE(19304)] = 724686,
  [SMALL_STATE(19305)] = 724700,
  [SMALL_STATE(19306)] = 724714,
  [SMALL_STATE(19307)] = 724728,
  [SMALL_STATE(19308)] = 724742,
  [SMALL_STATE(19309)] = 724756,
  [SMALL_STATE(19310)] = 724770,
  [SMALL_STATE(19311)] = 724784,
  [SMALL_STATE(19312)] = 724798,
  [SMALL_STATE(19313)] = 724812,
  [SMALL_STATE(19314)] = 724826,
  [SMALL_STATE(19315)] = 724840,
  [SMALL_STATE(19316)] = 724854,
  [SMALL_STATE(19317)] = 724868,
  [SMALL_STATE(19318)] = 724882,
  [SMALL_STATE(19319)] = 724896,
  [SMALL_STATE(19320)] = 724910,
  [SMALL_STATE(19321)] = 724924,
  [SMALL_STATE(19322)] = 724938,
  [SMALL_STATE(19323)] = 724952,
  [SMALL_STATE(19324)] = 724966,
  [SMALL_STATE(19325)] = 724980,
  [SMALL_STATE(19326)] = 724994,
  [SMALL_STATE(19327)] = 725008,
  [SMALL_STATE(19328)] = 725022,
  [SMALL_STATE(19329)] = 725036,
  [SMALL_STATE(19330)] = 725050,
  [SMALL_STATE(19331)] = 725064,
  [SMALL_STATE(19332)] = 725078,
  [SMALL_STATE(19333)] = 725092,
  [SMALL_STATE(19334)] = 725106,
  [SMALL_STATE(19335)] = 725120,
  [SMALL_STATE(19336)] = 725134,
  [SMALL_STATE(19337)] = 725148,
  [SMALL_STATE(19338)] = 725162,
  [SMALL_STATE(19339)] = 725176,
  [SMALL_STATE(19340)] = 725190,
  [SMALL_STATE(19341)] = 725204,
  [SMALL_STATE(19342)] = 725218,
  [SMALL_STATE(19343)] = 725232,
  [SMALL_STATE(19344)] = 725246,
  [SMALL_STATE(19345)] = 725260,
  [SMALL_STATE(19346)] = 725274,
  [SMALL_STATE(19347)] = 725288,
  [SMALL_STATE(19348)] = 725302,
  [SMALL_STATE(19349)] = 725316,
  [SMALL_STATE(19350)] = 725330,
  [SMALL_STATE(19351)] = 725344,
  [SMALL_STATE(19352)] = 725358,
  [SMALL_STATE(19353)] = 725372,
  [SMALL_STATE(19354)] = 725386,
  [SMALL_STATE(19355)] = 725400,
  [SMALL_STATE(19356)] = 725414,
  [SMALL_STATE(19357)] = 725428,
  [SMALL_STATE(19358)] = 725442,
  [SMALL_STATE(19359)] = 725456,
  [SMALL_STATE(19360)] = 725470,
  [SMALL_STATE(19361)] = 725484,
  [SMALL_STATE(19362)] = 725498,
  [SMALL_STATE(19363)] = 725512,
  [SMALL_STATE(19364)] = 725526,
  [SMALL_STATE(19365)] = 725540,
  [SMALL_STATE(19366)] = 725554,
  [SMALL_STATE(19367)] = 725568,
  [SMALL_STATE(19368)] = 725582,
  [SMALL_STATE(19369)] = 725596,
  [SMALL_STATE(19370)] = 725610,
  [SMALL_STATE(19371)] = 725624,
  [SMALL_STATE(19372)] = 725638,
  [SMALL_STATE(19373)] = 725652,
  [SMALL_STATE(19374)] = 725666,
  [SMALL_STATE(19375)] = 725680,
  [SMALL_STATE(19376)] = 725694,
  [SMALL_STATE(19377)] = 725708,
  [SMALL_STATE(19378)] = 725722,
  [SMALL_STATE(19379)] = 725736,
  [SMALL_STATE(19380)] = 725750,
  [SMALL_STATE(19381)] = 725764,
  [SMALL_STATE(19382)] = 725778,
  [SMALL_STATE(19383)] = 725792,
  [SMALL_STATE(19384)] = 725806,
  [SMALL_STATE(19385)] = 725820,
  [SMALL_STATE(19386)] = 725834,
  [SMALL_STATE(19387)] = 725848,
  [SMALL_STATE(19388)] = 725862,
  [SMALL_STATE(19389)] = 725876,
  [SMALL_STATE(19390)] = 725890,
  [SMALL_STATE(19391)] = 725904,
  [SMALL_STATE(19392)] = 725918,
  [SMALL_STATE(19393)] = 725932,
  [SMALL_STATE(19394)] = 725946,
  [SMALL_STATE(19395)] = 725960,
  [SMALL_STATE(19396)] = 725974,
  [SMALL_STATE(19397)] = 725988,
  [SMALL_STATE(19398)] = 726002,
  [SMALL_STATE(19399)] = 726016,
  [SMALL_STATE(19400)] = 726030,
  [SMALL_STATE(19401)] = 726044,
  [SMALL_STATE(19402)] = 726058,
  [SMALL_STATE(19403)] = 726072,
  [SMALL_STATE(19404)] = 726086,
  [SMALL_STATE(19405)] = 726100,
  [SMALL_STATE(19406)] = 726114,
  [SMALL_STATE(19407)] = 726128,
  [SMALL_STATE(19408)] = 726142,
  [SMALL_STATE(19409)] = 726156,
  [SMALL_STATE(19410)] = 726170,
  [SMALL_STATE(19411)] = 726184,
  [SMALL_STATE(19412)] = 726198,
  [SMALL_STATE(19413)] = 726212,
  [SMALL_STATE(19414)] = 726226,
  [SMALL_STATE(19415)] = 726240,
  [SMALL_STATE(19416)] = 726254,
  [SMALL_STATE(19417)] = 726268,
  [SMALL_STATE(19418)] = 726282,
  [SMALL_STATE(19419)] = 726296,
  [SMALL_STATE(19420)] = 726310,
  [SMALL_STATE(19421)] = 726324,
  [SMALL_STATE(19422)] = 726338,
  [SMALL_STATE(19423)] = 726352,
  [SMALL_STATE(19424)] = 726366,
  [SMALL_STATE(19425)] = 726380,
  [SMALL_STATE(19426)] = 726394,
  [SMALL_STATE(19427)] = 726408,
  [SMALL_STATE(19428)] = 726422,
  [SMALL_STATE(19429)] = 726436,
  [SMALL_STATE(19430)] = 726450,
  [SMALL_STATE(19431)] = 726464,
  [SMALL_STATE(19432)] = 726478,
  [SMALL_STATE(19433)] = 726492,
  [SMALL_STATE(19434)] = 726506,
  [SMALL_STATE(19435)] = 726520,
  [SMALL_STATE(19436)] = 726534,
  [SMALL_STATE(19437)] = 726548,
  [SMALL_STATE(19438)] = 726562,
  [SMALL_STATE(19439)] = 726576,
  [SMALL_STATE(19440)] = 726590,
  [SMALL_STATE(19441)] = 726604,
  [SMALL_STATE(19442)] = 726618,
  [SMALL_STATE(19443)] = 726632,
  [SMALL_STATE(19444)] = 726646,
  [SMALL_STATE(19445)] = 726660,
  [SMALL_STATE(19446)] = 726674,
  [SMALL_STATE(19447)] = 726688,
  [SMALL_STATE(19448)] = 726702,
  [SMALL_STATE(19449)] = 726716,
  [SMALL_STATE(19450)] = 726730,
  [SMALL_STATE(19451)] = 726744,
  [SMALL_STATE(19452)] = 726758,
  [SMALL_STATE(19453)] = 726772,
  [SMALL_STATE(19454)] = 726786,
  [SMALL_STATE(19455)] = 726800,
  [SMALL_STATE(19456)] = 726814,
  [SMALL_STATE(19457)] = 726828,
  [SMALL_STATE(19458)] = 726842,
  [SMALL_STATE(19459)] = 726856,
  [SMALL_STATE(19460)] = 726870,
  [SMALL_STATE(19461)] = 726884,
  [SMALL_STATE(19462)] = 726898,
  [SMALL_STATE(19463)] = 726912,
  [SMALL_STATE(19464)] = 726926,
  [SMALL_STATE(19465)] = 726940,
  [SMALL_STATE(19466)] = 726954,
  [SMALL_STATE(19467)] = 726968,
  [SMALL_STATE(19468)] = 726982,
  [SMALL_STATE(19469)] = 726996,
  [SMALL_STATE(19470)] = 727010,
  [SMALL_STATE(19471)] = 727024,
  [SMALL_STATE(19472)] = 727038,
  [SMALL_STATE(19473)] = 727052,
  [SMALL_STATE(19474)] = 727066,
  [SMALL_STATE(19475)] = 727080,
  [SMALL_STATE(19476)] = 727094,
  [SMALL_STATE(19477)] = 727108,
  [SMALL_STATE(19478)] = 727122,
  [SMALL_STATE(19479)] = 727136,
  [SMALL_STATE(19480)] = 727150,
  [SMALL_STATE(19481)] = 727164,
  [SMALL_STATE(19482)] = 727178,
  [SMALL_STATE(19483)] = 727192,
  [SMALL_STATE(19484)] = 727206,
  [SMALL_STATE(19485)] = 727220,
  [SMALL_STATE(19486)] = 727234,
  [SMALL_STATE(19487)] = 727248,
  [SMALL_STATE(19488)] = 727262,
  [SMALL_STATE(19489)] = 727276,
  [SMALL_STATE(19490)] = 727290,
  [SMALL_STATE(19491)] = 727304,
  [SMALL_STATE(19492)] = 727318,
  [SMALL_STATE(19493)] = 727332,
  [SMALL_STATE(19494)] = 727346,
  [SMALL_STATE(19495)] = 727360,
  [SMALL_STATE(19496)] = 727374,
  [SMALL_STATE(19497)] = 727388,
  [SMALL_STATE(19498)] = 727402,
  [SMALL_STATE(19499)] = 727416,
  [SMALL_STATE(19500)] = 727430,
  [SMALL_STATE(19501)] = 727444,
  [SMALL_STATE(19502)] = 727458,
  [SMALL_STATE(19503)] = 727472,
  [SMALL_STATE(19504)] = 727486,
  [SMALL_STATE(19505)] = 727500,
  [SMALL_STATE(19506)] = 727514,
  [SMALL_STATE(19507)] = 727528,
  [SMALL_STATE(19508)] = 727542,
  [SMALL_STATE(19509)] = 727556,
  [SMALL_STATE(19510)] = 727570,
  [SMALL_STATE(19511)] = 727584,
  [SMALL_STATE(19512)] = 727598,
  [SMALL_STATE(19513)] = 727612,
  [SMALL_STATE(19514)] = 727626,
  [SMALL_STATE(19515)] = 727640,
  [SMALL_STATE(19516)] = 727654,
  [SMALL_STATE(19517)] = 727668,
  [SMALL_STATE(19518)] = 727682,
  [SMALL_STATE(19519)] = 727696,
  [SMALL_STATE(19520)] = 727710,
  [SMALL_STATE(19521)] = 727724,
  [SMALL_STATE(19522)] = 727738,
  [SMALL_STATE(19523)] = 727752,
  [SMALL_STATE(19524)] = 727766,
  [SMALL_STATE(19525)] = 727780,
  [SMALL_STATE(19526)] = 727794,
  [SMALL_STATE(19527)] = 727808,
  [SMALL_STATE(19528)] = 727822,
  [SMALL_STATE(19529)] = 727836,
  [SMALL_STATE(19530)] = 727850,
  [SMALL_STATE(19531)] = 727864,
  [SMALL_STATE(19532)] = 727878,
  [SMALL_STATE(19533)] = 727892,
  [SMALL_STATE(19534)] = 727906,
  [SMALL_STATE(19535)] = 727920,
  [SMALL_STATE(19536)] = 727934,
  [SMALL_STATE(19537)] = 727948,
  [SMALL_STATE(19538)] = 727962,
  [SMALL_STATE(19539)] = 727976,
  [SMALL_STATE(19540)] = 727990,
  [SMALL_STATE(19541)] = 728004,
  [SMALL_STATE(19542)] = 728018,
  [SMALL_STATE(19543)] = 728032,
  [SMALL_STATE(19544)] = 728046,
  [SMALL_STATE(19545)] = 728060,
  [SMALL_STATE(19546)] = 728074,
  [SMALL_STATE(19547)] = 728088,
  [SMALL_STATE(19548)] = 728102,
  [SMALL_STATE(19549)] = 728116,
  [SMALL_STATE(19550)] = 728130,
  [SMALL_STATE(19551)] = 728144,
  [SMALL_STATE(19552)] = 728158,
  [SMALL_STATE(19553)] = 728172,
  [SMALL_STATE(19554)] = 728186,
  [SMALL_STATE(19555)] = 728200,
  [SMALL_STATE(19556)] = 728214,
  [SMALL_STATE(19557)] = 728228,
  [SMALL_STATE(19558)] = 728242,
  [SMALL_STATE(19559)] = 728256,
  [SMALL_STATE(19560)] = 728270,
  [SMALL_STATE(19561)] = 728284,
  [SMALL_STATE(19562)] = 728298,
  [SMALL_STATE(19563)] = 728312,
  [SMALL_STATE(19564)] = 728326,
  [SMALL_STATE(19565)] = 728330,
  [SMALL_STATE(19566)] = 728334,
  [SMALL_STATE(19567)] = 728338,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16079),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16786),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4738),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13282),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17516),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12988),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13414),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13415),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13499),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8429),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4250),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12565),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13033),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8018),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2327),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4519),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4038),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4521),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4484),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10055),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8845),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10268),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13037),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13472),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8221),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6726),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5780),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5784),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2493),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4358),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4357),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4356),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13551),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13554),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4738),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9968),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10554),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10554),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10555),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10944),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2330),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2555),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10637),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4545),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19001),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12452),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4775),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4240),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8562),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4473),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4090),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4566),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4486),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12923),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13291),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5320),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5389),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4221),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4216),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4227),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15726),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13567),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13568),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4545),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6283),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6796),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6796),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6805),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8582),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6693),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11330),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12960),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5460),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10169),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4242),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6695),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4482),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7526),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4365),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4363),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4364),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5460),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9579),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10804),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7235),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6971),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8078),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8334),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11766),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5807),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11954),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15183),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12434),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6602),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14010),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9012),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9114),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9624),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6762),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10958),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12446),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10911),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11705),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11516),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7308),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11553),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9746),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18339),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10729),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11799),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11561),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9430),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14305),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8787),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5516),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13125),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6773),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11051),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10630),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11244),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10803),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15363),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11567),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6095),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7086),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8147),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7149),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10960),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10394),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14245),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14294),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9790),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10298),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16787),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9466),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14109),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11554),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10773),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12000),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11188),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13085),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11199),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15198),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8733),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8760),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13222),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10097),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14683),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10533),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8499),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14525),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9502),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10028),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9664),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10821),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10740),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6160),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10455),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11386),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11157),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15224),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6837),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7688),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9677),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9096),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8200),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9140),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10549),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10679),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14555),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13992),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10492),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14706),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10597),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12429),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10836),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11452),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8378),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9621),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12175),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13939),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9674),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10769),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9333),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9735),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10842),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10522),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10883),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8527),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9795),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14359),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10276),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10989),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11135),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9403),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10328),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10338),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10495),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14249),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7349),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9975),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10551),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9673),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9969),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9908),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7585),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8232),
  [463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 3, 0, 0),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9903),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9073),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10231),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8038),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6544),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9252),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8090),
  [479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 1, 0, 0),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6353),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9082),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9806),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10037),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10626),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8831),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11473),
  [495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 4, 0, 0),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6139),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10165),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7282),
  [503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 2, 0, 0),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11080),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6129),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13289),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4258),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13560),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13561),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13562),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8074),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4234),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13080),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13081),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2252),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4489),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4083),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4635),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4488),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13082),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13565),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7250),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5665),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2494),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4359),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4360),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4366),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15782),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13309),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13407),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6129),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10129),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9594),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9594),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9599),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10130),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2426),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9584),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17630),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9934),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18409),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9531),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15857),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17624),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15861),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15463),
  [607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 2, 0, 27),
  [609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 2, 0, 27),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4244),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4123),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4485),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5733),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15350),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9819),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2343),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17550),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4239),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2354),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4089),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4487),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5361),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15491),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2337),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9565),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2374),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15418),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18463),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block, 2, 0, 0),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15796),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15614),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11857),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5532),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15276),
  [683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block, 3, 0, 0),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15659),
  [687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block, 2, 0, 0),
  [689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block, 3, 0, 0),
  [691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_block, 3, 0, 0),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12119),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5794),
  [697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_block, 2, 0, 0),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5232),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19085),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6307),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3934),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8623),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2362),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5225),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4122),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4594),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13664),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4009),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10671),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2371),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13489),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13493),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5232),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8497),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9436),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9436),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9707),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10214),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2373),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2420),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9839),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10183),
  [761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(6129),
  [764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0),
  [766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(150),
  [769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(8074),
  [772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(8018),
  [775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2252),
  [778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(5794),
  [781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(643),
  [784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(1022),
  [787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(4083),
  [790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(1009),
  [793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(4635),
  [796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(13669),
  [799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2494),
  [802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(1933),
  [805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0),
  [807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2233),
  [810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(13309),
  [813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(13407),
  [816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(6129),
  [819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(10129),
  [822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(9594),
  [825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(9594),
  [828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(9599),
  [831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(10130),
  [834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(1353),
  [837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2289),
  [840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2426),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(9584),
  [848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(5460),
  [851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(136),
  [854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(6695),
  [857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2224),
  [860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(5532),
  [863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(752),
  [866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(946),
  [869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(4090),
  [872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(947),
  [875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(4566),
  [878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(14033),
  [881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2492),
  [884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(1934),
  [887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2226),
  [890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(13567),
  [893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(13568),
  [896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(5460),
  [899] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(9975),
  [902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(6796),
  [905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(6796),
  [908] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(6805),
  [911] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(8582),
  [914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(778),
  [917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2229),
  [920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2389),
  [923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(160),
  [926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(6693),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7389),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9037),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7241),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7389),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8943),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8165),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8165),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8211),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8531),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7159),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9320),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3566),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7157),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4013),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6907),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13251),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7159),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6742),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10363),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10363),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10372),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8901),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10696),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9334),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5590),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6572),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5555),
  [1001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4035),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13784),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3533),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13219),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5590),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5684),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7892),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7892),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7895),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7927),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2368),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7888),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4780),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10831),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [1041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_expression, 2, 0, 0),
  [1043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postfix_expression, 2, 0, 0),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5063),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4771),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4547),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2735),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13564),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13606),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4780),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5329),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6235),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6235),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6236),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6011),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6233),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4887),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10899),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5737),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4897),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4626),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3324),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13590),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13339),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4887),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5740),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6960),
  [1103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6960),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6990),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6679),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6951),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4812),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11030),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5666),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2418),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4810),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4542),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3090),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13204),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13196),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4812),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5607),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6412),
  [1139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6412),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6413),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6526),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6407),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5039),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10920),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6260),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2320),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5014),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4561),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3547),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13585),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13618),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5039),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6324),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7784),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7784),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7785),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7275),
  [1181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7778),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5443),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10872),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7008),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2379),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5439),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4524),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3858),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13186),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13356),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5443),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6812),
  [1209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8013),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8013),
  [1213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8014),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8225),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8010),
  [1219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5114),
  [1221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11027),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5791),
  [1227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5321),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4638),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3671),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13364),
  [1239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13458),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5114),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5829),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7102),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7102),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7104),
  [1251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7573),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7099),
  [1255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5058),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11004),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5923),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2336),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5047),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4617),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3718),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [1273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13596),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13252),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5058),
  [1279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6178),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7079),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7079),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7080),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7344),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7076),
  [1291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6135),
  [1293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11083),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7133),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2413),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6134),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4548),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4007),
  [1307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13575),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13260),
  [1313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6135),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7393),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9184),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9184),
  [1321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9185),
  [1323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9077),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9182),
  [1327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4682),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10764),
  [1331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [1333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8563),
  [1335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4677),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4553),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4008),
  [1343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13455),
  [1347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13566),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4682),
  [1351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8383),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9544),
  [1355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9544),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9549),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9793),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9453),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5865),
  [1365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10882),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7208),
  [1371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5866),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4642),
  [1377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4006),
  [1379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [1381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13425),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13522),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5865),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7783),
  [1389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9410),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9410),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9411),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9233),
  [1397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9407),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5475),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11067),
  [1403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6663),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2256),
  [1409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5472),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4546),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4010),
  [1415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [1417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13346),
  [1419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13244),
  [1421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5475),
  [1423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6541),
  [1425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8052),
  [1427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8052),
  [1429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8053),
  [1431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8086),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8051),
  [1435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 1, 0, 0),
  [1437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0),
  [1439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [1441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4075),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [1445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13909),
  [1447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2295),
  [1449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6823),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [1453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2388),
  [1455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2434),
  [1457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [1459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [1461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4036),
  [1463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [1465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13737),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2312),
  [1469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7665),
  [1471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [1473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2316),
  [1475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2438),
  [1477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [1479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [1481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4104),
  [1483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [1485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13722),
  [1487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7495),
  [1489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [1491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [1495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [1497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4018),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13817),
  [1503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2355),
  [1505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7178),
  [1507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [1509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [1511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2444),
  [1513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4751),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10828),
  [1517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9259),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [1523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4718),
  [1525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4612),
  [1527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4015),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [1531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13212),
  [1533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13593),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4751),
  [1537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8855),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10000),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10000),
  [1543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10001),
  [1545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9948),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10194),
  [1549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [1551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4062),
  [1553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [1555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13898),
  [1557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7226),
  [1559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [1561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [1563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [1565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [1567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4055),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13893),
  [1573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2419),
  [1575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7952),
  [1577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [1579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [1581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2452),
  [1583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6471),
  [1585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10825),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8493),
  [1591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2369),
  [1593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6338),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4522),
  [1597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4012),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [1601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13616),
  [1603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13571),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6471),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7995),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9637),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9637),
  [1613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9651),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9896),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9602),
  [1619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [1621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [1623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4134),
  [1625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13855),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2396),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8435),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2298),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2448),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6091),
  [1641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10778),
  [1643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7135),
  [1647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2277),
  [1649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6012),
  [1651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4641),
  [1653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4017),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [1657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13404),
  [1659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13485),
  [1661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6091),
  [1663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7608),
  [1665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9301),
  [1667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9301),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9302),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9061),
  [1673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9290),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4102),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13861),
  [1685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2406),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8569),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [1693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2450),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4058),
  [1701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [1703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14017),
  [1705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [1707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8371),
  [1709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [1711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2237),
  [1713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2422),
  [1715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [1717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [1719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4029),
  [1721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13662),
  [1725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2270),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8244),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2391),
  [1733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2432),
  [1735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6458),
  [1737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10918),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8313),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2395),
  [1745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6449),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4532),
  [1749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4014),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [1753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13169),
  [1755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13579),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6458),
  [1759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8259),
  [1761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9854),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9854),
  [1765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9856),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9867),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9849),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11082),
  [1773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6678),
  [1775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [1777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4098),
  [1779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [1781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13928),
  [1783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7255),
  [1785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [1787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2195),
  [1789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4721),
  [1791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10975),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9281),
  [1797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2405),
  [1799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4720),
  [1801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4539),
  [1803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4016),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [1807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13563),
  [1809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13162),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4721),
  [1813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9079),
  [1815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10049),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10049),
  [1819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10052),
  [1821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10196),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10042),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5910),
  [1827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10801),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7212),
  [1833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [1835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5917),
  [1837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4629),
  [1839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4011),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [1843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13245),
  [1845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13366),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5910),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7101),
  [1851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8856),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8856),
  [1855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8859),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8813),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8853),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [1863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4039),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [1867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13885),
  [1869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6718),
  [1871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2407),
  [1875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [1877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [1879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4067),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13680),
  [1885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [1887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8440),
  [1889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4115),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [1899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13844),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7246),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6337),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4283),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8434),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6898),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4074),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4640),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13767),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4121),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2321),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13605),
  [1939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13175),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6337),
  [1943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10395),
  [1945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9787),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9787),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9816),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9662),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [1955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [1957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2440),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9733),
  [1963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [1965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4093),
  [1969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [1971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13822),
  [1973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2370),
  [1975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9247),
  [1977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [1979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [1981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2446),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [1985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [1987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4103),
  [1989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [1991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13831),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2380),
  [1995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9421),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [1999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [2003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4108),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [2007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13838),
  [2009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8326),
  [2011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [2015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4032),
  [2019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [2021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13880),
  [2023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [2025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8585),
  [2027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [2029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [2031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2428),
  [2033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [2035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4080),
  [2037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [2039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13916),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2306),
  [2043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8608),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2408),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2436),
  [2051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4087),
  [2055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13920),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7227),
  [2061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [2065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4091),
  [2069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [2071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13924),
  [2073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8424),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2188),
  [2079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4329),
  [2081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [2083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [2085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4133),
  [2087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [2089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13728),
  [2091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8828),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [2095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [2099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4282),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [2103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4060),
  [2107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13744),
  [2111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9663),
  [2113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [2115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2347),
  [2117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4275),
  [2119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [2121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [2123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4031),
  [2125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [2127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13901),
  [2129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2332),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9076),
  [2133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [2135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [2139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4331),
  [2141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4066),
  [2147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [2149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13804),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10745),
  [2153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1963),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4300),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4301),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [2165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4071),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [2169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14051),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [2173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8805),
  [2175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [2177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [2179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2424),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [2183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4303),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [2187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4318),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4281),
  [2193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [2195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4111),
  [2199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [2201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13635),
  [2203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10134),
  [2205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2358),
  [2209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4299),
  [2211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [2213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [2215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4117),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [2219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13641),
  [2221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9947),
  [2223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [2225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [2227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4317),
  [2229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4335),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [2233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4311),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [2237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4322),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [2241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4325),
  [2243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [2245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [2247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4023),
  [2249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [2251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14064),
  [2253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9684),
  [2255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [2257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2338),
  [2259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4334),
  [2261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [2263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [2265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4042),
  [2267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [2269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13888),
  [2271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8347),
  [2273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [2275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [2277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [2279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4044),
  [2281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [2283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13789),
  [2285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7216),
  [2287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [2289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2397),
  [2291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4280),
  [2293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4337),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [2297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4327),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [2301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4291),
  [2303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [2305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [2307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4125),
  [2309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [2311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13758),
  [2313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8740),
  [2315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [2317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2334),
  [2319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4279),
  [2321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [2323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [2325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4069),
  [2327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [2329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13904),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8751),
  [2333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [2335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2361),
  [2337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4276),
  [2339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [2341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4278),
  [2343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [2345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4292),
  [2347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [2349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [2351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4053),
  [2353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [2355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13798),
  [2357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8866),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [2361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [2363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4321),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [2367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4284),
  [2369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [2371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4293),
  [2373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [2375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4277),
  [2377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [2379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4305),
  [2381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [2383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4336),
  [2385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [2387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4339),
  [2389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [2391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4273),
  [2393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [2395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4287),
  [2397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [2399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4921),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11037),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [2405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9646),
  [2407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [2409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4895),
  [2411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4636),
  [2413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4045),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [2417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13337),
  [2419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13427),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4921),
  [2423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9671),
  [2425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10615),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10615),
  [2429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10616),
  [2431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10530),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10570),
  [2435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4049),
  [2437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [2439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [2441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4130),
  [2443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [2445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13648),
  [2447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9054),
  [2449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [2451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [2453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [2455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [2457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4079),
  [2459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [2461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13656),
  [2463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2261),
  [2465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9373),
  [2467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [2469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [2471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2430),
  [2473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4936),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [2477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4330),
  [2479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9526),
  [2481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2305),
  [2483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4916),
  [2485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [2487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [2489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4086),
  [2491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [2493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4551),
  [2495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13701),
  [2497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4063),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [2501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [2503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13484),
  [2505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13586),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4936),
  [2509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9648),
  [2511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10697),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10697),
  [2515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10712),
  [2517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10753),
  [2519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [2521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10478),
  [2525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10905),
  [2527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9698),
  [2529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [2531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [2533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4106),
  [2535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [2537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13750),
  [2539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2346),
  [2541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9159),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [2545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2409),
  [2547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2442),
  [2549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11085),
  [2551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8006),
  [2553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10952),
  [2555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4132),
  [2557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9068),
  [2559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4320),
  [2561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4050),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [2569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13891),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9529),
  [2573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [2577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4160),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [2585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4094),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13628),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9558),
  [2597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2324),
  [2601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13715),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10936),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9229),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10075),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10874),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4126),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [2617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13849),
  [2619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8308),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [2623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [2625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8984),
  [2627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13809),
  [2629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [2631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4027),
  [2633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [2635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13874),
  [2637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8745),
  [2639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [2641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2357),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [2645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6471),
  [2648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0),
  [2650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(129),
  [2653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8018),
  [2656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6338),
  [2659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [2661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4012),
  [2664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1948),
  [2667] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6471),
  [2670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8745),
  [2673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2442),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [2678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13952),
  [2680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4887),
  [2683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(141),
  [2686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4897),
  [2689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3324),
  [2692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1949),
  [2695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4887),
  [2698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7216),
  [2701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2422),
  [2704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5114),
  [2707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(130),
  [2710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5321),
  [2713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [2715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3671),
  [2718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1969),
  [2721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5114),
  [2724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8585),
  [2727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2428),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [2732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14033),
  [2734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5460),
  [2737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(136),
  [2740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5532),
  [2743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2492),
  [2746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1934),
  [2749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5460),
  [2752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9975),
  [2755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2389),
  [2758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4780),
  [2761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(149),
  [2764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4771),
  [2767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2735),
  [2770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1920),
  [2773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4780),
  [2776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6718),
  [2779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2434),
  [2782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5039),
  [2785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(151),
  [2788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5014),
  [2791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3547),
  [2794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1958),
  [2797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5039),
  [2800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8347),
  [2803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2436),
  [2806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5475),
  [2809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(139),
  [2812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5472),
  [2815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4010),
  [2818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1940),
  [2821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5475),
  [2824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9529),
  [2827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2450),
  [2830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6135),
  [2833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(142),
  [2836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6134),
  [2839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4007),
  [2842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1955),
  [2845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6135),
  [2848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7952),
  [2851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2452),
  [2854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5443),
  [2857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(131),
  [2860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5439),
  [2863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3858),
  [2866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1967),
  [2869] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5443),
  [2872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7226),
  [2875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2444),
  [2878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6458),
  [2881] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(133),
  [2884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6449),
  [2887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4014),
  [2890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1942),
  [2893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6458),
  [2896] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8751),
  [2899] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2446),
  [2902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6823),
  [2905] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8608),
  [2908] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4812),
  [2911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(137),
  [2914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4810),
  [2917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3090),
  [2920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1951),
  [2923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4812),
  [2926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7227),
  [2929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2448),
  [2932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8424),
  [2935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7255),
  [2938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [2940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [2942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4116),
  [2944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [2946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13773),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [2950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10953),
  [2952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [2954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2341),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [2958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [2960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [2962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4101),
  [2964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [2966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13688),
  [2968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10010),
  [2970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [2972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [2974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [2976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [2978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4054),
  [2980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [2982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13708),
  [2984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9971),
  [2986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [2988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [2990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7389),
  [2993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(144),
  [2996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7241),
  [2999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4160),
  [3002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1937),
  [3005] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7389),
  [3008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8943),
  [3011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2420),
  [3014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5058),
  [3017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(125),
  [3020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5047),
  [3023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3718),
  [3026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1947),
  [3029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5058),
  [3032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8866),
  [3035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2438),
  [3038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13669),
  [3040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [3042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6337),
  [3045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(127),
  [3048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6898),
  [3051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4121),
  [3054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1923),
  [3057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6337),
  [3060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(10745),
  [3063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2440),
  [3066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(10953),
  [3069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4751),
  [3072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(128),
  [3075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4718),
  [3078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4015),
  [3081] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1956),
  [3084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4751),
  [3087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9076),
  [3090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [3092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [3094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4046),
  [3096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [3098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13983),
  [3100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(11053),
  [3103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [3105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11053),
  [3109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8371),
  [3112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7178),
  [3115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5910),
  [3118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(146),
  [3121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5917),
  [3124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4011),
  [3127] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1945),
  [3130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5910),
  [3133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8805),
  [3136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2424),
  [3139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6129),
  [3142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(150),
  [3145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5794),
  [3148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2494),
  [3151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1933),
  [3154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6129),
  [3157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(10129),
  [3160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2426),
  [3163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4921),
  [3166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(126),
  [3169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4895),
  [3172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4045),
  [3175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1961),
  [3178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4921),
  [3181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9558),
  [3184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(10134),
  [3187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9247),
  [3190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9947),
  [3193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4049),
  [3196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9819),
  [3199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4721),
  [3202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(135),
  [3205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4720),
  [3208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4016),
  [3211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1921),
  [3214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4721),
  [3217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9421),
  [3220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9054),
  [3223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6091),
  [3226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(134),
  [3229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6012),
  [3232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4017),
  [3235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1916),
  [3238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6091),
  [3241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9373),
  [3244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2430),
  [3247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5865),
  [3250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(138),
  [3253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5866),
  [3256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4006),
  [3259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1918),
  [3262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5865),
  [3265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8326),
  [3268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2432),
  [3271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8244),
  [3274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4682),
  [3277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(143),
  [3280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4677),
  [3283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4008),
  [3286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1925),
  [3289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4682),
  [3292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8440),
  [3295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4738),
  [3298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(153),
  [3301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9229),
  [3304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2493),
  [3307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1962),
  [3310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4738),
  [3313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9968),
  [3316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7246),
  [3319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(10010),
  [3322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [3324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4072),
  [3326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [3328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13692),
  [3330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8924),
  [3332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [3334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2205),
  [3336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [3338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8924),
  [3341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8308),
  [3344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4936),
  [3347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(145),
  [3350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4916),
  [3353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4063),
  [3356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1964),
  [3359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4936),
  [3362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9648),
  [3365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8435),
  [3368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9971),
  [3371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8569),
  [3374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7495),
  [3377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9684),
  [3380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8828),
  [3383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7665),
  [3386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9663),
  [3389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4132),
  [3392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9565),
  [3395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9159),
  [3398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8740),
  [3401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(10395),
  [3404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [3406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4025),
  [3408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [3410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13779),
  [3412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9914),
  [3414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1765),
  [3416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [3418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [3420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9914),
  [3423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8984),
  [3426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [3428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5915),
  [3430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [3432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13851),
  [3434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [3436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9294),
  [3438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4852),
  [3442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [3444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5602),
  [3446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [3448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5638),
  [3450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [3452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9218),
  [3454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7861),
  [3458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [3460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7874),
  [3462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [3464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13899),
  [3466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [3468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6579),
  [3470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7893),
  [3474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [3476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11369),
  [3478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2146),
  [3480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8528),
  [3482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15385),
  [3486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2147),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7906),
  [3490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9378),
  [3494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13553),
  [3498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11006),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [3502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [3504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4523),
  [3506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [3508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13520),
  [3510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13597),
  [3512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11189),
  [3514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11375),
  [3516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11375),
  [3518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11376),
  [3520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11472),
  [3522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11374),
  [3524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [3526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8557),
  [3528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [3530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8020),
  [3532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [3534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9838),
  [3536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [3538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8988),
  [3540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [3542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5359),
  [3544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5163),
  [3548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [3550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6006),
  [3552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6999),
  [3556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [3558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6554),
  [3560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2156),
  [3562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6015),
  [3564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [3566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9902),
  [3568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2157),
  [3570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8201),
  [3572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [3574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6034),
  [3576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [3578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6218),
  [3580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [3582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8328),
  [3584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [3586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9167),
  [3588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [3590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7107),
  [3592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [3594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8119),
  [3596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5195),
  [3600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [3602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8687),
  [3604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2164),
  [3606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10914),
  [3608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9869),
  [3612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6081),
  [3616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5889),
  [3620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7125),
  [3624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [3626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8692),
  [3628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2167),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6430),
  [3632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15050),
  [3636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8457),
  [3640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [3642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9759),
  [3644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8776),
  [3648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [3650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5444),
  [3652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [3654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6442),
  [3656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [3658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6450),
  [3660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2174),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7142),
  [3664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2089),
  [3666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5806),
  [3668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [3670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7746),
  [3672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6795),
  [3676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [3678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9635),
  [3680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [3682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5597),
  [3684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2055),
  [3686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6918),
  [3688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8293),
  [3692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8730),
  [3696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [3698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6102),
  [3700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [3702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8763),
  [3704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [3706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7238),
  [3708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [3710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9625),
  [3712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9469),
  [3716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7034),
  [3720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7261),
  [3724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2024),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11949),
  [3728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2095),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8797),
  [3732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [3734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5539),
  [3736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2096),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6887),
  [3740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2076),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10405),
  [3744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6024),
  [3748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7858),
  [3752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5275),
  [3756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4685),
  [3760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2100),
  [3762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5652),
  [3764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [3766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8870),
  [3768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [3770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7957),
  [3772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2104),
  [3774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7982),
  [3776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2105),
  [3778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7634),
  [3780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [3782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10319),
  [3784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [3786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6623),
  [3788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [3790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14119),
  [3792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [3794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7653),
  [3796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2108),
  [3798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8059),
  [3800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9799),
  [3804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [3806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8079),
  [3808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2111),
  [3810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9030),
  [3812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [3814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7326),
  [3816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9559),
  [3820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7342),
  [3824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9058),
  [3828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2049),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6961),
  [3832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11093),
  [3836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [3838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8526),
  [3840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [3842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5042),
  [3844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2031),
  [3846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13587),
  [3848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [3850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5715),
  [3852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6303),
  [3856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [3858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9848),
  [3860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [3862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5420),
  [3864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [3866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14483),
  [3868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [3870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5808),
  [3872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [3874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6548),
  [3876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15501),
  [3880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2123),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8263),
  [3884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2124),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7757),
  [3888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [3890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9208),
  [3892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13480),
  [3896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [3898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8320),
  [3900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13802),
  [3904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2127),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6485),
  [3908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [3910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10164),
  [3912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7796),
  [3916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [3918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9056),
  [3920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9254),
  [3924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8364),
  [3928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8993),
  [3932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [3934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7811),
  [3936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [3938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6284),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7700),
  [3942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10513),
  [3944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7808),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [3948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8837),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7997),
  [3952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8560),
  [3954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9349),
  [3956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11218),
  [3958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6684),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8385),
  [3962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7256),
  [3964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5954),
  [3966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8137),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5501),
  [3970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [3972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7702),
  [3974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9168),
  [3976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5822),
  [3978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9538),
  [3980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10156),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9589),
  [3984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6694),
  [3986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6216),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9709),
  [3990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [3992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10025),
  [3994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6648),
  [3998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1747),
  [4000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8153),
  [4004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9146),
  [4008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1761),
  [4010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [4012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [4014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exprs_in_parens, 2, 0, 0),
  [4016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [4018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [4020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [4022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [4024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [4026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [4028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [4030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exprs_in_parens, 3, 0, 0),
  [4032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [4034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [4036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [4038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [4040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [4042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [4044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [4046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [4048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [4050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [4052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [4054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8199),
  [4058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [4060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [4062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [4064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [4066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10103),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10291),
  [4072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [4074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6419),
  [4078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9219),
  [4082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [4084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10034),
  [4086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [4088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10755),
  [4092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [4094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [4096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7670),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9191),
  [4100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [4102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1674),
  [4104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [4106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9364),
  [4108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9568),
  [4110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [4112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1689),
  [4114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10488),
  [4116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [4118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1733),
  [4120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11503),
  [4122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [4124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1565),
  [4126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6326),
  [4128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [4130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7335),
  [4132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [4134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7390),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10866),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9840),
  [4142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1718),
  [4144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9836),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8335),
  [4150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [4152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [4154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [4156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [4158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [4160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [4162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [4164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [4166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [4168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [4170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [4172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [4174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [4176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [4178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [4180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [4182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [4184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [4186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [4188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [4190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [4192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [4194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [4196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [4198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [4200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [4202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [4204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [4206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [4208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [4210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [4212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [4214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [4216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [4218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [4220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [4222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [4224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [4226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [4228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [4230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [4232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [4234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [4236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [4238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [4240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [4242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [4244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [4246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [4248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [4250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [4252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [4254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [4256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_modifier, 1, 0, 0),
  [4258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__soft_identifier, 1, 0, 0),
  [4260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_modifier, 1, 0, 0),
  [4262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__soft_identifier, 1, 0, 0),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [4266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9394),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [4270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10742),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [4274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4817),
  [4276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19441),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [4280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5154),
  [4282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3606),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8658),
  [4286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4816),
  [4288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8850),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4817),
  [4294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5259),
  [4296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10203),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10203),
  [4300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10204),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10201),
  [4306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7164),
  [4308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19416),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [4312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8458),
  [4314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3491),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8654),
  [4318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7160),
  [4320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8821),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7164),
  [4326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7981),
  [4328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11612),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11612),
  [4332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11613),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11610),
  [4338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5377),
  [4340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19216),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [4344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6007),
  [4346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3646),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8638),
  [4350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5744),
  [4352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9422),
  [4354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5377),
  [4358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5818),
  [4360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11102),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11102),
  [4364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10838),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11040),
  [4370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5425),
  [4372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19356),
  [4374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [4376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6276),
  [4378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3373),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8644),
  [4382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5412),
  [4384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8772),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5425),
  [4390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6275),
  [4392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11066),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11066),
  [4396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11068),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11058),
  [4402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10471),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [4406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5218),
  [4408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19470),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [4412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5448),
  [4414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3740),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8669),
  [4418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5217),
  [4420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8929),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5218),
  [4426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5785),
  [4428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10408),
  [4430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10408),
  [4432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10409),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10396),
  [4438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8002),
  [4440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19045),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [4444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8827),
  [4446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3990),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8620),
  [4450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8509),
  [4452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9025),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8002),
  [4458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9315),
  [4460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11929),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11929),
  [4464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11931),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11924),
  [4470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4815),
  [4472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5146),
  [4474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3568),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8657),
  [4478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4814),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4815),
  [4484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5206),
  [4486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10020),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10020),
  [4490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10021),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10018),
  [4496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10468),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [4500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6913),
  [4502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19230),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [4506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7577),
  [4508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3797),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8639),
  [4512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6651),
  [4514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8698),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6913),
  [4520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7416),
  [4522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11469),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11469),
  [4526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11470),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11468),
  [4530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6552),
  [4532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19132),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [4536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7332),
  [4538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3855),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8627),
  [4542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6464),
  [4544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9192),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6552),
  [4550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7841),
  [4552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11351),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11351),
  [4556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11352),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11350),
  [4562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10452),
  [4564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5119),
  [4566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5685),
  [4568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3916),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8622),
  [4572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5059),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5119),
  [4578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5469),
  [4580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10747),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10747),
  [4584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10601),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10672),
  [4590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10526),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [4594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10632),
  [4596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10464),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [4600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5221),
  [4602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19480),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [4606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5459),
  [4608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3931),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8675),
  [4612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5220),
  [4614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8972),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5221),
  [4620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5525),
  [4622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10506),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10506),
  [4626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10507),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10503),
  [4630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10548),
  [4632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10441),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [4636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10406),
  [4638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6124),
  [4640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19447),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [4644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6860),
  [4646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3655),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8660),
  [4650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6122),
  [4652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8860),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6124),
  [4658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6947),
  [4660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11109),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11109),
  [4664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11121),
  [4666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11266),
  [4670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7831),
  [4672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19244),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [4676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7972),
  [4678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3887),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8640),
  [4682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7820),
  [4684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8707),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7831),
  [4690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8419),
  [4692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11691),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11691),
  [4696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11692),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11690),
  [4702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4669),
  [4704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19406),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [4708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4709),
  [4710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3526),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8655),
  [4714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4694),
  [4716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8802),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4669),
  [4722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4793),
  [4724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8863),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8863),
  [4728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8864),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8862),
  [4734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10592),
  [4736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10367),
  [4738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5504),
  [4740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19490),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [4744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6118),
  [4746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3371),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8681),
  [4750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5503),
  [4752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9006),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5504),
  [4758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6183),
  [4760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10856),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10856),
  [4764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10863),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10932),
  [4770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10567),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [4774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5453),
  [4776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19391),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [4780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5848),
  [4782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3419),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8646),
  [4786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5449),
  [4788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8786),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5453),
  [4794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6322),
  [4796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11091),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11091),
  [4800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11092),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [4804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11088),
  [4806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10734),
  [4808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10657),
  [4810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10738),
  [4812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10446),
  [4814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10693),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [4818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6127),
  [4820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19450),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [4824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6934),
  [4826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3692),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8661),
  [4830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6126),
  [4832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8878),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6127),
  [4838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6746),
  [4840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11181),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11181),
  [4844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11183),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11177),
  [4850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6558),
  [4852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19474),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [4856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7148),
  [4858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3840),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8672),
  [4862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6555),
  [4864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8948),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6558),
  [4870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7509),
  [4872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11449),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11449),
  [4876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11450),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11448),
  [4880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10557),
  [4882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10499),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [4886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10454),
  [4888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6137),
  [4890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19472),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [4894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6460),
  [4896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3787),
  [4898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8671),
  [4900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6136),
  [4902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8939),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [4906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6137),
  [4908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6964),
  [4910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11140),
  [4912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11140),
  [4914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11142),
  [4916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11133),
  [4918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10684),
  [4920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4983),
  [4922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5013),
  [4924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3974),
  [4926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8642),
  [4928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4969),
  [4930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [4932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4983),
  [4934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5285),
  [4936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10232),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10232),
  [4940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10233),
  [4942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10225),
  [4944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4757),
  [4946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4850),
  [4948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3457),
  [4950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8631),
  [4952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4722),
  [4954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [4956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4757),
  [4958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4834),
  [4960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9605),
  [4962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9605),
  [4964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9606),
  [4966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9597),
  [4968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4726),
  [4970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4807),
  [4972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3888),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8673),
  [4976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4725),
  [4978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [4980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4726),
  [4982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4913),
  [4984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9653),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9653),
  [4988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9654),
  [4990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9650),
  [4992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10715),
  [4994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7214),
  [4996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [4998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6103),
  [5000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7068),
  [5002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3454),
  [5004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8652),
  [5006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6101),
  [5008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [5010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6103),
  [5012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6924),
  [5014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11176),
  [5016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11176),
  [5018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11230),
  [5020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11186),
  [5022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10759),
  [5024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5105),
  [5026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [5028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5625),
  [5030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5112),
  [5032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8876),
  [5034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11311),
  [5036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10069),
  [5038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [5040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2557),
  [5042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18133),
  [5044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5105),
  [5046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10304),
  [5048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11572),
  [5050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2552),
  [5052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15815),
  [5054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_self_type, 3, 1, 0),
  [5056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_self_type, 3, 1, 0),
  [5058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__case_pattern, 3, 0, 56),
  [5060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__case_pattern, 3, 0, 56),
  [5062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9789),
  [5064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [5066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9439),
  [5068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__case_pattern, 2, 0, 56),
  [5070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__case_pattern, 2, 0, 56),
  [5072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__shebang, 1, 0, 0),
  [5074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__shebang, 1, 0, 0),
  [5076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17478),
  [5078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9711),
  [5080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17484),
  [5082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17608),
  [5084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9717),
  [5086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7205),
  [5088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6174),
  [5090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5190),
  [5092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8114),
  [5094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6141),
  [5096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14518),
  [5098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9652),
  [5100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10718),
  [5102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9213),
  [5104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14482),
  [5106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8375),
  [5108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18700),
  [5110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5852),
  [5112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9367),
  [5114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17465),
  [5116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5898),
  [5118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8047),
  [5120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6454),
  [5122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9866),
  [5124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7845),
  [5126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8231),
  [5128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7383),
  [5130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8399),
  [5132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14215),
  [5134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19332),
  [5136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8380),
  [5138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11445),
  [5140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6811),
  [5142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8807),
  [5144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5192),
  [5146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7692),
  [5148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7278),
  [5150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7425),
  [5152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7885),
  [5154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5942),
  [5156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15591),
  [5158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10004),
  [5160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5400),
  [5162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14238),
  [5164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5610),
  [5166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6342),
  [5168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8077),
  [5170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9818),
  [5172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9437),
  [5174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11458),
  [5176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8017),
  [5178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6404),
  [5180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7772),
  [5182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5260),
  [5184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7574),
  [5186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9414),
  [5188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7340),
  [5190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4869),
  [5192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5557),
  [5194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6417),
  [5196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5447),
  [5198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6263),
  [5200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8061),
  [5202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5466),
  [5204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5999),
  [5206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5542),
  [5208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8711),
  [5210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6173),
  [5212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8252),
  [5214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8767),
  [5216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17612),
  [5218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7228),
  [5220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15534),
  [5222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7980),
  [5224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7245),
  [5226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6654),
  [5228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8179),
  [5230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3406),
  [5232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15398),
  [5234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5266),
  [5236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13936),
  [5238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [5240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9762),
  [5242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15216),
  [5244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17749),
  [5246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17370),
  [5248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13810),
  [5250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [5252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9571),
  [5254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_wildcard, 1, 0, 0),
  [5256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15252),
  [5258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15474),
  [5260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13895),
  [5262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6743),
  [5264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13448),
  [5266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5005),
  [5268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5864),
  [5270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10032),
  [5272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11759),
  [5274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10208),
  [5276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6789),
  [5278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8306),
  [5280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6041),
  [5282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13799),
  [5284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7480),
  [5286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5418),
  [5288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6066),
  [5290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7482),
  [5292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7483),
  [5294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5951),
  [5296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5419),
  [5298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6440),
  [5300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4631),
  [5302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6459),
  [5304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6467),
  [5306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5237),
  [5308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8162),
  [5310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9148),
  [5312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [5314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6482),
  [5316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6317),
  [5318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9539),
  [5320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9522),
  [5322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6072),
  [5324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11669),
  [5326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6402),
  [5328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9569),
  [5330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6073),
  [5332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12360),
  [5334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13944),
  [5336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9543),
  [5338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7303),
  [5340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6399),
  [5342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5431),
  [5344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7276),
  [5346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9155),
  [5348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7732),
  [5350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5969),
  [5352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13840),
  [5354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5433),
  [5356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12924),
  [5358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5970),
  [5360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8354),
  [5362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8094),
  [5364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12435),
  [5366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7280),
  [5368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4540),
  [5370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12372),
  [5372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13045),
  [5374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13834),
  [5376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13046),
  [5378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8207),
  [5380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9753),
  [5382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4541),
  [5384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11761),
  [5386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7122),
  [5388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12964),
  [5390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9755),
  [5392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8826),
  [5394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7281),
  [5396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7274),
  [5398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7123),
  [5400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7063),
  [5402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4611),
  [5404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7546),
  [5406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6346),
  [5408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14700),
  [5410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7620),
  [5412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8471),
  [5414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8588),
  [5416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7595),
  [5418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [5420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7620),
  [5422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7544),
  [5424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14321),
  [5426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14327),
  [5428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7350),
  [5430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8288),
  [5432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12252),
  [5434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11969),
  [5436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7560),
  [5438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6703),
  [5440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8720),
  [5442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7565),
  [5444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8724),
  [5446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9206),
  [5448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5595),
  [5450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6075),
  [5452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6738),
  [5454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7562),
  [5456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5441),
  [5458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5442),
  [5460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7130),
  [5462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11659),
  [5464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7572),
  [5466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7774),
  [5468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7131),
  [5470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6457),
  [5472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14082),
  [5474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9214),
  [5476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7576),
  [5478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [5480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8633),
  [5482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4856),
  [5484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [5486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4966),
  [5488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8345),
  [5490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14566),
  [5492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14084),
  [5494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8602),
  [5496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7593),
  [5498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8607),
  [5500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12173),
  [5502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6252),
  [5504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6445),
  [5506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8124),
  [5508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8905),
  [5510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6447),
  [5512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12248),
  [5514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6549),
  [5516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6253),
  [5518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8907),
  [5520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9162),
  [5522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5989),
  [5524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8513),
  [5526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7990),
  [5528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14703),
  [5530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7993),
  [5532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7352),
  [5534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5099),
  [5536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11935),
  [5538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7137),
  [5540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6614),
  [5542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11946),
  [5544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5076),
  [5546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [5548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7138),
  [5550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10389),
  [5552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4805),
  [5554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8974),
  [5556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5735),
  [5558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4806),
  [5560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7782),
  [5562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10397),
  [5564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5736),
  [5566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10024),
  [5568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7743),
  [5570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10026),
  [5572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13786),
  [5574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5144),
  [5576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6935),
  [5578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4958),
  [5580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12255),
  [5582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5455),
  [5584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8377),
  [5586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4963),
  [5588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [5590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9604),
  [5592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6938),
  [5594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5893),
  [5596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12420),
  [5598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6469),
  [5600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5317),
  [5602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8070),
  [5604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5318),
  [5606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11644),
  [5608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6470),
  [5610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9370),
  [5612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6098),
  [5614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6099),
  [5616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11645),
  [5618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13517),
  [5620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12887),
  [5622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5766),
  [5624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4699),
  [5626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5769),
  [5628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13519),
  [5630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9359),
  [5632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7153),
  [5634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7154),
  [5636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5859),
  [5638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14143),
  [5640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15003),
  [5642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5011),
  [5644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5687),
  [5646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12287),
  [5648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14144),
  [5650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8247),
  [5652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9264),
  [5654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8452),
  [5656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5012),
  [5658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9419),
  [5660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8253),
  [5662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12004),
  [5664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10667),
  [5666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12277),
  [5668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12005),
  [5670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8753),
  [5672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5200),
  [5674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15016),
  [5676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14113),
  [5678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5716),
  [5680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5201),
  [5682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5024),
  [5684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5381),
  [5686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8286),
  [5688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12239),
  [5690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6423),
  [5692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6242),
  [5694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6107),
  [5696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5037),
  [5698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6246),
  [5700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6108),
  [5702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13531),
  [5704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14104),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13532),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7695),
  [5710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15048),
  [5712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6905),
  [5714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7697),
  [5716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10209),
  [5718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6112),
  [5720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9696),
  [5722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6113),
  [5724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14587),
  [5726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6070),
  [5728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10301),
  [5730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6501),
  [5732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10400),
  [5734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6942),
  [5736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6502),
  [5738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9765),
  [5740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13792),
  [5742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6946),
  [5744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8624),
  [5746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13941),
  [5748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13942),
  [5750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13024),
  [5752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7887),
  [5754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8997),
  [5756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8683),
  [5758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6448),
  [5760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13800),
  [5762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6941),
  [5764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9767),
  [5766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6987),
  [5768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4976),
  [5770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8203),
  [5772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7883),
  [5774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7409),
  [5776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5055),
  [5778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7589),
  [5780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8233),
  [5782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11948),
  [5784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6625),
  [5786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12615),
  [5788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9048),
  [5790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6320),
  [5792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12616),
  [5794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8521),
  [5796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14623),
  [5798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6542),
  [5800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4973),
  [5802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12625),
  [5804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6930),
  [5806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5080),
  [5808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9381),
  [5810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12627),
  [5812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7411),
  [5814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13094),
  [5816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12662),
  [5818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8472),
  [5820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10673),
  [5822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8373),
  [5824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5939),
  [5826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5596),
  [5828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5531),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6611),
  [5832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4990),
  [5834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9383),
  [5836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10444),
  [5838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [5840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8237),
  [5842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7735),
  [5844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10305),
  [5846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8241),
  [5848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8971),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7744),
  [5852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6894),
  [5854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6093),
  [5856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6510),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8648),
  [5860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6092),
  [5862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [5864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6093),
  [5866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5831),
  [5868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7745),
  [5870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13105),
  [5872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6251),
  [5874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7938),
  [5876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8067),
  [5878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9473),
  [5880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13837),
  [5882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13879),
  [5884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4868),
  [5886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12412),
  [5888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5468),
  [5890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8148),
  [5892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9412),
  [5894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5182),
  [5896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9474),
  [5898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7336),
  [5900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5713),
  [5902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5558),
  [5904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12432),
  [5906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4799),
  [5908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5836),
  [5910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9416),
  [5912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7341),
  [5914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8292),
  [5916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5837),
  [5918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10314),
  [5920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13028),
  [5922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5408),
  [5924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6382),
  [5926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7780),
  [5928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5515),
  [5930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6490),
  [5932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6390),
  [5934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12414),
  [5936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4849),
  [5938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5022),
  [5940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4888),
  [5942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7787),
  [5944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6677),
  [5946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7540),
  [5948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9139),
  [5950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7599),
  [5952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11661),
  [5954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7788),
  [5956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7962),
  [5958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5268),
  [5960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9286),
  [5962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5035),
  [5964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6503),
  [5966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8161),
  [5968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7967),
  [5970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6802),
  [5972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12761),
  [5974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9238),
  [5976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5148),
  [5978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6507),
  [5980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6902),
  [5982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5306),
  [5984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14434),
  [5986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8101),
  [5988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12187),
  [5990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14435),
  [5992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5151),
  [5994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12766),
  [5996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12955),
  [5998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6981),
  [6000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10109),
  [6002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5101),
  [6004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10111),
  [6006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8250),
  [6008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5235),
  [6010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12655),
  [6012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6842),
  [6014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9739),
  [6016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6896),
  [6018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7410),
  [6020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9041),
  [6022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5153),
  [6024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6849),
  [6026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4842),
  [6028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7177),
  [6030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7414),
  [6032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6910),
  [6034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9057),
  [6036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7763),
  [6038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13381),
  [6040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9278),
  [6042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5493),
  [6044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6518),
  [6046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9280),
  [6048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11545),
  [6050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5600),
  [6052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11016),
  [6054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8817),
  [6056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6867),
  [6058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12330),
  [6060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8024),
  [6062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5184),
  [6064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5413),
  [6066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6780),
  [6068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5895),
  [6070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8706),
  [6072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6044),
  [6074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8044),
  [6076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15083),
  [6078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12350),
  [6080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11971),
  [6082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8712),
  [6084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5185),
  [6086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7604),
  [6088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14295),
  [6090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7169),
  [6092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8413),
  [6094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5552),
  [6096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8415),
  [6098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11547),
  [6100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6797),
  [6102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7447),
  [6104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6377),
  [6106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5397),
  [6108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12892),
  [6110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6379),
  [6112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9884),
  [6114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5424),
  [6116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7027),
  [6118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11666),
  [6120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12356),
  [6122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9910),
  [6124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7543),
  [6126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9820),
  [6128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7310),
  [6130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11849),
  [6132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4703),
  [6134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12311),
  [6136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7847),
  [6138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4704),
  [6140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8257),
  [6142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8368),
  [6144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7777),
  [6146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12346),
  [6148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7477),
  [6150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8749),
  [6152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5410),
  [6154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5962),
  [6156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8755),
  [6158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5618),
  [6160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7450),
  [6162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14145),
  [6164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5623),
  [6166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6087),
  [6168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9235),
  [6170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10827),
  [6172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5131),
  [6174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5664),
  [6176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14546),
  [6178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [6180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6724),
  [6182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10416),
  [6184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4838),
  [6186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8483),
  [6188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7871),
  [6190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8487),
  [6192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10185),
  [6194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5490),
  [6196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5138),
  [6198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14131),
  [6200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5139),
  [6202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6090),
  [6204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5180),
  [6206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13445),
  [6208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6637),
  [6210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6642),
  [6212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6644),
  [6214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6661),
  [6216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5549),
  [6218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13985),
  [6220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7903),
  [6222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13991),
  [6224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10706),
  [6226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7844),
  [6228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6709),
  [6230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4948),
  [6232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6712),
  [6234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5653),
  [6236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5966),
  [6238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10258),
  [6240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5967),
  [6242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12899),
  [6244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [6246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7868),
  [6248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6791),
  [6250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5345),
  [6252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6804),
  [6254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6636),
  [6256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7918),
  [6258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6855),
  [6260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7920),
  [6262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5003),
  [6264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7900),
  [6266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6897),
  [6268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5991),
  [6270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6906),
  [6272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8438),
  [6274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4946),
  [6276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13679),
  [6278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13384),
  [6280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13682),
  [6282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5569),
  [6284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10254),
  [6286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8600),
  [6288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7940),
  [6290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8603),
  [6292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [6294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5343),
  [6296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7947),
  [6298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14319),
  [6300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7948),
  [6302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6100),
  [6304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19396),
  [6306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [6308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6755),
  [6310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8651),
  [6312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6094),
  [6314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [6316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6100),
  [6318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5902),
  [6320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11128),
  [6322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11128),
  [6324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11153),
  [6326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11211),
  [6328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8590),
  [6330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6086),
  [6332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19101),
  [6334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [6336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7038),
  [6338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8645),
  [6340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6080),
  [6342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [6344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6086),
  [6346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6110),
  [6348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6144),
  [6350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19483),
  [6352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [6354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6511),
  [6356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8682),
  [6358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6143),
  [6360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [6362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6144),
  [6364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6052),
  [6366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6121),
  [6368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19209),
  [6370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [6372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7074),
  [6374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8659),
  [6376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6119),
  [6378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [6380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6121),
  [6382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6334),
  [6384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6130),
  [6386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19223),
  [6388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [6390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6991),
  [6392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8662),
  [6394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6128),
  [6396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [6398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6130),
  [6400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6158),
  [6402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19068),
  [6404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [6406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8586),
  [6408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [6410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4883),
  [6412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6890),
  [6414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19021),
  [6416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [6418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7415),
  [6420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8618),
  [6422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6845),
  [6424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [6426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6890),
  [6428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6354),
  [6430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11540),
  [6432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11540),
  [6434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11541),
  [6436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11538),
  [6438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [6440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7686),
  [6442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [6444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5881),
  [6446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6529),
  [6448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19237),
  [6450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [6452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7090),
  [6454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8663),
  [6456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6527),
  [6458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [6460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6529),
  [6462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6781),
  [6464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19109),
  [6466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [6468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8647),
  [6470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [6472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5476),
  [6474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [6476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5681),
  [6478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8630),
  [6480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8580),
  [6482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19251),
  [6484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [6486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8858),
  [6488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8664),
  [6490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8571),
  [6492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [6494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8580),
  [6496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8170),
  [6498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8632),
  [6500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4724),
  [6502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4802),
  [6504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8665),
  [6506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4723),
  [6508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [6510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4724),
  [6512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4728),
  [6514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9211),
  [6516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9853),
  [6518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8625),
  [6520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9170),
  [6522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [6524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9211),
  [6526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9171),
  [6528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12338),
  [6530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12338),
  [6532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12339),
  [6534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12333),
  [6536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5214),
  [6538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5437),
  [6540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8666),
  [6542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5212),
  [6544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [6546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5214),
  [6548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5069),
  [6550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8230),
  [6552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19117),
  [6554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [6556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9299),
  [6558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8653),
  [6560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8155),
  [6562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [6564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8230),
  [6566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8403),
  [6568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4989),
  [6570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19029),
  [6572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [6574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5038),
  [6576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8643),
  [6578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4986),
  [6580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [6582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4989),
  [6584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4899),
  [6586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8635),
  [6588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8617),
  [6590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8937),
  [6592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8626),
  [6594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8545),
  [6596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [6598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8617),
  [6600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7994),
  [6602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11960),
  [6604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11960),
  [6606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11961),
  [6608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11958),
  [6610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19181),
  [6612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [6614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8637),
  [6616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5216),
  [6618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19349),
  [6620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [6622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5438),
  [6624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8667),
  [6626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5215),
  [6628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [6630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5216),
  [6632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5083),
  [6634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6655),
  [6636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19061),
  [6638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [6640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7493),
  [6642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8621),
  [6644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7056),
  [6646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [6648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6655),
  [6650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6914),
  [6652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12028),
  [6654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12028),
  [6656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12170),
  [6658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12009),
  [6660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6547),
  [6662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19363),
  [6664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [6666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7128),
  [6668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8668),
  [6670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6546),
  [6672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [6674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6547),
  [6676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6474),
  [6678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8650),
  [6680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [6682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6995),
  [6684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6988),
  [6686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7461),
  [6688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8634),
  [6690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6911),
  [6692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [6694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6988),
  [6696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6983),
  [6698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11413),
  [6700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11413),
  [6702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11414),
  [6704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11412),
  [6706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [6708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5169),
  [6710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19037),
  [6712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [6714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8619),
  [6716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [6718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7821),
  [6720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6553),
  [6722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19384),
  [6724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [6726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7139),
  [6728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8670),
  [6730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6551),
  [6732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [6734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6553),
  [6736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6668),
  [6738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7645),
  [6740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8522),
  [6742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8628),
  [6744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7611),
  [6746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [6748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7645),
  [6750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7627),
  [6752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11696),
  [6754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11696),
  [6756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11697),
  [6758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11688),
  [6760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [6762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6013),
  [6764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [6766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6705),
  [6768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [6770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4664),
  [6772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [6774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7032),
  [6776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6632),
  [6778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19146),
  [6780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [6782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7386),
  [6784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8629),
  [6786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6574),
  [6788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [6790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6632),
  [6792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6764),
  [6794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11365),
  [6796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11365),
  [6798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11366),
  [6800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11364),
  [6802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [6804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4717),
  [6806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9433),
  [6808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19479),
  [6810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [6812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10082),
  [6814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8674),
  [6816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9927),
  [6818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [6820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9433),
  [6822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9695),
  [6824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13300),
  [6826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13300),
  [6828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13302),
  [6830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13297),
  [6832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [6834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5187),
  [6836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5207),
  [6838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5701),
  [6840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8656),
  [6842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5204),
  [6844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [6846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5207),
  [6848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5271),
  [6850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5498),
  [6852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19449),
  [6854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [6856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6104),
  [6858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8676),
  [6860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5496),
  [6862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [6864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5498),
  [6866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5703),
  [6868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6569),
  [6870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19451),
  [6872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [6874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7158),
  [6876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8677),
  [6878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6568),
  [6880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [6882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6569),
  [6884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6721),
  [6886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [6888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4760),
  [6890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7184),
  [6892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19456),
  [6894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [6896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8346),
  [6898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8678),
  [6900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7183),
  [6902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [6904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7184),
  [6906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7914),
  [6908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [6910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4855),
  [6912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4828),
  [6914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5205),
  [6916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8679),
  [6918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4827),
  [6920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [6922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4828),
  [6924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4972),
  [6926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6321),
  [6928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19167),
  [6930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [6932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6340),
  [6934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8636),
  [6936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6280),
  [6938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [6940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6321),
  [6942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6312),
  [6944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5502),
  [6946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19465),
  [6948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [6950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6115),
  [6952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8680),
  [6954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5500),
  [6956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [6958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5502),
  [6960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5365),
  [6962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6472),
  [6964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7800),
  [6966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8649),
  [6968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6462),
  [6970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [6972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6472),
  [6974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6873),
  [6976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11594),
  [6978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11594),
  [6980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11595),
  [6982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11592),
  [6984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [6986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8453),
  [6988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [6990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5426),
  [6992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [6994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5378),
  [6996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7879),
  [6998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8036),
  [7000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8641),
  [7002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7855),
  [7004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [7006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7879),
  [7008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7198),
  [7010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [7012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4903),
  [7014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [7016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5940),
  [7018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [7020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5265),
  [7022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [7024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5955),
  [7026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10155),
  [7028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4195),
  [7030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4347),
  [7032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11324),
  [7034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3383),
  [7036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10163),
  [7038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [7040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [7042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13213),
  [7044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10155),
  [7046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10873),
  [7048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11680),
  [7050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [7052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4341),
  [7054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4326),
  [7056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9457),
  [7058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10902),
  [7060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [7062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [7064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4192),
  [7066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [7068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [7070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [7072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4163),
  [7074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [7076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4181),
  [7078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [7080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [7082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [7084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4197),
  [7086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [7088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [7090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [7092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4183),
  [7094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [7096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4147),
  [7098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [7100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [7102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [7104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [7106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [7108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [7110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [7112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4185),
  [7114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4051),
  [7116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [7118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4057),
  [7120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4146),
  [7122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [7124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [7126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [7128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4145),
  [7130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4059),
  [7132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [7134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [7136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4152),
  [7138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [7140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4161),
  [7142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4068),
  [7144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4189),
  [7146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [7148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4165),
  [7150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [7152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [7154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4073),
  [7156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4177),
  [7158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [7160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4142),
  [7162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [7164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4182),
  [7166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [7168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4141),
  [7170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [7172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4193),
  [7174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4081),
  [7176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [7178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4085),
  [7180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [7182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [7184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [7186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [7188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4143),
  [7190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [7192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [7194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [7196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4144),
  [7198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [7200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4148),
  [7202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4100),
  [7204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [7206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [7208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [7210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [7212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [7214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [7216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4196),
  [7218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4019),
  [7220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [7222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4105),
  [7224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [7226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4107),
  [7228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [7230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [7232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4135),
  [7234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [7236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4169),
  [7238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [7240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [7242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [7244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4168),
  [7246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [7248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4180),
  [7250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [7252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4188),
  [7254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [7256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4184),
  [7258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [7260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4187),
  [7262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4128),
  [7264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4191),
  [7266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [7268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4194),
  [7270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [7272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4154),
  [7274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [7276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4156),
  [7278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [7280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10965),
  [7282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11713),
  [7284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerators, 2, 0, 0),
  [7286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerators, 3, 0, 0),
  [7288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0),
  [7290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0),
  [7292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerators, 2, 0, 0),
  [7294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerators, 3, 0, 0),
  [7296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4349),
  [7298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [7300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11018),
  [7302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11701),
  [7304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15787),
  [7306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15640),
  [7308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_modifier, 1, 0, 0),
  [7310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_modifier, 1, 0, 0),
  [7312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transparent_modifier, 1, 0, 0),
  [7314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12031),
  [7316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12485),
  [7318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [7320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12378),
  [7322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8108),
  [7324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11851),
  [7326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [7328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12031),
  [7330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11111),
  [7332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15613),
  [7334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12324),
  [7336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12884),
  [7338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12257),
  [7340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [7342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12324),
  [7344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11371),
  [7346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11049),
  [7348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13504),
  [7350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11977),
  [7352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3493),
  [7354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12510),
  [7356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10789),
  [7358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4294),
  [7360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13310),
  [7362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11049),
  [7364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10460),
  [7366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11506),
  [7368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13304),
  [7370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12492),
  [7372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10643),
  [7374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11588),
  [7376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9372),
  [7378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11827),
  [7380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9251),
  [7382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4328),
  [7384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11862),
  [7386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9372),
  [7388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10198),
  [7390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11593),
  [7392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12271),
  [7394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10167),
  [7396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11316),
  [7398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), REDUCE(sym__if_condition, 1, 4, 0),
  [7401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), REDUCE(sym__if_condition, 1, 4, 0),
  [7404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__if_condition, 1, 4, 0),
  [7406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_condition, 1, 4, 0),
  [7408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11718),
  [7410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10119),
  [7412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11502),
  [7414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [7416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [7418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12355),
  [7420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10986),
  [7422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11845),
  [7424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11844),
  [7426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12365),
  [7428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12334),
  [7430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10608),
  [7432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12025),
  [7434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10149),
  [7436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11590),
  [7438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10553),
  [7440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11867),
  [7442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11673),
  [7444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10725),
  [7446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11915),
  [7448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10590),
  [7450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11911),
  [7452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10623),
  [7454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12027),
  [7456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12390),
  [7458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10411),
  [7460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11920),
  [7462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10413),
  [7464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11986),
  [7466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11994),
  [7468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11992),
  [7470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10656),
  [7472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11856),
  [7474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11676),
  [7476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11926),
  [7478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10661),
  [7480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11863),
  [7482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10515),
  [7484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11869),
  [7486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12029),
  [7488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10095),
  [7490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11313),
  [7492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9988),
  [7494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11377),
  [7496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11716),
  [7498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10916),
  [7500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11729),
  [7502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10822),
  [7504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11715),
  [7506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10867),
  [7508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11846),
  [7510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9963),
  [7512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11281),
  [7514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9985),
  [7516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11228),
  [7518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10835),
  [7520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11667),
  [7522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10096),
  [7524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11248),
  [7526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11032),
  [7528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11708),
  [7530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10890),
  [7532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11728),
  [7534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10627),
  [7536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11416),
  [7538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard, 1, 0, 0),
  [7540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10741),
  [7542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11417),
  [7544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10440),
  [7546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11418),
  [7548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10852),
  [7550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11726),
  [7552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19011),
  [7554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [7556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11966),
  [7558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [7560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11264),
  [7562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11264),
  [7564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11285),
  [7566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11225),
  [7568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [7570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11115),
  [7572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11115),
  [7574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11116),
  [7576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11204),
  [7578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [7580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9111),
  [7582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9111),
  [7584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9112),
  [7586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9109),
  [7588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [7590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9134),
  [7592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9134),
  [7594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9135),
  [7596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9132),
  [7598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [7600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10013),
  [7602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10013),
  [7604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10014),
  [7606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10011),
  [7608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [7610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10653),
  [7612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10653),
  [7614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10660),
  [7616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10650),
  [7618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [7620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10083),
  [7622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10083),
  [7624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10084),
  [7626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10081),
  [7628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [7630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9524),
  [7632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9524),
  [7634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9525),
  [7636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9523),
  [7638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [7640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10796),
  [7642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10796),
  [7644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10799),
  [7646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10792),
  [7648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [7650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9387),
  [7652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9387),
  [7654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9388),
  [7656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9384),
  [7658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [7660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10640),
  [7662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10640),
  [7664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10641),
  [7666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10639),
  [7668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [7670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10702),
  [7672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10702),
  [7674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10703),
  [7676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10700),
  [7678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [7680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11459),
  [7682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11459),
  [7684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11460),
  [7686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11457),
  [7688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [7690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11262),
  [7692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11262),
  [7694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11263),
  [7696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11255),
  [7698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [7700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7832),
  [7702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7832),
  [7704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7833),
  [7706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7830),
  [7708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [7710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9692),
  [7712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9692),
  [7714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9693),
  [7716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9690),
  [7718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [7720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9328),
  [7722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9328),
  [7724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9329),
  [7726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9325),
  [7728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [7730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9354),
  [7732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9354),
  [7734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9355),
  [7736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9353),
  [7738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [7740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10542),
  [7742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10542),
  [7744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10543),
  [7746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10540),
  [7748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [7750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10563),
  [7752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10563),
  [7754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10564),
  [7756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10561),
  [7758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [7760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10585),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10585),
  [7764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10586),
  [7766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10582),
  [7768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [7770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7975),
  [7772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7975),
  [7774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7976),
  [7776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7971),
  [7778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [7780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10613),
  [7782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10613),
  [7784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10614),
  [7786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10611),
  [7788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [7790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10964),
  [7792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10964),
  [7794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11106),
  [7796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10963),
  [7798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [7800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11179),
  [7802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11179),
  [7804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11197),
  [7806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11209),
  [7808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [7810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7622),
  [7812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7622),
  [7814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7623),
  [7816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7619),
  [7818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [7820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11525),
  [7822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11525),
  [7824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11526),
  [7826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11524),
  [7828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [7830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8578),
  [7832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8578),
  [7834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8579),
  [7836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8577),
  [7838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [7840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9863),
  [7842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9863),
  [7844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9864),
  [7846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9860),
  [7848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [7850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9888),
  [7852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9888),
  [7854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9889),
  [7856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9886),
  [7858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [7860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11059),
  [7862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11059),
  [7864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11060),
  [7866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11056),
  [7868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [7870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9564),
  [7872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9564),
  [7874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9912),
  [7876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9622),
  [7878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [7880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11096),
  [7882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11096),
  [7884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10761),
  [7886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10915),
  [7888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [7890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10470),
  [7892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10470),
  [7894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10534),
  [7896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10609),
  [7898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [7900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10937),
  [7902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10937),
  [7904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10938),
  [7906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10895),
  [7908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [7910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8039),
  [7912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8039),
  [7914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8049),
  [7916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8033),
  [7918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [7920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12182),
  [7922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12182),
  [7924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12183),
  [7926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12179),
  [7928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [7930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9572),
  [7932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9572),
  [7934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9573),
  [7936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9555),
  [7938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [7940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10299),
  [7942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10299),
  [7944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10306),
  [7946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10205),
  [7948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [7950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11057),
  [7952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11057),
  [7954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10947),
  [7956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10923),
  [7958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [7960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11287),
  [7962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11287),
  [7964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11238),
  [7966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11210),
  [7968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [7970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8735),
  [7972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8735),
  [7974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8736),
  [7976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8728),
  [7978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [7980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9941),
  [7982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9941),
  [7984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9952),
  [7986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10287),
  [7988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [7990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10114),
  [7992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10114),
  [7994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10116),
  [7996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10071),
  [7998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [8000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10519),
  [8002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10519),
  [8004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10596),
  [8006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10456),
  [8008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [8010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12312),
  [8012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [8014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10366),
  [8016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10366),
  [8018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10371),
  [8020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10758),
  [8022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [8024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11031),
  [8026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11031),
  [8028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11038),
  [8030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11028),
  [8032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [8034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11046),
  [8036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11046),
  [8038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10833),
  [8040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11048),
  [8042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [8044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10924),
  [8046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10924),
  [8048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10925),
  [8050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10921),
  [8052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [8054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11095),
  [8056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11095),
  [8058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10783),
  [8060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11042),
  [8062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [8064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11519),
  [8066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11519),
  [8068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11520),
  [8070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11517),
  [8072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [8074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9668),
  [8076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9668),
  [8078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9669),
  [8080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9660),
  [8082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [8084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10625),
  [8086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10625),
  [8088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10633),
  [8090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10607),
  [8092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [8094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10403),
  [8096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10403),
  [8098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10404),
  [8100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10398),
  [8102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7602),
  [8104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10158),
  [8106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7668),
  [8108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [8110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11779),
  [8112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11779),
  [8114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11780),
  [8116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11777),
  [8118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [8120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10296),
  [8122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10296),
  [8124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10297),
  [8126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10295),
  [8128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [8130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11097),
  [8132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11097),
  [8134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11099),
  [8136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11094),
  [8138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [8140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11549),
  [8142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11549),
  [8144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11550),
  [8146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11548),
  [8148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [8150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10994),
  [8152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10994),
  [8154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11014),
  [8156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10978),
  [8158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__if_condition, 2, 4, 0),
  [8160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_condition, 2, 4, 0),
  [8162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_identifier, 1, 0, 7),
  [8164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stable_identifier, 3, 0, 0),
  [8166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stable_type_identifier, 3, 0, 0),
  [8168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [8170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8143),
  [8172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8845),
  [8174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13472),
  [8176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6726),
  [8178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5784),
  [8180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6932),
  [8182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6994),
  [8184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7033),
  [8186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6729),
  [8188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11071),
  [8190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [8192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13291),
  [8194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [8196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13565),
  [8198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [8200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10234),
  [8202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10271),
  [8204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19460),
  [8206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [8208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [8210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13301),
  [8212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17654),
  [8214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13304),
  [8216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4256),
  [8218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12492),
  [8220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12537),
  [8222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10260),
  [8224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10351),
  [8226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12536),
  [8228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13149),
  [8230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18442),
  [8232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15536),
  [8234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15721),
  [8236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13782),
  [8238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4520),
  [8240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9053),
  [8242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9062),
  [8244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9063),
  [8246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9066),
  [8248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4616),
  [8250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15377),
  [8252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15536),
  [8254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15593),
  [8256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19426),
  [8258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [8260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [8262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation, 2, 0, 3),
  [8264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation, 2, 0, 3),
  [8266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3829),
  [8268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [8270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13545),
  [8272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13288),
  [8274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17458),
  [8276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13504),
  [8278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4254),
  [8280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12510),
  [8282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12680),
  [8284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12640),
  [8286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13395),
  [8288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4573),
  [8290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4574),
  [8292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14387),
  [8294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4621),
  [8296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4622),
  [8298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15273),
  [8300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11917),
  [8302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19077),
  [8304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [8306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12261),
  [8308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11901),
  [8310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [8312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11917),
  [8314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11860),
  [8316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13127),
  [8318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4643),
  [8320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4585),
  [8322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15328),
  [8324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4600),
  [8326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4601),
  [8328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15348),
  [8330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12233),
  [8332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19377),
  [8334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [8336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12637),
  [8338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12218),
  [8340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [8342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12233),
  [8344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12282),
  [8346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4563),
  [8348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4564),
  [8350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14258),
  [8352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4231),
  [8354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13089),
  [8356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13299),
  [8358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__annotated_type, 1, 0, 0),
  [8360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__annotated_type, 1, 0, 0),
  [8362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [8364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8832),
  [8366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [8368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13216),
  [8370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_application, 1, 0, 0),
  [8372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_application, 1, 0, 0),
  [8374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7472),
  [8376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4605),
  [8378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4606),
  [8380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14600),
  [8382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4577),
  [8384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4578),
  [8386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14599),
  [8388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11888),
  [8390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4237),
  [8392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [8394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14225),
  [8396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19053),
  [8398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [8400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14684),
  [8402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14227),
  [8404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [8406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14225),
  [8408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14366),
  [8410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0),
  [8412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [8414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17437),
  [8416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17462),
  [8418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4632),
  [8420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4633),
  [8422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14158),
  [8424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11988),
  [8426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4536),
  [8428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4538),
  [8430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14276),
  [8432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9586),
  [8434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9536),
  [8436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9515),
  [8438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [8440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9586),
  [8442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9821),
  [8444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7134),
  [8446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7764),
  [8448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7950),
  [8450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [8452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7134),
  [8454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7437),
  [8456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10760),
  [8458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19293),
  [8460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [8462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10500),
  [8464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10544),
  [8466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10760),
  [8470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10465),
  [8472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6125),
  [8474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5992),
  [8476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6123),
  [8478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [8480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6125),
  [8482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6145),
  [8484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14288),
  [8486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1, 0, 0),
  [8488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14290),
  [8490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [8492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9289),
  [8494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [8496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13492),
  [8498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [8500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [8502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13283),
  [8504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7176),
  [8506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7941),
  [8508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7174),
  [8510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [8512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7176),
  [8514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7647),
  [8516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [8518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [8520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14342),
  [8522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 44),
  [8524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8549),
  [8526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8057),
  [8528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8546),
  [8530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [8532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8549),
  [8534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8089),
  [8536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [8538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, 0, 0),
  [8540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5211),
  [8542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19461),
  [8544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [8546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5193),
  [8548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5210),
  [8550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [8552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5211),
  [8554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5048),
  [8556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_type, 2, 0, 43),
  [8558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19462),
  [8560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [8562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_type, 2, 0, 43),
  [8564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7547),
  [8566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6132),
  [8568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6085),
  [8570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6131),
  [8572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [8574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6132),
  [8576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5823),
  [8578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4960),
  [8580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19300),
  [8582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [8584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4861),
  [8586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4952),
  [8588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [8590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4960),
  [8592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4900),
  [8594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6563),
  [8596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6481),
  [8598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6561),
  [8600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [8602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6563),
  [8604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6539),
  [8606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__infix_type_choice, 1, 0, 0),
  [8608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__infix_type_choice, 1, 0, 0),
  [8610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14269),
  [8612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9327),
  [8614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8950),
  [8616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9311),
  [8618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [8620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9327),
  [8622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9099),
  [8624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7815),
  [8626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7594),
  [8628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7804),
  [8630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [8632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7815),
  [8634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7147),
  [8636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1, 0, 0),
  [8638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1, 0, 0),
  [8640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_types, 1, 0, 0),
  [8642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14103),
  [8644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14328),
  [8646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [8648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [8650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13164),
  [8652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5376),
  [8654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19307),
  [8656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [8658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5393),
  [8660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5364),
  [8662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [8664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5376),
  [8666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5520),
  [8668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [8670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [8672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13218),
  [8674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14172),
  [8676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5801),
  [8678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18978),
  [8680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [8682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6243),
  [8684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5810),
  [8686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [8688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5801),
  [8690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5901),
  [8692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8908),
  [8694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14337),
  [8696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_tuple_type, 3, 0, 0),
  [8698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14411),
  [8700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14412),
  [8702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19342),
  [8704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [8706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [8708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_singleton_type, 3, 0, 0),
  [8710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7337),
  [8712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15440),
  [8714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14490),
  [8716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14492),
  [8718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14506),
  [8720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14507),
  [8722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14513),
  [8724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15487),
  [8726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_projected_type, 3, 0, 89),
  [8728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19286),
  [8730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [8732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8084),
  [8734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8432),
  [8736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7979),
  [8738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [8740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8084),
  [8742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8559),
  [8744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10128),
  [8746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_pattern, 3, 0, 0),
  [8748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13577),
  [8750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11868),
  [8752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [8754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10093),
  [8756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4351),
  [8758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_identifier, 1, 0, 7), REDUCE(sym__simple_expression, 1, 0, 0),
  [8761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4353),
  [8763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10128),
  [8765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4354),
  [8767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19469),
  [8769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [8771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15360),
  [8773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15469),
  [8775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14479),
  [8777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_tuple_type, 4, 0, 0),
  [8779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4, 0, 0),
  [8781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8454),
  [8783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8222),
  [8785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8389),
  [8787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [8789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8454),
  [8791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8260),
  [8793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5401),
  [8795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5589),
  [8797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5384),
  [8799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [8801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5401),
  [8803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5700),
  [8805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15305),
  [8807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15340),
  [8809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15356),
  [8811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15358),
  [8813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5236),
  [8815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19069),
  [8817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [8819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5283),
  [8821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5133),
  [8823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [8825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5236),
  [8827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5043),
  [8829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6697),
  [8831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6680),
  [8833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6484),
  [8835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [8837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6697),
  [8839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6989),
  [8841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_tuple_type, 5, 0, 0),
  [8843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 5, 0, 0),
  [8845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3898),
  [8847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8960),
  [8849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [8851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13160),
  [8853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8317),
  [8855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8426),
  [8857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8325),
  [8859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [8861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8317),
  [8863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8238),
  [8865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8836),
  [8867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8923),
  [8869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8811),
  [8871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [8873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8836),
  [8875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8782),
  [8877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5773),
  [8879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19160),
  [8881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [8883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5352),
  [8885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5721),
  [8887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [8889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5773),
  [8891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5693),
  [8893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7600),
  [8895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7119),
  [8897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7709),
  [8899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7111),
  [8901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [8903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7119),
  [8905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7388),
  [8907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6371),
  [8909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6564),
  [8911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7046),
  [8913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [8915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6371),
  [8917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7062),
  [8919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6512),
  [8921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6409),
  [8923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6403),
  [8925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [8927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6512),
  [8929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6556),
  [8931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [8933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8843),
  [8935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [8937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13243),
  [8939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_identifier, 1, 0, 7),
  [8941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8996),
  [8943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation, 3, 0, 59),
  [8945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation, 3, 0, 59),
  [8947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefix_expression, 2, 0, 0),
  [8949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefix_expression, 2, 0, 0),
  [8951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13979),
  [8953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0),
  [8955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0),
  [8957] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1792),
  [8960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_identifier, 1, 0, 7), REDUCE(sym__simple_expression, 1, 0, 0),
  [8963] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_identifier, 1, 0, 7), REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3503),
  [8967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12765),
  [8969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_identifier, 1, 0, 7), SHIFT(531),
  [8972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_identifier, 1, 0, 7), SHIFT(832),
  [8975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19477),
  [8977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [8979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7601),
  [8981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8738),
  [8983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [8985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [8987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 1, 0, 0),
  [8989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [8991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [8993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13569),
  [8995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 67),
  [8997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_expression, 3, 0, 67),
  [8999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [9001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7485),
  [9003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [9005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8731),
  [9007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [9009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13269),
  [9011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [9013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [9015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13572),
  [9017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12718),
  [9019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [9021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19488),
  [9023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [9025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7618),
  [9027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [9029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [9031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13259),
  [9033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [9035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8846),
  [9037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [9039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13258),
  [9041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19314),
  [9043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [9045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7417),
  [9047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7492),
  [9049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [9051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [9053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [9055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13226),
  [9057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4298),
  [9059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__postfix_expression_choice, 1, 0, 0),
  [9061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_body, 2, 0, 0),
  [9063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_body, 2, 0, 0),
  [9065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4308),
  [9067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4298),
  [9069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [9071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [9073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [9075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13353),
  [9077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0),
  [9079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6726),
  [9082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(5784),
  [9085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6932),
  [9088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6994),
  [9091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7033),
  [9094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6729),
  [9097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0),
  [9099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [9101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [9103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13249),
  [9105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [9107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [9109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [9111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [9113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8963),
  [9115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7412),
  [9117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [9119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8969),
  [9121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [9123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13174),
  [9125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_tuple_type, 4, 0, 0),
  [9127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19464),
  [9129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [9131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7555),
  [9133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [9135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 5, 0, 0),
  [9137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9014),
  [9139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [9141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [9143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, 0, 0),
  [9145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1813),
  [9148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19466),
  [9150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [9152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7559),
  [9154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [9156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [9158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13168),
  [9160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wildcard, 1, 0, 0),
  [9162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [9164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [9166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13176),
  [9168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [9170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [9172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13193),
  [9174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19494),
  [9176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [9178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7641),
  [9180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1826),
  [9183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [9185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [9187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13224),
  [9189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12841),
  [9191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13925),
  [9193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12788),
  [9195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13872),
  [9197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [9199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [9201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13555),
  [9203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0),
  [9205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0),
  [9207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8832),
  [9210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [9212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_tuple_type, 5, 0, 0),
  [9214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1890),
  [9217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1866),
  [9220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8748),
  [9222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [9224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [9226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [9228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [9230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8925),
  [9232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [9234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13595),
  [9236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19431),
  [9238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [9240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7478),
  [9242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [9244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [9246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13151),
  [9248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotated_type, 2, 0, 0),
  [9250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotated_type, 2, 0, 0),
  [9252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [9254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [9256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12563),
  [9258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [9260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9046),
  [9262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [9264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13354),
  [9266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7569),
  [9268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8908),
  [9271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8914),
  [9273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7195),
  [9275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [9277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [9279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13526),
  [9281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8835),
  [9283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stable_type_identifier, 3, 0, 0),
  [9285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19436),
  [9287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [9289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7490),
  [9291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1, 0, 0),
  [9293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [9295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13854),
  [9297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15737),
  [9299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8844),
  [9301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8916),
  [9303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 0, 44),
  [9305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16381),
  [9307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_tuple_type, 3, 0, 0),
  [9309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_singleton_type, 3, 0, 0),
  [9311] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), REDUCE(sym_binding, 1, 10, 2), SHIFT(4315),
  [9315] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), REDUCE(sym_binding, 1, 10, 2), SHIFT(11858),
  [9319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7607),
  [9321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_projected_type, 3, 0, 89),
  [9323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 4, 0, 0),
  [9325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [9327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [9329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13271),
  [9331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [9333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8996),
  [9336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19481),
  [9338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [9340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7609),
  [9342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 17),
  [9344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(19300),
  [9347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(49),
  [9350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 17),
  [9352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7387),
  [9354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [9356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14013),
  [9358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [9360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19484),
  [9362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [9364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7612),
  [9366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3694),
  [9368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [9370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13514),
  [9372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16735),
  [9374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19174),
  [9376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [9378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7347),
  [9380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14029),
  [9382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7442),
  [9384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7434),
  [9386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1793),
  [9389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_annotation_repeat1, 1, 0, 0),
  [9391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12724),
  [9393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [9395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [9397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13612),
  [9399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1812),
  [9402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [9404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1892),
  [9407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19093),
  [9409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [9411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7232),
  [9413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9289),
  [9416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [9418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [9420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8766),
  [9422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [9424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13471),
  [9426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [9428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [9430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19478),
  [9432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [9434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7605),
  [9436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12629),
  [9438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8982),
  [9440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [9442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9413),
  [9444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [9446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13270),
  [9448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1847),
  [9451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9310),
  [9453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13658),
  [9455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12639),
  [9457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12624),
  [9459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8911),
  [9461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [9463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12727),
  [9465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1794),
  [9468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [9470] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1895),
  [9473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [9475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [9477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8784),
  [9479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [9481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13581),
  [9483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17010),
  [9485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19489),
  [9487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [9489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7626),
  [9491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [9493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [9495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7629),
  [9497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19463),
  [9499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [9501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7551),
  [9503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [9505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [9507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13267),
  [9509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9072),
  [9511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8967),
  [9513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8977),
  [9515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1868),
  [9518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [9520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12568),
  [9522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8960),
  [9525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [9527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12888),
  [9529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [9531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [9533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13386),
  [9535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8963),
  [9538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [9540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [9542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13233),
  [9544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9003),
  [9546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [9548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9004),
  [9550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [9552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13230),
  [9554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8738),
  [9557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1839),
  [9560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3953),
  [9562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [9564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13263),
  [9566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8852),
  [9568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [9570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [9572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13423),
  [9574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19321),
  [9576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [9578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7424),
  [9580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13050),
  [9582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12783),
  [9584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8844),
  [9587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8880),
  [9589] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1789),
  [9592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [9594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [9596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2721),
  [9598] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__type_identifier, 1, 0, 7), REDUCE(sym__simple_expression, 1, 0, 0), REDUCE(sym_binding, 1, 10, 2),
  [9602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13119),
  [9604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_identifier, 1, 0, 7), SHIFT(1035),
  [9607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8846),
  [9610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [9612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12793),
  [9614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13986),
  [9616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [9618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [9620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13580),
  [9622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9008),
  [9624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12801),
  [9626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3856),
  [9628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [9630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13591),
  [9632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1851),
  [9635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [9637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [9639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13603),
  [9641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [9643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [9645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13621),
  [9647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88),
  [9649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88),
  [9651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7472),
  [9654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9017),
  [9656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9020),
  [9658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19452),
  [9660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [9662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7510),
  [9664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9014),
  [9667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13770),
  [9669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1929),
  [9671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unit, 2, 0, 0),
  [9673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unit, 2, 0, 0),
  [9675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bindings, 2, 0, 0),
  [9677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [9679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1814),
  [9682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19491),
  [9684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [9686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7631),
  [9688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1817),
  [9691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1820),
  [9694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [9696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [9698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13208),
  [9700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19495),
  [9702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [9704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7644),
  [9706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19446),
  [9708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [9710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7496),
  [9712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19496),
  [9714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [9716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7646),
  [9718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1830),
  [9721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [9723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19370),
  [9725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [9727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7436),
  [9729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12819),
  [9731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12848),
  [9733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(19069),
  [9736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(17),
  [9739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [9741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [9743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13275),
  [9745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3672),
  [9747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [9749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13418),
  [9751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [9753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [9755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13599),
  [9757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16500),
  [9759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8779),
  [9761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(19461),
  [9764] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(87),
  [9767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13647),
  [9769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [9771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [9773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [9775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8795),
  [9777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [9779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13146),
  [9781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7449),
  [9783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [9785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8871),
  [9787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [9789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13360),
  [9791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7507),
  [9793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [9795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1573),
  [9797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [9799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4172),
  [9801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [9803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4171),
  [9805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [9807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2410),
  [9809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [9811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [9813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [9815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8854),
  [9817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [9819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13274),
  [9821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [9823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [9825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7500),
  [9827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16594),
  [9829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7547),
  [9832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1893),
  [9835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 1, 0, 0),
  [9837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 1, 0, 0),
  [9839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13061),
  [9841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12721),
  [9843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1897),
  [9846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [9848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2390),
  [9850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [9852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16675),
  [9854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3869),
  [9856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8934),
  [9858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [9860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13610),
  [9862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [9864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1864),
  [9867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1915),
  [9870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8914),
  [9873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [9875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [9877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13281),
  [9879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8916),
  [9882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7579),
  [9884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [9886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8835),
  [9889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_opaque_modifier, 1, 0, 0),
  [9891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8731),
  [9894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(834),
  [9896] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8843),
  [9899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [9901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [9903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13400),
  [9905] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8748),
  [9908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3809),
  [9910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [9912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13465),
  [9914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [9916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [9918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13214),
  [9920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8921),
  [9922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [9924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [9926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13248),
  [9928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19473),
  [9930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [9932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7581),
  [9934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [9936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9310),
  [9939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19497),
  [9941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [9943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7649),
  [9945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4229),
  [9947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4245),
  [9949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4229),
  [9951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17659),
  [9953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12893),
  [9955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7618),
  [9958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13651),
  [9960] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1799),
  [9963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12650),
  [9965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19468),
  [9967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [9969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7566),
  [9971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1834),
  [9974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [9976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [9978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13242),
  [9980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17646),
  [9982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [9984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [9986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [9988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13617),
  [9990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8967),
  [9993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19188),
  [9995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [9997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7362),
  [9999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1840),
  [10002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1841),
  [10005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12901),
  [10007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 87),
  [10009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 87),
  [10011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9003),
  [10014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_block, 3, 0, 0),
  [10016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_block, 3, 0, 0),
  [10018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8931),
  [10020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17181),
  [10022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8865),
  [10024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12684),
  [10026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1968),
  [10028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4205),
  [10030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4207),
  [10032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2323),
  [10034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4205),
  [10036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [10038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19448),
  [10040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [10042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7503),
  [10044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_body, 1, 0, 0),
  [10046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_body, 1, 0, 0),
  [10048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8990),
  [10050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8941),
  [10052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7262),
  [10054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body, 2, 0, 0),
  [10056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__braced_template_body, 2, 0, 0),
  [10058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3885),
  [10060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [10062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13147),
  [10064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12632),
  [10066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9072),
  [10069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17166),
  [10071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19486),
  [10073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [10075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7615),
  [10077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body, 3, 0, 0),
  [10079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__braced_template_body, 3, 0, 0),
  [10081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indented_template_body, 4, 0, 0),
  [10083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__indented_template_body, 4, 0, 0),
  [10085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(19307),
  [10088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(50),
  [10091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indented_template_body, 5, 0, 0),
  [10093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__indented_template_body, 5, 0, 0),
  [10095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1848),
  [10098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [10100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [10102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [10104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13411),
  [10106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14009),
  [10108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1932),
  [10110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4206),
  [10112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4215),
  [10114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [10116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4206),
  [10118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [10120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4202),
  [10122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4200),
  [10124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2402),
  [10126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4202),
  [10128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [10130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1666),
  [10132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9022),
  [10134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7601),
  [10137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [10139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1739),
  [10141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4203),
  [10143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4201),
  [10145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [10147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4203),
  [10149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [10151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [10153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8919),
  [10155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [10157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8883),
  [10159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8969),
  [10162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19471),
  [10164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [10166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7575),
  [10168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4226),
  [10170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__postfix_expression_choice, 1, 0, 0),
  [10172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4228),
  [10174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4226),
  [10176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [10178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [10180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modifiers, 1, 0, 0),
  [10182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(19160),
  [10185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(29),
  [10188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7392),
  [10190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7417),
  [10193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19457),
  [10195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [10197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7524),
  [10199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8888),
  [10201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2263),
  [10203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [10205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2197),
  [10207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1875),
  [10210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2273),
  [10212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1724),
  [10214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19467),
  [10216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [10218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7564),
  [10220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indented_cases, 3, 0, 0),
  [10222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indented_cases, 3, 0, 0),
  [10224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17378),
  [10226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1898),
  [10229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indented_block, 4, 0, 0),
  [10231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indented_block, 4, 0, 0),
  [10233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [10235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8911),
  [10238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(19349),
  [10241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(7),
  [10244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1564),
  [10246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9046),
  [10249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12586),
  [10251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1815),
  [10254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [10256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [10258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13413),
  [10260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [10262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [10264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8947),
  [10266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [10268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13145),
  [10270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13723),
  [10272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12558),
  [10274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8977),
  [10277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__end_marker, 2, 0, 0),
  [10279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__end_marker, 2, 0, 0),
  [10281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__end_marker, 2, 0, 15),
  [10283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__end_marker, 2, 0, 15),
  [10285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12644),
  [10287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12856),
  [10289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [10291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [10293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [10295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7586),
  [10297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [10299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [10301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13185),
  [10303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8925),
  [10306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3666),
  [10308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [10310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13385),
  [10312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8762),
  [10314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7600),
  [10317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [10319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9169),
  [10321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [10323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13370),
  [10325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17355),
  [10327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [10329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [10331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [10333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [10335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13600),
  [10337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9351),
  [10339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8895),
  [10341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [10343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8691),
  [10345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [10347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13256),
  [10349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13752),
  [10351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [10353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [10355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13344),
  [10357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1959),
  [10359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [10361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9093),
  [10363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [10365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13312),
  [10367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1906),
  [10370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [10372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [10374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13198),
  [10376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indented_block, 3, 0, 0),
  [10378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indented_block, 3, 0, 0),
  [10380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7300),
  [10382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8982),
  [10385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7337),
  [10388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17433),
  [10390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_modifier, 1, 0, 0),
  [10392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14055),
  [10394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_modifier, 1, 0, 0),
  [10396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16792),
  [10398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [10400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_argument, 3, 0, 146),
  [10402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_colon_argument, 3, 0, 146),
  [10404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14060),
  [10406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7490),
  [10409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1873),
  [10412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [10414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19475),
  [10416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [10418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7591),
  [10420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [10422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [10424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13215),
  [10426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15886),
  [10428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13811),
  [10430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [10432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [10434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8702),
  [10436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [10438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13417),
  [10440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12797),
  [10442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8766),
  [10445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1796),
  [10448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12687),
  [10450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1797),
  [10453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9010),
  [10455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7492),
  [10458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1800),
  [10461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(19449),
  [10464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(75),
  [10467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19482),
  [10469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [10471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7610),
  [10473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13948),
  [10475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [10477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [10479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [10481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13170),
  [10483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1804),
  [10486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [10488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9004),
  [10491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12707),
  [10493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9008),
  [10496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19485),
  [10498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [10500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7613),
  [10502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7641),
  [10505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1858),
  [10508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12670),
  [10510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12697),
  [10512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(19455),
  [10515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [10517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7519),
  [10519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8880),
  [10522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8885),
  [10524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19401),
  [10526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [10528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7445),
  [10530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19487),
  [10532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [10534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7617),
  [10536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9017),
  [10539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9413),
  [10542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9020),
  [10545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8792),
  [10547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4220),
  [10549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4223),
  [10551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2398),
  [10553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4220),
  [10555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [10557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19258),
  [10559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [10561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7396),
  [10563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [10565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8814),
  [10567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [10569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13157),
  [10571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12739),
  [10573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3503),
  [10576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [10578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [10580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [10582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7431),
  [10584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9212),
  [10586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19492),
  [10588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [10590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7635),
  [10592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12746),
  [10594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8952),
  [10596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [10598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [10600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13173),
  [10602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14042),
  [10604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [10606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3738),
  [10608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [10610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13424),
  [10612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11685),
  [10614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4345),
  [10616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [10618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11695),
  [10620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4346),
  [10622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4348),
  [10624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [10626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1824),
  [10629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1877),
  [10632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [10634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(19335),
  [10637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1832),
  [10640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12832),
  [10642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [10644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8779),
  [10647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [10649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [10651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13250),
  [10653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12906),
  [10655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7555),
  [10658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1882),
  [10661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1842),
  [10664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7559),
  [10667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [10669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12663),
  [10671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [10673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [10675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12743),
  [10677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1965),
  [10679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1901),
  [10682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quote_expression, 2, 0, 0),
  [10684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quote_expression, 2, 0, 0),
  [10686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12754),
  [10688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 0),
  [10690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 0),
  [10692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string_expression, 2, 0, 23),
  [10694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string_expression, 2, 0, 23),
  [10696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8754),
  [10698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7455),
  [10700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8979),
  [10702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(19465),
  [10705] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(91),
  [10708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [10710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [10712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15879),
  [10714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7412),
  [10717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1884),
  [10720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1709),
  [10722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4214),
  [10724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4211),
  [10726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [10728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [10730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [10732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [10734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4204),
  [10736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4213),
  [10738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2303),
  [10740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [10742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [10744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_splice_expression, 2, 0, 0),
  [10746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_splice_expression, 2, 0, 0),
  [10748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4219),
  [10750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4225),
  [10752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2190),
  [10754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4219),
  [10756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [10758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_function, 2, 0, 21),
  [10760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_function, 2, 0, 21),
  [10762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [10764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__refinement, 1, 0, 40),
  [10766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__refinement, 1, 0, 40),
  [10768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_type, 2, 0, 41),
  [10770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_type, 2, 0, 41),
  [10772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 22),
  [10774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 22),
  [10776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_type, 3, 0, 43),
  [10778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_type, 3, 0, 43),
  [10780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string, 2, 0, 0),
  [10782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string, 2, 0, 0),
  [10784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2299),
  [10786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1695),
  [10788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1908),
  [10791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7478),
  [10794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3, 0, 0),
  [10796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 0),
  [10798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quote_expression, 4, 0, 0),
  [10800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quote_expression, 4, 0, 0),
  [10802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string, 3, 0, 0),
  [10804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string, 3, 0, 0),
  [10806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [10808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instance_expression, 3, 0, 17),
  [10810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_expression, 3, 0, 17),
  [10812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8852),
  [10815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1767),
  [10817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [10819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2415),
  [10821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [10823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 1, 0, 0),
  [10825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 1, 0, 0),
  [10827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 65),
  [10829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 65),
  [10831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__non_null_literal, 1, 0, 0),
  [10833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__non_null_literal, 1, 0, 0),
  [10835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [10837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [10839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8986),
  [10841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4218),
  [10843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4224),
  [10845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [10847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4218),
  [10849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [10851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_argument, 1, 0, 0),
  [10853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_colon_argument, 1, 0, 0),
  [10855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 68),
  [10857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 68),
  [10859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7424),
  [10862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8784),
  [10865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(18978),
  [10868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(9),
  [10871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [10873] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1914),
  [10876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7485),
  [10879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8994),
  [10881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7394),
  [10883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [10885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8713),
  [10887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [10889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [10891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13150),
  [10893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16822),
  [10895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [10897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [10899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [10901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13510),
  [10903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [10905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 4, 0, 0),
  [10907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 4, 0, 0),
  [10909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_splice_expression, 4, 0, 0),
  [10911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_splice_expression, 4, 0, 0),
  [10913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4222),
  [10915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4217),
  [10917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [10919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4222),
  [10921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [10923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9137),
  [10925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_type, 3, 0, 67),
  [10927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_type, 3, 0, 67),
  [10929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8722),
  [10931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12576),
  [10933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16998),
  [10935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 5, 0, 0),
  [10937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 5, 0, 0),
  [10939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_application, 2, 0, 42),
  [10941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_application, 2, 0, 42),
  [10943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12731),
  [10945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [10947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(19453),
  [10950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [10952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7513),
  [10954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13852),
  [10956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1808),
  [10959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12951),
  [10961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [10963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7515),
  [10965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(19279),
  [10968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [10970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7408),
  [10972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3893),
  [10974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [10976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13155),
  [10978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_pattern, 3, 0, 67),
  [10980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_pattern, 3, 0, 67),
  [10982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14028),
  [10984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [10986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4249),
  [10988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4247),
  [10990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [10992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4249),
  [10994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [10996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8718),
  [10998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8990),
  [11001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_qualifier, 3, 0, 0),
  [11003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_qualifier, 3, 0, 0),
  [11005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14006),
  [11007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1957),
  [11009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2300),
  [11011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_capture_pattern, 3, 0, 100),
  [11013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_capture_pattern, 3, 0, 100),
  [11015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12811),
  [11017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9013),
  [11019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3517),
  [11021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4314),
  [11023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4342),
  [11025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11742),
  [11027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8883),
  [11030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7626),
  [11033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [11035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9022),
  [11038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7347),
  [11041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4232),
  [11043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4230),
  [11045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [11047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4232),
  [11049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [11051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1900),
  [11054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12852),
  [11056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12591),
  [11058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7569),
  [11061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19493),
  [11063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [11065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7638),
  [11067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [11069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [11071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13547),
  [11073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19459),
  [11075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [11077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7532),
  [11079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8809),
  [11081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [11083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7311),
  [11085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_modifier, 2, 0, 0),
  [11087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_modifier, 2, 0, 0),
  [11089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8919),
  [11092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4289),
  [11094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12241),
  [11096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [11098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11932),
  [11100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8921),
  [11103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1878),
  [11106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1802),
  [11109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1904),
  [11112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1819),
  [11115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4259),
  [11117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4233),
  [11119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [11121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4259),
  [11123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [11125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12822),
  [11127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8865),
  [11130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [11132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [11134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13431),
  [11136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7195),
  [11139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12594),
  [11141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [11143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8845),
  [11146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [11148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8931),
  [11151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9351),
  [11154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2416),
  [11156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [11158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12868),
  [11160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2367),
  [11162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14022),
  [11164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0),
  [11166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transparent_modifier, 1, 0, 0),
  [11168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1822),
  [11171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19411),
  [11173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [11175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7453),
  [11177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16729),
  [11179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8934),
  [11182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [11184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7288),
  [11186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1880),
  [11189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12549),
  [11191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(19483),
  [11194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(109),
  [11197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [11199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12340),
  [11201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8829),
  [11203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4243),
  [11205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4236),
  [11207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2266),
  [11209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [11211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [11213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12767),
  [11215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8716),
  [11217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7807),
  [11219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8941),
  [11222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1849),
  [11225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19453),
  [11227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19421),
  [11229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [11231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7462),
  [11233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [11235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(19328),
  [11238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [11240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7428),
  [11242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [11244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [11246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [11248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1825),
  [11251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(19101),
  [11254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(21),
  [11257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1912),
  [11260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7232),
  [11263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12691),
  [11265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [11267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8995),
  [11269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [11271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13576),
  [11273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2372),
  [11275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2290),
  [11277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [11279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [11281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13477),
  [11283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13003),
  [11285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(19209),
  [11288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(36),
  [11291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8871),
  [11294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15885),
  [11296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1870),
  [11299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7605),
  [11302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16664),
  [11304] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), REDUCE(sym_binding, 1, 10, 0), SHIFT(4315),
  [11308] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), REDUCE(sym_binding, 1, 10, 0), SHIFT(11858),
  [11312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8854),
  [11315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16858),
  [11317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7607),
  [11320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(19125),
  [11323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12572),
  [11325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4241),
  [11327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4253),
  [11329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2193),
  [11331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4241),
  [11333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [11335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4257),
  [11337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4251),
  [11339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2356),
  [11341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4257),
  [11343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [11345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12498),
  [11347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_modifier, 1, 0, 0),
  [11349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12533),
  [11351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(19223),
  [11354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(38),
  [11357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8895),
  [11360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7609),
  [11363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8904),
  [11365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4315),
  [11367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11858),
  [11369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alternative_pattern, 3, 0, 0),
  [11371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alternative_pattern, 3, 0, 0),
  [11373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [11375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(19321),
  [11378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8795),
  [11381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12837),
  [11383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_modifier, 1, 0, 0),
  [11385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7551),
  [11388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [11390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13589),
  [11392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [11394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1836),
  [11397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(19454),
  [11400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12580),
  [11402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7612),
  [11405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1811),
  [11408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [11410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7400),
  [11412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1838),
  [11415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13868),
  [11417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8762),
  [11420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [11422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(19265),
  [11425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1852),
  [11428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12598),
  [11430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [11432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7403),
  [11434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4271),
  [11436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4264),
  [11438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4271),
  [11440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [11442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1860),
  [11445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(19272),
  [11448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3708),
  [11450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13753),
  [11452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [11454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3715),
  [11456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [11458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14844),
  [11460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15000),
  [11462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14794),
  [11464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [11466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14844),
  [11468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14786),
  [11470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3659),
  [11472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13468),
  [11474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12299),
  [11476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2554),
  [11478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [11480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4355),
  [11482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4350),
  [11484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4340),
  [11486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4352),
  [11488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12204),
  [11490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13209),
  [11492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12211),
  [11494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12222),
  [11496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9203),
  [11498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12238),
  [11500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12611),
  [11502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type, 1, 0, 0), SHIFT(79),
  [11505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13409),
  [11507] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1823),
  [11510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14826),
  [11512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [11514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [11516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14893),
  [11518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [11520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8792),
  [11523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16204),
  [11525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4267),
  [11527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4260),
  [11529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2234),
  [11531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [11533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [11535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [11537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [11539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [11541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19458),
  [11543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [11545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7528),
  [11547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [11549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2339),
  [11551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3532),
  [11553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [11555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3540),
  [11557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [11559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11508),
  [11561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11529),
  [11563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2328),
  [11565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [11567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [11569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [11571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3724),
  [11573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [11575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3726),
  [11577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [11579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13059),
  [11581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13066),
  [11583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1869),
  [11586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3730),
  [11588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [11590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3731),
  [11592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [11594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13322),
  [11596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13614),
  [11598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13686),
  [11600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13926),
  [11602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8899),
  [11604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4005),
  [11606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [11608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7496),
  [11611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7387),
  [11614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12656),
  [11616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(19363),
  [11619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(57),
  [11622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3807),
  [11624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [11626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [11628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16241),
  [11630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7510),
  [11633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(19139),
  [11636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19476),
  [11638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [11640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7596),
  [11642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(19384),
  [11645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(60),
  [11648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1881),
  [11651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12681),
  [11653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1, 0, 0),
  [11655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1, 0, 0),
  [11657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4270),
  [11659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4262),
  [11661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [11663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4270),
  [11665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [11667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4261),
  [11669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14014),
  [11671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4263),
  [11673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [11675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4261),
  [11677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [11679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1885),
  [11682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1944),
  [11684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9093),
  [11687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(19451),
  [11690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(77),
  [11693] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type, 1, 0, 0), SHIFT(52),
  [11696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16928),
  [11698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8888),
  [11701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8955),
  [11703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12540),
  [11705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [11707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [11709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13624),
  [11711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12545),
  [11713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_modifiers, 1, 0, 0),
  [11715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8691),
  [11718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9392),
  [11720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12749),
  [11722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19153),
  [11724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [11726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7322),
  [11728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2558),
  [11730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1910),
  [11733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8947),
  [11736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12602),
  [11738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8952),
  [11741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8713),
  [11744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9169),
  [11747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1791),
  [11750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1909),
  [11753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8979),
  [11756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8986),
  [11759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8994),
  [11762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9243),
  [11764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7629),
  [11767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7631),
  [11770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1805),
  [11773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12487),
  [11775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9010),
  [11778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7644),
  [11781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7646),
  [11784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1827),
  [11787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15923),
  [11789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1795),
  [11792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7434),
  [11795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7436),
  [11798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12876),
  [11800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(19237),
  [11803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(40),
  [11806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2720),
  [11809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), REDUCE(sym_binding, 1, 10, 2),
  [11812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7442),
  [11815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7566),
  [11818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2240),
  [11820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7503),
  [11823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2301),
  [11825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16053),
  [11827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [11829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8830),
  [11831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [11833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13197),
  [11835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(19001),
  [11838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(10),
  [11841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12491),
  [11843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(19109),
  [11846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(22),
  [11849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9137),
  [11852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [11854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7575),
  [11857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7507),
  [11860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7579),
  [11863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structural_type, 1, 0, 8),
  [11865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structural_type, 1, 0, 8),
  [11867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7581),
  [11870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 2, 0, 80),
  [11872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 2, 0, 80),
  [11874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12762),
  [11876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [11878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7381),
  [11880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8702),
  [11883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [11885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2213),
  [11887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7362),
  [11890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 2, 0, 81),
  [11892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 2, 0, 81),
  [11894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8814),
  [11897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2242),
  [11899] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7513),
  [11902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19265),
  [11904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12776),
  [11906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__indented_type_cases, 3, 0, 0),
  [11908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indented_type_cases, 3, 0, 0),
  [11910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1854),
  [11913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_lambda, 6, 0, 187),
  [11915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_lambda, 6, 0, 187),
  [11917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_lambda, 6, 0, 188),
  [11919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_lambda, 6, 0, 188),
  [11921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8754),
  [11924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(19202),
  [11927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4274),
  [11929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13702),
  [11931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4332),
  [11933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [11935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4274),
  [11937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [11939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1883),
  [11942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(19029),
  [11945] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(12),
  [11948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [11950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12516),
  [11952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8716),
  [11955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arrow_then_type, 2, 0, 11),
  [11957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_then_type, 2, 0, 11),
  [11959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12979),
  [11961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7615),
  [11964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2349),
  [11966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8829),
  [11969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1960),
  [11971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7524),
  [11974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7449),
  [11977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2363),
  [11979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [11981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13107),
  [11983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_lambda, 7, 0, 200),
  [11985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_lambda, 7, 0, 200),
  [11987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_type, 3, 0, 0),
  [11989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_type, 3, 0, 0),
  [11991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9386),
  [11993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9212),
  [11996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8722),
  [11999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12710),
  [12001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8885),
  [12004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16513),
  [12006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9013),
  [12009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1810),
  [12012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1855),
  [12015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7649),
  [12018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13022),
  [12020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type, 1, 0, 0), SHIFT(44),
  [12023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_lambda, 5, 0, 164),
  [12025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_lambda, 5, 0, 164),
  [12027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7465),
  [12029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(19456),
  [12032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(82),
  [12035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8904),
  [12038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1837),
  [12041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1846),
  [12044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12934),
  [12046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [12048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2400),
  [12050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_class_pattern_repeat1, 2, 0, 0),
  [12052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [12054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [12056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13221),
  [12058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [12060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7564),
  [12063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7500),
  [12066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8809),
  [12069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12062),
  [12071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12652),
  [12073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12023),
  [12075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [12077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12062),
  [12079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12302),
  [12081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7445),
  [12084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11611),
  [12086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14477),
  [12088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11832),
  [12090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [12092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11611),
  [12094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14121),
  [12096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12001),
  [12098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12354),
  [12100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11999),
  [12102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3006),
  [12104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12001),
  [12106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11937),
  [12108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7519),
  [12111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(19117),
  [12114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(23),
  [12117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2265),
  [12119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7396),
  [12122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [12124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11739),
  [12126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12181),
  [12128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11699),
  [12130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [12132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11739),
  [12134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11864),
  [12136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13542),
  [12138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13638),
  [12140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13539),
  [12142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [12144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13542),
  [12146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13584),
  [12148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(19093),
  [12151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12522),
  [12153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13552),
  [12155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13720),
  [12157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13550),
  [12159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [12161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13552),
  [12163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13389),
  [12165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11584),
  [12167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11775),
  [12169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11583),
  [12171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [12173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11584),
  [12175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11400),
  [12177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12015),
  [12179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12462),
  [12181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12014),
  [12183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [12185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12015),
  [12187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12169),
  [12189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [12191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7367),
  [12193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8899),
  [12196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [12198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4499),
  [12200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_expression, 4, 0, 122),
  [12202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_expression, 4, 0, 122),
  [12204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12290),
  [12206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13051),
  [12208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12289),
  [12210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [12212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12290),
  [12214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12189),
  [12216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13963),
  [12218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14074),
  [12220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13961),
  [12222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [12224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13963),
  [12226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13960),
  [12228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [12230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8258),
  [12232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9321),
  [12234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8118),
  [12236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [12238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8258),
  [12240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8329),
  [12242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13965),
  [12244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14110),
  [12246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13964),
  [12248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [12250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13965),
  [12252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13841),
  [12254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4315),
  [12257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(11858),
  [12260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13074),
  [12262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13524),
  [12264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13073),
  [12266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [12268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13074),
  [12270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12948),
  [12272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13969),
  [12274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14156),
  [12276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13968),
  [12278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [12280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13969),
  [12282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13630),
  [12284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(19195),
  [12287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11831),
  [12289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12007),
  [12291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11830),
  [12293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [12295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11831),
  [12297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11745),
  [12299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13078),
  [12301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13537),
  [12303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13077),
  [12305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [12307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13078),
  [12309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12989),
  [12311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1874),
  [12314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13559),
  [12316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13946),
  [12318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13558),
  [12320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [12322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13559),
  [12324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13459),
  [12326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7586),
  [12329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7591),
  [12332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10581),
  [12334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13052),
  [12336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [12338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10581),
  [12340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12480),
  [12342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(19251),
  [12345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(42),
  [12348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8955),
  [12351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12606),
  [12353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9000),
  [12355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7610),
  [12358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8995),
  [12361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13137),
  [12363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7613),
  [12366] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1907),
  [12369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11720),
  [12371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12002),
  [12373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11712),
  [12375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [12377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11720),
  [12379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11694),
  [12381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7617),
  [12384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11303),
  [12386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11687),
  [12388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11307),
  [12390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [12392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11303),
  [12394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11597),
  [12396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8718),
  [12399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7635),
  [12402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7431),
  [12405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16741),
  [12407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7392),
  [12410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1867),
  [12413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9243),
  [12416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7262),
  [12419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1035),
  [12422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13497),
  [12424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13797),
  [12426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13483),
  [12428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [12430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13497),
  [12432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13521),
  [12434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7300),
  [12437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2716),
  [12439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7408),
  [12442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7455),
  [12445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7453),
  [12448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1863),
  [12451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7532),
  [12454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7621),
  [12456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_identifier, 1, 0, 7), SHIFT(975),
  [12459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7428),
  [12462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13929),
  [12464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7638),
  [12467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7400),
  [12470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12844),
  [12472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_identifier, 1, 0, 7), REDUCE(sym_binding, 1, 10, 2),
  [12475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7311),
  [12478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4362),
  [12480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4361),
  [12482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4362),
  [12484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [12486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2723),
  [12488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9392),
  [12491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_identifier, 1, 0, 7), SHIFT(1089),
  [12494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7462),
  [12497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13090),
  [12499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(19068),
  [12502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(8),
  [12505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8876),
  [12508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7515),
  [12511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7394),
  [12514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2216),
  [12516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2360),
  [12518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7288),
  [12521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8830),
  [12524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7528),
  [12527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1887),
  [12530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7403),
  [12533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6998),
  [12535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7001),
  [12537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_val, 1, 0, 0),
  [12539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_val, 1, 0, 0),
  [12541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7112),
  [12543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7113),
  [12545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8926),
  [12547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8928),
  [12549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6824),
  [12551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6826),
  [12553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7807),
  [12556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9909),
  [12558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9919),
  [12560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9782),
  [12562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9807),
  [12564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8481),
  [12566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8482),
  [12568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8721),
  [12570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8723),
  [12572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7322),
  [12575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_val, 3, 0, 0),
  [12577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_val, 3, 0, 0),
  [12579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8890),
  [12581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8891),
  [12583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_val, 2, 0, 0),
  [12585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_val, 2, 0, 0),
  [12587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10131),
  [12589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10143),
  [12591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_var, 1, 0, 0),
  [12593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_var, 1, 0, 0),
  [12595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7596),
  [12598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_var, 3, 0, 0),
  [12600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_var, 3, 0, 0),
  [12602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6315),
  [12604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6316),
  [12606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8473),
  [12608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8474),
  [12610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8889),
  [12612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8892),
  [12614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2725),
  [12616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1828),
  [12619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9687),
  [12621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9689),
  [12623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5697),
  [12625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5698),
  [12627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_var, 2, 0, 0),
  [12629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_var, 2, 0, 0),
  [12631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6278),
  [12633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6279),
  [12635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9386),
  [12638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13975),
  [12640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extension_definition_repeat1, 2, 0, 0),
  [12642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extension_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(11071),
  [12645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12620),
  [12647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16225),
  [12649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(19293),
  [12652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 17), SHIFT(48),
  [12655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9000),
  [12658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2726),
  [12661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), REDUCE(sym_binding, 1, 10, 0),
  [12664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7381),
  [12667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11976),
  [12669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19122),
  [12671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18042),
  [12673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19250),
  [12675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15116),
  [12677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17743),
  [12679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2736),
  [12681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15611),
  [12683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18890),
  [12685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19038),
  [12687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18175),
  [12689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11340),
  [12691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2549),
  [12693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14708),
  [12695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19350),
  [12697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19036),
  [12699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18873),
  [12701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18152),
  [12703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19169),
  [12705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11331),
  [12707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2550),
  [12709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14260),
  [12711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17868),
  [12713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19283),
  [12715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18364),
  [12717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18308),
  [12719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19324),
  [12721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7367),
  [12724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7465),
  [12727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19444),
  [12729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15240),
  [12731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18575),
  [12733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18017),
  [12735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19513),
  [12737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 1, 0, 2),
  [12739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8166),
  [12741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8761),
  [12743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13611),
  [12745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4516),
  [12747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 1, 0, 2), SHIFT(16331),
  [12750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17787),
  [12752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [12754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [12756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13285),
  [12758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [12760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13152),
  [12762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19393),
  [12764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15336),
  [12766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17819),
  [12768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11589),
  [12770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2556),
  [12772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11390),
  [12774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15450),
  [12776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18416),
  [12778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17848),
  [12780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18757),
  [12782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_identifier, 1, 0, 7), SHIFT(13095),
  [12785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13096),
  [12787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_identifier, 1, 0, 7), SHIFT(8108),
  [12790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_identifier, 1, 0, 7), SHIFT(11043),
  [12793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_identifier, 1, 0, 7), SHIFT(15631),
  [12796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11195),
  [12798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15388),
  [12800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15066),
  [12802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [12804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9343),
  [12806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [12808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13573),
  [12810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stable_identifier, 3, 0, 0),
  [12812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_given_definition_repeat1, 2, 0, 0),
  [12814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_given_definition_repeat1, 2, 0, 0),
  [12816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_given_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(10903),
  [12819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7621),
  [12822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3951),
  [12824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13254),
  [12826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15489),
  [12828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [12830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13180),
  [12832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [12834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15423),
  [12836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11249),
  [12838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15169),
  [12840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14854),
  [12842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8175),
  [12844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8685),
  [12846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13644),
  [12848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4496),
  [12850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 1, 0, 2), SHIFT(17021),
  [12853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14383),
  [12855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_pattern, 3, 0, 99),
  [12857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_val_declaration, 4, 0, 110),
  [12859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_val_declaration, 4, 0, 110),
  [12861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [12863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_pattern, 3, 0, 99),
  [12865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 4, 0, 110),
  [12867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_declaration, 4, 0, 110),
  [12869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [12871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [12873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13158),
  [12875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [12877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8868),
  [12879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [12881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13321),
  [12883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7355),
  [12885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19133),
  [12887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17808),
  [12889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18640),
  [12891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19327),
  [12893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14098),
  [12895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14167),
  [12897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14212),
  [12899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15869),
  [12901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14386),
  [12903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14630),
  [12905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14480),
  [12907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14481),
  [12909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [12911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extension_definition_repeat1, 1, 0, 0),
  [12913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12506),
  [12915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 1, 0, 0),
  [12917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 24),
  [12919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 24), SHIFT(16331),
  [12922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2, 0, 0),
  [12924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12771),
  [12926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3, 0, 0),
  [12928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1859),
  [12931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3818),
  [12933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13498),
  [12935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 4, 0, 0),
  [12937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__using_parameters_clause, 4, 0, 0),
  [12939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15601),
  [12941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 5, 0, 0),
  [12943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__using_parameters_clause, 5, 0, 0),
  [12945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 6, 0, 0),
  [12947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__using_parameters_clause, 6, 0, 0),
  [12949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [12951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [12953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13280),
  [12955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3, 0, 18),
  [12957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [12959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [12961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4, 0, 18),
  [12963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4, 0, 96),
  [12965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5, 0, 96),
  [12967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15761),
  [12969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15870),
  [12971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1861),
  [12974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11409),
  [12976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11427),
  [12978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12915),
  [12980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [12982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [12984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13172),
  [12986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11444),
  [12988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11456),
  [12990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8933),
  [12992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [12994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_tuple_pattern, 4, 0, 0),
  [12996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_tuple_pattern, 4, 0, 0),
  [12998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13712),
  [13000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17569),
  [13002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3789),
  [13004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3792),
  [13006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3700),
  [13008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [13010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [13012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13349),
  [13014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3812),
  [13016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [13018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9429),
  [13020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13604),
  [13022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10341),
  [13024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3816),
  [13026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3819),
  [13028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [13030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [13032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3754),
  [13034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3756),
  [13036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7506),
  [13038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_given_pattern, 2, 0, 54),
  [13040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_pattern, 2, 0, 54),
  [13042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 5, 0, 0),
  [13044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 5, 0, 0),
  [13046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_tuple_pattern, 5, 0, 0),
  [13048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_tuple_pattern, 5, 0, 0),
  [13050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_class_pattern, 5, 0, 170),
  [13052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_class_pattern, 5, 0, 170),
  [13054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1843),
  [13057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [13059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13303),
  [13061] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1831),
  [13064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_repeat_pattern, 2, 0, 56),
  [13066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeat_pattern, 2, 0, 56),
  [13068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 24), SHIFT(17021),
  [13071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12617),
  [13073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [13075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [13077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_tuple_pattern, 3, 0, 0),
  [13079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_tuple_pattern, 3, 0, 0),
  [13081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [13083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13179),
  [13085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17673),
  [13087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17617),
  [13089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_class_pattern, 6, 0, 190),
  [13091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_class_pattern, 6, 0, 190),
  [13093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_class_pattern, 3, 0, 93),
  [13095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_class_pattern, 3, 0, 93),
  [13097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13972),
  [13099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17571),
  [13101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13996),
  [13103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17406),
  [13105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14027),
  [13107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17665),
  [13109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14045),
  [13111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17627),
  [13113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14063),
  [13115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17680),
  [13117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13631),
  [13119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17405),
  [13121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [13123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13637),
  [13125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17523),
  [13127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [13129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [13131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13646),
  [13133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17606),
  [13135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_class_pattern, 4, 0, 139),
  [13137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_class_pattern, 4, 0, 139),
  [13139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13654),
  [13141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17720),
  [13143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12882),
  [13145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13659),
  [13147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17689),
  [13149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13667),
  [13151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17751),
  [13153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13676),
  [13155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17574),
  [13157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13685),
  [13159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17704),
  [13161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [13163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13690),
  [13165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17352),
  [13167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13698),
  [13169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17413),
  [13171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13707),
  [13173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17457),
  [13175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [13177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13711),
  [13179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17508),
  [13181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13719),
  [13183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17553),
  [13185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13726),
  [13187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17590),
  [13189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13734),
  [13191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17631),
  [13193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13742),
  [13195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17693),
  [13197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13748),
  [13199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17755),
  [13201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13754),
  [13203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17510),
  [13205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13765),
  [13207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17567),
  [13209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13774),
  [13211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17372),
  [13213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13781),
  [13215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17563),
  [13217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13788),
  [13219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17684),
  [13221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13794),
  [13223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17576),
  [13225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13801),
  [13227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17415),
  [13229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13807),
  [13231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17512),
  [13233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13814),
  [13235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17554),
  [13237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13820),
  [13239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17591),
  [13241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13829),
  [13243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17639),
  [13245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13835),
  [13247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17683),
  [13249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13842),
  [13251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17711),
  [13253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13846),
  [13255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17727),
  [13257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13853),
  [13259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17753),
  [13261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13858),
  [13263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17347),
  [13265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13863),
  [13267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17363),
  [13269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13871),
  [13271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17383),
  [13273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13877),
  [13275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17401),
  [13277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13884),
  [13279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17411),
  [13281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13887),
  [13283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17423),
  [13285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13889),
  [13287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17435),
  [13289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13892),
  [13291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17449),
  [13293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13896),
  [13295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17466),
  [13297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13902),
  [13299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17476),
  [13301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13907),
  [13303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17496),
  [13305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13912),
  [13307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17509),
  [13309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13919),
  [13311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17522),
  [13313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13923),
  [13315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17536),
  [13317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13927),
  [13319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17549),
  [13321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13931),
  [13323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17558),
  [13325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3709),
  [13327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3713),
  [13329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9203),
  [13332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 4, 0, 0),
  [13334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 4, 0, 0),
  [13336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ascription_expression, 3, 4, 0),
  [13338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12319),
  [13340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18916),
  [13342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10283),
  [13344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15086),
  [13346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15032),
  [13348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15086),
  [13350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13495),
  [13352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13088),
  [13354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12554),
  [13356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 4, 0, 84),
  [13358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [13360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16331),
  [13362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19504),
  [13364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19548),
  [13366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 2, 0, 11),
  [13368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [13370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 3, 0, 39),
  [13372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [13374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 3, 0, 46),
  [13376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [13378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [13380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 4, 0, 116),
  [13382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [13384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 4, 0, 118),
  [13386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [13388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 5, 0, 144),
  [13390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [13392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 5, 0, 152),
  [13394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [13396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 5, 0, 154),
  [13398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [13400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 6, 0, 179),
  [13402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [13404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [13406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13268),
  [13408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14967),
  [13410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13501),
  [13412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12581),
  [13414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15090),
  [13416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14967),
  [13418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13329),
  [13420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 1, 0, 13),
  [13422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19068),
  [13424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4498),
  [13426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12314),
  [13428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 1, 0, 13), SHIFT(15494),
  [13431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18302),
  [13433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18078),
  [13435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [13437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18030),
  [13439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19215),
  [13441] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1856),
  [13444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [13446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [13448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1886),
  [13451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3947),
  [13453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13239),
  [13455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17360),
  [13457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16575),
  [13459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17657),
  [13461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12713),
  [13463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [13465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10352),
  [13467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [13469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17391),
  [13471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [13473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [13475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [13477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13153),
  [13479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12539),
  [13481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 1, 0, 2),
  [13483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 24),
  [13485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 24), SHIFT(16331),
  [13488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [13490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18778),
  [13492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18564),
  [13494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18500),
  [13496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18504),
  [13498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18899),
  [13500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18917),
  [13502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19060),
  [13504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19070),
  [13506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19180),
  [13508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19184),
  [13510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19261),
  [13512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19266),
  [13514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19336),
  [13516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19343),
  [13518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19400),
  [13520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19404),
  [13522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19521),
  [13524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19523),
  [13526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18844),
  [13528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19090),
  [13530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18262),
  [13532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18279),
  [13534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19268),
  [13536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19302),
  [13538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17889),
  [13540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17891),
  [13542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 2),
  [13544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 2), SHIFT(16331),
  [13547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18032),
  [13549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18037),
  [13551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18197),
  [13553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18209),
  [13555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18401),
  [13557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18407),
  [13559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18597),
  [13561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18605),
  [13563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18781),
  [13565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18791),
  [13567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18909),
  [13569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18921),
  [13571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19080),
  [13573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19088),
  [13575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19311),
  [13577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19325),
  [13579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19529),
  [13581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19538),
  [13583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17792),
  [13585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17794),
  [13587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17824),
  [13589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17826),
  [13591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17853),
  [13593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17855),
  [13595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17879),
  [13597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17881),
  [13599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17904),
  [13601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17906),
  [13603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17929),
  [13605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17931),
  [13607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17954),
  [13609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17956),
  [13611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17977),
  [13613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17979),
  [13615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18000),
  [13617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18002),
  [13619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18023),
  [13621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18025),
  [13623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18046),
  [13625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18048),
  [13627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18069),
  [13629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18071),
  [13631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18092),
  [13633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18094),
  [13635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18115),
  [13637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18117),
  [13639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18136),
  [13641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18138),
  [13643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18158),
  [13645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18160),
  [13647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18180),
  [13649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18182),
  [13651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18202),
  [13653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18204),
  [13655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18224),
  [13657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18226),
  [13659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18246),
  [13661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18248),
  [13663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18268),
  [13665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18270),
  [13667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18289),
  [13669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18291),
  [13671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18310),
  [13673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18312),
  [13675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18331),
  [13677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18333),
  [13679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18352),
  [13681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18354),
  [13683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18373),
  [13685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18375),
  [13687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18392),
  [13689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18394),
  [13691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18412),
  [13693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18414),
  [13695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18431),
  [13697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18433),
  [13699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18451),
  [13701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18453),
  [13703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18471),
  [13705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18473),
  [13707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18491),
  [13709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18493),
  [13711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18511),
  [13713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18513),
  [13715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18531),
  [13717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18533),
  [13719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18543),
  [13721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18545),
  [13723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18555),
  [13725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18557),
  [13727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18567),
  [13729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18569),
  [13731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18578),
  [13733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18580),
  [13735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18589),
  [13737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18591),
  [13739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18600),
  [13741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18602),
  [13743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18611),
  [13745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17768),
  [13747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18622),
  [13749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18624),
  [13751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18633),
  [13753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18635),
  [13755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18644),
  [13757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18646),
  [13759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12779),
  [13761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, 0, 106),
  [13763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12806),
  [13765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [13767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [13769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8933),
  [13772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [13774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13143),
  [13776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1806),
  [13779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19109),
  [13781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4503),
  [13783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12373),
  [13785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 1, 0, 13), SHIFT(15381),
  [13788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indentable_expression, 1, 0, 0),
  [13790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [13792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15565),
  [13794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 3, 0, 64),
  [13796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [13798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9984),
  [13800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1903),
  [13803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19426),
  [13805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [13807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13294),
  [13809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [13811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 3, 0, 53),
  [13813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 2, 0, 0),
  [13815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [13817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [13819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 1, 0, 2),
  [13821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [13823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [13825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [13827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15608),
  [13829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 47),
  [13831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10077),
  [13833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 3, 10, 107),
  [13835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14774),
  [13837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 3, 10, 108),
  [13839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [13841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 1, 0, 2),
  [13843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8181),
  [13845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [13847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [13849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 4, 0, 98),
  [13851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [13853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [13855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 4, 0, 101),
  [13857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_while_expression, 4, 0, 109),
  [13859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [13861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 2, 0, 60),
  [13863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10904),
  [13865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12969),
  [13867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 4, 0, 121),
  [13869] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_match_expression, 3, 0, 64), REDUCE(sym_match_expression, 4, 0, 121),
  [13872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12671),
  [13874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 1, 0, 2),
  [13876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13129),
  [13878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1891),
  [13881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [13883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [13885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 2, 0, 0),
  [13887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(8108),
  [13890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(10904),
  [13893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(15509),
  [13896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, 0, 0),
  [13898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_block, 2, 0, 0),
  [13900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12675),
  [13902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [13904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_parameter_type, 2, 0, 54),
  [13906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [13908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [13910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [13912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3785),
  [13914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4395),
  [13916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2, 0, 0),
  [13918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14400),
  [13920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [13922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [13924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeated_parameter_type, 2, 0, 93),
  [13926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14859),
  [13928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [13930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [13932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [13934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [13936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 5, 0, 137),
  [13938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 5, 0, 140),
  [13940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3852),
  [13942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13583),
  [13944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9343),
  [13947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 3, 0, 16),
  [13949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3957),
  [13951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13277),
  [13953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1865),
  [13956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 6, 0, 168),
  [13958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 6, 0, 169),
  [13960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [13962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 6, 0, 171),
  [13964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [13966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 6, 0, 176),
  [13968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 5, 0, 137), REDUCE(sym_if_expression, 6, 0, 176),
  [13971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1845),
  [13974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13017),
  [13976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, 0, 102),
  [13978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [13980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 66),
  [13982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [13984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [13986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [13988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 5, 0, 138),
  [13990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expr_case_clause, 3, 0, 75),
  [13992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 7, 0, 192),
  [13994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 6, 0, 168), REDUCE(sym_if_expression, 7, 0, 192),
  [13997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [13999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19460),
  [14001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [14003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 0),
  [14005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 4, 0, 16),
  [14007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7598),
  [14009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7542),
  [14011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 2), SHIFT(17021),
  [14014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12977),
  [14016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 24), SHIFT(17021),
  [14019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [14021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [14023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [14025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [14027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12553),
  [14029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [14031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 1, 0, 0),
  [14033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 1, 0, 0),
  [14035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [14037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8062),
  [14039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7674),
  [14041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15111),
  [14043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18688),
  [14045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15019),
  [14047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8803),
  [14049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8204),
  [14051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11290),
  [14053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9736),
  [14055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9810),
  [14057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6405),
  [14059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6871),
  [14061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [14063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8816),
  [14065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8825),
  [14067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1905),
  [14070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12335),
  [14072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19206),
  [14074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13067),
  [14076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12411),
  [14078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [14080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9266),
  [14082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [14084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13466),
  [14086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6864),
  [14088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11029),
  [14090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6453),
  [14092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8136),
  [14094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8418),
  [14096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13093),
  [14098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13104),
  [14100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4630),
  [14102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10844),
  [14104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13463),
  [14106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9124),
  [14108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9348),
  [14110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [14112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13202),
  [14114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8146),
  [14116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8160),
  [14118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12358),
  [14120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [14122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7749),
  [14124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7036),
  [14126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9138),
  [14128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12920),
  [14130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9154),
  [14132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8357),
  [14134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7928),
  [14136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7761),
  [14138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7773),
  [14140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8416),
  [14142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7097),
  [14144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8366),
  [14146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8376),
  [14148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11368),
  [14150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7864),
  [14152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6689),
  [14154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8437),
  [14156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8449),
  [14158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12648),
  [14160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11317),
  [14162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12212),
  [14164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11923),
  [14166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7882),
  [14168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7886),
  [14170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5451),
  [14172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5574),
  [14174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12654),
  [14176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1790),
  [14179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12661),
  [14181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15504),
  [14183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4857),
  [14185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4791),
  [14187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5360),
  [14189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5611),
  [14191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5244),
  [14193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4906),
  [14195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [14197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4985),
  [14199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4979),
  [14201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7165),
  [14203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6495),
  [14205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5267),
  [14207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5302),
  [14209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13253),
  [14211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6583),
  [14213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6116),
  [14215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7168),
  [14217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7175),
  [14219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7070),
  [14221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6749),
  [14223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6692),
  [14225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6779),
  [14227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1798),
  [14230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5934),
  [14232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5482),
  [14234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6476),
  [14236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6948),
  [14238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6497),
  [14240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7023),
  [14242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5948),
  [14244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [14246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7265),
  [14248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6363),
  [14250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_applications, 1, 0, 71),
  [14252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4580),
  [14254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [14256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6621),
  [14258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6660),
  [14260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7296),
  [14262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7360),
  [14264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7273),
  [14266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7279),
  [14268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8310),
  [14270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7379),
  [14272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7302),
  [14274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7309),
  [14276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13206),
  [14278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9122),
  [14280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9288),
  [14282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8344),
  [14284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_given_definition_repeat1, 1, 0, 0),
  [14286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_given_definition_repeat1, 1, 0, 0),
  [14288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8356),
  [14290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8492),
  [14292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7398),
  [14294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9144),
  [14296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9161),
  [14298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11965),
  [14300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11823),
  [14302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8512),
  [14304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8518),
  [14306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10373),
  [14308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10727),
  [14310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11968),
  [14312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11970),
  [14314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4959),
  [14316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4829),
  [14318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10399),
  [14320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10415),
  [14322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5072),
  [14324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4872),
  [14326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4970),
  [14328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4975),
  [14330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5458),
  [14332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5465),
  [14334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5075),
  [14336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5079),
  [14338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(8181),
  [14341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(10844),
  [14344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(15518),
  [14347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5127),
  [14349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4931),
  [14351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5467),
  [14353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5553),
  [14355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5357),
  [14357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5514),
  [14359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5140),
  [14361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5150),
  [14363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5851),
  [14365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5540),
  [14367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5396),
  [14369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5409),
  [14371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7471),
  [14373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7512),
  [14375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5858),
  [14377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5863),
  [14379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6383),
  [14381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5994),
  [14383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7476),
  [14385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7481),
  [14387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13724),
  [14389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13397),
  [14391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6422),
  [14393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6455),
  [14395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6200),
  [14397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5949),
  [14399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12825),
  [14401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12407),
  [14403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13785),
  [14405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17416),
  [14407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13932),
  [14409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12947),
  [14411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12423),
  [14413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12880),
  [14415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17700),
  [14417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12922),
  [14419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7535),
  [14421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7603),
  [14423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12954),
  [14425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12961),
  [14427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6053),
  [14429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5686),
  [14431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7541),
  [14433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7545),
  [14435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6436),
  [14437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6151),
  [14439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6068),
  [14441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6074),
  [14443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5937),
  [14445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7584),
  [14447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6626),
  [14449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6441),
  [14451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6456),
  [14453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6533),
  [14455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6165),
  [14457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7588),
  [14459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7592),
  [14461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6221),
  [14463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1809),
  [14466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14695),
  [14468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13053),
  [14470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6540),
  [14472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [14474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15874),
  [14476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6545),
  [14478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6601),
  [14480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6176),
  [14482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14698),
  [14484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14702),
  [14486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8965),
  [14488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8080),
  [14490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6610),
  [14492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6613),
  [14494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12228),
  [14496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11916),
  [14498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8970),
  [14500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8973),
  [14502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12237),
  [14504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12247),
  [14506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4795),
  [14508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4645),
  [14510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8066),
  [14512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8069),
  [14514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5463),
  [14516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5041),
  [14518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4696),
  [14520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4739),
  [14522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5019),
  [14524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4800),
  [14526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5395),
  [14528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5521),
  [14530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5031),
  [14532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4875),
  [14534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5021),
  [14536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13306),
  [14538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5023),
  [14540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6892),
  [14542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6306),
  [14544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5034),
  [14546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5036),
  [14548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [14550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13246),
  [14552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14061),
  [14554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13220),
  [14556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6901),
  [14558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6903),
  [14560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12283),
  [14562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6968),
  [14564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5811),
  [14566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13775),
  [14568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13759),
  [14570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6305),
  [14572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5817),
  [14574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6978),
  [14576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6985),
  [14578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6368),
  [14580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5826),
  [14582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6314),
  [14584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6319),
  [14586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7727),
  [14588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7758),
  [14590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6672),
  [14592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6882),
  [14594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6577),
  [14596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5840),
  [14598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7731),
  [14600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7734),
  [14602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13749),
  [14604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13449),
  [14606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6753),
  [14608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6886),
  [14610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8282),
  [14612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8330),
  [14614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13821),
  [14616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13870),
  [14618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5649),
  [14620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5234),
  [14622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7771),
  [14624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6608),
  [14626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8287),
  [14628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8291),
  [14630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15691),
  [14632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11655),
  [14634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11446),
  [14636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7776),
  [14638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7779),
  [14640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9228),
  [14642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8367),
  [14644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11658),
  [14646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11660),
  [14648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12448),
  [14650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12021),
  [14652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9234),
  [14654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9237),
  [14656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 3, 0, 2),
  [14658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 3, 0, 2),
  [14660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5096),
  [14662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5108),
  [14664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12172),
  [14666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12178),
  [14668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5669),
  [14670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4833),
  [14672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4701),
  [14674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5098),
  [14676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5100),
  [14678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5485),
  [14680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5113),
  [14682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4837),
  [14684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4840),
  [14686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5888),
  [14688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5916),
  [14690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [14692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5492),
  [14694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5538),
  [14696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5123),
  [14698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5892),
  [14700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5894),
  [14702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11674),
  [14704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12878),
  [14706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12205),
  [14708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5548),
  [14710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5551),
  [14712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5428),
  [14714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 3, 0, 24),
  [14716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 3, 0, 24),
  [14718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7840),
  [14720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6519),
  [14722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12886),
  [14724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12891),
  [14726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14083),
  [14728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13890),
  [14730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7843),
  [14732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7846),
  [14734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5640),
  [14736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5143),
  [14738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14105),
  [14740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14134),
  [14742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7863),
  [14744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6658),
  [14746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5651),
  [14748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5661),
  [14750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 3, 0, 60),
  [14752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 3, 0, 60),
  [14754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14069),
  [14756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14021),
  [14758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7867),
  [14760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7870),
  [14762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 3, 0, 37),
  [14764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 3, 0, 37),
  [14766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6591),
  [14768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5964),
  [14770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14102),
  [14772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 3, 0, 82),
  [14774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 3, 0, 82),
  [14776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14126),
  [14778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7896),
  [14780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6769),
  [14782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6630),
  [14784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6640),
  [14786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4940),
  [14788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4713),
  [14790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7899),
  [14792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7902),
  [14794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10248),
  [14796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9842),
  [14798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4943),
  [14800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4947),
  [14802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5592),
  [14804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5161),
  [14806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10253),
  [14808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10257),
  [14810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6834),
  [14812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6955),
  [14814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5342),
  [14816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5344),
  [14818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5986),
  [14820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5375),
  [14822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6841),
  [14824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6851),
  [14826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 5, 0, 131),
  [14828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 5, 0, 131),
  [14830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13376),
  [14832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12998),
  [14834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5988),
  [14836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5990),
  [14838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7935),
  [14840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7015),
  [14842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13380),
  [14844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13383),
  [14846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14261),
  [14848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13740),
  [14850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7937),
  [14852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7939),
  [14854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8362),
  [14856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7095),
  [14858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14289),
  [14860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14302),
  [14862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11943),
  [14864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11778),
  [14866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7983),
  [14868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8129),
  [14870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5177),
  [14872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4912),
  [14874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11945),
  [14876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11947),
  [14878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6036),
  [14880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5422),
  [14882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5179),
  [14884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5181),
  [14886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13442),
  [14888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13041),
  [14890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6040),
  [14892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6043),
  [14894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6058),
  [14896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5436),
  [14898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13444),
  [14900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13447),
  [14902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6393),
  [14904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6082),
  [14906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6062),
  [14908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6065),
  [14910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13832),
  [14912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13486),
  [14914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6398),
  [14916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6401),
  [14918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13836),
  [14920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13839),
  [14922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11637),
  [14924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11398),
  [14926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11665),
  [14928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11668),
  [14930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11608),
  [14932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8109),
  [14934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8223),
  [14936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1871),
  [14939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8159),
  [14941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8206),
  [14943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12863),
  [14945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10221),
  [14947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7518),
  [14949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7043),
  [14951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7539),
  [14953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9429),
  [14956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7563),
  [14958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 3, 0, 60),
  [14960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10066),
  [14962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8072),
  [14964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8612),
  [14966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8093),
  [14968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8117),
  [14970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13225),
  [14972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14931),
  [14974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12896),
  [14976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7720),
  [14978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6508),
  [14980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7742),
  [14982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7781),
  [14984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 2, 0, 33),
  [14986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9331),
  [14988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8127),
  [14990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9358),
  [14992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9368),
  [14994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 2, 0, 0),
  [14996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 2, 0, 0),
  [14998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14542),
  [15000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14141),
  [15002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12250),
  [15004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12276),
  [15006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13917),
  [15008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15655),
  [15010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5327),
  [15012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5330),
  [15014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14562),
  [15016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14585),
  [15018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15260),
  [15020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5491),
  [15022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5078),
  [15024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5046),
  [15026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5053),
  [15028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12180),
  [15030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 2, 0, 49),
  [15032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 2, 0, 49), SHIFT(15494),
  [15035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 4, 0, 24),
  [15037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 4, 0, 24),
  [15039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 4, 0, 131),
  [15041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 4, 0, 131),
  [15043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 4, 0, 60),
  [15045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 4, 0, 60),
  [15047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 4, 0, 82),
  [15049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 4, 0, 82),
  [15051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12392),
  [15053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11883),
  [15055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9897),
  [15057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9471),
  [15059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5510),
  [15061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 2, 0, 2),
  [15063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 2, 0, 2),
  [15065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12298),
  [15067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12022),
  [15069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5530),
  [15071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9596),
  [15073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11928),
  [15075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9239),
  [15077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8431),
  [15079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12419),
  [15081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 2, 0, 47),
  [15083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 2, 0, 47),
  [15085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12430),
  [15087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 2, 0, 37),
  [15089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 2, 0, 37),
  [15091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6760),
  [15093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5828),
  [15095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9263),
  [15097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_sig, 2, 0, 0),
  [15099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_sig, 2, 0, 0),
  [15101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9283),
  [15103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [15105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13189),
  [15107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15042),
  [15109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14840),
  [15111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4583),
  [15113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4481),
  [15115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8868),
  [15118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 2, 0, 2),
  [15120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6793),
  [15122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6833),
  [15124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [15126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [15128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [15130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9615),
  [15132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11993),
  [15134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9554),
  [15136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9059),
  [15138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 3, 0, 47),
  [15140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 3, 0, 47),
  [15142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17748),
  [15144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4455),
  [15146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 70),
  [15148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 70), SHIFT(16331),
  [15151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15248),
  [15153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13684),
  [15155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1913),
  [15158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8274),
  [15160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7312),
  [15162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7766),
  [15164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12521),
  [15166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8391),
  [15168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5507),
  [15170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11650),
  [15172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12010),
  [15174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9225),
  [15176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9179),
  [15178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12426),
  [15180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5093),
  [15182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10350),
  [15184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [15186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [15188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10344),
  [15190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10350),
  [15192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4824),
  [15194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5478),
  [15196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9598),
  [15198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [15200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [15202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9578),
  [15204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9598),
  [15206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8551),
  [15208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12240),
  [15210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8461),
  [15212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5882),
  [15214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9812),
  [15216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [15218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [15220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9728),
  [15222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9812),
  [15224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5519),
  [15226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12867),
  [15228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11975),
  [15230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 25),
  [15232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 25), SHIFT(16331),
  [15235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7836),
  [15237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8489),
  [15239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [15241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [15243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8486),
  [15245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8489),
  [15247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14335),
  [15249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [15251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5634),
  [15253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 2, 0, 24),
  [15255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6534),
  [15257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [15259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [15261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6531),
  [15263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6534),
  [15265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10439),
  [15267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7857),
  [15269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [15271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13436),
  [15273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14346),
  [15275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [15277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [15279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__class_constructor_repeat1, 2, 0, 0),
  [15281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__class_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(4516),
  [15284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__class_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(16331),
  [15287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6567),
  [15289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10217),
  [15291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [15293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [15295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10180),
  [15297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10217),
  [15299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [15301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [15303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7890),
  [15305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8530),
  [15307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4984),
  [15309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4933),
  [15311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8985),
  [15313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [15315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [15317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8951),
  [15319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8985),
  [15321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10244),
  [15323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5777),
  [15325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5086),
  [15327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6816),
  [15329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14947),
  [15331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5980),
  [15333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3677),
  [15335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13373),
  [15337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7932),
  [15339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5582),
  [15341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7960),
  [15343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [15345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3500),
  [15347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7958),
  [15349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7960),
  [15351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9393),
  [15353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [15355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [15357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9361),
  [15359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9393),
  [15361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14209),
  [15363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7355),
  [15366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7921),
  [15368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5155),
  [15370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8615),
  [15372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [15374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [15376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7105),
  [15378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [15380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [15382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7091),
  [15384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7105),
  [15386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11939),
  [15388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8242),
  [15390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5434),
  [15392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5174),
  [15394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9173),
  [15396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [15398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [15400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8684),
  [15402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9173),
  [15404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [15406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6032),
  [15408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15686),
  [15410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5871),
  [15412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13435),
  [15414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5562),
  [15416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6683),
  [15418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6054),
  [15420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7488),
  [15422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6387),
  [15424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15760),
  [15426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13824),
  [15428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15713),
  [15430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12190),
  [15432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6483),
  [15434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11866),
  [15436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4886),
  [15438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12405),
  [15440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11732),
  [15442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12284),
  [15444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14050),
  [15446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 2, 0, 16),
  [15448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [15450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [15452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 2, 0, 49), SHIFT(15381),
  [15455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10079),
  [15457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [15459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [15461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10057),
  [15463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10079),
  [15465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [15467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [15469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7974),
  [15471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 2, 0, 24),
  [15473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 24),
  [15475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 24), SHIFT(16331),
  [15478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 125),
  [15480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 125), SHIFT(16331),
  [15483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 126),
  [15485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 126), SHIFT(16331),
  [15488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17690),
  [15490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4462),
  [15492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12932),
  [15494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13691),
  [15496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_enum_case, 1, 0, 2),
  [15498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4490),
  [15500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4492),
  [15502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4603),
  [15504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4604),
  [15506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17578),
  [15508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4465),
  [15510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10469),
  [15512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [15514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [15516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10509),
  [15518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10469),
  [15520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6348),
  [15522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [15524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [15526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6831),
  [15528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6348),
  [15530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17745),
  [15532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4468),
  [15534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7699),
  [15536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [15538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [15540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17444),
  [15542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4469),
  [15544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12978),
  [15546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5337),
  [15548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6247),
  [15550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4471),
  [15552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [15554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [15556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4474),
  [15558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [15560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [15562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4477),
  [15564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7550),
  [15566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17733),
  [15568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4478),
  [15570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7671),
  [15572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [15574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3900),
  [15576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7660),
  [15578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7671),
  [15580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [15582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [15584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4464),
  [15586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4439),
  [15588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8370),
  [15590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4394),
  [15592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4446),
  [15594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7181),
  [15596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6079),
  [15598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17358),
  [15600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4451),
  [15602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12758),
  [15604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7330),
  [15606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4391),
  [15608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [15610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [15612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4396),
  [15614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6479),
  [15616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4452),
  [15618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9183),
  [15620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [15622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [15624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9158),
  [15626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9183),
  [15628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1833),
  [15631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1902),
  [15634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [15636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3929),
  [15638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4460),
  [15640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7916),
  [15642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4461),
  [15644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7597),
  [15646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14825),
  [15648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17717),
  [15650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4470),
  [15652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9236),
  [15654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6852),
  [15656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17422),
  [15658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [15660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [15662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6560),
  [15664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11161),
  [15666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9249),
  [15668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [15670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [15672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9222),
  [15674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9249),
  [15676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17534),
  [15678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4475),
  [15680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [15682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3963),
  [15684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17615),
  [15686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4476),
  [15688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9040),
  [15690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17761),
  [15692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4368),
  [15694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13796),
  [15696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4369),
  [15698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4370),
  [15700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4371),
  [15702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [15704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17384),
  [15706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4372),
  [15708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9633),
  [15710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [15712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [15714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9595),
  [15716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9633),
  [15718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4373),
  [15720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [15722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3975),
  [15724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12909),
  [15726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17368),
  [15728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4374),
  [15730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4375),
  [15732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6582),
  [15734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14403),
  [15736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4376),
  [15738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11638),
  [15740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4377),
  [15742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6931),
  [15744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4378),
  [15746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17589),
  [15748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4380),
  [15750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [15752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17714),
  [15754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4381),
  [15756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8956),
  [15758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4382),
  [15760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1850),
  [15763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17366),
  [15765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4383),
  [15767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10477),
  [15769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [15771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [15773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10442),
  [15775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10477),
  [15777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [15779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [15781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4384),
  [15783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9950),
  [15785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [15787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [15789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10251),
  [15791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9950),
  [15793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4385),
  [15795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5238),
  [15797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [15799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [15801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4386),
  [15803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4493),
  [15805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4501),
  [15807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12219),
  [15809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17417),
  [15811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4387),
  [15813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4388),
  [15815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17467),
  [15817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4389),
  [15819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17515),
  [15821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4390),
  [15823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4392),
  [15825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4393),
  [15827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8055),
  [15829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4397),
  [15831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4398),
  [15833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4399),
  [15835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6000),
  [15837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4400),
  [15839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11521),
  [15841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [15843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [15845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11505),
  [15847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11521),
  [15849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12667),
  [15851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [15853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [15855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4401),
  [15857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17560),
  [15859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4402),
  [15861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5690),
  [15863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4403),
  [15865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17599),
  [15867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4404),
  [15869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17642),
  [15871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4405),
  [15873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4407),
  [15875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17705),
  [15877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4408),
  [15879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17766),
  [15881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4409),
  [15883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4410),
  [15885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4412),
  [15887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4414),
  [15889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4416),
  [15891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 5, 0, 158),
  [15893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 5, 0, 158), SHIFT(16331),
  [15896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4787),
  [15898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4417),
  [15900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8932),
  [15902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17635),
  [15904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4418),
  [15906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4419),
  [15908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11100),
  [15910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [15912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [15914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11104),
  [15916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11100),
  [15918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [15920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [15922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5779),
  [15924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [15926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [15928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5993),
  [15930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [15932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [15934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5976),
  [15936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5993),
  [15938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [15940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [15942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8439),
  [15944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [15946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [15948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8456),
  [15950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8439),
  [15952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [15954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [15956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5016),
  [15958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9883),
  [15960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [15962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [15964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9610),
  [15966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9883),
  [15968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5028),
  [15970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12268),
  [15972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [15974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [15976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9441),
  [15978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11302),
  [15980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [15982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [15984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6880),
  [15986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6720),
  [15988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14020),
  [15990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12735),
  [15992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7077),
  [15994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [15996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [15998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7942),
  [16000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7077),
  [16002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [16004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [16006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9426),
  [16008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [16010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [16012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6956),
  [16014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [16016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [16018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6297),
  [16020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [16022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [16024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [16026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [16028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10293),
  [16030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6645),
  [16032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7285),
  [16034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7060),
  [16036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12513),
  [16038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [16040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [16042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [16044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [16046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15079),
  [16048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7723),
  [16050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13780),
  [16052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4552),
  [16054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 69),
  [16056] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 69), SHIFT(16331),
  [16059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10142),
  [16061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [16063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [16065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7817),
  [16067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [16069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [16071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15184),
  [16073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6426),
  [16075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9825),
  [16077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 2),
  [16079] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 2), SHIFT(16331),
  [16082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14078),
  [16084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17481),
  [16086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12872),
  [16088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17426),
  [16090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17579),
  [16092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17538),
  [16094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 2, 0, 50),
  [16096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 2, 0, 50), SHIFT(15494),
  [16099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17685),
  [16101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13918),
  [16103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17626),
  [16105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8128),
  [16107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17636),
  [16109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10294),
  [16111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 24), SHIFT(17021),
  [16114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9049),
  [16116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 125), SHIFT(17021),
  [16119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 126), SHIFT(17021),
  [16122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17756),
  [16124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [16126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [16128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17528),
  [16130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7654),
  [16132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17451),
  [16134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15120),
  [16136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17668),
  [16138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17581),
  [16140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17381),
  [16142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 3, 0, 77),
  [16144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17594),
  [16146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17763),
  [16148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17721),
  [16150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17400),
  [16152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 5, 0, 158), SHIFT(17021),
  [16155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17371),
  [16157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17443),
  [16159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14539),
  [16161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [16163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [16165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17421),
  [16167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17493),
  [16169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11105),
  [16171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [16173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [16175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17469),
  [16177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17542),
  [16179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17518),
  [16181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17387),
  [16183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [16185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [16187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17562),
  [16189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17583),
  [16191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9142),
  [16193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17601),
  [16195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17614),
  [16197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 25), SHIFT(17021),
  [16200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17643),
  [16202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17674),
  [16204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [16206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15606),
  [16208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17710),
  [16210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17731),
  [16212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17641),
  [16214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13153),
  [16216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4252),
  [16218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12539),
  [16220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12589),
  [16222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10226),
  [16224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10279),
  [16226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12548),
  [16228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13592),
  [16230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17340),
  [16232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17460),
  [16234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [16236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [16238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9316),
  [16240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17392),
  [16242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17688),
  [16244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17735),
  [16246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [16248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [16250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 2, 0, 34),
  [16252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17623),
  [16254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17501),
  [16256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8271),
  [16258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17407),
  [16260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17430),
  [16262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17656),
  [16264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18938),
  [16266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17604),
  [16268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17736),
  [16270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18771),
  [16272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17697),
  [16274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17396),
  [16276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [16278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [16280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4235),
  [16282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13099),
  [16284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13307),
  [16286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17353),
  [16288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17495),
  [16290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17441),
  [16292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10074),
  [16294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17544),
  [16296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [16298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [16300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17527),
  [16302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [16304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15742),
  [16306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17701),
  [16308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9875),
  [16310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [16312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17566),
  [16314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17587),
  [16316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17598),
  [16318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17629),
  [16320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, 0, 0),
  [16322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [16324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [16326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15799),
  [16328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17647),
  [16330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17678),
  [16332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17691),
  [16334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17707),
  [16336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12827),
  [16338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17712),
  [16340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17724),
  [16342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17737),
  [16344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17747),
  [16346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10303),
  [16348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17760),
  [16350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17345),
  [16352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17350),
  [16354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17357),
  [16356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17369),
  [16358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14176),
  [16360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [16362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10402),
  [16364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17389),
  [16366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6949),
  [16368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17398),
  [16370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17403),
  [16372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17410),
  [16374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17414),
  [16376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17420),
  [16378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17425),
  [16380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17432),
  [16382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17439),
  [16384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17447),
  [16386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17453),
  [16388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17464),
  [16390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17468),
  [16392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17475),
  [16394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17713),
  [16396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17482),
  [16398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7506),
  [16401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17491),
  [16403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17500),
  [16405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17507),
  [16407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17513),
  [16409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17521),
  [16411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15656),
  [16413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18165),
  [16415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17526),
  [16417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17533),
  [16419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__class_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(4496),
  [16422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__class_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(17021),
  [16425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17539),
  [16427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17548),
  [16429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6609),
  [16431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17552),
  [16433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17557),
  [16435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11489),
  [16437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17561),
  [16439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17698),
  [16441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9562),
  [16443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10200),
  [16445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 69), SHIFT(17021),
  [16448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [16450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [16452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 2), SHIFT(17021),
  [16455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 70), SHIFT(17021),
  [16458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12815),
  [16460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [16462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [16464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [16466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [16468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 3, 0, 91),
  [16470] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 3, 0, 91), SHIFT(15494),
  [16473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [16475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [16477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17511),
  [16479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [16481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6234),
  [16483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17600),
  [16485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8525),
  [16487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17677),
  [16489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13501),
  [16491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4248),
  [16493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12581),
  [16495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12590),
  [16497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12585),
  [16499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13594),
  [16501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15170),
  [16503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17459),
  [16505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15690),
  [16507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4238),
  [16509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4246),
  [16511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, 0, 127),
  [16513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, 0, 127), SHIFT_REPEAT(4580),
  [16516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, 0, 127),
  [16518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, 0, 127), SHIFT_REPEAT(4581),
  [16521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9964),
  [16523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9117),
  [16525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7314),
  [16527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10610),
  [16529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [16531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17349),
  [16533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10154),
  [16535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1894),
  [16538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17764),
  [16540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9958),
  [16542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7369),
  [16544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10229),
  [16546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [16548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9769),
  [16550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_applications, 2, 0, 127),
  [16552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1818),
  [16555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17424),
  [16557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1879),
  [16560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17595),
  [16562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 4, 0, 0),
  [16564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15061),
  [16566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19525),
  [16568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9644),
  [16570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [16572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17732),
  [16574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17380),
  [16576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__class_constructor_repeat1, 1, 0, 0),
  [16578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14597),
  [16580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [16582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [16584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [16586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15752),
  [16588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [16590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [16592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 5, 0, 0),
  [16594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12702),
  [16596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 3, 0, 94),
  [16598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [16600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15692),
  [16602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14440),
  [16604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3545),
  [16606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15788),
  [16608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [16610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [16612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, 0, 127), SHIFT_REPEAT(4603),
  [16615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [16617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15801),
  [16619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 2, 0, 0),
  [16621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), REDUCE(sym_if_expression, 4, 0, 120),
  [16624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120),
  [16626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(19442),
  [16629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(802),
  [16632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10086),
  [16634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, 0, 127), SHIFT_REPEAT(4604),
  [16637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 2, 0, 51),
  [16639] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class_parameters, 3, 0, 0), REDUCE(sym_class_parameters, 4, 0, 0),
  [16642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1829),
  [16645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [16647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [16649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [16651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52),
  [16653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(19358),
  [16656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [16658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14641),
  [16660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(19378),
  [16663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [16665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [16667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [16669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [16671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13608),
  [16673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(17922),
  [16676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [16678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10139),
  [16680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(18127),
  [16683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(881),
  [16686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(18143),
  [16689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(886),
  [16692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [16694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class_parameters, 2, 0, 0), REDUCE(sym_class_parameters, 3, 0, 0),
  [16697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [16699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [16701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, 0, 17),
  [16703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class_parameters, 4, 0, 0), REDUCE(sym_class_parameters, 5, 0, 0),
  [16706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [16708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [16710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 3, 0, 0),
  [16712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10324),
  [16714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14620),
  [16716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, 0, 17),
  [16718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class_parameters, 5, 0, 0), REDUCE(sym_class_parameters, 6, 0, 0),
  [16721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 6, 0, 0),
  [16723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 3, 0, 94),
  [16725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(17795),
  [16728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [16730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [16732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [16734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 2, 0, 50), SHIFT(15381),
  [16737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 3, 0, 91), SHIFT(15381),
  [16740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class_parameters, 6, 0, 0), REDUCE(sym_class_parameters, 7, 0, 0),
  [16743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [16745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 7, 0, 0),
  [16747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 4, 0, 0),
  [16749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9365),
  [16751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 2, 0, 51),
  [16753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 1, 0, 0),
  [16755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [16757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13036),
  [16759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 2, 0, 72),
  [16761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(19390),
  [16764] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(797),
  [16767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [16769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [16771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [16773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, 0, 0),
  [16775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(19357),
  [16778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [16780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3697),
  [16782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15620),
  [16784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13154),
  [16786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15569),
  [16788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [16790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derives_clause, 2, 0, 54),
  [16792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12427),
  [16794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [16796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [16798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15735),
  [16800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(17969),
  [16803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [16805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [16807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [16809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14717),
  [16811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(18194),
  [16814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [16816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(18213),
  [16819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [16821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(18390),
  [16824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(937),
  [16827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(18405),
  [16830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(942),
  [16833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_derives_clause_repeat1, 2, 0, 161),
  [16835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derives_clause_repeat1, 2, 0, 161), SHIFT_REPEAT(12427),
  [16838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [16840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [16842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14839),
  [16844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [16846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [16848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(17994),
  [16851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(853),
  [16854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(18012),
  [16857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(858),
  [16860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [16862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [16864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(19219),
  [16867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [16869] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(19236),
  [16872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [16874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1835),
  [16877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10160),
  [16879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9266),
  [16882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(17993),
  [16885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [16887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7542),
  [16890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(19248),
  [16893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [16895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [16897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [16899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7598),
  [16902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19304),
  [16904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [16906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14784),
  [16908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(18607),
  [16911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(1651),
  [16914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_package_identifier_repeat1, 2, 0, 0),
  [16916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_repeat1, 2, 0, 0),
  [16918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_repeat1, 2, 0, 0), SHIFT_REPEAT(2296),
  [16921] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(19148),
  [16924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(1686),
  [16927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [16929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19417),
  [16931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [16933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(17807),
  [16936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [16938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(17817),
  [16941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [16943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10262),
  [16945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [16947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [16949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derives_clause, 3, 0, 128),
  [16951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [16953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(18259),
  [16956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(909),
  [16959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(18275),
  [16962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(914),
  [16965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [16967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [16969] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(19211),
  [16972] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(1691),
  [16975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(18598),
  [16978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(1378),
  [16981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [16983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(18656),
  [16986] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(1660),
  [16989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [16991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(18735),
  [16994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(1393),
  [16997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [16999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [17001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard, 2, 0, 55),
  [17003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 4, 0, 135),
  [17005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12323),
  [17007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 3, 0, 95),
  [17009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [17011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14926),
  [17013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block, 1, 0, 0),
  [17015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [17017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15678),
  [17019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [17021] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(17963),
  [17024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(1646),
  [17027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_derives_clause_repeat1, 2, 0, 54),
  [17029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4627),
  [17031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4628),
  [17033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [17035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15597),
  [17037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [17039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(18819),
  [17042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [17044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_clause, 2, 0, 3),
  [17046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4505),
  [17048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__full_enum_def, 1, 0, 160),
  [17050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__full_enum_def, 1, 0, 160), SHIFT(19040),
  [17053] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(13706),
  [17056] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(18015),
  [17059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(1657),
  [17062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(19531),
  [17065] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(1586),
  [17068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(19553),
  [17071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(1597),
  [17074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(18847),
  [17077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [17079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4620),
  [17081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4619),
  [17083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13126),
  [17085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(18108),
  [17088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(1536),
  [17091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derives_clause_repeat1, 2, 0, 161), SHIFT_REPEAT(12323),
  [17094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19561),
  [17096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [17098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 3, 0, 95),
  [17100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(18062),
  [17103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [17105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_expression, 1, 0, 5),
  [17107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11261),
  [17109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(17961),
  [17112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [17114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__full_enum_def, 2, 0, 183),
  [17116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4502),
  [17118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__full_enum_def, 2, 0, 183), SHIFT(18422),
  [17121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19096),
  [17123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [17125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(18080),
  [17128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [17130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(17932),
  [17133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(839),
  [17136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(18816),
  [17139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [17141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(18977),
  [17144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(783),
  [17147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_context_bound, 1, 0, 93),
  [17149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14054),
  [17151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(17945),
  [17154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(844),
  [17157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 3, 0, 72),
  [17159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(19030),
  [17162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(788),
  [17165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lower_bound, 2, 0, 54),
  [17167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13058),
  [17169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(18325),
  [17172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(923),
  [17175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(18345),
  [17178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(928),
  [17181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13286),
  [17183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [17185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(18215),
  [17188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [17190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(18420),
  [17193] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(1617),
  [17196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(17957),
  [17199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(1529),
  [17202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(17856),
  [17205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [17207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(18796),
  [17210] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(1626),
  [17213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(17936),
  [17216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [17218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(18862),
  [17221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [17223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__full_enum_def, 2, 0, 183), SHIFT(19040),
  [17226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 4, 0, 135),
  [17228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 4, 0, 136),
  [17230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [17232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(17949),
  [17235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [17237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4593),
  [17239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4595),
  [17241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 5, 0, 166),
  [17243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14774),
  [17245] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__full_enum_def, 1, 0, 160), SHIFT(18422),
  [17248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(18897),
  [17251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [17253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_expression, 2, 0, 35),
  [17255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11250),
  [17257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13660),
  [17259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration, 4, 0, 105),
  [17261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [17263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__context_bounds, 1, 0, 0),
  [17265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__full_enum_def_repeat1, 2, 0, 0),
  [17267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__full_enum_def_repeat1, 2, 0, 0), SHIFT_REPEAT(4501),
  [17270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__full_enum_def_repeat1, 2, 0, 0), SHIFT_REPEAT(18422),
  [17273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_identifier, 1, 0, 0),
  [17275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13694),
  [17277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [17279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_declaration, 3, 0, 36),
  [17281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13452),
  [17283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_identifier, 2, 0, 0),
  [17285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(18235),
  [17288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(1108),
  [17291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1899),
  [17294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [17296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [17298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(19028),
  [17301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(1735),
  [17304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__context_bounds_repeat1, 2, 0, 0),
  [17306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11143),
  [17308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [17310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, 0, 127), SHIFT_REPEAT(4620),
  [17313] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(18193),
  [17316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [17318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(17941),
  [17321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(1749),
  [17324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(19558),
  [17327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [17329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_repeat1, 1, 0, 0),
  [17331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(18715),
  [17334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(768),
  [17337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0),
  [17339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [17341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_upper_bound, 2, 0, 54),
  [17343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__context_bounds_repeat1, 2, 0, 0), SHIFT_REPEAT(2929),
  [17346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(18762),
  [17349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(773),
  [17352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__context_bounds_repeat1, 2, 0, 0), SHIFT_REPEAT(3079),
  [17355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19559),
  [17357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [17359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(19544),
  [17362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(1744),
  [17365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [17367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [17369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18981),
  [17371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [17373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4514),
  [17375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12450),
  [17377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(19110),
  [17380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(1478),
  [17383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [17385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration, 4, 0, 124),
  [17387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(18726),
  [17390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(1730),
  [17393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(17988),
  [17396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(1467),
  [17399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [17401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration, 2, 0, 19),
  [17403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration, 6, 0, 180),
  [17405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [17407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_block, 1, 0, 0),
  [17409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(13694),
  [17412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [17414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(19087),
  [17417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [17419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7330),
  [17422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [17424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [17426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [17428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(13988),
  [17431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19315),
  [17433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [17435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [17437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration, 3, 0, 63),
  [17439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, 0, 79),
  [17441] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, 0, 79), SHIFT_REPEAT(13452),
  [17444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [17446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 1, 0, 1),
  [17448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [17450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_declaration, 2, 0, 6),
  [17452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(19196),
  [17455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [17457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__full_enum_def_repeat1, 2, 0, 0), SHIFT_REPEAT(4492),
  [17460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__full_enum_def_repeat1, 2, 0, 0), SHIFT_REPEAT(19040),
  [17463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 2, 0, 6),
  [17465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [17467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [17469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18729),
  [17471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [17473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18772),
  [17475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [17477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [17479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17972),
  [17481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [17483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18845),
  [17485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [17487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18957),
  [17489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [17491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [17493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_context_bound, 3, 0, 165),
  [17495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [17497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [17499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration, 5, 0, 145),
  [17501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12562),
  [17503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [17505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(19010),
  [17508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [17510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(18056),
  [17513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [17515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(18738),
  [17518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(1495),
  [17521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(17846),
  [17524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(1474),
  [17527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(18148),
  [17530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [17532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, 0, 127), SHIFT_REPEAT(4628),
  [17535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9365),
  [17538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [17540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [17542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(19034),
  [17545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(1464),
  [17548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(18190),
  [17551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(1073),
  [17554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(18563),
  [17557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(1488),
  [17560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11114),
  [17562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [17564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(18733),
  [17567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [17569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 3, 0, 36),
  [17571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [17573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [17575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6182),
  [17577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_selectors, 4, 0, 0),
  [17579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9255),
  [17581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9435),
  [17583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 5, 0, 166),
  [17585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [17587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9898),
  [17589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__context_bounds, 4, 0, 0),
  [17591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 5, 0, 0),
  [17593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, 0, 127), SHIFT_REPEAT(4595),
  [17596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8789),
  [17598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_repeat1, 2, 0, 0), SHIFT_REPEAT(2206),
  [17601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9557),
  [17603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6940),
  [17605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10315),
  [17607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_expression, 4, 0, 35),
  [17609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10166),
  [17611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerators_repeat1, 2, 0, 0),
  [17613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5717),
  [17615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, 0, 79), SHIFT_REPEAT(13232),
  [17618] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__context_bounds_repeat1, 2, 0, 0), SHIFT_REPEAT(2823),
  [17621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_parameter_repeat1, 2, 0, 0),
  [17623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_parameter_repeat1, 2, 0, 0), SHIFT_REPEAT(3686),
  [17626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8256),
  [17628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7838),
  [17630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(19562),
  [17633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [17635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8793),
  [17637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_selectors, 3, 0, 0),
  [17639] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(18350),
  [17642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(1396),
  [17645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [17647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, 0, 127), SHIFT_REPEAT(4619),
  [17650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13118),
  [17652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11043),
  [17654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15695),
  [17656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_definition, 1, 0, 0),
  [17658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18419),
  [17660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [17662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18481),
  [17664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [17666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6785),
  [17668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__enum_block_repeat1, 2, 0, 0),
  [17670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_expression, 3, 0, 5),
  [17672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(17897),
  [17675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [17677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, 0, 127), SHIFT_REPEAT(4593),
  [17680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8539),
  [17682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [17684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [17686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exprs_in_parens, 1, 0, 0),
  [17688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4272),
  [17690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6818),
  [17692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13232),
  [17694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8516),
  [17696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [17698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13111),
  [17700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15744),
  [17702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7527),
  [17704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(17790),
  [17707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [17709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, 0, 6),
  [17711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5876),
  [17713] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(19066),
  [17716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [17718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13084),
  [17720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15542),
  [17722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__context_bounds, 5, 0, 0),
  [17724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18652),
  [17726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [17728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(17869),
  [17731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(825),
  [17734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12810),
  [17736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15602),
  [17738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18706),
  [17740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [17742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12826),
  [17744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15676),
  [17746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(18266),
  [17749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(1768),
  [17752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [17754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17729),
  [17756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17741),
  [17758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4344),
  [17760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(19408),
  [17763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [17765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6550),
  [17767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11536),
  [17769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(17886),
  [17772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(830),
  [17775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_selectors, 5, 0, 0),
  [17777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(19524),
  [17780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [17782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9401),
  [17784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(18360),
  [17787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(758),
  [17790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5998),
  [17792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [17794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17620),
  [17796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17621),
  [17798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12834),
  [17800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15843),
  [17802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__given_constructor_repeat1, 2, 0, 0),
  [17804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__given_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(11043),
  [17807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__given_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(16107),
  [17810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 4, 0, 136),
  [17812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__context_bounds, 6, 0, 0),
  [17814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7401),
  [17816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_renamed_identifier, 3, 0, 162),
  [17818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [17820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7433),
  [17822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [17824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(18237),
  [17827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(1389),
  [17830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [17832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, 0, 127), SHIFT_REPEAT(4627),
  [17835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 7, 0, 191),
  [17837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [17839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5710),
  [17841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 104),
  [17843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 4, 0, 115),
  [17845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 2, 0, 0),
  [17847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_val_declaration, 5, 0, 141),
  [17849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_template_body, 3, 0, 0),
  [17851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerators_repeat1, 2, 0, 0), SHIFT_REPEAT(4209),
  [17854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 2, 0, 31),
  [17856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 4, 0, 117),
  [17858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [17860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8167),
  [17862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [17864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5977),
  [17866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__definition_body, 1, 0, 32),
  [17868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [17870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6421),
  [17872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_val_definition, 6, 0, 172),
  [17874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [17876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13620),
  [17878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case_definitions, 2, 0, 0),
  [17880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__full_enum_def_repeat1, 1, 0, 0),
  [17882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case_definitions, 3, 0, 0),
  [17884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13142),
  [17886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [17888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7835),
  [17890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 3, 0, 90),
  [17892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 2, 0, 18),
  [17894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [17896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [17898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7365),
  [17900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_definition, 4, 0, 111),
  [17902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 4, 0, 86),
  [17904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19428),
  [17906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [17908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [17910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5147),
  [17912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__definition_body, 2, 0, 16),
  [17914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 119),
  [17916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [17918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [17920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5399),
  [17922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 3, 0, 92),
  [17924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [17926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7684),
  [17928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [17930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8613),
  [17932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3, 0, 0),
  [17934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [17936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8390),
  [17938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [17940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8091),
  [17942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 5, 0, 185),
  [17944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 3, 0, 76),
  [17946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [17948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9357),
  [17950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_case_definitions_repeat1, 2, 0, 0), SHIFT_REPEAT(13620),
  [17953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_case_definitions_repeat1, 2, 0, 0),
  [17955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [17957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9792),
  [17959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 2, 0, 20),
  [17961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case_definitions, 4, 0, 0),
  [17963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 5, 0, 143),
  [17965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 3, 0, 62),
  [17967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [17969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 3, 0, 26),
  [17971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4209),
  [17973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4190),
  [17975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [17977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5171),
  [17979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 4, 0, 181),
  [17981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [17983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7978),
  [17985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [17987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4980),
  [17989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 3, 0, 78),
  [17991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_definition, 2, 0, 4),
  [17993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [17995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5255),
  [17997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 142),
  [17999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0),
  [18001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18536),
  [18003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [18005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [18007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8801),
  [18009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [18011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 5, 0, 132),
  [18013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [18015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7759),
  [18017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 7, 0, 193),
  [18019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [18021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9811),
  [18023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extension_template_body, 3, 0, 0),
  [18025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 5, 0, 133),
  [18027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_definition, 6, 0, 172),
  [18029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [18031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4212),
  [18033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4170),
  [18035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [18037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8592),
  [18039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_template_body, 4, 0, 0),
  [18041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 7, 0, 194),
  [18043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 4, 0, 83),
  [18045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 5, 0, 129),
  [18047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 4, 0, 134),
  [18049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 6, 0, 173),
  [18051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_definition, 3, 0, 28),
  [18053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [18055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10459),
  [18057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 3, 0, 45),
  [18059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [18061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5505),
  [18063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(18389),
  [18066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(1623),
  [18069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [18071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9634),
  [18073] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(516),
  [18076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(18427),
  [18079] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(1632),
  [18082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [18084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 3, 0, 29),
  [18086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 6, 0, 174),
  [18088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 4, 0, 130),
  [18090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [18092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6800),
  [18094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerators_repeat1, 2, 0, 0), SHIFT_REPEAT(4212),
  [18097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_definition, 2, 0, 16),
  [18099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [18101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5544),
  [18103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerators, 1, 0, 0),
  [18105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4159),
  [18107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_definition, 4, 0, 103),
  [18109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 7, 0, 195),
  [18111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 3, 0, 29),
  [18113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [18115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7243),
  [18117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [18119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8115),
  [18121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_val_definition, 4, 0, 111),
  [18123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extension_template_body, 2, 0, 0),
  [18125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [18127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7272),
  [18129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 5, 0, 185),
  [18131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15172),
  [18133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10810),
  [18135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12673),
  [18137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12678),
  [18139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [18141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5935),
  [18143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [18145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6164),
  [18147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(521),
  [18150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [18152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6634),
  [18154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [18156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7222),
  [18158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13999),
  [18160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 3, 0, 156),
  [18162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [18164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9178),
  [18166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 5, 0, 148),
  [18168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, 0, 175),
  [18170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 2, 0, 9),
  [18172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(19508),
  [18175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 120), SHIFT(1557),
  [18178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 88), SHIFT_REPEAT(7192),
  [18181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 4, 0, 73),
  [18183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [18185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7333),
  [18187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 5, 0, 147),
  [18189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, 0, 0),
  [18191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 5, 0, 196),
  [18193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 4, 0, 74),
  [18195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [18197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [18199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7057),
  [18201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 2, 0, 12),
  [18203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_definition, 3, 0, 57),
  [18205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, 0, 150),
  [18207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 6, 0, 198),
  [18209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [18211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_definition, 3, 0, 58),
  [18213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 5, 0, 151),
  [18215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [18217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8229),
  [18219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [18221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5879),
  [18223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17878),
  [18225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [18227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 61),
  [18229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 8, 0, 201),
  [18231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [18233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8759),
  [18235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [18237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6352),
  [18239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 6, 0, 198),
  [18241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 4, 0, 123),
  [18243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 6, 0, 177),
  [18245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 155),
  [18247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [18249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [18251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6386),
  [18253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [18255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7203),
  [18257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 6, 0, 203),
  [18259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 7, 0, 204),
  [18261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [18263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6273),
  [18265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 7, 0, 204),
  [18267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 8, 0, 205),
  [18269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 5, 0, 141),
  [18271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 3, 0, 38),
  [18273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15292),
  [18275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11039),
  [18277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [18279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6215),
  [18281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structural_instance, 3, 0, 85),
  [18283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [18285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9980),
  [18287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [18289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9813),
  [18291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(19140),
  [18294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 52), SHIFT(1549),
  [18297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [18299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8027),
  [18301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 6, 0, 178),
  [18303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17967),
  [18305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [18307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [18309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8381),
  [18311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 6, 0, 163),
  [18313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_definition, 5, 0, 149),
  [18315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [18317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5767),
  [18319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [18321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7571),
  [18323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [18325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9404),
  [18327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4186),
  [18329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_definition, 4, 0, 113),
  [18331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_case_definitions_repeat1, 2, 0, 0), SHIFT_REPEAT(13142),
  [18334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [18336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7420),
  [18338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 2, 0, 48),
  [18340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 2, 0, 12),
  [18342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 5, 0, 153),
  [18344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [18346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8365),
  [18348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [18350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [18352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8043),
  [18354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [18356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8704),
  [18358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [18360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7881),
  [18362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 4, 0, 114),
  [18364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, 0, 114),
  [18366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [18368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6018),
  [18370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [18372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5608),
  [18374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [18376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [18378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17402),
  [18380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17616),
  [18382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4319),
  [18384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8999),
  [18386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12860),
  [18388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7016),
  [18390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4333),
  [18392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4379),
  [18394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12382),
  [18396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 110),
  [18398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [18400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12362),
  [18402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_view_bound, 2, 0, 54),
  [18404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17480),
  [18406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15571),
  [18408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16440),
  [18410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6213),
  [18412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14667),
  [18414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17672),
  [18416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0),
  [18418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(156),
  [18421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8935),
  [18423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8295),
  [18425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15830),
  [18427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16516),
  [18429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [18431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15604),
  [18433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16592),
  [18435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15039),
  [18437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17570),
  [18439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_indented_cases_repeat1, 2, 0, 0),
  [18441] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_indented_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4333),
  [18444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_parameter_repeat1, 1, 0, 0),
  [18446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17394),
  [18448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17681),
  [18450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifiers, 4, 0, 0),
  [18452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14264),
  [18454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11482),
  [18456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_indented_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4319),
  [18459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9939),
  [18461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6835),
  [18463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6702),
  [18465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10282),
  [18467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [18469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 1, 0, 2),
  [18471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [18473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15646),
  [18475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17060),
  [18477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6594),
  [18479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13910),
  [18481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13079),
  [18483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18281),
  [18485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14713),
  [18487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14377),
  [18489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15650),
  [18491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16578),
  [18493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6598),
  [18495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13378),
  [18497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17718),
  [18499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(523),
  [18502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_selectors_repeat1, 2, 0, 0),
  [18504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17702),
  [18506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13035),
  [18508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9113),
  [18510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10015),
  [18512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13110),
  [18514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15814),
  [18516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16568),
  [18518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8251),
  [18520] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__enum_block_repeat1, 2, 0, 0), SHIFT_REPEAT(525),
  [18523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12242),
  [18525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6140),
  [18527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17752),
  [18529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_identifiers_repeat1, 2, 0, 0),
  [18531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_identifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(14264),
  [18534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12782),
  [18536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17679),
  [18538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9770),
  [18540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17412),
  [18542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerators, 5, 0, 0),
  [18544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15041),
  [18546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [18548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14648),
  [18550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5663),
  [18552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14163),
  [18554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7637),
  [18556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8567),
  [18558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [18560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 3, 0, 157),
  [18562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [18564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [18566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 4, 0, 182),
  [18568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [18570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [18572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17827),
  [18574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [18576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11428),
  [18578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17738),
  [18580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11434),
  [18582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11382),
  [18584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11319),
  [18586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__indented_type_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4379),
  [18589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__indented_type_cases_repeat1, 2, 0, 0),
  [18591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 5, 0, 186),
  [18593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [18595] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__context_bounds_repeat1, 2, 0, 0), SHIFT_REPEAT(3007),
  [18598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13086),
  [18600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__given_constructor_repeat1, 1, 0, 0),
  [18602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_conditional, 1, 0, 10),
  [18604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10227),
  [18606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 5, 0, 186),
  [18608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [18610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8468),
  [18612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15829),
  [18614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16526),
  [18616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7307),
  [18618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5435),
  [18620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15704),
  [18622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16599),
  [18624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15749),
  [18626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16491),
  [18628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17605),
  [18630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9285),
  [18632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12831),
  [18634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15699),
  [18636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16401),
  [18638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9532),
  [18640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14592),
  [18642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7325),
  [18644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5919),
  [18646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13015),
  [18648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14219),
  [18650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [18652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [18654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter, 3, 0, 107), REDUCE(sym_name_and_type, 3, 0, 107),
  [18657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [18659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7207),
  [18661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15841),
  [18663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16541),
  [18665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14495),
  [18667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9425),
  [18669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12184),
  [18671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7514),
  [18673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_enum_case, 2, 0, 33),
  [18675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(518),
  [18678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12017),
  [18680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15852),
  [18682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16503),
  [18684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15734),
  [18686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16471),
  [18688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9561),
  [18690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13293),
  [18692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15822),
  [18694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16553),
  [18696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 3, 0, 107),
  [18698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [18700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [18702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 2, 0, 3),
  [18704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [18706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7364),
  [18708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12528),
  [18710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15756),
  [18712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16613),
  [18714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13139),
  [18716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [18718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8174),
  [18720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14604),
  [18722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12442),
  [18724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8599),
  [18726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17351),
  [18728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14075),
  [18730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14267),
  [18732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [18734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [18736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9101),
  [18738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6952),
  [18740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 6, 0, 202),
  [18742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [18744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12975),
  [18746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerators_repeat1, 2, 0, 0), SHIFT_REPEAT(4208),
  [18749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4208),
  [18751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4199),
  [18753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15862),
  [18755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16043),
  [18757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [18759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5878),
  [18761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12916),
  [18763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__enum_block_repeat1, 2, 0, 0), SHIFT_REPEAT(526),
  [18766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 3, 0, 107),
  [18768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [18770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18422),
  [18772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerators, 4, 0, 0),
  [18774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8820),
  [18776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 4, 0, 110),
  [18778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [18780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7078),
  [18782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9744),
  [18784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15812),
  [18786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16622),
  [18788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0), SHIFT_REPEAT(3511),
  [18791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0),
  [18793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13743),
  [18795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7047),
  [18797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [18799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14174),
  [18801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9791),
  [18803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14638),
  [18805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [18807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14782),
  [18809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17593),
  [18811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5979),
  [18813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4198),
  [18815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15746),
  [18817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14833),
  [18819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derives_clause_repeat1, 2, 0, 161), SHIFT_REPEAT(12242),
  [18822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13334),
  [18824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13203),
  [18826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12296),
  [18828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17573),
  [18830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17660),
  [18832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15767),
  [18834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16323),
  [18836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17519),
  [18838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13665),
  [18840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14444),
  [18842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13087),
  [18844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7683),
  [18846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8113),
  [18848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11461),
  [18850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9933),
  [18852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8824),
  [18854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14421),
  [18856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [18858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19040),
  [18860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6953),
  [18862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14067),
  [18864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13763),
  [18866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11896),
  [18868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_val_declaration_repeat1, 2, 0, 3), REDUCE(sym_identifiers, 3, 0, 0),
  [18871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_val_declaration_repeat1, 2, 0, 3), SHIFT(14264),
  [18874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifiers, 3, 0, 0),
  [18876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11833),
  [18878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [18880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15685),
  [18882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5803),
  [18884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12163),
  [18887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18621),
  [18890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12768),
  [18892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8281),
  [18894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [18896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4698),
  [18898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [18900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [18902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5835),
  [18904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12769),
  [18906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [18908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [18910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [18912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12773),
  [18914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7770),
  [18916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [18918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5370),
  [18920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12527),
  [18922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [18924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6380),
  [18926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12774),
  [18928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [18930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [18932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12777),
  [18934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11654),
  [18936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [18938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5087),
  [18940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [18942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7786),
  [18944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12778),
  [18946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [18948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [18950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16324),
  [18952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10040),
  [18954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16389),
  [18956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [18958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12541),
  [18960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7748),
  [18962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [18964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11990),
  [18966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12780),
  [18968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9227),
  [18970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [18972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5089),
  [18974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [18976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6496),
  [18978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12781),
  [18980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [18982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [18984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_selectors_repeat1, 2, 0, 0), SHIFT_REPEAT(11288),
  [18987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12784),
  [18989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12443),
  [18991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [18993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6599),
  [18995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [18997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9193),
  [18999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10058),
  [19001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [19003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14430),
  [19005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12785),
  [19007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [19009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [19011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [19013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12542),
  [19015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [19017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12790),
  [19019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5095),
  [19021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [19023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6701),
  [19025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4623),
  [19027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [19029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10108),
  [19031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12791),
  [19033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [19035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [19037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [19039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4528),
  [19041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12795),
  [19043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4832),
  [19045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [19047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6869),
  [19049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [19051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6885),
  [19053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12796),
  [19055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [19057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [19059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12534),
  [19061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11295),
  [19063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__full_enum_def, 2, 0, 184),
  [19065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7236),
  [19067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11509),
  [19069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12798),
  [19071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5484),
  [19073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [19075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13171),
  [19077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8851),
  [19079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [19081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9276),
  [19083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12799),
  [19085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [19087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [19089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [19091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13054),
  [19093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14538),
  [19095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6919),
  [19097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12803),
  [19099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5887),
  [19101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [19103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7026),
  [19105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [19107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12546),
  [19109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8355),
  [19111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [19113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7803),
  [19115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [19117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12326),
  [19119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12804),
  [19121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [19123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14982),
  [19125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [19127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [19129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11337),
  [19131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_name_and_type, 3, 0, 107),
  [19133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12807),
  [19135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5536),
  [19137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [19139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14217),
  [19141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [19143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8411),
  [19145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [19147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6925),
  [19149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12808),
  [19151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [19153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6928),
  [19155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [19157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12547),
  [19159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12812),
  [19161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12875),
  [19163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [19165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6372),
  [19167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [19169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [19171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6375),
  [19173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12813),
  [19175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [19177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [19179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10743),
  [19181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [19183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [19185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12816),
  [19187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7839),
  [19189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [19191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11854),
  [19193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [19195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4702),
  [19197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12817),
  [19199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [19201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [19203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [19205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [19207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10064),
  [19209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8909),
  [19211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12820),
  [19213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14367),
  [19215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [19217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7849),
  [19219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [19221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5613),
  [19223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12821),
  [19225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__full_enum_def, 3, 0, 197),
  [19227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [19229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [19231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8412),
  [19233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12823),
  [19235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5639),
  [19237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [19239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9338),
  [19241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [19243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [19245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5130),
  [19247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12550),
  [19249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8414),
  [19251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12824),
  [19253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [19255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9300),
  [19257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [19259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [19261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13056),
  [19263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12828),
  [19265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7862),
  [19267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [19269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4918),
  [19271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [19273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [19275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8479),
  [19277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12829),
  [19279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [19281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [19283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [19285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15088),
  [19287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8433),
  [19289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12833),
  [19291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14365),
  [19293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [19295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5689),
  [19297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [19299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5137),
  [19301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12835),
  [19303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12551),
  [19305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [19307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3306),
  [19309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [19311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [19313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11065),
  [19315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [19317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12838),
  [19319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6584),
  [19321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [19323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13325),
  [19325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [19327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6612),
  [19329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12839),
  [19331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12505),
  [19333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12243),
  [19335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [19337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [19339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [19341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12275),
  [19343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12842),
  [19345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7894),
  [19347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [19349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5723),
  [19351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [19353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13976),
  [19355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12843),
  [19357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [19359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [19361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [19363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12941),
  [19365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8099),
  [19367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12845),
  [19369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4938),
  [19371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [19373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7904),
  [19375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [19377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8105),
  [19379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [19381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6698),
  [19383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9347),
  [19385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12846),
  [19387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [19389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [19391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [19393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12555),
  [19395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7860),
  [19397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [19399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10489),
  [19401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16079),
  [19403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19564),
  [19405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18856),
  [19407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16786),
  [19409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12849),
  [19411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10247),
  [19413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [19415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5765),
  [19417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [19419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5965),
  [19421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12850),
  [19423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [19425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [19427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12990),
  [19429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [19431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9757),
  [19433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12853),
  [19435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5591),
  [19437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [19439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7910),
  [19441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9356),
  [19443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [19445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6784),
  [19447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12854),
  [19449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [19451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [19453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4624),
  [19455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12556),
  [19457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [19459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__using_parameters_clause_repeat1, 2, 0, 0), REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0),
  [19462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12857),
  [19464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6829),
  [19466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [19468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6830),
  [19470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [19472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7917),
  [19474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [19476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10355),
  [19478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12859),
  [19480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [19482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [19484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [19486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12864),
  [19488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5985),
  [19490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [19492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7924),
  [19494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [19496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6888),
  [19498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12865),
  [19500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [19502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [19504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12869),
  [19506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13375),
  [19508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [19510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4981),
  [19512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [19514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13677),
  [19516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12870),
  [19518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3347),
  [19520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [19522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12559),
  [19524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12647),
  [19526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [19528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4998),
  [19530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [19532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4535),
  [19534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12873),
  [19536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7934),
  [19538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3350),
  [19540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10321),
  [19542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7233),
  [19544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11485),
  [19546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [19548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8597),
  [19550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12874),
  [19552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [19554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [19556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9292),
  [19558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [19560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9376),
  [19562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12877),
  [19564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14256),
  [19566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [19568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5374),
  [19570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [19572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [19574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7946),
  [19576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12561),
  [19578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12879),
  [19580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13062),
  [19582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5324),
  [19584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [19586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [19588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [19590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [19592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6916),
  [19594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [19596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12883),
  [19598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8503),
  [19600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [19602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13713),
  [19604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [19606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [19608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11758),
  [19610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12408),
  [19612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12885),
  [19614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [19616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [19618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12033),
  [19620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18929),
  [19622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12889),
  [19624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11942),
  [19626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [19628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6016),
  [19630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [19632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11498),
  [19634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [19636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8946),
  [19638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12890),
  [19640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [19642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [19644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12894),
  [19646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5176),
  [19648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [19650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7087),
  [19652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [19654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12410),
  [19656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12895),
  [19658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [19660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [19662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12564),
  [19664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5379),
  [19666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [19668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5588),
  [19670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12897),
  [19672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6035),
  [19674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [19676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8075),
  [19678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [19680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5183),
  [19682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12898),
  [19684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [19686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8154),
  [19688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [19690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [19692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12943),
  [19694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [19696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9402),
  [19698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12902),
  [19700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13440),
  [19702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [19704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5189),
  [19706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9385),
  [19708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12566),
  [19710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [19712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5001),
  [19714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12904),
  [19716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [19718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [19720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [19722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [19724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12907),
  [19726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6056),
  [19728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [19730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6057),
  [19732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [19734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [19736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5417),
  [19738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13065),
  [19740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12908),
  [19742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [19744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [19746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [19748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12910),
  [19750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6391),
  [19752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [19754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6069),
  [19756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [19758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6071),
  [19760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12911),
  [19762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [19764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [19766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12912),
  [19768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13830),
  [19770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [19772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6410),
  [19774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [19776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5429),
  [19778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12913),
  [19780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [19782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [19784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12570),
  [19786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4841),
  [19788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [19790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5533),
  [19792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [19794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [19796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13044),
  [19798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [19800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [19802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7121),
  [19804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [19806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [19808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6840),
  [19810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [19812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14313),
  [19814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [19816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [19818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8717),
  [19820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [19822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [19824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12571),
  [19826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [19828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [19830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [19832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5440),
  [19834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [19836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [19838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7129),
  [19840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [19842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 97), SHIFT_REPEAT(8532),
  [19845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 97),
  [19847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [19849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14081),
  [19851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [19853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [19855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [19857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6443),
  [19859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [19861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4607),
  [19863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [19865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7136),
  [19867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [19869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [19871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4804),
  [19873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [19875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [19877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10019),
  [19879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [19881] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__using_parameters_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(2724),
  [19884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__using_parameters_clause_repeat1, 2, 0, 0),
  [19886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [19888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5454),
  [19890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [19892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10812),
  [19894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [19896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6468),
  [19898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [19900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(4675),
  [19903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_parameters_repeat1, 2, 0, 0),
  [19905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [19907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6097),
  [19909] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_class_pattern_repeat2, 2, 0, 0), SHIFT_REPEAT(13388),
  [19912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_class_pattern_repeat2, 2, 0, 0),
  [19914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [19916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [19918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13516),
  [19920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [19922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [19924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7152),
  [19926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__context_bounds_repeat2, 2, 0, 0),
  [19928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__context_bounds_repeat2, 2, 0, 0), SHIFT_REPEAT(3027),
  [19931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [19933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [19935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14140),
  [19937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [19939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [19941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8235),
  [19943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [19945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [19947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12003),
  [19949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [19951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [19953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5199),
  [19955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12573),
  [19957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5226),
  [19959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [19961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [19963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6682),
  [19965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [19967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6106),
  [19969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11852),
  [19971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19164),
  [19973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [19975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11325),
  [19977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [19979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13530),
  [19981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2984),
  [19983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [19985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6111),
  [19987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [19989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [19991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6500),
  [19993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [19995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [19997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13940),
  [19999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [20001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [20003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12753),
  [20005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [20007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11326),
  [20009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12574),
  [20011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [20013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [20015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [20017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10349),
  [20019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [20021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_full_enum_case, 2, 0, 159),
  [20023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [20025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9768),
  [20027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [20029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13092),
  [20031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [20033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [20035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12972),
  [20037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12805),
  [20039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15645),
  [20041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12577),
  [20043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7163),
  [20045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [20047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9468),
  [20049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [20051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [20053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9019),
  [20055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [20057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6290),
  [20059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12578),
  [20061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [20063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15225),
  [20065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [20067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_comment_repeat1, 2, 0, 0), SHIFT_REPEAT(17653),
  [20070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_block_comment_repeat1, 2, 0, 0),
  [20072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(11870),
  [20075] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(19050),
  [20078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11871),
  [20080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19506),
  [20082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [20084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10686),
  [20086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4504),
  [20088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19259),
  [20090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9455),
  [20092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15459),
  [20094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [20096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13100),
  [20098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12582),
  [20100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6580),
  [20102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [20104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9177),
  [20106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3061),
  [20108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [20110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8004),
  [20112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12583),
  [20114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [20116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [20118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3925),
  [20120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [20122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [20124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [20126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [20128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [20130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [20132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3897),
  [20134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [20136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [20138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [20140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [20142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [20144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [20146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [20148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [20150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [20152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [20154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [20156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7210),
  [20158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14712),
  [20160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4570),
  [20162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4338),
  [20164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6639),
  [20166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10928),
  [20168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [20170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15247),
  [20172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12587),
  [20174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7028),
  [20176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [20178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5624),
  [20180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12957),
  [20182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7517),
  [20184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [20186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12177),
  [20188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15837),
  [20190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [20192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9828),
  [20194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [20196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12588),
  [20198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [20200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [20202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(11891),
  [20205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18675),
  [20208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7289),
  [20210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13454),
  [20212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11893),
  [20214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18469),
  [20216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [20218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10473),
  [20220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3546),
  [20222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [20224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [20226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [20228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [20230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [20232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [20234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [20236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12933),
  [20238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12592),
  [20240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5933),
  [20242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [20244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7217),
  [20246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10694),
  [20248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15697),
  [20250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [20252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [20254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8726),
  [20256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13108),
  [20258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12388),
  [20260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [20262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8311),
  [20264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12593),
  [20266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [20268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(11899),
  [20271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(19534),
  [20274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [20276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6686),
  [20278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11900),
  [20280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18974),
  [20282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [20284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [20286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [20288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [20290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [20292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [20294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [20296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3466),
  [20298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [20300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [20302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7327),
  [20304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15554),
  [20306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6687),
  [20308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12596),
  [20310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6486),
  [20312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [20314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13938),
  [20316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [20318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7329),
  [20320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [20322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10556),
  [20324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [20326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [20328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [20330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10648),
  [20332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12597),
  [20334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12543),
  [20336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [20338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [20340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13115),
  [20342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12959),
  [20344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15729),
  [20346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [20348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [20350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [20352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9955),
  [20354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [20356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12599),
  [20358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7263),
  [20360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [20362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12952),
  [20364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15740),
  [20366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [20368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7270),
  [20370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [20372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12601),
  [20374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [20376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [20378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [20380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [20382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15725),
  [20384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [20386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [20388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4608),
  [20390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12603),
  [20392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7295),
  [20394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [20396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12971),
  [20398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [20400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15800),
  [20402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [20404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8220),
  [20406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12604),
  [20408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [20410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [20412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7206),
  [20414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14727),
  [20416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10218),
  [20418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15819),
  [20420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11558),
  [20422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [20424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13121),
  [20426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9230),
  [20428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [20430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9231),
  [20432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12608),
  [20434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8307),
  [20436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [20438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7323),
  [20440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7264),
  [20442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13047),
  [20444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [20446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15834),
  [20448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [20450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8332),
  [20452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11342),
  [20454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4572),
  [20456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12610),
  [20458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3014),
  [20460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12787),
  [20462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5648),
  [20464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [20466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7384),
  [20468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [20470] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2231),
  [20473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15820),
  [20475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [20477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11656),
  [20479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [20481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8610),
  [20483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [20485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12309),
  [20487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11573),
  [20489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12612),
  [20491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9120),
  [20493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [20495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14467),
  [20497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [20499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 1, 10, 2),
  [20501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15753),
  [20503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13123),
  [20505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [20507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7345),
  [20509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [20511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 1, 10, 0),
  [20513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(12281),
  [20516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_bindings_repeat1, 2, 0, 0),
  [20518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [20520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12613),
  [20522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7292),
  [20524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13324),
  [20526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [20528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [20530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15644),
  [20532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [20534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [20536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12618),
  [20538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8491),
  [20540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [20542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12418),
  [20544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15594),
  [20546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [20548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6778),
  [20550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [20552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13020),
  [20554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9011),
  [20556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12619),
  [20558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [20560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [20562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12982),
  [20564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8071),
  [20566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [20568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14532),
  [20570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [20572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15703),
  [20574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_object, 3, 0, 28),
  [20576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_val_declaration_repeat1, 2, 0, 112),
  [20578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_val_declaration_repeat1, 2, 0, 112), SHIFT_REPEAT(13975),
  [20581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [20583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7663),
  [20585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15755),
  [20587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12621),
  [20589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11964),
  [20591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [20593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7378),
  [20595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [20597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11544),
  [20599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12622),
  [20601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6204),
  [20603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [20605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15811),
  [20607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [20609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [20611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13130),
  [20613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6756),
  [20615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [20617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13071),
  [20619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [20621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6245),
  [20623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [20625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [20627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9798),
  [20629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12626),
  [20631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10370),
  [20633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [20635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7968),
  [20637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [20639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6067),
  [20641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [20643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10089),
  [20645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12628),
  [20647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [20649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7405),
  [20651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [20653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9027),
  [20655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [20657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6220),
  [20659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13131),
  [20661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [20663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12985),
  [20665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [20667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12630),
  [20669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4950),
  [20671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [20673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8003),
  [20675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [20677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_clause, 3, 0, 30),
  [20679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [20681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5506),
  [20683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12631),
  [20685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [20687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10132),
  [20689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [20691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11344),
  [20693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [20695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9989),
  [20697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11345),
  [20699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [20701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12634),
  [20703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5071),
  [20705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [20707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7404),
  [20709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [20711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10788),
  [20713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [20715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7407),
  [20717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12635),
  [20719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [20721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [20723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12809),
  [20725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [20727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11927),
  [20729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7435),
  [20731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [20733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12488),
  [20735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15025),
  [20737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [20739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5346),
  [20741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12641),
  [20743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5427),
  [20745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [20747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4609),
  [20749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [20751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4923),
  [20753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12642),
  [20755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [20757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [20759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [20761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9446),
  [20763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [20765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8700),
  [20767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [20769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4602),
  [20771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7440),
  [20773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12645),
  [20775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5124),
  [20777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [20779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5126),
  [20781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [20783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5135),
  [20785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12489),
  [20787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4526),
  [20789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [20791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12646),
  [20793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [20795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [20797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [20799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [20801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12651),
  [20803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5356),
  [20805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [20807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [20809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7443),
  [20811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [20813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7446),
  [20815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12653),
  [20817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [20819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11318),
  [20821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [20823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11812),
  [20825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11346),
  [20827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10009),
  [20829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12657),
  [20831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5849),
  [20833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [20835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6480),
  [20837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [20839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13004),
  [20841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7719),
  [20843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interpolated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(16324),
  [20846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interpolated_string_repeat1, 2, 0, 0),
  [20848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [20850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5312),
  [20852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [20854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6667),
  [20856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interpolated_string_repeat2, 2, 0, 0), SHIFT_REPEAT(16389),
  [20859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interpolated_string_repeat2, 2, 0, 0),
  [20861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7468),
  [20863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12659),
  [20865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [20867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [20869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12493),
  [20871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9530),
  [20873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [20875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [20877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5499),
  [20879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [20881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12926),
  [20883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11702),
  [20885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11347),
  [20887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [20889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8312),
  [20891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12664),
  [20893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7470),
  [20895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [20897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13700),
  [20899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [20901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7475),
  [20903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [20905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12458),
  [20907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12665),
  [20909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7487),
  [20911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [20913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [20915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [20917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [20919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9164),
  [20921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12494),
  [20923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [20925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17653),
  [20927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19565),
  [20929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [20931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4550),
  [20933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12668),
  [20935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6381),
  [20937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [20939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5913),
  [20941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [20943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6408),
  [20945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [20947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5730),
  [20949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4558),
  [20951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12669),
  [20953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [20955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [20957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11320),
  [20959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10031),
  [20961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [20963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11333),
  [20965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13006),
  [20967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12690),
  [20969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6120),
  [20971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [20973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12672),
  [20975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13699),
  [20977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [20979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5941),
  [20981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [20983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6150),
  [20985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [20987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9509),
  [20989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11314),
  [20991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12674),
  [20993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [20995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [20997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [20999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9585),
  [21001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [21003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12501),
  [21005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8799),
  [21007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [21009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6517),
  [21011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12676),
  [21013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12814),
  [21015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [21017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7511),
  [21019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12500),
  [21021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4575),
  [21023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [21025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5963),
  [21027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12679),
  [21029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [21031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [21033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [21035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [21037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9645),
  [21039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [21041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7268),
  [21043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13060),
  [21045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [21047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14487),
  [21049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9681),
  [21051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12682),
  [21053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12945),
  [21055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [21057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13947),
  [21059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12503),
  [21061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [21063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9719),
  [21065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [21067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12683),
  [21069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [21071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [21073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12520),
  [21075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [21077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_class_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(4343),
  [21080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12685),
  [21082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7533),
  [21084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [21086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7534),
  [21088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10984),
  [21090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [21092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10242),
  [21094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [21096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7051),
  [21098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12686),
  [21100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [21102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [21104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(11852),
  [21107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(19164),
  [21110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [21112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12688),
  [21114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6050),
  [21116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [21118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8508),
  [21120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [21122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7557),
  [21124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12689),
  [21126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [21128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [21130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7301),
  [21132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13745),
  [21134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4559),
  [21136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [21138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9454),
  [21140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12692),
  [21142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6435),
  [21144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [21146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11709),
  [21148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [21150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12509),
  [21152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6744),
  [21154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [21156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7570),
  [21158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [21160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6825),
  [21162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10448),
  [21164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11336),
  [21166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12694),
  [21168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [21170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [21172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [21174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [21176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11925),
  [21178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17440),
  [21180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [21182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9991),
  [21184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13029),
  [21186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9324),
  [21188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [21190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12698),
  [21192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7583),
  [21194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11443),
  [21196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [21198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8587),
  [21200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [21202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7580),
  [21204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [21206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8596),
  [21208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [21210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12389),
  [21212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9510),
  [21214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12699),
  [21216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [21218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [21220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12511),
  [21222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3073),
  [21224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10261),
  [21226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [21228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12703),
  [21230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6532),
  [21232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [21234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12249),
  [21236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [21238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11338),
  [21240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [21242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8900),
  [21244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12705),
  [21246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [21248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [21250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9344),
  [21252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12738),
  [21254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12209),
  [21256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [21258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [21260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [21262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12225),
  [21264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11576),
  [21266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12708),
  [21268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14694),
  [21270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [21272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7984),
  [21274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [21276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11641),
  [21278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(11636),
  [21281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0),
  [21283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [21285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7987),
  [21287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11824),
  [21289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12709),
  [21291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10527),
  [21293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [21295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [21297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_tuple_type_repeat1, 2, 0, 0), SHIFT_REPEAT(13163),
  [21300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_tuple_type_repeat1, 2, 0, 0),
  [21302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10364),
  [21304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [21306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17597),
  [21308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13032),
  [21310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12711),
  [21312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6597),
  [21314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [21316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5300),
  [21318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [21320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11934),
  [21322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [21324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12712),
  [21326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [21328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11580),
  [21330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [21332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8989),
  [21334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [21336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15773),
  [21338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12518),
  [21340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13064),
  [21342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12714),
  [21344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8964),
  [21346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [21348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5303),
  [21350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [21352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7655),
  [21354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [21356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [21358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10378),
  [21360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12921),
  [21362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11635),
  [21364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12715),
  [21366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [21368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [21370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8428),
  [21372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [21374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [21376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [21378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6628),
  [21380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [21382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12716),
  [21384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12227),
  [21386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [21388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5307),
  [21390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [21392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5230),
  [21394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [21396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4957),
  [21398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9009),
  [21400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12717),
  [21402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [21404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [21406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12519),
  [21408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [21410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4618),
  [21412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7196),
  [21414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13326),
  [21416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12719),
  [21418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8060),
  [21420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [21422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6175),
  [21424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [21426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [21428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5316),
  [21430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12720),
  [21432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [21434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7305),
  [21436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13714),
  [21438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [21440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11334),
  [21442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19566),
  [21444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8558),
  [21446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12722),
  [21448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4794),
  [21450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4510),
  [21452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18875),
  [21454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [21456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12544),
  [21458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11335),
  [21460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [21462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9180),
  [21464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [21466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5763),
  [21468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12723),
  [21470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [21472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [21474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [21476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11591),
  [21478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13101),
  [21480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9879),
  [21482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [21484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9882),
  [21486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12725),
  [21488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5787),
  [21490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7201),
  [21492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13211),
  [21494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [21496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6208),
  [21498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13106),
  [21500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11859),
  [21502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [21504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5010),
  [21506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_lambda_repeat1, 2, 0, 97), SHIFT_REPEAT(12440),
  [21509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_lambda_repeat1, 2, 0, 97),
  [21511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12726),
  [21513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [21515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8387),
  [21517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [21519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [21521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [21523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17530),
  [21525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [21527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [21529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [21531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [21533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3462),
  [21535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8132),
  [21537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [21539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7973),
  [21541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12728),
  [21543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5018),
  [21545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [21547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14236),
  [21549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8009),
  [21551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [21553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12524),
  [21555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8134),
  [21557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [21559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5633),
  [21561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12034),
  [21564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18458),
  [21567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12035),
  [21569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18502),
  [21571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [21573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7681),
  [21575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12730),
  [21577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4579),
  [21579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [21581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [21583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11599),
  [21585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12036),
  [21588] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18884),
  [21591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12037),
  [21593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18902),
  [21595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [21597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9470),
  [21599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11600),
  [21601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12038),
  [21604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(19049),
  [21607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12039),
  [21609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19064),
  [21611] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12040),
  [21614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(19173),
  [21617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12041),
  [21619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19182),
  [21621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12732),
  [21623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5030),
  [21625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13133),
  [21627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [21629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6848),
  [21631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12042),
  [21634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(19254),
  [21637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12043),
  [21639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19262),
  [21641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [21643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8139),
  [21645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [21647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12044),
  [21650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(19329),
  [21653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12045),
  [21655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19338),
  [21657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [21659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6241),
  [21661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12046),
  [21664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(19395),
  [21667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12047),
  [21669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19402),
  [21671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12733),
  [21673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12048),
  [21676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(19515),
  [21679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [21681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12049),
  [21683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19522),
  [21685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [21687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12050),
  [21690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18128),
  [21693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12051),
  [21695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18849),
  [21697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12052),
  [21700] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18191),
  [21703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [21705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12053),
  [21707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18265),
  [21709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3060),
  [21711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5340),
  [21713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [21715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12055),
  [21718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(19143),
  [21721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12056),
  [21723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19278),
  [21725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8144),
  [21727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13134),
  [21729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12057),
  [21732] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(17872),
  [21735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12736),
  [21737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6889),
  [21739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12058),
  [21741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17890),
  [21743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [21745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14206),
  [21747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12060),
  [21750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18022),
  [21753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10401),
  [21755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12061),
  [21757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18036),
  [21759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [21761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7693),
  [21763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13135),
  [21765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12063),
  [21768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18188),
  [21771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12064),
  [21773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18205),
  [21775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12737),
  [21777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12065),
  [21780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18383),
  [21783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [21785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12066),
  [21787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18402),
  [21789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7945),
  [21791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [21793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12067),
  [21796] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18582),
  [21799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12068),
  [21801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18604),
  [21803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12526),
  [21805] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12069),
  [21808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18766),
  [21811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12070),
  [21813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18787),
  [21815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [21817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12071),
  [21820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18905),
  [21823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12072),
  [21825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18911),
  [21827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12073),
  [21830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(19058),
  [21833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12741),
  [21835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14047),
  [21837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12074),
  [21839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19086),
  [21841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [21843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6269),
  [21845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12075),
  [21848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(19289),
  [21851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12076),
  [21853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19317),
  [21855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [21857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12077),
  [21860] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(19511),
  [21863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3001),
  [21865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6939),
  [21867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12078),
  [21869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19532),
  [21871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12079),
  [21874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(17789),
  [21877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13040),
  [21879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12207),
  [21881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12080),
  [21883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17793),
  [21885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12742),
  [21887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [21889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12081),
  [21892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(17821),
  [21895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [21897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12082),
  [21899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17825),
  [21901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [21903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12083),
  [21906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(17850),
  [21909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12084),
  [21911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17854),
  [21913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12085),
  [21916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(17876),
  [21919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12086),
  [21921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17880),
  [21923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [21925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9415),
  [21927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12087),
  [21930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(17902),
  [21933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12088),
  [21935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17905),
  [21937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [21939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12089),
  [21942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(17927),
  [21945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12090),
  [21947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17930),
  [21949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12744),
  [21951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6962),
  [21953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12091),
  [21956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(17952),
  [21959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [21961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6966),
  [21963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12092),
  [21965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17955),
  [21967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12093),
  [21970] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(17975),
  [21973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12094),
  [21975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17978),
  [21977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [21979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13678),
  [21981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12095),
  [21984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(17998),
  [21987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12096),
  [21989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18001),
  [21991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12700),
  [21993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12097),
  [21996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18021),
  [21999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12745),
  [22001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12098),
  [22003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18024),
  [22005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [22007] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12099),
  [22010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18044),
  [22013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [22015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12100),
  [22017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18047),
  [22019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13068),
  [22021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [22023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12101),
  [22026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18067),
  [22029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12102),
  [22031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18070),
  [22033] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12103),
  [22036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18090),
  [22039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12104),
  [22041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18093),
  [22043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12925),
  [22045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [22047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9514),
  [22049] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12105),
  [22052] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18113),
  [22055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12106),
  [22057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18116),
  [22059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12107),
  [22062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18135),
  [22065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12747),
  [22067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6304),
  [22069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12108),
  [22071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18137),
  [22073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [22075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7713),
  [22077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12109),
  [22080] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18157),
  [22083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12110),
  [22085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18159),
  [22087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3035),
  [22089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12614),
  [22091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12111),
  [22094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18179),
  [22097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12112),
  [22099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18181),
  [22101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12113),
  [22104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18201),
  [22107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12748),
  [22109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12114),
  [22111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18203),
  [22113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [22115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12115),
  [22118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18223),
  [22121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [22123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12116),
  [22125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18225),
  [22127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [22129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12117),
  [22132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18245),
  [22135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [22137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12118),
  [22139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18247),
  [22141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12120),
  [22144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18267),
  [22147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4285),
  [22149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12121),
  [22151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18269),
  [22153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [22155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12122),
  [22158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18288),
  [22161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12123),
  [22163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18290),
  [22165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [22167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8770),
  [22169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12124),
  [22172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18309),
  [22175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12125),
  [22177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18311),
  [22179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [22181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12126),
  [22184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18330),
  [22187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12750),
  [22189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7071),
  [22191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12127),
  [22193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18332),
  [22195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [22197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6751),
  [22199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12128),
  [22202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18351),
  [22205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12129),
  [22207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18353),
  [22209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [22211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12623),
  [22213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12130),
  [22216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18372),
  [22219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12131),
  [22221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18374),
  [22223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12132),
  [22226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18391),
  [22229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12752),
  [22231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12133),
  [22233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18393),
  [22235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [22237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12134),
  [22240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18411),
  [22243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [22245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12135),
  [22247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18413),
  [22249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7085),
  [22251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12136),
  [22254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18430),
  [22257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [22259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12137),
  [22261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18432),
  [22263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12138),
  [22266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18450),
  [22269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9785),
  [22271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12139),
  [22273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18452),
  [22275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11605),
  [22277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12140),
  [22280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18470),
  [22283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12141),
  [22285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18472),
  [22287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [22289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12142),
  [22292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18490),
  [22295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12535),
  [22297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9121),
  [22299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12143),
  [22301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18492),
  [22303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [22305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9123),
  [22307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12144),
  [22310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18510),
  [22313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12755),
  [22315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7726),
  [22317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12145),
  [22319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18512),
  [22321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [22323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7044),
  [22325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11606),
  [22327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12146),
  [22330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18530),
  [22333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12147),
  [22335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18532),
  [22337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12148),
  [22340] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18542),
  [22343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12149),
  [22345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18544),
  [22347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [22349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8234),
  [22351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12150),
  [22354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18554),
  [22357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12151),
  [22359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18556),
  [22361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12152),
  [22364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18566),
  [22367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12153),
  [22369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18568),
  [22371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12757),
  [22373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12154),
  [22376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18577),
  [22379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12155),
  [22381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18579),
  [22383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [22385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12156),
  [22388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18588),
  [22391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12157),
  [22393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18590),
  [22395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [22397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12158),
  [22400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18599),
  [22403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12159),
  [22405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18601),
  [22407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12160),
  [22410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18610),
  [22413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12161),
  [22415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18612),
  [22417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12164),
  [22419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18623),
  [22421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [22423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9131),
  [22425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12165),
  [22428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18632),
  [22431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12166),
  [22433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18634),
  [22435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(12167),
  [22438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14), SHIFT(18643),
  [22441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12759),
  [22443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6573),
  [22445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12168),
  [22447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18645),
  [22449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [22451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9172),
  [22453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [22455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [22457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7741),
  [22459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [22461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15131),
  [22463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [22465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12760),
  [22467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13043),
  [22469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [22471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [22473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12292),
  [22475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [22477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [22479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13138),
  [22481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [22483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9851),
  [22485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12763),
  [22487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13705),
  [22489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [22491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8264),
  [22493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4588),
  [22495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [22497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [22499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9472),
  [22501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11073),
  [22503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12538),
  [22505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12764),
  [22507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [22509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [22511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [22513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [22515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4590),
  [22517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [22519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5004),
  [22521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [22523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [22525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [22527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [22529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [22531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 0),
  [22533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [22535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [22537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [22539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [22541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [22543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [22545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [22547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [22549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [22551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [22553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [22555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [22557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16504),
  [22559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [22561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bindings, 4, 0, 0),
  [22563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [22565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [22567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16623),
  [22569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 14),
  [22571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16595),
  [22573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [22575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [22577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [22579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [22581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [22583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [22585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [22587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [22589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [22591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [22593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16581),
  [22595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [22597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [22599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [22601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [22603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [22605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [22607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bindings, 2, 0, 0),
  [22609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_val_declaration_repeat1, 2, 0, 3),
  [22611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [22613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [22615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [22617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [22619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [22621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [22623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [22625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [22627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [22629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [22631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [22633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [22635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [22637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [22639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [22641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [22643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [22645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [22647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [22649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [22651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [22653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [22655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [22657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_renamed_identifier, 3, 0, 162),
  [22659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16635),
  [22661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [22663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [22665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [22667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [22669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16530),
  [22671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [22673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [22675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [22677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [22679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [22681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [22683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [22685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [22687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [22689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [22691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [22693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [22695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 18),
  [22697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolated_string_start, 1, 0, 0),
  [22699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [22701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [22703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bindings, 3, 0, 0),
  [22705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [22707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [22709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [22711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16473),
  [22713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [22715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [22717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [22719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 2, 0, 0),
  [22721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [22723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [22725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [22727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [22729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 3, 0, 75),
  [22731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [22733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [22735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variant_type_parameter, 2, 0, 18),
  [22737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [22739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [22741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [22743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [22745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [22747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolated_multiline_string_start, 1, 0, 0),
  [22749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [22751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [22753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_types, 4, 1, 0),
  [22755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [22757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16641),
  [22759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [22761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [22763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_indented_cases_repeat1, 1, 0, 0),
  [22765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [22767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [22769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [22771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [22773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [22775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [22777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_types, 2, 1, 0),
  [22779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_given_by_type, 2, 0, 0),
  [22781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [22783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [22785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [22787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [22789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [22791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 6, 0, 189),
  [22793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [22795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [22797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [22799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [22801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [22803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [22805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [22807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [22809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [22811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [22813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [22815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [22817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [22819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [22821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [22823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [22825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [22827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [22829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [22831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [22833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [22835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [22837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_covariant_type_parameter, 2, 0, 18),
  [22839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16653),
  [22841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [22843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [22845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [22847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [22849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [22851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [22853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [22855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [22857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__indented_type_cases_repeat1, 1, 0, 0),
  [22859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [22861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [22863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [22865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17661),
  [22867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17662),
  [22869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [22871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [22873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [22875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16543),
  [22877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [22879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [22881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [22883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [22885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [22887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [22889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [22891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [22893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [22895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [22897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [22899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [22901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [22903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [22905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [22907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [22909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [22911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [22913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [22915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [22917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [22919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [22921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16663),
  [22923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [22925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [22927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [22929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [22931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17757),
  [22933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17758),
  [22935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [22937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [22939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [22941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [22943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [22945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [22947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [22949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [22951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [22953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [22955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [22957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [22959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16407),
  [22961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [22963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [22965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [22967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [22969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [22971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [22973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [22975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [22977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [22979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 5, 0, 167),
  [22981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16602),
  [22983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [22985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [22987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [22989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [22991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [22993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [22995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [22997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_types, 3, 1, 0),
  [22999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [23001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16672),
  [23003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [23005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [23007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [23009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [23011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [23013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [23015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [23017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [23019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [23021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_types, 5, 1, 0),
  [23023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [23025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [23027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16557),
  [23029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [23031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [23033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variant_type_parameter, 2, 0, 0),
  [23035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dollar_escape, 2, 0, 0),
  [23037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__aliased_interpolation_identifier, 1, 0, 0),
  [23039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [23041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [23043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [23045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [23047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [23049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [23051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [23053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [23055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [23057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [23059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16712),
  [23061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [23063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [23065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [23067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [23069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [23071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13464),
  [23073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13038),
  [23075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16683),
  [23077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [23079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [23081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [23083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [23085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [23087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [23089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [23091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [23093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [23095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [23097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [23099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_block_comment_repeat1, 1, 0, 0),
  [23101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [23103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bindings, 5, 0, 0),
  [23105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [23107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [23109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [23111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [23113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [23115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [23117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [23119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [23121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_lambda_repeat1, 2, 0, 18),
  [23123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [23125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [23127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [23129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [23131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [23133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [23135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [23137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13284),
  [23139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12660),
  [23141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [23143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [23145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [23147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [23149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [23151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [23153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [23155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [23157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [23159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [23161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16330),
  [23163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [23165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [23167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [23169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [23171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [23173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [23175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [23177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [23179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [23181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16695),
  [23183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [23185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [23187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [23189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [23191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [23193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [23195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [23197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [23199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16614),
  [23201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_contravariant_type_parameter, 2, 0, 18),
  [23203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16518),
  [23205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [23207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [23209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [23211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [23213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [23215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [23217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [23219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [23221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [23223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [23225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [23227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [23229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [23231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16493),
  [23233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [23235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [23237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [23239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [23241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [23243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [23245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3817),
  [23247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [23249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case_clause, 3, 0, 199),
  [23251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [23253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16446),
  [23255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [23257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [23259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16966),
  [23261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [23263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [23265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [23267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [23269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [23271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [23273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [23275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [23277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [23279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [23281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16571),
  [23283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [23285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [23287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [23289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16706),
  [23291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [23293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [23295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15226),
  [23297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [23299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8464),
  [23301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [23303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [23305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6361),
  [23307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11568),
  [23309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10036),
  [23311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6969),
  [23313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11074),
  [23315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6817),
  [23317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6498),
  [23319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8494),
  [23321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10043),
  [23323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8583),
  [23325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [23327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17010),
  [23329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [23331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [23333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [23335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [23337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [23339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [23341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [23343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [23345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8041),
  [23347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10927),
  [23349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [23351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10451),
  [23353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7108),
  [23355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7813),
  [23357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9932),
  [23359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8781),
  [23361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10754),
  [23363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [23365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15107),
  [23367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7343),
  [23369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8046),
  [23371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11036),
  [23373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12441),
  [23375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8785),
  [23377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [23379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6042),
  [23381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [23383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9802),
  [23385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17166),
  [23387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10496),
  [23389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [23391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8209),
  [23393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [23395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [23397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [23399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [23401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6288),
  [23403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [23405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5445),
  [23407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11803),
  [23409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [23411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12313),
  [23413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6856),
  [23415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [23417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5446),
  [23419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8893),
  [23421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10545),
  [23423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8822),
  [23425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6619),
  [23427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6444),
  [23429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7866),
  [23431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [23433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [23435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15879),
  [23437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3891),
  [23439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14393),
  [23441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12465),
  [23443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [23445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [23447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [23449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [23451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6446),
  [23453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [23455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9911),
  [23457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10642),
  [23459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14509),
  [23461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15304),
  [23463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [23465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11957),
  [23467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [23469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8427),
  [23471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16053),
  [23473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [23475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7346),
  [23477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3596),
  [23479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9921),
  [23481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10723),
  [23483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11569),
  [23485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [23487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6451),
  [23489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [23491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [23493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [23495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [23497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9552),
  [23499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [23501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [23503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7438),
  [23505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [23507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [23509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [23511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7636),
  [23513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8701),
  [23515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6452),
  [23517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7109),
  [23519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [23521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [23523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8529),
  [23525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [23527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7762),
  [23529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [23531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14379),
  [23533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [23535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [23537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [23539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7143),
  [23541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [23543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12363),
  [23545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [23547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8572),
  [23549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [23551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9804),
  [23553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [23555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7814),
  [23557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8690),
  [23559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14173),
  [23561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7145),
  [23563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [23565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6638),
  [23567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12176),
  [23569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9104),
  [23571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15495),
  [23573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [23575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [23577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [23579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [23581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [23583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [23585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11767),
  [23587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [23589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [23591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8210),
  [23593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6922),
  [23595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8695),
  [23597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14222),
  [23599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [23601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8372),
  [23603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5660),
  [23605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11614),
  [23607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [23609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8708),
  [23611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12461),
  [23613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12381),
  [23615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [23617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9110),
  [23619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6089),
  [23621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [23623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10857),
  [23625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [23627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [23629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [23631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [23633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [23635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [23637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [23639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [23641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10550),
  [23643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10946),
  [23645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7237),
  [23647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [23649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12455),
  [23651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [23653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10843),
  [23655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8272),
  [23657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [23659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [23661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [23663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12950),
  [23665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [23667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [23669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [23671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [23673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5816),
  [23675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7242),
  [23677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [23679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5797),
  [23681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [23683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7351),
  [23685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11570),
  [23687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11389),
  [23689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [23691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [23693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [23695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7898),
  [23697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [23699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [23701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10855),
  [23703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [23705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [23707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [23709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5820),
  [23711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7244),
  [23713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [23715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11770),
  [23717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14255),
  [23719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9107),
  [23721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [23723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [23725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10732),
  [23727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11955),
  [23729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [23731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17535),
  [23733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16225),
  [23735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12438),
  [23737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9145),
  [23739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13509),
  [23741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [23743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [23745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [23747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [23749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [23751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [23753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [23755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [23757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [23759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7869),
  [23761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [23763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14315),
  [23765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [23767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6505),
  [23769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [23771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [23773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6861),
  [23775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6747),
  [23777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [23779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16822),
  [23781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7901),
  [23783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [23785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8063),
  [23787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [23789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [23791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [23793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9732),
  [23795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8598),
  [23797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [23799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14340),
  [23801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10861),
  [23803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [23805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [23807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12993),
  [23809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11011),
  [23811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [23813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [23815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [23817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8369),
  [23819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11453),
  [23821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9754),
  [23823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [23825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10353),
  [23827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [23829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [23831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [23833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14368),
  [23835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10053),
  [23837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [23839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9628),
  [23841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [23843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9153),
  [23845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [23847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13615),
  [23849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9618),
  [23851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11628),
  [23853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [23855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15352),
  [23857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [23859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8533),
  [23861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8316),
  [23863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [23865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [23867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [23869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [23871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [23873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8446),
  [23875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8534),
  [23877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [23879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9712),
  [23881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11454),
  [23883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7484),
  [23885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [23887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [23889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [23891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [23893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [23895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8302),
  [23897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9482),
  [23899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [23901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6268),
  [23903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [23905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [23907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [23909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8757),
  [23911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [23913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8169),
  [23915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6211),
  [23917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7690),
  [23919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14116),
  [23921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [23923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [23925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10811),
  [23927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11388),
  [23929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8309),
  [23931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9505),
  [23933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [23935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [23937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [23939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [23941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9165),
  [23943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11562),
  [23945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [23947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [23949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8705),
  [23951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15521),
  [23953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10027),
  [23955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [23957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13007),
  [23959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9216),
  [23961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16998),
  [23963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8502),
  [23965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [23967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14396),
  [23969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [23971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [23973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [23975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [23977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [23979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [23981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [23983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14418),
  [23985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8535),
  [23987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10320),
  [23989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11455),
  [23991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11269),
  [23993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8765),
  [23995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [23997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10829),
  [23999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [24001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16381),
  [24003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9630),
  [24005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8768),
  [24007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [24009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [24011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [24013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [24015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10354),
  [24017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8462),
  [24019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [24021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14608),
  [24023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [24025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [24027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [24029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [24031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [24033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [24035] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [24037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9444),
  [24039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [24041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8773),
  [24043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9946),
  [24045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16870),
  [24047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [24049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [24051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [24053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [24055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [24057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9156),
  [24059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [24061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [24063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body1, 1, 0, 0),
  [24065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8819),
  [24067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [24069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12444),
  [24071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [24073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13019),
  [24075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14488),
  [24077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7756),
  [24079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11973),
  [24081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5995),
  [24083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [24085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8382),
  [24087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [24089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [24091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [24093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [24095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [24097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7376),
  [24099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [24101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8190),
  [24103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14332),
  [24105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [24107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [24109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [24111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [24113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15134),
  [24115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14178),
  [24117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9157),
  [24119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9516),
  [24121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3815),
  [24123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [24125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [24127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [24129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14095),
  [24131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17504),
  [24133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [24135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [24137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9305),
  [24139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10206),
  [24141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6923),
  [24143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7907),
  [24145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8386),
  [24147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [24149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [24151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [24153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9541),
  [24155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14123),
  [24157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [24159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [24161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3867),
  [24163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [24165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [24167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [24169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9942),
  [24171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9498),
  [24173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [24175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [24177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12445),
  [24179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [24181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [24183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11711),
  [24185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [24187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14493),
  [24189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [24191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15444),
  [24193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5847),
  [24195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [24197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3915),
  [24199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [24201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [24203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [24205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [24207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9475),
  [24209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10588),
  [24211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12974),
  [24213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5527),
  [24215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [24217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [24219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [24221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [24223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10148),
  [24225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16741),
  [24227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [24229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [24231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [24233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [24235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10281),
  [24237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8800),
  [24239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [24241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9490),
  [24243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6786),
  [24245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [24247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7798),
  [24249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [24251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6397),
  [24253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [24255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9656),
  [24257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [24259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8806),
  [24261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [24263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [24265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [24267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [24269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9500),
  [24271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [24273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9665),
  [24275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4480),
  [24277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9940),
  [24279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [24281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5543),
  [24283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [24285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [24287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [24289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [24291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [24293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6286),
  [24295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [24297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9944),
  [24299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [24301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11719),
  [24303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [24305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13649),
  [24307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16500),
  [24309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12251),
  [24311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14142),
  [24313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19240),
  [24315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7075),
  [24317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9021),
  [24319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [24321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5537),
  [24323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [24325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [24327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [24329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [24331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [24333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8388),
  [24335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6945),
  [24337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14168),
  [24339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [24341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6293),
  [24343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9050),
  [24345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9352),
  [24347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [24349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [24351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [24353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [24355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [24357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [24359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [24361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6844),
  [24363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6963),
  [24365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14183),
  [24367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [24369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [24371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9824),
  [24373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5556),
  [24375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [24377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16874),
  [24379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [24381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11723),
  [24383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body2, 2, 0, 0),
  [24385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [24387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [24389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [24391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [24393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [24395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17181),
  [24397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11556),
  [24399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [24401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [24403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13120),
  [24405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4500),
  [24407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9743),
  [24409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6027),
  [24411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11557),
  [24413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10243),
  [24415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [24417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [24419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [24421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [24423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [24425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11822),
  [24427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [24429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7694),
  [24431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9042),
  [24433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6028),
  [24435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11563),
  [24437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opaque_modifier, 1, 0, 0),
  [24439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9626),
  [24441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [24443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [24445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7760),
  [24447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5550),
  [24449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [24451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [24453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [24455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [24457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body1, 2, 0, 0),
  [24459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9284),
  [24461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3899),
  [24463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10826),
  [24465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15925),
  [24467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9297),
  [24469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5196),
  [24471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body2, 3, 0, 0),
  [24473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19422),
  [24475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10285),
  [24477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15371),
  [24479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8927),
  [24481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [24483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [24485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [24487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [24489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [24491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5277),
  [24493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10837),
  [24495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [24497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__self_type_ascription, 2, 0, 0),
  [24499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10898),
  [24501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [24503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [24505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8511),
  [24507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10620),
  [24509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14389),
  [24511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8501),
  [24513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [24515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5281),
  [24517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10869),
  [24519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7880),
  [24521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [24523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [24525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [24527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [24529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13122),
  [24531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [24533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7094),
  [24535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11802),
  [24537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [24539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7247),
  [24541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [24543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10651),
  [24545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [24547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12006),
  [24549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8245),
  [24551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9380),
  [24553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11522),
  [24555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9175),
  [24557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [24559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [24561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [24563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [24565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10604),
  [24567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9629),
  [24569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5654),
  [24571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12011),
  [24573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [24575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8536),
  [24577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9945),
  [24579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6927),
  [24581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18346),
  [24583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12928),
  [24585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6649),
  [24587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6766),
  [24589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11564),
  [24591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5657),
  [24593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [24595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [24597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [24599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [24601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12012),
  [24603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [24605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7664),
  [24607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [24609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7423),
  [24611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [24613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [24615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [24617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [24619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9992),
  [24621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9501),
  [24623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [24625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9194),
  [24627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [24629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [24631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [24633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [24635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [24637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11223),
  [24639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [24641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [24643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [24645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6525),
  [24647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [24649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [24651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [24653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [24655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9199),
  [24657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8875),
  [24659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11242),
  [24661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12490),
  [24663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16594),
  [24665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15421),
  [24667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [24669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [24671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [24673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [24675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [24677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9382),
  [24679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11527),
  [24681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9631),
  [24683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8879),
  [24685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [24687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [24689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [24691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [24693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11258),
  [24695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [24697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9215),
  [24699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9298),
  [24701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [24703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [24705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [24707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [24709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [24711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [24713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [24715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [24717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9722),
  [24719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [24721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5197),
  [24723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13812),
  [24725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [24727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [24729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [24731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7100),
  [24733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13091),
  [24735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7266),
  [24737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [24739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [24741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10636),
  [24743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6427),
  [24745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [24747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [24749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [24751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [24753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9220),
  [24755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7966),
  [24757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13097),
  [24759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12495),
  [24761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11528),
  [24763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [24765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [24767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3769),
  [24769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [24771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15196),
  [24773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10749),
  [24775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12234),
  [24777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9560),
  [24779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [24781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [24783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [24785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [24787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10223),
  [24789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7969),
  [24791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13102),
  [24793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9345),
  [24795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [24797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10493),
  [24799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [24801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [24803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [24805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8564),
  [24807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9024),
  [24809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12258),
  [24811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4687),
  [24813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11278),
  [24815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7799),
  [24817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10692),
  [24819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7696),
  [24821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4654),
  [24823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7385),
  [24825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [24827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7988),
  [24829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11180),
  [24831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7053),
  [24833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13159),
  [24835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8566),
  [24837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12300),
  [24839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7884),
  [24841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11565),
  [24843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6688),
  [24845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [24847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10289),
  [24849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10356),
  [24851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7992),
  [24853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11150),
  [24855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12386),
  [24857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8798),
  [24859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [24861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13978),
  [24863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14030),
  [24865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9788),
  [24867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9858),
  [24869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11481),
  [24871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [24873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4853),
  [24875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15258),
  [24877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9844),
  [24879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14049),
  [24881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [24883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [24885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7639),
  [24887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15254),
  [24889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10714),
  [24891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10891),
  [24893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5924),
  [24895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9205),
  [24897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [24899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [24901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [24903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [24905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7643),
  [24907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15192),
  [24909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [24911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [24913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7321),
  [24915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [24917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [24919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15374),
  [24921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13818),
  [24923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7106),
  [24925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10990),
  [24927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8739),
  [24929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11571),
  [24931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9846),
  [24933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13634),
  [24935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10805),
  [24937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11339),
  [24939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6627),
  [24941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8746),
  [24943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10996),
  [24945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16664),
  [24947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8050),
  [24949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4266),
  [24951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [24953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [24955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [24957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [24959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6631),
  [24961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8750),
  [24963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [24965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [24967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6629),
  [24969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9005),
  [24971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [24973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14969),
  [24975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [24977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [24979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8764),
  [24981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6788),
  [24983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3832),
  [24985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10192),
  [24987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7066),
  [24989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [24991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7656),
  [24993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8769),
  [24995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9680),
  [24997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [24999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9874),
  [25001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9377),
  [25003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14213),
  [25005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7331),
  [25007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [25009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7876),
  [25011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7657),
  [25013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8774),
  [25015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6704),
  [25017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [25019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8275),
  [25021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [25023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15319),
  [25025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [25027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15383),
  [25029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [25031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [25033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9829),
  [25035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6798),
  [25037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13393),
  [25039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [25041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6715),
  [25043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9682),
  [25045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10820),
  [25047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8547),
  [25049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13953),
  [25051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10219),
  [25053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5362),
  [25055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8065),
  [25057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13439),
  [25059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [25061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7339),
  [25063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9686),
  [25065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [25067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [25069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [25071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [25073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [25075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10999),
  [25077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8068),
  [25079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13496),
  [25081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9803),
  [25083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10525),
  [25085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18367),
  [25087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8277),
  [25089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [25091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6736),
  [25093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [25095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [25097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6217),
  [25099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4854),
  [25101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10113),
  [25103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9901),
  [25105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16204),
  [25107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6810),
  [25109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4509),
  [25111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15278),
  [25113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [25115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9181),
  [25117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10726),
  [25119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [25121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8083),
  [25123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10122),
  [25125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16729),
  [25127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7306),
  [25129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10730),
  [25131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__braced_template_body1, 1, 0, 0), SHIFT(8275),
  [25134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6562),
  [25136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8087),
  [25138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [25140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5363),
  [25142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [25144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10514),
  [25146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [25148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10140),
  [25150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [25152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18343),
  [25154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [25156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10308),
  [25158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [25160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9837),
  [25162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14710),
  [25164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9688),
  [25166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [25168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [25170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11855),
  [25172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6741),
  [25174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [25176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [25178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [25180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11141),
  [25182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13860),
  [25184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [25186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8450),
  [25188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9034),
  [25190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [25192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9895),
  [25194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14401),
  [25196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [25198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15810),
  [25200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15823),
  [25202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14347),
  [25204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8696),
  [25206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8396),
  [25208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8485),
  [25210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9026),
  [25212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10619),
  [25214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6936),
  [25216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6083),
  [25218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10505),
  [25220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9036),
  [25222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11149),
  [25224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10369),
  [25226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10776),
  [25228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14413),
  [25230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8903),
  [25232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14561),
  [25234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [25236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11170),
  [25238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13848),
  [25240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5165),
  [25242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [25244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10782),
  [25246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [25248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8322),
  [25250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10594),
  [25252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6659),
  [25254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8000),
  [25256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11559),
  [25258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [25260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11706),
  [25262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [25264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8202),
  [25266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12666),
  [25268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [25270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [25272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [25274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [25276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9567),
  [25278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10654),
  [25280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14157),
  [25282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13557),
  [25284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10809),
  [25286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6696),
  [25288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6084),
  [25290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15802),
  [25292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5166),
  [25294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13875),
  [25296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10785),
  [25298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9701),
  [25300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [25302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11714),
  [25304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6675),
  [25306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [25308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13803),
  [25310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [25312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9576),
  [25314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [25316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10688),
  [25318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7965),
  [25320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11151),
  [25322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11721),
  [25324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13505),
  [25326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [25328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9071),
  [25330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5918),
  [25332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13598),
  [25334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5388),
  [25336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10997),
  [25338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [25340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11724),
  [25342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10913),
  [25344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [25346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9809),
  [25348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8507),
  [25350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8703),
  [25352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14580),
  [25354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9336),
  [25356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11725),
  [25358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [25360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [25362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [25364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7358),
  [25366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9028),
  [25368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15182),
  [25370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [25372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11727),
  [25374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16792),
  [25376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [25378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15923),
  [25380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8140),
  [25382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4497),
  [25384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11234),
  [25386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9065),
  [25388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11731),
  [25390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8514),
  [25392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [25394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15137),
  [25396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6009),
  [25398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [25400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [25402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11735),
  [25404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8141),
  [25406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [25408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9339),
  [25410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9257),
  [25412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9705),
  [25414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [25416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11737),
  [25418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [25420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [25422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5398),
  [25424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9069),
  [25426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [25428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8520),
  [25430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [25432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11741),
  [25434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [25436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [25438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [25440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5920),
  [25442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10967),
  [25444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14162),
  [25446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11370),
  [25448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11743),
  [25450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14595),
  [25452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [25454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9405),
  [25456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10302),
  [25458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [25460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6010),
  [25462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14541),
  [25464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11746),
  [25466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9342),
  [25468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [25470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3926),
  [25472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [25474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3928),
  [25476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15419),
  [25478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [25480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11748),
  [25482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11574),
  [25484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [25486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9817),
  [25488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9737),
  [25490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [25492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14059),
  [25494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10876),
  [25496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11749),
  [25498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8709),
  [25500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [25502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5996),
  [25504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14549),
  [25506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [25508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [25510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11751),
  [25512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7126),
  [25514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [25516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [25518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11984),
  [25520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7769),
  [25522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [25524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11753),
  [25526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10993),
  [25528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [25530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7328),
  [25532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14560),
  [25534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10757),
  [25536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15885),
  [25538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11754),
  [25540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [25542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [25544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9797),
  [25546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13042),
  [25548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11755),
  [25550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [25552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [25554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9408),
  [25556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [25558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14040),
  [25560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11757),
  [25562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9519),
  [25564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [25566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [25568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [25570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7002),
  [25572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [25574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11760),
  [25576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [25578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [25580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9741),
  [25582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [25584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10655),
  [25586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14155),
  [25588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11762),
  [25590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8351),
  [25592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [25594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11387),
  [25596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9258),
  [25598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5617),
  [25600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5044),
  [25602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11764),
  [25604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9540),
  [25606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [25608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14232),
  [25610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7240),
  [25612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [25614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [25616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11768),
  [25618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [25620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8783),
  [25622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16735),
  [25624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11353),
  [25626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11372),
  [25628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11771),
  [25630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [25632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [25634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13629),
  [25636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5045),
  [25638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7003),
  [25640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9545),
  [25642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11772),
  [25644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [25646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [25648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3876),
  [25650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11575),
  [25652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3879),
  [25654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6153),
  [25656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11774),
  [25658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10682),
  [25660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [25662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9745),
  [25664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6014),
  [25666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5911),
  [25668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12457),
  [25670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11776),
  [25672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11956),
  [25674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [25676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [25678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10038),
  [25680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [25682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11781),
  [25684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8290),
  [25686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [25688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10845),
  [25690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9761),
  [25692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4342),
  [25694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11782),
  [25696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [25698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9708),
  [25700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [25702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18355),
  [25704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12215),
  [25706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11783),
  [25708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [25710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [25712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10662),
  [25714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5719),
  [25716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [25718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10051),
  [25720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11784),
  [25722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7162),
  [25724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [25726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [25728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [25730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6166),
  [25732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10701),
  [25734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11785),
  [25736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6019),
  [25738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [25740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10847),
  [25742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11500),
  [25744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [25746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7127),
  [25748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11786),
  [25750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [25752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [25754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5727),
  [25756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19567),
  [25758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10059),
  [25760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11789),
  [25762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [25764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [25766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [25768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11790),
  [25770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15886),
  [25772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [25774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5622),
  [25776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9918),
  [25778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [25780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11791),
  [25782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9676),
  [25784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [25786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4518),
  [25788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [25790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3970),
  [25792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11793),
  [25794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7084),
  [25796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [25798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [25800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [25802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [25804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11794),
  [25806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [25808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13642),
  [25810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6313),
  [25812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6020),
  [25814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9702),
  [25816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11796),
  [25818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [25820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [25822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9409),
  [25824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10848),
  [25826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [25828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16858),
  [25830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11797),
  [25832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [25834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [25836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8815),
  [25838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [25840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6772),
  [25842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11800),
  [25844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [25846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14316),
  [25848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11144),
  [25850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9375),
  [25852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6318),
  [25854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11804),
  [25856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9432),
  [25858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [25860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [25862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9783),
  [25864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [25866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11805),
  [25868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8898),
  [25870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [25872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [25874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [25876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [25878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11807),
  [25880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15653),
  [25882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [25884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [25886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [25888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [25890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10529),
  [25892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11808),
  [25894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10854),
  [25896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [25898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7271),
  [25900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11229),
  [25902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16241),
  [25904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [25906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11809),
  [25908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [25910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [25912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13906),
  [25914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7167),
  [25916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11810),
  [25918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [25920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [25922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [25924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5464),
  [25926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [25928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10885),
  [25930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11811),
  [25932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13148),
  [25934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [25936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [25938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13570),
  [25940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11813),
  [25942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [25944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [25946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [25948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8394),
  [25950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [25952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11815),
  [25954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6433),
  [25956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [25958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [25960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [25962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10330),
  [25964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5470),
  [25966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11817),
  [25968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10900),
  [25970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [25972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10535),
  [25974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10807),
  [25976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7277),
  [25978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11275),
  [25980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11818),
  [25982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12008),
  [25984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [25986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9242),
  [25988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9776),
  [25990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11356),
  [25992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11819),
  [25994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [25996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [25998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11208),
  [26000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6431),
  [26002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14192),
  [26004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11820),
  [26006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10362),
  [26008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [26010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4269),
  [26012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10332),
  [26014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7878),
  [26016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8324),
  [26018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11821),
  [26020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [26022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [26024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16513),
  [26026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [26028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [26030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [26032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8504),
  [26034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13769),
  [26036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10538),
  [26038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [26040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [26042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [26044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5814),
  [26046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [26048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10381),
  [26050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [26052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10516),
  [26054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [26056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [26058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10621),
  [26060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [26062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13914),
  [26064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14278),
  [26066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [26068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [26070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [26072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7173),
  [26074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6432),
  [26076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10824),
  [26078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [26080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body2, 4, 0, 0),
  [26082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5815),
  [26084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9100),
  [26086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10390),
  [26088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [26090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11769),
  [26092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [26094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10333),
  [26096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [26098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [26100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [26102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15430),
  [26104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9458),
  [26106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [26108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [26110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9431),
  [26112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6163),
  [26114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [26116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [26118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11801),
  [26120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16928),
  [26122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10888),
  [26124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [26126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [26128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [26130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [26132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [26134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [26136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [26138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [26140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [26142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [26144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [26146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [26148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [26150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [26152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [26154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [26156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [26158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [26160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [26162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [26164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [26166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [26168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [26170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [26172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [26174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [26176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [26178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [26180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [26182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [26184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [26186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [26188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [26190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [26192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [26194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [26196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [26198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [26200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [26202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [26204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [26206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [26208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [26210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [26212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [26214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [26216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [26218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [26220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [26222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [26224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [26226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [26228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10453),
  [26230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9823),
  [26232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10858),
  [26234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15795),
  [26236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [26238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6752),
  [26240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [26242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6167),
  [26244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [26246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7363),
  [26248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15141),
  [26250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [26252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10322),
  [26254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16675),
  [26256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5768),
  [26258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [26260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6883),
  [26262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6168),
  [26264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [26266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6222),
  [26268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5647),
  [26270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [26272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [26274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [26276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [26278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6420),
  [26280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6039),
  [26282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9826),
  [26284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6226),
  [26286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [26288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10467),
  [26290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [26292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [26294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [26296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [26298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [26300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10894),
  [26302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [26304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10508),
  [26306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8268),
  [26308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10870),
  [26310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10480),
  [26312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6114),
  [26314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [26316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9039),
  [26318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15582),
  [26320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10094),
  [26322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [26324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [26326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__braced_template_body1, 1, 0, 0), SHIFT(10302),
  [26329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10339),
  [26331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [26333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10539),
  [26335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8269),
  [26337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10490),
  [26339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [26341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [26343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [26345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [26347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [26349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [26351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 2, 0, 0),
  [26353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_comment, 2, 0, 0),
  [26355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_comment, 3, 0, 0),
  [26357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_directive, 4, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__indent = 1,
  ts_external_token__interpolated_string_middle = 2,
  ts_external_token__interpolated_string_end = 3,
  ts_external_token__interpolated_multiline_string_middle = 4,
  ts_external_token__interpolated_multiline_string_end = 5,
  ts_external_token__outdent = 6,
  ts_external_token__simple_multiline_string = 7,
  ts_external_token__simple_string = 8,
  ts_external_token_else = 9,
  ts_external_token_catch = 10,
  ts_external_token_finally = 11,
  ts_external_token_extends = 12,
  ts_external_token_derives = 13,
  ts_external_token_with = 14,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__interpolated_string_middle] = sym__interpolated_string_middle,
  [ts_external_token__interpolated_string_end] = sym__interpolated_string_end,
  [ts_external_token__interpolated_multiline_string_middle] = sym__interpolated_multiline_string_middle,
  [ts_external_token__interpolated_multiline_string_end] = sym__interpolated_multiline_string_end,
  [ts_external_token__outdent] = sym__outdent,
  [ts_external_token__simple_multiline_string] = sym__simple_multiline_string,
  [ts_external_token__simple_string] = sym__simple_string,
  [ts_external_token_else] = anon_sym_else,
  [ts_external_token_catch] = anon_sym_catch,
  [ts_external_token_finally] = anon_sym_finally,
  [ts_external_token_extends] = anon_sym_extends,
  [ts_external_token_derives] = anon_sym_derives,
  [ts_external_token_with] = anon_sym_with,
};

static const bool ts_external_scanner_states[76][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__interpolated_string_middle] = true,
    [ts_external_token__interpolated_string_end] = true,
    [ts_external_token__interpolated_multiline_string_middle] = true,
    [ts_external_token__interpolated_multiline_string_end] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_extends] = true,
    [ts_external_token_derives] = true,
    [ts_external_token_with] = true,
  },
  [2] = {
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
  },
  [3] = {
    [ts_external_token__indent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
  },
  [4] = {
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
  },
  [5] = {
    [ts_external_token__indent] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
  },
  [6] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [7] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [8] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [9] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_finally] = true,
  },
  [10] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [11] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
  },
  [12] = {
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [13] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [14] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [15] = {
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [16] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
  },
  [17] = {
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
  },
  [18] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_finally] = true,
  },
  [19] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
  },
  [20] = {
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [21] = {
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_finally] = true,
  },
  [22] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
  },
  [23] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_with] = true,
  },
  [24] = {
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_with] = true,
  },
  [25] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_with] = true,
  },
  [26] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [27] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
  },
  [28] = {
    [ts_external_token__indent] = true,
  },
  [29] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [30] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [31] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [32] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [33] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [34] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [35] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [36] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
  },
  [37] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
    [ts_external_token_with] = true,
  },
  [38] = {
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [39] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_finally] = true,
  },
  [40] = {
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [41] = {
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [42] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [43] = {
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [44] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [45] = {
    [ts_external_token_with] = true,
  },
  [46] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [47] = {
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [48] = {
    [ts_external_token_else] = true,
  },
  [49] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [50] = {
    [ts_external_token_else] = true,
    [ts_external_token_with] = true,
  },
  [51] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [52] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [53] = {
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [54] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_with] = true,
  },
  [55] = {
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [56] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_else] = true,
    [ts_external_token_with] = true,
  },
  [57] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [58] = {
    [ts_external_token_finally] = true,
  },
  [59] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_finally] = true,
  },
  [60] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_else] = true,
  },
  [61] = {
    [ts_external_token__outdent] = true,
    [ts_external_token_with] = true,
  },
  [62] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_extends] = true,
    [ts_external_token_derives] = true,
  },
  [63] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_derives] = true,
    [ts_external_token_with] = true,
  },
  [64] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_extends] = true,
    [ts_external_token_derives] = true,
  },
  [65] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_derives] = true,
    [ts_external_token_with] = true,
  },
  [66] = {
    [ts_external_token__outdent] = true,
  },
  [67] = {
    [ts_external_token_derives] = true,
    [ts_external_token_with] = true,
  },
  [68] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_derives] = true,
  },
  [69] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_derives] = true,
  },
  [70] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_extends] = true,
  },
  [71] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_extends] = true,
  },
  [72] = {
    [ts_external_token_extends] = true,
    [ts_external_token_derives] = true,
  },
  [73] = {
    [ts_external_token_derives] = true,
  },
  [74] = {
    [ts_external_token__interpolated_string_middle] = true,
    [ts_external_token__interpolated_string_end] = true,
  },
  [75] = {
    [ts_external_token__interpolated_multiline_string_middle] = true,
    [ts_external_token__interpolated_multiline_string_end] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_scala_external_scanner_create(void);
void tree_sitter_scala_external_scanner_destroy(void *);
bool tree_sitter_scala_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_scala_external_scanner_serialize(void *, char *);
void tree_sitter_scala_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_scala(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__alpha_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_scala_external_scanner_create,
      tree_sitter_scala_external_scanner_destroy,
      tree_sitter_scala_external_scanner_scan,
      tree_sitter_scala_external_scanner_serialize,
      tree_sitter_scala_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
